""" Cisco_IOS_XE_native 

NED YANG module for IOS\-XE
Copyright (c) 2016\-2017 by Cisco Systems, Inc.
All rights reserved.

"""


import re
import collections

from enum import Enum

from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict

from ydk.errors import YPYError, YPYModelError



class LoggingLevelTypeEnum(Enum):
    """
    LoggingLevelTypeEnum

    .. data:: alerts = 0

    .. data:: critical = 1

    .. data:: debugging = 2

    .. data:: emergencies = 3

    .. data:: errors = 4

    .. data:: informational = 5

    .. data:: notifications = 6

    .. data:: warnings = 7

    .. data:: bogus = 8

    """

    alerts = 0

    critical = 1

    debugging = 2

    emergencies = 3

    errors = 4

    informational = 5

    notifications = 6

    warnings = 7

    bogus = 8


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
        return meta._meta_table['LoggingLevelTypeEnum']



class Native(object):
    """
    
    
    .. attribute:: aaa
    
    	Authentication, Authorization and Accounting
    	**type**\:   :py:class:`Aaa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa>`
    
    .. attribute:: access_list
    
    	Add an access list entry
    	**type**\:   :py:class:`AccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList>`
    
    .. attribute:: access_session
    
    	Access Sesion Global Configuration Commands
    	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessSession>`
    
    .. attribute:: alarm_contact
    
    	
    	**type**\: list of    :py:class:`AlarmContact <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AlarmContact>`
    
    .. attribute:: alias
    
    	Create command alias
    	**type**\:   :py:class:`Alias <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Alias>`
    
    .. attribute:: ap
    
    	Configures Cisco APs
    	**type**\:   :py:class:`Ap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap>`
    
    .. attribute:: aqm_register_fnf
    
    	Export audio/video stats to flow record
    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
    
    .. attribute:: archive
    
    	Archive the configuration
    	**type**\:   :py:class:`Archive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Archive>`
    
    .. attribute:: arp
    
    	Set a static ARP entry
    	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp>`
    
    .. attribute:: authentication
    
    	Auth Manager Global Configuration Commands
    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Authentication>`
    
    .. attribute:: banner
    
    	Define a login banner
    	**type**\:   :py:class:`Banner <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Banner>`
    
    .. attribute:: bba_group
    
    	Configure BBA Group
    	**type**\:   :py:class:`BbaGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BbaGroup>`
    
    .. attribute:: bfd
    
    	BFD configuration commands
    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd>`
    
    .. attribute:: bfd_template
    
    	BFD\-template
    	**type**\:   :py:class:`BfdTemplate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BfdTemplate>`
    
    .. attribute:: boot
    
    	Modify boot system parameters
    	**type**\:   :py:class:`Boot <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot>`
    
    .. attribute:: boot_end_marker
    
    	
    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
    
    .. attribute:: boot_start_marker
    
    	
    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
    
    .. attribute:: bridge_domain
    
    	Bridge\-domain global configuration commands
    	**type**\:   :py:class:`BridgeDomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain>`
    
    .. attribute:: call_home
    
    	Enter call\-home configuration mode
    	**type**\:   :py:class:`CallHome <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome>`
    
    	**presence node**\: True
    
    .. attribute:: captive_portal_bypass
    
    	Enable Captive portal bypass for apple devices
    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
    
    .. attribute:: card
    
    	Configure T1/E1 SPA
    	**type**\:   :py:class:`Card <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Card>`
    
    .. attribute:: cdp
    
    	Global CDP configuration subcommands
    	**type**\:   :py:class:`Cdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cdp>`
    
    .. attribute:: cef
    
    	Cisco Express Forwarding
    	**type**\:   :py:class:`Cef <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef>`
    
    .. attribute:: cisp
    
    	Set CISP parameters
    	**type**\:   :py:class:`Cisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cisp>`
    
    .. attribute:: clock
    
    	Configure time\-of\-day clock
    	**type**\:   :py:class:`Clock <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Clock>`
    
    .. attribute:: coap
    
    	CoAP Global Configuration Commands
    	**type**\:   :py:class:`Coap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Coap>`
    
    .. attribute:: control_plane
    
    	Configure control plane services
    	**type**\:   :py:class:`ControlPlane <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ControlPlane>`
    
    	**presence node**\: True
    
    .. attribute:: controller
    
    	Configure controller
    	**type**\:   :py:class:`Controller <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller>`
    
    .. attribute:: crypto
    
    	Encryption module
    	**type**\:   :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto>`
    
    .. attribute:: cts
    
    	Configures Cisco TrustSec
    	**type**\:   :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts>`
    
    .. attribute:: device
    
    	device classifier configuration
    	**type**\:   :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Device>`
    
    .. attribute:: device_sensor
    
    	IOS Sensor Commands
    	**type**\:   :py:class:`DeviceSensor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceSensor>`
    
    .. attribute:: device_tracking
    
    	Device tracking configuration commands
    	**type**\:   :py:class:`DeviceTracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceTracking>`
    
    .. attribute:: diagnostic
    
    	Configure diagnostic information
    	**type**\:   :py:class:`Diagnostic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic>`
    
    .. attribute:: disable_eadi
    
    	
    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
    
    .. attribute:: domain
    
    	Domain Configuration Commands
    	**type**\: list of    :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain>`
    
    .. attribute:: dot1x
    
    	IEEE 802.1X Global Configuration Commands
    	**type**\:   :py:class:`Dot1X <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Dot1X>`
    
    .. attribute:: eap
    
    	Configure EAP authenticator parameters
    	**type**\:   :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Eap>`
    
    .. attribute:: enable
    
    	Modify enable password parameters
    	**type**\:   :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Enable>`
    
    .. attribute:: energywise
    
    	EnergyWise Global Configuration Commands
    	**type**\:   :py:class:`Energywise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Energywise>`
    
    .. attribute:: epm
    
    	EPM Global Configuration Commands
    	**type**\:   :py:class:`Epm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Epm>`
    
    .. attribute:: errdisable
    
    	Error disable
    	**type**\:   :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable>`
    
    .. attribute:: esmc
    
    	Ethernet Synchronization Messaging Channel
    	**type**\:   :py:class:`Esmc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Esmc>`
    
    .. attribute:: ethernet
    
    	Ethernet configuration
    	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet>`
    
    .. attribute:: event
    
    	Event related configuration commands
    	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event>`
    
    .. attribute:: exception
    
    	help
    	**type**\:   :py:class:`Exception <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Exception>`
    
    .. attribute:: fabric
    
    	Catalyst 6000 crossbar fabric configuration commands
    	**type**\:   :py:class:`Fabric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fabric>`
    
    .. attribute:: facility_alarm
    
    	Configure facility alarms
    	**type**\:   :py:class:`FacilityAlarm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.FacilityAlarm>`
    
    .. attribute:: fallback
    
    	Fallback configuration commands
    	**type**\:   :py:class:`Fallback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fallback>`
    
    .. attribute:: fhrp
    
    	Configure First Hop Redundancy Protocols
    	**type**\:   :py:class:`Fhrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fhrp>`
    
    .. attribute:: flow
    
    	Global Flow configuration subcommands
    	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow>`
    
    .. attribute:: hostname
    
    	Set system's network name
    	**type**\:  str
    
    .. attribute:: hw_module
    
    	Control of individual components in the system
    	**type**\:   :py:class:`HwModule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.HwModule>`
    
    .. attribute:: hw_switch
    
    	Hw\-switch
    	**type**\:   :py:class:`HwSwitch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.HwSwitch>`
    
    .. attribute:: identity
    
    	Identity Configuration Commands
    	**type**\:   :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Identity>`
    
    .. attribute:: interface
    
    	Configure Interfaces
    	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface>`
    
    .. attribute:: ip
    
    	Global IP configuration subcommands
    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip>`
    
    .. attribute:: ipv6
    
    	Global IPv6 configuration commands
    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6>`
    
    .. attribute:: key
    
    	Key management
    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Key>`
    
    .. attribute:: l2
    
    	Layer 2 configuration
    	**type**\:   :py:class:`L2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2>`
    
    .. attribute:: l2protocol_tunnel
    
    	Tunnel Layer2 protocols
    	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2ProtocolTunnel>`
    
    .. attribute:: l2vpn
    
    	Layer2 VPN commands
    	**type**\:   :py:class:`L2Vpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn>`
    
    .. attribute:: l2vpn_config
    
    	
    	**type**\:   :py:class:`L2VpnConfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2VpnConfig>`
    
    .. attribute:: l3vpn
    
    	l3vpn encapsulation ip commands
    	**type**\:   :py:class:`L3Vpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L3Vpn>`
    
    .. attribute:: license
    
    	Configure license features
    	**type**\:   :py:class:`License <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License>`
    
    .. attribute:: line
    
    	Configure a terminal line
    	**type**\:   :py:class:`Line <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line>`
    
    .. attribute:: lldp
    
    	Enables LLDP globally
    	**type**\:   :py:class:`Lldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Lldp>`
    
    .. attribute:: location
    
    	Global location configuration commands
    	**type**\:   :py:class:`Location <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Location>`
    
    .. attribute:: logging
    
    	Modify message logging facilities
    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging>`
    
    .. attribute:: login
    
    	Enable secure login checking
    	**type**\:   :py:class:`Login <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Login>`
    
    .. attribute:: mac
    
    	Global MAC configuration subcommands
    	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac>`
    
    .. attribute:: mac_address_table
    
    	Configure the MAC address table
    	**type**\:   :py:class:`MacAddressTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MacAddressTable>`
    
    .. attribute:: macro
    
    	Macro configuration
    	**type**\:   :py:class:`Macro <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Macro>`
    
    .. attribute:: memory
    
    	Configure memory management
    	**type**\:   :py:class:`Memory <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Memory>`
    
    .. attribute:: memory_size
    
    	Adjust memory size by percentage
    	**type**\:   :py:class:`MemorySize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MemorySize>`
    
    .. attribute:: metadata
    
    	Metadata Application
    	**type**\:   :py:class:`Metadata <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Metadata>`
    
    .. attribute:: mka
    
    	MACsec Key Agreement (MKA) configuration
    	**type**\:   :py:class:`Mka <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mka>`
    
    .. attribute:: mls
    
    	mls global commands
    	**type**\:   :py:class:`Mls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mls>`
    
    .. attribute:: module
    
    	Module
    	**type**\:   :py:class:`Module <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Module>`
    
    .. attribute:: monitor
    
    	Monitoring different system events
    	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor>`
    
    .. attribute:: mpls
    
    	Configure MPLS parameters
    	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls>`
    
    .. attribute:: multilink
    
    	PPP multilink global configuration
    	**type**\:   :py:class:`Multilink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Multilink>`
    
    .. attribute:: network_clock
    
    	Network clock config commands
    	**type**\:   :py:class:`NetworkClock <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock>`
    
    .. attribute:: network_policy
    
    	Network Policy
    	**type**\:   :py:class:`NetworkPolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkPolicy>`
    
    .. attribute:: ntp
    
    	Configure NTP
    	**type**\:   :py:class:`Ntp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp>`
    
    .. attribute:: object_group
    
    	Configure Object group
    	**type**\:   :py:class:`ObjectGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup>`
    
    .. attribute:: otv
    
    	Configure OTV information
    	**type**\:   :py:class:`Otv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv>`
    
    .. attribute:: parameter_map
    
    	parameter map
    	**type**\: list of    :py:class:`ParameterMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap>`
    
    .. attribute:: parser
    
    	Configure parser
    	**type**\:   :py:class:`Parser <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Parser>`
    
    .. attribute:: password
    
    	Configure encryption password (key)
    	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Password>`
    
    .. attribute:: performance
    
    	Global Performance monitor configuration
    	**type**\:   :py:class:`Performance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance>`
    
    .. attribute:: pfr
    
    	Performance Routing configuration submodes
    	**type**\:   :py:class:`Pfr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr>`
    
    .. attribute:: pfr_map
    
    	Create pfr\-map and enter pfr\-map command mode
    	**type**\: list of    :py:class:`PfrMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap>`
    
    .. attribute:: platform
    
    	platform specific configuration
    	**type**\:   :py:class:`Platform <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform>`
    
    .. attribute:: pm_agent
    
    	pm\-agent Configuration Commands
    	**type**\:   :py:class:`PmAgent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent>`
    
    	**presence node**\: True
    
    .. attribute:: policy
    
    	
    	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy>`
    
    .. attribute:: port_channel
    
    	EtherChannel configuration
    	**type**\:   :py:class:`PortChannel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PortChannel>`
    
    .. attribute:: power
    
    	Power configure
    	**type**\:   :py:class:`Power <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Power>`
    
    .. attribute:: ppp
    
    	PPP global configuration
    	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ppp>`
    
    .. attribute:: privilege
    
    	Command privilege parameters
    	**type**\:   :py:class:`Privilege <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Privilege>`
    
    .. attribute:: process
    
    	Configure process
    	**type**\:   :py:class:`Process <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process>`
    
    .. attribute:: profile
    
    	MSP Profile
    	**type**\:   :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Profile>`
    
    .. attribute:: pseudowire_class
    
    	Pseudowire\-class configuration
    	**type**\: list of    :py:class:`PseudowireClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass>`
    
    .. attribute:: qos
    
    	Global QoS configuration commands
    	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos>`
    
    	**presence node**\: True
    
    .. attribute:: radius
    
    	RADIUS server configuration command
    	**type**\:   :py:class:`Radius <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius>`
    
    .. attribute:: radius_server
    
    	Modify RADIUS query parameters
    	**type**\:   :py:class:`RadiusServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer>`
    
    .. attribute:: redundancy
    
    	Enter redundancy mode
    	**type**\:   :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy>`
    
    	**presence node**\: True
    
    .. attribute:: remote_management
    
    	Enable the remote managment
    	**type**\:   :py:class:`RemoteManagement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RemoteManagement>`
    
    .. attribute:: rep
    
    	Resilient Ethernet Protocol characteristics
    	**type**\:   :py:class:`Rep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Rep>`
    
    .. attribute:: rmon
    
    	Remote Monitoring
    	**type**\:   :py:class:`Rmon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Rmon>`
    
    .. attribute:: route_map
    
    	Route map tag
    	**type**\: list of    :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap>`
    
    .. attribute:: route_tag
    
    	
    	**type**\:   :py:class:`RouteTag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag>`
    
    .. attribute:: router
    
    	
    	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router>`
    
    .. attribute:: sampler
    
    	Define a Sampler
    	**type**\: list of    :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Sampler>`
    
    .. attribute:: scheduler
    
    	Scheduler parameters
    	**type**\:   :py:class:`Scheduler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Scheduler>`
    
    .. attribute:: sdm
    
    	Switch database management
    	**type**\:   :py:class:`Sdm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Sdm>`
    
    .. attribute:: segment_routing
    
    	Enter Segment Routing Mode
    	**type**\:   :py:class:`SegmentRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting>`
    
    .. attribute:: service
    
    	Modify use of network based services
    	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service>`
    
    .. attribute:: service_chain
    
    	Service Chain mode
    	**type**\:   :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain>`
    
    .. attribute:: service_insertion
    
    	Service Insertion mode
    	**type**\:   :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceInsertion>`
    
    .. attribute:: service_list
    
    	Enter the service list
    	**type**\:   :py:class:`ServiceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList>`
    
    .. attribute:: service_routing
    
    	Configure service\-routing
    	**type**\:   :py:class:`ServiceRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceRouting>`
    
    .. attribute:: service_template
    
    	Configure a service\-template/identity policy
    	**type**\: list of    :py:class:`ServiceTemplate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceTemplate>`
    
    .. attribute:: setup
    
    	Configure setup options
    	**type**\:   :py:class:`Setup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Setup>`
    
    .. attribute:: snmp
    
    	Modify SNMP interface parameters
    	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp>`
    
    .. attribute:: snmp_server
    
    	Modify SNMP engine parameters
    	**type**\:   :py:class:`SnmpServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer>`
    
    .. attribute:: spanning_tree
    
    	Spanning Tree Subsystem
    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree>`
    
    .. attribute:: stack_mac
    
    	Global stack mac\-address feature configurations
    	**type**\:   :py:class:`StackMac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.StackMac>`
    
    .. attribute:: subscriber
    
    	Subscriber configuration
    	**type**\:   :py:class:`Subscriber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Subscriber>`
    
    .. attribute:: switch
    
    	Config commands for the switches in the stack
    	**type**\: list of    :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Switch>`
    
    .. attribute:: switch_virtual
    
    	
    	**type**\: list of    :py:class:`SwitchVirtual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SwitchVirtual>`
    
    .. attribute:: system
    
    	Set the system configuration
    	**type**\:   :py:class:`System <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System>`
    
    .. attribute:: table_map
    
    	Configure Table Map
    	**type**\: list of    :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
    
    .. attribute:: tacacs
    
    	TACACS server configuration command
    	**type**\:   :py:class:`Tacacs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Tacacs>`
    
    .. attribute:: tacacs_server
    
    	Modify TACACS query parameters
    	**type**\:   :py:class:`TacacsServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TacacsServer>`
    
    .. attribute:: template
    
    	Select a template to configure
    	**type**\:   :py:class:`Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template>`
    
    .. attribute:: tftp_server
    
    	Provide TFTP service for netload requests
    	**type**\: list of    :py:class:`TftpServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TftpServer>`
    
    .. attribute:: time_range
    
    	Define time range entries
    	**type**\: list of    :py:class:`TimeRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TimeRange>`
    
    .. attribute:: tod_clock
    
    	Tod clock config commands
    	**type**\:   :py:class:`TodClock <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TodClock>`
    
    .. attribute:: track
    
    	Object tracking configuration commands
    	**type**\:   :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track>`
    
    .. attribute:: transceiver
    
    	Select from transceiver configuration commands
    	**type**\:   :py:class:`Transceiver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Transceiver>`
    
    .. attribute:: udld
    
    	Configure global UDLD setting
    	**type**\:   :py:class:`Udld <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Udld>`
    
    .. attribute:: upgrade
    
    	Global upgrade configuration subcommands
    	**type**\:   :py:class:`Upgrade <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Upgrade>`
    
    .. attribute:: username
    
    	Establish User Name Authentication
    	**type**\: list of    :py:class:`Username <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Username>`
    
    .. attribute:: utd
    
    	Global Unified Threat Defense
    	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Utd>`
    
    	**presence node**\: True
    
    .. attribute:: utd_engine
    
    	Global Unified Threat Defense Engine
    	**type**\:   :py:class:`UtdEngine <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine>`
    
    .. attribute:: version
    
    	Version
    	**type**\:  str
    
    .. attribute:: virtual_service
    
    	Configure virtual service
    	**type**\: list of    :py:class:`VirtualService <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService>`
    
    .. attribute:: vlan
    
    	Global vlan configuration
    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan>`
    
    .. attribute:: voice
    
    	Global voice configuration
    	**type**\:   :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Voice>`
    
    .. attribute:: voice_card
    
    	Configure a specific voice\-card
    	**type**\: list of    :py:class:`VoiceCard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VoiceCard>`
    
    .. attribute:: vpdn
    
    	Virtual Private Dialup Network
    	**type**\:   :py:class:`Vpdn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vpdn>`
    
    .. attribute:: vrf
    
    	VRF commands
    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf>`
    
    .. attribute:: vstack
    
    	Configure vstack parameters and enable or disable SmartInstall
    	**type**\:   :py:class:`Vstack <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vstack>`
    
    .. attribute:: vtp
    
    	Configure global VTP state
    	**type**\:   :py:class:`Vtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vtp>`
    
    .. attribute:: wireless
    
    	Configure wireless parameters
    	**type**\:   :py:class:`Wireless <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Wireless>`
    
    .. attribute:: wsma
    
    	Configure Web Services Management Agents
    	**type**\:   :py:class:`Wsma <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Wsma>`
    
    .. attribute:: xconnect
    
    	
    	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Xconnect>`
    
    .. attribute:: zone
    
    	FW with zoning
    	**type**\:   :py:class:`Zone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Zone>`
    
    .. attribute:: zone_pair
    
    	Zone pair command
    	**type**\:   :py:class:`ZonePair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ZonePair>`
    
    

    """

    _prefix = 'ios'
    _revision = '2017-02-07'

    def __init__(self):
        self.aaa = Native.Aaa()
        self.aaa.parent = self
        self.access_list = Native.AccessList()
        self.access_list.parent = self
        self.access_session = Native.AccessSession()
        self.access_session.parent = self
        self.alarm_contact = YList()
        self.alarm_contact.parent = self
        self.alarm_contact.name = 'alarm_contact'
        self.alias = Native.Alias()
        self.alias.parent = self
        self.ap = Native.Ap()
        self.ap.parent = self
        self.aqm_register_fnf = None
        self.archive = Native.Archive()
        self.archive.parent = self
        self.arp = Native.Arp()
        self.arp.parent = self
        self.authentication = Native.Authentication()
        self.authentication.parent = self
        self.banner = Native.Banner()
        self.banner.parent = self
        self.bba_group = Native.BbaGroup()
        self.bba_group.parent = self
        self.bfd = Native.Bfd()
        self.bfd.parent = self
        self.bfd_template = Native.BfdTemplate()
        self.bfd_template.parent = self
        self.boot = Native.Boot()
        self.boot.parent = self
        self.boot_end_marker = None
        self.boot_start_marker = None
        self.bridge_domain = Native.BridgeDomain()
        self.bridge_domain.parent = self
        self.call_home = None
        self.captive_portal_bypass = None
        self.card = Native.Card()
        self.card.parent = self
        self.cdp = Native.Cdp()
        self.cdp.parent = self
        self.cef = Native.Cef()
        self.cef.parent = self
        self.cisp = Native.Cisp()
        self.cisp.parent = self
        self.clock = Native.Clock()
        self.clock.parent = self
        self.coap = Native.Coap()
        self.coap.parent = self
        self.control_plane = None
        self.controller = Native.Controller()
        self.controller.parent = self
        self.crypto = Native.Crypto()
        self.crypto.parent = self
        self.cts = Native.Cts()
        self.cts.parent = self
        self.device = Native.Device()
        self.device.parent = self
        self.device_sensor = Native.DeviceSensor()
        self.device_sensor.parent = self
        self.device_tracking = Native.DeviceTracking()
        self.device_tracking.parent = self
        self.diagnostic = Native.Diagnostic()
        self.diagnostic.parent = self
        self.disable_eadi = None
        self.domain = YList()
        self.domain.parent = self
        self.domain.name = 'domain'
        self.dot1x = Native.Dot1X()
        self.dot1x.parent = self
        self.eap = Native.Eap()
        self.eap.parent = self
        self.enable = Native.Enable()
        self.enable.parent = self
        self.energywise = Native.Energywise()
        self.energywise.parent = self
        self.epm = Native.Epm()
        self.epm.parent = self
        self.errdisable = Native.Errdisable()
        self.errdisable.parent = self
        self.esmc = Native.Esmc()
        self.esmc.parent = self
        self.ethernet = Native.Ethernet()
        self.ethernet.parent = self
        self.event = Native.Event()
        self.event.parent = self
        self.exception = Native.Exception()
        self.exception.parent = self
        self.fabric = Native.Fabric()
        self.fabric.parent = self
        self.facility_alarm = Native.FacilityAlarm()
        self.facility_alarm.parent = self
        self.fallback = Native.Fallback()
        self.fallback.parent = self
        self.fhrp = Native.Fhrp()
        self.fhrp.parent = self
        self.flow = Native.Flow()
        self.flow.parent = self
        self.hostname = None
        self.hw_module = Native.HwModule()
        self.hw_module.parent = self
        self.hw_switch = Native.HwSwitch()
        self.hw_switch.parent = self
        self.identity = Native.Identity()
        self.identity.parent = self
        self.interface = Native.Interface()
        self.interface.parent = self
        self.ip = Native.Ip()
        self.ip.parent = self
        self.ipv6 = Native.Ipv6()
        self.ipv6.parent = self
        self.key = Native.Key()
        self.key.parent = self
        self.l2 = Native.L2()
        self.l2.parent = self
        self.l2protocol_tunnel = Native.L2ProtocolTunnel()
        self.l2protocol_tunnel.parent = self
        self.l2vpn = Native.L2Vpn()
        self.l2vpn.parent = self
        self.l2vpn_config = Native.L2VpnConfig()
        self.l2vpn_config.parent = self
        self.l3vpn = Native.L3Vpn()
        self.l3vpn.parent = self
        self.license = Native.License()
        self.license.parent = self
        self.line = Native.Line()
        self.line.parent = self
        self.lldp = Native.Lldp()
        self.lldp.parent = self
        self.location = Native.Location()
        self.location.parent = self
        self.logging = Native.Logging()
        self.logging.parent = self
        self.login = Native.Login()
        self.login.parent = self
        self.mac = Native.Mac()
        self.mac.parent = self
        self.mac_address_table = Native.MacAddressTable()
        self.mac_address_table.parent = self
        self.macro = Native.Macro()
        self.macro.parent = self
        self.memory = Native.Memory()
        self.memory.parent = self
        self.memory_size = Native.MemorySize()
        self.memory_size.parent = self
        self.metadata = Native.Metadata()
        self.metadata.parent = self
        self.mka = Native.Mka()
        self.mka.parent = self
        self.mls = Native.Mls()
        self.mls.parent = self
        self.module = Native.Module()
        self.module.parent = self
        self.monitor = Native.Monitor()
        self.monitor.parent = self
        self.mpls = Native.Mpls()
        self.mpls.parent = self
        self.multilink = Native.Multilink()
        self.multilink.parent = self
        self.network_clock = Native.NetworkClock()
        self.network_clock.parent = self
        self.network_policy = Native.NetworkPolicy()
        self.network_policy.parent = self
        self.ntp = Native.Ntp()
        self.ntp.parent = self
        self.object_group = Native.ObjectGroup()
        self.object_group.parent = self
        self.otv = Native.Otv()
        self.otv.parent = self
        self.parameter_map = YList()
        self.parameter_map.parent = self
        self.parameter_map.name = 'parameter_map'
        self.parser = Native.Parser()
        self.parser.parent = self
        self.password = Native.Password()
        self.password.parent = self
        self.performance = Native.Performance()
        self.performance.parent = self
        self.pfr = Native.Pfr()
        self.pfr.parent = self
        self.pfr_map = YList()
        self.pfr_map.parent = self
        self.pfr_map.name = 'pfr_map'
        self.platform = Native.Platform()
        self.platform.parent = self
        self.pm_agent = None
        self.policy = Native.Policy()
        self.policy.parent = self
        self.port_channel = Native.PortChannel()
        self.port_channel.parent = self
        self.power = Native.Power()
        self.power.parent = self
        self.ppp = Native.Ppp()
        self.ppp.parent = self
        self.privilege = Native.Privilege()
        self.privilege.parent = self
        self.process = Native.Process()
        self.process.parent = self
        self.profile = Native.Profile()
        self.profile.parent = self
        self.pseudowire_class = YList()
        self.pseudowire_class.parent = self
        self.pseudowire_class.name = 'pseudowire_class'
        self.qos = None
        self.radius = Native.Radius()
        self.radius.parent = self
        self.radius_server = Native.RadiusServer()
        self.radius_server.parent = self
        self.redundancy = None
        self.remote_management = Native.RemoteManagement()
        self.remote_management.parent = self
        self.rep = Native.Rep()
        self.rep.parent = self
        self.rmon = Native.Rmon()
        self.rmon.parent = self
        self.route_map = YList()
        self.route_map.parent = self
        self.route_map.name = 'route_map'
        self.route_tag = Native.RouteTag()
        self.route_tag.parent = self
        self.router = Native.Router()
        self.router.parent = self
        self.sampler = YList()
        self.sampler.parent = self
        self.sampler.name = 'sampler'
        self.scheduler = Native.Scheduler()
        self.scheduler.parent = self
        self.sdm = Native.Sdm()
        self.sdm.parent = self
        self.segment_routing = Native.SegmentRouting()
        self.segment_routing.parent = self
        self.service = Native.Service()
        self.service.parent = self
        self.service_chain = Native.ServiceChain()
        self.service_chain.parent = self
        self.service_insertion = Native.ServiceInsertion()
        self.service_insertion.parent = self
        self.service_list = Native.ServiceList()
        self.service_list.parent = self
        self.service_routing = Native.ServiceRouting()
        self.service_routing.parent = self
        self.service_template = YList()
        self.service_template.parent = self
        self.service_template.name = 'service_template'
        self.setup = Native.Setup()
        self.setup.parent = self
        self.snmp = Native.Snmp()
        self.snmp.parent = self
        self.snmp_server = Native.SnmpServer()
        self.snmp_server.parent = self
        self.spanning_tree = Native.SpanningTree()
        self.spanning_tree.parent = self
        self.stack_mac = Native.StackMac()
        self.stack_mac.parent = self
        self.subscriber = Native.Subscriber()
        self.subscriber.parent = self
        self.switch = YList()
        self.switch.parent = self
        self.switch.name = 'switch'
        self.switch_virtual = YList()
        self.switch_virtual.parent = self
        self.switch_virtual.name = 'switch_virtual'
        self.system = Native.System()
        self.system.parent = self
        self.table_map = YList()
        self.table_map.parent = self
        self.table_map.name = 'table_map'
        self.tacacs = Native.Tacacs()
        self.tacacs.parent = self
        self.tacacs_server = Native.TacacsServer()
        self.tacacs_server.parent = self
        self.template = Native.Template()
        self.template.parent = self
        self.tftp_server = YList()
        self.tftp_server.parent = self
        self.tftp_server.name = 'tftp_server'
        self.time_range = YList()
        self.time_range.parent = self
        self.time_range.name = 'time_range'
        self.tod_clock = Native.TodClock()
        self.tod_clock.parent = self
        self.track = Native.Track()
        self.track.parent = self
        self.transceiver = Native.Transceiver()
        self.transceiver.parent = self
        self.udld = Native.Udld()
        self.udld.parent = self
        self.upgrade = Native.Upgrade()
        self.upgrade.parent = self
        self.username = YList()
        self.username.parent = self
        self.username.name = 'username'
        self.utd = None
        self.utd_engine = Native.UtdEngine()
        self.utd_engine.parent = self
        self.version = None
        self.virtual_service = YList()
        self.virtual_service.parent = self
        self.virtual_service.name = 'virtual_service'
        self.vlan = Native.Vlan()
        self.vlan.parent = self
        self.voice = Native.Voice()
        self.voice.parent = self
        self.voice_card = YList()
        self.voice_card.parent = self
        self.voice_card.name = 'voice_card'
        self.vpdn = Native.Vpdn()
        self.vpdn.parent = self
        self.vrf = Native.Vrf()
        self.vrf.parent = self
        self.vstack = Native.Vstack()
        self.vstack.parent = self
        self.vtp = Native.Vtp()
        self.vtp.parent = self
        self.wireless = Native.Wireless()
        self.wireless.parent = self
        self.wsma = Native.Wsma()
        self.wsma.parent = self
        self.xconnect = Native.Xconnect()
        self.xconnect.parent = self
        self.zone = Native.Zone()
        self.zone.parent = self
        self.zone_pair = Native.ZonePair()
        self.zone_pair.parent = self


    class Bfd(object):
        """
        BFD configuration commands
        
        .. attribute:: l2cos
        
        	Value of L2 COS for BFD Pkts over VLAN interfaces
        	**type**\:  int
        
        	**range:** 0..6
        
        .. attribute:: map
        
        	configure bfd map entry for multi\-hop sessions
        	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map>`
        
        .. attribute:: slow_timers
        
        	Value in ms to use for slow timers
        	**type**\:  int
        
        	**range:** 1000..30000
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.l2cos = None
            self.map = Native.Bfd.Map()
            self.map.parent = self
            self.slow_timers = None


        class Map(object):
            """
            configure bfd map entry for multi\-hop sessions
            
            .. attribute:: ipv4
            
            	IPv4 Address Family
            	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv4>`
            
            .. attribute:: ipv6
            
            	IPv6 Address Family
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv6>`
            
            

            """

            _prefix = 'ios-bfd'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ipv4 = Native.Bfd.Map.Ipv4()
                self.ipv4.parent = self
                self.ipv6 = Native.Bfd.Map.Ipv6()
                self.ipv6.parent = self


            class Ipv4(object):
                """
                IPv4 Address Family
                
                .. attribute:: no_vrf
                
                	
                	**type**\:   :py:class:`NoVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv4.NoVrf>`
                
                .. attribute:: vrf
                
                	Destination VRF name
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv4.Vrf>`
                
                

                """

                _prefix = 'ios-bfd'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.no_vrf = Native.Bfd.Map.Ipv4.NoVrf()
                    self.no_vrf.parent = self
                    self.vrf = Native.Bfd.Map.Ipv4.Vrf()
                    self.vrf.parent = self


                class NoVrf(object):
                    """
                    
                    
                    .. attribute:: dest_ip
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                    
                    .. attribute:: src_ip
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                    
                    .. attribute:: template_name
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dest_ip = None
                        self.src_ip = None
                        self.template_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bfd/Cisco-IOS-XE-bfd:map/Cisco-IOS-XE-bfd:ipv4/Cisco-IOS-XE-bfd:no-vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dest_ip is not None:
                            return True

                        if self.src_ip is not None:
                            return True

                        if self.template_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Bfd.Map.Ipv4.NoVrf']['meta_info']


                class Vrf(object):
                    """
                    Destination VRF name
                    
                    .. attribute:: dst_vrf
                    
                    	
                    	**type**\: list of    :py:class:`DstVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv4.Vrf.DstVrf>`
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dst_vrf = YList()
                        self.dst_vrf.parent = self
                        self.dst_vrf.name = 'dst_vrf'


                    class DstVrf(object):
                        """
                        
                        
                        .. attribute:: dst_vrf  <key>
                        
                        	Destination VRF instance name
                        	**type**\:  str
                        
                        .. attribute:: a_period_b_period_c_period_d_slash_nn
                        
                        	Destination IP prefix/len
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bfd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dst_vrf = None
                            self.a_period_b_period_c_period_d_slash_nn = None

                        @property
                        def _common_path(self):
                            if self.dst_vrf is None:
                                raise YPYModelError('Key property dst_vrf is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bfd/Cisco-IOS-XE-bfd:map/Cisco-IOS-XE-bfd:ipv4/Cisco-IOS-XE-bfd:vrf/Cisco-IOS-XE-bfd:dst-vrf[Cisco-IOS-XE-bfd:dst-vrf = ' + str(self.dst_vrf) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dst_vrf is not None:
                                return True

                            if self.a_period_b_period_c_period_d_slash_nn is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Bfd.Map.Ipv4.Vrf.DstVrf']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bfd/Cisco-IOS-XE-bfd:map/Cisco-IOS-XE-bfd:ipv4/Cisco-IOS-XE-bfd:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dst_vrf is not None:
                            for child_ref in self.dst_vrf:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Bfd.Map.Ipv4.Vrf']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bfd/Cisco-IOS-XE-bfd:map/Cisco-IOS-XE-bfd:ipv4'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.no_vrf is not None and self.no_vrf._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Bfd.Map.Ipv4']['meta_info']


            class Ipv6(object):
                """
                IPv6 Address Family
                
                .. attribute:: dp_ipv6_prefix
                
                	
                	**type**\: list of    :py:class:`DpIpv6_Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv6.DpIpv6_Prefix>`
                
                .. attribute:: vrf
                
                	Destination VRF name
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv6.Vrf>`
                
                

                """

                _prefix = 'ios-bfd'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dp_ipv6_prefix = YList()
                    self.dp_ipv6_prefix.parent = self
                    self.dp_ipv6_prefix.name = 'dp_ipv6_prefix'
                    self.vrf = Native.Bfd.Map.Ipv6.Vrf()
                    self.vrf.parent = self


                class DpIpv6_Prefix(object):
                    """
                    
                    
                    .. attribute:: dp_ipv6_prefix  <key>
                    
                    	Destination IPv6 prefix/len
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    .. attribute:: bfd_nm
                    
                    	bfd template name
                    	**type**\:  str
                    
                    .. attribute:: src_ipv6_prefix0
                    
                    	
                    	**type**\: list of    :py:class:`SrcIpv6_Prefix0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv6.DpIpv6_Prefix.SrcIpv6_Prefix0>`
                    
                    .. attribute:: vrf
                    
                    	Source VRF name
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv6.DpIpv6_Prefix.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dp_ipv6_prefix = None
                        self.bfd_nm = None
                        self.src_ipv6_prefix0 = YList()
                        self.src_ipv6_prefix0.parent = self
                        self.src_ipv6_prefix0.name = 'src_ipv6_prefix0'
                        self.vrf = Native.Bfd.Map.Ipv6.DpIpv6_Prefix.Vrf()
                        self.vrf.parent = self


                    class SrcIpv6_Prefix0(object):
                        """
                        
                        
                        .. attribute:: src_ipv6_prefix0  <key>
                        
                        	Source IPv6 prefix/len
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: bfd_name
                        
                        	bfd template name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bfd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.src_ipv6_prefix0 = None
                            self.bfd_name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.src_ipv6_prefix0 is None:
                                raise YPYModelError('Key property src_ipv6_prefix0 is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bfd:src-ipv6_prefix0[Cisco-IOS-XE-bfd:src-ipv6_prefix0 = ' + str(self.src_ipv6_prefix0) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.src_ipv6_prefix0 is not None:
                                return True

                            if self.bfd_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Bfd.Map.Ipv6.DpIpv6_Prefix.SrcIpv6_Prefix0']['meta_info']


                    class Vrf(object):
                        """
                        Source VRF name
                        
                        .. attribute:: src_vrf
                        
                        	
                        	**type**\: list of    :py:class:`SrcVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv6.DpIpv6_Prefix.Vrf.SrcVrf>`
                        
                        

                        """

                        _prefix = 'ios-bfd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.src_vrf = YList()
                            self.src_vrf.parent = self
                            self.src_vrf.name = 'src_vrf'


                        class SrcVrf(object):
                            """
                            
                            
                            .. attribute:: src_vrf  <key>
                            
                            	Source VRF instance name
                            	**type**\:  str
                            
                            .. attribute:: src_ipv6_prefix
                            
                            	Source IPv6 prefix/len
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            

                            """

                            _prefix = 'ios-bfd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.src_vrf = None
                                self.src_ipv6_prefix = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.src_vrf is None:
                                    raise YPYModelError('Key property src_vrf is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bfd:src-vrf[Cisco-IOS-XE-bfd:src-vrf = ' + str(self.src_vrf) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.src_vrf is not None:
                                    return True

                                if self.src_ipv6_prefix is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Bfd.Map.Ipv6.DpIpv6_Prefix.Vrf.SrcVrf']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bfd:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.src_vrf is not None:
                                for child_ref in self.src_vrf:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Bfd.Map.Ipv6.DpIpv6_Prefix.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.dp_ipv6_prefix is None:
                            raise YPYModelError('Key property dp_ipv6_prefix is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bfd/Cisco-IOS-XE-bfd:map/Cisco-IOS-XE-bfd:ipv6/Cisco-IOS-XE-bfd:dp-ipv6_prefix[Cisco-IOS-XE-bfd:dp-ipv6_prefix = ' + str(self.dp_ipv6_prefix) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dp_ipv6_prefix is not None:
                            return True

                        if self.bfd_nm is not None:
                            return True

                        if self.src_ipv6_prefix0 is not None:
                            for child_ref in self.src_ipv6_prefix0:
                                if child_ref._has_data():
                                    return True

                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Bfd.Map.Ipv6.DpIpv6_Prefix']['meta_info']


                class Vrf(object):
                    """
                    Destination VRF name
                    
                    .. attribute:: dst_vrf
                    
                    	
                    	**type**\: list of    :py:class:`DstVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv6.Vrf.DstVrf>`
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dst_vrf = YList()
                        self.dst_vrf.parent = self
                        self.dst_vrf.name = 'dst_vrf'


                    class DstVrf(object):
                        """
                        
                        
                        .. attribute:: dst_vrf  <key>
                        
                        	Destination VRF instance name
                        	**type**\:  str
                        
                        .. attribute:: dst_ipv6_prefix
                        
                        	Destination IPv6 prefix/len
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        

                        """

                        _prefix = 'ios-bfd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dst_vrf = None
                            self.dst_ipv6_prefix = None

                        @property
                        def _common_path(self):
                            if self.dst_vrf is None:
                                raise YPYModelError('Key property dst_vrf is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bfd/Cisco-IOS-XE-bfd:map/Cisco-IOS-XE-bfd:ipv6/Cisco-IOS-XE-bfd:vrf/Cisco-IOS-XE-bfd:dst-vrf[Cisco-IOS-XE-bfd:dst-vrf = ' + str(self.dst_vrf) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dst_vrf is not None:
                                return True

                            if self.dst_ipv6_prefix is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Bfd.Map.Ipv6.Vrf.DstVrf']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bfd/Cisco-IOS-XE-bfd:map/Cisco-IOS-XE-bfd:ipv6/Cisco-IOS-XE-bfd:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dst_vrf is not None:
                            for child_ref in self.dst_vrf:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Bfd.Map.Ipv6.Vrf']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bfd/Cisco-IOS-XE-bfd:map/Cisco-IOS-XE-bfd:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dp_ipv6_prefix is not None:
                        for child_ref in self.dp_ipv6_prefix:
                            if child_ref._has_data():
                                return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Bfd.Map.Ipv6']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bfd/Cisco-IOS-XE-bfd:map'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ipv4 is not None and self.ipv4._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Bfd.Map']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bfd'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.l2cos is not None:
                return True

            if self.map is not None and self.map._has_data():
                return True

            if self.slow_timers is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Bfd']['meta_info']


    class Boot(object):
        """
        Modify boot system parameters
        
        .. attribute:: enable_break
        
        	Enable break
        	**type**\:   :py:class:`EnableBreak <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot.EnableBreak>`
        
        	**presence node**\: True
        
        .. attribute:: manual
        
        	Manual boot
        	**type**\:   :py:class:`Manual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot.Manual>`
        
        	**presence node**\: True
        
        .. attribute:: system
        
        	System Image
        	**type**\:   :py:class:`System <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot.System>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.enable_break = None
            self.manual = None
            self.system = Native.Boot.System()
            self.system.parent = self


        class System(object):
            """
            System Image
            
            .. attribute:: bootfile
            
            	WORD \- boot filename
            	**type**\:   :py:class:`Bootfile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot.System.Bootfile>`
            
            .. attribute:: flash
            
            	flash \- Boot from flash memory
            	**type**\:   :py:class:`Flash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot.System.Flash>`
            
            .. attribute:: switch
            
            	Set system image for switches in the stack
            	**type**\:   :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot.System.Switch>`
            
            .. attribute:: tftp
            
            	Example 192.168.x.x/<image\-path>
            	**type**\:  str
            
            .. attribute:: tftp_path
            
            	Example\: 192.x.x.x/<path to image>
            	**type**\:  str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.bootfile = Native.Boot.System.Bootfile()
                self.bootfile.parent = self
                self.flash = Native.Boot.System.Flash()
                self.flash.parent = self
                self.switch = Native.Boot.System.Switch()
                self.switch.parent = self
                self.tftp = None
                self.tftp_path = None


            class Bootfile(object):
                """
                WORD \- boot filename
                
                .. attribute:: filename_list
                
                	
                	**type**\: list of    :py:class:`FilenameList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot.System.Bootfile.FilenameList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.filename_list = YList()
                    self.filename_list.parent = self
                    self.filename_list.name = 'filename_list'


                class FilenameList(object):
                    """
                    
                    
                    .. attribute:: filename  <key>
                    
                    	WORD \- TFTP filename or URL
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.filename = None

                    @property
                    def _common_path(self):
                        if self.filename is None:
                            raise YPYModelError('Key property filename is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:boot/Cisco-IOS-XE-native:system/Cisco-IOS-XE-native:bootfile/Cisco-IOS-XE-native:filename-list[Cisco-IOS-XE-native:filename = ' + str(self.filename) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.filename is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Boot.System.Bootfile.FilenameList']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:boot/Cisco-IOS-XE-native:system/Cisco-IOS-XE-native:bootfile'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.filename_list is not None:
                        for child_ref in self.filename_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Boot.System.Bootfile']['meta_info']


            class Flash(object):
                """
                flash \- Boot from flash memory
                
                .. attribute:: flash_list
                
                	
                	**type**\: list of    :py:class:`FlashList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot.System.Flash.FlashList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.flash_list = YList()
                    self.flash_list.parent = self
                    self.flash_list.name = 'flash_list'


                class FlashList(object):
                    """
                    
                    
                    .. attribute:: flash_leaf  <key>
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.flash_leaf = None

                    @property
                    def _common_path(self):
                        if self.flash_leaf is None:
                            raise YPYModelError('Key property flash_leaf is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:boot/Cisco-IOS-XE-native:system/Cisco-IOS-XE-native:flash/Cisco-IOS-XE-native:flash-list[Cisco-IOS-XE-native:flash-leaf = ' + str(self.flash_leaf) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.flash_leaf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Boot.System.Flash.FlashList']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:boot/Cisco-IOS-XE-native:system/Cisco-IOS-XE-native:flash'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.flash_list is not None:
                        for child_ref in self.flash_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Boot.System.Flash']['meta_info']


            class Switch(object):
                """
                Set system image for switches in the stack
                
                .. attribute:: all
                
                	Set system image for all switches in the stack
                	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot.System.Switch.All>`
                
                .. attribute:: switch_number
                
                	
                	**type**\: list of    :py:class:`SwitchNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot.System.Switch.SwitchNumber>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.all = Native.Boot.System.Switch.All()
                    self.all.parent = self
                    self.switch_number = YList()
                    self.switch_number.parent = self
                    self.switch_number.name = 'switch_number'


                class SwitchNumber(object):
                    """
                    
                    
                    .. attribute:: range  <key>
                    
                    	Switch number
                    	**type**\:  int
                    
                    	**range:** 1..9
                    
                    .. attribute:: flash_1_path
                    
                    	Example edison.bin
                    	**type**\:  str
                    
                    .. attribute:: flash_path
                    
                    	Example edison.bin
                    	**type**\:  str
                    
                    .. attribute:: tftp_path
                    
                    	Example 192.x.x.x/<path>
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.range = None
                        self.flash_1_path = None
                        self.flash_path = None
                        self.tftp_path = None

                    @property
                    def _common_path(self):
                        if self.range is None:
                            raise YPYModelError('Key property range is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:boot/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:switch/Cisco-IOS-XE-switch:switch-number[Cisco-IOS-XE-switch:range = ' + str(self.range) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.range is not None:
                            return True

                        if self.flash_1_path is not None:
                            return True

                        if self.flash_path is not None:
                            return True

                        if self.tftp_path is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Boot.System.Switch.SwitchNumber']['meta_info']


                class All(object):
                    """
                    Set system image for all switches in the stack
                    
                    .. attribute:: flash
                    
                    	Example edison.bin
                    	**type**\:  str
                    
                    .. attribute:: flash_1
                    
                    	Example edison.bin
                    	**type**\:  str
                    
                    .. attribute:: tftp
                    
                    	Example 192.x.x.x/<image\-path>
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.flash = None
                        self.flash_1 = None
                        self.tftp = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:boot/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:switch/Cisco-IOS-XE-switch:all'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.flash is not None:
                            return True

                        if self.flash_1 is not None:
                            return True

                        if self.tftp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Boot.System.Switch.All']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:boot/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:switch'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.all is not None and self.all._has_data():
                        return True

                    if self.switch_number is not None:
                        for child_ref in self.switch_number:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Boot.System.Switch']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:boot/Cisco-IOS-XE-native:system'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.bootfile is not None and self.bootfile._has_data():
                    return True

                if self.flash is not None and self.flash._has_data():
                    return True

                if self.switch is not None and self.switch._has_data():
                    return True

                if self.tftp is not None:
                    return True

                if self.tftp_path is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Boot.System']['meta_info']


        class EnableBreak(object):
            """
            Enable break
            
            .. attribute:: switch
            
            	Set enable break for switches in the stack
            	**type**\:  int
            
            	**range:** 1..9
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.switch = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:boot/Cisco-IOS-XE-switch:enable-break'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.switch is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Boot.EnableBreak']['meta_info']


        class Manual(object):
            """
            Manual boot
            
            .. attribute:: switch
            
            	Set manual boot for switches in the stack\:Switch number(s)
            	**type**\:  int
            
            	**range:** 1..9
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.switch = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:boot/Cisco-IOS-XE-switch:manual'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.switch is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Boot.Manual']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:boot'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.enable_break is not None and self.enable_break._has_data():
                return True

            if self.manual is not None and self.manual._has_data():
                return True

            if self.system is not None and self.system._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Boot']['meta_info']


    class Memory(object):
        """
        Configure memory management
        
        .. attribute:: chunk
        
        	chunk related configuration
        	**type**\:   :py:class:`Chunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Memory.Chunk>`
        
        .. attribute:: free
        
        	free memory low water mark
        	**type**\:   :py:class:`Free <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Memory.Free>`
        
        .. attribute:: lite
        
        	Enable/disable memory lite
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: reserve
        
        	reserve memory
        	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Memory.Reserve>`
        
        .. attribute:: sanity
        
        	Enable memory sanity
        	**type**\:   :py:class:`Sanity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Memory.Sanity>`
        
        	**presence node**\: True
        
        .. attribute:: statistics
        
        	Configure statistics history table
        	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Memory.Statistics>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.chunk = Native.Memory.Chunk()
            self.chunk.parent = self
            self.free = Native.Memory.Free()
            self.free.parent = self
            self.lite = None
            self.reserve = Native.Memory.Reserve()
            self.reserve.parent = self
            self.sanity = None
            self.statistics = Native.Memory.Statistics()
            self.statistics.parent = self


        class Statistics(object):
            """
            Configure statistics history table
            
            .. attribute:: history
            
            	Configure statistics history table
            	**type**\:   :py:class:`History <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Memory.Statistics.History>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.history = Native.Memory.Statistics.History()
                self.history.parent = self


            class History(object):
                """
                Configure statistics history table
                
                .. attribute:: table
                
                	Configure statistics history table
                	**type**\:  int
                
                	**range:** 12..72
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.table = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:memory/Cisco-IOS-XE-native:statistics/Cisco-IOS-XE-native:history'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.table is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Memory.Statistics.History']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:memory/Cisco-IOS-XE-native:statistics'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.history is not None and self.history._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Memory.Statistics']['meta_info']


        class Chunk(object):
            """
            chunk related configuration
            
            .. attribute:: siblings
            
            	chunk siblings related configuration
            	**type**\:   :py:class:`Siblings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Memory.Chunk.Siblings>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.siblings = Native.Memory.Chunk.Siblings()
                self.siblings.parent = self


            class Siblings(object):
                """
                chunk siblings related configuration
                
                .. attribute:: threshold
                
                	Default is platform dependent
                	**type**\:  int
                
                	**range:** 2..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.threshold = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:memory/Cisco-IOS-XE-native:chunk/Cisco-IOS-XE-native:siblings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.threshold is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Memory.Chunk.Siblings']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:memory/Cisco-IOS-XE-native:chunk'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.siblings is not None and self.siblings._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Memory.Chunk']['meta_info']


        class Free(object):
            """
            free memory low water mark
            
            .. attribute:: low_watermark
            
            	low water mark for notifications
            	**type**\:   :py:class:`LowWatermark <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Memory.Free.LowWatermark>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.low_watermark = Native.Memory.Free.LowWatermark()
                self.low_watermark.parent = self


            class LowWatermark(object):
                """
                low water mark for notifications
                
                .. attribute:: io
                
                	low water mark of memory in KB
                	**type**\:  int
                
                	**range:** 1..3994575
                
                .. attribute:: processor
                
                	low water mark of memory in KB
                	**type**\:  int
                
                	**range:** 1..3994575
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.io = None
                    self.processor = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:memory/Cisco-IOS-XE-native:free/Cisco-IOS-XE-native:low-watermark'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.io is not None:
                        return True

                    if self.processor is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Memory.Free.LowWatermark']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:memory/Cisco-IOS-XE-native:free'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.low_watermark is not None and self.low_watermark._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Memory.Free']['meta_info']


        class Reserve(object):
            """
            reserve memory
            
            .. attribute:: critical
            
            	Reserve Critical Memory
            	**type**\:   :py:class:`Critical <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Memory.Reserve.Critical>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.critical = None


            class Critical(object):
                """
                Reserve Critical Memory
                
                .. attribute:: memory_range
                
                	total amount of memory to be reserved in kilobytes
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.memory_range = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:memory/Cisco-IOS-XE-native:reserve/Cisco-IOS-XE-native:critical'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.memory_range is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Memory.Reserve.Critical']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:memory/Cisco-IOS-XE-native:reserve'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.critical is not None and self.critical._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Memory.Reserve']['meta_info']


        class Sanity(object):
            """
            Enable memory sanity
            
            .. attribute:: all
            
            	Enable memory sanity all
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: buffer
            
            	Enable memory sanity buffer
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: queue
            
            	
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.all = None
                self.buffer = None
                self.queue = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:memory/Cisco-IOS-XE-native:sanity'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.all is not None:
                    return True

                if self.buffer is not None:
                    return True

                if self.queue is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Memory.Sanity']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:memory'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.chunk is not None and self.chunk._has_data():
                return True

            if self.free is not None and self.free._has_data():
                return True

            if self.lite is not None:
                return True

            if self.reserve is not None and self.reserve._has_data():
                return True

            if self.sanity is not None and self.sanity._has_data():
                return True

            if self.statistics is not None and self.statistics._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Memory']['meta_info']


    class Location(object):
        """
        Global location configuration commands
        
        .. attribute:: civic_location
        
        	Civic location information
        	**type**\:   :py:class:`CivicLocation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Location.CivicLocation>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.civic_location = Native.Location.CivicLocation()
            self.civic_location.parent = self


        class CivicLocation(object):
            """
            Civic location information
            
            .. attribute:: identifier
            
            	Set the identifier
            	**type**\: list of    :py:class:`Identifier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Location.CivicLocation.Identifier>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.identifier = YList()
                self.identifier.parent = self
                self.identifier.name = 'identifier'


            class Identifier(object):
                """
                Set the identifier
                
                .. attribute:: identifier  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: building
                
                	Building information
                	**type**\:  str
                
                .. attribute:: floor
                
                	Floor number
                	**type**\:  str
                
                .. attribute:: landmark
                
                	Landmark
                	**type**\:  str
                
                .. attribute:: name
                
                	Resident name
                	**type**\:  str
                
                .. attribute:: number
                
                	Street number
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.identifier = None
                    self.building = None
                    self.floor = None
                    self.landmark = None
                    self.name = None
                    self.number = None

                @property
                def _common_path(self):
                    if self.identifier is None:
                        raise YPYModelError('Key property identifier is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:location/Cisco-IOS-XE-native:civic-location/Cisco-IOS-XE-native:identifier[Cisco-IOS-XE-native:identifier = ' + str(self.identifier) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.identifier is not None:
                        return True

                    if self.building is not None:
                        return True

                    if self.floor is not None:
                        return True

                    if self.landmark is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.number is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Location.CivicLocation.Identifier']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:location/Cisco-IOS-XE-native:civic-location'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.identifier is not None:
                    for child_ref in self.identifier:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Location.CivicLocation']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:location'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.civic_location is not None and self.civic_location._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Location']['meta_info']


    class CallHome(object):
        """
        Enter call\-home configuration mode
        
        .. attribute:: contact_email_addr
        
        	Use email address
        	**type**\:  str
        
        .. attribute:: http_proxy
        
        	Specify proxy server for http request
        	**type**\:   :py:class:`HttpProxy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.HttpProxy>`
        
        .. attribute:: profile
        
        	Enter call\-home profile configuration mode
        	**type**\: list of    :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile>`
        
        .. attribute:: source_interface
        
        	Source interface name to send call\-home messages using email
        	**type**\:   :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.SourceInterface>`
        
        .. attribute:: _is_presence
        
        	Is present if this instance represents presence container else not
        	**type**\: bool
        
        

        This class is a :ref:`presence class<presence-class>`

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self._is_presence = True
            self.contact_email_addr = None
            self.http_proxy = Native.CallHome.HttpProxy()
            self.http_proxy.parent = self
            self.profile = YList()
            self.profile.parent = self
            self.profile.name = 'profile'
            self.source_interface = Native.CallHome.SourceInterface()
            self.source_interface.parent = self


        class SourceInterface(object):
            """
            Source interface name to send call\-home messages using email
            
            .. attribute:: appnav_compress
            
            	Service\-Context Virtual Interface Compress
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: appnav_uncompress
            
            	Service\-Context Virtual Interface UnCompress
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: atm
            
            	ATM interface
            	**type**\:  str
            
            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
            
            .. attribute:: atm_acr
            
            	ATM\-ACR interface
            	**type**\:  str
            
            	**pattern:** [0\-9]
            
            .. attribute:: atm_acrsubinterface
            
            	
            	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.SourceInterface.AtmAcrsubinterface>`
            
            .. attribute:: atm_subinterface
            
            	
            	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.SourceInterface.AtmSubinterface>`
            
            .. attribute:: bdi
            
            	Bridge\-Domain interface
            	**type**\:  str
            
            .. attribute:: cellular
            
            	Cellular Interface
            	**type**\:  str
            
            .. attribute:: cem
            
            	CEM interface
            	**type**\:  str
            
            	**pattern:** ([0\-9]/){2}[0\-9]
            
            .. attribute:: cem_acr
            
            	CEM\-ACR interface
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: embedded_service_engine
            
            	cisco embedded service engine module
            	**type**\:  str
            
            .. attribute:: fastethernet
            
            	FastEthernet IEEE 802.3
            	**type**\:  str
            
            .. attribute:: gigabitethernet
            
            	GigabitEthernet IEEE 802.3z
            	**type**\:  str
            
            .. attribute:: lisp
            
            	Locator/ID Separation Protocol Virtual Interface
            	**type**\:  int
            
            	**range:** 0..65520
            
            .. attribute:: lisp_subinterface
            
            	Locator/ID Separation Protocol Virtual Interface
            	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.SourceInterface.LispSubinterface>`
            
            .. attribute:: loopback
            
            	Loopback interface
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: multilink
            
            	Multilink\-group interface
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: nve
            
            	Network virtualization endpoint interface
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: overlay
            
            	Overlay interface
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: port_channel
            
            	Ethernet Channel of interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: port_channel_subinterface
            
            	
            	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.SourceInterface.PortChannelSubinterface>`
            
            .. attribute:: pseudowire
            
            	Pseudowire Interface
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: serial
            
            	Serial interface
            	**type**\:  str
            
            .. attribute:: sm
            
            	SM Interface
            	**type**\:  str
            
            .. attribute:: tengigabitethernet
            
            	Ten Gigabit Ethernet
            	**type**\:  str
            
            .. attribute:: tunnel
            
            	Tunnel interface
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: vasileft
            
            	vasileft
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: vasiright
            
            	vasiright
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: virtual_template
            
            	Virtual Template interface
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: virtualportgroup
            
            	Virtual Port Group
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: vlan
            
            	Iosxr Vlans
            	**type**\:  int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'ios-ch'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.appnav_compress = None
                self.appnav_uncompress = None
                self.atm = None
                self.atm_acr = None
                self.atm_acrsubinterface = Native.CallHome.SourceInterface.AtmAcrsubinterface()
                self.atm_acrsubinterface.parent = self
                self.atm_subinterface = Native.CallHome.SourceInterface.AtmSubinterface()
                self.atm_subinterface.parent = self
                self.bdi = None
                self.cellular = None
                self.cem = None
                self.cem_acr = None
                self.embedded_service_engine = None
                self.fastethernet = None
                self.gigabitethernet = None
                self.lisp = None
                self.lisp_subinterface = Native.CallHome.SourceInterface.LispSubinterface()
                self.lisp_subinterface.parent = self
                self.loopback = None
                self.multilink = None
                self.nve = None
                self.overlay = None
                self.port_channel = None
                self.port_channel_subinterface = Native.CallHome.SourceInterface.PortChannelSubinterface()
                self.port_channel_subinterface.parent = self
                self.pseudowire = None
                self.serial = None
                self.sm = None
                self.tengigabitethernet = None
                self.tunnel = None
                self.vasileft = None
                self.vasiright = None
                self.virtual_template = None
                self.virtualportgroup = None
                self.vlan = None


            class AtmSubinterface(object):
                """
                
                
                .. attribute:: atm
                
                	
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                
                

                """

                _prefix = 'ios-ch'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.atm = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:call-home/Cisco-IOS-XE-call-home:source-interface/Cisco-IOS-XE-call-home:ATM-subinterface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.atm is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.CallHome.SourceInterface.AtmSubinterface']['meta_info']


            class AtmAcrsubinterface(object):
                """
                
                
                .. attribute:: atm_acr
                
                	
                	**type**\:  str
                
                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                
                

                """

                _prefix = 'ios-ch'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.atm_acr = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:call-home/Cisco-IOS-XE-call-home:source-interface/Cisco-IOS-XE-call-home:ATM-ACRsubinterface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.atm_acr is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.CallHome.SourceInterface.AtmAcrsubinterface']['meta_info']


            class LispSubinterface(object):
                """
                Locator/ID Separation Protocol Virtual Interface
                
                .. attribute:: lisp
                
                	
                	**type**\:  str
                
                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                
                

                """

                _prefix = 'ios-ch'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.lisp = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:call-home/Cisco-IOS-XE-call-home:source-interface/Cisco-IOS-XE-call-home:LISP-subinterface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.lisp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.CallHome.SourceInterface.LispSubinterface']['meta_info']


            class PortChannelSubinterface(object):
                """
                
                
                .. attribute:: port_channel
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-ch'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.port_channel = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:call-home/Cisco-IOS-XE-call-home:source-interface/Cisco-IOS-XE-call-home:Port-channel-subinterface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.port_channel is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.CallHome.SourceInterface.PortChannelSubinterface']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:call-home/Cisco-IOS-XE-call-home:source-interface'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.appnav_compress is not None:
                    return True

                if self.appnav_uncompress is not None:
                    return True

                if self.atm is not None:
                    return True

                if self.atm_acr is not None:
                    return True

                if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                    return True

                if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                    return True

                if self.bdi is not None:
                    return True

                if self.cellular is not None:
                    return True

                if self.cem is not None:
                    return True

                if self.cem_acr is not None:
                    return True

                if self.embedded_service_engine is not None:
                    return True

                if self.fastethernet is not None:
                    return True

                if self.gigabitethernet is not None:
                    return True

                if self.lisp is not None:
                    return True

                if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                    return True

                if self.loopback is not None:
                    return True

                if self.multilink is not None:
                    return True

                if self.nve is not None:
                    return True

                if self.overlay is not None:
                    return True

                if self.port_channel is not None:
                    return True

                if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                    return True

                if self.pseudowire is not None:
                    return True

                if self.serial is not None:
                    return True

                if self.sm is not None:
                    return True

                if self.tengigabitethernet is not None:
                    return True

                if self.tunnel is not None:
                    return True

                if self.vasileft is not None:
                    return True

                if self.vasiright is not None:
                    return True

                if self.virtual_template is not None:
                    return True

                if self.virtualportgroup is not None:
                    return True

                if self.vlan is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.CallHome.SourceInterface']['meta_info']


        class HttpProxy(object):
            """
            Specify proxy server for http request
            
            .. attribute:: proxy_servers
            
            	
            	**type**\: list of    :py:class:`ProxyServers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.HttpProxy.ProxyServers>`
            
            

            """

            _prefix = 'ios-ch'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.proxy_servers = YList()
                self.proxy_servers.parent = self
                self.proxy_servers.name = 'proxy_servers'


            class ProxyServers(object):
                """
                
                
                .. attribute:: proxy_server  <key>
                
                	Http proxy server
                	**type**\:  str
                
                .. attribute:: port
                
                	http proxy server port number
                	**type**\:  int
                
                	**range:** 1..65535
                
                

                """

                _prefix = 'ios-ch'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.proxy_server = None
                    self.port = None

                @property
                def _common_path(self):
                    if self.proxy_server is None:
                        raise YPYModelError('Key property proxy_server is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:call-home/Cisco-IOS-XE-call-home:http-proxy/Cisco-IOS-XE-call-home:proxy-servers[Cisco-IOS-XE-call-home:proxy-server = ' + str(self.proxy_server) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.proxy_server is not None:
                        return True

                    if self.port is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.CallHome.HttpProxy.ProxyServers']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:call-home/Cisco-IOS-XE-call-home:http-proxy'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.proxy_servers is not None:
                    for child_ref in self.proxy_servers:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.CallHome.HttpProxy']['meta_info']


        class Profile(object):
            """
            Enter call\-home profile configuration mode
            
            .. attribute:: profile_name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: active
            
            	Activate the current profile
            	**type**\:  bool
            
            .. attribute:: destination
            
            	Message destination related configuration
            	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.Destination>`
            
            .. attribute:: subscribe_to_alert_group
            
            	Subscribe to alert\-group
            	**type**\:   :py:class:`SubscribeToAlertGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup>`
            
            

            """

            _prefix = 'ios-ch'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.profile_name = None
                self.active = None
                self.destination = Native.CallHome.Profile.Destination()
                self.destination.parent = self
                self.subscribe_to_alert_group = Native.CallHome.Profile.SubscribeToAlertGroup()
                self.subscribe_to_alert_group.parent = self


            class Destination(object):
                """
                Message destination related configuration
                
                .. attribute:: address
                
                	To add destination address to this profile
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.Destination.Address>`
                
                .. attribute:: transport_method
                
                	To specify transport method for this profile
                	**type**\:   :py:class:`TransportMethodEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.Destination.TransportMethodEnum>`
                
                

                """

                _prefix = 'ios-ch'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.CallHome.Profile.Destination.Address()
                    self.address.parent = self
                    self.transport_method = None

                class TransportMethodEnum(Enum):
                    """
                    TransportMethodEnum

                    To specify transport method for this profile

                    .. data:: http = 0

                    .. data:: email = 1

                    """

                    http = 0

                    email = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.CallHome.Profile.Destination.TransportMethodEnum']



                class Address(object):
                    """
                    To add destination address to this profile
                    
                    .. attribute:: email
                    
                    	Use email address
                    	**type**\:  str
                    
                    .. attribute:: http
                    
                    	To add http address to this profile
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-ch'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.email = None
                        self.http = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-call-home:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.email is not None:
                            return True

                        if self.http is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.CallHome.Profile.Destination.Address']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-call-home:destination'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.transport_method is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.CallHome.Profile.Destination']['meta_info']


            class SubscribeToAlertGroup(object):
                """
                Subscribe to alert\-group
                
                .. attribute:: configuration
                
                	configuration info
                	**type**\:   :py:class:`Configuration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Configuration>`
                
                	**presence node**\: True
                
                .. attribute:: diagnostic
                
                	diagnostic info
                	**type**\:   :py:class:`Diagnostic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Diagnostic>`
                
                	**presence node**\: True
                
                .. attribute:: environment
                
                	environmental info
                	**type**\:   :py:class:`Environment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Environment>`
                
                	**presence node**\: True
                
                .. attribute:: inventory
                
                	inventory info
                	**type**\:   :py:class:`Inventory <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Inventory>`
                
                	**presence node**\: True
                
                .. attribute:: syslog
                
                	syslog info
                	**type**\:   :py:class:`Syslog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Syslog>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-ch'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.configuration = None
                    self.diagnostic = None
                    self.environment = None
                    self.inventory = None
                    self.syslog = None


                class Diagnostic(object):
                    """
                    diagnostic info
                    
                    .. attribute:: severity
                    
                    	Severity
                    	**type**\:   :py:class:`SeverityEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Diagnostic.SeverityEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ch'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.severity = None

                    class SeverityEnum(Enum):
                        """
                        SeverityEnum

                        Severity

                        .. data:: catastrophic = 0

                        .. data:: critical = 1

                        .. data:: debugging = 2

                        .. data:: disaster = 3

                        .. data:: fatal = 4

                        .. data:: major = 5

                        .. data:: minor = 6

                        .. data:: normal = 7

                        .. data:: notification = 8

                        .. data:: warning = 9

                        """

                        catastrophic = 0

                        critical = 1

                        debugging = 2

                        disaster = 3

                        fatal = 4

                        major = 5

                        minor = 6

                        normal = 7

                        notification = 8

                        warning = 9


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Diagnostic.SeverityEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-call-home:diagnostic'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.severity is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Diagnostic']['meta_info']


                class Environment(object):
                    """
                    environmental info
                    
                    .. attribute:: severity
                    
                    	Severity
                    	**type**\:   :py:class:`SeverityEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Environment.SeverityEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ch'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.severity = None

                    class SeverityEnum(Enum):
                        """
                        SeverityEnum

                        Severity

                        .. data:: catastrophic = 0

                        .. data:: critical = 1

                        .. data:: debugging = 2

                        .. data:: disaster = 3

                        .. data:: fatal = 4

                        .. data:: major = 5

                        .. data:: minor = 6

                        .. data:: normal = 7

                        .. data:: notification = 8

                        .. data:: warning = 9

                        """

                        catastrophic = 0

                        critical = 1

                        debugging = 2

                        disaster = 3

                        fatal = 4

                        major = 5

                        minor = 6

                        normal = 7

                        notification = 8

                        warning = 9


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Environment.SeverityEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-call-home:environment'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.severity is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Environment']['meta_info']


                class Inventory(object):
                    """
                    inventory info
                    
                    .. attribute:: periodic
                    
                    	
                    	**type**\:   :py:class:`Periodic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ch'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.periodic = Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic()
                        self.periodic.parent = self


                    class Periodic(object):
                        """
                        
                        
                        .. attribute:: daily
                        
                        	Daily call\-home message
                        	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Daily>`
                        
                        .. attribute:: monthly
                        
                        	Monthly call\-home message
                        	**type**\:   :py:class:`Monthly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Monthly>`
                        
                        .. attribute:: weekly
                        
                        	Weekly call\-home message
                        	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Weekly>`
                        
                        

                        """

                        _prefix = 'ios-ch'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.daily = Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Daily()
                            self.daily.parent = self
                            self.monthly = Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Monthly()
                            self.monthly.parent = self
                            self.weekly = Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Weekly()
                            self.weekly.parent = self


                        class Daily(object):
                            """
                            Daily call\-home message
                            
                            .. attribute:: begin_time
                            
                            	Begin time
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-ch'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.begin_time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-call-home:daily'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.begin_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Daily']['meta_info']


                        class Monthly(object):
                            """
                            Monthly call\-home message
                            
                            .. attribute:: begin_time
                            
                            	Begin time
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            .. attribute:: date
                            
                            	Day of month
                            	**type**\:  int
                            
                            	**range:** 1..31
                            
                            

                            """

                            _prefix = 'ios-ch'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.begin_time = None
                                self.date = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-call-home:monthly'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.begin_time is not None:
                                    return True

                                if self.date is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Monthly']['meta_info']


                        class Weekly(object):
                            """
                            Weekly call\-home message
                            
                            .. attribute:: begin_time
                            
                            	Begin time
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            .. attribute:: day
                            
                            	Day of the week
                            	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-ch'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.begin_time = None
                                self.day = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-call-home:weekly'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.begin_time is not None:
                                    return True

                                if self.day is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Weekly']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-call-home:periodic'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.daily is not None and self.daily._has_data():
                                return True

                            if self.monthly is not None and self.monthly._has_data():
                                return True

                            if self.weekly is not None and self.weekly._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-call-home:inventory'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.periodic is not None and self.periodic._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Inventory']['meta_info']


                class Syslog(object):
                    """
                    syslog info
                    
                    .. attribute:: severity
                    
                    	severity
                    	**type**\: list of    :py:class:`Severity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Syslog.Severity>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ch'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.severity = YList()
                        self.severity.parent = self
                        self.severity.name = 'severity'


                    class Severity(object):
                        """
                        severity
                        
                        .. attribute:: value  <key>
                        
                        	
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Syslog.Severity.ValueEnum>`
                        
                        .. attribute:: pattern
                        
                        	Syslog message pattern
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-ch'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.value = None
                            self.pattern = None

                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: catastrophic = 0

                            .. data:: critical = 1

                            .. data:: debugging = 2

                            .. data:: disaster = 3

                            .. data:: fatal = 4

                            .. data:: major = 5

                            .. data:: minor = 6

                            .. data:: normal = 7

                            .. data:: notification = 8

                            .. data:: warning = 9

                            """

                            catastrophic = 0

                            critical = 1

                            debugging = 2

                            disaster = 3

                            fatal = 4

                            major = 5

                            minor = 6

                            normal = 7

                            notification = 8

                            warning = 9


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Syslog.Severity.ValueEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.value is None:
                                raise YPYModelError('Key property value is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-call-home:severity[Cisco-IOS-XE-call-home:value = ' + str(self.value) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.value is not None:
                                return True

                            if self.pattern is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Syslog.Severity']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-call-home:syslog'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.severity is not None:
                            for child_ref in self.severity:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Syslog']['meta_info']


                class Configuration(object):
                    """
                    configuration info
                    
                    .. attribute:: periodic
                    
                    	
                    	**type**\:   :py:class:`Periodic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ch'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.periodic = Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic()
                        self.periodic.parent = self


                    class Periodic(object):
                        """
                        
                        
                        .. attribute:: daily
                        
                        	Daily call\-home message
                        	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Daily>`
                        
                        .. attribute:: monthly
                        
                        	Monthly call\-home message
                        	**type**\:   :py:class:`Monthly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Monthly>`
                        
                        .. attribute:: weekly
                        
                        	Weekly call\-home message
                        	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Weekly>`
                        
                        

                        """

                        _prefix = 'ios-ch'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.daily = Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Daily()
                            self.daily.parent = self
                            self.monthly = Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Monthly()
                            self.monthly.parent = self
                            self.weekly = Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Weekly()
                            self.weekly.parent = self


                        class Daily(object):
                            """
                            Daily call\-home message
                            
                            .. attribute:: begin_time
                            
                            	Begin time
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-ch'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.begin_time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-call-home:daily'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.begin_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Daily']['meta_info']


                        class Monthly(object):
                            """
                            Monthly call\-home message
                            
                            .. attribute:: begin_time
                            
                            	Begin time
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            .. attribute:: date
                            
                            	Day of month
                            	**type**\:  int
                            
                            	**range:** 1..31
                            
                            

                            """

                            _prefix = 'ios-ch'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.begin_time = None
                                self.date = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-call-home:monthly'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.begin_time is not None:
                                    return True

                                if self.date is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Monthly']['meta_info']


                        class Weekly(object):
                            """
                            Weekly call\-home message
                            
                            .. attribute:: begin_time
                            
                            	Begin time
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            .. attribute:: day
                            
                            	Day of the week
                            	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-ch'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.begin_time = None
                                self.day = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-call-home:weekly'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.begin_time is not None:
                                    return True

                                if self.day is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Weekly']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-call-home:periodic'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.daily is not None and self.daily._has_data():
                                return True

                            if self.monthly is not None and self.monthly._has_data():
                                return True

                            if self.weekly is not None and self.weekly._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-call-home:configuration'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.periodic is not None and self.periodic._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.CallHome.Profile.SubscribeToAlertGroup.Configuration']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-call-home:subscribe-to-alert-group'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.configuration is not None and self.configuration._has_data():
                        return True

                    if self.diagnostic is not None and self.diagnostic._has_data():
                        return True

                    if self.environment is not None and self.environment._has_data():
                        return True

                    if self.inventory is not None and self.inventory._has_data():
                        return True

                    if self.syslog is not None and self.syslog._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.CallHome.Profile.SubscribeToAlertGroup']['meta_info']

            @property
            def _common_path(self):
                if self.profile_name is None:
                    raise YPYModelError('Key property profile_name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:call-home/Cisco-IOS-XE-call-home:profile[Cisco-IOS-XE-call-home:profile-name = ' + str(self.profile_name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.profile_name is not None:
                    return True

                if self.active is not None:
                    return True

                if self.destination is not None and self.destination._has_data():
                    return True

                if self.subscribe_to_alert_group is not None and self.subscribe_to_alert_group._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.CallHome.Profile']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:call-home'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self._is_presence:
                return True
            if self.contact_email_addr is not None:
                return True

            if self.http_proxy is not None and self.http_proxy._has_data():
                return True

            if self.profile is not None:
                for child_ref in self.profile:
                    if child_ref._has_data():
                        return True

            if self.source_interface is not None and self.source_interface._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.CallHome']['meta_info']


    class HwModule(object):
        """
        Control of individual components in the system
        
        .. attribute:: pvdm
        
        	
        	**type**\:  str
        
        .. attribute:: sm
        
        	
        	**type**\:  int
        
        	**range:** 0..255
        
        .. attribute:: uplink
        
        	Uplink control
        	**type**\:   :py:class:`Uplink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.HwModule.Uplink>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.pvdm = None
            self.sm = None
            self.uplink = Native.HwModule.Uplink()
            self.uplink.parent = self


        class Uplink(object):
            """
            Uplink control
            
            .. attribute:: mode
            
            	Uplink mode
            	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.HwModule.Uplink.ModeEnum>`
            
            .. attribute:: select
            
            	Select uplink interface
            	**type**\:  str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.mode = None
                self.select = None

            class ModeEnum(Enum):
                """
                ModeEnum

                Uplink mode

                .. data:: shared_backplane = 0

                """

                shared_backplane = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.HwModule.Uplink.ModeEnum']


            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:hw-module/Cisco-IOS-XE-native:uplink'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.mode is not None:
                    return True

                if self.select is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.HwModule.Uplink']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:hw-module'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.pvdm is not None:
                return True

            if self.sm is not None:
                return True

            if self.uplink is not None and self.uplink._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.HwModule']['meta_info']


    class Cisp(object):
        """
        Set CISP parameters
        
        .. attribute:: enable
        
        	Enable CISP
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.enable = None

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cisp'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.enable is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Cisp']['meta_info']


    class Module(object):
        """
        Module
        
        .. attribute:: provision
        
        	Configure module provision status
        	**type**\:   :py:class:`Provision <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Module.Provision>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.provision = Native.Module.Provision()
            self.provision.parent = self


        class Provision(object):
            """
            Configure module provision status
            
            .. attribute:: switch
            
            	
            	**type**\: list of    :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Module.Provision.Switch>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.switch = YList()
                self.switch.parent = self
                self.switch.name = 'switch'


            class Switch(object):
                """
                
                
                .. attribute:: number  <key>
                
                	
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: chassis
                
                	
                	**type**\:   :py:class:`Chassis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Module.Provision.Switch.Chassis>`
                
                .. attribute:: slot
                
                	
                	**type**\: list of    :py:class:`Slot <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Module.Provision.Switch.Slot>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.chassis = Native.Module.Provision.Switch.Chassis()
                    self.chassis.parent = self
                    self.slot = YList()
                    self.slot.parent = self
                    self.slot.name = 'slot'


                class Chassis(object):
                    """
                    
                    
                    .. attribute:: base_mac
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: chassis_type
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.base_mac = None
                        self.chassis_type = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:chassis'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.base_mac is not None:
                            return True

                        if self.chassis_type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Module.Provision.Switch.Chassis']['meta_info']


                class Slot(object):
                    """
                    
                    
                    .. attribute:: number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: base_mac
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: slot_type
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.number = None
                        self.base_mac = None
                        self.slot_type = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.number is None:
                            raise YPYModelError('Key property number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:slot[Cisco-IOS-XE-switch:number = ' + str(self.number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.number is not None:
                            return True

                        if self.base_mac is not None:
                            return True

                        if self.slot_type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Module.Provision.Switch.Slot']['meta_info']

                @property
                def _common_path(self):
                    if self.number is None:
                        raise YPYModelError('Key property number is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:module/Cisco-IOS-XE-switch:provision/Cisco-IOS-XE-switch:switch[Cisco-IOS-XE-switch:number = ' + str(self.number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.chassis is not None and self.chassis._has_data():
                        return True

                    if self.slot is not None:
                        for child_ref in self.slot:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Module.Provision.Switch']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:module/Cisco-IOS-XE-switch:provision'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.switch is not None:
                    for child_ref in self.switch:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Module.Provision']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:module'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.provision is not None and self.provision._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Module']['meta_info']


    class Domain(object):
        """
        Domain Configuration Commands
        
        .. attribute:: name  <key>
        
        	
        	**type**\:  str
        
        .. attribute:: vrf
        
        	Specify vrf for domain
        	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.name = None
            self.vrf = YList()
            self.vrf.parent = self
            self.vrf.name = 'vrf'


        class Vrf(object):
            """
            Specify vrf for domain
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: border
            
            	Enter border router configuration submode
            	**type**\:   :py:class:`Border <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Border>`
            
            .. attribute:: master
            
            	Enter master controller configuration submode
            	**type**\:   :py:class:`Master <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.border = Native.Domain.Vrf.Border()
                self.border.parent = self
                self.master = Native.Domain.Vrf.Master()
                self.master.parent = self


            class Border(object):
                """
                Enter border router configuration submode
                
                .. attribute:: master
                
                	Specify IP address of Domain master controller
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:   :py:class:`MasterEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Border.MasterEnum>`
                
                
                ----
                .. attribute:: password
                
                	MD5 password to be used with MC
                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Border.Password>`
                
                .. attribute:: source_interface
                
                	Source Interface for border
                	**type**\:   :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Border.SourceInterface>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.master = None
                    self.password = Native.Domain.Vrf.Border.Password()
                    self.password.parent = self
                    self.source_interface = Native.Domain.Vrf.Border.SourceInterface()
                    self.source_interface.parent = self

                class MasterEnum(Enum):
                    """
                    MasterEnum

                    Specify IP address of Domain master controller

                    .. data:: local = 0

                    """

                    local = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Domain.Vrf.Border.MasterEnum']



                class SourceInterface(object):
                    """
                    Source Interface for border
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.loopback = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:source-interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.loopback is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Domain.Vrf.Border.SourceInterface']['meta_info']


                class Password(object):
                    """
                    MD5 password to be used with MC
                    
                    .. attribute:: clear_key
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Border.Password.EncryptionEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.clear_key = None
                        self.encryption = None

                    class EncryptionEnum(Enum):
                        """
                        EncryptionEnum

                        .. data:: Y_0 = 0

                        .. data:: Y_7 = 1

                        """

                        Y_0 = 0

                        Y_7 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Domain.Vrf.Border.Password.EncryptionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:password'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.clear_key is not None:
                            return True

                        if self.encryption is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Domain.Vrf.Border.Password']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:border'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.master is not None:
                        return True

                    if self.password is not None and self.password._has_data():
                        return True

                    if self.source_interface is not None and self.source_interface._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Domain.Vrf.Border']['meta_info']


            class Master(object):
                """
                Enter master controller configuration submode
                
                .. attribute:: advanced
                
                	Advanced configuration submode
                	**type**\:   :py:class:`Advanced <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Advanced>`
                
                .. attribute:: branch
                
                	Set master type as branch hub
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: class_
                
                	Create domain class and enter domain class command mode
                	**type**\: list of    :py:class:`Class_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Class_>`
                
                .. attribute:: collector
                
                	NMS/v9 collector configuration
                	**type**\:   :py:class:`Collector <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Collector>`
                
                .. attribute:: enterprise_prefix
                
                	Enterprise prefix configuration
                	**type**\:   :py:class:`EnterprisePrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.EnterprisePrefix>`
                
                .. attribute:: hub
                
                	Set master type as hub
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hub_ip
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: load_balance
                
                	load balance non\-policy traffic
                	**type**\:   :py:class:`LoadBalance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.LoadBalance>`
                
                	**presence node**\: True
                
                .. attribute:: password
                
                	MD5 password to be used with BRs
                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Password>`
                
                .. attribute:: site_prefixes
                
                	site\-prefixes configuration
                	**type**\:   :py:class:`SitePrefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.SitePrefixes>`
                
                .. attribute:: source_interface
                
                	Source Interface for master controller
                	**type**\:   :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.SourceInterface>`
                
                .. attribute:: transit
                
                	Set master type as transit
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.advanced = Native.Domain.Vrf.Master.Advanced()
                    self.advanced.parent = self
                    self.branch = None
                    self.class_ = YList()
                    self.class_.parent = self
                    self.class_.name = 'class_'
                    self.collector = Native.Domain.Vrf.Master.Collector()
                    self.collector.parent = self
                    self.enterprise_prefix = Native.Domain.Vrf.Master.EnterprisePrefix()
                    self.enterprise_prefix.parent = self
                    self.hub = None
                    self.hub_ip = None
                    self.load_balance = None
                    self.password = Native.Domain.Vrf.Master.Password()
                    self.password.parent = self
                    self.site_prefixes = Native.Domain.Vrf.Master.SitePrefixes()
                    self.site_prefixes.parent = self
                    self.source_interface = Native.Domain.Vrf.Master.SourceInterface()
                    self.source_interface.parent = self
                    self.transit = None


                class Advanced(object):
                    """
                    Advanced configuration submode
                    
                    .. attribute:: byte_loss_threshold
                    
                    	Specify minimum byte loss calculation threshold
                    	**type**\:  int
                    
                    	**range:** 0..5600
                    
                    .. attribute:: channel_unreachable_timer
                    
                    	Unreach interval detection
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: load_sharing
                    
                    	Enable load\-sharing
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: minimum_mask_length
                    
                    	Specify minimum mask length
                    	**type**\:  int
                    
                    	**range:** 1..32
                    
                    .. attribute:: mitigation_mode
                    
                    	Enable brownout detection in domain
                    	**type**\:   :py:class:`MitigationModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Advanced.MitigationModeEnum>`
                    
                    .. attribute:: packet_loss_threshold
                    
                    	Specify minimum packet loss calculation threshold
                    	**type**\:  int
                    
                    	**range:** 1..100
                    
                    .. attribute:: smart_probes
                    
                    	Smart probes configuration
                    	**type**\:   :py:class:`SmartProbes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Advanced.SmartProbes>`
                    
                    .. attribute:: syslog
                    
                    	Specify syslog minimim time between tca
                    	**type**\:   :py:class:`Syslog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Advanced.Syslog>`
                    
                    .. attribute:: tcp
                    
                    	Specify tcp port numbers for mc\-br communication
                    	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Advanced.Tcp>`
                    
                    .. attribute:: threshold_variance
                    
                    	Policy decision Threshold variance
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    .. attribute:: traffic_class_ageout_timer
                    
                    	Traffic\-class DB age timer
                    	**type**\:   :py:class:`TrafficClassAgeoutTimer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Advanced.TrafficClassAgeoutTimer>`
                    
                    .. attribute:: transit_site_affinity
                    
                    	Enable Transit Site Affinity
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.byte_loss_threshold = None
                        self.channel_unreachable_timer = None
                        self.load_sharing = None
                        self.minimum_mask_length = None
                        self.mitigation_mode = None
                        self.packet_loss_threshold = None
                        self.smart_probes = Native.Domain.Vrf.Master.Advanced.SmartProbes()
                        self.smart_probes.parent = self
                        self.syslog = Native.Domain.Vrf.Master.Advanced.Syslog()
                        self.syslog.parent = self
                        self.tcp = Native.Domain.Vrf.Master.Advanced.Tcp()
                        self.tcp.parent = self
                        self.threshold_variance = None
                        self.traffic_class_ageout_timer = Native.Domain.Vrf.Master.Advanced.TrafficClassAgeoutTimer()
                        self.traffic_class_ageout_timer.parent = self
                        self.transit_site_affinity = None

                    class MitigationModeEnum(Enum):
                        """
                        MitigationModeEnum

                        Enable brownout detection in domain

                        .. data:: aggressive = 0

                        """

                        aggressive = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Domain.Vrf.Master.Advanced.MitigationModeEnum']



                    class SmartProbes(object):
                        """
                        Smart probes configuration
                        
                        .. attribute:: destination_port
                        
                        	Specify smart probes destination port number
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: source_port
                        
                        	Specify smart probes source port number
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination_port = None
                            self.source_port = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:smart-probes'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination_port is not None:
                                return True

                            if self.source_port is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Domain.Vrf.Master.Advanced.SmartProbes']['meta_info']


                    class Syslog(object):
                        """
                        Specify syslog minimim time between tca
                        
                        .. attribute:: tca_time_min
                        
                        	Specify time between syslog tcas in seconds
                        	**type**\:  int
                        
                        	**range:** 30..36000
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.tca_time_min = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:syslog'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.tca_time_min is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Domain.Vrf.Master.Advanced.Syslog']['meta_info']


                    class Tcp(object):
                        """
                        Specify tcp port numbers for mc\-br communication
                        
                        .. attribute:: mc_port
                        
                        	Specify tcp MC self port for mc\-br communication
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.mc_port = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.mc_port is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Domain.Vrf.Master.Advanced.Tcp']['meta_info']


                    class TrafficClassAgeoutTimer(object):
                        """
                        Traffic\-class DB age timer
                        
                        .. attribute:: interval
                        
                        	Specify new timer interval value mins/hours
                        	**type**\:  int
                        
                        	**range:** 5..65535
                        
                        .. attribute:: interval_unit
                        
                        	
                        	**type**\:   :py:class:`IntervalUnitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Advanced.TrafficClassAgeoutTimer.IntervalUnitEnum>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interval = None
                            self.interval_unit = None

                        class IntervalUnitEnum(Enum):
                            """
                            IntervalUnitEnum

                            .. data:: hours = 0

                            .. data:: minutes = 1

                            """

                            hours = 0

                            minutes = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Domain.Vrf.Master.Advanced.TrafficClassAgeoutTimer.IntervalUnitEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-class-ageout-timer'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interval is not None:
                                return True

                            if self.interval_unit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Domain.Vrf.Master.Advanced.TrafficClassAgeoutTimer']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:advanced'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.byte_loss_threshold is not None:
                            return True

                        if self.channel_unreachable_timer is not None:
                            return True

                        if self.load_sharing is not None:
                            return True

                        if self.minimum_mask_length is not None:
                            return True

                        if self.mitigation_mode is not None:
                            return True

                        if self.packet_loss_threshold is not None:
                            return True

                        if self.smart_probes is not None and self.smart_probes._has_data():
                            return True

                        if self.syslog is not None and self.syslog._has_data():
                            return True

                        if self.tcp is not None and self.tcp._has_data():
                            return True

                        if self.threshold_variance is not None:
                            return True

                        if self.traffic_class_ageout_timer is not None and self.traffic_class_ageout_timer._has_data():
                            return True

                        if self.transit_site_affinity is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Domain.Vrf.Master.Advanced']['meta_info']


                class Collector(object):
                    """
                    NMS/v9 collector configuration
                    
                    .. attribute:: ip
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: port
                    
                    	Specify collector port number
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = None
                        self.port = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:collector'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None:
                            return True

                        if self.port is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Domain.Vrf.Master.Collector']['meta_info']


                class EnterprisePrefix(object):
                    """
                    Enterprise prefix configuration
                    
                    .. attribute:: prefix_list
                    
                    	Specify prefix\-list with static site targets
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.prefix_list = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:enterprise-prefix'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.prefix_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Domain.Vrf.Master.EnterprisePrefix']['meta_info']


                class LoadBalance(object):
                    """
                    load balance non\-policy traffic
                    
                    .. attribute:: advanced
                    
                    	Load balancing configuration mode
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.advanced = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load-balance'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.advanced is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Domain.Vrf.Master.LoadBalance']['meta_info']


                class Password(object):
                    """
                    MD5 password to be used with BRs
                    
                    .. attribute:: clear_key
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Password.EncryptionEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.clear_key = None
                        self.encryption = None

                    class EncryptionEnum(Enum):
                        """
                        EncryptionEnum

                        .. data:: Y_0 = 0

                        .. data:: Y_7 = 1

                        """

                        Y_0 = 0

                        Y_7 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Domain.Vrf.Master.Password.EncryptionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:password'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.clear_key is not None:
                            return True

                        if self.encryption is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Domain.Vrf.Master.Password']['meta_info']


                class SitePrefixes(object):
                    """
                    site\-prefixes configuration
                    
                    .. attribute:: prefix_list
                    
                    	Specify prefix\-list with static site targets
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.prefix_list = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:site-prefixes'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.prefix_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Domain.Vrf.Master.SitePrefixes']['meta_info']


                class SourceInterface(object):
                    """
                    Source Interface for master controller
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.loopback = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:source-interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.loopback is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Domain.Vrf.Master.SourceInterface']['meta_info']


                class Class_(object):
                    """
                    Create domain class and enter domain class command mode
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: sequence  <key>
                    
                    	Set the Sequence for the class
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: match
                    
                    	Specify the applications the policy applies to
                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Class_.Match>`
                    
                    .. attribute:: path_preference
                    
                    	Specify the preferred provider
                    	**type**\:   :py:class:`PathPreference <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Class_.PathPreference>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.sequence = None
                        self.match = Native.Domain.Vrf.Master.Class_.Match()
                        self.match.parent = self
                        self.path_preference = Native.Domain.Vrf.Master.Class_.PathPreference()
                        self.path_preference.parent = self


                    class Match(object):
                        """
                        Specify the applications the policy applies to
                        
                        .. attribute:: dscp
                        
                        	specify DSCP
                        	**type**\: list of    :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Class_.Match.Dscp>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dscp = YList()
                            self.dscp.parent = self
                            self.dscp.name = 'dscp'


                        class Dscp(object):
                            """
                            specify DSCP
                            
                            .. attribute:: value  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..63
                            
                            
                            ----
                            	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                            
                            
                            ----
                            .. attribute:: policy
                            
                            	Specify the policy (user defined/predefined)
                            	**type**\:   :py:class:`PolicyEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Class_.Match.Dscp.PolicyEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.value = None
                                self.policy = None

                            class PolicyEnum(Enum):
                                """
                                PolicyEnum

                                Specify the policy (user defined/predefined)

                                .. data:: best_effort = 0

                                .. data:: bulk_data = 1

                                .. data:: custom = 2

                                .. data:: low_latency_data = 3

                                .. data:: real_time_video = 4

                                .. data:: scavenger = 5

                                .. data:: voice = 6

                                """

                                best_effort = 0

                                bulk_data = 1

                                custom = 2

                                low_latency_data = 3

                                real_time_video = 4

                                scavenger = 5

                                voice = 6


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Domain.Vrf.Master.Class_.Match.Dscp.PolicyEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.value is None:
                                    raise YPYModelError('Key property value is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:dscp[Cisco-IOS-XE-native:value = ' + str(self.value) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.value is not None:
                                    return True

                                if self.policy is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Domain.Vrf.Master.Class_.Match.Dscp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:match'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dscp is not None:
                                for child_ref in self.dscp:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Domain.Vrf.Master.Class_.Match']['meta_info']


                    class PathPreference(object):
                        """
                        Specify the preferred provider
                        
                        .. attribute:: fallback
                        
                        	Specify the fallback provider
                        	**type**\:  list of str
                        
                        .. attribute:: primary
                        
                        	Primary service provider
                        	**type**\:  list of str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.fallback = YLeafList()
                            self.fallback.parent = self
                            self.fallback.name = 'fallback'
                            self.primary = YLeafList()
                            self.primary.parent = self
                            self.primary.name = 'primary'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:path-preference'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.fallback is not None:
                                for child in self.fallback:
                                    if child is not None:
                                        return True

                            if self.primary is not None:
                                for child in self.primary:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Domain.Vrf.Master.Class_.PathPreference']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.name is None:
                            raise YPYModelError('Key property name is None')
                        if self.sequence is None:
                            raise YPYModelError('Key property sequence is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:class[Cisco-IOS-XE-native:name = ' + str(self.name) + '][Cisco-IOS-XE-native:sequence = ' + str(self.sequence) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.sequence is not None:
                            return True

                        if self.match is not None and self.match._has_data():
                            return True

                        if self.path_preference is not None and self.path_preference._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Domain.Vrf.Master.Class_']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:master'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.advanced is not None and self.advanced._has_data():
                        return True

                    if self.branch is not None:
                        return True

                    if self.class_ is not None:
                        for child_ref in self.class_:
                            if child_ref._has_data():
                                return True

                    if self.collector is not None and self.collector._has_data():
                        return True

                    if self.enterprise_prefix is not None and self.enterprise_prefix._has_data():
                        return True

                    if self.hub is not None:
                        return True

                    if self.hub_ip is not None:
                        return True

                    if self.load_balance is not None and self.load_balance._has_data():
                        return True

                    if self.password is not None and self.password._has_data():
                        return True

                    if self.site_prefixes is not None and self.site_prefixes._has_data():
                        return True

                    if self.source_interface is not None and self.source_interface._has_data():
                        return True

                    if self.transit is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Domain.Vrf.Master']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return self.parent._common_path +'/Cisco-IOS-XE-native:vrf[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.border is not None and self.border._has_data():
                    return True

                if self.master is not None and self.master._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Domain.Vrf']['meta_info']

        @property
        def _common_path(self):
            if self.name is None:
                raise YPYModelError('Key property name is None')

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:domain[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.name is not None:
                return True

            if self.vrf is not None:
                for child_ref in self.vrf:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Domain']['meta_info']


    class Parser(object):
        """
        Configure parser
        
        .. attribute:: config
        
        	Configure config generation
        	**type**\:   :py:class:`Config <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Parser.Config>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.config = Native.Parser.Config()
            self.config.parent = self


        class Config(object):
            """
            Configure config generation
            
            .. attribute:: cache
            
            	Cache the configuration
            	**type**\:   :py:class:`CacheEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Parser.Config.CacheEnum>`
            
            .. attribute:: partition
            
            	Enable configuration Partitioning
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.cache = None
                self.partition = None

            class CacheEnum(Enum):
                """
                CacheEnum

                Cache the configuration

                .. data:: interface = 0

                """

                interface = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Parser.Config.CacheEnum']


            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:parser/Cisco-IOS-XE-native:config'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.cache is not None:
                    return True

                if self.partition is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Parser.Config']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:parser'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.config is not None and self.config._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Parser']['meta_info']


    class Service(object):
        """
        Modify use of network based services
        
        .. attribute:: alignment
        
        	Control alignment correction and logging
        	**type**\:   :py:class:`Alignment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Alignment>`
        
        .. attribute:: call_home
        
        	Enable call\-home service
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: compress_config
        
        	Compress the configuration file
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: config
        
        	TFTP load config files
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: counters
        
        	Control aging of interface counters
        	**type**\:   :py:class:`Counters <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Counters>`
        
        .. attribute:: dhcp
        
        	Enable DHCP server and relay agent
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: disable_ip_fast_frag
        
        	Disable IP particle\-based fast fragmentation
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: exec_callback
        
        	Enable exec callback
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: exec_wait
        
        	Delay EXEC startup on noisy lines
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: finger
        
        	Allow responses to finger requests
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: heartbeat
        
        	Enable heartbeat processing
        	**type**\:   :py:class:`Heartbeat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Heartbeat>`
        
        .. attribute:: hide_telnet_addresses
        
        	Hide destination addresses in telnet command
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: internal
        
        	Enable/Disable Internal commands
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: linenumber
        
        	enable line number banner for each exec
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: log_hidden
        
        	Enable syslog msgs for hidden/internal commands
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: nagle
        
        	Enable Nagle's congestion control algorithm
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: old_slip_prompts
        
        	Allow old scripts to operate with slip/ppp
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: pad
        
        	Enable PAD commands
        	**type**\:   :py:class:`Pad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Pad>`
        
        	**presence node**\: True
        
        .. attribute:: pad_conf
        
        	
        	**type**\:   :py:class:`PadConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.PadConf>`
        
        .. attribute:: password_encryption
        
        	Encrypt system passwords
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: password_recovery
        
        	Enable password recovery
        	**type**\:  bool
        
        .. attribute:: prompt
        
        	Enable mode specific prompt
        	**type**\:   :py:class:`Prompt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Prompt>`
        
        .. attribute:: pt_vty_logging
        
        	Log significant VTY\-Async events
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: sequence_numbers
        
        	Stamp logger messages with a sequence number
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: slave_log
        
        	Enable log capability of slave IPs
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: tcp_keepalives_in
        
        	Generate keepalives on idle incoming network connections
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: tcp_keepalives_out
        
        	Generate keepalives on idle outgoing network connections
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: tcp_small_servers
        
        	Enable small TCP servers (e.g., ECHO)
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: telnet_zeroidle
        
        	Set TCP window 0 when connection is idle
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: timestamps
        
        	Timestamp debug/log messages
        	**type**\:   :py:class:`Timestamps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps>`
        
        	**presence node**\: True
        
        .. attribute:: udp_small_servers
        
        	Enable small UDP servers (e.g., ECHO)
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: unsupported_transceiver
        
        	Enable support for third\-party transceivers
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.alignment = Native.Service.Alignment()
            self.alignment.parent = self
            self.call_home = None
            self.compress_config = None
            self.config = None
            self.counters = Native.Service.Counters()
            self.counters.parent = self
            self.dhcp = None
            self.disable_ip_fast_frag = None
            self.exec_callback = None
            self.exec_wait = None
            self.finger = None
            self.heartbeat = Native.Service.Heartbeat()
            self.heartbeat.parent = self
            self.hide_telnet_addresses = None
            self.internal = None
            self.linenumber = None
            self.log_hidden = None
            self.nagle = None
            self.old_slip_prompts = None
            self.pad = None
            self.pad_conf = Native.Service.PadConf()
            self.pad_conf.parent = self
            self.password_encryption = None
            self.password_recovery = None
            self.prompt = Native.Service.Prompt()
            self.prompt.parent = self
            self.pt_vty_logging = None
            self.sequence_numbers = None
            self.slave_log = None
            self.tcp_keepalives_in = None
            self.tcp_keepalives_out = None
            self.tcp_small_servers = None
            self.telnet_zeroidle = None
            self.timestamps = None
            self.udp_small_servers = None
            self.unsupported_transceiver = None


        class PadConf(object):
            """
            
            
            .. attribute:: pad
            
            	Enable PAD commands
            	**type**\:  bool
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.pad = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:pad-conf'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.pad is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Service.PadConf']['meta_info']


        class Pad(object):
            """
            Enable PAD commands
            
            .. attribute:: cmns
            
            	Enable PAD over CMNS connections
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: from_xot
            
            	Accept XOT to PAD connections
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: to_xot
            
            	Allow outgoing PAD over XOT connections
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.cmns = None
                self.from_xot = None
                self.to_xot = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:pad'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.cmns is not None:
                    return True

                if self.from_xot is not None:
                    return True

                if self.to_xot is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Service.Pad']['meta_info']


        class Timestamps(object):
            """
            Timestamp debug/log messages
            
            .. attribute:: debug
            
            	Timestamp debug messages
            	**type**\:   :py:class:`Debug <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug>`
            
            .. attribute:: log
            
            	Timestamp log messages
            	**type**\:   :py:class:`Log <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.debug = Native.Service.Timestamps.Debug()
                self.debug.parent = self
                self.log = Native.Service.Timestamps.Log()
                self.log.parent = self


            class Debug(object):
                """
                Timestamp debug messages
                
                .. attribute:: datetime
                
                	Timestamp with date and time
                	**type**\:   :py:class:`Datetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime>`
                
                	**presence node**\: True
                
                .. attribute:: uptime
                
                	Timestamp with system uptime
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.datetime = None
                    self.uptime = None


                class Datetime(object):
                    """
                    Timestamp with date and time
                    
                    .. attribute:: localtime
                    
                    	Use local time zone for timestamps
                    	**type**\:   :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Localtime>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: msec
                    
                    	Include milliseconds in timestamp
                    	**type**\:   :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Msec>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: show_timezone
                    
                    	Add time zone information to timestamp
                    	**type**\:   :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.ShowTimezone>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: year
                    
                    	Include year in timestamp
                    	**type**\:   :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Year>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.localtime = None
                        self.msec = None
                        self.show_timezone = None
                        self.year = None


                    class Localtime(object):
                        """
                        Use local time zone for timestamps
                        
                        .. attribute:: msec
                        
                        	Include milliseconds in timestamp
                        	**type**\:   :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Localtime.Msec>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: show_timezone
                        
                        	Add time zone information to timestamp
                        	**type**\:   :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: year
                        
                        	Include year in timestamp
                        	**type**\:   :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Localtime.Year>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.msec = None
                            self.show_timezone = None
                            self.year = None


                        class Msec(object):
                            """
                            Include milliseconds in timestamp
                            
                            .. attribute:: show_timezone
                            
                            	Add time zone information to timestamp
                            	**type**\:   :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Localtime.Msec.ShowTimezone>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: year
                            
                            	Include year in timestamp
                            	**type**\:   :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Localtime.Msec.Year>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.show_timezone = None
                                self.year = None


                            class ShowTimezone(object):
                                """
                                Add time zone information to timestamp
                                
                                .. attribute:: year
                                
                                	Include year in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.year = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:show-timezone'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.year is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.Msec.ShowTimezone']['meta_info']


                            class Year(object):
                                """
                                Include year in timestamp
                                
                                .. attribute:: show_timezone
                                
                                	Add time zone information to timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.show_timezone = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:year'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.show_timezone is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.Msec.Year']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:msec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.show_timezone is not None and self.show_timezone._has_data():
                                    return True

                                if self.year is not None and self.year._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.Msec']['meta_info']


                        class ShowTimezone(object):
                            """
                            Add time zone information to timestamp
                            
                            .. attribute:: msec
                            
                            	Include milliseconds in timestamp
                            	**type**\:   :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone.Msec>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: year
                            
                            	Include year in timestamp
                            	**type**\:   :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone.Year>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.msec = None
                                self.year = None


                            class Msec(object):
                                """
                                Include milliseconds in timestamp
                                
                                .. attribute:: year
                                
                                	Include year in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.year = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:msec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.year is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone.Msec']['meta_info']


                            class Year(object):
                                """
                                Include year in timestamp
                                
                                .. attribute:: msec
                                
                                	Include milliseconds in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.msec = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:year'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.msec is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone.Year']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:show-timezone'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.msec is not None and self.msec._has_data():
                                    return True

                                if self.year is not None and self.year._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone']['meta_info']


                        class Year(object):
                            """
                            Include year in timestamp
                            
                            .. attribute:: msec
                            
                            	Include milliseconds in timestamp
                            	**type**\:   :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Localtime.Year.Msec>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: show_timezone
                            
                            	Add time zone information to timestamp
                            	**type**\:   :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Localtime.Year.ShowTimezone>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.msec = None
                                self.show_timezone = None


                            class Msec(object):
                                """
                                Include milliseconds in timestamp
                                
                                .. attribute:: show_timezone
                                
                                	Add time zone information to timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.show_timezone = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:msec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.show_timezone is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.Year.Msec']['meta_info']


                            class ShowTimezone(object):
                                """
                                Add time zone information to timestamp
                                
                                .. attribute:: msec
                                
                                	Include milliseconds in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.msec = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:show-timezone'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.msec is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.Year.ShowTimezone']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:year'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.msec is not None and self.msec._has_data():
                                    return True

                                if self.show_timezone is not None and self.show_timezone._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime.Year']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:localtime'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.msec is not None and self.msec._has_data():
                                return True

                            if self.show_timezone is not None and self.show_timezone._has_data():
                                return True

                            if self.year is not None and self.year._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Localtime']['meta_info']


                    class Msec(object):
                        """
                        Include milliseconds in timestamp
                        
                        .. attribute:: localtime
                        
                        	Use local time zone for timestamps
                        	**type**\:   :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Msec.Localtime>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: show_timezone
                        
                        	Add time zone information to timestamp
                        	**type**\:   :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: year
                        
                        	Include year in timestamp
                        	**type**\:   :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Msec.Year>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.localtime = None
                            self.show_timezone = None
                            self.year = None


                        class Localtime(object):
                            """
                            Use local time zone for timestamps
                            
                            .. attribute:: show_timezone
                            
                            	Add time zone information to timestamp
                            	**type**\:   :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Msec.Localtime.ShowTimezone>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: year
                            
                            	Include year in timestamp
                            	**type**\:   :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Msec.Localtime.Year>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.show_timezone = None
                                self.year = None


                            class ShowTimezone(object):
                                """
                                Add time zone information to timestamp
                                
                                .. attribute:: year
                                
                                	Include year in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.year = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:show-timezone'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.year is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.Localtime.ShowTimezone']['meta_info']


                            class Year(object):
                                """
                                Include year in timestamp
                                
                                .. attribute:: show_timezone
                                
                                	Add time zone information to timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.show_timezone = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:year'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.show_timezone is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.Localtime.Year']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:localtime'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.show_timezone is not None and self.show_timezone._has_data():
                                    return True

                                if self.year is not None and self.year._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.Localtime']['meta_info']


                        class ShowTimezone(object):
                            """
                            Add time zone information to timestamp
                            
                            .. attribute:: localtime
                            
                            	Use local time zone for timestamps
                            	**type**\:   :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone.Localtime>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: year
                            
                            	Include year in timestamp
                            	**type**\:   :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone.Year>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.localtime = None
                                self.year = None


                            class Localtime(object):
                                """
                                Use local time zone for timestamps
                                
                                .. attribute:: year
                                
                                	Include year in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.year = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:localtime'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.year is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone.Localtime']['meta_info']


                            class Year(object):
                                """
                                Include year in timestamp
                                
                                .. attribute:: localtime
                                
                                	Use local time zone for timestamps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.localtime = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:year'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.localtime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone.Year']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:show-timezone'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.localtime is not None and self.localtime._has_data():
                                    return True

                                if self.year is not None and self.year._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone']['meta_info']


                        class Year(object):
                            """
                            Include year in timestamp
                            
                            .. attribute:: localtime
                            
                            	Use local time zone for timestamps
                            	**type**\:   :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Msec.Year.Localtime>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: show_timezone
                            
                            	Add time zone information to timestamp
                            	**type**\:   :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Msec.Year.ShowTimezone>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.localtime = None
                                self.show_timezone = None


                            class Localtime(object):
                                """
                                Use local time zone for timestamps
                                
                                .. attribute:: show_timezone
                                
                                	Add time zone information to timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.show_timezone = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:localtime'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.show_timezone is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.Year.Localtime']['meta_info']


                            class ShowTimezone(object):
                                """
                                Add time zone information to timestamp
                                
                                .. attribute:: localtime
                                
                                	Use local time zone for timestamps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.localtime = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:show-timezone'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.localtime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.Year.ShowTimezone']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:year'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.localtime is not None and self.localtime._has_data():
                                    return True

                                if self.show_timezone is not None and self.show_timezone._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Msec.Year']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:msec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.localtime is not None and self.localtime._has_data():
                                return True

                            if self.show_timezone is not None and self.show_timezone._has_data():
                                return True

                            if self.year is not None and self.year._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Msec']['meta_info']


                    class ShowTimezone(object):
                        """
                        Add time zone information to timestamp
                        
                        .. attribute:: localtime
                        
                        	Use local time zone for timestamps
                        	**type**\:   :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: msec
                        
                        	Include milliseconds in timestamp
                        	**type**\:   :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: year
                        
                        	Include year in timestamp
                        	**type**\:   :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.localtime = None
                            self.msec = None
                            self.year = None


                        class Localtime(object):
                            """
                            Use local time zone for timestamps
                            
                            .. attribute:: msec
                            
                            	Include milliseconds in timestamp
                            	**type**\:   :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime.Msec>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: year
                            
                            	Include year in timestamp
                            	**type**\:   :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime.Year>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.msec = None
                                self.year = None


                            class Msec(object):
                                """
                                Include milliseconds in timestamp
                                
                                .. attribute:: year
                                
                                	Include year in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.year = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:msec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.year is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime.Msec']['meta_info']


                            class Year(object):
                                """
                                Include year in timestamp
                                
                                .. attribute:: msec
                                
                                	Include milliseconds in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.msec = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:year'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.msec is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime.Year']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:localtime'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.msec is not None and self.msec._has_data():
                                    return True

                                if self.year is not None and self.year._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime']['meta_info']


                        class Msec(object):
                            """
                            Include milliseconds in timestamp
                            
                            .. attribute:: localtime
                            
                            	Use local time zone for timestamps
                            	**type**\:   :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec.Localtime>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: year
                            
                            	Include year in timestamp
                            	**type**\:   :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec.Year>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.localtime = None
                                self.year = None


                            class Localtime(object):
                                """
                                Use local time zone for timestamps
                                
                                .. attribute:: year
                                
                                	Include year in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.year = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:localtime'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.year is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec.Localtime']['meta_info']


                            class Year(object):
                                """
                                Include year in timestamp
                                
                                .. attribute:: localtime
                                
                                	Use local time zone for timestamps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.localtime = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:year'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.localtime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec.Year']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:msec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.localtime is not None and self.localtime._has_data():
                                    return True

                                if self.year is not None and self.year._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec']['meta_info']


                        class Year(object):
                            """
                            Include year in timestamp
                            
                            .. attribute:: localtime
                            
                            	Use local time zone for timestamps
                            	**type**\:   :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year.Localtime>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: msec
                            
                            	Include milliseconds in timestamp
                            	**type**\:   :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year.Msec>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.localtime = None
                                self.msec = None


                            class Localtime(object):
                                """
                                Use local time zone for timestamps
                                
                                .. attribute:: msec
                                
                                	Include milliseconds in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.msec = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:localtime'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.msec is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year.Localtime']['meta_info']


                            class Msec(object):
                                """
                                Include milliseconds in timestamp
                                
                                .. attribute:: localtime
                                
                                	Use local time zone for timestamps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.localtime = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:msec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.localtime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year.Msec']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:year'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.localtime is not None and self.localtime._has_data():
                                    return True

                                if self.msec is not None and self.msec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:show-timezone'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.localtime is not None and self.localtime._has_data():
                                return True

                            if self.msec is not None and self.msec._has_data():
                                return True

                            if self.year is not None and self.year._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.ShowTimezone']['meta_info']


                    class Year(object):
                        """
                        Include year in timestamp
                        
                        .. attribute:: localtime
                        
                        	Use local time zone for timestamps
                        	**type**\:   :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Year.Localtime>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: msec
                        
                        	Include milliseconds in timestamp
                        	**type**\:   :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Year.Msec>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: show_timezone
                        
                        	Add time zone information to timestamp
                        	**type**\:   :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.localtime = None
                            self.msec = None
                            self.show_timezone = None


                        class Localtime(object):
                            """
                            Use local time zone for timestamps
                            
                            .. attribute:: msec
                            
                            	Include milliseconds in timestamp
                            	**type**\:   :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Year.Localtime.Msec>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: show_timezone
                            
                            	Add time zone information to timestamp
                            	**type**\:   :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Year.Localtime.ShowTimezone>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.msec = None
                                self.show_timezone = None


                            class Msec(object):
                                """
                                Include milliseconds in timestamp
                                
                                .. attribute:: show_timezone
                                
                                	Add time zone information to timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.show_timezone = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:msec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.show_timezone is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Year.Localtime.Msec']['meta_info']


                            class ShowTimezone(object):
                                """
                                Add time zone information to timestamp
                                
                                .. attribute:: msec
                                
                                	Include milliseconds in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.msec = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:show-timezone'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.msec is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Year.Localtime.ShowTimezone']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:localtime'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.msec is not None and self.msec._has_data():
                                    return True

                                if self.show_timezone is not None and self.show_timezone._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Year.Localtime']['meta_info']


                        class Msec(object):
                            """
                            Include milliseconds in timestamp
                            
                            .. attribute:: localtime
                            
                            	Use local time zone for timestamps
                            	**type**\:   :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Year.Msec.Localtime>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: show_timezone
                            
                            	Add time zone information to timestamp
                            	**type**\:   :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Year.Msec.ShowTimezone>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.localtime = None
                                self.show_timezone = None


                            class Localtime(object):
                                """
                                Use local time zone for timestamps
                                
                                .. attribute:: show_timezone
                                
                                	Add time zone information to timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.show_timezone = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:localtime'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.show_timezone is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Year.Msec.Localtime']['meta_info']


                            class ShowTimezone(object):
                                """
                                Add time zone information to timestamp
                                
                                .. attribute:: localtime
                                
                                	Use local time zone for timestamps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.localtime = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:show-timezone'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.localtime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Year.Msec.ShowTimezone']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:msec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.localtime is not None and self.localtime._has_data():
                                    return True

                                if self.show_timezone is not None and self.show_timezone._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Year.Msec']['meta_info']


                        class ShowTimezone(object):
                            """
                            Add time zone information to timestamp
                            
                            .. attribute:: localtime
                            
                            	Use local time zone for timestamps
                            	**type**\:   :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone.Localtime>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: msec
                            
                            	Include milliseconds in timestamp
                            	**type**\:   :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone.Msec>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.localtime = None
                                self.msec = None


                            class Localtime(object):
                                """
                                Use local time zone for timestamps
                                
                                .. attribute:: msec
                                
                                	Include milliseconds in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.msec = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:localtime'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.msec is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone.Localtime']['meta_info']


                            class Msec(object):
                                """
                                Include milliseconds in timestamp
                                
                                .. attribute:: localtime
                                
                                	Use local time zone for timestamps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.localtime = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:msec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.localtime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone.Msec']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:show-timezone'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.localtime is not None and self.localtime._has_data():
                                    return True

                                if self.msec is not None and self.msec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:year'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.localtime is not None and self.localtime._has_data():
                                return True

                            if self.msec is not None and self.msec._has_data():
                                return True

                            if self.show_timezone is not None and self.show_timezone._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Service.Timestamps.Debug.Datetime.Year']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug/Cisco-IOS-XE-native:datetime'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.localtime is not None and self.localtime._has_data():
                            return True

                        if self.msec is not None and self.msec._has_data():
                            return True

                        if self.show_timezone is not None and self.show_timezone._has_data():
                            return True

                        if self.year is not None and self.year._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Service.Timestamps.Debug.Datetime']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:debug'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.datetime is not None and self.datetime._has_data():
                        return True

                    if self.uptime is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Service.Timestamps.Debug']['meta_info']


            class Log(object):
                """
                Timestamp log messages
                
                .. attribute:: datetime
                
                	Timestamp with date and time
                	**type**\:   :py:class:`Datetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime>`
                
                	**presence node**\: True
                
                .. attribute:: uptime
                
                	Timestamp with system uptime
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.datetime = None
                    self.uptime = None


                class Datetime(object):
                    """
                    Timestamp with date and time
                    
                    .. attribute:: localtime
                    
                    	Use local time zone for timestamps
                    	**type**\:   :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Localtime>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: msec
                    
                    	Include milliseconds in timestamp
                    	**type**\:   :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Msec>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: show_timezone
                    
                    	Add time zone information to timestamp
                    	**type**\:   :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.ShowTimezone>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: year
                    
                    	Include year in timestamp
                    	**type**\:   :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Year>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.localtime = None
                        self.msec = None
                        self.show_timezone = None
                        self.year = None


                    class Localtime(object):
                        """
                        Use local time zone for timestamps
                        
                        .. attribute:: msec
                        
                        	Include milliseconds in timestamp
                        	**type**\:   :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Localtime.Msec>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: show_timezone
                        
                        	Add time zone information to timestamp
                        	**type**\:   :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Localtime.ShowTimezone>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: year
                        
                        	Include year in timestamp
                        	**type**\:   :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Localtime.Year>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.msec = None
                            self.show_timezone = None
                            self.year = None


                        class Msec(object):
                            """
                            Include milliseconds in timestamp
                            
                            .. attribute:: show_timezone
                            
                            	Add time zone information to timestamp
                            	**type**\:   :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Localtime.Msec.ShowTimezone>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: year
                            
                            	Include year in timestamp
                            	**type**\:   :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Localtime.Msec.Year>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.show_timezone = None
                                self.year = None


                            class ShowTimezone(object):
                                """
                                Add time zone information to timestamp
                                
                                .. attribute:: year
                                
                                	Include year in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.year = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:show-timezone'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.year is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.Msec.ShowTimezone']['meta_info']


                            class Year(object):
                                """
                                Include year in timestamp
                                
                                .. attribute:: show_timezone
                                
                                	Add time zone information to timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.show_timezone = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:year'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.show_timezone is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.Msec.Year']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:msec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.show_timezone is not None and self.show_timezone._has_data():
                                    return True

                                if self.year is not None and self.year._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.Msec']['meta_info']


                        class ShowTimezone(object):
                            """
                            Add time zone information to timestamp
                            
                            .. attribute:: msec
                            
                            	Include milliseconds in timestamp
                            	**type**\:   :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Localtime.ShowTimezone.Msec>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: year
                            
                            	Include year in timestamp
                            	**type**\:   :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Localtime.ShowTimezone.Year>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.msec = None
                                self.year = None


                            class Msec(object):
                                """
                                Include milliseconds in timestamp
                                
                                .. attribute:: year
                                
                                	Include year in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.year = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:msec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.year is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.ShowTimezone.Msec']['meta_info']


                            class Year(object):
                                """
                                Include year in timestamp
                                
                                .. attribute:: msec
                                
                                	Include milliseconds in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.msec = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:year'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.msec is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.ShowTimezone.Year']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:show-timezone'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.msec is not None and self.msec._has_data():
                                    return True

                                if self.year is not None and self.year._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.ShowTimezone']['meta_info']


                        class Year(object):
                            """
                            Include year in timestamp
                            
                            .. attribute:: msec
                            
                            	Include milliseconds in timestamp
                            	**type**\:   :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Localtime.Year.Msec>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: show_timezone
                            
                            	Add time zone information to timestamp
                            	**type**\:   :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Localtime.Year.ShowTimezone>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.msec = None
                                self.show_timezone = None


                            class Msec(object):
                                """
                                Include milliseconds in timestamp
                                
                                .. attribute:: show_timezone
                                
                                	Add time zone information to timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.show_timezone = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:msec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.show_timezone is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.Year.Msec']['meta_info']


                            class ShowTimezone(object):
                                """
                                Add time zone information to timestamp
                                
                                .. attribute:: msec
                                
                                	Include milliseconds in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.msec = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:show-timezone'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.msec is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.Year.ShowTimezone']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:year'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.msec is not None and self.msec._has_data():
                                    return True

                                if self.show_timezone is not None and self.show_timezone._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Localtime.Year']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:localtime'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.msec is not None and self.msec._has_data():
                                return True

                            if self.show_timezone is not None and self.show_timezone._has_data():
                                return True

                            if self.year is not None and self.year._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Localtime']['meta_info']


                    class Msec(object):
                        """
                        Include milliseconds in timestamp
                        
                        .. attribute:: localtime
                        
                        	Use local time zone for timestamps
                        	**type**\:   :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Msec.Localtime>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: show_timezone
                        
                        	Add time zone information to timestamp
                        	**type**\:   :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Msec.ShowTimezone>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: year
                        
                        	Include year in timestamp
                        	**type**\:   :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Msec.Year>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.localtime = None
                            self.show_timezone = None
                            self.year = None


                        class Localtime(object):
                            """
                            Use local time zone for timestamps
                            
                            .. attribute:: show_timezone
                            
                            	Add time zone information to timestamp
                            	**type**\:   :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Msec.Localtime.ShowTimezone>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: year
                            
                            	Include year in timestamp
                            	**type**\:   :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Msec.Localtime.Year>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.show_timezone = None
                                self.year = None


                            class ShowTimezone(object):
                                """
                                Add time zone information to timestamp
                                
                                .. attribute:: year
                                
                                	Include year in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.year = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:show-timezone'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.year is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Msec.Localtime.ShowTimezone']['meta_info']


                            class Year(object):
                                """
                                Include year in timestamp
                                
                                .. attribute:: show_timezone
                                
                                	Add time zone information to timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.show_timezone = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:year'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.show_timezone is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Msec.Localtime.Year']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:localtime'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.show_timezone is not None and self.show_timezone._has_data():
                                    return True

                                if self.year is not None and self.year._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Msec.Localtime']['meta_info']


                        class ShowTimezone(object):
                            """
                            Add time zone information to timestamp
                            
                            .. attribute:: localtime
                            
                            	Use local time zone for timestamps
                            	**type**\:   :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Msec.ShowTimezone.Localtime>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: year
                            
                            	Include year in timestamp
                            	**type**\:   :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Msec.ShowTimezone.Year>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.localtime = None
                                self.year = None


                            class Localtime(object):
                                """
                                Use local time zone for timestamps
                                
                                .. attribute:: year
                                
                                	Include year in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.year = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:localtime'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.year is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Msec.ShowTimezone.Localtime']['meta_info']


                            class Year(object):
                                """
                                Include year in timestamp
                                
                                .. attribute:: localtime
                                
                                	Use local time zone for timestamps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.localtime = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:year'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.localtime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Msec.ShowTimezone.Year']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:show-timezone'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.localtime is not None and self.localtime._has_data():
                                    return True

                                if self.year is not None and self.year._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Msec.ShowTimezone']['meta_info']


                        class Year(object):
                            """
                            Include year in timestamp
                            
                            .. attribute:: localtime
                            
                            	Use local time zone for timestamps
                            	**type**\:   :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Msec.Year.Localtime>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: show_timezone
                            
                            	Add time zone information to timestamp
                            	**type**\:   :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Msec.Year.ShowTimezone>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.localtime = None
                                self.show_timezone = None


                            class Localtime(object):
                                """
                                Use local time zone for timestamps
                                
                                .. attribute:: show_timezone
                                
                                	Add time zone information to timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.show_timezone = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:localtime'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.show_timezone is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Msec.Year.Localtime']['meta_info']


                            class ShowTimezone(object):
                                """
                                Add time zone information to timestamp
                                
                                .. attribute:: localtime
                                
                                	Use local time zone for timestamps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.localtime = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:show-timezone'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.localtime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Msec.Year.ShowTimezone']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:year'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.localtime is not None and self.localtime._has_data():
                                    return True

                                if self.show_timezone is not None and self.show_timezone._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Msec.Year']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:msec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.localtime is not None and self.localtime._has_data():
                                return True

                            if self.show_timezone is not None and self.show_timezone._has_data():
                                return True

                            if self.year is not None and self.year._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Msec']['meta_info']


                    class ShowTimezone(object):
                        """
                        Add time zone information to timestamp
                        
                        .. attribute:: localtime
                        
                        	Use local time zone for timestamps
                        	**type**\:   :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.ShowTimezone.Localtime>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: msec
                        
                        	Include milliseconds in timestamp
                        	**type**\:   :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.ShowTimezone.Msec>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: year
                        
                        	Include year in timestamp
                        	**type**\:   :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.ShowTimezone.Year>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.localtime = None
                            self.msec = None
                            self.year = None


                        class Localtime(object):
                            """
                            Use local time zone for timestamps
                            
                            .. attribute:: msec
                            
                            	Include milliseconds in timestamp
                            	**type**\:   :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.ShowTimezone.Localtime.Msec>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: year
                            
                            	Include year in timestamp
                            	**type**\:   :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.ShowTimezone.Localtime.Year>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.msec = None
                                self.year = None


                            class Msec(object):
                                """
                                Include milliseconds in timestamp
                                
                                .. attribute:: year
                                
                                	Include year in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.year = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:msec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.year is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Localtime.Msec']['meta_info']


                            class Year(object):
                                """
                                Include year in timestamp
                                
                                .. attribute:: msec
                                
                                	Include milliseconds in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.msec = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:year'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.msec is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Localtime.Year']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:localtime'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.msec is not None and self.msec._has_data():
                                    return True

                                if self.year is not None and self.year._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Localtime']['meta_info']


                        class Msec(object):
                            """
                            Include milliseconds in timestamp
                            
                            .. attribute:: localtime
                            
                            	Use local time zone for timestamps
                            	**type**\:   :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.ShowTimezone.Msec.Localtime>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: year
                            
                            	Include year in timestamp
                            	**type**\:   :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.ShowTimezone.Msec.Year>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.localtime = None
                                self.year = None


                            class Localtime(object):
                                """
                                Use local time zone for timestamps
                                
                                .. attribute:: year
                                
                                	Include year in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.year = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:localtime'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.year is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Msec.Localtime']['meta_info']


                            class Year(object):
                                """
                                Include year in timestamp
                                
                                .. attribute:: localtime
                                
                                	Use local time zone for timestamps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.localtime = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:year'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.localtime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Msec.Year']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:msec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.localtime is not None and self.localtime._has_data():
                                    return True

                                if self.year is not None and self.year._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Msec']['meta_info']


                        class Year(object):
                            """
                            Include year in timestamp
                            
                            .. attribute:: localtime
                            
                            	Use local time zone for timestamps
                            	**type**\:   :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.ShowTimezone.Year.Localtime>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: msec
                            
                            	Include milliseconds in timestamp
                            	**type**\:   :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.ShowTimezone.Year.Msec>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.localtime = None
                                self.msec = None


                            class Localtime(object):
                                """
                                Use local time zone for timestamps
                                
                                .. attribute:: msec
                                
                                	Include milliseconds in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.msec = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:localtime'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.msec is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Year.Localtime']['meta_info']


                            class Msec(object):
                                """
                                Include milliseconds in timestamp
                                
                                .. attribute:: localtime
                                
                                	Use local time zone for timestamps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.localtime = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:msec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.localtime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Year.Msec']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:year'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.localtime is not None and self.localtime._has_data():
                                    return True

                                if self.msec is not None and self.msec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone.Year']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:show-timezone'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.localtime is not None and self.localtime._has_data():
                                return True

                            if self.msec is not None and self.msec._has_data():
                                return True

                            if self.year is not None and self.year._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Service.Timestamps.Log.Datetime.ShowTimezone']['meta_info']


                    class Year(object):
                        """
                        Include year in timestamp
                        
                        .. attribute:: localtime
                        
                        	Use local time zone for timestamps
                        	**type**\:   :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Year.Localtime>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: msec
                        
                        	Include milliseconds in timestamp
                        	**type**\:   :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Year.Msec>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: show_timezone
                        
                        	Add time zone information to timestamp
                        	**type**\:   :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Year.ShowTimezone>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.localtime = None
                            self.msec = None
                            self.show_timezone = None


                        class Localtime(object):
                            """
                            Use local time zone for timestamps
                            
                            .. attribute:: msec
                            
                            	Include milliseconds in timestamp
                            	**type**\:   :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Year.Localtime.Msec>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: show_timezone
                            
                            	Add time zone information to timestamp
                            	**type**\:   :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Year.Localtime.ShowTimezone>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.msec = None
                                self.show_timezone = None


                            class Msec(object):
                                """
                                Include milliseconds in timestamp
                                
                                .. attribute:: show_timezone
                                
                                	Add time zone information to timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.show_timezone = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:msec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.show_timezone is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Year.Localtime.Msec']['meta_info']


                            class ShowTimezone(object):
                                """
                                Add time zone information to timestamp
                                
                                .. attribute:: msec
                                
                                	Include milliseconds in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.msec = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:localtime/Cisco-IOS-XE-native:show-timezone'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.msec is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Year.Localtime.ShowTimezone']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:localtime'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.msec is not None and self.msec._has_data():
                                    return True

                                if self.show_timezone is not None and self.show_timezone._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Year.Localtime']['meta_info']


                        class Msec(object):
                            """
                            Include milliseconds in timestamp
                            
                            .. attribute:: localtime
                            
                            	Use local time zone for timestamps
                            	**type**\:   :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Year.Msec.Localtime>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: show_timezone
                            
                            	Add time zone information to timestamp
                            	**type**\:   :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Year.Msec.ShowTimezone>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.localtime = None
                                self.show_timezone = None


                            class Localtime(object):
                                """
                                Use local time zone for timestamps
                                
                                .. attribute:: show_timezone
                                
                                	Add time zone information to timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.show_timezone = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:localtime'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.show_timezone is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Year.Msec.Localtime']['meta_info']


                            class ShowTimezone(object):
                                """
                                Add time zone information to timestamp
                                
                                .. attribute:: localtime
                                
                                	Use local time zone for timestamps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.localtime = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:msec/Cisco-IOS-XE-native:show-timezone'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.localtime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Year.Msec.ShowTimezone']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:msec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.localtime is not None and self.localtime._has_data():
                                    return True

                                if self.show_timezone is not None and self.show_timezone._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Year.Msec']['meta_info']


                        class ShowTimezone(object):
                            """
                            Add time zone information to timestamp
                            
                            .. attribute:: localtime
                            
                            	Use local time zone for timestamps
                            	**type**\:   :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Year.ShowTimezone.Localtime>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: msec
                            
                            	Include milliseconds in timestamp
                            	**type**\:   :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime.Year.ShowTimezone.Msec>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.localtime = None
                                self.msec = None


                            class Localtime(object):
                                """
                                Use local time zone for timestamps
                                
                                .. attribute:: msec
                                
                                	Include milliseconds in timestamp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.msec = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:localtime'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.msec is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Year.ShowTimezone.Localtime']['meta_info']


                            class Msec(object):
                                """
                                Include milliseconds in timestamp
                                
                                .. attribute:: localtime
                                
                                	Use local time zone for timestamps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.localtime = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:show-timezone/Cisco-IOS-XE-native:msec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.localtime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Year.ShowTimezone.Msec']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:year/Cisco-IOS-XE-native:show-timezone'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.localtime is not None and self.localtime._has_data():
                                    return True

                                if self.msec is not None and self.msec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Year.ShowTimezone']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime/Cisco-IOS-XE-native:year'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.localtime is not None and self.localtime._has_data():
                                return True

                            if self.msec is not None and self.msec._has_data():
                                return True

                            if self.show_timezone is not None and self.show_timezone._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Service.Timestamps.Log.Datetime.Year']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:datetime'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.localtime is not None and self.localtime._has_data():
                            return True

                        if self.msec is not None and self.msec._has_data():
                            return True

                        if self.show_timezone is not None and self.show_timezone._has_data():
                            return True

                        if self.year is not None and self.year._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Service.Timestamps.Log.Datetime']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps/Cisco-IOS-XE-native:log'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.datetime is not None and self.datetime._has_data():
                        return True

                    if self.uptime is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Service.Timestamps.Log']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:timestamps'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.debug is not None and self.debug._has_data():
                    return True

                if self.log is not None and self.log._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Service.Timestamps']['meta_info']


        class Alignment(object):
            """
            Control alignment correction and logging
            
            .. attribute:: detection
            
            	Enable detection of alignment issues
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: logging
            
            	Enable logging of alignment issues
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.detection = None
                self.logging = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:alignment'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.detection is not None:
                    return True

                if self.logging is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Service.Alignment']['meta_info']


        class Counters(object):
            """
            Control aging of interface counters
            
            .. attribute:: max
            
            	Maximum counter aging threshold
            	**type**\:   :py:class:`Max <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Counters.Max>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.max = Native.Service.Counters.Max()
                self.max.parent = self


            class Max(object):
                """
                Maximum counter aging threshold
                
                .. attribute:: age
                
                	Aging threshold
                	**type**\:  int
                
                	**range:** 0..60
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.age = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:counters/Cisco-IOS-XE-native:max'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.age is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Service.Counters.Max']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:counters'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.max is not None and self.max._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Service.Counters']['meta_info']


        class Heartbeat(object):
            """
            Enable heartbeat processing
            
            .. attribute:: fatal_count
            
            	Set heartbeat fatal count
            	**type**\:  int
            
            	**range:** 1..60
            
            .. attribute:: interrupt_interval
            
            	Set heartbeat interrupt test interval
            	**type**\:  int
            
            	**range:** 0..60
            
            .. attribute:: interrupt_max
            
            	Set maximum message count from interrupt test
            	**type**\:  int
            
            	**range:** 0..60
            
            .. attribute:: transmit_interval
            
            	Set heartbeat transmit interval
            	**type**\:  int
            
            	**range:** 1..30
            
            .. attribute:: warning_timeout
            
            	Set heartbeat warning timeout interval
            	**type**\:  int
            
            	**range:** 5..60
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.fatal_count = None
                self.interrupt_interval = None
                self.interrupt_max = None
                self.transmit_interval = None
                self.warning_timeout = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:heartbeat'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.fatal_count is not None:
                    return True

                if self.interrupt_interval is not None:
                    return True

                if self.interrupt_max is not None:
                    return True

                if self.transmit_interval is not None:
                    return True

                if self.warning_timeout is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Service.Heartbeat']['meta_info']


        class Prompt(object):
            """
            Enable mode specific prompt
            
            .. attribute:: config
            
            	Enable configuration mode prompt
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.config = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service/Cisco-IOS-XE-native:prompt'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.config is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Service.Prompt']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.alignment is not None and self.alignment._has_data():
                return True

            if self.call_home is not None:
                return True

            if self.compress_config is not None:
                return True

            if self.config is not None:
                return True

            if self.counters is not None and self.counters._has_data():
                return True

            if self.dhcp is not None:
                return True

            if self.disable_ip_fast_frag is not None:
                return True

            if self.exec_callback is not None:
                return True

            if self.exec_wait is not None:
                return True

            if self.finger is not None:
                return True

            if self.heartbeat is not None and self.heartbeat._has_data():
                return True

            if self.hide_telnet_addresses is not None:
                return True

            if self.internal is not None:
                return True

            if self.linenumber is not None:
                return True

            if self.log_hidden is not None:
                return True

            if self.nagle is not None:
                return True

            if self.old_slip_prompts is not None:
                return True

            if self.pad is not None and self.pad._has_data():
                return True

            if self.pad_conf is not None and self.pad_conf._has_data():
                return True

            if self.password_encryption is not None:
                return True

            if self.password_recovery is not None:
                return True

            if self.prompt is not None and self.prompt._has_data():
                return True

            if self.pt_vty_logging is not None:
                return True

            if self.sequence_numbers is not None:
                return True

            if self.slave_log is not None:
                return True

            if self.tcp_keepalives_in is not None:
                return True

            if self.tcp_keepalives_out is not None:
                return True

            if self.tcp_small_servers is not None:
                return True

            if self.telnet_zeroidle is not None:
                return True

            if self.timestamps is not None and self.timestamps._has_data():
                return True

            if self.udp_small_servers is not None:
                return True

            if self.unsupported_transceiver is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Service']['meta_info']


    class Platform(object):
        """
        platform specific configuration
        
        .. attribute:: atm_cdvt
        
        	Configure platform atm cdvt
        	**type**\:  bool
        
        .. attribute:: bfd
        
        	Platform specific BFD commands
        	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Bfd>`
        
        .. attribute:: bfd_debug_trace
        
        	
        	**type**\:  int
        
        	**range:** 0..255
        
        .. attribute:: cfm
        
        	Configure Multi\-NNI CFM feature
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: console
        
        	Direct IOS output to console
        	**type**\:   :py:class:`Console <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Console>`
        
        	**presence node**\: True
        
        .. attribute:: enable
        
        	
        	**type**\:   :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Enable>`
        
        .. attribute:: external_alarm
        
        	
        	**type**\:   :py:class:`ExternalAlarm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.ExternalAlarm>`
        
        .. attribute:: hardware
        
        	Configure platform hardware
        	**type**\:   :py:class:`Hardware <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Hardware>`
        
        .. attribute:: icmp
        
        	Configure platform icmp
        	**type**\:   :py:class:`Icmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Icmp>`
        
        .. attribute:: ip_ports
        
        	Configure Kernel IP ephemeral ports
        	**type**\:   :py:class:`IpPorts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.IpPorts>`
        
        .. attribute:: ipsec
        
        	Platform specific ipsec command
        	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Ipsec>`
        
        .. attribute:: l2vpn
        
        	Configure platform l2vpn global configurtion
        	**type**\:   :py:class:`L2Vpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.L2Vpn>`
        
        .. attribute:: multicast
        
        	Configure multicast
        	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Multicast>`
        
        .. attribute:: punt_keepalive
        
        	punt\-keepalive messages
        	**type**\:   :py:class:`PuntKeepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.PuntKeepalive>`
        
        	**presence node**\: True
        
        .. attribute:: punt_policer
        
        	Configures punt policers
        	**type**\:   :py:class:`PuntPolicer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.PuntPolicer>`
        
        .. attribute:: qos
        
        	Platform specific qos configuration
        	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Qos>`
        
        .. attribute:: reload
        
        	Platform specific reload command
        	**type**\:   :py:class:`Reload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Reload>`
        
        .. attribute:: shell
        
        	Control platform shell access command availability
        	**type**\:  bool
        
        .. attribute:: tcam_parity_error
        
        	
        	**type**\:   :py:class:`TcamParityErrorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.TcamParityErrorEnum>`
        
        .. attribute:: tcam_threshold
        
        	
        	**type**\:   :py:class:`TcamThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.TcamThreshold>`
        
        .. attribute:: trace
        
        	
        	**type**\:   :py:class:`Trace <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Trace>`
        
        .. attribute:: urpf
        
        	Platform specific urpf commands
        	**type**\:   :py:class:`Urpf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Urpf>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.atm_cdvt = None
            self.bfd = Native.Platform.Bfd()
            self.bfd.parent = self
            self.bfd_debug_trace = None
            self.cfm = None
            self.console = None
            self.enable = Native.Platform.Enable()
            self.enable.parent = self
            self.external_alarm = Native.Platform.ExternalAlarm()
            self.external_alarm.parent = self
            self.hardware = Native.Platform.Hardware()
            self.hardware.parent = self
            self.icmp = Native.Platform.Icmp()
            self.icmp.parent = self
            self.ip_ports = Native.Platform.IpPorts()
            self.ip_ports.parent = self
            self.ipsec = Native.Platform.Ipsec()
            self.ipsec.parent = self
            self.l2vpn = Native.Platform.L2Vpn()
            self.l2vpn.parent = self
            self.multicast = Native.Platform.Multicast()
            self.multicast.parent = self
            self.punt_keepalive = None
            self.punt_policer = Native.Platform.PuntPolicer()
            self.punt_policer.parent = self
            self.qos = Native.Platform.Qos()
            self.qos.parent = self
            self.reload = Native.Platform.Reload()
            self.reload.parent = self
            self.shell = None
            self.tcam_parity_error = None
            self.tcam_threshold = Native.Platform.TcamThreshold()
            self.tcam_threshold.parent = self
            self.trace = Native.Platform.Trace()
            self.trace.parent = self
            self.urpf = Native.Platform.Urpf()
            self.urpf.parent = self

        class TcamParityErrorEnum(Enum):
            """
            TcamParityErrorEnum

            .. data:: enable = 0

            .. data:: disable = 1

            """

            enable = 0

            disable = 1


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Platform.TcamParityErrorEnum']



        class Icmp(object):
            """
            Configure platform icmp
            
            .. attribute:: rate_limit
            
            	Rate limit of each ICMP types which are generated by data path
            	**type**\:   :py:class:`RateLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Icmp.RateLimit>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.rate_limit = Native.Platform.Icmp.RateLimit()
                self.rate_limit.parent = self


            class RateLimit(object):
                """
                Rate limit of each ICMP types which are generated by data path
                
                .. attribute:: duration
                
                	Duration in seconds (default value is 1 second)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: packet
                
                	Maximum # of packets allowed given a duration
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.duration = None
                    self.packet = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:icmp/Cisco-IOS-XE-platform:rate-limit'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.duration is not None:
                        return True

                    if self.packet is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Platform.Icmp.RateLimit']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:icmp'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.rate_limit is not None and self.rate_limit._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Platform.Icmp']['meta_info']


        class IpPorts(object):
            """
            Configure Kernel IP ephemeral ports
            
            .. attribute:: ephemeral_max
            
            	Maximum value for ephemeral ports for IOS
            	**type**\:  int
            
            	**range:** 49152..65534
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ephemeral_max = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:ip-ports'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ephemeral_max is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Platform.IpPorts']['meta_info']


        class Bfd(object):
            """
            Platform specific BFD commands
            
            .. attribute:: allow_svi
            
            	
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: disable_offload
            
            	Disable bfd hw offload
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: enable_offload
            
            	
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.allow_svi = None
                self.disable_offload = None
                self.enable_offload = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:bfd'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.allow_svi is not None:
                    return True

                if self.disable_offload is not None:
                    return True

                if self.enable_offload is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Platform.Bfd']['meta_info']


        class Console(object):
            """
            Direct IOS output to console
            
            .. attribute:: output
            
            	
            	**type**\:   :py:class:`OutputEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Console.OutputEnum>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.output = None

            class OutputEnum(Enum):
                """
                OutputEnum

                .. data:: auto = 0

                .. data:: serial = 1

                .. data:: virtual = 2

                """

                auto = 0

                serial = 1

                virtual = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Platform.Console.OutputEnum']


            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:console'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.output is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Platform.Console']['meta_info']


        class Enable(object):
            """
            
            
            .. attribute:: controller
            
            	
            	**type**\: list of    :py:class:`Controller <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Enable.Controller>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.controller = YList()
                self.controller.parent = self
                self.controller.name = 'controller'


            class Controller(object):
                """
                
                
                .. attribute:: sonet  <key>
                
                	SONET
                	**type**\:  str
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.sonet = None

                @property
                def _common_path(self):
                    if self.sonet is None:
                        raise YPYModelError('Key property sonet is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:enable/Cisco-IOS-XE-platform:controller[Cisco-IOS-XE-platform:SONET = ' + str(self.sonet) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.sonet is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Platform.Enable.Controller']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:enable'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.controller is not None:
                    for child_ref in self.controller:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Platform.Enable']['meta_info']


        class ExternalAlarm(object):
            """
            
            
            .. attribute:: alarm
            
            	
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 0..7
            
            
            ----
            	**type**\:   :py:class:`LoggingLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelTypeEnum>`
            
            
            ----
            .. attribute:: line
            
            	
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.alarm = None
                self.line = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:external-alarm'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.alarm is not None:
                    return True

                if self.line is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Platform.ExternalAlarm']['meta_info']


        class Hardware(object):
            """
            Configure platform hardware
            
            .. attribute:: lite
            
            	
            	**type**\:   :py:class:`Lite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Hardware.Lite>`
            
            .. attribute:: throughput
            
            	Configure throughput
            	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Hardware.Throughput>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.lite = Native.Platform.Hardware.Lite()
                self.lite.parent = self
                self.throughput = Native.Platform.Hardware.Throughput()
                self.throughput.parent = self


            class Lite(object):
                """
                
                
                .. attribute:: license
                
                	
                	**type**\:   :py:class:`LicenseEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Hardware.Lite.LicenseEnum>`
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.license = None

                class LicenseEnum(Enum):
                    """
                    LicenseEnum

                    .. data:: enable = 0

                    """

                    enable = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Platform.Hardware.Lite.LicenseEnum']


                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:hardware/Cisco-IOS-XE-platform:lite'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.license is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Platform.Hardware.Lite']['meta_info']


            class Throughput(object):
                """
                Configure throughput
                
                .. attribute:: disable
                
                	Disable throughput upgrade licenses
                	**type**\:   :py:class:`DisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Hardware.Throughput.DisableEnum>`
                
                .. attribute:: level
                
                	Configure the current traffic throughput level
                	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Hardware.Throughput.Level>`
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.disable = None
                    self.level = Native.Platform.Hardware.Throughput.Level()
                    self.level.parent = self

                class DisableEnum(Enum):
                    """
                    DisableEnum

                    Disable throughput upgrade licenses

                    .. data:: internal_license = 0

                    """

                    internal_license = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Platform.Hardware.Throughput.DisableEnum']



                class Level(object):
                    """
                    Configure the current traffic throughput level
                    
                    .. attribute:: eval_only
                    
                    	Use only evaluation license
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kbps
                    
                    	
                    	**type**\:   :py:class:`KbpsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Hardware.Throughput.Level.KbpsEnum>`
                    
                    

                    """

                    _prefix = 'ios-plt'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eval_only = None
                        self.kbps = None

                    class KbpsEnum(Enum):
                        """
                        KbpsEnum

                        .. data:: Y_10000 = 0

                        .. data:: Y_25000 = 1

                        .. data:: Y_50000 = 2

                        """

                        Y_10000 = 0

                        Y_25000 = 1

                        Y_50000 = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Platform.Hardware.Throughput.Level.KbpsEnum']


                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:hardware/Cisco-IOS-XE-platform:throughput/Cisco-IOS-XE-platform:level'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eval_only is not None:
                            return True

                        if self.kbps is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Platform.Hardware.Throughput.Level']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:hardware/Cisco-IOS-XE-platform:throughput'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.disable is not None:
                        return True

                    if self.level is not None and self.level._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Platform.Hardware.Throughput']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:hardware'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.lite is not None and self.lite._has_data():
                    return True

                if self.throughput is not None and self.throughput._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Platform.Hardware']['meta_info']


        class Ipsec(object):
            """
            Platform specific ipsec command
            
            .. attribute:: arlog_supress
            
            	supress anti\-replay error log
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: fips_mode
            
            	enable FIPS mode
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: gdoi
            
            	gdoi
            	**type**\:   :py:class:`GdoiEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Ipsec.GdoiEnum>`
            
            .. attribute:: llq
            
            	config LLQ
            	**type**\:   :py:class:`Llq <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Ipsec.Llq>`
            
            .. attribute:: reassemble
            
            	reassemble packets
            	**type**\:   :py:class:`Reassemble <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Ipsec.Reassemble>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.arlog_supress = None
                self.fips_mode = None
                self.gdoi = None
                self.llq = Native.Platform.Ipsec.Llq()
                self.llq.parent = self
                self.reassemble = Native.Platform.Ipsec.Reassemble()
                self.reassemble.parent = self

            class GdoiEnum(Enum):
                """
                GdoiEnum

                gdoi

                .. data:: accept_both = 0

                """

                accept_both = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Platform.Ipsec.GdoiEnum']



            class Llq(object):
                """
                config LLQ
                
                .. attribute:: qos_group
                
                	config LLQ QoS Group
                	**type**\:  int
                
                	**range:** 1..99
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.qos_group = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:ipsec/Cisco-IOS-XE-platform:llq'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.qos_group is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Platform.Ipsec.Llq']['meta_info']


            class Reassemble(object):
                """
                reassemble packets
                
                .. attribute:: transit
                
                	transit IPSEC packets
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.transit = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:ipsec/Cisco-IOS-XE-platform:reassemble'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.transit is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Platform.Ipsec.Reassemble']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:ipsec'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.arlog_supress is not None:
                    return True

                if self.fips_mode is not None:
                    return True

                if self.gdoi is not None:
                    return True

                if self.llq is not None and self.llq._has_data():
                    return True

                if self.reassemble is not None and self.reassemble._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Platform.Ipsec']['meta_info']


        class L2Vpn(object):
            """
            Configure platform l2vpn global configurtion
            
            .. attribute:: hdlc_pass_through
            
            	l2vpn HDLC force pass through
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: statistics
            
            	l2vpn statistics
            	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.L2Vpn.Statistics>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.hdlc_pass_through = None
                self.statistics = Native.Platform.L2Vpn.Statistics()
                self.statistics.parent = self


            class Statistics(object):
                """
                l2vpn statistics
                
                .. attribute:: enable
                
                	enable the stats
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:l2vpn/Cisco-IOS-XE-platform:statistics'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Platform.L2Vpn.Statistics']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:l2vpn'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.hdlc_pass_through is not None:
                    return True

                if self.statistics is not None and self.statistics._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Platform.L2Vpn']['meta_info']


        class Multicast(object):
            """
            Configure multicast
            
            .. attribute:: mgre
            
            	Multi\-point GRE tunnel
            	**type**\:   :py:class:`Mgre <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Multicast.Mgre>`
            
            .. attribute:: oce
            
            	multicast oce
            	**type**\:   :py:class:`Oce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Multicast.Oce>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.mgre = Native.Platform.Multicast.Mgre()
                self.mgre.parent = self
                self.oce = Native.Platform.Multicast.Oce()
                self.oce.parent = self


            class Mgre(object):
                """
                Multi\-point GRE tunnel
                
                .. attribute:: injection
                
                	Enable packet injection
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.injection = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:multicast/Cisco-IOS-XE-platform:mgre'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.injection is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Platform.Multicast.Mgre']['meta_info']


            class Oce(object):
                """
                multicast oce
                
                .. attribute:: flag
                
                	multicast oce flag
                	**type**\:   :py:class:`Flag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Multicast.Oce.Flag>`
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.flag = Native.Platform.Multicast.Oce.Flag()
                    self.flag.parent = self


                class Flag(object):
                    """
                    multicast oce flag
                    
                    .. attribute:: suppress
                    
                    	Enable oce flag suppress
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-plt'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.suppress = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:multicast/Cisco-IOS-XE-platform:oce/Cisco-IOS-XE-platform:flag'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.suppress is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Platform.Multicast.Oce.Flag']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:multicast/Cisco-IOS-XE-platform:oce'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.flag is not None and self.flag._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Platform.Multicast.Oce']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:multicast'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.mgre is not None and self.mgre._has_data():
                    return True

                if self.oce is not None and self.oce._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Platform.Multicast']['meta_info']


        class PuntKeepalive(object):
            """
            punt\-keepalive messages
            
            .. attribute:: disable_kernel_core
            
            	Disable IOSXE kernel core generation for keepalive fault
            	**type**\:  bool
            
            .. attribute:: settings
            
            	Set the keepalive parameters
            	**type**\:   :py:class:`Settings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.PuntKeepalive.Settings>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.disable_kernel_core = None
                self.settings = Native.Platform.PuntKeepalive.Settings()
                self.settings.parent = self


            class Settings(object):
                """
                Set the keepalive parameters
                
                .. attribute:: fatal_count
                
                	Set punt\-inject keepalive fatal count
                	**type**\:  int
                
                	**range:** 15..60
                
                .. attribute:: transmit_interval
                
                	Set punt\-inject keepalive transmit interval
                	**type**\:  int
                
                	**range:** 2..30
                
                .. attribute:: warning_count
                
                	Set punt\-inject keepalive warning count
                	**type**\:  int
                
                	**range:** 10..60
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fatal_count = None
                    self.transmit_interval = None
                    self.warning_count = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:punt-keepalive/Cisco-IOS-XE-platform:settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fatal_count is not None:
                        return True

                    if self.transmit_interval is not None:
                        return True

                    if self.warning_count is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Platform.PuntKeepalive.Settings']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:punt-keepalive'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.disable_kernel_core is not None:
                    return True

                if self.settings is not None and self.settings._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Platform.PuntKeepalive']['meta_info']


        class PuntPolicer(object):
            """
            Configures punt policers
            
            .. attribute:: punt_num
            
            	Configure punt cause to be policed
            	**type**\: list of    :py:class:`PuntNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.PuntPolicer.PuntNum>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.punt_num = YList()
                self.punt_num.parent = self
                self.punt_num.name = 'punt_num'


            class PuntNum(object):
                """
                Configure punt cause to be policed
                
                .. attribute:: cause  <key>
                
                	
                	**type**\:  int
                
                	**range:** 1..89
                
                .. attribute:: high
                
                	High priority traffic only
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: max_rate
                
                	
                	**type**\:  int
                
                	**range:** 10..32000
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cause = None
                    self.high = None
                    self.max_rate = None

                @property
                def _common_path(self):
                    if self.cause is None:
                        raise YPYModelError('Key property cause is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:punt-policer/Cisco-IOS-XE-platform:punt-num[Cisco-IOS-XE-platform:cause = ' + str(self.cause) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cause is not None:
                        return True

                    if self.high is not None:
                        return True

                    if self.max_rate is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Platform.PuntPolicer.PuntNum']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:punt-policer'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.punt_num is not None:
                    for child_ref in self.punt_num:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Platform.PuntPolicer']['meta_info']


        class Qos(object):
            """
            Platform specific qos configuration
            
            .. attribute:: cac_policer
            
            	packet per second
            	**type**\:  int
            
            	**range:** 1..10000
            
            .. attribute:: marker_statistics
            
            	Configure marking statistics
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: match_statistics
            
            	Configure match stats
            	**type**\:   :py:class:`MatchStatistics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Qos.MatchStatistics>`
            
            .. attribute:: performance_monitor
            
            	Configure performance\-monitor statistics
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: punt_path_matching
            
            	Configure punt\-path matching on input interface (PPPoE\-Discovery, PPPoE\-PPP\-LCP)
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.cac_policer = None
                self.marker_statistics = None
                self.match_statistics = Native.Platform.Qos.MatchStatistics()
                self.match_statistics.parent = self
                self.performance_monitor = None
                self.punt_path_matching = None


            class MatchStatistics(object):
                """
                Configure match stats
                
                .. attribute:: per_ace
                
                	Configure per\-ace match statistics (per\-filter must be enabled first)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: per_filter
                
                	Configure per\-filter match statistics
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.per_ace = None
                    self.per_filter = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:qos/Cisco-IOS-XE-platform:match-statistics'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.per_ace is not None:
                        return True

                    if self.per_filter is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Platform.Qos.MatchStatistics']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:qos'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.cac_policer is not None:
                    return True

                if self.marker_statistics is not None:
                    return True

                if self.match_statistics is not None and self.match_statistics._has_data():
                    return True

                if self.performance_monitor is not None:
                    return True

                if self.punt_path_matching is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Platform.Qos']['meta_info']


        class Reload(object):
            """
            Platform specific reload command
            
            .. attribute:: immediate
            
            	Immediately stop forwarding traffic
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.immediate = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:reload'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.immediate is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Platform.Reload']['meta_info']


        class Urpf(object):
            """
            Platform specific urpf commands
            
            .. attribute:: loose
            
            	uRPF loose mode
            	**type**\:   :py:class:`Loose <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Urpf.Loose>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.loose = Native.Platform.Urpf.Loose()
                self.loose.parent = self


            class Loose(object):
                """
                uRPF loose mode
                
                .. attribute:: counter
                
                	drop counter
                	**type**\:   :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Urpf.Loose.Counter>`
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.counter = Native.Platform.Urpf.Loose.Counter()
                    self.counter.parent = self


                class Counter(object):
                    """
                    drop counter
                    
                    .. attribute:: ipv4
                    
                    	ipv4 protocol
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Urpf.Loose.Counter.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	ipv6 protocol
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Urpf.Loose.Counter.Ipv6>`
                    
                    

                    """

                    _prefix = 'ios-plt'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = Native.Platform.Urpf.Loose.Counter.Ipv4()
                        self.ipv4.parent = self
                        self.ipv6 = Native.Platform.Urpf.Loose.Counter.Ipv6()
                        self.ipv6.parent = self


                    class Ipv4(object):
                        """
                        ipv4 protocol
                        
                        .. attribute:: supress
                        
                        	supress drop
                        	**type**\:   :py:class:`Supress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Urpf.Loose.Counter.Ipv4.Supress>`
                        
                        

                        """

                        _prefix = 'ios-plt'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supress = Native.Platform.Urpf.Loose.Counter.Ipv4.Supress()
                            self.supress.parent = self


                        class Supress(object):
                            """
                            supress drop
                            
                            .. attribute:: asymmetric_only
                            
                            	it works only for asymmetric traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-plt'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.asymmetric_only = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:urpf/Cisco-IOS-XE-platform:loose/Cisco-IOS-XE-platform:counter/Cisco-IOS-XE-platform:ipv4/Cisco-IOS-XE-platform:supress'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.asymmetric_only is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Platform.Urpf.Loose.Counter.Ipv4.Supress']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:urpf/Cisco-IOS-XE-platform:loose/Cisco-IOS-XE-platform:counter/Cisco-IOS-XE-platform:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supress is not None and self.supress._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Platform.Urpf.Loose.Counter.Ipv4']['meta_info']


                    class Ipv6(object):
                        """
                        ipv6 protocol
                        
                        .. attribute:: supress
                        
                        	supress drop
                        	**type**\:   :py:class:`Supress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Urpf.Loose.Counter.Ipv6.Supress>`
                        
                        

                        """

                        _prefix = 'ios-plt'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supress = Native.Platform.Urpf.Loose.Counter.Ipv6.Supress()
                            self.supress.parent = self


                        class Supress(object):
                            """
                            supress drop
                            
                            .. attribute:: asymmetric_only
                            
                            	it works only for asymmetric traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-plt'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.asymmetric_only = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:urpf/Cisco-IOS-XE-platform:loose/Cisco-IOS-XE-platform:counter/Cisco-IOS-XE-platform:ipv6/Cisco-IOS-XE-platform:supress'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.asymmetric_only is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Platform.Urpf.Loose.Counter.Ipv6.Supress']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:urpf/Cisco-IOS-XE-platform:loose/Cisco-IOS-XE-platform:counter/Cisco-IOS-XE-platform:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supress is not None and self.supress._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Platform.Urpf.Loose.Counter.Ipv6']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:urpf/Cisco-IOS-XE-platform:loose/Cisco-IOS-XE-platform:counter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Platform.Urpf.Loose.Counter']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:urpf/Cisco-IOS-XE-platform:loose'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.counter is not None and self.counter._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Platform.Urpf.Loose']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:urpf'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.loose is not None and self.loose._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Platform.Urpf']['meta_info']


        class TcamThreshold(object):
            """
            
            
            .. attribute:: alarm_frequency
            
            	
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.alarm_frequency = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:tcam-threshold'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.alarm_frequency is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Platform.TcamThreshold']['meta_info']


        class Trace(object):
            """
            
            
            .. attribute:: runtime
            
            	
            	**type**\: list of    :py:class:`Runtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Trace.Runtime>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.runtime = YList()
                self.runtime.parent = self
                self.runtime.name = 'runtime'


            class Runtime(object):
                """
                
                
                .. attribute:: slot  <key>
                
                	
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: bay  <key>
                
                	
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: level
                
                	
                	**type**\:   :py:class:`LevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Trace.Runtime.LevelEnum>`
                
                .. attribute:: module
                
                	
                	**type**\:   :py:class:`ModuleEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Trace.Runtime.ModuleEnum>`
                
                .. attribute:: process
                
                	
                	**type**\:   :py:class:`ProcessEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Trace.Runtime.ProcessEnum>`
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.slot = None
                    self.bay = None
                    self.level = None
                    self.module = None
                    self.process = None

                class LevelEnum(Enum):
                    """
                    LevelEnum

                    .. data:: info = 0

                    """

                    info = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Platform.Trace.Runtime.LevelEnum']


                class ModuleEnum(Enum):
                    """
                    ModuleEnum

                    .. data:: all_modules = 0

                    """

                    all_modules = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Platform.Trace.Runtime.ModuleEnum']


                class ProcessEnum(Enum):
                    """
                    ProcessEnum

                    .. data:: iomd = 0

                    """

                    iomd = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Platform.Trace.Runtime.ProcessEnum']


                @property
                def _common_path(self):
                    if self.slot is None:
                        raise YPYModelError('Key property slot is None')
                    if self.bay is None:
                        raise YPYModelError('Key property bay is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:trace/Cisco-IOS-XE-platform:runtime[Cisco-IOS-XE-platform:slot = ' + str(self.slot) + '][Cisco-IOS-XE-platform:bay = ' + str(self.bay) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.slot is not None:
                        return True

                    if self.bay is not None:
                        return True

                    if self.level is not None:
                        return True

                    if self.module is not None:
                        return True

                    if self.process is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Platform.Trace.Runtime']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform/Cisco-IOS-XE-platform:trace'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.runtime is not None:
                    for child_ref in self.runtime:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Platform.Trace']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:platform'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.atm_cdvt is not None:
                return True

            if self.bfd is not None and self.bfd._has_data():
                return True

            if self.bfd_debug_trace is not None:
                return True

            if self.cfm is not None:
                return True

            if self.console is not None and self.console._has_data():
                return True

            if self.enable is not None and self.enable._has_data():
                return True

            if self.external_alarm is not None and self.external_alarm._has_data():
                return True

            if self.hardware is not None and self.hardware._has_data():
                return True

            if self.icmp is not None and self.icmp._has_data():
                return True

            if self.ip_ports is not None and self.ip_ports._has_data():
                return True

            if self.ipsec is not None and self.ipsec._has_data():
                return True

            if self.l2vpn is not None and self.l2vpn._has_data():
                return True

            if self.multicast is not None and self.multicast._has_data():
                return True

            if self.punt_keepalive is not None and self.punt_keepalive._has_data():
                return True

            if self.punt_policer is not None and self.punt_policer._has_data():
                return True

            if self.qos is not None and self.qos._has_data():
                return True

            if self.reload is not None and self.reload._has_data():
                return True

            if self.shell is not None:
                return True

            if self.tcam_parity_error is not None:
                return True

            if self.tcam_threshold is not None and self.tcam_threshold._has_data():
                return True

            if self.trace is not None and self.trace._has_data():
                return True

            if self.urpf is not None and self.urpf._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Platform']['meta_info']


    class Enable(object):
        """
        Modify enable password parameters
        
        .. attribute:: last_resort
        
        	Define enable action if no TACACS servers respond
        	**type**\:   :py:class:`LastResortEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Enable.LastResortEnum>`
        
        .. attribute:: password
        
        	Assign the privileged level password (MAX of 25 characters)
        	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Enable.Password>`
        
        .. attribute:: secret
        
        	Assign the privileged level secret
        	**type**\:   :py:class:`Secret <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Enable.Secret>`
        
        .. attribute:: use_tacacs
        
        	Use TACACS to check enable passwords
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.last_resort = None
            self.password = Native.Enable.Password()
            self.password.parent = self
            self.secret = Native.Enable.Secret()
            self.secret.parent = self
            self.use_tacacs = None

        class LastResortEnum(Enum):
            """
            LastResortEnum

            Define enable action if no TACACS servers respond

            .. data:: password = 0

            .. data:: succeed = 1

            """

            password = 0

            succeed = 1


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Enable.LastResortEnum']



        class Password(object):
            """
            Assign the privileged level password (MAX of 25 characters)
            
            .. attribute:: level
            
            	Set exec level password
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: secret
            
            	
            	**type**\:  str
            
            .. attribute:: type
            
            	
            	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Enable.Password.TypeEnum>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.level = None
                self.secret = None
                self.type = None

            class TypeEnum(Enum):
                """
                TypeEnum

                .. data:: Y_0 = 0

                .. data:: Y_7 = 1

                """

                Y_0 = 0

                Y_7 = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Enable.Password.TypeEnum']


            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:enable/Cisco-IOS-XE-native:password'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.level is not None:
                    return True

                if self.secret is not None:
                    return True

                if self.type is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Enable.Password']['meta_info']


        class Secret(object):
            """
            Assign the privileged level secret
            
            .. attribute:: level
            
            	Set exec level password
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: secret
            
            	
            	**type**\:  str
            
            .. attribute:: type
            
            	
            	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Enable.Secret.TypeEnum>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.level = None
                self.secret = None
                self.type = None

            class TypeEnum(Enum):
                """
                TypeEnum

                .. data:: Y_0 = 0

                .. data:: Y_4 = 1

                .. data:: Y_5 = 2

                """

                Y_0 = 0

                Y_4 = 1

                Y_5 = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Enable.Secret.TypeEnum']


            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:enable/Cisco-IOS-XE-native:secret'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.level is not None:
                    return True

                if self.secret is not None:
                    return True

                if self.type is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Enable.Secret']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:enable'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.last_resort is not None:
                return True

            if self.password is not None and self.password._has_data():
                return True

            if self.secret is not None and self.secret._has_data():
                return True

            if self.use_tacacs is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Enable']['meta_info']


    class Password(object):
        """
        Configure encryption password (key)
        
        .. attribute:: encryption
        
        	Encrypt system passwords
        	**type**\:   :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Password.Encryption>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.encryption = Native.Password.Encryption()
            self.encryption.parent = self


        class Encryption(object):
            """
            Encrypt system passwords
            
            .. attribute:: aes
            
            	Enable stronger (AES) password encryption
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.aes = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:password/Cisco-IOS-XE-native:encryption'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.aes is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Password.Encryption']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:password'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.encryption is not None and self.encryption._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Password']['meta_info']


    class Eap(object):
        """
        Configure EAP authenticator parameters
        
        .. attribute:: profile
        
        	EAP authenticator profile configuration
        	**type**\: list of    :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Eap.Profile>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.profile = YList()
            self.profile.parent = self
            self.profile.name = 'profile'


        class Profile(object):
            """
            EAP authenticator profile configuration
            
            .. attribute:: name  <key>
            
            	WORD;;EAP authenticator profile name
            	**type**\:  str
            
            .. attribute:: method
            
            	Add an allowed method
            	**type**\:   :py:class:`Method <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Eap.Profile.Method>`
            
            .. attribute:: pki_trustpoint
            
            	Set the default pki trustpoint
            	**type**\:  str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.method = Native.Eap.Profile.Method()
                self.method.parent = self
                self.pki_trustpoint = None


            class Method(object):
                """
                Add an allowed method
                
                .. attribute:: fast
                
                	EAP\-FAST method allowed
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: gtc
                
                	EAP\-GTC method allowed
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: leap
                
                	EAP\-LEAP method allowed
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: md5
                
                	EAP\-MD5 method allowed
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mschapv2
                
                	EAP\-MSCHAPV2 method allowed
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: peap
                
                	EAP\-PEAP method allowed
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: tls
                
                	EAP\-TLS method allowed
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fast = None
                    self.gtc = None
                    self.leap = None
                    self.md5 = None
                    self.mschapv2 = None
                    self.peap = None
                    self.tls = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:method'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fast is not None:
                        return True

                    if self.gtc is not None:
                        return True

                    if self.leap is not None:
                        return True

                    if self.md5 is not None:
                        return True

                    if self.mschapv2 is not None:
                        return True

                    if self.peap is not None:
                        return True

                    if self.tls is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Eap.Profile.Method']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:eap/Cisco-IOS-XE-native:profile[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.method is not None and self.method._has_data():
                    return True

                if self.pki_trustpoint is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Eap.Profile']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:eap'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.profile is not None:
                for child_ref in self.profile:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Eap']['meta_info']


    class Archive(object):
        """
        Archive the configuration
        
        .. attribute:: log
        
        	Logging commands
        	**type**\:   :py:class:`Log <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Archive.Log>`
        
        .. attribute:: maximum
        
        	maximum number of backup copies
        	**type**\:  int
        
        	**range:** 1..14
        
        .. attribute:: path
        
        	path for backups
        	**type**\: one of the below types:
        
        	**type**\:   :py:class:`PathEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Archive.PathEnum>`
        
        
        ----
        	**type**\:  str
        
        
        ----
        .. attribute:: time_period
        
        	Period of time in minutes to automatically archive the running\-config
        	**type**\:  int
        
        	**range:** 1..525600
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.log = Native.Archive.Log()
            self.log.parent = self
            self.maximum = None
            self.path = None
            self.time_period = None

        class PathEnum(Enum):
            """
            PathEnum

            path for backups

            .. data:: bootflash__COLON__ = 0

            .. data:: flash__COLON__ = 1

            .. data:: ftp__COLON__ = 2

            .. data:: harddisk__COLON__ = 3

            .. data:: http__COLON__ = 4

            .. data:: https__COLON__ = 5

            .. data:: pram__COLON__ = 6

            .. data:: rcp__COLON__ = 7

            .. data:: scp__COLON__ = 8

            .. data:: tftp__COLON__ = 9

            """

            bootflash__COLON__ = 0

            flash__COLON__ = 1

            ftp__COLON__ = 2

            harddisk__COLON__ = 3

            http__COLON__ = 4

            https__COLON__ = 5

            pram__COLON__ = 6

            rcp__COLON__ = 7

            scp__COLON__ = 8

            tftp__COLON__ = 9


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Archive.PathEnum']



        class Log(object):
            """
            Logging commands
            
            .. attribute:: config
            
            	Logging changes to the running configuration
            	**type**\:   :py:class:`Config <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Archive.Log.Config>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.config = Native.Archive.Log.Config()
                self.config.parent = self


            class Config(object):
                """
                Logging changes to the running configuration
                
                .. attribute:: hidekeys
                
                	suppress output (e.g. passwords) when displaying logged commands
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: logging
                
                	Modify config logging parameters
                	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Archive.Log.Config.Logging>`
                
                .. attribute:: notify
                
                	Send logged commands to target applications
                	**type**\:   :py:class:`Notify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Archive.Log.Config.Notify>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.hidekeys = None
                    self.logging = Native.Archive.Log.Config.Logging()
                    self.logging.parent = self
                    self.notify = Native.Archive.Log.Config.Notify()
                    self.notify.parent = self


                class Logging(object):
                    """
                    Modify config logging parameters
                    
                    .. attribute:: enable
                    
                    	Enable the config logger
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: persistent
                    
                    	Log configuration persistent
                    	**type**\:   :py:class:`Persistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Archive.Log.Config.Logging.Persistent>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: size
                    
                    	Maximum number of logged commands that will be kept by the config log
                    	**type**\:  int
                    
                    	**range:** 1..1000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enable = None
                        self.persistent = None
                        self.size = None


                    class Persistent(object):
                        """
                        Log configuration persistent
                        
                        .. attribute:: auto
                        
                        	Log configuration commands automatically
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: reload
                        
                        	Apply persisted commands on reload
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.auto = None
                            self.reload = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:archive/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:config/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:persistent'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.auto is not None:
                                return True

                            if self.reload is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Archive.Log.Config.Logging.Persistent']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:archive/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:config/Cisco-IOS-XE-native:logging'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enable is not None:
                            return True

                        if self.persistent is not None and self.persistent._has_data():
                            return True

                        if self.size is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Archive.Log.Config.Logging']['meta_info']


                class Notify(object):
                    """
                    Send logged commands to target applications
                    
                    .. attribute:: syslog
                    
                    	Send logged commands as syslog messages
                    	**type**\:   :py:class:`Syslog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Archive.Log.Config.Notify.Syslog>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.syslog = None


                    class Syslog(object):
                        """
                        Send logged commands as syslog messages
                        
                        .. attribute:: contenttype
                        
                        	Type of the syslog message content
                        	**type**\:   :py:class:`ContenttypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Archive.Log.Config.Notify.Syslog.ContenttypeEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.contenttype = None

                        class ContenttypeEnum(Enum):
                            """
                            ContenttypeEnum

                            Type of the syslog message content

                            .. data:: plaintext = 0

                            .. data:: xml = 1

                            """

                            plaintext = 0

                            xml = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Archive.Log.Config.Notify.Syslog.ContenttypeEnum']


                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:archive/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:config/Cisco-IOS-XE-native:notify/Cisco-IOS-XE-native:syslog'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.contenttype is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Archive.Log.Config.Notify.Syslog']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:archive/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:config/Cisco-IOS-XE-native:notify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.syslog is not None and self.syslog._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Archive.Log.Config.Notify']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:archive/Cisco-IOS-XE-native:log/Cisco-IOS-XE-native:config'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.hidekeys is not None:
                        return True

                    if self.logging is not None and self.logging._has_data():
                        return True

                    if self.notify is not None and self.notify._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Archive.Log.Config']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:archive/Cisco-IOS-XE-native:log'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.config is not None and self.config._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Archive.Log']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:archive'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.log is not None and self.log._has_data():
                return True

            if self.maximum is not None:
                return True

            if self.path is not None:
                return True

            if self.time_period is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Archive']['meta_info']


    class Username(object):
        """
        Establish User Name Authentication
        
        .. attribute:: name  <key>
        
        	
        	**type**\:  str
        
        .. attribute:: one_time
        
        	Specify that the username/password is valid for only one time
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: password
        
        	Specify the password for the user
        	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Username.Password>`
        
        .. attribute:: privilege
        
        	Set user privilege level
        	**type**\:  int
        
        	**range:** 0..15
        
        .. attribute:: secret
        
        	Specify the secret for the user
        	**type**\:   :py:class:`Secret <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Username.Secret>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.name = None
            self.one_time = None
            self.password = Native.Username.Password()
            self.password.parent = self
            self.privilege = None
            self.secret = Native.Username.Secret()
            self.secret.parent = self


        class Password(object):
            """
            Specify the password for the user
            
            .. attribute:: encryption
            
            	
            	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Username.Password.EncryptionEnum>`
            
            .. attribute:: password
            
            	
            	**type**\:  str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.encryption = None
                self.password = None

            class EncryptionEnum(Enum):
                """
                EncryptionEnum

                .. data:: Y_0 = 0

                .. data:: Y_7 = 1

                """

                Y_0 = 0

                Y_7 = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Username.Password.EncryptionEnum']


            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-native:password'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.encryption is not None:
                    return True

                if self.password is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Username.Password']['meta_info']


        class Secret(object):
            """
            Specify the secret for the user
            
            .. attribute:: encryption
            
            	
            	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Username.Secret.EncryptionEnum>`
            
            .. attribute:: secret
            
            	
            	**type**\:  str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.encryption = None
                self.secret = None

            class EncryptionEnum(Enum):
                """
                EncryptionEnum

                .. data:: Y_0 = 0

                .. data:: Y_5 = 1

                """

                Y_0 = 0

                Y_5 = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Username.Secret.EncryptionEnum']


            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-native:secret'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.encryption is not None:
                    return True

                if self.secret is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Username.Secret']['meta_info']

        @property
        def _common_path(self):
            if self.name is None:
                raise YPYModelError('Key property name is None')

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:username[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.name is not None:
                return True

            if self.one_time is not None:
                return True

            if self.password is not None and self.password._has_data():
                return True

            if self.privilege is not None:
                return True

            if self.secret is not None and self.secret._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Username']['meta_info']


    class Controller(object):
        """
        Configure controller
        
        .. attribute:: cellular
        
        	
        	**type**\: list of    :py:class:`Cellular <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Cellular>`
        
        .. attribute:: controller_tx_ex_list
        
        	
        	**type**\: list of    :py:class:`ControllerTxExList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.ControllerTxExList>`
        
        .. attribute:: sonet
        
        	SONET
        	**type**\: list of    :py:class:`Sonet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet>`
        
        .. attribute:: sonet_acr
        
        	SONET\-ACR
        	**type**\: list of    :py:class:`SonetAcr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr>`
        
        .. attribute:: wanphy
        
        	wanphy
        	**type**\: list of    :py:class:`Wanphy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Wanphy>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.cellular = YList()
            self.cellular.parent = self
            self.cellular.name = 'cellular'
            self.controller_tx_ex_list = YList()
            self.controller_tx_ex_list.parent = self
            self.controller_tx_ex_list.name = 'controller_tx_ex_list'
            self.sonet = YList()
            self.sonet.parent = self
            self.sonet.name = 'sonet'
            self.sonet_acr = YList()
            self.sonet_acr.parent = self
            self.sonet_acr.name = 'sonet_acr'
            self.wanphy = YList()
            self.wanphy.parent = self
            self.wanphy.name = 'wanphy'


        class ControllerTxExList(object):
            """
            
            
            .. attribute:: name  <key>
            
            	
            	**type**\:   :py:class:`NameEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.ControllerTxExList.NameEnum>`
            
            .. attribute:: number  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: atm
            
            	Specify atm
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: cablelength
            
            	
            	**type**\:   :py:class:`Cablelength <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.ControllerTxExList.Cablelength>`
            
            .. attribute:: channel_group
            
            	
            	**type**\: list of    :py:class:`ChannelGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.ControllerTxExList.ChannelGroup>`
            
            .. attribute:: clock
            
            	
            	**type**\:   :py:class:`Clock <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.ControllerTxExList.Clock>`
            
            .. attribute:: framing
            
            	
            	**type**\:  str
            
            .. attribute:: linecode
            
            	
            	**type**\:   :py:class:`LinecodeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.ControllerTxExList.LinecodeEnum>`
            
            

            """

            _prefix = 'ios-ctrl'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.number = None
                self.atm = None
                self.cablelength = Native.Controller.ControllerTxExList.Cablelength()
                self.cablelength.parent = self
                self.channel_group = YList()
                self.channel_group.parent = self
                self.channel_group.name = 'channel_group'
                self.clock = Native.Controller.ControllerTxExList.Clock()
                self.clock.parent = self
                self.framing = None
                self.linecode = None

            class LinecodeEnum(Enum):
                """
                LinecodeEnum

                .. data:: ami = 0

                .. data:: b8zs = 1

                .. data:: hdb3 = 2

                """

                ami = 0

                b8zs = 1

                hdb3 = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Controller.ControllerTxExList.LinecodeEnum']


            class NameEnum(Enum):
                """
                NameEnum

                .. data:: t1 = 0

                .. data:: e1 = 1

                .. data:: t3 = 2

                .. data:: T1 = 3

                .. data:: E1 = 4

                .. data:: T3 = 5

                """

                t1 = 0

                e1 = 1

                t3 = 2

                T1 = 3

                E1 = 4

                T3 = 5


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Controller.ControllerTxExList.NameEnum']



            class Clock(object):
                """
                
                
                .. attribute:: source
                
                	
                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.ControllerTxExList.Clock.Source>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.source = Native.Controller.ControllerTxExList.Clock.Source()
                    self.source.parent = self


                class Source(object):
                    """
                    
                    
                    .. attribute:: internal
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: line
                    
                    	
                    	**type**\:   :py:class:`Line <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.ControllerTxExList.Clock.Source.Line>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: loop_timed
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.internal = None
                        self.line = None
                        self.loop_timed = None


                    class Line(object):
                        """
                        
                        
                        .. attribute:: line_mode
                        
                        	
                        	**type**\:   :py:class:`LineModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.ControllerTxExList.Clock.Source.Line.LineModeEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.line_mode = None

                        class LineModeEnum(Enum):
                            """
                            LineModeEnum

                            .. data:: primary = 0

                            .. data:: secondary = 1

                            """

                            primary = 0

                            secondary = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Controller.ControllerTxExList.Clock.Source.Line.LineModeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-controller:line'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.line_mode is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Controller.ControllerTxExList.Clock.Source.Line']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:source'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.internal is not None:
                            return True

                        if self.line is not None and self.line._has_data():
                            return True

                        if self.loop_timed is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.ControllerTxExList.Clock.Source']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-controller:clock'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.source is not None and self.source._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Controller.ControllerTxExList.Clock']['meta_info']


            class Cablelength(object):
                """
                
                
                .. attribute:: long
                
                	
                	**type**\:  str
                
                .. attribute:: short
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.long = None
                    self.short = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-controller:cablelength'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.long is not None:
                        return True

                    if self.short is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Controller.ControllerTxExList.Cablelength']['meta_info']


            class ChannelGroup(object):
                """
                
                
                .. attribute:: number  <key>
                
                	
                	**type**\:  int
                
                	**range:** 0..30
                
                .. attribute:: timeslots
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  list of int
                
                	**range:** 0..65535
                
                
                ----
                	**type**\:  list of str
                
                
                ----
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.timeslots = YLeafList()
                    self.timeslots.parent = self
                    self.timeslots.name = 'timeslots'

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.number is None:
                        raise YPYModelError('Key property number is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-controller:channel-group[Cisco-IOS-XE-controller:number = ' + str(self.number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.timeslots is not None:
                        for child in self.timeslots:
                            if child is not None:
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Controller.ControllerTxExList.ChannelGroup']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')
                if self.number is None:
                    raise YPYModelError('Key property number is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:controller/Cisco-IOS-XE-controller:controller-tx-ex-list[Cisco-IOS-XE-controller:name = ' + str(self.name) + '][Cisco-IOS-XE-controller:number = ' + str(self.number) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.number is not None:
                    return True

                if self.atm is not None:
                    return True

                if self.cablelength is not None and self.cablelength._has_data():
                    return True

                if self.channel_group is not None:
                    for child_ref in self.channel_group:
                        if child_ref._has_data():
                            return True

                if self.clock is not None and self.clock._has_data():
                    return True

                if self.framing is not None:
                    return True

                if self.linecode is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Controller.ControllerTxExList']['meta_info']


        class Cellular(object):
            """
            
            
            .. attribute:: id  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: lte
            
            	
            	**type**\:   :py:class:`Lte <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Cellular.Lte>`
            
            

            """

            _prefix = 'ios-ctrl'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.id = None
                self.lte = Native.Controller.Cellular.Lte()
                self.lte.parent = self


            class Lte(object):
                """
                
                
                .. attribute:: modem
                
                	
                	**type**\:   :py:class:`Modem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Cellular.Lte.Modem>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.modem = Native.Controller.Cellular.Lte.Modem()
                    self.modem.parent = self


                class Modem(object):
                    """
                    
                    
                    .. attribute:: link_recovery
                    
                    	
                    	**type**\:   :py:class:`LinkRecovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Cellular.Lte.Modem.LinkRecovery>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.link_recovery = Native.Controller.Cellular.Lte.Modem.LinkRecovery()
                        self.link_recovery.parent = self


                    class LinkRecovery(object):
                        """
                        
                        
                        .. attribute:: debounce_count
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: monitor_timer
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rssi
                        
                        	
                        	**type**\:   :py:class:`Rssi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Cellular.Lte.Modem.LinkRecovery.Rssi>`
                        
                        .. attribute:: wait_timer
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.debounce_count = None
                            self.monitor_timer = None
                            self.rssi = Native.Controller.Cellular.Lte.Modem.LinkRecovery.Rssi()
                            self.rssi.parent = self
                            self.wait_timer = None


                        class Rssi(object):
                            """
                            
                            
                            .. attribute:: onset_threshold
                            
                            	
                            	**type**\:  int
                            
                            	**range:** \-2147483648..2147483647
                            
                            

                            """

                            _prefix = 'ios-ctrl'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.onset_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-controller:rssi'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.onset_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Controller.Cellular.Lte.Modem.LinkRecovery.Rssi']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-controller:link-recovery'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.debounce_count is not None:
                                return True

                            if self.monitor_timer is not None:
                                return True

                            if self.rssi is not None and self.rssi._has_data():
                                return True

                            if self.wait_timer is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Controller.Cellular.Lte.Modem.LinkRecovery']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:modem'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.link_recovery is not None and self.link_recovery._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.Cellular.Lte.Modem']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-controller:lte'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.modem is not None and self.modem._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Controller.Cellular.Lte']['meta_info']

            @property
            def _common_path(self):
                if self.id is None:
                    raise YPYModelError('Key property id is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:controller/Cisco-IOS-XE-controller:Cellular[Cisco-IOS-XE-controller:id = ' + str(self.id) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.id is not None:
                    return True

                if self.lte is not None and self.lte._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Controller.Cellular']['meta_info']


        class Sonet(object):
            """
            SONET
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: aps
            
            	SONET APS
            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Aps>`
            
            .. attribute:: au_3
            
            	AU\-3
            	**type**\: list of    :py:class:`Au3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au3>`
            
            .. attribute:: au_4
            
            	AU\-4
            	**type**\: list of    :py:class:`Au4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au4>`
            
            .. attribute:: au_4_atm
            
            	
            	**type**\:   :py:class:`Au4Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au4Atm>`
            
            .. attribute:: aug
            
            	AUG
            	**type**\:   :py:class:`Aug <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Aug>`
            
            .. attribute:: clock
            
            	SONET clock
            	**type**\:   :py:class:`Clock <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Clock>`
            
            .. attribute:: framing
            
            	SONET framing
            	**type**\:   :py:class:`FramingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.FramingEnum>`
            
            .. attribute:: shutdown
            
            	
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-ctrl'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.aps = Native.Controller.Sonet.Aps()
                self.aps.parent = self
                self.au_3 = YList()
                self.au_3.parent = self
                self.au_3.name = 'au_3'
                self.au_4 = YList()
                self.au_4.parent = self
                self.au_4.name = 'au_4'
                self.au_4_atm = Native.Controller.Sonet.Au4Atm()
                self.au_4_atm.parent = self
                self.aug = Native.Controller.Sonet.Aug()
                self.aug.parent = self
                self.clock = Native.Controller.Sonet.Clock()
                self.clock.parent = self
                self.framing = None
                self.shutdown = None

            class FramingEnum(Enum):
                """
                FramingEnum

                SONET framing

                .. data:: sonet = 0

                .. data:: sdh = 1

                """

                sonet = 0

                sdh = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Controller.Sonet.FramingEnum']



            class Clock(object):
                """
                SONET clock
                
                .. attribute:: source
                
                	SONET clock source
                	**type**\:   :py:class:`SourceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Clock.SourceEnum>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.source = None

                class SourceEnum(Enum):
                    """
                    SourceEnum

                    SONET clock source

                    .. data:: internal = 0

                    .. data:: line = 1

                    """

                    internal = 0

                    line = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.Sonet.Clock.SourceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-controller:clock'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.source is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Controller.Sonet.Clock']['meta_info']


            class Aug(object):
                """
                AUG
                
                .. attribute:: mapping
                
                	
                	**type**\:   :py:class:`MappingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Aug.MappingEnum>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.mapping = None

                class MappingEnum(Enum):
                    """
                    MappingEnum

                    .. data:: au_3 = 0

                    .. data:: au_4 = 1

                    """

                    au_3 = 0

                    au_4 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.Sonet.Aug.MappingEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-controller:aug'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.mapping is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Controller.Sonet.Aug']['meta_info']


            class Au3(object):
                """
                AU\-3
                
                .. attribute:: number  <key>
                
                	AU\-3 number
                	**type**\:  int
                
                	**range:** 1..3
                
                .. attribute:: mode
                
                	mode
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au3.Mode>`
                
                .. attribute:: overhead
                
                	overhead
                	**type**\:   :py:class:`Overhead <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au3.Overhead>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.mode = Native.Controller.Sonet.Au3.Mode()
                    self.mode.parent = self
                    self.overhead = Native.Controller.Sonet.Au3.Overhead()
                    self.overhead.parent = self


                class Overhead(object):
                    """
                    overhead
                    
                    .. attribute:: byte
                    
                    	
                    	**type**\:   :py:class:`ByteEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au3.Overhead.ByteEnum>`
                    
                    .. attribute:: length
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.byte = None
                        self.length = None

                    class ByteEnum(Enum):
                        """
                        ByteEnum

                        .. data:: j1 = 0

                        """

                        j1 = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Controller.Sonet.Au3.Overhead.ByteEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:overhead'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.byte is not None:
                            return True

                        if self.length is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.Sonet.Au3.Overhead']['meta_info']


                class Mode(object):
                    """
                    mode
                    
                    .. attribute:: mapping
                    
                    	
                    	**type**\:   :py:class:`MappingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au3.Mode.MappingEnum>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.mapping = None

                    class MappingEnum(Enum):
                        """
                        MappingEnum

                        .. data:: c_11 = 0

                        .. data:: c_12 = 1

                        .. data:: c_2 = 2

                        """

                        c_11 = 0

                        c_12 = 1

                        c_2 = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Controller.Sonet.Au3.Mode.MappingEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.mapping is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.Sonet.Au3.Mode']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.number is None:
                        raise YPYModelError('Key property number is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-controller:au-3[Cisco-IOS-XE-controller:number = ' + str(self.number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.overhead is not None and self.overhead._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Controller.Sonet.Au3']['meta_info']


            class Au4Atm(object):
                """
                
                
                .. attribute:: au_4
                
                	AU\-4
                	**type**\:   :py:class:`Au4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au4Atm.Au4>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.au_4 = Native.Controller.Sonet.Au4Atm.Au4()
                    self.au_4.parent = self


                class Au4(object):
                    """
                    AU\-4
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: number
                    
                    	AU\-4 number
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm = None
                        self.number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:au-4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm is not None:
                            return True

                        if self.number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.Sonet.Au4Atm.Au4']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-controller:au-4-atm'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.au_4 is not None and self.au_4._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Controller.Sonet.Au4Atm']['meta_info']


            class Au4(object):
                """
                AU\-4
                
                .. attribute:: number  <key>
                
                	AU\-4 number
                	**type**\:  int
                
                	**range:** 1..3
                
                .. attribute:: tug_3  <key>
                
                	TUG\-3
                	**type**\:  int
                
                	**range:** 1..3
                
                .. attribute:: cem_group
                
                	CEM group
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: cem_group_atm
                
                	
                	**type**\:   :py:class:`CemGroupAtm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au4.CemGroupAtm>`
                
                .. attribute:: cem_group_timeslots
                
                	
                	**type**\:   :py:class:`CemGroupTimeslots <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au4.CemGroupTimeslots>`
                
                .. attribute:: cem_group_unframed
                
                	
                	**type**\:   :py:class:`CemGroupUnframed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au4.CemGroupUnframed>`
                
                .. attribute:: channel_group_timeslots
                
                	
                	**type**\:   :py:class:`ChannelGroupTimeslots <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au4.ChannelGroupTimeslots>`
                
                .. attribute:: framing
                
                	
                	**type**\:   :py:class:`FramingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au4.FramingEnum>`
                
                .. attribute:: framing_unframed
                
                	
                	**type**\:   :py:class:`FramingUnframed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au4.FramingUnframed>`
                
                .. attribute:: ima_group
                
                	
                	**type**\:   :py:class:`ImaGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au4.ImaGroup>`
                
                .. attribute:: mode
                
                	mode
                	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au4.ModeEnum>`
                
                .. attribute:: unframed
                
                	Unframed
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.tug_3 = None
                    self.cem_group = None
                    self.cem_group_atm = Native.Controller.Sonet.Au4.CemGroupAtm()
                    self.cem_group_atm.parent = self
                    self.cem_group_timeslots = Native.Controller.Sonet.Au4.CemGroupTimeslots()
                    self.cem_group_timeslots.parent = self
                    self.cem_group_unframed = Native.Controller.Sonet.Au4.CemGroupUnframed()
                    self.cem_group_unframed.parent = self
                    self.channel_group_timeslots = Native.Controller.Sonet.Au4.ChannelGroupTimeslots()
                    self.channel_group_timeslots.parent = self
                    self.framing = None
                    self.framing_unframed = Native.Controller.Sonet.Au4.FramingUnframed()
                    self.framing_unframed.parent = self
                    self.ima_group = Native.Controller.Sonet.Au4.ImaGroup()
                    self.ima_group.parent = self
                    self.mode = None
                    self.unframed = None

                class FramingEnum(Enum):
                    """
                    FramingEnum

                    .. data:: unframed = 0

                    """

                    unframed = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.Sonet.Au4.FramingEnum']


                class ModeEnum(Enum):
                    """
                    ModeEnum

                    mode

                    .. data:: c_11 = 0

                    .. data:: c_12 = 1

                    .. data:: c_2 = 2

                    .. data:: c_3 = 3

                    .. data:: c_4 = 4

                    .. data:: e3 = 5

                    """

                    c_11 = 0

                    c_12 = 1

                    c_2 = 2

                    c_3 = 3

                    c_4 = 4

                    e3 = 5


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.Sonet.Au4.ModeEnum']



                class CemGroupTimeslots(object):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of    :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au4.CemGroupTimeslots.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tug_2 = YList()
                        self.tug_2.parent = self
                        self.tug_2.name = 'tug_2'


                    class Tug2(object):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\:  int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\:  int
                        
                        	**range:** 1..3
                        
                        .. attribute:: cem_group  <key>
                        
                        	CEM group
                        	**type**\:  int
                        
                        	**range:** \-2147483648..2147483647
                        
                        .. attribute:: timeslots
                        
                        	Time slots
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.e1 = None
                            self.cem_group = None
                            self.timeslots = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')
                            if self.e1 is None:
                                raise YPYModelError('Key property e1 is None')
                            if self.cem_group is None:
                                raise YPYModelError('Key property cem_group is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-controller:tug-2[Cisco-IOS-XE-controller:number = ' + str(self.number) + '][Cisco-IOS-XE-controller:e1 = ' + str(self.e1) + '][Cisco-IOS-XE-controller:cem-group = ' + str(self.cem_group) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.e1 is not None:
                                return True

                            if self.cem_group is not None:
                                return True

                            if self.timeslots is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Controller.Sonet.Au4.CemGroupTimeslots.Tug2']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:cem-group-timeslots'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tug_2 is not None:
                            for child_ref in self.tug_2:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.Sonet.Au4.CemGroupTimeslots']['meta_info']


                class ChannelGroupTimeslots(object):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of    :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au4.ChannelGroupTimeslots.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tug_2 = YList()
                        self.tug_2.parent = self
                        self.tug_2.name = 'tug_2'


                    class Tug2(object):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\:  int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\:  int
                        
                        	**range:** 1..3
                        
                        .. attribute:: channel_group  <key>
                        
                        	Channel group
                        	**type**\:  int
                        
                        	**range:** \-2147483648..2147483647
                        
                        .. attribute:: timeslots
                        
                        	Time slots
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.e1 = None
                            self.channel_group = None
                            self.timeslots = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')
                            if self.e1 is None:
                                raise YPYModelError('Key property e1 is None')
                            if self.channel_group is None:
                                raise YPYModelError('Key property channel_group is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-controller:tug-2[Cisco-IOS-XE-controller:number = ' + str(self.number) + '][Cisco-IOS-XE-controller:e1 = ' + str(self.e1) + '][Cisco-IOS-XE-controller:channel-group = ' + str(self.channel_group) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.e1 is not None:
                                return True

                            if self.channel_group is not None:
                                return True

                            if self.timeslots is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Controller.Sonet.Au4.ChannelGroupTimeslots.Tug2']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:channel-group-timeslots'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tug_2 is not None:
                            for child_ref in self.tug_2:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.Sonet.Au4.ChannelGroupTimeslots']['meta_info']


                class CemGroupUnframed(object):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of    :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au4.CemGroupUnframed.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tug_2 = YList()
                        self.tug_2.parent = self
                        self.tug_2.name = 'tug_2'


                    class Tug2(object):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\:  int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\:  int
                        
                        	**range:** 1..3
                        
                        .. attribute:: cem_group  <key>
                        
                        	CEM group
                        	**type**\:  int
                        
                        	**range:** \-2147483648..2147483647
                        
                        .. attribute:: unframed
                        
                        	Unframed
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.e1 = None
                            self.cem_group = None
                            self.unframed = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')
                            if self.e1 is None:
                                raise YPYModelError('Key property e1 is None')
                            if self.cem_group is None:
                                raise YPYModelError('Key property cem_group is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-controller:tug-2[Cisco-IOS-XE-controller:number = ' + str(self.number) + '][Cisco-IOS-XE-controller:e1 = ' + str(self.e1) + '][Cisco-IOS-XE-controller:cem-group = ' + str(self.cem_group) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.e1 is not None:
                                return True

                            if self.cem_group is not None:
                                return True

                            if self.unframed is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Controller.Sonet.Au4.CemGroupUnframed.Tug2']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:cem-group-unframed'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tug_2 is not None:
                            for child_ref in self.tug_2:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.Sonet.Au4.CemGroupUnframed']['meta_info']


                class FramingUnframed(object):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of    :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au4.FramingUnframed.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tug_2 = YList()
                        self.tug_2.parent = self
                        self.tug_2.name = 'tug_2'


                    class Tug2(object):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\:  int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\:  int
                        
                        	**range:** 1..3
                        
                        .. attribute:: framing
                        
                        	
                        	**type**\:   :py:class:`FramingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au4.FramingUnframed.Tug2.FramingEnum>`
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.e1 = None
                            self.framing = None

                        class FramingEnum(Enum):
                            """
                            FramingEnum

                            .. data:: unframed = 0

                            """

                            unframed = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Controller.Sonet.Au4.FramingUnframed.Tug2.FramingEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')
                            if self.e1 is None:
                                raise YPYModelError('Key property e1 is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-controller:tug-2[Cisco-IOS-XE-controller:number = ' + str(self.number) + '][Cisco-IOS-XE-controller:e1 = ' + str(self.e1) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.e1 is not None:
                                return True

                            if self.framing is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Controller.Sonet.Au4.FramingUnframed.Tug2']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:framing-unframed'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tug_2 is not None:
                            for child_ref in self.tug_2:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.Sonet.Au4.FramingUnframed']['meta_info']


                class CemGroupAtm(object):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of    :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au4.CemGroupAtm.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tug_2 = YList()
                        self.tug_2.parent = self
                        self.tug_2.name = 'tug_2'


                    class Tug2(object):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\:  int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\:  int
                        
                        	**range:** 1..3
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.e1 = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')
                            if self.e1 is None:
                                raise YPYModelError('Key property e1 is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-controller:tug-2[Cisco-IOS-XE-controller:number = ' + str(self.number) + '][Cisco-IOS-XE-controller:e1 = ' + str(self.e1) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.e1 is not None:
                                return True

                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Controller.Sonet.Au4.CemGroupAtm.Tug2']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:cem-group-atm'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tug_2 is not None:
                            for child_ref in self.tug_2:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.Sonet.Au4.CemGroupAtm']['meta_info']


                class ImaGroup(object):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of    :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Au4.ImaGroup.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tug_2 = YList()
                        self.tug_2.parent = self
                        self.tug_2.name = 'tug_2'


                    class Tug2(object):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\:  int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\:  int
                        
                        	**range:** 1..3
                        
                        .. attribute:: ima_group  <key>
                        
                        	IMA group
                        	**type**\:  int
                        
                        	**range:** \-2147483648..2147483647
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.e1 = None
                            self.ima_group = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')
                            if self.e1 is None:
                                raise YPYModelError('Key property e1 is None')
                            if self.ima_group is None:
                                raise YPYModelError('Key property ima_group is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-controller:tug-2[Cisco-IOS-XE-controller:number = ' + str(self.number) + '][Cisco-IOS-XE-controller:e1 = ' + str(self.e1) + '][Cisco-IOS-XE-controller:ima-group = ' + str(self.ima_group) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.e1 is not None:
                                return True

                            if self.ima_group is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Controller.Sonet.Au4.ImaGroup.Tug2']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:ima-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tug_2 is not None:
                            for child_ref in self.tug_2:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.Sonet.Au4.ImaGroup']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.number is None:
                        raise YPYModelError('Key property number is None')
                    if self.tug_3 is None:
                        raise YPYModelError('Key property tug_3 is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-controller:au-4[Cisco-IOS-XE-controller:number = ' + str(self.number) + '][Cisco-IOS-XE-controller:tug-3 = ' + str(self.tug_3) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.tug_3 is not None:
                        return True

                    if self.cem_group is not None:
                        return True

                    if self.cem_group_atm is not None and self.cem_group_atm._has_data():
                        return True

                    if self.cem_group_timeslots is not None and self.cem_group_timeslots._has_data():
                        return True

                    if self.cem_group_unframed is not None and self.cem_group_unframed._has_data():
                        return True

                    if self.channel_group_timeslots is not None and self.channel_group_timeslots._has_data():
                        return True

                    if self.framing is not None:
                        return True

                    if self.framing_unframed is not None and self.framing_unframed._has_data():
                        return True

                    if self.ima_group is not None and self.ima_group._has_data():
                        return True

                    if self.mode is not None:
                        return True

                    if self.unframed is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Controller.Sonet.Au4']['meta_info']


            class Aps(object):
                """
                SONET APS
                
                .. attribute:: group
                
                	SONET APS group
                	**type**\:   :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Aps.Group>`
                
                .. attribute:: hspw_icrm_grp
                
                	
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: interchassis
                
                	
                	**type**\:   :py:class:`Interchassis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Aps.Interchassis>`
                
                .. attribute:: protect
                
                	Protect line
                	**type**\:   :py:class:`Protect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Sonet.Aps.Protect>`
                
                .. attribute:: working
                
                	Working line
                	**type**\:  int
                
                	**range:** \-128..127
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.group = Native.Controller.Sonet.Aps.Group()
                    self.group.parent = self
                    self.hspw_icrm_grp = None
                    self.interchassis = Native.Controller.Sonet.Aps.Interchassis()
                    self.interchassis.parent = self
                    self.protect = Native.Controller.Sonet.Aps.Protect()
                    self.protect.parent = self
                    self.working = None


                class Group(object):
                    """
                    SONET APS group
                    
                    .. attribute:: acr
                    
                    	ACR
                    	**type**\:  int
                    
                    	**range:** \-128..127
                    
                    .. attribute:: group_number
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None
                        self.group_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        if self.group_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.Sonet.Aps.Group']['meta_info']


                class Protect(object):
                    """
                    Protect line
                    
                    .. attribute:: ip_addr
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: number
                    
                    	
                    	**type**\:  int
                    
                    	**range:** \-128..127
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip_addr = None
                        self.number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:protect'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip_addr is not None:
                            return True

                        if self.number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.Sonet.Aps.Protect']['meta_info']


                class Interchassis(object):
                    """
                    
                    
                    .. attribute:: group
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:interchassis'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.Sonet.Aps.Interchassis']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-controller:aps'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.group is not None and self.group._has_data():
                        return True

                    if self.hspw_icrm_grp is not None:
                        return True

                    if self.interchassis is not None and self.interchassis._has_data():
                        return True

                    if self.protect is not None and self.protect._has_data():
                        return True

                    if self.working is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Controller.Sonet.Aps']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:controller/Cisco-IOS-XE-controller:SONET[Cisco-IOS-XE-controller:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.aps is not None and self.aps._has_data():
                    return True

                if self.au_3 is not None:
                    for child_ref in self.au_3:
                        if child_ref._has_data():
                            return True

                if self.au_4 is not None:
                    for child_ref in self.au_4:
                        if child_ref._has_data():
                            return True

                if self.au_4_atm is not None and self.au_4_atm._has_data():
                    return True

                if self.aug is not None and self.aug._has_data():
                    return True

                if self.clock is not None and self.clock._has_data():
                    return True

                if self.framing is not None:
                    return True

                if self.shutdown is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Controller.Sonet']['meta_info']


        class SonetAcr(object):
            """
            SONET\-ACR
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            	**pattern:** ([0\-9\\.])+
            
            .. attribute:: aps
            
            	SONET APS
            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Aps>`
            
            .. attribute:: au_3
            
            	AU\-3
            	**type**\: list of    :py:class:`Au3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au3>`
            
            .. attribute:: au_4
            
            	AU\-4
            	**type**\: list of    :py:class:`Au4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au4>`
            
            .. attribute:: au_4_atm
            
            	
            	**type**\:   :py:class:`Au4Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au4Atm>`
            
            .. attribute:: aug
            
            	AUG
            	**type**\:   :py:class:`Aug <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Aug>`
            
            .. attribute:: clock
            
            	SONET clock
            	**type**\:   :py:class:`Clock <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Clock>`
            
            .. attribute:: framing
            
            	SONET framing
            	**type**\:   :py:class:`FramingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.FramingEnum>`
            
            .. attribute:: shutdown
            
            	
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-ctrl'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.aps = Native.Controller.SonetAcr.Aps()
                self.aps.parent = self
                self.au_3 = YList()
                self.au_3.parent = self
                self.au_3.name = 'au_3'
                self.au_4 = YList()
                self.au_4.parent = self
                self.au_4.name = 'au_4'
                self.au_4_atm = Native.Controller.SonetAcr.Au4Atm()
                self.au_4_atm.parent = self
                self.aug = Native.Controller.SonetAcr.Aug()
                self.aug.parent = self
                self.clock = Native.Controller.SonetAcr.Clock()
                self.clock.parent = self
                self.framing = None
                self.shutdown = None

            class FramingEnum(Enum):
                """
                FramingEnum

                SONET framing

                .. data:: sonet = 0

                .. data:: sdh = 1

                """

                sonet = 0

                sdh = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Controller.SonetAcr.FramingEnum']



            class Clock(object):
                """
                SONET clock
                
                .. attribute:: source
                
                	SONET clock source
                	**type**\:   :py:class:`SourceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Clock.SourceEnum>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.source = None

                class SourceEnum(Enum):
                    """
                    SourceEnum

                    SONET clock source

                    .. data:: internal = 0

                    .. data:: line = 1

                    """

                    internal = 0

                    line = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.SonetAcr.Clock.SourceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-controller:clock'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.source is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Controller.SonetAcr.Clock']['meta_info']


            class Aug(object):
                """
                AUG
                
                .. attribute:: mapping
                
                	
                	**type**\:   :py:class:`MappingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Aug.MappingEnum>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.mapping = None

                class MappingEnum(Enum):
                    """
                    MappingEnum

                    .. data:: au_3 = 0

                    .. data:: au_4 = 1

                    """

                    au_3 = 0

                    au_4 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.SonetAcr.Aug.MappingEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-controller:aug'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.mapping is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Controller.SonetAcr.Aug']['meta_info']


            class Au3(object):
                """
                AU\-3
                
                .. attribute:: number  <key>
                
                	AU\-3 number
                	**type**\:  int
                
                	**range:** 1..3
                
                .. attribute:: mode
                
                	mode
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au3.Mode>`
                
                .. attribute:: overhead
                
                	overhead
                	**type**\:   :py:class:`Overhead <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au3.Overhead>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.mode = Native.Controller.SonetAcr.Au3.Mode()
                    self.mode.parent = self
                    self.overhead = Native.Controller.SonetAcr.Au3.Overhead()
                    self.overhead.parent = self


                class Overhead(object):
                    """
                    overhead
                    
                    .. attribute:: byte
                    
                    	
                    	**type**\:   :py:class:`ByteEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au3.Overhead.ByteEnum>`
                    
                    .. attribute:: length
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.byte = None
                        self.length = None

                    class ByteEnum(Enum):
                        """
                        ByteEnum

                        .. data:: j1 = 0

                        """

                        j1 = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Controller.SonetAcr.Au3.Overhead.ByteEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:overhead'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.byte is not None:
                            return True

                        if self.length is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.SonetAcr.Au3.Overhead']['meta_info']


                class Mode(object):
                    """
                    mode
                    
                    .. attribute:: mapping
                    
                    	
                    	**type**\:   :py:class:`MappingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au3.Mode.MappingEnum>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.mapping = None

                    class MappingEnum(Enum):
                        """
                        MappingEnum

                        .. data:: c_11 = 0

                        .. data:: c_12 = 1

                        .. data:: c_2 = 2

                        """

                        c_11 = 0

                        c_12 = 1

                        c_2 = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Controller.SonetAcr.Au3.Mode.MappingEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.mapping is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.SonetAcr.Au3.Mode']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.number is None:
                        raise YPYModelError('Key property number is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-controller:au-3[Cisco-IOS-XE-controller:number = ' + str(self.number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.overhead is not None and self.overhead._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Controller.SonetAcr.Au3']['meta_info']


            class Au4Atm(object):
                """
                
                
                .. attribute:: au_4
                
                	AU\-4
                	**type**\:   :py:class:`Au4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au4Atm.Au4>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.au_4 = Native.Controller.SonetAcr.Au4Atm.Au4()
                    self.au_4.parent = self


                class Au4(object):
                    """
                    AU\-4
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: number
                    
                    	AU\-4 number
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm = None
                        self.number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:au-4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm is not None:
                            return True

                        if self.number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.SonetAcr.Au4Atm.Au4']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-controller:au-4-atm'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.au_4 is not None and self.au_4._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Controller.SonetAcr.Au4Atm']['meta_info']


            class Au4(object):
                """
                AU\-4
                
                .. attribute:: number  <key>
                
                	AU\-4 number
                	**type**\:  int
                
                	**range:** 1..3
                
                .. attribute:: tug_3  <key>
                
                	TUG\-3
                	**type**\:  int
                
                	**range:** 1..3
                
                .. attribute:: cem_group
                
                	CEM group
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: cem_group_atm
                
                	
                	**type**\:   :py:class:`CemGroupAtm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au4.CemGroupAtm>`
                
                .. attribute:: cem_group_timeslots
                
                	
                	**type**\:   :py:class:`CemGroupTimeslots <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au4.CemGroupTimeslots>`
                
                .. attribute:: cem_group_unframed
                
                	
                	**type**\:   :py:class:`CemGroupUnframed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au4.CemGroupUnframed>`
                
                .. attribute:: channel_group_timeslots
                
                	
                	**type**\:   :py:class:`ChannelGroupTimeslots <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au4.ChannelGroupTimeslots>`
                
                .. attribute:: framing
                
                	
                	**type**\:   :py:class:`FramingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au4.FramingEnum>`
                
                .. attribute:: framing_unframed
                
                	
                	**type**\:   :py:class:`FramingUnframed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au4.FramingUnframed>`
                
                .. attribute:: ima_group
                
                	
                	**type**\:   :py:class:`ImaGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au4.ImaGroup>`
                
                .. attribute:: mode
                
                	mode
                	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au4.ModeEnum>`
                
                .. attribute:: unframed
                
                	Unframed
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.tug_3 = None
                    self.cem_group = None
                    self.cem_group_atm = Native.Controller.SonetAcr.Au4.CemGroupAtm()
                    self.cem_group_atm.parent = self
                    self.cem_group_timeslots = Native.Controller.SonetAcr.Au4.CemGroupTimeslots()
                    self.cem_group_timeslots.parent = self
                    self.cem_group_unframed = Native.Controller.SonetAcr.Au4.CemGroupUnframed()
                    self.cem_group_unframed.parent = self
                    self.channel_group_timeslots = Native.Controller.SonetAcr.Au4.ChannelGroupTimeslots()
                    self.channel_group_timeslots.parent = self
                    self.framing = None
                    self.framing_unframed = Native.Controller.SonetAcr.Au4.FramingUnframed()
                    self.framing_unframed.parent = self
                    self.ima_group = Native.Controller.SonetAcr.Au4.ImaGroup()
                    self.ima_group.parent = self
                    self.mode = None
                    self.unframed = None

                class FramingEnum(Enum):
                    """
                    FramingEnum

                    .. data:: unframed = 0

                    """

                    unframed = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.SonetAcr.Au4.FramingEnum']


                class ModeEnum(Enum):
                    """
                    ModeEnum

                    mode

                    .. data:: c_11 = 0

                    .. data:: c_12 = 1

                    .. data:: c_2 = 2

                    .. data:: c_3 = 3

                    .. data:: c_4 = 4

                    .. data:: e3 = 5

                    """

                    c_11 = 0

                    c_12 = 1

                    c_2 = 2

                    c_3 = 3

                    c_4 = 4

                    e3 = 5


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.SonetAcr.Au4.ModeEnum']



                class CemGroupTimeslots(object):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of    :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au4.CemGroupTimeslots.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tug_2 = YList()
                        self.tug_2.parent = self
                        self.tug_2.name = 'tug_2'


                    class Tug2(object):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\:  int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\:  int
                        
                        	**range:** 1..3
                        
                        .. attribute:: cem_group  <key>
                        
                        	CEM group
                        	**type**\:  int
                        
                        	**range:** \-2147483648..2147483647
                        
                        .. attribute:: timeslots
                        
                        	Time slots
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.e1 = None
                            self.cem_group = None
                            self.timeslots = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')
                            if self.e1 is None:
                                raise YPYModelError('Key property e1 is None')
                            if self.cem_group is None:
                                raise YPYModelError('Key property cem_group is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-controller:tug-2[Cisco-IOS-XE-controller:number = ' + str(self.number) + '][Cisco-IOS-XE-controller:e1 = ' + str(self.e1) + '][Cisco-IOS-XE-controller:cem-group = ' + str(self.cem_group) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.e1 is not None:
                                return True

                            if self.cem_group is not None:
                                return True

                            if self.timeslots is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Controller.SonetAcr.Au4.CemGroupTimeslots.Tug2']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:cem-group-timeslots'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tug_2 is not None:
                            for child_ref in self.tug_2:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.SonetAcr.Au4.CemGroupTimeslots']['meta_info']


                class ChannelGroupTimeslots(object):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of    :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au4.ChannelGroupTimeslots.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tug_2 = YList()
                        self.tug_2.parent = self
                        self.tug_2.name = 'tug_2'


                    class Tug2(object):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\:  int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\:  int
                        
                        	**range:** 1..3
                        
                        .. attribute:: channel_group  <key>
                        
                        	Channel group
                        	**type**\:  int
                        
                        	**range:** \-2147483648..2147483647
                        
                        .. attribute:: timeslots
                        
                        	Time slots
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.e1 = None
                            self.channel_group = None
                            self.timeslots = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')
                            if self.e1 is None:
                                raise YPYModelError('Key property e1 is None')
                            if self.channel_group is None:
                                raise YPYModelError('Key property channel_group is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-controller:tug-2[Cisco-IOS-XE-controller:number = ' + str(self.number) + '][Cisco-IOS-XE-controller:e1 = ' + str(self.e1) + '][Cisco-IOS-XE-controller:channel-group = ' + str(self.channel_group) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.e1 is not None:
                                return True

                            if self.channel_group is not None:
                                return True

                            if self.timeslots is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Controller.SonetAcr.Au4.ChannelGroupTimeslots.Tug2']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:channel-group-timeslots'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tug_2 is not None:
                            for child_ref in self.tug_2:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.SonetAcr.Au4.ChannelGroupTimeslots']['meta_info']


                class CemGroupUnframed(object):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of    :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au4.CemGroupUnframed.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tug_2 = YList()
                        self.tug_2.parent = self
                        self.tug_2.name = 'tug_2'


                    class Tug2(object):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\:  int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\:  int
                        
                        	**range:** 1..3
                        
                        .. attribute:: cem_group  <key>
                        
                        	CEM group
                        	**type**\:  int
                        
                        	**range:** \-2147483648..2147483647
                        
                        .. attribute:: unframed
                        
                        	Unframed
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.e1 = None
                            self.cem_group = None
                            self.unframed = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')
                            if self.e1 is None:
                                raise YPYModelError('Key property e1 is None')
                            if self.cem_group is None:
                                raise YPYModelError('Key property cem_group is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-controller:tug-2[Cisco-IOS-XE-controller:number = ' + str(self.number) + '][Cisco-IOS-XE-controller:e1 = ' + str(self.e1) + '][Cisco-IOS-XE-controller:cem-group = ' + str(self.cem_group) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.e1 is not None:
                                return True

                            if self.cem_group is not None:
                                return True

                            if self.unframed is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Controller.SonetAcr.Au4.CemGroupUnframed.Tug2']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:cem-group-unframed'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tug_2 is not None:
                            for child_ref in self.tug_2:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.SonetAcr.Au4.CemGroupUnframed']['meta_info']


                class FramingUnframed(object):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of    :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au4.FramingUnframed.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tug_2 = YList()
                        self.tug_2.parent = self
                        self.tug_2.name = 'tug_2'


                    class Tug2(object):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\:  int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\:  int
                        
                        	**range:** 1..3
                        
                        .. attribute:: framing
                        
                        	
                        	**type**\:   :py:class:`FramingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au4.FramingUnframed.Tug2.FramingEnum>`
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.e1 = None
                            self.framing = None

                        class FramingEnum(Enum):
                            """
                            FramingEnum

                            .. data:: unframed = 0

                            """

                            unframed = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Controller.SonetAcr.Au4.FramingUnframed.Tug2.FramingEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')
                            if self.e1 is None:
                                raise YPYModelError('Key property e1 is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-controller:tug-2[Cisco-IOS-XE-controller:number = ' + str(self.number) + '][Cisco-IOS-XE-controller:e1 = ' + str(self.e1) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.e1 is not None:
                                return True

                            if self.framing is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Controller.SonetAcr.Au4.FramingUnframed.Tug2']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:framing-unframed'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tug_2 is not None:
                            for child_ref in self.tug_2:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.SonetAcr.Au4.FramingUnframed']['meta_info']


                class CemGroupAtm(object):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of    :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au4.CemGroupAtm.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tug_2 = YList()
                        self.tug_2.parent = self
                        self.tug_2.name = 'tug_2'


                    class Tug2(object):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\:  int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\:  int
                        
                        	**range:** 1..3
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.e1 = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')
                            if self.e1 is None:
                                raise YPYModelError('Key property e1 is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-controller:tug-2[Cisco-IOS-XE-controller:number = ' + str(self.number) + '][Cisco-IOS-XE-controller:e1 = ' + str(self.e1) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.e1 is not None:
                                return True

                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Controller.SonetAcr.Au4.CemGroupAtm.Tug2']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:cem-group-atm'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tug_2 is not None:
                            for child_ref in self.tug_2:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.SonetAcr.Au4.CemGroupAtm']['meta_info']


                class ImaGroup(object):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of    :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Au4.ImaGroup.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tug_2 = YList()
                        self.tug_2.parent = self
                        self.tug_2.name = 'tug_2'


                    class Tug2(object):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\:  int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\:  int
                        
                        	**range:** 1..3
                        
                        .. attribute:: ima_group  <key>
                        
                        	IMA group
                        	**type**\:  int
                        
                        	**range:** \-2147483648..2147483647
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.e1 = None
                            self.ima_group = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')
                            if self.e1 is None:
                                raise YPYModelError('Key property e1 is None')
                            if self.ima_group is None:
                                raise YPYModelError('Key property ima_group is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-controller:tug-2[Cisco-IOS-XE-controller:number = ' + str(self.number) + '][Cisco-IOS-XE-controller:e1 = ' + str(self.e1) + '][Cisco-IOS-XE-controller:ima-group = ' + str(self.ima_group) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.e1 is not None:
                                return True

                            if self.ima_group is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Controller.SonetAcr.Au4.ImaGroup.Tug2']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:ima-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tug_2 is not None:
                            for child_ref in self.tug_2:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.SonetAcr.Au4.ImaGroup']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.number is None:
                        raise YPYModelError('Key property number is None')
                    if self.tug_3 is None:
                        raise YPYModelError('Key property tug_3 is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-controller:au-4[Cisco-IOS-XE-controller:number = ' + str(self.number) + '][Cisco-IOS-XE-controller:tug-3 = ' + str(self.tug_3) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.tug_3 is not None:
                        return True

                    if self.cem_group is not None:
                        return True

                    if self.cem_group_atm is not None and self.cem_group_atm._has_data():
                        return True

                    if self.cem_group_timeslots is not None and self.cem_group_timeslots._has_data():
                        return True

                    if self.cem_group_unframed is not None and self.cem_group_unframed._has_data():
                        return True

                    if self.channel_group_timeslots is not None and self.channel_group_timeslots._has_data():
                        return True

                    if self.framing is not None:
                        return True

                    if self.framing_unframed is not None and self.framing_unframed._has_data():
                        return True

                    if self.ima_group is not None and self.ima_group._has_data():
                        return True

                    if self.mode is not None:
                        return True

                    if self.unframed is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Controller.SonetAcr.Au4']['meta_info']


            class Aps(object):
                """
                SONET APS
                
                .. attribute:: group
                
                	SONET APS group
                	**type**\:   :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Aps.Group>`
                
                .. attribute:: hspw_icrm_grp
                
                	
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: interchassis
                
                	
                	**type**\:   :py:class:`Interchassis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Aps.Interchassis>`
                
                .. attribute:: protect
                
                	Protect line
                	**type**\:   :py:class:`Protect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SonetAcr.Aps.Protect>`
                
                .. attribute:: working
                
                	Working line
                	**type**\:  int
                
                	**range:** \-128..127
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.group = Native.Controller.SonetAcr.Aps.Group()
                    self.group.parent = self
                    self.hspw_icrm_grp = None
                    self.interchassis = Native.Controller.SonetAcr.Aps.Interchassis()
                    self.interchassis.parent = self
                    self.protect = Native.Controller.SonetAcr.Aps.Protect()
                    self.protect.parent = self
                    self.working = None


                class Group(object):
                    """
                    SONET APS group
                    
                    .. attribute:: acr
                    
                    	ACR
                    	**type**\:  int
                    
                    	**range:** \-128..127
                    
                    .. attribute:: group_number
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None
                        self.group_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        if self.group_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.SonetAcr.Aps.Group']['meta_info']


                class Protect(object):
                    """
                    Protect line
                    
                    .. attribute:: ip_addr
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: number
                    
                    	
                    	**type**\:  int
                    
                    	**range:** \-128..127
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip_addr = None
                        self.number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:protect'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip_addr is not None:
                            return True

                        if self.number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.SonetAcr.Aps.Protect']['meta_info']


                class Interchassis(object):
                    """
                    
                    
                    .. attribute:: group
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-controller:interchassis'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Controller.SonetAcr.Aps.Interchassis']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-controller:aps'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.group is not None and self.group._has_data():
                        return True

                    if self.hspw_icrm_grp is not None:
                        return True

                    if self.interchassis is not None and self.interchassis._has_data():
                        return True

                    if self.protect is not None and self.protect._has_data():
                        return True

                    if self.working is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Controller.SonetAcr.Aps']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:controller/Cisco-IOS-XE-controller:SONET-ACR[Cisco-IOS-XE-controller:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.aps is not None and self.aps._has_data():
                    return True

                if self.au_3 is not None:
                    for child_ref in self.au_3:
                        if child_ref._has_data():
                            return True

                if self.au_4 is not None:
                    for child_ref in self.au_4:
                        if child_ref._has_data():
                            return True

                if self.au_4_atm is not None and self.au_4_atm._has_data():
                    return True

                if self.aug is not None and self.aug._has_data():
                    return True

                if self.clock is not None and self.clock._has_data():
                    return True

                if self.framing is not None:
                    return True

                if self.shutdown is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Controller.SonetAcr']['meta_info']


        class Wanphy(object):
            """
            wanphy
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            

            """

            _prefix = 'ios-ctrl'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:controller/Cisco-IOS-XE-controller:wanphy[Cisco-IOS-XE-controller:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Controller.Wanphy']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:controller'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.cellular is not None:
                for child_ref in self.cellular:
                    if child_ref._has_data():
                        return True

            if self.controller_tx_ex_list is not None:
                for child_ref in self.controller_tx_ex_list:
                    if child_ref._has_data():
                        return True

            if self.sonet is not None:
                for child_ref in self.sonet:
                    if child_ref._has_data():
                        return True

            if self.sonet_acr is not None:
                for child_ref in self.sonet_acr:
                    if child_ref._has_data():
                        return True

            if self.wanphy is not None:
                for child_ref in self.wanphy:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Controller']['meta_info']


    class Vrf(object):
        """
        VRF commands
        
        .. attribute:: definition
        
        	VRF definition mode
        	**type**\: list of    :py:class:`Definition <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.definition = YList()
            self.definition.parent = self
            self.definition.name = 'definition'


        class Definition(object):
            """
            VRF definition mode
            
            .. attribute:: name  <key>
            
            	WORD;;VRF name
            	**type**\:  str
            
            .. attribute:: address_family
            
            	Enter Address Family command mode
            	**type**\:   :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily>`
            
            .. attribute:: description
            
            	VRF specific description
            	**type**\:  str
            
            	**length:** 1..244
            
            .. attribute:: rd
            
            	Specify Route Distinguisher
            	**type**\: one of the below types:
            
            	**type**\:  str
            
            	**pattern:** [0\-9]+\:[0\-9]+
            
            
            ----
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            
            ----
            	**type**\:  str
            
            	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
            
            
            ----
            .. attribute:: route_target
            
            	Specify Target VPN Extended Communities
            	**type**\:   :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.RouteTarget>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.address_family = Native.Vrf.Definition.AddressFamily()
                self.address_family.parent = self
                self.description = None
                self.rd = None
                self.route_target = Native.Vrf.Definition.RouteTarget()
                self.route_target.parent = self


            class AddressFamily(object):
                """
                Enter Address Family command mode
                
                .. attribute:: ipv4
                
                	Address family
                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4>`
                
                	**presence node**\: True
                
                .. attribute:: ipv6
                
                	Address family
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv6>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipv4 = None
                    self.ipv6 = None


                class Ipv4(object):
                    """
                    Address family
                    
                    .. attribute:: export
                    
                    	VRF export
                    	**type**\:   :py:class:`Export <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.Export>`
                    
                    .. attribute:: maximum
                    
                    	Maximum number of routes allowed in this routing table
                    	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.Maximum>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: mdt
                    
                    	Backbone Multicast Distribution Tree
                    	**type**\:   :py:class:`Mdt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.Mdt>`
                    
                    .. attribute:: route_target
                    
                    	Specify Target VPN Extended Communities
                    	**type**\:   :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.export = Native.Vrf.Definition.AddressFamily.Ipv4.Export()
                        self.export.parent = self
                        self.maximum = None
                        self.mdt = Native.Vrf.Definition.AddressFamily.Ipv4.Mdt()
                        self.mdt.parent = self
                        self.route_target = Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget()
                        self.route_target.parent = self


                    class Export(object):
                        """
                        VRF export
                        
                        .. attribute:: map
                        
                        	WORD;;Route\-map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.map = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:export'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.Export']['meta_info']


                    class Maximum(object):
                        """
                        Maximum number of routes allowed in this routing table
                        
                        .. attribute:: reinstall
                        
                        	Reinstall previous rejected route due to over maximum route limit
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        .. attribute:: routes
                        
                        	Maximum number of routes allowed in this routing table
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: threshold
                        
                        	Threshold
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        .. attribute:: warning_only
                        
                        	Only give a warning message if is limit exceeded
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.reinstall = None
                            self.routes = None
                            self.threshold = None
                            self.warning_only = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:maximum'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.reinstall is not None:
                                return True

                            if self.routes is not None:
                                return True

                            if self.threshold is not None:
                                return True

                            if self.warning_only is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.Maximum']['meta_info']


                    class Mdt(object):
                        """
                        Backbone Multicast Distribution Tree
                        
                        .. attribute:: data
                        
                        	MDT data trees
                        	**type**\:   :py:class:`Data <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data>`
                        
                        .. attribute:: default
                        
                        	The default group
                        	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default>`
                        
                        .. attribute:: log_reuse
                        
                        	Event logging for data MDT reuse
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: preference
                        
                        	MDT preference (default pim mldp)
                        	**type**\:  list of   :py:class:`PreferenceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.PreferenceEnum>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.data = Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data()
                            self.data.parent = self
                            self.default = Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default()
                            self.default.parent = self
                            self.log_reuse = None
                            self.preference = YLeafList()
                            self.preference.parent = self
                            self.preference.name = 'preference'

                        class PreferenceEnum(Enum):
                            """
                            PreferenceEnum

                            MDT preference (default pim mldp)

                            .. data:: mldp = 0

                            .. data:: pim = 1

                            """

                            mldp = 0

                            pim = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.PreferenceEnum']



                        class Default(object):
                            """
                            The default group
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls
                            
                            	MPLS tunnel options
                            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default.Mpls>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.mpls = Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default.Mpls()
                                self.mpls.parent = self


                            class Mpls(object):
                                """
                                MPLS tunnel options
                                
                                .. attribute:: mldp
                                
                                	Use a MLDP LSP to create the default MDT
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mldp = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mldp is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default.Mpls']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.mpls is not None and self.mpls._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default']['meta_info']


                        class Data(object):
                            """
                            MDT data trees
                            
                            .. attribute:: list
                            
                            	Access\-list
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 100..199
                            
                            
                            ----
                            	**type**\:  int
                            
                            	**range:** 2000..2699
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            
                            ----
                            .. attribute:: multicast
                            
                            	
                            	**type**\: list of    :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data.Multicast>`
                            
                            .. attribute:: threshold
                            
                            	MDT switching threshold
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.list = None
                                self.multicast = YList()
                                self.multicast.parent = self
                                self.multicast.name = 'multicast'
                                self.threshold = None


                            class Multicast(object):
                                """
                                
                                
                                .. attribute:: address  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildcard  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None
                                    self.wildcard = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.address is None:
                                        raise YPYModelError('Key property address is None')
                                    if self.wildcard is None:
                                        raise YPYModelError('Key property wildcard is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:multicast[Cisco-IOS-XE-native:address = ' + str(self.address) + '][Cisco-IOS-XE-native:wildcard = ' + str(self.wildcard) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None:
                                        return True

                                    if self.wildcard is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data.Multicast']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:data'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.list is not None:
                                    return True

                                if self.multicast is not None:
                                    for child_ref in self.multicast:
                                        if child_ref._has_data():
                                            return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mdt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.data is not None and self.data._has_data():
                                return True

                            if self.default is not None and self.default._has_data():
                                return True

                            if self.log_reuse is not None:
                                return True

                            if self.preference is not None:
                                for child in self.preference:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.Mdt']['meta_info']


                    class RouteTarget(object):
                        """
                        Specify Target VPN Extended Communities
                        
                        .. attribute:: export
                        
                        	Export Target\-VPN community
                        	**type**\: list of    :py:class:`Export <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget.Export>`
                        
                        .. attribute:: import_
                        
                        	Import Target\-VPN community
                        	**type**\: list of    :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget.Import_>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.export = YList()
                            self.export.parent = self
                            self.export.name = 'export'
                            self.import_ = YList()
                            self.import_.parent = self
                            self.import_.name = 'import_'


                        class Export(object):
                            """
                            Export Target\-VPN community
                            
                            .. attribute:: asn_ip  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.asn_ip = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.asn_ip is None:
                                    raise YPYModelError('Key property asn_ip is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:export[Cisco-IOS-XE-native:asn-ip = ' + str(self.asn_ip) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.asn_ip is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget.Export']['meta_info']


                        class Import_(object):
                            """
                            Import Target\-VPN community
                            
                            .. attribute:: asn_ip  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.asn_ip = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.asn_ip is None:
                                    raise YPYModelError('Key property asn_ip is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:import[Cisco-IOS-XE-native:asn-ip = ' + str(self.asn_ip) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.asn_ip is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget.Import_']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:route-target'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.export is not None:
                                for child_ref in self.export:
                                    if child_ref._has_data():
                                        return True

                            if self.import_ is not None:
                                for child_ref in self.import_:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ipv4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.export is not None and self.export._has_data():
                            return True

                        if self.maximum is not None and self.maximum._has_data():
                            return True

                        if self.mdt is not None and self.mdt._has_data():
                            return True

                        if self.route_target is not None and self.route_target._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Vrf.Definition.AddressFamily.Ipv4']['meta_info']


                class Ipv6(object):
                    """
                    Address family
                    
                    .. attribute:: route_target
                    
                    	Specify Target VPN Extended Communities
                    	**type**\:   :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.route_target = Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget()
                        self.route_target.parent = self


                    class RouteTarget(object):
                        """
                        Specify Target VPN Extended Communities
                        
                        .. attribute:: export
                        
                        	Export Target\-VPN community
                        	**type**\: list of    :py:class:`Export <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget.Export>`
                        
                        .. attribute:: import_
                        
                        	Import Target\-VPN community
                        	**type**\: list of    :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget.Import_>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.export = YList()
                            self.export.parent = self
                            self.export.name = 'export'
                            self.import_ = YList()
                            self.import_.parent = self
                            self.import_.name = 'import_'


                        class Export(object):
                            """
                            Export Target\-VPN community
                            
                            .. attribute:: asn_ip  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.asn_ip = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.asn_ip is None:
                                    raise YPYModelError('Key property asn_ip is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:export[Cisco-IOS-XE-native:asn-ip = ' + str(self.asn_ip) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.asn_ip is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget.Export']['meta_info']


                        class Import_(object):
                            """
                            Import Target\-VPN community
                            
                            .. attribute:: asn_ip  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.asn_ip = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.asn_ip is None:
                                    raise YPYModelError('Key property asn_ip is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:import[Cisco-IOS-XE-native:asn-ip = ' + str(self.asn_ip) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.asn_ip is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget.Import_']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:route-target'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.export is not None:
                                for child_ref in self.export:
                                    if child_ref._has_data():
                                        return True

                            if self.import_ is not None:
                                for child_ref in self.import_:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.route_target is not None and self.route_target._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Vrf.Definition.AddressFamily.Ipv6']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:address-family'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipv4 is not None and self.ipv4._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Vrf.Definition.AddressFamily']['meta_info']


            class RouteTarget(object):
                """
                Specify Target VPN Extended Communities
                
                .. attribute:: export
                
                	Export Target\-VPN community
                	**type**\: list of    :py:class:`Export <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.RouteTarget.Export>`
                
                .. attribute:: import_
                
                	Import Target\-VPN community
                	**type**\: list of    :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.RouteTarget.Import_>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.export = YList()
                    self.export.parent = self
                    self.export.name = 'export'
                    self.import_ = YList()
                    self.import_.parent = self
                    self.import_.name = 'import_'


                class Export(object):
                    """
                    Export Target\-VPN community
                    
                    .. attribute:: asn_ip  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.asn_ip = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.asn_ip is None:
                            raise YPYModelError('Key property asn_ip is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:export[Cisco-IOS-XE-native:asn-ip = ' + str(self.asn_ip) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.asn_ip is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Vrf.Definition.RouteTarget.Export']['meta_info']


                class Import_(object):
                    """
                    Import Target\-VPN community
                    
                    .. attribute:: asn_ip  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.asn_ip = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.asn_ip is None:
                            raise YPYModelError('Key property asn_ip is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:import[Cisco-IOS-XE-native:asn-ip = ' + str(self.asn_ip) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.asn_ip is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Vrf.Definition.RouteTarget.Import_']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:route-target'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.export is not None:
                        for child_ref in self.export:
                            if child_ref._has_data():
                                return True

                    if self.import_ is not None:
                        for child_ref in self.import_:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Vrf.Definition.RouteTarget']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:vrf/Cisco-IOS-XE-native:definition[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.address_family is not None and self.address_family._has_data():
                    return True

                if self.description is not None:
                    return True

                if self.rd is not None:
                    return True

                if self.route_target is not None and self.route_target._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Vrf.Definition']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:vrf'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.definition is not None:
                for child_ref in self.definition:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Vrf']['meta_info']


    class Rmon(object):
        """
        Remote Monitoring
        
        .. attribute:: alarm
        
        	Configure an RMON alarm
        	**type**\: list of    :py:class:`Alarm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Rmon.Alarm>`
        
        .. attribute:: event
        
        	Configure an RMON event
        	**type**\: list of    :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Rmon.Event>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.alarm = YList()
            self.alarm.parent = self
            self.alarm.name = 'alarm'
            self.event = YList()
            self.event.parent = self
            self.event.name = 'event'


        class Alarm(object):
            """
            Configure an RMON alarm
            
            .. attribute:: number  <key>
            
            	
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: falling_event
            
            	
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: falling_threshold
            
            	Configure the falling threshold
            	**type**\:  int
            
            	**range:** \-2147483648..2147483647
            
            .. attribute:: mib_object
            
            	
            	**type**\:  str
            
            .. attribute:: owner
            
            	Specify an owner for the alarm
            	**type**\:  str
            
            .. attribute:: rising_event
            
            	
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: rising_threshold
            
            	Configure the rising threshold
            	**type**\:  int
            
            	**range:** \-2147483648..2147483647
            
            .. attribute:: sample_interval
            
            	
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: test_mode
            
            	
            	**type**\:   :py:class:`TestModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Rmon.Alarm.TestModeEnum>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.number = None
                self.falling_event = None
                self.falling_threshold = None
                self.mib_object = None
                self.owner = None
                self.rising_event = None
                self.rising_threshold = None
                self.sample_interval = None
                self.test_mode = None

            class TestModeEnum(Enum):
                """
                TestModeEnum

                .. data:: absolute = 0

                .. data:: delta = 1

                """

                absolute = 0

                delta = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Rmon.Alarm.TestModeEnum']


            @property
            def _common_path(self):
                if self.number is None:
                    raise YPYModelError('Key property number is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:rmon/Cisco-IOS-XE-native:alarm[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.number is not None:
                    return True

                if self.falling_event is not None:
                    return True

                if self.falling_threshold is not None:
                    return True

                if self.mib_object is not None:
                    return True

                if self.owner is not None:
                    return True

                if self.rising_event is not None:
                    return True

                if self.rising_threshold is not None:
                    return True

                if self.sample_interval is not None:
                    return True

                if self.test_mode is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Rmon.Alarm']['meta_info']


        class Event(object):
            """
            Configure an RMON event
            
            .. attribute:: number  <key>
            
            	
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: log
            
            	Generate RMON log when the event fires
            	**type**\:   :py:class:`Log <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Rmon.Event.Log>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.number = None
                self.log = None


            class Log(object):
                """
                Generate RMON log when the event fires
                
                .. attribute:: description
                
                	Specify a description of the event
                	**type**\:  str
                
                .. attribute:: owner
                
                	Specify an owner for the event
                	**type**\:  str
                
                .. attribute:: trap
                
                	Generate SNMP trap when the event fires
                	**type**\:  str
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.description = None
                    self.owner = None
                    self.trap = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:log'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.description is not None:
                        return True

                    if self.owner is not None:
                        return True

                    if self.trap is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Rmon.Event.Log']['meta_info']

            @property
            def _common_path(self):
                if self.number is None:
                    raise YPYModelError('Key property number is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:rmon/Cisco-IOS-XE-native:event[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.number is not None:
                    return True

                if self.log is not None and self.log._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Rmon.Event']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:rmon'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.alarm is not None:
                for child_ref in self.alarm:
                    if child_ref._has_data():
                        return True

            if self.event is not None:
                for child_ref in self.event:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Rmon']['meta_info']


    class Sampler(object):
        """
        Define a Sampler
        
        .. attribute:: name  <key>
        
        	
        	**type**\:  str
        
        .. attribute:: description
        
        	Provide a description for this Sampler
        	**type**\:  str
        
        .. attribute:: granularity
        
        	Specify sampler granularity
        	**type**\:   :py:class:`Granularity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Sampler.Granularity>`
        
        .. attribute:: mode
        
        	Sampling mode
        	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Sampler.Mode>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.name = None
            self.description = None
            self.granularity = Native.Sampler.Granularity()
            self.granularity.parent = self
            self.mode = Native.Sampler.Mode()
            self.mode.parent = self


        class Mode(object):
            """
            Sampling mode
            
            .. attribute:: deterministic
            
            	Deterministic mode of sampling
            	**type**\:   :py:class:`Deterministic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Sampler.Mode.Deterministic>`
            
            .. attribute:: hash
            
            	Hash mode of sampling
            	**type**\:   :py:class:`Hash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Sampler.Mode.Hash>`
            
            .. attribute:: random
            
            	Random mode of sampling
            	**type**\:   :py:class:`Random <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Sampler.Mode.Random>`
            
            

            """

            _prefix = 'ios-flow'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.deterministic = Native.Sampler.Mode.Deterministic()
                self.deterministic.parent = self
                self.hash = Native.Sampler.Mode.Hash()
                self.hash.parent = self
                self.random = Native.Sampler.Mode.Random()
                self.random.parent = self


            class Deterministic(object):
                """
                Deterministic mode of sampling
                
                .. attribute:: number
                
                	
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: out_of
                
                	Select M packets out of an N packet window
                	**type**\:  int
                
                	**range:** 2..32768
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.out_of = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-flow:deterministic'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.out_of is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Sampler.Mode.Deterministic']['meta_info']


            class Hash(object):
                """
                Hash mode of sampling
                
                .. attribute:: number
                
                	
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: out_of
                
                	Select 1 packets out of an N packets based on hash of ip\-id and udp / tcp checksum
                	**type**\:  int
                
                	**range:** 1..65535
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.out_of = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-flow:hash'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.out_of is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Sampler.Mode.Hash']['meta_info']


            class Random(object):
                """
                Random mode of sampling
                
                .. attribute:: number
                
                	
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: out_of
                
                	Select M packets out of an N packet window
                	**type**\:  int
                
                	**range:** 1..65535
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.out_of = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-flow:random'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.out_of is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Sampler.Mode.Random']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-flow:mode'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.deterministic is not None and self.deterministic._has_data():
                    return True

                if self.hash is not None and self.hash._has_data():
                    return True

                if self.random is not None and self.random._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Sampler.Mode']['meta_info']


        class Granularity(object):
            """
            Specify sampler granularity
            
            .. attribute:: connection
            
            	
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: packet
            
            	
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-flow'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.connection = None
                self.packet = None

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-flow:granularity'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.connection is not None:
                    return True

                if self.packet is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Sampler.Granularity']['meta_info']

        @property
        def _common_path(self):
            if self.name is None:
                raise YPYModelError('Key property name is None')

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:sampler[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.name is not None:
                return True

            if self.description is not None:
                return True

            if self.granularity is not None and self.granularity._has_data():
                return True

            if self.mode is not None and self.mode._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Sampler']['meta_info']


    class Flow(object):
        """
        Global Flow configuration subcommands
        
        .. attribute:: exporter
        
        	Define a Flow Exporter
        	**type**\: list of    :py:class:`Exporter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter>`
        
        .. attribute:: monitor
        
        	Define a Flow Monitor
        	**type**\: list of    :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor>`
        
        .. attribute:: record
        
        	Define a Flow Record
        	**type**\: list of    :py:class:`Record <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.exporter = YList()
            self.exporter.parent = self
            self.exporter.name = 'exporter'
            self.monitor = YList()
            self.monitor.parent = self
            self.monitor.name = 'monitor'
            self.record = YList()
            self.record.parent = self
            self.record.name = 'record'


        class Record(object):
            """
            Define a Flow Record
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: collect
            
            	Specify a non\-key field
            	**type**\:   :py:class:`Collect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect>`
            
            .. attribute:: default
            
            	Set a command to its defaults
            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default>`
            
            .. attribute:: description
            
            	Provide a description for this Flow Record
            	**type**\:  str
            
            .. attribute:: match
            
            	Specify a key field
            	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match>`
            
            .. attribute:: type
            
            	Type of the Flow Record
            	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.TypeEnum>`
            
            

            """

            _prefix = 'ios-flow'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.collect = Native.Flow.Record.Collect()
                self.collect.parent = self
                self.default = Native.Flow.Record.Default()
                self.default.parent = self
                self.description = None
                self.match = Native.Flow.Record.Match()
                self.match.parent = self
                self.type = None

            class TypeEnum(Enum):
                """
                TypeEnum

                Type of the Flow Record

                .. data:: performance_monitor = 0

                """

                performance_monitor = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Flow.Record.TypeEnum']



            class Collect(object):
                """
                Specify a non\-key field
                
                .. attribute:: application
                
                	Application fields
                	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application>`
                
                .. attribute:: connection
                
                	Connection fields
                	**type**\:   :py:class:`Connection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection>`
                
                .. attribute:: counter
                
                	Counter fields
                	**type**\:   :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Counter>`
                
                .. attribute:: datalink
                
                	Datalink (layer2) fields
                	**type**\:   :py:class:`Datalink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Datalink>`
                
                .. attribute:: flow
                
                	Flow identifying fields
                	**type**\:   :py:class:`Flow_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Flow_>`
                
                .. attribute:: interface
                
                	Interface fields
                	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Interface>`
                
                .. attribute:: ipv4
                
                	IPv4 fields
                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4>`
                
                .. attribute:: ipv6
                
                	IPv6 fields
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6>`
                
                .. attribute:: metadata
                
                	Metadata fields
                	**type**\:   :py:class:`Metadata <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Metadata>`
                
                .. attribute:: monitor
                
                	monitor fields
                	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Monitor>`
                
                .. attribute:: mpls
                
                	MPLS fields
                	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Mpls>`
                
                .. attribute:: network
                
                	network metrics
                	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Network>`
                
                .. attribute:: pfr
                
                	PfR metrics
                	**type**\:   :py:class:`Pfr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr>`
                
                .. attribute:: policy
                
                	policy fields
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Policy>`
                
                .. attribute:: routing
                
                	Routing attributes
                	**type**\:   :py:class:`Routing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing>`
                
                .. attribute:: services
                
                	Services fields
                	**type**\:   :py:class:`Services <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Services>`
                
                .. attribute:: timestamp
                
                	Timestamp fields
                	**type**\:   :py:class:`Timestamp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Timestamp>`
                
                .. attribute:: transport
                
                	Transport layer fields
                	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport>`
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.application = Native.Flow.Record.Collect.Application()
                    self.application.parent = self
                    self.connection = Native.Flow.Record.Collect.Connection()
                    self.connection.parent = self
                    self.counter = Native.Flow.Record.Collect.Counter()
                    self.counter.parent = self
                    self.datalink = Native.Flow.Record.Collect.Datalink()
                    self.datalink.parent = self
                    self.flow = Native.Flow.Record.Collect.Flow_()
                    self.flow.parent = self
                    self.interface = Native.Flow.Record.Collect.Interface()
                    self.interface.parent = self
                    self.ipv4 = Native.Flow.Record.Collect.Ipv4()
                    self.ipv4.parent = self
                    self.ipv6 = Native.Flow.Record.Collect.Ipv6()
                    self.ipv6.parent = self
                    self.metadata = Native.Flow.Record.Collect.Metadata()
                    self.metadata.parent = self
                    self.monitor = Native.Flow.Record.Collect.Monitor()
                    self.monitor.parent = self
                    self.mpls = Native.Flow.Record.Collect.Mpls()
                    self.mpls.parent = self
                    self.network = Native.Flow.Record.Collect.Network()
                    self.network.parent = self
                    self.pfr = Native.Flow.Record.Collect.Pfr()
                    self.pfr.parent = self
                    self.policy = Native.Flow.Record.Collect.Policy()
                    self.policy.parent = self
                    self.routing = Native.Flow.Record.Collect.Routing()
                    self.routing.parent = self
                    self.services = Native.Flow.Record.Collect.Services()
                    self.services.parent = self
                    self.timestamp = Native.Flow.Record.Collect.Timestamp()
                    self.timestamp.parent = self
                    self.transport = Native.Flow.Record.Collect.Transport()
                    self.transport.parent = self


                class Application(object):
                    """
                    Application fields
                    
                    .. attribute:: dns
                    
                    	Domain Name Server lookup
                    	**type**\:   :py:class:`Dns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Dns>`
                    
                    .. attribute:: http
                    
                    	World Wide Web traffic
                    	**type**\:   :py:class:`Http <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Http>`
                    
                    .. attribute:: media
                    
                    	Media fields
                    	**type**\:   :py:class:`Media <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Media>`
                    
                    .. attribute:: name
                    
                    	Application name
                    	**type**\:   :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Name>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: nntp
                    
                    	Network news transfer protocol
                    	**type**\:   :py:class:`Nntp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Nntp>`
                    
                    .. attribute:: pop3
                    
                    	Post Office Protocol 3
                    	**type**\:   :py:class:`Pop3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Pop3>`
                    
                    .. attribute:: rtmp
                    
                    	Real Time Messaging Protocol
                    	**type**\:   :py:class:`Rtmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Rtmp>`
                    
                    .. attribute:: rtsp
                    
                    	Real Time Streaming Protocol
                    	**type**\:   :py:class:`Rtsp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Rtsp>`
                    
                    .. attribute:: sip
                    
                    	Session Initiation Protocol
                    	**type**\:   :py:class:`Sip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Sip>`
                    
                    .. attribute:: smtp
                    
                    	Simple Mail Transfer Protocol
                    	**type**\:   :py:class:`Smtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Smtp>`
                    
                    .. attribute:: ssl
                    
                    	Secure Socket Layer Protocol
                    	**type**\:   :py:class:`Ssl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Ssl>`
                    
                    .. attribute:: vendor
                    
                    	Application vendor id
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: version
                    
                    	Application version id
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dns = Native.Flow.Record.Collect.Application.Dns()
                        self.dns.parent = self
                        self.http = Native.Flow.Record.Collect.Application.Http()
                        self.http.parent = self
                        self.media = Native.Flow.Record.Collect.Application.Media()
                        self.media.parent = self
                        self.name = None
                        self.nntp = Native.Flow.Record.Collect.Application.Nntp()
                        self.nntp.parent = self
                        self.pop3 = Native.Flow.Record.Collect.Application.Pop3()
                        self.pop3.parent = self
                        self.rtmp = Native.Flow.Record.Collect.Application.Rtmp()
                        self.rtmp.parent = self
                        self.rtsp = Native.Flow.Record.Collect.Application.Rtsp()
                        self.rtsp.parent = self
                        self.sip = Native.Flow.Record.Collect.Application.Sip()
                        self.sip.parent = self
                        self.smtp = Native.Flow.Record.Collect.Application.Smtp()
                        self.smtp.parent = self
                        self.ssl = Native.Flow.Record.Collect.Application.Ssl()
                        self.ssl.parent = self
                        self.vendor = None
                        self.version = None


                    class Dns(object):
                        """
                        Domain Name Server lookup
                        
                        .. attribute:: domain_name
                        
                        	Domain name
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.domain_name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:dns'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.domain_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Application.Dns']['meta_info']


                    class Http(object):
                        """
                        World Wide Web traffic
                        
                        .. attribute:: host
                        
                        	Host name of Origin Server containing resource
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: referer
                        
                        	Address the resource request was obtained from
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: uri
                        
                        	List of URIs and associated hit counts
                        	**type**\:   :py:class:`Uri <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Http.Uri>`
                        
                        .. attribute:: url
                        
                        	Uniform Resource Locator path
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: user_agent
                        
                        	Software used by agent sending the request
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.host = None
                            self.referer = None
                            self.uri = Native.Flow.Record.Collect.Application.Http.Uri()
                            self.uri.parent = self
                            self.url = None
                            self.user_agent = None


                        class Uri(object):
                            """
                            List of URIs and associated hit counts
                            
                            .. attribute:: statistics
                            
                            	Collect URI statistics
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.statistics = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:uri'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.statistics is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Application.Http.Uri']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:http'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.host is not None:
                                return True

                            if self.referer is not None:
                                return True

                            if self.uri is not None and self.uri._has_data():
                                return True

                            if self.url is not None:
                                return True

                            if self.user_agent is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Application.Http']['meta_info']


                    class Media(object):
                        """
                        Media fields
                        
                        .. attribute:: bytes
                        
                        	Media fields
                        	**type**\:   :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Media.Bytes>`
                        
                        .. attribute:: event
                        
                        	Flags indicating media events
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: packets
                        
                        	Media fields
                        	**type**\:   :py:class:`Packets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Media.Packets>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bytes = Native.Flow.Record.Collect.Application.Media.Bytes()
                            self.bytes.parent = self
                            self.event = None
                            self.packets = Native.Flow.Record.Collect.Application.Media.Packets()
                            self.packets.parent = self


                        class Bytes(object):
                            """
                            Media fields
                            
                            .. attribute:: counter
                            
                            	A count of the number of bytes of media payload
                            	**type**\:   :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Media.Bytes.Counter>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: rate
                            
                            	Byte rate for the media stream
                            	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Media.Bytes.Rate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.counter = None
                                self.rate = None


                            class Counter(object):
                                """
                                A count of the number of bytes of media payload
                                
                                .. attribute:: long
                                
                                	A count of the number of bytes of media payload (64 bit counter)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.long = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:counter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.long is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Application.Media.Bytes.Counter']['meta_info']


                            class Rate(object):
                                """
                                Byte rate for the media stream
                                
                                .. attribute:: per_flow
                                
                                	Average media byte rate across flows
                                	**type**\:   :py:class:`PerFlow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Media.Bytes.Rate.PerFlow>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.per_flow = None


                                class PerFlow(object):
                                    """
                                    Average media byte rate across flows
                                    
                                    .. attribute:: max
                                    
                                    	Maximum byte rate in the media stream
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Minumun byte rate in the media stream
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.max = None
                                        self.min = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:per-flow'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.max is not None:
                                            return True

                                        if self.min is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Collect.Application.Media.Bytes.Rate.PerFlow']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:rate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.per_flow is not None and self.per_flow._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Application.Media.Bytes.Rate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:bytes'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.counter is not None and self.counter._has_data():
                                    return True

                                if self.rate is not None and self.rate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Application.Media.Bytes']['meta_info']


                        class Packets(object):
                            """
                            Media fields
                            
                            .. attribute:: counter
                            
                            	A count of the number of packets with a media payload
                            	**type**\:   :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Media.Packets.Counter>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: rate
                            
                            	Packet rate for the media stream
                            	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Media.Packets.Rate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.counter = None
                                self.rate = None


                            class Counter(object):
                                """
                                A count of the number of packets with a media payload
                                
                                .. attribute:: long
                                
                                	A count of the number of packets with a media payload (64 bit counter)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.long = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:counter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.long is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Application.Media.Packets.Counter']['meta_info']


                            class Rate(object):
                                """
                                Packet rate for the media stream
                                
                                .. attribute:: variation
                                
                                	Variation in packet rate from configured expected rate
                                	**type**\:   :py:class:`Variation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Media.Packets.Rate.Variation>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.variation = None


                                class Variation(object):
                                    """
                                    Variation in packet rate from configured expected rate
                                    
                                    .. attribute:: max
                                    
                                    	Max variation in packet rate from configured expected rate
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Variation in packet rate from configured expected rate
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sum
                                    
                                    	The sum of media rate variation from the configured rate for the RTP stream
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.max = None
                                        self.min = None
                                        self.sum = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:variation'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.max is not None:
                                            return True

                                        if self.min is not None:
                                            return True

                                        if self.sum is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Collect.Application.Media.Packets.Rate.Variation']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:rate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.variation is not None and self.variation._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Application.Media.Packets.Rate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:packets'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.counter is not None and self.counter._has_data():
                                    return True

                                if self.rate is not None and self.rate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Application.Media.Packets']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:media'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bytes is not None and self.bytes._has_data():
                                return True

                            if self.event is not None:
                                return True

                            if self.packets is not None and self.packets._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Application.Media']['meta_info']


                    class Name(object):
                        """
                        Application name
                        
                        .. attribute:: account_on_resolution
                        
                        	Account on resolution
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.account_on_resolution = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:name'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.account_on_resolution is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Application.Name']['meta_info']


                    class Nntp(object):
                        """
                        Network news transfer protocol
                        
                        .. attribute:: group_name
                        
                        	NNTP Group name
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.group_name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:nntp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.group_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Application.Nntp']['meta_info']


                    class Pop3(object):
                        """
                        Post Office Protocol 3
                        
                        .. attribute:: server
                        
                        	POP3 Server Name
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.server = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:pop3'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.server is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Application.Pop3']['meta_info']


                    class Rtmp(object):
                        """
                        Real Time Messaging Protocol
                        
                        .. attribute:: pageurl
                        
                        	RTMP page url address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.pageurl = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:rtmp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.pageurl is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Application.Rtmp']['meta_info']


                    class Rtsp(object):
                        """
                        Real Time Streaming Protocol
                        
                        .. attribute:: host
                        
                        	RTSP Host Name
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.host = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:rtsp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.host is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Application.Rtsp']['meta_info']


                    class Sip(object):
                        """
                        Session Initiation Protocol
                        
                        .. attribute:: destination
                        
                        	The destination domain of SIP transactions
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: source
                        
                        	The source domain of SIP transactions
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination = None
                            self.source = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:sip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination is not None:
                                return True

                            if self.source is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Application.Sip']['meta_info']


                    class Smtp(object):
                        """
                        Simple Mail Transfer Protocol
                        
                        .. attribute:: sender
                        
                        	SMTP Sender Mail Address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: server
                        
                        	SMTP Server Name
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.sender = None
                            self.server = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:smtp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.sender is not None:
                                return True

                            if self.server is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Application.Smtp']['meta_info']


                    class Ssl(object):
                        """
                        Secure Socket Layer Protocol
                        
                        .. attribute:: common_name
                        
                        	Certificate Common Name (CN)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.common_name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:ssl'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.common_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Application.Ssl']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:application'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dns is not None and self.dns._has_data():
                            return True

                        if self.http is not None and self.http._has_data():
                            return True

                        if self.media is not None and self.media._has_data():
                            return True

                        if self.name is not None and self.name._has_data():
                            return True

                        if self.nntp is not None and self.nntp._has_data():
                            return True

                        if self.pop3 is not None and self.pop3._has_data():
                            return True

                        if self.rtmp is not None and self.rtmp._has_data():
                            return True

                        if self.rtsp is not None and self.rtsp._has_data():
                            return True

                        if self.sip is not None and self.sip._has_data():
                            return True

                        if self.smtp is not None and self.smtp._has_data():
                            return True

                        if self.ssl is not None and self.ssl._has_data():
                            return True

                        if self.vendor is not None:
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Collect.Application']['meta_info']


                class Connection(object):
                    """
                    Connection fields
                    
                    .. attribute:: client
                    
                    	Client side (flow initiator) related metrics
                    	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Client>`
                    
                    .. attribute:: delay
                    
                    	Connection delay metrics
                    	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay>`
                    
                    .. attribute:: id
                    
                    	An identifier for a connection between client and server
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: initiator
                    
                    	The direction of the flow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: new_connections
                    
                    	The number of connection initiations observed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: server
                    
                    	Server side (flow responder) related metrics
                    	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Server>`
                    
                    .. attribute:: sum_duration
                    
                    	The overall time in seconds for all connections
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: transaction
                    
                    	Transaction related metrics
                    	**type**\:   :py:class:`Transaction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Transaction>`
                    
                    .. attribute:: transaction_id
                    
                    	An identifier for a transaction between client and server
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.client = Native.Flow.Record.Collect.Connection.Client()
                        self.client.parent = self
                        self.delay = Native.Flow.Record.Collect.Connection.Delay()
                        self.delay.parent = self
                        self.id = None
                        self.initiator = None
                        self.new_connections = None
                        self.server = Native.Flow.Record.Collect.Connection.Server()
                        self.server.parent = self
                        self.sum_duration = None
                        self.transaction = Native.Flow.Record.Collect.Connection.Transaction()
                        self.transaction.parent = self
                        self.transaction_id = None


                    class Client(object):
                        """
                        Client side (flow initiator) related metrics
                        
                        .. attribute:: all
                        
                        	All non\-key client metrics
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: counter
                        
                        	Client side counter metrics
                        	**type**\:   :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Client.Counter>`
                        
                        .. attribute:: ipv4
                        
                        	Client side IPv4 metrics
                        	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Client.Ipv4>`
                        
                        .. attribute:: ipv6
                        
                        	Client side IPv6 metrics
                        	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Client.Ipv6>`
                        
                        .. attribute:: transport
                        
                        	Client side transport metrics
                        	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Client.Transport>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.counter = Native.Flow.Record.Collect.Connection.Client.Counter()
                            self.counter.parent = self
                            self.ipv4 = Native.Flow.Record.Collect.Connection.Client.Ipv4()
                            self.ipv4.parent = self
                            self.ipv6 = Native.Flow.Record.Collect.Connection.Client.Ipv6()
                            self.ipv6.parent = self
                            self.transport = Native.Flow.Record.Collect.Connection.Client.Transport()
                            self.transport.parent = self


                        class Counter(object):
                            """
                            Client side counter metrics
                            
                            .. attribute:: bytes
                            
                            	Number of bytes sent by the client
                            	**type**\:   :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Client.Counter.Bytes>`
                            
                            .. attribute:: packets
                            
                            	Number of packets sent by the client
                            	**type**\:   :py:class:`Packets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Client.Counter.Packets>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bytes = Native.Flow.Record.Collect.Connection.Client.Counter.Bytes()
                                self.bytes.parent = self
                                self.packets = Native.Flow.Record.Collect.Connection.Client.Counter.Packets()
                                self.packets.parent = self


                            class Bytes(object):
                                """
                                Number of bytes sent by the client
                                
                                .. attribute:: long
                                
                                	64 bits counter
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: network
                                
                                	Number of bytes sent by the client
                                	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Network>`
                                
                                .. attribute:: retransmitted
                                
                                	Number of bytes retransmitted by the client
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: transport
                                
                                	Number of bytes sent by the client
                                	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Transport>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.long = None
                                    self.network = Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Network()
                                    self.network.parent = self
                                    self.retransmitted = None
                                    self.transport = Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Transport()
                                    self.transport.parent = self


                                class Network(object):
                                    """
                                    Number of bytes sent by the client
                                    
                                    .. attribute:: long
                                    
                                    	Total number of bytes transmitted by the client
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.long = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:network'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.long is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Network']['meta_info']


                                class Transport(object):
                                    """
                                    Number of bytes sent by the client
                                    
                                    .. attribute:: long
                                    
                                    	64 bit counter
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.long = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:transport'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.long is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Transport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:bytes'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.long is not None:
                                        return True

                                    if self.network is not None and self.network._has_data():
                                        return True

                                    if self.retransmitted is not None:
                                        return True

                                    if self.transport is not None and self.transport._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Connection.Client.Counter.Bytes']['meta_info']


                            class Packets(object):
                                """
                                Number of packets sent by the client
                                
                                .. attribute:: long
                                
                                	64 bits counter
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: retransmitted
                                
                                	Number of packets retransmitted by the client
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.long = None
                                    self.retransmitted = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:packets'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.long is not None:
                                        return True

                                    if self.retransmitted is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Connection.Client.Counter.Packets']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:counter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bytes is not None and self.bytes._has_data():
                                    return True

                                if self.packets is not None and self.packets._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Connection.Client.Counter']['meta_info']


                        class Ipv4(object):
                            """
                            Client side IPv4 metrics
                            
                            .. attribute:: address
                            
                            	IPv4 address of the flow initiator
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv4'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Connection.Client.Ipv4']['meta_info']


                        class Ipv6(object):
                            """
                            Client side IPv6 metrics
                            
                            .. attribute:: address
                            
                            	IPv6 address of the flow initiator
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv6'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Connection.Client.Ipv6']['meta_info']


                        class Transport(object):
                            """
                            Client side transport metrics
                            
                            .. attribute:: port
                            
                            	Transport port of the flow initiator
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:transport'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Connection.Client.Transport']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:client'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.counter is not None and self.counter._has_data():
                                return True

                            if self.ipv4 is not None and self.ipv4._has_data():
                                return True

                            if self.ipv6 is not None and self.ipv6._has_data():
                                return True

                            if self.transport is not None and self.transport._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Connection.Client']['meta_info']


                    class Delay(object):
                        """
                        Connection delay metrics
                        
                        .. attribute:: all
                        
                        	All non\-key client metrics
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: application
                        
                        	Application time metrics
                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Application>`
                        
                        .. attribute:: network
                        
                        	Network time metrics
                        	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Network>`
                        
                        .. attribute:: response
                        
                        	Response time metrics
                        	**type**\:   :py:class:`Response <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Response>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.application = Native.Flow.Record.Collect.Connection.Delay.Application()
                            self.application.parent = self
                            self.network = Native.Flow.Record.Collect.Connection.Delay.Network()
                            self.network.parent = self
                            self.response = Native.Flow.Record.Collect.Connection.Delay.Response()
                            self.response.parent = self


                        class Application(object):
                            """
                            Application time metrics
                            
                            .. attribute:: max
                            
                            	Maximum application response time
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: min
                            
                            	Minimum application response time
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sum
                            
                            	Total application response time
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max = None
                                self.min = None
                                self.sum = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:application'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max is not None:
                                    return True

                                if self.min is not None:
                                    return True

                                if self.sum is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Connection.Delay.Application']['meta_info']


                        class Network(object):
                            """
                            Network time metrics
                            
                            .. attribute:: client_to_server
                            
                            	RTT between the client and the server
                            	**type**\:   :py:class:`ClientToServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Network.ClientToServer>`
                            
                            .. attribute:: long_lived
                            
                            	Long\-lived network delay metrics
                            	**type**\:   :py:class:`LongLived <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Network.LongLived>`
                            
                            .. attribute:: to_client
                            
                            	RTT from observation point to the client
                            	**type**\:   :py:class:`ToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Network.ToClient>`
                            
                            .. attribute:: to_server
                            
                            	RTT from observation point to the server
                            	**type**\:   :py:class:`ToServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Network.ToServer>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.client_to_server = Native.Flow.Record.Collect.Connection.Delay.Network.ClientToServer()
                                self.client_to_server.parent = self
                                self.long_lived = Native.Flow.Record.Collect.Connection.Delay.Network.LongLived()
                                self.long_lived.parent = self
                                self.to_client = Native.Flow.Record.Collect.Connection.Delay.Network.ToClient()
                                self.to_client.parent = self
                                self.to_server = Native.Flow.Record.Collect.Connection.Delay.Network.ToServer()
                                self.to_server.parent = self


                            class ClientToServer(object):
                                """
                                RTT between the client and the server
                                
                                .. attribute:: max
                                
                                	Maximum network time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Minimum network time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: num_samples
                                
                                	The number of CSND samples
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: sum
                                
                                	Total network time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None
                                    self.min = None
                                    self.num_samples = None
                                    self.sum = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:client-to-server'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    if self.num_samples is not None:
                                        return True

                                    if self.sum is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Connection.Delay.Network.ClientToServer']['meta_info']


                            class LongLived(object):
                                """
                                Long\-lived network delay metrics
                                
                                .. attribute:: client_to_serve
                                
                                	Long\-lived network delay client\-to\-server metrics
                                	**type**\:   :py:class:`ClientToServe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ClientToServe>`
                                
                                .. attribute:: to_client
                                
                                	Long\-lived network delay to\-client metrics
                                	**type**\:   :py:class:`ToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToClient>`
                                
                                .. attribute:: to_serve
                                
                                	Long\-lived network delay to\-server metrics
                                	**type**\:   :py:class:`ToServe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToServe>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.client_to_serve = Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ClientToServe()
                                    self.client_to_serve.parent = self
                                    self.to_client = Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToClient()
                                    self.to_client.parent = self
                                    self.to_serve = Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToServe()
                                    self.to_serve.parent = self


                                class ClientToServe(object):
                                    """
                                    Long\-lived network delay client\-to\-server metrics
                                    
                                    .. attribute:: sum
                                    
                                    	Total network time
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sum = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:client-to-serve'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sum is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ClientToServe']['meta_info']


                                class ToClient(object):
                                    """
                                    Long\-lived network delay to\-client metrics
                                    
                                    .. attribute:: sum
                                    
                                    	Total network time
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sum = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:to-client'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sum is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToClient']['meta_info']


                                class ToServe(object):
                                    """
                                    Long\-lived network delay to\-server metrics
                                    
                                    .. attribute:: sum
                                    
                                    	Total network time
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sum = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:to-serve'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sum is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToServe']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:long-lived'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.client_to_serve is not None and self.client_to_serve._has_data():
                                        return True

                                    if self.to_client is not None and self.to_client._has_data():
                                        return True

                                    if self.to_serve is not None and self.to_serve._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Connection.Delay.Network.LongLived']['meta_info']


                            class ToClient(object):
                                """
                                RTT from observation point to the client
                                
                                .. attribute:: max
                                
                                	Maximum network time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Minimum network time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: num_samples
                                
                                	The number of CND samples
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: sum
                                
                                	Total network time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None
                                    self.min = None
                                    self.num_samples = None
                                    self.sum = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:to-client'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    if self.num_samples is not None:
                                        return True

                                    if self.sum is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Connection.Delay.Network.ToClient']['meta_info']


                            class ToServer(object):
                                """
                                RTT from observation point to the server
                                
                                .. attribute:: max
                                
                                	Maximum network time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Minimum network time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: num_samples
                                
                                	The number of SND samples
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: sum
                                
                                	Total network time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None
                                    self.min = None
                                    self.num_samples = None
                                    self.sum = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:to-server'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    if self.num_samples is not None:
                                        return True

                                    if self.sum is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Connection.Delay.Network.ToServer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:network'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.client_to_server is not None and self.client_to_server._has_data():
                                    return True

                                if self.long_lived is not None and self.long_lived._has_data():
                                    return True

                                if self.to_client is not None and self.to_client._has_data():
                                    return True

                                if self.to_server is not None and self.to_server._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Connection.Delay.Network']['meta_info']


                        class Response(object):
                            """
                            Response time metrics
                            
                            .. attribute:: client_to_server
                            
                            	Response time as seen by the client
                            	**type**\:   :py:class:`ClientToServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Response.ClientToServer>`
                            
                            .. attribute:: to_server
                            
                            	Response time as seen from observation point
                            	**type**\:   :py:class:`ToServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Response.ToServer>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.client_to_server = Native.Flow.Record.Collect.Connection.Delay.Response.ClientToServer()
                                self.client_to_server.parent = self
                                self.to_server = Native.Flow.Record.Collect.Connection.Delay.Response.ToServer()
                                self.to_server.parent = self


                            class ClientToServer(object):
                                """
                                Response time as seen by the client
                                
                                .. attribute:: max
                                
                                	Maximum response time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Minimum response time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: sum
                                
                                	Total response time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None
                                    self.min = None
                                    self.sum = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:client-to-server'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    if self.sum is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Connection.Delay.Response.ClientToServer']['meta_info']


                            class ToServer(object):
                                """
                                Response time as seen from observation point
                                
                                .. attribute:: histogram
                                
                                	Histogram for response time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max
                                
                                	Maximum response time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Minimum response time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: sum
                                
                                	Total response time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.histogram = None
                                    self.max = None
                                    self.min = None
                                    self.sum = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:to-server'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.histogram is not None:
                                        return True

                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    if self.sum is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Connection.Delay.Response.ToServer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:response'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.client_to_server is not None and self.client_to_server._has_data():
                                    return True

                                if self.to_server is not None and self.to_server._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Connection.Delay.Response']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:delay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.application is not None and self.application._has_data():
                                return True

                            if self.network is not None and self.network._has_data():
                                return True

                            if self.response is not None and self.response._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Connection.Delay']['meta_info']


                    class Server(object):
                        """
                        Server side (flow responder) related metrics
                        
                        .. attribute:: all
                        
                        	All non\-key server metrics
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: counter
                        
                        	Server side counter metrics
                        	**type**\:   :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Server.Counter>`
                        
                        .. attribute:: ipv4
                        
                        	Server side IPv4 metrics
                        	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Server.Ipv4>`
                        
                        .. attribute:: ipv6
                        
                        	Server side IPv6 metrics
                        	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Server.Ipv6>`
                        
                        .. attribute:: transport
                        
                        	Server side transport metrics
                        	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Server.Transport>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.counter = Native.Flow.Record.Collect.Connection.Server.Counter()
                            self.counter.parent = self
                            self.ipv4 = Native.Flow.Record.Collect.Connection.Server.Ipv4()
                            self.ipv4.parent = self
                            self.ipv6 = Native.Flow.Record.Collect.Connection.Server.Ipv6()
                            self.ipv6.parent = self
                            self.transport = Native.Flow.Record.Collect.Connection.Server.Transport()
                            self.transport.parent = self


                        class Counter(object):
                            """
                            Server side counter metrics
                            
                            .. attribute:: bytes
                            
                            	Number of bytes sent by the server
                            	**type**\:   :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Server.Counter.Bytes>`
                            
                            .. attribute:: packets
                            
                            	Number of packets sent by the server
                            	**type**\:   :py:class:`Packets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Server.Counter.Packets>`
                            
                            .. attribute:: responses
                            
                            	Number of responses sent by the server
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bytes = Native.Flow.Record.Collect.Connection.Server.Counter.Bytes()
                                self.bytes.parent = self
                                self.packets = Native.Flow.Record.Collect.Connection.Server.Counter.Packets()
                                self.packets.parent = self
                                self.responses = None


                            class Bytes(object):
                                """
                                Number of bytes sent by the server
                                
                                .. attribute:: long
                                
                                	64 bits counter
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: network
                                
                                	Number of bytes sent by the server
                                	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Network>`
                                
                                .. attribute:: retransmitted
                                
                                	Number of bytes retransmitted by the server
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: transport
                                
                                	Number of bytes sent by the server
                                	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Transport>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.long = None
                                    self.network = Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Network()
                                    self.network.parent = self
                                    self.retransmitted = None
                                    self.transport = Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Transport()
                                    self.transport.parent = self


                                class Network(object):
                                    """
                                    Number of bytes sent by the server
                                    
                                    .. attribute:: long
                                    
                                    	Total number of bytes transmitted by the server
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.long = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:network'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.long is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Network']['meta_info']


                                class Transport(object):
                                    """
                                    Number of bytes sent by the server
                                    
                                    .. attribute:: long
                                    
                                    	64 bit counter
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.long = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:transport'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.long is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Transport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:bytes'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.long is not None:
                                        return True

                                    if self.network is not None and self.network._has_data():
                                        return True

                                    if self.retransmitted is not None:
                                        return True

                                    if self.transport is not None and self.transport._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Connection.Server.Counter.Bytes']['meta_info']


                            class Packets(object):
                                """
                                Number of packets sent by the server
                                
                                .. attribute:: long
                                
                                	64 bits counter
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: retransmitted
                                
                                	Number of packets retransmitted by the server
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.long = None
                                    self.retransmitted = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:packets'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.long is not None:
                                        return True

                                    if self.retransmitted is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Connection.Server.Counter.Packets']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:counter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bytes is not None and self.bytes._has_data():
                                    return True

                                if self.packets is not None and self.packets._has_data():
                                    return True

                                if self.responses is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Connection.Server.Counter']['meta_info']


                        class Ipv4(object):
                            """
                            Server side IPv4 metrics
                            
                            .. attribute:: address
                            
                            	IPv4 address of the flow responder
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv4'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Connection.Server.Ipv4']['meta_info']


                        class Ipv6(object):
                            """
                            Server side IPv6 metrics
                            
                            .. attribute:: address
                            
                            	IPv6 address of the flow responder
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv6'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Connection.Server.Ipv6']['meta_info']


                        class Transport(object):
                            """
                            Server side transport metrics
                            
                            .. attribute:: port
                            
                            	Transport port of the flow responder
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:transport'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Connection.Server.Transport']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.counter is not None and self.counter._has_data():
                                return True

                            if self.ipv4 is not None and self.ipv4._has_data():
                                return True

                            if self.ipv6 is not None and self.ipv6._has_data():
                                return True

                            if self.transport is not None and self.transport._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Connection.Server']['meta_info']


                    class Transaction(object):
                        """
                        Transaction related metrics
                        
                        .. attribute:: all
                        
                        	All non\-key transaction metrics
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: counter
                        
                        	Transaction counter metrics
                        	**type**\:   :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Transaction.Counter>`
                        
                        .. attribute:: duration
                        
                        	Transaction duration metrics
                        	**type**\:   :py:class:`Duration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Transaction.Duration>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.counter = Native.Flow.Record.Collect.Connection.Transaction.Counter()
                            self.counter.parent = self
                            self.duration = Native.Flow.Record.Collect.Connection.Transaction.Duration()
                            self.duration.parent = self


                        class Counter(object):
                            """
                            Transaction counter metrics
                            
                            .. attribute:: complete
                            
                            	Number of completed transactions
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.complete = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:counter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.complete is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Connection.Transaction.Counter']['meta_info']


                        class Duration(object):
                            """
                            Transaction duration metrics
                            
                            .. attribute:: max
                            
                            	Maximum transaction time
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: min
                            
                            	Minimum transaction time
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sum
                            
                            	Total transaction time
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max = None
                                self.min = None
                                self.sum = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:duration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max is not None:
                                    return True

                                if self.min is not None:
                                    return True

                                if self.sum is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Connection.Transaction.Duration']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:transaction'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.counter is not None and self.counter._has_data():
                                return True

                            if self.duration is not None and self.duration._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Connection.Transaction']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:connection'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.client is not None and self.client._has_data():
                            return True

                        if self.delay is not None and self.delay._has_data():
                            return True

                        if self.id is not None:
                            return True

                        if self.initiator is not None:
                            return True

                        if self.new_connections is not None:
                            return True

                        if self.server is not None and self.server._has_data():
                            return True

                        if self.sum_duration is not None:
                            return True

                        if self.transaction is not None and self.transaction._has_data():
                            return True

                        if self.transaction_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Collect.Connection']['meta_info']


                class Counter(object):
                    """
                    Counter fields
                    
                    .. attribute:: bytes
                    
                    	Total number of bytes
                    	**type**\:   :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Counter.Bytes>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: flows
                    
                    	Total number of flows
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: packets
                    
                    	Total number of packets
                    	**type**\:   :py:class:`Packets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Counter.Packets>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bytes = None
                        self.flows = None
                        self.packets = None


                    class Bytes(object):
                        """
                        Total number of bytes
                        
                        .. attribute:: long
                        
                        	Total number of bytes (64 bit counter)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rate
                        
                        	Byte rate for the flow
                        	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Counter.Bytes.Rate>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: squared
                        
                        	Total of the square of the number of bytes
                        	**type**\:   :py:class:`Squared <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Counter.Bytes.Squared>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.long = None
                            self.rate = None
                            self.squared = Native.Flow.Record.Collect.Counter.Bytes.Squared()
                            self.squared.parent = self


                        class Rate(object):
                            """
                            Byte rate for the flow
                            
                            .. attribute:: per_flow
                            
                            	Average byte rate for the flow
                            	**type**\:   :py:class:`PerFlow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Counter.Bytes.Rate.PerFlow>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.per_flow = None


                            class PerFlow(object):
                                """
                                Average byte rate for the flow
                                
                                .. attribute:: max
                                
                                	Maximum byte rate among the aggregated flows
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Minimum byte rate among the aggregated flows
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.max = None
                                    self.min = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:per-flow'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Counter.Bytes.Rate.PerFlow']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:rate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.per_flow is not None and self.per_flow._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Counter.Bytes.Rate']['meta_info']


                        class Squared(object):
                            """
                            Total of the square of the number of bytes
                            
                            .. attribute:: long
                            
                            	Total of the square of the packet length in bytes (64 bit counter)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.long = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:squared'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.long is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Counter.Bytes.Squared']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:bytes'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.long is not None:
                                return True

                            if self.rate is not None and self.rate._has_data():
                                return True

                            if self.squared is not None and self.squared._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Counter.Bytes']['meta_info']


                    class Packets(object):
                        """
                        Total number of packets
                        
                        .. attribute:: dropped
                        
                        	Dropped packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: long
                        
                        	Total number of packets (64 bit counter)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rate
                        
                        	Packet rate for the flow
                        	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Counter.Packets.Rate>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.dropped = None
                            self.long = None
                            self.rate = None


                        class Rate(object):
                            """
                            Packet rate for the flow
                            
                            .. attribute:: per_flow
                            
                            	Average packet rate for aggregated flows
                            	**type**\:   :py:class:`PerFlow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Counter.Packets.Rate.PerFlow>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.per_flow = None


                            class PerFlow(object):
                                """
                                Average packet rate for aggregated flows
                                
                                .. attribute:: max
                                
                                	Maximum packet rate in the aggregated flows
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Minimum packet rate in the aggregated flows
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.max = None
                                    self.min = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:per-flow'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Counter.Packets.Rate.PerFlow']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:rate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.per_flow is not None and self.per_flow._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Counter.Packets.Rate']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:packets'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.dropped is not None:
                                return True

                            if self.long is not None:
                                return True

                            if self.rate is not None and self.rate._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Counter.Packets']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:counter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bytes is not None and self.bytes._has_data():
                            return True

                        if self.flows is not None:
                            return True

                        if self.packets is not None and self.packets._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Collect.Counter']['meta_info']


                class Datalink(object):
                    """
                    Datalink (layer2) fields
                    
                    .. attribute:: destination_vlan_id
                    
                    	ID of the VLAN that the packet is going to
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dot1q
                    
                    	dot1q field
                    	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Datalink.Dot1Q>`
                    
                    .. attribute:: ethertype
                    
                    	The Ethertype of the packet
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mac
                    
                    	MAC fields
                    	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Datalink.Mac>`
                    
                    .. attribute:: source_vlan_id
                    
                    	ID of the VLAN that the packet came from
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.destination_vlan_id = None
                        self.dot1q = Native.Flow.Record.Collect.Datalink.Dot1Q()
                        self.dot1q.parent = self
                        self.ethertype = None
                        self.mac = Native.Flow.Record.Collect.Datalink.Mac()
                        self.mac.parent = self
                        self.source_vlan_id = None


                    class Dot1Q(object):
                        """
                        dot1q field
                        
                        .. attribute:: priority
                        
                        	The CoS field out of the dot1q header
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	The VLAN the packet is on
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Datalink.Dot1Q.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.priority = None
                            self.vlan = Native.Flow.Record.Collect.Datalink.Dot1Q.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            The VLAN the packet is on
                            
                            .. attribute:: input
                            
                            	The VLAN the packet is on at input
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: output
                            
                            	The VLAN the packet is on at output
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.input = None
                                self.output = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.input is not None:
                                    return True

                                if self.output is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Datalink.Dot1Q.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:dot1q'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.priority is not None:
                                return True

                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Datalink.Dot1Q']['meta_info']


                    class Mac(object):
                        """
                        MAC fields
                        
                        .. attribute:: destination
                        
                        	destination MAC fields
                        	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Datalink.Mac.Destination>`
                        
                        .. attribute:: source
                        
                        	source MAC fields
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Datalink.Mac.Source>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination = Native.Flow.Record.Collect.Datalink.Mac.Destination()
                            self.destination.parent = self
                            self.source = Native.Flow.Record.Collect.Datalink.Mac.Source()
                            self.source.parent = self


                        class Destination(object):
                            """
                            destination MAC fields
                            
                            .. attribute:: address
                            
                            	Destination MAC address from packet
                            	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Datalink.Mac.Destination.Address>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = Native.Flow.Record.Collect.Datalink.Mac.Destination.Address()
                                self.address.parent = self


                            class Address(object):
                                """
                                Destination MAC address from packet
                                
                                .. attribute:: input
                                
                                	Destination MAC address from packet at input
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: output
                                
                                	Destination MAC address from packet at output
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.input = None
                                    self.output = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.input is not None:
                                        return True

                                    if self.output is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Datalink.Mac.Destination.Address']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None and self.address._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Datalink.Mac.Destination']['meta_info']


                        class Source(object):
                            """
                            source MAC fields
                            
                            .. attribute:: address
                            
                            	Source MAC address from packet
                            	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Datalink.Mac.Source.Address>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = Native.Flow.Record.Collect.Datalink.Mac.Source.Address()
                                self.address.parent = self


                            class Address(object):
                                """
                                Source MAC address from packet
                                
                                .. attribute:: input
                                
                                	Source MAC address from packet at input
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: output
                                
                                	Source MAC address from packet at output
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.input = None
                                    self.output = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.input is not None:
                                        return True

                                    if self.output is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Datalink.Mac.Source.Address']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None and self.address._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Datalink.Mac.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:mac'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination is not None and self.destination._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Datalink.Mac']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:datalink'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.destination_vlan_id is not None:
                            return True

                        if self.dot1q is not None and self.dot1q._has_data():
                            return True

                        if self.ethertype is not None:
                            return True

                        if self.mac is not None and self.mac._has_data():
                            return True

                        if self.source_vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Collect.Datalink']['meta_info']


                class Flow_(object):
                    """
                    Flow identifying fields
                    
                    .. attribute:: cts
                    
                    	Cisco Trusted Security fields
                    	**type**\:   :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Flow_.Cts>`
                    
                    .. attribute:: direction
                    
                    	Direction the flow was monitored in
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: end_reason
                    
                    	The reason for a flow ending
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: observation
                    
                    	Flow observation metrics
                    	**type**\:   :py:class:`Observation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Flow_.Observation>`
                    
                    .. attribute:: sampler
                    
                    	ID of the sampler
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cts = Native.Flow.Record.Collect.Flow_.Cts()
                        self.cts.parent = self
                        self.direction = None
                        self.end_reason = None
                        self.observation = Native.Flow.Record.Collect.Flow_.Observation()
                        self.observation.parent = self
                        self.sampler = None


                    class Cts(object):
                        """
                        Cisco Trusted Security fields
                        
                        .. attribute:: destination
                        
                        	Cisco Trusted Security destination fields
                        	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Flow_.Cts.Destination>`
                        
                        .. attribute:: source
                        
                        	Cisco Trusted Security source fields
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Flow_.Cts.Source>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination = Native.Flow.Record.Collect.Flow_.Cts.Destination()
                            self.destination.parent = self
                            self.source = Native.Flow.Record.Collect.Flow_.Cts.Source()
                            self.source.parent = self


                        class Destination(object):
                            """
                            Cisco Trusted Security destination fields
                            
                            .. attribute:: group_tag
                            
                            	destination group\-tag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group_tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group_tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Flow_.Cts.Destination']['meta_info']


                        class Source(object):
                            """
                            Cisco Trusted Security source fields
                            
                            .. attribute:: group_tag
                            
                            	source group\-tag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group_tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group_tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Flow_.Cts.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:cts'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination is not None and self.destination._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Flow_.Cts']['meta_info']


                    class Observation(object):
                        """
                        Flow observation metrics
                        
                        .. attribute:: point
                        
                        	Observation point ID
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.point = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:observation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.point is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Flow_.Observation']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cts is not None and self.cts._has_data():
                            return True

                        if self.direction is not None:
                            return True

                        if self.end_reason is not None:
                            return True

                        if self.observation is not None and self.observation._has_data():
                            return True

                        if self.sampler is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Collect.Flow_']['meta_info']


                class Interface(object):
                    """
                    Interface fields
                    
                    .. attribute:: input
                    
                    	The input interface
                    	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Interface.Input>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: output
                    
                    	The output interface
                    	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Interface.Output>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.input = None
                        self.output = None


                    class Input(object):
                        """
                        The input interface
                        
                        .. attribute:: snmp
                        
                        	SNMP Index of the input interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.snmp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:input'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.snmp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Interface.Input']['meta_info']


                    class Output(object):
                        """
                        The output interface
                        
                        .. attribute:: snmp
                        
                        	SNMP Index of the output interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.snmp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:output'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.snmp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Interface.Output']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.input is not None and self.input._has_data():
                            return True

                        if self.output is not None and self.output._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Collect.Interface']['meta_info']


                class Ipv4(object):
                    """
                    IPv4 fields
                    
                    .. attribute:: destination
                    
                    	IPv4 destination address based fields
                    	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Destination>`
                    
                    .. attribute:: dscp
                    
                    	IPv4 DSCP (part of TOS)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: fragmentation
                    
                    	IPv4 fragmentation fields
                    	**type**\:   :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Fragmentation>`
                    
                    .. attribute:: header_length
                    
                    	IPv4 header length (IHL in 32 bit words)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: id
                    
                    	IPv4 ID
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: length
                    
                    	IPv4 length fields
                    	**type**\:   :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Length>`
                    
                    .. attribute:: option
                    
                    	IPv4 option fields
                    	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Option>`
                    
                    .. attribute:: precedence
                    
                    	IPv4 precedence (part of TOS)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: protocol
                    
                    	IPv4 protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: section
                    
                    	Part of the packet
                    	**type**\:   :py:class:`Section <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Section>`
                    
                    .. attribute:: source
                    
                    	IPv4 source address based fields
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Source>`
                    
                    .. attribute:: tos
                    
                    	IPv4 type of service
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: total_length
                    
                    	IPv4 total length
                    	**type**\:   :py:class:`TotalLength <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.TotalLength>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ttl
                    
                    	IPv4 TTL
                    	**type**\:   :py:class:`Ttl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Ttl>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: version
                    
                    	IP version from IPv4 header
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.destination = Native.Flow.Record.Collect.Ipv4.Destination()
                        self.destination.parent = self
                        self.dscp = None
                        self.fragmentation = Native.Flow.Record.Collect.Ipv4.Fragmentation()
                        self.fragmentation.parent = self
                        self.header_length = None
                        self.id = None
                        self.length = Native.Flow.Record.Collect.Ipv4.Length()
                        self.length.parent = self
                        self.option = Native.Flow.Record.Collect.Ipv4.Option()
                        self.option.parent = self
                        self.precedence = None
                        self.protocol = None
                        self.section = Native.Flow.Record.Collect.Ipv4.Section()
                        self.section.parent = self
                        self.source = Native.Flow.Record.Collect.Ipv4.Source()
                        self.source.parent = self
                        self.tos = None
                        self.total_length = None
                        self.ttl = None
                        self.version = None


                    class Destination(object):
                        """
                        IPv4 destination address based fields
                        
                        .. attribute:: address
                        
                        	IPv4 destination address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mask
                        
                        	IPv4 address mask for the IPv4 destination address
                        	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Destination.Mask>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix
                        
                        	IPv4 address prefix for the IPv4 destination address
                        	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Destination.Prefix>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.prefix = None


                        class Mask(object):
                            """
                            IPv4 address mask for the IPv4 destination address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\:  int
                            
                            	**range:** 1..32
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.minimum_mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.minimum_mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Ipv4.Destination.Mask']['meta_info']


                        class Prefix(object):
                            """
                            IPv4 address prefix for the IPv4 destination address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\:  int
                            
                            	**range:** 1..32
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.minimum_mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.minimum_mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Ipv4.Destination.Prefix']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None and self.mask._has_data():
                                return True

                            if self.prefix is not None and self.prefix._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Ipv4.Destination']['meta_info']


                    class Fragmentation(object):
                        """
                        IPv4 fragmentation fields
                        
                        .. attribute:: flags
                        
                        	IPv4 fragmentation flags
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: offset
                        
                        	IPv4 fragmentation offset
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.flags = None
                            self.offset = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:fragmentation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.flags is not None:
                                return True

                            if self.offset is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Ipv4.Fragmentation']['meta_info']


                    class Length(object):
                        """
                        IPv4 length fields
                        
                        .. attribute:: header
                        
                        	Length of the IPv4 header in bytes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: payload
                        
                        	Length of the IPv4 payload in bytes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: total
                        
                        	Total length of the IPv4 header and payload in bytes
                        	**type**\:   :py:class:`Total <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Length.Total>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.header = None
                            self.payload = None
                            self.total = None


                        class Total(object):
                            """
                            Total length of the IPv4 header and payload in bytes
                            
                            .. attribute:: maximum
                            
                            	Maximum total length in bytes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	Minimum total length in bytes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.maximum = None
                                self.minimum = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:total'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.maximum is not None:
                                    return True

                                if self.minimum is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Ipv4.Length.Total']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:length'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.header is not None:
                                return True

                            if self.payload is not None:
                                return True

                            if self.total is not None and self.total._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Ipv4.Length']['meta_info']


                    class Option(object):
                        """
                        IPv4 option fields
                        
                        .. attribute:: map
                        
                        	Bitmap of IPv4 options
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.map = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:option'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Ipv4.Option']['meta_info']


                    class Section(object):
                        """
                        Part of the packet
                        
                        .. attribute:: header
                        
                        	Raw data starting at the IPv4 header
                        	**type**\:   :py:class:`Header <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Section.Header>`
                        
                        .. attribute:: payload
                        
                        	Raw data starting at the IPv4 payload
                        	**type**\:   :py:class:`Payload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Section.Payload>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.header = Native.Flow.Record.Collect.Ipv4.Section.Header()
                            self.header.parent = self
                            self.payload = Native.Flow.Record.Collect.Ipv4.Section.Payload()
                            self.payload.parent = self


                        class Header(object):
                            """
                            Raw data starting at the IPv4 header
                            
                            .. attribute:: size
                            
                            	Specify the number of bytes to capture
                            	**type**\:  int
                            
                            	**range:** 1..1200
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.size = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:header'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.size is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Ipv4.Section.Header']['meta_info']


                        class Payload(object):
                            """
                            Raw data starting at the IPv4 payload
                            
                            .. attribute:: size
                            
                            	Specify the number of bytes to capture
                            	**type**\:  int
                            
                            	**range:** 1..1200
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.size = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:payload'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.size is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Ipv4.Section.Payload']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:section'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.header is not None and self.header._has_data():
                                return True

                            if self.payload is not None and self.payload._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Ipv4.Section']['meta_info']


                    class Source(object):
                        """
                        IPv4 source address based fields
                        
                        .. attribute:: address
                        
                        	IPv4 source address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mask
                        
                        	IPv4 address mask for the IPv4 source address
                        	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Source.Mask>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix
                        
                        	IPv4 address prefix for the IPv4 source address
                        	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Source.Prefix>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.prefix = None


                        class Mask(object):
                            """
                            IPv4 address mask for the IPv4 source address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\:  int
                            
                            	**range:** 1..32
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.minimum_mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.minimum_mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Ipv4.Source.Mask']['meta_info']


                        class Prefix(object):
                            """
                            IPv4 address prefix for the IPv4 source address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\:  int
                            
                            	**range:** 1..32
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.minimum_mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.minimum_mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Ipv4.Source.Prefix']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None and self.mask._has_data():
                                return True

                            if self.prefix is not None and self.prefix._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Ipv4.Source']['meta_info']


                    class TotalLength(object):
                        """
                        IPv4 total length
                        
                        .. attribute:: maximum
                        
                        	Largest value for IPv4 length seen in the flow
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: minimum
                        
                        	Smallest value for IPv4 length seen in the flow
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.maximum = None
                            self.minimum = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:total-length'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.maximum is not None:
                                return True

                            if self.minimum is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Ipv4.TotalLength']['meta_info']


                    class Ttl(object):
                        """
                        IPv4 TTL
                        
                        .. attribute:: maximum
                        
                        	Largest value seen for TTL in the flow
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: minimum
                        
                        	Smallest value seen for TTL in the flow
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.maximum = None
                            self.minimum = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:ttl'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.maximum is not None:
                                return True

                            if self.minimum is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Ipv4.Ttl']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.destination is not None and self.destination._has_data():
                            return True

                        if self.dscp is not None:
                            return True

                        if self.fragmentation is not None and self.fragmentation._has_data():
                            return True

                        if self.header_length is not None:
                            return True

                        if self.id is not None:
                            return True

                        if self.length is not None and self.length._has_data():
                            return True

                        if self.option is not None and self.option._has_data():
                            return True

                        if self.precedence is not None:
                            return True

                        if self.protocol is not None:
                            return True

                        if self.section is not None and self.section._has_data():
                            return True

                        if self.source is not None and self.source._has_data():
                            return True

                        if self.tos is not None:
                            return True

                        if self.total_length is not None and self.total_length._has_data():
                            return True

                        if self.ttl is not None and self.ttl._has_data():
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Collect.Ipv4']['meta_info']


                class Ipv6(object):
                    """
                    IPv6 fields
                    
                    .. attribute:: destination
                    
                    	IPv6 destination address based fields
                    	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Destination>`
                    
                    .. attribute:: dscp
                    
                    	IPv6 DSCP (part of Traffic Class)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: extension
                    
                    	IPv6 extension header fields
                    	**type**\:   :py:class:`Extension <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Extension>`
                    
                    .. attribute:: flow_label
                    
                    	IPv6 flow label
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: fragmentation
                    
                    	IPv6 fragmentation fields
                    	**type**\:   :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Fragmentation>`
                    
                    .. attribute:: hop_limit
                    
                    	IPv6 hop limit
                    	**type**\:   :py:class:`HopLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.HopLimit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: length
                    
                    	IPv6 length fields
                    	**type**\:   :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Length>`
                    
                    .. attribute:: next_header
                    
                    	The value of the next\-header field in the IPv6 header
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: payload_length
                    
                    	Length of the IPv6 payload in bytes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: precedence
                    
                    	IPv6 precedence (part of Traffic Class)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: protocol
                    
                    	IPv6 payload protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: section
                    
                    	Part of the packet
                    	**type**\:   :py:class:`Section <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Section>`
                    
                    .. attribute:: source
                    
                    	IPv6 source address based fields
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Source>`
                    
                    .. attribute:: traffic_class
                    
                    	IPv6 traffic class
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: version
                    
                    	IP version from IPv6 header
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.destination = Native.Flow.Record.Collect.Ipv6.Destination()
                        self.destination.parent = self
                        self.dscp = None
                        self.extension = Native.Flow.Record.Collect.Ipv6.Extension()
                        self.extension.parent = self
                        self.flow_label = None
                        self.fragmentation = Native.Flow.Record.Collect.Ipv6.Fragmentation()
                        self.fragmentation.parent = self
                        self.hop_limit = None
                        self.length = Native.Flow.Record.Collect.Ipv6.Length()
                        self.length.parent = self
                        self.next_header = None
                        self.payload_length = None
                        self.precedence = None
                        self.protocol = None
                        self.section = Native.Flow.Record.Collect.Ipv6.Section()
                        self.section.parent = self
                        self.source = Native.Flow.Record.Collect.Ipv6.Source()
                        self.source.parent = self
                        self.traffic_class = None
                        self.version = None


                    class Destination(object):
                        """
                        IPv6 destination address based fields
                        
                        .. attribute:: address
                        
                        	IPv6 destination address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mask
                        
                        	IPv6 address mask for the IPv6 destination address
                        	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Destination.Mask>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix
                        
                        	IPv6 address prefix for the IPv6 destination address
                        	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Destination.Prefix>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.prefix = None


                        class Mask(object):
                            """
                            IPv6 address mask for the IPv6 destination address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\:  int
                            
                            	**range:** 1..128
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.minimum_mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.minimum_mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Ipv6.Destination.Mask']['meta_info']


                        class Prefix(object):
                            """
                            IPv6 address prefix for the IPv6 destination address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\:  int
                            
                            	**range:** 1..128
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.minimum_mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.minimum_mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Ipv6.Destination.Prefix']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None and self.mask._has_data():
                                return True

                            if self.prefix is not None and self.prefix._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Ipv6.Destination']['meta_info']


                    class Extension(object):
                        """
                        IPv6 extension header fields
                        
                        .. attribute:: map
                        
                        	Bitmap of IPv6 extension headers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.map = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:extension'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Ipv6.Extension']['meta_info']


                    class Fragmentation(object):
                        """
                        IPv6 fragmentation fields
                        
                        .. attribute:: flags
                        
                        	IPv6 fragmentation flags
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: id
                        
                        	IPv6 fragmentation ID
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: offset
                        
                        	IPv6 fragmentation offset
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.flags = None
                            self.id = None
                            self.offset = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:fragmentation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.flags is not None:
                                return True

                            if self.id is not None:
                                return True

                            if self.offset is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Ipv6.Fragmentation']['meta_info']


                    class HopLimit(object):
                        """
                        IPv6 hop limit
                        
                        .. attribute:: maximum
                        
                        	Largest value seen for hop\-limit in the flow
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: minimum
                        
                        	Smallest value seen for hop\-limit in the flow
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.maximum = None
                            self.minimum = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:hop-limit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.maximum is not None:
                                return True

                            if self.minimum is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Ipv6.HopLimit']['meta_info']


                    class Length(object):
                        """
                        IPv6 length fields
                        
                        .. attribute:: header
                        
                        	Length of the IPv6 header, not including any extension headers, in bytes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: payload
                        
                        	Length of the IPv6 payload, including any extension headers, in bytes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: total
                        
                        	Total length of the IPv6 header and payload in bytes
                        	**type**\:   :py:class:`Total <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Length.Total>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.header = None
                            self.payload = None
                            self.total = None


                        class Total(object):
                            """
                            Total length of the IPv6 header and payload in bytes
                            
                            .. attribute:: maximum
                            
                            	Maximum total length in bytes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	Minimum total length in bytes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.maximum = None
                                self.minimum = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:total'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.maximum is not None:
                                    return True

                                if self.minimum is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Ipv6.Length.Total']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:length'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.header is not None:
                                return True

                            if self.payload is not None:
                                return True

                            if self.total is not None and self.total._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Ipv6.Length']['meta_info']


                    class Section(object):
                        """
                        Part of the packet
                        
                        .. attribute:: header
                        
                        	Raw data starting at the IPv6 header
                        	**type**\:   :py:class:`Header <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Section.Header>`
                        
                        .. attribute:: payload
                        
                        	Raw data starting at the IPv6 payload
                        	**type**\:   :py:class:`Payload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Section.Payload>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.header = Native.Flow.Record.Collect.Ipv6.Section.Header()
                            self.header.parent = self
                            self.payload = Native.Flow.Record.Collect.Ipv6.Section.Payload()
                            self.payload.parent = self


                        class Header(object):
                            """
                            Raw data starting at the IPv6 header
                            
                            .. attribute:: size
                            
                            	Specify the number of bytes to capture
                            	**type**\:  int
                            
                            	**range:** 1..1200
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.size = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:header'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.size is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Ipv6.Section.Header']['meta_info']


                        class Payload(object):
                            """
                            Raw data starting at the IPv6 payload
                            
                            .. attribute:: size
                            
                            	Specify the number of bytes to capture
                            	**type**\:  int
                            
                            	**range:** 1..1200
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.size = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:payload'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.size is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Ipv6.Section.Payload']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:section'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.header is not None and self.header._has_data():
                                return True

                            if self.payload is not None and self.payload._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Ipv6.Section']['meta_info']


                    class Source(object):
                        """
                        IPv6 source address based fields
                        
                        .. attribute:: address
                        
                        	IPv6 source address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mask
                        
                        	IPv6 address mask for the IPv6 source address
                        	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Source.Mask>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix
                        
                        	IPv6 address prefix for the IPv6 source address
                        	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Source.Prefix>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.prefix = None


                        class Mask(object):
                            """
                            IPv6 address mask for the IPv6 source address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\:  int
                            
                            	**range:** 1..128
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.minimum_mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.minimum_mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Ipv6.Source.Mask']['meta_info']


                        class Prefix(object):
                            """
                            IPv6 address prefix for the IPv6 source address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\:  int
                            
                            	**range:** 1..128
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.minimum_mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.minimum_mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Ipv6.Source.Prefix']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None and self.mask._has_data():
                                return True

                            if self.prefix is not None and self.prefix._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Ipv6.Source']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.destination is not None and self.destination._has_data():
                            return True

                        if self.dscp is not None:
                            return True

                        if self.extension is not None and self.extension._has_data():
                            return True

                        if self.flow_label is not None:
                            return True

                        if self.fragmentation is not None and self.fragmentation._has_data():
                            return True

                        if self.hop_limit is not None and self.hop_limit._has_data():
                            return True

                        if self.length is not None and self.length._has_data():
                            return True

                        if self.next_header is not None:
                            return True

                        if self.payload_length is not None:
                            return True

                        if self.precedence is not None:
                            return True

                        if self.protocol is not None:
                            return True

                        if self.section is not None and self.section._has_data():
                            return True

                        if self.source is not None and self.source._has_data():
                            return True

                        if self.traffic_class is not None:
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Collect.Ipv6']['meta_info']


                class Metadata(object):
                    """
                    Metadata fields
                    
                    .. attribute:: clock_rate
                    
                    	Metadata clock\-rate
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: global_session_id
                    
                    	Metadata global\-session\-id
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: multi_party_session_id
                    
                    	Metadata multi\-party\-session\-id
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.clock_rate = None
                        self.global_session_id = None
                        self.multi_party_session_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:metadata'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.clock_rate is not None:
                            return True

                        if self.global_session_id is not None:
                            return True

                        if self.multi_party_session_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Collect.Metadata']['meta_info']


                class Monitor(object):
                    """
                    monitor fields
                    
                    .. attribute:: event
                    
                    	Flags indicating monitor events
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.event = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:monitor'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.event is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Collect.Monitor']['meta_info']


                class Mpls(object):
                    """
                    MPLS fields
                    
                    .. attribute:: label
                    
                    	MPLS label details
                    	**type**\:   :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Mpls.Label>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.label = Native.Flow.Record.Collect.Mpls.Label()
                        self.label.parent = self


                    class Label(object):
                        """
                        MPLS label details
                        
                        .. attribute:: five
                        
                        	MPLS label 5 information
                        	**type**\:   :py:class:`Five <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Mpls.Label.Five>`
                        
                        .. attribute:: four
                        
                        	MPLS label 4 information
                        	**type**\:   :py:class:`Four <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Mpls.Label.Four>`
                        
                        .. attribute:: one
                        
                        	MPLS label 1 information
                        	**type**\:   :py:class:`One <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Mpls.Label.One>`
                        
                        .. attribute:: six
                        
                        	MPLS label 6 information
                        	**type**\:   :py:class:`Six <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Mpls.Label.Six>`
                        
                        .. attribute:: three
                        
                        	MPLS label 3 information
                        	**type**\:   :py:class:`Three <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Mpls.Label.Three>`
                        
                        .. attribute:: two
                        
                        	MPLS label 2 information
                        	**type**\:   :py:class:`Two <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Mpls.Label.Two>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.five = Native.Flow.Record.Collect.Mpls.Label.Five()
                            self.five.parent = self
                            self.four = Native.Flow.Record.Collect.Mpls.Label.Four()
                            self.four.parent = self
                            self.one = Native.Flow.Record.Collect.Mpls.Label.One()
                            self.one.parent = self
                            self.six = Native.Flow.Record.Collect.Mpls.Label.Six()
                            self.six.parent = self
                            self.three = Native.Flow.Record.Collect.Mpls.Label.Three()
                            self.three.parent = self
                            self.two = Native.Flow.Record.Collect.Mpls.Label.Two()
                            self.two.parent = self


                        class One(object):
                            """
                            MPLS label 1 information
                            
                            .. attribute:: details
                            
                            	MPLS label 1 details
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: exp
                            
                            	MPLS EXP field from the last label that was pushed
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ttl
                            
                            	MPLS TTL field from the last label that was pushed
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: type
                            
                            	MPLS label type of the last label that was pushed
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.details = None
                                self.exp = None
                                self.ttl = None
                                self.type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:one'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.details is not None:
                                    return True

                                if self.exp is not None:
                                    return True

                                if self.ttl is not None:
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Mpls.Label.One']['meta_info']


                        class Two(object):
                            """
                            MPLS label 2 information
                            
                            .. attribute:: details
                            
                            	MPLS label 2 details
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.details = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:two'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.details is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Mpls.Label.Two']['meta_info']


                        class Three(object):
                            """
                            MPLS label 3 information
                            
                            .. attribute:: details
                            
                            	MPLS label 3 details
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.details = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:three'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.details is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Mpls.Label.Three']['meta_info']


                        class Four(object):
                            """
                            MPLS label 4 information
                            
                            .. attribute:: details
                            
                            	MPLS label 4 details
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.details = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:four'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.details is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Mpls.Label.Four']['meta_info']


                        class Five(object):
                            """
                            MPLS label 5 information
                            
                            .. attribute:: details
                            
                            	MPLS label 5 details
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.details = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:five'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.details is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Mpls.Label.Five']['meta_info']


                        class Six(object):
                            """
                            MPLS label 6 information
                            
                            .. attribute:: details
                            
                            	MPLS label 6 details
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.details = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:six'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.details is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Mpls.Label.Six']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:label'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.five is not None and self.five._has_data():
                                return True

                            if self.four is not None and self.four._has_data():
                                return True

                            if self.one is not None and self.one._has_data():
                                return True

                            if self.six is not None and self.six._has_data():
                                return True

                            if self.three is not None and self.three._has_data():
                                return True

                            if self.two is not None and self.two._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Mpls.Label']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:mpls'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.label is not None and self.label._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Collect.Mpls']['meta_info']


                class Network(object):
                    """
                    network metrics
                    
                    .. attribute:: delay
                    
                    	network delay metrics
                    	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Network.Delay>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.delay = Native.Flow.Record.Collect.Network.Delay()
                        self.delay.parent = self


                    class Delay(object):
                        """
                        network delay metrics
                        
                        .. attribute:: sample
                        
                        	The number of samples of roundtrip delay
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sum
                        
                        	The sum of roundtrip delay
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.sample = None
                            self.sum = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:delay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.sample is not None:
                                return True

                            if self.sum is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Network.Delay']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:network'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.delay is not None and self.delay._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Collect.Network']['meta_info']


                class Pfr(object):
                    """
                    PfR metrics
                    
                    .. attribute:: label
                    
                    	PfR label metrics
                    	**type**\:   :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Label>`
                    
                    .. attribute:: one_way_delay
                    
                    	The packet transmission delay between specified nodes
                    	**type**\:   :py:class:`OneWayDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.OneWayDelay>`
                    
                    .. attribute:: service
                    
                    	PfR service metrics
                    	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Service>`
                    
                    .. attribute:: site
                    
                    	PfR site  metrics
                    	**type**\:   :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Site>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.label = Native.Flow.Record.Collect.Pfr.Label()
                        self.label.parent = self
                        self.one_way_delay = Native.Flow.Record.Collect.Pfr.OneWayDelay()
                        self.one_way_delay.parent = self
                        self.service = Native.Flow.Record.Collect.Pfr.Service()
                        self.service.parent = self
                        self.site = Native.Flow.Record.Collect.Pfr.Site()
                        self.site.parent = self


                    class Label(object):
                        """
                        PfR label metrics
                        
                        .. attribute:: identifier
                        
                        	pfr label id
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.identifier = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:label'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.identifier is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Pfr.Label']['meta_info']


                    class OneWayDelay(object):
                        """
                        The packet transmission delay between specified nodes
                        
                        .. attribute:: samples
                        
                        	Total number of one\-way\-delay samples
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sum
                        
                        	The packet transmission delay sum between specified nodes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.samples = None
                            self.sum = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:one-way-delay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.samples is not None:
                                return True

                            if self.sum is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Pfr.OneWayDelay']['meta_info']


                    class Service(object):
                        """
                        PfR service metrics
                        
                        .. attribute:: identifier
                        
                        	PfR service provider tag
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: provider
                        
                        	PfR service provider metrics
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tag
                        
                        	PfR service provider tag metrics
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.identifier = None
                            self.provider = None
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:service'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.identifier is not None:
                                return True

                            if self.provider is not None:
                                return True

                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Pfr.Service']['meta_info']


                    class Site(object):
                        """
                        PfR site  metrics
                        
                        .. attribute:: destination
                        
                        	PfR site destination metrics
                        	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Site.Destination>`
                        
                        .. attribute:: source
                        
                        	PfR site source metrics
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Site.Source>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination = Native.Flow.Record.Collect.Pfr.Site.Destination()
                            self.destination.parent = self
                            self.source = Native.Flow.Record.Collect.Pfr.Site.Source()
                            self.source.parent = self


                        class Destination(object):
                            """
                            PfR site destination metrics
                            
                            .. attribute:: id
                            
                            	PfR site destination ID metrics
                            	**type**\:   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Site.Destination.Id>`
                            
                            .. attribute:: prefix
                            
                            	PfR site prefix of the packet destination
                            	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = Native.Flow.Record.Collect.Pfr.Site.Destination.Id()
                                self.id.parent = self
                                self.prefix = Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix()
                                self.prefix.parent = self


                            class Id(object):
                                """
                                PfR site destination ID metrics
                                
                                .. attribute:: ipv4
                                
                                	site ID of the packet destination
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:id'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Pfr.Site.Destination.Id']['meta_info']


                            class Prefix(object):
                                """
                                PfR site prefix of the packet destination
                                
                                .. attribute:: ipv4
                                
                                	site prefix of the packet destination
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mask
                                
                                	PfR site prefix mask of the packet destination
                                	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix.Mask>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None
                                    self.mask = Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix.Mask()
                                    self.mask.parent = self


                                class Mask(object):
                                    """
                                    PfR site prefix mask of the packet destination
                                    
                                    .. attribute:: ipv4
                                    
                                    	site prefix mask of the packet destination
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix.Mask']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    if self.mask is not None and self.mask._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None and self.id._has_data():
                                    return True

                                if self.prefix is not None and self.prefix._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Pfr.Site.Destination']['meta_info']


                        class Source(object):
                            """
                            PfR site source metrics
                            
                            .. attribute:: id
                            
                            	PfR site source ID metrics
                            	**type**\:   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Site.Source.Id>`
                            
                            .. attribute:: prefix
                            
                            	PfR site prefix of the packet source
                            	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Site.Source.Prefix>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = Native.Flow.Record.Collect.Pfr.Site.Source.Id()
                                self.id.parent = self
                                self.prefix = Native.Flow.Record.Collect.Pfr.Site.Source.Prefix()
                                self.prefix.parent = self


                            class Id(object):
                                """
                                PfR site source ID metrics
                                
                                .. attribute:: ipv4
                                
                                	site ID of the packet source
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:id'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Pfr.Site.Source.Id']['meta_info']


                            class Prefix(object):
                                """
                                PfR site prefix of the packet source
                                
                                .. attribute:: ipv4
                                
                                	site prefix of the packet source
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mask
                                
                                	PfR site prefix mask of the packet source
                                	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Site.Source.Prefix.Mask>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None
                                    self.mask = Native.Flow.Record.Collect.Pfr.Site.Source.Prefix.Mask()
                                    self.mask.parent = self


                                class Mask(object):
                                    """
                                    PfR site prefix mask of the packet source
                                    
                                    .. attribute:: ipv4
                                    
                                    	site prefix mask of the packet source
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Collect.Pfr.Site.Source.Prefix.Mask']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    if self.mask is not None and self.mask._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Pfr.Site.Source.Prefix']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None and self.id._has_data():
                                    return True

                                if self.prefix is not None and self.prefix._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Pfr.Site.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:site'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination is not None and self.destination._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Pfr.Site']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:pfr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.label is not None and self.label._has_data():
                            return True

                        if self.one_way_delay is not None and self.one_way_delay._has_data():
                            return True

                        if self.service is not None and self.service._has_data():
                            return True

                        if self.site is not None and self.site._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Collect.Pfr']['meta_info']


                class Policy(object):
                    """
                    policy fields
                    
                    .. attribute:: performance_monitor
                    
                    	Performance\-monitor policy related metrics
                    	**type**\:   :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Policy.PerformanceMonitor>`
                    
                    .. attribute:: qos
                    
                    	QoS policy related metrics
                    	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Policy.Qos>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.performance_monitor = Native.Flow.Record.Collect.Policy.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self.qos = Native.Flow.Record.Collect.Policy.Qos()
                        self.qos.parent = self


                    class PerformanceMonitor(object):
                        """
                        Performance\-monitor policy related metrics
                        
                        .. attribute:: classification
                        
                        	Classification metrics
                        	**type**\:   :py:class:`Classification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Policy.PerformanceMonitor.Classification>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.classification = Native.Flow.Record.Collect.Policy.PerformanceMonitor.Classification()
                            self.classification.parent = self


                        class Classification(object):
                            """
                            Classification metrics
                            
                            .. attribute:: hierarchy
                            
                            	Performance\-monitor class hierarchy
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hierarchy = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:classification'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hierarchy is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Policy.PerformanceMonitor.Classification']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:performance-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.classification is not None and self.classification._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Policy.PerformanceMonitor']['meta_info']


                    class Qos(object):
                        """
                        QoS policy related metrics
                        
                        .. attribute:: classification
                        
                        	Classification metrics
                        	**type**\:   :py:class:`Classification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Policy.Qos.Classification>`
                        
                        .. attribute:: queue
                        
                        	Queue metrics
                        	**type**\:   :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Policy.Qos.Queue>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.classification = Native.Flow.Record.Collect.Policy.Qos.Classification()
                            self.classification.parent = self
                            self.queue = Native.Flow.Record.Collect.Policy.Qos.Queue()
                            self.queue.parent = self


                        class Classification(object):
                            """
                            Classification metrics
                            
                            .. attribute:: hierarchy
                            
                            	QoS class hierarchy
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hierarchy = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:classification'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hierarchy is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Policy.Qos.Classification']['meta_info']


                        class Queue(object):
                            """
                            Queue metrics
                            
                            .. attribute:: drops
                            
                            	QoS queue drops
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: index
                            
                            	QoS queue index
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.drops = None
                                self.index = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:queue'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.drops is not None:
                                    return True

                                if self.index is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Policy.Qos.Queue']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:qos'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.classification is not None and self.classification._has_data():
                                return True

                            if self.queue is not None and self.queue._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Policy.Qos']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.performance_monitor is not None and self.performance_monitor._has_data():
                            return True

                        if self.qos is not None and self.qos._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Collect.Policy']['meta_info']


                class Routing(object):
                    """
                    Routing attributes
                    
                    .. attribute:: destination
                    
                    	Destination routing attributes
                    	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.Destination>`
                    
                    .. attribute:: forwarding_status
                    
                    	Forwarding status of the packet
                    	**type**\:   :py:class:`ForwardingStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.ForwardingStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: is_multicast
                    
                    	Indicates if this is multicast
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: next_hop
                    
                    	Information regarding the next hop
                    	**type**\:   :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.NextHop>`
                    
                    .. attribute:: pw
                    
                    	Pseudowire fields
                    	**type**\:   :py:class:`Pw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.Pw>`
                    
                    .. attribute:: source
                    
                    	Source routing attributes
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.Source>`
                    
                    .. attribute:: vrf
                    
                    	VRF routing attributes
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.destination = Native.Flow.Record.Collect.Routing.Destination()
                        self.destination.parent = self
                        self.forwarding_status = None
                        self.is_multicast = None
                        self.next_hop = Native.Flow.Record.Collect.Routing.NextHop()
                        self.next_hop.parent = self
                        self.pw = Native.Flow.Record.Collect.Routing.Pw()
                        self.pw.parent = self
                        self.source = Native.Flow.Record.Collect.Routing.Source()
                        self.source.parent = self
                        self.vrf = Native.Flow.Record.Collect.Routing.Vrf()
                        self.vrf.parent = self


                    class Destination(object):
                        """
                        Destination routing attributes
                        
                        .. attribute:: as_
                        
                        	AS number of the destination network
                        	**type**\:   :py:class:`As_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.Destination.As_>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: traffic_index
                        
                        	BGP destination traffic index
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.as_ = None
                            self.traffic_index = None


                        class As_(object):
                            """
                            AS number of the destination network
                            
                            .. attribute:: as4_octet
                            
                            	4 octet AS number of the destination network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: peer
                            
                            	AS number of the peer network we will forward to
                            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.Destination.As_.Peer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.as4_octet = None
                                self.peer = None


                            class Peer(object):
                                """
                                AS number of the peer network we will forward to
                                
                                .. attribute:: peer4_octet
                                
                                	4 octet AS number of the peer network we will forward to
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.peer4_octet = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.peer4_octet is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Routing.Destination.As_.Peer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:as'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.as4_octet is not None:
                                    return True

                                if self.peer is not None and self.peer._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Routing.Destination.As_']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.as_ is not None and self.as_._has_data():
                                return True

                            if self.traffic_index is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Routing.Destination']['meta_info']


                    class ForwardingStatus(object):
                        """
                        Forwarding status of the packet
                        
                        .. attribute:: reason
                        
                        	Forwarding status reason of the packet
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.reason = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:forwarding-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.reason is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Routing.ForwardingStatus']['meta_info']


                    class NextHop(object):
                        """
                        Information regarding the next hop
                        
                        .. attribute:: address
                        
                        	IP address of the next hop
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.NextHop.Address>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Flow.Record.Collect.Routing.NextHop.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            IP address of the next hop
                            
                            .. attribute:: ipv4
                            
                            	IPv4 address of the next hop
                            	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.NextHop.Address.Ipv4>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ipv6
                            
                            	IPv6 address of the next hop
                            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.NextHop.Address.Ipv6>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = None
                                self.ipv6 = None


                            class Ipv4(object):
                                """
                                IPv4 address of the next hop
                                
                                .. attribute:: bgp
                                
                                	IPv4 address of the BGP next hop
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.bgp = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv4'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.bgp is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Routing.NextHop.Address.Ipv4']['meta_info']


                            class Ipv6(object):
                                """
                                IPv6 address of the next hop
                                
                                .. attribute:: bgp
                                
                                	IPv6 address of the BGP next hop
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.bgp = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv6'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.bgp is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Routing.NextHop.Address.Ipv6']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None and self.ipv4._has_data():
                                    return True

                                if self.ipv6 is not None and self.ipv6._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Routing.NextHop.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:next-hop'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Routing.NextHop']['meta_info']


                    class Pw(object):
                        """
                        Pseudowire fields
                        
                        .. attribute:: destination
                        
                        	Pseudowire destination
                        	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.Pw.Destination>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination = Native.Flow.Record.Collect.Routing.Pw.Destination()
                            self.destination.parent = self


                        class Destination(object):
                            """
                            Pseudowire destination
                            
                            .. attribute:: address
                            
                            	Pseudowire destination address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Routing.Pw.Destination']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:pw'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination is not None and self.destination._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Routing.Pw']['meta_info']


                    class Source(object):
                        """
                        Source routing attributes
                        
                        .. attribute:: as_
                        
                        	AS number of the original network
                        	**type**\:   :py:class:`As_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.Source.As_>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: traffic_index
                        
                        	BGP source traffic index
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.as_ = None
                            self.traffic_index = None


                        class As_(object):
                            """
                            AS number of the original network
                            
                            .. attribute:: as4_octet
                            
                            	4 octet AS number of the original network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: peer
                            
                            	AS number of the peer network where the packet came from
                            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.Source.As_.Peer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.as4_octet = None
                                self.peer = None


                            class Peer(object):
                                """
                                AS number of the peer network where the packet came from
                                
                                .. attribute:: peer4_octet
                                
                                	4 octet AS number of the peer network where the packet came from
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.peer4_octet = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.peer4_octet is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Routing.Source.As_.Peer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:as'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.as4_octet is not None:
                                    return True

                                if self.peer is not None and self.peer._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Routing.Source.As_']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.as_ is not None and self.as_._has_data():
                                return True

                            if self.traffic_index is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Routing.Source']['meta_info']


                    class Vrf(object):
                        """
                        VRF routing attributes
                        
                        .. attribute:: input
                        
                        	VRF ID for incoming packet
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	VRF ID for outgoing packet
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = None
                            self.output = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None:
                                return True

                            if self.output is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Routing.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:routing'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.destination is not None and self.destination._has_data():
                            return True

                        if self.forwarding_status is not None and self.forwarding_status._has_data():
                            return True

                        if self.is_multicast is not None:
                            return True

                        if self.next_hop is not None and self.next_hop._has_data():
                            return True

                        if self.pw is not None and self.pw._has_data():
                            return True

                        if self.source is not None and self.source._has_data():
                            return True

                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Collect.Routing']['meta_info']


                class Services(object):
                    """
                    Services fields
                    
                    .. attribute:: waas
                    
                    	WAAS (Wide Area Application Services) metrics
                    	**type**\:   :py:class:`Waas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Services.Waas>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.waas = Native.Flow.Record.Collect.Services.Waas()
                        self.waas.parent = self


                    class Waas(object):
                        """
                        WAAS (Wide Area Application Services) metrics
                        
                        .. attribute:: passthrough_reason
                        
                        	WAAS passthrough reason
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: segment
                        
                        	WAAS optimization segment
                        	**type**\:   :py:class:`Segment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Services.Waas.Segment>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.passthrough_reason = None
                            self.segment = None


                        class Segment(object):
                            """
                            WAAS optimization segment
                            
                            .. attribute:: account_on_resolution
                            
                            	Account on resolution
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.account_on_resolution = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:segment'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.account_on_resolution is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Services.Waas.Segment']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:waas'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.passthrough_reason is not None:
                                return True

                            if self.segment is not None and self.segment._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Services.Waas']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:services'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.waas is not None and self.waas._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Collect.Services']['meta_info']


                class Timestamp(object):
                    """
                    Timestamp fields
                    
                    .. attribute:: absolute
                    
                    	Timestamps based on the epoch of 00\:00 UTC 1st Jan 1970
                    	**type**\:   :py:class:`Absolute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Timestamp.Absolute>`
                    
                    .. attribute:: interval
                    
                    	Epoch of a monitoring interval
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sys_uptime
                    
                    	Timestamps based on the sys\-uptime
                    	**type**\:   :py:class:`SysUptime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Timestamp.SysUptime>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.absolute = Native.Flow.Record.Collect.Timestamp.Absolute()
                        self.absolute.parent = self
                        self.interval = None
                        self.sys_uptime = Native.Flow.Record.Collect.Timestamp.SysUptime()
                        self.sys_uptime.parent = self


                    class Absolute(object):
                        """
                        Timestamps based on the epoch of 00\:00 UTC 1st Jan 1970
                        
                        .. attribute:: first
                        
                        	Absolute time the first packet was seen (milliseconds)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: last
                        
                        	Absolute time the most recent packet was seen (milliseconds)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: monitoring_interval
                        
                        	Monitoring interval timestamps
                        	**type**\:   :py:class:`MonitoringInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Timestamp.Absolute.MonitoringInterval>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.first = None
                            self.last = None
                            self.monitoring_interval = Native.Flow.Record.Collect.Timestamp.Absolute.MonitoringInterval()
                            self.monitoring_interval.parent = self


                        class MonitoringInterval(object):
                            """
                            Monitoring interval timestamps
                            
                            .. attribute:: end
                            
                            	Absolute end time of a monitoring interval (milliseconds)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: start
                            
                            	Absolute start time of a monitoring interval (milliseconds)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.end = None
                                self.start = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:monitoring-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.end is not None:
                                    return True

                                if self.start is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Timestamp.Absolute.MonitoringInterval']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:absolute'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.first is not None:
                                return True

                            if self.last is not None:
                                return True

                            if self.monitoring_interval is not None and self.monitoring_interval._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Timestamp.Absolute']['meta_info']


                    class SysUptime(object):
                        """
                        Timestamps based on the sys\-uptime
                        
                        .. attribute:: first
                        
                        	Time the first packet was seen
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: last
                        
                        	Time the most recent packet was seen
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.first = None
                            self.last = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:sys-uptime'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.first is not None:
                                return True

                            if self.last is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Timestamp.SysUptime']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:timestamp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.absolute is not None and self.absolute._has_data():
                            return True

                        if self.interval is not None:
                            return True

                        if self.sys_uptime is not None and self.sys_uptime._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Collect.Timestamp']['meta_info']


                class Transport(object):
                    """
                    Transport layer fields
                    
                    .. attribute:: bytes
                    
                    	Bytes fields
                    	**type**\:   :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Bytes>`
                    
                    .. attribute:: destination_port
                    
                    	Transport destination port
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: event
                    
                    	Transport event fields
                    	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Event>`
                    
                    .. attribute:: icmp
                    
                    	ICMP fields
                    	**type**\:   :py:class:`Icmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Icmp>`
                    
                    .. attribute:: igmp
                    
                    	IGMP fields
                    	**type**\:   :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Igmp>`
                    
                    .. attribute:: packets
                    
                    	Transport packet fields
                    	**type**\:   :py:class:`Packets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Packets>`
                    
                    .. attribute:: round_trip_time
                    
                    	RTT calculation for flow
                    	**type**\:   :py:class:`RoundTripTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.RoundTripTime>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: rtp
                    
                    	RTP fields
                    	**type**\:   :py:class:`Rtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Rtp>`
                    
                    .. attribute:: source_port
                    
                    	Transport source port
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: tcp
                    
                    	TCP fields
                    	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Tcp>`
                    
                    .. attribute:: udp
                    
                    	UDP fields
                    	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Udp>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bytes = Native.Flow.Record.Collect.Transport.Bytes()
                        self.bytes.parent = self
                        self.destination_port = None
                        self.event = Native.Flow.Record.Collect.Transport.Event()
                        self.event.parent = self
                        self.icmp = Native.Flow.Record.Collect.Transport.Icmp()
                        self.icmp.parent = self
                        self.igmp = Native.Flow.Record.Collect.Transport.Igmp()
                        self.igmp.parent = self
                        self.packets = Native.Flow.Record.Collect.Transport.Packets()
                        self.packets.parent = self
                        self.round_trip_time = None
                        self.rtp = Native.Flow.Record.Collect.Transport.Rtp()
                        self.rtp.parent = self
                        self.source_port = None
                        self.tcp = Native.Flow.Record.Collect.Transport.Tcp()
                        self.tcp.parent = self
                        self.udp = Native.Flow.Record.Collect.Transport.Udp()
                        self.udp.parent = self


                    class Bytes(object):
                        """
                        Bytes fields
                        
                        .. attribute:: expected
                        
                        	Transport bytes expected
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: lost
                        
                        	Transport bytes lost
                        	**type**\:   :py:class:`Lost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Bytes.Lost>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: out_of_order
                        
                        	Total number of out\-of\-order bytes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.expected = None
                            self.lost = None
                            self.out_of_order = None


                        class Lost(object):
                            """
                            Transport bytes lost
                            
                            .. attribute:: rate
                            
                            	Transport bytes lost rate
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:lost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Transport.Bytes.Lost']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:bytes'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.expected is not None:
                                return True

                            if self.lost is not None and self.lost._has_data():
                                return True

                            if self.out_of_order is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Transport.Bytes']['meta_info']


                    class Icmp(object):
                        """
                        ICMP fields
                        
                        .. attribute:: ipv4
                        
                        	IPv4 ICMP fields
                        	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Icmp.Ipv4>`
                        
                        .. attribute:: ipv6
                        
                        	IPv6 ICMP fields
                        	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Icmp.Ipv6>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = Native.Flow.Record.Collect.Transport.Icmp.Ipv4()
                            self.ipv4.parent = self
                            self.ipv6 = Native.Flow.Record.Collect.Transport.Icmp.Ipv6()
                            self.ipv6.parent = self


                        class Ipv4(object):
                            """
                            IPv4 ICMP fields
                            
                            .. attribute:: code
                            
                            	IPv4 ICMP code
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: type
                            
                            	IPv4 ICMP type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.code = None
                                self.type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv4'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.code is not None:
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Transport.Icmp.Ipv4']['meta_info']


                        class Ipv6(object):
                            """
                            IPv6 ICMP fields
                            
                            .. attribute:: code
                            
                            	IPv6 ICMP code
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: type
                            
                            	IPv6 ICMP type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.code = None
                                self.type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv6'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.code is not None:
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Transport.Icmp.Ipv6']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:icmp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None and self.ipv4._has_data():
                                return True

                            if self.ipv6 is not None and self.ipv6._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Transport.Icmp']['meta_info']


                    class Igmp(object):
                        """
                        IGMP fields
                        
                        .. attribute:: type
                        
                        	IGMP type
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:igmp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Transport.Igmp']['meta_info']


                    class Tcp(object):
                        """
                        TCP fields
                        
                        .. attribute:: acknowledgement_number
                        
                        	TCP acknowledgement number
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: destination_port
                        
                        	TCP destination port
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: flags
                        
                        	TCP flags
                        	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Tcp.Flags>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flow
                        
                        	TCP flow
                        	**type**\:   :py:class:`Flow_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Tcp.Flow_>`
                        
                        .. attribute:: header_length
                        
                        	TCP header length (in 32 bit words)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: maximum_segment_size
                        
                        	The maximum size of TCP segment
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: option
                        
                        	TCP option fields
                        	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Tcp.Option>`
                        
                        .. attribute:: sequence_number
                        
                        	TCP sequence number
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: source_port
                        
                        	TCP source port
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: urgent_pointer
                        
                        	TCP urgent pointer
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: window_size
                        
                        	TCP window size
                        	**type**\:   :py:class:`WindowSize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Tcp.WindowSize>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acknowledgement_number = None
                            self.destination_port = None
                            self.flags = None
                            self.flow = Native.Flow.Record.Collect.Transport.Tcp.Flow_()
                            self.flow.parent = self
                            self.header_length = None
                            self.maximum_segment_size = None
                            self.option = Native.Flow.Record.Collect.Transport.Tcp.Option()
                            self.option.parent = self
                            self.sequence_number = None
                            self.source_port = None
                            self.urgent_pointer = None
                            self.window_size = None


                        class Flags(object):
                            """
                            TCP flags
                            
                            .. attribute:: ack
                            
                            	TCP acknowledgement flag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: cwr
                            
                            	TCP congestion window reduced flag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ece
                            
                            	TCP ECN echo flag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fin
                            
                            	TCP finish flag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: psh
                            
                            	TCP push flag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rst
                            
                            	TCP reset flag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: syn
                            
                            	TCP synchronise flag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: urg
                            
                            	TCP urgent flag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.ack = None
                                self.cwr = None
                                self.ece = None
                                self.fin = None
                                self.psh = None
                                self.rst = None
                                self.syn = None
                                self.urg = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:flags'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.ack is not None:
                                    return True

                                if self.cwr is not None:
                                    return True

                                if self.ece is not None:
                                    return True

                                if self.fin is not None:
                                    return True

                                if self.psh is not None:
                                    return True

                                if self.rst is not None:
                                    return True

                                if self.syn is not None:
                                    return True

                                if self.urg is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Transport.Tcp.Flags']['meta_info']


                        class Flow_(object):
                            """
                            TCP flow
                            
                            .. attribute:: count
                            
                            	Number of tcp flows
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.count = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.count is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Transport.Tcp.Flow_']['meta_info']


                        class Option(object):
                            """
                            TCP option fields
                            
                            .. attribute:: map
                            
                            	Bitmap of TCP options
                            	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Tcp.Option.Map>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map = None


                            class Map(object):
                                """
                                Bitmap of TCP options
                                
                                .. attribute:: long
                                
                                	Extended bitmap of TCP options
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.long = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.long is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Transport.Tcp.Option.Map']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map is not None and self.map._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Transport.Tcp.Option']['meta_info']


                        class WindowSize(object):
                            """
                            TCP window size
                            
                            .. attribute:: average
                            
                            	The average size of TCP window
                            	**type**\:   :py:class:`Average <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Tcp.WindowSize.Average>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum
                            
                            	The maximum size of TCP window
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	The minimum size of TCP window
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sum
                            
                            	The sum of TCP window size
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.average = None
                                self.maximum = None
                                self.minimum = None
                                self.sum = None


                            class Average(object):
                                """
                                The average size of TCP window
                                
                                .. attribute:: sum
                                
                                	The sum of per flow TCP window average size
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.sum = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:average'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.sum is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Transport.Tcp.WindowSize.Average']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:window-size'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.average is not None and self.average._has_data():
                                    return True

                                if self.maximum is not None:
                                    return True

                                if self.minimum is not None:
                                    return True

                                if self.sum is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Transport.Tcp.WindowSize']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:tcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acknowledgement_number is not None:
                                return True

                            if self.destination_port is not None:
                                return True

                            if self.flags is not None and self.flags._has_data():
                                return True

                            if self.flow is not None and self.flow._has_data():
                                return True

                            if self.header_length is not None:
                                return True

                            if self.maximum_segment_size is not None:
                                return True

                            if self.option is not None and self.option._has_data():
                                return True

                            if self.sequence_number is not None:
                                return True

                            if self.source_port is not None:
                                return True

                            if self.urgent_pointer is not None:
                                return True

                            if self.window_size is not None and self.window_size._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Transport.Tcp']['meta_info']


                    class Udp(object):
                        """
                        UDP fields
                        
                        .. attribute:: destination_port
                        
                        	UDP destination port
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: message_length
                        
                        	UDP message length
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: source_port
                        
                        	UDP source port
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination_port = None
                            self.message_length = None
                            self.source_port = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:udp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination_port is not None:
                                return True

                            if self.message_length is not None:
                                return True

                            if self.source_port is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Transport.Udp']['meta_info']


                    class Event(object):
                        """
                        Transport event fields
                        
                        .. attribute:: packet_loss
                        
                        	Transport event packet\-loss fields
                        	**type**\:   :py:class:`PacketLoss <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Event.PacketLoss>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.packet_loss = Native.Flow.Record.Collect.Transport.Event.PacketLoss()
                            self.packet_loss.parent = self


                        class PacketLoss(object):
                            """
                            Transport event packet\-loss fields
                            
                            .. attribute:: counter
                            
                            	Count of sets of packets that were lost
                            	**type**\:   :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Event.PacketLoss.Counter>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.counter = None


                            class Counter(object):
                                """
                                Count of sets of packets that were lost
                                
                                .. attribute:: max
                                
                                	Highest packet loss counter when multiple flows are aggregated
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Lowest packet loss counter when multiple flows are aggregated
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.max = None
                                    self.min = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:counter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Transport.Event.PacketLoss.Counter']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:packet-loss'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.counter is not None and self.counter._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Transport.Event.PacketLoss']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:event'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.packet_loss is not None and self.packet_loss._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Transport.Event']['meta_info']


                    class Packets(object):
                        """
                        Transport packet fields
                        
                        .. attribute:: expected
                        
                        	Transport packets expected fields
                        	**type**\:   :py:class:`Expected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Packets.Expected>`
                        
                        .. attribute:: lost
                        
                        	Transport packets lost fields
                        	**type**\:   :py:class:`Lost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Packets.Lost>`
                        
                        .. attribute:: out_of_order
                        
                        	Total number of out\-of\-order bytes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.expected = Native.Flow.Record.Collect.Transport.Packets.Expected()
                            self.expected.parent = self
                            self.lost = Native.Flow.Record.Collect.Transport.Packets.Lost()
                            self.lost.parent = self
                            self.out_of_order = None


                        class Expected(object):
                            """
                            Transport packets expected fields
                            
                            .. attribute:: counter
                            
                            	Expected number of packets from sequencing information
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.counter = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:expected'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.counter is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Transport.Packets.Expected']['meta_info']


                        class Lost(object):
                            """
                            Transport packets lost fields
                            
                            .. attribute:: counter
                            
                            	A count of the number of lost packets from sequencing information
                            	**type**\:   :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Packets.Lost.Counter>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: rate
                            
                            	Packet loss rate from sequencing information
                            	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Packets.Lost.Rate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.counter = None
                                self.rate = None


                            class Counter(object):
                                """
                                A count of the number of lost packets from sequencing information
                                
                                .. attribute:: max
                                
                                	Highest lost packet count seen among the aggregated flows
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Lowest lost packet count seen among the aggregated flows
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.max = None
                                    self.min = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:counter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Transport.Packets.Lost.Counter']['meta_info']


                            class Rate(object):
                                """
                                Packet loss rate from sequencing information
                                
                                .. attribute:: max
                                
                                	Maximum packet loss rate in the aggregated flows
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Minimum packet loss rate in the aggregated flows
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.max = None
                                    self.min = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:rate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Transport.Packets.Lost.Rate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:lost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.counter is not None and self.counter._has_data():
                                    return True

                                if self.rate is not None and self.rate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Transport.Packets.Lost']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:packets'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.expected is not None and self.expected._has_data():
                                return True

                            if self.lost is not None and self.lost._has_data():
                                return True

                            if self.out_of_order is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Transport.Packets']['meta_info']


                    class RoundTripTime(object):
                        """
                        RTT calculation for flow
                        
                        .. attribute:: max
                        
                        	Highest RTT among all flows
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: min
                        
                        	Lowest RTT among all flows
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: samples
                        
                        	RTT samples
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sum
                        
                        	Sum RTT for all flows
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.max = None
                            self.min = None
                            self.samples = None
                            self.sum = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:round-trip-time'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.max is not None:
                                return True

                            if self.min is not None:
                                return True

                            if self.samples is not None:
                                return True

                            if self.sum is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Transport.RoundTripTime']['meta_info']


                    class Rtp(object):
                        """
                        RTP fields
                        
                        .. attribute:: flow
                        
                        	RTP  flow
                        	**type**\:   :py:class:`Flow_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Rtp.Flow_>`
                        
                        .. attribute:: jitter
                        
                        	RTP jitter fields
                        	**type**\:   :py:class:`Jitter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Rtp.Jitter>`
                        
                        .. attribute:: payload_type
                        
                        	RTP payload type
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ssrc
                        
                        	RTP SSRC
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.flow = Native.Flow.Record.Collect.Transport.Rtp.Flow_()
                            self.flow.parent = self
                            self.jitter = Native.Flow.Record.Collect.Transport.Rtp.Jitter()
                            self.jitter.parent = self
                            self.payload_type = None
                            self.ssrc = None


                        class Flow_(object):
                            """
                            RTP  flow
                            
                            .. attribute:: count
                            
                            	Number of RTP flows
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.count = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.count is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Transport.Rtp.Flow_']['meta_info']


                        class Jitter(object):
                            """
                            RTP jitter fields
                            
                            .. attribute:: maximum
                            
                            	Maximum jitter for the RTP stream
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mean
                            
                            	Mean jitter for the RTP stream
                            	**type**\:   :py:class:`Mean <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Rtp.Jitter.Mean>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: minimum
                            
                            	Minimum jitter for the RTP stream
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.maximum = None
                                self.mean = None
                                self.minimum = None


                            class Mean(object):
                                """
                                Mean jitter for the RTP stream
                                
                                .. attribute:: sum
                                
                                	The sum of jitter mean for the RTP stream
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.sum = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:mean'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.sum is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Collect.Transport.Rtp.Jitter.Mean']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:jitter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.maximum is not None:
                                    return True

                                if self.mean is not None and self.mean._has_data():
                                    return True

                                if self.minimum is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Collect.Transport.Rtp.Jitter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:rtp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.flow is not None and self.flow._has_data():
                                return True

                            if self.jitter is not None and self.jitter._has_data():
                                return True

                            if self.payload_type is not None:
                                return True

                            if self.ssrc is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Collect.Transport.Rtp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:transport'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bytes is not None and self.bytes._has_data():
                            return True

                        if self.destination_port is not None:
                            return True

                        if self.event is not None and self.event._has_data():
                            return True

                        if self.icmp is not None and self.icmp._has_data():
                            return True

                        if self.igmp is not None and self.igmp._has_data():
                            return True

                        if self.packets is not None and self.packets._has_data():
                            return True

                        if self.round_trip_time is not None and self.round_trip_time._has_data():
                            return True

                        if self.rtp is not None and self.rtp._has_data():
                            return True

                        if self.source_port is not None:
                            return True

                        if self.tcp is not None and self.tcp._has_data():
                            return True

                        if self.udp is not None and self.udp._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Collect.Transport']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-flow:collect'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.application is not None and self.application._has_data():
                        return True

                    if self.connection is not None and self.connection._has_data():
                        return True

                    if self.counter is not None and self.counter._has_data():
                        return True

                    if self.datalink is not None and self.datalink._has_data():
                        return True

                    if self.flow is not None and self.flow._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.ipv4 is not None and self.ipv4._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    if self.metadata is not None and self.metadata._has_data():
                        return True

                    if self.monitor is not None and self.monitor._has_data():
                        return True

                    if self.mpls is not None and self.mpls._has_data():
                        return True

                    if self.network is not None and self.network._has_data():
                        return True

                    if self.pfr is not None and self.pfr._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.routing is not None and self.routing._has_data():
                        return True

                    if self.services is not None and self.services._has_data():
                        return True

                    if self.timestamp is not None and self.timestamp._has_data():
                        return True

                    if self.transport is not None and self.transport._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Flow.Record.Collect']['meta_info']


            class Default(object):
                """
                Set a command to its defaults
                
                .. attribute:: collect
                
                	Specify a non\-key field
                	**type**\:   :py:class:`Collect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect>`
                
                .. attribute:: description
                
                	Provide a description for this Flow Record
                	**type**\:  str
                
                .. attribute:: match
                
                	Specify a key field
                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match>`
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.collect = Native.Flow.Record.Default.Collect()
                    self.collect.parent = self
                    self.description = None
                    self.match = Native.Flow.Record.Default.Match()
                    self.match.parent = self


                class Collect(object):
                    """
                    Specify a non\-key field
                    
                    .. attribute:: application
                    
                    	Application fields
                    	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application>`
                    
                    .. attribute:: connection
                    
                    	Connection fields
                    	**type**\:   :py:class:`Connection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection>`
                    
                    .. attribute:: counter
                    
                    	Counter fields
                    	**type**\:   :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Counter>`
                    
                    .. attribute:: datalink
                    
                    	Datalink (layer2) fields
                    	**type**\:   :py:class:`Datalink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Datalink>`
                    
                    .. attribute:: flow
                    
                    	Flow identifying fields
                    	**type**\:   :py:class:`Flow_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Flow_>`
                    
                    .. attribute:: interface
                    
                    	Interface fields
                    	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Interface>`
                    
                    .. attribute:: ipv4
                    
                    	IPv4 fields
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 fields
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6>`
                    
                    .. attribute:: metadata
                    
                    	Metadata fields
                    	**type**\:   :py:class:`Metadata <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Metadata>`
                    
                    .. attribute:: monitor
                    
                    	monitor fields
                    	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Monitor>`
                    
                    .. attribute:: mpls
                    
                    	MPLS fields
                    	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Mpls>`
                    
                    .. attribute:: network
                    
                    	network metrics
                    	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Network>`
                    
                    .. attribute:: pfr
                    
                    	PfR metrics
                    	**type**\:   :py:class:`Pfr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr>`
                    
                    .. attribute:: policy
                    
                    	policy fields
                    	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Policy>`
                    
                    .. attribute:: routing
                    
                    	Routing attributes
                    	**type**\:   :py:class:`Routing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing>`
                    
                    .. attribute:: services
                    
                    	Services fields
                    	**type**\:   :py:class:`Services <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Services>`
                    
                    .. attribute:: timestamp
                    
                    	Timestamp fields
                    	**type**\:   :py:class:`Timestamp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Timestamp>`
                    
                    .. attribute:: transport
                    
                    	Transport layer fields
                    	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.application = Native.Flow.Record.Default.Collect.Application()
                        self.application.parent = self
                        self.connection = Native.Flow.Record.Default.Collect.Connection()
                        self.connection.parent = self
                        self.counter = Native.Flow.Record.Default.Collect.Counter()
                        self.counter.parent = self
                        self.datalink = Native.Flow.Record.Default.Collect.Datalink()
                        self.datalink.parent = self
                        self.flow = Native.Flow.Record.Default.Collect.Flow_()
                        self.flow.parent = self
                        self.interface = Native.Flow.Record.Default.Collect.Interface()
                        self.interface.parent = self
                        self.ipv4 = Native.Flow.Record.Default.Collect.Ipv4()
                        self.ipv4.parent = self
                        self.ipv6 = Native.Flow.Record.Default.Collect.Ipv6()
                        self.ipv6.parent = self
                        self.metadata = Native.Flow.Record.Default.Collect.Metadata()
                        self.metadata.parent = self
                        self.monitor = Native.Flow.Record.Default.Collect.Monitor()
                        self.monitor.parent = self
                        self.mpls = Native.Flow.Record.Default.Collect.Mpls()
                        self.mpls.parent = self
                        self.network = Native.Flow.Record.Default.Collect.Network()
                        self.network.parent = self
                        self.pfr = Native.Flow.Record.Default.Collect.Pfr()
                        self.pfr.parent = self
                        self.policy = Native.Flow.Record.Default.Collect.Policy()
                        self.policy.parent = self
                        self.routing = Native.Flow.Record.Default.Collect.Routing()
                        self.routing.parent = self
                        self.services = Native.Flow.Record.Default.Collect.Services()
                        self.services.parent = self
                        self.timestamp = Native.Flow.Record.Default.Collect.Timestamp()
                        self.timestamp.parent = self
                        self.transport = Native.Flow.Record.Default.Collect.Transport()
                        self.transport.parent = self


                    class Application(object):
                        """
                        Application fields
                        
                        .. attribute:: dns
                        
                        	Domain Name Server lookup
                        	**type**\:   :py:class:`Dns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Dns>`
                        
                        .. attribute:: http
                        
                        	World Wide Web traffic
                        	**type**\:   :py:class:`Http <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Http>`
                        
                        .. attribute:: media
                        
                        	Media fields
                        	**type**\:   :py:class:`Media <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Media>`
                        
                        .. attribute:: name
                        
                        	Application name
                        	**type**\:   :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Name>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: nntp
                        
                        	Network news transfer protocol
                        	**type**\:   :py:class:`Nntp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Nntp>`
                        
                        .. attribute:: pop3
                        
                        	Post Office Protocol 3
                        	**type**\:   :py:class:`Pop3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Pop3>`
                        
                        .. attribute:: rtmp
                        
                        	Real Time Messaging Protocol
                        	**type**\:   :py:class:`Rtmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Rtmp>`
                        
                        .. attribute:: rtsp
                        
                        	Real Time Streaming Protocol
                        	**type**\:   :py:class:`Rtsp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Rtsp>`
                        
                        .. attribute:: sip
                        
                        	Session Initiation Protocol
                        	**type**\:   :py:class:`Sip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Sip>`
                        
                        .. attribute:: smtp
                        
                        	Simple Mail Transfer Protocol
                        	**type**\:   :py:class:`Smtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Smtp>`
                        
                        .. attribute:: ssl
                        
                        	Secure Socket Layer Protocol
                        	**type**\:   :py:class:`Ssl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Ssl>`
                        
                        .. attribute:: vendor
                        
                        	Application vendor id
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: version
                        
                        	Application version id
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dns = Native.Flow.Record.Default.Collect.Application.Dns()
                            self.dns.parent = self
                            self.http = Native.Flow.Record.Default.Collect.Application.Http()
                            self.http.parent = self
                            self.media = Native.Flow.Record.Default.Collect.Application.Media()
                            self.media.parent = self
                            self.name = None
                            self.nntp = Native.Flow.Record.Default.Collect.Application.Nntp()
                            self.nntp.parent = self
                            self.pop3 = Native.Flow.Record.Default.Collect.Application.Pop3()
                            self.pop3.parent = self
                            self.rtmp = Native.Flow.Record.Default.Collect.Application.Rtmp()
                            self.rtmp.parent = self
                            self.rtsp = Native.Flow.Record.Default.Collect.Application.Rtsp()
                            self.rtsp.parent = self
                            self.sip = Native.Flow.Record.Default.Collect.Application.Sip()
                            self.sip.parent = self
                            self.smtp = Native.Flow.Record.Default.Collect.Application.Smtp()
                            self.smtp.parent = self
                            self.ssl = Native.Flow.Record.Default.Collect.Application.Ssl()
                            self.ssl.parent = self
                            self.vendor = None
                            self.version = None


                        class Dns(object):
                            """
                            Domain Name Server lookup
                            
                            .. attribute:: domain_name
                            
                            	Domain name
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.domain_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:dns'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.domain_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Application.Dns']['meta_info']


                        class Http(object):
                            """
                            World Wide Web traffic
                            
                            .. attribute:: host
                            
                            	Host name of Origin Server containing resource
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: referer
                            
                            	Address the resource request was obtained from
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: uri
                            
                            	List of URIs and associated hit counts
                            	**type**\:   :py:class:`Uri <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Http.Uri>`
                            
                            .. attribute:: url
                            
                            	Uniform Resource Locator path
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: user_agent
                            
                            	Software used by agent sending the request
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.host = None
                                self.referer = None
                                self.uri = Native.Flow.Record.Default.Collect.Application.Http.Uri()
                                self.uri.parent = self
                                self.url = None
                                self.user_agent = None


                            class Uri(object):
                                """
                                List of URIs and associated hit counts
                                
                                .. attribute:: statistics
                                
                                	Collect URI statistics
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.statistics = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:uri'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.statistics is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Application.Http.Uri']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:http'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.host is not None:
                                    return True

                                if self.referer is not None:
                                    return True

                                if self.uri is not None and self.uri._has_data():
                                    return True

                                if self.url is not None:
                                    return True

                                if self.user_agent is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Application.Http']['meta_info']


                        class Media(object):
                            """
                            Media fields
                            
                            .. attribute:: bytes
                            
                            	Media fields
                            	**type**\:   :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Media.Bytes>`
                            
                            .. attribute:: event
                            
                            	Flags indicating media events
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: packets
                            
                            	Media fields
                            	**type**\:   :py:class:`Packets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Media.Packets>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bytes = Native.Flow.Record.Default.Collect.Application.Media.Bytes()
                                self.bytes.parent = self
                                self.event = None
                                self.packets = Native.Flow.Record.Default.Collect.Application.Media.Packets()
                                self.packets.parent = self


                            class Bytes(object):
                                """
                                Media fields
                                
                                .. attribute:: counter
                                
                                	A count of the number of bytes of media payload
                                	**type**\:   :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Media.Bytes.Counter>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: rate
                                
                                	Byte rate for the media stream
                                	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Media.Bytes.Rate>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.counter = None
                                    self.rate = None


                                class Counter(object):
                                    """
                                    A count of the number of bytes of media payload
                                    
                                    .. attribute:: long
                                    
                                    	A count of the number of bytes of media payload (64 bit counter)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.long = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:counter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.long is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Application.Media.Bytes.Counter']['meta_info']


                                class Rate(object):
                                    """
                                    Byte rate for the media stream
                                    
                                    .. attribute:: per_flow
                                    
                                    	Average media byte rate across flows
                                    	**type**\:   :py:class:`PerFlow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Media.Bytes.Rate.PerFlow>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.per_flow = None


                                    class PerFlow(object):
                                        """
                                        Average media byte rate across flows
                                        
                                        .. attribute:: max
                                        
                                        	Maximum byte rate in the media stream
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: min
                                        
                                        	Minumun byte rate in the media stream
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.max = None
                                            self.min = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-flow:per-flow'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.max is not None:
                                                return True

                                            if self.min is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Flow.Record.Default.Collect.Application.Media.Bytes.Rate.PerFlow']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:rate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.per_flow is not None and self.per_flow._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Application.Media.Bytes.Rate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:bytes'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.counter is not None and self.counter._has_data():
                                        return True

                                    if self.rate is not None and self.rate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Application.Media.Bytes']['meta_info']


                            class Packets(object):
                                """
                                Media fields
                                
                                .. attribute:: counter
                                
                                	A count of the number of packets with a media payload
                                	**type**\:   :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Media.Packets.Counter>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: rate
                                
                                	Packet rate for the media stream
                                	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Media.Packets.Rate>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.counter = None
                                    self.rate = None


                                class Counter(object):
                                    """
                                    A count of the number of packets with a media payload
                                    
                                    .. attribute:: long
                                    
                                    	A count of the number of packets with a media payload (64 bit counter)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.long = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:counter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.long is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Application.Media.Packets.Counter']['meta_info']


                                class Rate(object):
                                    """
                                    Packet rate for the media stream
                                    
                                    .. attribute:: variation
                                    
                                    	Variation in packet rate from configured expected rate
                                    	**type**\:   :py:class:`Variation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Media.Packets.Rate.Variation>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.variation = None


                                    class Variation(object):
                                        """
                                        Variation in packet rate from configured expected rate
                                        
                                        .. attribute:: max
                                        
                                        	Max variation in packet rate from configured expected rate
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: min
                                        
                                        	Variation in packet rate from configured expected rate
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: sum
                                        
                                        	The sum of media rate variation from the configured rate for the RTP stream
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.max = None
                                            self.min = None
                                            self.sum = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-flow:variation'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.max is not None:
                                                return True

                                            if self.min is not None:
                                                return True

                                            if self.sum is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Flow.Record.Default.Collect.Application.Media.Packets.Rate.Variation']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:rate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.variation is not None and self.variation._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Application.Media.Packets.Rate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:packets'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.counter is not None and self.counter._has_data():
                                        return True

                                    if self.rate is not None and self.rate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Application.Media.Packets']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:media'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bytes is not None and self.bytes._has_data():
                                    return True

                                if self.event is not None:
                                    return True

                                if self.packets is not None and self.packets._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Application.Media']['meta_info']


                        class Name(object):
                            """
                            Application name
                            
                            .. attribute:: account_on_resolution
                            
                            	Account on resolution
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.account_on_resolution = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:name'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.account_on_resolution is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Application.Name']['meta_info']


                        class Nntp(object):
                            """
                            Network news transfer protocol
                            
                            .. attribute:: group_name
                            
                            	NNTP Group name
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:nntp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Application.Nntp']['meta_info']


                        class Pop3(object):
                            """
                            Post Office Protocol 3
                            
                            .. attribute:: server
                            
                            	POP3 Server Name
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.server = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:pop3'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.server is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Application.Pop3']['meta_info']


                        class Rtmp(object):
                            """
                            Real Time Messaging Protocol
                            
                            .. attribute:: pageurl
                            
                            	RTMP page url address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.pageurl = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:rtmp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.pageurl is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Application.Rtmp']['meta_info']


                        class Rtsp(object):
                            """
                            Real Time Streaming Protocol
                            
                            .. attribute:: host
                            
                            	RTSP Host Name
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.host = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:rtsp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.host is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Application.Rtsp']['meta_info']


                        class Sip(object):
                            """
                            Session Initiation Protocol
                            
                            .. attribute:: destination
                            
                            	The destination domain of SIP transactions
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: source
                            
                            	The source domain of SIP transactions
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.destination = None
                                self.source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:sip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.destination is not None:
                                    return True

                                if self.source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Application.Sip']['meta_info']


                        class Smtp(object):
                            """
                            Simple Mail Transfer Protocol
                            
                            .. attribute:: sender
                            
                            	SMTP Sender Mail Address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: server
                            
                            	SMTP Server Name
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.sender = None
                                self.server = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:smtp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.sender is not None:
                                    return True

                                if self.server is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Application.Smtp']['meta_info']


                        class Ssl(object):
                            """
                            Secure Socket Layer Protocol
                            
                            .. attribute:: common_name
                            
                            	Certificate Common Name (CN)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:ssl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Application.Ssl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:application'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dns is not None and self.dns._has_data():
                                return True

                            if self.http is not None and self.http._has_data():
                                return True

                            if self.media is not None and self.media._has_data():
                                return True

                            if self.name is not None and self.name._has_data():
                                return True

                            if self.nntp is not None and self.nntp._has_data():
                                return True

                            if self.pop3 is not None and self.pop3._has_data():
                                return True

                            if self.rtmp is not None and self.rtmp._has_data():
                                return True

                            if self.rtsp is not None and self.rtsp._has_data():
                                return True

                            if self.sip is not None and self.sip._has_data():
                                return True

                            if self.smtp is not None and self.smtp._has_data():
                                return True

                            if self.ssl is not None and self.ssl._has_data():
                                return True

                            if self.vendor is not None:
                                return True

                            if self.version is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Collect.Application']['meta_info']


                    class Connection(object):
                        """
                        Connection fields
                        
                        .. attribute:: client
                        
                        	Client side (flow initiator) related metrics
                        	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Client>`
                        
                        .. attribute:: delay
                        
                        	Connection delay metrics
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay>`
                        
                        .. attribute:: id
                        
                        	An identifier for a connection between client and server
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: initiator
                        
                        	The direction of the flow
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: new_connections
                        
                        	The number of connection initiations observed
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: server
                        
                        	Server side (flow responder) related metrics
                        	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Server>`
                        
                        .. attribute:: sum_duration
                        
                        	The overall time in seconds for all connections
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: transaction
                        
                        	Transaction related metrics
                        	**type**\:   :py:class:`Transaction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Transaction>`
                        
                        .. attribute:: transaction_id
                        
                        	An identifier for a transaction between client and server
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.client = Native.Flow.Record.Default.Collect.Connection.Client()
                            self.client.parent = self
                            self.delay = Native.Flow.Record.Default.Collect.Connection.Delay()
                            self.delay.parent = self
                            self.id = None
                            self.initiator = None
                            self.new_connections = None
                            self.server = Native.Flow.Record.Default.Collect.Connection.Server()
                            self.server.parent = self
                            self.sum_duration = None
                            self.transaction = Native.Flow.Record.Default.Collect.Connection.Transaction()
                            self.transaction.parent = self
                            self.transaction_id = None


                        class Client(object):
                            """
                            Client side (flow initiator) related metrics
                            
                            .. attribute:: all
                            
                            	All non\-key client metrics
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: counter
                            
                            	Client side counter metrics
                            	**type**\:   :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Client.Counter>`
                            
                            .. attribute:: ipv4
                            
                            	Client side IPv4 metrics
                            	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Client.Ipv4>`
                            
                            .. attribute:: ipv6
                            
                            	Client side IPv6 metrics
                            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Client.Ipv6>`
                            
                            .. attribute:: transport
                            
                            	Client side transport metrics
                            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Client.Transport>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None
                                self.counter = Native.Flow.Record.Default.Collect.Connection.Client.Counter()
                                self.counter.parent = self
                                self.ipv4 = Native.Flow.Record.Default.Collect.Connection.Client.Ipv4()
                                self.ipv4.parent = self
                                self.ipv6 = Native.Flow.Record.Default.Collect.Connection.Client.Ipv6()
                                self.ipv6.parent = self
                                self.transport = Native.Flow.Record.Default.Collect.Connection.Client.Transport()
                                self.transport.parent = self


                            class Counter(object):
                                """
                                Client side counter metrics
                                
                                .. attribute:: bytes
                                
                                	Number of bytes sent by the client
                                	**type**\:   :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes>`
                                
                                .. attribute:: packets
                                
                                	Number of packets sent by the client
                                	**type**\:   :py:class:`Packets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Client.Counter.Packets>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bytes = Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes()
                                    self.bytes.parent = self
                                    self.packets = Native.Flow.Record.Default.Collect.Connection.Client.Counter.Packets()
                                    self.packets.parent = self


                                class Bytes(object):
                                    """
                                    Number of bytes sent by the client
                                    
                                    .. attribute:: long
                                    
                                    	64 bits counter
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: network
                                    
                                    	Number of bytes sent by the client
                                    	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Network>`
                                    
                                    .. attribute:: retransmitted
                                    
                                    	Number of bytes retransmitted by the client
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: transport
                                    
                                    	Number of bytes sent by the client
                                    	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Transport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.long = None
                                        self.network = Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Network()
                                        self.network.parent = self
                                        self.retransmitted = None
                                        self.transport = Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Transport()
                                        self.transport.parent = self


                                    class Network(object):
                                        """
                                        Number of bytes sent by the client
                                        
                                        .. attribute:: long
                                        
                                        	Total number of bytes transmitted by the client
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.long = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-flow:network'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.long is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Network']['meta_info']


                                    class Transport(object):
                                        """
                                        Number of bytes sent by the client
                                        
                                        .. attribute:: long
                                        
                                        	64 bit counter
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.long = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-flow:transport'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.long is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Transport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:bytes'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.long is not None:
                                            return True

                                        if self.network is not None and self.network._has_data():
                                            return True

                                        if self.retransmitted is not None:
                                            return True

                                        if self.transport is not None and self.transport._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes']['meta_info']


                                class Packets(object):
                                    """
                                    Number of packets sent by the client
                                    
                                    .. attribute:: long
                                    
                                    	64 bits counter
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: retransmitted
                                    
                                    	Number of packets retransmitted by the client
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.long = None
                                        self.retransmitted = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:packets'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.long is not None:
                                            return True

                                        if self.retransmitted is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Client.Counter.Packets']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:counter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bytes is not None and self.bytes._has_data():
                                        return True

                                    if self.packets is not None and self.packets._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Client.Counter']['meta_info']


                            class Ipv4(object):
                                """
                                Client side IPv4 metrics
                                
                                .. attribute:: address
                                
                                	IPv4 address of the flow initiator
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv4'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Client.Ipv4']['meta_info']


                            class Ipv6(object):
                                """
                                Client side IPv6 metrics
                                
                                .. attribute:: address
                                
                                	IPv6 address of the flow initiator
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv6'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Client.Ipv6']['meta_info']


                            class Transport(object):
                                """
                                Client side transport metrics
                                
                                .. attribute:: port
                                
                                	Transport port of the flow initiator
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:transport'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Client.Transport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:client'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                if self.counter is not None and self.counter._has_data():
                                    return True

                                if self.ipv4 is not None and self.ipv4._has_data():
                                    return True

                                if self.ipv6 is not None and self.ipv6._has_data():
                                    return True

                                if self.transport is not None and self.transport._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Client']['meta_info']


                        class Delay(object):
                            """
                            Connection delay metrics
                            
                            .. attribute:: all
                            
                            	All non\-key client metrics
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: application
                            
                            	Application time metrics
                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Application>`
                            
                            .. attribute:: network
                            
                            	Network time metrics
                            	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Network>`
                            
                            .. attribute:: response
                            
                            	Response time metrics
                            	**type**\:   :py:class:`Response <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Response>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None
                                self.application = Native.Flow.Record.Default.Collect.Connection.Delay.Application()
                                self.application.parent = self
                                self.network = Native.Flow.Record.Default.Collect.Connection.Delay.Network()
                                self.network.parent = self
                                self.response = Native.Flow.Record.Default.Collect.Connection.Delay.Response()
                                self.response.parent = self


                            class Application(object):
                                """
                                Application time metrics
                                
                                .. attribute:: max
                                
                                	Maximum application response time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Minimum application response time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: sum
                                
                                	Total application response time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None
                                    self.min = None
                                    self.sum = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:application'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    if self.sum is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Application']['meta_info']


                            class Network(object):
                                """
                                Network time metrics
                                
                                .. attribute:: client_to_server
                                
                                	RTT between the client and the server
                                	**type**\:   :py:class:`ClientToServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Network.ClientToServer>`
                                
                                .. attribute:: long_lived
                                
                                	Long\-lived network delay metrics
                                	**type**\:   :py:class:`LongLived <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived>`
                                
                                .. attribute:: to_client
                                
                                	RTT from observation point to the client
                                	**type**\:   :py:class:`ToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToClient>`
                                
                                .. attribute:: to_server
                                
                                	RTT from observation point to the server
                                	**type**\:   :py:class:`ToServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToServer>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.client_to_server = Native.Flow.Record.Default.Collect.Connection.Delay.Network.ClientToServer()
                                    self.client_to_server.parent = self
                                    self.long_lived = Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived()
                                    self.long_lived.parent = self
                                    self.to_client = Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToClient()
                                    self.to_client.parent = self
                                    self.to_server = Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToServer()
                                    self.to_server.parent = self


                                class ClientToServer(object):
                                    """
                                    RTT between the client and the server
                                    
                                    .. attribute:: max
                                    
                                    	Maximum network time
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Minimum network time
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: num_samples
                                    
                                    	The number of CSND samples
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sum
                                    
                                    	Total network time
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None
                                        self.min = None
                                        self.num_samples = None
                                        self.sum = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:client-to-server'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        if self.min is not None:
                                            return True

                                        if self.num_samples is not None:
                                            return True

                                        if self.sum is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network.ClientToServer']['meta_info']


                                class LongLived(object):
                                    """
                                    Long\-lived network delay metrics
                                    
                                    .. attribute:: client_to_serve
                                    
                                    	Long\-lived network delay client\-to\-server metrics
                                    	**type**\:   :py:class:`ClientToServe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ClientToServe>`
                                    
                                    .. attribute:: to_client
                                    
                                    	Long\-lived network delay to\-client metrics
                                    	**type**\:   :py:class:`ToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToClient>`
                                    
                                    .. attribute:: to_serve
                                    
                                    	Long\-lived network delay to\-server metrics
                                    	**type**\:   :py:class:`ToServe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToServe>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.client_to_serve = Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ClientToServe()
                                        self.client_to_serve.parent = self
                                        self.to_client = Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToClient()
                                        self.to_client.parent = self
                                        self.to_serve = Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToServe()
                                        self.to_serve.parent = self


                                    class ClientToServe(object):
                                        """
                                        Long\-lived network delay client\-to\-server metrics
                                        
                                        .. attribute:: sum
                                        
                                        	Total network time
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sum = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-flow:client-to-serve'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sum is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ClientToServe']['meta_info']


                                    class ToClient(object):
                                        """
                                        Long\-lived network delay to\-client metrics
                                        
                                        .. attribute:: sum
                                        
                                        	Total network time
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sum = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-flow:to-client'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sum is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToClient']['meta_info']


                                    class ToServe(object):
                                        """
                                        Long\-lived network delay to\-server metrics
                                        
                                        .. attribute:: sum
                                        
                                        	Total network time
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sum = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-flow:to-serve'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sum is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToServe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:long-lived'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.client_to_serve is not None and self.client_to_serve._has_data():
                                            return True

                                        if self.to_client is not None and self.to_client._has_data():
                                            return True

                                        if self.to_serve is not None and self.to_serve._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived']['meta_info']


                                class ToClient(object):
                                    """
                                    RTT from observation point to the client
                                    
                                    .. attribute:: max
                                    
                                    	Maximum network time
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Minimum network time
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: num_samples
                                    
                                    	The number of CND samples
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sum
                                    
                                    	Total network time
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None
                                        self.min = None
                                        self.num_samples = None
                                        self.sum = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:to-client'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        if self.min is not None:
                                            return True

                                        if self.num_samples is not None:
                                            return True

                                        if self.sum is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToClient']['meta_info']


                                class ToServer(object):
                                    """
                                    RTT from observation point to the server
                                    
                                    .. attribute:: max
                                    
                                    	Maximum network time
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Minimum network time
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: num_samples
                                    
                                    	The number of SND samples
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sum
                                    
                                    	Total network time
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None
                                        self.min = None
                                        self.num_samples = None
                                        self.sum = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:to-server'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        if self.min is not None:
                                            return True

                                        if self.num_samples is not None:
                                            return True

                                        if self.sum is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToServer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:network'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.client_to_server is not None and self.client_to_server._has_data():
                                        return True

                                    if self.long_lived is not None and self.long_lived._has_data():
                                        return True

                                    if self.to_client is not None and self.to_client._has_data():
                                        return True

                                    if self.to_server is not None and self.to_server._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Network']['meta_info']


                            class Response(object):
                                """
                                Response time metrics
                                
                                .. attribute:: client_to_server
                                
                                	Response time as seen by the client
                                	**type**\:   :py:class:`ClientToServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Response.ClientToServer>`
                                
                                .. attribute:: to_server
                                
                                	Response time as seen from observation point
                                	**type**\:   :py:class:`ToServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Response.ToServer>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.client_to_server = Native.Flow.Record.Default.Collect.Connection.Delay.Response.ClientToServer()
                                    self.client_to_server.parent = self
                                    self.to_server = Native.Flow.Record.Default.Collect.Connection.Delay.Response.ToServer()
                                    self.to_server.parent = self


                                class ClientToServer(object):
                                    """
                                    Response time as seen by the client
                                    
                                    .. attribute:: max
                                    
                                    	Maximum response time
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Minimum response time
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sum
                                    
                                    	Total response time
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None
                                        self.min = None
                                        self.sum = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:client-to-server'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        if self.min is not None:
                                            return True

                                        if self.sum is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Response.ClientToServer']['meta_info']


                                class ToServer(object):
                                    """
                                    Response time as seen from observation point
                                    
                                    .. attribute:: histogram
                                    
                                    	Histogram for response time
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max
                                    
                                    	Maximum response time
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Minimum response time
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sum
                                    
                                    	Total response time
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.histogram = None
                                        self.max = None
                                        self.min = None
                                        self.sum = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:to-server'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.histogram is not None:
                                            return True

                                        if self.max is not None:
                                            return True

                                        if self.min is not None:
                                            return True

                                        if self.sum is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Response.ToServer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:response'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.client_to_server is not None and self.client_to_server._has_data():
                                        return True

                                    if self.to_server is not None and self.to_server._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Delay.Response']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                if self.application is not None and self.application._has_data():
                                    return True

                                if self.network is not None and self.network._has_data():
                                    return True

                                if self.response is not None and self.response._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Delay']['meta_info']


                        class Server(object):
                            """
                            Server side (flow responder) related metrics
                            
                            .. attribute:: all
                            
                            	All non\-key server metrics
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: counter
                            
                            	Server side counter metrics
                            	**type**\:   :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Server.Counter>`
                            
                            .. attribute:: ipv4
                            
                            	Server side IPv4 metrics
                            	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Server.Ipv4>`
                            
                            .. attribute:: ipv6
                            
                            	Server side IPv6 metrics
                            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Server.Ipv6>`
                            
                            .. attribute:: transport
                            
                            	Server side transport metrics
                            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Server.Transport>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None
                                self.counter = Native.Flow.Record.Default.Collect.Connection.Server.Counter()
                                self.counter.parent = self
                                self.ipv4 = Native.Flow.Record.Default.Collect.Connection.Server.Ipv4()
                                self.ipv4.parent = self
                                self.ipv6 = Native.Flow.Record.Default.Collect.Connection.Server.Ipv6()
                                self.ipv6.parent = self
                                self.transport = Native.Flow.Record.Default.Collect.Connection.Server.Transport()
                                self.transport.parent = self


                            class Counter(object):
                                """
                                Server side counter metrics
                                
                                .. attribute:: bytes
                                
                                	Number of bytes sent by the server
                                	**type**\:   :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes>`
                                
                                .. attribute:: packets
                                
                                	Number of packets sent by the server
                                	**type**\:   :py:class:`Packets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Server.Counter.Packets>`
                                
                                .. attribute:: responses
                                
                                	Number of responses sent by the server
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bytes = Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes()
                                    self.bytes.parent = self
                                    self.packets = Native.Flow.Record.Default.Collect.Connection.Server.Counter.Packets()
                                    self.packets.parent = self
                                    self.responses = None


                                class Bytes(object):
                                    """
                                    Number of bytes sent by the server
                                    
                                    .. attribute:: long
                                    
                                    	64 bits counter
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: network
                                    
                                    	Number of bytes sent by the server
                                    	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Network>`
                                    
                                    .. attribute:: retransmitted
                                    
                                    	Number of bytes retransmitted by the server
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: transport
                                    
                                    	Number of bytes sent by the server
                                    	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Transport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.long = None
                                        self.network = Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Network()
                                        self.network.parent = self
                                        self.retransmitted = None
                                        self.transport = Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Transport()
                                        self.transport.parent = self


                                    class Network(object):
                                        """
                                        Number of bytes sent by the server
                                        
                                        .. attribute:: long
                                        
                                        	Total number of bytes transmitted by the server
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.long = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-flow:network'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.long is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Network']['meta_info']


                                    class Transport(object):
                                        """
                                        Number of bytes sent by the server
                                        
                                        .. attribute:: long
                                        
                                        	64 bit counter
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.long = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-flow:transport'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.long is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Transport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:bytes'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.long is not None:
                                            return True

                                        if self.network is not None and self.network._has_data():
                                            return True

                                        if self.retransmitted is not None:
                                            return True

                                        if self.transport is not None and self.transport._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes']['meta_info']


                                class Packets(object):
                                    """
                                    Number of packets sent by the server
                                    
                                    .. attribute:: long
                                    
                                    	64 bits counter
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: retransmitted
                                    
                                    	Number of packets retransmitted by the server
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.long = None
                                        self.retransmitted = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:packets'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.long is not None:
                                            return True

                                        if self.retransmitted is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Server.Counter.Packets']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:counter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bytes is not None and self.bytes._has_data():
                                        return True

                                    if self.packets is not None and self.packets._has_data():
                                        return True

                                    if self.responses is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Server.Counter']['meta_info']


                            class Ipv4(object):
                                """
                                Server side IPv4 metrics
                                
                                .. attribute:: address
                                
                                	IPv4 address of the flow responder
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv4'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Server.Ipv4']['meta_info']


                            class Ipv6(object):
                                """
                                Server side IPv6 metrics
                                
                                .. attribute:: address
                                
                                	IPv6 address of the flow responder
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv6'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Server.Ipv6']['meta_info']


                            class Transport(object):
                                """
                                Server side transport metrics
                                
                                .. attribute:: port
                                
                                	Transport port of the flow responder
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:transport'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Server.Transport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                if self.counter is not None and self.counter._has_data():
                                    return True

                                if self.ipv4 is not None and self.ipv4._has_data():
                                    return True

                                if self.ipv6 is not None and self.ipv6._has_data():
                                    return True

                                if self.transport is not None and self.transport._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Server']['meta_info']


                        class Transaction(object):
                            """
                            Transaction related metrics
                            
                            .. attribute:: all
                            
                            	All non\-key transaction metrics
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: counter
                            
                            	Transaction counter metrics
                            	**type**\:   :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Transaction.Counter>`
                            
                            .. attribute:: duration
                            
                            	Transaction duration metrics
                            	**type**\:   :py:class:`Duration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Transaction.Duration>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None
                                self.counter = Native.Flow.Record.Default.Collect.Connection.Transaction.Counter()
                                self.counter.parent = self
                                self.duration = Native.Flow.Record.Default.Collect.Connection.Transaction.Duration()
                                self.duration.parent = self


                            class Counter(object):
                                """
                                Transaction counter metrics
                                
                                .. attribute:: complete
                                
                                	Number of completed transactions
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.complete = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:counter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.complete is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Transaction.Counter']['meta_info']


                            class Duration(object):
                                """
                                Transaction duration metrics
                                
                                .. attribute:: max
                                
                                	Maximum transaction time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Minimum transaction time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: sum
                                
                                	Total transaction time
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None
                                    self.min = None
                                    self.sum = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:duration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    if self.sum is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Transaction.Duration']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:transaction'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                if self.counter is not None and self.counter._has_data():
                                    return True

                                if self.duration is not None and self.duration._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Connection.Transaction']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:connection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.client is not None and self.client._has_data():
                                return True

                            if self.delay is not None and self.delay._has_data():
                                return True

                            if self.id is not None:
                                return True

                            if self.initiator is not None:
                                return True

                            if self.new_connections is not None:
                                return True

                            if self.server is not None and self.server._has_data():
                                return True

                            if self.sum_duration is not None:
                                return True

                            if self.transaction is not None and self.transaction._has_data():
                                return True

                            if self.transaction_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Collect.Connection']['meta_info']


                    class Counter(object):
                        """
                        Counter fields
                        
                        .. attribute:: bytes
                        
                        	Total number of bytes
                        	**type**\:   :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Counter.Bytes>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flows
                        
                        	Total number of flows
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: packets
                        
                        	Total number of packets
                        	**type**\:   :py:class:`Packets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Counter.Packets>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bytes = None
                            self.flows = None
                            self.packets = None


                        class Bytes(object):
                            """
                            Total number of bytes
                            
                            .. attribute:: long
                            
                            	Total number of bytes (64 bit counter)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Byte rate for the flow
                            	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Counter.Bytes.Rate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: squared
                            
                            	Total of the square of the number of bytes
                            	**type**\:   :py:class:`Squared <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Counter.Bytes.Squared>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.long = None
                                self.rate = None
                                self.squared = Native.Flow.Record.Default.Collect.Counter.Bytes.Squared()
                                self.squared.parent = self


                            class Rate(object):
                                """
                                Byte rate for the flow
                                
                                .. attribute:: per_flow
                                
                                	Average byte rate for the flow
                                	**type**\:   :py:class:`PerFlow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Counter.Bytes.Rate.PerFlow>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.per_flow = None


                                class PerFlow(object):
                                    """
                                    Average byte rate for the flow
                                    
                                    .. attribute:: max
                                    
                                    	Maximum byte rate among the aggregated flows
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Minimum byte rate among the aggregated flows
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.max = None
                                        self.min = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:per-flow'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.max is not None:
                                            return True

                                        if self.min is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Counter.Bytes.Rate.PerFlow']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:rate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.per_flow is not None and self.per_flow._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Counter.Bytes.Rate']['meta_info']


                            class Squared(object):
                                """
                                Total of the square of the number of bytes
                                
                                .. attribute:: long
                                
                                	Total of the square of the packet length in bytes (64 bit counter)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.long = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:squared'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.long is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Counter.Bytes.Squared']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:bytes'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.long is not None:
                                    return True

                                if self.rate is not None and self.rate._has_data():
                                    return True

                                if self.squared is not None and self.squared._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Counter.Bytes']['meta_info']


                        class Packets(object):
                            """
                            Total number of packets
                            
                            .. attribute:: dropped
                            
                            	Dropped packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: long
                            
                            	Total number of packets (64 bit counter)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Packet rate for the flow
                            	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Counter.Packets.Rate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.dropped = None
                                self.long = None
                                self.rate = None


                            class Rate(object):
                                """
                                Packet rate for the flow
                                
                                .. attribute:: per_flow
                                
                                	Average packet rate for aggregated flows
                                	**type**\:   :py:class:`PerFlow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Counter.Packets.Rate.PerFlow>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.per_flow = None


                                class PerFlow(object):
                                    """
                                    Average packet rate for aggregated flows
                                    
                                    .. attribute:: max
                                    
                                    	Maximum packet rate in the aggregated flows
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Minimum packet rate in the aggregated flows
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.max = None
                                        self.min = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:per-flow'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.max is not None:
                                            return True

                                        if self.min is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Counter.Packets.Rate.PerFlow']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:rate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.per_flow is not None and self.per_flow._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Counter.Packets.Rate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:packets'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.dropped is not None:
                                    return True

                                if self.long is not None:
                                    return True

                                if self.rate is not None and self.rate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Counter.Packets']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:counter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bytes is not None and self.bytes._has_data():
                                return True

                            if self.flows is not None:
                                return True

                            if self.packets is not None and self.packets._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Collect.Counter']['meta_info']


                    class Datalink(object):
                        """
                        Datalink (layer2) fields
                        
                        .. attribute:: destination_vlan_id
                        
                        	ID of the VLAN that the packet is going to
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dot1q
                        
                        	dot1q field
                        	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Datalink.Dot1Q>`
                        
                        .. attribute:: ethertype
                        
                        	The Ethertype of the packet
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mac
                        
                        	MAC fields
                        	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Datalink.Mac>`
                        
                        .. attribute:: source_vlan_id
                        
                        	ID of the VLAN that the packet came from
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination_vlan_id = None
                            self.dot1q = Native.Flow.Record.Default.Collect.Datalink.Dot1Q()
                            self.dot1q.parent = self
                            self.ethertype = None
                            self.mac = Native.Flow.Record.Default.Collect.Datalink.Mac()
                            self.mac.parent = self
                            self.source_vlan_id = None


                        class Dot1Q(object):
                            """
                            dot1q field
                            
                            .. attribute:: priority
                            
                            	The CoS field out of the dot1q header
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan
                            
                            	The VLAN the packet is on
                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Datalink.Dot1Q.Vlan>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.priority = None
                                self.vlan = Native.Flow.Record.Default.Collect.Datalink.Dot1Q.Vlan()
                                self.vlan.parent = self


                            class Vlan(object):
                                """
                                The VLAN the packet is on
                                
                                .. attribute:: input
                                
                                	The VLAN the packet is on at input
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: output
                                
                                	The VLAN the packet is on at output
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.input = None
                                    self.output = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:vlan'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.input is not None:
                                        return True

                                    if self.output is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Datalink.Dot1Q.Vlan']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:dot1q'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.priority is not None:
                                    return True

                                if self.vlan is not None and self.vlan._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Datalink.Dot1Q']['meta_info']


                        class Mac(object):
                            """
                            MAC fields
                            
                            .. attribute:: destination
                            
                            	destination MAC fields
                            	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Datalink.Mac.Destination>`
                            
                            .. attribute:: source
                            
                            	source MAC fields
                            	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Datalink.Mac.Source>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.destination = Native.Flow.Record.Default.Collect.Datalink.Mac.Destination()
                                self.destination.parent = self
                                self.source = Native.Flow.Record.Default.Collect.Datalink.Mac.Source()
                                self.source.parent = self


                            class Destination(object):
                                """
                                destination MAC fields
                                
                                .. attribute:: address
                                
                                	Destination MAC address from packet
                                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Datalink.Mac.Destination.Address>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = Native.Flow.Record.Default.Collect.Datalink.Mac.Destination.Address()
                                    self.address.parent = self


                                class Address(object):
                                    """
                                    Destination MAC address from packet
                                    
                                    .. attribute:: input
                                    
                                    	Destination MAC address from packet at input
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: output
                                    
                                    	Destination MAC address from packet at output
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.input = None
                                        self.output = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.input is not None:
                                            return True

                                        if self.output is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Datalink.Mac.Destination.Address']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None and self.address._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Datalink.Mac.Destination']['meta_info']


                            class Source(object):
                                """
                                source MAC fields
                                
                                .. attribute:: address
                                
                                	Source MAC address from packet
                                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Datalink.Mac.Source.Address>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = Native.Flow.Record.Default.Collect.Datalink.Mac.Source.Address()
                                    self.address.parent = self


                                class Address(object):
                                    """
                                    Source MAC address from packet
                                    
                                    .. attribute:: input
                                    
                                    	Source MAC address from packet at input
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: output
                                    
                                    	Source MAC address from packet at output
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.input = None
                                        self.output = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.input is not None:
                                            return True

                                        if self.output is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Datalink.Mac.Source.Address']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None and self.address._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Datalink.Mac.Source']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:mac'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.destination is not None and self.destination._has_data():
                                    return True

                                if self.source is not None and self.source._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Datalink.Mac']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:datalink'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination_vlan_id is not None:
                                return True

                            if self.dot1q is not None and self.dot1q._has_data():
                                return True

                            if self.ethertype is not None:
                                return True

                            if self.mac is not None and self.mac._has_data():
                                return True

                            if self.source_vlan_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Collect.Datalink']['meta_info']


                    class Flow_(object):
                        """
                        Flow identifying fields
                        
                        .. attribute:: cts
                        
                        	Cisco Trusted Security fields
                        	**type**\:   :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Flow_.Cts>`
                        
                        .. attribute:: direction
                        
                        	Direction the flow was monitored in
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: end_reason
                        
                        	The reason for a flow ending
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: observation
                        
                        	Flow observation metrics
                        	**type**\:   :py:class:`Observation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Flow_.Observation>`
                        
                        .. attribute:: sampler
                        
                        	ID of the sampler
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cts = Native.Flow.Record.Default.Collect.Flow_.Cts()
                            self.cts.parent = self
                            self.direction = None
                            self.end_reason = None
                            self.observation = Native.Flow.Record.Default.Collect.Flow_.Observation()
                            self.observation.parent = self
                            self.sampler = None


                        class Cts(object):
                            """
                            Cisco Trusted Security fields
                            
                            .. attribute:: destination
                            
                            	Cisco Trusted Security destination fields
                            	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Flow_.Cts.Destination>`
                            
                            .. attribute:: source
                            
                            	Cisco Trusted Security source fields
                            	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Flow_.Cts.Source>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.destination = Native.Flow.Record.Default.Collect.Flow_.Cts.Destination()
                                self.destination.parent = self
                                self.source = Native.Flow.Record.Default.Collect.Flow_.Cts.Source()
                                self.source.parent = self


                            class Destination(object):
                                """
                                Cisco Trusted Security destination fields
                                
                                .. attribute:: group_tag
                                
                                	destination group\-tag
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.group_tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.group_tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Flow_.Cts.Destination']['meta_info']


                            class Source(object):
                                """
                                Cisco Trusted Security source fields
                                
                                .. attribute:: group_tag
                                
                                	source group\-tag
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.group_tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.group_tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Flow_.Cts.Source']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:cts'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.destination is not None and self.destination._has_data():
                                    return True

                                if self.source is not None and self.source._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Flow_.Cts']['meta_info']


                        class Observation(object):
                            """
                            Flow observation metrics
                            
                            .. attribute:: point
                            
                            	Observation point ID
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.point = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:observation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.point is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Flow_.Observation']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cts is not None and self.cts._has_data():
                                return True

                            if self.direction is not None:
                                return True

                            if self.end_reason is not None:
                                return True

                            if self.observation is not None and self.observation._has_data():
                                return True

                            if self.sampler is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Collect.Flow_']['meta_info']


                    class Interface(object):
                        """
                        Interface fields
                        
                        .. attribute:: input
                        
                        	The input interface
                        	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Interface.Input>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: output
                        
                        	The output interface
                        	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Interface.Output>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = None
                            self.output = None


                        class Input(object):
                            """
                            The input interface
                            
                            .. attribute:: snmp
                            
                            	SNMP Index of the input interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.snmp = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.snmp is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Interface.Input']['meta_info']


                        class Output(object):
                            """
                            The output interface
                            
                            .. attribute:: snmp
                            
                            	SNMP Index of the output interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.snmp = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:output'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.snmp is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Interface.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:interface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None and self.input._has_data():
                                return True

                            if self.output is not None and self.output._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Collect.Interface']['meta_info']


                    class Ipv4(object):
                        """
                        IPv4 fields
                        
                        .. attribute:: destination
                        
                        	IPv4 destination address based fields
                        	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Destination>`
                        
                        .. attribute:: dscp
                        
                        	IPv4 DSCP (part of TOS)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fragmentation
                        
                        	IPv4 fragmentation fields
                        	**type**\:   :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Fragmentation>`
                        
                        .. attribute:: header_length
                        
                        	IPv4 header length (IHL in 32 bit words)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: id
                        
                        	IPv4 ID
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: length
                        
                        	IPv4 length fields
                        	**type**\:   :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Length>`
                        
                        .. attribute:: option
                        
                        	IPv4 option fields
                        	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Option>`
                        
                        .. attribute:: precedence
                        
                        	IPv4 precedence (part of TOS)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: protocol
                        
                        	IPv4 protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: section
                        
                        	Part of the packet
                        	**type**\:   :py:class:`Section <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Section>`
                        
                        .. attribute:: source
                        
                        	IPv4 source address based fields
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Source>`
                        
                        .. attribute:: tos
                        
                        	IPv4 type of service
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: total_length
                        
                        	IPv4 total length
                        	**type**\:   :py:class:`TotalLength <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.TotalLength>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ttl
                        
                        	IPv4 TTL
                        	**type**\:   :py:class:`Ttl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Ttl>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: version
                        
                        	IP version from IPv4 header
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination = Native.Flow.Record.Default.Collect.Ipv4.Destination()
                            self.destination.parent = self
                            self.dscp = None
                            self.fragmentation = Native.Flow.Record.Default.Collect.Ipv4.Fragmentation()
                            self.fragmentation.parent = self
                            self.header_length = None
                            self.id = None
                            self.length = Native.Flow.Record.Default.Collect.Ipv4.Length()
                            self.length.parent = self
                            self.option = Native.Flow.Record.Default.Collect.Ipv4.Option()
                            self.option.parent = self
                            self.precedence = None
                            self.protocol = None
                            self.section = Native.Flow.Record.Default.Collect.Ipv4.Section()
                            self.section.parent = self
                            self.source = Native.Flow.Record.Default.Collect.Ipv4.Source()
                            self.source.parent = self
                            self.tos = None
                            self.total_length = None
                            self.ttl = None
                            self.version = None


                        class Destination(object):
                            """
                            IPv4 destination address based fields
                            
                            .. attribute:: address
                            
                            	IPv4 destination address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	IPv4 address mask for the IPv4 destination address
                            	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Destination.Mask>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix
                            
                            	IPv4 address prefix for the IPv4 destination address
                            	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Destination.Prefix>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.mask = None
                                self.prefix = None


                            class Mask(object):
                                """
                                IPv4 address mask for the IPv4 destination address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.minimum_mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.minimum_mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv4.Destination.Mask']['meta_info']


                            class Prefix(object):
                                """
                                IPv4 address prefix for the IPv4 destination address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.minimum_mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.minimum_mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv4.Destination.Prefix']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.mask is not None and self.mask._has_data():
                                    return True

                                if self.prefix is not None and self.prefix._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv4.Destination']['meta_info']


                        class Fragmentation(object):
                            """
                            IPv4 fragmentation fields
                            
                            .. attribute:: flags
                            
                            	IPv4 fragmentation flags
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: offset
                            
                            	IPv4 fragmentation offset
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.flags = None
                                self.offset = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:fragmentation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.flags is not None:
                                    return True

                                if self.offset is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv4.Fragmentation']['meta_info']


                        class Length(object):
                            """
                            IPv4 length fields
                            
                            .. attribute:: header
                            
                            	Length of the IPv4 header in bytes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: payload
                            
                            	Length of the IPv4 payload in bytes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: total
                            
                            	Total length of the IPv4 header and payload in bytes
                            	**type**\:   :py:class:`Total <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Length.Total>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.header = None
                                self.payload = None
                                self.total = None


                            class Total(object):
                                """
                                Total length of the IPv4 header and payload in bytes
                                
                                .. attribute:: maximum
                                
                                	Maximum total length in bytes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minimum
                                
                                	Minimum total length in bytes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.maximum = None
                                    self.minimum = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:total'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.maximum is not None:
                                        return True

                                    if self.minimum is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv4.Length.Total']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:length'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.header is not None:
                                    return True

                                if self.payload is not None:
                                    return True

                                if self.total is not None and self.total._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv4.Length']['meta_info']


                        class Option(object):
                            """
                            IPv4 option fields
                            
                            .. attribute:: map
                            
                            	Bitmap of IPv4 options
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv4.Option']['meta_info']


                        class Section(object):
                            """
                            Part of the packet
                            
                            .. attribute:: header
                            
                            	Raw data starting at the IPv4 header
                            	**type**\:   :py:class:`Header <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Section.Header>`
                            
                            .. attribute:: payload
                            
                            	Raw data starting at the IPv4 payload
                            	**type**\:   :py:class:`Payload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Section.Payload>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.header = Native.Flow.Record.Default.Collect.Ipv4.Section.Header()
                                self.header.parent = self
                                self.payload = Native.Flow.Record.Default.Collect.Ipv4.Section.Payload()
                                self.payload.parent = self


                            class Header(object):
                                """
                                Raw data starting at the IPv4 header
                                
                                .. attribute:: size
                                
                                	Specify the number of bytes to capture
                                	**type**\:  int
                                
                                	**range:** 1..1200
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.size = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:header'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.size is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv4.Section.Header']['meta_info']


                            class Payload(object):
                                """
                                Raw data starting at the IPv4 payload
                                
                                .. attribute:: size
                                
                                	Specify the number of bytes to capture
                                	**type**\:  int
                                
                                	**range:** 1..1200
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.size = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:payload'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.size is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv4.Section.Payload']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:section'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.header is not None and self.header._has_data():
                                    return True

                                if self.payload is not None and self.payload._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv4.Section']['meta_info']


                        class Source(object):
                            """
                            IPv4 source address based fields
                            
                            .. attribute:: address
                            
                            	IPv4 source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	IPv4 address mask for the IPv4 source address
                            	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Source.Mask>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix
                            
                            	IPv4 address prefix for the IPv4 source address
                            	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Source.Prefix>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.mask = None
                                self.prefix = None


                            class Mask(object):
                                """
                                IPv4 address mask for the IPv4 source address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.minimum_mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.minimum_mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv4.Source.Mask']['meta_info']


                            class Prefix(object):
                                """
                                IPv4 address prefix for the IPv4 source address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.minimum_mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.minimum_mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv4.Source.Prefix']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.mask is not None and self.mask._has_data():
                                    return True

                                if self.prefix is not None and self.prefix._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv4.Source']['meta_info']


                        class TotalLength(object):
                            """
                            IPv4 total length
                            
                            .. attribute:: maximum
                            
                            	Largest value for IPv4 length seen in the flow
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	Smallest value for IPv4 length seen in the flow
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.maximum = None
                                self.minimum = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:total-length'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.maximum is not None:
                                    return True

                                if self.minimum is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv4.TotalLength']['meta_info']


                        class Ttl(object):
                            """
                            IPv4 TTL
                            
                            .. attribute:: maximum
                            
                            	Largest value seen for TTL in the flow
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	Smallest value seen for TTL in the flow
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.maximum = None
                                self.minimum = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:ttl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.maximum is not None:
                                    return True

                                if self.minimum is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv4.Ttl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination is not None and self.destination._has_data():
                                return True

                            if self.dscp is not None:
                                return True

                            if self.fragmentation is not None and self.fragmentation._has_data():
                                return True

                            if self.header_length is not None:
                                return True

                            if self.id is not None:
                                return True

                            if self.length is not None and self.length._has_data():
                                return True

                            if self.option is not None and self.option._has_data():
                                return True

                            if self.precedence is not None:
                                return True

                            if self.protocol is not None:
                                return True

                            if self.section is not None and self.section._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            if self.tos is not None:
                                return True

                            if self.total_length is not None and self.total_length._has_data():
                                return True

                            if self.ttl is not None and self.ttl._has_data():
                                return True

                            if self.version is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv4']['meta_info']


                    class Ipv6(object):
                        """
                        IPv6 fields
                        
                        .. attribute:: destination
                        
                        	IPv6 destination address based fields
                        	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Destination>`
                        
                        .. attribute:: dscp
                        
                        	IPv6 DSCP (part of Traffic Class)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: extension
                        
                        	IPv6 extension header fields
                        	**type**\:   :py:class:`Extension <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Extension>`
                        
                        .. attribute:: flow_label
                        
                        	IPv6 flow label
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fragmentation
                        
                        	IPv6 fragmentation fields
                        	**type**\:   :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Fragmentation>`
                        
                        .. attribute:: hop_limit
                        
                        	IPv6 hop limit
                        	**type**\:   :py:class:`HopLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.HopLimit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: length
                        
                        	IPv6 length fields
                        	**type**\:   :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Length>`
                        
                        .. attribute:: next_header
                        
                        	The value of the next\-header field in the IPv6 header
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: payload_length
                        
                        	Length of the IPv6 payload in bytes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: precedence
                        
                        	IPv6 precedence (part of Traffic Class)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: protocol
                        
                        	IPv6 payload protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: section
                        
                        	Part of the packet
                        	**type**\:   :py:class:`Section <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Section>`
                        
                        .. attribute:: source
                        
                        	IPv6 source address based fields
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Source>`
                        
                        .. attribute:: traffic_class
                        
                        	IPv6 traffic class
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: version
                        
                        	IP version from IPv6 header
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination = Native.Flow.Record.Default.Collect.Ipv6.Destination()
                            self.destination.parent = self
                            self.dscp = None
                            self.extension = Native.Flow.Record.Default.Collect.Ipv6.Extension()
                            self.extension.parent = self
                            self.flow_label = None
                            self.fragmentation = Native.Flow.Record.Default.Collect.Ipv6.Fragmentation()
                            self.fragmentation.parent = self
                            self.hop_limit = None
                            self.length = Native.Flow.Record.Default.Collect.Ipv6.Length()
                            self.length.parent = self
                            self.next_header = None
                            self.payload_length = None
                            self.precedence = None
                            self.protocol = None
                            self.section = Native.Flow.Record.Default.Collect.Ipv6.Section()
                            self.section.parent = self
                            self.source = Native.Flow.Record.Default.Collect.Ipv6.Source()
                            self.source.parent = self
                            self.traffic_class = None
                            self.version = None


                        class Destination(object):
                            """
                            IPv6 destination address based fields
                            
                            .. attribute:: address
                            
                            	IPv6 destination address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	IPv6 address mask for the IPv6 destination address
                            	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Destination.Mask>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix
                            
                            	IPv6 address prefix for the IPv6 destination address
                            	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Destination.Prefix>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.mask = None
                                self.prefix = None


                            class Mask(object):
                                """
                                IPv6 address mask for the IPv6 destination address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\:  int
                                
                                	**range:** 1..128
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.minimum_mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.minimum_mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv6.Destination.Mask']['meta_info']


                            class Prefix(object):
                                """
                                IPv6 address prefix for the IPv6 destination address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\:  int
                                
                                	**range:** 1..128
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.minimum_mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.minimum_mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv6.Destination.Prefix']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.mask is not None and self.mask._has_data():
                                    return True

                                if self.prefix is not None and self.prefix._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv6.Destination']['meta_info']


                        class Extension(object):
                            """
                            IPv6 extension header fields
                            
                            .. attribute:: map
                            
                            	Bitmap of IPv6 extension headers
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:extension'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv6.Extension']['meta_info']


                        class Fragmentation(object):
                            """
                            IPv6 fragmentation fields
                            
                            .. attribute:: flags
                            
                            	IPv6 fragmentation flags
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	IPv6 fragmentation ID
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: offset
                            
                            	IPv6 fragmentation offset
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.flags = None
                                self.id = None
                                self.offset = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:fragmentation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.flags is not None:
                                    return True

                                if self.id is not None:
                                    return True

                                if self.offset is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv6.Fragmentation']['meta_info']


                        class HopLimit(object):
                            """
                            IPv6 hop limit
                            
                            .. attribute:: maximum
                            
                            	Largest value seen for hop\-limit in the flow
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	Smallest value seen for hop\-limit in the flow
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.maximum = None
                                self.minimum = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:hop-limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.maximum is not None:
                                    return True

                                if self.minimum is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv6.HopLimit']['meta_info']


                        class Length(object):
                            """
                            IPv6 length fields
                            
                            .. attribute:: header
                            
                            	Length of the IPv6 header, not including any extension headers, in bytes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: payload
                            
                            	Length of the IPv6 payload, including any extension headers, in bytes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: total
                            
                            	Total length of the IPv6 header and payload in bytes
                            	**type**\:   :py:class:`Total <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Length.Total>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.header = None
                                self.payload = None
                                self.total = None


                            class Total(object):
                                """
                                Total length of the IPv6 header and payload in bytes
                                
                                .. attribute:: maximum
                                
                                	Maximum total length in bytes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minimum
                                
                                	Minimum total length in bytes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.maximum = None
                                    self.minimum = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:total'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.maximum is not None:
                                        return True

                                    if self.minimum is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv6.Length.Total']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:length'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.header is not None:
                                    return True

                                if self.payload is not None:
                                    return True

                                if self.total is not None and self.total._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv6.Length']['meta_info']


                        class Section(object):
                            """
                            Part of the packet
                            
                            .. attribute:: header
                            
                            	Raw data starting at the IPv6 header
                            	**type**\:   :py:class:`Header <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Section.Header>`
                            
                            .. attribute:: payload
                            
                            	Raw data starting at the IPv6 payload
                            	**type**\:   :py:class:`Payload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Section.Payload>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.header = Native.Flow.Record.Default.Collect.Ipv6.Section.Header()
                                self.header.parent = self
                                self.payload = Native.Flow.Record.Default.Collect.Ipv6.Section.Payload()
                                self.payload.parent = self


                            class Header(object):
                                """
                                Raw data starting at the IPv6 header
                                
                                .. attribute:: size
                                
                                	Specify the number of bytes to capture
                                	**type**\:  int
                                
                                	**range:** 1..1200
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.size = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:header'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.size is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv6.Section.Header']['meta_info']


                            class Payload(object):
                                """
                                Raw data starting at the IPv6 payload
                                
                                .. attribute:: size
                                
                                	Specify the number of bytes to capture
                                	**type**\:  int
                                
                                	**range:** 1..1200
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.size = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:payload'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.size is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv6.Section.Payload']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:section'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.header is not None and self.header._has_data():
                                    return True

                                if self.payload is not None and self.payload._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv6.Section']['meta_info']


                        class Source(object):
                            """
                            IPv6 source address based fields
                            
                            .. attribute:: address
                            
                            	IPv6 source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	IPv6 address mask for the IPv6 source address
                            	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Source.Mask>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix
                            
                            	IPv6 address prefix for the IPv6 source address
                            	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Source.Prefix>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.mask = None
                                self.prefix = None


                            class Mask(object):
                                """
                                IPv6 address mask for the IPv6 source address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\:  int
                                
                                	**range:** 1..128
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.minimum_mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.minimum_mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv6.Source.Mask']['meta_info']


                            class Prefix(object):
                                """
                                IPv6 address prefix for the IPv6 source address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\:  int
                                
                                	**range:** 1..128
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.minimum_mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.minimum_mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv6.Source.Prefix']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.mask is not None and self.mask._has_data():
                                    return True

                                if self.prefix is not None and self.prefix._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv6.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination is not None and self.destination._has_data():
                                return True

                            if self.dscp is not None:
                                return True

                            if self.extension is not None and self.extension._has_data():
                                return True

                            if self.flow_label is not None:
                                return True

                            if self.fragmentation is not None and self.fragmentation._has_data():
                                return True

                            if self.hop_limit is not None and self.hop_limit._has_data():
                                return True

                            if self.length is not None and self.length._has_data():
                                return True

                            if self.next_header is not None:
                                return True

                            if self.payload_length is not None:
                                return True

                            if self.precedence is not None:
                                return True

                            if self.protocol is not None:
                                return True

                            if self.section is not None and self.section._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            if self.traffic_class is not None:
                                return True

                            if self.version is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Collect.Ipv6']['meta_info']


                    class Metadata(object):
                        """
                        Metadata fields
                        
                        .. attribute:: clock_rate
                        
                        	Metadata clock\-rate
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: global_session_id
                        
                        	Metadata global\-session\-id
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multi_party_session_id
                        
                        	Metadata multi\-party\-session\-id
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.clock_rate = None
                            self.global_session_id = None
                            self.multi_party_session_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:metadata'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.clock_rate is not None:
                                return True

                            if self.global_session_id is not None:
                                return True

                            if self.multi_party_session_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Collect.Metadata']['meta_info']


                    class Monitor(object):
                        """
                        monitor fields
                        
                        .. attribute:: event
                        
                        	Flags indicating monitor events
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.event = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.event is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Collect.Monitor']['meta_info']


                    class Mpls(object):
                        """
                        MPLS fields
                        
                        .. attribute:: label
                        
                        	MPLS label details
                        	**type**\:   :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Mpls.Label>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.label = Native.Flow.Record.Default.Collect.Mpls.Label()
                            self.label.parent = self


                        class Label(object):
                            """
                            MPLS label details
                            
                            .. attribute:: five
                            
                            	MPLS label 5 information
                            	**type**\:   :py:class:`Five <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Mpls.Label.Five>`
                            
                            .. attribute:: four
                            
                            	MPLS label 4 information
                            	**type**\:   :py:class:`Four <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Mpls.Label.Four>`
                            
                            .. attribute:: one
                            
                            	MPLS label 1 information
                            	**type**\:   :py:class:`One <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Mpls.Label.One>`
                            
                            .. attribute:: six
                            
                            	MPLS label 6 information
                            	**type**\:   :py:class:`Six <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Mpls.Label.Six>`
                            
                            .. attribute:: three
                            
                            	MPLS label 3 information
                            	**type**\:   :py:class:`Three <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Mpls.Label.Three>`
                            
                            .. attribute:: two
                            
                            	MPLS label 2 information
                            	**type**\:   :py:class:`Two <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Mpls.Label.Two>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.five = Native.Flow.Record.Default.Collect.Mpls.Label.Five()
                                self.five.parent = self
                                self.four = Native.Flow.Record.Default.Collect.Mpls.Label.Four()
                                self.four.parent = self
                                self.one = Native.Flow.Record.Default.Collect.Mpls.Label.One()
                                self.one.parent = self
                                self.six = Native.Flow.Record.Default.Collect.Mpls.Label.Six()
                                self.six.parent = self
                                self.three = Native.Flow.Record.Default.Collect.Mpls.Label.Three()
                                self.three.parent = self
                                self.two = Native.Flow.Record.Default.Collect.Mpls.Label.Two()
                                self.two.parent = self


                            class One(object):
                                """
                                MPLS label 1 information
                                
                                .. attribute:: details
                                
                                	MPLS label 1 details
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: exp
                                
                                	MPLS EXP field from the last label that was pushed
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ttl
                                
                                	MPLS TTL field from the last label that was pushed
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: type
                                
                                	MPLS label type of the last label that was pushed
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.details = None
                                    self.exp = None
                                    self.ttl = None
                                    self.type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:one'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.details is not None:
                                        return True

                                    if self.exp is not None:
                                        return True

                                    if self.ttl is not None:
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Mpls.Label.One']['meta_info']


                            class Two(object):
                                """
                                MPLS label 2 information
                                
                                .. attribute:: details
                                
                                	MPLS label 2 details
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.details = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:two'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.details is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Mpls.Label.Two']['meta_info']


                            class Three(object):
                                """
                                MPLS label 3 information
                                
                                .. attribute:: details
                                
                                	MPLS label 3 details
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.details = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:three'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.details is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Mpls.Label.Three']['meta_info']


                            class Four(object):
                                """
                                MPLS label 4 information
                                
                                .. attribute:: details
                                
                                	MPLS label 4 details
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.details = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:four'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.details is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Mpls.Label.Four']['meta_info']


                            class Five(object):
                                """
                                MPLS label 5 information
                                
                                .. attribute:: details
                                
                                	MPLS label 5 details
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.details = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:five'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.details is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Mpls.Label.Five']['meta_info']


                            class Six(object):
                                """
                                MPLS label 6 information
                                
                                .. attribute:: details
                                
                                	MPLS label 6 details
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.details = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:six'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.details is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Mpls.Label.Six']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:label'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.five is not None and self.five._has_data():
                                    return True

                                if self.four is not None and self.four._has_data():
                                    return True

                                if self.one is not None and self.one._has_data():
                                    return True

                                if self.six is not None and self.six._has_data():
                                    return True

                                if self.three is not None and self.three._has_data():
                                    return True

                                if self.two is not None and self.two._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Mpls.Label']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:mpls'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.label is not None and self.label._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Collect.Mpls']['meta_info']


                    class Network(object):
                        """
                        network metrics
                        
                        .. attribute:: delay
                        
                        	network delay metrics
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Network.Delay>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.delay = Native.Flow.Record.Default.Collect.Network.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            network delay metrics
                            
                            .. attribute:: sample
                            
                            	The number of samples of roundtrip delay
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sum
                            
                            	The sum of roundtrip delay
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.sample = None
                                self.sum = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.sample is not None:
                                    return True

                                if self.sum is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Network.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:network'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Collect.Network']['meta_info']


                    class Pfr(object):
                        """
                        PfR metrics
                        
                        .. attribute:: label
                        
                        	PfR label metrics
                        	**type**\:   :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Label>`
                        
                        .. attribute:: one_way_delay
                        
                        	The packet transmission delay between specified nodes
                        	**type**\:   :py:class:`OneWayDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.OneWayDelay>`
                        
                        .. attribute:: service
                        
                        	PfR service metrics
                        	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Service>`
                        
                        .. attribute:: site
                        
                        	PfR site  metrics
                        	**type**\:   :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Site>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.label = Native.Flow.Record.Default.Collect.Pfr.Label()
                            self.label.parent = self
                            self.one_way_delay = Native.Flow.Record.Default.Collect.Pfr.OneWayDelay()
                            self.one_way_delay.parent = self
                            self.service = Native.Flow.Record.Default.Collect.Pfr.Service()
                            self.service.parent = self
                            self.site = Native.Flow.Record.Default.Collect.Pfr.Site()
                            self.site.parent = self


                        class Label(object):
                            """
                            PfR label metrics
                            
                            .. attribute:: identifier
                            
                            	pfr label id
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.identifier = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:label'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.identifier is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Pfr.Label']['meta_info']


                        class OneWayDelay(object):
                            """
                            The packet transmission delay between specified nodes
                            
                            .. attribute:: samples
                            
                            	Total number of one\-way\-delay samples
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sum
                            
                            	The packet transmission delay sum between specified nodes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.samples = None
                                self.sum = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:one-way-delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.samples is not None:
                                    return True

                                if self.sum is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Pfr.OneWayDelay']['meta_info']


                        class Service(object):
                            """
                            PfR service metrics
                            
                            .. attribute:: identifier
                            
                            	PfR service provider tag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: provider
                            
                            	PfR service provider metrics
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	PfR service provider tag metrics
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.identifier = None
                                self.provider = None
                                self.tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:service'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.identifier is not None:
                                    return True

                                if self.provider is not None:
                                    return True

                                if self.tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Pfr.Service']['meta_info']


                        class Site(object):
                            """
                            PfR site  metrics
                            
                            .. attribute:: destination
                            
                            	PfR site destination metrics
                            	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Site.Destination>`
                            
                            .. attribute:: source
                            
                            	PfR site source metrics
                            	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Site.Source>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.destination = Native.Flow.Record.Default.Collect.Pfr.Site.Destination()
                                self.destination.parent = self
                                self.source = Native.Flow.Record.Default.Collect.Pfr.Site.Source()
                                self.source.parent = self


                            class Destination(object):
                                """
                                PfR site destination metrics
                                
                                .. attribute:: id
                                
                                	PfR site destination ID metrics
                                	**type**\:   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Id>`
                                
                                .. attribute:: prefix
                                
                                	PfR site prefix of the packet destination
                                	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Id()
                                    self.id.parent = self
                                    self.prefix = Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix()
                                    self.prefix.parent = self


                                class Id(object):
                                    """
                                    PfR site destination ID metrics
                                    
                                    .. attribute:: ipv4
                                    
                                    	site ID of the packet destination
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:id'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Id']['meta_info']


                                class Prefix(object):
                                    """
                                    PfR site prefix of the packet destination
                                    
                                    .. attribute:: ipv4
                                    
                                    	site prefix of the packet destination
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	PfR site prefix mask of the packet destination
                                    	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix.Mask>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None
                                        self.mask = Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix.Mask()
                                        self.mask.parent = self


                                    class Mask(object):
                                        """
                                        PfR site prefix mask of the packet destination
                                        
                                        .. attribute:: ipv4
                                        
                                        	site prefix mask of the packet destination
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix.Mask']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        if self.mask is not None and self.mask._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None and self.id._has_data():
                                        return True

                                    if self.prefix is not None and self.prefix._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Destination']['meta_info']


                            class Source(object):
                                """
                                PfR site source metrics
                                
                                .. attribute:: id
                                
                                	PfR site source ID metrics
                                	**type**\:   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Site.Source.Id>`
                                
                                .. attribute:: prefix
                                
                                	PfR site prefix of the packet source
                                	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = Native.Flow.Record.Default.Collect.Pfr.Site.Source.Id()
                                    self.id.parent = self
                                    self.prefix = Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix()
                                    self.prefix.parent = self


                                class Id(object):
                                    """
                                    PfR site source ID metrics
                                    
                                    .. attribute:: ipv4
                                    
                                    	site ID of the packet source
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:id'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Source.Id']['meta_info']


                                class Prefix(object):
                                    """
                                    PfR site prefix of the packet source
                                    
                                    .. attribute:: ipv4
                                    
                                    	site prefix of the packet source
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	PfR site prefix mask of the packet source
                                    	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix.Mask>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None
                                        self.mask = Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix.Mask()
                                        self.mask.parent = self


                                    class Mask(object):
                                        """
                                        PfR site prefix mask of the packet source
                                        
                                        .. attribute:: ipv4
                                        
                                        	site prefix mask of the packet source
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix.Mask']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        if self.mask is not None and self.mask._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None and self.id._has_data():
                                        return True

                                    if self.prefix is not None and self.prefix._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Pfr.Site.Source']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:site'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.destination is not None and self.destination._has_data():
                                    return True

                                if self.source is not None and self.source._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Pfr.Site']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:pfr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.label is not None and self.label._has_data():
                                return True

                            if self.one_way_delay is not None and self.one_way_delay._has_data():
                                return True

                            if self.service is not None and self.service._has_data():
                                return True

                            if self.site is not None and self.site._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Collect.Pfr']['meta_info']


                    class Policy(object):
                        """
                        policy fields
                        
                        .. attribute:: performance_monitor
                        
                        	Performance\-monitor policy related metrics
                        	**type**\:   :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor>`
                        
                        .. attribute:: qos
                        
                        	QoS policy related metrics
                        	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Policy.Qos>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.performance_monitor = Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor()
                            self.performance_monitor.parent = self
                            self.qos = Native.Flow.Record.Default.Collect.Policy.Qos()
                            self.qos.parent = self


                        class PerformanceMonitor(object):
                            """
                            Performance\-monitor policy related metrics
                            
                            .. attribute:: classification
                            
                            	Classification metrics
                            	**type**\:   :py:class:`Classification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor.Classification>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.classification = Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor.Classification()
                                self.classification.parent = self


                            class Classification(object):
                                """
                                Classification metrics
                                
                                .. attribute:: hierarchy
                                
                                	Performance\-monitor class hierarchy
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.hierarchy = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:classification'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.hierarchy is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor.Classification']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:performance-monitor'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.classification is not None and self.classification._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor']['meta_info']


                        class Qos(object):
                            """
                            QoS policy related metrics
                            
                            .. attribute:: classification
                            
                            	Classification metrics
                            	**type**\:   :py:class:`Classification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Policy.Qos.Classification>`
                            
                            .. attribute:: queue
                            
                            	Queue metrics
                            	**type**\:   :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Policy.Qos.Queue>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.classification = Native.Flow.Record.Default.Collect.Policy.Qos.Classification()
                                self.classification.parent = self
                                self.queue = Native.Flow.Record.Default.Collect.Policy.Qos.Queue()
                                self.queue.parent = self


                            class Classification(object):
                                """
                                Classification metrics
                                
                                .. attribute:: hierarchy
                                
                                	QoS class hierarchy
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.hierarchy = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:classification'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.hierarchy is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Policy.Qos.Classification']['meta_info']


                            class Queue(object):
                                """
                                Queue metrics
                                
                                .. attribute:: drops
                                
                                	QoS queue drops
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: index
                                
                                	QoS queue index
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.drops = None
                                    self.index = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:queue'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.drops is not None:
                                        return True

                                    if self.index is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Policy.Qos.Queue']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:qos'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.classification is not None and self.classification._has_data():
                                    return True

                                if self.queue is not None and self.queue._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Policy.Qos']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.performance_monitor is not None and self.performance_monitor._has_data():
                                return True

                            if self.qos is not None and self.qos._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Collect.Policy']['meta_info']


                    class Routing(object):
                        """
                        Routing attributes
                        
                        .. attribute:: destination
                        
                        	Destination routing attributes
                        	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.Destination>`
                        
                        .. attribute:: forwarding_status
                        
                        	Forwarding status of the packet
                        	**type**\:   :py:class:`ForwardingStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.ForwardingStatus>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: is_multicast
                        
                        	Indicates if this is multicast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: next_hop
                        
                        	Information regarding the next hop
                        	**type**\:   :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.NextHop>`
                        
                        .. attribute:: pw
                        
                        	Pseudowire fields
                        	**type**\:   :py:class:`Pw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.Pw>`
                        
                        .. attribute:: source
                        
                        	Source routing attributes
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.Source>`
                        
                        .. attribute:: vrf
                        
                        	VRF routing attributes
                        	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination = Native.Flow.Record.Default.Collect.Routing.Destination()
                            self.destination.parent = self
                            self.forwarding_status = None
                            self.is_multicast = None
                            self.next_hop = Native.Flow.Record.Default.Collect.Routing.NextHop()
                            self.next_hop.parent = self
                            self.pw = Native.Flow.Record.Default.Collect.Routing.Pw()
                            self.pw.parent = self
                            self.source = Native.Flow.Record.Default.Collect.Routing.Source()
                            self.source.parent = self
                            self.vrf = Native.Flow.Record.Default.Collect.Routing.Vrf()
                            self.vrf.parent = self


                        class Destination(object):
                            """
                            Destination routing attributes
                            
                            .. attribute:: as_
                            
                            	AS number of the destination network
                            	**type**\:   :py:class:`As_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.Destination.As_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: traffic_index
                            
                            	BGP destination traffic index
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.as_ = None
                                self.traffic_index = None


                            class As_(object):
                                """
                                AS number of the destination network
                                
                                .. attribute:: as4_octet
                                
                                	4 octet AS number of the destination network
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: peer
                                
                                	AS number of the peer network we will forward to
                                	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.Destination.As_.Peer>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.as4_octet = None
                                    self.peer = None


                                class Peer(object):
                                    """
                                    AS number of the peer network we will forward to
                                    
                                    .. attribute:: peer4_octet
                                    
                                    	4 octet AS number of the peer network we will forward to
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.peer4_octet = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:peer'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.peer4_octet is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Routing.Destination.As_.Peer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:as'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.as4_octet is not None:
                                        return True

                                    if self.peer is not None and self.peer._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Routing.Destination.As_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.as_ is not None and self.as_._has_data():
                                    return True

                                if self.traffic_index is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Routing.Destination']['meta_info']


                        class ForwardingStatus(object):
                            """
                            Forwarding status of the packet
                            
                            .. attribute:: reason
                            
                            	Forwarding status reason of the packet
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.reason = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:forwarding-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.reason is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Routing.ForwardingStatus']['meta_info']


                        class NextHop(object):
                            """
                            Information regarding the next hop
                            
                            .. attribute:: address
                            
                            	IP address of the next hop
                            	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.NextHop.Address>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = Native.Flow.Record.Default.Collect.Routing.NextHop.Address()
                                self.address.parent = self


                            class Address(object):
                                """
                                IP address of the next hop
                                
                                .. attribute:: ipv4
                                
                                	IPv4 address of the next hop
                                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.NextHop.Address.Ipv4>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ipv6
                                
                                	IPv6 address of the next hop
                                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.NextHop.Address.Ipv6>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None
                                    self.ipv6 = None


                                class Ipv4(object):
                                    """
                                    IPv4 address of the next hop
                                    
                                    .. attribute:: bgp
                                    
                                    	IPv4 address of the BGP next hop
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.bgp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv4'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.bgp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Routing.NextHop.Address.Ipv4']['meta_info']


                                class Ipv6(object):
                                    """
                                    IPv6 address of the next hop
                                    
                                    .. attribute:: bgp
                                    
                                    	IPv6 address of the BGP next hop
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.bgp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv6'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.bgp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Routing.NextHop.Address.Ipv6']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None and self.ipv4._has_data():
                                        return True

                                    if self.ipv6 is not None and self.ipv6._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Routing.NextHop.Address']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:next-hop'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None and self.address._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Routing.NextHop']['meta_info']


                        class Pw(object):
                            """
                            Pseudowire fields
                            
                            .. attribute:: destination
                            
                            	Pseudowire destination
                            	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.Pw.Destination>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.destination = Native.Flow.Record.Default.Collect.Routing.Pw.Destination()
                                self.destination.parent = self


                            class Destination(object):
                                """
                                Pseudowire destination
                                
                                .. attribute:: address
                                
                                	Pseudowire destination address
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Routing.Pw.Destination']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:pw'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.destination is not None and self.destination._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Routing.Pw']['meta_info']


                        class Source(object):
                            """
                            Source routing attributes
                            
                            .. attribute:: as_
                            
                            	AS number of the original network
                            	**type**\:   :py:class:`As_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.Source.As_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: traffic_index
                            
                            	BGP source traffic index
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.as_ = None
                                self.traffic_index = None


                            class As_(object):
                                """
                                AS number of the original network
                                
                                .. attribute:: as4_octet
                                
                                	4 octet AS number of the original network
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: peer
                                
                                	AS number of the peer network where the packet came from
                                	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.Source.As_.Peer>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.as4_octet = None
                                    self.peer = None


                                class Peer(object):
                                    """
                                    AS number of the peer network where the packet came from
                                    
                                    .. attribute:: peer4_octet
                                    
                                    	4 octet AS number of the peer network where the packet came from
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.peer4_octet = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:peer'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.peer4_octet is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Routing.Source.As_.Peer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:as'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.as4_octet is not None:
                                        return True

                                    if self.peer is not None and self.peer._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Routing.Source.As_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.as_ is not None and self.as_._has_data():
                                    return True

                                if self.traffic_index is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Routing.Source']['meta_info']


                        class Vrf(object):
                            """
                            VRF routing attributes
                            
                            .. attribute:: input
                            
                            	VRF ID for incoming packet
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: output
                            
                            	VRF ID for outgoing packet
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.input = None
                                self.output = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:vrf'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.input is not None:
                                    return True

                                if self.output is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Routing.Vrf']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:routing'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination is not None and self.destination._has_data():
                                return True

                            if self.forwarding_status is not None and self.forwarding_status._has_data():
                                return True

                            if self.is_multicast is not None:
                                return True

                            if self.next_hop is not None and self.next_hop._has_data():
                                return True

                            if self.pw is not None and self.pw._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            if self.vrf is not None and self.vrf._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Collect.Routing']['meta_info']


                    class Services(object):
                        """
                        Services fields
                        
                        .. attribute:: waas
                        
                        	WAAS (Wide Area Application Services) metrics
                        	**type**\:   :py:class:`Waas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Services.Waas>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.waas = Native.Flow.Record.Default.Collect.Services.Waas()
                            self.waas.parent = self


                        class Waas(object):
                            """
                            WAAS (Wide Area Application Services) metrics
                            
                            .. attribute:: passthrough_reason
                            
                            	WAAS passthrough reason
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: segment
                            
                            	WAAS optimization segment
                            	**type**\:   :py:class:`Segment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Services.Waas.Segment>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.passthrough_reason = None
                                self.segment = None


                            class Segment(object):
                                """
                                WAAS optimization segment
                                
                                .. attribute:: account_on_resolution
                                
                                	Account on resolution
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.account_on_resolution = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:segment'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.account_on_resolution is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Services.Waas.Segment']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:waas'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.passthrough_reason is not None:
                                    return True

                                if self.segment is not None and self.segment._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Services.Waas']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:services'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.waas is not None and self.waas._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Collect.Services']['meta_info']


                    class Timestamp(object):
                        """
                        Timestamp fields
                        
                        .. attribute:: absolute
                        
                        	Timestamps based on the epoch of 00\:00 UTC 1st Jan 1970
                        	**type**\:   :py:class:`Absolute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Timestamp.Absolute>`
                        
                        .. attribute:: interval
                        
                        	Epoch of a monitoring interval
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sys_uptime
                        
                        	Timestamps based on the sys\-uptime
                        	**type**\:   :py:class:`SysUptime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Timestamp.SysUptime>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.absolute = Native.Flow.Record.Default.Collect.Timestamp.Absolute()
                            self.absolute.parent = self
                            self.interval = None
                            self.sys_uptime = Native.Flow.Record.Default.Collect.Timestamp.SysUptime()
                            self.sys_uptime.parent = self


                        class Absolute(object):
                            """
                            Timestamps based on the epoch of 00\:00 UTC 1st Jan 1970
                            
                            .. attribute:: first
                            
                            	Absolute time the first packet was seen (milliseconds)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: last
                            
                            	Absolute time the most recent packet was seen (milliseconds)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: monitoring_interval
                            
                            	Monitoring interval timestamps
                            	**type**\:   :py:class:`MonitoringInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Timestamp.Absolute.MonitoringInterval>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.first = None
                                self.last = None
                                self.monitoring_interval = Native.Flow.Record.Default.Collect.Timestamp.Absolute.MonitoringInterval()
                                self.monitoring_interval.parent = self


                            class MonitoringInterval(object):
                                """
                                Monitoring interval timestamps
                                
                                .. attribute:: end
                                
                                	Absolute end time of a monitoring interval (milliseconds)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: start
                                
                                	Absolute start time of a monitoring interval (milliseconds)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.end = None
                                    self.start = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:monitoring-interval'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.end is not None:
                                        return True

                                    if self.start is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Timestamp.Absolute.MonitoringInterval']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:absolute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.first is not None:
                                    return True

                                if self.last is not None:
                                    return True

                                if self.monitoring_interval is not None and self.monitoring_interval._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Timestamp.Absolute']['meta_info']


                        class SysUptime(object):
                            """
                            Timestamps based on the sys\-uptime
                            
                            .. attribute:: first
                            
                            	Time the first packet was seen
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: last
                            
                            	Time the most recent packet was seen
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.first = None
                                self.last = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:sys-uptime'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.first is not None:
                                    return True

                                if self.last is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Timestamp.SysUptime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:timestamp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.absolute is not None and self.absolute._has_data():
                                return True

                            if self.interval is not None:
                                return True

                            if self.sys_uptime is not None and self.sys_uptime._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Collect.Timestamp']['meta_info']


                    class Transport(object):
                        """
                        Transport layer fields
                        
                        .. attribute:: bytes
                        
                        	Bytes fields
                        	**type**\:   :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Bytes>`
                        
                        .. attribute:: destination_port
                        
                        	Transport destination port
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: event
                        
                        	Transport event fields
                        	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Event>`
                        
                        .. attribute:: icmp
                        
                        	ICMP fields
                        	**type**\:   :py:class:`Icmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Icmp>`
                        
                        .. attribute:: igmp
                        
                        	IGMP fields
                        	**type**\:   :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Igmp>`
                        
                        .. attribute:: packets
                        
                        	Transport packet fields
                        	**type**\:   :py:class:`Packets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Packets>`
                        
                        .. attribute:: round_trip_time
                        
                        	RTT calculation for flow
                        	**type**\:   :py:class:`RoundTripTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.RoundTripTime>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: rtp
                        
                        	RTP fields
                        	**type**\:   :py:class:`Rtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Rtp>`
                        
                        .. attribute:: source_port
                        
                        	Transport source port
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tcp
                        
                        	TCP fields
                        	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Tcp>`
                        
                        .. attribute:: udp
                        
                        	UDP fields
                        	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Udp>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bytes = Native.Flow.Record.Default.Collect.Transport.Bytes()
                            self.bytes.parent = self
                            self.destination_port = None
                            self.event = Native.Flow.Record.Default.Collect.Transport.Event()
                            self.event.parent = self
                            self.icmp = Native.Flow.Record.Default.Collect.Transport.Icmp()
                            self.icmp.parent = self
                            self.igmp = Native.Flow.Record.Default.Collect.Transport.Igmp()
                            self.igmp.parent = self
                            self.packets = Native.Flow.Record.Default.Collect.Transport.Packets()
                            self.packets.parent = self
                            self.round_trip_time = None
                            self.rtp = Native.Flow.Record.Default.Collect.Transport.Rtp()
                            self.rtp.parent = self
                            self.source_port = None
                            self.tcp = Native.Flow.Record.Default.Collect.Transport.Tcp()
                            self.tcp.parent = self
                            self.udp = Native.Flow.Record.Default.Collect.Transport.Udp()
                            self.udp.parent = self


                        class Bytes(object):
                            """
                            Bytes fields
                            
                            .. attribute:: expected
                            
                            	Transport bytes expected
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: lost
                            
                            	Transport bytes lost
                            	**type**\:   :py:class:`Lost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Bytes.Lost>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: out_of_order
                            
                            	Total number of out\-of\-order bytes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.expected = None
                                self.lost = None
                                self.out_of_order = None


                            class Lost(object):
                                """
                                Transport bytes lost
                                
                                .. attribute:: rate
                                
                                	Transport bytes lost rate
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.rate = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:lost'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.rate is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Bytes.Lost']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:bytes'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.expected is not None:
                                    return True

                                if self.lost is not None and self.lost._has_data():
                                    return True

                                if self.out_of_order is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Bytes']['meta_info']


                        class Icmp(object):
                            """
                            ICMP fields
                            
                            .. attribute:: ipv4
                            
                            	IPv4 ICMP fields
                            	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv4>`
                            
                            .. attribute:: ipv6
                            
                            	IPv6 ICMP fields
                            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv6>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv4()
                                self.ipv4.parent = self
                                self.ipv6 = Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv6()
                                self.ipv6.parent = self


                            class Ipv4(object):
                                """
                                IPv4 ICMP fields
                                
                                .. attribute:: code
                                
                                	IPv4 ICMP code
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: type
                                
                                	IPv4 ICMP type
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.code = None
                                    self.type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv4'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.code is not None:
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv4']['meta_info']


                            class Ipv6(object):
                                """
                                IPv6 ICMP fields
                                
                                .. attribute:: code
                                
                                	IPv6 ICMP code
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: type
                                
                                	IPv6 ICMP type
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.code = None
                                    self.type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv6'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.code is not None:
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv6']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:icmp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None and self.ipv4._has_data():
                                    return True

                                if self.ipv6 is not None and self.ipv6._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Icmp']['meta_info']


                        class Igmp(object):
                            """
                            IGMP fields
                            
                            .. attribute:: type
                            
                            	IGMP type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:igmp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Igmp']['meta_info']


                        class Tcp(object):
                            """
                            TCP fields
                            
                            .. attribute:: acknowledgement_number
                            
                            	TCP acknowledgement number
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: destination_port
                            
                            	TCP destination port
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: flags
                            
                            	TCP flags
                            	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Tcp.Flags>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: flow
                            
                            	TCP flow
                            	**type**\:   :py:class:`Flow_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Tcp.Flow_>`
                            
                            .. attribute:: header_length
                            
                            	TCP header length (in 32 bit words)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: maximum_segment_size
                            
                            	The maximum size of TCP segment
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: option
                            
                            	TCP option fields
                            	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Tcp.Option>`
                            
                            .. attribute:: sequence_number
                            
                            	TCP sequence number
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: source_port
                            
                            	TCP source port
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: urgent_pointer
                            
                            	TCP urgent pointer
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: window_size
                            
                            	TCP window size
                            	**type**\:   :py:class:`WindowSize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Tcp.WindowSize>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acknowledgement_number = None
                                self.destination_port = None
                                self.flags = None
                                self.flow = Native.Flow.Record.Default.Collect.Transport.Tcp.Flow_()
                                self.flow.parent = self
                                self.header_length = None
                                self.maximum_segment_size = None
                                self.option = Native.Flow.Record.Default.Collect.Transport.Tcp.Option()
                                self.option.parent = self
                                self.sequence_number = None
                                self.source_port = None
                                self.urgent_pointer = None
                                self.window_size = None


                            class Flags(object):
                                """
                                TCP flags
                                
                                .. attribute:: ack
                                
                                	TCP acknowledgement flag
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: cwr
                                
                                	TCP congestion window reduced flag
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ece
                                
                                	TCP ECN echo flag
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: fin
                                
                                	TCP finish flag
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: psh
                                
                                	TCP push flag
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: rst
                                
                                	TCP reset flag
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: syn
                                
                                	TCP synchronise flag
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: urg
                                
                                	TCP urgent flag
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.ack = None
                                    self.cwr = None
                                    self.ece = None
                                    self.fin = None
                                    self.psh = None
                                    self.rst = None
                                    self.syn = None
                                    self.urg = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:flags'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.ack is not None:
                                        return True

                                    if self.cwr is not None:
                                        return True

                                    if self.ece is not None:
                                        return True

                                    if self.fin is not None:
                                        return True

                                    if self.psh is not None:
                                        return True

                                    if self.rst is not None:
                                        return True

                                    if self.syn is not None:
                                        return True

                                    if self.urg is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Tcp.Flags']['meta_info']


                            class Flow_(object):
                                """
                                TCP flow
                                
                                .. attribute:: count
                                
                                	Number of tcp flows
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.count = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.count is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Tcp.Flow_']['meta_info']


                            class Option(object):
                                """
                                TCP option fields
                                
                                .. attribute:: map
                                
                                	Bitmap of TCP options
                                	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Tcp.Option.Map>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map = None


                                class Map(object):
                                    """
                                    Bitmap of TCP options
                                    
                                    .. attribute:: long
                                    
                                    	Extended bitmap of TCP options
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.long = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.long is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Tcp.Option.Map']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:option'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map is not None and self.map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Tcp.Option']['meta_info']


                            class WindowSize(object):
                                """
                                TCP window size
                                
                                .. attribute:: average
                                
                                	The average size of TCP window
                                	**type**\:   :py:class:`Average <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Tcp.WindowSize.Average>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: maximum
                                
                                	The maximum size of TCP window
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minimum
                                
                                	The minimum size of TCP window
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: sum
                                
                                	The sum of TCP window size
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.average = None
                                    self.maximum = None
                                    self.minimum = None
                                    self.sum = None


                                class Average(object):
                                    """
                                    The average size of TCP window
                                    
                                    .. attribute:: sum
                                    
                                    	The sum of per flow TCP window average size
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.sum = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:average'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.sum is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Tcp.WindowSize.Average']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:window-size'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.average is not None and self.average._has_data():
                                        return True

                                    if self.maximum is not None:
                                        return True

                                    if self.minimum is not None:
                                        return True

                                    if self.sum is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Tcp.WindowSize']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:tcp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acknowledgement_number is not None:
                                    return True

                                if self.destination_port is not None:
                                    return True

                                if self.flags is not None and self.flags._has_data():
                                    return True

                                if self.flow is not None and self.flow._has_data():
                                    return True

                                if self.header_length is not None:
                                    return True

                                if self.maximum_segment_size is not None:
                                    return True

                                if self.option is not None and self.option._has_data():
                                    return True

                                if self.sequence_number is not None:
                                    return True

                                if self.source_port is not None:
                                    return True

                                if self.urgent_pointer is not None:
                                    return True

                                if self.window_size is not None and self.window_size._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Tcp']['meta_info']


                        class Udp(object):
                            """
                            UDP fields
                            
                            .. attribute:: destination_port
                            
                            	UDP destination port
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: message_length
                            
                            	UDP message length
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: source_port
                            
                            	UDP source port
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.destination_port = None
                                self.message_length = None
                                self.source_port = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:udp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.destination_port is not None:
                                    return True

                                if self.message_length is not None:
                                    return True

                                if self.source_port is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Udp']['meta_info']


                        class Event(object):
                            """
                            Transport event fields
                            
                            .. attribute:: packet_loss
                            
                            	Transport event packet\-loss fields
                            	**type**\:   :py:class:`PacketLoss <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.packet_loss = Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss()
                                self.packet_loss.parent = self


                            class PacketLoss(object):
                                """
                                Transport event packet\-loss fields
                                
                                .. attribute:: counter
                                
                                	Count of sets of packets that were lost
                                	**type**\:   :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss.Counter>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.counter = None


                                class Counter(object):
                                    """
                                    Count of sets of packets that were lost
                                    
                                    .. attribute:: max
                                    
                                    	Highest packet loss counter when multiple flows are aggregated
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Lowest packet loss counter when multiple flows are aggregated
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.max = None
                                        self.min = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:counter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.max is not None:
                                            return True

                                        if self.min is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss.Counter']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:packet-loss'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.counter is not None and self.counter._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:event'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.packet_loss is not None and self.packet_loss._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Event']['meta_info']


                        class Packets(object):
                            """
                            Transport packet fields
                            
                            .. attribute:: expected
                            
                            	Transport packets expected fields
                            	**type**\:   :py:class:`Expected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Packets.Expected>`
                            
                            .. attribute:: lost
                            
                            	Transport packets lost fields
                            	**type**\:   :py:class:`Lost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Packets.Lost>`
                            
                            .. attribute:: out_of_order
                            
                            	Total number of out\-of\-order bytes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.expected = Native.Flow.Record.Default.Collect.Transport.Packets.Expected()
                                self.expected.parent = self
                                self.lost = Native.Flow.Record.Default.Collect.Transport.Packets.Lost()
                                self.lost.parent = self
                                self.out_of_order = None


                            class Expected(object):
                                """
                                Transport packets expected fields
                                
                                .. attribute:: counter
                                
                                	Expected number of packets from sequencing information
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.counter = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:expected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.counter is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Packets.Expected']['meta_info']


                            class Lost(object):
                                """
                                Transport packets lost fields
                                
                                .. attribute:: counter
                                
                                	A count of the number of lost packets from sequencing information
                                	**type**\:   :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Packets.Lost.Counter>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: rate
                                
                                	Packet loss rate from sequencing information
                                	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Packets.Lost.Rate>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.counter = None
                                    self.rate = None


                                class Counter(object):
                                    """
                                    A count of the number of lost packets from sequencing information
                                    
                                    .. attribute:: max
                                    
                                    	Highest lost packet count seen among the aggregated flows
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Lowest lost packet count seen among the aggregated flows
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.max = None
                                        self.min = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:counter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.max is not None:
                                            return True

                                        if self.min is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Packets.Lost.Counter']['meta_info']


                                class Rate(object):
                                    """
                                    Packet loss rate from sequencing information
                                    
                                    .. attribute:: max
                                    
                                    	Maximum packet loss rate in the aggregated flows
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Minimum packet loss rate in the aggregated flows
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.max = None
                                        self.min = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:rate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.max is not None:
                                            return True

                                        if self.min is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Packets.Lost.Rate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:lost'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.counter is not None and self.counter._has_data():
                                        return True

                                    if self.rate is not None and self.rate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Packets.Lost']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:packets'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.expected is not None and self.expected._has_data():
                                    return True

                                if self.lost is not None and self.lost._has_data():
                                    return True

                                if self.out_of_order is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Packets']['meta_info']


                        class RoundTripTime(object):
                            """
                            RTT calculation for flow
                            
                            .. attribute:: max
                            
                            	Highest RTT among all flows
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: min
                            
                            	Lowest RTT among all flows
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: samples
                            
                            	RTT samples
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sum
                            
                            	Sum RTT for all flows
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.max = None
                                self.min = None
                                self.samples = None
                                self.sum = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:round-trip-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.max is not None:
                                    return True

                                if self.min is not None:
                                    return True

                                if self.samples is not None:
                                    return True

                                if self.sum is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.RoundTripTime']['meta_info']


                        class Rtp(object):
                            """
                            RTP fields
                            
                            .. attribute:: flow
                            
                            	RTP  flow
                            	**type**\:   :py:class:`Flow_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Rtp.Flow_>`
                            
                            .. attribute:: jitter
                            
                            	RTP jitter fields
                            	**type**\:   :py:class:`Jitter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter>`
                            
                            .. attribute:: payload_type
                            
                            	RTP payload type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ssrc
                            
                            	RTP SSRC
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.flow = Native.Flow.Record.Default.Collect.Transport.Rtp.Flow_()
                                self.flow.parent = self
                                self.jitter = Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter()
                                self.jitter.parent = self
                                self.payload_type = None
                                self.ssrc = None


                            class Flow_(object):
                                """
                                RTP  flow
                                
                                .. attribute:: count
                                
                                	Number of RTP flows
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.count = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.count is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Rtp.Flow_']['meta_info']


                            class Jitter(object):
                                """
                                RTP jitter fields
                                
                                .. attribute:: maximum
                                
                                	Maximum jitter for the RTP stream
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mean
                                
                                	Mean jitter for the RTP stream
                                	**type**\:   :py:class:`Mean <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter.Mean>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: minimum
                                
                                	Minimum jitter for the RTP stream
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.maximum = None
                                    self.mean = None
                                    self.minimum = None


                                class Mean(object):
                                    """
                                    Mean jitter for the RTP stream
                                    
                                    .. attribute:: sum
                                    
                                    	The sum of jitter mean for the RTP stream
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.sum = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:mean'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.sum is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter.Mean']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:jitter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.maximum is not None:
                                        return True

                                    if self.mean is not None and self.mean._has_data():
                                        return True

                                    if self.minimum is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:rtp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.flow is not None and self.flow._has_data():
                                    return True

                                if self.jitter is not None and self.jitter._has_data():
                                    return True

                                if self.payload_type is not None:
                                    return True

                                if self.ssrc is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Collect.Transport.Rtp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:transport'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bytes is not None and self.bytes._has_data():
                                return True

                            if self.destination_port is not None:
                                return True

                            if self.event is not None and self.event._has_data():
                                return True

                            if self.icmp is not None and self.icmp._has_data():
                                return True

                            if self.igmp is not None and self.igmp._has_data():
                                return True

                            if self.packets is not None and self.packets._has_data():
                                return True

                            if self.round_trip_time is not None and self.round_trip_time._has_data():
                                return True

                            if self.rtp is not None and self.rtp._has_data():
                                return True

                            if self.source_port is not None:
                                return True

                            if self.tcp is not None and self.tcp._has_data():
                                return True

                            if self.udp is not None and self.udp._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Collect.Transport']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:collect'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.application is not None and self.application._has_data():
                            return True

                        if self.connection is not None and self.connection._has_data():
                            return True

                        if self.counter is not None and self.counter._has_data():
                            return True

                        if self.datalink is not None and self.datalink._has_data():
                            return True

                        if self.flow is not None and self.flow._has_data():
                            return True

                        if self.interface is not None and self.interface._has_data():
                            return True

                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        if self.metadata is not None and self.metadata._has_data():
                            return True

                        if self.monitor is not None and self.monitor._has_data():
                            return True

                        if self.mpls is not None and self.mpls._has_data():
                            return True

                        if self.network is not None and self.network._has_data():
                            return True

                        if self.pfr is not None and self.pfr._has_data():
                            return True

                        if self.policy is not None and self.policy._has_data():
                            return True

                        if self.routing is not None and self.routing._has_data():
                            return True

                        if self.services is not None and self.services._has_data():
                            return True

                        if self.timestamp is not None and self.timestamp._has_data():
                            return True

                        if self.transport is not None and self.transport._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Default.Collect']['meta_info']


                class Match(object):
                    """
                    Specify a key field
                    
                    .. attribute:: application
                    
                    	Application fields
                    	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Application>`
                    
                    .. attribute:: connection
                    
                    	Connection fields
                    	**type**\:   :py:class:`Connection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Connection>`
                    
                    .. attribute:: datalink
                    
                    	Datalink (layer2) fields
                    	**type**\:   :py:class:`Datalink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Datalink>`
                    
                    .. attribute:: flow
                    
                    	Flow identifying fields
                    	**type**\:   :py:class:`Flow_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Flow_>`
                    
                    .. attribute:: interface
                    
                    	Interface fields
                    	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Interface>`
                    
                    .. attribute:: ipv4
                    
                    	IPv4 fields
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 fields
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6>`
                    
                    .. attribute:: metadata
                    
                    	Metadata fields
                    	**type**\:   :py:class:`Metadata <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Metadata>`
                    
                    .. attribute:: mpls
                    
                    	MPLS fields
                    	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Mpls>`
                    
                    .. attribute:: network
                    
                    	network metrics
                    	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Network>`
                    
                    .. attribute:: pfr
                    
                    	PfR metrics
                    	**type**\:   :py:class:`Pfr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr>`
                    
                    .. attribute:: policy
                    
                    	policy fields
                    	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Policy>`
                    
                    .. attribute:: routing
                    
                    	Routing attributes
                    	**type**\:   :py:class:`Routing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing>`
                    
                    .. attribute:: services
                    
                    	Services fields
                    	**type**\:   :py:class:`Services <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Services>`
                    
                    .. attribute:: timestamp
                    
                    	Timestamp fields
                    	**type**\:   :py:class:`Timestamp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Timestamp>`
                    
                    .. attribute:: transport
                    
                    	Transport layer fields
                    	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.application = Native.Flow.Record.Default.Match.Application()
                        self.application.parent = self
                        self.connection = Native.Flow.Record.Default.Match.Connection()
                        self.connection.parent = self
                        self.datalink = Native.Flow.Record.Default.Match.Datalink()
                        self.datalink.parent = self
                        self.flow = Native.Flow.Record.Default.Match.Flow_()
                        self.flow.parent = self
                        self.interface = Native.Flow.Record.Default.Match.Interface()
                        self.interface.parent = self
                        self.ipv4 = Native.Flow.Record.Default.Match.Ipv4()
                        self.ipv4.parent = self
                        self.ipv6 = Native.Flow.Record.Default.Match.Ipv6()
                        self.ipv6.parent = self
                        self.metadata = Native.Flow.Record.Default.Match.Metadata()
                        self.metadata.parent = self
                        self.mpls = Native.Flow.Record.Default.Match.Mpls()
                        self.mpls.parent = self
                        self.network = Native.Flow.Record.Default.Match.Network()
                        self.network.parent = self
                        self.pfr = Native.Flow.Record.Default.Match.Pfr()
                        self.pfr.parent = self
                        self.policy = Native.Flow.Record.Default.Match.Policy()
                        self.policy.parent = self
                        self.routing = Native.Flow.Record.Default.Match.Routing()
                        self.routing.parent = self
                        self.services = Native.Flow.Record.Default.Match.Services()
                        self.services.parent = self
                        self.timestamp = Native.Flow.Record.Default.Match.Timestamp()
                        self.timestamp.parent = self
                        self.transport = Native.Flow.Record.Default.Match.Transport()
                        self.transport.parent = self


                    class Application(object):
                        """
                        Application fields
                        
                        .. attribute:: name
                        
                        	Application name
                        	**type**\:   :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Application.Name>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: vendor
                        
                        	Application vendor id
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: version
                        
                        	Application version id
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.vendor = None
                            self.version = None


                        class Name(object):
                            """
                            Application name
                            
                            .. attribute:: account_on_resolution
                            
                            	Account on resolution
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.account_on_resolution = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:name'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.account_on_resolution is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Application.Name']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:application'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None and self.name._has_data():
                                return True

                            if self.vendor is not None:
                                return True

                            if self.version is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Match.Application']['meta_info']


                    class Connection(object):
                        """
                        Connection fields
                        
                        .. attribute:: client
                        
                        	Client side (flow initiator) related metrics
                        	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Connection.Client>`
                        
                        .. attribute:: id
                        
                        	An identifier for a connection between client and server
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: initiator
                        
                        	The direction of the flow
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: server
                        
                        	Server side (flow responder) related metrics
                        	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Connection.Server>`
                        
                        .. attribute:: transaction_id
                        
                        	An identifier for a transaction between client and server
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.client = Native.Flow.Record.Default.Match.Connection.Client()
                            self.client.parent = self
                            self.id = None
                            self.initiator = None
                            self.server = Native.Flow.Record.Default.Match.Connection.Server()
                            self.server.parent = self
                            self.transaction_id = None


                        class Client(object):
                            """
                            Client side (flow initiator) related metrics
                            
                            .. attribute:: ipv4
                            
                            	Client side IPv4 metrics
                            	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Connection.Client.Ipv4>`
                            
                            .. attribute:: ipv6
                            
                            	Client side IPv6 metrics
                            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Connection.Client.Ipv6>`
                            
                            .. attribute:: transport
                            
                            	Client side transport metrics
                            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Connection.Client.Transport>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = Native.Flow.Record.Default.Match.Connection.Client.Ipv4()
                                self.ipv4.parent = self
                                self.ipv6 = Native.Flow.Record.Default.Match.Connection.Client.Ipv6()
                                self.ipv6.parent = self
                                self.transport = Native.Flow.Record.Default.Match.Connection.Client.Transport()
                                self.transport.parent = self


                            class Ipv4(object):
                                """
                                Client side IPv4 metrics
                                
                                .. attribute:: address
                                
                                	IPv4 address of the flow initiator
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv4'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Connection.Client.Ipv4']['meta_info']


                            class Ipv6(object):
                                """
                                Client side IPv6 metrics
                                
                                .. attribute:: address
                                
                                	IPv6 address of the flow initiator
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv6'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Connection.Client.Ipv6']['meta_info']


                            class Transport(object):
                                """
                                Client side transport metrics
                                
                                .. attribute:: port
                                
                                	Transport port of the flow initiator
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:transport'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Connection.Client.Transport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:client'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None and self.ipv4._has_data():
                                    return True

                                if self.ipv6 is not None and self.ipv6._has_data():
                                    return True

                                if self.transport is not None and self.transport._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Connection.Client']['meta_info']


                        class Server(object):
                            """
                            Server side (flow responder) related metrics
                            
                            .. attribute:: ipv4
                            
                            	Server side IPv4 metrics
                            	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Connection.Server.Ipv4>`
                            
                            .. attribute:: ipv6
                            
                            	Server side IPv6 metrics
                            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Connection.Server.Ipv6>`
                            
                            .. attribute:: transport
                            
                            	Server side transport metrics
                            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Connection.Server.Transport>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = Native.Flow.Record.Default.Match.Connection.Server.Ipv4()
                                self.ipv4.parent = self
                                self.ipv6 = Native.Flow.Record.Default.Match.Connection.Server.Ipv6()
                                self.ipv6.parent = self
                                self.transport = Native.Flow.Record.Default.Match.Connection.Server.Transport()
                                self.transport.parent = self


                            class Ipv4(object):
                                """
                                Server side IPv4 metrics
                                
                                .. attribute:: address
                                
                                	IPv4 address of the flow responder
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv4'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Connection.Server.Ipv4']['meta_info']


                            class Ipv6(object):
                                """
                                Server side IPv6 metrics
                                
                                .. attribute:: address
                                
                                	IPv6 address of the flow responder
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv6'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Connection.Server.Ipv6']['meta_info']


                            class Transport(object):
                                """
                                Server side transport metrics
                                
                                .. attribute:: port
                                
                                	Transport port of the flow responder
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:transport'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Connection.Server.Transport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None and self.ipv4._has_data():
                                    return True

                                if self.ipv6 is not None and self.ipv6._has_data():
                                    return True

                                if self.transport is not None and self.transport._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Connection.Server']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:connection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.client is not None and self.client._has_data():
                                return True

                            if self.id is not None:
                                return True

                            if self.initiator is not None:
                                return True

                            if self.server is not None and self.server._has_data():
                                return True

                            if self.transaction_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Match.Connection']['meta_info']


                    class Datalink(object):
                        """
                        Datalink (layer2) fields
                        
                        .. attribute:: destination_vlan_id
                        
                        	ID of the VLAN that the packet is going to
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dot1q
                        
                        	dot1q field
                        	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Datalink.Dot1Q>`
                        
                        .. attribute:: ethertype
                        
                        	The Ethertype of the packet
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mac
                        
                        	MAC fields
                        	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Datalink.Mac>`
                        
                        .. attribute:: source_vlan_id
                        
                        	ID of the VLAN that the packet came from
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination_vlan_id = None
                            self.dot1q = Native.Flow.Record.Default.Match.Datalink.Dot1Q()
                            self.dot1q.parent = self
                            self.ethertype = None
                            self.mac = Native.Flow.Record.Default.Match.Datalink.Mac()
                            self.mac.parent = self
                            self.source_vlan_id = None


                        class Dot1Q(object):
                            """
                            dot1q field
                            
                            .. attribute:: priority
                            
                            	The CoS field out of the dot1q header
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan
                            
                            	The VLAN the packet is on
                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Datalink.Dot1Q.Vlan>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.priority = None
                                self.vlan = Native.Flow.Record.Default.Match.Datalink.Dot1Q.Vlan()
                                self.vlan.parent = self


                            class Vlan(object):
                                """
                                The VLAN the packet is on
                                
                                .. attribute:: input
                                
                                	The VLAN the packet is on at input
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: output
                                
                                	The VLAN the packet is on at output
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.input = None
                                    self.output = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:vlan'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.input is not None:
                                        return True

                                    if self.output is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Datalink.Dot1Q.Vlan']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:dot1q'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.priority is not None:
                                    return True

                                if self.vlan is not None and self.vlan._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Datalink.Dot1Q']['meta_info']


                        class Mac(object):
                            """
                            MAC fields
                            
                            .. attribute:: destination
                            
                            	destination MAC fields
                            	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Datalink.Mac.Destination>`
                            
                            .. attribute:: source
                            
                            	source MAC fields
                            	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Datalink.Mac.Source>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.destination = Native.Flow.Record.Default.Match.Datalink.Mac.Destination()
                                self.destination.parent = self
                                self.source = Native.Flow.Record.Default.Match.Datalink.Mac.Source()
                                self.source.parent = self


                            class Destination(object):
                                """
                                destination MAC fields
                                
                                .. attribute:: address
                                
                                	Destination MAC address from packet
                                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Datalink.Mac.Destination.Address>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = Native.Flow.Record.Default.Match.Datalink.Mac.Destination.Address()
                                    self.address.parent = self


                                class Address(object):
                                    """
                                    Destination MAC address from packet
                                    
                                    .. attribute:: input
                                    
                                    	Destination MAC address from packet at input
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: output
                                    
                                    	Destination MAC address from packet at output
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.input = None
                                        self.output = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.input is not None:
                                            return True

                                        if self.output is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Match.Datalink.Mac.Destination.Address']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None and self.address._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Datalink.Mac.Destination']['meta_info']


                            class Source(object):
                                """
                                source MAC fields
                                
                                .. attribute:: address
                                
                                	Source MAC address from packet
                                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Datalink.Mac.Source.Address>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = Native.Flow.Record.Default.Match.Datalink.Mac.Source.Address()
                                    self.address.parent = self


                                class Address(object):
                                    """
                                    Source MAC address from packet
                                    
                                    .. attribute:: input
                                    
                                    	Source MAC address from packet at input
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: output
                                    
                                    	Source MAC address from packet at output
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.input = None
                                        self.output = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.input is not None:
                                            return True

                                        if self.output is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Match.Datalink.Mac.Source.Address']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None and self.address._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Datalink.Mac.Source']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:mac'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.destination is not None and self.destination._has_data():
                                    return True

                                if self.source is not None and self.source._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Datalink.Mac']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:datalink'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination_vlan_id is not None:
                                return True

                            if self.dot1q is not None and self.dot1q._has_data():
                                return True

                            if self.ethertype is not None:
                                return True

                            if self.mac is not None and self.mac._has_data():
                                return True

                            if self.source_vlan_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Match.Datalink']['meta_info']


                    class Flow_(object):
                        """
                        Flow identifying fields
                        
                        .. attribute:: cts
                        
                        	Cisco Trusted Security fields
                        	**type**\:   :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Flow_.Cts>`
                        
                        .. attribute:: direction
                        
                        	Direction the flow was monitored in
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: observation
                        
                        	Flow observation metrics
                        	**type**\:   :py:class:`Observation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Flow_.Observation>`
                        
                        .. attribute:: sampler
                        
                        	ID of the sampler
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cts = Native.Flow.Record.Default.Match.Flow_.Cts()
                            self.cts.parent = self
                            self.direction = None
                            self.observation = Native.Flow.Record.Default.Match.Flow_.Observation()
                            self.observation.parent = self
                            self.sampler = None


                        class Cts(object):
                            """
                            Cisco Trusted Security fields
                            
                            .. attribute:: destination
                            
                            	Cisco Trusted Security destination fields
                            	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Flow_.Cts.Destination>`
                            
                            .. attribute:: source
                            
                            	Cisco Trusted Security source fields
                            	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Flow_.Cts.Source>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.destination = Native.Flow.Record.Default.Match.Flow_.Cts.Destination()
                                self.destination.parent = self
                                self.source = Native.Flow.Record.Default.Match.Flow_.Cts.Source()
                                self.source.parent = self


                            class Destination(object):
                                """
                                Cisco Trusted Security destination fields
                                
                                .. attribute:: group_tag
                                
                                	destination group\-tag
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.group_tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.group_tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Flow_.Cts.Destination']['meta_info']


                            class Source(object):
                                """
                                Cisco Trusted Security source fields
                                
                                .. attribute:: group_tag
                                
                                	source group\-tag
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.group_tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.group_tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Flow_.Cts.Source']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:cts'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.destination is not None and self.destination._has_data():
                                    return True

                                if self.source is not None and self.source._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Flow_.Cts']['meta_info']


                        class Observation(object):
                            """
                            Flow observation metrics
                            
                            .. attribute:: point
                            
                            	Observation point ID
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.point = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:observation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.point is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Flow_.Observation']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cts is not None and self.cts._has_data():
                                return True

                            if self.direction is not None:
                                return True

                            if self.observation is not None and self.observation._has_data():
                                return True

                            if self.sampler is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Match.Flow_']['meta_info']


                    class Interface(object):
                        """
                        Interface fields
                        
                        .. attribute:: input
                        
                        	The input interface
                        	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Interface.Input>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: output
                        
                        	The output interface
                        	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Interface.Output>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = None
                            self.output = None


                        class Input(object):
                            """
                            The input interface
                            
                            .. attribute:: snmp
                            
                            	SNMP Index of the input interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.snmp = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.snmp is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Interface.Input']['meta_info']


                        class Output(object):
                            """
                            The output interface
                            
                            .. attribute:: snmp
                            
                            	SNMP Index of the output interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.snmp = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:output'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.snmp is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Interface.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:interface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None and self.input._has_data():
                                return True

                            if self.output is not None and self.output._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Match.Interface']['meta_info']


                    class Ipv4(object):
                        """
                        IPv4 fields
                        
                        .. attribute:: destination
                        
                        	IPv4 destination address based fields
                        	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Destination>`
                        
                        .. attribute:: dscp
                        
                        	IPv4 DSCP (part of TOS)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fragmentation
                        
                        	IPv4 fragmentation fields
                        	**type**\:   :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Fragmentation>`
                        
                        .. attribute:: header_length
                        
                        	IPv4 header length (IHL in 32 bit words)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: id
                        
                        	IPv4 ID
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: length
                        
                        	IPv4 length fields
                        	**type**\:   :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Length>`
                        
                        .. attribute:: option
                        
                        	IPv4 option fields
                        	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Option>`
                        
                        .. attribute:: precedence
                        
                        	IPv4 precedence (part of TOS)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: protocol
                        
                        	IPv4 protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: section
                        
                        	Part of the packet
                        	**type**\:   :py:class:`Section <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Section>`
                        
                        .. attribute:: source
                        
                        	IPv4 source address based fields
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Source>`
                        
                        .. attribute:: tos
                        
                        	IPv4 type of service
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: total_length
                        
                        	IPv4 total length
                        	**type**\:   :py:class:`TotalLength <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.TotalLength>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ttl
                        
                        	IPv4 TTL
                        	**type**\:   :py:class:`Ttl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Ttl>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: version
                        
                        	IP version from IPv4 header
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination = Native.Flow.Record.Default.Match.Ipv4.Destination()
                            self.destination.parent = self
                            self.dscp = None
                            self.fragmentation = Native.Flow.Record.Default.Match.Ipv4.Fragmentation()
                            self.fragmentation.parent = self
                            self.header_length = None
                            self.id = None
                            self.length = Native.Flow.Record.Default.Match.Ipv4.Length()
                            self.length.parent = self
                            self.option = Native.Flow.Record.Default.Match.Ipv4.Option()
                            self.option.parent = self
                            self.precedence = None
                            self.protocol = None
                            self.section = Native.Flow.Record.Default.Match.Ipv4.Section()
                            self.section.parent = self
                            self.source = Native.Flow.Record.Default.Match.Ipv4.Source()
                            self.source.parent = self
                            self.tos = None
                            self.total_length = None
                            self.ttl = None
                            self.version = None


                        class Destination(object):
                            """
                            IPv4 destination address based fields
                            
                            .. attribute:: address
                            
                            	IPv4 destination address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	IPv4 address mask for the IPv4 destination address
                            	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Destination.Mask>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix
                            
                            	IPv4 address prefix for the IPv4 destination address
                            	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Destination.Prefix>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.mask = None
                                self.prefix = None


                            class Mask(object):
                                """
                                IPv4 address mask for the IPv4 destination address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.minimum_mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.minimum_mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Ipv4.Destination.Mask']['meta_info']


                            class Prefix(object):
                                """
                                IPv4 address prefix for the IPv4 destination address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.minimum_mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.minimum_mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Ipv4.Destination.Prefix']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.mask is not None and self.mask._has_data():
                                    return True

                                if self.prefix is not None and self.prefix._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Ipv4.Destination']['meta_info']


                        class Fragmentation(object):
                            """
                            IPv4 fragmentation fields
                            
                            .. attribute:: flags
                            
                            	IPv4 fragmentation flags
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: offset
                            
                            	IPv4 fragmentation offset
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.flags = None
                                self.offset = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:fragmentation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.flags is not None:
                                    return True

                                if self.offset is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Ipv4.Fragmentation']['meta_info']


                        class Length(object):
                            """
                            IPv4 length fields
                            
                            .. attribute:: header
                            
                            	Length of the IPv4 header in bytes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: payload
                            
                            	Length of the IPv4 payload in bytes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: total
                            
                            	Total length of the IPv4 header and payload in bytes
                            	**type**\:   :py:class:`Total <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Length.Total>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.header = None
                                self.payload = None
                                self.total = None


                            class Total(object):
                                """
                                Total length of the IPv4 header and payload in bytes
                                
                                .. attribute:: maximum
                                
                                	Maximum total length in bytes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minimum
                                
                                	Minimum total length in bytes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.maximum = None
                                    self.minimum = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:total'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.maximum is not None:
                                        return True

                                    if self.minimum is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Ipv4.Length.Total']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:length'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.header is not None:
                                    return True

                                if self.payload is not None:
                                    return True

                                if self.total is not None and self.total._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Ipv4.Length']['meta_info']


                        class Option(object):
                            """
                            IPv4 option fields
                            
                            .. attribute:: map
                            
                            	Bitmap of IPv4 options
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Ipv4.Option']['meta_info']


                        class Section(object):
                            """
                            Part of the packet
                            
                            .. attribute:: header
                            
                            	Raw data starting at the IPv4 header
                            	**type**\:   :py:class:`Header <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Section.Header>`
                            
                            .. attribute:: payload
                            
                            	Raw data starting at the IPv4 payload
                            	**type**\:   :py:class:`Payload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Section.Payload>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.header = Native.Flow.Record.Default.Match.Ipv4.Section.Header()
                                self.header.parent = self
                                self.payload = Native.Flow.Record.Default.Match.Ipv4.Section.Payload()
                                self.payload.parent = self


                            class Header(object):
                                """
                                Raw data starting at the IPv4 header
                                
                                .. attribute:: size
                                
                                	Specify the number of bytes to capture
                                	**type**\:  int
                                
                                	**range:** 1..1200
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.size = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:header'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.size is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Ipv4.Section.Header']['meta_info']


                            class Payload(object):
                                """
                                Raw data starting at the IPv4 payload
                                
                                .. attribute:: size
                                
                                	Specify the number of bytes to capture
                                	**type**\:  int
                                
                                	**range:** 1..1200
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.size = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:payload'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.size is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Ipv4.Section.Payload']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:section'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.header is not None and self.header._has_data():
                                    return True

                                if self.payload is not None and self.payload._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Ipv4.Section']['meta_info']


                        class Source(object):
                            """
                            IPv4 source address based fields
                            
                            .. attribute:: address
                            
                            	IPv4 source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	IPv4 address mask for the IPv4 source address
                            	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Source.Mask>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix
                            
                            	IPv4 address prefix for the IPv4 source address
                            	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Source.Prefix>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.mask = None
                                self.prefix = None


                            class Mask(object):
                                """
                                IPv4 address mask for the IPv4 source address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.minimum_mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.minimum_mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Ipv4.Source.Mask']['meta_info']


                            class Prefix(object):
                                """
                                IPv4 address prefix for the IPv4 source address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.minimum_mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.minimum_mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Ipv4.Source.Prefix']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.mask is not None and self.mask._has_data():
                                    return True

                                if self.prefix is not None and self.prefix._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Ipv4.Source']['meta_info']


                        class TotalLength(object):
                            """
                            IPv4 total length
                            
                            .. attribute:: maximum
                            
                            	Largest value for IPv4 length seen in the flow
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	Smallest value for IPv4 length seen in the flow
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.maximum = None
                                self.minimum = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:total-length'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.maximum is not None:
                                    return True

                                if self.minimum is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Ipv4.TotalLength']['meta_info']


                        class Ttl(object):
                            """
                            IPv4 TTL
                            
                            .. attribute:: maximum
                            
                            	Largest value seen for TTL in the flow
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	Smallest value seen for TTL in the flow
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.maximum = None
                                self.minimum = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:ttl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.maximum is not None:
                                    return True

                                if self.minimum is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Ipv4.Ttl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination is not None and self.destination._has_data():
                                return True

                            if self.dscp is not None:
                                return True

                            if self.fragmentation is not None and self.fragmentation._has_data():
                                return True

                            if self.header_length is not None:
                                return True

                            if self.id is not None:
                                return True

                            if self.length is not None and self.length._has_data():
                                return True

                            if self.option is not None and self.option._has_data():
                                return True

                            if self.precedence is not None:
                                return True

                            if self.protocol is not None:
                                return True

                            if self.section is not None and self.section._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            if self.tos is not None:
                                return True

                            if self.total_length is not None and self.total_length._has_data():
                                return True

                            if self.ttl is not None and self.ttl._has_data():
                                return True

                            if self.version is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Match.Ipv4']['meta_info']


                    class Ipv6(object):
                        """
                        IPv6 fields
                        
                        .. attribute:: destination
                        
                        	IPv6 destination address based fields
                        	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Destination>`
                        
                        .. attribute:: dscp
                        
                        	IPv6 DSCP (part of Traffic Class)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: extension
                        
                        	IPv6 extension header fields
                        	**type**\:   :py:class:`Extension <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Extension>`
                        
                        .. attribute:: flow_label
                        
                        	IPv6 flow label
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fragmentation
                        
                        	IPv6 fragmentation fields
                        	**type**\:   :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Fragmentation>`
                        
                        .. attribute:: hop_limit
                        
                        	IPv6 hop limit
                        	**type**\:   :py:class:`HopLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.HopLimit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: length
                        
                        	IPv6 length fields
                        	**type**\:   :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Length>`
                        
                        .. attribute:: next_header
                        
                        	The value of the next\-header field in the IPv6 header
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: payload_length
                        
                        	Length of the IPv6 payload in bytes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: precedence
                        
                        	IPv6 precedence (part of Traffic Class)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: protocol
                        
                        	IPv6 payload protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: section
                        
                        	Part of the packet
                        	**type**\:   :py:class:`Section <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Section>`
                        
                        .. attribute:: source
                        
                        	IPv6 source address based fields
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Source>`
                        
                        .. attribute:: traffic_class
                        
                        	IPv6 traffic class
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: version
                        
                        	IP version from IPv6 header
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination = Native.Flow.Record.Default.Match.Ipv6.Destination()
                            self.destination.parent = self
                            self.dscp = None
                            self.extension = Native.Flow.Record.Default.Match.Ipv6.Extension()
                            self.extension.parent = self
                            self.flow_label = None
                            self.fragmentation = Native.Flow.Record.Default.Match.Ipv6.Fragmentation()
                            self.fragmentation.parent = self
                            self.hop_limit = None
                            self.length = Native.Flow.Record.Default.Match.Ipv6.Length()
                            self.length.parent = self
                            self.next_header = None
                            self.payload_length = None
                            self.precedence = None
                            self.protocol = None
                            self.section = Native.Flow.Record.Default.Match.Ipv6.Section()
                            self.section.parent = self
                            self.source = Native.Flow.Record.Default.Match.Ipv6.Source()
                            self.source.parent = self
                            self.traffic_class = None
                            self.version = None


                        class Destination(object):
                            """
                            IPv6 destination address based fields
                            
                            .. attribute:: address
                            
                            	IPv6 destination address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	IPv6 address mask for the IPv6 destination address
                            	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Destination.Mask>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix
                            
                            	IPv6 address prefix for the IPv6 destination address
                            	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Destination.Prefix>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.mask = None
                                self.prefix = None


                            class Mask(object):
                                """
                                IPv6 address mask for the IPv6 destination address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\:  int
                                
                                	**range:** 1..128
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.minimum_mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.minimum_mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Ipv6.Destination.Mask']['meta_info']


                            class Prefix(object):
                                """
                                IPv6 address prefix for the IPv6 destination address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\:  int
                                
                                	**range:** 1..128
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.minimum_mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.minimum_mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Ipv6.Destination.Prefix']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.mask is not None and self.mask._has_data():
                                    return True

                                if self.prefix is not None and self.prefix._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Ipv6.Destination']['meta_info']


                        class Extension(object):
                            """
                            IPv6 extension header fields
                            
                            .. attribute:: map
                            
                            	Bitmap of IPv6 extension headers
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:extension'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Ipv6.Extension']['meta_info']


                        class Fragmentation(object):
                            """
                            IPv6 fragmentation fields
                            
                            .. attribute:: flags
                            
                            	IPv6 fragmentation flags
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	IPv6 fragmentation ID
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: offset
                            
                            	IPv6 fragmentation offset
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.flags = None
                                self.id = None
                                self.offset = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:fragmentation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.flags is not None:
                                    return True

                                if self.id is not None:
                                    return True

                                if self.offset is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Ipv6.Fragmentation']['meta_info']


                        class HopLimit(object):
                            """
                            IPv6 hop limit
                            
                            .. attribute:: maximum
                            
                            	Largest value seen for hop\-limit in the flow
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	Smallest value seen for hop\-limit in the flow
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.maximum = None
                                self.minimum = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:hop-limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.maximum is not None:
                                    return True

                                if self.minimum is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Ipv6.HopLimit']['meta_info']


                        class Length(object):
                            """
                            IPv6 length fields
                            
                            .. attribute:: header
                            
                            	Length of the IPv6 header, not including any extension headers, in bytes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: payload
                            
                            	Length of the IPv6 payload, including any extension headers, in bytes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: total
                            
                            	Total length of the IPv6 header and payload in bytes
                            	**type**\:   :py:class:`Total <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Length.Total>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.header = None
                                self.payload = None
                                self.total = None


                            class Total(object):
                                """
                                Total length of the IPv6 header and payload in bytes
                                
                                .. attribute:: maximum
                                
                                	Maximum total length in bytes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minimum
                                
                                	Minimum total length in bytes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.maximum = None
                                    self.minimum = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:total'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.maximum is not None:
                                        return True

                                    if self.minimum is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Ipv6.Length.Total']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:length'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.header is not None:
                                    return True

                                if self.payload is not None:
                                    return True

                                if self.total is not None and self.total._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Ipv6.Length']['meta_info']


                        class Section(object):
                            """
                            Part of the packet
                            
                            .. attribute:: header
                            
                            	Raw data starting at the IPv6 header
                            	**type**\:   :py:class:`Header <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Section.Header>`
                            
                            .. attribute:: payload
                            
                            	Raw data starting at the IPv6 payload
                            	**type**\:   :py:class:`Payload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Section.Payload>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.header = Native.Flow.Record.Default.Match.Ipv6.Section.Header()
                                self.header.parent = self
                                self.payload = Native.Flow.Record.Default.Match.Ipv6.Section.Payload()
                                self.payload.parent = self


                            class Header(object):
                                """
                                Raw data starting at the IPv6 header
                                
                                .. attribute:: size
                                
                                	Specify the number of bytes to capture
                                	**type**\:  int
                                
                                	**range:** 1..1200
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.size = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:header'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.size is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Ipv6.Section.Header']['meta_info']


                            class Payload(object):
                                """
                                Raw data starting at the IPv6 payload
                                
                                .. attribute:: size
                                
                                	Specify the number of bytes to capture
                                	**type**\:  int
                                
                                	**range:** 1..1200
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.size = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:payload'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.size is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Ipv6.Section.Payload']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:section'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.header is not None and self.header._has_data():
                                    return True

                                if self.payload is not None and self.payload._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Ipv6.Section']['meta_info']


                        class Source(object):
                            """
                            IPv6 source address based fields
                            
                            .. attribute:: address
                            
                            	IPv6 source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	IPv6 address mask for the IPv6 source address
                            	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Source.Mask>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix
                            
                            	IPv6 address prefix for the IPv6 source address
                            	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Source.Prefix>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.mask = None
                                self.prefix = None


                            class Mask(object):
                                """
                                IPv6 address mask for the IPv6 source address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\:  int
                                
                                	**range:** 1..128
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.minimum_mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.minimum_mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Ipv6.Source.Mask']['meta_info']


                            class Prefix(object):
                                """
                                IPv6 address prefix for the IPv6 source address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\:  int
                                
                                	**range:** 1..128
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.minimum_mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.minimum_mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Ipv6.Source.Prefix']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.mask is not None and self.mask._has_data():
                                    return True

                                if self.prefix is not None and self.prefix._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Ipv6.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination is not None and self.destination._has_data():
                                return True

                            if self.dscp is not None:
                                return True

                            if self.extension is not None and self.extension._has_data():
                                return True

                            if self.flow_label is not None:
                                return True

                            if self.fragmentation is not None and self.fragmentation._has_data():
                                return True

                            if self.hop_limit is not None and self.hop_limit._has_data():
                                return True

                            if self.length is not None and self.length._has_data():
                                return True

                            if self.next_header is not None:
                                return True

                            if self.payload_length is not None:
                                return True

                            if self.precedence is not None:
                                return True

                            if self.protocol is not None:
                                return True

                            if self.section is not None and self.section._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            if self.traffic_class is not None:
                                return True

                            if self.version is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Match.Ipv6']['meta_info']


                    class Metadata(object):
                        """
                        Metadata fields
                        
                        .. attribute:: global_session_id
                        
                        	Metadata global\-session\-id
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multi_party_session_id
                        
                        	Metadata multi\-party\-session\-id
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.global_session_id = None
                            self.multi_party_session_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:metadata'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.global_session_id is not None:
                                return True

                            if self.multi_party_session_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Match.Metadata']['meta_info']


                    class Mpls(object):
                        """
                        MPLS fields
                        
                        .. attribute:: label
                        
                        	MPLS label details
                        	**type**\:   :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Mpls.Label>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.label = Native.Flow.Record.Default.Match.Mpls.Label()
                            self.label.parent = self


                        class Label(object):
                            """
                            MPLS label details
                            
                            .. attribute:: five
                            
                            	MPLS label 5 information
                            	**type**\:   :py:class:`Five <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Mpls.Label.Five>`
                            
                            .. attribute:: four
                            
                            	MPLS label 4 information
                            	**type**\:   :py:class:`Four <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Mpls.Label.Four>`
                            
                            .. attribute:: one
                            
                            	MPLS label 1 information
                            	**type**\:   :py:class:`One <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Mpls.Label.One>`
                            
                            .. attribute:: six
                            
                            	MPLS label 6 information
                            	**type**\:   :py:class:`Six <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Mpls.Label.Six>`
                            
                            .. attribute:: three
                            
                            	MPLS label 3 information
                            	**type**\:   :py:class:`Three <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Mpls.Label.Three>`
                            
                            .. attribute:: two
                            
                            	MPLS label 2 information
                            	**type**\:   :py:class:`Two <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Mpls.Label.Two>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.five = Native.Flow.Record.Default.Match.Mpls.Label.Five()
                                self.five.parent = self
                                self.four = Native.Flow.Record.Default.Match.Mpls.Label.Four()
                                self.four.parent = self
                                self.one = Native.Flow.Record.Default.Match.Mpls.Label.One()
                                self.one.parent = self
                                self.six = Native.Flow.Record.Default.Match.Mpls.Label.Six()
                                self.six.parent = self
                                self.three = Native.Flow.Record.Default.Match.Mpls.Label.Three()
                                self.three.parent = self
                                self.two = Native.Flow.Record.Default.Match.Mpls.Label.Two()
                                self.two.parent = self


                            class One(object):
                                """
                                MPLS label 1 information
                                
                                .. attribute:: details
                                
                                	MPLS label 1 details
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: exp
                                
                                	MPLS EXP field from the last label that was pushed
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ttl
                                
                                	MPLS TTL field from the last label that was pushed
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: type
                                
                                	MPLS label type of the last label that was pushed
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.details = None
                                    self.exp = None
                                    self.ttl = None
                                    self.type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:one'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.details is not None:
                                        return True

                                    if self.exp is not None:
                                        return True

                                    if self.ttl is not None:
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Mpls.Label.One']['meta_info']


                            class Two(object):
                                """
                                MPLS label 2 information
                                
                                .. attribute:: details
                                
                                	MPLS label 2 details
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.details = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:two'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.details is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Mpls.Label.Two']['meta_info']


                            class Three(object):
                                """
                                MPLS label 3 information
                                
                                .. attribute:: details
                                
                                	MPLS label 3 details
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.details = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:three'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.details is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Mpls.Label.Three']['meta_info']


                            class Four(object):
                                """
                                MPLS label 4 information
                                
                                .. attribute:: details
                                
                                	MPLS label 4 details
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.details = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:four'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.details is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Mpls.Label.Four']['meta_info']


                            class Five(object):
                                """
                                MPLS label 5 information
                                
                                .. attribute:: details
                                
                                	MPLS label 5 details
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.details = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:five'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.details is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Mpls.Label.Five']['meta_info']


                            class Six(object):
                                """
                                MPLS label 6 information
                                
                                .. attribute:: details
                                
                                	MPLS label 6 details
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.details = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:six'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.details is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Mpls.Label.Six']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:label'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.five is not None and self.five._has_data():
                                    return True

                                if self.four is not None and self.four._has_data():
                                    return True

                                if self.one is not None and self.one._has_data():
                                    return True

                                if self.six is not None and self.six._has_data():
                                    return True

                                if self.three is not None and self.three._has_data():
                                    return True

                                if self.two is not None and self.two._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Mpls.Label']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:mpls'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.label is not None and self.label._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Match.Mpls']['meta_info']


                    class Network(object):
                        """
                        network metrics
                        
                        .. attribute:: delay
                        
                        	network delay metrics
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Network.Delay>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.delay = Native.Flow.Record.Default.Match.Network.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            network delay metrics
                            
                            .. attribute:: sample
                            
                            	The number of samples of roundtrip delay
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sum
                            
                            	The sum of roundtrip delay
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.sample = None
                                self.sum = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.sample is not None:
                                    return True

                                if self.sum is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Network.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:network'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Match.Network']['meta_info']


                    class Pfr(object):
                        """
                        PfR metrics
                        
                        .. attribute:: label
                        
                        	PfR label metrics
                        	**type**\:   :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Label>`
                        
                        .. attribute:: one_way_delay
                        
                        	The packet transmission delay between specified nodes
                        	**type**\:   :py:class:`OneWayDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.OneWayDelay>`
                        
                        .. attribute:: service
                        
                        	PfR service metrics
                        	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Service>`
                        
                        .. attribute:: site
                        
                        	PfR site  metrics
                        	**type**\:   :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Site>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.label = Native.Flow.Record.Default.Match.Pfr.Label()
                            self.label.parent = self
                            self.one_way_delay = Native.Flow.Record.Default.Match.Pfr.OneWayDelay()
                            self.one_way_delay.parent = self
                            self.service = Native.Flow.Record.Default.Match.Pfr.Service()
                            self.service.parent = self
                            self.site = Native.Flow.Record.Default.Match.Pfr.Site()
                            self.site.parent = self


                        class Label(object):
                            """
                            PfR label metrics
                            
                            .. attribute:: identifier
                            
                            	pfr label id
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.identifier = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:label'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.identifier is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Pfr.Label']['meta_info']


                        class OneWayDelay(object):
                            """
                            The packet transmission delay between specified nodes
                            
                            .. attribute:: samples
                            
                            	Total number of one\-way\-delay samples
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sum
                            
                            	The packet transmission delay sum between specified nodes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.samples = None
                                self.sum = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:one-way-delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.samples is not None:
                                    return True

                                if self.sum is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Pfr.OneWayDelay']['meta_info']


                        class Service(object):
                            """
                            PfR service metrics
                            
                            .. attribute:: identifier
                            
                            	PfR service provider tag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: provider
                            
                            	PfR service provider metrics
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	PfR service provider tag metrics
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.identifier = None
                                self.provider = None
                                self.tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:service'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.identifier is not None:
                                    return True

                                if self.provider is not None:
                                    return True

                                if self.tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Pfr.Service']['meta_info']


                        class Site(object):
                            """
                            PfR site  metrics
                            
                            .. attribute:: destination
                            
                            	PfR site destination metrics
                            	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Site.Destination>`
                            
                            .. attribute:: source
                            
                            	PfR site source metrics
                            	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Site.Source>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.destination = Native.Flow.Record.Default.Match.Pfr.Site.Destination()
                                self.destination.parent = self
                                self.source = Native.Flow.Record.Default.Match.Pfr.Site.Source()
                                self.source.parent = self


                            class Destination(object):
                                """
                                PfR site destination metrics
                                
                                .. attribute:: id
                                
                                	PfR site destination ID metrics
                                	**type**\:   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Site.Destination.Id>`
                                
                                .. attribute:: prefix
                                
                                	PfR site prefix of the packet destination
                                	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = Native.Flow.Record.Default.Match.Pfr.Site.Destination.Id()
                                    self.id.parent = self
                                    self.prefix = Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix()
                                    self.prefix.parent = self


                                class Id(object):
                                    """
                                    PfR site destination ID metrics
                                    
                                    .. attribute:: ipv4
                                    
                                    	site ID of the packet destination
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:id'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Destination.Id']['meta_info']


                                class Prefix(object):
                                    """
                                    PfR site prefix of the packet destination
                                    
                                    .. attribute:: ipv4
                                    
                                    	site prefix of the packet destination
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	PfR site prefix mask of the packet destination
                                    	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix.Mask>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None
                                        self.mask = Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix.Mask()
                                        self.mask.parent = self


                                    class Mask(object):
                                        """
                                        PfR site prefix mask of the packet destination
                                        
                                        .. attribute:: ipv4
                                        
                                        	site prefix mask of the packet destination
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix.Mask']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        if self.mask is not None and self.mask._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None and self.id._has_data():
                                        return True

                                    if self.prefix is not None and self.prefix._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Destination']['meta_info']


                            class Source(object):
                                """
                                PfR site source metrics
                                
                                .. attribute:: id
                                
                                	PfR site source ID metrics
                                	**type**\:   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Site.Source.Id>`
                                
                                .. attribute:: prefix
                                
                                	PfR site prefix of the packet source
                                	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = Native.Flow.Record.Default.Match.Pfr.Site.Source.Id()
                                    self.id.parent = self
                                    self.prefix = Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix()
                                    self.prefix.parent = self


                                class Id(object):
                                    """
                                    PfR site source ID metrics
                                    
                                    .. attribute:: ipv4
                                    
                                    	site ID of the packet source
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:id'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Source.Id']['meta_info']


                                class Prefix(object):
                                    """
                                    PfR site prefix of the packet source
                                    
                                    .. attribute:: ipv4
                                    
                                    	site prefix of the packet source
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	PfR site prefix mask of the packet source
                                    	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix.Mask>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None
                                        self.mask = Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix.Mask()
                                        self.mask.parent = self


                                    class Mask(object):
                                        """
                                        PfR site prefix mask of the packet source
                                        
                                        .. attribute:: ipv4
                                        
                                        	site prefix mask of the packet source
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix.Mask']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        if self.mask is not None and self.mask._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None and self.id._has_data():
                                        return True

                                    if self.prefix is not None and self.prefix._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Pfr.Site.Source']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:site'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.destination is not None and self.destination._has_data():
                                    return True

                                if self.source is not None and self.source._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Pfr.Site']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:pfr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.label is not None and self.label._has_data():
                                return True

                            if self.one_way_delay is not None and self.one_way_delay._has_data():
                                return True

                            if self.service is not None and self.service._has_data():
                                return True

                            if self.site is not None and self.site._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Match.Pfr']['meta_info']


                    class Policy(object):
                        """
                        policy fields
                        
                        .. attribute:: performance_monitor
                        
                        	Performance\-monitor policy related metrics
                        	**type**\:   :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Policy.PerformanceMonitor>`
                        
                        .. attribute:: qos
                        
                        	QoS policy related metrics
                        	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Policy.Qos>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.performance_monitor = Native.Flow.Record.Default.Match.Policy.PerformanceMonitor()
                            self.performance_monitor.parent = self
                            self.qos = Native.Flow.Record.Default.Match.Policy.Qos()
                            self.qos.parent = self


                        class PerformanceMonitor(object):
                            """
                            Performance\-monitor policy related metrics
                            
                            .. attribute:: classification
                            
                            	Classification metrics
                            	**type**\:   :py:class:`Classification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Policy.PerformanceMonitor.Classification>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.classification = Native.Flow.Record.Default.Match.Policy.PerformanceMonitor.Classification()
                                self.classification.parent = self


                            class Classification(object):
                                """
                                Classification metrics
                                
                                .. attribute:: hierarchy
                                
                                	Performance\-monitor class hierarchy
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.hierarchy = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:classification'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.hierarchy is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Policy.PerformanceMonitor.Classification']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:performance-monitor'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.classification is not None and self.classification._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Policy.PerformanceMonitor']['meta_info']


                        class Qos(object):
                            """
                            QoS policy related metrics
                            
                            .. attribute:: classification
                            
                            	Classification metrics
                            	**type**\:   :py:class:`Classification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Policy.Qos.Classification>`
                            
                            .. attribute:: queue
                            
                            	Queue metrics
                            	**type**\:   :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Policy.Qos.Queue>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.classification = Native.Flow.Record.Default.Match.Policy.Qos.Classification()
                                self.classification.parent = self
                                self.queue = Native.Flow.Record.Default.Match.Policy.Qos.Queue()
                                self.queue.parent = self


                            class Classification(object):
                                """
                                Classification metrics
                                
                                .. attribute:: hierarchy
                                
                                	QoS class hierarchy
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.hierarchy = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:classification'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.hierarchy is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Policy.Qos.Classification']['meta_info']


                            class Queue(object):
                                """
                                Queue metrics
                                
                                .. attribute:: drops
                                
                                	QoS queue drops
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: index
                                
                                	QoS queue index
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.drops = None
                                    self.index = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:queue'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.drops is not None:
                                        return True

                                    if self.index is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Policy.Qos.Queue']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:qos'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.classification is not None and self.classification._has_data():
                                    return True

                                if self.queue is not None and self.queue._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Policy.Qos']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.performance_monitor is not None and self.performance_monitor._has_data():
                                return True

                            if self.qos is not None and self.qos._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Match.Policy']['meta_info']


                    class Routing(object):
                        """
                        Routing attributes
                        
                        .. attribute:: destination
                        
                        	Destination routing attributes
                        	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.Destination>`
                        
                        .. attribute:: forwarding_status
                        
                        	Forwarding status of the packet
                        	**type**\:   :py:class:`ForwardingStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.ForwardingStatus>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: is_multicast
                        
                        	Indicates if this is multicast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: next_hop
                        
                        	Information regarding the next hop
                        	**type**\:   :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.NextHop>`
                        
                        .. attribute:: pw
                        
                        	Pseudowire fields
                        	**type**\:   :py:class:`Pw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.Pw>`
                        
                        .. attribute:: source
                        
                        	Source routing attributes
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.Source>`
                        
                        .. attribute:: vrf
                        
                        	VRF routing attributes
                        	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination = Native.Flow.Record.Default.Match.Routing.Destination()
                            self.destination.parent = self
                            self.forwarding_status = None
                            self.is_multicast = None
                            self.next_hop = Native.Flow.Record.Default.Match.Routing.NextHop()
                            self.next_hop.parent = self
                            self.pw = Native.Flow.Record.Default.Match.Routing.Pw()
                            self.pw.parent = self
                            self.source = Native.Flow.Record.Default.Match.Routing.Source()
                            self.source.parent = self
                            self.vrf = Native.Flow.Record.Default.Match.Routing.Vrf()
                            self.vrf.parent = self


                        class Destination(object):
                            """
                            Destination routing attributes
                            
                            .. attribute:: as_
                            
                            	AS number of the destination network
                            	**type**\:   :py:class:`As_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.Destination.As_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: traffic_index
                            
                            	BGP destination traffic index
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.as_ = None
                                self.traffic_index = None


                            class As_(object):
                                """
                                AS number of the destination network
                                
                                .. attribute:: as4_octet
                                
                                	4 octet AS number of the destination network
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: peer
                                
                                	AS number of the peer network we will forward to
                                	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.Destination.As_.Peer>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.as4_octet = None
                                    self.peer = None


                                class Peer(object):
                                    """
                                    AS number of the peer network we will forward to
                                    
                                    .. attribute:: peer4_octet
                                    
                                    	4 octet AS number of the peer network we will forward to
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.peer4_octet = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:peer'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.peer4_octet is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Match.Routing.Destination.As_.Peer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:as'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.as4_octet is not None:
                                        return True

                                    if self.peer is not None and self.peer._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Routing.Destination.As_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.as_ is not None and self.as_._has_data():
                                    return True

                                if self.traffic_index is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Routing.Destination']['meta_info']


                        class ForwardingStatus(object):
                            """
                            Forwarding status of the packet
                            
                            .. attribute:: reason
                            
                            	Forwarding status reason of the packet
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.reason = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:forwarding-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.reason is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Routing.ForwardingStatus']['meta_info']


                        class NextHop(object):
                            """
                            Information regarding the next hop
                            
                            .. attribute:: address
                            
                            	IP address of the next hop
                            	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.NextHop.Address>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = Native.Flow.Record.Default.Match.Routing.NextHop.Address()
                                self.address.parent = self


                            class Address(object):
                                """
                                IP address of the next hop
                                
                                .. attribute:: ipv4
                                
                                	IPv4 address of the next hop
                                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.NextHop.Address.Ipv4>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ipv6
                                
                                	IPv6 address of the next hop
                                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.NextHop.Address.Ipv6>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None
                                    self.ipv6 = None


                                class Ipv4(object):
                                    """
                                    IPv4 address of the next hop
                                    
                                    .. attribute:: bgp
                                    
                                    	IPv4 address of the BGP next hop
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.bgp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv4'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.bgp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Match.Routing.NextHop.Address.Ipv4']['meta_info']


                                class Ipv6(object):
                                    """
                                    IPv6 address of the next hop
                                    
                                    .. attribute:: bgp
                                    
                                    	IPv6 address of the BGP next hop
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.bgp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv6'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.bgp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Match.Routing.NextHop.Address.Ipv6']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None and self.ipv4._has_data():
                                        return True

                                    if self.ipv6 is not None and self.ipv6._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Routing.NextHop.Address']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:next-hop'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None and self.address._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Routing.NextHop']['meta_info']


                        class Pw(object):
                            """
                            Pseudowire fields
                            
                            .. attribute:: destination
                            
                            	Pseudowire destination
                            	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.Pw.Destination>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.destination = Native.Flow.Record.Default.Match.Routing.Pw.Destination()
                                self.destination.parent = self


                            class Destination(object):
                                """
                                Pseudowire destination
                                
                                .. attribute:: address
                                
                                	Pseudowire destination address
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Routing.Pw.Destination']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:pw'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.destination is not None and self.destination._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Routing.Pw']['meta_info']


                        class Source(object):
                            """
                            Source routing attributes
                            
                            .. attribute:: as_
                            
                            	AS number of the original network
                            	**type**\:   :py:class:`As_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.Source.As_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: traffic_index
                            
                            	BGP source traffic index
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.as_ = None
                                self.traffic_index = None


                            class As_(object):
                                """
                                AS number of the original network
                                
                                .. attribute:: as4_octet
                                
                                	4 octet AS number of the original network
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: peer
                                
                                	AS number of the peer network where the packet came from
                                	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.Source.As_.Peer>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.as4_octet = None
                                    self.peer = None


                                class Peer(object):
                                    """
                                    AS number of the peer network where the packet came from
                                    
                                    .. attribute:: peer4_octet
                                    
                                    	4 octet AS number of the peer network where the packet came from
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.peer4_octet = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:peer'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.peer4_octet is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Match.Routing.Source.As_.Peer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:as'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.as4_octet is not None:
                                        return True

                                    if self.peer is not None and self.peer._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Routing.Source.As_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.as_ is not None and self.as_._has_data():
                                    return True

                                if self.traffic_index is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Routing.Source']['meta_info']


                        class Vrf(object):
                            """
                            VRF routing attributes
                            
                            .. attribute:: input
                            
                            	VRF ID for incoming packet
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: output
                            
                            	VRF ID for outgoing packet
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.input = None
                                self.output = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:vrf'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.input is not None:
                                    return True

                                if self.output is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Routing.Vrf']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:routing'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination is not None and self.destination._has_data():
                                return True

                            if self.forwarding_status is not None and self.forwarding_status._has_data():
                                return True

                            if self.is_multicast is not None:
                                return True

                            if self.next_hop is not None and self.next_hop._has_data():
                                return True

                            if self.pw is not None and self.pw._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            if self.vrf is not None and self.vrf._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Match.Routing']['meta_info']


                    class Services(object):
                        """
                        Services fields
                        
                        .. attribute:: waas
                        
                        	WAAS (Wide Area Application Services) metrics
                        	**type**\:   :py:class:`Waas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Services.Waas>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.waas = Native.Flow.Record.Default.Match.Services.Waas()
                            self.waas.parent = self


                        class Waas(object):
                            """
                            WAAS (Wide Area Application Services) metrics
                            
                            .. attribute:: passthrough_reason
                            
                            	WAAS passthrough reason
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: segment
                            
                            	WAAS optimization segment
                            	**type**\:   :py:class:`Segment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Services.Waas.Segment>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.passthrough_reason = None
                                self.segment = None


                            class Segment(object):
                                """
                                WAAS optimization segment
                                
                                .. attribute:: account_on_resolution
                                
                                	Account on resolution
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.account_on_resolution = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:segment'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.account_on_resolution is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Services.Waas.Segment']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:waas'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.passthrough_reason is not None:
                                    return True

                                if self.segment is not None and self.segment._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Services.Waas']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:services'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.waas is not None and self.waas._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Match.Services']['meta_info']


                    class Timestamp(object):
                        """
                        Timestamp fields
                        
                        .. attribute:: absolute
                        
                        	Timestamps based on the epoch of 00\:00 UTC 1st Jan 1970
                        	**type**\:   :py:class:`Absolute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Timestamp.Absolute>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.absolute = Native.Flow.Record.Default.Match.Timestamp.Absolute()
                            self.absolute.parent = self


                        class Absolute(object):
                            """
                            Timestamps based on the epoch of 00\:00 UTC 1st Jan 1970
                            
                            .. attribute:: monitoring_interval
                            
                            	Monitoring interval timestamps
                            	**type**\:   :py:class:`MonitoringInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Timestamp.Absolute.MonitoringInterval>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.monitoring_interval = Native.Flow.Record.Default.Match.Timestamp.Absolute.MonitoringInterval()
                                self.monitoring_interval.parent = self


                            class MonitoringInterval(object):
                                """
                                Monitoring interval timestamps
                                
                                .. attribute:: start
                                
                                	Absolute start time of a monitoring interval (milliseconds)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.start = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:monitoring-interval'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.start is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Timestamp.Absolute.MonitoringInterval']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:absolute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.monitoring_interval is not None and self.monitoring_interval._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Timestamp.Absolute']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:timestamp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.absolute is not None and self.absolute._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Match.Timestamp']['meta_info']


                    class Transport(object):
                        """
                        Transport layer fields
                        
                        .. attribute:: bytes
                        
                        	Bytes fields
                        	**type**\:   :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Bytes>`
                        
                        .. attribute:: destination_port
                        
                        	Transport destination port
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: icmp
                        
                        	ICMP fields
                        	**type**\:   :py:class:`Icmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Icmp>`
                        
                        .. attribute:: igmp
                        
                        	IGMP fields
                        	**type**\:   :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Igmp>`
                        
                        .. attribute:: rtp
                        
                        	RTP fields
                        	**type**\:   :py:class:`Rtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Rtp>`
                        
                        .. attribute:: source_port
                        
                        	Transport source port
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tcp
                        
                        	TCP fields
                        	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Tcp>`
                        
                        .. attribute:: udp
                        
                        	UDP fields
                        	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Udp>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bytes = Native.Flow.Record.Default.Match.Transport.Bytes()
                            self.bytes.parent = self
                            self.destination_port = None
                            self.icmp = Native.Flow.Record.Default.Match.Transport.Icmp()
                            self.icmp.parent = self
                            self.igmp = Native.Flow.Record.Default.Match.Transport.Igmp()
                            self.igmp.parent = self
                            self.rtp = Native.Flow.Record.Default.Match.Transport.Rtp()
                            self.rtp.parent = self
                            self.source_port = None
                            self.tcp = Native.Flow.Record.Default.Match.Transport.Tcp()
                            self.tcp.parent = self
                            self.udp = Native.Flow.Record.Default.Match.Transport.Udp()
                            self.udp.parent = self


                        class Bytes(object):
                            """
                            Bytes fields
                            
                            .. attribute:: expected
                            
                            	Transport bytes expected
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: lost
                            
                            	Transport bytes lost
                            	**type**\:   :py:class:`Lost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Bytes.Lost>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.expected = None
                                self.lost = None


                            class Lost(object):
                                """
                                Transport bytes lost
                                
                                .. attribute:: rate
                                
                                	Transport bytes lost rate
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.rate = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:lost'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.rate is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Transport.Bytes.Lost']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:bytes'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.expected is not None:
                                    return True

                                if self.lost is not None and self.lost._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Transport.Bytes']['meta_info']


                        class Rtp(object):
                            """
                            RTP fields
                            
                            .. attribute:: ssrc
                            
                            	RTP SSRC
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ssrc = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:rtp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ssrc is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Transport.Rtp']['meta_info']


                        class Icmp(object):
                            """
                            ICMP fields
                            
                            .. attribute:: ipv4
                            
                            	IPv4 ICMP fields
                            	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Icmp.Ipv4>`
                            
                            .. attribute:: ipv6
                            
                            	IPv6 ICMP fields
                            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Icmp.Ipv6>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = Native.Flow.Record.Default.Match.Transport.Icmp.Ipv4()
                                self.ipv4.parent = self
                                self.ipv6 = Native.Flow.Record.Default.Match.Transport.Icmp.Ipv6()
                                self.ipv6.parent = self


                            class Ipv4(object):
                                """
                                IPv4 ICMP fields
                                
                                .. attribute:: code
                                
                                	IPv4 ICMP code
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: type
                                
                                	IPv4 ICMP type
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.code = None
                                    self.type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv4'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.code is not None:
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Transport.Icmp.Ipv4']['meta_info']


                            class Ipv6(object):
                                """
                                IPv6 ICMP fields
                                
                                .. attribute:: code
                                
                                	IPv6 ICMP code
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: type
                                
                                	IPv6 ICMP type
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.code = None
                                    self.type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv6'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.code is not None:
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Transport.Icmp.Ipv6']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:icmp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None and self.ipv4._has_data():
                                    return True

                                if self.ipv6 is not None and self.ipv6._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Transport.Icmp']['meta_info']


                        class Igmp(object):
                            """
                            IGMP fields
                            
                            .. attribute:: type
                            
                            	IGMP type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:igmp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Transport.Igmp']['meta_info']


                        class Tcp(object):
                            """
                            TCP fields
                            
                            .. attribute:: acknowledgement_number
                            
                            	TCP acknowledgement number
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: destination_port
                            
                            	TCP destination port
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: flags
                            
                            	TCP flags
                            	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Tcp.Flags>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: flow
                            
                            	TCP flow
                            	**type**\:   :py:class:`Flow_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Tcp.Flow_>`
                            
                            .. attribute:: header_length
                            
                            	TCP header length (in 32 bit words)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: maximum_segment_size
                            
                            	The maximum size of TCP segment
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: option
                            
                            	TCP option fields
                            	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Tcp.Option>`
                            
                            .. attribute:: sequence_number
                            
                            	TCP sequence number
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: source_port
                            
                            	TCP source port
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: urgent_pointer
                            
                            	TCP urgent pointer
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: window_size
                            
                            	TCP window size
                            	**type**\:   :py:class:`WindowSize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Tcp.WindowSize>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acknowledgement_number = None
                                self.destination_port = None
                                self.flags = None
                                self.flow = Native.Flow.Record.Default.Match.Transport.Tcp.Flow_()
                                self.flow.parent = self
                                self.header_length = None
                                self.maximum_segment_size = None
                                self.option = Native.Flow.Record.Default.Match.Transport.Tcp.Option()
                                self.option.parent = self
                                self.sequence_number = None
                                self.source_port = None
                                self.urgent_pointer = None
                                self.window_size = None


                            class Flags(object):
                                """
                                TCP flags
                                
                                .. attribute:: ack
                                
                                	TCP acknowledgement flag
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: cwr
                                
                                	TCP congestion window reduced flag
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ece
                                
                                	TCP ECN echo flag
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: fin
                                
                                	TCP finish flag
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: psh
                                
                                	TCP push flag
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: rst
                                
                                	TCP reset flag
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: syn
                                
                                	TCP synchronise flag
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: urg
                                
                                	TCP urgent flag
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.ack = None
                                    self.cwr = None
                                    self.ece = None
                                    self.fin = None
                                    self.psh = None
                                    self.rst = None
                                    self.syn = None
                                    self.urg = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:flags'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.ack is not None:
                                        return True

                                    if self.cwr is not None:
                                        return True

                                    if self.ece is not None:
                                        return True

                                    if self.fin is not None:
                                        return True

                                    if self.psh is not None:
                                        return True

                                    if self.rst is not None:
                                        return True

                                    if self.syn is not None:
                                        return True

                                    if self.urg is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Transport.Tcp.Flags']['meta_info']


                            class Flow_(object):
                                """
                                TCP flow
                                
                                .. attribute:: count
                                
                                	Number of tcp flows
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.count = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.count is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Transport.Tcp.Flow_']['meta_info']


                            class Option(object):
                                """
                                TCP option fields
                                
                                .. attribute:: map
                                
                                	Bitmap of TCP options
                                	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Tcp.Option.Map>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map = None


                                class Map(object):
                                    """
                                    Bitmap of TCP options
                                    
                                    .. attribute:: long
                                    
                                    	Extended bitmap of TCP options
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.long = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.long is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Match.Transport.Tcp.Option.Map']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:option'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map is not None and self.map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Transport.Tcp.Option']['meta_info']


                            class WindowSize(object):
                                """
                                TCP window size
                                
                                .. attribute:: average
                                
                                	The average size of TCP window
                                	**type**\:   :py:class:`Average <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Tcp.WindowSize.Average>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: maximum
                                
                                	The maximum size of TCP window
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minimum
                                
                                	The minimum size of TCP window
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: sum
                                
                                	The sum of TCP window size
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.average = None
                                    self.maximum = None
                                    self.minimum = None
                                    self.sum = None


                                class Average(object):
                                    """
                                    The average size of TCP window
                                    
                                    .. attribute:: sum
                                    
                                    	The sum of per flow TCP window average size
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.sum = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:average'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.sum is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Default.Match.Transport.Tcp.WindowSize.Average']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:window-size'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.average is not None and self.average._has_data():
                                        return True

                                    if self.maximum is not None:
                                        return True

                                    if self.minimum is not None:
                                        return True

                                    if self.sum is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Default.Match.Transport.Tcp.WindowSize']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:tcp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acknowledgement_number is not None:
                                    return True

                                if self.destination_port is not None:
                                    return True

                                if self.flags is not None and self.flags._has_data():
                                    return True

                                if self.flow is not None and self.flow._has_data():
                                    return True

                                if self.header_length is not None:
                                    return True

                                if self.maximum_segment_size is not None:
                                    return True

                                if self.option is not None and self.option._has_data():
                                    return True

                                if self.sequence_number is not None:
                                    return True

                                if self.source_port is not None:
                                    return True

                                if self.urgent_pointer is not None:
                                    return True

                                if self.window_size is not None and self.window_size._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Transport.Tcp']['meta_info']


                        class Udp(object):
                            """
                            UDP fields
                            
                            .. attribute:: destination_port
                            
                            	UDP destination port
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: message_length
                            
                            	UDP message length
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: source_port
                            
                            	UDP source port
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.destination_port = None
                                self.message_length = None
                                self.source_port = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:udp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.destination_port is not None:
                                    return True

                                if self.message_length is not None:
                                    return True

                                if self.source_port is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Default.Match.Transport.Udp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:transport'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bytes is not None and self.bytes._has_data():
                                return True

                            if self.destination_port is not None:
                                return True

                            if self.icmp is not None and self.icmp._has_data():
                                return True

                            if self.igmp is not None and self.igmp._has_data():
                                return True

                            if self.rtp is not None and self.rtp._has_data():
                                return True

                            if self.source_port is not None:
                                return True

                            if self.tcp is not None and self.tcp._has_data():
                                return True

                            if self.udp is not None and self.udp._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Default.Match.Transport']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:match'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.application is not None and self.application._has_data():
                            return True

                        if self.connection is not None and self.connection._has_data():
                            return True

                        if self.datalink is not None and self.datalink._has_data():
                            return True

                        if self.flow is not None and self.flow._has_data():
                            return True

                        if self.interface is not None and self.interface._has_data():
                            return True

                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        if self.metadata is not None and self.metadata._has_data():
                            return True

                        if self.mpls is not None and self.mpls._has_data():
                            return True

                        if self.network is not None and self.network._has_data():
                            return True

                        if self.pfr is not None and self.pfr._has_data():
                            return True

                        if self.policy is not None and self.policy._has_data():
                            return True

                        if self.routing is not None and self.routing._has_data():
                            return True

                        if self.services is not None and self.services._has_data():
                            return True

                        if self.timestamp is not None and self.timestamp._has_data():
                            return True

                        if self.transport is not None and self.transport._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Default.Match']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-flow:default'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.collect is not None and self.collect._has_data():
                        return True

                    if self.description is not None:
                        return True

                    if self.match is not None and self.match._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Flow.Record.Default']['meta_info']


            class Match(object):
                """
                Specify a key field
                
                .. attribute:: application
                
                	Application fields
                	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Application>`
                
                .. attribute:: connection
                
                	Connection fields
                	**type**\:   :py:class:`Connection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Connection>`
                
                .. attribute:: datalink
                
                	Datalink (layer2) fields
                	**type**\:   :py:class:`Datalink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Datalink>`
                
                .. attribute:: flow
                
                	Flow identifying fields
                	**type**\:   :py:class:`Flow_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Flow_>`
                
                .. attribute:: interface
                
                	Interface fields
                	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Interface>`
                
                .. attribute:: ipv4
                
                	IPv4 fields
                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4>`
                
                .. attribute:: ipv6
                
                	IPv6 fields
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6>`
                
                .. attribute:: metadata
                
                	Metadata fields
                	**type**\:   :py:class:`Metadata <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Metadata>`
                
                .. attribute:: mpls
                
                	MPLS fields
                	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Mpls>`
                
                .. attribute:: network
                
                	network metrics
                	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Network>`
                
                .. attribute:: pfr
                
                	PfR metrics
                	**type**\:   :py:class:`Pfr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr>`
                
                .. attribute:: policy
                
                	policy fields
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Policy>`
                
                .. attribute:: routing
                
                	Routing attributes
                	**type**\:   :py:class:`Routing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing>`
                
                .. attribute:: services
                
                	Services fields
                	**type**\:   :py:class:`Services <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Services>`
                
                .. attribute:: timestamp
                
                	Timestamp fields
                	**type**\:   :py:class:`Timestamp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Timestamp>`
                
                .. attribute:: transport
                
                	Transport layer fields
                	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport>`
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.application = Native.Flow.Record.Match.Application()
                    self.application.parent = self
                    self.connection = Native.Flow.Record.Match.Connection()
                    self.connection.parent = self
                    self.datalink = Native.Flow.Record.Match.Datalink()
                    self.datalink.parent = self
                    self.flow = Native.Flow.Record.Match.Flow_()
                    self.flow.parent = self
                    self.interface = Native.Flow.Record.Match.Interface()
                    self.interface.parent = self
                    self.ipv4 = Native.Flow.Record.Match.Ipv4()
                    self.ipv4.parent = self
                    self.ipv6 = Native.Flow.Record.Match.Ipv6()
                    self.ipv6.parent = self
                    self.metadata = Native.Flow.Record.Match.Metadata()
                    self.metadata.parent = self
                    self.mpls = Native.Flow.Record.Match.Mpls()
                    self.mpls.parent = self
                    self.network = Native.Flow.Record.Match.Network()
                    self.network.parent = self
                    self.pfr = Native.Flow.Record.Match.Pfr()
                    self.pfr.parent = self
                    self.policy = Native.Flow.Record.Match.Policy()
                    self.policy.parent = self
                    self.routing = Native.Flow.Record.Match.Routing()
                    self.routing.parent = self
                    self.services = Native.Flow.Record.Match.Services()
                    self.services.parent = self
                    self.timestamp = Native.Flow.Record.Match.Timestamp()
                    self.timestamp.parent = self
                    self.transport = Native.Flow.Record.Match.Transport()
                    self.transport.parent = self


                class Application(object):
                    """
                    Application fields
                    
                    .. attribute:: name
                    
                    	Application name
                    	**type**\:   :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Application.Name>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: vendor
                    
                    	Application vendor id
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: version
                    
                    	Application version id
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.vendor = None
                        self.version = None


                    class Name(object):
                        """
                        Application name
                        
                        .. attribute:: account_on_resolution
                        
                        	Account on resolution
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.account_on_resolution = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:name'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.account_on_resolution is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Application.Name']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:application'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None and self.name._has_data():
                            return True

                        if self.vendor is not None:
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Match.Application']['meta_info']


                class Connection(object):
                    """
                    Connection fields
                    
                    .. attribute:: client
                    
                    	Client side (flow initiator) related metrics
                    	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Connection.Client>`
                    
                    .. attribute:: id
                    
                    	An identifier for a connection between client and server
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: initiator
                    
                    	The direction of the flow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: server
                    
                    	Server side (flow responder) related metrics
                    	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Connection.Server>`
                    
                    .. attribute:: transaction_id
                    
                    	An identifier for a transaction between client and server
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.client = Native.Flow.Record.Match.Connection.Client()
                        self.client.parent = self
                        self.id = None
                        self.initiator = None
                        self.server = Native.Flow.Record.Match.Connection.Server()
                        self.server.parent = self
                        self.transaction_id = None


                    class Client(object):
                        """
                        Client side (flow initiator) related metrics
                        
                        .. attribute:: ipv4
                        
                        	Client side IPv4 metrics
                        	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Connection.Client.Ipv4>`
                        
                        .. attribute:: ipv6
                        
                        	Client side IPv6 metrics
                        	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Connection.Client.Ipv6>`
                        
                        .. attribute:: transport
                        
                        	Client side transport metrics
                        	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Connection.Client.Transport>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = Native.Flow.Record.Match.Connection.Client.Ipv4()
                            self.ipv4.parent = self
                            self.ipv6 = Native.Flow.Record.Match.Connection.Client.Ipv6()
                            self.ipv6.parent = self
                            self.transport = Native.Flow.Record.Match.Connection.Client.Transport()
                            self.transport.parent = self


                        class Ipv4(object):
                            """
                            Client side IPv4 metrics
                            
                            .. attribute:: address
                            
                            	IPv4 address of the flow initiator
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv4'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Connection.Client.Ipv4']['meta_info']


                        class Ipv6(object):
                            """
                            Client side IPv6 metrics
                            
                            .. attribute:: address
                            
                            	IPv6 address of the flow initiator
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv6'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Connection.Client.Ipv6']['meta_info']


                        class Transport(object):
                            """
                            Client side transport metrics
                            
                            .. attribute:: port
                            
                            	Transport port of the flow initiator
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:transport'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Connection.Client.Transport']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:client'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None and self.ipv4._has_data():
                                return True

                            if self.ipv6 is not None and self.ipv6._has_data():
                                return True

                            if self.transport is not None and self.transport._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Connection.Client']['meta_info']


                    class Server(object):
                        """
                        Server side (flow responder) related metrics
                        
                        .. attribute:: ipv4
                        
                        	Server side IPv4 metrics
                        	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Connection.Server.Ipv4>`
                        
                        .. attribute:: ipv6
                        
                        	Server side IPv6 metrics
                        	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Connection.Server.Ipv6>`
                        
                        .. attribute:: transport
                        
                        	Server side transport metrics
                        	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Connection.Server.Transport>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = Native.Flow.Record.Match.Connection.Server.Ipv4()
                            self.ipv4.parent = self
                            self.ipv6 = Native.Flow.Record.Match.Connection.Server.Ipv6()
                            self.ipv6.parent = self
                            self.transport = Native.Flow.Record.Match.Connection.Server.Transport()
                            self.transport.parent = self


                        class Ipv4(object):
                            """
                            Server side IPv4 metrics
                            
                            .. attribute:: address
                            
                            	IPv4 address of the flow responder
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv4'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Connection.Server.Ipv4']['meta_info']


                        class Ipv6(object):
                            """
                            Server side IPv6 metrics
                            
                            .. attribute:: address
                            
                            	IPv6 address of the flow responder
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv6'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Connection.Server.Ipv6']['meta_info']


                        class Transport(object):
                            """
                            Server side transport metrics
                            
                            .. attribute:: port
                            
                            	Transport port of the flow responder
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:transport'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Connection.Server.Transport']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None and self.ipv4._has_data():
                                return True

                            if self.ipv6 is not None and self.ipv6._has_data():
                                return True

                            if self.transport is not None and self.transport._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Connection.Server']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:connection'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.client is not None and self.client._has_data():
                            return True

                        if self.id is not None:
                            return True

                        if self.initiator is not None:
                            return True

                        if self.server is not None and self.server._has_data():
                            return True

                        if self.transaction_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Match.Connection']['meta_info']


                class Datalink(object):
                    """
                    Datalink (layer2) fields
                    
                    .. attribute:: destination_vlan_id
                    
                    	ID of the VLAN that the packet is going to
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dot1q
                    
                    	dot1q field
                    	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Datalink.Dot1Q>`
                    
                    .. attribute:: ethertype
                    
                    	The Ethertype of the packet
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mac
                    
                    	MAC fields
                    	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Datalink.Mac>`
                    
                    .. attribute:: source_vlan_id
                    
                    	ID of the VLAN that the packet came from
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.destination_vlan_id = None
                        self.dot1q = Native.Flow.Record.Match.Datalink.Dot1Q()
                        self.dot1q.parent = self
                        self.ethertype = None
                        self.mac = Native.Flow.Record.Match.Datalink.Mac()
                        self.mac.parent = self
                        self.source_vlan_id = None


                    class Dot1Q(object):
                        """
                        dot1q field
                        
                        .. attribute:: priority
                        
                        	The CoS field out of the dot1q header
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	The VLAN the packet is on
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Datalink.Dot1Q.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.priority = None
                            self.vlan = Native.Flow.Record.Match.Datalink.Dot1Q.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            The VLAN the packet is on
                            
                            .. attribute:: input
                            
                            	The VLAN the packet is on at input
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: output
                            
                            	The VLAN the packet is on at output
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.input = None
                                self.output = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.input is not None:
                                    return True

                                if self.output is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Datalink.Dot1Q.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:dot1q'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.priority is not None:
                                return True

                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Datalink.Dot1Q']['meta_info']


                    class Mac(object):
                        """
                        MAC fields
                        
                        .. attribute:: destination
                        
                        	destination MAC fields
                        	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Datalink.Mac.Destination>`
                        
                        .. attribute:: source
                        
                        	source MAC fields
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Datalink.Mac.Source>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination = Native.Flow.Record.Match.Datalink.Mac.Destination()
                            self.destination.parent = self
                            self.source = Native.Flow.Record.Match.Datalink.Mac.Source()
                            self.source.parent = self


                        class Destination(object):
                            """
                            destination MAC fields
                            
                            .. attribute:: address
                            
                            	Destination MAC address from packet
                            	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Datalink.Mac.Destination.Address>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = Native.Flow.Record.Match.Datalink.Mac.Destination.Address()
                                self.address.parent = self


                            class Address(object):
                                """
                                Destination MAC address from packet
                                
                                .. attribute:: input
                                
                                	Destination MAC address from packet at input
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: output
                                
                                	Destination MAC address from packet at output
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.input = None
                                    self.output = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.input is not None:
                                        return True

                                    if self.output is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Match.Datalink.Mac.Destination.Address']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None and self.address._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Datalink.Mac.Destination']['meta_info']


                        class Source(object):
                            """
                            source MAC fields
                            
                            .. attribute:: address
                            
                            	Source MAC address from packet
                            	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Datalink.Mac.Source.Address>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = Native.Flow.Record.Match.Datalink.Mac.Source.Address()
                                self.address.parent = self


                            class Address(object):
                                """
                                Source MAC address from packet
                                
                                .. attribute:: input
                                
                                	Source MAC address from packet at input
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: output
                                
                                	Source MAC address from packet at output
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.input = None
                                    self.output = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.input is not None:
                                        return True

                                    if self.output is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Match.Datalink.Mac.Source.Address']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None and self.address._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Datalink.Mac.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:mac'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination is not None and self.destination._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Datalink.Mac']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:datalink'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.destination_vlan_id is not None:
                            return True

                        if self.dot1q is not None and self.dot1q._has_data():
                            return True

                        if self.ethertype is not None:
                            return True

                        if self.mac is not None and self.mac._has_data():
                            return True

                        if self.source_vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Match.Datalink']['meta_info']


                class Flow_(object):
                    """
                    Flow identifying fields
                    
                    .. attribute:: cts
                    
                    	Cisco Trusted Security fields
                    	**type**\:   :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Flow_.Cts>`
                    
                    .. attribute:: direction
                    
                    	Direction the flow was monitored in
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: observation
                    
                    	Flow observation metrics
                    	**type**\:   :py:class:`Observation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Flow_.Observation>`
                    
                    .. attribute:: sampler
                    
                    	ID of the sampler
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cts = Native.Flow.Record.Match.Flow_.Cts()
                        self.cts.parent = self
                        self.direction = None
                        self.observation = Native.Flow.Record.Match.Flow_.Observation()
                        self.observation.parent = self
                        self.sampler = None


                    class Cts(object):
                        """
                        Cisco Trusted Security fields
                        
                        .. attribute:: destination
                        
                        	Cisco Trusted Security destination fields
                        	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Flow_.Cts.Destination>`
                        
                        .. attribute:: source
                        
                        	Cisco Trusted Security source fields
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Flow_.Cts.Source>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination = Native.Flow.Record.Match.Flow_.Cts.Destination()
                            self.destination.parent = self
                            self.source = Native.Flow.Record.Match.Flow_.Cts.Source()
                            self.source.parent = self


                        class Destination(object):
                            """
                            Cisco Trusted Security destination fields
                            
                            .. attribute:: group_tag
                            
                            	destination group\-tag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group_tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group_tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Flow_.Cts.Destination']['meta_info']


                        class Source(object):
                            """
                            Cisco Trusted Security source fields
                            
                            .. attribute:: group_tag
                            
                            	source group\-tag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group_tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group_tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Flow_.Cts.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:cts'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination is not None and self.destination._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Flow_.Cts']['meta_info']


                    class Observation(object):
                        """
                        Flow observation metrics
                        
                        .. attribute:: point
                        
                        	Observation point ID
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.point = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:observation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.point is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Flow_.Observation']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cts is not None and self.cts._has_data():
                            return True

                        if self.direction is not None:
                            return True

                        if self.observation is not None and self.observation._has_data():
                            return True

                        if self.sampler is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Match.Flow_']['meta_info']


                class Interface(object):
                    """
                    Interface fields
                    
                    .. attribute:: input
                    
                    	The input interface
                    	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Interface.Input>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: output
                    
                    	The output interface
                    	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Interface.Output>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.input = None
                        self.output = None


                    class Input(object):
                        """
                        The input interface
                        
                        .. attribute:: snmp
                        
                        	SNMP Index of the input interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.snmp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:input'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.snmp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Interface.Input']['meta_info']


                    class Output(object):
                        """
                        The output interface
                        
                        .. attribute:: snmp
                        
                        	SNMP Index of the output interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.snmp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:output'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.snmp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Interface.Output']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.input is not None and self.input._has_data():
                            return True

                        if self.output is not None and self.output._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Match.Interface']['meta_info']


                class Ipv4(object):
                    """
                    IPv4 fields
                    
                    .. attribute:: destination
                    
                    	IPv4 destination address based fields
                    	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Destination>`
                    
                    .. attribute:: dscp
                    
                    	IPv4 DSCP (part of TOS)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: fragmentation
                    
                    	IPv4 fragmentation fields
                    	**type**\:   :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Fragmentation>`
                    
                    .. attribute:: header_length
                    
                    	IPv4 header length (IHL in 32 bit words)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: id
                    
                    	IPv4 ID
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: length
                    
                    	IPv4 length fields
                    	**type**\:   :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Length>`
                    
                    .. attribute:: option
                    
                    	IPv4 option fields
                    	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Option>`
                    
                    .. attribute:: precedence
                    
                    	IPv4 precedence (part of TOS)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: protocol
                    
                    	IPv4 protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: section
                    
                    	Part of the packet
                    	**type**\:   :py:class:`Section <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Section>`
                    
                    .. attribute:: source
                    
                    	IPv4 source address based fields
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Source>`
                    
                    .. attribute:: tos
                    
                    	IPv4 type of service
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: total_length
                    
                    	IPv4 total length
                    	**type**\:   :py:class:`TotalLength <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.TotalLength>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ttl
                    
                    	IPv4 TTL
                    	**type**\:   :py:class:`Ttl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Ttl>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: version
                    
                    	IP version from IPv4 header
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.destination = Native.Flow.Record.Match.Ipv4.Destination()
                        self.destination.parent = self
                        self.dscp = None
                        self.fragmentation = Native.Flow.Record.Match.Ipv4.Fragmentation()
                        self.fragmentation.parent = self
                        self.header_length = None
                        self.id = None
                        self.length = Native.Flow.Record.Match.Ipv4.Length()
                        self.length.parent = self
                        self.option = Native.Flow.Record.Match.Ipv4.Option()
                        self.option.parent = self
                        self.precedence = None
                        self.protocol = None
                        self.section = Native.Flow.Record.Match.Ipv4.Section()
                        self.section.parent = self
                        self.source = Native.Flow.Record.Match.Ipv4.Source()
                        self.source.parent = self
                        self.tos = None
                        self.total_length = None
                        self.ttl = None
                        self.version = None


                    class Destination(object):
                        """
                        IPv4 destination address based fields
                        
                        .. attribute:: address
                        
                        	IPv4 destination address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mask
                        
                        	IPv4 address mask for the IPv4 destination address
                        	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Destination.Mask>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix
                        
                        	IPv4 address prefix for the IPv4 destination address
                        	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Destination.Prefix>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.prefix = None


                        class Mask(object):
                            """
                            IPv4 address mask for the IPv4 destination address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\:  int
                            
                            	**range:** 1..32
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.minimum_mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.minimum_mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Ipv4.Destination.Mask']['meta_info']


                        class Prefix(object):
                            """
                            IPv4 address prefix for the IPv4 destination address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\:  int
                            
                            	**range:** 1..32
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.minimum_mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.minimum_mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Ipv4.Destination.Prefix']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None and self.mask._has_data():
                                return True

                            if self.prefix is not None and self.prefix._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Ipv4.Destination']['meta_info']


                    class Fragmentation(object):
                        """
                        IPv4 fragmentation fields
                        
                        .. attribute:: flags
                        
                        	IPv4 fragmentation flags
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: offset
                        
                        	IPv4 fragmentation offset
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.flags = None
                            self.offset = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:fragmentation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.flags is not None:
                                return True

                            if self.offset is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Ipv4.Fragmentation']['meta_info']


                    class Length(object):
                        """
                        IPv4 length fields
                        
                        .. attribute:: header
                        
                        	Length of the IPv4 header in bytes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: payload
                        
                        	Length of the IPv4 payload in bytes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: total
                        
                        	Total length of the IPv4 header and payload in bytes
                        	**type**\:   :py:class:`Total <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Length.Total>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.header = None
                            self.payload = None
                            self.total = None


                        class Total(object):
                            """
                            Total length of the IPv4 header and payload in bytes
                            
                            .. attribute:: maximum
                            
                            	Maximum total length in bytes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	Minimum total length in bytes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.maximum = None
                                self.minimum = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:total'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.maximum is not None:
                                    return True

                                if self.minimum is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Ipv4.Length.Total']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:length'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.header is not None:
                                return True

                            if self.payload is not None:
                                return True

                            if self.total is not None and self.total._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Ipv4.Length']['meta_info']


                    class Option(object):
                        """
                        IPv4 option fields
                        
                        .. attribute:: map
                        
                        	Bitmap of IPv4 options
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.map = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:option'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Ipv4.Option']['meta_info']


                    class Section(object):
                        """
                        Part of the packet
                        
                        .. attribute:: header
                        
                        	Raw data starting at the IPv4 header
                        	**type**\:   :py:class:`Header <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Section.Header>`
                        
                        .. attribute:: payload
                        
                        	Raw data starting at the IPv4 payload
                        	**type**\:   :py:class:`Payload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Section.Payload>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.header = Native.Flow.Record.Match.Ipv4.Section.Header()
                            self.header.parent = self
                            self.payload = Native.Flow.Record.Match.Ipv4.Section.Payload()
                            self.payload.parent = self


                        class Header(object):
                            """
                            Raw data starting at the IPv4 header
                            
                            .. attribute:: size
                            
                            	Specify the number of bytes to capture
                            	**type**\:  int
                            
                            	**range:** 1..1200
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.size = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:header'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.size is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Ipv4.Section.Header']['meta_info']


                        class Payload(object):
                            """
                            Raw data starting at the IPv4 payload
                            
                            .. attribute:: size
                            
                            	Specify the number of bytes to capture
                            	**type**\:  int
                            
                            	**range:** 1..1200
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.size = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:payload'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.size is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Ipv4.Section.Payload']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:section'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.header is not None and self.header._has_data():
                                return True

                            if self.payload is not None and self.payload._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Ipv4.Section']['meta_info']


                    class Source(object):
                        """
                        IPv4 source address based fields
                        
                        .. attribute:: address
                        
                        	IPv4 source address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mask
                        
                        	IPv4 address mask for the IPv4 source address
                        	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Source.Mask>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix
                        
                        	IPv4 address prefix for the IPv4 source address
                        	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Source.Prefix>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.prefix = None


                        class Mask(object):
                            """
                            IPv4 address mask for the IPv4 source address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\:  int
                            
                            	**range:** 1..32
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.minimum_mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.minimum_mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Ipv4.Source.Mask']['meta_info']


                        class Prefix(object):
                            """
                            IPv4 address prefix for the IPv4 source address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\:  int
                            
                            	**range:** 1..32
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.minimum_mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.minimum_mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Ipv4.Source.Prefix']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None and self.mask._has_data():
                                return True

                            if self.prefix is not None and self.prefix._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Ipv4.Source']['meta_info']


                    class TotalLength(object):
                        """
                        IPv4 total length
                        
                        .. attribute:: maximum
                        
                        	Largest value for IPv4 length seen in the flow
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: minimum
                        
                        	Smallest value for IPv4 length seen in the flow
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.maximum = None
                            self.minimum = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:total-length'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.maximum is not None:
                                return True

                            if self.minimum is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Ipv4.TotalLength']['meta_info']


                    class Ttl(object):
                        """
                        IPv4 TTL
                        
                        .. attribute:: maximum
                        
                        	Largest value seen for TTL in the flow
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: minimum
                        
                        	Smallest value seen for TTL in the flow
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.maximum = None
                            self.minimum = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:ttl'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.maximum is not None:
                                return True

                            if self.minimum is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Ipv4.Ttl']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.destination is not None and self.destination._has_data():
                            return True

                        if self.dscp is not None:
                            return True

                        if self.fragmentation is not None and self.fragmentation._has_data():
                            return True

                        if self.header_length is not None:
                            return True

                        if self.id is not None:
                            return True

                        if self.length is not None and self.length._has_data():
                            return True

                        if self.option is not None and self.option._has_data():
                            return True

                        if self.precedence is not None:
                            return True

                        if self.protocol is not None:
                            return True

                        if self.section is not None and self.section._has_data():
                            return True

                        if self.source is not None and self.source._has_data():
                            return True

                        if self.tos is not None:
                            return True

                        if self.total_length is not None and self.total_length._has_data():
                            return True

                        if self.ttl is not None and self.ttl._has_data():
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Match.Ipv4']['meta_info']


                class Ipv6(object):
                    """
                    IPv6 fields
                    
                    .. attribute:: destination
                    
                    	IPv6 destination address based fields
                    	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Destination>`
                    
                    .. attribute:: dscp
                    
                    	IPv6 DSCP (part of Traffic Class)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: extension
                    
                    	IPv6 extension header fields
                    	**type**\:   :py:class:`Extension <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Extension>`
                    
                    .. attribute:: flow_label
                    
                    	IPv6 flow label
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: fragmentation
                    
                    	IPv6 fragmentation fields
                    	**type**\:   :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Fragmentation>`
                    
                    .. attribute:: hop_limit
                    
                    	IPv6 hop limit
                    	**type**\:   :py:class:`HopLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.HopLimit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: length
                    
                    	IPv6 length fields
                    	**type**\:   :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Length>`
                    
                    .. attribute:: next_header
                    
                    	The value of the next\-header field in the IPv6 header
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: payload_length
                    
                    	Length of the IPv6 payload in bytes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: precedence
                    
                    	IPv6 precedence (part of Traffic Class)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: protocol
                    
                    	IPv6 payload protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: section
                    
                    	Part of the packet
                    	**type**\:   :py:class:`Section <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Section>`
                    
                    .. attribute:: source
                    
                    	IPv6 source address based fields
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Source>`
                    
                    .. attribute:: traffic_class
                    
                    	IPv6 traffic class
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: version
                    
                    	IP version from IPv6 header
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.destination = Native.Flow.Record.Match.Ipv6.Destination()
                        self.destination.parent = self
                        self.dscp = None
                        self.extension = Native.Flow.Record.Match.Ipv6.Extension()
                        self.extension.parent = self
                        self.flow_label = None
                        self.fragmentation = Native.Flow.Record.Match.Ipv6.Fragmentation()
                        self.fragmentation.parent = self
                        self.hop_limit = None
                        self.length = Native.Flow.Record.Match.Ipv6.Length()
                        self.length.parent = self
                        self.next_header = None
                        self.payload_length = None
                        self.precedence = None
                        self.protocol = None
                        self.section = Native.Flow.Record.Match.Ipv6.Section()
                        self.section.parent = self
                        self.source = Native.Flow.Record.Match.Ipv6.Source()
                        self.source.parent = self
                        self.traffic_class = None
                        self.version = None


                    class Destination(object):
                        """
                        IPv6 destination address based fields
                        
                        .. attribute:: address
                        
                        	IPv6 destination address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mask
                        
                        	IPv6 address mask for the IPv6 destination address
                        	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Destination.Mask>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix
                        
                        	IPv6 address prefix for the IPv6 destination address
                        	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Destination.Prefix>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.prefix = None


                        class Mask(object):
                            """
                            IPv6 address mask for the IPv6 destination address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\:  int
                            
                            	**range:** 1..128
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.minimum_mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.minimum_mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Ipv6.Destination.Mask']['meta_info']


                        class Prefix(object):
                            """
                            IPv6 address prefix for the IPv6 destination address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\:  int
                            
                            	**range:** 1..128
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.minimum_mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.minimum_mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Ipv6.Destination.Prefix']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None and self.mask._has_data():
                                return True

                            if self.prefix is not None and self.prefix._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Ipv6.Destination']['meta_info']


                    class Extension(object):
                        """
                        IPv6 extension header fields
                        
                        .. attribute:: map
                        
                        	Bitmap of IPv6 extension headers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.map = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:extension'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Ipv6.Extension']['meta_info']


                    class Fragmentation(object):
                        """
                        IPv6 fragmentation fields
                        
                        .. attribute:: flags
                        
                        	IPv6 fragmentation flags
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: id
                        
                        	IPv6 fragmentation ID
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: offset
                        
                        	IPv6 fragmentation offset
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.flags = None
                            self.id = None
                            self.offset = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:fragmentation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.flags is not None:
                                return True

                            if self.id is not None:
                                return True

                            if self.offset is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Ipv6.Fragmentation']['meta_info']


                    class HopLimit(object):
                        """
                        IPv6 hop limit
                        
                        .. attribute:: maximum
                        
                        	Largest value seen for hop\-limit in the flow
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: minimum
                        
                        	Smallest value seen for hop\-limit in the flow
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.maximum = None
                            self.minimum = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:hop-limit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.maximum is not None:
                                return True

                            if self.minimum is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Ipv6.HopLimit']['meta_info']


                    class Length(object):
                        """
                        IPv6 length fields
                        
                        .. attribute:: header
                        
                        	Length of the IPv6 header, not including any extension headers, in bytes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: payload
                        
                        	Length of the IPv6 payload, including any extension headers, in bytes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: total
                        
                        	Total length of the IPv6 header and payload in bytes
                        	**type**\:   :py:class:`Total <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Length.Total>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.header = None
                            self.payload = None
                            self.total = None


                        class Total(object):
                            """
                            Total length of the IPv6 header and payload in bytes
                            
                            .. attribute:: maximum
                            
                            	Maximum total length in bytes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	Minimum total length in bytes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.maximum = None
                                self.minimum = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:total'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.maximum is not None:
                                    return True

                                if self.minimum is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Ipv6.Length.Total']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:length'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.header is not None:
                                return True

                            if self.payload is not None:
                                return True

                            if self.total is not None and self.total._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Ipv6.Length']['meta_info']


                    class Section(object):
                        """
                        Part of the packet
                        
                        .. attribute:: header
                        
                        	Raw data starting at the IPv6 header
                        	**type**\:   :py:class:`Header <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Section.Header>`
                        
                        .. attribute:: payload
                        
                        	Raw data starting at the IPv6 payload
                        	**type**\:   :py:class:`Payload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Section.Payload>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.header = Native.Flow.Record.Match.Ipv6.Section.Header()
                            self.header.parent = self
                            self.payload = Native.Flow.Record.Match.Ipv6.Section.Payload()
                            self.payload.parent = self


                        class Header(object):
                            """
                            Raw data starting at the IPv6 header
                            
                            .. attribute:: size
                            
                            	Specify the number of bytes to capture
                            	**type**\:  int
                            
                            	**range:** 1..1200
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.size = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:header'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.size is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Ipv6.Section.Header']['meta_info']


                        class Payload(object):
                            """
                            Raw data starting at the IPv6 payload
                            
                            .. attribute:: size
                            
                            	Specify the number of bytes to capture
                            	**type**\:  int
                            
                            	**range:** 1..1200
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.size = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:payload'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.size is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Ipv6.Section.Payload']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:section'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.header is not None and self.header._has_data():
                                return True

                            if self.payload is not None and self.payload._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Ipv6.Section']['meta_info']


                    class Source(object):
                        """
                        IPv6 source address based fields
                        
                        .. attribute:: address
                        
                        	IPv6 source address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mask
                        
                        	IPv6 address mask for the IPv6 source address
                        	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Source.Mask>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix
                        
                        	IPv6 address prefix for the IPv6 source address
                        	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Source.Prefix>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.prefix = None


                        class Mask(object):
                            """
                            IPv6 address mask for the IPv6 source address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\:  int
                            
                            	**range:** 1..128
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.minimum_mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.minimum_mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Ipv6.Source.Mask']['meta_info']


                        class Prefix(object):
                            """
                            IPv6 address prefix for the IPv6 source address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\:  int
                            
                            	**range:** 1..128
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.minimum_mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.minimum_mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Ipv6.Source.Prefix']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None and self.mask._has_data():
                                return True

                            if self.prefix is not None and self.prefix._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Ipv6.Source']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.destination is not None and self.destination._has_data():
                            return True

                        if self.dscp is not None:
                            return True

                        if self.extension is not None and self.extension._has_data():
                            return True

                        if self.flow_label is not None:
                            return True

                        if self.fragmentation is not None and self.fragmentation._has_data():
                            return True

                        if self.hop_limit is not None and self.hop_limit._has_data():
                            return True

                        if self.length is not None and self.length._has_data():
                            return True

                        if self.next_header is not None:
                            return True

                        if self.payload_length is not None:
                            return True

                        if self.precedence is not None:
                            return True

                        if self.protocol is not None:
                            return True

                        if self.section is not None and self.section._has_data():
                            return True

                        if self.source is not None and self.source._has_data():
                            return True

                        if self.traffic_class is not None:
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Match.Ipv6']['meta_info']


                class Metadata(object):
                    """
                    Metadata fields
                    
                    .. attribute:: global_session_id
                    
                    	Metadata global\-session\-id
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: multi_party_session_id
                    
                    	Metadata multi\-party\-session\-id
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.global_session_id = None
                        self.multi_party_session_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:metadata'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.global_session_id is not None:
                            return True

                        if self.multi_party_session_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Match.Metadata']['meta_info']


                class Mpls(object):
                    """
                    MPLS fields
                    
                    .. attribute:: label
                    
                    	MPLS label details
                    	**type**\:   :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Mpls.Label>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.label = Native.Flow.Record.Match.Mpls.Label()
                        self.label.parent = self


                    class Label(object):
                        """
                        MPLS label details
                        
                        .. attribute:: five
                        
                        	MPLS label 5 information
                        	**type**\:   :py:class:`Five <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Mpls.Label.Five>`
                        
                        .. attribute:: four
                        
                        	MPLS label 4 information
                        	**type**\:   :py:class:`Four <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Mpls.Label.Four>`
                        
                        .. attribute:: one
                        
                        	MPLS label 1 information
                        	**type**\:   :py:class:`One <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Mpls.Label.One>`
                        
                        .. attribute:: six
                        
                        	MPLS label 6 information
                        	**type**\:   :py:class:`Six <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Mpls.Label.Six>`
                        
                        .. attribute:: three
                        
                        	MPLS label 3 information
                        	**type**\:   :py:class:`Three <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Mpls.Label.Three>`
                        
                        .. attribute:: two
                        
                        	MPLS label 2 information
                        	**type**\:   :py:class:`Two <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Mpls.Label.Two>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.five = Native.Flow.Record.Match.Mpls.Label.Five()
                            self.five.parent = self
                            self.four = Native.Flow.Record.Match.Mpls.Label.Four()
                            self.four.parent = self
                            self.one = Native.Flow.Record.Match.Mpls.Label.One()
                            self.one.parent = self
                            self.six = Native.Flow.Record.Match.Mpls.Label.Six()
                            self.six.parent = self
                            self.three = Native.Flow.Record.Match.Mpls.Label.Three()
                            self.three.parent = self
                            self.two = Native.Flow.Record.Match.Mpls.Label.Two()
                            self.two.parent = self


                        class One(object):
                            """
                            MPLS label 1 information
                            
                            .. attribute:: details
                            
                            	MPLS label 1 details
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: exp
                            
                            	MPLS EXP field from the last label that was pushed
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ttl
                            
                            	MPLS TTL field from the last label that was pushed
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: type
                            
                            	MPLS label type of the last label that was pushed
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.details = None
                                self.exp = None
                                self.ttl = None
                                self.type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:one'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.details is not None:
                                    return True

                                if self.exp is not None:
                                    return True

                                if self.ttl is not None:
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Mpls.Label.One']['meta_info']


                        class Two(object):
                            """
                            MPLS label 2 information
                            
                            .. attribute:: details
                            
                            	MPLS label 2 details
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.details = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:two'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.details is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Mpls.Label.Two']['meta_info']


                        class Three(object):
                            """
                            MPLS label 3 information
                            
                            .. attribute:: details
                            
                            	MPLS label 3 details
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.details = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:three'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.details is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Mpls.Label.Three']['meta_info']


                        class Four(object):
                            """
                            MPLS label 4 information
                            
                            .. attribute:: details
                            
                            	MPLS label 4 details
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.details = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:four'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.details is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Mpls.Label.Four']['meta_info']


                        class Five(object):
                            """
                            MPLS label 5 information
                            
                            .. attribute:: details
                            
                            	MPLS label 5 details
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.details = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:five'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.details is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Mpls.Label.Five']['meta_info']


                        class Six(object):
                            """
                            MPLS label 6 information
                            
                            .. attribute:: details
                            
                            	MPLS label 6 details
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.details = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:six'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.details is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Mpls.Label.Six']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:label'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.five is not None and self.five._has_data():
                                return True

                            if self.four is not None and self.four._has_data():
                                return True

                            if self.one is not None and self.one._has_data():
                                return True

                            if self.six is not None and self.six._has_data():
                                return True

                            if self.three is not None and self.three._has_data():
                                return True

                            if self.two is not None and self.two._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Mpls.Label']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:mpls'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.label is not None and self.label._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Match.Mpls']['meta_info']


                class Network(object):
                    """
                    network metrics
                    
                    .. attribute:: delay
                    
                    	network delay metrics
                    	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Network.Delay>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.delay = Native.Flow.Record.Match.Network.Delay()
                        self.delay.parent = self


                    class Delay(object):
                        """
                        network delay metrics
                        
                        .. attribute:: sample
                        
                        	The number of samples of roundtrip delay
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sum
                        
                        	The sum of roundtrip delay
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.sample = None
                            self.sum = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:delay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.sample is not None:
                                return True

                            if self.sum is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Network.Delay']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:network'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.delay is not None and self.delay._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Match.Network']['meta_info']


                class Pfr(object):
                    """
                    PfR metrics
                    
                    .. attribute:: label
                    
                    	PfR label metrics
                    	**type**\:   :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Label>`
                    
                    .. attribute:: one_way_delay
                    
                    	The packet transmission delay between specified nodes
                    	**type**\:   :py:class:`OneWayDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.OneWayDelay>`
                    
                    .. attribute:: service
                    
                    	PfR service metrics
                    	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Service>`
                    
                    .. attribute:: site
                    
                    	PfR site  metrics
                    	**type**\:   :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Site>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.label = Native.Flow.Record.Match.Pfr.Label()
                        self.label.parent = self
                        self.one_way_delay = Native.Flow.Record.Match.Pfr.OneWayDelay()
                        self.one_way_delay.parent = self
                        self.service = Native.Flow.Record.Match.Pfr.Service()
                        self.service.parent = self
                        self.site = Native.Flow.Record.Match.Pfr.Site()
                        self.site.parent = self


                    class Label(object):
                        """
                        PfR label metrics
                        
                        .. attribute:: identifier
                        
                        	pfr label id
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.identifier = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:label'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.identifier is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Pfr.Label']['meta_info']


                    class OneWayDelay(object):
                        """
                        The packet transmission delay between specified nodes
                        
                        .. attribute:: samples
                        
                        	Total number of one\-way\-delay samples
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sum
                        
                        	The packet transmission delay sum between specified nodes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.samples = None
                            self.sum = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:one-way-delay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.samples is not None:
                                return True

                            if self.sum is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Pfr.OneWayDelay']['meta_info']


                    class Service(object):
                        """
                        PfR service metrics
                        
                        .. attribute:: identifier
                        
                        	PfR service provider tag
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: provider
                        
                        	PfR service provider metrics
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tag
                        
                        	PfR service provider tag metrics
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.identifier = None
                            self.provider = None
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:service'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.identifier is not None:
                                return True

                            if self.provider is not None:
                                return True

                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Pfr.Service']['meta_info']


                    class Site(object):
                        """
                        PfR site  metrics
                        
                        .. attribute:: destination
                        
                        	PfR site destination metrics
                        	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Site.Destination>`
                        
                        .. attribute:: source
                        
                        	PfR site source metrics
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Site.Source>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination = Native.Flow.Record.Match.Pfr.Site.Destination()
                            self.destination.parent = self
                            self.source = Native.Flow.Record.Match.Pfr.Site.Source()
                            self.source.parent = self


                        class Destination(object):
                            """
                            PfR site destination metrics
                            
                            .. attribute:: id
                            
                            	PfR site destination ID metrics
                            	**type**\:   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Site.Destination.Id>`
                            
                            .. attribute:: prefix
                            
                            	PfR site prefix of the packet destination
                            	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Site.Destination.Prefix>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = Native.Flow.Record.Match.Pfr.Site.Destination.Id()
                                self.id.parent = self
                                self.prefix = Native.Flow.Record.Match.Pfr.Site.Destination.Prefix()
                                self.prefix.parent = self


                            class Id(object):
                                """
                                PfR site destination ID metrics
                                
                                .. attribute:: ipv4
                                
                                	site ID of the packet destination
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:id'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Match.Pfr.Site.Destination.Id']['meta_info']


                            class Prefix(object):
                                """
                                PfR site prefix of the packet destination
                                
                                .. attribute:: ipv4
                                
                                	site prefix of the packet destination
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mask
                                
                                	PfR site prefix mask of the packet destination
                                	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Site.Destination.Prefix.Mask>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None
                                    self.mask = Native.Flow.Record.Match.Pfr.Site.Destination.Prefix.Mask()
                                    self.mask.parent = self


                                class Mask(object):
                                    """
                                    PfR site prefix mask of the packet destination
                                    
                                    .. attribute:: ipv4
                                    
                                    	site prefix mask of the packet destination
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Match.Pfr.Site.Destination.Prefix.Mask']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    if self.mask is not None and self.mask._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Match.Pfr.Site.Destination.Prefix']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None and self.id._has_data():
                                    return True

                                if self.prefix is not None and self.prefix._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Pfr.Site.Destination']['meta_info']


                        class Source(object):
                            """
                            PfR site source metrics
                            
                            .. attribute:: id
                            
                            	PfR site source ID metrics
                            	**type**\:   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Site.Source.Id>`
                            
                            .. attribute:: prefix
                            
                            	PfR site prefix of the packet source
                            	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Site.Source.Prefix>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = Native.Flow.Record.Match.Pfr.Site.Source.Id()
                                self.id.parent = self
                                self.prefix = Native.Flow.Record.Match.Pfr.Site.Source.Prefix()
                                self.prefix.parent = self


                            class Id(object):
                                """
                                PfR site source ID metrics
                                
                                .. attribute:: ipv4
                                
                                	site ID of the packet source
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:id'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Match.Pfr.Site.Source.Id']['meta_info']


                            class Prefix(object):
                                """
                                PfR site prefix of the packet source
                                
                                .. attribute:: ipv4
                                
                                	site prefix of the packet source
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mask
                                
                                	PfR site prefix mask of the packet source
                                	**type**\:   :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Site.Source.Prefix.Mask>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None
                                    self.mask = Native.Flow.Record.Match.Pfr.Site.Source.Prefix.Mask()
                                    self.mask.parent = self


                                class Mask(object):
                                    """
                                    PfR site prefix mask of the packet source
                                    
                                    .. attribute:: ipv4
                                    
                                    	site prefix mask of the packet source
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-flow:mask'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Flow.Record.Match.Pfr.Site.Source.Prefix.Mask']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    if self.mask is not None and self.mask._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Match.Pfr.Site.Source.Prefix']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None and self.id._has_data():
                                    return True

                                if self.prefix is not None and self.prefix._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Pfr.Site.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:site'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination is not None and self.destination._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Pfr.Site']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:pfr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.label is not None and self.label._has_data():
                            return True

                        if self.one_way_delay is not None and self.one_way_delay._has_data():
                            return True

                        if self.service is not None and self.service._has_data():
                            return True

                        if self.site is not None and self.site._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Match.Pfr']['meta_info']


                class Policy(object):
                    """
                    policy fields
                    
                    .. attribute:: performance_monitor
                    
                    	Performance\-monitor policy related metrics
                    	**type**\:   :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Policy.PerformanceMonitor>`
                    
                    .. attribute:: qos
                    
                    	QoS policy related metrics
                    	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Policy.Qos>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.performance_monitor = Native.Flow.Record.Match.Policy.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self.qos = Native.Flow.Record.Match.Policy.Qos()
                        self.qos.parent = self


                    class PerformanceMonitor(object):
                        """
                        Performance\-monitor policy related metrics
                        
                        .. attribute:: classification
                        
                        	Classification metrics
                        	**type**\:   :py:class:`Classification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Policy.PerformanceMonitor.Classification>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.classification = Native.Flow.Record.Match.Policy.PerformanceMonitor.Classification()
                            self.classification.parent = self


                        class Classification(object):
                            """
                            Classification metrics
                            
                            .. attribute:: hierarchy
                            
                            	Performance\-monitor class hierarchy
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hierarchy = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:classification'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hierarchy is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Policy.PerformanceMonitor.Classification']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:performance-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.classification is not None and self.classification._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Policy.PerformanceMonitor']['meta_info']


                    class Qos(object):
                        """
                        QoS policy related metrics
                        
                        .. attribute:: classification
                        
                        	Classification metrics
                        	**type**\:   :py:class:`Classification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Policy.Qos.Classification>`
                        
                        .. attribute:: queue
                        
                        	Queue metrics
                        	**type**\:   :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Policy.Qos.Queue>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.classification = Native.Flow.Record.Match.Policy.Qos.Classification()
                            self.classification.parent = self
                            self.queue = Native.Flow.Record.Match.Policy.Qos.Queue()
                            self.queue.parent = self


                        class Classification(object):
                            """
                            Classification metrics
                            
                            .. attribute:: hierarchy
                            
                            	QoS class hierarchy
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hierarchy = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:classification'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hierarchy is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Policy.Qos.Classification']['meta_info']


                        class Queue(object):
                            """
                            Queue metrics
                            
                            .. attribute:: drops
                            
                            	QoS queue drops
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: index
                            
                            	QoS queue index
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.drops = None
                                self.index = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:queue'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.drops is not None:
                                    return True

                                if self.index is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Policy.Qos.Queue']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:qos'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.classification is not None and self.classification._has_data():
                                return True

                            if self.queue is not None and self.queue._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Policy.Qos']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.performance_monitor is not None and self.performance_monitor._has_data():
                            return True

                        if self.qos is not None and self.qos._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Match.Policy']['meta_info']


                class Routing(object):
                    """
                    Routing attributes
                    
                    .. attribute:: destination
                    
                    	Destination routing attributes
                    	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.Destination>`
                    
                    .. attribute:: forwarding_status
                    
                    	Forwarding status of the packet
                    	**type**\:   :py:class:`ForwardingStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.ForwardingStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: is_multicast
                    
                    	Indicates if this is multicast
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: next_hop
                    
                    	Information regarding the next hop
                    	**type**\:   :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.NextHop>`
                    
                    .. attribute:: pw
                    
                    	Pseudowire fields
                    	**type**\:   :py:class:`Pw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.Pw>`
                    
                    .. attribute:: source
                    
                    	Source routing attributes
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.Source>`
                    
                    .. attribute:: vrf
                    
                    	VRF routing attributes
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.destination = Native.Flow.Record.Match.Routing.Destination()
                        self.destination.parent = self
                        self.forwarding_status = None
                        self.is_multicast = None
                        self.next_hop = Native.Flow.Record.Match.Routing.NextHop()
                        self.next_hop.parent = self
                        self.pw = Native.Flow.Record.Match.Routing.Pw()
                        self.pw.parent = self
                        self.source = Native.Flow.Record.Match.Routing.Source()
                        self.source.parent = self
                        self.vrf = Native.Flow.Record.Match.Routing.Vrf()
                        self.vrf.parent = self


                    class Destination(object):
                        """
                        Destination routing attributes
                        
                        .. attribute:: as_
                        
                        	AS number of the destination network
                        	**type**\:   :py:class:`As_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.Destination.As_>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: traffic_index
                        
                        	BGP destination traffic index
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.as_ = None
                            self.traffic_index = None


                        class As_(object):
                            """
                            AS number of the destination network
                            
                            .. attribute:: as4_octet
                            
                            	4 octet AS number of the destination network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: peer
                            
                            	AS number of the peer network we will forward to
                            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.Destination.As_.Peer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.as4_octet = None
                                self.peer = None


                            class Peer(object):
                                """
                                AS number of the peer network we will forward to
                                
                                .. attribute:: peer4_octet
                                
                                	4 octet AS number of the peer network we will forward to
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.peer4_octet = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.peer4_octet is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Match.Routing.Destination.As_.Peer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:as'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.as4_octet is not None:
                                    return True

                                if self.peer is not None and self.peer._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Routing.Destination.As_']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.as_ is not None and self.as_._has_data():
                                return True

                            if self.traffic_index is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Routing.Destination']['meta_info']


                    class ForwardingStatus(object):
                        """
                        Forwarding status of the packet
                        
                        .. attribute:: reason
                        
                        	Forwarding status reason of the packet
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.reason = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:forwarding-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.reason is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Routing.ForwardingStatus']['meta_info']


                    class NextHop(object):
                        """
                        Information regarding the next hop
                        
                        .. attribute:: address
                        
                        	IP address of the next hop
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.NextHop.Address>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Flow.Record.Match.Routing.NextHop.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            IP address of the next hop
                            
                            .. attribute:: ipv4
                            
                            	IPv4 address of the next hop
                            	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.NextHop.Address.Ipv4>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ipv6
                            
                            	IPv6 address of the next hop
                            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.NextHop.Address.Ipv6>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = None
                                self.ipv6 = None


                            class Ipv4(object):
                                """
                                IPv4 address of the next hop
                                
                                .. attribute:: bgp
                                
                                	IPv4 address of the BGP next hop
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.bgp = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv4'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.bgp is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Match.Routing.NextHop.Address.Ipv4']['meta_info']


                            class Ipv6(object):
                                """
                                IPv6 address of the next hop
                                
                                .. attribute:: bgp
                                
                                	IPv6 address of the BGP next hop
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.bgp = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv6'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.bgp is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Match.Routing.NextHop.Address.Ipv6']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None and self.ipv4._has_data():
                                    return True

                                if self.ipv6 is not None and self.ipv6._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Routing.NextHop.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:next-hop'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Routing.NextHop']['meta_info']


                    class Pw(object):
                        """
                        Pseudowire fields
                        
                        .. attribute:: destination
                        
                        	Pseudowire destination
                        	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.Pw.Destination>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination = Native.Flow.Record.Match.Routing.Pw.Destination()
                            self.destination.parent = self


                        class Destination(object):
                            """
                            Pseudowire destination
                            
                            .. attribute:: address
                            
                            	Pseudowire destination address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Routing.Pw.Destination']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:pw'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination is not None and self.destination._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Routing.Pw']['meta_info']


                    class Source(object):
                        """
                        Source routing attributes
                        
                        .. attribute:: as_
                        
                        	AS number of the original network
                        	**type**\:   :py:class:`As_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.Source.As_>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: traffic_index
                        
                        	BGP source traffic index
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.as_ = None
                            self.traffic_index = None


                        class As_(object):
                            """
                            AS number of the original network
                            
                            .. attribute:: as4_octet
                            
                            	4 octet AS number of the original network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: peer
                            
                            	AS number of the peer network where the packet came from
                            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.Source.As_.Peer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.as4_octet = None
                                self.peer = None


                            class Peer(object):
                                """
                                AS number of the peer network where the packet came from
                                
                                .. attribute:: peer4_octet
                                
                                	4 octet AS number of the peer network where the packet came from
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.peer4_octet = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.peer4_octet is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Match.Routing.Source.As_.Peer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:as'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.as4_octet is not None:
                                    return True

                                if self.peer is not None and self.peer._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Routing.Source.As_']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.as_ is not None and self.as_._has_data():
                                return True

                            if self.traffic_index is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Routing.Source']['meta_info']


                    class Vrf(object):
                        """
                        VRF routing attributes
                        
                        .. attribute:: input
                        
                        	VRF ID for incoming packet
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	VRF ID for outgoing packet
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = None
                            self.output = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None:
                                return True

                            if self.output is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Routing.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:routing'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.destination is not None and self.destination._has_data():
                            return True

                        if self.forwarding_status is not None and self.forwarding_status._has_data():
                            return True

                        if self.is_multicast is not None:
                            return True

                        if self.next_hop is not None and self.next_hop._has_data():
                            return True

                        if self.pw is not None and self.pw._has_data():
                            return True

                        if self.source is not None and self.source._has_data():
                            return True

                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Match.Routing']['meta_info']


                class Services(object):
                    """
                    Services fields
                    
                    .. attribute:: waas
                    
                    	WAAS (Wide Area Application Services) metrics
                    	**type**\:   :py:class:`Waas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Services.Waas>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.waas = Native.Flow.Record.Match.Services.Waas()
                        self.waas.parent = self


                    class Waas(object):
                        """
                        WAAS (Wide Area Application Services) metrics
                        
                        .. attribute:: passthrough_reason
                        
                        	WAAS passthrough reason
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: segment
                        
                        	WAAS optimization segment
                        	**type**\:   :py:class:`Segment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Services.Waas.Segment>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.passthrough_reason = None
                            self.segment = None


                        class Segment(object):
                            """
                            WAAS optimization segment
                            
                            .. attribute:: account_on_resolution
                            
                            	Account on resolution
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.account_on_resolution = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:segment'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.account_on_resolution is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Services.Waas.Segment']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:waas'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.passthrough_reason is not None:
                                return True

                            if self.segment is not None and self.segment._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Services.Waas']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:services'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.waas is not None and self.waas._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Match.Services']['meta_info']


                class Timestamp(object):
                    """
                    Timestamp fields
                    
                    .. attribute:: absolute
                    
                    	Timestamps based on the epoch of 00\:00 UTC 1st Jan 1970
                    	**type**\:   :py:class:`Absolute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Timestamp.Absolute>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.absolute = Native.Flow.Record.Match.Timestamp.Absolute()
                        self.absolute.parent = self


                    class Absolute(object):
                        """
                        Timestamps based on the epoch of 00\:00 UTC 1st Jan 1970
                        
                        .. attribute:: monitoring_interval
                        
                        	Monitoring interval timestamps
                        	**type**\:   :py:class:`MonitoringInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Timestamp.Absolute.MonitoringInterval>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.monitoring_interval = Native.Flow.Record.Match.Timestamp.Absolute.MonitoringInterval()
                            self.monitoring_interval.parent = self


                        class MonitoringInterval(object):
                            """
                            Monitoring interval timestamps
                            
                            .. attribute:: start
                            
                            	Absolute start time of a monitoring interval (milliseconds)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.start = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:monitoring-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.start is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Timestamp.Absolute.MonitoringInterval']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:absolute'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.monitoring_interval is not None and self.monitoring_interval._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Timestamp.Absolute']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:timestamp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.absolute is not None and self.absolute._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Match.Timestamp']['meta_info']


                class Transport(object):
                    """
                    Transport layer fields
                    
                    .. attribute:: bytes
                    
                    	Bytes fields
                    	**type**\:   :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Bytes>`
                    
                    .. attribute:: destination_port
                    
                    	Transport destination port
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: icmp
                    
                    	ICMP fields
                    	**type**\:   :py:class:`Icmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Icmp>`
                    
                    .. attribute:: igmp
                    
                    	IGMP fields
                    	**type**\:   :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Igmp>`
                    
                    .. attribute:: rtp
                    
                    	RTP fields
                    	**type**\:   :py:class:`Rtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Rtp>`
                    
                    .. attribute:: source_port
                    
                    	Transport source port
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: tcp
                    
                    	TCP fields
                    	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Tcp>`
                    
                    .. attribute:: udp
                    
                    	UDP fields
                    	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Udp>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bytes = Native.Flow.Record.Match.Transport.Bytes()
                        self.bytes.parent = self
                        self.destination_port = None
                        self.icmp = Native.Flow.Record.Match.Transport.Icmp()
                        self.icmp.parent = self
                        self.igmp = Native.Flow.Record.Match.Transport.Igmp()
                        self.igmp.parent = self
                        self.rtp = Native.Flow.Record.Match.Transport.Rtp()
                        self.rtp.parent = self
                        self.source_port = None
                        self.tcp = Native.Flow.Record.Match.Transport.Tcp()
                        self.tcp.parent = self
                        self.udp = Native.Flow.Record.Match.Transport.Udp()
                        self.udp.parent = self


                    class Bytes(object):
                        """
                        Bytes fields
                        
                        .. attribute:: expected
                        
                        	Transport bytes expected
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: lost
                        
                        	Transport bytes lost
                        	**type**\:   :py:class:`Lost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Bytes.Lost>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.expected = None
                            self.lost = None


                        class Lost(object):
                            """
                            Transport bytes lost
                            
                            .. attribute:: rate
                            
                            	Transport bytes lost rate
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:lost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Transport.Bytes.Lost']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:bytes'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.expected is not None:
                                return True

                            if self.lost is not None and self.lost._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Transport.Bytes']['meta_info']


                    class Rtp(object):
                        """
                        RTP fields
                        
                        .. attribute:: ssrc
                        
                        	RTP SSRC
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ssrc = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:rtp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ssrc is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Transport.Rtp']['meta_info']


                    class Icmp(object):
                        """
                        ICMP fields
                        
                        .. attribute:: ipv4
                        
                        	IPv4 ICMP fields
                        	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Icmp.Ipv4>`
                        
                        .. attribute:: ipv6
                        
                        	IPv6 ICMP fields
                        	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Icmp.Ipv6>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = Native.Flow.Record.Match.Transport.Icmp.Ipv4()
                            self.ipv4.parent = self
                            self.ipv6 = Native.Flow.Record.Match.Transport.Icmp.Ipv6()
                            self.ipv6.parent = self


                        class Ipv4(object):
                            """
                            IPv4 ICMP fields
                            
                            .. attribute:: code
                            
                            	IPv4 ICMP code
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: type
                            
                            	IPv4 ICMP type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.code = None
                                self.type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv4'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.code is not None:
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Transport.Icmp.Ipv4']['meta_info']


                        class Ipv6(object):
                            """
                            IPv6 ICMP fields
                            
                            .. attribute:: code
                            
                            	IPv6 ICMP code
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: type
                            
                            	IPv6 ICMP type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.code = None
                                self.type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv6'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.code is not None:
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Transport.Icmp.Ipv6']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:icmp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None and self.ipv4._has_data():
                                return True

                            if self.ipv6 is not None and self.ipv6._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Transport.Icmp']['meta_info']


                    class Igmp(object):
                        """
                        IGMP fields
                        
                        .. attribute:: type
                        
                        	IGMP type
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:igmp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Transport.Igmp']['meta_info']


                    class Tcp(object):
                        """
                        TCP fields
                        
                        .. attribute:: acknowledgement_number
                        
                        	TCP acknowledgement number
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: destination_port
                        
                        	TCP destination port
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: flags
                        
                        	TCP flags
                        	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Tcp.Flags>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flow
                        
                        	TCP flow
                        	**type**\:   :py:class:`Flow_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Tcp.Flow_>`
                        
                        .. attribute:: header_length
                        
                        	TCP header length (in 32 bit words)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: maximum_segment_size
                        
                        	The maximum size of TCP segment
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: option
                        
                        	TCP option fields
                        	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Tcp.Option>`
                        
                        .. attribute:: sequence_number
                        
                        	TCP sequence number
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: source_port
                        
                        	TCP source port
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: urgent_pointer
                        
                        	TCP urgent pointer
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: window_size
                        
                        	TCP window size
                        	**type**\:   :py:class:`WindowSize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Tcp.WindowSize>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acknowledgement_number = None
                            self.destination_port = None
                            self.flags = None
                            self.flow = Native.Flow.Record.Match.Transport.Tcp.Flow_()
                            self.flow.parent = self
                            self.header_length = None
                            self.maximum_segment_size = None
                            self.option = Native.Flow.Record.Match.Transport.Tcp.Option()
                            self.option.parent = self
                            self.sequence_number = None
                            self.source_port = None
                            self.urgent_pointer = None
                            self.window_size = None


                        class Flags(object):
                            """
                            TCP flags
                            
                            .. attribute:: ack
                            
                            	TCP acknowledgement flag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: cwr
                            
                            	TCP congestion window reduced flag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ece
                            
                            	TCP ECN echo flag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fin
                            
                            	TCP finish flag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: psh
                            
                            	TCP push flag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rst
                            
                            	TCP reset flag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: syn
                            
                            	TCP synchronise flag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: urg
                            
                            	TCP urgent flag
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.ack = None
                                self.cwr = None
                                self.ece = None
                                self.fin = None
                                self.psh = None
                                self.rst = None
                                self.syn = None
                                self.urg = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:flags'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.ack is not None:
                                    return True

                                if self.cwr is not None:
                                    return True

                                if self.ece is not None:
                                    return True

                                if self.fin is not None:
                                    return True

                                if self.psh is not None:
                                    return True

                                if self.rst is not None:
                                    return True

                                if self.syn is not None:
                                    return True

                                if self.urg is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Transport.Tcp.Flags']['meta_info']


                        class Flow_(object):
                            """
                            TCP flow
                            
                            .. attribute:: count
                            
                            	Number of tcp flows
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.count = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.count is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Transport.Tcp.Flow_']['meta_info']


                        class Option(object):
                            """
                            TCP option fields
                            
                            .. attribute:: map
                            
                            	Bitmap of TCP options
                            	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Tcp.Option.Map>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map = None


                            class Map(object):
                                """
                                Bitmap of TCP options
                                
                                .. attribute:: long
                                
                                	Extended bitmap of TCP options
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.long = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.long is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Match.Transport.Tcp.Option.Map']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map is not None and self.map._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Transport.Tcp.Option']['meta_info']


                        class WindowSize(object):
                            """
                            TCP window size
                            
                            .. attribute:: average
                            
                            	The average size of TCP window
                            	**type**\:   :py:class:`Average <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Tcp.WindowSize.Average>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum
                            
                            	The maximum size of TCP window
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	The minimum size of TCP window
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sum
                            
                            	The sum of TCP window size
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.average = None
                                self.maximum = None
                                self.minimum = None
                                self.sum = None


                            class Average(object):
                                """
                                The average size of TCP window
                                
                                .. attribute:: sum
                                
                                	The sum of per flow TCP window average size
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.sum = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-flow:average'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.sum is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Flow.Record.Match.Transport.Tcp.WindowSize.Average']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:window-size'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.average is not None and self.average._has_data():
                                    return True

                                if self.maximum is not None:
                                    return True

                                if self.minimum is not None:
                                    return True

                                if self.sum is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Record.Match.Transport.Tcp.WindowSize']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:tcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acknowledgement_number is not None:
                                return True

                            if self.destination_port is not None:
                                return True

                            if self.flags is not None and self.flags._has_data():
                                return True

                            if self.flow is not None and self.flow._has_data():
                                return True

                            if self.header_length is not None:
                                return True

                            if self.maximum_segment_size is not None:
                                return True

                            if self.option is not None and self.option._has_data():
                                return True

                            if self.sequence_number is not None:
                                return True

                            if self.source_port is not None:
                                return True

                            if self.urgent_pointer is not None:
                                return True

                            if self.window_size is not None and self.window_size._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Transport.Tcp']['meta_info']


                    class Udp(object):
                        """
                        UDP fields
                        
                        .. attribute:: destination_port
                        
                        	UDP destination port
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: message_length
                        
                        	UDP message length
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: source_port
                        
                        	UDP source port
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination_port = None
                            self.message_length = None
                            self.source_port = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:udp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination_port is not None:
                                return True

                            if self.message_length is not None:
                                return True

                            if self.source_port is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Record.Match.Transport.Udp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:transport'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bytes is not None and self.bytes._has_data():
                            return True

                        if self.destination_port is not None:
                            return True

                        if self.icmp is not None and self.icmp._has_data():
                            return True

                        if self.igmp is not None and self.igmp._has_data():
                            return True

                        if self.rtp is not None and self.rtp._has_data():
                            return True

                        if self.source_port is not None:
                            return True

                        if self.tcp is not None and self.tcp._has_data():
                            return True

                        if self.udp is not None and self.udp._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Record.Match.Transport']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-flow:match'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.application is not None and self.application._has_data():
                        return True

                    if self.connection is not None and self.connection._has_data():
                        return True

                    if self.datalink is not None and self.datalink._has_data():
                        return True

                    if self.flow is not None and self.flow._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.ipv4 is not None and self.ipv4._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    if self.metadata is not None and self.metadata._has_data():
                        return True

                    if self.mpls is not None and self.mpls._has_data():
                        return True

                    if self.network is not None and self.network._has_data():
                        return True

                    if self.pfr is not None and self.pfr._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.routing is not None and self.routing._has_data():
                        return True

                    if self.services is not None and self.services._has_data():
                        return True

                    if self.timestamp is not None and self.timestamp._has_data():
                        return True

                    if self.transport is not None and self.transport._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Flow.Record.Match']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:flow/Cisco-IOS-XE-flow:record[Cisco-IOS-XE-flow:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.collect is not None and self.collect._has_data():
                    return True

                if self.default is not None and self.default._has_data():
                    return True

                if self.description is not None:
                    return True

                if self.match is not None and self.match._has_data():
                    return True

                if self.type is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Flow.Record']['meta_info']


        class Exporter(object):
            """
            Define a Flow Exporter
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: default
            
            	Set a command to its defaults
            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default>`
            
            .. attribute:: description
            
            	Provide a description for this Flow Exporter
            	**type**\:  str
            
            .. attribute:: destination
            
            	Export destination configuration
            	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Destination>`
            
            .. attribute:: dscp
            
            	Optional DSCP
            	**type**\:  int
            
            	**range:** 0..63
            
            .. attribute:: export_protocol
            
            	Export protocol version
            	**type**\:   :py:class:`ExportProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.ExportProtocolEnum>`
            
            .. attribute:: option
            
            	Select an option for exporting
            	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option>`
            
            .. attribute:: output_features
            
            	
            	**type**\:   :py:class:`OutputFeatures <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.OutputFeatures>`
            
            	**presence node**\: True
            
            .. attribute:: source
            
            	Originating interface
            	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Source>`
            
            .. attribute:: template
            
            	Flow Exporter template configuration
            	**type**\:   :py:class:`Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Template>`
            
            .. attribute:: transport
            
            	Transport protocol
            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Transport>`
            
            .. attribute:: ttl
            
            	Optional TTL or hop limit
            	**type**\:  int
            
            	**range:** 0..255
            
            

            """

            _prefix = 'ios-flow'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.default = Native.Flow.Exporter.Default()
                self.default.parent = self
                self.description = None
                self.destination = Native.Flow.Exporter.Destination()
                self.destination.parent = self
                self.dscp = None
                self.export_protocol = None
                self.option = Native.Flow.Exporter.Option()
                self.option.parent = self
                self.output_features = None
                self.source = Native.Flow.Exporter.Source()
                self.source.parent = self
                self.template = Native.Flow.Exporter.Template()
                self.template.parent = self
                self.transport = Native.Flow.Exporter.Transport()
                self.transport.parent = self
                self.ttl = None

            class ExportProtocolEnum(Enum):
                """
                ExportProtocolEnum

                Export protocol version

                .. data:: ipfix = 0

                .. data:: netflow_v5 = 1

                .. data:: netflow_v9 = 2

                """

                ipfix = 0

                netflow_v5 = 1

                netflow_v9 = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Flow.Exporter.ExportProtocolEnum']



            class Destination(object):
                """
                Export destination configuration
                
                .. attribute:: ip
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: vrf
                
                	Optional VRF label
                	**type**\:  str
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = None
                    self.vrf = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-flow:destination'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None:
                        return True

                    if self.vrf is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Flow.Exporter.Destination']['meta_info']


            class Option(object):
                """
                Select an option for exporting
                
                .. attribute:: application_attributes
                
                	Application Attributes Table Option
                	**type**\:   :py:class:`ApplicationAttributes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option.ApplicationAttributes>`
                
                	**presence node**\: True
                
                .. attribute:: application_table
                
                	Application Table Option
                	**type**\:   :py:class:`ApplicationTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option.ApplicationTable>`
                
                	**presence node**\: True
                
                .. attribute:: c3pl_class_table
                
                	C3PL class cce\-id table
                	**type**\:   :py:class:`C3PlClassTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option.C3PlClassTable>`
                
                	**presence node**\: True
                
                .. attribute:: c3pl_policy_table
                
                	C3PL policy cce\-id table
                	**type**\:   :py:class:`C3PlPolicyTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option.C3PlPolicyTable>`
                
                	**presence node**\: True
                
                .. attribute:: exporter_stats
                
                	Exporter Statistics Option
                	**type**\:   :py:class:`ExporterStats <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option.ExporterStats>`
                
                	**presence node**\: True
                
                .. attribute:: interface_table
                
                	Interface SNMP\-index\-to\-name Table Option
                	**type**\:   :py:class:`InterfaceTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option.InterfaceTable>`
                
                	**presence node**\: True
                
                .. attribute:: metadata_version_table
                
                	Metadata Version Table Option
                	**type**\:   :py:class:`MetadataVersionTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option.MetadataVersionTable>`
                
                	**presence node**\: True
                
                .. attribute:: sampler_table
                
                	Export Sampler Option
                	**type**\:   :py:class:`SamplerTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option.SamplerTable>`
                
                	**presence node**\: True
                
                .. attribute:: sub_application_table
                
                	Sub Application Table Option
                	**type**\:   :py:class:`SubApplicationTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option.SubApplicationTable>`
                
                	**presence node**\: True
                
                .. attribute:: vrf_table
                
                	VRF ID\-to\-name Table Option
                	**type**\:   :py:class:`VrfTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option.VrfTable>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.application_attributes = None
                    self.application_table = None
                    self.c3pl_class_table = None
                    self.c3pl_policy_table = None
                    self.exporter_stats = None
                    self.interface_table = None
                    self.metadata_version_table = None
                    self.sampler_table = None
                    self.sub_application_table = None
                    self.vrf_table = None


                class ApplicationAttributes(object):
                    """
                    Application Attributes Table Option
                    
                    .. attribute:: timeout
                    
                    	Option resend time
                    	**type**\:  int
                    
                    	**range:** 1..86400
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:application-attributes'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Exporter.Option.ApplicationAttributes']['meta_info']


                class ApplicationTable(object):
                    """
                    Application Table Option
                    
                    .. attribute:: timeout
                    
                    	Option resend time
                    	**type**\:  int
                    
                    	**range:** 1..86400
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:application-table'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Exporter.Option.ApplicationTable']['meta_info']


                class C3PlClassTable(object):
                    """
                    C3PL class cce\-id table
                    
                    .. attribute:: timeout
                    
                    	Option resend time
                    	**type**\:  int
                    
                    	**range:** 1..86400
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:c3pl-class-table'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Exporter.Option.C3PlClassTable']['meta_info']


                class C3PlPolicyTable(object):
                    """
                    C3PL policy cce\-id table
                    
                    .. attribute:: timeout
                    
                    	Option resend time
                    	**type**\:  int
                    
                    	**range:** 1..86400
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:c3pl-policy-table'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Exporter.Option.C3PlPolicyTable']['meta_info']


                class ExporterStats(object):
                    """
                    Exporter Statistics Option
                    
                    .. attribute:: timeout
                    
                    	Option resend time
                    	**type**\:  int
                    
                    	**range:** 1..86400
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:exporter-stats'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Exporter.Option.ExporterStats']['meta_info']


                class InterfaceTable(object):
                    """
                    Interface SNMP\-index\-to\-name Table Option
                    
                    .. attribute:: timeout
                    
                    	Option resend time
                    	**type**\:  int
                    
                    	**range:** 1..86400
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:interface-table'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Exporter.Option.InterfaceTable']['meta_info']


                class MetadataVersionTable(object):
                    """
                    Metadata Version Table Option
                    
                    .. attribute:: timeout
                    
                    	Option resend time
                    	**type**\:  int
                    
                    	**range:** 1..86400
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:metadata-version-table'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Exporter.Option.MetadataVersionTable']['meta_info']


                class SamplerTable(object):
                    """
                    Export Sampler Option
                    
                    .. attribute:: timeout
                    
                    	Option resend time
                    	**type**\:  int
                    
                    	**range:** 1..86400
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:sampler-table'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Exporter.Option.SamplerTable']['meta_info']


                class SubApplicationTable(object):
                    """
                    Sub Application Table Option
                    
                    .. attribute:: timeout
                    
                    	Option resend time
                    	**type**\:  int
                    
                    	**range:** 1..86400
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:sub-application-table'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Exporter.Option.SubApplicationTable']['meta_info']


                class VrfTable(object):
                    """
                    VRF ID\-to\-name Table Option
                    
                    .. attribute:: timeout
                    
                    	Option resend time
                    	**type**\:  int
                    
                    	**range:** 1..86400
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:vrf-table'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Exporter.Option.VrfTable']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-flow:option'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.application_attributes is not None and self.application_attributes._has_data():
                        return True

                    if self.application_table is not None and self.application_table._has_data():
                        return True

                    if self.c3pl_class_table is not None and self.c3pl_class_table._has_data():
                        return True

                    if self.c3pl_policy_table is not None and self.c3pl_policy_table._has_data():
                        return True

                    if self.exporter_stats is not None and self.exporter_stats._has_data():
                        return True

                    if self.interface_table is not None and self.interface_table._has_data():
                        return True

                    if self.metadata_version_table is not None and self.metadata_version_table._has_data():
                        return True

                    if self.sampler_table is not None and self.sampler_table._has_data():
                        return True

                    if self.sub_application_table is not None and self.sub_application_table._has_data():
                        return True

                    if self.vrf_table is not None and self.vrf_table._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Flow.Exporter.Option']['meta_info']


            class OutputFeatures(object):
                """
                
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-flow'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-flow:output-features'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Flow.Exporter.OutputFeatures']['meta_info']


            class Source(object):
                """
                Originating interface
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\:  str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Source.AtmAcrsubinterface>`
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Source.AtmSubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\:  str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\:  str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\:  str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\:  str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\:  str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  int
                
                	**range:** 0..65520
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Source.LispSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Source.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\:  str
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\:  str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\:  str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.appnav_compress = None
                    self.appnav_uncompress = None
                    self.atm = None
                    self.atm_acr = None
                    self.atm_acrsubinterface = Native.Flow.Exporter.Source.AtmAcrsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self.atm_subinterface = Native.Flow.Exporter.Source.AtmSubinterface()
                    self.atm_subinterface.parent = self
                    self.bdi = None
                    self.cellular = None
                    self.cem = None
                    self.cem_acr = None
                    self.embedded_service_engine = None
                    self.fastethernet = None
                    self.gigabitethernet = None
                    self.lisp = None
                    self.lisp_subinterface = Native.Flow.Exporter.Source.LispSubinterface()
                    self.lisp_subinterface.parent = self
                    self.loopback = None
                    self.multilink = None
                    self.nve = None
                    self.overlay = None
                    self.port_channel = None
                    self.port_channel_subinterface = Native.Flow.Exporter.Source.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self.pseudowire = None
                    self.serial = None
                    self.sm = None
                    self.tengigabitethernet = None
                    self.tunnel = None
                    self.vasileft = None
                    self.vasiright = None
                    self.virtual_template = None
                    self.virtualportgroup = None
                    self.vlan = None


                class AtmSubinterface(object):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:ATM-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Exporter.Source.AtmSubinterface']['meta_info']


                class AtmAcrsubinterface(object):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm_acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:ATM-ACRsubinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm_acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Exporter.Source.AtmAcrsubinterface']['meta_info']


                class LispSubinterface(object):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.lisp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:LISP-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.lisp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Exporter.Source.LispSubinterface']['meta_info']


                class PortChannelSubinterface(object):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.port_channel = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:Port-channel-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.port_channel is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Exporter.Source.PortChannelSubinterface']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-flow:source'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.appnav_compress is not None:
                        return True

                    if self.appnav_uncompress is not None:
                        return True

                    if self.atm is not None:
                        return True

                    if self.atm_acr is not None:
                        return True

                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                        return True

                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                        return True

                    if self.bdi is not None:
                        return True

                    if self.cellular is not None:
                        return True

                    if self.cem is not None:
                        return True

                    if self.cem_acr is not None:
                        return True

                    if self.embedded_service_engine is not None:
                        return True

                    if self.fastethernet is not None:
                        return True

                    if self.gigabitethernet is not None:
                        return True

                    if self.lisp is not None:
                        return True

                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                        return True

                    if self.loopback is not None:
                        return True

                    if self.multilink is not None:
                        return True

                    if self.nve is not None:
                        return True

                    if self.overlay is not None:
                        return True

                    if self.port_channel is not None:
                        return True

                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                        return True

                    if self.pseudowire is not None:
                        return True

                    if self.serial is not None:
                        return True

                    if self.sm is not None:
                        return True

                    if self.tengigabitethernet is not None:
                        return True

                    if self.tunnel is not None:
                        return True

                    if self.vasileft is not None:
                        return True

                    if self.vasiright is not None:
                        return True

                    if self.virtual_template is not None:
                        return True

                    if self.virtualportgroup is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Flow.Exporter.Source']['meta_info']


            class Template(object):
                """
                Flow Exporter template configuration
                
                .. attribute:: data
                
                	Flow Exporter data configuration
                	**type**\:   :py:class:`Data <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Template.Data>`
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.data = Native.Flow.Exporter.Template.Data()
                    self.data.parent = self


                class Data(object):
                    """
                    Flow Exporter data configuration
                    
                    .. attribute:: timeout
                    
                    	Resend data based on a timeout
                    	**type**\:  int
                    
                    	**range:** 1..86400
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:data'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Exporter.Template.Data']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-flow:template'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.data is not None and self.data._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Flow.Exporter.Template']['meta_info']


            class Transport(object):
                """
                Transport protocol
                
                .. attribute:: udp
                
                	UDP transport protocol
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.udp = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-flow:transport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.udp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Flow.Exporter.Transport']['meta_info']


            class Default(object):
                """
                Set a command to its defaults
                
                .. attribute:: description
                
                	Provide a description for this Flow Exporter
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dscp
                
                	Optional DSCP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: export_protocol
                
                	Export protocol version
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: option
                
                	Select an option for exporting
                	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Option>`
                
                .. attribute:: template
                
                	Flow Exporter template configuration
                	**type**\:   :py:class:`Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Template>`
                
                .. attribute:: transport
                
                	Transport protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ttl
                
                	Optional TTL or hop limit
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.description = None
                    self.dscp = None
                    self.export_protocol = None
                    self.option = Native.Flow.Exporter.Default.Option()
                    self.option.parent = self
                    self.template = Native.Flow.Exporter.Default.Template()
                    self.template.parent = self
                    self.transport = None
                    self.ttl = None


                class Option(object):
                    """
                    Select an option for exporting
                    
                    .. attribute:: application_attributes
                    
                    	Application Attributes Table Option
                    	**type**\:   :py:class:`ApplicationAttributes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Option.ApplicationAttributes>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: c3pl_class_table
                    
                    	C3PL class cce\-id table
                    	**type**\:   :py:class:`C3PlClassTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Option.C3PlClassTable>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: c3pl_policy_table
                    
                    	C3PL policy cce\-id table
                    	**type**\:   :py:class:`C3PlPolicyTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Option.C3PlPolicyTable>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: exporter_stats
                    
                    	Exporter Statistics Option
                    	**type**\:   :py:class:`ExporterStats <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Option.ExporterStats>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: interface_table
                    
                    	Interface SNMP\-index\-to\-name Table Option
                    	**type**\:   :py:class:`InterfaceTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Option.InterfaceTable>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: metadata_version_table
                    
                    	Metadata Version Table Option
                    	**type**\:   :py:class:`MetadataVersionTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Option.MetadataVersionTable>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: sampler_table
                    
                    	Export Sampler Option
                    	**type**\:   :py:class:`SamplerTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Option.SamplerTable>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: sub_application_table
                    
                    	Sub Application Table Option
                    	**type**\:   :py:class:`SubApplicationTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Option.SubApplicationTable>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: vrf_table
                    
                    	VRF ID\-to\-name Table Option
                    	**type**\:   :py:class:`VrfTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Option.VrfTable>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.application_attributes = None
                        self.c3pl_class_table = None
                        self.c3pl_policy_table = None
                        self.exporter_stats = None
                        self.interface_table = None
                        self.metadata_version_table = None
                        self.sampler_table = None
                        self.sub_application_table = None
                        self.vrf_table = None


                    class ApplicationAttributes(object):
                        """
                        Application Attributes Table Option
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:application-attributes'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Exporter.Default.Option.ApplicationAttributes']['meta_info']


                    class C3PlClassTable(object):
                        """
                        C3PL class cce\-id table
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:c3pl-class-table'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Exporter.Default.Option.C3PlClassTable']['meta_info']


                    class C3PlPolicyTable(object):
                        """
                        C3PL policy cce\-id table
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:c3pl-policy-table'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Exporter.Default.Option.C3PlPolicyTable']['meta_info']


                    class ExporterStats(object):
                        """
                        Exporter Statistics Option
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:exporter-stats'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Exporter.Default.Option.ExporterStats']['meta_info']


                    class InterfaceTable(object):
                        """
                        Interface SNMP\-index\-to\-name Table Option
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:interface-table'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Exporter.Default.Option.InterfaceTable']['meta_info']


                    class MetadataVersionTable(object):
                        """
                        Metadata Version Table Option
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:metadata-version-table'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Exporter.Default.Option.MetadataVersionTable']['meta_info']


                    class SamplerTable(object):
                        """
                        Export Sampler Option
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:sampler-table'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Exporter.Default.Option.SamplerTable']['meta_info']


                    class SubApplicationTable(object):
                        """
                        Sub Application Table Option
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:sub-application-table'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Exporter.Default.Option.SubApplicationTable']['meta_info']


                    class VrfTable(object):
                        """
                        VRF ID\-to\-name Table Option
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:vrf-table'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Exporter.Default.Option.VrfTable']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:option'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.application_attributes is not None and self.application_attributes._has_data():
                            return True

                        if self.c3pl_class_table is not None and self.c3pl_class_table._has_data():
                            return True

                        if self.c3pl_policy_table is not None and self.c3pl_policy_table._has_data():
                            return True

                        if self.exporter_stats is not None and self.exporter_stats._has_data():
                            return True

                        if self.interface_table is not None and self.interface_table._has_data():
                            return True

                        if self.metadata_version_table is not None and self.metadata_version_table._has_data():
                            return True

                        if self.sampler_table is not None and self.sampler_table._has_data():
                            return True

                        if self.sub_application_table is not None and self.sub_application_table._has_data():
                            return True

                        if self.vrf_table is not None and self.vrf_table._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Exporter.Default.Option']['meta_info']


                class Template(object):
                    """
                    Flow Exporter template configuration
                    
                    .. attribute:: data
                    
                    	Flow Exporter data configuration
                    	**type**\:   :py:class:`Data <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Template.Data>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.data = Native.Flow.Exporter.Default.Template.Data()
                        self.data.parent = self


                    class Data(object):
                        """
                        Flow Exporter data configuration
                        
                        .. attribute:: timeout
                        
                        	Resend data based on a timeout
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.timeout = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:data'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.timeout is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Exporter.Default.Template.Data']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:template'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.data is not None and self.data._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Exporter.Default.Template']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-flow:default'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.description is not None:
                        return True

                    if self.dscp is not None:
                        return True

                    if self.export_protocol is not None:
                        return True

                    if self.option is not None and self.option._has_data():
                        return True

                    if self.template is not None and self.template._has_data():
                        return True

                    if self.transport is not None:
                        return True

                    if self.ttl is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Flow.Exporter.Default']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:flow/Cisco-IOS-XE-flow:exporter[Cisco-IOS-XE-flow:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.default is not None and self.default._has_data():
                    return True

                if self.description is not None:
                    return True

                if self.destination is not None and self.destination._has_data():
                    return True

                if self.dscp is not None:
                    return True

                if self.export_protocol is not None:
                    return True

                if self.option is not None and self.option._has_data():
                    return True

                if self.output_features is not None and self.output_features._has_data():
                    return True

                if self.source is not None and self.source._has_data():
                    return True

                if self.template is not None and self.template._has_data():
                    return True

                if self.transport is not None and self.transport._has_data():
                    return True

                if self.ttl is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Flow.Exporter']['meta_info']


        class Monitor(object):
            """
            Define a Flow Monitor
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: cache
            
            	Monitor cache entries
            	**type**\:   :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Cache>`
            
            .. attribute:: default
            
            	Set a command to its defaults
            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Default>`
            
            .. attribute:: description
            
            	Provide a description for this Flow Monitor
            	**type**\:  str
            
            .. attribute:: exporter
            
            	Add an Exporter to use to export records
            	**type**\: list of    :py:class:`Exporter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Exporter>`
            
            .. attribute:: history
            
            	Monitor history intervals
            	**type**\:   :py:class:`History <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.History>`
            
            .. attribute:: record
            
            	Specify Flow Record to use to define Cache
            	**type**\:   :py:class:`Record <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record>`
            
            .. attribute:: statistics
            
            	Collect statistics
            	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Statistics>`
            
            .. attribute:: type
            
            	Type of the Flow Record
            	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.TypeEnum>`
            
            

            """

            _prefix = 'ios-flow'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.cache = Native.Flow.Monitor.Cache()
                self.cache.parent = self
                self.default = Native.Flow.Monitor.Default()
                self.default.parent = self
                self.description = None
                self.exporter = YList()
                self.exporter.parent = self
                self.exporter.name = 'exporter'
                self.history = Native.Flow.Monitor.History()
                self.history.parent = self
                self.record = Native.Flow.Monitor.Record()
                self.record.parent = self
                self.statistics = Native.Flow.Monitor.Statistics()
                self.statistics.parent = self
                self.type = None

            class TypeEnum(Enum):
                """
                TypeEnum

                Type of the Flow Record

                .. data:: performance_monitor = 0

                """

                performance_monitor = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Flow.Monitor.TypeEnum']



            class Cache(object):
                """
                Monitor cache entries
                
                .. attribute:: entries
                
                	Number of cache entries
                	**type**\:  int
                
                	**range:** 16..2000000
                
                .. attribute:: timeout
                
                	Cache timeout
                	**type**\:   :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Cache.Timeout>`
                
                .. attribute:: type
                
                	Cache type
                	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Cache.TypeEnum>`
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.entries = None
                    self.timeout = Native.Flow.Monitor.Cache.Timeout()
                    self.timeout.parent = self
                    self.type = None

                class TypeEnum(Enum):
                    """
                    TypeEnum

                    Cache type

                    .. data:: immediate = 0

                    .. data:: normal = 1

                    .. data:: permanent = 2

                    .. data:: synchronized = 3

                    """

                    immediate = 0

                    normal = 1

                    permanent = 2

                    synchronized = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Monitor.Cache.TypeEnum']



                class Timeout(object):
                    """
                    Cache timeout
                    
                    .. attribute:: active
                    
                    	Active timeout
                    	**type**\:  int
                    
                    	**range:** 1..604800
                    
                    .. attribute:: event
                    
                    	Timeout event
                    	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Cache.Timeout.Event>`
                    
                    .. attribute:: inactive
                    
                    	Inactive timeout
                    	**type**\:  int
                    
                    	**range:** 1..604800
                    
                    .. attribute:: synchronized
                    
                    	Synchronized timeout
                    	**type**\:  int
                    
                    	**range:** 1..300
                    
                    .. attribute:: update
                    
                    	Update timeout
                    	**type**\:  int
                    
                    	**range:** 1..604800
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.active = None
                        self.event = Native.Flow.Monitor.Cache.Timeout.Event()
                        self.event.parent = self
                        self.inactive = None
                        self.synchronized = None
                        self.update = None


                    class Event(object):
                        """
                        Timeout event
                        
                        .. attribute:: transaction_end
                        
                        	Transaction\-end event
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.transaction_end = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:event'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.transaction_end is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Monitor.Cache.Timeout.Event']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:timeout'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.active is not None:
                            return True

                        if self.event is not None and self.event._has_data():
                            return True

                        if self.inactive is not None:
                            return True

                        if self.synchronized is not None:
                            return True

                        if self.update is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Monitor.Cache.Timeout']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-flow:cache'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.entries is not None:
                        return True

                    if self.timeout is not None and self.timeout._has_data():
                        return True

                    if self.type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Flow.Monitor.Cache']['meta_info']


            class Exporter(object):
                """
                Add an Exporter to use to export records
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-flow:exporter[Cisco-IOS-XE-flow:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Flow.Monitor.Exporter']['meta_info']


            class History(object):
                """
                Monitor history intervals
                
                .. attribute:: size
                
                	History size
                	**type**\:  int
                
                	**range:** 0..60
                
                .. attribute:: timeout
                
                	Specify timeout interval
                	**type**\:  int
                
                	**range:** 1..30
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.size = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-flow:history'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.size is not None:
                        return True

                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Flow.Monitor.History']['meta_info']


            class Record(object):
                """
                Specify Flow Record to use to define Cache
                
                .. attribute:: netflow
                
                	Traditional NetFlow collection schemes
                	**type**\:   :py:class:`Netflow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow>`
                
                .. attribute:: type
                
                	
                	**type**\: one of the below types:
                
                	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.TypeEnum>`
                
                
                ----
                	**type**\:  str
                
                
                ----
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.netflow = Native.Flow.Monitor.Record.Netflow()
                    self.netflow.parent = self
                    self.type = None

                class TypeEnum(Enum):
                    """
                    TypeEnum

                    .. data:: default_rtp = 0

                    .. data:: default_tcp = 1

                    .. data:: netflow_original = 2

                    """

                    default_rtp = 0

                    default_tcp = 1

                    netflow_original = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Monitor.Record.TypeEnum']



                class Netflow(object):
                    """
                    Traditional NetFlow collection schemes
                    
                    .. attribute:: ipv4
                    
                    	Traditional IPv4 NetFlow collection schemes
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	Traditional IPv6 NetFlow collection schemes
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv6>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = Native.Flow.Monitor.Record.Netflow.Ipv4()
                        self.ipv4.parent = self
                        self.ipv6 = Native.Flow.Monitor.Record.Netflow.Ipv6()
                        self.ipv6.parent = self


                    class Ipv4(object):
                        """
                        Traditional IPv4 NetFlow collection schemes
                        
                        .. attribute:: as_
                        
                        	AS aggregation schemes
                        	**type**\:   :py:class:`As_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.As_>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: as_tos
                        
                        	AS and TOS aggregation schemes
                        	**type**\:   :py:class:`AsTos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.AsTos>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: bgp_nexthop_tos
                        
                        	BGP next\-hop and TOS aggregation schemes
                        	**type**\:   :py:class:`BgpNexthopTos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.BgpNexthopTos>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: destination_prefix
                        
                        	Destination Prefix aggregation schemes
                        	**type**\:   :py:class:`DestinationPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.DestinationPrefix>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: destination_prefix_tos
                        
                        	Destination Prefix and TOS  aggregation schemes
                        	**type**\:   :py:class:`DestinationPrefixTos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.DestinationPrefixTos>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: original_input
                        
                        	Traditional IPv6 input NetFlow with ASs
                        	**type**\:   :py:class:`OriginalInput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.OriginalInput>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: original_output
                        
                        	Traditional IPv6 output NetFlow with ASs
                        	**type**\:   :py:class:`OriginalOutput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.OriginalOutput>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix
                        
                        	Source and Destination Prefixes aggregation schemes
                        	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.Prefix>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix_port
                        
                        	Prefixes and Ports aggregation scheme
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefix_tos
                        
                        	Prefixes and TOS aggregation schemes
                        	**type**\:   :py:class:`PrefixTos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.PrefixTos>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: protocol_port
                        
                        	Protocol and Ports aggregation scheme
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: protocol_port_tos
                        
                        	Protocol, Ports and TOS aggregation scheme
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: source_prefix
                        
                        	Source AS and Prefix aggregation schemes
                        	**type**\:   :py:class:`SourcePrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.SourcePrefix>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source_prefix_tos
                        
                        	Source Prefix and TOS aggregation schemes
                        	**type**\:   :py:class:`SourcePrefixTos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.SourcePrefixTos>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.as_ = None
                            self.as_tos = None
                            self.bgp_nexthop_tos = None
                            self.destination_prefix = None
                            self.destination_prefix_tos = None
                            self.original_input = None
                            self.original_output = None
                            self.prefix = None
                            self.prefix_port = None
                            self.prefix_tos = None
                            self.protocol_port = None
                            self.protocol_port_tos = None
                            self.source_prefix = None
                            self.source_prefix_tos = None


                        class As_(object):
                            """
                            AS aggregation schemes
                            
                            .. attribute:: peer
                            
                            	AS aggregation scheme with peer ASs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.peer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:as'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.As_']['meta_info']


                        class DestinationPrefix(object):
                            """
                            Destination Prefix aggregation schemes
                            
                            .. attribute:: peer
                            
                            	Destination Prefix aggregation scheme with peer AS
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.peer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:destination-prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.DestinationPrefix']['meta_info']


                        class OriginalInput(object):
                            """
                            Traditional IPv6 input NetFlow with ASs
                            
                            .. attribute:: peer
                            
                            	Traditional IPv6 input NetFlow with peer ASs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.peer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:original-input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.OriginalInput']['meta_info']


                        class OriginalOutput(object):
                            """
                            Traditional IPv6 output NetFlow with ASs
                            
                            .. attribute:: peer
                            
                            	Traditional IPv6 output NetFlow with peer ASs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.peer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:original-output'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.OriginalOutput']['meta_info']


                        class Prefix(object):
                            """
                            Source and Destination Prefixes aggregation schemes
                            
                            .. attribute:: peer
                            
                            	Source and Destination Prefixes aggregation scheme with peer ASs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.peer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.Prefix']['meta_info']


                        class SourcePrefix(object):
                            """
                            Source AS and Prefix aggregation schemes
                            
                            .. attribute:: peer
                            
                            	Source AS and Prefix aggregation scheme with peer AS
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.peer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:source-prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.SourcePrefix']['meta_info']


                        class AsTos(object):
                            """
                            AS and TOS aggregation schemes
                            
                            .. attribute:: peer
                            
                            	AS and TOS aggregation scheme with peer ASs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.peer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:as-tos'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.AsTos']['meta_info']


                        class BgpNexthopTos(object):
                            """
                            BGP next\-hop and TOS aggregation schemes
                            
                            .. attribute:: peer
                            
                            	BGP next\-hop and TOS aggregation scheme with peer ASs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.peer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:bgp-nexthop-tos'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.BgpNexthopTos']['meta_info']


                        class DestinationPrefixTos(object):
                            """
                            Destination Prefix and TOS  aggregation schemes
                            
                            .. attribute:: peer
                            
                            	Destination Prefix and TOS aggregation scheme with peer AS
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.peer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:destination-prefix-tos'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.DestinationPrefixTos']['meta_info']


                        class PrefixTos(object):
                            """
                            Prefixes and TOS aggregation schemes
                            
                            .. attribute:: peer
                            
                            	Prefixes and TOS aggregation scheme with peer ASs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.peer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix-tos'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.PrefixTos']['meta_info']


                        class SourcePrefixTos(object):
                            """
                            Source Prefix and TOS aggregation schemes
                            
                            .. attribute:: peer
                            
                            	Source Prefix and TOS aggregation scheme with peer AS
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.peer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:source-prefix-tos'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4.SourcePrefixTos']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.as_ is not None and self.as_._has_data():
                                return True

                            if self.as_tos is not None and self.as_tos._has_data():
                                return True

                            if self.bgp_nexthop_tos is not None and self.bgp_nexthop_tos._has_data():
                                return True

                            if self.destination_prefix is not None and self.destination_prefix._has_data():
                                return True

                            if self.destination_prefix_tos is not None and self.destination_prefix_tos._has_data():
                                return True

                            if self.original_input is not None and self.original_input._has_data():
                                return True

                            if self.original_output is not None and self.original_output._has_data():
                                return True

                            if self.prefix is not None and self.prefix._has_data():
                                return True

                            if self.prefix_port is not None:
                                return True

                            if self.prefix_tos is not None and self.prefix_tos._has_data():
                                return True

                            if self.protocol_port is not None:
                                return True

                            if self.protocol_port_tos is not None:
                                return True

                            if self.source_prefix is not None and self.source_prefix._has_data():
                                return True

                            if self.source_prefix_tos is not None and self.source_prefix_tos._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Monitor.Record.Netflow.Ipv4']['meta_info']


                    class Ipv6(object):
                        """
                        Traditional IPv6 NetFlow collection schemes
                        
                        .. attribute:: as_
                        
                        	AS aggregation schemes
                        	**type**\:   :py:class:`As_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv6.As_>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: bgp_nexthop
                        
                        	BGP next\-hop aggregation schemes
                        	**type**\:   :py:class:`BgpNexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv6.BgpNexthop>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: destination_prefix
                        
                        	Destination Prefix aggregation schemes
                        	**type**\:   :py:class:`DestinationPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv6.DestinationPrefix>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: original_input
                        
                        	Traditional IPv6 input NetFlow with ASs
                        	**type**\:   :py:class:`OriginalInput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv6.OriginalInput>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: original_output
                        
                        	Traditional IPv6 output NetFlow with ASs
                        	**type**\:   :py:class:`OriginalOutput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv6.OriginalOutput>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix
                        
                        	Source and Destination Prefixes aggregation schemes
                        	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv6.Prefix>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: protocol_port
                        
                        	Protocol and Ports aggregation scheme
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: source_prefix
                        
                        	Source AS and Prefix aggregation schemes
                        	**type**\:   :py:class:`SourcePrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv6.SourcePrefix>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.as_ = None
                            self.bgp_nexthop = None
                            self.destination_prefix = None
                            self.original_input = None
                            self.original_output = None
                            self.prefix = None
                            self.protocol_port = None
                            self.source_prefix = None


                        class As_(object):
                            """
                            AS aggregation schemes
                            
                            .. attribute:: peer
                            
                            	AS aggregation scheme with peer ASs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.peer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:as'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6.As_']['meta_info']


                        class DestinationPrefix(object):
                            """
                            Destination Prefix aggregation schemes
                            
                            .. attribute:: peer
                            
                            	Destination Prefix aggregation scheme with peer AS
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.peer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:destination-prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6.DestinationPrefix']['meta_info']


                        class OriginalInput(object):
                            """
                            Traditional IPv6 input NetFlow with ASs
                            
                            .. attribute:: peer
                            
                            	Traditional IPv6 input NetFlow with peer ASs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.peer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:original-input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6.OriginalInput']['meta_info']


                        class OriginalOutput(object):
                            """
                            Traditional IPv6 output NetFlow with ASs
                            
                            .. attribute:: peer
                            
                            	Traditional IPv6 output NetFlow with peer ASs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.peer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:original-output'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6.OriginalOutput']['meta_info']


                        class Prefix(object):
                            """
                            Source and Destination Prefixes aggregation schemes
                            
                            .. attribute:: peer
                            
                            	Source and Destination Prefixes aggregation scheme with peer ASs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.peer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6.Prefix']['meta_info']


                        class SourcePrefix(object):
                            """
                            Source AS and Prefix aggregation schemes
                            
                            .. attribute:: peer
                            
                            	Source AS and Prefix aggregation scheme with peer AS
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.peer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:source-prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6.SourcePrefix']['meta_info']


                        class BgpNexthop(object):
                            """
                            BGP next\-hop aggregation schemes
                            
                            .. attribute:: peer
                            
                            	BGP next\-hop aggregation scheme with peer ASs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.peer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:bgp-nexthop'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6.BgpNexthop']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.as_ is not None and self.as_._has_data():
                                return True

                            if self.bgp_nexthop is not None and self.bgp_nexthop._has_data():
                                return True

                            if self.destination_prefix is not None and self.destination_prefix._has_data():
                                return True

                            if self.original_input is not None and self.original_input._has_data():
                                return True

                            if self.original_output is not None and self.original_output._has_data():
                                return True

                            if self.prefix is not None and self.prefix._has_data():
                                return True

                            if self.protocol_port is not None:
                                return True

                            if self.source_prefix is not None and self.source_prefix._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Monitor.Record.Netflow.Ipv6']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:netflow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Monitor.Record.Netflow']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-flow:record'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.netflow is not None and self.netflow._has_data():
                        return True

                    if self.type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Flow.Monitor.Record']['meta_info']


            class Statistics(object):
                """
                Collect statistics
                
                .. attribute:: packet
                
                	Collect packet statistics
                	**type**\:   :py:class:`Packet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Statistics.Packet>`
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.packet = Native.Flow.Monitor.Statistics.Packet()
                    self.packet.parent = self


                class Packet(object):
                    """
                    Collect packet statistics
                    
                    .. attribute:: protocol
                    
                    	Collect packet protocol distribution statistics
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: size
                    
                    	Collect packet size distribution statistics
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.protocol = None
                        self.size = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:packet'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.protocol is not None:
                            return True

                        if self.size is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Monitor.Statistics.Packet']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-flow:statistics'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.packet is not None and self.packet._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Flow.Monitor.Statistics']['meta_info']


            class Default(object):
                """
                Set a command to its defaults
                
                .. attribute:: cache
                
                	Monitor cache entries
                	**type**\:   :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Default.Cache>`
                
                .. attribute:: description
                
                	Provide a description for this Flow Monitor
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: exporter
                
                	Add an Exporter to use to export records
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: record
                
                	Specify Flow Record to use to define Cache
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: statistics
                
                	Collect statistics
                	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Default.Statistics>`
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cache = Native.Flow.Monitor.Default.Cache()
                    self.cache.parent = self
                    self.description = None
                    self.exporter = None
                    self.record = None
                    self.statistics = Native.Flow.Monitor.Default.Statistics()
                    self.statistics.parent = self


                class Cache(object):
                    """
                    Monitor cache entries
                    
                    .. attribute:: entries
                    
                    	Maximum flow entries in the Flow Cache
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: timeout
                    
                    	Configure flow cache timeout parameters
                    	**type**\:   :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Default.Cache.Timeout>`
                    
                    .. attribute:: type
                    
                    	Set the type of the Flow Cache
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.entries = None
                        self.timeout = Native.Flow.Monitor.Default.Cache.Timeout()
                        self.timeout.parent = self
                        self.type = None


                    class Timeout(object):
                        """
                        Configure flow cache timeout parameters
                        
                        .. attribute:: active
                        
                        	Specify the active flow timeout
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: event
                        
                        	Event\-based export
                        	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Default.Cache.Timeout.Event>`
                        
                        .. attribute:: inactive
                        
                        	Specify the inactive flow timeout
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: synchronized
                        
                        	Specify the timeout for a synchronized Flow Cache
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: update
                        
                        	Specify the update timeout for a permanent Flow Cache
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.active = None
                            self.event = Native.Flow.Monitor.Default.Cache.Timeout.Event()
                            self.event.parent = self
                            self.inactive = None
                            self.synchronized = None
                            self.update = None


                        class Event(object):
                            """
                            Event\-based export
                            
                            .. attribute:: transaction_end
                            
                            	Export on transaction end event
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.transaction_end = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:event'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.transaction_end is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Flow.Monitor.Default.Cache.Timeout.Event']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:timeout'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.active is not None:
                                return True

                            if self.event is not None and self.event._has_data():
                                return True

                            if self.inactive is not None:
                                return True

                            if self.synchronized is not None:
                                return True

                            if self.update is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Monitor.Default.Cache.Timeout']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.entries is not None:
                            return True

                        if self.timeout is not None and self.timeout._has_data():
                            return True

                        if self.type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Monitor.Default.Cache']['meta_info']


                class Statistics(object):
                    """
                    Collect statistics
                    
                    .. attribute:: packet
                    
                    	Collect packet statistics
                    	**type**\:   :py:class:`Packet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Default.Statistics.Packet>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.packet = Native.Flow.Monitor.Default.Statistics.Packet()
                        self.packet.parent = self


                    class Packet(object):
                        """
                        Collect packet statistics
                        
                        .. attribute:: protocol
                        
                        	Collect packet protocol distribution statistics
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: size
                        
                        	Collect packet size distribution statistics
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.protocol = None
                            self.size = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:packet'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.protocol is not None:
                                return True

                            if self.size is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Flow.Monitor.Default.Statistics.Packet']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.packet is not None and self.packet._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Flow.Monitor.Default.Statistics']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-flow:default'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cache is not None and self.cache._has_data():
                        return True

                    if self.description is not None:
                        return True

                    if self.exporter is not None:
                        return True

                    if self.record is not None:
                        return True

                    if self.statistics is not None and self.statistics._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Flow.Monitor.Default']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:flow/Cisco-IOS-XE-flow:monitor[Cisco-IOS-XE-flow:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.cache is not None and self.cache._has_data():
                    return True

                if self.default is not None and self.default._has_data():
                    return True

                if self.description is not None:
                    return True

                if self.exporter is not None:
                    for child_ref in self.exporter:
                        if child_ref._has_data():
                            return True

                if self.history is not None and self.history._has_data():
                    return True

                if self.record is not None and self.record._has_data():
                    return True

                if self.statistics is not None and self.statistics._has_data():
                    return True

                if self.type is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Flow.Monitor']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:flow'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.exporter is not None:
                for child_ref in self.exporter:
                    if child_ref._has_data():
                        return True

            if self.monitor is not None:
                for child_ref in self.monitor:
                    if child_ref._has_data():
                        return True

            if self.record is not None:
                for child_ref in self.record:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Flow']['meta_info']


    class Ip(object):
        """
        Global IP configuration subcommands
        
        .. attribute:: access_list
        
        	IOS Named access list
        	**type**\:   :py:class:`AccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList>`
        
        .. attribute:: admission
        
        	Network Admission Control (NAC)
        	**type**\:   :py:class:`Admission <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Admission>`
        
        .. attribute:: arp
        
        	IP ARP global configuration
        	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Arp>`
        
        .. attribute:: as_path
        
        	BGP autonomous system path filter
        	**type**\:   :py:class:`AsPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AsPath>`
        
        .. attribute:: bgp_community
        
        	format for BGP community
        	**type**\:   :py:class:`BgpCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.BgpCommunity>`
        
        .. attribute:: bootp
        
        	Config BOOTP services
        	**type**\:   :py:class:`Bootp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Bootp>`
        
        .. attribute:: cef
        
        	Cisco Express Forwarding
        	**type**\:   :py:class:`Cef <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef>`
        
        	**presence node**\: True
        
        .. attribute:: classless
        
        	Follow classless routing forwarding rules
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: community_list
        
        	Add a community list entry
        	**type**\:   :py:class:`CommunityList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList>`
        
        .. attribute:: default_gateway
        
        	Specify default gateway (if not routing IP)
        	**type**\:  str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        .. attribute:: device
        
        	Device tracking
        	**type**\:   :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Device>`
        
        .. attribute:: dhcp
        
        	Configure DHCP server and relay parameters
        	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp>`
        
        .. attribute:: dns
        
        	Configure DNS server for a zone
        	**type**\:   :py:class:`Dns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dns>`
        
        .. attribute:: domain
        
        	IP DNS Resolver
        	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Domain>`
        
        .. attribute:: domain_list
        
        	Domain name to complete unqualified host names
        	**type**\:   :py:class:`DomainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.DomainList>`
        
        .. attribute:: domain_lookup
        
        	Enable IP Domain Name System hostname translation
        	**type**\:   :py:class:`DomainLookup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.DomainLookup>`
        
        	**presence node**\: True
        
        .. attribute:: domain_lookup_conf
        
        	
        	**type**\:   :py:class:`DomainLookupConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.DomainLookupConf>`
        
        .. attribute:: domain_name
        
        	Define the default domain name
        	**type**\:  str
        
        .. attribute:: explicit_path
        
        	Configure explicit\-path
        	**type**\: list of    :py:class:`ExplicitPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExplicitPath>`
        
        .. attribute:: extcommunity_list
        
        	Extended a community list entry
        	**type**\:   :py:class:`ExtcommunityList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList>`
        
        .. attribute:: finger
        
        	finger server
        	**type**\:   :py:class:`Finger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Finger>`
        
        	**presence node**\: True
        
        .. attribute:: forward_protocol
        
        	Controls forwarding of physical and directed IP broadcasts
        	**type**\:   :py:class:`ForwardProtocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ForwardProtocol>`
        
        .. attribute:: ftp
        
        	FTP configuration commands
        	**type**\:   :py:class:`Ftp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ftp>`
        
        .. attribute:: host
        
        	Add an entry to the ip hostname table
        	**type**\: list of    :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Host>`
        
        .. attribute:: host_routing
        
        	Enable host\-based routing (proxy ARP and redirect)
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: http
        
        	HTTP server configuration
        	**type**\:   :py:class:`Http <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Http>`
        
        .. attribute:: icmp
        
        	ICMP options
        	**type**\:   :py:class:`Icmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Icmp>`
        
        .. attribute:: igmp
        
        	IGMP global configuration
        	**type**\:   :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp>`
        
        .. attribute:: local
        
        	Specify local options
        	**type**\:   :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Local>`
        
        .. attribute:: mcr_conf
        
        	
        	**type**\:   :py:class:`McrConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.McrConf>`
        
        .. attribute:: mroute
        
        	Configure static multicast routes
        	**type**\:   :py:class:`Mroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Mroute>`
        
        .. attribute:: msdp
        
        	MSDP global commands
        	**type**\:   :py:class:`Msdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp>`
        
        .. attribute:: multicast
        
        	Global IP Multicast Commands
        	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Multicast>`
        
        .. attribute:: multicast_routing
        
        	Enable IP multicast forwarding
        	**type**\:   :py:class:`MulticastRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.MulticastRouting>`
        
        	**presence node**\: True
        
        .. attribute:: name_server
        
        	
        	**type**\:   :py:class:`NameServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.NameServer>`
        
        .. attribute:: nat
        
        	NAT configuration commands
        	**type**\:   :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat>`
        
        .. attribute:: nbar
        
        	NBAR \- Network Based Application Recognition
        	**type**\:   :py:class:`Nbar <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar>`
        
        .. attribute:: pim
        
        	PIM global commands
        	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim>`
        
        .. attribute:: prefix_list
        
        	Build a prefix list
        	**type**\:   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.PrefixList>`
        
        .. attribute:: radius
        
        	RADIUS configuration commands
        	**type**\:   :py:class:`Radius <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Radius>`
        
        .. attribute:: rcmd
        
        	Rcmd commands
        	**type**\:   :py:class:`Rcmd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rcmd>`
        
        .. attribute:: route
        
        	Establish static routes
        	**type**\:   :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route>`
        
        .. attribute:: routing
        
        	Enable IP routing
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: scp
        
        	Scp commands
        	**type**\:   :py:class:`Scp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Scp>`
        
        .. attribute:: sla
        
        	IP Service Level Agreement
        	**type**\:   :py:class:`Sla <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla>`
        
        .. attribute:: source_route
        
        	Process packets with source routing header options
        	**type**\:  bool
        
        .. attribute:: spd
        
        	spd
        	**type**\:   :py:class:`Spd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Spd>`
        
        .. attribute:: ssh
        
        	Configure ssh options
        	**type**\:   :py:class:`Ssh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh>`
        
        .. attribute:: subnet_zero
        
        	Allow 'subnet zero' subnets
        	**type**\:  bool
        
        .. attribute:: tacacs
        
        	TACACS configuration commands
        	**type**\:   :py:class:`Tacacs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tacacs>`
        
        .. attribute:: tcp
        
        	Global TCP parameters
        	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tcp>`
        
        .. attribute:: telnet
        
        	Specify telnet options
        	**type**\:   :py:class:`Telnet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Telnet>`
        
        .. attribute:: tftp
        
        	tftp configuration commands
        	**type**\:   :py:class:`Tftp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp>`
        
        .. attribute:: vrf
        
        	Configure an IP VPN Routing/Forwarding instance
        	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf>`
        
        .. attribute:: wccp
        
        	Web\-Cache Coordination Protocol IPv4 Commands
        	**type**\:   :py:class:`Wccp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.access_list = Native.Ip.AccessList()
            self.access_list.parent = self
            self.admission = Native.Ip.Admission()
            self.admission.parent = self
            self.arp = Native.Ip.Arp()
            self.arp.parent = self
            self.as_path = Native.Ip.AsPath()
            self.as_path.parent = self
            self.bgp_community = Native.Ip.BgpCommunity()
            self.bgp_community.parent = self
            self.bootp = Native.Ip.Bootp()
            self.bootp.parent = self
            self.cef = None
            self.classless = None
            self.community_list = Native.Ip.CommunityList()
            self.community_list.parent = self
            self.default_gateway = None
            self.device = Native.Ip.Device()
            self.device.parent = self
            self.dhcp = Native.Ip.Dhcp()
            self.dhcp.parent = self
            self.dns = Native.Ip.Dns()
            self.dns.parent = self
            self.domain = Native.Ip.Domain()
            self.domain.parent = self
            self.domain_list = Native.Ip.DomainList()
            self.domain_list.parent = self
            self.domain_lookup = None
            self.domain_lookup_conf = Native.Ip.DomainLookupConf()
            self.domain_lookup_conf.parent = self
            self.domain_name = None
            self.explicit_path = YList()
            self.explicit_path.parent = self
            self.explicit_path.name = 'explicit_path'
            self.extcommunity_list = Native.Ip.ExtcommunityList()
            self.extcommunity_list.parent = self
            self.finger = None
            self.forward_protocol = Native.Ip.ForwardProtocol()
            self.forward_protocol.parent = self
            self.ftp = Native.Ip.Ftp()
            self.ftp.parent = self
            self.host = YList()
            self.host.parent = self
            self.host.name = 'host'
            self.host_routing = None
            self.http = Native.Ip.Http()
            self.http.parent = self
            self.icmp = Native.Ip.Icmp()
            self.icmp.parent = self
            self.igmp = Native.Ip.Igmp()
            self.igmp.parent = self
            self.local = Native.Ip.Local()
            self.local.parent = self
            self.mcr_conf = Native.Ip.McrConf()
            self.mcr_conf.parent = self
            self.mroute = Native.Ip.Mroute()
            self.mroute.parent = self
            self.msdp = Native.Ip.Msdp()
            self.msdp.parent = self
            self.multicast = Native.Ip.Multicast()
            self.multicast.parent = self
            self.multicast_routing = None
            self.name_server = Native.Ip.NameServer()
            self.name_server.parent = self
            self.nat = Native.Ip.Nat()
            self.nat.parent = self
            self.nbar = Native.Ip.Nbar()
            self.nbar.parent = self
            self.pim = Native.Ip.Pim()
            self.pim.parent = self
            self.prefix_list = Native.Ip.PrefixList()
            self.prefix_list.parent = self
            self.radius = Native.Ip.Radius()
            self.radius.parent = self
            self.rcmd = Native.Ip.Rcmd()
            self.rcmd.parent = self
            self.route = Native.Ip.Route()
            self.route.parent = self
            self.routing = None
            self.scp = Native.Ip.Scp()
            self.scp.parent = self
            self.sla = Native.Ip.Sla()
            self.sla.parent = self
            self.source_route = None
            self.spd = Native.Ip.Spd()
            self.spd.parent = self
            self.ssh = Native.Ip.Ssh()
            self.ssh.parent = self
            self.subnet_zero = None
            self.tacacs = Native.Ip.Tacacs()
            self.tacacs.parent = self
            self.tcp = Native.Ip.Tcp()
            self.tcp.parent = self
            self.telnet = Native.Ip.Telnet()
            self.telnet.parent = self
            self.tftp = Native.Ip.Tftp()
            self.tftp.parent = self
            self.vrf = YList()
            self.vrf.parent = self
            self.vrf.name = 'vrf'
            self.wccp = Native.Ip.Wccp()
            self.wccp.parent = self


        class Admission(object):
            """
            Network Admission Control (NAC)
            
            .. attribute:: name
            
            	Specify an Authentication Proxy Rule
            	**type**\:   :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Admission.Name>`
            
            .. attribute:: watch_list
            
            	Watch\-list
            	**type**\:   :py:class:`WatchList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Admission.WatchList>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = Native.Ip.Admission.Name()
                self.name.parent = self
                self.watch_list = Native.Ip.Admission.WatchList()
                self.watch_list.parent = self


            class WatchList(object):
                """
                Watch\-list
                
                .. attribute:: expiry_time
                
                	Configure expiry time for watch\-list entries
                	**type**\:  int
                
                	**range:** 0..35791
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.expiry_time = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:admission/Cisco-IOS-XE-native:watch-list'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.expiry_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Admission.WatchList']['meta_info']


            class Name(object):
                """
                Specify an Authentication Proxy Rule
                
                .. attribute:: webauth
                
                	help
                	**type**\:   :py:class:`Webauth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Admission.Name.Webauth>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.webauth = Native.Ip.Admission.Name.Webauth()
                    self.webauth.parent = self


                class Webauth(object):
                    """
                    help
                    
                    .. attribute:: proxy
                    
                    	Authentication Proxy Protocol
                    	**type**\:   :py:class:`Proxy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Admission.Name.Webauth.Proxy>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.proxy = Native.Ip.Admission.Name.Webauth.Proxy()
                        self.proxy.parent = self


                    class Proxy(object):
                        """
                        Authentication Proxy Protocol
                        
                        .. attribute:: http
                        
                        	HTTP Protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.http = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:admission/Cisco-IOS-XE-native:name/Cisco-IOS-XE-native:webauth/Cisco-IOS-XE-native:proxy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.http is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Admission.Name.Webauth.Proxy']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:admission/Cisco-IOS-XE-native:name/Cisco-IOS-XE-native:webauth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.proxy is not None and self.proxy._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Admission.Name.Webauth']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:admission/Cisco-IOS-XE-native:name'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.webauth is not None and self.webauth._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Admission.Name']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:admission'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None and self.name._has_data():
                    return True

                if self.watch_list is not None and self.watch_list._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Admission']['meta_info']


        class Arp(object):
            """
            IP ARP global configuration
            
            .. attribute:: incomplete
            
            	Fine\-tune the ARP Retry parameters
            	**type**\:   :py:class:`Incomplete <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Arp.Incomplete>`
            
            .. attribute:: inspection
            
            	Arp Inspection configuration
            	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Arp.Inspection>`
            
            .. attribute:: proxy
            
            	Gratuitous ARP control
            	**type**\:   :py:class:`Proxy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Arp.Proxy>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.incomplete = Native.Ip.Arp.Incomplete()
                self.incomplete.parent = self
                self.inspection = Native.Ip.Arp.Inspection()
                self.inspection.parent = self
                self.proxy = Native.Ip.Arp.Proxy()
                self.proxy.parent = self


            class Incomplete(object):
                """
                Fine\-tune the ARP Retry parameters
                
                .. attribute:: entries
                
                	Specify the number of IP addresses to resolve
                	**type**\:  int
                
                	**range:** 1..2147483647
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.entries = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:arp/Cisco-IOS-XE-native:incomplete'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.entries is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Arp.Incomplete']['meta_info']


            class Inspection(object):
                """
                Arp Inspection configuration
                
                .. attribute:: filter
                
                	Specify ARP acl to be applied
                	**type**\: list of    :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Arp.Inspection.Filter>`
                
                .. attribute:: log_buffer
                
                	Log Buffer Configuration
                	**type**\:   :py:class:`LogBuffer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Arp.Inspection.LogBuffer>`
                
                .. attribute:: validate
                
                	Validate addresses
                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Arp.Inspection.Validate>`
                
                .. attribute:: vlan
                
                	Enable/Disable ARP Inspection on vlans
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.filter = YList()
                    self.filter.parent = self
                    self.filter.name = 'filter'
                    self.log_buffer = Native.Ip.Arp.Inspection.LogBuffer()
                    self.log_buffer.parent = self
                    self.validate = Native.Ip.Arp.Inspection.Validate()
                    self.validate.parent = self
                    self.vlan = None


                class Filter(object):
                    """
                    Specify ARP acl to be applied
                    
                    .. attribute:: arpacl  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: vlan
                    
                    	Vlans to apply the filter
                    	**type**\: list of    :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Arp.Inspection.Filter.Vlan>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.arpacl = None
                        self.vlan = YList()
                        self.vlan.parent = self
                        self.vlan.name = 'vlan'


                    class Vlan(object):
                        """
                        Vlans to apply the filter
                        
                        .. attribute:: vlan_range  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: static
                        
                        	Apply the ACL statically
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vlan_range = None
                            self.static = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.vlan_range is None:
                                raise YPYModelError('Key property vlan_range is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vlan[Cisco-IOS-XE-native:vlan-range = ' + str(self.vlan_range) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vlan_range is not None:
                                return True

                            if self.static is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Arp.Inspection.Filter.Vlan']['meta_info']

                    @property
                    def _common_path(self):
                        if self.arpacl is None:
                            raise YPYModelError('Key property arpacl is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:arp/Cisco-IOS-XE-native:inspection/Cisco-IOS-XE-native:filter[Cisco-IOS-XE-native:arpacl = ' + str(self.arpacl) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.arpacl is not None:
                            return True

                        if self.vlan is not None:
                            for child_ref in self.vlan:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Arp.Inspection.Filter']['meta_info']


                class Validate(object):
                    """
                    Validate addresses
                    
                    .. attribute:: allow
                    
                    	
                    	**type**\:   :py:class:`Allow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Arp.Inspection.Validate.Allow>`
                    
                    .. attribute:: dst_mac
                    
                    	Validate destination MAC address
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ip
                    
                    	Validate IP addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: src_mac
                    
                    	Validate source MAC address
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.allow = Native.Ip.Arp.Inspection.Validate.Allow()
                        self.allow.parent = self
                        self.dst_mac = None
                        self.ip = None
                        self.src_mac = None


                    class Allow(object):
                        """
                        
                        
                        .. attribute:: zeros
                        
                        	Allow 0.0.0.0 sender IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.zeros = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:arp/Cisco-IOS-XE-native:inspection/Cisco-IOS-XE-native:validate/Cisco-IOS-XE-native:allow'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.zeros is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Arp.Inspection.Validate.Allow']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:arp/Cisco-IOS-XE-native:inspection/Cisco-IOS-XE-native:validate'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.allow is not None and self.allow._has_data():
                            return True

                        if self.dst_mac is not None:
                            return True

                        if self.ip is not None:
                            return True

                        if self.src_mac is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Arp.Inspection.Validate']['meta_info']


                class LogBuffer(object):
                    """
                    Log Buffer Configuration
                    
                    .. attribute:: entries
                    
                    	Number of entries for log buffer
                    	**type**\:  int
                    
                    	**range:** 0..1024
                    
                    .. attribute:: logs
                    
                    	Number of logs per interval
                    	**type**\:   :py:class:`Logs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Arp.Inspection.LogBuffer.Logs>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.entries = None
                        self.logs = Native.Ip.Arp.Inspection.LogBuffer.Logs()
                        self.logs.parent = self


                    class Logs(object):
                        """
                        Number of logs per interval
                        
                        .. attribute:: entries
                        
                        	Number of entries for log buffer
                        	**type**\:  int
                        
                        	**range:** 0..1024
                        
                        .. attribute:: interval
                        
                        	Interval for controlling logging rate
                        	**type**\:  int
                        
                        	**range:** 0..86400
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.entries = None
                            self.interval = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:arp/Cisco-IOS-XE-native:inspection/Cisco-IOS-XE-native:log-buffer/Cisco-IOS-XE-native:logs'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.entries is not None:
                                return True

                            if self.interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Arp.Inspection.LogBuffer.Logs']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:arp/Cisco-IOS-XE-native:inspection/Cisco-IOS-XE-native:log-buffer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.entries is not None:
                            return True

                        if self.logs is not None and self.logs._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Arp.Inspection.LogBuffer']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:arp/Cisco-IOS-XE-native:inspection'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.filter is not None:
                        for child_ref in self.filter:
                            if child_ref._has_data():
                                return True

                    if self.log_buffer is not None and self.log_buffer._has_data():
                        return True

                    if self.validate is not None and self.validate._has_data():
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Arp.Inspection']['meta_info']


            class Proxy(object):
                """
                Gratuitous ARP control
                
                .. attribute:: disable
                
                	Disable proxy ARP on all interfaces
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.disable = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:arp/Cisco-IOS-XE-native:proxy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.disable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Arp.Proxy']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:arp'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.incomplete is not None and self.incomplete._has_data():
                    return True

                if self.inspection is not None and self.inspection._has_data():
                    return True

                if self.proxy is not None and self.proxy._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Arp']['meta_info']


        class DomainList(object):
            """
            Domain name to complete unqualified host names
            
            .. attribute:: domain_name
            
            	
            	**type**\:  str
            
            .. attribute:: vrf
            
            	Specify VRF
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.DomainList.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.domain_name = None
                self.vrf = Native.Ip.DomainList.Vrf()
                self.vrf.parent = self


            class Vrf(object):
                """
                Specify VRF
                
                .. attribute:: domain_name
                
                	
                	**type**\:  str
                
                .. attribute:: vrf_name
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.domain_name = None
                    self.vrf_name = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:domain-list/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.domain_name is not None:
                        return True

                    if self.vrf_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.DomainList.Vrf']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:domain-list'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.domain_name is not None:
                    return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.DomainList']['meta_info']


        class Finger(object):
            """
            finger server
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:finger'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Finger']['meta_info']


        class Rcmd(object):
            """
            Rcmd commands
            
            .. attribute:: rcp_enable
            
            	Enable server side of RCP
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: rsh_enable
            
            	Enable server side of RSh
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.rcp_enable = None
                self.rsh_enable = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:rcmd'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.rcp_enable is not None:
                    return True

                if self.rsh_enable is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Rcmd']['meta_info']


        class BgpCommunity(object):
            """
            format for BGP community
            
            .. attribute:: new_format
            
            	select aa\:nn format for BGP community
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.new_format = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:bgp-community'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.new_format is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.BgpCommunity']['meta_info']


        class Vrf(object):
            """
            Configure an IP VPN Routing/Forwarding instance
            
            .. attribute:: name  <key>
            
            	WORD;;VPN Routing/Forwarding instance name
            	**type**\:  str
            
            .. attribute:: bgp
            
            	Commands pertaining to BGP
            	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Bgp>`
            
            .. attribute:: context
            
            	Associate SNMP context with this vrf
            	**type**\:  str
            
            .. attribute:: description
            
            	VRF specific description
            	**type**\:  str
            
            	**length:** 1..244
            
            .. attribute:: export
            
            	VRF export
            	**type**\:   :py:class:`Export <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Export>`
            
            .. attribute:: import_
            
            	VRF import
            	**type**\:   :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Import_>`
            
            .. attribute:: maximum
            
            	Maximum number of routes allowed in this routing table
            	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Maximum>`
            
            	**presence node**\: True
            
            .. attribute:: mdt
            
            	Backbone Multicast Distribution Tree
            	**type**\:   :py:class:`Mdt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Mdt>`
            
            	**presence node**\: True
            
            .. attribute:: rd
            
            	Specify Route Distinguisher
            	**type**\:  str
            
            	**pattern:** (\\d\*(.\\d\*)\*)?\:(\\d\*(.\\d\*)\*)?
            
            .. attribute:: route_target
            
            	Specify Target VPN Extended Communities
            	**type**\: list of    :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.RouteTarget>`
            
            .. attribute:: vpn
            
            	Configure VPN ID as specified in rfc2685
            	**type**\:   :py:class:`Vpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Vpn>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.bgp = Native.Ip.Vrf.Bgp()
                self.bgp.parent = self
                self.context = None
                self.description = None
                self.export = Native.Ip.Vrf.Export()
                self.export.parent = self
                self.import_ = Native.Ip.Vrf.Import_()
                self.import_.parent = self
                self.maximum = None
                self.mdt = None
                self.rd = None
                self.route_target = YList()
                self.route_target.parent = self
                self.route_target.name = 'route_target'
                self.vpn = Native.Ip.Vrf.Vpn()
                self.vpn.parent = self


            class Bgp(object):
                """
                Commands pertaining to BGP
                
                .. attribute:: next_hop
                
                	Next\-hop for the routes of a VRF in the backbone
                	**type**\:   :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Bgp.NextHop>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.next_hop = Native.Ip.Vrf.Bgp.NextHop()
                    self.next_hop.parent = self


                class NextHop(object):
                    """
                    Next\-hop for the routes of a VRF in the backbone
                    
                    .. attribute:: loopback
                    
                    	Loopback interface number
                    	**type**\:  int
                    
                    	**range:** 0..2147483647
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.loopback = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:next-hop'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.loopback is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Vrf.Bgp.NextHop']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bgp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.next_hop is not None and self.next_hop._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Vrf.Bgp']['meta_info']


            class Export(object):
                """
                VRF export
                
                .. attribute:: map
                
                	Route\-map based VRF export
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.map = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:export'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.map is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Vrf.Export']['meta_info']


            class Import_(object):
                """
                VRF import
                
                .. attribute:: ipv4
                
                	Address family based VRF import
                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Import_.Ipv4>`
                
                .. attribute:: map
                
                	Route\-map based VRF import
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipv4 = Native.Ip.Vrf.Import_.Ipv4()
                    self.ipv4.parent = self
                    self.map = None


                class Ipv4(object):
                    """
                    Address family based VRF import
                    
                    .. attribute:: ipv4_type
                    
                    	
                    	**type**\:   :py:class:`Ipv4TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Import_.Ipv4.Ipv4TypeEnum>`
                    
                    .. attribute:: map
                    
                    	Route\-map based VRF import
                    	**type**\:  str
                    
                    .. attribute:: upper_limit
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..2147483647
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4_type = None
                        self.map = None
                        self.upper_limit = None

                    class Ipv4TypeEnum(Enum):
                        """
                        Ipv4TypeEnum

                        .. data:: unicast = 0

                        .. data:: multicast = 1

                        """

                        unicast = 0

                        multicast = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Vrf.Import_.Ipv4.Ipv4TypeEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ipv4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4_type is not None:
                            return True

                        if self.map is not None:
                            return True

                        if self.upper_limit is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Vrf.Import_.Ipv4']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:import'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipv4 is not None and self.ipv4._has_data():
                        return True

                    if self.map is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Vrf.Import_']['meta_info']


            class Maximum(object):
                """
                Maximum number of routes allowed in this routing table
                
                .. attribute:: reinstall
                
                	Reinstall previous rejected route due to over maximum route limit
                	**type**\:  int
                
                	**range:** 1..100
                
                .. attribute:: routes
                
                	Maximum number of routes allowed in this routing table
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                .. attribute:: threshold
                
                	Threshold
                	**type**\:  int
                
                	**range:** 1..100
                
                .. attribute:: warning_only
                
                	Only give a warning message if is limit exceeded
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.reinstall = None
                    self.routes = None
                    self.threshold = None
                    self.warning_only = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:maximum'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.reinstall is not None:
                        return True

                    if self.routes is not None:
                        return True

                    if self.threshold is not None:
                        return True

                    if self.warning_only is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Vrf.Maximum']['meta_info']


            class Mdt(object):
                """
                Backbone Multicast Distribution Tree
                
                .. attribute:: data
                
                	MDT data group range
                	**type**\:   :py:class:`Data <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Mdt.Data>`
                
                .. attribute:: default
                
                	The default group
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: log_reuse
                
                	Event logging for data MDT reuse
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.data = Native.Ip.Vrf.Mdt.Data()
                    self.data.parent = self
                    self.default = None
                    self.log_reuse = None


                class Data(object):
                    """
                    MDT data group range
                    
                    .. attribute:: list
                    
                    	Access\-list
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 100..199
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 2000..2699
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-fA\-F].\*
                    
                    
                    ----
                    .. attribute:: mulicast_address
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: threshold
                    
                    	MDT switching threshold
                    	**type**\:  int
                    
                    	**range:** 1..4294967
                    
                    .. attribute:: threshold_list
                    
                    	Access\-list
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 100..199
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 2000..2699
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-fA\-F].\*
                    
                    
                    ----
                    .. attribute:: wildcard_bits
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.list = None
                        self.mulicast_address = None
                        self.threshold = None
                        self.threshold_list = None
                        self.wildcard_bits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:data'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.list is not None:
                            return True

                        if self.mulicast_address is not None:
                            return True

                        if self.threshold is not None:
                            return True

                        if self.threshold_list is not None:
                            return True

                        if self.wildcard_bits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Vrf.Mdt.Data']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdt'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.data is not None and self.data._has_data():
                        return True

                    if self.default is not None:
                        return True

                    if self.log_reuse is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Vrf.Mdt']['meta_info']


            class RouteTarget(object):
                """
                Specify Target VPN Extended Communities
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.RouteTarget.DirectionEnum>`
                
                .. attribute:: target  <key>
                
                	
                	**type**\:  str
                
                	**pattern:** (\\d\*(.\\d\*)\*)?\:(\\d\*(.\\d\*)\*)?
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.target = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: both = 0

                    .. data:: export = 1

                    .. data:: import_ = 2

                    """

                    both = 0

                    export = 1

                    import_ = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Vrf.RouteTarget.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.direction is None:
                        raise YPYModelError('Key property direction is None')
                    if self.target is None:
                        raise YPYModelError('Key property target is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:route-target[Cisco-IOS-XE-native:direction = ' + str(self.direction) + '][Cisco-IOS-XE-native:target = ' + str(self.target) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.target is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Vrf.RouteTarget']['meta_info']


            class Vpn(object):
                """
                Configure VPN ID as specified in rfc2685
                
                .. attribute:: id
                
                	Configure VPN ID in rfc2685 format
                	**type**\:  str
                
                	**pattern:** [0\-9a\-fA\-F][0\-9a\-fA\-F]?[0\-9a\-fA\-F]?\:[0\-9a\-fA\-F][0\-9a\-fA\-F]?[0\-9a\-fA\-F]?[0\-9a\-fA\-F]?
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vpn'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Vrf.Vpn']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:vrf[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.bgp is not None and self.bgp._has_data():
                    return True

                if self.context is not None:
                    return True

                if self.description is not None:
                    return True

                if self.export is not None and self.export._has_data():
                    return True

                if self.import_ is not None and self.import_._has_data():
                    return True

                if self.maximum is not None and self.maximum._has_data():
                    return True

                if self.mdt is not None and self.mdt._has_data():
                    return True

                if self.rd is not None:
                    return True

                if self.route_target is not None:
                    for child_ref in self.route_target:
                        if child_ref._has_data():
                            return True

                if self.vpn is not None and self.vpn._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Vrf']['meta_info']


        class AsPath(object):
            """
            BGP autonomous system path filter
            
            .. attribute:: access_list
            
            	Specify an access list number
            	**type**\: list of    :py:class:`AccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AsPath.AccessList>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.access_list = YList()
                self.access_list.parent = self
                self.access_list.name = 'access_list'


            class AccessList(object):
                """
                Specify an access list number
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  int
                
                	**range:** 1..500
                
                .. attribute:: deny
                
                	Specify community to reject
                	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AsPath.AccessList.Deny>`
                
                .. attribute:: permit
                
                	Specify community to accept
                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AsPath.AccessList.Permit>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.deny = Native.Ip.AsPath.AccessList.Deny()
                    self.deny.parent = self
                    self.permit = Native.Ip.AsPath.AccessList.Permit()
                    self.permit.parent = self


                class Deny(object):
                    """
                    Specify community to reject
                    
                    .. attribute:: deny_list
                    
                    	
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.deny_list = YLeafList()
                        self.deny_list.parent = self
                        self.deny_list.name = 'deny_list'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:deny'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.deny_list is not None:
                            for child in self.deny_list:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.AsPath.AccessList.Deny']['meta_info']


                class Permit(object):
                    """
                    Specify community to accept
                    
                    .. attribute:: permit_list
                    
                    	
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.permit_list = YLeafList()
                        self.permit_list.parent = self
                        self.permit_list.name = 'permit_list'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:permit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.permit_list is not None:
                            for child in self.permit_list:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.AsPath.AccessList.Permit']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:as-path/Cisco-IOS-XE-bgp:access-list[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.deny is not None and self.deny._has_data():
                        return True

                    if self.permit is not None and self.permit._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.AsPath.AccessList']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:as-path'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.access_list is not None:
                    for child_ref in self.access_list:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.AsPath']['meta_info']


        class Local(object):
            """
            Specify local options
            
            .. attribute:: pool
            
            	IP Local address pool lists
            	**type**\: list of    :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Local.Pool>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.pool = YList()
                self.pool.parent = self
                self.pool.name = 'pool'


            class Pool(object):
                """
                IP Local address pool lists
                
                .. attribute:: id  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Local.Pool.IdEnum>`
                
                
                ----
                .. attribute:: group
                
                	Create ip local pool group
                	**type**\:  str
                
                .. attribute:: last
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: start
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.group = None
                    self.last = None
                    self.start = None

                class IdEnum(Enum):
                    """
                    IdEnum

                    .. data:: default = 0

                    """

                    default = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Local.Pool.IdEnum']


                @property
                def _common_path(self):
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:local/Cisco-IOS-XE-native:pool[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.group is not None:
                        return True

                    if self.last is not None:
                        return True

                    if self.start is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Local.Pool']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:local'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.pool is not None:
                    for child_ref in self.pool:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Local']['meta_info']


        class Cef(object):
            """
            Cisco Express Forwarding
            
            .. attribute:: distributed
            
            	Distributed Cisco Express Forwarding
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: load_sharing
            
            	Load sharing
            	**type**\:   :py:class:`LoadSharing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.LoadSharing>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.distributed = None
                self.load_sharing = Native.Ip.Cef.LoadSharing()
                self.load_sharing.parent = self


            class LoadSharing(object):
                """
                Load sharing
                
                .. attribute:: algorithm
                
                	Per\-destination load sharing algorithm selection
                	**type**\:   :py:class:`Algorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.LoadSharing.Algorithm>`
                
                

                """

                _prefix = 'ios-cef'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.algorithm = Native.Ip.Cef.LoadSharing.Algorithm()
                    self.algorithm.parent = self


                class Algorithm(object):
                    """
                    Per\-destination load sharing algorithm selection
                    
                    .. attribute:: include_ports
                    
                    	Algorithm that includes layer 4 ports
                    	**type**\:   :py:class:`IncludePorts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts>`
                    
                    

                    """

                    _prefix = 'ios-cef'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include_ports = Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts()
                        self.include_ports.parent = self


                    class IncludePorts(object):
                        """
                        Algorithm that includes layer 4 ports
                        
                        .. attribute:: destination
                        
                        	Use destination port in hash function
                        	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Destination>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Use source port in hash function
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination = None
                            self.source = None


                        class Destination(object):
                            """
                            Use destination port in hash function
                            
                            .. attribute:: dest_range
                            
                            	<1\-FFFFFFFF>  Fixed ID
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-cef'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.dest_range = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:cef/Cisco-IOS-XE-cef:load-sharing/Cisco-IOS-XE-cef:algorithm/Cisco-IOS-XE-cef:include-ports/Cisco-IOS-XE-cef:destination'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.dest_range is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Destination']['meta_info']


                        class Source(object):
                            """
                            Use source port in hash function
                            
                            .. attribute:: destination
                            
                            	Use source and destination ports in hash function
                            	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: source_range
                            
                            	<1\-FFFFFFFF>  Fixed ID
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-cef'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.destination = None
                                self.source_range = None


                            class Destination(object):
                                """
                                Use source and destination ports in hash function
                                
                                .. attribute:: dest_range
                                
                                	<1\-FFFFFFFF>  Fixed ID
                                	**type**\:  str
                                
                                .. attribute:: gtp
                                
                                	Use GTP te\-id as source and destination ports in hash function
                                	**type**\:   :py:class:`Gtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination.Gtp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-cef'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.dest_range = None
                                    self.gtp = None


                                class Gtp(object):
                                    """
                                    Use GTP te\-id as source and destination ports in hash function
                                    
                                    .. attribute:: gtp_range
                                    
                                    	<1\-FFFFFFFF>  Fixed ID
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cef'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.gtp_range = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:cef/Cisco-IOS-XE-cef:load-sharing/Cisco-IOS-XE-cef:algorithm/Cisco-IOS-XE-cef:include-ports/Cisco-IOS-XE-cef:source/Cisco-IOS-XE-cef:destination/Cisco-IOS-XE-cef:gtp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.gtp_range is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination.Gtp']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:cef/Cisco-IOS-XE-cef:load-sharing/Cisco-IOS-XE-cef:algorithm/Cisco-IOS-XE-cef:include-ports/Cisco-IOS-XE-cef:source/Cisco-IOS-XE-cef:destination'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.dest_range is not None:
                                        return True

                                    if self.gtp is not None and self.gtp._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:cef/Cisco-IOS-XE-cef:load-sharing/Cisco-IOS-XE-cef:algorithm/Cisco-IOS-XE-cef:include-ports/Cisco-IOS-XE-cef:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.destination is not None and self.destination._has_data():
                                    return True

                                if self.source_range is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:cef/Cisco-IOS-XE-cef:load-sharing/Cisco-IOS-XE-cef:algorithm/Cisco-IOS-XE-cef:include-ports'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination is not None and self.destination._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:cef/Cisco-IOS-XE-cef:load-sharing/Cisco-IOS-XE-cef:algorithm'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include_ports is not None and self.include_ports._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Cef.LoadSharing.Algorithm']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:cef/Cisco-IOS-XE-cef:load-sharing'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.algorithm is not None and self.algorithm._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Cef.LoadSharing']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:cef'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.distributed is not None:
                    return True

                if self.load_sharing is not None and self.load_sharing._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Cef']['meta_info']


        class Domain(object):
            """
            IP DNS Resolver
            
            .. attribute:: list
            
            	Domain name to complete unqualified host names
            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Domain.List>`
            
            .. attribute:: lookup
            
            	Enable IP Domain Name System hostname translation
            	**type**\:  bool
            
            .. attribute:: lookup_settings
            
            	
            	**type**\:   :py:class:`LookupSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Domain.LookupSettings>`
            
            .. attribute:: name
            
            	Define the default domain name
            	**type**\:  str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.list = Native.Ip.Domain.List()
                self.list.parent = self
                self.lookup = None
                self.lookup_settings = Native.Ip.Domain.LookupSettings()
                self.lookup_settings.parent = self
                self.name = None


            class List(object):
                """
                Domain name to complete unqualified host names
                
                .. attribute:: domain_name
                
                	
                	**type**\:  str
                
                .. attribute:: vrf
                
                	Specify VRF
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Domain.List.Vrf>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.domain_name = None
                    self.vrf = Native.Ip.Domain.List.Vrf()
                    self.vrf.parent = self


                class Vrf(object):
                    """
                    Specify VRF
                    
                    .. attribute:: domain_name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: vrf_name
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.domain_name = None
                        self.vrf_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:domain/Cisco-IOS-XE-native:list/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.domain_name is not None:
                            return True

                        if self.vrf_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Domain.List.Vrf']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:domain/Cisco-IOS-XE-native:list'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.domain_name is not None:
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Domain.List']['meta_info']


            class LookupSettings(object):
                """
                
                
                .. attribute:: lookup
                
                	Enable IP Domain Name System hostname translation
                	**type**\:   :py:class:`Lookup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Domain.LookupSettings.Lookup>`
                
                .. attribute:: name
                
                	Define the default domain name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.lookup = Native.Ip.Domain.LookupSettings.Lookup()
                    self.lookup.parent = self
                    self.name = None


                class Lookup(object):
                    """
                    Enable IP Domain Name System hostname translation
                    
                    .. attribute:: nsap
                    
                    	Enable IP DNS queries for CLNS NSAP addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: source_interface
                    
                    	Specify source interface for DNS resolver
                    	**type**\:   :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Domain.LookupSettings.Lookup.SourceInterface>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.nsap = None
                        self.source_interface = Native.Ip.Domain.LookupSettings.Lookup.SourceInterface()
                        self.source_interface.parent = self


                    class SourceInterface(object):
                        """
                        Specify source interface for DNS resolver
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.AtmAcrsubinterface>`
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.AtmSubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\:  str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\:  str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\:  str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\:  str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\:  str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  int
                        
                        	**range:** 0..65520
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.LispSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\:  str
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\:  str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\:  str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.appnav_compress = None
                            self.appnav_uncompress = None
                            self.atm = None
                            self.atm_acr = None
                            self.atm_acrsubinterface = Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.AtmAcrsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self.atm_subinterface = Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.AtmSubinterface()
                            self.atm_subinterface.parent = self
                            self.bdi = None
                            self.cellular = None
                            self.cem = None
                            self.cem_acr = None
                            self.embedded_service_engine = None
                            self.fastethernet = None
                            self.gigabitethernet = None
                            self.lisp = None
                            self.lisp_subinterface = Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.LispSubinterface()
                            self.lisp_subinterface.parent = self
                            self.loopback = None
                            self.multilink = None
                            self.nve = None
                            self.overlay = None
                            self.port_channel = None
                            self.port_channel_subinterface = Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self.pseudowire = None
                            self.serial = None
                            self.sm = None
                            self.tengigabitethernet = None
                            self.tunnel = None
                            self.vasileft = None
                            self.vasiright = None
                            self.virtual_template = None
                            self.virtualportgroup = None
                            self.vlan = None


                        class AtmSubinterface(object):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:domain/Cisco-IOS-XE-native:lookup-settings/Cisco-IOS-XE-native:lookup/Cisco-IOS-XE-native:source-interface/Cisco-IOS-XE-native:ATM-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.AtmSubinterface']['meta_info']


                        class AtmAcrsubinterface(object):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm_acr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:domain/Cisco-IOS-XE-native:lookup-settings/Cisco-IOS-XE-native:lookup/Cisco-IOS-XE-native:source-interface/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm_acr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.AtmAcrsubinterface']['meta_info']


                        class LispSubinterface(object):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:domain/Cisco-IOS-XE-native:lookup-settings/Cisco-IOS-XE-native:lookup/Cisco-IOS-XE-native:source-interface/Cisco-IOS-XE-native:LISP-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.LispSubinterface']['meta_info']


                        class PortChannelSubinterface(object):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port_channel = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:domain/Cisco-IOS-XE-native:lookup-settings/Cisco-IOS-XE-native:lookup/Cisco-IOS-XE-native:source-interface/Cisco-IOS-XE-native:Port-channel-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port_channel is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.PortChannelSubinterface']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:domain/Cisco-IOS-XE-native:lookup-settings/Cisco-IOS-XE-native:lookup/Cisco-IOS-XE-native:source-interface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.appnav_compress is not None:
                                return True

                            if self.appnav_uncompress is not None:
                                return True

                            if self.atm is not None:
                                return True

                            if self.atm_acr is not None:
                                return True

                            if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                return True

                            if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                return True

                            if self.bdi is not None:
                                return True

                            if self.cellular is not None:
                                return True

                            if self.cem is not None:
                                return True

                            if self.cem_acr is not None:
                                return True

                            if self.embedded_service_engine is not None:
                                return True

                            if self.fastethernet is not None:
                                return True

                            if self.gigabitethernet is not None:
                                return True

                            if self.lisp is not None:
                                return True

                            if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                return True

                            if self.loopback is not None:
                                return True

                            if self.multilink is not None:
                                return True

                            if self.nve is not None:
                                return True

                            if self.overlay is not None:
                                return True

                            if self.port_channel is not None:
                                return True

                            if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                return True

                            if self.pseudowire is not None:
                                return True

                            if self.serial is not None:
                                return True

                            if self.sm is not None:
                                return True

                            if self.tengigabitethernet is not None:
                                return True

                            if self.tunnel is not None:
                                return True

                            if self.vasileft is not None:
                                return True

                            if self.vasiright is not None:
                                return True

                            if self.virtual_template is not None:
                                return True

                            if self.virtualportgroup is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Domain.LookupSettings.Lookup.SourceInterface']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:domain/Cisco-IOS-XE-native:lookup-settings/Cisco-IOS-XE-native:lookup'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.nsap is not None:
                            return True

                        if self.source_interface is not None and self.source_interface._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Domain.LookupSettings.Lookup']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:domain/Cisco-IOS-XE-native:lookup-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.lookup is not None and self.lookup._has_data():
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Domain.LookupSettings']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:domain'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.list is not None and self.list._has_data():
                    return True

                if self.lookup is not None:
                    return True

                if self.lookup_settings is not None and self.lookup_settings._has_data():
                    return True

                if self.name is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Domain']['meta_info']


        class DomainLookupConf(object):
            """
            
            
            .. attribute:: domain_lookup
            
            	
            	**type**\:  bool
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.domain_lookup = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:domain-lookup-conf'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.domain_lookup is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.DomainLookupConf']['meta_info']


        class DomainLookup(object):
            """
            Enable IP Domain Name System hostname translation
            
            .. attribute:: nsap
            
            	Enable IP DNS queries for CLNS NSAP addresses
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: source_interface
            
            	Specify source interface for DNS resolver
            	**type**\:   :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.DomainLookup.SourceInterface>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.nsap = None
                self.source_interface = Native.Ip.DomainLookup.SourceInterface()
                self.source_interface.parent = self


            class SourceInterface(object):
                """
                Specify source interface for DNS resolver
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\:  str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.DomainLookup.SourceInterface.AtmAcrsubinterface>`
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.DomainLookup.SourceInterface.AtmSubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\:  str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\:  str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\:  str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\:  str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\:  str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  int
                
                	**range:** 0..65520
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.DomainLookup.SourceInterface.LispSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.DomainLookup.SourceInterface.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\:  str
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\:  str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\:  str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.appnav_compress = None
                    self.appnav_uncompress = None
                    self.atm = None
                    self.atm_acr = None
                    self.atm_acrsubinterface = Native.Ip.DomainLookup.SourceInterface.AtmAcrsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self.atm_subinterface = Native.Ip.DomainLookup.SourceInterface.AtmSubinterface()
                    self.atm_subinterface.parent = self
                    self.bdi = None
                    self.cellular = None
                    self.cem = None
                    self.cem_acr = None
                    self.embedded_service_engine = None
                    self.fastethernet = None
                    self.gigabitethernet = None
                    self.lisp = None
                    self.lisp_subinterface = Native.Ip.DomainLookup.SourceInterface.LispSubinterface()
                    self.lisp_subinterface.parent = self
                    self.loopback = None
                    self.multilink = None
                    self.nve = None
                    self.overlay = None
                    self.port_channel = None
                    self.port_channel_subinterface = Native.Ip.DomainLookup.SourceInterface.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self.pseudowire = None
                    self.serial = None
                    self.sm = None
                    self.tengigabitethernet = None
                    self.tunnel = None
                    self.vasileft = None
                    self.vasiright = None
                    self.virtual_template = None
                    self.virtualportgroup = None
                    self.vlan = None


                class AtmSubinterface(object):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:domain-lookup/Cisco-IOS-XE-native:source-interface/Cisco-IOS-XE-native:ATM-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.DomainLookup.SourceInterface.AtmSubinterface']['meta_info']


                class AtmAcrsubinterface(object):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm_acr = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:domain-lookup/Cisco-IOS-XE-native:source-interface/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm_acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.DomainLookup.SourceInterface.AtmAcrsubinterface']['meta_info']


                class LispSubinterface(object):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.lisp = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:domain-lookup/Cisco-IOS-XE-native:source-interface/Cisco-IOS-XE-native:LISP-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.lisp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.DomainLookup.SourceInterface.LispSubinterface']['meta_info']


                class PortChannelSubinterface(object):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.port_channel = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:domain-lookup/Cisco-IOS-XE-native:source-interface/Cisco-IOS-XE-native:Port-channel-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.port_channel is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.DomainLookup.SourceInterface.PortChannelSubinterface']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:domain-lookup/Cisco-IOS-XE-native:source-interface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.appnav_compress is not None:
                        return True

                    if self.appnav_uncompress is not None:
                        return True

                    if self.atm is not None:
                        return True

                    if self.atm_acr is not None:
                        return True

                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                        return True

                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                        return True

                    if self.bdi is not None:
                        return True

                    if self.cellular is not None:
                        return True

                    if self.cem is not None:
                        return True

                    if self.cem_acr is not None:
                        return True

                    if self.embedded_service_engine is not None:
                        return True

                    if self.fastethernet is not None:
                        return True

                    if self.gigabitethernet is not None:
                        return True

                    if self.lisp is not None:
                        return True

                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                        return True

                    if self.loopback is not None:
                        return True

                    if self.multilink is not None:
                        return True

                    if self.nve is not None:
                        return True

                    if self.overlay is not None:
                        return True

                    if self.port_channel is not None:
                        return True

                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                        return True

                    if self.pseudowire is not None:
                        return True

                    if self.serial is not None:
                        return True

                    if self.sm is not None:
                        return True

                    if self.tengigabitethernet is not None:
                        return True

                    if self.tunnel is not None:
                        return True

                    if self.vasileft is not None:
                        return True

                    if self.vasiright is not None:
                        return True

                    if self.virtual_template is not None:
                        return True

                    if self.virtualportgroup is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.DomainLookup.SourceInterface']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:domain-lookup'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.nsap is not None:
                    return True

                if self.source_interface is not None and self.source_interface._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.DomainLookup']['meta_info']


        class Dns(object):
            """
            Configure DNS server for a zone
            
            .. attribute:: server
            
            	Enable DNS server
            	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dns.Server>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.server = None


            class Server(object):
                """
                Enable DNS server
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:dns/Cisco-IOS-XE-native:server'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Dns.Server']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:dns'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.server is not None and self.server._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Dns']['meta_info']


        class Dhcp(object):
            """
            Configure DHCP server and relay parameters
            
            .. attribute:: bootp
            
            	BOOTP specific configuration
            	**type**\:   :py:class:`Bootp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Bootp>`
            
            .. attribute:: class_
            
            	Configure DHCP classes
            	**type**\: list of    :py:class:`Class_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Class_>`
            
            .. attribute:: conflict
            
            	DHCP address conflict parameters
            	**type**\:   :py:class:`Conflict <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Conflict>`
            
            .. attribute:: excluded_address
            
            	Prevent DHCP from assigning certain addresses
            	**type**\: list of    :py:class:`ExcludedAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.ExcludedAddress>`
            
            .. attribute:: pool
            
            	Configure DHCP address pools
            	**type**\: list of    :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Pool>`
            
            .. attribute:: relay
            
            	DHCP relay agent parameters
            	**type**\:   :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Relay>`
            
            .. attribute:: smart_relay
            
            	Enable Smart Relay feature
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: snooping
            
            	DHCP Snooping
            	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Snooping>`
            
            .. attribute:: snooping_conf
            
            	
            	**type**\:   :py:class:`SnoopingConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.SnoopingConf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.bootp = Native.Ip.Dhcp.Bootp()
                self.bootp.parent = self
                self.class_ = YList()
                self.class_.parent = self
                self.class_.name = 'class_'
                self.conflict = Native.Ip.Dhcp.Conflict()
                self.conflict.parent = self
                self.excluded_address = YList()
                self.excluded_address.parent = self
                self.excluded_address.name = 'excluded_address'
                self.pool = YList()
                self.pool.parent = self
                self.pool.name = 'pool'
                self.relay = Native.Ip.Dhcp.Relay()
                self.relay.parent = self
                self.smart_relay = None
                self.snooping = Native.Ip.Dhcp.Snooping()
                self.snooping.parent = self
                self.snooping_conf = Native.Ip.Dhcp.SnoopingConf()
                self.snooping_conf.parent = self


            class Bootp(object):
                """
                BOOTP specific configuration
                
                .. attribute:: ignore
                
                	Configure this DHCP server to ignore to BOOTP requests
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ignore = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:bootp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ignore is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Dhcp.Bootp']['meta_info']


            class Class_(object):
                """
                Configure DHCP classes
                
                .. attribute:: id  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: relay
                
                	Enter relay agent information option configuration submode
                	**type**\:   :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Class_.Relay>`
                
                .. attribute:: remark
                
                	Specify a remark for this class
                	**type**\:  str
                
                	**length:** 1..240
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.relay = Native.Ip.Dhcp.Class_.Relay()
                    self.relay.parent = self
                    self.remark = None


                class Relay(object):
                    """
                    Enter relay agent information option configuration submode
                    
                    .. attribute:: agent
                    
                    	Enter relay agent information option configuration submode
                    	**type**\:   :py:class:`Agent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Class_.Relay.Agent>`
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.agent = Native.Ip.Dhcp.Class_.Relay.Agent()
                        self.agent.parent = self


                    class Agent(object):
                        """
                        Enter relay agent information option configuration submode
                        
                        .. attribute:: information
                        
                        	Enter relay agent information option configuration submode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.information = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:agent'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.information is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Dhcp.Class_.Relay.Agent']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-dhcp:relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.agent is not None and self.agent._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Dhcp.Class_.Relay']['meta_info']

                @property
                def _common_path(self):
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:class[Cisco-IOS-XE-dhcp:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.relay is not None and self.relay._has_data():
                        return True

                    if self.remark is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Dhcp.Class_']['meta_info']


            class Conflict(object):
                """
                DHCP address conflict parameters
                
                .. attribute:: logging
                
                	Record address conflicts in a log file
                	**type**\:  bool
                
                .. attribute:: resolution
                
                	DHCP address conflict resolution
                	**type**\:   :py:class:`Resolution <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Conflict.Resolution>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.logging = None
                    self.resolution = None


                class Resolution(object):
                    """
                    DHCP address conflict resolution
                    
                    .. attribute:: interval
                    
                    	Time in Minutes
                    	**type**\:  int
                    
                    	**range:** 5..1440
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.interval = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:conflict/Cisco-IOS-XE-dhcp:resolution'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.interval is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Dhcp.Conflict.Resolution']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:conflict'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.logging is not None:
                        return True

                    if self.resolution is not None and self.resolution._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Dhcp.Conflict']['meta_info']


            class ExcludedAddress(object):
                """
                Prevent DHCP from assigning certain addresses
                
                .. attribute:: low_address  <key>
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: high_address
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: vrf
                
                	VRF name for excluded address range
                	**type**\:  str
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.low_address = None
                    self.high_address = None
                    self.vrf = None

                @property
                def _common_path(self):
                    if self.low_address is None:
                        raise YPYModelError('Key property low_address is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:excluded-address[Cisco-IOS-XE-dhcp:low-address = ' + str(self.low_address) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.low_address is not None:
                        return True

                    if self.high_address is not None:
                        return True

                    if self.vrf is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Dhcp.ExcludedAddress']['meta_info']


            class Relay(object):
                """
                DHCP relay agent parameters
                
                .. attribute:: information
                
                	Relay agent information option
                	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Relay.Information>`
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.information = Native.Ip.Dhcp.Relay.Information()
                    self.information.parent = self


                class Information(object):
                    """
                    Relay agent information option
                    
                    .. attribute:: option
                    
                    	Insert relay information in BOOTREQUEST
                    	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Relay.Information.Option>`
                    
                    .. attribute:: trust_all
                    
                    	Received DHCP packets may contain relay info option with zero giaddr
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.option = Native.Ip.Dhcp.Relay.Information.Option()
                        self.option.parent = self
                        self.trust_all = None


                    class Option(object):
                        """
                        Insert relay information in BOOTREQUEST
                        
                        .. attribute:: option_default
                        
                        	Default option, no vpn
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vpn
                        
                        	Insert VPN sub\-options and change the giaddr to the outgoing interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.option_default = None
                            self.vpn = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:relay/Cisco-IOS-XE-dhcp:information/Cisco-IOS-XE-dhcp:option'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.option_default is not None:
                                return True

                            if self.vpn is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Dhcp.Relay.Information.Option']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:relay/Cisco-IOS-XE-dhcp:information'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.option is not None and self.option._has_data():
                            return True

                        if self.trust_all is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Dhcp.Relay.Information']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:relay'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.information is not None and self.information._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Dhcp.Relay']['meta_info']


            class Pool(object):
                """
                Configure DHCP address pools
                
                .. attribute:: id  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: class_
                
                	Specify a DHCP class
                	**type**\: list of    :py:class:`Class_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Pool.Class_>`
                
                .. attribute:: default_router
                
                	Default routers
                	**type**\: one of the below types:
                
                	**type**\:  list of str
                
                
                ----
                	**type**\:  list of str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: dns_server
                
                	DNS servers
                	**type**\: one of the below types:
                
                	**type**\:  list of str
                
                
                ----
                	**type**\:  list of str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: domain_name
                
                	Domain name
                	**type**\:  str
                
                .. attribute:: lease
                
                	Address lease time
                	**type**\: list of    :py:class:`Lease <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Pool.Lease>`
                
                .. attribute:: network
                
                	Network number and mask
                	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Pool.Network>`
                
                .. attribute:: vrf
                
                	Associate this pool with a VRF
                	**type**\:  str
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.class_ = YList()
                    self.class_.parent = self
                    self.class_.name = 'class_'
                    self.default_router = YLeafList()
                    self.default_router.parent = self
                    self.default_router.name = 'default_router'
                    self.dns_server = YLeafList()
                    self.dns_server.parent = self
                    self.dns_server.name = 'dns_server'
                    self.domain_name = None
                    self.lease = YList()
                    self.lease.parent = self
                    self.lease.name = 'lease'
                    self.network = Native.Ip.Dhcp.Pool.Network()
                    self.network.parent = self
                    self.vrf = None


                class Class_(object):
                    """
                    Specify a DHCP class
                    
                    .. attribute:: name  <key>
                    
                    	DHCP class name
                    	**type**\:  str
                    
                    .. attribute:: address
                    
                    	Specify an address range for this class
                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Pool.Class_.Address>`
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.address = Native.Ip.Dhcp.Pool.Class_.Address()
                        self.address.parent = self


                    class Address(object):
                        """
                        Specify an address range for this class
                        
                        .. attribute:: range
                        
                        	
                        	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Pool.Class_.Address.Range>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.range = Native.Ip.Dhcp.Pool.Class_.Address.Range()
                            self.range.parent = self


                        class Range(object):
                            """
                            
                            
                            .. attribute:: ipv4_end
                            
                            	End IP address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv4_start
                            
                            	Start IP address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_end = None
                                self.ipv4_start = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:range'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4_end is not None:
                                    return True

                                if self.ipv4_start is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Dhcp.Pool.Class_.Address.Range']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.range is not None and self.range._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Dhcp.Pool.Class_.Address']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-dhcp:class[Cisco-IOS-XE-dhcp:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.address is not None and self.address._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Dhcp.Pool.Class_']['meta_info']


                class Lease(object):
                    """
                    Address lease time
                    
                    .. attribute:: days  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..365
                    
                    .. attribute:: hours
                    
                    	Hours
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: minutes
                    
                    	Minutes
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.days = None
                        self.hours = None
                        self.minutes = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.days is None:
                            raise YPYModelError('Key property days is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-dhcp:lease[Cisco-IOS-XE-dhcp:Days = ' + str(self.days) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.days is not None:
                            return True

                        if self.hours is not None:
                            return True

                        if self.minutes is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Dhcp.Pool.Lease']['meta_info']


                class Network(object):
                    """
                    Network number and mask
                    
                    .. attribute:: mask
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: number
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: secondary
                    
                    	Configure as secondary subnet
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.mask = None
                        self.number = None
                        self.secondary = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-dhcp:network'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.mask is not None:
                            return True

                        if self.number is not None:
                            return True

                        if self.secondary is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Dhcp.Pool.Network']['meta_info']

                @property
                def _common_path(self):
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:pool[Cisco-IOS-XE-dhcp:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.class_ is not None:
                        for child_ref in self.class_:
                            if child_ref._has_data():
                                return True

                    if self.default_router is not None:
                        for child in self.default_router:
                            if child is not None:
                                return True

                    if self.dns_server is not None:
                        for child in self.dns_server:
                            if child is not None:
                                return True

                    if self.domain_name is not None:
                        return True

                    if self.lease is not None:
                        for child_ref in self.lease:
                            if child_ref._has_data():
                                return True

                    if self.network is not None and self.network._has_data():
                        return True

                    if self.vrf is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Dhcp.Pool']['meta_info']


            class SnoopingConf(object):
                """
                
                
                .. attribute:: snooping
                
                	DHCP Snooping
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.snooping = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:snooping-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.snooping is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Dhcp.SnoopingConf']['meta_info']


            class Snooping(object):
                """
                DHCP Snooping
                
                .. attribute:: database
                
                	DHCP snooping database agent
                	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Snooping.Database>`
                
                .. attribute:: information
                
                	DHCP Snooping information
                	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Snooping.Information>`
                
                .. attribute:: track
                
                	DHCP snooping track
                	**type**\:   :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Snooping.Track>`
                
                .. attribute:: verify
                
                	DHCP snooping verify
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Snooping.Verify>`
                
                .. attribute:: vlan
                
                	DHCP Snooping vlan
                	**type**\:  str
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.database = Native.Ip.Dhcp.Snooping.Database()
                    self.database.parent = self
                    self.information = Native.Ip.Dhcp.Snooping.Information()
                    self.information.parent = self
                    self.track = Native.Ip.Dhcp.Snooping.Track()
                    self.track.parent = self
                    self.verify = Native.Ip.Dhcp.Snooping.Verify()
                    self.verify.parent = self
                    self.vlan = None


                class Database(object):
                    """
                    DHCP snooping database agent
                    
                    .. attribute:: timeout
                    
                    	Configure abort timeout interval
                    	**type**\:  int
                    
                    	**range:** 0..86400
                    
                    .. attribute:: url
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: write_delay
                    
                    	Configure delay timer for writes to URL
                    	**type**\:  int
                    
                    	**range:** 15..86400
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.timeout = None
                        self.url = None
                        self.write_delay = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:snooping/Cisco-IOS-XE-dhcp:database'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.timeout is not None:
                            return True

                        if self.url is not None:
                            return True

                        if self.write_delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Dhcp.Snooping.Database']['meta_info']


                class Information(object):
                    """
                    DHCP Snooping information
                    
                    .. attribute:: option
                    
                    	DHCP Snooping information option
                    	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Snooping.Information.Option>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: option_conf
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.option = None
                        self.option_conf = None


                    class Option(object):
                        """
                        DHCP Snooping information option
                        
                        .. attribute:: allow_untrusted
                        
                        	DHCP Snooping information option allow\-untrusted
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: format
                        
                        	Option 82 information format
                        	**type**\:   :py:class:`Format <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Snooping.Information.Option.Format>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.allow_untrusted = None
                            self.format = Native.Ip.Dhcp.Snooping.Information.Option.Format()
                            self.format.parent = self


                        class Format(object):
                            """
                            Option 82 information format
                            
                            .. attribute:: remote_id
                            
                            	Remote id option 82 format
                            	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Snooping.Information.Option.Format.RemoteId>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.remote_id = Native.Ip.Dhcp.Snooping.Information.Option.Format.RemoteId()
                                self.remote_id.parent = self


                            class RemoteId(object):
                                """
                                Remote id option 82 format
                                
                                .. attribute:: hostname
                                
                                	Use configured hostname for remote id
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: string
                                
                                	User defined string for remote id
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.hostname = None
                                    self.string = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:snooping/Cisco-IOS-XE-dhcp:information/Cisco-IOS-XE-dhcp:option/Cisco-IOS-XE-dhcp:format/Cisco-IOS-XE-dhcp:remote-id'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.hostname is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Dhcp.Snooping.Information.Option.Format.RemoteId']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:snooping/Cisco-IOS-XE-dhcp:information/Cisco-IOS-XE-dhcp:option/Cisco-IOS-XE-dhcp:format'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.remote_id is not None and self.remote_id._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Dhcp.Snooping.Information.Option.Format']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:snooping/Cisco-IOS-XE-dhcp:information/Cisco-IOS-XE-dhcp:option'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.allow_untrusted is not None:
                                return True

                            if self.format is not None and self.format._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Dhcp.Snooping.Information.Option']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:snooping/Cisco-IOS-XE-dhcp:information'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.option is not None and self.option._has_data():
                            return True

                        if self.option_conf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Dhcp.Snooping.Information']['meta_info']


                class Track(object):
                    """
                    DHCP snooping track
                    
                    .. attribute:: host
                    
                    	DHCP snooping track host
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.host = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:snooping/Cisco-IOS-XE-dhcp:track'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.host is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Dhcp.Snooping.Track']['meta_info']


                class Verify(object):
                    """
                    DHCP snooping verify
                    
                    .. attribute:: mac_address
                    
                    	DHCP snooping verify mac\-address
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: no_relay_agent_address
                    
                    	DHCP snooping verify giaddr
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.mac_address = None
                        self.no_relay_agent_address = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:snooping/Cisco-IOS-XE-dhcp:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.mac_address is not None:
                            return True

                        if self.no_relay_agent_address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Dhcp.Snooping.Verify']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:snooping'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.database is not None and self.database._has_data():
                        return True

                    if self.information is not None and self.information._has_data():
                        return True

                    if self.track is not None and self.track._has_data():
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Dhcp.Snooping']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:dhcp'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.bootp is not None and self.bootp._has_data():
                    return True

                if self.class_ is not None:
                    for child_ref in self.class_:
                        if child_ref._has_data():
                            return True

                if self.conflict is not None and self.conflict._has_data():
                    return True

                if self.excluded_address is not None:
                    for child_ref in self.excluded_address:
                        if child_ref._has_data():
                            return True

                if self.pool is not None:
                    for child_ref in self.pool:
                        if child_ref._has_data():
                            return True

                if self.relay is not None and self.relay._has_data():
                    return True

                if self.smart_relay is not None:
                    return True

                if self.snooping is not None and self.snooping._has_data():
                    return True

                if self.snooping_conf is not None and self.snooping_conf._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Dhcp']['meta_info']


        class ForwardProtocol(object):
            """
            Controls forwarding of physical and directed IP broadcasts
            
            .. attribute:: protocol
            
            	
            	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ForwardProtocol.ProtocolEnum>`
            
            .. attribute:: spanning_tree
            
            	Use transparent bridging to flood UDP broadcasts
            	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ForwardProtocol.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: udp
            
            	Packets to a specific UDP port
            	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ForwardProtocol.Udp>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.protocol = None
                self.spanning_tree = None
                self.udp = Native.Ip.ForwardProtocol.Udp()
                self.udp.parent = self

            class ProtocolEnum(Enum):
                """
                ProtocolEnum

                .. data:: nd = 0

                .. data:: sdns = 1

                .. data:: turbo_flood = 2

                """

                nd = 0

                sdns = 1

                turbo_flood = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.ForwardProtocol.ProtocolEnum']



            class SpanningTree(object):
                """
                Use transparent bridging to flood UDP broadcasts
                
                .. attribute:: any_local_broadcast
                
                	Accept any local broadcast when flooding
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.any_local_broadcast = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:forward-protocol/Cisco-IOS-XE-native:spanning-tree'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.any_local_broadcast is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.ForwardProtocol.SpanningTree']['meta_info']


            class Udp(object):
                """
                Packets to a specific UDP port
                
                .. attribute:: biff
                
                	Biff (mail notification, comsat, 512)
                	**type**\:  bool
                
                .. attribute:: bootpc
                
                	Bootstrap Protocol (BOOTP) client (68)
                	**type**\:  bool
                
                .. attribute:: bootps
                
                	Bootstrap Protocol (BOOTP) server (67)
                	**type**\:  bool
                
                .. attribute:: discard
                
                	Discard (9)
                	**type**\:  bool
                
                .. attribute:: dnsix
                
                	DNSIX security protocol auditing (195)
                	**type**\:  bool
                
                .. attribute:: domain
                
                	Domain Name Service (DNS, 53)
                	**type**\:  bool
                
                .. attribute:: echo
                
                	Echo (7)
                	**type**\:  bool
                
                .. attribute:: isakmp
                
                	Internet Security Association and Key Management Protocol(500)
                	**type**\:  bool
                
                .. attribute:: mobile_ip
                
                	Mobile IP registration (434)
                	**type**\:  bool
                
                .. attribute:: nameserver
                
                	IEN116 name service (obsolete, 42)
                	**type**\:  bool
                
                .. attribute:: netbios_dgm
                
                	NetBios datagram service (138)
                	**type**\:  bool
                
                .. attribute:: netbios_ns
                
                	NetBios name service (137)
                	**type**\:  bool
                
                .. attribute:: netbios_ss
                
                	NetBios session service (139)
                	**type**\:  bool
                
                .. attribute:: non500_isakmp
                
                	Internet Security Association and Key Management Protocol(4500)
                	**type**\:  bool
                
                .. attribute:: ntp
                
                	Network Time Protocol (123)
                	**type**\:  bool
                
                .. attribute:: pim_auto_rp
                
                	PIM Auto\-RP (496)
                	**type**\:  bool
                
                .. attribute:: rip
                
                	Routing Information Protocol (router, in.routed, 520)
                	**type**\:  bool
                
                .. attribute:: snmp
                
                	Simple Network Management Protocol (161)
                	**type**\:  bool
                
                .. attribute:: snmptrap
                
                	SNMP Traps (162)
                	**type**\:  bool
                
                .. attribute:: sunrpc
                
                	Sun Remote Procedure Call (111)
                	**type**\:  bool
                
                .. attribute:: syslog
                
                	System Logger (514)
                	**type**\:  bool
                
                .. attribute:: tacacs
                
                	TAC Access Control System (49)
                	**type**\:  bool
                
                .. attribute:: talk
                
                	Talk (517)
                	**type**\:  bool
                
                .. attribute:: tftp
                
                	Trivial File Transfer Protocol (69)
                	**type**\:  bool
                
                .. attribute:: time
                
                	Time (37)
                	**type**\:  bool
                
                .. attribute:: who
                
                	Who service (rwho, 513)
                	**type**\:  bool
                
                .. attribute:: xdmcp
                
                	X Display Manager Control Protocol (177)
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.biff = None
                    self.bootpc = None
                    self.bootps = None
                    self.discard = None
                    self.dnsix = None
                    self.domain = None
                    self.echo = None
                    self.isakmp = None
                    self.mobile_ip = None
                    self.nameserver = None
                    self.netbios_dgm = None
                    self.netbios_ns = None
                    self.netbios_ss = None
                    self.non500_isakmp = None
                    self.ntp = None
                    self.pim_auto_rp = None
                    self.rip = None
                    self.snmp = None
                    self.snmptrap = None
                    self.sunrpc = None
                    self.syslog = None
                    self.tacacs = None
                    self.talk = None
                    self.tftp = None
                    self.time = None
                    self.who = None
                    self.xdmcp = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:forward-protocol/Cisco-IOS-XE-native:udp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.biff is not None:
                        return True

                    if self.bootpc is not None:
                        return True

                    if self.bootps is not None:
                        return True

                    if self.discard is not None:
                        return True

                    if self.dnsix is not None:
                        return True

                    if self.domain is not None:
                        return True

                    if self.echo is not None:
                        return True

                    if self.isakmp is not None:
                        return True

                    if self.mobile_ip is not None:
                        return True

                    if self.nameserver is not None:
                        return True

                    if self.netbios_dgm is not None:
                        return True

                    if self.netbios_ns is not None:
                        return True

                    if self.netbios_ss is not None:
                        return True

                    if self.non500_isakmp is not None:
                        return True

                    if self.ntp is not None:
                        return True

                    if self.pim_auto_rp is not None:
                        return True

                    if self.rip is not None:
                        return True

                    if self.snmp is not None:
                        return True

                    if self.snmptrap is not None:
                        return True

                    if self.sunrpc is not None:
                        return True

                    if self.syslog is not None:
                        return True

                    if self.tacacs is not None:
                        return True

                    if self.talk is not None:
                        return True

                    if self.tftp is not None:
                        return True

                    if self.time is not None:
                        return True

                    if self.who is not None:
                        return True

                    if self.xdmcp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.ForwardProtocol.Udp']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:forward-protocol'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.protocol is not None:
                    return True

                if self.spanning_tree is not None and self.spanning_tree._has_data():
                    return True

                if self.udp is not None and self.udp._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.ForwardProtocol']['meta_info']


        class Ftp(object):
            """
            FTP configuration commands
            
            .. attribute:: passive
            
            	Connect using passive mode
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: password
            
            	Specify password for FTP connections;
            	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ftp.Password>`
            
            .. attribute:: source_interface
            
            	Specify interface for source address in FTP connections
            	**type**\:   :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ftp.SourceInterface>`
            
            .. attribute:: username
            
            	Specify username for FTP connections
            	**type**\:  str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.passive = None
                self.password = Native.Ip.Ftp.Password()
                self.password.parent = self
                self.source_interface = Native.Ip.Ftp.SourceInterface()
                self.source_interface.parent = self
                self.username = None


            class SourceInterface(object):
                """
                Specify interface for source address in FTP connections
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\:  str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ftp.SourceInterface.AtmAcrsubinterface>`
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ftp.SourceInterface.AtmSubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\:  str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\:  str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\:  str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\:  str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\:  str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  int
                
                	**range:** 0..65520
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ftp.SourceInterface.LispSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ftp.SourceInterface.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\:  str
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\:  str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\:  str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.appnav_compress = None
                    self.appnav_uncompress = None
                    self.atm = None
                    self.atm_acr = None
                    self.atm_acrsubinterface = Native.Ip.Ftp.SourceInterface.AtmAcrsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self.atm_subinterface = Native.Ip.Ftp.SourceInterface.AtmSubinterface()
                    self.atm_subinterface.parent = self
                    self.bdi = None
                    self.cellular = None
                    self.cem = None
                    self.cem_acr = None
                    self.embedded_service_engine = None
                    self.fastethernet = None
                    self.gigabitethernet = None
                    self.lisp = None
                    self.lisp_subinterface = Native.Ip.Ftp.SourceInterface.LispSubinterface()
                    self.lisp_subinterface.parent = self
                    self.loopback = None
                    self.multilink = None
                    self.nve = None
                    self.overlay = None
                    self.port_channel = None
                    self.port_channel_subinterface = Native.Ip.Ftp.SourceInterface.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self.pseudowire = None
                    self.serial = None
                    self.sm = None
                    self.tengigabitethernet = None
                    self.tunnel = None
                    self.vasileft = None
                    self.vasiright = None
                    self.virtual_template = None
                    self.virtualportgroup = None
                    self.vlan = None


                class AtmSubinterface(object):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:ftp/Cisco-IOS-XE-native:source-interface/Cisco-IOS-XE-native:ATM-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Ftp.SourceInterface.AtmSubinterface']['meta_info']


                class AtmAcrsubinterface(object):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm_acr = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:ftp/Cisco-IOS-XE-native:source-interface/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm_acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Ftp.SourceInterface.AtmAcrsubinterface']['meta_info']


                class LispSubinterface(object):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.lisp = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:ftp/Cisco-IOS-XE-native:source-interface/Cisco-IOS-XE-native:LISP-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.lisp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Ftp.SourceInterface.LispSubinterface']['meta_info']


                class PortChannelSubinterface(object):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.port_channel = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:ftp/Cisco-IOS-XE-native:source-interface/Cisco-IOS-XE-native:Port-channel-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.port_channel is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Ftp.SourceInterface.PortChannelSubinterface']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:ftp/Cisco-IOS-XE-native:source-interface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.appnav_compress is not None:
                        return True

                    if self.appnav_uncompress is not None:
                        return True

                    if self.atm is not None:
                        return True

                    if self.atm_acr is not None:
                        return True

                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                        return True

                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                        return True

                    if self.bdi is not None:
                        return True

                    if self.cellular is not None:
                        return True

                    if self.cem is not None:
                        return True

                    if self.cem_acr is not None:
                        return True

                    if self.embedded_service_engine is not None:
                        return True

                    if self.fastethernet is not None:
                        return True

                    if self.gigabitethernet is not None:
                        return True

                    if self.lisp is not None:
                        return True

                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                        return True

                    if self.loopback is not None:
                        return True

                    if self.multilink is not None:
                        return True

                    if self.nve is not None:
                        return True

                    if self.overlay is not None:
                        return True

                    if self.port_channel is not None:
                        return True

                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                        return True

                    if self.pseudowire is not None:
                        return True

                    if self.serial is not None:
                        return True

                    if self.sm is not None:
                        return True

                    if self.tengigabitethernet is not None:
                        return True

                    if self.tunnel is not None:
                        return True

                    if self.vasileft is not None:
                        return True

                    if self.vasiright is not None:
                        return True

                    if self.virtual_template is not None:
                        return True

                    if self.virtualportgroup is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Ftp.SourceInterface']['meta_info']


            class Password(object):
                """
                Specify password for FTP connections;
                
                .. attribute:: password_container
                
                	
                	**type**\:   :py:class:`PasswordContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ftp.Password.PasswordContainer>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.password_container = Native.Ip.Ftp.Password.PasswordContainer()
                    self.password_container.parent = self


                class PasswordContainer(object):
                    """
                    
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..7
                    
                    .. attribute:: password
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ([1\-680\-9a\-zA\-Z].\*)\|(0.+)\|(7.+)
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.encryption = None
                        self.password = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:ftp/Cisco-IOS-XE-native:password/Cisco-IOS-XE-native:password-container'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.encryption is not None:
                            return True

                        if self.password is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Ftp.Password.PasswordContainer']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:ftp/Cisco-IOS-XE-native:password'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.password_container is not None and self.password_container._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Ftp.Password']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:ftp'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.passive is not None:
                    return True

                if self.password is not None and self.password._has_data():
                    return True

                if self.source_interface is not None and self.source_interface._has_data():
                    return True

                if self.username is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Ftp']['meta_info']


        class Telnet(object):
            """
            Specify telnet options
            
            .. attribute:: source_interface
            
            	Specify source interface
            	**type**\:  str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.source_interface = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:telnet'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.source_interface is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Telnet']['meta_info']


        class Host(object):
            """
            Add an entry to the ip hostname table
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: ip
            
            	
            	**type**\: one of the below types:
            
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            
            ----
            	**type**\:  str
            
            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
            
            
            ----
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.ip = None

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:host[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.ip is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Host']['meta_info']


        class Multicast(object):
            """
            Global IP Multicast Commands
            
            .. attribute:: route_limit
            
            	Maximum number of multicast routes
            	**type**\:  int
            
            	**range:** 1..2147483647
            
            .. attribute:: vrf
            
            	Select VPN Routing/Forwarding instance
            	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Multicast.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.route_limit = None
                self.vrf = YList()
                self.vrf.parent = self
                self.vrf.name = 'vrf'


            class Vrf(object):
                """
                Select VPN Routing/Forwarding instance
                
                .. attribute:: name  <key>
                
                	VPN Routing/Forwarding instance name
                	**type**\:  str
                
                .. attribute:: multipath
                
                	RPF across equal\-cost paths
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: route_limit
                
                	Maximum number of multicast routes
                	**type**\:  list of int
                
                	**range:** 1..2147483647
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.multipath = None
                    self.route_limit = YLeafList()
                    self.route_limit.parent = self
                    self.route_limit.name = 'route_limit'

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:multicast/Cisco-IOS-XE-multicast:vrf[Cisco-IOS-XE-multicast:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.multipath is not None:
                        return True

                    if self.route_limit is not None:
                        for child in self.route_limit:
                            if child is not None:
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Multicast.Vrf']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:multicast'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.route_limit is not None:
                    return True

                if self.vrf is not None:
                    for child_ref in self.vrf:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Multicast']['meta_info']


        class NameServer(object):
            """
            
            
            .. attribute:: no_vrf
            
            	
            	**type**\: one of the below types:
            
            	**type**\:  list of str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            
            ----
            	**type**\:  list of str
            
            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
            
            
            ----
            .. attribute:: vrf
            
            	
            	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.NameServer.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.no_vrf = YLeafList()
                self.no_vrf.parent = self
                self.no_vrf.name = 'no_vrf'
                self.vrf = YList()
                self.vrf.parent = self
                self.vrf.name = 'vrf'


            class Vrf(object):
                """
                
                
                .. attribute:: word  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: server_ip
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.word = None
                    self.server_ip = None

                @property
                def _common_path(self):
                    if self.word is None:
                        raise YPYModelError('Key property word is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:name-server/Cisco-IOS-XE-native:vrf[Cisco-IOS-XE-native:word = ' + str(self.word) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.word is not None:
                        return True

                    if self.server_ip is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.NameServer.Vrf']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:name-server'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.no_vrf is not None:
                    for child in self.no_vrf:
                        if child is not None:
                            return True

                if self.vrf is not None:
                    for child_ref in self.vrf:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.NameServer']['meta_info']


        class Pim(object):
            """
            PIM global commands
            
            .. attribute:: accept_register
            
            	Registers accept filter
            	**type**\:   :py:class:`AcceptRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.AcceptRegister>`
            
            .. attribute:: autorp
            
            	Configure AutoRP global operations
            	**type**\:   :py:class:`Autorp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Autorp>`
            
            	**presence node**\: True
            
            .. attribute:: register_source
            
            	Source address for PIM Register
            	**type**\:  str
            
            .. attribute:: rp_address
            
            	PIM RP\-address (Rendezvous Point)
            	**type**\: list of    :py:class:`RpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.RpAddress>`
            
            .. attribute:: send_rp_announce
            
            	Auto\-RP send RP announcement
            	**type**\:   :py:class:`SendRpAnnounce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SendRpAnnounce>`
            
            .. attribute:: send_rp_discovery
            
            	Auto\-RP send RP discovery message (as RP\-mapping agent)
            	**type**\:   :py:class:`SendRpDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SendRpDiscovery>`
            
            .. attribute:: spt_threshold
            
            	Source\-tree switching threshold
            	**type**\: list of    :py:class:`SptThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SptThreshold>`
            
            .. attribute:: spt_threshold_container
            
            	
            	**type**\:   :py:class:`SptThresholdContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SptThresholdContainer>`
            
            .. attribute:: ssm
            
            	Configure Source Specific Multicast
            	**type**\:   :py:class:`Ssm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Ssm>`
            
            .. attribute:: vrf
            
            	Select VPN Routing/Forwarding instance
            	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.accept_register = Native.Ip.Pim.AcceptRegister()
                self.accept_register.parent = self
                self.autorp = None
                self.register_source = None
                self.rp_address = YList()
                self.rp_address.parent = self
                self.rp_address.name = 'rp_address'
                self.send_rp_announce = Native.Ip.Pim.SendRpAnnounce()
                self.send_rp_announce.parent = self
                self.send_rp_discovery = Native.Ip.Pim.SendRpDiscovery()
                self.send_rp_discovery.parent = self
                self.spt_threshold = YList()
                self.spt_threshold.parent = self
                self.spt_threshold.name = 'spt_threshold'
                self.spt_threshold_container = Native.Ip.Pim.SptThresholdContainer()
                self.spt_threshold_container.parent = self
                self.ssm = Native.Ip.Pim.Ssm()
                self.ssm.parent = self
                self.vrf = YList()
                self.vrf.parent = self
                self.vrf.name = 'vrf'


            class AcceptRegister(object):
                """
                Registers accept filter
                
                .. attribute:: list
                
                	Access list
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 100..199
                
                
                ----
                	**type**\:  int
                
                	**range:** 2000..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.list = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:pim/Cisco-IOS-XE-multicast:accept-register'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.list is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Pim.AcceptRegister']['meta_info']


            class Autorp(object):
                """
                Configure AutoRP global operations
                
                .. attribute:: listener
                
                	Allow AutoRP packets across sparse mode interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.listener = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:pim/Cisco-IOS-XE-multicast:autorp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.listener is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Pim.Autorp']['meta_info']


            class RpAddress(object):
                """
                PIM RP\-address (Rendezvous Point)
                
                .. attribute:: address  <key>
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: access_list
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..99
                
                
                ----
                	**type**\:  int
                
                	**range:** 1300..1999
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: override
                
                	Overrides dynamically learnt RP mappings
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = None
                    self.access_list = None
                    self.override = None

                @property
                def _common_path(self):
                    if self.address is None:
                        raise YPYModelError('Key property address is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:pim/Cisco-IOS-XE-multicast:rp-address[Cisco-IOS-XE-multicast:address = ' + str(self.address) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None:
                        return True

                    if self.access_list is not None:
                        return True

                    if self.override is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Pim.RpAddress']['meta_info']


            class SptThreshold(object):
                """
                Source\-tree switching threshold
                
                .. attribute:: how  <key>
                
                	
                	**type**\:   :py:class:`HowEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SptThreshold.HowEnum>`
                
                .. attribute:: group_list  <key>
                
                	Group address access\-list
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..99
                
                
                ----
                	**type**\:  int
                
                	**range:** 1300..1999
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.how = None
                    self.group_list = None

                class HowEnum(Enum):
                    """
                    HowEnum

                    .. data:: Y_0 = 0

                    .. data:: infinity = 1

                    """

                    Y_0 = 0

                    infinity = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Pim.SptThreshold.HowEnum']


                @property
                def _common_path(self):
                    if self.how is None:
                        raise YPYModelError('Key property how is None')
                    if self.group_list is None:
                        raise YPYModelError('Key property group_list is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:pim/Cisco-IOS-XE-multicast:spt-threshold[Cisco-IOS-XE-multicast:how = ' + str(self.how) + '][Cisco-IOS-XE-multicast:group-list = ' + str(self.group_list) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.how is not None:
                        return True

                    if self.group_list is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Pim.SptThreshold']['meta_info']


            class SptThresholdContainer(object):
                """
                
                
                .. attribute:: spt_threshold
                
                	Source\-tree switching threshold
                	**type**\:   :py:class:`SptThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SptThresholdContainer.SptThreshold>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.spt_threshold = Native.Ip.Pim.SptThresholdContainer.SptThreshold()
                    self.spt_threshold.parent = self


                class SptThreshold(object):
                    """
                    Source\-tree switching threshold
                    
                    .. attribute:: how
                    
                    	
                    	**type**\:   :py:class:`HowEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SptThresholdContainer.SptThreshold.HowEnum>`
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.how = None

                    class HowEnum(Enum):
                        """
                        HowEnum

                        .. data:: Y_0 = 0

                        .. data:: infinity = 1

                        """

                        Y_0 = 0

                        infinity = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Pim.SptThresholdContainer.SptThreshold.HowEnum']


                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:pim/Cisco-IOS-XE-multicast:spt-threshold-container/Cisco-IOS-XE-multicast:spt-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.how is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Pim.SptThresholdContainer.SptThreshold']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:pim/Cisco-IOS-XE-multicast:spt-threshold-container'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.spt_threshold is not None and self.spt_threshold._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Pim.SptThresholdContainer']['meta_info']


            class SendRpAnnounce(object):
                """
                Auto\-RP send RP announcement
                
                .. attribute:: interface_list
                
                	
                	**type**\: list of    :py:class:`Interface_List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SendRpAnnounce.Interface_List>`
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\: list of    :py:class:`PortChannel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SendRpAnnounce.PortChannel>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_list = YList()
                    self.interface_list.parent = self
                    self.interface_list.name = 'interface_list'
                    self.port_channel = YList()
                    self.port_channel.parent = self
                    self.port_channel.name = 'port_channel'


                class Interface_List(object):
                    """
                    
                    
                    .. attribute:: if_name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: scope
                    
                    	RP announcement scope
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SendRpAnnounce.Interface_List.Scope>`
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.if_name = None
                        self.scope = Native.Ip.Pim.SendRpAnnounce.Interface_List.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        RP announcement scope
                        
                        .. attribute:: group_list
                        
                        	Group access\-list
                        	**type**\:   :py:class:`GroupList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SendRpAnnounce.Interface_List.Scope.GroupList>`
                        
                        .. attribute:: pkt_ttl
                        
                        	TTL of the RP announce packet
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.group_list = Native.Ip.Pim.SendRpAnnounce.Interface_List.Scope.GroupList()
                            self.group_list.parent = self
                            self.pkt_ttl = None


                        class GroupList(object):
                            """
                            Group access\-list
                            
                            .. attribute:: acl_ref
                            
                            	Access\-list reference for multicast groups
                            	**type**\:  int
                            
                            	**range:** 1..99
                            
                            .. attribute:: std_acl
                            
                            	IP Named Standard Access list
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-mc'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_ref = None
                                self.std_acl = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-multicast:group-list'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_ref is not None:
                                    return True

                                if self.std_acl is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Pim.SendRpAnnounce.Interface_List.Scope.GroupList']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.group_list is not None and self.group_list._has_data():
                                return True

                            if self.pkt_ttl is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Pim.SendRpAnnounce.Interface_List.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.if_name is None:
                            raise YPYModelError('Key property if_name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:pim/Cisco-IOS-XE-multicast:send-rp-announce/Cisco-IOS-XE-multicast:interface_list[Cisco-IOS-XE-multicast:if-name = ' + str(self.if_name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.if_name is not None:
                            return True

                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Pim.SendRpAnnounce.Interface_List']['meta_info']


                class PortChannel(object):
                    """
                    Ethernet Channel of interfaces
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..512
                    
                    .. attribute:: scope
                    
                    	RP announcement scope
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.scope = None

                    @property
                    def _common_path(self):
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:pim/Cisco-IOS-XE-multicast:send-rp-announce/Cisco-IOS-XE-multicast:Port-channel[Cisco-IOS-XE-multicast:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.scope is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Pim.SendRpAnnounce.PortChannel']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:pim/Cisco-IOS-XE-multicast:send-rp-announce'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_list is not None:
                        for child_ref in self.interface_list:
                            if child_ref._has_data():
                                return True

                    if self.port_channel is not None:
                        for child_ref in self.port_channel:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Pim.SendRpAnnounce']['meta_info']


            class SendRpDiscovery(object):
                """
                Auto\-RP send RP discovery message (as RP\-mapping agent)
                
                .. attribute:: scope
                
                	Scope of the RP discovery packets\: TTL
                	**type**\:  int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.scope = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:pim/Cisco-IOS-XE-multicast:send-rp-discovery'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.scope is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Pim.SendRpDiscovery']['meta_info']


            class Ssm(object):
                """
                Configure Source Specific Multicast
                
                .. attribute:: range
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..99
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.range = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:pim/Cisco-IOS-XE-multicast:ssm'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.range is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Pim.Ssm']['meta_info']


            class Vrf(object):
                """
                Select VPN Routing/Forwarding instance
                
                .. attribute:: id  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: accept_register
                
                	Registers accept filter
                	**type**\:   :py:class:`AcceptRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.AcceptRegister>`
                
                .. attribute:: autorp
                
                	Configure AutoRP global operations
                	**type**\:   :py:class:`Autorp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.Autorp>`
                
                	**presence node**\: True
                
                .. attribute:: register_source
                
                	Source address for PIM Register
                	**type**\:  str
                
                .. attribute:: rp_address
                
                	PIM RP\-address (Rendezvous Point)
                	**type**\: list of    :py:class:`RpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.RpAddress>`
                
                .. attribute:: send_rp_announce
                
                	Auto\-RP send RP announcement
                	**type**\:   :py:class:`SendRpAnnounce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SendRpAnnounce>`
                
                .. attribute:: send_rp_discovery
                
                	Auto\-RP send RP discovery message (as RP\-mapping agent)
                	**type**\:   :py:class:`SendRpDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SendRpDiscovery>`
                
                .. attribute:: spt_threshold
                
                	Source\-tree switching threshold
                	**type**\: list of    :py:class:`SptThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SptThreshold>`
                
                .. attribute:: spt_threshold_container
                
                	
                	**type**\:   :py:class:`SptThresholdContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SptThresholdContainer>`
                
                .. attribute:: ssm
                
                	Configure Source Specific Multicast
                	**type**\:   :py:class:`Ssm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.Ssm>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.accept_register = Native.Ip.Pim.Vrf.AcceptRegister()
                    self.accept_register.parent = self
                    self.autorp = None
                    self.register_source = None
                    self.rp_address = YList()
                    self.rp_address.parent = self
                    self.rp_address.name = 'rp_address'
                    self.send_rp_announce = Native.Ip.Pim.Vrf.SendRpAnnounce()
                    self.send_rp_announce.parent = self
                    self.send_rp_discovery = Native.Ip.Pim.Vrf.SendRpDiscovery()
                    self.send_rp_discovery.parent = self
                    self.spt_threshold = YList()
                    self.spt_threshold.parent = self
                    self.spt_threshold.name = 'spt_threshold'
                    self.spt_threshold_container = Native.Ip.Pim.Vrf.SptThresholdContainer()
                    self.spt_threshold_container.parent = self
                    self.ssm = Native.Ip.Pim.Vrf.Ssm()
                    self.ssm.parent = self


                class AcceptRegister(object):
                    """
                    Registers accept filter
                    
                    .. attribute:: list
                    
                    	Access list
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 100..199
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 2000..2699
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.list = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:accept-register'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Pim.Vrf.AcceptRegister']['meta_info']


                class Autorp(object):
                    """
                    Configure AutoRP global operations
                    
                    .. attribute:: listener
                    
                    	Allow AutoRP packets across sparse mode interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.listener = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:autorp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.listener is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Pim.Vrf.Autorp']['meta_info']


                class RpAddress(object):
                    """
                    PIM RP\-address (Rendezvous Point)
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..99
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 1300..1999
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    .. attribute:: override
                    
                    	Overrides dynamically learnt RP mappings
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.access_list = None
                        self.override = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:rp-address[Cisco-IOS-XE-multicast:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        if self.override is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Pim.Vrf.RpAddress']['meta_info']


                class SptThreshold(object):
                    """
                    Source\-tree switching threshold
                    
                    .. attribute:: how  <key>
                    
                    	
                    	**type**\:   :py:class:`HowEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SptThreshold.HowEnum>`
                    
                    .. attribute:: group_list  <key>
                    
                    	Group address access\-list
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..99
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 1300..1999
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.how = None
                        self.group_list = None

                    class HowEnum(Enum):
                        """
                        HowEnum

                        .. data:: Y_0 = 0

                        .. data:: infinity = 1

                        """

                        Y_0 = 0

                        infinity = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Pim.Vrf.SptThreshold.HowEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.how is None:
                            raise YPYModelError('Key property how is None')
                        if self.group_list is None:
                            raise YPYModelError('Key property group_list is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:spt-threshold[Cisco-IOS-XE-multicast:how = ' + str(self.how) + '][Cisco-IOS-XE-multicast:group-list = ' + str(self.group_list) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.how is not None:
                            return True

                        if self.group_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Pim.Vrf.SptThreshold']['meta_info']


                class SptThresholdContainer(object):
                    """
                    
                    
                    .. attribute:: spt_threshold
                    
                    	Source\-tree switching threshold
                    	**type**\:   :py:class:`SptThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SptThresholdContainer.SptThreshold>`
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.spt_threshold = Native.Ip.Pim.Vrf.SptThresholdContainer.SptThreshold()
                        self.spt_threshold.parent = self


                    class SptThreshold(object):
                        """
                        Source\-tree switching threshold
                        
                        .. attribute:: how
                        
                        	
                        	**type**\:   :py:class:`HowEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SptThresholdContainer.SptThreshold.HowEnum>`
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.how = None

                        class HowEnum(Enum):
                            """
                            HowEnum

                            .. data:: Y_0 = 0

                            .. data:: infinity = 1

                            """

                            Y_0 = 0

                            infinity = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Pim.Vrf.SptThresholdContainer.SptThreshold.HowEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:spt-threshold'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.how is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Pim.Vrf.SptThresholdContainer.SptThreshold']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:spt-threshold-container'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.spt_threshold is not None and self.spt_threshold._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Pim.Vrf.SptThresholdContainer']['meta_info']


                class SendRpAnnounce(object):
                    """
                    Auto\-RP send RP announcement
                    
                    .. attribute:: interface_list
                    
                    	
                    	**type**\: list of    :py:class:`Interface_List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List>`
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: list of    :py:class:`PortChannel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SendRpAnnounce.PortChannel>`
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interface_list = YList()
                        self.interface_list.parent = self
                        self.interface_list.name = 'interface_list'
                        self.port_channel = YList()
                        self.port_channel.parent = self
                        self.port_channel.name = 'port_channel'


                    class Interface_List(object):
                        """
                        
                        
                        .. attribute:: if_name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: scope
                        
                        	RP announcement scope
                        	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List.Scope>`
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.if_name = None
                            self.scope = Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List.Scope()
                            self.scope.parent = self


                        class Scope(object):
                            """
                            RP announcement scope
                            
                            .. attribute:: group_list
                            
                            	Group access\-list
                            	**type**\:   :py:class:`GroupList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List.Scope.GroupList>`
                            
                            .. attribute:: pkt_ttl
                            
                            	TTL of the RP announce packet
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-mc'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group_list = Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List.Scope.GroupList()
                                self.group_list.parent = self
                                self.pkt_ttl = None


                            class GroupList(object):
                                """
                                Group access\-list
                                
                                .. attribute:: acl_ref
                                
                                	Access\-list reference for multicast groups
                                	**type**\:  int
                                
                                	**range:** 1..99
                                
                                .. attribute:: std_acl
                                
                                	IP Named Standard Access list
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-mc'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.acl_ref = None
                                    self.std_acl = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-multicast:group-list'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.acl_ref is not None:
                                        return True

                                    if self.std_acl is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List.Scope.GroupList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-multicast:scope'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group_list is not None and self.group_list._has_data():
                                    return True

                                if self.pkt_ttl is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List.Scope']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.if_name is None:
                                raise YPYModelError('Key property if_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:interface_list[Cisco-IOS-XE-multicast:if-name = ' + str(self.if_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.if_name is not None:
                                return True

                            if self.scope is not None and self.scope._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Pim.Vrf.SendRpAnnounce.Interface_List']['meta_info']


                    class PortChannel(object):
                        """
                        Ethernet Channel of interfaces
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..512
                        
                        .. attribute:: scope
                        
                        	RP announcement scope
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.scope = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:Port-channel[Cisco-IOS-XE-multicast:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.scope is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Pim.Vrf.SendRpAnnounce.PortChannel']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:send-rp-announce'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interface_list is not None:
                            for child_ref in self.interface_list:
                                if child_ref._has_data():
                                    return True

                        if self.port_channel is not None:
                            for child_ref in self.port_channel:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Pim.Vrf.SendRpAnnounce']['meta_info']


                class SendRpDiscovery(object):
                    """
                    Auto\-RP send RP discovery message (as RP\-mapping agent)
                    
                    .. attribute:: scope
                    
                    	Scope of the RP discovery packets\: TTL
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.scope = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:send-rp-discovery'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.scope is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Pim.Vrf.SendRpDiscovery']['meta_info']


                class Ssm(object):
                    """
                    Configure Source Specific Multicast
                    
                    .. attribute:: range
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..99
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.range = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:ssm'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.range is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Pim.Vrf.Ssm']['meta_info']

                @property
                def _common_path(self):
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:pim/Cisco-IOS-XE-multicast:vrf[Cisco-IOS-XE-multicast:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.accept_register is not None and self.accept_register._has_data():
                        return True

                    if self.autorp is not None and self.autorp._has_data():
                        return True

                    if self.register_source is not None:
                        return True

                    if self.rp_address is not None:
                        for child_ref in self.rp_address:
                            if child_ref._has_data():
                                return True

                    if self.send_rp_announce is not None and self.send_rp_announce._has_data():
                        return True

                    if self.send_rp_discovery is not None and self.send_rp_discovery._has_data():
                        return True

                    if self.spt_threshold is not None:
                        for child_ref in self.spt_threshold:
                            if child_ref._has_data():
                                return True

                    if self.spt_threshold_container is not None and self.spt_threshold_container._has_data():
                        return True

                    if self.ssm is not None and self.ssm._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Pim.Vrf']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:pim'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.accept_register is not None and self.accept_register._has_data():
                    return True

                if self.autorp is not None and self.autorp._has_data():
                    return True

                if self.register_source is not None:
                    return True

                if self.rp_address is not None:
                    for child_ref in self.rp_address:
                        if child_ref._has_data():
                            return True

                if self.send_rp_announce is not None and self.send_rp_announce._has_data():
                    return True

                if self.send_rp_discovery is not None and self.send_rp_discovery._has_data():
                    return True

                if self.spt_threshold is not None:
                    for child_ref in self.spt_threshold:
                        if child_ref._has_data():
                            return True

                if self.spt_threshold_container is not None and self.spt_threshold_container._has_data():
                    return True

                if self.ssm is not None and self.ssm._has_data():
                    return True

                if self.vrf is not None:
                    for child_ref in self.vrf:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Pim']['meta_info']


        class PrefixList(object):
            """
            Build a prefix list
            
            .. attribute:: prefixes
            
            	
            	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.PrefixList.Prefixes>`
            
            .. attribute:: sequence_number
            
            	Include/exclude sequence numbers in NVGEN
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.prefixes = YList()
                self.prefixes.parent = self
                self.prefixes.name = 'prefixes'
                self.sequence_number = None


            class Prefixes(object):
                """
                
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                	**pattern:** ([^s].\*)\|(s[^e].\*)\|(se[^q].\*)(seq[^u].\*)\|(sequ[^e].\*)\|(seque[^n].\*)\|(sequen[^c].\*)\|(sequenc[^e].\*)\|(sequence[^\\\-].\*)\|(sequence\\\-[^n].\*)\|(sequence\\\-n[^u].\*)\|(sequence\\\-nu[^m].\*)\|(sequence\\\-num[^b].\*)\|(sequence\\\-numb[^e].\*)\|(sequence\\\-numbe[^r].\*)\|(sequence\\\-number..\*)
                
                .. attribute:: deny
                
                	Specify packets to reject
                	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.PrefixList.Prefixes.Deny>`
                
                .. attribute:: description
                
                	Prefix\-list specific description
                	**type**\:  str
                
                	**length:** 1..80
                
                .. attribute:: permit
                
                	Specify packets to forward
                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.PrefixList.Prefixes.Permit>`
                
                .. attribute:: seq
                
                	sequence number of an entry
                	**type**\: list of    :py:class:`Seq <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.PrefixList.Prefixes.Seq>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.deny = Native.Ip.PrefixList.Prefixes.Deny()
                    self.deny.parent = self
                    self.description = None
                    self.permit = Native.Ip.PrefixList.Prefixes.Permit()
                    self.permit.parent = self
                    self.seq = YList()
                    self.seq.parent = self
                    self.seq.name = 'seq'


                class Permit(object):
                    """
                    Specify packets to forward
                    
                    .. attribute:: permit_list
                    
                    	
                    	**type**\: list of    :py:class:`PermitList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.PrefixList.Prefixes.Permit.PermitList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.permit_list = YList()
                        self.permit_list.parent = self
                        self.permit_list.name = 'permit_list'


                    class PermitList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        .. attribute:: ge
                        
                        	Minimum prefix length to be matched
                        	**type**\:  int
                        
                        	**range:** 1..32
                        
                        .. attribute:: le
                        
                        	Maximum prefix length to be matched
                        	**type**\:  int
                        
                        	**range:** 1..32
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.ge = None
                            self.le = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:permit-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.ge is not None:
                                return True

                            if self.le is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.PrefixList.Prefixes.Permit.PermitList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:permit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.permit_list is not None:
                            for child_ref in self.permit_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.PrefixList.Prefixes.Permit']['meta_info']


                class Deny(object):
                    """
                    Specify packets to reject
                    
                    .. attribute:: deny_list
                    
                    	
                    	**type**\: list of    :py:class:`DenyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.PrefixList.Prefixes.Deny.DenyList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.deny_list = YList()
                        self.deny_list.parent = self
                        self.deny_list.name = 'deny_list'


                    class DenyList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        .. attribute:: ge
                        
                        	Minimum prefix length to be matched
                        	**type**\:  int
                        
                        	**range:** 1..32
                        
                        .. attribute:: le
                        
                        	Maximum prefix length to be matched
                        	**type**\:  int
                        
                        	**range:** 1..32
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.ge = None
                            self.le = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:deny-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.ge is not None:
                                return True

                            if self.le is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.PrefixList.Prefixes.Deny.DenyList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:deny'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.deny_list is not None:
                            for child_ref in self.deny_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.PrefixList.Prefixes.Deny']['meta_info']


                class Seq(object):
                    """
                    sequence number of an entry
                    
                    .. attribute:: no  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4294967294
                    
                    .. attribute:: deny
                    
                    	Specify packets to reject
                    	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.PrefixList.Prefixes.Seq.Deny>`
                    
                    .. attribute:: permit
                    
                    	Specify packets to forward
                    	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.PrefixList.Prefixes.Seq.Permit>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.no = None
                        self.deny = Native.Ip.PrefixList.Prefixes.Seq.Deny()
                        self.deny.parent = self
                        self.permit = Native.Ip.PrefixList.Prefixes.Seq.Permit()
                        self.permit.parent = self


                    class Deny(object):
                        """
                        Specify packets to reject
                        
                        .. attribute:: ge
                        
                        	Minimum prefix length to be matched
                        	**type**\:  int
                        
                        	**range:** 1..32
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        .. attribute:: le
                        
                        	Maximum prefix length to be matched
                        	**type**\:  int
                        
                        	**range:** 1..32
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ge = None
                            self.ip = None
                            self.le = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:deny'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ge is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.le is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.PrefixList.Prefixes.Seq.Deny']['meta_info']


                    class Permit(object):
                        """
                        Specify packets to forward
                        
                        .. attribute:: ge
                        
                        	Minimum prefix length to be matched
                        	**type**\:  int
                        
                        	**range:** 1..32
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        .. attribute:: le
                        
                        	Maximum prefix length to be matched
                        	**type**\:  int
                        
                        	**range:** 1..32
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ge = None
                            self.ip = None
                            self.le = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:permit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ge is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.le is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.PrefixList.Prefixes.Seq.Permit']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.no is None:
                            raise YPYModelError('Key property no is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:seq[Cisco-IOS-XE-native:no = ' + str(self.no) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.no is not None:
                            return True

                        if self.deny is not None and self.deny._has_data():
                            return True

                        if self.permit is not None and self.permit._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.PrefixList.Prefixes.Seq']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:prefix-list/Cisco-IOS-XE-native:prefixes[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.deny is not None and self.deny._has_data():
                        return True

                    if self.description is not None:
                        return True

                    if self.permit is not None and self.permit._has_data():
                        return True

                    if self.seq is not None:
                        for child_ref in self.seq:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.PrefixList.Prefixes']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:prefix-list'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.prefixes is not None:
                    for child_ref in self.prefixes:
                        if child_ref._has_data():
                            return True

                if self.sequence_number is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.PrefixList']['meta_info']


        class Route(object):
            """
            Establish static routes
            
            .. attribute:: ip_route_interface_forwarding_list
            
            	
            	**type**\: list of    :py:class:`IpRouteInterfaceForwardingList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route.IpRouteInterfaceForwardingList>`
            
            .. attribute:: profile
            
            	Enable IP routing table profile
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: static
            
            	Allow static routes
            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route.Static>`
            
            .. attribute:: vrf
            
            	Configure static route for a VPN Routing/Forwarding instance
            	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ip_route_interface_forwarding_list = YList()
                self.ip_route_interface_forwarding_list.parent = self
                self.ip_route_interface_forwarding_list.name = 'ip_route_interface_forwarding_list'
                self.profile = None
                self.static = Native.Ip.Route.Static()
                self.static.parent = self
                self.vrf = YList()
                self.vrf.parent = self
                self.vrf.name = 'vrf'


            class IpRouteInterfaceForwardingList(object):
                """
                
                
                .. attribute:: prefix  <key>
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: mask  <key>
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: fwd_list
                
                	
                	**type**\: list of    :py:class:`FwdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route.IpRouteInterfaceForwardingList.FwdList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.prefix = None
                    self.mask = None
                    self.fwd_list = YList()
                    self.fwd_list.parent = self
                    self.fwd_list.name = 'fwd_list'


                class FwdList(object):
                    """
                    
                    
                    .. attribute:: fwd  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:   :py:class:`FwdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList.FwdList.FwdEnum>`
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: dhcp
                    
                    	Default Gateway obtained from DHCP
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: forwarding_router_adr
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Next hop address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: metric
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    .. attribute:: multicast
                    
                    	multicast route
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: name
                    
                    	Specify name of the next hop
                    	**type**\:  str
                    
                    .. attribute:: permanent
                    
                    	permanent route
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: tag
                    
                    	Set tag for this route
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: track
                    
                    	Install route depending on tracked item
                    	**type**\:  int
                    
                    	**range:** 1..1000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.fwd = None
                        self.dhcp = None
                        self.forwarding_router_adr = None
                        self.global_ = None
                        self.metric = None
                        self.multicast = None
                        self.name = None
                        self.permanent = None
                        self.tag = None
                        self.track = None

                    class FwdEnum(Enum):
                        """
                        FwdEnum

                        .. data:: Null0 = 0

                        """

                        Null0 = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Route.IpRouteInterfaceForwardingList.FwdList.FwdEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.fwd is None:
                            raise YPYModelError('Key property fwd is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:fwd-list[Cisco-IOS-XE-native:fwd = ' + str(self.fwd) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.fwd is not None:
                            return True

                        if self.dhcp is not None:
                            return True

                        if self.forwarding_router_adr is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.metric is not None:
                            return True

                        if self.multicast is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.permanent is not None:
                            return True

                        if self.tag is not None:
                            return True

                        if self.track is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Route.IpRouteInterfaceForwardingList.FwdList']['meta_info']

                @property
                def _common_path(self):
                    if self.prefix is None:
                        raise YPYModelError('Key property prefix is None')
                    if self.mask is None:
                        raise YPYModelError('Key property mask is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:route/Cisco-IOS-XE-native:ip-route-interface-forwarding-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + '][Cisco-IOS-XE-native:mask = ' + str(self.mask) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.prefix is not None:
                        return True

                    if self.mask is not None:
                        return True

                    if self.fwd_list is not None:
                        for child_ref in self.fwd_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Route.IpRouteInterfaceForwardingList']['meta_info']


            class Static(object):
                """
                Allow static routes
                
                .. attribute:: adjust_time
                
                	Time period for adjusting static routes
                	**type**\:  int
                
                	**range:** 1..60
                
                .. attribute:: bfd
                
                	BFD tracked
                	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route.Static.Bfd>`
                
                .. attribute:: install_routes_recurse_via_nexthop
                
                	installing recursive route next hop
                	**type**\:   :py:class:`InstallRoutesRecurseViaNexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route.Static.InstallRoutesRecurseViaNexthop>`
                
                .. attribute:: inter_vrf
                
                	Across VRF interfaces
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.adjust_time = None
                    self.bfd = Native.Ip.Route.Static.Bfd()
                    self.bfd.parent = self
                    self.install_routes_recurse_via_nexthop = Native.Ip.Route.Static.InstallRoutesRecurseViaNexthop()
                    self.install_routes_recurse_via_nexthop.parent = self
                    self.inter_vrf = None


                class Bfd(object):
                    """
                    BFD tracked
                    
                    .. attribute:: gateway_ip
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: interface
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.gateway_ip = None
                        self.interface = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:route/Cisco-IOS-XE-native:static/Cisco-IOS-XE-native:bfd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.gateway_ip is not None:
                            return True

                        if self.interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Route.Static.Bfd']['meta_info']


                class InstallRoutesRecurseViaNexthop(object):
                    """
                    installing recursive route next hop
                    
                    .. attribute:: vrf
                    
                    	Configure static route for a VPN Routing/Forwarding instance
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:route/Cisco-IOS-XE-native:static/Cisco-IOS-XE-native:install-routes-recurse-via-nexthop'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Route.Static.InstallRoutesRecurseViaNexthop']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:route/Cisco-IOS-XE-native:static'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.adjust_time is not None:
                        return True

                    if self.bfd is not None and self.bfd._has_data():
                        return True

                    if self.install_routes_recurse_via_nexthop is not None and self.install_routes_recurse_via_nexthop._has_data():
                        return True

                    if self.inter_vrf is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Route.Static']['meta_info']


            class Vrf(object):
                """
                Configure static route for a VPN Routing/Forwarding instance
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: ip_route_interface_forwarding_list
                
                	
                	**type**\: list of    :py:class:`IpRouteInterfaceForwardingList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.ip_route_interface_forwarding_list = YList()
                    self.ip_route_interface_forwarding_list.parent = self
                    self.ip_route_interface_forwarding_list.name = 'ip_route_interface_forwarding_list'


                class IpRouteInterfaceForwardingList(object):
                    """
                    
                    
                    .. attribute:: prefix  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: mask  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: fwd_list
                    
                    	
                    	**type**\: list of    :py:class:`FwdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList.FwdList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.prefix = None
                        self.mask = None
                        self.fwd_list = YList()
                        self.fwd_list.parent = self
                        self.fwd_list.name = 'fwd_list'


                    class FwdList(object):
                        """
                        
                        
                        .. attribute:: fwd  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:   :py:class:`FwdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList.FwdList.FwdEnum>`
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        
                        ----
                        .. attribute:: dhcp
                        
                        	Default Gateway obtained from DHCP
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: forwarding_router_adr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: global_
                        
                        	Next hop address is global
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: multicast
                        
                        	multicast route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: name
                        
                        	Specify name of the next hop
                        	**type**\:  str
                        
                        .. attribute:: permanent
                        
                        	permanent route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tag
                        
                        	Set tag for this route
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: track
                        
                        	Install route depending on tracked item
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.fwd = None
                            self.dhcp = None
                            self.forwarding_router_adr = None
                            self.global_ = None
                            self.metric = None
                            self.multicast = None
                            self.name = None
                            self.permanent = None
                            self.tag = None
                            self.track = None

                        class FwdEnum(Enum):
                            """
                            FwdEnum

                            .. data:: Null0 = 0

                            """

                            Null0 = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList.FwdList.FwdEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.fwd is None:
                                raise YPYModelError('Key property fwd is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:fwd-list[Cisco-IOS-XE-native:fwd = ' + str(self.fwd) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.fwd is not None:
                                return True

                            if self.dhcp is not None:
                                return True

                            if self.forwarding_router_adr is not None:
                                return True

                            if self.global_ is not None:
                                return True

                            if self.metric is not None:
                                return True

                            if self.multicast is not None:
                                return True

                            if self.name is not None:
                                return True

                            if self.permanent is not None:
                                return True

                            if self.tag is not None:
                                return True

                            if self.track is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList.FwdList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.prefix is None:
                            raise YPYModelError('Key property prefix is None')
                        if self.mask is None:
                            raise YPYModelError('Key property mask is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip-route-interface-forwarding-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + '][Cisco-IOS-XE-native:mask = ' + str(self.mask) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.prefix is not None:
                            return True

                        if self.mask is not None:
                            return True

                        if self.fwd_list is not None:
                            for child_ref in self.fwd_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:route/Cisco-IOS-XE-native:vrf[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.ip_route_interface_forwarding_list is not None:
                        for child_ref in self.ip_route_interface_forwarding_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Route.Vrf']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:route'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ip_route_interface_forwarding_list is not None:
                    for child_ref in self.ip_route_interface_forwarding_list:
                        if child_ref._has_data():
                            return True

                if self.profile is not None:
                    return True

                if self.static is not None and self.static._has_data():
                    return True

                if self.vrf is not None:
                    for child_ref in self.vrf:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Route']['meta_info']


        class ExplicitPath(object):
            """
            Configure explicit\-path
            
            .. attribute:: name  <key>
            
            	Specify explicit path by name
            	**type**\:  str
            
            .. attribute:: exclude_address
            
            	Exclude an address from subsequent partial path segments
            	**type**\:  list of str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: mode
            
            	
            	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExplicitPath.ModeEnum>`
            
            .. attribute:: next_address
            
            	Specify the next address in the path
            	**type**\:  list of str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: next_label
            
            	Exclude an address from subsequent partial path segments
            	**type**\:  list of int
            
            	**range:** 0..1048575
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.exclude_address = YLeafList()
                self.exclude_address.parent = self
                self.exclude_address.name = 'exclude_address'
                self.mode = None
                self.next_address = YLeafList()
                self.next_address.parent = self
                self.next_address.name = 'next_address'
                self.next_label = YLeafList()
                self.next_label.parent = self
                self.next_label.name = 'next_label'

            class ModeEnum(Enum):
                """
                ModeEnum

                .. data:: enable = 0

                .. data:: disable = 1

                """

                enable = 0

                disable = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.ExplicitPath.ModeEnum']


            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:explicit-path[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.exclude_address is not None:
                    for child in self.exclude_address:
                        if child is not None:
                            return True

                if self.mode is not None:
                    return True

                if self.next_address is not None:
                    for child in self.next_address:
                        if child is not None:
                            return True

                if self.next_label is not None:
                    for child in self.next_label:
                        if child is not None:
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.ExplicitPath']['meta_info']


        class Scp(object):
            """
            Scp commands
            
            .. attribute:: server
            
            	Configure SCP server\-side functionality
            	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Scp.Server>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.server = Native.Ip.Scp.Server()
                self.server.parent = self


            class Server(object):
                """
                Configure SCP server\-side functionality
                
                .. attribute:: enable
                
                	Enable server side of SCP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:scp/Cisco-IOS-XE-native:server'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Scp.Server']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:scp'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.server is not None and self.server._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Scp']['meta_info']


        class Spd(object):
            """
            spd
            
            .. attribute:: mode
            
            	
            	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Spd.ModeEnum>`
            
            .. attribute:: queue
            
            	queue
            	**type**\:   :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Spd.Queue>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.mode = None
                self.queue = Native.Ip.Spd.Queue()
                self.queue.parent = self

            class ModeEnum(Enum):
                """
                ModeEnum

                .. data:: aggressive = 0

                """

                aggressive = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Spd.ModeEnum']



            class Queue(object):
                """
                queue
                
                .. attribute:: max_threshold
                
                	Max threshold
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: min_threshold
                
                	Min threshold
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.max_threshold = None
                    self.min_threshold = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:spd/Cisco-IOS-XE-native:queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.max_threshold is not None:
                        return True

                    if self.min_threshold is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Spd.Queue']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:spd'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.mode is not None:
                    return True

                if self.queue is not None and self.queue._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Spd']['meta_info']


        class Bootp(object):
            """
            Config BOOTP services
            
            .. attribute:: server
            
            	Enable BOOTP server
            	**type**\:  bool
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.server = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:bootp'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.server is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Bootp']['meta_info']


        class Ssh(object):
            """
            Configure ssh options
            
            .. attribute:: authentication_retries
            
            	Specify number of authentication retries
            	**type**\:  int
            
            	**range:** 0..5
            
            .. attribute:: dscp
            
            	IP DSCP value for SSH traffic
            	**type**\:  int
            
            	**range:** 0..63
            
            .. attribute:: logging
            
            	Configure logging for SSH
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh.Logging>`
            
            .. attribute:: port
            
            	Starting (or only) Port number to listen on
            	**type**\: list of    :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh.Port>`
            
            .. attribute:: precedence
            
            	IP Precedence value for SSH traffic
            	**type**\:  int
            
            	**range:** 0..7
            
            .. attribute:: pubkey_chain
            
            	Configure public key\-chain parameters
            	**type**\:   :py:class:`PubkeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh.PubkeyChain>`
            
            .. attribute:: rsa
            
            	Configure RSA keypair name for SSH
            	**type**\:   :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh.Rsa>`
            
            .. attribute:: source_interface
            
            	Specify interface for source address in SSH connections
            	**type**\:  str
            
            .. attribute:: time_out
            
            	Specify SSH time\-out interval
            	**type**\:  int
            
            	**range:** 1..120
            
            .. attribute:: version
            
            	Specify protocol version supported
            	**type**\:  int
            
            	**range:** 1..2
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.authentication_retries = None
                self.dscp = None
                self.logging = Native.Ip.Ssh.Logging()
                self.logging.parent = self
                self.port = YList()
                self.port.parent = self
                self.port.name = 'port'
                self.precedence = None
                self.pubkey_chain = Native.Ip.Ssh.PubkeyChain()
                self.pubkey_chain.parent = self
                self.rsa = Native.Ip.Ssh.Rsa()
                self.rsa.parent = self
                self.source_interface = None
                self.time_out = None
                self.version = None


            class Logging(object):
                """
                Configure logging for SSH
                
                .. attribute:: events
                
                	Log SSH events
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.events = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:ssh/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.events is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Ssh.Logging']['meta_info']


            class PubkeyChain(object):
                """
                Configure public key\-chain parameters
                
                .. attribute:: username
                
                	
                	**type**\: list of    :py:class:`Username <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh.PubkeyChain.Username>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.username = YList()
                    self.username.parent = self
                    self.username.name = 'username'


                class Username(object):
                    """
                    
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: key_hash
                    
                    	
                    	**type**\: list of    :py:class:`KeyHash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh.PubkeyChain.Username.KeyHash>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.key_hash = YList()
                        self.key_hash.parent = self
                        self.key_hash.name = 'key_hash'


                    class KeyHash(object):
                        """
                        
                        
                        .. attribute:: key_type  <key>
                        
                        	
                        	**type**\:   :py:class:`KeyTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh.PubkeyChain.Username.KeyHash.KeyTypeEnum>`
                        
                        .. attribute:: key_hash_value  <key>
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_type = None
                            self.key_hash_value = None

                        class KeyTypeEnum(Enum):
                            """
                            KeyTypeEnum

                            .. data:: ssh_rsa = 0

                            """

                            ssh_rsa = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Ssh.PubkeyChain.Username.KeyHash.KeyTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.key_type is None:
                                raise YPYModelError('Key property key_type is None')
                            if self.key_hash_value is None:
                                raise YPYModelError('Key property key_hash_value is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-hash[Cisco-IOS-XE-native:key-type = ' + str(self.key_type) + '][Cisco-IOS-XE-native:key-hash-value = ' + str(self.key_hash_value) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_type is not None:
                                return True

                            if self.key_hash_value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Ssh.PubkeyChain.Username.KeyHash']['meta_info']

                    @property
                    def _common_path(self):
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:ssh/Cisco-IOS-XE-native:pubkey-chain/Cisco-IOS-XE-native:username[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.key_hash is not None:
                            for child_ref in self.key_hash:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Ssh.PubkeyChain.Username']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:ssh/Cisco-IOS-XE-native:pubkey-chain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.username is not None:
                        for child_ref in self.username:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Ssh.PubkeyChain']['meta_info']


            class Rsa(object):
                """
                Configure RSA keypair name for SSH
                
                .. attribute:: keypair_name
                
                	keypair\-name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keypair_name = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:ssh/Cisco-IOS-XE-native:rsa'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keypair_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Ssh.Rsa']['meta_info']


            class Port(object):
                """
                Starting (or only) Port number to listen on
                
                .. attribute:: port_no  <key>
                
                	Starting Port number
                	**type**\:  int
                
                	**range:** 2000..10000
                
                .. attribute:: high_rotary
                
                	Starting (or only) rotary group number
                	**type**\:  int
                
                	**range:** 1..127
                
                .. attribute:: low_rotary
                
                	Starting (or only) rotary group number
                	**type**\:  int
                
                	**range:** 1..127
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.port_no = None
                    self.high_rotary = None
                    self.low_rotary = None

                @property
                def _common_path(self):
                    if self.port_no is None:
                        raise YPYModelError('Key property port_no is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:ssh/Cisco-IOS-XE-native:port[Cisco-IOS-XE-native:port-no = ' + str(self.port_no) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.port_no is not None:
                        return True

                    if self.high_rotary is not None:
                        return True

                    if self.low_rotary is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Ssh.Port']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:ssh'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.authentication_retries is not None:
                    return True

                if self.dscp is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.port is not None:
                    for child_ref in self.port:
                        if child_ref._has_data():
                            return True

                if self.precedence is not None:
                    return True

                if self.pubkey_chain is not None and self.pubkey_chain._has_data():
                    return True

                if self.rsa is not None and self.rsa._has_data():
                    return True

                if self.source_interface is not None:
                    return True

                if self.time_out is not None:
                    return True

                if self.version is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Ssh']['meta_info']


        class Tcp(object):
            """
            Global TCP parameters
            
            .. attribute:: path_mtu_discovery
            
            	Enable path\-MTU discovery on new TCP connections
            	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tcp.PathMtuDiscovery>`
            
            	**presence node**\: True
            
            .. attribute:: selective_ack
            
            	Enable TCP selective\-ACK
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: synwait_time
            
            	Set time to wait on new TCP connections
            	**type**\:  int
            
            	**range:** 5..300
            
            .. attribute:: timestamp
            
            	Enable TCP timestamp option
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: window_size
            
            	TCP window size
            	**type**\:  int
            
            	**range:** 0..1073741823
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.path_mtu_discovery = None
                self.selective_ack = None
                self.synwait_time = None
                self.timestamp = None
                self.window_size = None


            class PathMtuDiscovery(object):
                """
                Enable path\-MTU discovery on new TCP connections
                
                .. attribute:: age_timer
                
                	Set PMTU aging timer
                	**type**\: one of the below types:
                
                	**type**\:   :py:class:`AgeTimerEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tcp.PathMtuDiscovery.AgeTimerEnum>`
                
                
                ----
                	**type**\:  int
                
                	**range:** 10..30
                
                
                ----
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.age_timer = None

                class AgeTimerEnum(Enum):
                    """
                    AgeTimerEnum

                    Set PMTU aging timer

                    .. data:: infinite = 0

                    """

                    infinite = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Tcp.PathMtuDiscovery.AgeTimerEnum']


                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:tcp/Cisco-IOS-XE-native:path-mtu-discovery'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.age_timer is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Tcp.PathMtuDiscovery']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:tcp'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                    return True

                if self.selective_ack is not None:
                    return True

                if self.synwait_time is not None:
                    return True

                if self.timestamp is not None:
                    return True

                if self.window_size is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Tcp']['meta_info']


        class Tftp(object):
            """
            tftp configuration commands
            
            .. attribute:: blocksize
            
            	Specify TFTP client blocksize
            	**type**\:  int
            
            	**range:** 512..8192
            
            .. attribute:: boot_interface
            
            	Force interface to use for TFTP booting
            	**type**\:   :py:class:`BootInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp.BootInterface>`
            
            .. attribute:: source_interface
            
            	Specify interface for source address in TFTP connections
            	**type**\:   :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp.SourceInterface>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.blocksize = None
                self.boot_interface = Native.Ip.Tftp.BootInterface()
                self.boot_interface.parent = self
                self.source_interface = Native.Ip.Tftp.SourceInterface()
                self.source_interface.parent = self


            class BootInterface(object):
                """
                Force interface to use for TFTP booting
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\:  str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp.BootInterface.AtmAcrsubinterface>`
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp.BootInterface.AtmSubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\:  str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\:  str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\:  str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\:  str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\:  str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  int
                
                	**range:** 0..65520
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp.BootInterface.LispSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp.BootInterface.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\:  str
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\:  str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\:  str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.appnav_compress = None
                    self.appnav_uncompress = None
                    self.atm = None
                    self.atm_acr = None
                    self.atm_acrsubinterface = Native.Ip.Tftp.BootInterface.AtmAcrsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self.atm_subinterface = Native.Ip.Tftp.BootInterface.AtmSubinterface()
                    self.atm_subinterface.parent = self
                    self.bdi = None
                    self.cellular = None
                    self.cem = None
                    self.cem_acr = None
                    self.embedded_service_engine = None
                    self.fastethernet = None
                    self.gigabitethernet = None
                    self.lisp = None
                    self.lisp_subinterface = Native.Ip.Tftp.BootInterface.LispSubinterface()
                    self.lisp_subinterface.parent = self
                    self.loopback = None
                    self.multilink = None
                    self.nve = None
                    self.overlay = None
                    self.port_channel = None
                    self.port_channel_subinterface = Native.Ip.Tftp.BootInterface.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self.pseudowire = None
                    self.serial = None
                    self.sm = None
                    self.tengigabitethernet = None
                    self.tunnel = None
                    self.vasileft = None
                    self.vasiright = None
                    self.virtual_template = None
                    self.virtualportgroup = None
                    self.vlan = None


                class AtmSubinterface(object):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:tftp/Cisco-IOS-XE-native:boot-interface/Cisco-IOS-XE-native:ATM-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Tftp.BootInterface.AtmSubinterface']['meta_info']


                class AtmAcrsubinterface(object):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm_acr = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:tftp/Cisco-IOS-XE-native:boot-interface/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm_acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Tftp.BootInterface.AtmAcrsubinterface']['meta_info']


                class LispSubinterface(object):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.lisp = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:tftp/Cisco-IOS-XE-native:boot-interface/Cisco-IOS-XE-native:LISP-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.lisp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Tftp.BootInterface.LispSubinterface']['meta_info']


                class PortChannelSubinterface(object):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.port_channel = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:tftp/Cisco-IOS-XE-native:boot-interface/Cisco-IOS-XE-native:Port-channel-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.port_channel is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Tftp.BootInterface.PortChannelSubinterface']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:tftp/Cisco-IOS-XE-native:boot-interface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.appnav_compress is not None:
                        return True

                    if self.appnav_uncompress is not None:
                        return True

                    if self.atm is not None:
                        return True

                    if self.atm_acr is not None:
                        return True

                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                        return True

                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                        return True

                    if self.bdi is not None:
                        return True

                    if self.cellular is not None:
                        return True

                    if self.cem is not None:
                        return True

                    if self.cem_acr is not None:
                        return True

                    if self.embedded_service_engine is not None:
                        return True

                    if self.fastethernet is not None:
                        return True

                    if self.gigabitethernet is not None:
                        return True

                    if self.lisp is not None:
                        return True

                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                        return True

                    if self.loopback is not None:
                        return True

                    if self.multilink is not None:
                        return True

                    if self.nve is not None:
                        return True

                    if self.overlay is not None:
                        return True

                    if self.port_channel is not None:
                        return True

                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                        return True

                    if self.pseudowire is not None:
                        return True

                    if self.serial is not None:
                        return True

                    if self.sm is not None:
                        return True

                    if self.tengigabitethernet is not None:
                        return True

                    if self.tunnel is not None:
                        return True

                    if self.vasileft is not None:
                        return True

                    if self.vasiright is not None:
                        return True

                    if self.virtual_template is not None:
                        return True

                    if self.virtualportgroup is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Tftp.BootInterface']['meta_info']


            class SourceInterface(object):
                """
                Specify interface for source address in TFTP connections
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\:  str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp.SourceInterface.AtmAcrsubinterface>`
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp.SourceInterface.AtmSubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\:  str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\:  str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\:  str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\:  str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\:  str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  int
                
                	**range:** 0..65520
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp.SourceInterface.LispSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp.SourceInterface.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\:  str
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\:  str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\:  str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.appnav_compress = None
                    self.appnav_uncompress = None
                    self.atm = None
                    self.atm_acr = None
                    self.atm_acrsubinterface = Native.Ip.Tftp.SourceInterface.AtmAcrsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self.atm_subinterface = Native.Ip.Tftp.SourceInterface.AtmSubinterface()
                    self.atm_subinterface.parent = self
                    self.bdi = None
                    self.cellular = None
                    self.cem = None
                    self.cem_acr = None
                    self.embedded_service_engine = None
                    self.fastethernet = None
                    self.gigabitethernet = None
                    self.lisp = None
                    self.lisp_subinterface = Native.Ip.Tftp.SourceInterface.LispSubinterface()
                    self.lisp_subinterface.parent = self
                    self.loopback = None
                    self.multilink = None
                    self.nve = None
                    self.overlay = None
                    self.port_channel = None
                    self.port_channel_subinterface = Native.Ip.Tftp.SourceInterface.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self.pseudowire = None
                    self.serial = None
                    self.sm = None
                    self.tengigabitethernet = None
                    self.tunnel = None
                    self.vasileft = None
                    self.vasiright = None
                    self.virtual_template = None
                    self.virtualportgroup = None
                    self.vlan = None


                class AtmSubinterface(object):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:tftp/Cisco-IOS-XE-native:source-interface/Cisco-IOS-XE-native:ATM-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Tftp.SourceInterface.AtmSubinterface']['meta_info']


                class AtmAcrsubinterface(object):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm_acr = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:tftp/Cisco-IOS-XE-native:source-interface/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm_acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Tftp.SourceInterface.AtmAcrsubinterface']['meta_info']


                class LispSubinterface(object):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.lisp = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:tftp/Cisco-IOS-XE-native:source-interface/Cisco-IOS-XE-native:LISP-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.lisp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Tftp.SourceInterface.LispSubinterface']['meta_info']


                class PortChannelSubinterface(object):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.port_channel = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:tftp/Cisco-IOS-XE-native:source-interface/Cisco-IOS-XE-native:Port-channel-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.port_channel is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Tftp.SourceInterface.PortChannelSubinterface']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:tftp/Cisco-IOS-XE-native:source-interface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.appnav_compress is not None:
                        return True

                    if self.appnav_uncompress is not None:
                        return True

                    if self.atm is not None:
                        return True

                    if self.atm_acr is not None:
                        return True

                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                        return True

                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                        return True

                    if self.bdi is not None:
                        return True

                    if self.cellular is not None:
                        return True

                    if self.cem is not None:
                        return True

                    if self.cem_acr is not None:
                        return True

                    if self.embedded_service_engine is not None:
                        return True

                    if self.fastethernet is not None:
                        return True

                    if self.gigabitethernet is not None:
                        return True

                    if self.lisp is not None:
                        return True

                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                        return True

                    if self.loopback is not None:
                        return True

                    if self.multilink is not None:
                        return True

                    if self.nve is not None:
                        return True

                    if self.overlay is not None:
                        return True

                    if self.port_channel is not None:
                        return True

                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                        return True

                    if self.pseudowire is not None:
                        return True

                    if self.serial is not None:
                        return True

                    if self.sm is not None:
                        return True

                    if self.tengigabitethernet is not None:
                        return True

                    if self.tunnel is not None:
                        return True

                    if self.vasileft is not None:
                        return True

                    if self.vasiright is not None:
                        return True

                    if self.virtual_template is not None:
                        return True

                    if self.virtualportgroup is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Tftp.SourceInterface']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:tftp'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.blocksize is not None:
                    return True

                if self.boot_interface is not None and self.boot_interface._has_data():
                    return True

                if self.source_interface is not None and self.source_interface._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Tftp']['meta_info']


        class AccessList(object):
            """
            IOS Named access list
            
            .. attribute:: extended
            
            	Extended Access List
            	**type**\: list of    :py:class:`Extended <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended>`
            
            .. attribute:: helper
            
            	Access List acts on helper\-address
            	**type**\:   :py:class:`Helper <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Helper>`
            
            .. attribute:: log_update
            
            	Control access list log updates
            	**type**\:   :py:class:`LogUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.LogUpdate>`
            
            .. attribute:: logging
            
            	Control access list logging
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Logging>`
            
            .. attribute:: match_local_traffic
            
            	Enable ACL matching for locally generated traffic
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: persistent
            
            	enable persistency across reload
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: resequence
            
            	Resequence Access List
            	**type**\:   :py:class:`Resequence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Resequence>`
            
            .. attribute:: role_based
            
            	Role\-based Access List
            	**type**\: list of    :py:class:`RoleBased <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased>`
            
            .. attribute:: standard
            
            	Standard Access List
            	**type**\: list of    :py:class:`Standard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.extended = YList()
                self.extended.parent = self
                self.extended.name = 'extended'
                self.helper = Native.Ip.AccessList.Helper()
                self.helper.parent = self
                self.log_update = Native.Ip.AccessList.LogUpdate()
                self.log_update.parent = self
                self.logging = Native.Ip.AccessList.Logging()
                self.logging.parent = self
                self.match_local_traffic = None
                self.persistent = None
                self.resequence = Native.Ip.AccessList.Resequence()
                self.resequence.parent = self
                self.role_based = YList()
                self.role_based.parent = self
                self.role_based.name = 'role_based'
                self.standard = YList()
                self.standard.parent = self
                self.standard.name = 'standard'


            class Standard(object):
                """
                Standard Access List
                
                .. attribute:: name  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..99
                
                
                ----
                	**type**\:  int
                
                	**range:** 1300..1999
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: access_list_seq_rule
                
                	
                	**type**\: list of    :py:class:`AccessListSeqRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.AccessListSeqRule>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.Default>`
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-03-22'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.access_list_seq_rule = YList()
                    self.access_list_seq_rule.parent = self
                    self.access_list_seq_rule.name = 'access_list_seq_rule'
                    self.default = Native.Ip.AccessList.Standard.Default()
                    self.default.parent = self


                class AccessListSeqRule(object):
                    """
                    
                    
                    .. attribute:: sequence  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: deny
                    
                    	Specify packets to reject
                    	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.AccessListSeqRule.Deny>`
                    
                    .. attribute:: permit
                    
                    	Specify packets to forward
                    	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.AccessListSeqRule.Permit>`
                    
                    .. attribute:: remark
                    
                    	Access list entry comment
                    	**type**\:  str
                    
                    	**length:** 1..100
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-03-22'

                    def __init__(self):
                        self.parent = None
                        self.sequence = None
                        self.deny = Native.Ip.AccessList.Standard.AccessListSeqRule.Deny()
                        self.deny.parent = self
                        self.permit = Native.Ip.AccessList.Standard.AccessListSeqRule.Permit()
                        self.permit.parent = self
                        self.remark = None


                    class Deny(object):
                        """
                        Specify packets to reject
                        
                        .. attribute:: std_ace
                        
                        	
                        	**type**\:   :py:class:`StdAce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.AccessListSeqRule.Deny.StdAce>`
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-03-22'

                        def __init__(self):
                            self.parent = None
                            self.std_ace = Native.Ip.AccessList.Standard.AccessListSeqRule.Deny.StdAce()
                            self.std_ace.parent = self


                        class StdAce(object):
                            """
                            
                            
                            .. attribute:: any
                            
                            	Any source prefix
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: host
                            
                            	A single source host
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            
                            ----
                            .. attribute:: ipv4_prefix
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            
                            ----
                            .. attribute:: log
                            
                            	Log matches against this entry
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-03-22'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.host = None
                                self.ipv4_prefix = None
                                self.log = None
                                self.mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-acl:std-ace'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.any is not None:
                                    return True

                                if self.host is not None:
                                    return True

                                if self.ipv4_prefix is not None:
                                    return True

                                if self.log is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.Standard.AccessListSeqRule.Deny.StdAce']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-acl:deny'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.std_ace is not None and self.std_ace._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.AccessList.Standard.AccessListSeqRule.Deny']['meta_info']


                    class Permit(object):
                        """
                        Specify packets to forward
                        
                        .. attribute:: std_ace
                        
                        	
                        	**type**\:   :py:class:`StdAce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.AccessListSeqRule.Permit.StdAce>`
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-03-22'

                        def __init__(self):
                            self.parent = None
                            self.std_ace = Native.Ip.AccessList.Standard.AccessListSeqRule.Permit.StdAce()
                            self.std_ace.parent = self


                        class StdAce(object):
                            """
                            
                            
                            .. attribute:: any
                            
                            	Any source prefix
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: host
                            
                            	A single source host
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            
                            ----
                            .. attribute:: ipv4_prefix
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            
                            ----
                            .. attribute:: log
                            
                            	Log matches against this entry
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-03-22'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.host = None
                                self.ipv4_prefix = None
                                self.log = None
                                self.mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-acl:std-ace'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.any is not None:
                                    return True

                                if self.host is not None:
                                    return True

                                if self.ipv4_prefix is not None:
                                    return True

                                if self.log is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.Standard.AccessListSeqRule.Permit.StdAce']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-acl:permit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.std_ace is not None and self.std_ace._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.AccessList.Standard.AccessListSeqRule.Permit']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.sequence is None:
                            raise YPYModelError('Key property sequence is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-acl:access-list-seq-rule[Cisco-IOS-XE-acl:sequence = ' + str(self.sequence) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.sequence is not None:
                            return True

                        if self.deny is not None and self.deny._has_data():
                            return True

                        if self.permit is not None and self.permit._has_data():
                            return True

                        if self.remark is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.AccessList.Standard.AccessListSeqRule']['meta_info']


                class Default(object):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: access_list_seq_rule
                    
                    	
                    	**type**\: list of    :py:class:`AccessListSeqRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.Default.AccessListSeqRule>`
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-03-22'

                    def __init__(self):
                        self.parent = None
                        self.access_list_seq_rule = YList()
                        self.access_list_seq_rule.parent = self
                        self.access_list_seq_rule.name = 'access_list_seq_rule'


                    class AccessListSeqRule(object):
                        """
                        
                        
                        .. attribute:: sequence  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..2147483647
                        
                        .. attribute:: deny
                        
                        	Specify packets to reject
                        	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny>`
                        
                        .. attribute:: permit
                        
                        	Specify packets to forward
                        	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit>`
                        
                        .. attribute:: remark
                        
                        	Access list entry comment
                        	**type**\:  str
                        
                        	**length:** 1..100
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-03-22'

                        def __init__(self):
                            self.parent = None
                            self.sequence = None
                            self.deny = Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny()
                            self.deny.parent = self
                            self.permit = Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit()
                            self.permit.parent = self
                            self.remark = None


                        class Deny(object):
                            """
                            Specify packets to reject
                            
                            .. attribute:: std_ace
                            
                            	
                            	**type**\:   :py:class:`StdAce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny.StdAce>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-03-22'

                            def __init__(self):
                                self.parent = None
                                self.std_ace = Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny.StdAce()
                                self.std_ace.parent = self


                            class StdAce(object):
                                """
                                
                                
                                .. attribute:: any
                                
                                	Any source prefix
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: host
                                
                                	A single source host
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                                
                                
                                ----
                                .. attribute:: ipv4_prefix
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                                
                                
                                ----
                                .. attribute:: log
                                
                                	Log matches against this entry
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mask
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-03-22'

                                def __init__(self):
                                    self.parent = None
                                    self.any = None
                                    self.host = None
                                    self.ipv4_prefix = None
                                    self.log = None
                                    self.mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-acl:std-ace'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.any is not None:
                                        return True

                                    if self.host is not None:
                                        return True

                                    if self.ipv4_prefix is not None:
                                        return True

                                    if self.log is not None:
                                        return True

                                    if self.mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny.StdAce']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-acl:deny'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.std_ace is not None and self.std_ace._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny']['meta_info']


                        class Permit(object):
                            """
                            Specify packets to forward
                            
                            .. attribute:: std_ace
                            
                            	
                            	**type**\:   :py:class:`StdAce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit.StdAce>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-03-22'

                            def __init__(self):
                                self.parent = None
                                self.std_ace = Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit.StdAce()
                                self.std_ace.parent = self


                            class StdAce(object):
                                """
                                
                                
                                .. attribute:: any
                                
                                	Any source prefix
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: host
                                
                                	A single source host
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                                
                                
                                ----
                                .. attribute:: ipv4_prefix
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                                
                                
                                ----
                                .. attribute:: log
                                
                                	Log matches against this entry
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mask
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-03-22'

                                def __init__(self):
                                    self.parent = None
                                    self.any = None
                                    self.host = None
                                    self.ipv4_prefix = None
                                    self.log = None
                                    self.mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-acl:std-ace'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.any is not None:
                                        return True

                                    if self.host is not None:
                                        return True

                                    if self.ipv4_prefix is not None:
                                        return True

                                    if self.log is not None:
                                        return True

                                    if self.mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit.StdAce']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-acl:permit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.std_ace is not None and self.std_ace._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.sequence is None:
                                raise YPYModelError('Key property sequence is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-acl:access-list-seq-rule[Cisco-IOS-XE-acl:sequence = ' + str(self.sequence) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.sequence is not None:
                                return True

                            if self.deny is not None and self.deny._has_data():
                                return True

                            if self.permit is not None and self.permit._has_data():
                                return True

                            if self.remark is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.AccessList.Standard.Default.AccessListSeqRule']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-acl:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access_list_seq_rule is not None:
                            for child_ref in self.access_list_seq_rule:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.AccessList.Standard.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:access-list/Cisco-IOS-XE-acl:standard[Cisco-IOS-XE-acl:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.access_list_seq_rule is not None:
                        for child_ref in self.access_list_seq_rule:
                            if child_ref._has_data():
                                return True

                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.AccessList.Standard']['meta_info']


            class RoleBased(object):
                """
                Role\-based Access List
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: access_list_seq_rule
                
                	
                	**type**\: list of    :py:class:`AccessListSeqRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.AccessListSeqRule>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default>`
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-03-22'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.access_list_seq_rule = YList()
                    self.access_list_seq_rule.parent = self
                    self.access_list_seq_rule.name = 'access_list_seq_rule'
                    self.default = Native.Ip.AccessList.RoleBased.Default()
                    self.default.parent = self


                class AccessListSeqRule(object):
                    """
                    
                    
                    .. attribute:: sequence  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: ace_rule
                    
                    	
                    	**type**\:   :py:class:`AceRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule>`
                    
                    .. attribute:: remark
                    
                    	Access list entry comment
                    	**type**\:  str
                    
                    	**length:** 1..100
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-03-22'

                    def __init__(self):
                        self.parent = None
                        self.sequence = None
                        self.ace_rule = Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule()
                        self.ace_rule.parent = self
                        self.remark = None


                    class AceRule(object):
                        """
                        
                        
                        .. attribute:: ack
                        
                        	Match on the ACK bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: action
                        
                        	
                        	**type**\:   :py:class:`ActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.ActionEnum>`
                        
                        .. attribute:: dscp
                        
                        	Match packets with given dscp value
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..63
                        
                        
                        ----
                        	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                        
                        
                        ----
                        .. attribute:: established
                        
                        	Match established connections
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fin
                        
                        	Match on the FIN bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fragments
                        
                        	Check non\-initial fragments
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: log
                        
                        	Log matches against this entry
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: log_input
                        
                        	Log matches against this entry, including input interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: match_all
                        
                        	Match if all specified flags are present
                        	**type**\:   :py:class:`MatchAll <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAll>`
                        
                        .. attribute:: match_any
                        
                        	Match if any specified flags is present
                        	**type**\:   :py:class:`MatchAny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAny>`
                        
                        .. attribute:: msg_code
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: msg_type
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: named_msg_type
                        
                        	
                        	**type**\:   :py:class:`NamedMsgTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.NamedMsgTypeEnum>`
                        
                        .. attribute:: object_group_str
                        
                        	Service object group name
                        	**type**\:  str
                        
                        .. attribute:: option
                        
                        	Match packets with given IP Options value
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        
                        ----
                        	**type**\:   :py:class:`OptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.OptionEnum>`
                        
                        
                        ----
                        .. attribute:: precedence
                        
                        	Match packets with given precedence value
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..7
                        
                        
                        ----
                        	**type**\:   :py:class:`PrecedenceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.PrecedenceEnum>`
                        
                        
                        ----
                        .. attribute:: protocol
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        
                        ----
                        	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.ProtocolEnum>`
                        
                        
                        ----
                        .. attribute:: psh
                        
                        	Match on the PSH bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rst
                        
                        	Match on the RST bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: syn
                        
                        	Match on the SYN bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time_range
                        
                        	Specify a time\-range
                        	**type**\:  str
                        
                        .. attribute:: tos
                        
                        	Match packets with given TOS value
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..15
                        
                        
                        ----
                        	**type**\:   :py:class:`TosEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.TosEnum>`
                        
                        
                        ----
                        .. attribute:: ttl
                        
                        	Match packets with given TTL value
                        	**type**\:   :py:class:`Ttl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl>`
                        
                        .. attribute:: urg
                        
                        	Match on the URG bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-03-22'

                        def __init__(self):
                            self.parent = None
                            self.ack = None
                            self.action = None
                            self.dscp = None
                            self.established = None
                            self.fin = None
                            self.fragments = None
                            self.log = None
                            self.log_input = None
                            self.match_all = Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAll()
                            self.match_all.parent = self
                            self.match_any = Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAny()
                            self.match_any.parent = self
                            self.msg_code = None
                            self.msg_type = None
                            self.named_msg_type = None
                            self.object_group_str = None
                            self.option = None
                            self.precedence = None
                            self.protocol = None
                            self.psh = None
                            self.rst = None
                            self.syn = None
                            self.time_range = None
                            self.tos = None
                            self.ttl = Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl()
                            self.ttl.parent = self
                            self.urg = None

                        class ActionEnum(Enum):
                            """
                            ActionEnum

                            .. data:: deny = 0

                            .. data:: permit = 1

                            """

                            deny = 0

                            permit = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.ActionEnum']


                        class NamedMsgTypeEnum(Enum):
                            """
                            NamedMsgTypeEnum

                            .. data:: administratively_prohibited = 0

                            .. data:: alternate_address = 1

                            .. data:: conversion_error = 2

                            .. data:: dod_host_prohibited = 3

                            .. data:: dod_net_prohibited = 4

                            .. data:: echo = 5

                            .. data:: echo_reply = 6

                            .. data:: general_parameter_problem = 7

                            .. data:: host_isolated = 8

                            .. data:: host_precedence_unreachable = 9

                            .. data:: host_redirect = 10

                            .. data:: host_tos_redirect = 11

                            .. data:: host_tos_unreachable = 12

                            .. data:: host_unknown = 13

                            .. data:: host_unreachable = 14

                            .. data:: information_reply = 15

                            .. data:: information_request = 16

                            .. data:: mask_reply = 17

                            .. data:: mask_request = 18

                            .. data:: mobile_redirect = 19

                            .. data:: net_redirect = 20

                            .. data:: net_tos_redirect = 21

                            .. data:: net_tos_unreachable = 22

                            .. data:: net_unreachable = 23

                            .. data:: network_unknown = 24

                            .. data:: no_room_for_option = 25

                            .. data:: option_missing = 26

                            .. data:: packet_too_big = 27

                            .. data:: parameter_problem = 28

                            .. data:: port_unreachable = 29

                            .. data:: precedence_unreachable = 30

                            .. data:: protocol_unreachable = 31

                            .. data:: reassembly_timeout = 32

                            .. data:: redirect = 33

                            .. data:: router_advertisement = 34

                            .. data:: router_solicitation = 35

                            .. data:: source_quench = 36

                            .. data:: source_route_failed = 37

                            .. data:: time_exceeded = 38

                            .. data:: timestamp_reply = 39

                            .. data:: timestamp_request = 40

                            .. data:: traceroute = 41

                            .. data:: ttl_exceeded = 42

                            .. data:: unreachable = 43

                            """

                            administratively_prohibited = 0

                            alternate_address = 1

                            conversion_error = 2

                            dod_host_prohibited = 3

                            dod_net_prohibited = 4

                            echo = 5

                            echo_reply = 6

                            general_parameter_problem = 7

                            host_isolated = 8

                            host_precedence_unreachable = 9

                            host_redirect = 10

                            host_tos_redirect = 11

                            host_tos_unreachable = 12

                            host_unknown = 13

                            host_unreachable = 14

                            information_reply = 15

                            information_request = 16

                            mask_reply = 17

                            mask_request = 18

                            mobile_redirect = 19

                            net_redirect = 20

                            net_tos_redirect = 21

                            net_tos_unreachable = 22

                            net_unreachable = 23

                            network_unknown = 24

                            no_room_for_option = 25

                            option_missing = 26

                            packet_too_big = 27

                            parameter_problem = 28

                            port_unreachable = 29

                            precedence_unreachable = 30

                            protocol_unreachable = 31

                            reassembly_timeout = 32

                            redirect = 33

                            router_advertisement = 34

                            router_solicitation = 35

                            source_quench = 36

                            source_route_failed = 37

                            time_exceeded = 38

                            timestamp_reply = 39

                            timestamp_request = 40

                            traceroute = 41

                            ttl_exceeded = 42

                            unreachable = 43


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.NamedMsgTypeEnum']


                        class OptionEnum(Enum):
                            """
                            OptionEnum

                            Match packets with given IP Options value

                            .. data:: add_ext = 0

                            .. data:: any_options = 1

                            .. data:: com_security = 2

                            .. data:: dps = 3

                            .. data:: encode = 4

                            .. data:: eool = 5

                            .. data:: ext_ip = 6

                            .. data:: ext_security = 7

                            .. data:: finn = 8

                            .. data:: imitd = 9

                            .. data:: lsr = 10

                            .. data:: mtup = 11

                            .. data:: mtur = 12

                            .. data:: no_op = 13

                            .. data:: nsapa = 14

                            .. data:: record_route = 15

                            .. data:: router_alert = 16

                            .. data:: sdb = 17

                            .. data:: security = 18

                            .. data:: ssr = 19

                            .. data:: stream_id = 20

                            .. data:: timestamp = 21

                            .. data:: traceroute = 22

                            .. data:: ump = 23

                            .. data:: visa = 24

                            .. data:: zsu = 25

                            """

                            add_ext = 0

                            any_options = 1

                            com_security = 2

                            dps = 3

                            encode = 4

                            eool = 5

                            ext_ip = 6

                            ext_security = 7

                            finn = 8

                            imitd = 9

                            lsr = 10

                            mtup = 11

                            mtur = 12

                            no_op = 13

                            nsapa = 14

                            record_route = 15

                            router_alert = 16

                            sdb = 17

                            security = 18

                            ssr = 19

                            stream_id = 20

                            timestamp = 21

                            traceroute = 22

                            ump = 23

                            visa = 24

                            zsu = 25


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.OptionEnum']


                        class PrecedenceEnum(Enum):
                            """
                            PrecedenceEnum

                            Match packets with given precedence value

                            .. data:: critical = 0

                            .. data:: flash = 1

                            .. data:: flash_override = 2

                            .. data:: immediate = 3

                            .. data:: internet = 4

                            .. data:: network = 5

                            .. data:: priority = 6

                            .. data:: routine = 7

                            """

                            critical = 0

                            flash = 1

                            flash_override = 2

                            immediate = 3

                            internet = 4

                            network = 5

                            priority = 6

                            routine = 7


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.PrecedenceEnum']


                        class ProtocolEnum(Enum):
                            """
                            ProtocolEnum

                            .. data:: ahp = 0

                            .. data:: eigrp = 1

                            .. data:: esp = 2

                            .. data:: gre = 3

                            .. data:: icmp = 4

                            .. data:: igmp = 5

                            .. data:: ip = 6

                            .. data:: ipinip = 7

                            .. data:: nos = 8

                            .. data:: object_group = 9

                            .. data:: ospf = 10

                            .. data:: pcp = 11

                            .. data:: pim = 12

                            .. data:: tcp = 13

                            .. data:: udp = 14

                            """

                            ahp = 0

                            eigrp = 1

                            esp = 2

                            gre = 3

                            icmp = 4

                            igmp = 5

                            ip = 6

                            ipinip = 7

                            nos = 8

                            object_group = 9

                            ospf = 10

                            pcp = 11

                            pim = 12

                            tcp = 13

                            udp = 14


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.ProtocolEnum']


                        class TosEnum(Enum):
                            """
                            TosEnum

                            Match packets with given TOS value

                            .. data:: max_reliability = 0

                            .. data:: max_throughput = 1

                            .. data:: min_delay = 2

                            .. data:: min_monetary_cost = 3

                            .. data:: normal = 4

                            """

                            max_reliability = 0

                            max_throughput = 1

                            min_delay = 2

                            min_monetary_cost = 3

                            normal = 4


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.TosEnum']



                        class Ttl(object):
                            """
                            Match packets with given TTL value
                            
                            .. attribute:: eq
                            
                            	Match only packets on a given TTL number
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: gt
                            
                            	Match only packets on a given TTL number
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: lt
                            
                            	Match only packets on a given TTL number
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: neq
                            
                            	Match only packets on a given TTL number
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: range
                            
                            	Match only packets in the range of TTLs
                            	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl.Range>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-03-22'

                            def __init__(self):
                                self.parent = None
                                self.eq = None
                                self.gt = None
                                self.lt = None
                                self.neq = None
                                self.range = Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl.Range()
                                self.range.parent = self


                            class Range(object):
                                """
                                Match only packets in the range of TTLs
                                
                                .. attribute:: value1
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: value2
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-03-22'

                                def __init__(self):
                                    self.parent = None
                                    self.value1 = None
                                    self.value2 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-acl:range'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.value1 is not None:
                                        return True

                                    if self.value2 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl.Range']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-acl:ttl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eq is not None:
                                    return True

                                if self.gt is not None:
                                    return True

                                if self.lt is not None:
                                    return True

                                if self.neq is not None:
                                    return True

                                if self.range is not None and self.range._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl']['meta_info']


                        class MatchAll(object):
                            """
                            Match if all specified flags are present
                            
                            .. attribute:: minusack
                            
                            	Match on ACK not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusfin
                            
                            	Match on FIN not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minuspsh
                            
                            	Match on PSH not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusrst
                            
                            	Match on RST not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minussyn
                            
                            	Match on SYN not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusurg
                            
                            	Match on URG not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusack
                            
                            	Match on ACK set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusfin
                            
                            	Match on FIN set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: pluspsh
                            
                            	Match on PSH set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusrst
                            
                            	Match on RST set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plussyn
                            
                            	Match on SYN set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusurg
                            
                            	Match on URG set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-03-22'

                            def __init__(self):
                                self.parent = None
                                self.minusack = None
                                self.minusfin = None
                                self.minuspsh = None
                                self.minusrst = None
                                self.minussyn = None
                                self.minusurg = None
                                self.plusack = None
                                self.plusfin = None
                                self.pluspsh = None
                                self.plusrst = None
                                self.plussyn = None
                                self.plusurg = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-acl:match-all'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minusack is not None:
                                    return True

                                if self.minusfin is not None:
                                    return True

                                if self.minuspsh is not None:
                                    return True

                                if self.minusrst is not None:
                                    return True

                                if self.minussyn is not None:
                                    return True

                                if self.minusurg is not None:
                                    return True

                                if self.plusack is not None:
                                    return True

                                if self.plusfin is not None:
                                    return True

                                if self.pluspsh is not None:
                                    return True

                                if self.plusrst is not None:
                                    return True

                                if self.plussyn is not None:
                                    return True

                                if self.plusurg is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAll']['meta_info']


                        class MatchAny(object):
                            """
                            Match if any specified flags is present
                            
                            .. attribute:: minusack
                            
                            	Match on ACK not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusfin
                            
                            	Match on FIN not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minuspsh
                            
                            	Match on PSH not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusrst
                            
                            	Match on RST not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minussyn
                            
                            	Match on SYN not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusurg
                            
                            	Match on URG not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusack
                            
                            	Match on ACK set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusfin
                            
                            	Match on FIN set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: pluspsh
                            
                            	Match on PSH set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusrst
                            
                            	Match on RST set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plussyn
                            
                            	Match on SYN set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusurg
                            
                            	Match on URG set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-03-22'

                            def __init__(self):
                                self.parent = None
                                self.minusack = None
                                self.minusfin = None
                                self.minuspsh = None
                                self.minusrst = None
                                self.minussyn = None
                                self.minusurg = None
                                self.plusack = None
                                self.plusfin = None
                                self.pluspsh = None
                                self.plusrst = None
                                self.plussyn = None
                                self.plusurg = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-acl:match-any'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minusack is not None:
                                    return True

                                if self.minusfin is not None:
                                    return True

                                if self.minuspsh is not None:
                                    return True

                                if self.minusrst is not None:
                                    return True

                                if self.minussyn is not None:
                                    return True

                                if self.minusurg is not None:
                                    return True

                                if self.plusack is not None:
                                    return True

                                if self.plusfin is not None:
                                    return True

                                if self.pluspsh is not None:
                                    return True

                                if self.plusrst is not None:
                                    return True

                                if self.plussyn is not None:
                                    return True

                                if self.plusurg is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAny']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-acl:ace-rule'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ack is not None:
                                return True

                            if self.action is not None:
                                return True

                            if self.dscp is not None:
                                return True

                            if self.established is not None:
                                return True

                            if self.fin is not None:
                                return True

                            if self.fragments is not None:
                                return True

                            if self.log is not None:
                                return True

                            if self.log_input is not None:
                                return True

                            if self.match_all is not None and self.match_all._has_data():
                                return True

                            if self.match_any is not None and self.match_any._has_data():
                                return True

                            if self.msg_code is not None:
                                return True

                            if self.msg_type is not None:
                                return True

                            if self.named_msg_type is not None:
                                return True

                            if self.object_group_str is not None:
                                return True

                            if self.option is not None:
                                return True

                            if self.precedence is not None:
                                return True

                            if self.protocol is not None:
                                return True

                            if self.psh is not None:
                                return True

                            if self.rst is not None:
                                return True

                            if self.syn is not None:
                                return True

                            if self.time_range is not None:
                                return True

                            if self.tos is not None:
                                return True

                            if self.ttl is not None and self.ttl._has_data():
                                return True

                            if self.urg is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.sequence is None:
                            raise YPYModelError('Key property sequence is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-acl:access-list-seq-rule[Cisco-IOS-XE-acl:sequence = ' + str(self.sequence) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.sequence is not None:
                            return True

                        if self.ace_rule is not None and self.ace_rule._has_data():
                            return True

                        if self.remark is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.AccessList.RoleBased.AccessListSeqRule']['meta_info']


                class Default(object):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: access_list_seq_rule
                    
                    	
                    	**type**\: list of    :py:class:`AccessListSeqRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule>`
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-03-22'

                    def __init__(self):
                        self.parent = None
                        self.access_list_seq_rule = YList()
                        self.access_list_seq_rule.parent = self
                        self.access_list_seq_rule.name = 'access_list_seq_rule'


                    class AccessListSeqRule(object):
                        """
                        
                        
                        .. attribute:: sequence  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..2147483647
                        
                        .. attribute:: ace_rule
                        
                        	
                        	**type**\:   :py:class:`AceRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule>`
                        
                        .. attribute:: remark
                        
                        	Access list entry comment
                        	**type**\:  str
                        
                        	**length:** 1..100
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-03-22'

                        def __init__(self):
                            self.parent = None
                            self.sequence = None
                            self.ace_rule = Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule()
                            self.ace_rule.parent = self
                            self.remark = None


                        class AceRule(object):
                            """
                            
                            
                            .. attribute:: ack
                            
                            	Match on the ACK bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: action
                            
                            	
                            	**type**\:   :py:class:`ActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.ActionEnum>`
                            
                            .. attribute:: dscp
                            
                            	Match packets with given dscp value
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..63
                            
                            
                            ----
                            	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                            
                            
                            ----
                            .. attribute:: established
                            
                            	Match established connections
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fin
                            
                            	Match on the FIN bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fragments
                            
                            	Check non\-initial fragments
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: log
                            
                            	Log matches against this entry
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: log_input
                            
                            	Log matches against this entry, including input interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: match_all
                            
                            	Match if all specified flags are present
                            	**type**\:   :py:class:`MatchAll <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAll>`
                            
                            .. attribute:: match_any
                            
                            	Match if any specified flags is present
                            	**type**\:   :py:class:`MatchAny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAny>`
                            
                            .. attribute:: msg_code
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: msg_type
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: named_msg_type
                            
                            	
                            	**type**\:   :py:class:`NamedMsgTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.NamedMsgTypeEnum>`
                            
                            .. attribute:: object_group_str
                            
                            	Service object group name
                            	**type**\:  str
                            
                            .. attribute:: option
                            
                            	Match packets with given IP Options value
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            
                            ----
                            	**type**\:   :py:class:`OptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.OptionEnum>`
                            
                            
                            ----
                            .. attribute:: precedence
                            
                            	Match packets with given precedence value
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            
                            ----
                            	**type**\:   :py:class:`PrecedenceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.PrecedenceEnum>`
                            
                            
                            ----
                            .. attribute:: protocol
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            
                            ----
                            	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.ProtocolEnum>`
                            
                            
                            ----
                            .. attribute:: psh
                            
                            	Match on the PSH bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rst
                            
                            	Match on the RST bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: syn
                            
                            	Match on the SYN bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: time_range
                            
                            	Specify a time\-range
                            	**type**\:  str
                            
                            .. attribute:: tos
                            
                            	Match packets with given TOS value
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..15
                            
                            
                            ----
                            	**type**\:   :py:class:`TosEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.TosEnum>`
                            
                            
                            ----
                            .. attribute:: ttl
                            
                            	Match packets with given TTL value
                            	**type**\:   :py:class:`Ttl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl>`
                            
                            .. attribute:: urg
                            
                            	Match on the URG bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-03-22'

                            def __init__(self):
                                self.parent = None
                                self.ack = None
                                self.action = None
                                self.dscp = None
                                self.established = None
                                self.fin = None
                                self.fragments = None
                                self.log = None
                                self.log_input = None
                                self.match_all = Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAll()
                                self.match_all.parent = self
                                self.match_any = Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAny()
                                self.match_any.parent = self
                                self.msg_code = None
                                self.msg_type = None
                                self.named_msg_type = None
                                self.object_group_str = None
                                self.option = None
                                self.precedence = None
                                self.protocol = None
                                self.psh = None
                                self.rst = None
                                self.syn = None
                                self.time_range = None
                                self.tos = None
                                self.ttl = Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl()
                                self.ttl.parent = self
                                self.urg = None

                            class ActionEnum(Enum):
                                """
                                ActionEnum

                                .. data:: deny = 0

                                .. data:: permit = 1

                                """

                                deny = 0

                                permit = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.ActionEnum']


                            class NamedMsgTypeEnum(Enum):
                                """
                                NamedMsgTypeEnum

                                .. data:: administratively_prohibited = 0

                                .. data:: alternate_address = 1

                                .. data:: conversion_error = 2

                                .. data:: dod_host_prohibited = 3

                                .. data:: dod_net_prohibited = 4

                                .. data:: echo = 5

                                .. data:: echo_reply = 6

                                .. data:: general_parameter_problem = 7

                                .. data:: host_isolated = 8

                                .. data:: host_precedence_unreachable = 9

                                .. data:: host_redirect = 10

                                .. data:: host_tos_redirect = 11

                                .. data:: host_tos_unreachable = 12

                                .. data:: host_unknown = 13

                                .. data:: host_unreachable = 14

                                .. data:: information_reply = 15

                                .. data:: information_request = 16

                                .. data:: mask_reply = 17

                                .. data:: mask_request = 18

                                .. data:: mobile_redirect = 19

                                .. data:: net_redirect = 20

                                .. data:: net_tos_redirect = 21

                                .. data:: net_tos_unreachable = 22

                                .. data:: net_unreachable = 23

                                .. data:: network_unknown = 24

                                .. data:: no_room_for_option = 25

                                .. data:: option_missing = 26

                                .. data:: packet_too_big = 27

                                .. data:: parameter_problem = 28

                                .. data:: port_unreachable = 29

                                .. data:: precedence_unreachable = 30

                                .. data:: protocol_unreachable = 31

                                .. data:: reassembly_timeout = 32

                                .. data:: redirect = 33

                                .. data:: router_advertisement = 34

                                .. data:: router_solicitation = 35

                                .. data:: source_quench = 36

                                .. data:: source_route_failed = 37

                                .. data:: time_exceeded = 38

                                .. data:: timestamp_reply = 39

                                .. data:: timestamp_request = 40

                                .. data:: traceroute = 41

                                .. data:: ttl_exceeded = 42

                                .. data:: unreachable = 43

                                """

                                administratively_prohibited = 0

                                alternate_address = 1

                                conversion_error = 2

                                dod_host_prohibited = 3

                                dod_net_prohibited = 4

                                echo = 5

                                echo_reply = 6

                                general_parameter_problem = 7

                                host_isolated = 8

                                host_precedence_unreachable = 9

                                host_redirect = 10

                                host_tos_redirect = 11

                                host_tos_unreachable = 12

                                host_unknown = 13

                                host_unreachable = 14

                                information_reply = 15

                                information_request = 16

                                mask_reply = 17

                                mask_request = 18

                                mobile_redirect = 19

                                net_redirect = 20

                                net_tos_redirect = 21

                                net_tos_unreachable = 22

                                net_unreachable = 23

                                network_unknown = 24

                                no_room_for_option = 25

                                option_missing = 26

                                packet_too_big = 27

                                parameter_problem = 28

                                port_unreachable = 29

                                precedence_unreachable = 30

                                protocol_unreachable = 31

                                reassembly_timeout = 32

                                redirect = 33

                                router_advertisement = 34

                                router_solicitation = 35

                                source_quench = 36

                                source_route_failed = 37

                                time_exceeded = 38

                                timestamp_reply = 39

                                timestamp_request = 40

                                traceroute = 41

                                ttl_exceeded = 42

                                unreachable = 43


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.NamedMsgTypeEnum']


                            class OptionEnum(Enum):
                                """
                                OptionEnum

                                Match packets with given IP Options value

                                .. data:: add_ext = 0

                                .. data:: any_options = 1

                                .. data:: com_security = 2

                                .. data:: dps = 3

                                .. data:: encode = 4

                                .. data:: eool = 5

                                .. data:: ext_ip = 6

                                .. data:: ext_security = 7

                                .. data:: finn = 8

                                .. data:: imitd = 9

                                .. data:: lsr = 10

                                .. data:: mtup = 11

                                .. data:: mtur = 12

                                .. data:: no_op = 13

                                .. data:: nsapa = 14

                                .. data:: record_route = 15

                                .. data:: router_alert = 16

                                .. data:: sdb = 17

                                .. data:: security = 18

                                .. data:: ssr = 19

                                .. data:: stream_id = 20

                                .. data:: timestamp = 21

                                .. data:: traceroute = 22

                                .. data:: ump = 23

                                .. data:: visa = 24

                                .. data:: zsu = 25

                                """

                                add_ext = 0

                                any_options = 1

                                com_security = 2

                                dps = 3

                                encode = 4

                                eool = 5

                                ext_ip = 6

                                ext_security = 7

                                finn = 8

                                imitd = 9

                                lsr = 10

                                mtup = 11

                                mtur = 12

                                no_op = 13

                                nsapa = 14

                                record_route = 15

                                router_alert = 16

                                sdb = 17

                                security = 18

                                ssr = 19

                                stream_id = 20

                                timestamp = 21

                                traceroute = 22

                                ump = 23

                                visa = 24

                                zsu = 25


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.OptionEnum']


                            class PrecedenceEnum(Enum):
                                """
                                PrecedenceEnum

                                Match packets with given precedence value

                                .. data:: critical = 0

                                .. data:: flash = 1

                                .. data:: flash_override = 2

                                .. data:: immediate = 3

                                .. data:: internet = 4

                                .. data:: network = 5

                                .. data:: priority = 6

                                .. data:: routine = 7

                                """

                                critical = 0

                                flash = 1

                                flash_override = 2

                                immediate = 3

                                internet = 4

                                network = 5

                                priority = 6

                                routine = 7


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.PrecedenceEnum']


                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: ahp = 0

                                .. data:: eigrp = 1

                                .. data:: esp = 2

                                .. data:: gre = 3

                                .. data:: icmp = 4

                                .. data:: igmp = 5

                                .. data:: ip = 6

                                .. data:: ipinip = 7

                                .. data:: nos = 8

                                .. data:: object_group = 9

                                .. data:: ospf = 10

                                .. data:: pcp = 11

                                .. data:: pim = 12

                                .. data:: tcp = 13

                                .. data:: udp = 14

                                """

                                ahp = 0

                                eigrp = 1

                                esp = 2

                                gre = 3

                                icmp = 4

                                igmp = 5

                                ip = 6

                                ipinip = 7

                                nos = 8

                                object_group = 9

                                ospf = 10

                                pcp = 11

                                pim = 12

                                tcp = 13

                                udp = 14


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.ProtocolEnum']


                            class TosEnum(Enum):
                                """
                                TosEnum

                                Match packets with given TOS value

                                .. data:: max_reliability = 0

                                .. data:: max_throughput = 1

                                .. data:: min_delay = 2

                                .. data:: min_monetary_cost = 3

                                .. data:: normal = 4

                                """

                                max_reliability = 0

                                max_throughput = 1

                                min_delay = 2

                                min_monetary_cost = 3

                                normal = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.TosEnum']



                            class Ttl(object):
                                """
                                Match packets with given TTL value
                                
                                .. attribute:: eq
                                
                                	Match only packets on a given TTL number
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: gt
                                
                                	Match only packets on a given TTL number
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: lt
                                
                                	Match only packets on a given TTL number
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: neq
                                
                                	Match only packets on a given TTL number
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: range
                                
                                	Match only packets in the range of TTLs
                                	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl.Range>`
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-03-22'

                                def __init__(self):
                                    self.parent = None
                                    self.eq = None
                                    self.gt = None
                                    self.lt = None
                                    self.neq = None
                                    self.range = Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl.Range()
                                    self.range.parent = self


                                class Range(object):
                                    """
                                    Match only packets in the range of TTLs
                                    
                                    .. attribute:: value1
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: value2
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-acl'
                                    _revision = '2017-03-22'

                                    def __init__(self):
                                        self.parent = None
                                        self.value1 = None
                                        self.value2 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-acl:range'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.value1 is not None:
                                            return True

                                        if self.value2 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl.Range']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-acl:ttl'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eq is not None:
                                        return True

                                    if self.gt is not None:
                                        return True

                                    if self.lt is not None:
                                        return True

                                    if self.neq is not None:
                                        return True

                                    if self.range is not None and self.range._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl']['meta_info']


                            class MatchAll(object):
                                """
                                Match if all specified flags are present
                                
                                .. attribute:: minusack
                                
                                	Match on ACK not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusfin
                                
                                	Match on FIN not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minuspsh
                                
                                	Match on PSH not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusrst
                                
                                	Match on RST not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minussyn
                                
                                	Match on SYN not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusurg
                                
                                	Match on URG not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusack
                                
                                	Match on ACK set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusfin
                                
                                	Match on FIN set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: pluspsh
                                
                                	Match on PSH set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusrst
                                
                                	Match on RST set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plussyn
                                
                                	Match on SYN set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusurg
                                
                                	Match on URG set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-03-22'

                                def __init__(self):
                                    self.parent = None
                                    self.minusack = None
                                    self.minusfin = None
                                    self.minuspsh = None
                                    self.minusrst = None
                                    self.minussyn = None
                                    self.minusurg = None
                                    self.plusack = None
                                    self.plusfin = None
                                    self.pluspsh = None
                                    self.plusrst = None
                                    self.plussyn = None
                                    self.plusurg = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-acl:match-all'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.minusack is not None:
                                        return True

                                    if self.minusfin is not None:
                                        return True

                                    if self.minuspsh is not None:
                                        return True

                                    if self.minusrst is not None:
                                        return True

                                    if self.minussyn is not None:
                                        return True

                                    if self.minusurg is not None:
                                        return True

                                    if self.plusack is not None:
                                        return True

                                    if self.plusfin is not None:
                                        return True

                                    if self.pluspsh is not None:
                                        return True

                                    if self.plusrst is not None:
                                        return True

                                    if self.plussyn is not None:
                                        return True

                                    if self.plusurg is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAll']['meta_info']


                            class MatchAny(object):
                                """
                                Match if any specified flags is present
                                
                                .. attribute:: minusack
                                
                                	Match on ACK not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusfin
                                
                                	Match on FIN not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minuspsh
                                
                                	Match on PSH not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusrst
                                
                                	Match on RST not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minussyn
                                
                                	Match on SYN not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusurg
                                
                                	Match on URG not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusack
                                
                                	Match on ACK set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusfin
                                
                                	Match on FIN set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: pluspsh
                                
                                	Match on PSH set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusrst
                                
                                	Match on RST set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plussyn
                                
                                	Match on SYN set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusurg
                                
                                	Match on URG set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-03-22'

                                def __init__(self):
                                    self.parent = None
                                    self.minusack = None
                                    self.minusfin = None
                                    self.minuspsh = None
                                    self.minusrst = None
                                    self.minussyn = None
                                    self.minusurg = None
                                    self.plusack = None
                                    self.plusfin = None
                                    self.pluspsh = None
                                    self.plusrst = None
                                    self.plussyn = None
                                    self.plusurg = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-acl:match-any'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.minusack is not None:
                                        return True

                                    if self.minusfin is not None:
                                        return True

                                    if self.minuspsh is not None:
                                        return True

                                    if self.minusrst is not None:
                                        return True

                                    if self.minussyn is not None:
                                        return True

                                    if self.minusurg is not None:
                                        return True

                                    if self.plusack is not None:
                                        return True

                                    if self.plusfin is not None:
                                        return True

                                    if self.pluspsh is not None:
                                        return True

                                    if self.plusrst is not None:
                                        return True

                                    if self.plussyn is not None:
                                        return True

                                    if self.plusurg is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAny']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-acl:ace-rule'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ack is not None:
                                    return True

                                if self.action is not None:
                                    return True

                                if self.dscp is not None:
                                    return True

                                if self.established is not None:
                                    return True

                                if self.fin is not None:
                                    return True

                                if self.fragments is not None:
                                    return True

                                if self.log is not None:
                                    return True

                                if self.log_input is not None:
                                    return True

                                if self.match_all is not None and self.match_all._has_data():
                                    return True

                                if self.match_any is not None and self.match_any._has_data():
                                    return True

                                if self.msg_code is not None:
                                    return True

                                if self.msg_type is not None:
                                    return True

                                if self.named_msg_type is not None:
                                    return True

                                if self.object_group_str is not None:
                                    return True

                                if self.option is not None:
                                    return True

                                if self.precedence is not None:
                                    return True

                                if self.protocol is not None:
                                    return True

                                if self.psh is not None:
                                    return True

                                if self.rst is not None:
                                    return True

                                if self.syn is not None:
                                    return True

                                if self.time_range is not None:
                                    return True

                                if self.tos is not None:
                                    return True

                                if self.ttl is not None and self.ttl._has_data():
                                    return True

                                if self.urg is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.sequence is None:
                                raise YPYModelError('Key property sequence is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-acl:access-list-seq-rule[Cisco-IOS-XE-acl:sequence = ' + str(self.sequence) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.sequence is not None:
                                return True

                            if self.ace_rule is not None and self.ace_rule._has_data():
                                return True

                            if self.remark is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-acl:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access_list_seq_rule is not None:
                            for child_ref in self.access_list_seq_rule:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.AccessList.RoleBased.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:access-list/Cisco-IOS-XE-acl:role-based[Cisco-IOS-XE-acl:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.access_list_seq_rule is not None:
                        for child_ref in self.access_list_seq_rule:
                            if child_ref._has_data():
                                return True

                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.AccessList.RoleBased']['meta_info']


            class Extended(object):
                """
                Extended Access List
                
                .. attribute:: name  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 100..199
                
                
                ----
                	**type**\:  int
                
                	**range:** 2000..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: access_list_seq_rule
                
                	
                	**type**\: list of    :py:class:`AccessListSeqRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.AccessListSeqRule>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default>`
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-03-22'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.access_list_seq_rule = YList()
                    self.access_list_seq_rule.parent = self
                    self.access_list_seq_rule.name = 'access_list_seq_rule'
                    self.default = Native.Ip.AccessList.Extended.Default()
                    self.default.parent = self


                class AccessListSeqRule(object):
                    """
                    
                    
                    .. attribute:: sequence  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: ace_rule
                    
                    	
                    	**type**\:   :py:class:`AceRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule>`
                    
                    .. attribute:: remark
                    
                    	Access list entry comment
                    	**type**\:  str
                    
                    	**length:** 1..100
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-03-22'

                    def __init__(self):
                        self.parent = None
                        self.sequence = None
                        self.ace_rule = Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule()
                        self.ace_rule.parent = self
                        self.remark = None


                    class AceRule(object):
                        """
                        
                        
                        .. attribute:: ack
                        
                        	Match on the ACK bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: action
                        
                        	
                        	**type**\:   :py:class:`ActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.ActionEnum>`
                        
                        .. attribute:: any
                        
                        	Any source host
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dest_ipv4_address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: dest_mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: dscp
                        
                        	Match packets with given dscp value
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..63
                        
                        
                        ----
                        	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                        
                        
                        ----
                        .. attribute:: dst_any
                        
                        	Any destination host
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dst_eq
                        
                        	Match only packets on a given port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: dst_gt
                        
                        	Match only packets with a greater port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: dst_host
                        
                        	A single destination host
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        
                        ----
                        .. attribute:: dst_lt
                        
                        	Match only packets with a lower port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: dst_neq
                        
                        	Match only packets not on a given port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: dst_object_group
                        
                        	Destination network object group
                        	**type**\:  str
                        
                        .. attribute:: dst_range1
                        
                        	Match only packets in the range of port numbers
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: dst_range2
                        
                        	Match only packets in the range of port numbers
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: established
                        
                        	Match established connections
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fin
                        
                        	Match on the FIN bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fragments
                        
                        	Check non\-initial fragments
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: host
                        
                        	A single source host
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        
                        ----
                        .. attribute:: ipv4_address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: log
                        
                        	Log matches against this entry
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: log_input
                        
                        	Log matches against this entry, including input interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: match_all
                        
                        	Match if all specified flags are present
                        	**type**\:   :py:class:`MatchAll <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAll>`
                        
                        .. attribute:: match_any
                        
                        	Match if any specified flags is present
                        	**type**\:   :py:class:`MatchAny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAny>`
                        
                        .. attribute:: msg_code
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: msg_type
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: named_msg_type
                        
                        	
                        	**type**\:   :py:class:`NamedMsgTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.NamedMsgTypeEnum>`
                        
                        .. attribute:: object_group
                        
                        	Source network object group
                        	**type**\:  str
                        
                        .. attribute:: object_group_str
                        
                        	Service object group name
                        	**type**\:  str
                        
                        .. attribute:: option
                        
                        	Match packets with given IP Options value
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        
                        ----
                        	**type**\:   :py:class:`OptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.OptionEnum>`
                        
                        
                        ----
                        .. attribute:: precedence
                        
                        	Match packets with given precedence value
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..7
                        
                        
                        ----
                        	**type**\:   :py:class:`PrecedenceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.PrecedenceEnum>`
                        
                        
                        ----
                        .. attribute:: protocol
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        
                        ----
                        	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.ProtocolEnum>`
                        
                        
                        ----
                        .. attribute:: psh
                        
                        	Match on the PSH bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rst
                        
                        	Match on the RST bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: src_eq
                        
                        	Match only packets on a given port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: src_gt
                        
                        	Match only packets with a greater port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: src_lt
                        
                        	Match only packets with a lower port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: src_neq
                        
                        	Match only packets not on a given port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: src_range1
                        
                        	Match only packets in the range of port numbers
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: src_range2
                        
                        	Match only packets in the range of port numbers
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: syn
                        
                        	Match on the SYN bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time_range
                        
                        	Specify a time\-range
                        	**type**\:  str
                        
                        .. attribute:: tos
                        
                        	Match packets with given TOS value
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..15
                        
                        
                        ----
                        	**type**\:   :py:class:`TosEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.TosEnum>`
                        
                        
                        ----
                        .. attribute:: ttl
                        
                        	Match packets with given TTL value
                        	**type**\:   :py:class:`Ttl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl>`
                        
                        .. attribute:: urg
                        
                        	Match on the URG bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-03-22'

                        def __init__(self):
                            self.parent = None
                            self.ack = None
                            self.action = None
                            self.any = None
                            self.dest_ipv4_address = None
                            self.dest_mask = None
                            self.dscp = None
                            self.dst_any = None
                            self.dst_eq = None
                            self.dst_gt = None
                            self.dst_host = None
                            self.dst_lt = None
                            self.dst_neq = None
                            self.dst_object_group = None
                            self.dst_range1 = None
                            self.dst_range2 = None
                            self.established = None
                            self.fin = None
                            self.fragments = None
                            self.host = None
                            self.ipv4_address = None
                            self.log = None
                            self.log_input = None
                            self.mask = None
                            self.match_all = Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAll()
                            self.match_all.parent = self
                            self.match_any = Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAny()
                            self.match_any.parent = self
                            self.msg_code = None
                            self.msg_type = None
                            self.named_msg_type = None
                            self.object_group = None
                            self.object_group_str = None
                            self.option = None
                            self.precedence = None
                            self.protocol = None
                            self.psh = None
                            self.rst = None
                            self.src_eq = None
                            self.src_gt = None
                            self.src_lt = None
                            self.src_neq = None
                            self.src_range1 = None
                            self.src_range2 = None
                            self.syn = None
                            self.time_range = None
                            self.tos = None
                            self.ttl = Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl()
                            self.ttl.parent = self
                            self.urg = None

                        class ActionEnum(Enum):
                            """
                            ActionEnum

                            .. data:: deny = 0

                            .. data:: permit = 1

                            """

                            deny = 0

                            permit = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.ActionEnum']


                        class NamedMsgTypeEnum(Enum):
                            """
                            NamedMsgTypeEnum

                            .. data:: administratively_prohibited = 0

                            .. data:: alternate_address = 1

                            .. data:: conversion_error = 2

                            .. data:: dod_host_prohibited = 3

                            .. data:: dod_net_prohibited = 4

                            .. data:: echo = 5

                            .. data:: echo_reply = 6

                            .. data:: general_parameter_problem = 7

                            .. data:: host_isolated = 8

                            .. data:: host_precedence_unreachable = 9

                            .. data:: host_redirect = 10

                            .. data:: host_tos_redirect = 11

                            .. data:: host_tos_unreachable = 12

                            .. data:: host_unknown = 13

                            .. data:: host_unreachable = 14

                            .. data:: information_reply = 15

                            .. data:: information_request = 16

                            .. data:: mask_reply = 17

                            .. data:: mask_request = 18

                            .. data:: mobile_redirect = 19

                            .. data:: net_redirect = 20

                            .. data:: net_tos_redirect = 21

                            .. data:: net_tos_unreachable = 22

                            .. data:: net_unreachable = 23

                            .. data:: network_unknown = 24

                            .. data:: no_room_for_option = 25

                            .. data:: option_missing = 26

                            .. data:: packet_too_big = 27

                            .. data:: parameter_problem = 28

                            .. data:: port_unreachable = 29

                            .. data:: precedence_unreachable = 30

                            .. data:: protocol_unreachable = 31

                            .. data:: reassembly_timeout = 32

                            .. data:: redirect = 33

                            .. data:: router_advertisement = 34

                            .. data:: router_solicitation = 35

                            .. data:: source_quench = 36

                            .. data:: source_route_failed = 37

                            .. data:: time_exceeded = 38

                            .. data:: timestamp_reply = 39

                            .. data:: timestamp_request = 40

                            .. data:: traceroute = 41

                            .. data:: ttl_exceeded = 42

                            .. data:: unreachable = 43

                            """

                            administratively_prohibited = 0

                            alternate_address = 1

                            conversion_error = 2

                            dod_host_prohibited = 3

                            dod_net_prohibited = 4

                            echo = 5

                            echo_reply = 6

                            general_parameter_problem = 7

                            host_isolated = 8

                            host_precedence_unreachable = 9

                            host_redirect = 10

                            host_tos_redirect = 11

                            host_tos_unreachable = 12

                            host_unknown = 13

                            host_unreachable = 14

                            information_reply = 15

                            information_request = 16

                            mask_reply = 17

                            mask_request = 18

                            mobile_redirect = 19

                            net_redirect = 20

                            net_tos_redirect = 21

                            net_tos_unreachable = 22

                            net_unreachable = 23

                            network_unknown = 24

                            no_room_for_option = 25

                            option_missing = 26

                            packet_too_big = 27

                            parameter_problem = 28

                            port_unreachable = 29

                            precedence_unreachable = 30

                            protocol_unreachable = 31

                            reassembly_timeout = 32

                            redirect = 33

                            router_advertisement = 34

                            router_solicitation = 35

                            source_quench = 36

                            source_route_failed = 37

                            time_exceeded = 38

                            timestamp_reply = 39

                            timestamp_request = 40

                            traceroute = 41

                            ttl_exceeded = 42

                            unreachable = 43


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.NamedMsgTypeEnum']


                        class OptionEnum(Enum):
                            """
                            OptionEnum

                            Match packets with given IP Options value

                            .. data:: add_ext = 0

                            .. data:: any_options = 1

                            .. data:: com_security = 2

                            .. data:: dps = 3

                            .. data:: encode = 4

                            .. data:: eool = 5

                            .. data:: ext_ip = 6

                            .. data:: ext_security = 7

                            .. data:: finn = 8

                            .. data:: imitd = 9

                            .. data:: lsr = 10

                            .. data:: mtup = 11

                            .. data:: mtur = 12

                            .. data:: no_op = 13

                            .. data:: nsapa = 14

                            .. data:: record_route = 15

                            .. data:: router_alert = 16

                            .. data:: sdb = 17

                            .. data:: security = 18

                            .. data:: ssr = 19

                            .. data:: stream_id = 20

                            .. data:: timestamp = 21

                            .. data:: traceroute = 22

                            .. data:: ump = 23

                            .. data:: visa = 24

                            .. data:: zsu = 25

                            """

                            add_ext = 0

                            any_options = 1

                            com_security = 2

                            dps = 3

                            encode = 4

                            eool = 5

                            ext_ip = 6

                            ext_security = 7

                            finn = 8

                            imitd = 9

                            lsr = 10

                            mtup = 11

                            mtur = 12

                            no_op = 13

                            nsapa = 14

                            record_route = 15

                            router_alert = 16

                            sdb = 17

                            security = 18

                            ssr = 19

                            stream_id = 20

                            timestamp = 21

                            traceroute = 22

                            ump = 23

                            visa = 24

                            zsu = 25


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.OptionEnum']


                        class PrecedenceEnum(Enum):
                            """
                            PrecedenceEnum

                            Match packets with given precedence value

                            .. data:: critical = 0

                            .. data:: flash = 1

                            .. data:: flash_override = 2

                            .. data:: immediate = 3

                            .. data:: internet = 4

                            .. data:: network = 5

                            .. data:: priority = 6

                            .. data:: routine = 7

                            """

                            critical = 0

                            flash = 1

                            flash_override = 2

                            immediate = 3

                            internet = 4

                            network = 5

                            priority = 6

                            routine = 7


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.PrecedenceEnum']


                        class ProtocolEnum(Enum):
                            """
                            ProtocolEnum

                            .. data:: ahp = 0

                            .. data:: eigrp = 1

                            .. data:: esp = 2

                            .. data:: gre = 3

                            .. data:: icmp = 4

                            .. data:: igmp = 5

                            .. data:: ip = 6

                            .. data:: ipinip = 7

                            .. data:: nos = 8

                            .. data:: object_group = 9

                            .. data:: ospf = 10

                            .. data:: pcp = 11

                            .. data:: pim = 12

                            .. data:: tcp = 13

                            .. data:: udp = 14

                            """

                            ahp = 0

                            eigrp = 1

                            esp = 2

                            gre = 3

                            icmp = 4

                            igmp = 5

                            ip = 6

                            ipinip = 7

                            nos = 8

                            object_group = 9

                            ospf = 10

                            pcp = 11

                            pim = 12

                            tcp = 13

                            udp = 14


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.ProtocolEnum']


                        class TosEnum(Enum):
                            """
                            TosEnum

                            Match packets with given TOS value

                            .. data:: max_reliability = 0

                            .. data:: max_throughput = 1

                            .. data:: min_delay = 2

                            .. data:: min_monetary_cost = 3

                            .. data:: normal = 4

                            """

                            max_reliability = 0

                            max_throughput = 1

                            min_delay = 2

                            min_monetary_cost = 3

                            normal = 4


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.TosEnum']



                        class Ttl(object):
                            """
                            Match packets with given TTL value
                            
                            .. attribute:: eq
                            
                            	Match only packets on a given TTL number
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: gt
                            
                            	Match only packets on a given TTL number
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: lt
                            
                            	Match only packets on a given TTL number
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: neq
                            
                            	Match only packets on a given TTL number
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: range
                            
                            	Match only packets in the range of TTLs
                            	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl.Range>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-03-22'

                            def __init__(self):
                                self.parent = None
                                self.eq = None
                                self.gt = None
                                self.lt = None
                                self.neq = None
                                self.range = Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl.Range()
                                self.range.parent = self


                            class Range(object):
                                """
                                Match only packets in the range of TTLs
                                
                                .. attribute:: value1
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: value2
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-03-22'

                                def __init__(self):
                                    self.parent = None
                                    self.value1 = None
                                    self.value2 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-acl:range'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.value1 is not None:
                                        return True

                                    if self.value2 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl.Range']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-acl:ttl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eq is not None:
                                    return True

                                if self.gt is not None:
                                    return True

                                if self.lt is not None:
                                    return True

                                if self.neq is not None:
                                    return True

                                if self.range is not None and self.range._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl']['meta_info']


                        class MatchAll(object):
                            """
                            Match if all specified flags are present
                            
                            .. attribute:: minusack
                            
                            	Match on ACK not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusfin
                            
                            	Match on FIN not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minuspsh
                            
                            	Match on PSH not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusrst
                            
                            	Match on RST not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minussyn
                            
                            	Match on SYN not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusurg
                            
                            	Match on URG not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusack
                            
                            	Match on ACK set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusfin
                            
                            	Match on FIN set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: pluspsh
                            
                            	Match on PSH set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusrst
                            
                            	Match on RST set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plussyn
                            
                            	Match on SYN set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusurg
                            
                            	Match on URG set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-03-22'

                            def __init__(self):
                                self.parent = None
                                self.minusack = None
                                self.minusfin = None
                                self.minuspsh = None
                                self.minusrst = None
                                self.minussyn = None
                                self.minusurg = None
                                self.plusack = None
                                self.plusfin = None
                                self.pluspsh = None
                                self.plusrst = None
                                self.plussyn = None
                                self.plusurg = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-acl:match-all'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minusack is not None:
                                    return True

                                if self.minusfin is not None:
                                    return True

                                if self.minuspsh is not None:
                                    return True

                                if self.minusrst is not None:
                                    return True

                                if self.minussyn is not None:
                                    return True

                                if self.minusurg is not None:
                                    return True

                                if self.plusack is not None:
                                    return True

                                if self.plusfin is not None:
                                    return True

                                if self.pluspsh is not None:
                                    return True

                                if self.plusrst is not None:
                                    return True

                                if self.plussyn is not None:
                                    return True

                                if self.plusurg is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAll']['meta_info']


                        class MatchAny(object):
                            """
                            Match if any specified flags is present
                            
                            .. attribute:: minusack
                            
                            	Match on ACK not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusfin
                            
                            	Match on FIN not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minuspsh
                            
                            	Match on PSH not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusrst
                            
                            	Match on RST not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minussyn
                            
                            	Match on SYN not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusurg
                            
                            	Match on URG not set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusack
                            
                            	Match on ACK set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusfin
                            
                            	Match on FIN set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: pluspsh
                            
                            	Match on PSH set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusrst
                            
                            	Match on RST set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plussyn
                            
                            	Match on SYN set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusurg
                            
                            	Match on URG set
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-03-22'

                            def __init__(self):
                                self.parent = None
                                self.minusack = None
                                self.minusfin = None
                                self.minuspsh = None
                                self.minusrst = None
                                self.minussyn = None
                                self.minusurg = None
                                self.plusack = None
                                self.plusfin = None
                                self.pluspsh = None
                                self.plusrst = None
                                self.plussyn = None
                                self.plusurg = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-acl:match-any'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minusack is not None:
                                    return True

                                if self.minusfin is not None:
                                    return True

                                if self.minuspsh is not None:
                                    return True

                                if self.minusrst is not None:
                                    return True

                                if self.minussyn is not None:
                                    return True

                                if self.minusurg is not None:
                                    return True

                                if self.plusack is not None:
                                    return True

                                if self.plusfin is not None:
                                    return True

                                if self.pluspsh is not None:
                                    return True

                                if self.plusrst is not None:
                                    return True

                                if self.plussyn is not None:
                                    return True

                                if self.plusurg is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAny']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-acl:ace-rule'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ack is not None:
                                return True

                            if self.action is not None:
                                return True

                            if self.any is not None:
                                return True

                            if self.dest_ipv4_address is not None:
                                return True

                            if self.dest_mask is not None:
                                return True

                            if self.dscp is not None:
                                return True

                            if self.dst_any is not None:
                                return True

                            if self.dst_eq is not None:
                                return True

                            if self.dst_gt is not None:
                                return True

                            if self.dst_host is not None:
                                return True

                            if self.dst_lt is not None:
                                return True

                            if self.dst_neq is not None:
                                return True

                            if self.dst_object_group is not None:
                                return True

                            if self.dst_range1 is not None:
                                return True

                            if self.dst_range2 is not None:
                                return True

                            if self.established is not None:
                                return True

                            if self.fin is not None:
                                return True

                            if self.fragments is not None:
                                return True

                            if self.host is not None:
                                return True

                            if self.ipv4_address is not None:
                                return True

                            if self.log is not None:
                                return True

                            if self.log_input is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.match_all is not None and self.match_all._has_data():
                                return True

                            if self.match_any is not None and self.match_any._has_data():
                                return True

                            if self.msg_code is not None:
                                return True

                            if self.msg_type is not None:
                                return True

                            if self.named_msg_type is not None:
                                return True

                            if self.object_group is not None:
                                return True

                            if self.object_group_str is not None:
                                return True

                            if self.option is not None:
                                return True

                            if self.precedence is not None:
                                return True

                            if self.protocol is not None:
                                return True

                            if self.psh is not None:
                                return True

                            if self.rst is not None:
                                return True

                            if self.src_eq is not None:
                                return True

                            if self.src_gt is not None:
                                return True

                            if self.src_lt is not None:
                                return True

                            if self.src_neq is not None:
                                return True

                            if self.src_range1 is not None:
                                return True

                            if self.src_range2 is not None:
                                return True

                            if self.syn is not None:
                                return True

                            if self.time_range is not None:
                                return True

                            if self.tos is not None:
                                return True

                            if self.ttl is not None and self.ttl._has_data():
                                return True

                            if self.urg is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.sequence is None:
                            raise YPYModelError('Key property sequence is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-acl:access-list-seq-rule[Cisco-IOS-XE-acl:sequence = ' + str(self.sequence) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.sequence is not None:
                            return True

                        if self.ace_rule is not None and self.ace_rule._has_data():
                            return True

                        if self.remark is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.AccessList.Extended.AccessListSeqRule']['meta_info']


                class Default(object):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: access_list_seq_rule
                    
                    	
                    	**type**\: list of    :py:class:`AccessListSeqRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule>`
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-03-22'

                    def __init__(self):
                        self.parent = None
                        self.access_list_seq_rule = YList()
                        self.access_list_seq_rule.parent = self
                        self.access_list_seq_rule.name = 'access_list_seq_rule'


                    class AccessListSeqRule(object):
                        """
                        
                        
                        .. attribute:: sequence  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..2147483647
                        
                        .. attribute:: ace_rule
                        
                        	
                        	**type**\:   :py:class:`AceRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule>`
                        
                        .. attribute:: remark
                        
                        	Access list entry comment
                        	**type**\:  str
                        
                        	**length:** 1..100
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-03-22'

                        def __init__(self):
                            self.parent = None
                            self.sequence = None
                            self.ace_rule = Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule()
                            self.ace_rule.parent = self
                            self.remark = None


                        class AceRule(object):
                            """
                            
                            
                            .. attribute:: ack
                            
                            	Match on the ACK bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: action
                            
                            	
                            	**type**\:   :py:class:`ActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.ActionEnum>`
                            
                            .. attribute:: any
                            
                            	Any source host
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dest_ipv4_address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            	**mandatory**\: True
                            
                            .. attribute:: dest_mask
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            	**mandatory**\: True
                            
                            .. attribute:: dscp
                            
                            	Match packets with given dscp value
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..63
                            
                            
                            ----
                            	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                            
                            
                            ----
                            .. attribute:: dst_any
                            
                            	Any destination host
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dst_eq
                            
                            	Match only packets on a given port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: dst_gt
                            
                            	Match only packets with a greater port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: dst_host
                            
                            	A single destination host
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            
                            ----
                            .. attribute:: dst_lt
                            
                            	Match only packets with a lower port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: dst_neq
                            
                            	Match only packets not on a given port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: dst_object_group
                            
                            	Destination network object group
                            	**type**\:  str
                            
                            .. attribute:: dst_range1
                            
                            	Match only packets in the range of port numbers
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: dst_range2
                            
                            	Match only packets in the range of port numbers
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: established
                            
                            	Match established connections
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fin
                            
                            	Match on the FIN bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fragments
                            
                            	Check non\-initial fragments
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: host
                            
                            	A single source host
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            
                            ----
                            .. attribute:: ipv4_address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            	**mandatory**\: True
                            
                            .. attribute:: log
                            
                            	Log matches against this entry
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: log_input
                            
                            	Log matches against this entry, including input interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            	**mandatory**\: True
                            
                            .. attribute:: match_all
                            
                            	Match if all specified flags are present
                            	**type**\:   :py:class:`MatchAll <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAll>`
                            
                            .. attribute:: match_any
                            
                            	Match if any specified flags is present
                            	**type**\:   :py:class:`MatchAny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAny>`
                            
                            .. attribute:: msg_code
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: msg_type
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: named_msg_type
                            
                            	
                            	**type**\:   :py:class:`NamedMsgTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.NamedMsgTypeEnum>`
                            
                            .. attribute:: object_group
                            
                            	Source network object group
                            	**type**\:  str
                            
                            .. attribute:: object_group_str
                            
                            	Service object group name
                            	**type**\:  str
                            
                            .. attribute:: option
                            
                            	Match packets with given IP Options value
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            
                            ----
                            	**type**\:   :py:class:`OptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.OptionEnum>`
                            
                            
                            ----
                            .. attribute:: precedence
                            
                            	Match packets with given precedence value
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            
                            ----
                            	**type**\:   :py:class:`PrecedenceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.PrecedenceEnum>`
                            
                            
                            ----
                            .. attribute:: protocol
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            
                            ----
                            	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.ProtocolEnum>`
                            
                            
                            ----
                            .. attribute:: psh
                            
                            	Match on the PSH bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rst
                            
                            	Match on the RST bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: src_eq
                            
                            	Match only packets on a given port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: src_gt
                            
                            	Match only packets with a greater port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: src_lt
                            
                            	Match only packets with a lower port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: src_neq
                            
                            	Match only packets not on a given port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: src_range1
                            
                            	Match only packets in the range of port numbers
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: src_range2
                            
                            	Match only packets in the range of port numbers
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: syn
                            
                            	Match on the SYN bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: time_range
                            
                            	Specify a time\-range
                            	**type**\:  str
                            
                            .. attribute:: tos
                            
                            	Match packets with given TOS value
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..15
                            
                            
                            ----
                            	**type**\:   :py:class:`TosEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.TosEnum>`
                            
                            
                            ----
                            .. attribute:: ttl
                            
                            	Match packets with given TTL value
                            	**type**\:   :py:class:`Ttl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl>`
                            
                            .. attribute:: urg
                            
                            	Match on the URG bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-03-22'

                            def __init__(self):
                                self.parent = None
                                self.ack = None
                                self.action = None
                                self.any = None
                                self.dest_ipv4_address = None
                                self.dest_mask = None
                                self.dscp = None
                                self.dst_any = None
                                self.dst_eq = None
                                self.dst_gt = None
                                self.dst_host = None
                                self.dst_lt = None
                                self.dst_neq = None
                                self.dst_object_group = None
                                self.dst_range1 = None
                                self.dst_range2 = None
                                self.established = None
                                self.fin = None
                                self.fragments = None
                                self.host = None
                                self.ipv4_address = None
                                self.log = None
                                self.log_input = None
                                self.mask = None
                                self.match_all = Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAll()
                                self.match_all.parent = self
                                self.match_any = Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAny()
                                self.match_any.parent = self
                                self.msg_code = None
                                self.msg_type = None
                                self.named_msg_type = None
                                self.object_group = None
                                self.object_group_str = None
                                self.option = None
                                self.precedence = None
                                self.protocol = None
                                self.psh = None
                                self.rst = None
                                self.src_eq = None
                                self.src_gt = None
                                self.src_lt = None
                                self.src_neq = None
                                self.src_range1 = None
                                self.src_range2 = None
                                self.syn = None
                                self.time_range = None
                                self.tos = None
                                self.ttl = Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl()
                                self.ttl.parent = self
                                self.urg = None

                            class ActionEnum(Enum):
                                """
                                ActionEnum

                                .. data:: deny = 0

                                .. data:: permit = 1

                                """

                                deny = 0

                                permit = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.ActionEnum']


                            class NamedMsgTypeEnum(Enum):
                                """
                                NamedMsgTypeEnum

                                .. data:: administratively_prohibited = 0

                                .. data:: alternate_address = 1

                                .. data:: conversion_error = 2

                                .. data:: dod_host_prohibited = 3

                                .. data:: dod_net_prohibited = 4

                                .. data:: echo = 5

                                .. data:: echo_reply = 6

                                .. data:: general_parameter_problem = 7

                                .. data:: host_isolated = 8

                                .. data:: host_precedence_unreachable = 9

                                .. data:: host_redirect = 10

                                .. data:: host_tos_redirect = 11

                                .. data:: host_tos_unreachable = 12

                                .. data:: host_unknown = 13

                                .. data:: host_unreachable = 14

                                .. data:: information_reply = 15

                                .. data:: information_request = 16

                                .. data:: mask_reply = 17

                                .. data:: mask_request = 18

                                .. data:: mobile_redirect = 19

                                .. data:: net_redirect = 20

                                .. data:: net_tos_redirect = 21

                                .. data:: net_tos_unreachable = 22

                                .. data:: net_unreachable = 23

                                .. data:: network_unknown = 24

                                .. data:: no_room_for_option = 25

                                .. data:: option_missing = 26

                                .. data:: packet_too_big = 27

                                .. data:: parameter_problem = 28

                                .. data:: port_unreachable = 29

                                .. data:: precedence_unreachable = 30

                                .. data:: protocol_unreachable = 31

                                .. data:: reassembly_timeout = 32

                                .. data:: redirect = 33

                                .. data:: router_advertisement = 34

                                .. data:: router_solicitation = 35

                                .. data:: source_quench = 36

                                .. data:: source_route_failed = 37

                                .. data:: time_exceeded = 38

                                .. data:: timestamp_reply = 39

                                .. data:: timestamp_request = 40

                                .. data:: traceroute = 41

                                .. data:: ttl_exceeded = 42

                                .. data:: unreachable = 43

                                """

                                administratively_prohibited = 0

                                alternate_address = 1

                                conversion_error = 2

                                dod_host_prohibited = 3

                                dod_net_prohibited = 4

                                echo = 5

                                echo_reply = 6

                                general_parameter_problem = 7

                                host_isolated = 8

                                host_precedence_unreachable = 9

                                host_redirect = 10

                                host_tos_redirect = 11

                                host_tos_unreachable = 12

                                host_unknown = 13

                                host_unreachable = 14

                                information_reply = 15

                                information_request = 16

                                mask_reply = 17

                                mask_request = 18

                                mobile_redirect = 19

                                net_redirect = 20

                                net_tos_redirect = 21

                                net_tos_unreachable = 22

                                net_unreachable = 23

                                network_unknown = 24

                                no_room_for_option = 25

                                option_missing = 26

                                packet_too_big = 27

                                parameter_problem = 28

                                port_unreachable = 29

                                precedence_unreachable = 30

                                protocol_unreachable = 31

                                reassembly_timeout = 32

                                redirect = 33

                                router_advertisement = 34

                                router_solicitation = 35

                                source_quench = 36

                                source_route_failed = 37

                                time_exceeded = 38

                                timestamp_reply = 39

                                timestamp_request = 40

                                traceroute = 41

                                ttl_exceeded = 42

                                unreachable = 43


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.NamedMsgTypeEnum']


                            class OptionEnum(Enum):
                                """
                                OptionEnum

                                Match packets with given IP Options value

                                .. data:: add_ext = 0

                                .. data:: any_options = 1

                                .. data:: com_security = 2

                                .. data:: dps = 3

                                .. data:: encode = 4

                                .. data:: eool = 5

                                .. data:: ext_ip = 6

                                .. data:: ext_security = 7

                                .. data:: finn = 8

                                .. data:: imitd = 9

                                .. data:: lsr = 10

                                .. data:: mtup = 11

                                .. data:: mtur = 12

                                .. data:: no_op = 13

                                .. data:: nsapa = 14

                                .. data:: record_route = 15

                                .. data:: router_alert = 16

                                .. data:: sdb = 17

                                .. data:: security = 18

                                .. data:: ssr = 19

                                .. data:: stream_id = 20

                                .. data:: timestamp = 21

                                .. data:: traceroute = 22

                                .. data:: ump = 23

                                .. data:: visa = 24

                                .. data:: zsu = 25

                                """

                                add_ext = 0

                                any_options = 1

                                com_security = 2

                                dps = 3

                                encode = 4

                                eool = 5

                                ext_ip = 6

                                ext_security = 7

                                finn = 8

                                imitd = 9

                                lsr = 10

                                mtup = 11

                                mtur = 12

                                no_op = 13

                                nsapa = 14

                                record_route = 15

                                router_alert = 16

                                sdb = 17

                                security = 18

                                ssr = 19

                                stream_id = 20

                                timestamp = 21

                                traceroute = 22

                                ump = 23

                                visa = 24

                                zsu = 25


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.OptionEnum']


                            class PrecedenceEnum(Enum):
                                """
                                PrecedenceEnum

                                Match packets with given precedence value

                                .. data:: critical = 0

                                .. data:: flash = 1

                                .. data:: flash_override = 2

                                .. data:: immediate = 3

                                .. data:: internet = 4

                                .. data:: network = 5

                                .. data:: priority = 6

                                .. data:: routine = 7

                                """

                                critical = 0

                                flash = 1

                                flash_override = 2

                                immediate = 3

                                internet = 4

                                network = 5

                                priority = 6

                                routine = 7


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.PrecedenceEnum']


                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: ahp = 0

                                .. data:: eigrp = 1

                                .. data:: esp = 2

                                .. data:: gre = 3

                                .. data:: icmp = 4

                                .. data:: igmp = 5

                                .. data:: ip = 6

                                .. data:: ipinip = 7

                                .. data:: nos = 8

                                .. data:: object_group = 9

                                .. data:: ospf = 10

                                .. data:: pcp = 11

                                .. data:: pim = 12

                                .. data:: tcp = 13

                                .. data:: udp = 14

                                """

                                ahp = 0

                                eigrp = 1

                                esp = 2

                                gre = 3

                                icmp = 4

                                igmp = 5

                                ip = 6

                                ipinip = 7

                                nos = 8

                                object_group = 9

                                ospf = 10

                                pcp = 11

                                pim = 12

                                tcp = 13

                                udp = 14


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.ProtocolEnum']


                            class TosEnum(Enum):
                                """
                                TosEnum

                                Match packets with given TOS value

                                .. data:: max_reliability = 0

                                .. data:: max_throughput = 1

                                .. data:: min_delay = 2

                                .. data:: min_monetary_cost = 3

                                .. data:: normal = 4

                                """

                                max_reliability = 0

                                max_throughput = 1

                                min_delay = 2

                                min_monetary_cost = 3

                                normal = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.TosEnum']



                            class Ttl(object):
                                """
                                Match packets with given TTL value
                                
                                .. attribute:: eq
                                
                                	Match only packets on a given TTL number
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: gt
                                
                                	Match only packets on a given TTL number
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: lt
                                
                                	Match only packets on a given TTL number
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: neq
                                
                                	Match only packets on a given TTL number
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: range
                                
                                	Match only packets in the range of TTLs
                                	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl.Range>`
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-03-22'

                                def __init__(self):
                                    self.parent = None
                                    self.eq = None
                                    self.gt = None
                                    self.lt = None
                                    self.neq = None
                                    self.range = Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl.Range()
                                    self.range.parent = self


                                class Range(object):
                                    """
                                    Match only packets in the range of TTLs
                                    
                                    .. attribute:: value1
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: value2
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-acl'
                                    _revision = '2017-03-22'

                                    def __init__(self):
                                        self.parent = None
                                        self.value1 = None
                                        self.value2 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-acl:range'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.value1 is not None:
                                            return True

                                        if self.value2 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl.Range']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-acl:ttl'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eq is not None:
                                        return True

                                    if self.gt is not None:
                                        return True

                                    if self.lt is not None:
                                        return True

                                    if self.neq is not None:
                                        return True

                                    if self.range is not None and self.range._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl']['meta_info']


                            class MatchAll(object):
                                """
                                Match if all specified flags are present
                                
                                .. attribute:: minusack
                                
                                	Match on ACK not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusfin
                                
                                	Match on FIN not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minuspsh
                                
                                	Match on PSH not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusrst
                                
                                	Match on RST not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minussyn
                                
                                	Match on SYN not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusurg
                                
                                	Match on URG not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusack
                                
                                	Match on ACK set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusfin
                                
                                	Match on FIN set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: pluspsh
                                
                                	Match on PSH set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusrst
                                
                                	Match on RST set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plussyn
                                
                                	Match on SYN set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusurg
                                
                                	Match on URG set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-03-22'

                                def __init__(self):
                                    self.parent = None
                                    self.minusack = None
                                    self.minusfin = None
                                    self.minuspsh = None
                                    self.minusrst = None
                                    self.minussyn = None
                                    self.minusurg = None
                                    self.plusack = None
                                    self.plusfin = None
                                    self.pluspsh = None
                                    self.plusrst = None
                                    self.plussyn = None
                                    self.plusurg = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-acl:match-all'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.minusack is not None:
                                        return True

                                    if self.minusfin is not None:
                                        return True

                                    if self.minuspsh is not None:
                                        return True

                                    if self.minusrst is not None:
                                        return True

                                    if self.minussyn is not None:
                                        return True

                                    if self.minusurg is not None:
                                        return True

                                    if self.plusack is not None:
                                        return True

                                    if self.plusfin is not None:
                                        return True

                                    if self.pluspsh is not None:
                                        return True

                                    if self.plusrst is not None:
                                        return True

                                    if self.plussyn is not None:
                                        return True

                                    if self.plusurg is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAll']['meta_info']


                            class MatchAny(object):
                                """
                                Match if any specified flags is present
                                
                                .. attribute:: minusack
                                
                                	Match on ACK not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusfin
                                
                                	Match on FIN not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minuspsh
                                
                                	Match on PSH not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusrst
                                
                                	Match on RST not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minussyn
                                
                                	Match on SYN not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusurg
                                
                                	Match on URG not set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusack
                                
                                	Match on ACK set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusfin
                                
                                	Match on FIN set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: pluspsh
                                
                                	Match on PSH set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusrst
                                
                                	Match on RST set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plussyn
                                
                                	Match on SYN set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusurg
                                
                                	Match on URG set
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-03-22'

                                def __init__(self):
                                    self.parent = None
                                    self.minusack = None
                                    self.minusfin = None
                                    self.minuspsh = None
                                    self.minusrst = None
                                    self.minussyn = None
                                    self.minusurg = None
                                    self.plusack = None
                                    self.plusfin = None
                                    self.pluspsh = None
                                    self.plusrst = None
                                    self.plussyn = None
                                    self.plusurg = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-acl:match-any'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.minusack is not None:
                                        return True

                                    if self.minusfin is not None:
                                        return True

                                    if self.minuspsh is not None:
                                        return True

                                    if self.minusrst is not None:
                                        return True

                                    if self.minussyn is not None:
                                        return True

                                    if self.minusurg is not None:
                                        return True

                                    if self.plusack is not None:
                                        return True

                                    if self.plusfin is not None:
                                        return True

                                    if self.pluspsh is not None:
                                        return True

                                    if self.plusrst is not None:
                                        return True

                                    if self.plussyn is not None:
                                        return True

                                    if self.plusurg is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAny']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-acl:ace-rule'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ack is not None:
                                    return True

                                if self.action is not None:
                                    return True

                                if self.any is not None:
                                    return True

                                if self.dest_ipv4_address is not None:
                                    return True

                                if self.dest_mask is not None:
                                    return True

                                if self.dscp is not None:
                                    return True

                                if self.dst_any is not None:
                                    return True

                                if self.dst_eq is not None:
                                    return True

                                if self.dst_gt is not None:
                                    return True

                                if self.dst_host is not None:
                                    return True

                                if self.dst_lt is not None:
                                    return True

                                if self.dst_neq is not None:
                                    return True

                                if self.dst_object_group is not None:
                                    return True

                                if self.dst_range1 is not None:
                                    return True

                                if self.dst_range2 is not None:
                                    return True

                                if self.established is not None:
                                    return True

                                if self.fin is not None:
                                    return True

                                if self.fragments is not None:
                                    return True

                                if self.host is not None:
                                    return True

                                if self.ipv4_address is not None:
                                    return True

                                if self.log is not None:
                                    return True

                                if self.log_input is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                if self.match_all is not None and self.match_all._has_data():
                                    return True

                                if self.match_any is not None and self.match_any._has_data():
                                    return True

                                if self.msg_code is not None:
                                    return True

                                if self.msg_type is not None:
                                    return True

                                if self.named_msg_type is not None:
                                    return True

                                if self.object_group is not None:
                                    return True

                                if self.object_group_str is not None:
                                    return True

                                if self.option is not None:
                                    return True

                                if self.precedence is not None:
                                    return True

                                if self.protocol is not None:
                                    return True

                                if self.psh is not None:
                                    return True

                                if self.rst is not None:
                                    return True

                                if self.src_eq is not None:
                                    return True

                                if self.src_gt is not None:
                                    return True

                                if self.src_lt is not None:
                                    return True

                                if self.src_neq is not None:
                                    return True

                                if self.src_range1 is not None:
                                    return True

                                if self.src_range2 is not None:
                                    return True

                                if self.syn is not None:
                                    return True

                                if self.time_range is not None:
                                    return True

                                if self.tos is not None:
                                    return True

                                if self.ttl is not None and self.ttl._has_data():
                                    return True

                                if self.urg is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.sequence is None:
                                raise YPYModelError('Key property sequence is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-acl:access-list-seq-rule[Cisco-IOS-XE-acl:sequence = ' + str(self.sequence) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.sequence is not None:
                                return True

                            if self.ace_rule is not None and self.ace_rule._has_data():
                                return True

                            if self.remark is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.AccessList.Extended.Default.AccessListSeqRule']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-acl:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access_list_seq_rule is not None:
                            for child_ref in self.access_list_seq_rule:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.AccessList.Extended.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:access-list/Cisco-IOS-XE-acl:extended[Cisco-IOS-XE-acl:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.access_list_seq_rule is not None:
                        for child_ref in self.access_list_seq_rule:
                            if child_ref._has_data():
                                return True

                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.AccessList.Extended']['meta_info']


            class Helper(object):
                """
                Access List acts on helper\-address
                
                .. attribute:: check
                
                	Enable filtering on helper\-address destined
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: egress
                
                	Outbound
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-03-22'

                def __init__(self):
                    self.parent = None
                    self.check = None
                    self.egress = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:access-list/Cisco-IOS-XE-acl:helper'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.check is not None:
                        return True

                    if self.egress is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.AccessList.Helper']['meta_info']


            class LogUpdate(object):
                """
                Control access list log updates
                
                .. attribute:: threshold
                
                	Set access\-list logging threshold
                	**type**\:  int
                
                	**range:** 0..2147483647
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-03-22'

                def __init__(self):
                    self.parent = None
                    self.threshold = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:access-list/Cisco-IOS-XE-acl:log-update'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.threshold is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.AccessList.LogUpdate']['meta_info']


            class Logging(object):
                """
                Control access list logging
                
                .. attribute:: hash_generation
                
                	Enable syslog hash code generation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: interval
                
                	Set access list logging interval
                	**type**\:  int
                
                	**range:** 0..2147483647
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-03-22'

                def __init__(self):
                    self.parent = None
                    self.hash_generation = None
                    self.interval = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:access-list/Cisco-IOS-XE-acl:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.hash_generation is not None:
                        return True

                    if self.interval is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.AccessList.Logging']['meta_info']


            class Resequence(object):
                """
                Resequence Access List
                
                .. attribute:: numbers
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..99
                
                
                ----
                	**type**\:  int
                
                	**range:** 1300..1999
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                
                ----
                	**type**\:  int
                
                	**range:** 100..199
                
                
                ----
                	**type**\:  int
                
                	**range:** 2000..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                
                ----
                .. attribute:: start_seq_no
                
                	
                	**type**\:  int
                
                	**range:** 1..2147483647
                
                .. attribute:: step_seq_no
                
                	
                	**type**\:  int
                
                	**range:** 1..2147483647
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-03-22'

                def __init__(self):
                    self.parent = None
                    self.numbers = None
                    self.start_seq_no = None
                    self.step_seq_no = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:access-list/Cisco-IOS-XE-acl:resequence'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.numbers is not None:
                        return True

                    if self.start_seq_no is not None:
                        return True

                    if self.step_seq_no is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.AccessList.Resequence']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:access-list'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.extended is not None:
                    for child_ref in self.extended:
                        if child_ref._has_data():
                            return True

                if self.helper is not None and self.helper._has_data():
                    return True

                if self.log_update is not None and self.log_update._has_data():
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.match_local_traffic is not None:
                    return True

                if self.persistent is not None:
                    return True

                if self.resequence is not None and self.resequence._has_data():
                    return True

                if self.role_based is not None:
                    for child_ref in self.role_based:
                        if child_ref._has_data():
                            return True

                if self.standard is not None:
                    for child_ref in self.standard:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.AccessList']['meta_info']


        class Device(object):
            """
            Device tracking
            
            .. attribute:: tracking
            
            	Device tracking
            	**type**\:   :py:class:`Tracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Device.Tracking>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.tracking = None


            class Tracking(object):
                """
                Device tracking
                
                .. attribute:: probe
                
                	Probe
                	**type**\:   :py:class:`Probe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Device.Tracking.Probe>`
                
                .. attribute:: trace_buffer
                
                	Enable Tracing Support
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-dt'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.probe = Native.Ip.Device.Tracking.Probe()
                    self.probe.parent = self
                    self.trace_buffer = None


                class Probe(object):
                    """
                    Probe
                    
                    .. attribute:: auto_source
                    
                    	Probe source selection algorithm
                    	**type**\:   :py:class:`AutoSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Device.Tracking.Probe.AutoSource>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: count
                    
                    	Probe count
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: delay
                    
                    	Probe delay
                    	**type**\:  int
                    
                    	**range:** 1..120
                    
                    .. attribute:: interval
                    
                    	Probe interval
                    	**type**\:  int
                    
                    	**range:** 30..1814400
                    
                    

                    """

                    _prefix = 'ios-dt'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto_source = None
                        self.count = None
                        self.delay = None
                        self.interval = None


                    class AutoSource(object):
                        """
                        Probe source selection algorithm
                        
                        .. attribute:: fallback
                        
                        	Specify IP and MASK to use as last resort
                        	**type**\:   :py:class:`Fallback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Device.Tracking.Probe.AutoSource.Fallback>`
                        
                        .. attribute:: override
                        
                        	Do not select source address from device track table
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dt'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.fallback = Native.Ip.Device.Tracking.Probe.AutoSource.Fallback()
                            self.fallback.parent = self
                            self.override = None


                        class Fallback(object):
                            """
                            Specify IP and MASK to use as last resort
                            
                            .. attribute:: mask
                            
                            	IP prefix mask
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: src_ip
                            
                            	IP and MASK of fallback source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-dt'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mask = None
                                self.src_ip = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:device/Cisco-IOS-XE-device-tracking:tracking/Cisco-IOS-XE-device-tracking:probe/Cisco-IOS-XE-device-tracking:auto-source/Cisco-IOS-XE-device-tracking:fallback'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mask is not None:
                                    return True

                                if self.src_ip is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Device.Tracking.Probe.AutoSource.Fallback']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:device/Cisco-IOS-XE-device-tracking:tracking/Cisco-IOS-XE-device-tracking:probe/Cisco-IOS-XE-device-tracking:auto-source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.fallback is not None and self.fallback._has_data():
                                return True

                            if self.override is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Device.Tracking.Probe.AutoSource']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:device/Cisco-IOS-XE-device-tracking:tracking/Cisco-IOS-XE-device-tracking:probe'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto_source is not None and self.auto_source._has_data():
                            return True

                        if self.count is not None:
                            return True

                        if self.delay is not None:
                            return True

                        if self.interval is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Device.Tracking.Probe']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:device/Cisco-IOS-XE-device-tracking:tracking'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.probe is not None and self.probe._has_data():
                        return True

                    if self.trace_buffer is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Device.Tracking']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-native:device'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.tracking is not None and self.tracking._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Device']['meta_info']


        class Radius(object):
            """
            RADIUS configuration commands
            
            .. attribute:: source_interface
            
            	Specify interface for source address in RADIUS packets
            	**type**\:   :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Radius.SourceInterface>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.source_interface = Native.Ip.Radius.SourceInterface()
                self.source_interface.parent = self


            class SourceInterface(object):
                """
                Specify interface for source address in RADIUS packets
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\:  str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Radius.SourceInterface.AtmAcrsubinterface>`
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Radius.SourceInterface.AtmSubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\:  str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\:  str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\:  str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\:  str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\:  str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  int
                
                	**range:** 0..65520
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Radius.SourceInterface.LispSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Radius.SourceInterface.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\:  str
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\:  str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\:  str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.appnav_compress = None
                    self.appnav_uncompress = None
                    self.atm = None
                    self.atm_acr = None
                    self.atm_acrsubinterface = Native.Ip.Radius.SourceInterface.AtmAcrsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self.atm_subinterface = Native.Ip.Radius.SourceInterface.AtmSubinterface()
                    self.atm_subinterface.parent = self
                    self.bdi = None
                    self.cellular = None
                    self.cem = None
                    self.cem_acr = None
                    self.embedded_service_engine = None
                    self.fastethernet = None
                    self.gigabitethernet = None
                    self.lisp = None
                    self.lisp_subinterface = Native.Ip.Radius.SourceInterface.LispSubinterface()
                    self.lisp_subinterface.parent = self
                    self.loopback = None
                    self.multilink = None
                    self.nve = None
                    self.overlay = None
                    self.port_channel = None
                    self.port_channel_subinterface = Native.Ip.Radius.SourceInterface.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self.pseudowire = None
                    self.serial = None
                    self.sm = None
                    self.tengigabitethernet = None
                    self.tunnel = None
                    self.vasileft = None
                    self.vasiright = None
                    self.virtual_template = None
                    self.virtualportgroup = None
                    self.vlan = None


                class AtmSubinterface(object):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-aaa:radius/Cisco-IOS-XE-aaa:source-interface/Cisco-IOS-XE-aaa:ATM-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Radius.SourceInterface.AtmSubinterface']['meta_info']


                class AtmAcrsubinterface(object):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm_acr = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-aaa:radius/Cisco-IOS-XE-aaa:source-interface/Cisco-IOS-XE-aaa:ATM-ACRsubinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm_acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Radius.SourceInterface.AtmAcrsubinterface']['meta_info']


                class LispSubinterface(object):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.lisp = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-aaa:radius/Cisco-IOS-XE-aaa:source-interface/Cisco-IOS-XE-aaa:LISP-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.lisp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Radius.SourceInterface.LispSubinterface']['meta_info']


                class PortChannelSubinterface(object):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.port_channel = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-aaa:radius/Cisco-IOS-XE-aaa:source-interface/Cisco-IOS-XE-aaa:Port-channel-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.port_channel is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Radius.SourceInterface.PortChannelSubinterface']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-aaa:radius/Cisco-IOS-XE-aaa:source-interface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.appnav_compress is not None:
                        return True

                    if self.appnav_uncompress is not None:
                        return True

                    if self.atm is not None:
                        return True

                    if self.atm_acr is not None:
                        return True

                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                        return True

                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                        return True

                    if self.bdi is not None:
                        return True

                    if self.cellular is not None:
                        return True

                    if self.cem is not None:
                        return True

                    if self.cem_acr is not None:
                        return True

                    if self.embedded_service_engine is not None:
                        return True

                    if self.fastethernet is not None:
                        return True

                    if self.gigabitethernet is not None:
                        return True

                    if self.lisp is not None:
                        return True

                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                        return True

                    if self.loopback is not None:
                        return True

                    if self.multilink is not None:
                        return True

                    if self.nve is not None:
                        return True

                    if self.overlay is not None:
                        return True

                    if self.port_channel is not None:
                        return True

                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                        return True

                    if self.pseudowire is not None:
                        return True

                    if self.serial is not None:
                        return True

                    if self.sm is not None:
                        return True

                    if self.tengigabitethernet is not None:
                        return True

                    if self.tunnel is not None:
                        return True

                    if self.vasileft is not None:
                        return True

                    if self.vasiright is not None:
                        return True

                    if self.virtual_template is not None:
                        return True

                    if self.virtualportgroup is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Radius.SourceInterface']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-aaa:radius'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.source_interface is not None and self.source_interface._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Radius']['meta_info']


        class Tacacs(object):
            """
            TACACS configuration commands
            
            .. attribute:: source_interface
            
            	Specify interface for source address in TACACS packets
            	**type**\:   :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tacacs.SourceInterface>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.source_interface = Native.Ip.Tacacs.SourceInterface()
                self.source_interface.parent = self


            class SourceInterface(object):
                """
                Specify interface for source address in TACACS packets
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\:  str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tacacs.SourceInterface.AtmAcrsubinterface>`
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tacacs.SourceInterface.AtmSubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\:  str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\:  str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\:  str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\:  str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\:  str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  int
                
                	**range:** 0..65520
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tacacs.SourceInterface.LispSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tacacs.SourceInterface.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\:  str
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\:  str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\:  str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.appnav_compress = None
                    self.appnav_uncompress = None
                    self.atm = None
                    self.atm_acr = None
                    self.atm_acrsubinterface = Native.Ip.Tacacs.SourceInterface.AtmAcrsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self.atm_subinterface = Native.Ip.Tacacs.SourceInterface.AtmSubinterface()
                    self.atm_subinterface.parent = self
                    self.bdi = None
                    self.cellular = None
                    self.cem = None
                    self.cem_acr = None
                    self.embedded_service_engine = None
                    self.fastethernet = None
                    self.gigabitethernet = None
                    self.lisp = None
                    self.lisp_subinterface = Native.Ip.Tacacs.SourceInterface.LispSubinterface()
                    self.lisp_subinterface.parent = self
                    self.loopback = None
                    self.multilink = None
                    self.nve = None
                    self.overlay = None
                    self.port_channel = None
                    self.port_channel_subinterface = Native.Ip.Tacacs.SourceInterface.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self.pseudowire = None
                    self.serial = None
                    self.sm = None
                    self.tengigabitethernet = None
                    self.tunnel = None
                    self.vasileft = None
                    self.vasiright = None
                    self.virtual_template = None
                    self.virtualportgroup = None
                    self.vlan = None


                class AtmSubinterface(object):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-aaa:tacacs/Cisco-IOS-XE-aaa:source-interface/Cisco-IOS-XE-aaa:ATM-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Tacacs.SourceInterface.AtmSubinterface']['meta_info']


                class AtmAcrsubinterface(object):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm_acr = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-aaa:tacacs/Cisco-IOS-XE-aaa:source-interface/Cisco-IOS-XE-aaa:ATM-ACRsubinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm_acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Tacacs.SourceInterface.AtmAcrsubinterface']['meta_info']


                class LispSubinterface(object):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.lisp = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-aaa:tacacs/Cisco-IOS-XE-aaa:source-interface/Cisco-IOS-XE-aaa:LISP-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.lisp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Tacacs.SourceInterface.LispSubinterface']['meta_info']


                class PortChannelSubinterface(object):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.port_channel = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-aaa:tacacs/Cisco-IOS-XE-aaa:source-interface/Cisco-IOS-XE-aaa:Port-channel-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.port_channel is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Tacacs.SourceInterface.PortChannelSubinterface']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-aaa:tacacs/Cisco-IOS-XE-aaa:source-interface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.appnav_compress is not None:
                        return True

                    if self.appnav_uncompress is not None:
                        return True

                    if self.atm is not None:
                        return True

                    if self.atm_acr is not None:
                        return True

                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                        return True

                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                        return True

                    if self.bdi is not None:
                        return True

                    if self.cellular is not None:
                        return True

                    if self.cem is not None:
                        return True

                    if self.cem_acr is not None:
                        return True

                    if self.embedded_service_engine is not None:
                        return True

                    if self.fastethernet is not None:
                        return True

                    if self.gigabitethernet is not None:
                        return True

                    if self.lisp is not None:
                        return True

                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                        return True

                    if self.loopback is not None:
                        return True

                    if self.multilink is not None:
                        return True

                    if self.nve is not None:
                        return True

                    if self.overlay is not None:
                        return True

                    if self.port_channel is not None:
                        return True

                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                        return True

                    if self.pseudowire is not None:
                        return True

                    if self.serial is not None:
                        return True

                    if self.sm is not None:
                        return True

                    if self.tengigabitethernet is not None:
                        return True

                    if self.tunnel is not None:
                        return True

                    if self.vasileft is not None:
                        return True

                    if self.vasiright is not None:
                        return True

                    if self.virtual_template is not None:
                        return True

                    if self.virtualportgroup is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Tacacs.SourceInterface']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-aaa:tacacs'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.source_interface is not None and self.source_interface._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Tacacs']['meta_info']


        class CommunityList(object):
            """
            Add a community list entry
            
            .. attribute:: expanded
            
            	Add an expanded community\-list entry
            	**type**\: list of    :py:class:`Expanded <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.Expanded>`
            
            .. attribute:: number_expanded
            
            	
            	**type**\: list of    :py:class:`NumberExpanded <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.NumberExpanded>`
            
            .. attribute:: number_standard
            
            	
            	**type**\: list of    :py:class:`NumberStandard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.NumberStandard>`
            
            .. attribute:: standard
            
            	Add a standard community\-list entry
            	**type**\: list of    :py:class:`Standard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.Standard>`
            
            

            """

            _prefix = 'ios-bgp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.expanded = YList()
                self.expanded.parent = self
                self.expanded.name = 'expanded'
                self.number_expanded = YList()
                self.number_expanded.parent = self
                self.number_expanded.name = 'number_expanded'
                self.number_standard = YList()
                self.number_standard.parent = self
                self.number_standard.name = 'number_standard'
                self.standard = YList()
                self.standard.parent = self
                self.standard.name = 'standard'


            class NumberStandard(object):
                """
                
                
                .. attribute:: no  <key>
                
                	
                	**type**\:  int
                
                	**range:** 1..99
                
                .. attribute:: deny
                
                	Specify community to reject
                	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.NumberStandard.Deny>`
                
                .. attribute:: permit
                
                	Specify community to accept
                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.NumberStandard.Permit>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.no = None
                    self.deny = Native.Ip.CommunityList.NumberStandard.Deny()
                    self.deny.parent = self
                    self.permit = Native.Ip.CommunityList.NumberStandard.Permit()
                    self.permit.parent = self


                class Deny(object):
                    """
                    Specify community to reject
                    
                    .. attribute:: deny_list
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  list of int
                    
                    	**range:** 1..4294967295
                    
                    
                    ----
                    	**type**\:  list of str
                    
                    	**pattern:** (\\d+\:\\d+)
                    
                    
                    ----
                    
                    ----
                    	**type**\:  list of   :py:class:`CommunityWellKnownTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CommunityWellKnownTypeEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.deny_list = YLeafList()
                        self.deny_list.parent = self
                        self.deny_list.name = 'deny_list'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:deny'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.deny_list is not None:
                            for child in self.deny_list:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.CommunityList.NumberStandard.Deny']['meta_info']


                class Permit(object):
                    """
                    Specify community to accept
                    
                    .. attribute:: permit_list
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  list of int
                    
                    	**range:** 1..4294967295
                    
                    
                    ----
                    	**type**\:  list of str
                    
                    	**pattern:** (\\d+\:\\d+)
                    
                    
                    ----
                    
                    ----
                    	**type**\:  list of   :py:class:`CommunityWellKnownTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CommunityWellKnownTypeEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.permit_list = YLeafList()
                        self.permit_list.parent = self
                        self.permit_list.name = 'permit_list'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:permit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.permit_list is not None:
                            for child in self.permit_list:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.CommunityList.NumberStandard.Permit']['meta_info']

                @property
                def _common_path(self):
                    if self.no is None:
                        raise YPYModelError('Key property no is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-bgp:community-list/Cisco-IOS-XE-bgp:number-standard[Cisco-IOS-XE-bgp:no = ' + str(self.no) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.no is not None:
                        return True

                    if self.deny is not None and self.deny._has_data():
                        return True

                    if self.permit is not None and self.permit._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.CommunityList.NumberStandard']['meta_info']


            class NumberExpanded(object):
                """
                
                
                .. attribute:: no  <key>
                
                	
                	**type**\:  int
                
                	**range:** 100..500
                
                .. attribute:: deny
                
                	Specify community to reject
                	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.NumberExpanded.Deny>`
                
                .. attribute:: permit
                
                	Specify community to accept
                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.NumberExpanded.Permit>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.no = None
                    self.deny = Native.Ip.CommunityList.NumberExpanded.Deny()
                    self.deny.parent = self
                    self.permit = Native.Ip.CommunityList.NumberExpanded.Permit()
                    self.permit.parent = self


                class Deny(object):
                    """
                    Specify community to reject
                    
                    .. attribute:: deny_list
                    
                    	
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.deny_list = YLeafList()
                        self.deny_list.parent = self
                        self.deny_list.name = 'deny_list'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:deny'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.deny_list is not None:
                            for child in self.deny_list:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.CommunityList.NumberExpanded.Deny']['meta_info']


                class Permit(object):
                    """
                    Specify community to accept
                    
                    .. attribute:: permit_list
                    
                    	
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.permit_list = YLeafList()
                        self.permit_list.parent = self
                        self.permit_list.name = 'permit_list'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:permit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.permit_list is not None:
                            for child in self.permit_list:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.CommunityList.NumberExpanded.Permit']['meta_info']

                @property
                def _common_path(self):
                    if self.no is None:
                        raise YPYModelError('Key property no is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-bgp:community-list/Cisco-IOS-XE-bgp:number-expanded[Cisco-IOS-XE-bgp:no = ' + str(self.no) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.no is not None:
                        return True

                    if self.deny is not None and self.deny._has_data():
                        return True

                    if self.permit is not None and self.permit._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.CommunityList.NumberExpanded']['meta_info']


            class Expanded(object):
                """
                Add an expanded community\-list entry
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: deny
                
                	Specify community to reject
                	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.Expanded.Deny>`
                
                .. attribute:: permit
                
                	Specify community to accept
                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.Expanded.Permit>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.deny = Native.Ip.CommunityList.Expanded.Deny()
                    self.deny.parent = self
                    self.permit = Native.Ip.CommunityList.Expanded.Permit()
                    self.permit.parent = self


                class Deny(object):
                    """
                    Specify community to reject
                    
                    .. attribute:: deny_list
                    
                    	
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.deny_list = YLeafList()
                        self.deny_list.parent = self
                        self.deny_list.name = 'deny_list'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:deny'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.deny_list is not None:
                            for child in self.deny_list:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.CommunityList.Expanded.Deny']['meta_info']


                class Permit(object):
                    """
                    Specify community to accept
                    
                    .. attribute:: permit_list
                    
                    	
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.permit_list = YLeafList()
                        self.permit_list.parent = self
                        self.permit_list.name = 'permit_list'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:permit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.permit_list is not None:
                            for child in self.permit_list:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.CommunityList.Expanded.Permit']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-bgp:community-list/Cisco-IOS-XE-bgp:expanded[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.deny is not None and self.deny._has_data():
                        return True

                    if self.permit is not None and self.permit._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.CommunityList.Expanded']['meta_info']


            class Standard(object):
                """
                Add a standard community\-list entry
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: deny
                
                	Specify community to reject
                	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.Standard.Deny>`
                
                .. attribute:: permit
                
                	Specify community to accept
                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.Standard.Permit>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.deny = Native.Ip.CommunityList.Standard.Deny()
                    self.deny.parent = self
                    self.permit = Native.Ip.CommunityList.Standard.Permit()
                    self.permit.parent = self


                class Deny(object):
                    """
                    Specify community to reject
                    
                    .. attribute:: deny_list
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  list of int
                    
                    	**range:** 1..4294967295
                    
                    
                    ----
                    	**type**\:  list of str
                    
                    	**pattern:** (\\d+\:\\d+)
                    
                    
                    ----
                    
                    ----
                    	**type**\:  list of   :py:class:`CommunityWellKnownTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CommunityWellKnownTypeEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.deny_list = YLeafList()
                        self.deny_list.parent = self
                        self.deny_list.name = 'deny_list'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:deny'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.deny_list is not None:
                            for child in self.deny_list:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.CommunityList.Standard.Deny']['meta_info']


                class Permit(object):
                    """
                    Specify community to accept
                    
                    .. attribute:: permit_list
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  list of int
                    
                    	**range:** 1..4294967295
                    
                    
                    ----
                    	**type**\:  list of str
                    
                    	**pattern:** (\\d+\:\\d+)
                    
                    
                    ----
                    
                    ----
                    	**type**\:  list of   :py:class:`CommunityWellKnownTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CommunityWellKnownTypeEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.permit_list = YLeafList()
                        self.permit_list.parent = self
                        self.permit_list.name = 'permit_list'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:permit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.permit_list is not None:
                            for child in self.permit_list:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.CommunityList.Standard.Permit']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-bgp:community-list/Cisco-IOS-XE-bgp:standard[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.deny is not None and self.deny._has_data():
                        return True

                    if self.permit is not None and self.permit._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.CommunityList.Standard']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-bgp:community-list'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.expanded is not None:
                    for child_ref in self.expanded:
                        if child_ref._has_data():
                            return True

                if self.number_expanded is not None:
                    for child_ref in self.number_expanded:
                        if child_ref._has_data():
                            return True

                if self.number_standard is not None:
                    for child_ref in self.number_standard:
                        if child_ref._has_data():
                            return True

                if self.standard is not None:
                    for child_ref in self.standard:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.CommunityList']['meta_info']


        class ExtcommunityList(object):
            """
            Extended a community list entry
            
            .. attribute:: expanded
            
            	Extended an expanded community\-list entry
            	**type**\: list of    :py:class:`Expanded <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Expanded>`
            
            .. attribute:: number_expanded
            
            	
            	**type**\: list of    :py:class:`NumberExpanded <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberExpanded>`
            
            .. attribute:: number_standard
            
            	
            	**type**\: list of    :py:class:`NumberStandard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberStandard>`
            
            .. attribute:: standard
            
            	Extended a standard community\-list entry
            	**type**\: list of    :py:class:`Standard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Standard>`
            
            

            """

            _prefix = 'ios-bgp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.expanded = YList()
                self.expanded.parent = self
                self.expanded.name = 'expanded'
                self.number_expanded = YList()
                self.number_expanded.parent = self
                self.number_expanded.name = 'number_expanded'
                self.number_standard = YList()
                self.number_standard.parent = self
                self.number_standard.name = 'number_standard'
                self.standard = YList()
                self.standard.parent = self
                self.standard.name = 'standard'


            class NumberStandard(object):
                """
                
                
                .. attribute:: no  <key>
                
                	
                	**type**\:  int
                
                	**range:** 1..99
                
                .. attribute:: deny
                
                	Specify community to reject
                	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberStandard.Deny>`
                
                .. attribute:: permit
                
                	Specify community to accept
                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberStandard.Permit>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.no = None
                    self.deny = Native.Ip.ExtcommunityList.NumberStandard.Deny()
                    self.deny.parent = self
                    self.permit = Native.Ip.ExtcommunityList.NumberStandard.Permit()
                    self.permit.parent = self


                class Deny(object):
                    """
                    Specify community to reject
                    
                    .. attribute:: rt
                    
                    	Route Target extended community
                    	**type**\: list of    :py:class:`Rt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberStandard.Deny.Rt>`
                    
                    .. attribute:: soo
                    
                    	Site\-of\-Origin extended community
                    	**type**\: list of    :py:class:`Soo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberStandard.Deny.Soo>`
                    
                    .. attribute:: vpn_distinguisher
                    
                    	VPN Distinguisher extcomm
                    	**type**\: list of    :py:class:`VpnDistinguisher <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberStandard.Deny.VpnDistinguisher>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.rt = YList()
                        self.rt.parent = self
                        self.rt.name = 'rt'
                        self.soo = YList()
                        self.soo.parent = self
                        self.soo.name = 'soo'
                        self.vpn_distinguisher = YList()
                        self.vpn_distinguisher.parent = self
                        self.vpn_distinguisher.name = 'vpn_distinguisher'


                    class Rt(object):
                        """
                        Route Target extended community
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:rt[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.ExtcommunityList.NumberStandard.Deny.Rt']['meta_info']


                    class Soo(object):
                        """
                        Site\-of\-Origin extended community
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:soo[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.ExtcommunityList.NumberStandard.Deny.Soo']['meta_info']


                    class VpnDistinguisher(object):
                        """
                        VPN Distinguisher extcomm
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:vpn-distinguisher[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.ExtcommunityList.NumberStandard.Deny.VpnDistinguisher']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:deny'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.rt is not None:
                            for child_ref in self.rt:
                                if child_ref._has_data():
                                    return True

                        if self.soo is not None:
                            for child_ref in self.soo:
                                if child_ref._has_data():
                                    return True

                        if self.vpn_distinguisher is not None:
                            for child_ref in self.vpn_distinguisher:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.ExtcommunityList.NumberStandard.Deny']['meta_info']


                class Permit(object):
                    """
                    Specify community to accept
                    
                    .. attribute:: rt
                    
                    	Route Target extended community
                    	**type**\: list of    :py:class:`Rt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberStandard.Permit.Rt>`
                    
                    .. attribute:: soo
                    
                    	Site\-of\-Origin extended community
                    	**type**\: list of    :py:class:`Soo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberStandard.Permit.Soo>`
                    
                    .. attribute:: vpn_distinguisher
                    
                    	VPN Distinguisher extcomm
                    	**type**\: list of    :py:class:`VpnDistinguisher <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberStandard.Permit.VpnDistinguisher>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.rt = YList()
                        self.rt.parent = self
                        self.rt.name = 'rt'
                        self.soo = YList()
                        self.soo.parent = self
                        self.soo.name = 'soo'
                        self.vpn_distinguisher = YList()
                        self.vpn_distinguisher.parent = self
                        self.vpn_distinguisher.name = 'vpn_distinguisher'


                    class Rt(object):
                        """
                        Route Target extended community
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:rt[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.ExtcommunityList.NumberStandard.Permit.Rt']['meta_info']


                    class Soo(object):
                        """
                        Site\-of\-Origin extended community
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:soo[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.ExtcommunityList.NumberStandard.Permit.Soo']['meta_info']


                    class VpnDistinguisher(object):
                        """
                        VPN Distinguisher extcomm
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:vpn-distinguisher[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.ExtcommunityList.NumberStandard.Permit.VpnDistinguisher']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:permit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.rt is not None:
                            for child_ref in self.rt:
                                if child_ref._has_data():
                                    return True

                        if self.soo is not None:
                            for child_ref in self.soo:
                                if child_ref._has_data():
                                    return True

                        if self.vpn_distinguisher is not None:
                            for child_ref in self.vpn_distinguisher:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.ExtcommunityList.NumberStandard.Permit']['meta_info']

                @property
                def _common_path(self):
                    if self.no is None:
                        raise YPYModelError('Key property no is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-bgp:extcommunity-list/Cisco-IOS-XE-bgp:number-standard[Cisco-IOS-XE-bgp:no = ' + str(self.no) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.no is not None:
                        return True

                    if self.deny is not None and self.deny._has_data():
                        return True

                    if self.permit is not None and self.permit._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.ExtcommunityList.NumberStandard']['meta_info']


            class NumberExpanded(object):
                """
                
                
                .. attribute:: no  <key>
                
                	
                	**type**\:  int
                
                	**range:** 100..500
                
                .. attribute:: deny
                
                	Specify community to reject
                	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberExpanded.Deny>`
                
                .. attribute:: permit
                
                	Specify community to accept
                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberExpanded.Permit>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.no = None
                    self.deny = Native.Ip.ExtcommunityList.NumberExpanded.Deny()
                    self.deny.parent = self
                    self.permit = Native.Ip.ExtcommunityList.NumberExpanded.Permit()
                    self.permit.parent = self


                class Deny(object):
                    """
                    Specify community to reject
                    
                    .. attribute:: deny_list
                    
                    	
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.deny_list = YLeafList()
                        self.deny_list.parent = self
                        self.deny_list.name = 'deny_list'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:deny'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.deny_list is not None:
                            for child in self.deny_list:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.ExtcommunityList.NumberExpanded.Deny']['meta_info']


                class Permit(object):
                    """
                    Specify community to accept
                    
                    .. attribute:: permit_list
                    
                    	
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.permit_list = YLeafList()
                        self.permit_list.parent = self
                        self.permit_list.name = 'permit_list'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:permit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.permit_list is not None:
                            for child in self.permit_list:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.ExtcommunityList.NumberExpanded.Permit']['meta_info']

                @property
                def _common_path(self):
                    if self.no is None:
                        raise YPYModelError('Key property no is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-bgp:extcommunity-list/Cisco-IOS-XE-bgp:number-expanded[Cisco-IOS-XE-bgp:no = ' + str(self.no) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.no is not None:
                        return True

                    if self.deny is not None and self.deny._has_data():
                        return True

                    if self.permit is not None and self.permit._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.ExtcommunityList.NumberExpanded']['meta_info']


            class Expanded(object):
                """
                Extended an expanded community\-list entry
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: deny
                
                	Specify community to reject
                	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Expanded.Deny>`
                
                .. attribute:: permit
                
                	Specify community to accept
                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Expanded.Permit>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.deny = Native.Ip.ExtcommunityList.Expanded.Deny()
                    self.deny.parent = self
                    self.permit = Native.Ip.ExtcommunityList.Expanded.Permit()
                    self.permit.parent = self


                class Deny(object):
                    """
                    Specify community to reject
                    
                    .. attribute:: deny_list
                    
                    	
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.deny_list = YLeafList()
                        self.deny_list.parent = self
                        self.deny_list.name = 'deny_list'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:deny'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.deny_list is not None:
                            for child in self.deny_list:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.ExtcommunityList.Expanded.Deny']['meta_info']


                class Permit(object):
                    """
                    Specify community to accept
                    
                    .. attribute:: permit_list
                    
                    	
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.permit_list = YLeafList()
                        self.permit_list.parent = self
                        self.permit_list.name = 'permit_list'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:permit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.permit_list is not None:
                            for child in self.permit_list:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.ExtcommunityList.Expanded.Permit']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-bgp:extcommunity-list/Cisco-IOS-XE-bgp:expanded[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.deny is not None and self.deny._has_data():
                        return True

                    if self.permit is not None and self.permit._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.ExtcommunityList.Expanded']['meta_info']


            class Standard(object):
                """
                Extended a standard community\-list entry
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: deny
                
                	Specify community to reject
                	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Standard.Deny>`
                
                .. attribute:: permit
                
                	Specify community to accept
                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Standard.Permit>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.deny = Native.Ip.ExtcommunityList.Standard.Deny()
                    self.deny.parent = self
                    self.permit = Native.Ip.ExtcommunityList.Standard.Permit()
                    self.permit.parent = self


                class Deny(object):
                    """
                    Specify community to reject
                    
                    .. attribute:: rt
                    
                    	Route Target extended community
                    	**type**\: list of    :py:class:`Rt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Standard.Deny.Rt>`
                    
                    .. attribute:: soo
                    
                    	Site\-of\-Origin extended community
                    	**type**\: list of    :py:class:`Soo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Standard.Deny.Soo>`
                    
                    .. attribute:: vpn_distinguisher
                    
                    	VPN Distinguisher extcomm
                    	**type**\: list of    :py:class:`VpnDistinguisher <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Standard.Deny.VpnDistinguisher>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.rt = YList()
                        self.rt.parent = self
                        self.rt.name = 'rt'
                        self.soo = YList()
                        self.soo.parent = self
                        self.soo.name = 'soo'
                        self.vpn_distinguisher = YList()
                        self.vpn_distinguisher.parent = self
                        self.vpn_distinguisher.name = 'vpn_distinguisher'


                    class Rt(object):
                        """
                        Route Target extended community
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:rt[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.ExtcommunityList.Standard.Deny.Rt']['meta_info']


                    class Soo(object):
                        """
                        Site\-of\-Origin extended community
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:soo[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.ExtcommunityList.Standard.Deny.Soo']['meta_info']


                    class VpnDistinguisher(object):
                        """
                        VPN Distinguisher extcomm
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:vpn-distinguisher[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.ExtcommunityList.Standard.Deny.VpnDistinguisher']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:deny'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.rt is not None:
                            for child_ref in self.rt:
                                if child_ref._has_data():
                                    return True

                        if self.soo is not None:
                            for child_ref in self.soo:
                                if child_ref._has_data():
                                    return True

                        if self.vpn_distinguisher is not None:
                            for child_ref in self.vpn_distinguisher:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.ExtcommunityList.Standard.Deny']['meta_info']


                class Permit(object):
                    """
                    Specify community to accept
                    
                    .. attribute:: rt
                    
                    	Route Target extended community
                    	**type**\: list of    :py:class:`Rt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Standard.Permit.Rt>`
                    
                    .. attribute:: soo
                    
                    	Site\-of\-Origin extended community
                    	**type**\: list of    :py:class:`Soo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Standard.Permit.Soo>`
                    
                    .. attribute:: vpn_distinguisher
                    
                    	VPN Distinguisher extcomm
                    	**type**\: list of    :py:class:`VpnDistinguisher <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Standard.Permit.VpnDistinguisher>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.rt = YList()
                        self.rt.parent = self
                        self.rt.name = 'rt'
                        self.soo = YList()
                        self.soo.parent = self
                        self.soo.name = 'soo'
                        self.vpn_distinguisher = YList()
                        self.vpn_distinguisher.parent = self
                        self.vpn_distinguisher.name = 'vpn_distinguisher'


                    class Rt(object):
                        """
                        Route Target extended community
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:rt[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.ExtcommunityList.Standard.Permit.Rt']['meta_info']


                    class Soo(object):
                        """
                        Site\-of\-Origin extended community
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:soo[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.ExtcommunityList.Standard.Permit.Soo']['meta_info']


                    class VpnDistinguisher(object):
                        """
                        VPN Distinguisher extcomm
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:vpn-distinguisher[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.ExtcommunityList.Standard.Permit.VpnDistinguisher']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:permit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.rt is not None:
                            for child_ref in self.rt:
                                if child_ref._has_data():
                                    return True

                        if self.soo is not None:
                            for child_ref in self.soo:
                                if child_ref._has_data():
                                    return True

                        if self.vpn_distinguisher is not None:
                            for child_ref in self.vpn_distinguisher:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.ExtcommunityList.Standard.Permit']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-bgp:extcommunity-list/Cisco-IOS-XE-bgp:standard[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.deny is not None and self.deny._has_data():
                        return True

                    if self.permit is not None and self.permit._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.ExtcommunityList.Standard']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-bgp:extcommunity-list'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.expanded is not None:
                    for child_ref in self.expanded:
                        if child_ref._has_data():
                            return True

                if self.number_expanded is not None:
                    for child_ref in self.number_expanded:
                        if child_ref._has_data():
                            return True

                if self.number_standard is not None:
                    for child_ref in self.number_standard:
                        if child_ref._has_data():
                            return True

                if self.standard is not None:
                    for child_ref in self.standard:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.ExtcommunityList']['meta_info']


        class Http(object):
            """
            HTTP server configuration
            
            .. attribute:: access_class
            
            	Restrict http server access by access\-class
            	**type**\:  int
            
            	**range:** 1..99
            
            .. attribute:: authentication
            
            	Set http server authentication method
            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Http.Authentication>`
            
            .. attribute:: client
            
            	Set http client parameters
            	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Http.Client>`
            
            .. attribute:: secure_client_auth
            
            	Set http secure server with client authentication
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: secure_server
            
            	Enable HTTP secure server
            	**type**\:  bool
            
            .. attribute:: secure_trustpoint
            
            	Set http secure server certificate trustpoint
            	**type**\:  str
            
            .. attribute:: server
            
            	Enable http server
            	**type**\:  bool
            
            .. attribute:: timeout_policy
            
            	Set http server time\-out policy parameters
            	**type**\:   :py:class:`TimeoutPolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Http.TimeoutPolicy>`
            
            

            """

            _prefix = 'ios-http'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.access_class = None
                self.authentication = Native.Ip.Http.Authentication()
                self.authentication.parent = self
                self.client = Native.Ip.Http.Client()
                self.client.parent = self
                self.secure_client_auth = None
                self.secure_server = None
                self.secure_trustpoint = None
                self.server = None
                self.timeout_policy = Native.Ip.Http.TimeoutPolicy()
                self.timeout_policy.parent = self


            class Authentication(object):
                """
                Set http server authentication method
                
                .. attribute:: aaa
                
                	Use AAA access control methods
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: local
                
                	Use local username and passwords
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-http'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.aaa = None
                    self.local = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-http:http/Cisco-IOS-XE-http:authentication'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.aaa is not None:
                        return True

                    if self.local is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Http.Authentication']['meta_info']


            class TimeoutPolicy(object):
                """
                Set http server time\-out policy parameters
                
                .. attribute:: idle
                
                	Idle time\-out of a http server connection in seconds
                	**type**\:  int
                
                	**range:** 1..600
                
                .. attribute:: life
                
                	Life time of a http server connection in seconds
                	**type**\:  int
                
                	**range:** 1..86400
                
                .. attribute:: requests
                
                	Maximum number of requests allowed on a http server connection
                	**type**\:  int
                
                	**range:** 1..86400
                
                

                """

                _prefix = 'ios-http'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.idle = None
                    self.life = None
                    self.requests = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-http:http/Cisco-IOS-XE-http:timeout-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.idle is not None:
                        return True

                    if self.life is not None:
                        return True

                    if self.requests is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Http.TimeoutPolicy']['meta_info']


            class Client(object):
                """
                Set http client parameters
                
                .. attribute:: proxy_server
                
                	Specify proxy server name for HTTP file system client connections
                	**type**\:   :py:class:`ProxyServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Http.Client.ProxyServer>`
                
                .. attribute:: secure_trustpoint
                
                	Set http client certificate secure trustpoint
                	**type**\:  str
                
                .. attribute:: source_interface
                
                	Specify interface for source address in all HTTP(S) client connections
                	**type**\:  str
                
                

                """

                _prefix = 'ios-http'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.proxy_server = Native.Ip.Http.Client.ProxyServer()
                    self.proxy_server.parent = self
                    self.secure_trustpoint = None
                    self.source_interface = None


                class ProxyServer(object):
                    """
                    Specify proxy server name for HTTP file system client connections
                    
                    .. attribute:: proxy_port
                    
                    	Proxy port number
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: proxy_server_name
                    
                    	Proxy server name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-http'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.proxy_port = None
                        self.proxy_server_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-http:http/Cisco-IOS-XE-http:client/Cisco-IOS-XE-http:proxy-server'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.proxy_port is not None:
                            return True

                        if self.proxy_server_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Http.Client.ProxyServer']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-http:http/Cisco-IOS-XE-http:client'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.proxy_server is not None and self.proxy_server._has_data():
                        return True

                    if self.secure_trustpoint is not None:
                        return True

                    if self.source_interface is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Http.Client']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-http:http'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.access_class is not None:
                    return True

                if self.authentication is not None and self.authentication._has_data():
                    return True

                if self.client is not None and self.client._has_data():
                    return True

                if self.secure_client_auth is not None:
                    return True

                if self.secure_server is not None:
                    return True

                if self.secure_trustpoint is not None:
                    return True

                if self.server is not None:
                    return True

                if self.timeout_policy is not None and self.timeout_policy._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Http']['meta_info']


        class Icmp(object):
            """
            ICMP options
            
            .. attribute:: rate_limit
            
            	rate limit ICMP messages generated
            	**type**\:   :py:class:`RateLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Icmp.RateLimit>`
            
            

            """

            _prefix = 'ios-icmp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.rate_limit = Native.Ip.Icmp.RateLimit()
                self.rate_limit.parent = self


            class RateLimit(object):
                """
                rate limit ICMP messages generated
                
                .. attribute:: redirect
                
                	description
                	**type**\:   :py:class:`RedirectEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Icmp.RateLimit.RedirectEnum>`
                
                .. attribute:: unreachable
                
                	ICMP type 3, Destination Unreachable
                	**type**\:   :py:class:`Unreachable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Icmp.RateLimit.Unreachable>`
                
                

                """

                _prefix = 'ios-icmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.redirect = None
                    self.unreachable = Native.Ip.Icmp.RateLimit.Unreachable()
                    self.unreachable.parent = self

                class RedirectEnum(Enum):
                    """
                    RedirectEnum

                    description

                    .. data:: host = 0

                    .. data:: subnet = 1

                    """

                    host = 0

                    subnet = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Icmp.RateLimit.RedirectEnum']



                class Unreachable(object):
                    """
                    ICMP type 3, Destination Unreachable
                    
                    .. attribute:: df
                    
                    	code 4, fragmentation needed and DF set
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: log
                    
                    	log message if rate limiting is excessive
                    	**type**\:   :py:class:`Log <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Icmp.RateLimit.Unreachable.Log>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: time
                    
                    	Once per milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-icmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.df = None
                        self.log = None
                        self.time = None


                    class Log(object):
                        """
                        log message if rate limiting is excessive
                        
                        .. attribute:: log_message
                        
                        	log message once per milliseconds
                        	**type**\:  int
                        
                        	**range:** 10000..4294967295
                        
                        .. attribute:: number_unreachables
                        
                        	number of unreachables within interval to trigger a message
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-icmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.log_message = None
                            self.number_unreachables = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-icmp:icmp/Cisco-IOS-XE-icmp:rate-limit/Cisco-IOS-XE-icmp:unreachable/Cisco-IOS-XE-icmp:log'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.log_message is not None:
                                return True

                            if self.number_unreachables is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Icmp.RateLimit.Unreachable.Log']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-icmp:icmp/Cisco-IOS-XE-icmp:rate-limit/Cisco-IOS-XE-icmp:unreachable'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.df is not None:
                            return True

                        if self.log is not None and self.log._has_data():
                            return True

                        if self.time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Icmp.RateLimit.Unreachable']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-icmp:icmp/Cisco-IOS-XE-icmp:rate-limit'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.redirect is not None:
                        return True

                    if self.unreachable is not None and self.unreachable._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Icmp.RateLimit']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-icmp:icmp'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.rate_limit is not None and self.rate_limit._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Icmp']['meta_info']


        class Igmp(object):
            """
            IGMP global configuration
            
            .. attribute:: snooping
            
            	Global IGMP Snooping enable for Catalyst Vlans
            	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping>`
            
            .. attribute:: snooping_conf
            
            	
            	**type**\:   :py:class:`SnoopingConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.SnoopingConf>`
            
            .. attribute:: ssm_map
            
            	SSM mapping commands
            	**type**\:   :py:class:`SsmMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.SsmMap>`
            
            .. attribute:: vrf
            
            	Select VPN Routing/Forwarding instance
            	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Vrf>`
            
            

            """

            _prefix = 'ios-igmp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.snooping = Native.Ip.Igmp.Snooping()
                self.snooping.parent = self
                self.snooping_conf = Native.Ip.Igmp.SnoopingConf()
                self.snooping_conf.parent = self
                self.ssm_map = Native.Ip.Igmp.SsmMap()
                self.ssm_map.parent = self
                self.vrf = YList()
                self.vrf.parent = self
                self.vrf.name = 'vrf'


            class SnoopingConf(object):
                """
                
                
                .. attribute:: snooping
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-igmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.snooping = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-igmp:igmp/Cisco-IOS-XE-igmp:snooping-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.snooping is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Igmp.SnoopingConf']['meta_info']


            class Snooping(object):
                """
                Global IGMP Snooping enable for Catalyst Vlans
                
                .. attribute:: check
                
                	enforce TTL or Rtr\-Alert Option checking
                	**type**\:   :py:class:`Check <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Check>`
                
                .. attribute:: explicit_tracking
                
                	Explicit tracking DB configuration
                	**type**\:   :py:class:`ExplicitTracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.ExplicitTracking>`
                
                .. attribute:: l2_entry_limit
                
                	limit on the l2 entry that can be installed by IGMP snooping
                	**type**\:  int
                
                	**range:** 1..100000
                
                .. attribute:: last_member_query_count
                
                	Last member query count
                	**type**\:  int
                
                	**range:** 1..7
                
                .. attribute:: last_member_query_interval
                
                	Interval (milliseconds)
                	**type**\:  int
                
                	**range:** 100..32767
                
                .. attribute:: querier
                
                	IGMP querier configuration
                	**type**\:   :py:class:`Querier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Querier>`
                
                	**presence node**\: True
                
                .. attribute:: report_suppression
                
                	Report suppression
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: robustness_variable
                
                	Robustness Variable number
                	**type**\:  int
                
                	**range:** 1..3
                
                .. attribute:: tcn
                
                	Topology change notification configuration
                	**type**\:   :py:class:`Tcn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Tcn>`
                
                .. attribute:: vlan
                
                	IGMP Snooping enable for Catalyst VLAN
                	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Vlan>`
                
                

                """

                _prefix = 'ios-igmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.check = Native.Ip.Igmp.Snooping.Check()
                    self.check.parent = self
                    self.explicit_tracking = Native.Ip.Igmp.Snooping.ExplicitTracking()
                    self.explicit_tracking.parent = self
                    self.l2_entry_limit = None
                    self.last_member_query_count = None
                    self.last_member_query_interval = None
                    self.querier = None
                    self.report_suppression = None
                    self.robustness_variable = None
                    self.tcn = Native.Ip.Igmp.Snooping.Tcn()
                    self.tcn.parent = self
                    self.vlan = Native.Ip.Igmp.Snooping.Vlan()
                    self.vlan.parent = self


                class Check(object):
                    """
                    enforce TTL or Rtr\-Alert Option checking
                    
                    .. attribute:: rtr_alert_option
                    
                    	Only accept IGMP packets with router\-alert option
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ttl
                    
                    	Only accept IGMP packets with TTL=1
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.rtr_alert_option = None
                        self.ttl = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-igmp:igmp/Cisco-IOS-XE-igmp:snooping/Cisco-IOS-XE-igmp:check'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.rtr_alert_option is not None:
                            return True

                        if self.ttl is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Igmp.Snooping.Check']['meta_info']


                class ExplicitTracking(object):
                    """
                    Explicit tracking DB configuration
                    
                    .. attribute:: limit
                    
                    	Explicit tracking DB limit
                    	**type**\:  int
                    
                    	**range:** 0..128000
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.limit = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-igmp:igmp/Cisco-IOS-XE-igmp:snooping/Cisco-IOS-XE-igmp:explicit-tracking'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.limit is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Igmp.Snooping.ExplicitTracking']['meta_info']


                class Querier(object):
                    """
                    IGMP querier configuration
                    
                    .. attribute:: address
                    
                    	IGMP querier source IP address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: max_response_time
                    
                    	IGMP querier maximum response time (sec)
                    	**type**\:  int
                    
                    	**range:** 1..25
                    
                    .. attribute:: query_interval
                    
                    	IGMP querier query interval (sec)
                    	**type**\:  int
                    
                    	**range:** 1..18000
                    
                    .. attribute:: tcn
                    
                    	IGMP querier TCN related parameters
                    	**type**\:   :py:class:`Tcn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Querier.Tcn>`
                    
                    .. attribute:: timer
                    
                    	IGMP other querier timer
                    	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Querier.Timer>`
                    
                    .. attribute:: version
                    
                    	IGMP version
                    	**type**\:  int
                    
                    	**range:** 1..2
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.address = None
                        self.max_response_time = None
                        self.query_interval = None
                        self.tcn = Native.Ip.Igmp.Snooping.Querier.Tcn()
                        self.tcn.parent = self
                        self.timer = Native.Ip.Igmp.Snooping.Querier.Timer()
                        self.timer.parent = self
                        self.version = None


                    class Tcn(object):
                        """
                        IGMP querier TCN related parameters
                        
                        .. attribute:: query
                        
                        	
                        	**type**\:   :py:class:`Query <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Querier.Tcn.Query>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.query = Native.Ip.Igmp.Snooping.Querier.Tcn.Query()
                            self.query.parent = self


                        class Query(object):
                            """
                            
                            
                            .. attribute:: count
                            
                            	IGMP querier TCN query count
                            	**type**\:  int
                            
                            	**range:** 1..10
                            
                            .. attribute:: interval
                            
                            	IGMP querier TCN query interval (sec)
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.count = None
                                self.interval = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-igmp:igmp/Cisco-IOS-XE-igmp:snooping/Cisco-IOS-XE-igmp:querier/Cisco-IOS-XE-igmp:tcn/Cisco-IOS-XE-igmp:query'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.count is not None:
                                    return True

                                if self.interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Igmp.Snooping.Querier.Tcn.Query']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-igmp:igmp/Cisco-IOS-XE-igmp:snooping/Cisco-IOS-XE-igmp:querier/Cisco-IOS-XE-igmp:tcn'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.query is not None and self.query._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Igmp.Snooping.Querier.Tcn']['meta_info']


                    class Timer(object):
                        """
                        IGMP other querier timer
                        
                        .. attribute:: expiry
                        
                        	IGMP querier other querier time out (sec)
                        	**type**\:  int
                        
                        	**range:** 60..300
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.expiry = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-igmp:igmp/Cisco-IOS-XE-igmp:snooping/Cisco-IOS-XE-igmp:querier/Cisco-IOS-XE-igmp:timer'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.expiry is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Igmp.Snooping.Querier.Timer']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-igmp:igmp/Cisco-IOS-XE-igmp:snooping/Cisco-IOS-XE-igmp:querier'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.address is not None:
                            return True

                        if self.max_response_time is not None:
                            return True

                        if self.query_interval is not None:
                            return True

                        if self.tcn is not None and self.tcn._has_data():
                            return True

                        if self.timer is not None and self.timer._has_data():
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Igmp.Snooping.Querier']['meta_info']


                class Tcn(object):
                    """
                    Topology change notification configuration
                    
                    .. attribute:: flood
                    
                    	TCN flooding configuration
                    	**type**\:   :py:class:`Flood <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Tcn.Flood>`
                    
                    .. attribute:: query
                    
                    	TCN query configuration
                    	**type**\:   :py:class:`Query <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Tcn.Query>`
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.flood = Native.Ip.Igmp.Snooping.Tcn.Flood()
                        self.flood.parent = self
                        self.query = Native.Ip.Igmp.Snooping.Tcn.Query()
                        self.query.parent = self


                    class Flood(object):
                        """
                        TCN flooding configuration
                        
                        .. attribute:: query
                        
                        	TCN flooding query configuration
                        	**type**\:   :py:class:`Query <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Tcn.Flood.Query>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.query = Native.Ip.Igmp.Snooping.Tcn.Flood.Query()
                            self.query.parent = self


                        class Query(object):
                            """
                            TCN flooding query configuration
                            
                            .. attribute:: count
                            
                            	Count
                            	**type**\:  int
                            
                            	**range:** 1..10
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.count = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-igmp:igmp/Cisco-IOS-XE-igmp:snooping/Cisco-IOS-XE-igmp:tcn/Cisco-IOS-XE-igmp:flood/Cisco-IOS-XE-igmp:query'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.count is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Igmp.Snooping.Tcn.Flood.Query']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-igmp:igmp/Cisco-IOS-XE-igmp:snooping/Cisco-IOS-XE-igmp:tcn/Cisco-IOS-XE-igmp:flood'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.query is not None and self.query._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Igmp.Snooping.Tcn.Flood']['meta_info']


                    class Query(object):
                        """
                        TCN query configuration
                        
                        .. attribute:: solicit
                        
                        	Solicit an IGMP general query
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.solicit = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-igmp:igmp/Cisco-IOS-XE-igmp:snooping/Cisco-IOS-XE-igmp:tcn/Cisco-IOS-XE-igmp:query'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.solicit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Igmp.Snooping.Tcn.Query']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-igmp:igmp/Cisco-IOS-XE-igmp:snooping/Cisco-IOS-XE-igmp:tcn'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.flood is not None and self.flood._has_data():
                            return True

                        if self.query is not None and self.query._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Igmp.Snooping.Tcn']['meta_info']


                class Vlan(object):
                    """
                    IGMP Snooping enable for Catalyst VLAN
                    
                    .. attribute:: range
                    
                    	
                    	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Vlan.Range>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.range = YList()
                        self.range.parent = self
                        self.range.name = 'range'


                    class Range(object):
                        """
                        
                        
                        .. attribute:: range  <key>
                        
                        	Vlan number
                        	**type**\:  int
                        
                        	**range:** 1..1001 \| 1006..4094
                        
                        .. attribute:: immediate_leave
                        
                        	Enable IGMPv2 immediate leave processing
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: last_member_query_count
                        
                        	Interval (milliseconds)
                        	**type**\:  int
                        
                        	**range:** 1..7
                        
                        .. attribute:: last_member_query_interval
                        
                        	Interval (milliseconds)
                        	**type**\:  int
                        
                        	**range:** 100..32767
                        
                        .. attribute:: mrouter
                        
                        	Configure an L2 port as a multicast router port
                        	**type**\:   :py:class:`Mrouter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter>`
                        
                        .. attribute:: querier
                        
                        	Enable IGMP querier for this Vlan
                        	**type**\:   :py:class:`Querier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Vlan.Range.Querier>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: robustness_variable
                        
                        	Robustness variable
                        	**type**\:  int
                        
                        	**range:** 1..3
                        
                        .. attribute:: static
                        
                        	Configure an L2 port as a member of a group
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Vlan.Range.Static>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.range = None
                            self.immediate_leave = None
                            self.last_member_query_count = None
                            self.last_member_query_interval = None
                            self.mrouter = Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter()
                            self.mrouter.parent = self
                            self.querier = None
                            self.robustness_variable = None
                            self.static = Native.Ip.Igmp.Snooping.Vlan.Range.Static()
                            self.static.parent = self


                        class Mrouter(object):
                            """
                            Configure an L2 port as a multicast router port
                            
                            .. attribute:: interface
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: learn
                            
                            	Set the multicast router learning method
                            	**type**\:   :py:class:`Learn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter.Learn>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interface = None
                                self.learn = Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter.Learn()
                                self.learn.parent = self


                            class Learn(object):
                                """
                                Set the multicast router learning method
                                
                                .. attribute:: cgmp
                                
                                	Learn the multicast router snooping CGMP packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: pim_dvmrp
                                
                                	Learn the multicast router snooping PIM\-DVMRP packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cgmp = None
                                    self.pim_dvmrp = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:learn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cgmp is not None:
                                        return True

                                    if self.pim_dvmrp is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter.Learn']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:mrouter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interface is not None:
                                    return True

                                if self.learn is not None and self.learn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter']['meta_info']


                        class Querier(object):
                            """
                            Enable IGMP querier for this Vlan
                            
                            .. attribute:: address
                            
                            	IGMP querier source IP address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: max_response_time
                            
                            	IGMP querier maximum response time (sec)
                            	**type**\:  int
                            
                            	**range:** 1..25
                            
                            .. attribute:: query_interval
                            
                            	IGMP querier query interval (sec)
                            	**type**\:  int
                            
                            	**range:** 1..18000
                            
                            .. attribute:: tcn
                            
                            	IGMP querier TCN related parameters
                            	**type**\:   :py:class:`Tcn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn>`
                            
                            .. attribute:: timer
                            
                            	IGMP other querier timer
                            	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Timer>`
                            
                            .. attribute:: version
                            
                            	IGMP version
                            	**type**\:  int
                            
                            	**range:** 1..2
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.address = None
                                self.max_response_time = None
                                self.query_interval = None
                                self.tcn = Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn()
                                self.tcn.parent = self
                                self.timer = Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Timer()
                                self.timer.parent = self
                                self.version = None


                            class Tcn(object):
                                """
                                IGMP querier TCN related parameters
                                
                                .. attribute:: query
                                
                                	IGMP querier TCN query related parameters
                                	**type**\:   :py:class:`Query <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn.Query>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.query = Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn.Query()
                                    self.query.parent = self


                                class Query(object):
                                    """
                                    IGMP querier TCN query related parameters
                                    
                                    .. attribute:: count
                                    
                                    	IGMP querier TCN query count
                                    	**type**\:  int
                                    
                                    	**range:** 1..10
                                    
                                    .. attribute:: interval
                                    
                                    	IGMP querier TCN query interval (sec)
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.count = None
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:query'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.count is not None:
                                            return True

                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn.Query']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:tcn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.query is not None and self.query._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn']['meta_info']


                            class Timer(object):
                                """
                                IGMP other querier timer
                                
                                .. attribute:: expiry
                                
                                	IGMP querier other querier time out (sec)
                                	**type**\:  int
                                
                                	**range:** 60..300
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.expiry = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:timer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.expiry is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Timer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:querier'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.address is not None:
                                    return True

                                if self.max_response_time is not None:
                                    return True

                                if self.query_interval is not None:
                                    return True

                                if self.tcn is not None and self.tcn._has_data():
                                    return True

                                if self.timer is not None and self.timer._has_data():
                                    return True

                                if self.version is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Igmp.Snooping.Vlan.Range.Querier']['meta_info']


                        class Static(object):
                            """
                            Configure an L2 port as a member of a group
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Vlan.Range.Static.Ipv4>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = YList()
                                self.ipv4.parent = self
                                self.ipv4.name = 'ipv4'


                            class Ipv4(object):
                                """
                                
                                
                                .. attribute:: ipv4  <key>
                                
                                	IP address of the group
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None
                                    self.interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ipv4 is None:
                                        raise YPYModelError('Key property ipv4 is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:ipv4[Cisco-IOS-XE-switch:ipv4 = ' + str(self.ipv4) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Igmp.Snooping.Vlan.Range.Static.Ipv4']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None:
                                    for child_ref in self.ipv4:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Igmp.Snooping.Vlan.Range.Static']['meta_info']

                        @property
                        def _common_path(self):
                            if self.range is None:
                                raise YPYModelError('Key property range is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-igmp:igmp/Cisco-IOS-XE-igmp:snooping/Cisco-IOS-XE-switch:vlan/Cisco-IOS-XE-switch:range[Cisco-IOS-XE-switch:range = ' + str(self.range) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.range is not None:
                                return True

                            if self.immediate_leave is not None:
                                return True

                            if self.last_member_query_count is not None:
                                return True

                            if self.last_member_query_interval is not None:
                                return True

                            if self.mrouter is not None and self.mrouter._has_data():
                                return True

                            if self.querier is not None and self.querier._has_data():
                                return True

                            if self.robustness_variable is not None:
                                return True

                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Igmp.Snooping.Vlan.Range']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-igmp:igmp/Cisco-IOS-XE-igmp:snooping/Cisco-IOS-XE-switch:vlan'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.range is not None:
                            for child_ref in self.range:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Igmp.Snooping.Vlan']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-igmp:igmp/Cisco-IOS-XE-igmp:snooping'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.check is not None and self.check._has_data():
                        return True

                    if self.explicit_tracking is not None and self.explicit_tracking._has_data():
                        return True

                    if self.l2_entry_limit is not None:
                        return True

                    if self.last_member_query_count is not None:
                        return True

                    if self.last_member_query_interval is not None:
                        return True

                    if self.querier is not None and self.querier._has_data():
                        return True

                    if self.report_suppression is not None:
                        return True

                    if self.robustness_variable is not None:
                        return True

                    if self.tcn is not None and self.tcn._has_data():
                        return True

                    if self.vlan is not None and self.vlan._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Igmp.Snooping']['meta_info']


            class SsmMap(object):
                """
                SSM mapping commands
                
                .. attribute:: enable
                
                	Enable SSM group to source mapping
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: query
                
                	Which database should we query for the source
                	**type**\:   :py:class:`Query <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.SsmMap.Query>`
                
                .. attribute:: static
                
                	SSM static group to source mapping
                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.SsmMap.Static>`
                
                

                """

                _prefix = 'ios-igmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None
                    self.query = Native.Ip.Igmp.SsmMap.Query()
                    self.query.parent = self
                    self.static = Native.Ip.Igmp.SsmMap.Static()
                    self.static.parent = self


                class Query(object):
                    """
                    Which database should we query for the source
                    
                    .. attribute:: dns
                    
                    	Use DNS for source lookup
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dns = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-igmp:igmp/Cisco-IOS-XE-igmp:ssm-map/Cisco-IOS-XE-igmp:query'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dns is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Igmp.SsmMap.Query']['meta_info']


                class Static(object):
                    """
                    SSM static group to source mapping
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..99
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: source_ip
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acl = None
                        self.source_ip = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-igmp:igmp/Cisco-IOS-XE-igmp:ssm-map/Cisco-IOS-XE-igmp:static'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acl is not None:
                            return True

                        if self.source_ip is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Igmp.SsmMap.Static']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-igmp:igmp/Cisco-IOS-XE-igmp:ssm-map'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    if self.query is not None and self.query._has_data():
                        return True

                    if self.static is not None and self.static._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Igmp.SsmMap']['meta_info']


            class Vrf(object):
                """
                Select VPN Routing/Forwarding instance
                
                .. attribute:: name  <key>
                
                	VPN Routing/Forwarding instance name
                	**type**\:  str
                
                .. attribute:: ssm_map
                
                	SSM mapping commands
                	**type**\:   :py:class:`SsmMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Vrf.SsmMap>`
                
                

                """

                _prefix = 'ios-igmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.ssm_map = Native.Ip.Igmp.Vrf.SsmMap()
                    self.ssm_map.parent = self


                class SsmMap(object):
                    """
                    SSM mapping commands
                    
                    .. attribute:: enable
                    
                    	Enable SSM group to source mapping
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: static
                    
                    	SSM static group to source mapping
                    	**type**\: list of    :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Vrf.SsmMap.Static>`
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enable = None
                        self.static = YList()
                        self.static.parent = self
                        self.static.name = 'static'


                    class Static(object):
                        """
                        SSM static group to source mapping
                        
                        .. attribute:: srcaddress  <key>
                        
                        	SSM source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: aclname
                        
                        	SSM group named access list
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.srcaddress = None
                            self.aclname = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.srcaddress is None:
                                raise YPYModelError('Key property srcaddress is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-igmp:static[Cisco-IOS-XE-igmp:srcaddress = ' + str(self.srcaddress) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.srcaddress is not None:
                                return True

                            if self.aclname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Igmp.Vrf.SsmMap.Static']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-igmp:ssm-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enable is not None:
                            return True

                        if self.static is not None:
                            for child_ref in self.static:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Igmp.Vrf.SsmMap']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-igmp:igmp/Cisco-IOS-XE-igmp:vrf[Cisco-IOS-XE-igmp:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.ssm_map is not None and self.ssm_map._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Igmp.Vrf']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-igmp:igmp'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.snooping is not None and self.snooping._has_data():
                    return True

                if self.snooping_conf is not None and self.snooping_conf._has_data():
                    return True

                if self.ssm_map is not None and self.ssm_map._has_data():
                    return True

                if self.vrf is not None:
                    for child_ref in self.vrf:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Igmp']['meta_info']


        class Msdp(object):
            """
            MSDP global commands
            
            .. attribute:: cache_rejected_sa
            
            	Store rejected SAs from all peers
            	**type**\:  int
            
            	**range:** 1..32766
            
            .. attribute:: cache_sa_state
            
            	Configure this system to cache SA state
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: default_peer
            
            	Default MSDP peer to accept SA messages from
            	**type**\:   :py:class:`DefaultPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.DefaultPeer>`
            
            .. attribute:: description
            
            	Peer specific description
            	**type**\:   :py:class:`Description <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Description>`
            
            .. attribute:: filter_sa_request
            
            	Filter SA\-Requests from peer
            	**type**\:   :py:class:`FilterSaRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.FilterSaRequest>`
            
            .. attribute:: keepalive
            
            	Configure keepalive parameters for a peer
            	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Keepalive>`
            
            .. attribute:: mesh_group
            
            	Configure an MSDP mesh\-group
            	**type**\:   :py:class:`MeshGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.MeshGroup>`
            
            .. attribute:: originator_id
            
            	Configure MSDP Originator ID
            	**type**\:  str
            
            .. attribute:: password
            
            	Configure an MSDP password
            	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Password>`
            
            .. attribute:: peer
            
            	Configure an MSDP peer
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Peer>`
            
            .. attribute:: redistribute
            
            	Inject multicast route entries into MSDP
            	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Redistribute>`
            
            .. attribute:: rpf
            
            	MSDP rpf
            	**type**\:   :py:class:`RpfEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.RpfEnum>`
            
            .. attribute:: sa_filter
            
            	Filter SA messages from peer
            	**type**\:   :py:class:`SaFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.SaFilter>`
            
            .. attribute:: sa_limit
            
            	Configure SA limit for a peer
            	**type**\:   :py:class:`SaLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.SaLimit>`
            
            .. attribute:: shutdown
            
            	Administratively shutdown MSDP peer
            	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Shutdown>`
            
            .. attribute:: timer
            
            	MSDP timer
            	**type**\:  int
            
            	**range:** 1..60
            
            .. attribute:: ttl_threshold
            
            	Configure TTL Threshold for MSDP Peer
            	**type**\:   :py:class:`TtlThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.TtlThreshold>`
            
            .. attribute:: vrf
            
            	Select VPN Routing/Forwarding instance
            	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf>`
            
            

            """

            _prefix = 'ios-mc'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.cache_rejected_sa = None
                self.cache_sa_state = None
                self.default_peer = Native.Ip.Msdp.DefaultPeer()
                self.default_peer.parent = self
                self.description = Native.Ip.Msdp.Description()
                self.description.parent = self
                self.filter_sa_request = Native.Ip.Msdp.FilterSaRequest()
                self.filter_sa_request.parent = self
                self.keepalive = Native.Ip.Msdp.Keepalive()
                self.keepalive.parent = self
                self.mesh_group = Native.Ip.Msdp.MeshGroup()
                self.mesh_group.parent = self
                self.originator_id = None
                self.password = Native.Ip.Msdp.Password()
                self.password.parent = self
                self.peer = Native.Ip.Msdp.Peer()
                self.peer.parent = self
                self.redistribute = Native.Ip.Msdp.Redistribute()
                self.redistribute.parent = self
                self.rpf = None
                self.sa_filter = Native.Ip.Msdp.SaFilter()
                self.sa_filter.parent = self
                self.sa_limit = Native.Ip.Msdp.SaLimit()
                self.sa_limit.parent = self
                self.shutdown = Native.Ip.Msdp.Shutdown()
                self.shutdown.parent = self
                self.timer = None
                self.ttl_threshold = Native.Ip.Msdp.TtlThreshold()
                self.ttl_threshold.parent = self
                self.vrf = YList()
                self.vrf.parent = self
                self.vrf.name = 'vrf'

            class RpfEnum(Enum):
                """
                RpfEnum

                MSDP rpf

                .. data:: rfc3618 = 0

                """

                rfc3618 = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Msdp.RpfEnum']



            class Peer(object):
                """
                Configure an MSDP peer
                
                .. attribute:: addr
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: connect_source
                
                	Configure source address used for MSDP connection
                	**type**\:  str
                
                .. attribute:: remote_as
                
                	Configured AS number
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.addr = None
                    self.connect_source = None
                    self.remote_as = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-multicast:msdp/Cisco-IOS-XE-multicast:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.addr is not None:
                        return True

                    if self.connect_source is not None:
                        return True

                    if self.remote_as is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Msdp.Peer']['meta_info']


            class DefaultPeer(object):
                """
                Default MSDP peer to accept SA messages from
                
                .. attribute:: name_addr
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: prefix_list
                
                	Prefix list
                	**type**\:  str
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name_addr = None
                    self.prefix_list = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-multicast:msdp/Cisco-IOS-XE-multicast:default-peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name_addr is not None:
                        return True

                    if self.prefix_list is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Msdp.DefaultPeer']['meta_info']


            class Description(object):
                """
                Peer specific description
                
                .. attribute:: description
                
                	
                	**type**\:  str
                
                .. attribute:: name_addr
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.description = None
                    self.name_addr = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-multicast:msdp/Cisco-IOS-XE-multicast:description'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.description is not None:
                        return True

                    if self.name_addr is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Msdp.Description']['meta_info']


            class FilterSaRequest(object):
                """
                Filter SA\-Requests from peer
                
                .. attribute:: list
                
                	Access\-list
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..99
                
                
                ----
                	**type**\:  int
                
                	**range:** 1300..1999
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: name_addr
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.list = None
                    self.name_addr = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-multicast:msdp/Cisco-IOS-XE-multicast:filter-sa-request'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.list is not None:
                        return True

                    if self.name_addr is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Msdp.FilterSaRequest']['meta_info']


            class Keepalive(object):
                """
                Configure keepalive parameters for a peer
                
                .. attribute:: keepalive
                
                	Send keepalive period in seconds
                	**type**\:  int
                
                	**range:** 1..60
                
                .. attribute:: max_wait
                
                	Maximum time in seconds to wait for a message
                	**type**\:  int
                
                	**range:** 1..75
                
                .. attribute:: name_addr
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None
                    self.max_wait = None
                    self.name_addr = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-multicast:msdp/Cisco-IOS-XE-multicast:keepalive'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None:
                        return True

                    if self.max_wait is not None:
                        return True

                    if self.name_addr is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Msdp.Keepalive']['meta_info']


            class MeshGroup(object):
                """
                Configure an MSDP mesh\-group
                
                .. attribute:: addr
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: name
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.addr = None
                    self.name = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-multicast:msdp/Cisco-IOS-XE-multicast:mesh-group'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.addr is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Msdp.MeshGroup']['meta_info']


            class Password(object):
                """
                Configure an MSDP password
                
                .. attribute:: peer
                
                	MSDP peer on which the password is to be set
                	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Password.Peer>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.peer = Native.Ip.Msdp.Password.Peer()
                    self.peer.parent = self


                class Peer(object):
                    """
                    MSDP peer on which the password is to be set
                    
                    .. attribute:: addr
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: encryption
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: password
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.addr = None
                        self.encryption = None
                        self.password = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-multicast:msdp/Cisco-IOS-XE-multicast:password/Cisco-IOS-XE-multicast:peer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.addr is not None:
                            return True

                        if self.encryption is not None:
                            return True

                        if self.password is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Msdp.Password.Peer']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-multicast:msdp/Cisco-IOS-XE-multicast:password'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.peer is not None and self.peer._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Msdp.Password']['meta_info']


            class Redistribute(object):
                """
                Inject multicast route entries into MSDP
                
                .. attribute:: asn
                
                	AS access\-list
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: list
                
                	Access\-list
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 100..199
                
                
                ----
                	**type**\:  int
                
                	**range:** 2000..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: route_map
                
                	Route\-map
                	**type**\:  str
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.asn = None
                    self.list = None
                    self.route_map = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-multicast:msdp/Cisco-IOS-XE-multicast:redistribute'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.asn is not None:
                        return True

                    if self.list is not None:
                        return True

                    if self.route_map is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Msdp.Redistribute']['meta_info']


            class SaFilter(object):
                """
                Filter SA messages from peer
                
                .. attribute:: in_
                
                	Enable incoming SA filtering
                	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.SaFilter.In_>`
                
                .. attribute:: out
                
                	Enable outgoing SA filtering
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.SaFilter.Out>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = Native.Ip.Msdp.SaFilter.In_()
                    self.in_.parent = self
                    self.out = Native.Ip.Msdp.SaFilter.Out()
                    self.out.parent = self


                class In_(object):
                    """
                    Enable incoming SA filtering
                    
                    .. attribute:: addr
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: list
                    
                    	Access list
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 100..199
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 2000..2699
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    .. attribute:: route_map
                    
                    	Route map
                    	**type**\:  str
                    
                    .. attribute:: rp_list
                    
                    	Access\-list for originating RP
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..99
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: rp_route_map
                    
                    	Route map for originating RP
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.addr = None
                        self.list = None
                        self.route_map = None
                        self.rp_list = None
                        self.rp_route_map = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-multicast:msdp/Cisco-IOS-XE-multicast:sa-filter/Cisco-IOS-XE-multicast:in'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.addr is not None:
                            return True

                        if self.list is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        if self.rp_list is not None:
                            return True

                        if self.rp_route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Msdp.SaFilter.In_']['meta_info']


                class Out(object):
                    """
                    Enable outgoing SA filtering
                    
                    .. attribute:: addr
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: list
                    
                    	Access list
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 100..199
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 2000..2699
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    .. attribute:: route_map
                    
                    	Route map
                    	**type**\:  str
                    
                    .. attribute:: rp_list
                    
                    	Access\-list for originating RP
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..99
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: rp_route_map
                    
                    	Route map for originating RP
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.addr = None
                        self.list = None
                        self.route_map = None
                        self.rp_list = None
                        self.rp_route_map = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-multicast:msdp/Cisco-IOS-XE-multicast:sa-filter/Cisco-IOS-XE-multicast:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.addr is not None:
                            return True

                        if self.list is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        if self.rp_list is not None:
                            return True

                        if self.rp_route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Msdp.SaFilter.Out']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-multicast:msdp/Cisco-IOS-XE-multicast:sa-filter'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None and self.in_._has_data():
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Msdp.SaFilter']['meta_info']


            class SaLimit(object):
                """
                Configure SA limit for a peer
                
                .. attribute:: limit
                
                	Limit of SAs
                	**type**\:  int
                
                	**range:** 1..2147483646
                
                .. attribute:: name_addr
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.limit = None
                    self.name_addr = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-multicast:msdp/Cisco-IOS-XE-multicast:sa-limit'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.limit is not None:
                        return True

                    if self.name_addr is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Msdp.SaLimit']['meta_info']


            class Shutdown(object):
                """
                Administratively shutdown MSDP peer
                
                .. attribute:: name_addr
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name_addr = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-multicast:msdp/Cisco-IOS-XE-multicast:shutdown'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name_addr is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Msdp.Shutdown']['meta_info']


            class TtlThreshold(object):
                """
                Configure TTL Threshold for MSDP Peer
                
                .. attribute:: name_addr
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: threshold
                
                	TTL Threshold Value
                	**type**\:  int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name_addr = None
                    self.threshold = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-multicast:msdp/Cisco-IOS-XE-multicast:ttl-threshold'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name_addr is not None:
                        return True

                    if self.threshold is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Msdp.TtlThreshold']['meta_info']


            class Vrf(object):
                """
                Select VPN Routing/Forwarding instance
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: cache_rejected_sa
                
                	Store rejected SAs from all peers
                	**type**\:  int
                
                	**range:** 1..32766
                
                .. attribute:: cache_sa_state
                
                	Configure this system to cache SA state
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: default_peer
                
                	Default MSDP peer to accept SA messages from
                	**type**\:   :py:class:`DefaultPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.DefaultPeer>`
                
                .. attribute:: description
                
                	Peer specific description
                	**type**\:   :py:class:`Description <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.Description>`
                
                .. attribute:: filter_sa_request
                
                	Filter SA\-Requests from peer
                	**type**\:   :py:class:`FilterSaRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.FilterSaRequest>`
                
                .. attribute:: keepalive
                
                	Configure keepalive parameters for a peer
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.Keepalive>`
                
                .. attribute:: mesh_group
                
                	Configure an MSDP mesh\-group
                	**type**\:   :py:class:`MeshGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.MeshGroup>`
                
                .. attribute:: originator_id
                
                	Configure MSDP Originator ID
                	**type**\:  str
                
                .. attribute:: password
                
                	Configure an MSDP password
                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.Password>`
                
                .. attribute:: peer
                
                	Configure an MSDP peer
                	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.Peer>`
                
                .. attribute:: redistribute
                
                	Inject multicast route entries into MSDP
                	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.Redistribute>`
                
                .. attribute:: rpf
                
                	MSDP rpf
                	**type**\:   :py:class:`RpfEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.RpfEnum>`
                
                .. attribute:: sa_filter
                
                	Filter SA messages from peer
                	**type**\:   :py:class:`SaFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.SaFilter>`
                
                .. attribute:: sa_limit
                
                	Configure SA limit for a peer
                	**type**\:   :py:class:`SaLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.SaLimit>`
                
                .. attribute:: shutdown
                
                	Administratively shutdown MSDP peer
                	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.Shutdown>`
                
                .. attribute:: timer
                
                	MSDP timer
                	**type**\:  int
                
                	**range:** 1..60
                
                .. attribute:: ttl_threshold
                
                	Configure TTL Threshold for MSDP Peer
                	**type**\:   :py:class:`TtlThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.TtlThreshold>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.cache_rejected_sa = None
                    self.cache_sa_state = None
                    self.default_peer = Native.Ip.Msdp.Vrf.DefaultPeer()
                    self.default_peer.parent = self
                    self.description = Native.Ip.Msdp.Vrf.Description()
                    self.description.parent = self
                    self.filter_sa_request = Native.Ip.Msdp.Vrf.FilterSaRequest()
                    self.filter_sa_request.parent = self
                    self.keepalive = Native.Ip.Msdp.Vrf.Keepalive()
                    self.keepalive.parent = self
                    self.mesh_group = Native.Ip.Msdp.Vrf.MeshGroup()
                    self.mesh_group.parent = self
                    self.originator_id = None
                    self.password = Native.Ip.Msdp.Vrf.Password()
                    self.password.parent = self
                    self.peer = Native.Ip.Msdp.Vrf.Peer()
                    self.peer.parent = self
                    self.redistribute = Native.Ip.Msdp.Vrf.Redistribute()
                    self.redistribute.parent = self
                    self.rpf = None
                    self.sa_filter = Native.Ip.Msdp.Vrf.SaFilter()
                    self.sa_filter.parent = self
                    self.sa_limit = Native.Ip.Msdp.Vrf.SaLimit()
                    self.sa_limit.parent = self
                    self.shutdown = Native.Ip.Msdp.Vrf.Shutdown()
                    self.shutdown.parent = self
                    self.timer = None
                    self.ttl_threshold = Native.Ip.Msdp.Vrf.TtlThreshold()
                    self.ttl_threshold.parent = self

                class RpfEnum(Enum):
                    """
                    RpfEnum

                    MSDP rpf

                    .. data:: rfc3618 = 0

                    """

                    rfc3618 = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Msdp.Vrf.RpfEnum']



                class Peer(object):
                    """
                    Configure an MSDP peer
                    
                    .. attribute:: addr
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: connect_source
                    
                    	Configure source address used for MSDP connection
                    	**type**\:  str
                    
                    .. attribute:: remote_as
                    
                    	Configured AS number
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.addr = None
                        self.connect_source = None
                        self.remote_as = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:peer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.addr is not None:
                            return True

                        if self.connect_source is not None:
                            return True

                        if self.remote_as is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Msdp.Vrf.Peer']['meta_info']


                class DefaultPeer(object):
                    """
                    Default MSDP peer to accept SA messages from
                    
                    .. attribute:: name_addr
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: prefix_list
                    
                    	Prefix list
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name_addr = None
                        self.prefix_list = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:default-peer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name_addr is not None:
                            return True

                        if self.prefix_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Msdp.Vrf.DefaultPeer']['meta_info']


                class Description(object):
                    """
                    Peer specific description
                    
                    .. attribute:: description
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: name_addr
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.description = None
                        self.name_addr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:description'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.description is not None:
                            return True

                        if self.name_addr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Msdp.Vrf.Description']['meta_info']


                class FilterSaRequest(object):
                    """
                    Filter SA\-Requests from peer
                    
                    .. attribute:: list
                    
                    	Access\-list
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..99
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 1300..1999
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    .. attribute:: name_addr
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.list = None
                        self.name_addr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:filter-sa-request'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.list is not None:
                            return True

                        if self.name_addr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Msdp.Vrf.FilterSaRequest']['meta_info']


                class Keepalive(object):
                    """
                    Configure keepalive parameters for a peer
                    
                    .. attribute:: keepalive
                    
                    	Send keepalive period in seconds
                    	**type**\:  int
                    
                    	**range:** 1..60
                    
                    .. attribute:: max_wait
                    
                    	Maximum time in seconds to wait for a message
                    	**type**\:  int
                    
                    	**range:** 1..75
                    
                    .. attribute:: name_addr
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.keepalive = None
                        self.max_wait = None
                        self.name_addr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.keepalive is not None:
                            return True

                        if self.max_wait is not None:
                            return True

                        if self.name_addr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Msdp.Vrf.Keepalive']['meta_info']


                class MeshGroup(object):
                    """
                    Configure an MSDP mesh\-group
                    
                    .. attribute:: addr
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: name
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.addr = None
                        self.name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:mesh-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.addr is not None:
                            return True

                        if self.name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Msdp.Vrf.MeshGroup']['meta_info']


                class Password(object):
                    """
                    Configure an MSDP password
                    
                    .. attribute:: peer
                    
                    	MSDP peer on which the password is to be set
                    	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.Password.Peer>`
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.peer = Native.Ip.Msdp.Vrf.Password.Peer()
                        self.peer.parent = self


                    class Peer(object):
                        """
                        MSDP peer on which the password is to be set
                        
                        .. attribute:: addr
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: encryption
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: password
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.addr = None
                            self.encryption = None
                            self.password = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:peer'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.addr is not None:
                                return True

                            if self.encryption is not None:
                                return True

                            if self.password is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Msdp.Vrf.Password.Peer']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:password'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.peer is not None and self.peer._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Msdp.Vrf.Password']['meta_info']


                class Redistribute(object):
                    """
                    Inject multicast route entries into MSDP
                    
                    .. attribute:: asn
                    
                    	AS access\-list
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: list
                    
                    	Access\-list
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 100..199
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 2000..2699
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    .. attribute:: route_map
                    
                    	Route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.asn = None
                        self.list = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:redistribute'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.asn is not None:
                            return True

                        if self.list is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Msdp.Vrf.Redistribute']['meta_info']


                class SaFilter(object):
                    """
                    Filter SA messages from peer
                    
                    .. attribute:: in_
                    
                    	Enable incoming SA filtering
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.SaFilter.In_>`
                    
                    .. attribute:: out
                    
                    	Enable outgoing SA filtering
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.SaFilter.Out>`
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Ip.Msdp.Vrf.SaFilter.In_()
                        self.in_.parent = self
                        self.out = Native.Ip.Msdp.Vrf.SaFilter.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        Enable incoming SA filtering
                        
                        .. attribute:: addr
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: list
                        
                        	Access list
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 100..199
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 2000..2699
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** [a\-zA\-Z].\*
                        
                        
                        ----
                        .. attribute:: route_map
                        
                        	Route map
                        	**type**\:  str
                        
                        .. attribute:: rp_list
                        
                        	Access\-list for originating RP
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..99
                        
                        
                        ----
                        	**type**\:  str
                        
                        
                        ----
                        .. attribute:: rp_route_map
                        
                        	Route map for originating RP
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.addr = None
                            self.list = None
                            self.route_map = None
                            self.rp_list = None
                            self.rp_route_map = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.addr is not None:
                                return True

                            if self.list is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            if self.rp_list is not None:
                                return True

                            if self.rp_route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Msdp.Vrf.SaFilter.In_']['meta_info']


                    class Out(object):
                        """
                        Enable outgoing SA filtering
                        
                        .. attribute:: addr
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: list
                        
                        	Access list
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 100..199
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 2000..2699
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** [a\-zA\-Z].\*
                        
                        
                        ----
                        .. attribute:: route_map
                        
                        	Route map
                        	**type**\:  str
                        
                        .. attribute:: rp_list
                        
                        	Access\-list for originating RP
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..99
                        
                        
                        ----
                        	**type**\:  str
                        
                        
                        ----
                        .. attribute:: rp_route_map
                        
                        	Route map for originating RP
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.addr = None
                            self.list = None
                            self.route_map = None
                            self.rp_list = None
                            self.rp_route_map = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.addr is not None:
                                return True

                            if self.list is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            if self.rp_list is not None:
                                return True

                            if self.rp_route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Msdp.Vrf.SaFilter.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:sa-filter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Msdp.Vrf.SaFilter']['meta_info']


                class SaLimit(object):
                    """
                    Configure SA limit for a peer
                    
                    .. attribute:: limit
                    
                    	Limit of SAs
                    	**type**\:  int
                    
                    	**range:** 1..2147483646
                    
                    .. attribute:: name_addr
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.limit = None
                        self.name_addr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:sa-limit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.limit is not None:
                            return True

                        if self.name_addr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Msdp.Vrf.SaLimit']['meta_info']


                class Shutdown(object):
                    """
                    Administratively shutdown MSDP peer
                    
                    .. attribute:: name_addr
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name_addr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:shutdown'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name_addr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Msdp.Vrf.Shutdown']['meta_info']


                class TtlThreshold(object):
                    """
                    Configure TTL Threshold for MSDP Peer
                    
                    .. attribute:: name_addr
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: threshold
                    
                    	TTL Threshold Value
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name_addr = None
                        self.threshold = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:ttl-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name_addr is not None:
                            return True

                        if self.threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Msdp.Vrf.TtlThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-multicast:msdp/Cisco-IOS-XE-multicast:vrf[Cisco-IOS-XE-multicast:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.cache_rejected_sa is not None:
                        return True

                    if self.cache_sa_state is not None:
                        return True

                    if self.default_peer is not None and self.default_peer._has_data():
                        return True

                    if self.description is not None and self.description._has_data():
                        return True

                    if self.filter_sa_request is not None and self.filter_sa_request._has_data():
                        return True

                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    if self.mesh_group is not None and self.mesh_group._has_data():
                        return True

                    if self.originator_id is not None:
                        return True

                    if self.password is not None and self.password._has_data():
                        return True

                    if self.peer is not None and self.peer._has_data():
                        return True

                    if self.redistribute is not None and self.redistribute._has_data():
                        return True

                    if self.rpf is not None:
                        return True

                    if self.sa_filter is not None and self.sa_filter._has_data():
                        return True

                    if self.sa_limit is not None and self.sa_limit._has_data():
                        return True

                    if self.shutdown is not None and self.shutdown._has_data():
                        return True

                    if self.timer is not None:
                        return True

                    if self.ttl_threshold is not None and self.ttl_threshold._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Msdp.Vrf']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-multicast:msdp'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.cache_rejected_sa is not None:
                    return True

                if self.cache_sa_state is not None:
                    return True

                if self.default_peer is not None and self.default_peer._has_data():
                    return True

                if self.description is not None and self.description._has_data():
                    return True

                if self.filter_sa_request is not None and self.filter_sa_request._has_data():
                    return True

                if self.keepalive is not None and self.keepalive._has_data():
                    return True

                if self.mesh_group is not None and self.mesh_group._has_data():
                    return True

                if self.originator_id is not None:
                    return True

                if self.password is not None and self.password._has_data():
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.redistribute is not None and self.redistribute._has_data():
                    return True

                if self.rpf is not None:
                    return True

                if self.sa_filter is not None and self.sa_filter._has_data():
                    return True

                if self.sa_limit is not None and self.sa_limit._has_data():
                    return True

                if self.shutdown is not None and self.shutdown._has_data():
                    return True

                if self.timer is not None:
                    return True

                if self.ttl_threshold is not None and self.ttl_threshold._has_data():
                    return True

                if self.vrf is not None:
                    for child_ref in self.vrf:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Msdp']['meta_info']


        class McrConf(object):
            """
            
            
            .. attribute:: multicast_routing
            
            	Enable IP multicast forwarding
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-mc'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.multicast_routing = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-multicast:mcr-conf'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.multicast_routing is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.McrConf']['meta_info']


        class MulticastRouting(object):
            """
            Enable IP multicast forwarding
            
            .. attribute:: distributed
            
            	Distributed multicast switching
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: vrf
            
            	Select VPN Routing/Forwarding instance
            	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.MulticastRouting.Vrf>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-mc'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.distributed = None
                self.vrf = YList()
                self.vrf.parent = self
                self.vrf.name = 'vrf'


            class Vrf(object):
                """
                Select VPN Routing/Forwarding instance
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: distributed
                
                	Distributed multicast switching
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.distributed = None

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-multicast:multicast-routing/Cisco-IOS-XE-multicast:vrf[Cisco-IOS-XE-multicast:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.distributed is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.MulticastRouting.Vrf']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-multicast:multicast-routing'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.distributed is not None:
                    return True

                if self.vrf is not None:
                    for child_ref in self.vrf:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.MulticastRouting']['meta_info']


        class Mroute(object):
            """
            Configure static multicast routes
            
            .. attribute:: source_address
            
            	
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: subnet_mask
            
            	
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: tunnel
            
            	Tunnel interface
            	**type**\:  int
            
            	**range:** 0..2147483647
            
            

            """

            _prefix = 'ios-mc'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.source_address = None
                self.subnet_mask = None
                self.tunnel = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-multicast:mroute'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.source_address is not None:
                    return True

                if self.subnet_mask is not None:
                    return True

                if self.tunnel is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Mroute']['meta_info']


        class Nat(object):
            """
            NAT configuration commands
            
            .. attribute:: inside
            
            	Inside address translation
            	**type**\:   :py:class:`Inside <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside>`
            
            .. attribute:: outside
            
            	Outside address translation
            	**type**\:   :py:class:`Outside <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Outside>`
            
            .. attribute:: pool
            
            	Define pool of addresses
            	**type**\: list of    :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Pool>`
            
            

            """

            _prefix = 'ios-nat'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.inside = Native.Ip.Nat.Inside()
                self.inside.parent = self
                self.outside = Native.Ip.Nat.Outside()
                self.outside.parent = self
                self.pool = YList()
                self.pool.parent = self
                self.pool.name = 'pool'


            class Pool(object):
                """
                Define pool of addresses
                
                .. attribute:: id  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: accounting
                
                	Specify the accounting
                	**type**\:  str
                
                .. attribute:: add_route
                
                	Add special route to Virtual Interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: arp_ping
                
                	WLAN ARP Ping
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: end_address
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: netmask
                
                	Specify the network mask
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: prefix_length
                
                	Specify the prefix length
                	**type**\:  int
                
                	**range:** 1..32
                
                .. attribute:: start_address
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: type
                
                	Specify the pool type
                	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Pool.TypeEnum>`
                
                

                """

                _prefix = 'ios-nat'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.accounting = None
                    self.add_route = None
                    self.arp_ping = None
                    self.end_address = None
                    self.netmask = None
                    self.prefix_length = None
                    self.start_address = None
                    self.type = None

                class TypeEnum(Enum):
                    """
                    TypeEnum

                    Specify the pool type

                    .. data:: match_host = 0

                    .. data:: rotary = 1

                    """

                    match_host = 0

                    rotary = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Nat.Pool.TypeEnum']


                @property
                def _common_path(self):
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nat:nat/Cisco-IOS-XE-nat:pool[Cisco-IOS-XE-nat:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.accounting is not None:
                        return True

                    if self.add_route is not None:
                        return True

                    if self.arp_ping is not None:
                        return True

                    if self.end_address is not None:
                        return True

                    if self.netmask is not None:
                        return True

                    if self.prefix_length is not None:
                        return True

                    if self.start_address is not None:
                        return True

                    if self.type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Nat.Pool']['meta_info']


            class Inside(object):
                """
                Inside address translation
                
                .. attribute:: destination
                
                	Destination address translation
                	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Destination>`
                
                .. attribute:: source
                
                	Source address translation
                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source>`
                
                

                """

                _prefix = 'ios-nat'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.destination = Native.Ip.Nat.Inside.Destination()
                    self.destination.parent = self
                    self.source = Native.Ip.Nat.Inside.Source()
                    self.source.parent = self


                class Source(object):
                    """
                    Source address translation
                    
                    .. attribute:: list
                    
                    	Specify access list describing local addresses
                    	**type**\: list of    :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.List>`
                    
                    .. attribute:: route_map
                    
                    	Specify route\-map
                    	**type**\: list of    :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap>`
                    
                    .. attribute:: static
                    
                    	Specify static local\->global mapping
                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.Static>`
                    
                    

                    """

                    _prefix = 'ios-nat'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.list = YList()
                        self.list.parent = self
                        self.list.name = 'list'
                        self.route_map = YList()
                        self.route_map.parent = self
                        self.route_map.name = 'route_map'
                        self.static = Native.Ip.Nat.Inside.Source.Static()
                        self.static.parent = self


                    class List(object):
                        """
                        Specify access list describing local addresses
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..2699
                        
                        
                        ----
                        	**type**\:  str
                        
                        
                        ----
                        .. attribute:: interface
                        
                        	Specify interface for global address
                        	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.List.Interface>`
                        
                        .. attribute:: mapping_id
                        
                        	Associate a mapping id to this mapping
                        	**type**\:  int
                        
                        	**range:** 1..2147483647
                        
                        .. attribute:: match_in_vrf
                        
                        	Match incoming vrf
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: no_payload
                        
                        	No translation of embedded address/port in the payload
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: oer
                        
                        	Use with vtemplate only. On new translation, if OER BR is UP, OER will select IP from outgoing Interface. All packets matching translation are forwarded over Interface for duration of translation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: overload
                        
                        	Overload an address translation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pool
                        
                        	Name pool of global addresses
                        	**type**\:  str
                        
                        .. attribute:: redundancy
                        
                        	NAT redundancy operation
                        	**type**\:  int
                        
                        	**range:** 1..2
                        
                        .. attribute:: reversible
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vrf
                        
                        	Specify vrf
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-nat'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.interface = Native.Ip.Nat.Inside.Source.List.Interface()
                            self.interface.parent = self
                            self.mapping_id = None
                            self.match_in_vrf = None
                            self.no_payload = None
                            self.oer = None
                            self.overload = None
                            self.pool = None
                            self.redundancy = None
                            self.reversible = None
                            self.vrf = None


                        class Interface(object):
                            """
                            Specify interface for global address
                            
                            .. attribute:: appnav_compress
                            
                            	Service\-Context Virtual Interface Compress
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: appnav_uncompress
                            
                            	Service\-Context Virtual Interface UnCompress
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: atm
                            
                            	ATM interface
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                            
                            .. attribute:: atm_acr
                            
                            	ATM\-ACR interface
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]
                            
                            .. attribute:: atm_acrsubinterface
                            
                            	
                            	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.List.Interface.AtmAcrsubinterface>`
                            
                            .. attribute:: atm_subinterface
                            
                            	
                            	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.List.Interface.AtmSubinterface>`
                            
                            .. attribute:: bdi
                            
                            	Bridge\-Domain interface
                            	**type**\:  str
                            
                            .. attribute:: cellular
                            
                            	Cellular Interface
                            	**type**\:  str
                            
                            .. attribute:: cem
                            
                            	CEM interface
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]
                            
                            .. attribute:: cem_acr
                            
                            	CEM\-ACR interface
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: embedded_service_engine
                            
                            	cisco embedded service engine module
                            	**type**\:  str
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:  int
                            
                            	**range:** 0..65520
                            
                            .. attribute:: lisp_subinterface
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.List.Interface.LispSubinterface>`
                            
                            .. attribute:: loopback
                            
                            	Loopback interface
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: multilink
                            
                            	Multilink\-group interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nve
                            
                            	Network virtualization endpoint interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: overlay
                            
                            	Overlay interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: port_channel_subinterface
                            
                            	
                            	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.List.Interface.PortChannelSubinterface>`
                            
                            .. attribute:: pseudowire
                            
                            	Pseudowire Interface
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: serial
                            
                            	Serial interface
                            	**type**\:  str
                            
                            .. attribute:: sm
                            
                            	SM Interface
                            	**type**\:  str
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: tunnel
                            
                            	Tunnel interface
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: vasileft
                            
                            	vasileft
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasiright
                            
                            	vasiright
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtual_template
                            
                            	Virtual Template interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtualportgroup
                            
                            	Virtual Port Group
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vlan
                            
                            	Iosxr Vlans
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-nat'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.appnav_compress = None
                                self.appnav_uncompress = None
                                self.atm = None
                                self.atm_acr = None
                                self.atm_acrsubinterface = Native.Ip.Nat.Inside.Source.List.Interface.AtmAcrsubinterface()
                                self.atm_acrsubinterface.parent = self
                                self.atm_subinterface = Native.Ip.Nat.Inside.Source.List.Interface.AtmSubinterface()
                                self.atm_subinterface.parent = self
                                self.bdi = None
                                self.cellular = None
                                self.cem = None
                                self.cem_acr = None
                                self.embedded_service_engine = None
                                self.fastethernet = None
                                self.gigabitethernet = None
                                self.lisp = None
                                self.lisp_subinterface = Native.Ip.Nat.Inside.Source.List.Interface.LispSubinterface()
                                self.lisp_subinterface.parent = self
                                self.loopback = None
                                self.multilink = None
                                self.nve = None
                                self.overlay = None
                                self.port_channel = None
                                self.port_channel_subinterface = Native.Ip.Nat.Inside.Source.List.Interface.PortChannelSubinterface()
                                self.port_channel_subinterface.parent = self
                                self.pseudowire = None
                                self.serial = None
                                self.sm = None
                                self.tengigabitethernet = None
                                self.tunnel = None
                                self.vasileft = None
                                self.vasiright = None
                                self.virtual_template = None
                                self.virtualportgroup = None
                                self.vlan = None


                            class AtmSubinterface(object):
                                """
                                
                                
                                .. attribute:: atm
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.atm = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-nat:ATM-subinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.atm is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Nat.Inside.Source.List.Interface.AtmSubinterface']['meta_info']


                            class AtmAcrsubinterface(object):
                                """
                                
                                
                                .. attribute:: atm_acr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.atm_acr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-nat:ATM-ACRsubinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.atm_acr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Nat.Inside.Source.List.Interface.AtmAcrsubinterface']['meta_info']


                            class LispSubinterface(object):
                                """
                                Locator/ID Separation Protocol Virtual Interface
                                
                                .. attribute:: lisp
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                
                                

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lisp = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-nat:LISP-subinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lisp is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Nat.Inside.Source.List.Interface.LispSubinterface']['meta_info']


                            class PortChannelSubinterface(object):
                                """
                                
                                
                                .. attribute:: port_channel
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port_channel = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-nat:Port-channel-subinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port_channel is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Nat.Inside.Source.List.Interface.PortChannelSubinterface']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-nat:interface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.appnav_compress is not None:
                                    return True

                                if self.appnav_uncompress is not None:
                                    return True

                                if self.atm is not None:
                                    return True

                                if self.atm_acr is not None:
                                    return True

                                if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                    return True

                                if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                    return True

                                if self.bdi is not None:
                                    return True

                                if self.cellular is not None:
                                    return True

                                if self.cem is not None:
                                    return True

                                if self.cem_acr is not None:
                                    return True

                                if self.embedded_service_engine is not None:
                                    return True

                                if self.fastethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.lisp is not None:
                                    return True

                                if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                    return True

                                if self.loopback is not None:
                                    return True

                                if self.multilink is not None:
                                    return True

                                if self.nve is not None:
                                    return True

                                if self.overlay is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                    return True

                                if self.pseudowire is not None:
                                    return True

                                if self.serial is not None:
                                    return True

                                if self.sm is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.tunnel is not None:
                                    return True

                                if self.vasileft is not None:
                                    return True

                                if self.vasiright is not None:
                                    return True

                                if self.virtual_template is not None:
                                    return True

                                if self.virtualportgroup is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Nat.Inside.Source.List.Interface']['meta_info']

                        @property
                        def _common_path(self):
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nat:nat/Cisco-IOS-XE-nat:inside/Cisco-IOS-XE-nat:source/Cisco-IOS-XE-nat:list[Cisco-IOS-XE-nat:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.interface is not None and self.interface._has_data():
                                return True

                            if self.mapping_id is not None:
                                return True

                            if self.match_in_vrf is not None:
                                return True

                            if self.no_payload is not None:
                                return True

                            if self.oer is not None:
                                return True

                            if self.overload is not None:
                                return True

                            if self.pool is not None:
                                return True

                            if self.redundancy is not None:
                                return True

                            if self.reversible is not None:
                                return True

                            if self.vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Nat.Inside.Source.List']['meta_info']


                    class RouteMap(object):
                        """
                        Specify route\-map
                        
                        .. attribute:: route_map_name  <key>
                        
                        	Route\-map name
                        	**type**\:  str
                        
                        .. attribute:: interface
                        
                        	Specify interface for global address
                        	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap.Interface>`
                        
                        .. attribute:: oer
                        
                        	Use with vtemplate only.  On new translation, if OER BR is UP, OER will select IP from outgoing Interface. All packets matching translation are forwarded over Interface for duration of translation
                        	**type**\:   :py:class:`Oer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap.Oer>`
                        
                        .. attribute:: overload
                        
                        	Overload an address translation
                        	**type**\:   :py:class:`Overload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap.Overload>`
                        
                        .. attribute:: vrf
                        
                        	Specify vrf
                        	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-nat'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.route_map_name = None
                            self.interface = Native.Ip.Nat.Inside.Source.RouteMap.Interface()
                            self.interface.parent = self
                            self.oer = Native.Ip.Nat.Inside.Source.RouteMap.Oer()
                            self.oer.parent = self
                            self.overload = Native.Ip.Nat.Inside.Source.RouteMap.Overload()
                            self.overload.parent = self
                            self.vrf = YList()
                            self.vrf.parent = self
                            self.vrf.name = 'vrf'


                        class Interface(object):
                            """
                            Specify interface for global address
                            
                            .. attribute:: appnav_compress
                            
                            	Service\-Context Virtual Interface Compress
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: appnav_uncompress
                            
                            	Service\-Context Virtual Interface UnCompress
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: atm
                            
                            	ATM interface
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                            
                            .. attribute:: atm_acr
                            
                            	ATM\-ACR interface
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]
                            
                            .. attribute:: atm_acrsubinterface
                            
                            	
                            	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap.Interface.AtmAcrsubinterface>`
                            
                            .. attribute:: atm_subinterface
                            
                            	
                            	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap.Interface.AtmSubinterface>`
                            
                            .. attribute:: bdi
                            
                            	Bridge\-Domain interface
                            	**type**\:  str
                            
                            .. attribute:: cellular
                            
                            	Cellular Interface
                            	**type**\:  str
                            
                            .. attribute:: cem
                            
                            	CEM interface
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]
                            
                            .. attribute:: cem_acr
                            
                            	CEM\-ACR interface
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: embedded_service_engine
                            
                            	cisco embedded service engine module
                            	**type**\:  str
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:  int
                            
                            	**range:** 0..65520
                            
                            .. attribute:: lisp_subinterface
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap.Interface.LispSubinterface>`
                            
                            .. attribute:: loopback
                            
                            	Loopback interface
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: multilink
                            
                            	Multilink\-group interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nve
                            
                            	Network virtualization endpoint interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: overlay
                            
                            	Overlay interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: port_channel_subinterface
                            
                            	
                            	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap.Interface.PortChannelSubinterface>`
                            
                            .. attribute:: pseudowire
                            
                            	Pseudowire Interface
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: serial
                            
                            	Serial interface
                            	**type**\:  str
                            
                            .. attribute:: sm
                            
                            	SM Interface
                            	**type**\:  str
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: tunnel
                            
                            	Tunnel interface
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: vasileft
                            
                            	vasileft
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasiright
                            
                            	vasiright
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtual_template
                            
                            	Virtual Template interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtualportgroup
                            
                            	Virtual Port Group
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vlan
                            
                            	Iosxr Vlans
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-nat'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.appnav_compress = None
                                self.appnav_uncompress = None
                                self.atm = None
                                self.atm_acr = None
                                self.atm_acrsubinterface = Native.Ip.Nat.Inside.Source.RouteMap.Interface.AtmAcrsubinterface()
                                self.atm_acrsubinterface.parent = self
                                self.atm_subinterface = Native.Ip.Nat.Inside.Source.RouteMap.Interface.AtmSubinterface()
                                self.atm_subinterface.parent = self
                                self.bdi = None
                                self.cellular = None
                                self.cem = None
                                self.cem_acr = None
                                self.embedded_service_engine = None
                                self.fastethernet = None
                                self.gigabitethernet = None
                                self.lisp = None
                                self.lisp_subinterface = Native.Ip.Nat.Inside.Source.RouteMap.Interface.LispSubinterface()
                                self.lisp_subinterface.parent = self
                                self.loopback = None
                                self.multilink = None
                                self.nve = None
                                self.overlay = None
                                self.port_channel = None
                                self.port_channel_subinterface = Native.Ip.Nat.Inside.Source.RouteMap.Interface.PortChannelSubinterface()
                                self.port_channel_subinterface.parent = self
                                self.pseudowire = None
                                self.serial = None
                                self.sm = None
                                self.tengigabitethernet = None
                                self.tunnel = None
                                self.vasileft = None
                                self.vasiright = None
                                self.virtual_template = None
                                self.virtualportgroup = None
                                self.vlan = None


                            class AtmSubinterface(object):
                                """
                                
                                
                                .. attribute:: atm
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.atm = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-nat:ATM-subinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.atm is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Interface.AtmSubinterface']['meta_info']


                            class AtmAcrsubinterface(object):
                                """
                                
                                
                                .. attribute:: atm_acr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.atm_acr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-nat:ATM-ACRsubinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.atm_acr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Interface.AtmAcrsubinterface']['meta_info']


                            class LispSubinterface(object):
                                """
                                Locator/ID Separation Protocol Virtual Interface
                                
                                .. attribute:: lisp
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                
                                

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lisp = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-nat:LISP-subinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lisp is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Interface.LispSubinterface']['meta_info']


                            class PortChannelSubinterface(object):
                                """
                                
                                
                                .. attribute:: port_channel
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port_channel = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-nat:Port-channel-subinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port_channel is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Interface.PortChannelSubinterface']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-nat:interface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.appnav_compress is not None:
                                    return True

                                if self.appnav_uncompress is not None:
                                    return True

                                if self.atm is not None:
                                    return True

                                if self.atm_acr is not None:
                                    return True

                                if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                    return True

                                if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                    return True

                                if self.bdi is not None:
                                    return True

                                if self.cellular is not None:
                                    return True

                                if self.cem is not None:
                                    return True

                                if self.cem_acr is not None:
                                    return True

                                if self.embedded_service_engine is not None:
                                    return True

                                if self.fastethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.lisp is not None:
                                    return True

                                if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                    return True

                                if self.loopback is not None:
                                    return True

                                if self.multilink is not None:
                                    return True

                                if self.nve is not None:
                                    return True

                                if self.overlay is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                    return True

                                if self.pseudowire is not None:
                                    return True

                                if self.serial is not None:
                                    return True

                                if self.sm is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.tunnel is not None:
                                    return True

                                if self.vasileft is not None:
                                    return True

                                if self.vasiright is not None:
                                    return True

                                if self.virtual_template is not None:
                                    return True

                                if self.virtualportgroup is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Interface']['meta_info']


                        class Oer(object):
                            """
                            Use with vtemplate only.  On new translation,
                            if OER BR is UP, OER will select IP from outgoing Interface.
                            All packets matching translation are forwarded over
                            Interface for duration of translation.
                            
                            .. attribute:: extended
                            
                            	Overload extended
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: overload
                            
                            	Overload an address translation
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-nat'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.extended = None
                                self.overload = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-nat:oer'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.extended is not None:
                                    return True

                                if self.overload is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Oer']['meta_info']


                        class Overload(object):
                            """
                            Overload an address translation
                            
                            .. attribute:: extended
                            
                            	Overload extended
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: oer
                            
                            	Use with vtemplate only.  On new translation, if OER BR is UP, OER will select IP from outgoing Interface.  All packets matching translation are forwarded over Interface for duration of translation
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-nat'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.extended = None
                                self.oer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-nat:overload'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.extended is not None:
                                    return True

                                if self.oer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Overload']['meta_info']


                        class Vrf(object):
                            """
                            Specify vrf
                            
                            .. attribute:: vrf_name  <key>
                            
                            	vrf name
                            	**type**\:  str
                            
                            .. attribute:: oer
                            
                            	Use with vtemplate only.  On new translation, if OER BR is UP, OER will select IP from outgoing Interface.  All packets matching translation are forwarded over Interface for duration of translation
                            	**type**\:   :py:class:`Oer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap.Vrf.Oer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: overload
                            
                            	Overload an address translation
                            	**type**\:   :py:class:`Overload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap.Vrf.Overload>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-nat'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.vrf_name = None
                                self.oer = None
                                self.overload = None


                            class Oer(object):
                                """
                                Use with vtemplate only.  On new translation,
                                if OER BR is UP, OER will select IP from outgoing
                                Interface.  All packets matching translation are
                                forwarded over Interface for duration of translation.
                                
                                .. attribute:: overload
                                
                                	Overload an address translation
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.overload = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-nat:oer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.overload is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Vrf.Oer']['meta_info']


                            class Overload(object):
                                """
                                Overload an address translation
                                
                                .. attribute:: oer
                                
                                	Use with vtemplate only.  On new translation, if OER BR is UP, OER will select IP from outgoing Interface.  All packets matching translation are forwarded over Interface for duration of translation
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.oer = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-nat:overload'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.oer is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Vrf.Overload']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.vrf_name is None:
                                    raise YPYModelError('Key property vrf_name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-nat:vrf[Cisco-IOS-XE-nat:vrf-name = ' + str(self.vrf_name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.vrf_name is not None:
                                    return True

                                if self.oer is not None and self.oer._has_data():
                                    return True

                                if self.overload is not None and self.overload._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Nat.Inside.Source.RouteMap.Vrf']['meta_info']

                        @property
                        def _common_path(self):
                            if self.route_map_name is None:
                                raise YPYModelError('Key property route_map_name is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nat:nat/Cisco-IOS-XE-nat:inside/Cisco-IOS-XE-nat:source/Cisco-IOS-XE-nat:route-map[Cisco-IOS-XE-nat:route-map-name = ' + str(self.route_map_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.route_map_name is not None:
                                return True

                            if self.interface is not None and self.interface._has_data():
                                return True

                            if self.oer is not None and self.oer._has_data():
                                return True

                            if self.overload is not None and self.overload._has_data():
                                return True

                            if self.vrf is not None:
                                for child_ref in self.vrf:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Nat.Inside.Source.RouteMap']['meta_info']


                    class Static(object):
                        """
                        Specify static local\->global mapping
                        
                        .. attribute:: nat_static_transport_interface_list
                        
                        	
                        	**type**\: list of    :py:class:`NatStaticTransportInterfaceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList>`
                        
                        .. attribute:: nat_static_transport_list
                        
                        	
                        	**type**\: list of    :py:class:`NatStaticTransportList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.Static.NatStaticTransportList>`
                        
                        

                        """

                        _prefix = 'ios-nat'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.nat_static_transport_interface_list = YList()
                            self.nat_static_transport_interface_list.parent = self
                            self.nat_static_transport_interface_list.name = 'nat_static_transport_interface_list'
                            self.nat_static_transport_list = YList()
                            self.nat_static_transport_list.parent = self
                            self.nat_static_transport_list.name = 'nat_static_transport_list'


                        class NatStaticTransportList(object):
                            """
                            
                            
                            .. attribute:: local_ip  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: global_ip  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: extendable
                            
                            	Extend this translation when used
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: forced
                            
                            	Delete this entry and its children, even if in use
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: global_port
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: local_port
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: mapping_id
                            
                            	Associate a mapping id to this mapping
                            	**type**\:  int
                            
                            	**range:** 1..2147483647
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: match_in_vrf
                            
                            	Match incoming vrf
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: network
                            
                            	Subnet translation
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: no_alias
                            
                            	Do not create an alias for the global address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: no_payload
                            
                            	No translation of embedded address/port in the payload
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: overload
                            
                            	Overload an address translation
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proto
                            
                            	
                            	**type**\:   :py:class:`ProtoEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.Static.NatStaticTransportList.ProtoEnum>`
                            
                            .. attribute:: redundancy
                            
                            	NAT redundancy operation
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: reversible
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Specify route\-map
                            	**type**\:  str
                            
                            .. attribute:: vrf
                            
                            	Specify vrf
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-nat'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.local_ip = None
                                self.global_ip = None
                                self.extendable = None
                                self.forced = None
                                self.global_port = None
                                self.local_port = None
                                self.mapping_id = None
                                self.mask = None
                                self.match_in_vrf = None
                                self.network = None
                                self.no_alias = None
                                self.no_payload = None
                                self.overload = None
                                self.proto = None
                                self.redundancy = None
                                self.reversible = None
                                self.route_map = None
                                self.vrf = None

                            class ProtoEnum(Enum):
                                """
                                ProtoEnum

                                .. data:: tcp = 0

                                .. data:: udp = 1

                                """

                                tcp = 0

                                udp = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Nat.Inside.Source.Static.NatStaticTransportList.ProtoEnum']


                            @property
                            def _common_path(self):
                                if self.local_ip is None:
                                    raise YPYModelError('Key property local_ip is None')
                                if self.global_ip is None:
                                    raise YPYModelError('Key property global_ip is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nat:nat/Cisco-IOS-XE-nat:inside/Cisco-IOS-XE-nat:source/Cisco-IOS-XE-nat:static/Cisco-IOS-XE-nat:nat-static-transport-list[Cisco-IOS-XE-nat:local-ip = ' + str(self.local_ip) + '][Cisco-IOS-XE-nat:global-ip = ' + str(self.global_ip) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.local_ip is not None:
                                    return True

                                if self.global_ip is not None:
                                    return True

                                if self.extendable is not None:
                                    return True

                                if self.forced is not None:
                                    return True

                                if self.global_port is not None:
                                    return True

                                if self.local_port is not None:
                                    return True

                                if self.mapping_id is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                if self.match_in_vrf is not None:
                                    return True

                                if self.network is not None:
                                    return True

                                if self.no_alias is not None:
                                    return True

                                if self.no_payload is not None:
                                    return True

                                if self.overload is not None:
                                    return True

                                if self.proto is not None:
                                    return True

                                if self.redundancy is not None:
                                    return True

                                if self.reversible is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                if self.vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Nat.Inside.Source.Static.NatStaticTransportList']['meta_info']


                        class NatStaticTransportInterfaceList(object):
                            """
                            
                            
                            .. attribute:: proto  <key>
                            
                            	
                            	**type**\:   :py:class:`ProtoEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.ProtoEnum>`
                            
                            .. attribute:: local_ip  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: local_port  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: global_port
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: interface
                            
                            	Specify interface for global address
                            	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface>`
                            
                            

                            """

                            _prefix = 'ios-nat'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.proto = None
                                self.local_ip = None
                                self.local_port = None
                                self.global_port = None
                                self.interface = Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface()
                                self.interface.parent = self

                            class ProtoEnum(Enum):
                                """
                                ProtoEnum

                                .. data:: tcp = 0

                                .. data:: udp = 1

                                """

                                tcp = 0

                                udp = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.ProtoEnum']



                            class Interface(object):
                                """
                                Specify interface for global address
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.AtmAcrsubinterface>`
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.AtmSubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\:  str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\:  str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\:  str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\:  str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\:  str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  int
                                
                                	**range:** 0..65520
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.LispSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\:  str
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\:  str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\:  str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.appnav_compress = None
                                    self.appnav_uncompress = None
                                    self.atm = None
                                    self.atm_acr = None
                                    self.atm_acrsubinterface = Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.AtmAcrsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self.atm_subinterface = Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.AtmSubinterface()
                                    self.atm_subinterface.parent = self
                                    self.bdi = None
                                    self.cellular = None
                                    self.cem = None
                                    self.cem_acr = None
                                    self.embedded_service_engine = None
                                    self.fastethernet = None
                                    self.gigabitethernet = None
                                    self.lisp = None
                                    self.lisp_subinterface = Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.LispSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self.loopback = None
                                    self.multilink = None
                                    self.nve = None
                                    self.overlay = None
                                    self.port_channel = None
                                    self.port_channel_subinterface = Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self.pseudowire = None
                                    self.serial = None
                                    self.sm = None
                                    self.tengigabitethernet = None
                                    self.tunnel = None
                                    self.vasileft = None
                                    self.vasiright = None
                                    self.virtual_template = None
                                    self.virtualportgroup = None
                                    self.vlan = None


                                class AtmSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-nat'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-nat:ATM-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.AtmSubinterface']['meta_info']


                                class AtmAcrsubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-nat'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm_acr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-nat:ATM-ACRsubinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm_acr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.AtmAcrsubinterface']['meta_info']


                                class LispSubinterface(object):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-nat'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-nat:LISP-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.LispSubinterface']['meta_info']


                                class PortChannelSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-nat'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.port_channel = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-nat:Port-channel-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.port_channel is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.PortChannelSubinterface']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-nat:interface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.appnav_compress is not None:
                                        return True

                                    if self.appnav_uncompress is not None:
                                        return True

                                    if self.atm is not None:
                                        return True

                                    if self.atm_acr is not None:
                                        return True

                                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                        return True

                                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                        return True

                                    if self.bdi is not None:
                                        return True

                                    if self.cellular is not None:
                                        return True

                                    if self.cem is not None:
                                        return True

                                    if self.cem_acr is not None:
                                        return True

                                    if self.embedded_service_engine is not None:
                                        return True

                                    if self.fastethernet is not None:
                                        return True

                                    if self.gigabitethernet is not None:
                                        return True

                                    if self.lisp is not None:
                                        return True

                                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                        return True

                                    if self.loopback is not None:
                                        return True

                                    if self.multilink is not None:
                                        return True

                                    if self.nve is not None:
                                        return True

                                    if self.overlay is not None:
                                        return True

                                    if self.port_channel is not None:
                                        return True

                                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                        return True

                                    if self.pseudowire is not None:
                                        return True

                                    if self.serial is not None:
                                        return True

                                    if self.sm is not None:
                                        return True

                                    if self.tengigabitethernet is not None:
                                        return True

                                    if self.tunnel is not None:
                                        return True

                                    if self.vasileft is not None:
                                        return True

                                    if self.vasiright is not None:
                                        return True

                                    if self.virtual_template is not None:
                                        return True

                                    if self.virtualportgroup is not None:
                                        return True

                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface']['meta_info']

                            @property
                            def _common_path(self):
                                if self.proto is None:
                                    raise YPYModelError('Key property proto is None')
                                if self.local_ip is None:
                                    raise YPYModelError('Key property local_ip is None')
                                if self.local_port is None:
                                    raise YPYModelError('Key property local_port is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nat:nat/Cisco-IOS-XE-nat:inside/Cisco-IOS-XE-nat:source/Cisco-IOS-XE-nat:static/Cisco-IOS-XE-nat:nat-static-transport-interface-list[Cisco-IOS-XE-nat:proto = ' + str(self.proto) + '][Cisco-IOS-XE-nat:local-ip = ' + str(self.local_ip) + '][Cisco-IOS-XE-nat:local-port = ' + str(self.local_port) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.proto is not None:
                                    return True

                                if self.local_ip is not None:
                                    return True

                                if self.local_port is not None:
                                    return True

                                if self.global_port is not None:
                                    return True

                                if self.interface is not None and self.interface._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nat:nat/Cisco-IOS-XE-nat:inside/Cisco-IOS-XE-nat:source/Cisco-IOS-XE-nat:static'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.nat_static_transport_interface_list is not None:
                                for child_ref in self.nat_static_transport_interface_list:
                                    if child_ref._has_data():
                                        return True

                            if self.nat_static_transport_list is not None:
                                for child_ref in self.nat_static_transport_list:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Nat.Inside.Source.Static']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nat:nat/Cisco-IOS-XE-nat:inside/Cisco-IOS-XE-nat:source'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.list is not None:
                            for child_ref in self.list:
                                if child_ref._has_data():
                                    return True

                        if self.route_map is not None:
                            for child_ref in self.route_map:
                                if child_ref._has_data():
                                    return True

                        if self.static is not None and self.static._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Nat.Inside.Source']['meta_info']


                class Destination(object):
                    """
                    Destination address translation
                    
                    .. attribute:: list
                    
                    	Specify access list describing global addresses
                    	**type**\: list of    :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Destination.List>`
                    
                    

                    """

                    _prefix = 'ios-nat'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.list = YList()
                        self.list.parent = self
                        self.list.name = 'list'


                    class List(object):
                        """
                        Specify access list describing global addresses
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..2699
                        
                        
                        ----
                        	**type**\:  str
                        
                        
                        ----
                        .. attribute:: mapping_id
                        
                        	Associate a mapping id to this mapping
                        	**type**\:  int
                        
                        	**range:** 1..2147483647
                        
                        .. attribute:: pool
                        
                        	Name pool of local addresses
                        	**type**\:  str
                        
                        .. attribute:: redundancy
                        
                        	NAT redundancy operation
                        	**type**\:  int
                        
                        	**range:** 1..2
                        
                        

                        """

                        _prefix = 'ios-nat'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.mapping_id = None
                            self.pool = None
                            self.redundancy = None

                        @property
                        def _common_path(self):
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nat:nat/Cisco-IOS-XE-nat:inside/Cisco-IOS-XE-nat:destination/Cisco-IOS-XE-nat:list[Cisco-IOS-XE-nat:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.mapping_id is not None:
                                return True

                            if self.pool is not None:
                                return True

                            if self.redundancy is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Nat.Inside.Destination.List']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nat:nat/Cisco-IOS-XE-nat:inside/Cisco-IOS-XE-nat:destination'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.list is not None:
                            for child_ref in self.list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Nat.Inside.Destination']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nat:nat/Cisco-IOS-XE-nat:inside'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.destination is not None and self.destination._has_data():
                        return True

                    if self.source is not None and self.source._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Nat.Inside']['meta_info']


            class Outside(object):
                """
                Outside address translation
                
                .. attribute:: list
                
                	Specify access list describing global addresses
                	**type**\: list of    :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Outside.List>`
                
                .. attribute:: route_map
                
                	Specify route\-map
                	**type**\: list of    :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Outside.RouteMap>`
                
                

                """

                _prefix = 'ios-nat'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.list = YList()
                    self.list.parent = self
                    self.list.name = 'list'
                    self.route_map = YList()
                    self.route_map.parent = self
                    self.route_map.name = 'route_map'


                class List(object):
                    """
                    Specify access list describing global addresses
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..2699
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: add_route
                    
                    	Add a static route for outside local address
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mapping_id
                    
                    	Associate a mapping id to this mapping
                    	**type**\:  int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: pool
                    
                    	Name pool of local addresses
                    	**type**\:  str
                    
                    .. attribute:: vrf
                    
                    	Specify vrf
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-nat'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.add_route = None
                        self.mapping_id = None
                        self.pool = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nat:nat/Cisco-IOS-XE-nat:outside/Cisco-IOS-XE-nat:list[Cisco-IOS-XE-nat:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.add_route is not None:
                            return True

                        if self.mapping_id is not None:
                            return True

                        if self.pool is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Nat.Outside.List']['meta_info']


                class RouteMap(object):
                    """
                    Specify route\-map
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: add_route
                    
                    	Add a static route for outside local address
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mapping_id
                    
                    	Associate a mapping id to this mapping
                    	**type**\:  int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: pool
                    
                    	Name pool of local addresses
                    	**type**\:  str
                    
                    .. attribute:: vrf
                    
                    	Specify vrf
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-nat'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.add_route = None
                        self.mapping_id = None
                        self.pool = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nat:nat/Cisco-IOS-XE-nat:outside/Cisco-IOS-XE-nat:route-map[Cisco-IOS-XE-nat:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.add_route is not None:
                            return True

                        if self.mapping_id is not None:
                            return True

                        if self.pool is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Nat.Outside.RouteMap']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nat:nat/Cisco-IOS-XE-nat:outside'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.list is not None:
                        for child_ref in self.list:
                            if child_ref._has_data():
                                return True

                    if self.route_map is not None:
                        for child_ref in self.route_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Nat.Outside']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nat:nat'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.inside is not None and self.inside._has_data():
                    return True

                if self.outside is not None and self.outside._has_data():
                    return True

                if self.pool is not None:
                    for child_ref in self.pool:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Nat']['meta_info']


        class Nbar(object):
            """
            NBAR \- Network Based Application Recognition
            
            .. attribute:: attribute
            
            	Attribute for which custom group value can be created
            	**type**\:   :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.Attribute>`
            
            .. attribute:: attribute_map
            
            	Attribute Map
            	**type**\: list of    :py:class:`AttributeMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.AttributeMap>`
            
            .. attribute:: attribute_set
            
            	Set attribute Map
            	**type**\: list of    :py:class:`AttributeSet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.AttributeSet>`
            
            .. attribute:: custom
            
            	Custom PDL (protocol description language) Module
            	**type**\: list of    :py:class:`Custom <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.Custom>`
            
            

            """

            _prefix = 'ios-nbar'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.attribute = Native.Ip.Nbar.Attribute()
                self.attribute.parent = self
                self.attribute_map = YList()
                self.attribute_map.parent = self
                self.attribute_map.name = 'attribute_map'
                self.attribute_set = YList()
                self.attribute_set.parent = self
                self.attribute_set.name = 'attribute_set'
                self.custom = YList()
                self.custom.parent = self
                self.custom.name = 'custom'


            class Attribute(object):
                """
                Attribute for which custom group value can be created
                
                .. attribute:: application_group
                
                	Application\-group attribute
                	**type**\:   :py:class:`ApplicationGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.Attribute.ApplicationGroup>`
                
                .. attribute:: category
                
                	Category attribute
                	**type**\:   :py:class:`Category <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.Attribute.Category>`
                
                .. attribute:: sub_category
                
                	Sub\-category attribute
                	**type**\:   :py:class:`SubCategory <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.Attribute.SubCategory>`
                
                

                """

                _prefix = 'ios-nbar'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.application_group = Native.Ip.Nbar.Attribute.ApplicationGroup()
                    self.application_group.parent = self
                    self.category = Native.Ip.Nbar.Attribute.Category()
                    self.category.parent = self
                    self.sub_category = Native.Ip.Nbar.Attribute.SubCategory()
                    self.sub_category.parent = self


                class ApplicationGroup(object):
                    """
                    Application\-group attribute
                    
                    .. attribute:: custom
                    
                    	custom group value to be created for attribute
                    	**type**\: list of    :py:class:`Custom <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.Attribute.ApplicationGroup.Custom>`
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.custom = YList()
                        self.custom.parent = self
                        self.custom.name = 'custom'


                    class Custom(object):
                        """
                        custom group value to be created for attribute
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: help
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-nbar'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.help = None

                        @property
                        def _common_path(self):
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nbar:nbar/Cisco-IOS-XE-nbar:attribute/Cisco-IOS-XE-nbar:application-group/Cisco-IOS-XE-nbar:custom[Cisco-IOS-XE-nbar:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.help is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Nbar.Attribute.ApplicationGroup.Custom']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nbar:nbar/Cisco-IOS-XE-nbar:attribute/Cisco-IOS-XE-nbar:application-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.custom is not None:
                            for child_ref in self.custom:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Nbar.Attribute.ApplicationGroup']['meta_info']


                class Category(object):
                    """
                    Category attribute
                    
                    .. attribute:: custom
                    
                    	custom group value to be created for attribute
                    	**type**\: list of    :py:class:`Custom <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.Attribute.Category.Custom>`
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.custom = YList()
                        self.custom.parent = self
                        self.custom.name = 'custom'


                    class Custom(object):
                        """
                        custom group value to be created for attribute
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: help
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-nbar'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.help = None

                        @property
                        def _common_path(self):
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nbar:nbar/Cisco-IOS-XE-nbar:attribute/Cisco-IOS-XE-nbar:category/Cisco-IOS-XE-nbar:custom[Cisco-IOS-XE-nbar:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.help is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Nbar.Attribute.Category.Custom']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nbar:nbar/Cisco-IOS-XE-nbar:attribute/Cisco-IOS-XE-nbar:category'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.custom is not None:
                            for child_ref in self.custom:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Nbar.Attribute.Category']['meta_info']


                class SubCategory(object):
                    """
                    Sub\-category attribute
                    
                    .. attribute:: custom
                    
                    	custom group value to be created for attribute
                    	**type**\: list of    :py:class:`Custom <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.Attribute.SubCategory.Custom>`
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.custom = YList()
                        self.custom.parent = self
                        self.custom.name = 'custom'


                    class Custom(object):
                        """
                        custom group value to be created for attribute
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: help
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-nbar'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.help = None

                        @property
                        def _common_path(self):
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nbar:nbar/Cisco-IOS-XE-nbar:attribute/Cisco-IOS-XE-nbar:sub-category/Cisco-IOS-XE-nbar:custom[Cisco-IOS-XE-nbar:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.help is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Nbar.Attribute.SubCategory.Custom']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nbar:nbar/Cisco-IOS-XE-nbar:attribute/Cisco-IOS-XE-nbar:sub-category'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.custom is not None:
                            for child_ref in self.custom:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Nbar.Attribute.SubCategory']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nbar:nbar/Cisco-IOS-XE-nbar:attribute'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.application_group is not None and self.application_group._has_data():
                        return True

                    if self.category is not None and self.category._has_data():
                        return True

                    if self.sub_category is not None and self.sub_category._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Nbar.Attribute']['meta_info']


            class AttributeMap(object):
                """
                Attribute Map
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: attribute
                
                	Attribute Name
                	**type**\:   :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.AttributeMap.Attribute>`
                
                

                """

                _prefix = 'ios-nbar'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.attribute = Native.Ip.Nbar.AttributeMap.Attribute()
                    self.attribute.parent = self


                class Attribute(object):
                    """
                    Attribute Name
                    
                    .. attribute:: application_group
                    
                    	Application\-group attribute
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`ApplicationGroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.AttributeMap.Attribute.ApplicationGroupEnum>`
                    
                    
                    ----
                    .. attribute:: business_relevance
                    
                    	Application business\-relevance
                    	**type**\:   :py:class:`BusinessRelevanceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.AttributeMap.Attribute.BusinessRelevanceEnum>`
                    
                    .. attribute:: category
                    
                    	Category attribute
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`CategoryEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.AttributeMap.Attribute.CategoryEnum>`
                    
                    
                    ----
                    .. attribute:: encrypted
                    
                    	Encrypted applications
                    	**type**\:   :py:class:`EncryptedEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.AttributeMap.Attribute.EncryptedEnum>`
                    
                    .. attribute:: sub_category
                    
                    	Sub\-category attribute
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`SubCategoryEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.AttributeMap.Attribute.SubCategoryEnum>`
                    
                    
                    ----
                    .. attribute:: traffic_class
                    
                    	SRND class
                    	**type**\:   :py:class:`TrafficClassEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.AttributeMap.Attribute.TrafficClassEnum>`
                    
                    .. attribute:: tunnel
                    
                    	Tunnelled applications
                    	**type**\:   :py:class:`TunnelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.AttributeMap.Attribute.TunnelEnum>`
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.application_group = None
                        self.business_relevance = None
                        self.category = None
                        self.encrypted = None
                        self.sub_category = None
                        self.traffic_class = None
                        self.tunnel = None

                    class ApplicationGroupEnum(Enum):
                        """
                        ApplicationGroupEnum

                        Application\-group attribute

                        .. data:: aol_group = 0

                        .. data:: apple_group = 1

                        .. data:: apple_talk_group = 2

                        .. data:: banyan_group = 3

                        .. data:: bittorrent_group = 4

                        .. data:: capwap_group = 5

                        .. data:: cisco_jabber_group = 6

                        .. data:: cisco_phone_group = 7

                        .. data:: corba_group = 8

                        .. data:: dameware_group = 9

                        .. data:: edonkey_emule_group = 10

                        .. data:: espn_group = 11

                        .. data:: fasttrack_group = 12

                        .. data:: flash_group = 13

                        .. data:: fring_group = 14

                        .. data:: ftp_group = 15

                        .. data:: gnutella_group = 16

                        .. data:: google_group = 17

                        .. data:: gtalk_group = 18

                        .. data:: icq_group = 19

                        .. data:: imap_group = 20

                        .. data:: ipsec_group = 21

                        .. data:: irc_group = 22

                        .. data:: kakao_group = 23

                        .. data:: kerberos_group = 24

                        .. data:: ldap_group = 25

                        .. data:: ms_cloud_group = 26

                        .. data:: ms_crm_group = 27

                        .. data:: ms_lync_group = 28

                        .. data:: msn_messenger_group = 29

                        .. data:: netbios_group = 30

                        .. data:: nntp_group = 31

                        .. data:: npmp_group = 32

                        .. data:: other = 33

                        .. data:: pop3_group = 34

                        .. data:: prm_group = 35

                        .. data:: qq_group = 36

                        .. data:: skype_group = 37

                        .. data:: smtp_group = 38

                        .. data:: snmp_group = 39

                        .. data:: sqlsvr_group = 40

                        .. data:: stun_group = 41

                        .. data:: telepresence_group = 42

                        .. data:: tftp_group = 43

                        .. data:: vmware_group = 44

                        .. data:: vnc_group = 45

                        .. data:: wap_group = 46

                        .. data:: webex_group = 47

                        .. data:: xns_xerox_group = 48

                        .. data:: xunlei_group = 49

                        .. data:: yahoo_group = 50

                        .. data:: yahoo_messenger_group = 51

                        """

                        aol_group = 0

                        apple_group = 1

                        apple_talk_group = 2

                        banyan_group = 3

                        bittorrent_group = 4

                        capwap_group = 5

                        cisco_jabber_group = 6

                        cisco_phone_group = 7

                        corba_group = 8

                        dameware_group = 9

                        edonkey_emule_group = 10

                        espn_group = 11

                        fasttrack_group = 12

                        flash_group = 13

                        fring_group = 14

                        ftp_group = 15

                        gnutella_group = 16

                        google_group = 17

                        gtalk_group = 18

                        icq_group = 19

                        imap_group = 20

                        ipsec_group = 21

                        irc_group = 22

                        kakao_group = 23

                        kerberos_group = 24

                        ldap_group = 25

                        ms_cloud_group = 26

                        ms_crm_group = 27

                        ms_lync_group = 28

                        msn_messenger_group = 29

                        netbios_group = 30

                        nntp_group = 31

                        npmp_group = 32

                        other = 33

                        pop3_group = 34

                        prm_group = 35

                        qq_group = 36

                        skype_group = 37

                        smtp_group = 38

                        snmp_group = 39

                        sqlsvr_group = 40

                        stun_group = 41

                        telepresence_group = 42

                        tftp_group = 43

                        vmware_group = 44

                        vnc_group = 45

                        wap_group = 46

                        webex_group = 47

                        xns_xerox_group = 48

                        xunlei_group = 49

                        yahoo_group = 50

                        yahoo_messenger_group = 51


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Nbar.AttributeMap.Attribute.ApplicationGroupEnum']


                    class BusinessRelevanceEnum(Enum):
                        """
                        BusinessRelevanceEnum

                        Application business\-relevance

                        .. data:: business_irrelevant = 0

                        .. data:: business_relevant = 1

                        .. data:: default = 2

                        """

                        business_irrelevant = 0

                        business_relevant = 1

                        default = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Nbar.AttributeMap.Attribute.BusinessRelevanceEnum']


                    class CategoryEnum(Enum):
                        """
                        CategoryEnum

                        Category attribute

                        .. data:: anonymizers = 0

                        .. data:: backup_and_storage = 1

                        .. data:: browsing = 2

                        .. data:: business_and_productivity_tools = 3

                        .. data:: consumer_file_sharing = 4

                        .. data:: consumer_internet = 5

                        .. data:: consumer_messaging = 6

                        .. data:: consumer_streaming = 7

                        .. data:: database = 8

                        .. data:: email = 9

                        .. data:: epayement = 10

                        .. data:: file_sharing = 11

                        .. data:: gaming = 12

                        .. data:: industrial_protocols = 13

                        .. data:: instant_messaging = 14

                        .. data:: inter_process_rpc = 15

                        .. data:: internet_security = 16

                        .. data:: layer3_over_ip = 17

                        .. data:: location_based_services = 18

                        .. data:: net_admin = 19

                        .. data:: newsgroup = 20

                        .. data:: other = 21

                        .. data:: social_networking = 22

                        .. data:: software_updates = 23

                        .. data:: trojan = 24

                        .. data:: voice_and_video = 25

                        """

                        anonymizers = 0

                        backup_and_storage = 1

                        browsing = 2

                        business_and_productivity_tools = 3

                        consumer_file_sharing = 4

                        consumer_internet = 5

                        consumer_messaging = 6

                        consumer_streaming = 7

                        database = 8

                        email = 9

                        epayement = 10

                        file_sharing = 11

                        gaming = 12

                        industrial_protocols = 13

                        instant_messaging = 14

                        inter_process_rpc = 15

                        internet_security = 16

                        layer3_over_ip = 17

                        location_based_services = 18

                        net_admin = 19

                        newsgroup = 20

                        other = 21

                        social_networking = 22

                        software_updates = 23

                        trojan = 24

                        voice_and_video = 25


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Nbar.AttributeMap.Attribute.CategoryEnum']


                    class EncryptedEnum(Enum):
                        """
                        EncryptedEnum

                        Encrypted applications

                        .. data:: encrypted_no = 0

                        .. data:: encrypted_unassigned = 1

                        .. data:: encrypted_yes = 2

                        """

                        encrypted_no = 0

                        encrypted_unassigned = 1

                        encrypted_yes = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Nbar.AttributeMap.Attribute.EncryptedEnum']


                    class SubCategoryEnum(Enum):
                        """
                        SubCategoryEnum

                        Sub\-category attribute

                        .. data:: authentication_services = 0

                        .. data:: backup_systems = 1

                        .. data:: consumer_audio_streaming = 2

                        .. data:: consumer_cloud_storage = 3

                        .. data:: consumer_multimedia_messaging = 4

                        .. data:: consumer_video_streaming = 5

                        .. data:: consumer_web_browsing = 6

                        .. data:: control_and_signaling = 7

                        .. data:: desktop_virtualization = 8

                        .. data:: enterprise_cloud_data_storage = 9

                        .. data:: enterprise_cloud_services = 10

                        .. data:: enterprise_data_center_storage = 11

                        .. data:: enterprise_media_conferencing = 12

                        .. data:: enterprise_realtime_apps = 13

                        .. data:: enterprise_rich_media_content = 14

                        .. data:: enterprise_sw_deployment_tools = 15

                        .. data:: enterprise_transactional_apps = 16

                        .. data:: enterprise_video_broadcast = 17

                        .. data:: enterprise_voice_collaboration = 18

                        .. data:: file_transfer = 19

                        .. data:: naming_services = 20

                        .. data:: network_management = 21

                        .. data:: os_updates = 22

                        .. data:: other = 23

                        .. data:: p2p_file_transfer = 24

                        .. data:: p2p_networking = 25

                        .. data:: remote_access_terminal = 26

                        .. data:: routing_protocol = 27

                        .. data:: tunneling_protocols = 28

                        """

                        authentication_services = 0

                        backup_systems = 1

                        consumer_audio_streaming = 2

                        consumer_cloud_storage = 3

                        consumer_multimedia_messaging = 4

                        consumer_video_streaming = 5

                        consumer_web_browsing = 6

                        control_and_signaling = 7

                        desktop_virtualization = 8

                        enterprise_cloud_data_storage = 9

                        enterprise_cloud_services = 10

                        enterprise_data_center_storage = 11

                        enterprise_media_conferencing = 12

                        enterprise_realtime_apps = 13

                        enterprise_rich_media_content = 14

                        enterprise_sw_deployment_tools = 15

                        enterprise_transactional_apps = 16

                        enterprise_video_broadcast = 17

                        enterprise_voice_collaboration = 18

                        file_transfer = 19

                        naming_services = 20

                        network_management = 21

                        os_updates = 22

                        other = 23

                        p2p_file_transfer = 24

                        p2p_networking = 25

                        remote_access_terminal = 26

                        routing_protocol = 27

                        tunneling_protocols = 28


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Nbar.AttributeMap.Attribute.SubCategoryEnum']


                    class TrafficClassEnum(Enum):
                        """
                        TrafficClassEnum

                        SRND class

                        .. data:: broadcast_video = 0

                        .. data:: bulk_data = 1

                        .. data:: multimedia_conferencing = 2

                        .. data:: multimedia_streaming = 3

                        .. data:: network_control = 4

                        .. data:: ops_admin_mgmt = 5

                        .. data:: real_time_interactive = 6

                        .. data:: signaling = 7

                        .. data:: transactional_data = 8

                        .. data:: voip_telephony = 9

                        """

                        broadcast_video = 0

                        bulk_data = 1

                        multimedia_conferencing = 2

                        multimedia_streaming = 3

                        network_control = 4

                        ops_admin_mgmt = 5

                        real_time_interactive = 6

                        signaling = 7

                        transactional_data = 8

                        voip_telephony = 9


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Nbar.AttributeMap.Attribute.TrafficClassEnum']


                    class TunnelEnum(Enum):
                        """
                        TunnelEnum

                        Tunnelled applications

                        .. data:: tunnel_no = 0

                        .. data:: tunnel_unassigned = 1

                        .. data:: tunnel_yes = 2

                        """

                        tunnel_no = 0

                        tunnel_unassigned = 1

                        tunnel_yes = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Nbar.AttributeMap.Attribute.TunnelEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-nbar:attribute'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.application_group is not None:
                            return True

                        if self.business_relevance is not None:
                            return True

                        if self.category is not None:
                            return True

                        if self.encrypted is not None:
                            return True

                        if self.sub_category is not None:
                            return True

                        if self.traffic_class is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Nbar.AttributeMap.Attribute']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nbar:nbar/Cisco-IOS-XE-nbar:attribute-map[Cisco-IOS-XE-nbar:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.attribute is not None and self.attribute._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Nbar.AttributeMap']['meta_info']


            class AttributeSet(object):
                """
                Set attribute Map
                
                .. attribute:: protocol_name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: profile_name
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-nbar'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.protocol_name = None
                    self.profile_name = None

                @property
                def _common_path(self):
                    if self.protocol_name is None:
                        raise YPYModelError('Key property protocol_name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nbar:nbar/Cisco-IOS-XE-nbar:attribute-set[Cisco-IOS-XE-nbar:protocol-name = ' + str(self.protocol_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.protocol_name is not None:
                        return True

                    if self.profile_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Nbar.AttributeSet']['meta_info']


            class Custom(object):
                """
                Custom PDL (protocol description language) Module
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: http
                
                	Custom protocols based on http parameters
                	**type**\:   :py:class:`Http <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.Custom.Http>`
                
                

                """

                _prefix = 'ios-nbar'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.http = Native.Ip.Nbar.Custom.Http()
                    self.http.parent = self


                class Http(object):
                    """
                    Custom protocols based on http parameters
                    
                    .. attribute:: cookie
                    
                    	HTTP Cookie
                    	**type**\:  str
                    
                    .. attribute:: host
                    
                    	Host name of Origin Server containing resource
                    	**type**\:  str
                    
                    .. attribute:: id
                    
                    	Selector ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: method
                    
                    	HTTP method
                    	**type**\:  str
                    
                    .. attribute:: referer
                    
                    	Address the resource request was obtained from
                    	**type**\:  str
                    
                    .. attribute:: url
                    
                    	Uniform Resource Locator path
                    	**type**\:  str
                    
                    .. attribute:: user_agent
                    
                    	Software used by agent sending the request
                    	**type**\:  str
                    
                    .. attribute:: version
                    
                    	HTTP version
                    	**type**\:  str
                    
                    .. attribute:: via
                    
                    	HTTP via field
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cookie = None
                        self.host = None
                        self.id = None
                        self.method = None
                        self.referer = None
                        self.url = None
                        self.user_agent = None
                        self.version = None
                        self.via = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-nbar:http'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cookie is not None:
                            return True

                        if self.host is not None:
                            return True

                        if self.id is not None:
                            return True

                        if self.method is not None:
                            return True

                        if self.referer is not None:
                            return True

                        if self.url is not None:
                            return True

                        if self.user_agent is not None:
                            return True

                        if self.version is not None:
                            return True

                        if self.via is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Nbar.Custom.Http']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nbar:nbar/Cisco-IOS-XE-nbar:custom[Cisco-IOS-XE-nbar:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.http is not None and self.http._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Nbar.Custom']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-nbar:nbar'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.attribute is not None and self.attribute._has_data():
                    return True

                if self.attribute_map is not None:
                    for child_ref in self.attribute_map:
                        if child_ref._has_data():
                            return True

                if self.attribute_set is not None:
                    for child_ref in self.attribute_set:
                        if child_ref._has_data():
                            return True

                if self.custom is not None:
                    for child_ref in self.custom:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Nbar']['meta_info']


        class Sla(object):
            """
            IP Service Level Agreement
            
            .. attribute:: enable
            
            	
            	**type**\:   :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Enable>`
            
            .. attribute:: entry
            
            	
            	**type**\: list of    :py:class:`Entry <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry>`
            
            .. attribute:: group
            
            	Group Configuration or Group Scheduling
            	**type**\:   :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Group>`
            
            .. attribute:: logging
            
            	low\-memory
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Logging>`
            
            .. attribute:: reaction_configuration
            
            	IP SLA's reaction configuration
            	**type**\: list of    :py:class:`ReactionConfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.ReactionConfiguration>`
            
            .. attribute:: responder
            
            	Enable IP SLAs Responder
            	**type**\:   :py:class:`Responder <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Responder>`
            
            	**presence node**\: True
            
            .. attribute:: schedule
            
            	Entry Scheduling
            	**type**\: list of    :py:class:`Schedule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Schedule>`
            
            .. attribute:: server
            
            	IPPM server configuration
            	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Server>`
            
            

            """

            _prefix = 'ios-sla'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.enable = Native.Ip.Sla.Enable()
                self.enable.parent = self
                self.entry = YList()
                self.entry.parent = self
                self.entry.name = 'entry'
                self.group = Native.Ip.Sla.Group()
                self.group.parent = self
                self.logging = Native.Ip.Sla.Logging()
                self.logging.parent = self
                self.reaction_configuration = YList()
                self.reaction_configuration.parent = self
                self.reaction_configuration.name = 'reaction_configuration'
                self.responder = None
                self.schedule = YList()
                self.schedule.parent = self
                self.schedule.name = 'schedule'
                self.server = Native.Ip.Sla.Server()
                self.server.parent = self


            class Entry(object):
                """
                
                
                .. attribute:: number  <key>
                
                	
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: dhcp
                
                	DHCP Operation
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.Dhcp>`
                
                .. attribute:: http
                
                	HTTP Operation
                	**type**\:   :py:class:`Http <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.Http>`
                
                .. attribute:: icmp_echo
                
                	ICMP Echo Operation
                	**type**\:   :py:class:`IcmpEcho <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.IcmpEcho>`
                
                .. attribute:: path_echo
                
                	Path Discovered ICMP Echo Operation
                	**type**\:   :py:class:`PathEcho <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.PathEcho>`
                
                .. attribute:: path_jitter
                
                	Path Discovered ICMP Jitter Operation
                	**type**\:   :py:class:`PathJitter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.PathJitter>`
                
                .. attribute:: udp_echo
                
                	UDP echo operation
                	**type**\:   :py:class:`UdpEcho <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.UdpEcho>`
                
                .. attribute:: udp_jitter
                
                	UDP jitter operation
                	**type**\:   :py:class:`UdpJitter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.UdpJitter>`
                
                

                """

                _prefix = 'ios-sla'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.dhcp = Native.Ip.Sla.Entry.Dhcp()
                    self.dhcp.parent = self
                    self.http = Native.Ip.Sla.Entry.Http()
                    self.http.parent = self
                    self.icmp_echo = Native.Ip.Sla.Entry.IcmpEcho()
                    self.icmp_echo.parent = self
                    self.path_echo = Native.Ip.Sla.Entry.PathEcho()
                    self.path_echo.parent = self
                    self.path_jitter = Native.Ip.Sla.Entry.PathJitter()
                    self.path_jitter.parent = self
                    self.udp_echo = Native.Ip.Sla.Entry.UdpEcho()
                    self.udp_echo.parent = self
                    self.udp_jitter = Native.Ip.Sla.Entry.UdpJitter()
                    self.udp_jitter.parent = self


                class IcmpEcho(object):
                    """
                    ICMP Echo Operation
                    
                    .. attribute:: data_pattern
                    
                    	Data Pattern
                    	**type**\:  str
                    
                    .. attribute:: destination
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: frequency
                    
                    	Frequency of an operation
                    	**type**\:  int
                    
                    	**range:** 1..604800
                    
                    .. attribute:: history
                    
                    	History and Distribution Data
                    	**type**\:   :py:class:`History <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.IcmpEcho.History>`
                    
                    .. attribute:: owner
                    
                    	Owner of Entry
                    	**type**\:  str
                    
                    .. attribute:: request_data_size
                    
                    	Request data size
                    	**type**\:  int
                    
                    	**range:** 0..16384
                    
                    .. attribute:: source_interface
                    
                    	Source Interface (ingress icmp packet interface)
                    	**type**\:  str
                    
                    .. attribute:: source_ip
                    
                    	Source Address
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: tag
                    
                    	User defined tag
                    	**type**\:  str
                    
                    .. attribute:: threshold
                    
                    	Operation threshold in milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..60000
                    
                    .. attribute:: timeout
                    
                    	Timeout of an operation
                    	**type**\:  int
                    
                    	**range:** 0..604800000
                    
                    .. attribute:: tos
                    
                    	Type Of Service
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: verify_data
                    
                    	Verify data
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	Configure IP SLAs for a VPN Routing/Forwarding instance
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.data_pattern = None
                        self.destination = None
                        self.frequency = None
                        self.history = Native.Ip.Sla.Entry.IcmpEcho.History()
                        self.history.parent = self
                        self.owner = None
                        self.request_data_size = None
                        self.source_interface = None
                        self.source_ip = None
                        self.tag = None
                        self.threshold = None
                        self.timeout = None
                        self.tos = None
                        self.verify_data = None
                        self.vrf = None


                    class History(object):
                        """
                        History and Distribution Data
                        
                        .. attribute:: buckets_kept
                        
                        	Maximum number of history buckets to collect
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: distributions_of_statistics_kept
                        
                        	Maximum number of statistics distribution buckets to capture
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: enhanced
                        
                        	Enable enhanced history collection
                        	**type**\:   :py:class:`Enhanced <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.IcmpEcho.History.Enhanced>`
                        
                        .. attribute:: filter
                        
                        	Add operation to History when..
                        	**type**\:   :py:class:`FilterEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.IcmpEcho.History.FilterEnum>`
                        
                        .. attribute:: hours_of_statistics_kept
                        
                        	Maximum number of statistics hour groups to capture
                        	**type**\:  int
                        
                        	**range:** 0..25
                        
                        .. attribute:: lives_kept
                        
                        	Maximum number of history lives to collect
                        	**type**\:  int
                        
                        	**range:** 0..2
                        
                        .. attribute:: statistics_distribution_interval
                        
                        	Statistics distribution interval size
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-sla'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.buckets_kept = None
                            self.distributions_of_statistics_kept = None
                            self.enhanced = Native.Ip.Sla.Entry.IcmpEcho.History.Enhanced()
                            self.enhanced.parent = self
                            self.filter = None
                            self.hours_of_statistics_kept = None
                            self.lives_kept = None
                            self.statistics_distribution_interval = None

                        class FilterEnum(Enum):
                            """
                            FilterEnum

                            Add operation to History when...

                            .. data:: all = 0

                            .. data:: failures = 1

                            .. data:: none = 2

                            .. data:: overThreshold = 3

                            """

                            all = 0

                            failures = 1

                            none = 2

                            overThreshold = 3


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Sla.Entry.IcmpEcho.History.FilterEnum']



                        class Enhanced(object):
                            """
                            Enable enhanced history collection
                            
                            .. attribute:: buckets
                            
                            	Number of buckets to collect data
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: interval
                            
                            	Aggregation interval
                            	**type**\:  int
                            
                            	**range:** 1..3600
                            
                            

                            """

                            _prefix = 'ios-sla'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.buckets = None
                                self.interval = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sla:enhanced'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.buckets is not None:
                                    return True

                                if self.interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Sla.Entry.IcmpEcho.History.Enhanced']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sla:history'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.buckets_kept is not None:
                                return True

                            if self.distributions_of_statistics_kept is not None:
                                return True

                            if self.enhanced is not None and self.enhanced._has_data():
                                return True

                            if self.filter is not None:
                                return True

                            if self.hours_of_statistics_kept is not None:
                                return True

                            if self.lives_kept is not None:
                                return True

                            if self.statistics_distribution_interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Sla.Entry.IcmpEcho.History']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sla:icmp-echo'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.data_pattern is not None:
                            return True

                        if self.destination is not None:
                            return True

                        if self.frequency is not None:
                            return True

                        if self.history is not None and self.history._has_data():
                            return True

                        if self.owner is not None:
                            return True

                        if self.request_data_size is not None:
                            return True

                        if self.source_interface is not None:
                            return True

                        if self.source_ip is not None:
                            return True

                        if self.tag is not None:
                            return True

                        if self.threshold is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        if self.tos is not None:
                            return True

                        if self.verify_data is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Sla.Entry.IcmpEcho']['meta_info']


                class PathEcho(object):
                    """
                    Path Discovered ICMP Echo Operation
                    
                    .. attribute:: dst_ip
                    
                    	Destination IP address or hostname, broadcast disallowed
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: hops_of_statistics_kept
                    
                    	Maximum number of statistics hops to capture
                    	**type**\:  int
                    
                    	**range:** 1..30
                    
                    .. attribute:: paths_of_statistics_kept
                    
                    	Maximum number of statistics paths to capture
                    	**type**\:  int
                    
                    	**range:** 1..128
                    
                    .. attribute:: samples_of_history_kept
                    
                    	Maximum number of history samples to collect
                    	**type**\:  int
                    
                    	**range:** 1..30
                    
                    .. attribute:: source_ip
                    
                    	IP address or hostname, broadcast disallowed
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dst_ip = None
                        self.hops_of_statistics_kept = None
                        self.paths_of_statistics_kept = None
                        self.samples_of_history_kept = None
                        self.source_ip = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sla:path-echo'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dst_ip is not None:
                            return True

                        if self.hops_of_statistics_kept is not None:
                            return True

                        if self.paths_of_statistics_kept is not None:
                            return True

                        if self.samples_of_history_kept is not None:
                            return True

                        if self.source_ip is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Sla.Entry.PathEcho']['meta_info']


                class PathJitter(object):
                    """
                    Path Discovered ICMP Jitter Operation
                    
                    .. attribute:: default
                    
                    	Set a command to its defaults
                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.PathJitter.Default>`
                    
                    .. attribute:: dst_ip
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: frequency
                    
                    	Frequency of an operation
                    	**type**\:  int
                    
                    	**range:** 1..604800
                    
                    .. attribute:: lsr_path
                    
                    	Loose Source Routing Path
                    	**type**\: one of the below types:
                    
                    	**type**\:  list of str
                    
                    
                    ----
                    	**type**\:  list of str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: owner
                    
                    	Owner of Entry
                    	**type**\:  str
                    
                    .. attribute:: request_data_size
                    
                    	Request data size
                    	**type**\:  int
                    
                    	**range:** 0..16384
                    
                    .. attribute:: source_ip
                    
                    	Source IP Address
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: tag
                    
                    	User defined tag
                    	**type**\:  str
                    
                    .. attribute:: threshold
                    
                    	Operation threshold in milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..60000
                    
                    .. attribute:: timeout
                    
                    	Timeout of an operation
                    	**type**\:  int
                    
                    	**range:** 0..604800000
                    
                    .. attribute:: tos
                    
                    	Type Of Service
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: verify_data
                    
                    	Verify data
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	Configure IP SLAs for a VPN Routing/Forwarding instance
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.default = Native.Ip.Sla.Entry.PathJitter.Default()
                        self.default.parent = self
                        self.dst_ip = None
                        self.frequency = None
                        self.lsr_path = YLeafList()
                        self.lsr_path.parent = self
                        self.lsr_path.name = 'lsr_path'
                        self.owner = None
                        self.request_data_size = None
                        self.source_ip = None
                        self.tag = None
                        self.threshold = None
                        self.timeout = None
                        self.tos = None
                        self.verify_data = None
                        self.vrf = None


                    class Default(object):
                        """
                        Set a command to its defaults
                        
                        .. attribute:: frequency
                        
                        	Frequency of an operation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: lsr_path
                        
                        	Loose Source Routing Path
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: owner
                        
                        	Owner of Entry
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: request_data_size
                        
                        	Request data size
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tag
                        
                        	User defined tag
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: threshold
                        
                        	Operation threshold in milliseconds
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: timeout
                        
                        	Timeout of an operation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tos
                        
                        	Type Of Service
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: verify_data
                        
                        	Verify data
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vrf
                        
                        	Configure IP SLAs for a VPN Routing/Forwarding instance
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sla'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.frequency = None
                            self.lsr_path = None
                            self.owner = None
                            self.request_data_size = None
                            self.tag = None
                            self.threshold = None
                            self.timeout = None
                            self.tos = None
                            self.verify_data = None
                            self.vrf = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sla:default'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.frequency is not None:
                                return True

                            if self.lsr_path is not None:
                                return True

                            if self.owner is not None:
                                return True

                            if self.request_data_size is not None:
                                return True

                            if self.tag is not None:
                                return True

                            if self.threshold is not None:
                                return True

                            if self.timeout is not None:
                                return True

                            if self.tos is not None:
                                return True

                            if self.verify_data is not None:
                                return True

                            if self.vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Sla.Entry.PathJitter.Default']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sla:path-jitter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.default is not None and self.default._has_data():
                            return True

                        if self.dst_ip is not None:
                            return True

                        if self.frequency is not None:
                            return True

                        if self.lsr_path is not None:
                            for child in self.lsr_path:
                                if child is not None:
                                    return True

                        if self.owner is not None:
                            return True

                        if self.request_data_size is not None:
                            return True

                        if self.source_ip is not None:
                            return True

                        if self.tag is not None:
                            return True

                        if self.threshold is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        if self.tos is not None:
                            return True

                        if self.verify_data is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Sla.Entry.PathJitter']['meta_info']


                class UdpEcho(object):
                    """
                    UDP echo operation
                    
                    .. attribute:: dest_addr
                    
                    	Hostname or A.B.C.D  Destination IP address or hostname, broadcast disallowed
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: dest_port
                    
                    	Port Number (Recommended ports greater than 1023)
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: source_ip
                    
                    	Source address\: Hostname or A.B.C.D IP address or hostname, broadcast disallowed
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: source_port
                    
                    	Source Port\: Port Number (Recommended ports greater than 1023)
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dest_addr = None
                        self.dest_port = None
                        self.source_ip = None
                        self.source_port = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sla:udp-echo'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dest_addr is not None:
                            return True

                        if self.dest_port is not None:
                            return True

                        if self.source_ip is not None:
                            return True

                        if self.source_port is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Sla.Entry.UdpEcho']['meta_info']


                class UdpJitter(object):
                    """
                    UDP jitter operation
                    
                    .. attribute:: dest_addr
                    
                    	Hostname or A.B.C.D  Destination IP address or hostname
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: history
                    
                    	History and Distribution Data
                    	**type**\:   :py:class:`History <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.UdpJitter.History>`
                    
                    .. attribute:: interval
                    
                    	Delay (default 20)
                    	**type**\:  int
                    
                    	**range:** 4..60000
                    
                    .. attribute:: num_packets
                    
                    	Number of Packets (default 10)
                    	**type**\:  int
                    
                    	**range:** 1..60000
                    
                    .. attribute:: owner
                    
                    	Owner of Entry
                    	**type**\:  str
                    
                    .. attribute:: portno
                    
                    	Port Number
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: request_data_size
                    
                    	Number of bytes in payload
                    	**type**\:  int
                    
                    	**range:** 16..17512
                    
                    .. attribute:: source_ip
                    
                    	Hostname or A.B.C.D  IP address or hostname, broadcast disallowed
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: tag
                    
                    	User defined tag
                    	**type**\:  str
                    
                    .. attribute:: threshold
                    
                    	Operation threshold in milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..60000
                    
                    .. attribute:: timeout
                    
                    	Timeout of an operation
                    	**type**\:  int
                    
                    	**range:** 0..604800000
                    
                    .. attribute:: tos
                    
                    	Type Of Service
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: traffic_class
                    
                    	Traffic class
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: vrf
                    
                    	Configure IP SLAs for a VPN Routing/Forwarding instance
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dest_addr = None
                        self.history = Native.Ip.Sla.Entry.UdpJitter.History()
                        self.history.parent = self
                        self.interval = None
                        self.num_packets = None
                        self.owner = None
                        self.portno = None
                        self.request_data_size = None
                        self.source_ip = None
                        self.tag = None
                        self.threshold = None
                        self.timeout = None
                        self.tos = None
                        self.traffic_class = None
                        self.vrf = None


                    class History(object):
                        """
                        History and Distribution Data
                        
                        .. attribute:: distributions_of_statistics_kept
                        
                        	Maximum number of statistics distribution buckets to capture
                        	**type**\:  int
                        
                        	**range:** 1..20
                        
                        .. attribute:: enhanced
                        
                        	Enable enhanced history collection
                        	**type**\:   :py:class:`Enhanced <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.UdpJitter.History.Enhanced>`
                        
                        .. attribute:: hours_of_statistics_kept
                        
                        	Maximum number of statistics hour groups to capture
                        	**type**\:  int
                        
                        	**range:** 0..25
                        
                        .. attribute:: statistics_distribution_interval
                        
                        	Statistics distribution interval size
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-sla'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.distributions_of_statistics_kept = None
                            self.enhanced = Native.Ip.Sla.Entry.UdpJitter.History.Enhanced()
                            self.enhanced.parent = self
                            self.hours_of_statistics_kept = None
                            self.statistics_distribution_interval = None


                        class Enhanced(object):
                            """
                            Enable enhanced history collection
                            
                            .. attribute:: buckets
                            
                            	Number of buckets to collect data
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: interval
                            
                            	Aggregation interval
                            	**type**\:  int
                            
                            	**range:** 1..3600
                            
                            

                            """

                            _prefix = 'ios-sla'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.buckets = None
                                self.interval = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sla:enhanced'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.buckets is not None:
                                    return True

                                if self.interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Sla.Entry.UdpJitter.History.Enhanced']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sla:history'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.distributions_of_statistics_kept is not None:
                                return True

                            if self.enhanced is not None and self.enhanced._has_data():
                                return True

                            if self.hours_of_statistics_kept is not None:
                                return True

                            if self.statistics_distribution_interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Sla.Entry.UdpJitter.History']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sla:udp-jitter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dest_addr is not None:
                            return True

                        if self.history is not None and self.history._has_data():
                            return True

                        if self.interval is not None:
                            return True

                        if self.num_packets is not None:
                            return True

                        if self.owner is not None:
                            return True

                        if self.portno is not None:
                            return True

                        if self.request_data_size is not None:
                            return True

                        if self.source_ip is not None:
                            return True

                        if self.tag is not None:
                            return True

                        if self.threshold is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        if self.tos is not None:
                            return True

                        if self.traffic_class is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Sla.Entry.UdpJitter']['meta_info']


                class Http(object):
                    """
                    HTTP Operation
                    
                    .. attribute:: get
                    
                    	HTTP get operation
                    	**type**\:   :py:class:`Get <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.Http.Get>`
                    
                    .. attribute:: owner
                    
                    	Owner of Entry
                    	**type**\:  str
                    
                    .. attribute:: raw
                    
                    	HTTP raw operation
                    	**type**\:   :py:class:`Raw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.Http.Raw>`
                    
                    .. attribute:: tag
                    
                    	User defined tag
                    	**type**\:  str
                    
                    .. attribute:: vrf
                    
                    	Configure IP SLAs for a new VPN Routing/Forwarding instance
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.get = Native.Ip.Sla.Entry.Http.Get()
                        self.get.parent = self
                        self.owner = None
                        self.raw = Native.Ip.Sla.Entry.Http.Raw()
                        self.raw.parent = self
                        self.tag = None
                        self.vrf = None


                    class Get(object):
                        """
                        HTTP get operation
                        
                        .. attribute:: name_server
                        
                        	Name server
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        
                        ----
                        .. attribute:: source_ip
                        
                        	Source Address
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        
                        ----
                        	**type**\:  str
                        
                        
                        ----
                        .. attribute:: source_port
                        
                        	Source port
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: url
                        
                        	URL
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-sla'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name_server = None
                            self.source_ip = None
                            self.source_port = None
                            self.url = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sla:get'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name_server is not None:
                                return True

                            if self.source_ip is not None:
                                return True

                            if self.source_port is not None:
                                return True

                            if self.url is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Sla.Entry.Http.Get']['meta_info']


                    class Raw(object):
                        """
                        HTTP raw operation
                        
                        .. attribute:: name_server
                        
                        	Name server
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        
                        ----
                        .. attribute:: source_ip
                        
                        	Source Address
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        
                        ----
                        	**type**\:  str
                        
                        
                        ----
                        .. attribute:: source_port
                        
                        	Source port
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: url
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-sla'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name_server = None
                            self.source_ip = None
                            self.source_port = None
                            self.url = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sla:raw'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name_server is not None:
                                return True

                            if self.source_ip is not None:
                                return True

                            if self.source_port is not None:
                                return True

                            if self.url is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Sla.Entry.Http.Raw']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sla:http'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.get is not None and self.get._has_data():
                            return True

                        if self.owner is not None:
                            return True

                        if self.raw is not None and self.raw._has_data():
                            return True

                        if self.tag is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Sla.Entry.Http']['meta_info']


                class Dhcp(object):
                    """
                    DHCP Operation
                    
                    .. attribute:: dst_ip
                    
                    	Destination IP address or hostname, broadcast disallowed
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: source_ip
                    
                    	IP address or hostname, broadcast disallowed
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dst_ip = None
                        self.source_ip = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sla:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dst_ip is not None:
                            return True

                        if self.source_ip is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Sla.Entry.Dhcp']['meta_info']

                @property
                def _common_path(self):
                    if self.number is None:
                        raise YPYModelError('Key property number is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-sla:sla/Cisco-IOS-XE-sla:entry[Cisco-IOS-XE-sla:number = ' + str(self.number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.http is not None and self.http._has_data():
                        return True

                    if self.icmp_echo is not None and self.icmp_echo._has_data():
                        return True

                    if self.path_echo is not None and self.path_echo._has_data():
                        return True

                    if self.path_jitter is not None and self.path_jitter._has_data():
                        return True

                    if self.udp_echo is not None and self.udp_echo._has_data():
                        return True

                    if self.udp_jitter is not None and self.udp_jitter._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Sla.Entry']['meta_info']


            class Enable(object):
                """
                
                
                .. attribute:: reaction_alerts
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sla'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reaction_alerts = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-sla:sla/Cisco-IOS-XE-sla:enable'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reaction_alerts is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Sla.Enable']['meta_info']


            class Responder(object):
                """
                Enable IP SLAs Responder
                
                .. attribute:: tcp_connect
                
                	Setup tcp\-connect responder
                	**type**\:   :py:class:`TcpConnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Responder.TcpConnect>`
                
                .. attribute:: udp_echo
                
                	Setup udp\-echo responder
                	**type**\:   :py:class:`UdpEcho <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Responder.UdpEcho>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sla'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.tcp_connect = Native.Ip.Sla.Responder.TcpConnect()
                    self.tcp_connect.parent = self
                    self.udp_echo = Native.Ip.Sla.Responder.UdpEcho()
                    self.udp_echo.parent = self


                class UdpEcho(object):
                    """
                    Setup udp\-echo responder
                    
                    .. attribute:: ipaddress
                    
                    	Permanent address
                    	**type**\: list of    :py:class:`Ipaddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Responder.UdpEcho.Ipaddress>`
                    
                    .. attribute:: port
                    
                    	Permanent port
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipaddress = YList()
                        self.ipaddress.parent = self
                        self.ipaddress.name = 'ipaddress'
                        self.port = None


                    class Ipaddress(object):
                        """
                        Permanent address
                        
                        .. attribute:: host  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: port
                        
                        	Permanent port
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-sla'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.host = None
                            self.port = None

                        @property
                        def _common_path(self):
                            if self.host is None:
                                raise YPYModelError('Key property host is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-sla:sla/Cisco-IOS-XE-sla:responder/Cisco-IOS-XE-sla:udp-echo/Cisco-IOS-XE-sla:ipaddress[Cisco-IOS-XE-sla:host = ' + str(self.host) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.host is not None:
                                return True

                            if self.port is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Sla.Responder.UdpEcho.Ipaddress']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-sla:sla/Cisco-IOS-XE-sla:responder/Cisco-IOS-XE-sla:udp-echo'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipaddress is not None:
                            for child_ref in self.ipaddress:
                                if child_ref._has_data():
                                    return True

                        if self.port is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Sla.Responder.UdpEcho']['meta_info']


                class TcpConnect(object):
                    """
                    Setup tcp\-connect responder
                    
                    .. attribute:: ipaddress
                    
                    	Permanent address
                    	**type**\: list of    :py:class:`Ipaddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Responder.TcpConnect.Ipaddress>`
                    
                    .. attribute:: port
                    
                    	Permanent port
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipaddress = YList()
                        self.ipaddress.parent = self
                        self.ipaddress.name = 'ipaddress'
                        self.port = None


                    class Ipaddress(object):
                        """
                        Permanent address
                        
                        .. attribute:: host  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: port
                        
                        	Permanent port
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-sla'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.host = None
                            self.port = None

                        @property
                        def _common_path(self):
                            if self.host is None:
                                raise YPYModelError('Key property host is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-sla:sla/Cisco-IOS-XE-sla:responder/Cisco-IOS-XE-sla:tcp-connect/Cisco-IOS-XE-sla:ipaddress[Cisco-IOS-XE-sla:host = ' + str(self.host) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.host is not None:
                                return True

                            if self.port is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Sla.Responder.TcpConnect.Ipaddress']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-sla:sla/Cisco-IOS-XE-sla:responder/Cisco-IOS-XE-sla:tcp-connect'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipaddress is not None:
                            for child_ref in self.ipaddress:
                                if child_ref._has_data():
                                    return True

                        if self.port is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Sla.Responder.TcpConnect']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-sla:sla/Cisco-IOS-XE-sla:responder'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.tcp_connect is not None and self.tcp_connect._has_data():
                        return True

                    if self.udp_echo is not None and self.udp_echo._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Sla.Responder']['meta_info']


            class Logging(object):
                """
                low\-memory
                
                .. attribute:: traps
                
                	Enable syslog traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sla'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.traps = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-sla:sla/Cisco-IOS-XE-sla:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.traps is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Sla.Logging']['meta_info']


            class Group(object):
                """
                Group Configuration or Group Scheduling
                
                .. attribute:: schedule
                
                	Group scheduling
                	**type**\: list of    :py:class:`Schedule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Group.Schedule>`
                
                

                """

                _prefix = 'ios-sla'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.schedule = YList()
                    self.schedule.parent = self
                    self.schedule.name = 'schedule'


                class Schedule(object):
                    """
                    Group scheduling
                    
                    .. attribute:: entry_number  <key>
                    
                    	Group schedule entry number
                    	**type**\:  int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: probe_ids
                    
                    	
                    	**type**\: list of    :py:class:`ProbeIds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Group.Schedule.ProbeIds>`
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.entry_number = None
                        self.probe_ids = YList()
                        self.probe_ids.parent = self
                        self.probe_ids.name = 'probe_ids'


                    class ProbeIds(object):
                        """
                        
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: schedule_period
                        
                        	Group schedule period range
                        	**type**\:   :py:class:`SchedulePeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod>`
                        
                        

                        """

                        _prefix = 'ios-sla'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.word = None
                            self.schedule_period = Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod()
                            self.schedule_period.parent = self


                        class SchedulePeriod(object):
                            """
                            Group schedule period range
                            
                            .. attribute:: frequency
                            
                            	Group operation frequency
                            	**type**\:   :py:class:`Frequency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.Frequency>`
                            
                            .. attribute:: life
                            
                            	Length of time to execute in seconds
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:   :py:class:`LifeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.LifeEnum>`
                            
                            
                            ----
                            .. attribute:: seconds
                            
                            	seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: start_time
                            
                            	When to start this entry
                            	**type**\:   :py:class:`StartTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.StartTime>`
                            
                            

                            """

                            _prefix = 'ios-sla'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.frequency = Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.Frequency()
                                self.frequency.parent = self
                                self.life = None
                                self.seconds = None
                                self.start_time = Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.StartTime()
                                self.start_time.parent = self

                            class LifeEnum(Enum):
                                """
                                LifeEnum

                                Length of time to execute in seconds

                                .. data:: forever = 0

                                """

                                forever = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.LifeEnum']



                            class Frequency(object):
                                """
                                Group operation frequency
                                
                                .. attribute:: frequency_val
                                
                                	Specify frequency in seconds
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: range
                                
                                	Group operation frequency\-range for random scheduling
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-sla'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.frequency_val = None
                                    self.range = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-sla:frequency'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.frequency_val is not None:
                                        return True

                                    if self.range is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.Frequency']['meta_info']


                            class StartTime(object):
                                """
                                When to start this entry
                                
                                .. attribute:: now
                                
                                	Start now
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-sla'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.now = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-sla:start-time'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.now is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.StartTime']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sla:schedule-period'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.frequency is not None and self.frequency._has_data():
                                    return True

                                if self.life is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                if self.start_time is not None and self.start_time._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.word is None:
                                raise YPYModelError('Key property word is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-sla:probe-ids[Cisco-IOS-XE-sla:word = ' + str(self.word) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.word is not None:
                                return True

                            if self.schedule_period is not None and self.schedule_period._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Sla.Group.Schedule.ProbeIds']['meta_info']

                    @property
                    def _common_path(self):
                        if self.entry_number is None:
                            raise YPYModelError('Key property entry_number is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-sla:sla/Cisco-IOS-XE-sla:group/Cisco-IOS-XE-sla:schedule[Cisco-IOS-XE-sla:entry-number = ' + str(self.entry_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.entry_number is not None:
                            return True

                        if self.probe_ids is not None:
                            for child_ref in self.probe_ids:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Sla.Group.Schedule']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-sla:sla/Cisco-IOS-XE-sla:group'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.schedule is not None:
                        for child_ref in self.schedule:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Sla.Group']['meta_info']


            class Schedule(object):
                """
                Entry Scheduling
                
                .. attribute:: entry_number  <key>
                
                	
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: ageout
                
                	How long to keep this Entry when inactive
                	**type**\:  int
                
                	**range:** 0..2073600
                
                .. attribute:: life
                
                	Length of time to execute in seconds
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                
                ----
                	**type**\:   :py:class:`LifeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Schedule.LifeEnum>`
                
                
                ----
                .. attribute:: recurring
                
                	Probe to be scheduled automatically every day
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: start_time
                
                	When to start this entry
                	**type**\:   :py:class:`StartTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Schedule.StartTime>`
                
                

                """

                _prefix = 'ios-sla'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.entry_number = None
                    self.ageout = None
                    self.life = None
                    self.recurring = None
                    self.start_time = Native.Ip.Sla.Schedule.StartTime()
                    self.start_time.parent = self

                class LifeEnum(Enum):
                    """
                    LifeEnum

                    Length of time to execute in seconds

                    .. data:: forever = 0

                    """

                    forever = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Sla.Schedule.LifeEnum']



                class StartTime(object):
                    """
                    When to start this entry
                    
                    .. attribute:: after
                    
                    	Start after a certain amount of time from now
                    	**type**\:  str
                    
                    .. attribute:: hour_min
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: hour_min_sec
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: now
                    
                    	Start now
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pending
                    
                    	Start pending
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: random
                    
                    	Start after random time (range)
                    	**type**\:  int
                    
                    	**range:** 500..10000
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.after = None
                        self.hour_min = None
                        self.hour_min_sec = None
                        self.now = None
                        self.pending = None
                        self.random = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sla:start-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.after is not None:
                            return True

                        if self.hour_min is not None:
                            return True

                        if self.hour_min_sec is not None:
                            return True

                        if self.now is not None:
                            return True

                        if self.pending is not None:
                            return True

                        if self.random is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Sla.Schedule.StartTime']['meta_info']

                @property
                def _common_path(self):
                    if self.entry_number is None:
                        raise YPYModelError('Key property entry_number is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-sla:sla/Cisco-IOS-XE-sla:schedule[Cisco-IOS-XE-sla:entry-number = ' + str(self.entry_number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.entry_number is not None:
                        return True

                    if self.ageout is not None:
                        return True

                    if self.life is not None:
                        return True

                    if self.recurring is not None:
                        return True

                    if self.start_time is not None and self.start_time._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Sla.Schedule']['meta_info']


            class ReactionConfiguration(object):
                """
                IP SLA's reaction configuration
                
                .. attribute:: entry_number  <key>
                
                	Entry number
                	**type**\:  int
                
                	**range:** 1..2147483647
                
                .. attribute:: react
                
                	
                	**type**\:   :py:class:`React <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.ReactionConfiguration.React>`
                
                

                """

                _prefix = 'ios-sla'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.entry_number = None
                    self.react = Native.Ip.Sla.ReactionConfiguration.React()
                    self.react.parent = self


                class React(object):
                    """
                    
                    
                    .. attribute:: connectionloss
                    
                    	
                    	**type**\:   :py:class:`Connectionloss <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.ReactionConfiguration.React.Connectionloss>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: rtt
                    
                    	
                    	**type**\:   :py:class:`Rtt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.ReactionConfiguration.React.Rtt>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.connectionloss = None
                        self.rtt = None


                    class Connectionloss(object):
                        """
                        
                        
                        .. attribute:: threshold_type
                        
                        	
                        	**type**\:   :py:class:`ThresholdType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sla'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.threshold_type = Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType()
                            self.threshold_type.parent = self


                        class ThresholdType(object):
                            """
                            
                            
                            .. attribute:: xofy
                            
                            	
                            	**type**\:   :py:class:`Xofy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType.Xofy>`
                            
                            

                            """

                            _prefix = 'ios-sla'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.xofy = Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType.Xofy()
                                self.xofy.parent = self


                            class Xofy(object):
                                """
                                
                                
                                .. attribute:: action_type
                                
                                	
                                	**type**\:   :py:class:`ActionTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType.Xofy.ActionTypeEnum>`
                                
                                .. attribute:: x_val
                                
                                	X value
                                	**type**\:  int
                                
                                	**range:** 1..16
                                
                                .. attribute:: y_val
                                
                                	Y value
                                	**type**\:  int
                                
                                	**range:** 1..16
                                
                                

                                """

                                _prefix = 'ios-sla'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.action_type = None
                                    self.x_val = None
                                    self.y_val = None

                                class ActionTypeEnum(Enum):
                                    """
                                    ActionTypeEnum

                                    .. data:: none = 0

                                    .. data:: trapAndTrigger = 1

                                    .. data:: trapOnly = 2

                                    .. data:: triggerOnly = 3

                                    """

                                    none = 0

                                    trapAndTrigger = 1

                                    trapOnly = 2

                                    triggerOnly = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType.Xofy.ActionTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-sla:xOfy'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.action_type is not None:
                                        return True

                                    if self.x_val is not None:
                                        return True

                                    if self.y_val is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType.Xofy']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sla:threshold-type'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.xofy is not None and self.xofy._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sla:connectionLoss'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.threshold_type is not None and self.threshold_type._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Sla.ReactionConfiguration.React.Connectionloss']['meta_info']


                    class Rtt(object):
                        """
                        
                        
                        .. attribute:: threshold_value
                        
                        	
                        	**type**\:   :py:class:`ThresholdValue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sla'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.threshold_value = Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue()
                            self.threshold_value.parent = self


                        class ThresholdValue(object):
                            """
                            
                            
                            .. attribute:: action_type
                            
                            	
                            	**type**\:   :py:class:`ActionTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue.ActionTypeEnum>`
                            
                            .. attribute:: lower_limit_val
                            
                            	Lower limit
                            	**type**\:  int
                            
                            	**range:** 1..60000
                            
                            .. attribute:: threshold_type
                            
                            	Threshold type
                            	**type**\:   :py:class:`ThresholdTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue.ThresholdTypeEnum>`
                            
                            .. attribute:: upper_limit_val
                            
                            	Upper limit
                            	**type**\:  int
                            
                            	**range:** 1..60000
                            
                            

                            """

                            _prefix = 'ios-sla'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action_type = None
                                self.lower_limit_val = None
                                self.threshold_type = None
                                self.upper_limit_val = None

                            class ActionTypeEnum(Enum):
                                """
                                ActionTypeEnum

                                .. data:: none = 0

                                .. data:: trapAndTrigger = 1

                                .. data:: trapOnly = 2

                                .. data:: triggerOnly = 3

                                """

                                none = 0

                                trapAndTrigger = 1

                                trapOnly = 2

                                triggerOnly = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue.ActionTypeEnum']


                            class ThresholdTypeEnum(Enum):
                                """
                                ThresholdTypeEnum

                                Threshold type

                                .. data:: immediate = 0

                                """

                                immediate = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue.ThresholdTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sla:threshold-value'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action_type is not None:
                                    return True

                                if self.lower_limit_val is not None:
                                    return True

                                if self.threshold_type is not None:
                                    return True

                                if self.upper_limit_val is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sla:rtt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.threshold_value is not None and self.threshold_value._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Sla.ReactionConfiguration.React.Rtt']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sla:react'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.connectionloss is not None and self.connectionloss._has_data():
                            return True

                        if self.rtt is not None and self.rtt._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Sla.ReactionConfiguration.React']['meta_info']

                @property
                def _common_path(self):
                    if self.entry_number is None:
                        raise YPYModelError('Key property entry_number is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-sla:sla/Cisco-IOS-XE-sla:reaction-configuration[Cisco-IOS-XE-sla:entry-number = ' + str(self.entry_number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.entry_number is not None:
                        return True

                    if self.react is not None and self.react._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Sla.ReactionConfiguration']['meta_info']


            class Server(object):
                """
                IPPM server configuration
                
                .. attribute:: twamp
                
                	IPPM TWAMP server configuration
                	**type**\:   :py:class:`Twamp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Server.Twamp>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-sla'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.twamp = None


                class Twamp(object):
                    """
                    IPPM TWAMP server configuration
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-sla:sla/Cisco-IOS-XE-sla:server/Cisco-IOS-XE-sla:twamp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Sla.Server.Twamp']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-sla:sla/Cisco-IOS-XE-sla:server'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.twamp is not None and self.twamp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Sla.Server']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-sla:sla'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.enable is not None and self.enable._has_data():
                    return True

                if self.entry is not None:
                    for child_ref in self.entry:
                        if child_ref._has_data():
                            return True

                if self.group is not None and self.group._has_data():
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.reaction_configuration is not None:
                    for child_ref in self.reaction_configuration:
                        if child_ref._has_data():
                            return True

                if self.responder is not None and self.responder._has_data():
                    return True

                if self.schedule is not None:
                    for child_ref in self.schedule:
                        if child_ref._has_data():
                            return True

                if self.server is not None and self.server._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Sla']['meta_info']


        class Wccp(object):
            """
            Web\-Cache Coordination Protocol IPv4 Commands
            
            .. attribute:: check
            
            	Enable a WCCP check
            	**type**\:   :py:class:`Check <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Check>`
            
            .. attribute:: source_interface
            
            	Set source interface for Router ID
            	**type**\:  str
            
            .. attribute:: vrf
            
            	Configure WCCP for a VRF
            	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Vrf>`
            
            .. attribute:: wccp_list
            
            	
            	**type**\: list of    :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.WccpList>`
            
            .. attribute:: web_cache
            
            	Standard web caching service
            	**type**\:   :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.WebCache>`
            
            

            """

            _prefix = 'ios-wccp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.check = Native.Ip.Wccp.Check()
                self.check.parent = self
                self.source_interface = None
                self.vrf = YList()
                self.vrf.parent = self
                self.vrf.name = 'vrf'
                self.wccp_list = YList()
                self.wccp_list.parent = self
                self.wccp_list.name = 'wccp_list'
                self.web_cache = Native.Ip.Wccp.WebCache()
                self.web_cache.parent = self


            class WccpList(object):
                """
                
                
                .. attribute:: id  <key>
                
                	
                	**type**\:  int
                
                	**range:** 0..254
                
                .. attribute:: group_address
                
                	Set the multicast group
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: group_list
                
                	Set the access\-list used to permit group membership
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: mode
                
                	Set the service mode
                	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.WccpList.ModeEnum>`
                
                .. attribute:: password
                
                	Set the authentication password
                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.WccpList.Password>`
                
                .. attribute:: redirect_list
                
                	Set the access\-list used to permit redirection
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: snmp_disabled
                
                	Disable SNMP for WCCP GRE Tunnel
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-wccp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.group_address = None
                    self.group_list = None
                    self.mode = None
                    self.password = Native.Ip.Wccp.WccpList.Password()
                    self.password.parent = self
                    self.redirect_list = None
                    self.snmp_disabled = None

                class ModeEnum(Enum):
                    """
                    ModeEnum

                    Set the service mode

                    .. data:: closed = 0

                    .. data:: open = 1

                    """

                    closed = 0

                    open = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Wccp.WccpList.ModeEnum']



                class Password(object):
                    """
                    Set the authentication password
                    
                    .. attribute:: clear_key
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.WccpList.Password.EncryptionEnum>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.clear_key = None
                        self.encryption = None

                    class EncryptionEnum(Enum):
                        """
                        EncryptionEnum

                        .. data:: Y_0 = 0

                        .. data:: Y_7 = 1

                        """

                        Y_0 = 0

                        Y_7 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Wccp.WccpList.Password.EncryptionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-wccp:password'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.clear_key is not None:
                            return True

                        if self.encryption is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Wccp.WccpList.Password']['meta_info']

                @property
                def _common_path(self):
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-wccp:wccp/Cisco-IOS-XE-wccp:wccp-list[Cisco-IOS-XE-wccp:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.group_address is not None:
                        return True

                    if self.group_list is not None:
                        return True

                    if self.mode is not None:
                        return True

                    if self.password is not None and self.password._has_data():
                        return True

                    if self.redirect_list is not None:
                        return True

                    if self.snmp_disabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Wccp.WccpList']['meta_info']


            class WebCache(object):
                """
                Standard web caching service
                
                .. attribute:: group_address
                
                	Set the multicast group
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: group_list
                
                	Set the access\-list used to permit group membership
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: mode
                
                	Set the service mode
                	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.WebCache.ModeEnum>`
                
                .. attribute:: password
                
                	Set the authentication password
                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.WebCache.Password>`
                
                .. attribute:: redirect_list
                
                	Set the access\-list used to permit redirection
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: snmp_disabled
                
                	Disable SNMP for WCCP GRE Tunnel
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-wccp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.group_address = None
                    self.group_list = None
                    self.mode = None
                    self.password = Native.Ip.Wccp.WebCache.Password()
                    self.password.parent = self
                    self.redirect_list = None
                    self.snmp_disabled = None

                class ModeEnum(Enum):
                    """
                    ModeEnum

                    Set the service mode

                    .. data:: closed = 0

                    .. data:: open = 1

                    """

                    closed = 0

                    open = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Wccp.WebCache.ModeEnum']



                class Password(object):
                    """
                    Set the authentication password
                    
                    .. attribute:: clear_key
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.WebCache.Password.EncryptionEnum>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.clear_key = None
                        self.encryption = None

                    class EncryptionEnum(Enum):
                        """
                        EncryptionEnum

                        .. data:: Y_0 = 0

                        .. data:: Y_7 = 1

                        """

                        Y_0 = 0

                        Y_7 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Wccp.WebCache.Password.EncryptionEnum']


                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-wccp:wccp/Cisco-IOS-XE-wccp:web-cache/Cisco-IOS-XE-wccp:password'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.clear_key is not None:
                            return True

                        if self.encryption is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Wccp.WebCache.Password']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-wccp:wccp/Cisco-IOS-XE-wccp:web-cache'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.group_address is not None:
                        return True

                    if self.group_list is not None:
                        return True

                    if self.mode is not None:
                        return True

                    if self.password is not None and self.password._has_data():
                        return True

                    if self.redirect_list is not None:
                        return True

                    if self.snmp_disabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Wccp.WebCache']['meta_info']


            class Check(object):
                """
                Enable a WCCP check
                
                .. attribute:: acl
                
                	Enable acl check
                	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Check.Acl>`
                
                .. attribute:: services
                
                	Enable services check
                	**type**\:   :py:class:`Services <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Check.Services>`
                
                

                """

                _prefix = 'ios-wccp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.acl = Native.Ip.Wccp.Check.Acl()
                    self.acl.parent = self
                    self.services = Native.Ip.Wccp.Check.Services()
                    self.services.parent = self


                class Acl(object):
                    """
                    Enable acl check
                    
                    .. attribute:: outbound
                    
                    	Enable acl check on original outbound interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.outbound = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-wccp:wccp/Cisco-IOS-XE-wccp:check/Cisco-IOS-XE-wccp:acl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.outbound is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Wccp.Check.Acl']['meta_info']


                class Services(object):
                    """
                    Enable services check
                    
                    .. attribute:: all
                    
                    	Enable all services check for redirection
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.all = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-wccp:wccp/Cisco-IOS-XE-wccp:check/Cisco-IOS-XE-wccp:services'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.all is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Wccp.Check.Services']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-wccp:wccp/Cisco-IOS-XE-wccp:check'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.acl is not None and self.acl._has_data():
                        return True

                    if self.services is not None and self.services._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Wccp.Check']['meta_info']


            class Vrf(object):
                """
                Configure WCCP for a VRF
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: source_interface
                
                	Set source interface for Router ID
                	**type**\:  str
                
                .. attribute:: wccp_list
                
                	
                	**type**\: list of    :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Vrf.WccpList>`
                
                .. attribute:: web_cache
                
                	Standard web caching service
                	**type**\:   :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Vrf.WebCache>`
                
                

                """

                _prefix = 'ios-wccp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.source_interface = None
                    self.wccp_list = YList()
                    self.wccp_list.parent = self
                    self.wccp_list.name = 'wccp_list'
                    self.web_cache = Native.Ip.Wccp.Vrf.WebCache()
                    self.web_cache.parent = self


                class WccpList(object):
                    """
                    
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..254
                    
                    .. attribute:: group_address
                    
                    	Set the multicast group
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: group_list
                    
                    	Set the access\-list used to permit group membership
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..199 \| 1300..2699
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    .. attribute:: mode
                    
                    	Set the service mode
                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Vrf.WccpList.ModeEnum>`
                    
                    .. attribute:: password
                    
                    	Set the authentication password
                    	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Vrf.WccpList.Password>`
                    
                    .. attribute:: redirect_list
                    
                    	Set the access\-list used to permit redirection
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..199 \| 1300..2699
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    .. attribute:: snmp_disabled
                    
                    	Disable SNMP for WCCP GRE Tunnel
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.group_address = None
                        self.group_list = None
                        self.mode = None
                        self.password = Native.Ip.Wccp.Vrf.WccpList.Password()
                        self.password.parent = self
                        self.redirect_list = None
                        self.snmp_disabled = None

                    class ModeEnum(Enum):
                        """
                        ModeEnum

                        Set the service mode

                        .. data:: closed = 0

                        .. data:: open = 1

                        """

                        closed = 0

                        open = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Wccp.Vrf.WccpList.ModeEnum']



                    class Password(object):
                        """
                        Set the authentication password
                        
                        .. attribute:: clear_key
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: encryption
                        
                        	
                        	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Vrf.WccpList.Password.EncryptionEnum>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.clear_key = None
                            self.encryption = None

                        class EncryptionEnum(Enum):
                            """
                            EncryptionEnum

                            .. data:: Y_0 = 0

                            .. data:: Y_7 = 1

                            """

                            Y_0 = 0

                            Y_7 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Wccp.Vrf.WccpList.Password.EncryptionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:password'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.clear_key is not None:
                                return True

                            if self.encryption is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Wccp.Vrf.WccpList.Password']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp-list[Cisco-IOS-XE-wccp:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.group_address is not None:
                            return True

                        if self.group_list is not None:
                            return True

                        if self.mode is not None:
                            return True

                        if self.password is not None and self.password._has_data():
                            return True

                        if self.redirect_list is not None:
                            return True

                        if self.snmp_disabled is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Wccp.Vrf.WccpList']['meta_info']


                class WebCache(object):
                    """
                    Standard web caching service
                    
                    .. attribute:: group_address
                    
                    	Set the multicast group
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: group_list
                    
                    	Set the access\-list used to permit group membership
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..199 \| 1300..2699
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    .. attribute:: mode
                    
                    	Set the service mode
                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Vrf.WebCache.ModeEnum>`
                    
                    .. attribute:: password
                    
                    	Set the authentication password
                    	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Vrf.WebCache.Password>`
                    
                    .. attribute:: redirect_list
                    
                    	Set the access\-list used to permit redirection
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..199 \| 1300..2699
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    .. attribute:: snmp_disabled
                    
                    	Disable SNMP for WCCP GRE Tunnel
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_address = None
                        self.group_list = None
                        self.mode = None
                        self.password = Native.Ip.Wccp.Vrf.WebCache.Password()
                        self.password.parent = self
                        self.redirect_list = None
                        self.snmp_disabled = None

                    class ModeEnum(Enum):
                        """
                        ModeEnum

                        Set the service mode

                        .. data:: closed = 0

                        .. data:: open = 1

                        """

                        closed = 0

                        open = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Wccp.Vrf.WebCache.ModeEnum']



                    class Password(object):
                        """
                        Set the authentication password
                        
                        .. attribute:: clear_key
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: encryption
                        
                        	
                        	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Vrf.WebCache.Password.EncryptionEnum>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.clear_key = None
                            self.encryption = None

                        class EncryptionEnum(Enum):
                            """
                            EncryptionEnum

                            .. data:: Y_0 = 0

                            .. data:: Y_7 = 1

                            """

                            Y_0 = 0

                            Y_7 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ip.Wccp.Vrf.WebCache.Password.EncryptionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:password'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.clear_key is not None:
                                return True

                            if self.encryption is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ip.Wccp.Vrf.WebCache.Password']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-wccp:web-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_address is not None:
                            return True

                        if self.group_list is not None:
                            return True

                        if self.mode is not None:
                            return True

                        if self.password is not None and self.password._has_data():
                            return True

                        if self.redirect_list is not None:
                            return True

                        if self.snmp_disabled is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ip.Wccp.Vrf.WebCache']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-wccp:wccp/Cisco-IOS-XE-wccp:vrf[Cisco-IOS-XE-wccp:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.source_interface is not None:
                        return True

                    if self.wccp_list is not None:
                        for child_ref in self.wccp_list:
                            if child_ref._has_data():
                                return True

                    if self.web_cache is not None and self.web_cache._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ip.Wccp.Vrf']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip/Cisco-IOS-XE-wccp:wccp'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.check is not None and self.check._has_data():
                    return True

                if self.source_interface is not None:
                    return True

                if self.vrf is not None:
                    for child_ref in self.vrf:
                        if child_ref._has_data():
                            return True

                if self.wccp_list is not None:
                    for child_ref in self.wccp_list:
                        if child_ref._has_data():
                            return True

                if self.web_cache is not None and self.web_cache._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ip.Wccp']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ip'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.access_list is not None and self.access_list._has_data():
                return True

            if self.admission is not None and self.admission._has_data():
                return True

            if self.arp is not None and self.arp._has_data():
                return True

            if self.as_path is not None and self.as_path._has_data():
                return True

            if self.bgp_community is not None and self.bgp_community._has_data():
                return True

            if self.bootp is not None and self.bootp._has_data():
                return True

            if self.cef is not None and self.cef._has_data():
                return True

            if self.classless is not None:
                return True

            if self.community_list is not None and self.community_list._has_data():
                return True

            if self.default_gateway is not None:
                return True

            if self.device is not None and self.device._has_data():
                return True

            if self.dhcp is not None and self.dhcp._has_data():
                return True

            if self.dns is not None and self.dns._has_data():
                return True

            if self.domain is not None and self.domain._has_data():
                return True

            if self.domain_list is not None and self.domain_list._has_data():
                return True

            if self.domain_lookup is not None and self.domain_lookup._has_data():
                return True

            if self.domain_lookup_conf is not None and self.domain_lookup_conf._has_data():
                return True

            if self.domain_name is not None:
                return True

            if self.explicit_path is not None:
                for child_ref in self.explicit_path:
                    if child_ref._has_data():
                        return True

            if self.extcommunity_list is not None and self.extcommunity_list._has_data():
                return True

            if self.finger is not None and self.finger._has_data():
                return True

            if self.forward_protocol is not None and self.forward_protocol._has_data():
                return True

            if self.ftp is not None and self.ftp._has_data():
                return True

            if self.host is not None:
                for child_ref in self.host:
                    if child_ref._has_data():
                        return True

            if self.host_routing is not None:
                return True

            if self.http is not None and self.http._has_data():
                return True

            if self.icmp is not None and self.icmp._has_data():
                return True

            if self.igmp is not None and self.igmp._has_data():
                return True

            if self.local is not None and self.local._has_data():
                return True

            if self.mcr_conf is not None and self.mcr_conf._has_data():
                return True

            if self.mroute is not None and self.mroute._has_data():
                return True

            if self.msdp is not None and self.msdp._has_data():
                return True

            if self.multicast is not None and self.multicast._has_data():
                return True

            if self.multicast_routing is not None and self.multicast_routing._has_data():
                return True

            if self.name_server is not None and self.name_server._has_data():
                return True

            if self.nat is not None and self.nat._has_data():
                return True

            if self.nbar is not None and self.nbar._has_data():
                return True

            if self.pim is not None and self.pim._has_data():
                return True

            if self.prefix_list is not None and self.prefix_list._has_data():
                return True

            if self.radius is not None and self.radius._has_data():
                return True

            if self.rcmd is not None and self.rcmd._has_data():
                return True

            if self.route is not None and self.route._has_data():
                return True

            if self.routing is not None:
                return True

            if self.scp is not None and self.scp._has_data():
                return True

            if self.sla is not None and self.sla._has_data():
                return True

            if self.source_route is not None:
                return True

            if self.spd is not None and self.spd._has_data():
                return True

            if self.ssh is not None and self.ssh._has_data():
                return True

            if self.subnet_zero is not None:
                return True

            if self.tacacs is not None and self.tacacs._has_data():
                return True

            if self.tcp is not None and self.tcp._has_data():
                return True

            if self.telnet is not None and self.telnet._has_data():
                return True

            if self.tftp is not None and self.tftp._has_data():
                return True

            if self.vrf is not None:
                for child_ref in self.vrf:
                    if child_ref._has_data():
                        return True

            if self.wccp is not None and self.wccp._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Ip']['meta_info']


    class Mka(object):
        """
        MACsec Key Agreement (MKA) configuration
        
        .. attribute:: policy
        
        	Configure MKA Policy
        	**type**\: list of    :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mka.Policy>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.policy = YList()
            self.policy.parent = self
            self.policy.name = 'policy'


        class Policy(object):
            """
            Configure MKA Policy
            
            .. attribute:: name  <key>
            
            	MKA Policy NAME
            	**type**\:  str
            
            .. attribute:: macsec_cipher_suite
            
            	Cipher Suite for SAK derivation
            	**type**\:   :py:class:`MacsecCipherSuite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mka.Policy.MacsecCipherSuite>`
            
            

            """

            _prefix = 'ios-mka'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.macsec_cipher_suite = Native.Mka.Policy.MacsecCipherSuite()
                self.macsec_cipher_suite.parent = self


            class MacsecCipherSuite(object):
                """
                Cipher Suite for SAK derivation
                
                .. attribute:: gcm_aes_128
                
                	GCM\-AES\-128 Cipher Suite
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: gcm_aes_256
                
                	GCM\-AES\-256 Cipher Suite
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-mka'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.gcm_aes_128 = None
                    self.gcm_aes_256 = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-mka:macsec-cipher-suite'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.gcm_aes_128 is not None:
                        return True

                    if self.gcm_aes_256 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mka.Policy.MacsecCipherSuite']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mka/Cisco-IOS-XE-mka:policy[Cisco-IOS-XE-mka:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.macsec_cipher_suite is not None and self.macsec_cipher_suite._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Mka.Policy']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mka'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.policy is not None:
                for child_ref in self.policy:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Mka']['meta_info']


    class Macro(object):
        """
        Macro configuration
        
        .. attribute:: auto
        
        	Macro autoexecution settings
        	**type**\:   :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Macro.Auto>`
        
        .. attribute:: global_
        
        	Enter global macro configuration
        	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Macro.Global_>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.auto = Native.Macro.Auto()
            self.auto.parent = self
            self.global_ = Native.Macro.Global_()
            self.global_.parent = self


        class Global_(object):
            """
            Enter global macro configuration
            
            .. attribute:: description
            
            	Macro description of this device
            	**type**\:  str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.description = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:macro/Cisco-IOS-XE-native:global'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.description is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Macro.Global_']['meta_info']


        class Auto(object):
            """
            Macro autoexecution settings
            
            .. attribute:: execute
            
            	Map event trigger to macro
            	**type**\: list of    :py:class:`Execute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Macro.Auto.Execute>`
            
            .. attribute:: global_
            
            	Macro auto execution configuration
            	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Macro.Auto.Global_>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.execute = YList()
                self.execute.parent = self
                self.execute.name = 'execute'
                self.global_ = Native.Macro.Auto.Global_()
                self.global_.parent = self


            class Execute(object):
                """
                Map event trigger to macro
                
                .. attribute:: trigger_event  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: builtin
                
                	Display builtin shell functions
                	**type**\:   :py:class:`Builtin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Macro.Auto.Execute.Builtin>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trigger_event = None
                    self.builtin = Native.Macro.Auto.Execute.Builtin()
                    self.builtin.parent = self


                class Builtin(object):
                    """
                    Display builtin shell functions
                    
                    .. attribute:: parameters
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: smart_port_configuration
                    
                    	
                    	**type**\:   :py:class:`SmartPortConfigurationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Macro.Auto.Execute.Builtin.SmartPortConfigurationEnum>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.parameters = None
                        self.smart_port_configuration = None

                    class SmartPortConfigurationEnum(Enum):
                        """
                        SmartPortConfigurationEnum

                        .. data:: CISCO_AP_AUTO_SMARTPORT = 0

                        .. data:: CISCO_DMP_AUTO_SMARTPORT = 1

                        .. data:: CISCO_DMP_AUTO_SMARTPORT_V1 = 2

                        .. data:: CISCO_IP_CAMERA_AUTO_SMARTPORT = 3

                        .. data:: CISCO_LAST_RESORT_SMARTPORT = 4

                        .. data:: CISCO_LIGHT_AUTO_SMARTPORT = 5

                        .. data:: CISCO_LWAP_AUTO_SMARTPORT = 6

                        .. data:: CISCO_PHONE_AUTO_SMARTPORT = 7

                        .. data:: CISCO_PHONE_AUTO_SMARTPORT_V1 = 8

                        .. data:: CISCO_ROUTER_AUTO_SMARTPORT = 9

                        .. data:: CISCO_SWITCH_AUTO_SMARTPORT = 10

                        .. data:: MS_IP_CAMERA_AUTO_SMARTPORT = 11

                        .. data:: MS_VIDEO_CONF_AUTO_SMARTPORT = 12

                        """

                        CISCO_AP_AUTO_SMARTPORT = 0

                        CISCO_DMP_AUTO_SMARTPORT = 1

                        CISCO_DMP_AUTO_SMARTPORT_V1 = 2

                        CISCO_IP_CAMERA_AUTO_SMARTPORT = 3

                        CISCO_LAST_RESORT_SMARTPORT = 4

                        CISCO_LIGHT_AUTO_SMARTPORT = 5

                        CISCO_LWAP_AUTO_SMARTPORT = 6

                        CISCO_PHONE_AUTO_SMARTPORT = 7

                        CISCO_PHONE_AUTO_SMARTPORT_V1 = 8

                        CISCO_ROUTER_AUTO_SMARTPORT = 9

                        CISCO_SWITCH_AUTO_SMARTPORT = 10

                        MS_IP_CAMERA_AUTO_SMARTPORT = 11

                        MS_VIDEO_CONF_AUTO_SMARTPORT = 12


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Macro.Auto.Execute.Builtin.SmartPortConfigurationEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:builtin'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.parameters is not None:
                            return True

                        if self.smart_port_configuration is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Macro.Auto.Execute.Builtin']['meta_info']

                @property
                def _common_path(self):
                    if self.trigger_event is None:
                        raise YPYModelError('Key property trigger_event is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:macro/Cisco-IOS-XE-native:auto/Cisco-IOS-XE-switch:execute[Cisco-IOS-XE-switch:trigger-event = ' + str(self.trigger_event) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trigger_event is not None:
                        return True

                    if self.builtin is not None and self.builtin._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Macro.Auto.Execute']['meta_info']


            class Global_(object):
                """
                Macro auto execution configuration
                
                .. attribute:: processing
                
                	Enable auto smartports, all ports enabled by default
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.processing = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:macro/Cisco-IOS-XE-native:auto/Cisco-IOS-XE-switch:global'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.processing is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Macro.Auto.Global_']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:macro/Cisco-IOS-XE-native:auto'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.execute is not None:
                    for child_ref in self.execute:
                        if child_ref._has_data():
                            return True

                if self.global_ is not None and self.global_._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Macro.Auto']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:macro'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.auto is not None and self.auto._has_data():
                return True

            if self.global_ is not None and self.global_._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Macro']['meta_info']


    class Ipv6(object):
        """
        Global IPv6 configuration commands
        
        .. attribute:: access_list
        
        	Configure access lists
        	**type**\:   :py:class:`AccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList>`
        
        .. attribute:: cef
        
        	Cisco Express Forwarding
        	**type**\:   :py:class:`Cef <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Cef>`
        
        	**presence node**\: True
        
        .. attribute:: destination_guard
        
        	Configure Destination guard
        	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.DestinationGuard>`
        
        .. attribute:: dhcp
        
        	IPv6 DHCP
        	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp>`
        
        .. attribute:: mld
        
        	Global mld commands
        	**type**\:   :py:class:`Mld <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Mld>`
        
        .. attribute:: multicast
        
        	Configure multicast related commands
        	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Multicast>`
        
        .. attribute:: multicast_routing
        
        	Enable IPv6 multicast
        	**type**\:   :py:class:`MulticastRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.MulticastRouting>`
        
        	**presence node**\: True
        
        .. attribute:: nd
        
        	Configure IPv6 ND
        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd>`
        
        .. attribute:: pim
        
        	Configure Protocol Independent Multicast
        	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Pim>`
        
        .. attribute:: prefix_list
        
        	Build a prefix list
        	**type**\:   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.PrefixList>`
        
        .. attribute:: rip
        
        	Configure ipv6 RIP settings
        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Rip>`
        
        .. attribute:: route
        
        	Configure static routes
        	**type**\:   :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Route>`
        
        .. attribute:: router
        
        	Enable an IPV6 routing process
        	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router>`
        
        .. attribute:: source_guard
        
        	Configure IPv6 sourceguard
        	**type**\:   :py:class:`SourceGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.SourceGuard>`
        
        .. attribute:: source_route
        
        	Process packets with source routing header options
        	**type**\:  bool
        
        .. attribute:: spd
        
        	spd
        	**type**\:   :py:class:`Spd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Spd>`
        
        .. attribute:: unicast_routing
        
        	Enable unicast routing
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.access_list = Native.Ipv6.AccessList()
            self.access_list.parent = self
            self.cef = None
            self.destination_guard = Native.Ipv6.DestinationGuard()
            self.destination_guard.parent = self
            self.dhcp = Native.Ipv6.Dhcp()
            self.dhcp.parent = self
            self.mld = Native.Ipv6.Mld()
            self.mld.parent = self
            self.multicast = Native.Ipv6.Multicast()
            self.multicast.parent = self
            self.multicast_routing = None
            self.nd = Native.Ipv6.Nd()
            self.nd.parent = self
            self.pim = Native.Ipv6.Pim()
            self.pim.parent = self
            self.prefix_list = Native.Ipv6.PrefixList()
            self.prefix_list.parent = self
            self.rip = Native.Ipv6.Rip()
            self.rip.parent = self
            self.route = Native.Ipv6.Route()
            self.route.parent = self
            self.router = Native.Ipv6.Router()
            self.router.parent = self
            self.source_guard = Native.Ipv6.SourceGuard()
            self.source_guard.parent = self
            self.source_route = None
            self.spd = Native.Ipv6.Spd()
            self.spd.parent = self
            self.unicast_routing = None


        class SourceGuard(object):
            """
            Configure IPv6 sourceguard
            
            .. attribute:: policy
            
            	Configure a policy for feature sourceguard
            	**type**\: list of    :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.SourceGuard.Policy>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.policy = YList()
                self.policy.parent = self
                self.policy.name = 'policy'


            class Policy(object):
                """
                Configure a policy for feature sourceguard
                
                .. attribute:: source_guard_policy_name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: validate
                
                	Validate the src of the received data traffic
                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.SourceGuard.Policy.Validate>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.source_guard_policy_name = None
                    self.validate = Native.Ipv6.SourceGuard.Policy.Validate()
                    self.validate.parent = self


                class Validate(object):
                    """
                    Validate the src of the received data traffic
                    
                    .. attribute:: address
                    
                    	Validate against addresses learned in NDP/DHCP traffic (default)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: prefix
                    
                    	Validate against prefixes learned in RA or DHCP\-PD traffic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.prefix = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:validate'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.prefix is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.SourceGuard.Policy.Validate']['meta_info']

                @property
                def _common_path(self):
                    if self.source_guard_policy_name is None:
                        raise YPYModelError('Key property source_guard_policy_name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:source-guard/Cisco-IOS-XE-native:policy[Cisco-IOS-XE-native:source-guard-policy-name = ' + str(self.source_guard_policy_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.source_guard_policy_name is not None:
                        return True

                    if self.validate is not None and self.validate._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.SourceGuard.Policy']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:source-guard'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.policy is not None:
                    for child_ref in self.policy:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ipv6.SourceGuard']['meta_info']


        class DestinationGuard(object):
            """
            Configure Destination guard
            
            .. attribute:: policy
            
            	Configure a policy for feature destguard
            	**type**\: list of    :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.DestinationGuard.Policy>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.policy = YList()
                self.policy.parent = self
                self.policy.name = 'policy'


            class Policy(object):
                """
                Configure a policy for feature destguard
                
                .. attribute:: destination_guard_policy_name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: enforcement
                
                	Sets the enforcement level
                	**type**\:   :py:class:`Enforcement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.DestinationGuard.Policy.Enforcement>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.destination_guard_policy_name = None
                    self.enforcement = Native.Ipv6.DestinationGuard.Policy.Enforcement()
                    self.enforcement.parent = self


                class Enforcement(object):
                    """
                    Sets the enforcement level
                    
                    .. attribute:: always
                    
                    	Enforced under all conditions (default)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: stressed
                    
                    	Enforced when system is under stress
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.always = None
                        self.stressed = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:enforcement'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.always is not None:
                            return True

                        if self.stressed is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.DestinationGuard.Policy.Enforcement']['meta_info']

                @property
                def _common_path(self):
                    if self.destination_guard_policy_name is None:
                        raise YPYModelError('Key property destination_guard_policy_name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:destination-guard/Cisco-IOS-XE-native:policy[Cisco-IOS-XE-native:destination-guard-policy-name = ' + str(self.destination_guard_policy_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.destination_guard_policy_name is not None:
                        return True

                    if self.enforcement is not None and self.enforcement._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.DestinationGuard.Policy']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:destination-guard'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.policy is not None:
                    for child_ref in self.policy:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ipv6.DestinationGuard']['meta_info']


        class Dhcp(object):
            """
            IPv6 DHCP
            
            .. attribute:: guard
            
            	Configure IPv6 DHCP guard
            	**type**\:   :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Guard>`
            
            .. attribute:: pool
            
            	Configure IPv6 DHCP pool
            	**type**\: list of    :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Pool>`
            
            .. attribute:: server
            
            	Configure IPv6 DHCP server
            	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Server>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.guard = Native.Ipv6.Dhcp.Guard()
                self.guard.parent = self
                self.pool = YList()
                self.pool.parent = self
                self.pool.name = 'pool'
                self.server = Native.Ipv6.Dhcp.Server()
                self.server.parent = self


            class Server(object):
                """
                Configure IPv6 DHCP server
                
                .. attribute:: vrf
                
                	Enable VRF Awareness on server
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Server.Vrf>`
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.vrf = Native.Ipv6.Dhcp.Server.Vrf()
                    self.vrf.parent = self


                class Vrf(object):
                    """
                    Enable VRF Awareness on server
                    
                    .. attribute:: enable
                    
                    	Enable Address/PD allocation based on VRF
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enable = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:server/Cisco-IOS-XE-dhcp:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.Dhcp.Server.Vrf']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:server'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.Dhcp.Server']['meta_info']


            class Guard(object):
                """
                Configure IPv6 DHCP guard
                
                .. attribute:: policy
                
                	Configure a policy for feature dhcp guard
                	**type**\: list of    :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Guard.Policy>`
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.policy = YList()
                    self.policy.parent = self
                    self.policy.name = 'policy'


                class Policy(object):
                    """
                    Configure a policy for feature dhcp guard
                    
                    .. attribute:: dhcp_guard_policy_name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: device_role
                    
                    	Sets the role of the device attached to the port
                    	**type**\:   :py:class:`DeviceRole <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Guard.Policy.DeviceRole>`
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp_guard_policy_name = None
                        self.device_role = Native.Ipv6.Dhcp.Guard.Policy.DeviceRole()
                        self.device_role.parent = self


                    class DeviceRole(object):
                        """
                        Sets the role of the device attached to the port
                        
                        .. attribute:: client
                        
                        	Attached device is a client (default)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: server
                        
                        	Attached device is a dhcp server
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.client = None
                            self.server = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:device-role'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.client is not None:
                                return True

                            if self.server is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Dhcp.Guard.Policy.DeviceRole']['meta_info']

                    @property
                    def _common_path(self):
                        if self.dhcp_guard_policy_name is None:
                            raise YPYModelError('Key property dhcp_guard_policy_name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:guard/Cisco-IOS-XE-dhcp:policy[Cisco-IOS-XE-dhcp:dhcp-guard-policy-name = ' + str(self.dhcp_guard_policy_name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp_guard_policy_name is not None:
                            return True

                        if self.device_role is not None and self.device_role._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.Dhcp.Guard.Policy']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:guard'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.policy is not None:
                        for child_ref in self.policy:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.Dhcp.Guard']['meta_info']


            class Pool(object):
                """
                Configure IPv6 DHCP pool
                
                .. attribute:: name  <key>
                
                	DHCP pool name
                	**type**\:  str
                
                .. attribute:: address
                
                	IPv6 address allocation
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Pool.Address>`
                
                .. attribute:: dns_server
                
                	Server's name or IPv6 addres
                	**type**\: one of the below types:
                
                	**type**\:  list of str
                
                
                ----
                	**type**\:  list of str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: domain_name
                
                	Domain name to complete unqualified host names
                	**type**\:  str
                
                .. attribute:: vrf
                
                	VRF name
                	**type**\:  str
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.address = Native.Ipv6.Dhcp.Pool.Address()
                    self.address.parent = self
                    self.dns_server = YLeafList()
                    self.dns_server.parent = self
                    self.dns_server.name = 'dns_server'
                    self.domain_name = None
                    self.vrf = None


                class Address(object):
                    """
                    IPv6 address allocation
                    
                    .. attribute:: prefix
                    
                    	IPv6 address allocation prefix
                    	**type**\: list of    :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Pool.Address.Prefix>`
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.prefix = YList()
                        self.prefix.parent = self
                        self.prefix.name = 'prefix'


                    class Prefix(object):
                        """
                        IPv6 address allocation prefix
                        
                        .. attribute:: ipv6_address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: lifetime
                        
                        	Configure prefix lifetimes
                        	**type**\:   :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv6_address = None
                            self.lifetime = Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime()
                            self.lifetime.parent = self


                        class Lifetime(object):
                            """
                            Configure prefix lifetimes
                            
                            .. attribute:: preferred_lifetime
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:   :py:class:`PreferredLifetimeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime.PreferredLifetimeEnum>`
                            
                            
                            ----
                            .. attribute:: valid_lifetime
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:   :py:class:`ValidLifetimeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime.ValidLifetimeEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.preferred_lifetime = None
                                self.valid_lifetime = None

                            class PreferredLifetimeEnum(Enum):
                                """
                                PreferredLifetimeEnum

                                .. data:: infinite = 0

                                """

                                infinite = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime.PreferredLifetimeEnum']


                            class ValidLifetimeEnum(Enum):
                                """
                                ValidLifetimeEnum

                                .. data:: infinite = 0

                                """

                                infinite = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime.ValidLifetimeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:lifetime'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.preferred_lifetime is not None:
                                    return True

                                if self.valid_lifetime is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ipv6_address is None:
                                raise YPYModelError('Key property ipv6_address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:prefix[Cisco-IOS-XE-dhcp:ipv6-address = ' + str(self.ipv6_address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv6_address is not None:
                                return True

                            if self.lifetime is not None and self.lifetime._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Dhcp.Pool.Address.Prefix']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-dhcp:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.prefix is not None:
                            for child_ref in self.prefix:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.Dhcp.Pool.Address']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:dhcp/Cisco-IOS-XE-dhcp:pool[Cisco-IOS-XE-dhcp:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.dns_server is not None:
                        for child in self.dns_server:
                            if child is not None:
                                return True

                    if self.domain_name is not None:
                        return True

                    if self.vrf is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.Dhcp.Pool']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:dhcp'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.guard is not None and self.guard._has_data():
                    return True

                if self.pool is not None:
                    for child_ref in self.pool:
                        if child_ref._has_data():
                            return True

                if self.server is not None and self.server._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ipv6.Dhcp']['meta_info']


        class AccessList(object):
            """
            Configure access lists
            
            .. attribute:: log_update
            
            	Control access list log updates
            	**type**\:   :py:class:`LogUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.LogUpdate>`
            
            .. attribute:: match_local_traffic
            
            	Match locally\-generated traffic
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: named_acl
            
            	
            	**type**\: list of    :py:class:`NamedAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedAcl>`
            
            .. attribute:: named_rb_acl
            
            	
            	**type**\: list of    :py:class:`NamedRbAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.log_update = Native.Ipv6.AccessList.LogUpdate()
                self.log_update.parent = self
                self.match_local_traffic = None
                self.named_acl = YList()
                self.named_acl.parent = self
                self.named_acl.name = 'named_acl'
                self.named_rb_acl = YList()
                self.named_rb_acl.parent = self
                self.named_rb_acl.name = 'named_rb_acl'


            class NamedAcl(object):
                """
                
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: access_list_seq_rule
                
                	
                	**type**\: list of    :py:class:`AccessListSeqRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedAcl.Default>`
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-03-22'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.access_list_seq_rule = YList()
                    self.access_list_seq_rule.parent = self
                    self.access_list_seq_rule.name = 'access_list_seq_rule'
                    self.default = Native.Ipv6.AccessList.NamedAcl.Default()
                    self.default.parent = self


                class AccessListSeqRule(object):
                    """
                    
                    
                    .. attribute:: sequence  <key>
                    
                    	Sequence number for this entry
                    	**type**\:  int
                    
                    	**range:** 1..4294967294
                    
                    .. attribute:: ace_rule
                    
                    	
                    	**type**\:   :py:class:`AceRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule>`
                    
                    .. attribute:: remark
                    
                    	Access list entry comment
                    	**type**\:  str
                    
                    	**length:** 1..100
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-03-22'

                    def __init__(self):
                        self.parent = None
                        self.sequence = None
                        self.ace_rule = Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule()
                        self.ace_rule.parent = self
                        self.remark = None


                    class AceRule(object):
                        """
                        
                        
                        .. attribute:: ack
                        
                        	Match on the ACK bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: action
                        
                        	
                        	**type**\:   :py:class:`ActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule.ActionEnum>`
                        
                        .. attribute:: any
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: auth
                        
                        	Match on authentication header
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dest_option
                        
                        	Destination Option header (all types)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: destination_address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: destination_any
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: destination_host
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        
                        ----
                        .. attribute:: destination_prefix
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: destination_wildcard_bits
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: dscp
                        
                        	Match packets with given dscp value
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..63
                        
                        
                        ----
                        	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                        
                        
                        ----
                        .. attribute:: dst_eq
                        
                        	Match only packets on a given port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: dst_gt
                        
                        	Match only packets with a greater port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: dst_lt
                        
                        	Match only packets with a lower port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: dst_neq
                        
                        	Match only packets not on a given port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: dst_range1
                        
                        	Match only packets in the range of port numbers
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: dst_range2
                        
                        	Match only packets in the range of port numbers
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: established
                        
                        	Match established connections
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fin
                        
                        	Match on the FIN bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: flow_label
                        
                        	Flow label
                        	**type**\:  int
                        
                        	**range:** 0..1048575
                        
                        .. attribute:: fragments
                        
                        	Check non\-initial fragments
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hbh
                        
                        	Match on hop\-by\-hop option
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: log
                        
                        	Log matches against this entry
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: log_input
                        
                        	Log matches against this entry, including input
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mobility
                        
                        	Mobility header (all types)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mobility_type
                        
                        	Mobility header with type
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        
                        ----
                        	**type**\:   :py:class:`MobilityTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MobilityTypeEnum>`
                        
                        
                        ----
                        .. attribute:: msg_code
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: msg_type_case
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: named_msg_type
                        
                        	
                        	**type**\:   :py:class:`NamedMsgTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule.NamedMsgTypeEnum>`
                        
                        .. attribute:: protocol
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        
                        ----
                        	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.ProtocolEnum>`
                        
                        
                        ----
                        .. attribute:: psh
                        
                        	Match on the PSH bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: routing
                        
                        	Routing header (all types)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: routing_type
                        
                        	Routing header with type
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: rst
                        
                        	Match on the RST bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: source_address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source_host
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        
                        ----
                        .. attribute:: source_prefix
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: source_wildcard_bits
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: src_eq
                        
                        	Match only packets on a given port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: src_gt
                        
                        	Match only packets with a greater port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: src_lt
                        
                        	Match only packets with a lower port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: src_neq
                        
                        	Match only packets not on a given port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: src_range1
                        
                        	Match only packets in the range of port numbers
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: src_range2
                        
                        	Match only packets in the range of port numbers
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: syn
                        
                        	Match on the SYN bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time_range
                        
                        	Specify a time\-range
                        	**type**\:  str
                        
                        .. attribute:: urg
                        
                        	Match on the URG bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-03-22'

                        def __init__(self):
                            self.parent = None
                            self.ack = None
                            self.action = None
                            self.any = None
                            self.auth = None
                            self.dest_option = None
                            self.destination_address = None
                            self.destination_any = None
                            self.destination_host = None
                            self.destination_prefix = None
                            self.destination_wildcard_bits = None
                            self.dscp = None
                            self.dst_eq = None
                            self.dst_gt = None
                            self.dst_lt = None
                            self.dst_neq = None
                            self.dst_range1 = None
                            self.dst_range2 = None
                            self.established = None
                            self.fin = None
                            self.flow_label = None
                            self.fragments = None
                            self.hbh = None
                            self.log = None
                            self.log_input = None
                            self.mobility = None
                            self.mobility_type = None
                            self.msg_code = None
                            self.msg_type_case = None
                            self.named_msg_type = None
                            self.protocol = None
                            self.psh = None
                            self.routing = None
                            self.routing_type = None
                            self.rst = None
                            self.source_address = None
                            self.source_host = None
                            self.source_prefix = None
                            self.source_wildcard_bits = None
                            self.src_eq = None
                            self.src_gt = None
                            self.src_lt = None
                            self.src_neq = None
                            self.src_range1 = None
                            self.src_range2 = None
                            self.syn = None
                            self.time_range = None
                            self.urg = None

                        class ActionEnum(Enum):
                            """
                            ActionEnum

                            .. data:: deny = 0

                            .. data:: permit = 1

                            """

                            deny = 0

                            permit = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule.ActionEnum']


                        class NamedMsgTypeEnum(Enum):
                            """
                            NamedMsgTypeEnum

                            .. data:: beyond_scope = 0

                            .. data:: destination_unreachable = 1

                            .. data:: dhaad_reply = 2

                            .. data:: dhaad_request = 3

                            .. data:: echo_reply = 4

                            .. data:: echo_request = 5

                            .. data:: header = 6

                            .. data:: hop_limit = 7

                            .. data:: mld_query = 8

                            .. data:: mld_reduction = 9

                            .. data:: mld_report = 10

                            .. data:: mpd_advertisement = 11

                            .. data:: mpd_solicitation = 12

                            .. data:: nd_na = 13

                            .. data:: nd_ns = 14

                            .. data:: next_header = 15

                            .. data:: no_admin = 16

                            .. data:: no_route = 17

                            .. data:: packet_too_big = 18

                            .. data:: parameter_option = 19

                            .. data:: parameter_problem = 20

                            .. data:: port_unreachable = 21

                            .. data:: reassembly_timeout = 22

                            .. data:: redirect = 23

                            .. data:: reject_route = 24

                            .. data:: renum_command = 25

                            .. data:: renum_result = 26

                            .. data:: renum_seq_number = 27

                            .. data:: router_advertisement = 28

                            .. data:: router_renumbering = 29

                            .. data:: router_solicitation = 30

                            .. data:: source_policy = 31

                            .. data:: time_exceeded = 32

                            .. data:: unreachable = 33

                            """

                            beyond_scope = 0

                            destination_unreachable = 1

                            dhaad_reply = 2

                            dhaad_request = 3

                            echo_reply = 4

                            echo_request = 5

                            header = 6

                            hop_limit = 7

                            mld_query = 8

                            mld_reduction = 9

                            mld_report = 10

                            mpd_advertisement = 11

                            mpd_solicitation = 12

                            nd_na = 13

                            nd_ns = 14

                            next_header = 15

                            no_admin = 16

                            no_route = 17

                            packet_too_big = 18

                            parameter_option = 19

                            parameter_problem = 20

                            port_unreachable = 21

                            reassembly_timeout = 22

                            redirect = 23

                            reject_route = 24

                            renum_command = 25

                            renum_result = 26

                            renum_seq_number = 27

                            router_advertisement = 28

                            router_renumbering = 29

                            router_solicitation = 30

                            source_policy = 31

                            time_exceeded = 32

                            unreachable = 33


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule.NamedMsgTypeEnum']


                        class ProtocolEnum(Enum):
                            """
                            ProtocolEnum

                            .. data:: ahp = 0

                            .. data:: esp = 1

                            .. data:: hbh = 2

                            .. data:: icmp = 3

                            .. data:: ipv6 = 4

                            .. data:: pcp = 5

                            .. data:: sctp = 6

                            .. data:: tcp = 7

                            .. data:: udp = 8

                            """

                            ahp = 0

                            esp = 1

                            hbh = 2

                            icmp = 3

                            ipv6 = 4

                            pcp = 5

                            sctp = 6

                            tcp = 7

                            udp = 8


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule.ProtocolEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-acl:ace-rule'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ack is not None:
                                return True

                            if self.action is not None:
                                return True

                            if self.any is not None:
                                return True

                            if self.auth is not None:
                                return True

                            if self.dest_option is not None:
                                return True

                            if self.destination_address is not None:
                                return True

                            if self.destination_any is not None:
                                return True

                            if self.destination_host is not None:
                                return True

                            if self.destination_prefix is not None:
                                return True

                            if self.destination_wildcard_bits is not None:
                                return True

                            if self.dscp is not None:
                                return True

                            if self.dst_eq is not None:
                                return True

                            if self.dst_gt is not None:
                                return True

                            if self.dst_lt is not None:
                                return True

                            if self.dst_neq is not None:
                                return True

                            if self.dst_range1 is not None:
                                return True

                            if self.dst_range2 is not None:
                                return True

                            if self.established is not None:
                                return True

                            if self.fin is not None:
                                return True

                            if self.flow_label is not None:
                                return True

                            if self.fragments is not None:
                                return True

                            if self.hbh is not None:
                                return True

                            if self.log is not None:
                                return True

                            if self.log_input is not None:
                                return True

                            if self.mobility is not None:
                                return True

                            if self.mobility_type is not None:
                                return True

                            if self.msg_code is not None:
                                return True

                            if self.msg_type_case is not None:
                                return True

                            if self.named_msg_type is not None:
                                return True

                            if self.protocol is not None:
                                return True

                            if self.psh is not None:
                                return True

                            if self.routing is not None:
                                return True

                            if self.routing_type is not None:
                                return True

                            if self.rst is not None:
                                return True

                            if self.source_address is not None:
                                return True

                            if self.source_host is not None:
                                return True

                            if self.source_prefix is not None:
                                return True

                            if self.source_wildcard_bits is not None:
                                return True

                            if self.src_eq is not None:
                                return True

                            if self.src_gt is not None:
                                return True

                            if self.src_lt is not None:
                                return True

                            if self.src_neq is not None:
                                return True

                            if self.src_range1 is not None:
                                return True

                            if self.src_range2 is not None:
                                return True

                            if self.syn is not None:
                                return True

                            if self.time_range is not None:
                                return True

                            if self.urg is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.sequence is None:
                            raise YPYModelError('Key property sequence is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-acl:access-list-seq-rule[Cisco-IOS-XE-acl:sequence = ' + str(self.sequence) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.sequence is not None:
                            return True

                        if self.ace_rule is not None and self.ace_rule._has_data():
                            return True

                        if self.remark is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule']['meta_info']


                class Default(object):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: access_list_seq_rule
                    
                    	
                    	**type**\: list of    :py:class:`AccessListSeqRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule>`
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-03-22'

                    def __init__(self):
                        self.parent = None
                        self.access_list_seq_rule = YList()
                        self.access_list_seq_rule.parent = self
                        self.access_list_seq_rule.name = 'access_list_seq_rule'


                    class AccessListSeqRule(object):
                        """
                        
                        
                        .. attribute:: sequence  <key>
                        
                        	Sequence number for this entry
                        	**type**\:  int
                        
                        	**range:** 1..4294967294
                        
                        .. attribute:: ace_rule
                        
                        	
                        	**type**\:   :py:class:`AceRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule>`
                        
                        .. attribute:: remark
                        
                        	Access list entry comment
                        	**type**\:  str
                        
                        	**length:** 1..100
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-03-22'

                        def __init__(self):
                            self.parent = None
                            self.sequence = None
                            self.ace_rule = Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule()
                            self.ace_rule.parent = self
                            self.remark = None


                        class AceRule(object):
                            """
                            
                            
                            .. attribute:: ack
                            
                            	Match on the ACK bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: action
                            
                            	
                            	**type**\:   :py:class:`ActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule.ActionEnum>`
                            
                            .. attribute:: any
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: auth
                            
                            	Match on authentication header
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dest_option
                            
                            	Destination Option header (all types)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: destination_address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: destination_any
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: destination_host
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            
                            ----
                            .. attribute:: destination_prefix
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: destination_wildcard_bits
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: dscp
                            
                            	Match packets with given dscp value
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..63
                            
                            
                            ----
                            	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                            
                            
                            ----
                            .. attribute:: dst_eq
                            
                            	Match only packets on a given port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: dst_gt
                            
                            	Match only packets with a greater port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: dst_lt
                            
                            	Match only packets with a lower port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: dst_neq
                            
                            	Match only packets not on a given port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: dst_range1
                            
                            	Match only packets in the range of port numbers
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: dst_range2
                            
                            	Match only packets in the range of port numbers
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: established
                            
                            	Match established connections
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fin
                            
                            	Match on the FIN bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: flow_label
                            
                            	Flow label
                            	**type**\:  int
                            
                            	**range:** 0..1048575
                            
                            .. attribute:: fragments
                            
                            	Check non\-initial fragments
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: hbh
                            
                            	Match on hop\-by\-hop option
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: log
                            
                            	Log matches against this entry
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: log_input
                            
                            	Log matches against this entry, including input
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mobility
                            
                            	Mobility header (all types)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mobility_type
                            
                            	Mobility header with type
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            
                            ----
                            	**type**\:   :py:class:`MobilityTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MobilityTypeEnum>`
                            
                            
                            ----
                            .. attribute:: msg_code
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: msg_type_case
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: named_msg_type
                            
                            	
                            	**type**\:   :py:class:`NamedMsgTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule.NamedMsgTypeEnum>`
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            
                            ----
                            	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.ProtocolEnum>`
                            
                            
                            ----
                            .. attribute:: psh
                            
                            	Match on the PSH bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: routing
                            
                            	Routing header (all types)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: routing_type
                            
                            	Routing header with type
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: rst
                            
                            	Match on the RST bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: source_address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: source_host
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            
                            ----
                            .. attribute:: source_prefix
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: source_wildcard_bits
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: src_eq
                            
                            	Match only packets on a given port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: src_gt
                            
                            	Match only packets with a greater port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: src_lt
                            
                            	Match only packets with a lower port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: src_neq
                            
                            	Match only packets not on a given port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: src_range1
                            
                            	Match only packets in the range of port numbers
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: src_range2
                            
                            	Match only packets in the range of port numbers
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: syn
                            
                            	Match on the SYN bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: time_range
                            
                            	Specify a time\-range
                            	**type**\:  str
                            
                            .. attribute:: urg
                            
                            	Match on the URG bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-03-22'

                            def __init__(self):
                                self.parent = None
                                self.ack = None
                                self.action = None
                                self.any = None
                                self.auth = None
                                self.dest_option = None
                                self.destination_address = None
                                self.destination_any = None
                                self.destination_host = None
                                self.destination_prefix = None
                                self.destination_wildcard_bits = None
                                self.dscp = None
                                self.dst_eq = None
                                self.dst_gt = None
                                self.dst_lt = None
                                self.dst_neq = None
                                self.dst_range1 = None
                                self.dst_range2 = None
                                self.established = None
                                self.fin = None
                                self.flow_label = None
                                self.fragments = None
                                self.hbh = None
                                self.log = None
                                self.log_input = None
                                self.mobility = None
                                self.mobility_type = None
                                self.msg_code = None
                                self.msg_type_case = None
                                self.named_msg_type = None
                                self.protocol = None
                                self.psh = None
                                self.routing = None
                                self.routing_type = None
                                self.rst = None
                                self.source_address = None
                                self.source_host = None
                                self.source_prefix = None
                                self.source_wildcard_bits = None
                                self.src_eq = None
                                self.src_gt = None
                                self.src_lt = None
                                self.src_neq = None
                                self.src_range1 = None
                                self.src_range2 = None
                                self.syn = None
                                self.time_range = None
                                self.urg = None

                            class ActionEnum(Enum):
                                """
                                ActionEnum

                                .. data:: deny = 0

                                .. data:: permit = 1

                                """

                                deny = 0

                                permit = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule.ActionEnum']


                            class NamedMsgTypeEnum(Enum):
                                """
                                NamedMsgTypeEnum

                                .. data:: beyond_scope = 0

                                .. data:: destination_unreachable = 1

                                .. data:: dhaad_reply = 2

                                .. data:: dhaad_request = 3

                                .. data:: echo_reply = 4

                                .. data:: echo_request = 5

                                .. data:: header = 6

                                .. data:: hop_limit = 7

                                .. data:: mld_query = 8

                                .. data:: mld_reduction = 9

                                .. data:: mld_report = 10

                                .. data:: mpd_advertisement = 11

                                .. data:: mpd_solicitation = 12

                                .. data:: nd_na = 13

                                .. data:: nd_ns = 14

                                .. data:: next_header = 15

                                .. data:: no_admin = 16

                                .. data:: no_route = 17

                                .. data:: packet_too_big = 18

                                .. data:: parameter_option = 19

                                .. data:: parameter_problem = 20

                                .. data:: port_unreachable = 21

                                .. data:: reassembly_timeout = 22

                                .. data:: redirect = 23

                                .. data:: reject_route = 24

                                .. data:: renum_command = 25

                                .. data:: renum_result = 26

                                .. data:: renum_seq_number = 27

                                .. data:: router_advertisement = 28

                                .. data:: router_renumbering = 29

                                .. data:: router_solicitation = 30

                                .. data:: source_policy = 31

                                .. data:: time_exceeded = 32

                                .. data:: unreachable = 33

                                """

                                beyond_scope = 0

                                destination_unreachable = 1

                                dhaad_reply = 2

                                dhaad_request = 3

                                echo_reply = 4

                                echo_request = 5

                                header = 6

                                hop_limit = 7

                                mld_query = 8

                                mld_reduction = 9

                                mld_report = 10

                                mpd_advertisement = 11

                                mpd_solicitation = 12

                                nd_na = 13

                                nd_ns = 14

                                next_header = 15

                                no_admin = 16

                                no_route = 17

                                packet_too_big = 18

                                parameter_option = 19

                                parameter_problem = 20

                                port_unreachable = 21

                                reassembly_timeout = 22

                                redirect = 23

                                reject_route = 24

                                renum_command = 25

                                renum_result = 26

                                renum_seq_number = 27

                                router_advertisement = 28

                                router_renumbering = 29

                                router_solicitation = 30

                                source_policy = 31

                                time_exceeded = 32

                                unreachable = 33


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule.NamedMsgTypeEnum']


                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: ahp = 0

                                .. data:: esp = 1

                                .. data:: hbh = 2

                                .. data:: icmp = 3

                                .. data:: ipv6 = 4

                                .. data:: pcp = 5

                                .. data:: sctp = 6

                                .. data:: tcp = 7

                                .. data:: udp = 8

                                """

                                ahp = 0

                                esp = 1

                                hbh = 2

                                icmp = 3

                                ipv6 = 4

                                pcp = 5

                                sctp = 6

                                tcp = 7

                                udp = 8


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-acl:ace-rule'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ack is not None:
                                    return True

                                if self.action is not None:
                                    return True

                                if self.any is not None:
                                    return True

                                if self.auth is not None:
                                    return True

                                if self.dest_option is not None:
                                    return True

                                if self.destination_address is not None:
                                    return True

                                if self.destination_any is not None:
                                    return True

                                if self.destination_host is not None:
                                    return True

                                if self.destination_prefix is not None:
                                    return True

                                if self.destination_wildcard_bits is not None:
                                    return True

                                if self.dscp is not None:
                                    return True

                                if self.dst_eq is not None:
                                    return True

                                if self.dst_gt is not None:
                                    return True

                                if self.dst_lt is not None:
                                    return True

                                if self.dst_neq is not None:
                                    return True

                                if self.dst_range1 is not None:
                                    return True

                                if self.dst_range2 is not None:
                                    return True

                                if self.established is not None:
                                    return True

                                if self.fin is not None:
                                    return True

                                if self.flow_label is not None:
                                    return True

                                if self.fragments is not None:
                                    return True

                                if self.hbh is not None:
                                    return True

                                if self.log is not None:
                                    return True

                                if self.log_input is not None:
                                    return True

                                if self.mobility is not None:
                                    return True

                                if self.mobility_type is not None:
                                    return True

                                if self.msg_code is not None:
                                    return True

                                if self.msg_type_case is not None:
                                    return True

                                if self.named_msg_type is not None:
                                    return True

                                if self.protocol is not None:
                                    return True

                                if self.psh is not None:
                                    return True

                                if self.routing is not None:
                                    return True

                                if self.routing_type is not None:
                                    return True

                                if self.rst is not None:
                                    return True

                                if self.source_address is not None:
                                    return True

                                if self.source_host is not None:
                                    return True

                                if self.source_prefix is not None:
                                    return True

                                if self.source_wildcard_bits is not None:
                                    return True

                                if self.src_eq is not None:
                                    return True

                                if self.src_gt is not None:
                                    return True

                                if self.src_lt is not None:
                                    return True

                                if self.src_neq is not None:
                                    return True

                                if self.src_range1 is not None:
                                    return True

                                if self.src_range2 is not None:
                                    return True

                                if self.syn is not None:
                                    return True

                                if self.time_range is not None:
                                    return True

                                if self.urg is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.sequence is None:
                                raise YPYModelError('Key property sequence is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-acl:access-list-seq-rule[Cisco-IOS-XE-acl:sequence = ' + str(self.sequence) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.sequence is not None:
                                return True

                            if self.ace_rule is not None and self.ace_rule._has_data():
                                return True

                            if self.remark is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-acl:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access_list_seq_rule is not None:
                            for child_ref in self.access_list_seq_rule:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.AccessList.NamedAcl.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:access-list/Cisco-IOS-XE-acl:named-acl[Cisco-IOS-XE-acl:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.access_list_seq_rule is not None:
                        for child_ref in self.access_list_seq_rule:
                            if child_ref._has_data():
                                return True

                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.AccessList.NamedAcl']['meta_info']


            class NamedRbAcl(object):
                """
                
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: access_list_seq_rule
                
                	
                	**type**\: list of    :py:class:`AccessListSeqRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.Default>`
                
                .. attribute:: role_based
                
                	Role\-based Access List
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-03-22'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.access_list_seq_rule = YList()
                    self.access_list_seq_rule.parent = self
                    self.access_list_seq_rule.name = 'access_list_seq_rule'
                    self.default = Native.Ipv6.AccessList.NamedRbAcl.Default()
                    self.default.parent = self
                    self.role_based = None


                class AccessListSeqRule(object):
                    """
                    
                    
                    .. attribute:: sequence  <key>
                    
                    	Sequence number for this entry
                    	**type**\:  int
                    
                    	**range:** 1..4294967294
                    
                    .. attribute:: ace_rule
                    
                    	
                    	**type**\:   :py:class:`AceRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule>`
                    
                    .. attribute:: remark
                    
                    	Access list entry comment
                    	**type**\:  str
                    
                    	**length:** 1..100
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-03-22'

                    def __init__(self):
                        self.parent = None
                        self.sequence = None
                        self.ace_rule = Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule()
                        self.ace_rule.parent = self
                        self.remark = None


                    class AceRule(object):
                        """
                        
                        
                        .. attribute:: ack
                        
                        	Match on the ACK bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: action
                        
                        	
                        	**type**\:   :py:class:`ActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule.ActionEnum>`
                        
                        .. attribute:: any
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: auth
                        
                        	Match on authentication header
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dest_option
                        
                        	Destination Option header (all types)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: destination_address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: destination_any
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: destination_host
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        
                        ----
                        .. attribute:: destination_prefix
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: destination_wildcard_bits
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: dscp
                        
                        	Match packets with given dscp value
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..63
                        
                        
                        ----
                        	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                        
                        
                        ----
                        .. attribute:: dst_eq
                        
                        	Match only packets on a given port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: dst_gt
                        
                        	Match only packets with a greater port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: dst_lt
                        
                        	Match only packets with a lower port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: dst_neq
                        
                        	Match only packets not on a given port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: dst_range1
                        
                        	Match only packets in the range of port numbers
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: dst_range2
                        
                        	Match only packets in the range of port numbers
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: established
                        
                        	Match established connections
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fin
                        
                        	Match on the FIN bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: flow_label
                        
                        	Flow label
                        	**type**\:  int
                        
                        	**range:** 0..1048575
                        
                        .. attribute:: fragments
                        
                        	Check non\-initial fragments
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hbh
                        
                        	Match on hop\-by\-hop option
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: log
                        
                        	Log matches against this entry
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: log_input
                        
                        	Log matches against this entry, including input
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mobility
                        
                        	Mobility header (all types)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mobility_type
                        
                        	Mobility header with type
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        
                        ----
                        	**type**\:   :py:class:`MobilityTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MobilityTypeEnum>`
                        
                        
                        ----
                        .. attribute:: msg_code
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: msg_type_case
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: named_msg_type
                        
                        	
                        	**type**\:   :py:class:`NamedMsgTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule.NamedMsgTypeEnum>`
                        
                        .. attribute:: protocol
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        
                        ----
                        	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.ProtocolEnum>`
                        
                        
                        ----
                        .. attribute:: psh
                        
                        	Match on the PSH bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: routing
                        
                        	Routing header (all types)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: routing_type
                        
                        	Routing header with type
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: rst
                        
                        	Match on the RST bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: source_address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source_host
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        
                        ----
                        .. attribute:: source_prefix
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: source_wildcard_bits
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: src_eq
                        
                        	Match only packets on a given port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: src_gt
                        
                        	Match only packets with a greater port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: src_lt
                        
                        	Match only packets with a lower port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: src_neq
                        
                        	Match only packets not on a given port number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: src_range1
                        
                        	Match only packets in the range of port numbers
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: src_range2
                        
                        	Match only packets in the range of port numbers
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                        
                        
                        ----
                        .. attribute:: syn
                        
                        	Match on the SYN bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time_range
                        
                        	Specify a time\-range
                        	**type**\:  str
                        
                        .. attribute:: urg
                        
                        	Match on the URG bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-03-22'

                        def __init__(self):
                            self.parent = None
                            self.ack = None
                            self.action = None
                            self.any = None
                            self.auth = None
                            self.dest_option = None
                            self.destination_address = None
                            self.destination_any = None
                            self.destination_host = None
                            self.destination_prefix = None
                            self.destination_wildcard_bits = None
                            self.dscp = None
                            self.dst_eq = None
                            self.dst_gt = None
                            self.dst_lt = None
                            self.dst_neq = None
                            self.dst_range1 = None
                            self.dst_range2 = None
                            self.established = None
                            self.fin = None
                            self.flow_label = None
                            self.fragments = None
                            self.hbh = None
                            self.log = None
                            self.log_input = None
                            self.mobility = None
                            self.mobility_type = None
                            self.msg_code = None
                            self.msg_type_case = None
                            self.named_msg_type = None
                            self.protocol = None
                            self.psh = None
                            self.routing = None
                            self.routing_type = None
                            self.rst = None
                            self.source_address = None
                            self.source_host = None
                            self.source_prefix = None
                            self.source_wildcard_bits = None
                            self.src_eq = None
                            self.src_gt = None
                            self.src_lt = None
                            self.src_neq = None
                            self.src_range1 = None
                            self.src_range2 = None
                            self.syn = None
                            self.time_range = None
                            self.urg = None

                        class ActionEnum(Enum):
                            """
                            ActionEnum

                            .. data:: deny = 0

                            .. data:: permit = 1

                            """

                            deny = 0

                            permit = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule.ActionEnum']


                        class NamedMsgTypeEnum(Enum):
                            """
                            NamedMsgTypeEnum

                            .. data:: beyond_scope = 0

                            .. data:: destination_unreachable = 1

                            .. data:: dhaad_reply = 2

                            .. data:: dhaad_request = 3

                            .. data:: echo_reply = 4

                            .. data:: echo_request = 5

                            .. data:: header = 6

                            .. data:: hop_limit = 7

                            .. data:: mld_query = 8

                            .. data:: mld_reduction = 9

                            .. data:: mld_report = 10

                            .. data:: mpd_advertisement = 11

                            .. data:: mpd_solicitation = 12

                            .. data:: nd_na = 13

                            .. data:: nd_ns = 14

                            .. data:: next_header = 15

                            .. data:: no_admin = 16

                            .. data:: no_route = 17

                            .. data:: packet_too_big = 18

                            .. data:: parameter_option = 19

                            .. data:: parameter_problem = 20

                            .. data:: port_unreachable = 21

                            .. data:: reassembly_timeout = 22

                            .. data:: redirect = 23

                            .. data:: reject_route = 24

                            .. data:: renum_command = 25

                            .. data:: renum_result = 26

                            .. data:: renum_seq_number = 27

                            .. data:: router_advertisement = 28

                            .. data:: router_renumbering = 29

                            .. data:: router_solicitation = 30

                            .. data:: source_policy = 31

                            .. data:: time_exceeded = 32

                            .. data:: unreachable = 33

                            """

                            beyond_scope = 0

                            destination_unreachable = 1

                            dhaad_reply = 2

                            dhaad_request = 3

                            echo_reply = 4

                            echo_request = 5

                            header = 6

                            hop_limit = 7

                            mld_query = 8

                            mld_reduction = 9

                            mld_report = 10

                            mpd_advertisement = 11

                            mpd_solicitation = 12

                            nd_na = 13

                            nd_ns = 14

                            next_header = 15

                            no_admin = 16

                            no_route = 17

                            packet_too_big = 18

                            parameter_option = 19

                            parameter_problem = 20

                            port_unreachable = 21

                            reassembly_timeout = 22

                            redirect = 23

                            reject_route = 24

                            renum_command = 25

                            renum_result = 26

                            renum_seq_number = 27

                            router_advertisement = 28

                            router_renumbering = 29

                            router_solicitation = 30

                            source_policy = 31

                            time_exceeded = 32

                            unreachable = 33


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule.NamedMsgTypeEnum']


                        class ProtocolEnum(Enum):
                            """
                            ProtocolEnum

                            .. data:: ahp = 0

                            .. data:: esp = 1

                            .. data:: hbh = 2

                            .. data:: icmp = 3

                            .. data:: ipv6 = 4

                            .. data:: pcp = 5

                            .. data:: sctp = 6

                            .. data:: tcp = 7

                            .. data:: udp = 8

                            """

                            ahp = 0

                            esp = 1

                            hbh = 2

                            icmp = 3

                            ipv6 = 4

                            pcp = 5

                            sctp = 6

                            tcp = 7

                            udp = 8


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule.ProtocolEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-acl:ace-rule'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ack is not None:
                                return True

                            if self.action is not None:
                                return True

                            if self.any is not None:
                                return True

                            if self.auth is not None:
                                return True

                            if self.dest_option is not None:
                                return True

                            if self.destination_address is not None:
                                return True

                            if self.destination_any is not None:
                                return True

                            if self.destination_host is not None:
                                return True

                            if self.destination_prefix is not None:
                                return True

                            if self.destination_wildcard_bits is not None:
                                return True

                            if self.dscp is not None:
                                return True

                            if self.dst_eq is not None:
                                return True

                            if self.dst_gt is not None:
                                return True

                            if self.dst_lt is not None:
                                return True

                            if self.dst_neq is not None:
                                return True

                            if self.dst_range1 is not None:
                                return True

                            if self.dst_range2 is not None:
                                return True

                            if self.established is not None:
                                return True

                            if self.fin is not None:
                                return True

                            if self.flow_label is not None:
                                return True

                            if self.fragments is not None:
                                return True

                            if self.hbh is not None:
                                return True

                            if self.log is not None:
                                return True

                            if self.log_input is not None:
                                return True

                            if self.mobility is not None:
                                return True

                            if self.mobility_type is not None:
                                return True

                            if self.msg_code is not None:
                                return True

                            if self.msg_type_case is not None:
                                return True

                            if self.named_msg_type is not None:
                                return True

                            if self.protocol is not None:
                                return True

                            if self.psh is not None:
                                return True

                            if self.routing is not None:
                                return True

                            if self.routing_type is not None:
                                return True

                            if self.rst is not None:
                                return True

                            if self.source_address is not None:
                                return True

                            if self.source_host is not None:
                                return True

                            if self.source_prefix is not None:
                                return True

                            if self.source_wildcard_bits is not None:
                                return True

                            if self.src_eq is not None:
                                return True

                            if self.src_gt is not None:
                                return True

                            if self.src_lt is not None:
                                return True

                            if self.src_neq is not None:
                                return True

                            if self.src_range1 is not None:
                                return True

                            if self.src_range2 is not None:
                                return True

                            if self.syn is not None:
                                return True

                            if self.time_range is not None:
                                return True

                            if self.urg is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.sequence is None:
                            raise YPYModelError('Key property sequence is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-acl:access-list-seq-rule[Cisco-IOS-XE-acl:sequence = ' + str(self.sequence) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.sequence is not None:
                            return True

                        if self.ace_rule is not None and self.ace_rule._has_data():
                            return True

                        if self.remark is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule']['meta_info']


                class Default(object):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: access_list_seq_rule
                    
                    	
                    	**type**\: list of    :py:class:`AccessListSeqRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule>`
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-03-22'

                    def __init__(self):
                        self.parent = None
                        self.access_list_seq_rule = YList()
                        self.access_list_seq_rule.parent = self
                        self.access_list_seq_rule.name = 'access_list_seq_rule'


                    class AccessListSeqRule(object):
                        """
                        
                        
                        .. attribute:: sequence  <key>
                        
                        	Sequence number for this entry
                        	**type**\:  int
                        
                        	**range:** 1..4294967294
                        
                        .. attribute:: ace_rule
                        
                        	
                        	**type**\:   :py:class:`AceRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule>`
                        
                        .. attribute:: remark
                        
                        	Access list entry comment
                        	**type**\:  str
                        
                        	**length:** 1..100
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-03-22'

                        def __init__(self):
                            self.parent = None
                            self.sequence = None
                            self.ace_rule = Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule()
                            self.ace_rule.parent = self
                            self.remark = None


                        class AceRule(object):
                            """
                            
                            
                            .. attribute:: ack
                            
                            	Match on the ACK bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: action
                            
                            	
                            	**type**\:   :py:class:`ActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.ActionEnum>`
                            
                            .. attribute:: any
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: auth
                            
                            	Match on authentication header
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dest_option
                            
                            	Destination Option header (all types)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: destination_address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: destination_any
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: destination_host
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            
                            ----
                            .. attribute:: destination_prefix
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: destination_wildcard_bits
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: dscp
                            
                            	Match packets with given dscp value
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..63
                            
                            
                            ----
                            	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                            
                            
                            ----
                            .. attribute:: dst_eq
                            
                            	Match only packets on a given port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: dst_gt
                            
                            	Match only packets with a greater port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: dst_lt
                            
                            	Match only packets with a lower port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: dst_neq
                            
                            	Match only packets not on a given port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: dst_range1
                            
                            	Match only packets in the range of port numbers
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: dst_range2
                            
                            	Match only packets in the range of port numbers
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: established
                            
                            	Match established connections
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fin
                            
                            	Match on the FIN bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: flow_label
                            
                            	Flow label
                            	**type**\:  int
                            
                            	**range:** 0..1048575
                            
                            .. attribute:: fragments
                            
                            	Check non\-initial fragments
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: hbh
                            
                            	Match on hop\-by\-hop option
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: log
                            
                            	Log matches against this entry
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: log_input
                            
                            	Log matches against this entry, including input
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mobility
                            
                            	Mobility header (all types)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mobility_type
                            
                            	Mobility header with type
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            
                            ----
                            	**type**\:   :py:class:`MobilityTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MobilityTypeEnum>`
                            
                            
                            ----
                            .. attribute:: msg_code
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: msg_type_case
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: named_msg_type
                            
                            	
                            	**type**\:   :py:class:`NamedMsgTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.NamedMsgTypeEnum>`
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            
                            ----
                            	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.ProtocolEnum>`
                            
                            
                            ----
                            .. attribute:: psh
                            
                            	Match on the PSH bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: routing
                            
                            	Routing header (all types)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: routing_type
                            
                            	Routing header with type
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: rst
                            
                            	Match on the RST bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: source_address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: source_host
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            
                            ----
                            .. attribute:: source_prefix
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: source_wildcard_bits
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: src_eq
                            
                            	Match only packets on a given port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: src_gt
                            
                            	Match only packets with a greater port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: src_lt
                            
                            	Match only packets with a lower port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: src_neq
                            
                            	Match only packets not on a given port number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: src_range1
                            
                            	Match only packets in the range of port numbers
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: src_range2
                            
                            	Match only packets in the range of port numbers
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:   :py:class:`AclPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortTypeEnum>`
                            
                            
                            ----
                            .. attribute:: syn
                            
                            	Match on the SYN bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: time_range
                            
                            	Specify a time\-range
                            	**type**\:  str
                            
                            .. attribute:: urg
                            
                            	Match on the URG bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-03-22'

                            def __init__(self):
                                self.parent = None
                                self.ack = None
                                self.action = None
                                self.any = None
                                self.auth = None
                                self.dest_option = None
                                self.destination_address = None
                                self.destination_any = None
                                self.destination_host = None
                                self.destination_prefix = None
                                self.destination_wildcard_bits = None
                                self.dscp = None
                                self.dst_eq = None
                                self.dst_gt = None
                                self.dst_lt = None
                                self.dst_neq = None
                                self.dst_range1 = None
                                self.dst_range2 = None
                                self.established = None
                                self.fin = None
                                self.flow_label = None
                                self.fragments = None
                                self.hbh = None
                                self.log = None
                                self.log_input = None
                                self.mobility = None
                                self.mobility_type = None
                                self.msg_code = None
                                self.msg_type_case = None
                                self.named_msg_type = None
                                self.protocol = None
                                self.psh = None
                                self.routing = None
                                self.routing_type = None
                                self.rst = None
                                self.source_address = None
                                self.source_host = None
                                self.source_prefix = None
                                self.source_wildcard_bits = None
                                self.src_eq = None
                                self.src_gt = None
                                self.src_lt = None
                                self.src_neq = None
                                self.src_range1 = None
                                self.src_range2 = None
                                self.syn = None
                                self.time_range = None
                                self.urg = None

                            class ActionEnum(Enum):
                                """
                                ActionEnum

                                .. data:: deny = 0

                                .. data:: permit = 1

                                """

                                deny = 0

                                permit = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.ActionEnum']


                            class NamedMsgTypeEnum(Enum):
                                """
                                NamedMsgTypeEnum

                                .. data:: beyond_scope = 0

                                .. data:: destination_unreachable = 1

                                .. data:: dhaad_reply = 2

                                .. data:: dhaad_request = 3

                                .. data:: echo_reply = 4

                                .. data:: echo_request = 5

                                .. data:: header = 6

                                .. data:: hop_limit = 7

                                .. data:: mld_query = 8

                                .. data:: mld_reduction = 9

                                .. data:: mld_report = 10

                                .. data:: mpd_advertisement = 11

                                .. data:: mpd_solicitation = 12

                                .. data:: nd_na = 13

                                .. data:: nd_ns = 14

                                .. data:: next_header = 15

                                .. data:: no_admin = 16

                                .. data:: no_route = 17

                                .. data:: packet_too_big = 18

                                .. data:: parameter_option = 19

                                .. data:: parameter_problem = 20

                                .. data:: port_unreachable = 21

                                .. data:: reassembly_timeout = 22

                                .. data:: redirect = 23

                                .. data:: reject_route = 24

                                .. data:: renum_command = 25

                                .. data:: renum_result = 26

                                .. data:: renum_seq_number = 27

                                .. data:: router_advertisement = 28

                                .. data:: router_renumbering = 29

                                .. data:: router_solicitation = 30

                                .. data:: source_policy = 31

                                .. data:: time_exceeded = 32

                                .. data:: unreachable = 33

                                """

                                beyond_scope = 0

                                destination_unreachable = 1

                                dhaad_reply = 2

                                dhaad_request = 3

                                echo_reply = 4

                                echo_request = 5

                                header = 6

                                hop_limit = 7

                                mld_query = 8

                                mld_reduction = 9

                                mld_report = 10

                                mpd_advertisement = 11

                                mpd_solicitation = 12

                                nd_na = 13

                                nd_ns = 14

                                next_header = 15

                                no_admin = 16

                                no_route = 17

                                packet_too_big = 18

                                parameter_option = 19

                                parameter_problem = 20

                                port_unreachable = 21

                                reassembly_timeout = 22

                                redirect = 23

                                reject_route = 24

                                renum_command = 25

                                renum_result = 26

                                renum_seq_number = 27

                                router_advertisement = 28

                                router_renumbering = 29

                                router_solicitation = 30

                                source_policy = 31

                                time_exceeded = 32

                                unreachable = 33


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.NamedMsgTypeEnum']


                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: ahp = 0

                                .. data:: esp = 1

                                .. data:: hbh = 2

                                .. data:: icmp = 3

                                .. data:: ipv6 = 4

                                .. data:: pcp = 5

                                .. data:: sctp = 6

                                .. data:: tcp = 7

                                .. data:: udp = 8

                                """

                                ahp = 0

                                esp = 1

                                hbh = 2

                                icmp = 3

                                ipv6 = 4

                                pcp = 5

                                sctp = 6

                                tcp = 7

                                udp = 8


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-acl:ace-rule'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ack is not None:
                                    return True

                                if self.action is not None:
                                    return True

                                if self.any is not None:
                                    return True

                                if self.auth is not None:
                                    return True

                                if self.dest_option is not None:
                                    return True

                                if self.destination_address is not None:
                                    return True

                                if self.destination_any is not None:
                                    return True

                                if self.destination_host is not None:
                                    return True

                                if self.destination_prefix is not None:
                                    return True

                                if self.destination_wildcard_bits is not None:
                                    return True

                                if self.dscp is not None:
                                    return True

                                if self.dst_eq is not None:
                                    return True

                                if self.dst_gt is not None:
                                    return True

                                if self.dst_lt is not None:
                                    return True

                                if self.dst_neq is not None:
                                    return True

                                if self.dst_range1 is not None:
                                    return True

                                if self.dst_range2 is not None:
                                    return True

                                if self.established is not None:
                                    return True

                                if self.fin is not None:
                                    return True

                                if self.flow_label is not None:
                                    return True

                                if self.fragments is not None:
                                    return True

                                if self.hbh is not None:
                                    return True

                                if self.log is not None:
                                    return True

                                if self.log_input is not None:
                                    return True

                                if self.mobility is not None:
                                    return True

                                if self.mobility_type is not None:
                                    return True

                                if self.msg_code is not None:
                                    return True

                                if self.msg_type_case is not None:
                                    return True

                                if self.named_msg_type is not None:
                                    return True

                                if self.protocol is not None:
                                    return True

                                if self.psh is not None:
                                    return True

                                if self.routing is not None:
                                    return True

                                if self.routing_type is not None:
                                    return True

                                if self.rst is not None:
                                    return True

                                if self.source_address is not None:
                                    return True

                                if self.source_host is not None:
                                    return True

                                if self.source_prefix is not None:
                                    return True

                                if self.source_wildcard_bits is not None:
                                    return True

                                if self.src_eq is not None:
                                    return True

                                if self.src_gt is not None:
                                    return True

                                if self.src_lt is not None:
                                    return True

                                if self.src_neq is not None:
                                    return True

                                if self.src_range1 is not None:
                                    return True

                                if self.src_range2 is not None:
                                    return True

                                if self.syn is not None:
                                    return True

                                if self.time_range is not None:
                                    return True

                                if self.urg is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.sequence is None:
                                raise YPYModelError('Key property sequence is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-acl:access-list-seq-rule[Cisco-IOS-XE-acl:sequence = ' + str(self.sequence) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.sequence is not None:
                                return True

                            if self.ace_rule is not None and self.ace_rule._has_data():
                                return True

                            if self.remark is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-acl:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access_list_seq_rule is not None:
                            for child_ref in self.access_list_seq_rule:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.AccessList.NamedRbAcl.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:access-list/Cisco-IOS-XE-acl:named-rb-acl[Cisco-IOS-XE-acl:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.access_list_seq_rule is not None:
                        for child_ref in self.access_list_seq_rule:
                            if child_ref._has_data():
                                return True

                    if self.default is not None and self.default._has_data():
                        return True

                    if self.role_based is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.AccessList.NamedRbAcl']['meta_info']


            class LogUpdate(object):
                """
                Control access list log updates
                
                .. attribute:: threshold
                
                	Set access\-list logging threshold
                	**type**\:  int
                
                	**range:** 0..2147483647
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-03-22'

                def __init__(self):
                    self.parent = None
                    self.threshold = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:access-list/Cisco-IOS-XE-acl:log-update'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.threshold is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.AccessList.LogUpdate']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:access-list'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.log_update is not None and self.log_update._has_data():
                    return True

                if self.match_local_traffic is not None:
                    return True

                if self.named_acl is not None:
                    for child_ref in self.named_acl:
                        if child_ref._has_data():
                            return True

                if self.named_rb_acl is not None:
                    for child_ref in self.named_rb_acl:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ipv6.AccessList']['meta_info']


        class Multicast(object):
            """
            Configure multicast related commands
            
            .. attribute:: rpf
            
            	Configure multicast RPF related commands
            	**type**\:   :py:class:`Rpf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Multicast.Rpf>`
            
            .. attribute:: vrf
            
            	Select VPN Routing/Forwarding instance
            	**type**\:  str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.rpf = Native.Ipv6.Multicast.Rpf()
                self.rpf.parent = self
                self.vrf = None


            class Rpf(object):
                """
                Configure multicast RPF related commands
                
                .. attribute:: backoff
                
                	Backoff delay after unicast routing change
                	**type**\:   :py:class:`Backoff <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Multicast.Rpf.Backoff>`
                
                .. attribute:: use_bgp
                
                	Use BGP routes for multicast RPF lookup
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.backoff = Native.Ipv6.Multicast.Rpf.Backoff()
                    self.backoff.parent = self
                    self.use_bgp = None


                class Backoff(object):
                    """
                    Backoff delay after unicast routing change
                    
                    .. attribute:: initial_delay
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 200..65535
                    
                    .. attribute:: max_delay
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 200..65535
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.initial_delay = None
                        self.max_delay = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:multicast/Cisco-IOS-XE-multicast:rpf/Cisco-IOS-XE-multicast:backoff'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.initial_delay is not None:
                            return True

                        if self.max_delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.Multicast.Rpf.Backoff']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:multicast/Cisco-IOS-XE-multicast:rpf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.backoff is not None and self.backoff._has_data():
                        return True

                    if self.use_bgp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.Multicast.Rpf']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:multicast'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.rpf is not None and self.rpf._has_data():
                    return True

                if self.vrf is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ipv6.Multicast']['meta_info']


        class Cef(object):
            """
            Cisco Express Forwarding
            
            .. attribute:: accounting
            
            	Enable CEF accounting
            	**type**\:   :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Cef.Accounting>`
            
            .. attribute:: distributed
            
            	Distributed Cisco Express Forwarding
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.accounting = Native.Ipv6.Cef.Accounting()
                self.accounting.parent = self
                self.distributed = None


            class Accounting(object):
                """
                Enable CEF accounting
                
                .. attribute:: per_prefix
                
                	Enable per prefix accounting
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: prefix_length
                
                	Enable prefix length accounting
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-cef'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.per_prefix = None
                    self.prefix_length = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:cef/Cisco-IOS-XE-cef:accounting'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.per_prefix is not None:
                        return True

                    if self.prefix_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.Cef.Accounting']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:cef'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.accounting is not None and self.accounting._has_data():
                    return True

                if self.distributed is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ipv6.Cef']['meta_info']


        class Nd(object):
            """
            Configure IPv6 ND
            
            .. attribute:: cache
            
            	Cache entry
            	**type**\:   :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Cache>`
            
            .. attribute:: inspection
            
            	Configure NDP Inspection
            	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection>`
            
            .. attribute:: raguard
            
            	Configure RA guard
            	**type**\:   :py:class:`Raguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Raguard>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.cache = Native.Ipv6.Nd.Cache()
                self.cache.parent = self
                self.inspection = Native.Ipv6.Nd.Inspection()
                self.inspection.parent = self
                self.raguard = Native.Ipv6.Nd.Raguard()
                self.raguard.parent = self


            class Inspection(object):
                """
                Configure NDP Inspection
                
                .. attribute:: policy
                
                	Configure a policy for feature NDP inspection
                	**type**\: list of    :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection.Policy>`
                
                

                """

                _prefix = 'ios-nd'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.policy = YList()
                    self.policy.parent = self
                    self.policy.name = 'policy'


                class Policy(object):
                    """
                    Configure a policy for feature NDP inspection
                    
                    .. attribute:: name_nd_inspection_policy  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: device_role
                    
                    	Sets the role of the device attached to the port
                    	**type**\:   :py:class:`DeviceRole <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection.Policy.DeviceRole>`
                    
                    .. attribute:: drop_unsecure
                    
                    	drop unsecure (3971) messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: limit
                    
                    	Specifies a limit
                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection.Policy.Limit>`
                    
                    .. attribute:: sec_level
                    
                    	Specifies a minimum sec\-level
                    	**type**\:   :py:class:`SecLevel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection.Policy.SecLevel>`
                    
                    .. attribute:: tracking
                    
                    	Override default tracking behavior
                    	**type**\:   :py:class:`Tracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection.Policy.Tracking>`
                    
                    .. attribute:: trusted_port
                    
                    	setup trusted port
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: validate
                    
                    	specific validation
                    	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection.Policy.Validate>`
                    
                    

                    """

                    _prefix = 'ios-nd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name_nd_inspection_policy = None
                        self.device_role = Native.Ipv6.Nd.Inspection.Policy.DeviceRole()
                        self.device_role.parent = self
                        self.drop_unsecure = None
                        self.limit = Native.Ipv6.Nd.Inspection.Policy.Limit()
                        self.limit.parent = self
                        self.sec_level = Native.Ipv6.Nd.Inspection.Policy.SecLevel()
                        self.sec_level.parent = self
                        self.tracking = Native.Ipv6.Nd.Inspection.Policy.Tracking()
                        self.tracking.parent = self
                        self.trusted_port = None
                        self.validate = Native.Ipv6.Nd.Inspection.Policy.Validate()
                        self.validate.parent = self


                    class DeviceRole(object):
                        """
                        Sets the role of the device attached to the port
                        
                        .. attribute:: host
                        
                        	Attached device is a host (default)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: monitor
                        
                        	Attached device is a monitor/sniffer
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: router
                        
                        	Attached device is a route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: switch
                        
                        	Attached device is a switch
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.host = None
                            self.monitor = None
                            self.router = None
                            self.switch = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:device-role'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.host is not None:
                                return True

                            if self.monitor is not None:
                                return True

                            if self.router is not None:
                                return True

                            if self.switch is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Nd.Inspection.Policy.DeviceRole']['meta_info']


                    class Limit(object):
                        """
                        Specifies a limit
                        
                        .. attribute:: address_count
                        
                        	Configure maximum address per port
                        	**type**\:  int
                        
                        	**range:** 1..10000
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address_count = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:limit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address_count is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Nd.Inspection.Policy.Limit']['meta_info']


                    class SecLevel(object):
                        """
                        Specifies a minimum sec\-level
                        
                        .. attribute:: minimum
                        
                        	Configure minimum sec\-level
                        	**type**\:  int
                        
                        	**range:** 1..7
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.minimum = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:sec-level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.minimum is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Nd.Inspection.Policy.SecLevel']['meta_info']


                    class Tracking(object):
                        """
                        Override default tracking behavior
                        
                        .. attribute:: disable
                        
                        	Tracking off
                        	**type**\:   :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: enable
                        
                        	Tracking on
                        	**type**\:   :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.disable = None
                            self.enable = None


                        class Disable(object):
                            """
                            Tracking off
                            
                            .. attribute:: stale_lifetime
                            
                            	Time entry is kept inactive before delete
                            	**type**\:   :py:class:`StaleLifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable.StaleLifetime>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-nd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.stale_lifetime = Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable.StaleLifetime()
                                self.stale_lifetime.parent = self


                            class StaleLifetime(object):
                                """
                                Time entry is kept inactive before delete
                                
                                .. attribute:: infinite
                                
                                	Keep in STALE forever
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: seconds
                                
                                	Seconds
                                	**type**\:  int
                                
                                	**range:** 1..86400
                                
                                

                                """

                                _prefix = 'ios-nd'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.infinite = None
                                    self.seconds = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-nd:stale-lifetime'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.infinite is not None:
                                        return True

                                    if self.seconds is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable.StaleLifetime']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-nd:disable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.stale_lifetime is not None and self.stale_lifetime._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable']['meta_info']


                        class Enable(object):
                            """
                            Tracking on
                            
                            .. attribute:: reachable_lifetime
                            
                            	Time entry is kept REACHABLE
                            	**type**\:   :py:class:`ReachableLifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable.ReachableLifetime>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-nd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.reachable_lifetime = Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable.ReachableLifetime()
                                self.reachable_lifetime.parent = self


                            class ReachableLifetime(object):
                                """
                                Time entry is kept REACHABLE
                                
                                .. attribute:: infinite
                                
                                	Keep in REACHABLE forever
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: seconds
                                
                                	Seconds
                                	**type**\:  int
                                
                                	**range:** 1..86400
                                
                                

                                """

                                _prefix = 'ios-nd'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.infinite = None
                                    self.seconds = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-nd:reachable-lifetime'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.infinite is not None:
                                        return True

                                    if self.seconds is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable.ReachableLifetime']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-nd:enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.reachable_lifetime is not None and self.reachable_lifetime._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:tracking'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.disable is not None and self.disable._has_data():
                                return True

                            if self.enable is not None and self.enable._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Nd.Inspection.Policy.Tracking']['meta_info']


                    class Validate(object):
                        """
                        specific validation
                        
                        .. attribute:: source_mac
                        
                        	check source mac against link\-layer\-address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.source_mac = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:validate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.source_mac is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Nd.Inspection.Policy.Validate']['meta_info']

                    @property
                    def _common_path(self):
                        if self.name_nd_inspection_policy is None:
                            raise YPYModelError('Key property name_nd_inspection_policy is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:nd/Cisco-IOS-XE-nd:inspection/Cisco-IOS-XE-nd:policy[Cisco-IOS-XE-nd:name-nd-inspection-policy = ' + str(self.name_nd_inspection_policy) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name_nd_inspection_policy is not None:
                            return True

                        if self.device_role is not None and self.device_role._has_data():
                            return True

                        if self.drop_unsecure is not None:
                            return True

                        if self.limit is not None and self.limit._has_data():
                            return True

                        if self.sec_level is not None and self.sec_level._has_data():
                            return True

                        if self.tracking is not None and self.tracking._has_data():
                            return True

                        if self.trusted_port is not None:
                            return True

                        if self.validate is not None and self.validate._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.Nd.Inspection.Policy']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:nd/Cisco-IOS-XE-nd:inspection'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.policy is not None:
                        for child_ref in self.policy:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.Nd.Inspection']['meta_info']


            class Cache(object):
                """
                Cache entry
                
                .. attribute:: expire
                
                	Expiry time for ND entries
                	**type**\:   :py:class:`Expire <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Cache.Expire>`
                
                

                """

                _prefix = 'ios-nd'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.expire = Native.Ipv6.Nd.Cache.Expire()
                    self.expire.parent = self


                class Expire(object):
                    """
                    Expiry time for ND entries
                    
                    .. attribute:: refresh
                    
                    	Automatically refresh entry
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: time
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-nd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.refresh = None
                        self.time = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:nd/Cisco-IOS-XE-nd:cache/Cisco-IOS-XE-nd:expire'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.refresh is not None:
                            return True

                        if self.time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.Nd.Cache.Expire']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:nd/Cisco-IOS-XE-nd:cache'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.expire is not None and self.expire._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.Nd.Cache']['meta_info']


            class Raguard(object):
                """
                Configure RA guard
                
                .. attribute:: attach_policy
                
                	Configure a policy for feature RA guard
                	**type**\:  str
                
                .. attribute:: policy
                
                	Configure a policy for feature RA guard
                	**type**\: list of    :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Raguard.Policy>`
                
                

                """

                _prefix = 'ios-nd'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.attach_policy = None
                    self.policy = YList()
                    self.policy.parent = self
                    self.policy.name = 'policy'


                class Policy(object):
                    """
                    Configure a policy for feature RA guard
                    
                    .. attribute:: raguard_policy_name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: device_role
                    
                    	Sets the role of the device attached to the port
                    	**type**\:   :py:class:`DeviceRole <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Raguard.Policy.DeviceRole>`
                    
                    .. attribute:: hop_limit
                    
                    	Enable verification of the advertised Hop count limit
                    	**type**\:   :py:class:`HopLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Raguard.Policy.HopLimit>`
                    
                    .. attribute:: trusted_port
                    
                    	setup trusted port
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-nd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.raguard_policy_name = None
                        self.device_role = Native.Ipv6.Nd.Raguard.Policy.DeviceRole()
                        self.device_role.parent = self
                        self.hop_limit = Native.Ipv6.Nd.Raguard.Policy.HopLimit()
                        self.hop_limit.parent = self
                        self.trusted_port = None


                    class DeviceRole(object):
                        """
                        Sets the role of the device attached to the port
                        
                        .. attribute:: host
                        
                        	Attached device is a host (default)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: monitor
                        
                        	Attached device is a monitor/sniffer
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: router
                        
                        	Attached device is a router
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: switch
                        
                        	Attached device is a switch
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.host = None
                            self.monitor = None
                            self.router = None
                            self.switch = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:device-role'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.host is not None:
                                return True

                            if self.monitor is not None:
                                return True

                            if self.router is not None:
                                return True

                            if self.switch is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Nd.Raguard.Policy.DeviceRole']['meta_info']


                    class HopLimit(object):
                        """
                        Enable verification of the advertised Hop count limit
                        
                        .. attribute:: maximum
                        
                        	Maximum hop count value allowed
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: minimum
                        
                        	Minimum hop count value allowed
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.maximum = None
                            self.minimum = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:hop-limit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.maximum is not None:
                                return True

                            if self.minimum is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Nd.Raguard.Policy.HopLimit']['meta_info']

                    @property
                    def _common_path(self):
                        if self.raguard_policy_name is None:
                            raise YPYModelError('Key property raguard_policy_name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:nd/Cisco-IOS-XE-nd:raguard/Cisco-IOS-XE-nd:policy[Cisco-IOS-XE-nd:raguard-policy-name = ' + str(self.raguard_policy_name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.raguard_policy_name is not None:
                            return True

                        if self.device_role is not None and self.device_role._has_data():
                            return True

                        if self.hop_limit is not None and self.hop_limit._has_data():
                            return True

                        if self.trusted_port is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.Nd.Raguard.Policy']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:nd/Cisco-IOS-XE-nd:raguard'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.attach_policy is not None:
                        return True

                    if self.policy is not None:
                        for child_ref in self.policy:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.Nd.Raguard']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:nd'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.cache is not None and self.cache._has_data():
                    return True

                if self.inspection is not None and self.inspection._has_data():
                    return True

                if self.raguard is not None and self.raguard._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ipv6.Nd']['meta_info']


        class Pim(object):
            """
            Configure Protocol Independent Multicast
            
            .. attribute:: rp_address
            
            	Configure Sparse\-Mode Rendezvous Point
            	**type**\:   :py:class:`RpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Pim.RpAddress>`
            
            .. attribute:: vrf
            
            	Select VPN Routing/Forwarding instance
            	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Pim.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.rp_address = Native.Ipv6.Pim.RpAddress()
                self.rp_address.parent = self
                self.vrf = YList()
                self.vrf.parent = self
                self.vrf.name = 'vrf'


            class RpAddress(object):
                """
                Configure Sparse\-Mode Rendezvous Point
                
                .. attribute:: access_list
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                .. attribute:: address
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:  str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: bidir
                
                	Specify keyword bidir to configure a bidir RP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_list = None
                    self.address = None
                    self.bidir = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:pim/Cisco-IOS-XE-multicast:rp-address'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_list is not None:
                        return True

                    if self.address is not None:
                        return True

                    if self.bidir is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.Pim.RpAddress']['meta_info']


            class Vrf(object):
                """
                Select VPN Routing/Forwarding instance
                
                .. attribute:: id  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: rp_address
                
                	Configure Sparse\-Mode Rendezvous Point
                	**type**\:   :py:class:`RpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Pim.Vrf.RpAddress>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.rp_address = Native.Ipv6.Pim.Vrf.RpAddress()
                    self.rp_address.parent = self


                class RpAddress(object):
                    """
                    Configure Sparse\-Mode Rendezvous Point
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: address
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: bidir
                    
                    	Specify keyword bidir to configure a bidir RP
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access_list = None
                        self.address = None
                        self.bidir = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:rp-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access_list is not None:
                            return True

                        if self.address is not None:
                            return True

                        if self.bidir is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.Pim.Vrf.RpAddress']['meta_info']

                @property
                def _common_path(self):
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:pim/Cisco-IOS-XE-multicast:vrf[Cisco-IOS-XE-multicast:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.rp_address is not None and self.rp_address._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.Pim.Vrf']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:pim'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.rp_address is not None and self.rp_address._has_data():
                    return True

                if self.vrf is not None:
                    for child_ref in self.vrf:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ipv6.Pim']['meta_info']


        class Route(object):
            """
            Configure static routes
            
            .. attribute:: ipv6_route_list
            
            	
            	**type**\: list of    :py:class:`Ipv6RouteList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Route.Ipv6RouteList>`
            
            .. attribute:: vrf
            
            	Configure static route for a VPN Routing/Forwarding instance
            	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Route.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ipv6_route_list = YList()
                self.ipv6_route_list.parent = self
                self.ipv6_route_list.name = 'ipv6_route_list'
                self.vrf = YList()
                self.vrf.parent = self
                self.vrf.name = 'vrf'


            class Ipv6RouteList(object):
                """
                
                
                .. attribute:: prefix  <key>
                
                	
                	**type**\:  str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                
                .. attribute:: ipv6_fwd_list
                
                	
                	**type**\: list of    :py:class:`Ipv6FwdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Route.Ipv6RouteList.Ipv6FwdList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.prefix = None
                    self.ipv6_fwd_list = YList()
                    self.ipv6_fwd_list.parent = self
                    self.ipv6_fwd_list.name = 'ipv6_fwd_list'


                class Ipv6FwdList(object):
                    """
                    
                    
                    .. attribute:: fwd  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:   :py:class:`FwdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Route.Vrf.Ipv6RouteList.Ipv6FwdList.FwdEnum>`
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: distance
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: multicast
                    
                    	Route only usable by multicast
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: next_hop
                    
                    	IPv6 address of next\-hop
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: tag
                    
                    	Tag value
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: track
                    
                    	Tracked
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: unicast
                    
                    	Route only usable by unicast
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.fwd = None
                        self.distance = None
                        self.multicast = None
                        self.next_hop = None
                        self.tag = None
                        self.track = None
                        self.unicast = None

                    class FwdEnum(Enum):
                        """
                        FwdEnum

                        .. data:: Null0 = 0

                        """

                        Null0 = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Route.Ipv6RouteList.Ipv6FwdList.FwdEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.fwd is None:
                            raise YPYModelError('Key property fwd is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6-fwd-list[Cisco-IOS-XE-native:fwd = ' + str(self.fwd) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.fwd is not None:
                            return True

                        if self.distance is not None:
                            return True

                        if self.multicast is not None:
                            return True

                        if self.next_hop is not None:
                            return True

                        if self.tag is not None:
                            return True

                        if self.track is not None:
                            return True

                        if self.unicast is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.Route.Ipv6RouteList.Ipv6FwdList']['meta_info']

                @property
                def _common_path(self):
                    if self.prefix is None:
                        raise YPYModelError('Key property prefix is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:route/Cisco-IOS-XE-native:ipv6-route-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.prefix is not None:
                        return True

                    if self.ipv6_fwd_list is not None:
                        for child_ref in self.ipv6_fwd_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.Route.Ipv6RouteList']['meta_info']


            class Vrf(object):
                """
                Configure static route for a VPN Routing/Forwarding instance
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: ipv6_route_list
                
                	
                	**type**\: list of    :py:class:`Ipv6RouteList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Route.Vrf.Ipv6RouteList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.ipv6_route_list = YList()
                    self.ipv6_route_list.parent = self
                    self.ipv6_route_list.name = 'ipv6_route_list'


                class Ipv6RouteList(object):
                    """
                    
                    
                    .. attribute:: prefix  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    .. attribute:: ipv6_fwd_list
                    
                    	
                    	**type**\: list of    :py:class:`Ipv6FwdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Route.Vrf.Ipv6RouteList.Ipv6FwdList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.prefix = None
                        self.ipv6_fwd_list = YList()
                        self.ipv6_fwd_list.parent = self
                        self.ipv6_fwd_list.name = 'ipv6_fwd_list'


                    class Ipv6FwdList(object):
                        """
                        
                        
                        .. attribute:: fwd  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:   :py:class:`FwdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Route.Vrf.Ipv6RouteList.Ipv6FwdList.FwdEnum>`
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        
                        ----
                        .. attribute:: distance
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: multicast
                        
                        	Route only usable by multicast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: next_hop
                        
                        	IPv6 address of next\-hop
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: tag
                        
                        	Tag value
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: track
                        
                        	Tracked
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: unicast
                        
                        	Route only usable by unicast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.fwd = None
                            self.distance = None
                            self.multicast = None
                            self.next_hop = None
                            self.tag = None
                            self.track = None
                            self.unicast = None

                        class FwdEnum(Enum):
                            """
                            FwdEnum

                            .. data:: Null0 = 0

                            """

                            Null0 = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.Route.Vrf.Ipv6RouteList.Ipv6FwdList.FwdEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.fwd is None:
                                raise YPYModelError('Key property fwd is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6-fwd-list[Cisco-IOS-XE-native:fwd = ' + str(self.fwd) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.fwd is not None:
                                return True

                            if self.distance is not None:
                                return True

                            if self.multicast is not None:
                                return True

                            if self.next_hop is not None:
                                return True

                            if self.tag is not None:
                                return True

                            if self.track is not None:
                                return True

                            if self.unicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Route.Vrf.Ipv6RouteList.Ipv6FwdList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.prefix is None:
                            raise YPYModelError('Key property prefix is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6-route-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.prefix is not None:
                            return True

                        if self.ipv6_fwd_list is not None:
                            for child_ref in self.ipv6_fwd_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.Route.Vrf.Ipv6RouteList']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:route/Cisco-IOS-XE-native:vrf[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.ipv6_route_list is not None:
                        for child_ref in self.ipv6_route_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.Route.Vrf']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:route'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ipv6_route_list is not None:
                    for child_ref in self.ipv6_route_list:
                        if child_ref._has_data():
                            return True

                if self.vrf is not None:
                    for child_ref in self.vrf:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ipv6.Route']['meta_info']


        class Router(object):
            """
            Enable an IPV6 routing process
            
            .. attribute:: eigrp
            
            	Enhanced Interior Gateway Routing Protocol (EIGRP)
            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Eigrp>`
            
            .. attribute:: rip
            
            	IPv6 Routing Information Protocol (RIPv6)
            	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.eigrp = YList()
                self.eigrp.parent = self
                self.eigrp.name = 'eigrp'
                self.rip = YList()
                self.rip.parent = self
                self.rip.name = 'rip'


            class Eigrp(object):
                """
                Enhanced Interior Gateway Routing Protocol (EIGRP)
                
                .. attribute:: id  <key>
                
                	Autonomous System ID
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: default_metric
                
                	Set metric of redistributed routes
                	**type**\:   :py:class:`DefaultMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Eigrp.DefaultMetric>`
                
                .. attribute:: distance
                
                	Define an administrative distance
                	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Eigrp.Distance>`
                
                .. attribute:: distribute_list
                
                	Filter networks in routing updates
                	**type**\:   :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Eigrp.DistributeList>`
                
                .. attribute:: eigrp
                
                	EIGRP specific commands
                	**type**\:   :py:class:`Eigrp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Eigrp.Eigrp_>`
                
                .. attribute:: passive_interface
                
                	Suppress routing updates on an interface
                	**type**\: list of    :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Eigrp.PassiveInterface>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.default_metric = Native.Ipv6.Router.Eigrp.DefaultMetric()
                    self.default_metric.parent = self
                    self.distance = Native.Ipv6.Router.Eigrp.Distance()
                    self.distance.parent = self
                    self.distribute_list = Native.Ipv6.Router.Eigrp.DistributeList()
                    self.distribute_list.parent = self
                    self.eigrp = Native.Ipv6.Router.Eigrp.Eigrp_()
                    self.eigrp.parent = self
                    self.passive_interface = YList()
                    self.passive_interface.parent = self
                    self.passive_interface.name = 'passive_interface'


                class DefaultMetric(object):
                    """
                    Set metric of redistributed routes
                    
                    .. attribute:: dm_rdr
                    
                    	Bandwidth in Kbits per second
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: dm_rdr0
                    
                    	delay metric in 10 microsecond units
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: dm_rdr_pct
                    
                    	Reliability metric where 255 is 100% reliable
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: effective_bandwith_metric
                    
                    	Effective bandwidth metric (Loading) where 255 is 100% loaded
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: mtu
                    
                    	Maximum Transmission Unit metric of the path 
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dm_rdr = None
                        self.dm_rdr0 = None
                        self.dm_rdr_pct = None
                        self.effective_bandwith_metric = None
                        self.mtu = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:default-metric'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dm_rdr is not None:
                            return True

                        if self.dm_rdr0 is not None:
                            return True

                        if self.dm_rdr_pct is not None:
                            return True

                        if self.effective_bandwith_metric is not None:
                            return True

                        if self.mtu is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.Router.Eigrp.DefaultMetric']['meta_info']


                class Distance(object):
                    """
                    Define an administrative distance
                    
                    .. attribute:: eigrp
                    
                    	EIGRP\-IPV6 distance
                    	**type**\:   :py:class:`Eigrp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Eigrp.Distance.Eigrp_>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = Native.Ipv6.Router.Eigrp.Distance.Eigrp_()
                        self.eigrp.parent = self


                    class Eigrp_(object):
                        """
                        EIGRP\-IPV6 distance
                        
                        .. attribute:: external_route
                        
                        	Distance for external routes
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: internal_route
                        
                        	Distance for internal routes
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.external_route = None
                            self.internal_route = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:eigrp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.external_route is not None:
                                return True

                            if self.internal_route is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Router.Eigrp.Distance.Eigrp_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:distance'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None and self.eigrp._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.Router.Eigrp.Distance']['meta_info']


                class DistributeList(object):
                    """
                    Filter networks in routing updates
                    
                    .. attribute:: prefix_list
                    
                    	Filter connections based on an IPv6 prefix\-list
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Eigrp.DistributeList.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class PrefixList(object):
                        """
                        Filter connections based on an IPv6 prefix\-list
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: in_
                        
                        	Filter incoming routing updates
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Filter outgoing routing updates
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.in_ = None
                            self.out = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:prefix-list[Cisco-IOS-XE-eigrp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.in_ is not None:
                                return True

                            if self.out is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Router.Eigrp.DistributeList.PrefixList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:distribute-list'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.Router.Eigrp.DistributeList']['meta_info']


                class Eigrp_(object):
                    """
                    EIGRP specific commands
                    
                    .. attribute:: router_id
                    
                    	router id for this EIGRP process
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.router_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:eigrp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.router_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.Router.Eigrp.Eigrp_']['meta_info']


                class PassiveInterface(object):
                    """
                    Suppress routing updates on an interface
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`NameEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Eigrp.PassiveInterface.NameEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None

                    class NameEnum(Enum):
                        """
                        NameEnum

                        .. data:: default = 0

                        """

                        default = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Router.Eigrp.PassiveInterface.NameEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:passive-interface[Cisco-IOS-XE-eigrp:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.Router.Eigrp.PassiveInterface']['meta_info']

                @property
                def _common_path(self):
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:router/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.default_metric is not None and self.default_metric._has_data():
                        return True

                    if self.distance is not None and self.distance._has_data():
                        return True

                    if self.distribute_list is not None and self.distribute_list._has_data():
                        return True

                    if self.eigrp is not None and self.eigrp._has_data():
                        return True

                    if self.passive_interface is not None:
                        for child_ref in self.passive_interface:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.Router.Eigrp']['meta_info']


            class Rip(object):
                """
                IPv6 Routing Information Protocol (RIPv6)
                
                .. attribute:: id  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: distance
                
                	Administrative distance
                	**type**\:  int
                
                	**range:** 1..254
                
                .. attribute:: distribute_list
                
                	Filter networks in routing updates
                	**type**\:   :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.DistributeList>`
                
                .. attribute:: maximum_paths
                
                	Forward packets over multiple paths
                	**type**\:  int
                
                	**range:** 1..32
                
                .. attribute:: poison_reverse
                
                	Poison reverse updates
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: redistribute
                
                	Redistribute IPv6 prefixes from another routing protocol
                	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute>`
                
                .. attribute:: split_horizon
                
                	Split horizon updates
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: timers
                
                	Adjust routing timers
                	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Timers>`
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.distance = None
                    self.distribute_list = Native.Ipv6.Router.Rip.DistributeList()
                    self.distribute_list.parent = self
                    self.maximum_paths = None
                    self.poison_reverse = None
                    self.redistribute = Native.Ipv6.Router.Rip.Redistribute()
                    self.redistribute.parent = self
                    self.split_horizon = None
                    self.timers = Native.Ipv6.Router.Rip.Timers()
                    self.timers.parent = self


                class DistributeList(object):
                    """
                    Filter networks in routing updates
                    
                    .. attribute:: prefix_list
                    
                    	Filter connections based on an IPv6 prefix\-list
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.DistributeList.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class PrefixList(object):
                        """
                        Filter connections based on an IPv6 prefix\-list
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: in_
                        
                        	Filter incoming routing updates
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Filter outgoing routing updates
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.in_ = None
                            self.out = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:prefix-list[Cisco-IOS-XE-rip:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.in_ is not None:
                                return True

                            if self.out is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Router.Rip.DistributeList.PrefixList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-rip:distribute-list'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.Router.Rip.DistributeList']['meta_info']


                class Redistribute(object):
                    """
                    Redistribute IPv6 prefixes from another routing protocol
                    
                    .. attribute:: application
                    
                    	Application Protocol
                    	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Application>`
                    
                    .. attribute:: bgp
                    
                    	Border Gateway Protocol (BGP)
                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Bgp>`
                    
                    .. attribute:: connected
                    
                    	Connected
                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Connected>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Eigrp>`
                    
                    .. attribute:: isis
                    
                    	ISO IS\-IS
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Isis>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: iso_igrp
                    
                    	IGRP for OSI networks
                    	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.IsoIgrp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: lisp
                    
                    	Locator ID Separation Protocol (LISP)
                    	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Lisp>`
                    
                    .. attribute:: mobile
                    
                    	Mobile routes
                    	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Mobile>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: nd
                    
                    	Neighbor Discovery
                    	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Nd>`
                    
                    .. attribute:: odr
                    
                    	On Demand stub Routes
                    	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Odr>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ospf
                    
                    	Open Shortest Path First (OSPF)
                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf>`
                    
                    .. attribute:: rip
                    
                    	Routing Information Protocol (RIP)
                    	**type**\:   :py:class:`Rip_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Rip_>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: static
                    
                    	Static routes
                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Static>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.application = Native.Ipv6.Router.Rip.Redistribute.Application()
                        self.application.parent = self
                        self.bgp = YList()
                        self.bgp.parent = self
                        self.bgp.name = 'bgp'
                        self.connected = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'
                        self.isis = None
                        self.iso_igrp = None
                        self.lisp = Native.Ipv6.Router.Rip.Redistribute.Lisp()
                        self.lisp.parent = self
                        self.mobile = None
                        self.nd = Native.Ipv6.Router.Rip.Redistribute.Nd()
                        self.nd.parent = self
                        self.odr = None
                        self.ospf = YList()
                        self.ospf.parent = self
                        self.ospf.name = 'ospf'
                        self.rip = None
                        self.static = None


                    class Application(object):
                        """
                        Application Protocol
                        
                        .. attribute:: include_connected
                        
                        	Include connected
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.include_connected = None
                            self.metric = None
                            self.route_map = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:application'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.include_connected is not None:
                                return True

                            if self.metric is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Application']['meta_info']


                    class Lisp(object):
                        """
                        Locator ID Separation Protocol (LISP)
                        
                        .. attribute:: include_connected
                        
                        	Include connected
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.include_connected = None
                            self.metric = None
                            self.route_map = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:lisp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.include_connected is not None:
                                return True

                            if self.metric is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Lisp']['meta_info']


                    class Nd(object):
                        """
                        Neighbor Discovery
                        
                        .. attribute:: include_connected
                        
                        	Include connected
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.include_connected = None
                            self.metric = None
                            self.route_map = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:nd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.include_connected is not None:
                                return True

                            if self.metric is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Nd']['meta_info']


                    class Connected(object):
                        """
                        Connected
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self


                        class RipMetricRouteMap(object):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric_value = None
                                    self.transparent = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric_value is not None:
                                        return True

                                    if self.transparent is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:connected'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Connected']['meta_info']


                    class Bgp(object):
                        """
                        Border Gateway Protocol (BGP)
                        
                        .. attribute:: as_number  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        
                        ----
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.as_number = None
                            self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self


                        class RipMetricRouteMap(object):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric_value = None
                                    self.transparent = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric_value is not None:
                                        return True

                                    if self.transparent is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.as_number is None:
                                raise YPYModelError('Key property as_number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:bgp[Cisco-IOS-XE-rip:as-number = ' + str(self.as_number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.as_number is not None:
                                return True

                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Bgp']['meta_info']


                    class Eigrp(object):
                        """
                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                        
                        .. attribute:: as_number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.as_number = None
                            self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self


                        class RipMetricRouteMap(object):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric_value = None
                                    self.transparent = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric_value is not None:
                                        return True

                                    if self.transparent is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.as_number is None:
                                raise YPYModelError('Key property as_number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:eigrp[Cisco-IOS-XE-rip:as-number = ' + str(self.as_number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.as_number is not None:
                                return True

                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Eigrp']['meta_info']


                    class Isis(object):
                        """
                        ISO IS\-IS
                        
                        .. attribute:: isis_area
                        
                        	
                        	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea>`
                        
                        .. attribute:: rip_isis_redist
                        
                        	
                        	**type**\:   :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.isis_area = YList()
                            self.isis_area.parent = self
                            self.isis_area.name = 'isis_area'
                            self.rip_isis_redist = Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist()
                            self.rip_isis_redist.parent = self


                        class IsisArea(object):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: rip_isis_redist
                            
                            	
                            	**type**\:   :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.rip_isis_redist = Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist()
                                self.rip_isis_redist.parent = self


                            class RipIsisRedist(object):
                                """
                                
                                
                                .. attribute:: isis_level_routes
                                
                                	
                                	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutesEnum>`
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.isis_level_routes = None
                                    self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self

                                class IsisLevelRoutesEnum(Enum):
                                    """
                                    IsisLevelRoutesEnum

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    .. data:: level_1_2 = 2

                                    """

                                    level_1 = 0

                                    level_2 = 1

                                    level_1_2 = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutesEnum']



                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-isis-redist'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.isis_level_routes is not None:
                                        return True

                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:isis-area[Cisco-IOS-XE-rip:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.rip_isis_redist is not None and self.rip_isis_redist._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea']['meta_info']


                        class RipIsisRedist(object):
                            """
                            
                            
                            .. attribute:: isis_level_routes
                            
                            	
                            	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.IsisLevelRoutesEnum>`
                            
                            .. attribute:: rip_metric_route_map
                            
                            	
                            	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.isis_level_routes = None
                                self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap()
                                self.rip_metric_route_map.parent = self

                            class IsisLevelRoutesEnum(Enum):
                                """
                                IsisLevelRoutesEnum

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                .. data:: level_1_2 = 2

                                """

                                level_1 = 0

                                level_2 = 1

                                level_1_2 = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.IsisLevelRoutesEnum']



                            class RipMetricRouteMap(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric()
                                    self.metric.parent = self
                                    self.route_map = None


                                class Metric(object):
                                    """
                                    Metric for redistributed routes
                                    
                                    .. attribute:: metric_value
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..16
                                    
                                    .. attribute:: transparent
                                    
                                    	Transparently redistribute metric
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric_value = None
                                        self.transparent = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric_value is not None:
                                            return True

                                        if self.transparent is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None and self.metric._has_data():
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-isis-redist'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.isis_level_routes is not None:
                                    return True

                                if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.isis_area is not None:
                                for child_ref in self.isis_area:
                                    if child_ref._has_data():
                                        return True

                            if self.rip_isis_redist is not None and self.rip_isis_redist._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Isis']['meta_info']


                    class IsoIgrp(object):
                        """
                        IGRP for OSI networks
                        
                        .. attribute:: isoigrp_list
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of    :py:class:`IsoigrpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList>`
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.isoigrp_list = YList()
                            self.isoigrp_list.parent = self
                            self.isoigrp_list.name = 'isoigrp_list'
                            self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self


                        class IsoigrpList(object):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: iso_area_tag  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: rip_metric_route_map
                            
                            	
                            	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.iso_area_tag = None
                                self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap()
                                self.rip_metric_route_map.parent = self


                            class RipMetricRouteMap(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric()
                                    self.metric.parent = self
                                    self.route_map = None


                                class Metric(object):
                                    """
                                    Metric for redistributed routes
                                    
                                    .. attribute:: metric_value
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..16
                                    
                                    .. attribute:: transparent
                                    
                                    	Transparently redistribute metric
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric_value = None
                                        self.transparent = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric_value is not None:
                                            return True

                                        if self.transparent is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None and self.metric._has_data():
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.iso_area_tag is None:
                                    raise YPYModelError('Key property iso_area_tag is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:isoigrp-list[Cisco-IOS-XE-rip:iso-area-tag = ' + str(self.iso_area_tag) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.iso_area_tag is not None:
                                    return True

                                if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList']['meta_info']


                        class RipMetricRouteMap(object):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric_value = None
                                    self.transparent = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric_value is not None:
                                        return True

                                    if self.transparent is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:iso-igrp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.isoigrp_list is not None:
                                for child_ref in self.isoigrp_list:
                                    if child_ref._has_data():
                                        return True

                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.IsoIgrp']['meta_info']


                    class Mobile(object):
                        """
                        Mobile routes
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self


                        class RipMetricRouteMap(object):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric_value = None
                                    self.transparent = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric_value is not None:
                                        return True

                                    if self.transparent is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:mobile'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Mobile']['meta_info']


                    class Odr(object):
                        """
                        On Demand stub Routes
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self


                        class RipMetricRouteMap(object):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric_value = None
                                    self.transparent = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric_value is not None:
                                        return True

                                    if self.transparent is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:odr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Odr']['meta_info']


                    class Ospf(object):
                        """
                        Open Shortest Path First (OSPF)
                        
                        .. attribute:: process_id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: match
                        
                        	Redistribution of OSPF routes
                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Match>`
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap>`
                        
                        .. attribute:: vrf
                        
                        	VPN Routing/Forwarding Instance
                        	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.process_id = None
                            self.match = Native.Ipv6.Router.Rip.Redistribute.Ospf.Match()
                            self.match.parent = self
                            self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self.vrf = YList()
                            self.vrf.parent = self
                            self.vrf.name = 'vrf'


                        class Vrf(object):
                            """
                            VPN Routing/Forwarding Instance
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:vrf[Cisco-IOS-XE-rip:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Vrf']['meta_info']


                        class Match(object):
                            """
                            Redistribution of OSPF routes
                            
                            .. attribute:: external
                            
                            	Redistribute OSPF external routes
                            	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: internal
                            
                            	Redistribute OSPF internal routes
                            	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: nssa_external
                            
                            	Redistribute OSPF NSSA external routes
                            	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.external = None
                                self.internal = None
                                self.nssa_external = None


                            class Internal(object):
                                """
                                Redistribute OSPF internal routes
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:internal'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal']['meta_info']


                            class External(object):
                                """
                                Redistribute OSPF external routes
                                
                                .. attribute:: external_routes
                                
                                	
                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.external_routes = None
                                    self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:external'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.external_routes is not None:
                                        return True

                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External']['meta_info']


                            class NssaExternal(object):
                                """
                                Redistribute OSPF NSSA external routes
                                
                                .. attribute:: nssa_external_routes
                                
                                	
                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.nssa_external_routes = None
                                    self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:nssa-external'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.nssa_external_routes is not None:
                                        return True

                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:match'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.external is not None and self.external._has_data():
                                    return True

                                if self.internal is not None and self.internal._has_data():
                                    return True

                                if self.nssa_external is not None and self.nssa_external._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.Match']['meta_info']


                        class RipMetricRouteMap(object):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric_value = None
                                    self.transparent = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric_value is not None:
                                        return True

                                    if self.transparent is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.process_id is None:
                                raise YPYModelError('Key property process_id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:ospf[Cisco-IOS-XE-rip:process-id = ' + str(self.process_id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.process_id is not None:
                                return True

                            if self.match is not None and self.match._has_data():
                                return True

                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                return True

                            if self.vrf is not None:
                                for child_ref in self.vrf:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Ospf']['meta_info']


                    class Static(object):
                        """
                        Static routes
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self


                        class RipMetricRouteMap(object):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric_value = None
                                    self.transparent = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric_value is not None:
                                        return True

                                    if self.transparent is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:static'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Static']['meta_info']


                    class Rip_(object):
                        """
                        Routing Information Protocol (RIP)
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Rip_.RipMetricRouteMap>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Rip_.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self


                        class RipMetricRouteMap(object):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Rip_.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = Native.Ipv6.Router.Rip.Redistribute.Rip_.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric_value = None
                                    self.transparent = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric_value is not None:
                                        return True

                                    if self.transparent is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Rip_.RipMetricRouteMap.Metric']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Rip_.RipMetricRouteMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:rip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute.Rip_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-rip:redistribute'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.application is not None and self.application._has_data():
                            return True

                        if self.bgp is not None:
                            for child_ref in self.bgp:
                                if child_ref._has_data():
                                    return True

                        if self.connected is not None and self.connected._has_data():
                            return True

                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        if self.isis is not None and self.isis._has_data():
                            return True

                        if self.iso_igrp is not None and self.iso_igrp._has_data():
                            return True

                        if self.lisp is not None and self.lisp._has_data():
                            return True

                        if self.mobile is not None and self.mobile._has_data():
                            return True

                        if self.nd is not None and self.nd._has_data():
                            return True

                        if self.odr is not None and self.odr._has_data():
                            return True

                        if self.ospf is not None:
                            for child_ref in self.ospf:
                                if child_ref._has_data():
                                    return True

                        if self.rip is not None and self.rip._has_data():
                            return True

                        if self.static is not None and self.static._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.Router.Rip.Redistribute']['meta_info']


                class Timers(object):
                    """
                    Adjust routing timers
                    
                    .. attribute:: garbage_collection
                    
                    	Route garbage collection period
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: holddown
                    
                    	Route holddown period
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: timeout
                    
                    	Route timeout period
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: update
                    
                    	Update period
                    	**type**\:  int
                    
                    	**range:** 5..65535
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.garbage_collection = None
                        self.holddown = None
                        self.timeout = None
                        self.update = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-rip:timers'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.garbage_collection is not None:
                            return True

                        if self.holddown is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        if self.update is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.Router.Rip.Timers']['meta_info']

                @property
                def _common_path(self):
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip[Cisco-IOS-XE-rip:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.distance is not None:
                        return True

                    if self.distribute_list is not None and self.distribute_list._has_data():
                        return True

                    if self.maximum_paths is not None:
                        return True

                    if self.poison_reverse is not None:
                        return True

                    if self.redistribute is not None and self.redistribute._has_data():
                        return True

                    if self.split_horizon is not None:
                        return True

                    if self.timers is not None and self.timers._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.Router.Rip']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:router'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.eigrp is not None:
                    for child_ref in self.eigrp:
                        if child_ref._has_data():
                            return True

                if self.rip is not None:
                    for child_ref in self.rip:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ipv6.Router']['meta_info']


        class Spd(object):
            """
            spd
            
            .. attribute:: mode
            
            	
            	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Spd.ModeEnum>`
            
            .. attribute:: queue
            
            	queue
            	**type**\:   :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Spd.Queue>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.mode = None
                self.queue = Native.Ipv6.Spd.Queue()
                self.queue.parent = self

            class ModeEnum(Enum):
                """
                ModeEnum

                .. data:: aggressive = 0

                """

                aggressive = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.Spd.ModeEnum']



            class Queue(object):
                """
                queue
                
                .. attribute:: max_threshold
                
                	Max threshold
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: min_threshold
                
                	Min threshold
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.max_threshold = None
                    self.min_threshold = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:spd/Cisco-IOS-XE-native:queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.max_threshold is not None:
                        return True

                    if self.min_threshold is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.Spd.Queue']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:spd'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.mode is not None:
                    return True

                if self.queue is not None and self.queue._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ipv6.Spd']['meta_info']


        class PrefixList(object):
            """
            Build a prefix list
            
            .. attribute:: prefixes
            
            	
            	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.PrefixList.Prefixes>`
            
            .. attribute:: sequence_number
            
            	Include/exclude sequence numbers in NVGEN
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.prefixes = YList()
                self.prefixes.parent = self
                self.prefixes.name = 'prefixes'
                self.sequence_number = None


            class Prefixes(object):
                """
                
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                	**pattern:** ([^s].\*)\|(s[^e].\*)\|(se[^q].\*)(seq[^u].\*)\|(sequ[^e].\*)\|(seque[^n].\*)\|(sequen[^c].\*)\|(sequenc[^e].\*)\|(sequence[^\\\-].\*)\|(sequence\\\-[^n].\*)\|(sequence\\\-n[^u].\*)\|(sequence\\\-nu[^m].\*)\|(sequence\\\-num[^b].\*)\|(sequence\\\-numb[^e].\*)\|(sequence\\\-numbe[^r].\*)\|(sequence\\\-number..\*)
                
                .. attribute:: deny
                
                	Specify packets to reject
                	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.PrefixList.Prefixes.Deny>`
                
                .. attribute:: description
                
                	Prefix\-list specific description
                	**type**\:  str
                
                	**length:** 1..80
                
                .. attribute:: permit
                
                	Specify packets to forward
                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.PrefixList.Prefixes.Permit>`
                
                .. attribute:: seq
                
                	sequence number of an entry
                	**type**\: list of    :py:class:`Seq <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.PrefixList.Prefixes.Seq>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.deny = Native.Ipv6.PrefixList.Prefixes.Deny()
                    self.deny.parent = self
                    self.description = None
                    self.permit = Native.Ipv6.PrefixList.Prefixes.Permit()
                    self.permit.parent = self
                    self.seq = YList()
                    self.seq.parent = self
                    self.seq.name = 'seq'


                class Permit(object):
                    """
                    Specify packets to forward
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    .. attribute:: ge
                    
                    	Minimum prefix length to be matched
                    	**type**\:  int
                    
                    	**range:** 0..128
                    
                    .. attribute:: le
                    
                    	Maximum prefix length to be matched
                    	**type**\:  int
                    
                    	**range:** 0..128
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.ge = None
                        self.le = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:permit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.ge is not None:
                            return True

                        if self.le is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.PrefixList.Prefixes.Permit']['meta_info']


                class Deny(object):
                    """
                    Specify packets to reject
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    .. attribute:: ge
                    
                    	Minimum prefix length to be matched
                    	**type**\:  int
                    
                    	**range:** 0..128
                    
                    .. attribute:: le
                    
                    	Maximum prefix length to be matched
                    	**type**\:  int
                    
                    	**range:** 0..128
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.ge = None
                        self.le = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:deny'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.ge is not None:
                            return True

                        if self.le is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.PrefixList.Prefixes.Deny']['meta_info']


                class Seq(object):
                    """
                    sequence number of an entry
                    
                    .. attribute:: no  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4294967294
                    
                    .. attribute:: deny
                    
                    	Specify packets to reject
                    	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.PrefixList.Prefixes.Seq.Deny>`
                    
                    .. attribute:: permit
                    
                    	Specify packets to forward
                    	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.PrefixList.Prefixes.Seq.Permit>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.no = None
                        self.deny = Native.Ipv6.PrefixList.Prefixes.Seq.Deny()
                        self.deny.parent = self
                        self.permit = Native.Ipv6.PrefixList.Prefixes.Seq.Permit()
                        self.permit.parent = self


                    class Deny(object):
                        """
                        Specify packets to reject
                        
                        .. attribute:: ge
                        
                        	Minimum prefix length to be matched
                        	**type**\:  int
                        
                        	**range:** 1..128
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: le
                        
                        	Maximum prefix length to be matched
                        	**type**\:  int
                        
                        	**range:** 1..128
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ge = None
                            self.ip = None
                            self.le = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:deny'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ge is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.le is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.PrefixList.Prefixes.Seq.Deny']['meta_info']


                    class Permit(object):
                        """
                        Specify packets to forward
                        
                        .. attribute:: ge
                        
                        	Minimum prefix length to be matched
                        	**type**\:  int
                        
                        	**range:** 1..128
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: le
                        
                        	Maximum prefix length to be matched
                        	**type**\:  int
                        
                        	**range:** 1..128
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ge = None
                            self.ip = None
                            self.le = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:permit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ge is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.le is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ipv6.PrefixList.Prefixes.Seq.Permit']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.no is None:
                            raise YPYModelError('Key property no is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:seq[Cisco-IOS-XE-native:no = ' + str(self.no) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.no is not None:
                            return True

                        if self.deny is not None and self.deny._has_data():
                            return True

                        if self.permit is not None and self.permit._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.PrefixList.Prefixes.Seq']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:prefix-list/Cisco-IOS-XE-native:prefixes[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.deny is not None and self.deny._has_data():
                        return True

                    if self.description is not None:
                        return True

                    if self.permit is not None and self.permit._has_data():
                        return True

                    if self.seq is not None:
                        for child_ref in self.seq:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.PrefixList.Prefixes']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:prefix-list'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.prefixes is not None:
                    for child_ref in self.prefixes:
                        if child_ref._has_data():
                            return True

                if self.sequence_number is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ipv6.PrefixList']['meta_info']


        class Mld(object):
            """
            Global mld commands
            
            .. attribute:: ssm_map
            
            	SSM mapping commands
            	**type**\:   :py:class:`SsmMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Mld.SsmMap>`
            
            

            """

            _prefix = 'ios-mld'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ssm_map = Native.Ipv6.Mld.SsmMap()
                self.ssm_map.parent = self


            class SsmMap(object):
                """
                SSM mapping commands
                
                .. attribute:: enable
                
                	Enable SSM mapping
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: query
                
                	Which database should we query for the source
                	**type**\:   :py:class:`Query <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Mld.SsmMap.Query>`
                
                .. attribute:: static
                
                	SSM static group to source mapping
                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Mld.SsmMap.Static>`
                
                

                """

                _prefix = 'ios-mld'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None
                    self.query = Native.Ipv6.Mld.SsmMap.Query()
                    self.query.parent = self
                    self.static = Native.Ipv6.Mld.SsmMap.Static()
                    self.static.parent = self


                class Query(object):
                    """
                    Which database should we query for the source
                    
                    .. attribute:: dns
                    
                    	Use DNS for source lookup
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mld'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dns = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-mld:mld/Cisco-IOS-XE-mld:ssm-map/Cisco-IOS-XE-mld:query'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dns is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.Mld.SsmMap.Query']['meta_info']


                class Static(object):
                    """
                    SSM static group to source mapping
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: source_ip
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-mld'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acl = None
                        self.source_ip = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-mld:mld/Cisco-IOS-XE-mld:ssm-map/Cisco-IOS-XE-mld:static'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acl is not None:
                            return True

                        if self.source_ip is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ipv6.Mld.SsmMap.Static']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-mld:mld/Cisco-IOS-XE-mld:ssm-map'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    if self.query is not None and self.query._has_data():
                        return True

                    if self.static is not None and self.static._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.Mld.SsmMap']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-mld:mld'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ssm_map is not None and self.ssm_map._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ipv6.Mld']['meta_info']


        class MulticastRouting(object):
            """
            Enable IPv6 multicast
            
            .. attribute:: vrf
            
            	Select VPN Routing/Forwarding instance
            	**type**\:  str
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-mc'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.vrf = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-multicast:multicast-routing'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.vrf is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ipv6.MulticastRouting']['meta_info']


        class Rip(object):
            """
            Configure ipv6 RIP settings
            
            .. attribute:: vrf_mode
            
            	Enable RIPng VRF support
            	**type**\:   :py:class:`VrfModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Rip.VrfModeEnum>`
            
            

            """

            _prefix = 'ios-rip'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.vrf_mode = None

            class VrfModeEnum(Enum):
                """
                VrfModeEnum

                Enable RIPng VRF support

                .. data:: enable = 0

                """

                enable = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ipv6.Rip.VrfModeEnum']


            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-rip:rip'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.vrf_mode is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ipv6.Rip']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ipv6'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.access_list is not None and self.access_list._has_data():
                return True

            if self.cef is not None and self.cef._has_data():
                return True

            if self.destination_guard is not None and self.destination_guard._has_data():
                return True

            if self.dhcp is not None and self.dhcp._has_data():
                return True

            if self.mld is not None and self.mld._has_data():
                return True

            if self.multicast is not None and self.multicast._has_data():
                return True

            if self.multicast_routing is not None and self.multicast_routing._has_data():
                return True

            if self.nd is not None and self.nd._has_data():
                return True

            if self.pim is not None and self.pim._has_data():
                return True

            if self.prefix_list is not None and self.prefix_list._has_data():
                return True

            if self.rip is not None and self.rip._has_data():
                return True

            if self.route is not None and self.route._has_data():
                return True

            if self.router is not None and self.router._has_data():
                return True

            if self.source_guard is not None and self.source_guard._has_data():
                return True

            if self.source_route is not None:
                return True

            if self.spd is not None and self.spd._has_data():
                return True

            if self.unicast_routing is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Ipv6']['meta_info']


    class Vlan(object):
        """
        Global vlan configuration
        
        .. attribute:: access_log
        
        	Configure VACL logging
        	**type**\:   :py:class:`AccessLog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.AccessLog>`
        
        .. attribute:: access_map
        
        	Create vlan access\-map or enter vlan access\-map command mode
        	**type**\: list of    :py:class:`AccessMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.AccessMap>`
        
        .. attribute:: accounting
        
        	VLAN accounting configuration
        	**type**\:   :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Accounting>`
        
        	**presence node**\: True
        
        .. attribute:: configuration
        
        	vlan feature configuration mode
        	**type**\: list of    :py:class:`Configuration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Configuration>`
        
        .. attribute:: dot1q
        
        	dot1q parameters
        	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Dot1Q>`
        
        .. attribute:: filter
        
        	Apply a VLAN Map
        	**type**\: list of    :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Filter>`
        
        .. attribute:: internal
        
        	internal VLAN
        	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Internal>`
        
        .. attribute:: vlan_list
        
        	
        	**type**\: list of    :py:class:`VlanList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.VlanList>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.access_log = Native.Vlan.AccessLog()
            self.access_log.parent = self
            self.access_map = YList()
            self.access_map.parent = self
            self.access_map.name = 'access_map'
            self.accounting = None
            self.configuration = YList()
            self.configuration.parent = self
            self.configuration.name = 'configuration'
            self.dot1q = Native.Vlan.Dot1Q()
            self.dot1q.parent = self
            self.filter = YList()
            self.filter.parent = self
            self.filter.name = 'filter'
            self.internal = Native.Vlan.Internal()
            self.internal.parent = self
            self.vlan_list = YList()
            self.vlan_list.parent = self
            self.vlan_list.name = 'vlan_list'


        class AccessMap(object):
            """
            Create vlan access\-map or enter vlan access\-map command mode
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: action
            
            	Take the action
            	**type**\:   :py:class:`ActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.AccessMap.ActionEnum>`
            
            .. attribute:: match
            
            	Match values
            	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.AccessMap.Match>`
            
            .. attribute:: value
            
            	
            	**type**\:  int
            
            	**range:** 1..65535
            
            

            """

            _prefix = 'ios-vlan'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.action = None
                self.match = Native.Vlan.AccessMap.Match()
                self.match.parent = self
                self.value = None

            class ActionEnum(Enum):
                """
                ActionEnum

                Take the action

                .. data:: drop = 0

                .. data:: forward = 1

                """

                drop = 0

                forward = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Vlan.AccessMap.ActionEnum']



            class Match(object):
                """
                Match values.
                
                .. attribute:: ip
                
                	IP based match
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.AccessMap.Match.Ip>`
                
                .. attribute:: ipv6
                
                	IPv6 based match
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.AccessMap.Match.Ipv6>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Vlan.AccessMap.Match.Ip()
                    self.ip.parent = self
                    self.ipv6 = Native.Vlan.AccessMap.Match.Ipv6()
                    self.ipv6.parent = self


                class Ipv6(object):
                    """
                    IPv6 based match
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = YLeafList()
                        self.address.parent = self
                        self.address.name = 'address'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            for child in self.address:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Vlan.AccessMap.Match.Ipv6']['meta_info']


                class Ip(object):
                    """
                    IP based match
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = YLeafList()
                        self.address.parent = self
                        self.address.name = 'address'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            for child in self.address:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Vlan.AccessMap.Match.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:match'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Vlan.AccessMap.Match']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:vlan/Cisco-IOS-XE-vlan:access-map[Cisco-IOS-XE-vlan:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.action is not None:
                    return True

                if self.match is not None and self.match._has_data():
                    return True

                if self.value is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Vlan.AccessMap']['meta_info']


        class Configuration(object):
            """
            vlan feature configuration mode
            
            .. attribute:: vlan_id  <key>
            
            	VLAN ID List Eg. 1\-10,15
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 1..4096
            
            
            ----
            	**type**\:  str
            
            
            ----
            .. attribute:: ip
            
            	ip root chain
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Configuration.Ip>`
            
            

            """

            _prefix = 'ios-vlan'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.vlan_id = None
                self.ip = Native.Vlan.Configuration.Ip()
                self.ip.parent = self


            class Ip(object):
                """
                ip root chain
                
                .. attribute:: flow
                
                	vlan NetFlow configuration commands
                	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Configuration.Ip.Flow>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.flow = Native.Vlan.Configuration.Ip.Flow()
                    self.flow.parent = self


                class Flow(object):
                    """
                    vlan NetFlow configuration commands
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of    :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Configuration.Ip.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.monitor = YList()
                        self.monitor.parent = self
                        self.monitor.name = 'monitor'


                    class Monitor(object):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: flow_monitor  <key>
                        
                        	User defined
                        	**type**\:  str
                        
                        .. attribute:: input
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.flow_monitor = None
                            self.input = None
                            self.output = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.flow_monitor is None:
                                raise YPYModelError('Key property flow_monitor is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:monitor[Cisco-IOS-XE-vlan:flow-monitor = ' + str(self.flow_monitor) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.flow_monitor is not None:
                                return True

                            if self.input is not None:
                                return True

                            if self.output is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Vlan.Configuration.Ip.Flow.Monitor']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.monitor is not None:
                            for child_ref in self.monitor:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Vlan.Configuration.Ip.Flow']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.flow is not None and self.flow._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Vlan.Configuration.Ip']['meta_info']

            @property
            def _common_path(self):
                if self.vlan_id is None:
                    raise YPYModelError('Key property vlan_id is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:vlan/Cisco-IOS-XE-vlan:configuration[Cisco-IOS-XE-vlan:vlan-id = ' + str(self.vlan_id) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.vlan_id is not None:
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Vlan.Configuration']['meta_info']


        class Filter(object):
            """
            Apply a VLAN Map
            
            .. attribute:: word  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: vlan_list
            
            	VLANs to apply filter to
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 1..4094
            
            
            ----
            	**type**\:  str
            
            
            ----
            

            """

            _prefix = 'ios-vlan'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.word = None
                self.vlan_list = None

            @property
            def _common_path(self):
                if self.word is None:
                    raise YPYModelError('Key property word is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:vlan/Cisco-IOS-XE-vlan:filter[Cisco-IOS-XE-vlan:word = ' + str(self.word) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.word is not None:
                    return True

                if self.vlan_list is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Vlan.Filter']['meta_info']


        class Accounting(object):
            """
            VLAN accounting configuration
            
            .. attribute:: input
            
            	Input accounting
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: output
            
            	Output accounting
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-vlan'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.input = None
                self.output = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:vlan/Cisco-IOS-XE-vlan:accounting'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.input is not None:
                    return True

                if self.output is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Vlan.Accounting']['meta_info']


        class Internal(object):
            """
            internal VLAN
            
            .. attribute:: allocation
            
            	internal VLAN allocation
            	**type**\:   :py:class:`Allocation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Internal.Allocation>`
            
            

            """

            _prefix = 'ios-vlan'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.allocation = Native.Vlan.Internal.Allocation()
                self.allocation.parent = self


            class Allocation(object):
                """
                internal VLAN allocation
                
                .. attribute:: policy
                
                	
                	**type**\:   :py:class:`PolicyEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Internal.Allocation.PolicyEnum>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.policy = None

                class PolicyEnum(Enum):
                    """
                    PolicyEnum

                    .. data:: ascending = 0

                    .. data:: descending = 1

                    """

                    ascending = 0

                    descending = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Vlan.Internal.Allocation.PolicyEnum']


                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:vlan/Cisco-IOS-XE-vlan:internal/Cisco-IOS-XE-vlan:allocation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.policy is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Vlan.Internal.Allocation']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:vlan/Cisco-IOS-XE-vlan:internal'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.allocation is not None and self.allocation._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Vlan.Internal']['meta_info']


        class Dot1Q(object):
            """
            dot1q parameters
            
            .. attribute:: tag
            
            	tag parameters
            	**type**\:   :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Dot1Q.Tag>`
            
            

            """

            _prefix = 'ios-vlan'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.tag = Native.Vlan.Dot1Q.Tag()
                self.tag.parent = self


            class Tag(object):
                """
                tag parameters
                
                .. attribute:: native
                
                	tag native vlan
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.native = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:vlan/Cisco-IOS-XE-vlan:dot1q/Cisco-IOS-XE-vlan:tag'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.native is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Vlan.Dot1Q.Tag']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:vlan/Cisco-IOS-XE-vlan:dot1q'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.tag is not None and self.tag._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Vlan.Dot1Q']['meta_info']


        class AccessLog(object):
            """
            Configure VACL logging
            
            .. attribute:: maxflow
            
            	Set vacl logging maximum flow number
            	**type**\:  int
            
            	**range:** 0..2048
            
            .. attribute:: ratelimit
            
            	Set vacl logging rate limiter
            	**type**\:  int
            
            	**range:** 10..5000
            
            .. attribute:: threshold
            
            	Set vacl log\-update threshold
            	**type**\:  int
            
            	**range:** 0..2147483647
            
            

            """

            _prefix = 'ios-vlan'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.maxflow = None
                self.ratelimit = None
                self.threshold = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:vlan/Cisco-IOS-XE-vlan:access-log'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.maxflow is not None:
                    return True

                if self.ratelimit is not None:
                    return True

                if self.threshold is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Vlan.AccessLog']['meta_info']


        class VlanList(object):
            """
            
            
            .. attribute:: id  <key>
            
            	
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 1..4094
            
            
            ----
            	**type**\:  str
            
            
            ----
            .. attribute:: lldp
            
            	
            	**type**\:   :py:class:`Lldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.VlanList.Lldp>`
            
            .. attribute:: name
            
            	Ascii name of the VLAN
            	**type**\:  str
            
            	**length:** 1..32
            
            .. attribute:: private_vlan
            
            	Configure a private VLAN
            	**type**\:   :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.VlanList.PrivateVlan>`
            
            .. attribute:: remote_span
            
            	Configure as Remote SPAN VLAN
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: uni_vlan
            
            	Configure a UNI VLAN
            	**type**\:   :py:class:`UniVlanEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.VlanList.UniVlanEnum>`
            
            

            """

            _prefix = 'ios-vlan'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.id = None
                self.lldp = Native.Vlan.VlanList.Lldp()
                self.lldp.parent = self
                self.name = None
                self.private_vlan = Native.Vlan.VlanList.PrivateVlan()
                self.private_vlan.parent = self
                self.remote_span = None
                self.uni_vlan = None

            class UniVlanEnum(Enum):
                """
                UniVlanEnum

                Configure a UNI VLAN

                .. data:: community = 0

                .. data:: isolated = 1

                """

                community = 0

                isolated = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Vlan.VlanList.UniVlanEnum']



            class PrivateVlan(object):
                """
                Configure a private VLAN
                
                .. attribute:: association
                
                	Configure association between private VLANs
                	**type**\:  str
                
                .. attribute:: community
                
                	Configure the VLAN as a community private VLAN
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: isolated
                
                	Configure the VLAN as an isolated private VLAN
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: primary
                
                	Configure the VLAN as a primary private VLAN
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.association = None
                    self.community = None
                    self.isolated = None
                    self.primary = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:private-vlan'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.association is not None:
                        return True

                    if self.community is not None:
                        return True

                    if self.isolated is not None:
                        return True

                    if self.primary is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Vlan.VlanList.PrivateVlan']['meta_info']


            class Lldp(object):
                """
                
                
                .. attribute:: run
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.run = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:lldp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.run is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Vlan.VlanList.Lldp']['meta_info']

            @property
            def _common_path(self):
                if self.id is None:
                    raise YPYModelError('Key property id is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:vlan/Cisco-IOS-XE-vlan:vlan-list[Cisco-IOS-XE-vlan:id = ' + str(self.id) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.id is not None:
                    return True

                if self.lldp is not None and self.lldp._has_data():
                    return True

                if self.name is not None:
                    return True

                if self.private_vlan is not None and self.private_vlan._has_data():
                    return True

                if self.remote_span is not None:
                    return True

                if self.uni_vlan is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Vlan.VlanList']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:vlan'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.access_log is not None and self.access_log._has_data():
                return True

            if self.access_map is not None:
                for child_ref in self.access_map:
                    if child_ref._has_data():
                        return True

            if self.accounting is not None and self.accounting._has_data():
                return True

            if self.configuration is not None:
                for child_ref in self.configuration:
                    if child_ref._has_data():
                        return True

            if self.dot1q is not None and self.dot1q._has_data():
                return True

            if self.filter is not None:
                for child_ref in self.filter:
                    if child_ref._has_data():
                        return True

            if self.internal is not None and self.internal._has_data():
                return True

            if self.vlan_list is not None:
                for child_ref in self.vlan_list:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Vlan']['meta_info']


    class Cdp(object):
        """
        Global CDP configuration subcommands
        
        .. attribute:: run
        
        	Enable CDP
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.run = None

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cdp'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.run is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Cdp']['meta_info']


    class Policy(object):
        """
        
        
        .. attribute:: class_map
        
        	configure qos class map
        	**type**\: list of    :py:class:`ClassMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap>`
        
        .. attribute:: policy_map
        
        	Configure QoS Policy Map
        	**type**\: list of    :py:class:`PolicyMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.class_map = YList()
            self.class_map.parent = self
            self.class_map.name = 'class_map'
            self.policy_map = YList()
            self.policy_map.parent = self
            self.policy_map.name = 'policy_map'


        class ClassMap(object):
            """
            configure qos class map
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: description
            
            	Class\-Map description
            	**type**\:  str
            
            .. attribute:: match
            
            	classification criteria
            	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match>`
            
            .. attribute:: no_match
            
            	no\-match filter
            	**type**\:   :py:class:`NoMatch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.NoMatch>`
            
            .. attribute:: prematch
            
            	
            	**type**\:   :py:class:`PrematchEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.PrematchEnum>`
            
            	**mandatory**\: True
            
            .. attribute:: protocol
            
            	
            	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.ProtocolEnum>`
            
            .. attribute:: subscriber
            
            	
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: type
            
            	type of the class\-map
            	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.TypeEnum>`
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.description = None
                self.match = Native.Policy.ClassMap.Match()
                self.match.parent = self
                self.no_match = Native.Policy.ClassMap.NoMatch()
                self.no_match.parent = self
                self.prematch = None
                self.protocol = None
                self.subscriber = None
                self.type = None

            class PrematchEnum(Enum):
                """
                PrematchEnum

                .. data:: match_all = 0

                .. data:: match_any = 1

                .. data:: match_none = 2

                """

                match_all = 0

                match_any = 1

                match_none = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Policy.ClassMap.PrematchEnum']


            class ProtocolEnum(Enum):
                """
                ProtocolEnum

                .. data:: aol = 0

                .. data:: edonkey = 1

                .. data:: fasttrack = 2

                .. data:: gnutella = 3

                .. data:: http = 4

                .. data:: imap = 5

                .. data:: kazaa2 = 6

                .. data:: msnmsgr = 7

                .. data:: pop3 = 8

                .. data:: smtp = 9

                .. data:: sunrpc = 10

                .. data:: ymsgr = 11

                """

                aol = 0

                edonkey = 1

                fasttrack = 2

                gnutella = 3

                http = 4

                imap = 5

                kazaa2 = 6

                msnmsgr = 7

                pop3 = 8

                smtp = 9

                sunrpc = 10

                ymsgr = 11


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Policy.ClassMap.ProtocolEnum']


            class TypeEnum(Enum):
                """
                TypeEnum

                type of the class\-map

                .. data:: access_control = 0

                .. data:: appnav = 1

                .. data:: control = 2

                .. data:: inspect = 3

                .. data:: multicast_flows = 4

                .. data:: stack = 5

                .. data:: traffic = 6

                """

                access_control = 0

                appnav = 1

                control = 2

                inspect = 3

                multicast_flows = 4

                stack = 5

                traffic = 6


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Policy.ClassMap.TypeEnum']



            class Match(object):
                """
                classification criteria
                
                .. attribute:: access_group
                
                	Access group
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.AccessGroup>`
                
                .. attribute:: activated_service_template
                
                	match name of service template activated on session
                	**type**\: list of    :py:class:`ActivatedServiceTemplate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.ActivatedServiceTemplate>`
                
                .. attribute:: any
                
                	Any packets
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: application
                
                	Application to match
                	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Application>`
                
                .. attribute:: authorization_status
                
                	match the authorization status of the session
                	**type**\:   :py:class:`AuthorizationStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.AuthorizationStatus>`
                
                .. attribute:: authorizing_method_priority
                
                	match the priority against the authorizing method's priority
                	**type**\:   :py:class:`AuthorizingMethodPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.AuthorizingMethodPriority>`
                
                .. attribute:: class_map
                
                	Class map
                	**type**\:  list of str
                
                .. attribute:: cos
                
                	IEEE 802.1Q/ISL class of service/user priority values
                	**type**\:  list of int
                
                	**range:** 0..7
                
                .. attribute:: current_method_priority
                
                	match the priority against the current method's priority
                	**type**\:   :py:class:`CurrentMethodPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.CurrentMethodPriority>`
                
                .. attribute:: destination_address
                
                	Destination address
                	**type**\:   :py:class:`DestinationAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.DestinationAddress>`
                
                .. attribute:: discard_class
                
                	Discard behavior identifier
                	**type**\:  list of int
                
                	**range:** 0..7
                
                .. attribute:: dscp
                
                	Match DSCP in IP(v4) and IPv6 packets
                	**type**\: one of the below types:
                
                	**type**\:  list of int
                
                	**range:** 0..63
                
                
                ----
                	**type**\:  list of   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                
                
                ----
                .. attribute:: fr_de
                
                	Match on Frame\-relay DE bit
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: fr_dlci
                
                	Match on fr\-dlci
                	**type**\:  list of int
                
                	**range:** 16..1007
                
                .. attribute:: input_interface
                
                	Select an input interface to match
                	**type**\:  list of str
                
                .. attribute:: ip
                
                	IP specific values
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Ip>`
                
                .. attribute:: method
                
                	match the type of authentication method from an event
                	**type**\:   :py:class:`Method <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Method>`
                
                .. attribute:: mpls
                
                	Multi Protocol Label Switching specific values
                	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Mpls>`
                
                .. attribute:: non_client_nrt
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: not_
                
                	Negate this match result
                	**type**\:   :py:class:`Not_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_>`
                
                .. attribute:: packet
                
                	Layer 3 Packet length
                	**type**\:   :py:class:`Packet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Packet>`
                
                .. attribute:: peer
                
                	APPNAV Peer Filter
                	**type**\:  str
                
                .. attribute:: precedence
                
                	Match Precedence in IP(v4) and IPv6 packets
                	**type**\: one of the below types:
                
                	**type**\:  list of int
                
                	**range:** 0..7
                
                
                ----
                	**type**\:  list of   :py:class:`PrecedenceTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecedenceTypeEnum>`
                
                
                ----
                .. attribute:: protocol
                
                	Protocol
                	**type**\:   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol>`
                
                .. attribute:: qos_group
                
                	Qos\-group
                	**type**\:  list of int
                
                	**range:** 0..99
                
                .. attribute:: result_type
                
                	match the result type, optionally for a specific method
                	**type**\:   :py:class:`ResultType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.ResultType>`
                
                .. attribute:: security_group
                
                	Security group
                	**type**\:   :py:class:`SecurityGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.SecurityGroup>`
                
                .. attribute:: source_address
                
                	Source address
                	**type**\:   :py:class:`SourceAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.SourceAddress>`
                
                .. attribute:: vlan
                
                	VLANs to match
                	**type**\:  list of int
                
                	**range:** 1..4094
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Policy.ClassMap.Match.AccessGroup()
                    self.access_group.parent = self
                    self.activated_service_template = YList()
                    self.activated_service_template.parent = self
                    self.activated_service_template.name = 'activated_service_template'
                    self.any = None
                    self.application = Native.Policy.ClassMap.Match.Application()
                    self.application.parent = self
                    self.authorization_status = Native.Policy.ClassMap.Match.AuthorizationStatus()
                    self.authorization_status.parent = self
                    self.authorizing_method_priority = Native.Policy.ClassMap.Match.AuthorizingMethodPriority()
                    self.authorizing_method_priority.parent = self
                    self.class_map = YLeafList()
                    self.class_map.parent = self
                    self.class_map.name = 'class_map'
                    self.cos = YLeafList()
                    self.cos.parent = self
                    self.cos.name = 'cos'
                    self.current_method_priority = Native.Policy.ClassMap.Match.CurrentMethodPriority()
                    self.current_method_priority.parent = self
                    self.destination_address = Native.Policy.ClassMap.Match.DestinationAddress()
                    self.destination_address.parent = self
                    self.discard_class = YLeafList()
                    self.discard_class.parent = self
                    self.discard_class.name = 'discard_class'
                    self.dscp = YLeafList()
                    self.dscp.parent = self
                    self.dscp.name = 'dscp'
                    self.fr_de = None
                    self.fr_dlci = YLeafList()
                    self.fr_dlci.parent = self
                    self.fr_dlci.name = 'fr_dlci'
                    self.input_interface = YLeafList()
                    self.input_interface.parent = self
                    self.input_interface.name = 'input_interface'
                    self.ip = Native.Policy.ClassMap.Match.Ip()
                    self.ip.parent = self
                    self.method = Native.Policy.ClassMap.Match.Method()
                    self.method.parent = self
                    self.mpls = Native.Policy.ClassMap.Match.Mpls()
                    self.mpls.parent = self
                    self.non_client_nrt = None
                    self.not_ = Native.Policy.ClassMap.Match.Not_()
                    self.not_.parent = self
                    self.packet = Native.Policy.ClassMap.Match.Packet()
                    self.packet.parent = self
                    self.peer = None
                    self.precedence = YLeafList()
                    self.precedence.parent = self
                    self.precedence.name = 'precedence'
                    self.protocol = Native.Policy.ClassMap.Match.Protocol()
                    self.protocol.parent = self
                    self.qos_group = YLeafList()
                    self.qos_group.parent = self
                    self.qos_group.name = 'qos_group'
                    self.result_type = Native.Policy.ClassMap.Match.ResultType()
                    self.result_type.parent = self
                    self.security_group = Native.Policy.ClassMap.Match.SecurityGroup()
                    self.security_group.parent = self
                    self.source_address = Native.Policy.ClassMap.Match.SourceAddress()
                    self.source_address.parent = self
                    self.vlan = YLeafList()
                    self.vlan.parent = self
                    self.vlan.name = 'vlan'


                class CurrentMethodPriority(object):
                    """
                    match the priority against the current method's priority
                    
                    .. attribute:: eq
                    
                    	equal to
                    	**type**\:  int
                    
                    	**range:** 1..254
                    
                    .. attribute:: gt
                    
                    	greater than
                    	**type**\:  int
                    
                    	**range:** 1..254
                    
                    .. attribute:: lt
                    
                    	less than
                    	**type**\:  int
                    
                    	**range:** 1..254
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eq = None
                        self.gt = None
                        self.lt = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:current-method-priority'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eq is not None:
                            return True

                        if self.gt is not None:
                            return True

                        if self.lt is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.ClassMap.Match.CurrentMethodPriority']['meta_info']


                class Application(object):
                    """
                    Application to match
                    
                    .. attribute:: application_group
                    
                    	Application Group to match
                    	**type**\:   :py:class:`ApplicationGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Application.ApplicationGroup>`
                    
                    .. attribute:: attribute
                    
                    	Application attribute to match
                    	**type**\:   :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Application.Attribute>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.application_group = Native.Policy.ClassMap.Match.Application.ApplicationGroup()
                        self.application_group.parent = self
                        self.attribute = Native.Policy.ClassMap.Match.Application.Attribute()
                        self.attribute.parent = self


                    class ApplicationGroup(object):
                        """
                        Application Group to match
                        
                        .. attribute:: telepresence_group
                        
                        	Telepresence Group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vmware_group
                        
                        	VMWARE Group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: webex_group
                        
                        	WebEx Group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.telepresence_group = None
                            self.vmware_group = None
                            self.webex_group = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:application-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.telepresence_group is not None:
                                return True

                            if self.vmware_group is not None:
                                return True

                            if self.webex_group is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Application.ApplicationGroup']['meta_info']


                    class Attribute(object):
                        """
                        Application attribute to match
                        
                        .. attribute:: media_type
                        
                        	Media type attribute to match
                        	**type**\:   :py:class:`MediaTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Application.Attribute.MediaTypeEnum>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.media_type = None

                        class MediaTypeEnum(Enum):
                            """
                            MediaTypeEnum

                            Media type attribute to match

                            .. data:: audio = 0

                            .. data:: audio_video = 1

                            .. data:: control = 2

                            .. data:: data = 3

                            .. data:: video = 4

                            """

                            audio = 0

                            audio_video = 1

                            control = 2

                            data = 3

                            video = 4


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.Application.Attribute.MediaTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:attribute'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.media_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Application.Attribute']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:application'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.application_group is not None and self.application_group._has_data():
                            return True

                        if self.attribute is not None and self.attribute._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.ClassMap.Match.Application']['meta_info']


                class AccessGroup(object):
                    """
                    Access group
                    
                    .. attribute:: index
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..2699
                    
                    .. attribute:: name
                    
                    	Named Access List
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.index = None
                        self.name = YLeafList()
                        self.name.parent = self
                        self.name.name = 'name'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.index is not None:
                            return True

                        if self.name is not None:
                            for child in self.name:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.ClassMap.Match.AccessGroup']['meta_info']


                class DestinationAddress(object):
                    """
                    Destination address
                    
                    .. attribute:: mac
                    
                    	MAC address
                    	**type**\:  list of str
                    
                    	**pattern:** [0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2}){5}
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.mac = YLeafList()
                        self.mac.parent = self
                        self.mac.name = 'mac'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:destination-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.mac is not None:
                            for child in self.mac:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.ClassMap.Match.DestinationAddress']['meta_info']


                class Ip(object):
                    """
                    IP specific values
                    
                    .. attribute:: dscp
                    
                    	Match IP DSCP (DiffServ CodePoints)
                    	**type**\: one of the below types:
                    
                    	**type**\:  list of int
                    
                    	**range:** 0..63
                    
                    
                    ----
                    	**type**\:  list of   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                    
                    
                    ----
                    .. attribute:: precedence
                    
                    	Match IP precedence
                    	**type**\: one of the below types:
                    
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    
                    ----
                    	**type**\:  list of   :py:class:`PrecedenceTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecedenceTypeEnum>`
                    
                    
                    ----
                    .. attribute:: rtp
                    
                    	Match RTP port nos
                    	**type**\: list of    :py:class:`Rtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Ip.Rtp>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dscp = YLeafList()
                        self.dscp.parent = self
                        self.dscp.name = 'dscp'
                        self.precedence = YLeafList()
                        self.precedence.parent = self
                        self.precedence.name = 'precedence'
                        self.rtp = YList()
                        self.rtp.parent = self
                        self.rtp.name = 'rtp'


                    class Rtp(object):
                        """
                        Match RTP port nos
                        
                        .. attribute:: port1  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 2000..65535
                        
                        .. attribute:: port2  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..16383
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port1 = None
                            self.port2 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.port1 is None:
                                raise YPYModelError('Key property port1 is None')
                            if self.port2 is None:
                                raise YPYModelError('Key property port2 is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:rtp[Cisco-IOS-XE-policy:port1 = ' + str(self.port1) + '][Cisco-IOS-XE-policy:port2 = ' + str(self.port2) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port1 is not None:
                                return True

                            if self.port2 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Ip.Rtp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dscp is not None:
                            for child in self.dscp:
                                if child is not None:
                                    return True

                        if self.precedence is not None:
                            for child in self.precedence:
                                if child is not None:
                                    return True

                        if self.rtp is not None:
                            for child_ref in self.rtp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.ClassMap.Match.Ip']['meta_info']


                class Mpls(object):
                    """
                    Multi Protocol Label Switching specific values
                    
                    .. attribute:: experimental
                    
                    	Match MPLS experimental
                    	**type**\:   :py:class:`Experimental <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Mpls.Experimental>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.experimental = Native.Policy.ClassMap.Match.Mpls.Experimental()
                        self.experimental.parent = self


                    class Experimental(object):
                        """
                        Match MPLS experimental
                        
                        .. attribute:: topmost
                        
                        	Match MPLS experimental value on topmost label
                        	**type**\:  list of int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.topmost = YLeafList()
                            self.topmost.parent = self
                            self.topmost.name = 'topmost'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:experimental'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.topmost is not None:
                                for child in self.topmost:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Mpls.Experimental']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:mpls'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.experimental is not None and self.experimental._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.ClassMap.Match.Mpls']['meta_info']


                class Packet(object):
                    """
                    Layer 3 Packet length
                    
                    .. attribute:: length
                    
                    	Layer 3 Packet length
                    	**type**\:   :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Packet.Length>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.length = Native.Policy.ClassMap.Match.Packet.Length()
                        self.length.parent = self


                    class Length(object):
                        """
                        Layer 3 Packet length
                        
                        .. attribute:: max
                        
                        	Maximum length of packet
                        	**type**\:  int
                        
                        	**range:** 1..2000
                        
                        .. attribute:: min
                        
                        	Minimum length of packet
                        	**type**\:  int
                        
                        	**range:** 1..2000
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max = None
                            self.min = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:length'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max is not None:
                                return True

                            if self.min is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Packet.Length']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:packet'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.length is not None and self.length._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.ClassMap.Match.Packet']['meta_info']


                class Protocol(object):
                    """
                    Protocol
                    
                    .. attribute:: attribute
                    
                    	Attribute based protocol match
                    	**type**\:   :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Attribute>`
                    
                    .. attribute:: citrix
                    
                    	Citrix Systems ICA protocol
                    	**type**\:   :py:class:`Citrix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Citrix>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: clns
                    
                    	ISO CLNS
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: clns_es
                    
                    	ISO CLNS End System
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: clns_is
                    
                    	ISO CLNS Intermediate System
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: cmns
                    
                    	ISO CMNS
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: compressedtcp
                    
                    	Compressed TCP (VJ
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: cuseeme
                    
                    	CU\-SeeMe desktop video conference
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: decnet
                    
                    	DECnet
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: decnet_node
                    
                    	DECnet Node
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: decnet_router_l1
                    
                    	DECnet Router L1
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: decnet_router_l2
                    
                    	DECnet Router L2
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dhcp
                    
                    	Dynamic Host Configuration
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dlsw
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dns
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edonkey
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: egp
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: exchange
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: fasttrack
                    
                    	FastTrack Traffic \- KaZaA, Morpheus, Grokster
                    	**type**\:   :py:class:`Fasttrack <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Fasttrack>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: finger
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ftp
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: gnutella
                    
                    	Gnutella Version2 Traffic \- BearShare, Shareeza, Morpheus
                    	**type**\:   :py:class:`Gnutella <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Gnutella>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: gopher
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: gre
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: h323
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: http
                    
                    	World Wide Web traffic
                    	**type**\:   :py:class:`Http <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Http>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: icmp
                    
                    	Internet Control Message
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: imap
                    
                    	Internet Message Access Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ip
                    
                    	IP
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipinip
                    
                    	IP in IP (encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipsec
                    
                    	IP Security Protocol (ESP/AH
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipv6
                    
                    	IPV6
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipx
                    
                    	Novell IPX
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: irc
                    
                    	Internet Relay Chat
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kazaa2
                    
                    	Kazaa Version 2
                    	**type**\:   :py:class:`Kazaa2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Kazaa2>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: kerberos
                    
                    	Kerberos
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: l2tp
                    
                    	L2F/L2TP tunnel
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ldap
                    
                    	Lightweight Directory Access Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: llc2
                    
                    	llc2
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mgcp
                    
                    	Media Gateway Control Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: napster
                    
                    	Napster Traffic
                    	**type**\:   :py:class:`Napster <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Napster>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: netbios
                    
                    	NetBIOS
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: netshow
                    
                    	Microsoft Netshow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfs
                    
                    	Network File System
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nntp
                    
                    	Network News Transfer Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: notes
                    
                    	Lotus Notes(R
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: novadigm
                    
                    	Novadigm EDM
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ntp
                    
                    	Network Time Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ospf
                    
                    	Open Shortest Path First
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pad
                    
                    	PAD links
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pcanywhere
                    
                    	Symantec pcANYWHERE
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pop3
                    
                    	Post Office Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pppoe
                    
                    	PPP over Ethernet
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pptp
                    
                    	Point\-to\-Point Tunneling Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: printer
                    
                    	print spooler/lpd
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: protocols
                    
                    	
                    	**type**\:   :py:class:`ProtocolsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.ProtocolsEnum>`
                    
                    .. attribute:: qllc
                    
                    	qllc protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rcmd
                    
                    	BSD r\-commands (rsh, rlogin, rexec
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rip
                    
                    	Routing Information Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rsrb
                    
                    	Remote Source\-Route Bridging
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rsvp
                    
                    	Resource Reservation Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rtcp
                    
                    	Real Time Control Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rtp
                    
                    	Real Time Protocol
                    	**type**\:   :py:class:`Rtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Rtp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: rtsp
                    
                    	Real Time Streaming Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: secure_ftp
                    
                    	FTP over TLS/SSL
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: secure_http
                    
                    	Secured HTTP
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: secure_imap
                    
                    	Internet Message Access Protocol over TLS/SSL
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: secure_irc
                    
                    	Internet Relay Chat over TLS/SSL
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: secure_ldap
                    
                    	Lightweight Directory Access Protocol over TLS/SSL
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: secure_nntp
                    
                    	Network News Transfer Protocol over TLS/SSL
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: secure_pop3
                    
                    	Post Office Protocol over TLS/SSL
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: secure_telnet
                    
                    	Telnet over TLS/SSL
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sip
                    
                    	Session Initiation Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: skinny
                    
                    	Skinny Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: smtp
                    
                    	Simple Mail Transfer Protocol
                    	**type**\:   :py:class:`Smtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Smtp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: snapshot
                    
                    	Snapshot routing support
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: snmp
                    
                    	Simple Network Management Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: socks
                    
                    	SOCKS
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sqlnet
                    
                    	SQL\*NET for Oracle
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sqlserver
                    
                    	MS SQL Server
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ssh
                    
                    	Secured Shell
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: streamwork
                    
                    	Xing Technology StreamWorks player
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: stun
                    
                    	Serial Tunnel
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sunrpc
                    
                    	Sun RPC
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: syslog
                    
                    	System Logging Utility
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: telnet
                    
                    	Telnet
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: tftp
                    
                    	Trivial File Transfer Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vdolive
                    
                    	VDOLive streaming video
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vofr
                    
                    	voice over Frame Relay packets
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: winmx
                    
                    	WinMx file\-sharing application
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: xwindows
                    
                    	X\-Windows remote access
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.attribute = Native.Policy.ClassMap.Match.Protocol.Attribute()
                        self.attribute.parent = self
                        self.citrix = None
                        self.clns = None
                        self.clns_es = None
                        self.clns_is = None
                        self.cmns = None
                        self.compressedtcp = None
                        self.cuseeme = None
                        self.decnet = None
                        self.decnet_node = None
                        self.decnet_router_l1 = None
                        self.decnet_router_l2 = None
                        self.dhcp = None
                        self.dlsw = None
                        self.dns = None
                        self.edonkey = None
                        self.egp = None
                        self.eigrp = None
                        self.exchange = None
                        self.fasttrack = None
                        self.finger = None
                        self.ftp = None
                        self.gnutella = None
                        self.gopher = None
                        self.gre = None
                        self.h323 = None
                        self.http = None
                        self.icmp = None
                        self.imap = None
                        self.ip = None
                        self.ipinip = None
                        self.ipsec = None
                        self.ipv6 = None
                        self.ipx = None
                        self.irc = None
                        self.kazaa2 = None
                        self.kerberos = None
                        self.l2tp = None
                        self.ldap = None
                        self.llc2 = None
                        self.mgcp = None
                        self.napster = None
                        self.netbios = None
                        self.netshow = None
                        self.nfs = None
                        self.nntp = None
                        self.notes = None
                        self.novadigm = None
                        self.ntp = None
                        self.ospf = None
                        self.pad = None
                        self.pcanywhere = None
                        self.pop3 = None
                        self.pppoe = None
                        self.pptp = None
                        self.printer = None
                        self.protocols = None
                        self.qllc = None
                        self.rcmd = None
                        self.rip = None
                        self.rsrb = None
                        self.rsvp = None
                        self.rtcp = None
                        self.rtp = None
                        self.rtsp = None
                        self.secure_ftp = None
                        self.secure_http = None
                        self.secure_imap = None
                        self.secure_irc = None
                        self.secure_ldap = None
                        self.secure_nntp = None
                        self.secure_pop3 = None
                        self.secure_telnet = None
                        self.sip = None
                        self.skinny = None
                        self.smtp = None
                        self.snapshot = None
                        self.snmp = None
                        self.socks = None
                        self.sqlnet = None
                        self.sqlserver = None
                        self.ssh = None
                        self.streamwork = None
                        self.stun = None
                        self.sunrpc = None
                        self.syslog = None
                        self.telnet = None
                        self.tftp = None
                        self.vdolive = None
                        self.vofr = None
                        self.winmx = None
                        self.xwindows = None

                    class ProtocolsEnum(Enum):
                        """
                        ProtocolsEnum

                        .. data:: x802_11_iapp = 0

                        .. data:: ace_svr = 1

                        .. data:: aol = 2

                        .. data:: appleqtc = 3

                        .. data:: biff = 4

                        .. data:: bittorrent = 5

                        .. data:: bootpc = 6

                        .. data:: bootps = 7

                        .. data:: cddbp = 8

                        .. data:: cifs = 9

                        .. data:: cisco_fna = 10

                        .. data:: cisco_net_mgmt = 11

                        .. data:: cisco_svcs = 12

                        .. data:: cisco_sys = 13

                        .. data:: cisco_tdp = 14

                        .. data:: cisco_tna = 15

                        .. data:: citriximaclient = 16

                        .. data:: clp = 17

                        .. data:: creativepartnr = 18

                        .. data:: creativeserver = 19

                        .. data:: daytime = 20

                        .. data:: dbase = 21

                        .. data:: dbcontrol_agent = 22

                        .. data:: ddns_v3 = 23

                        .. data:: dhcp_failover = 24

                        .. data:: directconnect = 25

                        .. data:: discard = 26

                        .. data:: dnsix = 27

                        .. data:: echo = 28

                        .. data:: entrust_svc_hdlr = 29

                        .. data:: entrust_svcs = 30

                        .. data:: exec_ = 31

                        .. data:: fcip_port = 32

                        .. data:: ftps = 33

                        .. data:: gdoi = 34

                        .. data:: giop = 35

                        .. data:: gtpv0 = 36

                        .. data:: gtpv1 = 37

                        .. data:: h225ras = 38

                        .. data:: h323callsigalt = 39

                        .. data:: hp_alarm_mgr = 40

                        .. data:: hp_collector = 41

                        .. data:: hp_managed_node = 42

                        .. data:: hsrp = 43

                        .. data:: https = 44

                        .. data:: ica = 45

                        .. data:: icabrowser = 46

                        .. data:: ident = 47

                        .. data:: igmpv3lite = 48

                        .. data:: imap3 = 49

                        .. data:: imaps = 50

                        .. data:: ipass = 51

                        .. data:: ipsec_msft = 52

                        .. data:: irc_serv = 53

                        .. data:: ircs = 54

                        .. data:: ircu = 55

                        .. data:: isakmp = 56

                        .. data:: iscsi = 57

                        .. data:: iscsi_target = 58

                        .. data:: kermit = 59

                        .. data:: ldap_admin = 60

                        .. data:: ldaps = 61

                        .. data:: login = 62

                        .. data:: lotusmtap = 63

                        .. data:: lotusnote = 64

                        .. data:: mapi = 65

                        .. data:: ms_ad_rep = 66

                        .. data:: ms_exch_nspi = 67

                        .. data:: ms_frs = 68

                        .. data:: ms_frsapi = 69

                        .. data:: ms_rfr = 70

                        .. data:: msn_messenger = 71

                        .. data:: netlogon = 72

                        .. data:: microsoft_ds = 73

                        .. data:: ms_cluster_net = 74

                        .. data:: ms_dotnetster = 75

                        .. data:: ms_sna = 76

                        .. data:: ms_sql = 77

                        .. data:: ms_sql_m = 78

                        .. data:: msexch_routing = 79

                        .. data:: msnmsgr = 80

                        .. data:: msrpc = 81

                        .. data:: mysql = 82

                        .. data:: n2h2server = 83

                        .. data:: ncp = 84

                        .. data:: net8_cman = 85

                        .. data:: netbios_dgm = 86

                        .. data:: netbios_ns = 87

                        .. data:: netbios_ssn = 88

                        .. data:: netstat = 89

                        .. data:: oem_agent = 90

                        .. data:: oracle = 91

                        .. data:: oracle_em_vp = 92

                        .. data:: oraclenames = 93

                        .. data:: orasrv = 94

                        .. data:: pcanywheredata = 95

                        .. data:: pcanywherestat = 96

                        .. data:: pop3s = 97

                        .. data:: pwdgen = 98

                        .. data:: qmtp = 99

                        .. data:: r_winsock = 100

                        .. data:: radius = 101

                        .. data:: rdb_dbs_disp = 102

                        .. data:: realmedia = 103

                        .. data:: realsecure = 104

                        .. data:: router = 105

                        .. data:: rsvp_encap = 106

                        .. data:: rsvp_tunnel = 107

                        .. data:: rtc_pm_port = 108

                        .. data:: rtelnet = 109

                        .. data:: send = 110

                        .. data:: shell = 111

                        .. data:: sip_tls = 112

                        .. data:: sms = 113

                        .. data:: smtp = 114

                        .. data:: snmptrap = 115

                        .. data:: sql_net = 116

                        .. data:: sqlserv = 117

                        .. data:: sqlsrv = 118

                        .. data:: sshell = 119

                        .. data:: ssp = 120

                        .. data:: syslog_conn = 121

                        .. data:: tacacs = 122

                        .. data:: tacacs_ds = 123

                        .. data:: tarantella = 124

                        .. data:: tcp = 125

                        .. data:: telnets = 126

                        .. data:: time = 127

                        .. data:: timed = 128

                        .. data:: tr_rsrb = 129

                        .. data:: ttc = 130

                        .. data:: udp = 131

                        .. data:: uucp = 132

                        .. data:: vqp = 133

                        .. data:: webster = 134

                        .. data:: who = 135

                        .. data:: wins = 136

                        .. data:: x11 = 137

                        .. data:: xdmcp = 138

                        .. data:: ymsgr = 139

                        .. data:: aarp = 140

                        .. data:: appletalk = 141

                        .. data:: arp = 142

                        .. data:: bgp = 143

                        .. data:: bridge = 144

                        .. data:: bstun = 145

                        .. data:: cdp = 146

                        """

                        x802_11_iapp = 0

                        ace_svr = 1

                        aol = 2

                        appleqtc = 3

                        biff = 4

                        bittorrent = 5

                        bootpc = 6

                        bootps = 7

                        cddbp = 8

                        cifs = 9

                        cisco_fna = 10

                        cisco_net_mgmt = 11

                        cisco_svcs = 12

                        cisco_sys = 13

                        cisco_tdp = 14

                        cisco_tna = 15

                        citriximaclient = 16

                        clp = 17

                        creativepartnr = 18

                        creativeserver = 19

                        daytime = 20

                        dbase = 21

                        dbcontrol_agent = 22

                        ddns_v3 = 23

                        dhcp_failover = 24

                        directconnect = 25

                        discard = 26

                        dnsix = 27

                        echo = 28

                        entrust_svc_hdlr = 29

                        entrust_svcs = 30

                        exec_ = 31

                        fcip_port = 32

                        ftps = 33

                        gdoi = 34

                        giop = 35

                        gtpv0 = 36

                        gtpv1 = 37

                        h225ras = 38

                        h323callsigalt = 39

                        hp_alarm_mgr = 40

                        hp_collector = 41

                        hp_managed_node = 42

                        hsrp = 43

                        https = 44

                        ica = 45

                        icabrowser = 46

                        ident = 47

                        igmpv3lite = 48

                        imap3 = 49

                        imaps = 50

                        ipass = 51

                        ipsec_msft = 52

                        irc_serv = 53

                        ircs = 54

                        ircu = 55

                        isakmp = 56

                        iscsi = 57

                        iscsi_target = 58

                        kermit = 59

                        ldap_admin = 60

                        ldaps = 61

                        login = 62

                        lotusmtap = 63

                        lotusnote = 64

                        mapi = 65

                        ms_ad_rep = 66

                        ms_exch_nspi = 67

                        ms_frs = 68

                        ms_frsapi = 69

                        ms_rfr = 70

                        msn_messenger = 71

                        netlogon = 72

                        microsoft_ds = 73

                        ms_cluster_net = 74

                        ms_dotnetster = 75

                        ms_sna = 76

                        ms_sql = 77

                        ms_sql_m = 78

                        msexch_routing = 79

                        msnmsgr = 80

                        msrpc = 81

                        mysql = 82

                        n2h2server = 83

                        ncp = 84

                        net8_cman = 85

                        netbios_dgm = 86

                        netbios_ns = 87

                        netbios_ssn = 88

                        netstat = 89

                        oem_agent = 90

                        oracle = 91

                        oracle_em_vp = 92

                        oraclenames = 93

                        orasrv = 94

                        pcanywheredata = 95

                        pcanywherestat = 96

                        pop3s = 97

                        pwdgen = 98

                        qmtp = 99

                        r_winsock = 100

                        radius = 101

                        rdb_dbs_disp = 102

                        realmedia = 103

                        realsecure = 104

                        router = 105

                        rsvp_encap = 106

                        rsvp_tunnel = 107

                        rtc_pm_port = 108

                        rtelnet = 109

                        send = 110

                        shell = 111

                        sip_tls = 112

                        sms = 113

                        smtp = 114

                        snmptrap = 115

                        sql_net = 116

                        sqlserv = 117

                        sqlsrv = 118

                        sshell = 119

                        ssp = 120

                        syslog_conn = 121

                        tacacs = 122

                        tacacs_ds = 123

                        tarantella = 124

                        tcp = 125

                        telnets = 126

                        time = 127

                        timed = 128

                        tr_rsrb = 129

                        ttc = 130

                        udp = 131

                        uucp = 132

                        vqp = 133

                        webster = 134

                        who = 135

                        wins = 136

                        x11 = 137

                        xdmcp = 138

                        ymsgr = 139

                        aarp = 140

                        appletalk = 141

                        arp = 142

                        bgp = 143

                        bridge = 144

                        bstun = 145

                        cdp = 146


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Protocol.ProtocolsEnum']



                    class Citrix(object):
                        """
                        Citrix Systems ICA protocol
                        
                        .. attribute:: ica_tag
                        
                        	Citrix ICA tag 0\-high 1\-medium 2\-low 3\-background
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ica_tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:citrix'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ica_tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Protocol.Citrix']['meta_info']


                    class Fasttrack(object):
                        """
                        FastTrack Traffic \- KaZaA, Morpheus, Grokster
                        
                        .. attribute:: file_transfer
                        
                        	File transfer stream
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.file_transfer = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:fasttrack'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.file_transfer is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Protocol.Fasttrack']['meta_info']


                    class Gnutella(object):
                        """
                        Gnutella Version2 Traffic \- BearShare, Shareeza, Morpheus
                        
                        .. attribute:: file_transfer
                        
                        	File transfer stream
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.file_transfer = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:gnutella'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.file_transfer is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Protocol.Gnutella']['meta_info']


                    class Http(object):
                        """
                        World Wide Web traffic
                        
                        .. attribute:: c_header_field
                        
                        	Client general Header Field
                        	**type**\:  str
                        
                        .. attribute:: host
                        
                        	Server Host Name
                        	**type**\:  str
                        
                        .. attribute:: mime
                        
                        	Match MIME Type
                        	**type**\:  str
                        
                        .. attribute:: s_header_field
                        
                        	Server general Header Field
                        	**type**\:  str
                        
                        .. attribute:: url
                        
                        	Match URL String
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.c_header_field = None
                            self.host = None
                            self.mime = None
                            self.s_header_field = None
                            self.url = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:http'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.c_header_field is not None:
                                return True

                            if self.host is not None:
                                return True

                            if self.mime is not None:
                                return True

                            if self.s_header_field is not None:
                                return True

                            if self.url is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Protocol.Http']['meta_info']


                    class Kazaa2(object):
                        """
                        Kazaa Version 2
                        
                        .. attribute:: file_transfer
                        
                        	File transfer stream
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.file_transfer = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:kazaa2'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.file_transfer is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Protocol.Kazaa2']['meta_info']


                    class Napster(object):
                        """
                        Napster Traffic
                        
                        .. attribute:: non_std
                        
                        	Non\-standard port advertizements
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.non_std = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:napster'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.non_std is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Protocol.Napster']['meta_info']


                    class Rtp(object):
                        """
                        Real Time Protocol
                        
                        .. attribute:: audio
                        
                        	Match voice packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: payload_type
                        
                        	Match an explicit PT
                        	**type**\:  str
                        
                        .. attribute:: video
                        
                        	Match video packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.audio = None
                            self.payload_type = None
                            self.video = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:rtp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.audio is not None:
                                return True

                            if self.payload_type is not None:
                                return True

                            if self.video is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Protocol.Rtp']['meta_info']


                    class Smtp(object):
                        """
                        Simple Mail Transfer Protocol
                        
                        .. attribute:: extended
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.extended = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:smtp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.extended is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Protocol.Smtp']['meta_info']


                    class Attribute(object):
                        """
                        Attribute based protocol match
                        
                        .. attribute:: business_relevance
                        
                        	Application business\-relevance
                        	**type**\:   :py:class:`BusinessRelevance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Attribute.BusinessRelevance>`
                        
                        .. attribute:: traffic_class
                        
                        	SRND class
                        	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Attribute.TrafficClass>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.business_relevance = Native.Policy.ClassMap.Match.Protocol.Attribute.BusinessRelevance()
                            self.business_relevance.parent = self
                            self.traffic_class = Native.Policy.ClassMap.Match.Protocol.Attribute.TrafficClass()
                            self.traffic_class.parent = self


                        class BusinessRelevance(object):
                            """
                            Application business\-relevance
                            
                            .. attribute:: business_irrelevant
                            
                            	Undesirable business traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: business_relevant
                            
                            	Business critical applications
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: default
                            
                            	Related business applications
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.business_irrelevant = None
                                self.business_relevant = None
                                self.default = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:business-relevance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.business_irrelevant is not None:
                                    return True

                                if self.business_relevant is not None:
                                    return True

                                if self.default is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.Protocol.Attribute.BusinessRelevance']['meta_info']


                        class TrafficClass(object):
                            """
                            SRND class
                            
                            .. attribute:: broadcast_video
                            
                            	Broadcast TV, live events, video surveillance
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: bulk_data
                            
                            	Non\-interactive data applications
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: multimedia_conferencing
                            
                            	Desktop software multimedia collaboration applications
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: multimedia_streaming
                            
                            	Video\-on\-Demand (VoD) streaming video
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: network_control
                            
                            	Network control plane traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ops_admin_mgmt
                            
                            	Network operations, administration, and management traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: real_time_interactive
                            
                            	High\-definition interactive video applications
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: signaling
                            
                            	Signaling traffic that supports IP voice and video telephony
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: transactional_data
                            
                            	Interactive data applications
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: voip_telephony
                            
                            	VoIP telephony (bearer\-only) traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.broadcast_video = None
                                self.bulk_data = None
                                self.multimedia_conferencing = None
                                self.multimedia_streaming = None
                                self.network_control = None
                                self.ops_admin_mgmt = None
                                self.real_time_interactive = None
                                self.signaling = None
                                self.transactional_data = None
                                self.voip_telephony = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:traffic-class'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.broadcast_video is not None:
                                    return True

                                if self.bulk_data is not None:
                                    return True

                                if self.multimedia_conferencing is not None:
                                    return True

                                if self.multimedia_streaming is not None:
                                    return True

                                if self.network_control is not None:
                                    return True

                                if self.ops_admin_mgmt is not None:
                                    return True

                                if self.real_time_interactive is not None:
                                    return True

                                if self.signaling is not None:
                                    return True

                                if self.transactional_data is not None:
                                    return True

                                if self.voip_telephony is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.Protocol.Attribute.TrafficClass']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:attribute'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.business_relevance is not None and self.business_relevance._has_data():
                                return True

                            if self.traffic_class is not None and self.traffic_class._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Protocol.Attribute']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:protocol'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.attribute is not None and self.attribute._has_data():
                            return True

                        if self.citrix is not None and self.citrix._has_data():
                            return True

                        if self.clns is not None:
                            return True

                        if self.clns_es is not None:
                            return True

                        if self.clns_is is not None:
                            return True

                        if self.cmns is not None:
                            return True

                        if self.compressedtcp is not None:
                            return True

                        if self.cuseeme is not None:
                            return True

                        if self.decnet is not None:
                            return True

                        if self.decnet_node is not None:
                            return True

                        if self.decnet_router_l1 is not None:
                            return True

                        if self.decnet_router_l2 is not None:
                            return True

                        if self.dhcp is not None:
                            return True

                        if self.dlsw is not None:
                            return True

                        if self.dns is not None:
                            return True

                        if self.edonkey is not None:
                            return True

                        if self.egp is not None:
                            return True

                        if self.eigrp is not None:
                            return True

                        if self.exchange is not None:
                            return True

                        if self.fasttrack is not None and self.fasttrack._has_data():
                            return True

                        if self.finger is not None:
                            return True

                        if self.ftp is not None:
                            return True

                        if self.gnutella is not None and self.gnutella._has_data():
                            return True

                        if self.gopher is not None:
                            return True

                        if self.gre is not None:
                            return True

                        if self.h323 is not None:
                            return True

                        if self.http is not None and self.http._has_data():
                            return True

                        if self.icmp is not None:
                            return True

                        if self.imap is not None:
                            return True

                        if self.ip is not None:
                            return True

                        if self.ipinip is not None:
                            return True

                        if self.ipsec is not None:
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.ipx is not None:
                            return True

                        if self.irc is not None:
                            return True

                        if self.kazaa2 is not None and self.kazaa2._has_data():
                            return True

                        if self.kerberos is not None:
                            return True

                        if self.l2tp is not None:
                            return True

                        if self.ldap is not None:
                            return True

                        if self.llc2 is not None:
                            return True

                        if self.mgcp is not None:
                            return True

                        if self.napster is not None and self.napster._has_data():
                            return True

                        if self.netbios is not None:
                            return True

                        if self.netshow is not None:
                            return True

                        if self.nfs is not None:
                            return True

                        if self.nntp is not None:
                            return True

                        if self.notes is not None:
                            return True

                        if self.novadigm is not None:
                            return True

                        if self.ntp is not None:
                            return True

                        if self.ospf is not None:
                            return True

                        if self.pad is not None:
                            return True

                        if self.pcanywhere is not None:
                            return True

                        if self.pop3 is not None:
                            return True

                        if self.pppoe is not None:
                            return True

                        if self.pptp is not None:
                            return True

                        if self.printer is not None:
                            return True

                        if self.protocols is not None:
                            return True

                        if self.qllc is not None:
                            return True

                        if self.rcmd is not None:
                            return True

                        if self.rip is not None:
                            return True

                        if self.rsrb is not None:
                            return True

                        if self.rsvp is not None:
                            return True

                        if self.rtcp is not None:
                            return True

                        if self.rtp is not None and self.rtp._has_data():
                            return True

                        if self.rtsp is not None:
                            return True

                        if self.secure_ftp is not None:
                            return True

                        if self.secure_http is not None:
                            return True

                        if self.secure_imap is not None:
                            return True

                        if self.secure_irc is not None:
                            return True

                        if self.secure_ldap is not None:
                            return True

                        if self.secure_nntp is not None:
                            return True

                        if self.secure_pop3 is not None:
                            return True

                        if self.secure_telnet is not None:
                            return True

                        if self.sip is not None:
                            return True

                        if self.skinny is not None:
                            return True

                        if self.smtp is not None and self.smtp._has_data():
                            return True

                        if self.snapshot is not None:
                            return True

                        if self.snmp is not None:
                            return True

                        if self.socks is not None:
                            return True

                        if self.sqlnet is not None:
                            return True

                        if self.sqlserver is not None:
                            return True

                        if self.ssh is not None:
                            return True

                        if self.streamwork is not None:
                            return True

                        if self.stun is not None:
                            return True

                        if self.sunrpc is not None:
                            return True

                        if self.syslog is not None:
                            return True

                        if self.telnet is not None:
                            return True

                        if self.tftp is not None:
                            return True

                        if self.vdolive is not None:
                            return True

                        if self.vofr is not None:
                            return True

                        if self.winmx is not None:
                            return True

                        if self.xwindows is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.ClassMap.Match.Protocol']['meta_info']


                class SecurityGroup(object):
                    """
                    Security group
                    
                    .. attribute:: destination
                    
                    	Destination security group
                    	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.SecurityGroup.Destination>`
                    
                    .. attribute:: source
                    
                    	Source security group
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.SecurityGroup.Source>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.destination = Native.Policy.ClassMap.Match.SecurityGroup.Destination()
                        self.destination.parent = self
                        self.source = Native.Policy.ClassMap.Match.SecurityGroup.Source()
                        self.source.parent = self


                    class Destination(object):
                        """
                        Destination security group
                        
                        .. attribute:: tag
                        
                        	Security group tag
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:destination'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.SecurityGroup.Destination']['meta_info']


                    class Source(object):
                        """
                        Source security group
                        
                        .. attribute:: tag
                        
                        	Security group tag
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.SecurityGroup.Source']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:security-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.destination is not None and self.destination._has_data():
                            return True

                        if self.source is not None and self.source._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.ClassMap.Match.SecurityGroup']['meta_info']


                class SourceAddress(object):
                    """
                    Source address
                    
                    .. attribute:: mac
                    
                    	MAC address
                    	**type**\:  list of str
                    
                    	**pattern:** [0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2}){5}
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.mac = YLeafList()
                        self.mac.parent = self
                        self.mac.name = 'mac'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:source-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.mac is not None:
                            for child in self.mac:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.ClassMap.Match.SourceAddress']['meta_info']


                class ActivatedServiceTemplate(object):
                    """
                    match name of service template activated on session
                    
                    .. attribute:: service_name  <key>
                    
                    	Enter service name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.service_name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.service_name is None:
                            raise YPYModelError('Key property service_name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:activated-service-template[Cisco-IOS-XE-policy:service-name = ' + str(self.service_name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.service_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.ClassMap.Match.ActivatedServiceTemplate']['meta_info']


                class AuthorizationStatus(object):
                    """
                    match the authorization status of the session
                    
                    .. attribute:: authorized
                    
                    	authorized
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: unauthorized
                    
                    	unauthorized
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authorized = None
                        self.unauthorized = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:authorization-status'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authorized is not None:
                            return True

                        if self.unauthorized is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.ClassMap.Match.AuthorizationStatus']['meta_info']


                class AuthorizingMethodPriority(object):
                    """
                    match the priority against the authorizing method's priority
                    
                    .. attribute:: eq
                    
                    	equal to
                    	**type**\:  int
                    
                    	**range:** 1..254
                    
                    .. attribute:: gt
                    
                    	greater than
                    	**type**\:  int
                    
                    	**range:** 1..254
                    
                    .. attribute:: lt
                    
                    	less than
                    	**type**\:  int
                    
                    	**range:** 1..254
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eq = None
                        self.gt = None
                        self.lt = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:authorizing-method-priority'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eq is not None:
                            return True

                        if self.gt is not None:
                            return True

                        if self.lt is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.ClassMap.Match.AuthorizingMethodPriority']['meta_info']


                class Method(object):
                    """
                    match the type of authentication method from an event
                    
                    .. attribute:: dot1x
                    
                    	dot1x
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mab
                    
                    	mab
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: webauth
                    
                    	webauth
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dot1x = None
                        self.mab = None
                        self.webauth = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:method'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dot1x is not None:
                            return True

                        if self.mab is not None:
                            return True

                        if self.webauth is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.ClassMap.Match.Method']['meta_info']


                class ResultType(object):
                    """
                    match the result type, optionally for a specific method
                    
                    .. attribute:: aaa_timeout
                    
                    	aaa timeout type
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: agent_not_found
                    
                    	agent not found type
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: authoritative
                    
                    	failure type
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: method
                    
                    	match the result of a particular method
                    	**type**\:   :py:class:`Method <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.ResultType.Method>`
                    
                    .. attribute:: method_timeout
                    
                    	method\_timeout type
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	no type
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: success
                    
                    	success type
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.aaa_timeout = None
                        self.agent_not_found = None
                        self.authoritative = None
                        self.method = Native.Policy.ClassMap.Match.ResultType.Method()
                        self.method.parent = self
                        self.method_timeout = None
                        self.none = None
                        self.success = None


                    class Method(object):
                        """
                        match the result of a particular method
                        
                        .. attribute:: dot1x
                        
                        	dot1x result
                        	**type**\:   :py:class:`Dot1X <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.ResultType.Method.Dot1X>`
                        
                        .. attribute:: mab
                        
                        	mab result
                        	**type**\:   :py:class:`Mab <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.ResultType.Method.Mab>`
                        
                        .. attribute:: webauth
                        
                        	webauth result
                        	**type**\:   :py:class:`Webauth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.ResultType.Method.Webauth>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dot1x = Native.Policy.ClassMap.Match.ResultType.Method.Dot1X()
                            self.dot1x.parent = self
                            self.mab = Native.Policy.ClassMap.Match.ResultType.Method.Mab()
                            self.mab.parent = self
                            self.webauth = Native.Policy.ClassMap.Match.ResultType.Method.Webauth()
                            self.webauth.parent = self


                        class Dot1X(object):
                            """
                            dot1x result
                            
                            .. attribute:: aaa_timeout
                            
                            	aaa timeout type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: agent_not_found
                            
                            	agent not found type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: authoritative
                            
                            	failure type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: method_timeout
                            
                            	method\_timeout type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: none
                            
                            	no type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: success
                            
                            	success type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aaa_timeout = None
                                self.agent_not_found = None
                                self.authoritative = None
                                self.method_timeout = None
                                self.none = None
                                self.success = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:dot1x'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aaa_timeout is not None:
                                    return True

                                if self.agent_not_found is not None:
                                    return True

                                if self.authoritative is not None:
                                    return True

                                if self.method_timeout is not None:
                                    return True

                                if self.none is not None:
                                    return True

                                if self.success is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.ResultType.Method.Dot1X']['meta_info']


                        class Mab(object):
                            """
                            mab result
                            
                            .. attribute:: aaa_timeout
                            
                            	aaa timeout type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: agent_not_found
                            
                            	agent not found type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: authoritative
                            
                            	failure type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: method_timeout
                            
                            	method\_timeout type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: none
                            
                            	no type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: success
                            
                            	success type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aaa_timeout = None
                                self.agent_not_found = None
                                self.authoritative = None
                                self.method_timeout = None
                                self.none = None
                                self.success = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:mab'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aaa_timeout is not None:
                                    return True

                                if self.agent_not_found is not None:
                                    return True

                                if self.authoritative is not None:
                                    return True

                                if self.method_timeout is not None:
                                    return True

                                if self.none is not None:
                                    return True

                                if self.success is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.ResultType.Method.Mab']['meta_info']


                        class Webauth(object):
                            """
                            webauth result
                            
                            .. attribute:: aaa_timeout
                            
                            	aaa timeout type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: agent_not_found
                            
                            	agent not found type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: authoritative
                            
                            	failure type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: method_timeout
                            
                            	method\_timeout type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: none
                            
                            	no type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: success
                            
                            	success type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aaa_timeout = None
                                self.agent_not_found = None
                                self.authoritative = None
                                self.method_timeout = None
                                self.none = None
                                self.success = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:webauth'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aaa_timeout is not None:
                                    return True

                                if self.agent_not_found is not None:
                                    return True

                                if self.authoritative is not None:
                                    return True

                                if self.method_timeout is not None:
                                    return True

                                if self.none is not None:
                                    return True

                                if self.success is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.ResultType.Method.Webauth']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:method'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dot1x is not None and self.dot1x._has_data():
                                return True

                            if self.mab is not None and self.mab._has_data():
                                return True

                            if self.webauth is not None and self.webauth._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.ResultType.Method']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:result-type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.aaa_timeout is not None:
                            return True

                        if self.agent_not_found is not None:
                            return True

                        if self.authoritative is not None:
                            return True

                        if self.method is not None and self.method._has_data():
                            return True

                        if self.method_timeout is not None:
                            return True

                        if self.none is not None:
                            return True

                        if self.success is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.ClassMap.Match.ResultType']['meta_info']


                class Not_(object):
                    """
                    Negate this match result
                    
                    .. attribute:: access_group
                    
                    	Access group
                    	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.AccessGroup>`
                    
                    .. attribute:: any
                    
                    	Any packets
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: application
                    
                    	Application to match
                    	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Application>`
                    
                    .. attribute:: class_map
                    
                    	Class map
                    	**type**\:  list of str
                    
                    .. attribute:: cos
                    
                    	IEEE 802.1Q/ISL class of service/user priority values
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: current_method_priority
                    
                    	match the priority against the current method's priority
                    	**type**\:   :py:class:`CurrentMethodPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.CurrentMethodPriority>`
                    
                    .. attribute:: destination_address
                    
                    	Destination address
                    	**type**\:   :py:class:`DestinationAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.DestinationAddress>`
                    
                    .. attribute:: discard_class
                    
                    	Discard behavior identifier
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: dscp
                    
                    	Match DSCP in IP(v4) and IPv6 packets
                    	**type**\: one of the below types:
                    
                    	**type**\:  list of int
                    
                    	**range:** 0..63
                    
                    
                    ----
                    	**type**\:  list of   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                    
                    
                    ----
                    .. attribute:: fr_de
                    
                    	Match on Frame\-relay DE bit
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: fr_dlci
                    
                    	Match on fr\-dlci
                    	**type**\:  list of int
                    
                    	**range:** 16..1007
                    
                    .. attribute:: input_interface
                    
                    	Select an input interface to match
                    	**type**\:  list of str
                    
                    .. attribute:: ip
                    
                    	IP specific values
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Ip>`
                    
                    .. attribute:: mpls
                    
                    	Multi Protocol Label Switching specific values
                    	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Mpls>`
                    
                    .. attribute:: non_client_nrt
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: packet
                    
                    	Layer 3 Packet length
                    	**type**\:   :py:class:`Packet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Packet>`
                    
                    .. attribute:: peer
                    
                    	APPNAV Peer Filter
                    	**type**\:  str
                    
                    .. attribute:: precedence
                    
                    	Match Precedence in IP(v4) and IPv6 packets
                    	**type**\: one of the below types:
                    
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    
                    ----
                    	**type**\:  list of   :py:class:`PrecedenceTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecedenceTypeEnum>`
                    
                    
                    ----
                    .. attribute:: protocol
                    
                    	Protocol
                    	**type**\:   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol>`
                    
                    .. attribute:: qos_group
                    
                    	Qos\-group
                    	**type**\:  list of int
                    
                    	**range:** 0..99
                    
                    .. attribute:: security_group
                    
                    	Security group
                    	**type**\:   :py:class:`SecurityGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.SecurityGroup>`
                    
                    .. attribute:: source_address
                    
                    	Source address
                    	**type**\:   :py:class:`SourceAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.SourceAddress>`
                    
                    .. attribute:: vlan
                    
                    	VLANs to match
                    	**type**\:  list of int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access_group = Native.Policy.ClassMap.Match.Not_.AccessGroup()
                        self.access_group.parent = self
                        self.any = None
                        self.application = Native.Policy.ClassMap.Match.Not_.Application()
                        self.application.parent = self
                        self.class_map = YLeafList()
                        self.class_map.parent = self
                        self.class_map.name = 'class_map'
                        self.cos = YLeafList()
                        self.cos.parent = self
                        self.cos.name = 'cos'
                        self.current_method_priority = Native.Policy.ClassMap.Match.Not_.CurrentMethodPriority()
                        self.current_method_priority.parent = self
                        self.destination_address = Native.Policy.ClassMap.Match.Not_.DestinationAddress()
                        self.destination_address.parent = self
                        self.discard_class = YLeafList()
                        self.discard_class.parent = self
                        self.discard_class.name = 'discard_class'
                        self.dscp = YLeafList()
                        self.dscp.parent = self
                        self.dscp.name = 'dscp'
                        self.fr_de = None
                        self.fr_dlci = YLeafList()
                        self.fr_dlci.parent = self
                        self.fr_dlci.name = 'fr_dlci'
                        self.input_interface = YLeafList()
                        self.input_interface.parent = self
                        self.input_interface.name = 'input_interface'
                        self.ip = Native.Policy.ClassMap.Match.Not_.Ip()
                        self.ip.parent = self
                        self.mpls = Native.Policy.ClassMap.Match.Not_.Mpls()
                        self.mpls.parent = self
                        self.non_client_nrt = None
                        self.packet = Native.Policy.ClassMap.Match.Not_.Packet()
                        self.packet.parent = self
                        self.peer = None
                        self.precedence = YLeafList()
                        self.precedence.parent = self
                        self.precedence.name = 'precedence'
                        self.protocol = Native.Policy.ClassMap.Match.Not_.Protocol()
                        self.protocol.parent = self
                        self.qos_group = YLeafList()
                        self.qos_group.parent = self
                        self.qos_group.name = 'qos_group'
                        self.security_group = Native.Policy.ClassMap.Match.Not_.SecurityGroup()
                        self.security_group.parent = self
                        self.source_address = Native.Policy.ClassMap.Match.Not_.SourceAddress()
                        self.source_address.parent = self
                        self.vlan = YLeafList()
                        self.vlan.parent = self
                        self.vlan.name = 'vlan'


                    class CurrentMethodPriority(object):
                        """
                        match the priority against the current method's priority
                        
                        .. attribute:: eq
                        
                        	equal to
                        	**type**\:  int
                        
                        	**range:** 1..254
                        
                        .. attribute:: gt
                        
                        	greater than
                        	**type**\:  int
                        
                        	**range:** 1..254
                        
                        .. attribute:: lt
                        
                        	less than
                        	**type**\:  int
                        
                        	**range:** 1..254
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eq = None
                            self.gt = None
                            self.lt = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:current-method-priority'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eq is not None:
                                return True

                            if self.gt is not None:
                                return True

                            if self.lt is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Not_.CurrentMethodPriority']['meta_info']


                    class Application(object):
                        """
                        Application to match
                        
                        .. attribute:: application_group
                        
                        	Application Group to match
                        	**type**\:   :py:class:`ApplicationGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Application.ApplicationGroup>`
                        
                        .. attribute:: attribute
                        
                        	Application attribute to match
                        	**type**\:   :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Application.Attribute>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.application_group = Native.Policy.ClassMap.Match.Not_.Application.ApplicationGroup()
                            self.application_group.parent = self
                            self.attribute = Native.Policy.ClassMap.Match.Not_.Application.Attribute()
                            self.attribute.parent = self


                        class ApplicationGroup(object):
                            """
                            Application Group to match
                            
                            .. attribute:: telepresence_group
                            
                            	Telepresence Group
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vmware_group
                            
                            	VMWARE Group
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: webex_group
                            
                            	WebEx Group
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.telepresence_group = None
                                self.vmware_group = None
                                self.webex_group = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:application-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.telepresence_group is not None:
                                    return True

                                if self.vmware_group is not None:
                                    return True

                                if self.webex_group is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Application.ApplicationGroup']['meta_info']


                        class Attribute(object):
                            """
                            Application attribute to match
                            
                            .. attribute:: media_type
                            
                            	Media type attribute to match
                            	**type**\:   :py:class:`MediaTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Application.Attribute.MediaTypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.media_type = None

                            class MediaTypeEnum(Enum):
                                """
                                MediaTypeEnum

                                Media type attribute to match

                                .. data:: audio = 0

                                .. data:: audio_video = 1

                                .. data:: control = 2

                                .. data:: data = 3

                                .. data:: video = 4

                                """

                                audio = 0

                                audio_video = 1

                                control = 2

                                data = 3

                                video = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Application.Attribute.MediaTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:attribute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.media_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Application.Attribute']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:application'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.application_group is not None and self.application_group._has_data():
                                return True

                            if self.attribute is not None and self.attribute._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Application']['meta_info']


                    class AccessGroup(object):
                        """
                        Access group
                        
                        .. attribute:: index
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..2699
                        
                        .. attribute:: name
                        
                        	Named Access List
                        	**type**\:  list of str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.index = None
                            self.name = YLeafList()
                            self.name.parent = self
                            self.name.name = 'name'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:access-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.index is not None:
                                return True

                            if self.name is not None:
                                for child in self.name:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Not_.AccessGroup']['meta_info']


                    class DestinationAddress(object):
                        """
                        Destination address
                        
                        .. attribute:: mac
                        
                        	MAC address
                        	**type**\:  list of str
                        
                        	**pattern:** [0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2}){5}
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.mac = YLeafList()
                            self.mac.parent = self
                            self.mac.name = 'mac'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:destination-address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.mac is not None:
                                for child in self.mac:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Not_.DestinationAddress']['meta_info']


                    class Ip(object):
                        """
                        IP specific values
                        
                        .. attribute:: dscp
                        
                        	Match IP DSCP (DiffServ CodePoints)
                        	**type**\: one of the below types:
                        
                        	**type**\:  list of int
                        
                        	**range:** 0..63
                        
                        
                        ----
                        	**type**\:  list of   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                        
                        
                        ----
                        .. attribute:: precedence
                        
                        	Match IP precedence
                        	**type**\: one of the below types:
                        
                        	**type**\:  list of int
                        
                        	**range:** 0..7
                        
                        
                        ----
                        	**type**\:  list of   :py:class:`PrecedenceTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecedenceTypeEnum>`
                        
                        
                        ----
                        .. attribute:: rtp
                        
                        	Match RTP port nos
                        	**type**\: list of    :py:class:`Rtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Ip.Rtp>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dscp = YLeafList()
                            self.dscp.parent = self
                            self.dscp.name = 'dscp'
                            self.precedence = YLeafList()
                            self.precedence.parent = self
                            self.precedence.name = 'precedence'
                            self.rtp = YList()
                            self.rtp.parent = self
                            self.rtp.name = 'rtp'


                        class Rtp(object):
                            """
                            Match RTP port nos
                            
                            .. attribute:: port1  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 2000..65535
                            
                            .. attribute:: port2  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..16383
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port1 = None
                                self.port2 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.port1 is None:
                                    raise YPYModelError('Key property port1 is None')
                                if self.port2 is None:
                                    raise YPYModelError('Key property port2 is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:rtp[Cisco-IOS-XE-policy:port1 = ' + str(self.port1) + '][Cisco-IOS-XE-policy:port2 = ' + str(self.port2) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port1 is not None:
                                    return True

                                if self.port2 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Ip.Rtp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dscp is not None:
                                for child in self.dscp:
                                    if child is not None:
                                        return True

                            if self.precedence is not None:
                                for child in self.precedence:
                                    if child is not None:
                                        return True

                            if self.rtp is not None:
                                for child_ref in self.rtp:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Ip']['meta_info']


                    class Mpls(object):
                        """
                        Multi Protocol Label Switching specific values
                        
                        .. attribute:: experimental
                        
                        	Match MPLS experimental
                        	**type**\:   :py:class:`Experimental <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Mpls.Experimental>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.experimental = Native.Policy.ClassMap.Match.Not_.Mpls.Experimental()
                            self.experimental.parent = self


                        class Experimental(object):
                            """
                            Match MPLS experimental
                            
                            .. attribute:: topmost
                            
                            	Match MPLS experimental value on topmost label
                            	**type**\:  list of int
                            
                            	**range:** 0..7
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.topmost = YLeafList()
                                self.topmost.parent = self
                                self.topmost.name = 'topmost'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:experimental'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.topmost is not None:
                                    for child in self.topmost:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Mpls.Experimental']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:mpls'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.experimental is not None and self.experimental._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Mpls']['meta_info']


                    class Packet(object):
                        """
                        Layer 3 Packet length
                        
                        .. attribute:: length
                        
                        	Layer 3 Packet length
                        	**type**\:   :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Packet.Length>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.length = Native.Policy.ClassMap.Match.Not_.Packet.Length()
                            self.length.parent = self


                        class Length(object):
                            """
                            Layer 3 Packet length
                            
                            .. attribute:: max
                            
                            	Maximum length of packet
                            	**type**\:  int
                            
                            	**range:** 1..2000
                            
                            .. attribute:: min
                            
                            	Minimum length of packet
                            	**type**\:  int
                            
                            	**range:** 1..2000
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max = None
                                self.min = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:length'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max is not None:
                                    return True

                                if self.min is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Packet.Length']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:packet'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.length is not None and self.length._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Packet']['meta_info']


                    class Protocol(object):
                        """
                        Protocol
                        
                        .. attribute:: attribute
                        
                        	Attribute based protocol match
                        	**type**\:   :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Attribute>`
                        
                        .. attribute:: citrix
                        
                        	Citrix Systems ICA protocol
                        	**type**\:   :py:class:`Citrix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Citrix>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: clns
                        
                        	ISO CLNS
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: clns_es
                        
                        	ISO CLNS End System
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: clns_is
                        
                        	ISO CLNS Intermediate System
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cmns
                        
                        	ISO CMNS
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: compressedtcp
                        
                        	Compressed TCP (VJ
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cuseeme
                        
                        	CU\-SeeMe desktop video conference
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: decnet
                        
                        	DECnet
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: decnet_node
                        
                        	DECnet Node
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: decnet_router_l1
                        
                        	DECnet Router L1
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: decnet_router_l2
                        
                        	DECnet Router L2
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dhcp
                        
                        	Dynamic Host Configuration
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dlsw
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dns
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: edonkey
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: egp
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eigrp
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: exchange
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fasttrack
                        
                        	FastTrack Traffic \- KaZaA, Morpheus, Grokster
                        	**type**\:   :py:class:`Fasttrack <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Fasttrack>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: finger
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ftp
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: gnutella
                        
                        	Gnutella Version2 Traffic \- BearShare, Shareeza, Morpheus
                        	**type**\:   :py:class:`Gnutella <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Gnutella>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: gopher
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: gre
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: h323
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: http
                        
                        	World Wide Web traffic
                        	**type**\:   :py:class:`Http <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Http>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: icmp
                        
                        	Internet Control Message
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: imap
                        
                        	Internet Message Access Protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ip
                        
                        	IP
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipinip
                        
                        	IP in IP (encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec
                        
                        	IP Security Protocol (ESP/AH
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6
                        
                        	IPV6
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipx
                        
                        	Novell IPX
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: irc
                        
                        	Internet Relay Chat
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: kazaa2
                        
                        	Kazaa Version 2
                        	**type**\:   :py:class:`Kazaa2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Kazaa2>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: kerberos
                        
                        	Kerberos
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: l2tp
                        
                        	L2F/L2TP tunnel
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ldap
                        
                        	Lightweight Directory Access Protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: llc2
                        
                        	llc2
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgcp
                        
                        	Media Gateway Control Protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: napster
                        
                        	Napster Traffic
                        	**type**\:   :py:class:`Napster <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Napster>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: netbios
                        
                        	NetBIOS
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: netshow
                        
                        	Microsoft Netshow
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: nfs
                        
                        	Network File System
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: nntp
                        
                        	Network News Transfer Protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: notes
                        
                        	Lotus Notes(R
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: novadigm
                        
                        	Novadigm EDM
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ntp
                        
                        	Network Time Protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pad
                        
                        	PAD links
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pcanywhere
                        
                        	Symantec pcANYWHERE
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pop3
                        
                        	Post Office Protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pppoe
                        
                        	PPP over Ethernet
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pptp
                        
                        	Point\-to\-Point Tunneling Protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: printer
                        
                        	print spooler/lpd
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: protocols
                        
                        	
                        	**type**\:   :py:class:`ProtocolsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.ProtocolsEnum>`
                        
                        .. attribute:: qllc
                        
                        	qllc protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rcmd
                        
                        	BSD r\-commands (rsh, rlogin, rexec
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rsrb
                        
                        	Remote Source\-Route Bridging
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rsvp
                        
                        	Resource Reservation Protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rtcp
                        
                        	Real Time Control Protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rtp
                        
                        	Real Time Protocol
                        	**type**\:   :py:class:`Rtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Rtp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: rtsp
                        
                        	Real Time Streaming Protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secure_ftp
                        
                        	FTP over TLS/SSL
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secure_http
                        
                        	Secured HTTP
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secure_imap
                        
                        	Internet Message Access Protocol over TLS/SSL
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secure_irc
                        
                        	Internet Relay Chat over TLS/SSL
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secure_ldap
                        
                        	Lightweight Directory Access Protocol over TLS/SSL
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secure_nntp
                        
                        	Network News Transfer Protocol over TLS/SSL
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secure_pop3
                        
                        	Post Office Protocol over TLS/SSL
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secure_telnet
                        
                        	Telnet over TLS/SSL
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sip
                        
                        	Session Initiation Protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: skinny
                        
                        	Skinny Protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: smtp
                        
                        	Simple Mail Transfer Protocol
                        	**type**\:   :py:class:`Smtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Smtp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: snapshot
                        
                        	Snapshot routing support
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: snmp
                        
                        	Simple Network Management Protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: socks
                        
                        	SOCKS
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sqlnet
                        
                        	SQL\*NET for Oracle
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sqlserver
                        
                        	MS SQL Server
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ssh
                        
                        	Secured Shell
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: streamwork
                        
                        	Xing Technology StreamWorks player
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: stun
                        
                        	Serial Tunnel
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sunrpc
                        
                        	Sun RPC
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: syslog
                        
                        	System Logging Utility
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: telnet
                        
                        	Telnet
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tftp
                        
                        	Trivial File Transfer Protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vdolive
                        
                        	VDOLive streaming video
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vofr
                        
                        	voice over Frame Relay packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: winmx
                        
                        	WinMx file\-sharing application
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: xwindows
                        
                        	X\-Windows remote access
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.attribute = Native.Policy.ClassMap.Match.Not_.Protocol.Attribute()
                            self.attribute.parent = self
                            self.citrix = None
                            self.clns = None
                            self.clns_es = None
                            self.clns_is = None
                            self.cmns = None
                            self.compressedtcp = None
                            self.cuseeme = None
                            self.decnet = None
                            self.decnet_node = None
                            self.decnet_router_l1 = None
                            self.decnet_router_l2 = None
                            self.dhcp = None
                            self.dlsw = None
                            self.dns = None
                            self.edonkey = None
                            self.egp = None
                            self.eigrp = None
                            self.exchange = None
                            self.fasttrack = None
                            self.finger = None
                            self.ftp = None
                            self.gnutella = None
                            self.gopher = None
                            self.gre = None
                            self.h323 = None
                            self.http = None
                            self.icmp = None
                            self.imap = None
                            self.ip = None
                            self.ipinip = None
                            self.ipsec = None
                            self.ipv6 = None
                            self.ipx = None
                            self.irc = None
                            self.kazaa2 = None
                            self.kerberos = None
                            self.l2tp = None
                            self.ldap = None
                            self.llc2 = None
                            self.mgcp = None
                            self.napster = None
                            self.netbios = None
                            self.netshow = None
                            self.nfs = None
                            self.nntp = None
                            self.notes = None
                            self.novadigm = None
                            self.ntp = None
                            self.ospf = None
                            self.pad = None
                            self.pcanywhere = None
                            self.pop3 = None
                            self.pppoe = None
                            self.pptp = None
                            self.printer = None
                            self.protocols = None
                            self.qllc = None
                            self.rcmd = None
                            self.rip = None
                            self.rsrb = None
                            self.rsvp = None
                            self.rtcp = None
                            self.rtp = None
                            self.rtsp = None
                            self.secure_ftp = None
                            self.secure_http = None
                            self.secure_imap = None
                            self.secure_irc = None
                            self.secure_ldap = None
                            self.secure_nntp = None
                            self.secure_pop3 = None
                            self.secure_telnet = None
                            self.sip = None
                            self.skinny = None
                            self.smtp = None
                            self.snapshot = None
                            self.snmp = None
                            self.socks = None
                            self.sqlnet = None
                            self.sqlserver = None
                            self.ssh = None
                            self.streamwork = None
                            self.stun = None
                            self.sunrpc = None
                            self.syslog = None
                            self.telnet = None
                            self.tftp = None
                            self.vdolive = None
                            self.vofr = None
                            self.winmx = None
                            self.xwindows = None

                        class ProtocolsEnum(Enum):
                            """
                            ProtocolsEnum

                            .. data:: x802_11_iapp = 0

                            .. data:: ace_svr = 1

                            .. data:: aol = 2

                            .. data:: appleqtc = 3

                            .. data:: biff = 4

                            .. data:: bittorrent = 5

                            .. data:: bootpc = 6

                            .. data:: bootps = 7

                            .. data:: cddbp = 8

                            .. data:: cifs = 9

                            .. data:: cisco_fna = 10

                            .. data:: cisco_net_mgmt = 11

                            .. data:: cisco_svcs = 12

                            .. data:: cisco_sys = 13

                            .. data:: cisco_tdp = 14

                            .. data:: cisco_tna = 15

                            .. data:: citriximaclient = 16

                            .. data:: clp = 17

                            .. data:: creativepartnr = 18

                            .. data:: creativeserver = 19

                            .. data:: daytime = 20

                            .. data:: dbase = 21

                            .. data:: dbcontrol_agent = 22

                            .. data:: ddns_v3 = 23

                            .. data:: dhcp_failover = 24

                            .. data:: directconnect = 25

                            .. data:: discard = 26

                            .. data:: dnsix = 27

                            .. data:: echo = 28

                            .. data:: entrust_svc_hdlr = 29

                            .. data:: entrust_svcs = 30

                            .. data:: exec_ = 31

                            .. data:: fcip_port = 32

                            .. data:: ftps = 33

                            .. data:: gdoi = 34

                            .. data:: giop = 35

                            .. data:: gtpv0 = 36

                            .. data:: gtpv1 = 37

                            .. data:: h225ras = 38

                            .. data:: h323callsigalt = 39

                            .. data:: hp_alarm_mgr = 40

                            .. data:: hp_collector = 41

                            .. data:: hp_managed_node = 42

                            .. data:: hsrp = 43

                            .. data:: https = 44

                            .. data:: ica = 45

                            .. data:: icabrowser = 46

                            .. data:: ident = 47

                            .. data:: igmpv3lite = 48

                            .. data:: imap3 = 49

                            .. data:: imaps = 50

                            .. data:: ipass = 51

                            .. data:: ipsec_msft = 52

                            .. data:: irc_serv = 53

                            .. data:: ircs = 54

                            .. data:: ircu = 55

                            .. data:: isakmp = 56

                            .. data:: iscsi = 57

                            .. data:: iscsi_target = 58

                            .. data:: kermit = 59

                            .. data:: ldap_admin = 60

                            .. data:: ldaps = 61

                            .. data:: login = 62

                            .. data:: lotusmtap = 63

                            .. data:: lotusnote = 64

                            .. data:: mapi = 65

                            .. data:: ms_ad_rep = 66

                            .. data:: ms_exch_nspi = 67

                            .. data:: ms_frs = 68

                            .. data:: ms_frsapi = 69

                            .. data:: ms_rfr = 70

                            .. data:: msn_messenger = 71

                            .. data:: netlogon = 72

                            .. data:: microsoft_ds = 73

                            .. data:: ms_cluster_net = 74

                            .. data:: ms_dotnetster = 75

                            .. data:: ms_sna = 76

                            .. data:: ms_sql = 77

                            .. data:: ms_sql_m = 78

                            .. data:: msexch_routing = 79

                            .. data:: msnmsgr = 80

                            .. data:: msrpc = 81

                            .. data:: mysql = 82

                            .. data:: n2h2server = 83

                            .. data:: ncp = 84

                            .. data:: net8_cman = 85

                            .. data:: netbios_dgm = 86

                            .. data:: netbios_ns = 87

                            .. data:: netbios_ssn = 88

                            .. data:: netstat = 89

                            .. data:: oem_agent = 90

                            .. data:: oracle = 91

                            .. data:: oracle_em_vp = 92

                            .. data:: oraclenames = 93

                            .. data:: orasrv = 94

                            .. data:: pcanywheredata = 95

                            .. data:: pcanywherestat = 96

                            .. data:: pop3s = 97

                            .. data:: pwdgen = 98

                            .. data:: qmtp = 99

                            .. data:: r_winsock = 100

                            .. data:: radius = 101

                            .. data:: rdb_dbs_disp = 102

                            .. data:: realmedia = 103

                            .. data:: realsecure = 104

                            .. data:: router = 105

                            .. data:: rsvp_encap = 106

                            .. data:: rsvp_tunnel = 107

                            .. data:: rtc_pm_port = 108

                            .. data:: rtelnet = 109

                            .. data:: send = 110

                            .. data:: shell = 111

                            .. data:: sip_tls = 112

                            .. data:: sms = 113

                            .. data:: smtp = 114

                            .. data:: snmptrap = 115

                            .. data:: sql_net = 116

                            .. data:: sqlserv = 117

                            .. data:: sqlsrv = 118

                            .. data:: sshell = 119

                            .. data:: ssp = 120

                            .. data:: syslog_conn = 121

                            .. data:: tacacs = 122

                            .. data:: tacacs_ds = 123

                            .. data:: tarantella = 124

                            .. data:: tcp = 125

                            .. data:: telnets = 126

                            .. data:: time = 127

                            .. data:: timed = 128

                            .. data:: tr_rsrb = 129

                            .. data:: ttc = 130

                            .. data:: udp = 131

                            .. data:: uucp = 132

                            .. data:: vqp = 133

                            .. data:: webster = 134

                            .. data:: who = 135

                            .. data:: wins = 136

                            .. data:: x11 = 137

                            .. data:: xdmcp = 138

                            .. data:: ymsgr = 139

                            .. data:: aarp = 140

                            .. data:: appletalk = 141

                            .. data:: arp = 142

                            .. data:: bgp = 143

                            .. data:: bridge = 144

                            .. data:: bstun = 145

                            .. data:: cdp = 146

                            """

                            x802_11_iapp = 0

                            ace_svr = 1

                            aol = 2

                            appleqtc = 3

                            biff = 4

                            bittorrent = 5

                            bootpc = 6

                            bootps = 7

                            cddbp = 8

                            cifs = 9

                            cisco_fna = 10

                            cisco_net_mgmt = 11

                            cisco_svcs = 12

                            cisco_sys = 13

                            cisco_tdp = 14

                            cisco_tna = 15

                            citriximaclient = 16

                            clp = 17

                            creativepartnr = 18

                            creativeserver = 19

                            daytime = 20

                            dbase = 21

                            dbcontrol_agent = 22

                            ddns_v3 = 23

                            dhcp_failover = 24

                            directconnect = 25

                            discard = 26

                            dnsix = 27

                            echo = 28

                            entrust_svc_hdlr = 29

                            entrust_svcs = 30

                            exec_ = 31

                            fcip_port = 32

                            ftps = 33

                            gdoi = 34

                            giop = 35

                            gtpv0 = 36

                            gtpv1 = 37

                            h225ras = 38

                            h323callsigalt = 39

                            hp_alarm_mgr = 40

                            hp_collector = 41

                            hp_managed_node = 42

                            hsrp = 43

                            https = 44

                            ica = 45

                            icabrowser = 46

                            ident = 47

                            igmpv3lite = 48

                            imap3 = 49

                            imaps = 50

                            ipass = 51

                            ipsec_msft = 52

                            irc_serv = 53

                            ircs = 54

                            ircu = 55

                            isakmp = 56

                            iscsi = 57

                            iscsi_target = 58

                            kermit = 59

                            ldap_admin = 60

                            ldaps = 61

                            login = 62

                            lotusmtap = 63

                            lotusnote = 64

                            mapi = 65

                            ms_ad_rep = 66

                            ms_exch_nspi = 67

                            ms_frs = 68

                            ms_frsapi = 69

                            ms_rfr = 70

                            msn_messenger = 71

                            netlogon = 72

                            microsoft_ds = 73

                            ms_cluster_net = 74

                            ms_dotnetster = 75

                            ms_sna = 76

                            ms_sql = 77

                            ms_sql_m = 78

                            msexch_routing = 79

                            msnmsgr = 80

                            msrpc = 81

                            mysql = 82

                            n2h2server = 83

                            ncp = 84

                            net8_cman = 85

                            netbios_dgm = 86

                            netbios_ns = 87

                            netbios_ssn = 88

                            netstat = 89

                            oem_agent = 90

                            oracle = 91

                            oracle_em_vp = 92

                            oraclenames = 93

                            orasrv = 94

                            pcanywheredata = 95

                            pcanywherestat = 96

                            pop3s = 97

                            pwdgen = 98

                            qmtp = 99

                            r_winsock = 100

                            radius = 101

                            rdb_dbs_disp = 102

                            realmedia = 103

                            realsecure = 104

                            router = 105

                            rsvp_encap = 106

                            rsvp_tunnel = 107

                            rtc_pm_port = 108

                            rtelnet = 109

                            send = 110

                            shell = 111

                            sip_tls = 112

                            sms = 113

                            smtp = 114

                            snmptrap = 115

                            sql_net = 116

                            sqlserv = 117

                            sqlsrv = 118

                            sshell = 119

                            ssp = 120

                            syslog_conn = 121

                            tacacs = 122

                            tacacs_ds = 123

                            tarantella = 124

                            tcp = 125

                            telnets = 126

                            time = 127

                            timed = 128

                            tr_rsrb = 129

                            ttc = 130

                            udp = 131

                            uucp = 132

                            vqp = 133

                            webster = 134

                            who = 135

                            wins = 136

                            x11 = 137

                            xdmcp = 138

                            ymsgr = 139

                            aarp = 140

                            appletalk = 141

                            arp = 142

                            bgp = 143

                            bridge = 144

                            bstun = 145

                            cdp = 146


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.ProtocolsEnum']



                        class Citrix(object):
                            """
                            Citrix Systems ICA protocol
                            
                            .. attribute:: ica_tag
                            
                            	Citrix ICA tag 0\-high 1\-medium 2\-low 3\-background
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.ica_tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:citrix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.ica_tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Citrix']['meta_info']


                        class Fasttrack(object):
                            """
                            FastTrack Traffic \- KaZaA, Morpheus, Grokster
                            
                            .. attribute:: file_transfer
                            
                            	File transfer stream
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.file_transfer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:fasttrack'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.file_transfer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Fasttrack']['meta_info']


                        class Gnutella(object):
                            """
                            Gnutella Version2 Traffic \- BearShare, Shareeza, Morpheus
                            
                            .. attribute:: file_transfer
                            
                            	File transfer stream
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.file_transfer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:gnutella'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.file_transfer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Gnutella']['meta_info']


                        class Http(object):
                            """
                            World Wide Web traffic
                            
                            .. attribute:: c_header_field
                            
                            	Client general Header Field
                            	**type**\:  str
                            
                            .. attribute:: host
                            
                            	Server Host Name
                            	**type**\:  str
                            
                            .. attribute:: mime
                            
                            	Match MIME Type
                            	**type**\:  str
                            
                            .. attribute:: s_header_field
                            
                            	Server general Header Field
                            	**type**\:  str
                            
                            .. attribute:: url
                            
                            	Match URL String
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.c_header_field = None
                                self.host = None
                                self.mime = None
                                self.s_header_field = None
                                self.url = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:http'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.c_header_field is not None:
                                    return True

                                if self.host is not None:
                                    return True

                                if self.mime is not None:
                                    return True

                                if self.s_header_field is not None:
                                    return True

                                if self.url is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Http']['meta_info']


                        class Kazaa2(object):
                            """
                            Kazaa Version 2
                            
                            .. attribute:: file_transfer
                            
                            	File transfer stream
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.file_transfer = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:kazaa2'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.file_transfer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Kazaa2']['meta_info']


                        class Napster(object):
                            """
                            Napster Traffic
                            
                            .. attribute:: non_std
                            
                            	Non\-standard port advertizements
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.non_std = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:napster'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.non_std is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Napster']['meta_info']


                        class Rtp(object):
                            """
                            Real Time Protocol
                            
                            .. attribute:: audio
                            
                            	Match voice packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: payload_type
                            
                            	Match an explicit PT
                            	**type**\:  str
                            
                            .. attribute:: video
                            
                            	Match video packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.audio = None
                                self.payload_type = None
                                self.video = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:rtp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.audio is not None:
                                    return True

                                if self.payload_type is not None:
                                    return True

                                if self.video is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Rtp']['meta_info']


                        class Smtp(object):
                            """
                            Simple Mail Transfer Protocol
                            
                            .. attribute:: extended
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.extended = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:smtp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.extended is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Smtp']['meta_info']


                        class Attribute(object):
                            """
                            Attribute based protocol match
                            
                            .. attribute:: business_relevance
                            
                            	Application business\-relevance
                            	**type**\:   :py:class:`BusinessRelevance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.BusinessRelevance>`
                            
                            .. attribute:: traffic_class
                            
                            	SRND class
                            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.TrafficClass>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.business_relevance = Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.BusinessRelevance()
                                self.business_relevance.parent = self
                                self.traffic_class = Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.TrafficClass()
                                self.traffic_class.parent = self


                            class BusinessRelevance(object):
                                """
                                Application business\-relevance
                                
                                .. attribute:: business_irrelevant
                                
                                	Undesirable business traffic
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: business_relevant
                                
                                	Business critical applications
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: default
                                
                                	Related business applications
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.business_irrelevant = None
                                    self.business_relevant = None
                                    self.default = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:business-relevance'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.business_irrelevant is not None:
                                        return True

                                    if self.business_relevant is not None:
                                        return True

                                    if self.default is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.BusinessRelevance']['meta_info']


                            class TrafficClass(object):
                                """
                                SRND class
                                
                                .. attribute:: broadcast_video
                                
                                	Broadcast TV, live events, video surveillance
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: bulk_data
                                
                                	Non\-interactive data applications
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: multimedia_conferencing
                                
                                	Desktop software multimedia collaboration applications
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: multimedia_streaming
                                
                                	Video\-on\-Demand (VoD) streaming video
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: network_control
                                
                                	Network control plane traffic
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ops_admin_mgmt
                                
                                	Network operations, administration, and management traffic
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: real_time_interactive
                                
                                	High\-definition interactive video applications
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: signaling
                                
                                	Signaling traffic that supports IP voice and video telephony
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: transactional_data
                                
                                	Interactive data applications
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: voip_telephony
                                
                                	VoIP telephony (bearer\-only) traffic
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.broadcast_video = None
                                    self.bulk_data = None
                                    self.multimedia_conferencing = None
                                    self.multimedia_streaming = None
                                    self.network_control = None
                                    self.ops_admin_mgmt = None
                                    self.real_time_interactive = None
                                    self.signaling = None
                                    self.transactional_data = None
                                    self.voip_telephony = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:traffic-class'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.broadcast_video is not None:
                                        return True

                                    if self.bulk_data is not None:
                                        return True

                                    if self.multimedia_conferencing is not None:
                                        return True

                                    if self.multimedia_streaming is not None:
                                        return True

                                    if self.network_control is not None:
                                        return True

                                    if self.ops_admin_mgmt is not None:
                                        return True

                                    if self.real_time_interactive is not None:
                                        return True

                                    if self.signaling is not None:
                                        return True

                                    if self.transactional_data is not None:
                                        return True

                                    if self.voip_telephony is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.TrafficClass']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:attribute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.business_relevance is not None and self.business_relevance._has_data():
                                    return True

                                if self.traffic_class is not None and self.traffic_class._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Protocol.Attribute']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:protocol'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.attribute is not None and self.attribute._has_data():
                                return True

                            if self.citrix is not None and self.citrix._has_data():
                                return True

                            if self.clns is not None:
                                return True

                            if self.clns_es is not None:
                                return True

                            if self.clns_is is not None:
                                return True

                            if self.cmns is not None:
                                return True

                            if self.compressedtcp is not None:
                                return True

                            if self.cuseeme is not None:
                                return True

                            if self.decnet is not None:
                                return True

                            if self.decnet_node is not None:
                                return True

                            if self.decnet_router_l1 is not None:
                                return True

                            if self.decnet_router_l2 is not None:
                                return True

                            if self.dhcp is not None:
                                return True

                            if self.dlsw is not None:
                                return True

                            if self.dns is not None:
                                return True

                            if self.edonkey is not None:
                                return True

                            if self.egp is not None:
                                return True

                            if self.eigrp is not None:
                                return True

                            if self.exchange is not None:
                                return True

                            if self.fasttrack is not None and self.fasttrack._has_data():
                                return True

                            if self.finger is not None:
                                return True

                            if self.ftp is not None:
                                return True

                            if self.gnutella is not None and self.gnutella._has_data():
                                return True

                            if self.gopher is not None:
                                return True

                            if self.gre is not None:
                                return True

                            if self.h323 is not None:
                                return True

                            if self.http is not None and self.http._has_data():
                                return True

                            if self.icmp is not None:
                                return True

                            if self.imap is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.ipinip is not None:
                                return True

                            if self.ipsec is not None:
                                return True

                            if self.ipv6 is not None:
                                return True

                            if self.ipx is not None:
                                return True

                            if self.irc is not None:
                                return True

                            if self.kazaa2 is not None and self.kazaa2._has_data():
                                return True

                            if self.kerberos is not None:
                                return True

                            if self.l2tp is not None:
                                return True

                            if self.ldap is not None:
                                return True

                            if self.llc2 is not None:
                                return True

                            if self.mgcp is not None:
                                return True

                            if self.napster is not None and self.napster._has_data():
                                return True

                            if self.netbios is not None:
                                return True

                            if self.netshow is not None:
                                return True

                            if self.nfs is not None:
                                return True

                            if self.nntp is not None:
                                return True

                            if self.notes is not None:
                                return True

                            if self.novadigm is not None:
                                return True

                            if self.ntp is not None:
                                return True

                            if self.ospf is not None:
                                return True

                            if self.pad is not None:
                                return True

                            if self.pcanywhere is not None:
                                return True

                            if self.pop3 is not None:
                                return True

                            if self.pppoe is not None:
                                return True

                            if self.pptp is not None:
                                return True

                            if self.printer is not None:
                                return True

                            if self.protocols is not None:
                                return True

                            if self.qllc is not None:
                                return True

                            if self.rcmd is not None:
                                return True

                            if self.rip is not None:
                                return True

                            if self.rsrb is not None:
                                return True

                            if self.rsvp is not None:
                                return True

                            if self.rtcp is not None:
                                return True

                            if self.rtp is not None and self.rtp._has_data():
                                return True

                            if self.rtsp is not None:
                                return True

                            if self.secure_ftp is not None:
                                return True

                            if self.secure_http is not None:
                                return True

                            if self.secure_imap is not None:
                                return True

                            if self.secure_irc is not None:
                                return True

                            if self.secure_ldap is not None:
                                return True

                            if self.secure_nntp is not None:
                                return True

                            if self.secure_pop3 is not None:
                                return True

                            if self.secure_telnet is not None:
                                return True

                            if self.sip is not None:
                                return True

                            if self.skinny is not None:
                                return True

                            if self.smtp is not None and self.smtp._has_data():
                                return True

                            if self.snapshot is not None:
                                return True

                            if self.snmp is not None:
                                return True

                            if self.socks is not None:
                                return True

                            if self.sqlnet is not None:
                                return True

                            if self.sqlserver is not None:
                                return True

                            if self.ssh is not None:
                                return True

                            if self.streamwork is not None:
                                return True

                            if self.stun is not None:
                                return True

                            if self.sunrpc is not None:
                                return True

                            if self.syslog is not None:
                                return True

                            if self.telnet is not None:
                                return True

                            if self.tftp is not None:
                                return True

                            if self.vdolive is not None:
                                return True

                            if self.vofr is not None:
                                return True

                            if self.winmx is not None:
                                return True

                            if self.xwindows is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Not_.Protocol']['meta_info']


                    class SecurityGroup(object):
                        """
                        Security group
                        
                        .. attribute:: destination
                        
                        	Destination security group
                        	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.SecurityGroup.Destination>`
                        
                        .. attribute:: source
                        
                        	Source security group
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.SecurityGroup.Source>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination = Native.Policy.ClassMap.Match.Not_.SecurityGroup.Destination()
                            self.destination.parent = self
                            self.source = Native.Policy.ClassMap.Match.Not_.SecurityGroup.Source()
                            self.source.parent = self


                        class Destination(object):
                            """
                            Destination security group
                            
                            .. attribute:: tag
                            
                            	Security group tag
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:destination'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.Not_.SecurityGroup.Destination']['meta_info']


                        class Source(object):
                            """
                            Source security group
                            
                            .. attribute:: tag
                            
                            	Security group tag
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.Match.Not_.SecurityGroup.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:security-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination is not None and self.destination._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Not_.SecurityGroup']['meta_info']


                    class SourceAddress(object):
                        """
                        Source address
                        
                        .. attribute:: mac
                        
                        	MAC address
                        	**type**\:  list of str
                        
                        	**pattern:** [0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2}){5}
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.mac = YLeafList()
                            self.mac.parent = self
                            self.mac.name = 'mac'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:source-address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.mac is not None:
                                for child in self.mac:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.Match.Not_.SourceAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:not'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access_group is not None and self.access_group._has_data():
                            return True

                        if self.any is not None:
                            return True

                        if self.application is not None and self.application._has_data():
                            return True

                        if self.class_map is not None:
                            for child in self.class_map:
                                if child is not None:
                                    return True

                        if self.cos is not None:
                            for child in self.cos:
                                if child is not None:
                                    return True

                        if self.current_method_priority is not None and self.current_method_priority._has_data():
                            return True

                        if self.destination_address is not None and self.destination_address._has_data():
                            return True

                        if self.discard_class is not None:
                            for child in self.discard_class:
                                if child is not None:
                                    return True

                        if self.dscp is not None:
                            for child in self.dscp:
                                if child is not None:
                                    return True

                        if self.fr_de is not None:
                            return True

                        if self.fr_dlci is not None:
                            for child in self.fr_dlci:
                                if child is not None:
                                    return True

                        if self.input_interface is not None:
                            for child in self.input_interface:
                                if child is not None:
                                    return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.mpls is not None and self.mpls._has_data():
                            return True

                        if self.non_client_nrt is not None:
                            return True

                        if self.packet is not None and self.packet._has_data():
                            return True

                        if self.peer is not None:
                            return True

                        if self.precedence is not None:
                            for child in self.precedence:
                                if child is not None:
                                    return True

                        if self.protocol is not None and self.protocol._has_data():
                            return True

                        if self.qos_group is not None:
                            for child in self.qos_group:
                                if child is not None:
                                    return True

                        if self.security_group is not None and self.security_group._has_data():
                            return True

                        if self.source_address is not None and self.source_address._has_data():
                            return True

                        if self.vlan is not None:
                            for child in self.vlan:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.ClassMap.Match.Not_']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:match'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.activated_service_template is not None:
                        for child_ref in self.activated_service_template:
                            if child_ref._has_data():
                                return True

                    if self.any is not None:
                        return True

                    if self.application is not None and self.application._has_data():
                        return True

                    if self.authorization_status is not None and self.authorization_status._has_data():
                        return True

                    if self.authorizing_method_priority is not None and self.authorizing_method_priority._has_data():
                        return True

                    if self.class_map is not None:
                        for child in self.class_map:
                            if child is not None:
                                return True

                    if self.cos is not None:
                        for child in self.cos:
                            if child is not None:
                                return True

                    if self.current_method_priority is not None and self.current_method_priority._has_data():
                        return True

                    if self.destination_address is not None and self.destination_address._has_data():
                        return True

                    if self.discard_class is not None:
                        for child in self.discard_class:
                            if child is not None:
                                return True

                    if self.dscp is not None:
                        for child in self.dscp:
                            if child is not None:
                                return True

                    if self.fr_de is not None:
                        return True

                    if self.fr_dlci is not None:
                        for child in self.fr_dlci:
                            if child is not None:
                                return True

                    if self.input_interface is not None:
                        for child in self.input_interface:
                            if child is not None:
                                return True

                    if self.ip is not None and self.ip._has_data():
                        return True

                    if self.method is not None and self.method._has_data():
                        return True

                    if self.mpls is not None and self.mpls._has_data():
                        return True

                    if self.non_client_nrt is not None:
                        return True

                    if self.not_ is not None and self.not_._has_data():
                        return True

                    if self.packet is not None and self.packet._has_data():
                        return True

                    if self.peer is not None:
                        return True

                    if self.precedence is not None:
                        for child in self.precedence:
                            if child is not None:
                                return True

                    if self.protocol is not None and self.protocol._has_data():
                        return True

                    if self.qos_group is not None:
                        for child in self.qos_group:
                            if child is not None:
                                return True

                    if self.result_type is not None and self.result_type._has_data():
                        return True

                    if self.security_group is not None and self.security_group._has_data():
                        return True

                    if self.source_address is not None and self.source_address._has_data():
                        return True

                    if self.vlan is not None:
                        for child in self.vlan:
                            if child is not None:
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Policy.ClassMap.Match']['meta_info']


            class NoMatch(object):
                """
                no\-match filter
                
                .. attribute:: activated_service_template
                
                	match name of service template activated on session
                	**type**\: list of    :py:class:`ActivatedServiceTemplate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.NoMatch.ActivatedServiceTemplate>`
                
                .. attribute:: authorization_status
                
                	match the authorization status of the session
                	**type**\:   :py:class:`AuthorizationStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.NoMatch.AuthorizationStatus>`
                
                .. attribute:: authorizing_method_priority
                
                	match the priority against the authorizing method's priority
                	**type**\:   :py:class:`AuthorizingMethodPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.NoMatch.AuthorizingMethodPriority>`
                
                .. attribute:: method
                
                	match the type of authentication method from an event
                	**type**\:   :py:class:`Method <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.NoMatch.Method>`
                
                .. attribute:: result_type
                
                	match the result type, optionally for a specific method
                	**type**\:   :py:class:`ResultType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.NoMatch.ResultType>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.activated_service_template = YList()
                    self.activated_service_template.parent = self
                    self.activated_service_template.name = 'activated_service_template'
                    self.authorization_status = Native.Policy.ClassMap.NoMatch.AuthorizationStatus()
                    self.authorization_status.parent = self
                    self.authorizing_method_priority = Native.Policy.ClassMap.NoMatch.AuthorizingMethodPriority()
                    self.authorizing_method_priority.parent = self
                    self.method = Native.Policy.ClassMap.NoMatch.Method()
                    self.method.parent = self
                    self.result_type = Native.Policy.ClassMap.NoMatch.ResultType()
                    self.result_type.parent = self


                class ActivatedServiceTemplate(object):
                    """
                    match name of service template activated on session
                    
                    .. attribute:: service_name  <key>
                    
                    	Enter service name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.service_name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.service_name is None:
                            raise YPYModelError('Key property service_name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:activated-service-template[Cisco-IOS-XE-policy:service-name = ' + str(self.service_name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.service_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.ClassMap.NoMatch.ActivatedServiceTemplate']['meta_info']


                class AuthorizationStatus(object):
                    """
                    match the authorization status of the session
                    
                    .. attribute:: authorized
                    
                    	authorized
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: unauthorized
                    
                    	unauthorized
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authorized = None
                        self.unauthorized = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:authorization-status'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authorized is not None:
                            return True

                        if self.unauthorized is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.ClassMap.NoMatch.AuthorizationStatus']['meta_info']


                class AuthorizingMethodPriority(object):
                    """
                    match the priority against the authorizing method's priority
                    
                    .. attribute:: eq
                    
                    	equal to
                    	**type**\:  int
                    
                    	**range:** 1..254
                    
                    .. attribute:: gt
                    
                    	greater than
                    	**type**\:  int
                    
                    	**range:** 1..254
                    
                    .. attribute:: lt
                    
                    	less than
                    	**type**\:  int
                    
                    	**range:** 1..254
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eq = None
                        self.gt = None
                        self.lt = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:authorizing-method-priority'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eq is not None:
                            return True

                        if self.gt is not None:
                            return True

                        if self.lt is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.ClassMap.NoMatch.AuthorizingMethodPriority']['meta_info']


                class Method(object):
                    """
                    match the type of authentication method from an event
                    
                    .. attribute:: dot1x
                    
                    	dot1x
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mab
                    
                    	mab
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: webauth
                    
                    	webauth
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dot1x = None
                        self.mab = None
                        self.webauth = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:method'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dot1x is not None:
                            return True

                        if self.mab is not None:
                            return True

                        if self.webauth is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.ClassMap.NoMatch.Method']['meta_info']


                class ResultType(object):
                    """
                    match the result type, optionally for a specific method
                    
                    .. attribute:: aaa_timeout
                    
                    	aaa timeout type
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: agent_not_found
                    
                    	agent not found type
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: authoritative
                    
                    	failure type
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: method
                    
                    	match the result of a particular method
                    	**type**\:   :py:class:`Method <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.NoMatch.ResultType.Method>`
                    
                    .. attribute:: method_timeout
                    
                    	method\_timeout type
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	no type
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: success
                    
                    	success type
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.aaa_timeout = None
                        self.agent_not_found = None
                        self.authoritative = None
                        self.method = Native.Policy.ClassMap.NoMatch.ResultType.Method()
                        self.method.parent = self
                        self.method_timeout = None
                        self.none = None
                        self.success = None


                    class Method(object):
                        """
                        match the result of a particular method
                        
                        .. attribute:: dot1x
                        
                        	dot1x result
                        	**type**\:   :py:class:`Dot1X <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.NoMatch.ResultType.Method.Dot1X>`
                        
                        .. attribute:: mab
                        
                        	mab result
                        	**type**\:   :py:class:`Mab <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.NoMatch.ResultType.Method.Mab>`
                        
                        .. attribute:: webauth
                        
                        	webauth result
                        	**type**\:   :py:class:`Webauth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.NoMatch.ResultType.Method.Webauth>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dot1x = Native.Policy.ClassMap.NoMatch.ResultType.Method.Dot1X()
                            self.dot1x.parent = self
                            self.mab = Native.Policy.ClassMap.NoMatch.ResultType.Method.Mab()
                            self.mab.parent = self
                            self.webauth = Native.Policy.ClassMap.NoMatch.ResultType.Method.Webauth()
                            self.webauth.parent = self


                        class Dot1X(object):
                            """
                            dot1x result
                            
                            .. attribute:: aaa_timeout
                            
                            	aaa timeout type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: agent_not_found
                            
                            	agent not found type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: authoritative
                            
                            	failure type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: method_timeout
                            
                            	method\_timeout type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: none
                            
                            	no type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: success
                            
                            	success type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aaa_timeout = None
                                self.agent_not_found = None
                                self.authoritative = None
                                self.method_timeout = None
                                self.none = None
                                self.success = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:dot1x'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aaa_timeout is not None:
                                    return True

                                if self.agent_not_found is not None:
                                    return True

                                if self.authoritative is not None:
                                    return True

                                if self.method_timeout is not None:
                                    return True

                                if self.none is not None:
                                    return True

                                if self.success is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.NoMatch.ResultType.Method.Dot1X']['meta_info']


                        class Mab(object):
                            """
                            mab result
                            
                            .. attribute:: aaa_timeout
                            
                            	aaa timeout type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: agent_not_found
                            
                            	agent not found type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: authoritative
                            
                            	failure type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: method_timeout
                            
                            	method\_timeout type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: none
                            
                            	no type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: success
                            
                            	success type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aaa_timeout = None
                                self.agent_not_found = None
                                self.authoritative = None
                                self.method_timeout = None
                                self.none = None
                                self.success = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:mab'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aaa_timeout is not None:
                                    return True

                                if self.agent_not_found is not None:
                                    return True

                                if self.authoritative is not None:
                                    return True

                                if self.method_timeout is not None:
                                    return True

                                if self.none is not None:
                                    return True

                                if self.success is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.NoMatch.ResultType.Method.Mab']['meta_info']


                        class Webauth(object):
                            """
                            webauth result
                            
                            .. attribute:: aaa_timeout
                            
                            	aaa timeout type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: agent_not_found
                            
                            	agent not found type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: authoritative
                            
                            	failure type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: method_timeout
                            
                            	method\_timeout type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: none
                            
                            	no type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: success
                            
                            	success type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aaa_timeout = None
                                self.agent_not_found = None
                                self.authoritative = None
                                self.method_timeout = None
                                self.none = None
                                self.success = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:webauth'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aaa_timeout is not None:
                                    return True

                                if self.agent_not_found is not None:
                                    return True

                                if self.authoritative is not None:
                                    return True

                                if self.method_timeout is not None:
                                    return True

                                if self.none is not None:
                                    return True

                                if self.success is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.ClassMap.NoMatch.ResultType.Method.Webauth']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:method'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dot1x is not None and self.dot1x._has_data():
                                return True

                            if self.mab is not None and self.mab._has_data():
                                return True

                            if self.webauth is not None and self.webauth._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.ClassMap.NoMatch.ResultType.Method']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:result-type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.aaa_timeout is not None:
                            return True

                        if self.agent_not_found is not None:
                            return True

                        if self.authoritative is not None:
                            return True

                        if self.method is not None and self.method._has_data():
                            return True

                        if self.method_timeout is not None:
                            return True

                        if self.none is not None:
                            return True

                        if self.success is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.ClassMap.NoMatch.ResultType']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:no-match'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.activated_service_template is not None:
                        for child_ref in self.activated_service_template:
                            if child_ref._has_data():
                                return True

                    if self.authorization_status is not None and self.authorization_status._has_data():
                        return True

                    if self.authorizing_method_priority is not None and self.authorizing_method_priority._has_data():
                        return True

                    if self.method is not None and self.method._has_data():
                        return True

                    if self.result_type is not None and self.result_type._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Policy.ClassMap.NoMatch']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:policy/Cisco-IOS-XE-policy:class-map[Cisco-IOS-XE-policy:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.description is not None:
                    return True

                if self.match is not None and self.match._has_data():
                    return True

                if self.no_match is not None and self.no_match._has_data():
                    return True

                if self.prematch is not None:
                    return True

                if self.protocol is not None:
                    return True

                if self.subscriber is not None:
                    return True

                if self.type is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Policy.ClassMap']['meta_info']


        class PolicyMap(object):
            """
            Configure QoS Policy Map
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: class_
            
            	policy criteria
            	**type**\: list of    :py:class:`Class_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_>`
            
            .. attribute:: description
            
            	Policy\-Map description
            	**type**\:  str
            
            	**length:** 1..200
            
            .. attribute:: event
            
            	The event type this control class\-map triggers upon
            	**type**\: list of    :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event>`
            
            .. attribute:: protocol
            
            	
            	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.ProtocolEnum>`
            
            .. attribute:: sequence_interval
            
            	Enable sequence number capability
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: subscriber
            
            	
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: type
            
            	type of the policy\-map
            	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.TypeEnum>`
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.class_ = YList()
                self.class_.parent = self
                self.class_.name = 'class_'
                self.description = None
                self.event = YList()
                self.event.parent = self
                self.event.name = 'event'
                self.protocol = None
                self.sequence_interval = None
                self.subscriber = None
                self.type = None

            class ProtocolEnum(Enum):
                """
                ProtocolEnum

                .. data:: http = 0

                .. data:: im = 1

                .. data:: imap = 2

                .. data:: p2p = 3

                .. data:: pop3 = 4

                .. data:: smtp = 5

                .. data:: sunrpc = 6

                """

                http = 0

                im = 1

                imap = 2

                p2p = 3

                pop3 = 4

                smtp = 5

                sunrpc = 6


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Policy.PolicyMap.ProtocolEnum']


            class TypeEnum(Enum):
                """
                TypeEnum

                type of the policy\-map

                .. data:: access_control = 0

                .. data:: appnav = 1

                .. data:: inspect = 2

                .. data:: control = 3

                .. data:: packet_service = 4

                .. data:: performance_monitor = 5

                .. data:: service = 6

                .. data:: service_chain = 7

                """

                access_control = 0

                appnav = 1

                inspect = 2

                control = 3

                packet_service = 4

                performance_monitor = 5

                service = 6

                service_chain = 7


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Policy.PolicyMap.TypeEnum']



            class Event(object):
                """
                The event type this control class\-map triggers upon
                
                .. attribute:: event_type  <key>
                
                	
                	**type**\:   :py:class:`EventTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.EventTypeEnum>`
                
                .. attribute:: class_number
                
                	class number, 1 for 1st class, 2 for 2nd..
                	**type**\: list of    :py:class:`ClassNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber>`
                
                .. attribute:: match_type
                
                	
                	**type**\:   :py:class:`MatchTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.MatchTypeEnum>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event_type = None
                    self.class_number = YList()
                    self.class_number.parent = self
                    self.class_number.name = 'class_number'
                    self.match_type = None

                class EventTypeEnum(Enum):
                    """
                    EventTypeEnum

                    .. data:: aaa_available = 0

                    .. data:: absolute_timeout = 1

                    .. data:: agent_found = 2

                    .. data:: authentication_failure = 3

                    .. data:: authentication_success = 4

                    .. data:: authorization_failure = 5

                    .. data:: authorization_success = 6

                    .. data:: identity_update = 7

                    .. data:: inactivity_timeout = 8

                    .. data:: remote_authentication_failure = 9

                    .. data:: remote_authentication_success = 10

                    .. data:: session_disconnected = 11

                    .. data:: session_started = 12

                    .. data:: tag_added = 13

                    .. data:: tag_removed = 14

                    .. data:: template_activated = 15

                    .. data:: template_activation_failed = 16

                    .. data:: template_deactivated = 17

                    .. data:: template_deactivation_failed = 18

                    .. data:: timer_expiry = 19

                    .. data:: violation = 20

                    """

                    aaa_available = 0

                    absolute_timeout = 1

                    agent_found = 2

                    authentication_failure = 3

                    authentication_success = 4

                    authorization_failure = 5

                    authorization_success = 6

                    identity_update = 7

                    inactivity_timeout = 8

                    remote_authentication_failure = 9

                    remote_authentication_success = 10

                    session_disconnected = 11

                    session_started = 12

                    tag_added = 13

                    tag_removed = 14

                    template_activated = 15

                    template_activation_failed = 16

                    template_deactivated = 17

                    template_deactivation_failed = 18

                    timer_expiry = 19

                    violation = 20


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.PolicyMap.Event.EventTypeEnum']


                class MatchTypeEnum(Enum):
                    """
                    MatchTypeEnum

                    .. data:: match_all = 0

                    .. data:: match_first = 1

                    """

                    match_all = 0

                    match_first = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.PolicyMap.Event.MatchTypeEnum']



                class ClassNumber(object):
                    """
                    class number, 1 for 1st class, 2 for 2nd...
                    
                    .. attribute:: number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..254
                    
                    .. attribute:: action_number
                    
                    	action number, 1 for 1st class, 2 for 2nd..
                    	**type**\: list of    :py:class:`ActionNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber>`
                    
                    .. attribute:: class_
                    
                    	The class type this control policy\-map triggers upon
                    	**type**\: one of the below types:
                    
                    	**type**\:   :py:class:`ClassEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber.ClassEnum>`
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: execution_type
                    
                    	
                    	**type**\:   :py:class:`ExecutionTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber.ExecutionTypeEnum>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.number = None
                        self.action_number = YList()
                        self.action_number.parent = self
                        self.action_number.name = 'action_number'
                        self.class_ = None
                        self.execution_type = None

                    class ClassEnum(Enum):
                        """
                        ClassEnum

                        The class type this control policy\-map triggers upon

                        .. data:: always = 0

                        """

                        always = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ClassEnum']


                    class ExecutionTypeEnum(Enum):
                        """
                        ExecutionTypeEnum

                        .. data:: do_all = 0

                        .. data:: do_until_failure = 1

                        .. data:: do_until_success = 2

                        """

                        do_all = 0

                        do_until_failure = 1

                        do_until_success = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ExecutionTypeEnum']



                    class ActionNumber(object):
                        """
                        action number, 1 for 1st class, 2 for 2nd...
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..254
                        
                        .. attribute:: activate
                        
                        	activate template or policy
                        	**type**\:   :py:class:`Activate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Activate>`
                        
                        .. attribute:: authenticate
                        
                        	authenticate a session
                        	**type**\:   :py:class:`Authenticate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate>`
                        
                        .. attribute:: authentication_restart
                        
                        	restarts the auth sequence after the specified number of sec
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: authorize
                        
                        	authorize session
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: clear_session
                        
                        	clears an active session
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pause
                        
                        	pause operation to be specified
                        	**type**\:   :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Pause>`
                        
                        .. attribute:: resume
                        
                        	resume operation to be specified
                        	**type**\:   :py:class:`Resume <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Resume>`
                        
                        .. attribute:: terminate
                        
                        	terminate auth method
                        	**type**\:   :py:class:`Terminate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Terminate>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.activate = Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Activate()
                            self.activate.parent = self
                            self.authenticate = Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate()
                            self.authenticate.parent = self
                            self.authentication_restart = None
                            self.authorize = None
                            self.clear_session = None
                            self.pause = Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Pause()
                            self.pause.parent = self
                            self.resume = Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Resume()
                            self.resume.parent = self
                            self.terminate = Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Terminate()
                            self.terminate.parent = self


                        class Terminate(object):
                            """
                            terminate auth method
                            
                            .. attribute:: dot1x
                            
                            	dot1x method
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mab
                            
                            	mab method
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: webauth
                            
                            	webauth method
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dot1x = None
                                self.mab = None
                                self.webauth = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:terminate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dot1x is not None:
                                    return True

                                if self.mab is not None:
                                    return True

                                if self.webauth is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Terminate']['meta_info']


                        class Resume(object):
                            """
                            resume operation to be specified
                            
                            .. attribute:: reauthentication
                            
                            	resume reauthentication
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.reauthentication = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:resume'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.reauthentication is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Resume']['meta_info']


                        class Pause(object):
                            """
                            pause operation to be specified
                            
                            .. attribute:: reauthentication
                            
                            	pause reauthentication
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.reauthentication = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:pause'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.reauthentication is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Pause']['meta_info']


                        class Activate(object):
                            """
                            activate template or policy
                            
                            .. attribute:: service_template
                            
                            	activate service template
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.service_template = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:activate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.service_template is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Activate']['meta_info']


                        class Authenticate(object):
                            """
                            authenticate a session
                            
                            .. attribute:: using
                            
                            	authenticate a session
                            	**type**\:   :py:class:`Using <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate.Using>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.using = Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate.Using()
                                self.using.parent = self


                            class Using(object):
                                """
                                authenticate a session
                                
                                .. attribute:: both
                                
                                	Enabling Dot1x Authenticator & Supplicant
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: method
                                
                                	
                                	**type**\:   :py:class:`MethodEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate.Using.MethodEnum>`
                                
                                .. attribute:: priority
                                
                                	Method priority
                                	**type**\:  int
                                
                                	**range:** 1..254
                                
                                .. attribute:: retries
                                
                                	Number of times to retry failed authentications
                                	**type**\:  int
                                
                                	**range:** 1..5
                                
                                .. attribute:: retry_time
                                
                                	Time interval between retries
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.both = None
                                    self.method = None
                                    self.priority = None
                                    self.retries = None
                                    self.retry_time = None

                                class MethodEnum(Enum):
                                    """
                                    MethodEnum

                                    .. data:: dot1x = 0

                                    .. data:: mab = 1

                                    .. data:: webauth = 2

                                    """

                                    dot1x = 0

                                    mab = 1

                                    webauth = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate.Using.MethodEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:using'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.both is not None:
                                        return True

                                    if self.method is not None:
                                        return True

                                    if self.priority is not None:
                                        return True

                                    if self.retries is not None:
                                        return True

                                    if self.retry_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate.Using']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:authenticate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.using is not None and self.using._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:action-number[Cisco-IOS-XE-policy:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.activate is not None and self.activate._has_data():
                                return True

                            if self.authenticate is not None and self.authenticate._has_data():
                                return True

                            if self.authentication_restart is not None:
                                return True

                            if self.authorize is not None:
                                return True

                            if self.clear_session is not None:
                                return True

                            if self.pause is not None and self.pause._has_data():
                                return True

                            if self.resume is not None and self.resume._has_data():
                                return True

                            if self.terminate is not None and self.terminate._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.number is None:
                            raise YPYModelError('Key property number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:class-number[Cisco-IOS-XE-policy:number = ' + str(self.number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.number is not None:
                            return True

                        if self.action_number is not None:
                            for child_ref in self.action_number:
                                if child_ref._has_data():
                                    return True

                        if self.class_ is not None:
                            return True

                        if self.execution_type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.PolicyMap.Event.ClassNumber']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.event_type is None:
                        raise YPYModelError('Key property event_type is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:event[Cisco-IOS-XE-policy:event-type = ' + str(self.event_type) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event_type is not None:
                        return True

                    if self.class_number is not None:
                        for child_ref in self.class_number:
                            if child_ref._has_data():
                                return True

                    if self.match_type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Policy.PolicyMap.Event']['meta_info']


            class Class_(object):
                """
                policy criteria
                
                .. attribute:: name  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:   :py:class:`ClassNameTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_policy.ClassNameTypeEnum>`
                
                
                ----
                .. attribute:: action_list
                
                	
                	**type**\: list of    :py:class:`ActionList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList>`
                
                .. attribute:: appnav_policy
                
                	
                	**type**\:   :py:class:`AppnavPolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.AppnavPolicy>`
                
                .. attribute:: insert_before
                
                	Insert the class before a specified class
                	**type**\:  str
                
                .. attribute:: inspect_police
                
                	
                	**type**\:   :py:class:`InspectPolice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.InspectPolice>`
                
                .. attribute:: pm_policy
                
                	
                	**type**\:   :py:class:`PmPolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy>`
                
                .. attribute:: policy
                
                	
                	**type**\:   :py:class:`Policy_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.Policy_>`
                
                .. attribute:: type
                
                	type of the class\-map
                	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.TypeEnum>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.action_list = YList()
                    self.action_list.parent = self
                    self.action_list.name = 'action_list'
                    self.appnav_policy = Native.Policy.PolicyMap.Class_.AppnavPolicy()
                    self.appnav_policy.parent = self
                    self.insert_before = None
                    self.inspect_police = Native.Policy.PolicyMap.Class_.InspectPolice()
                    self.inspect_police.parent = self
                    self.pm_policy = Native.Policy.PolicyMap.Class_.PmPolicy()
                    self.pm_policy.parent = self
                    self.policy = Native.Policy.PolicyMap.Class_.Policy_()
                    self.policy.parent = self
                    self.type = None

                class TypeEnum(Enum):
                    """
                    TypeEnum

                    type of the class\-map

                    .. data:: inspect = 0

                    """

                    inspect = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.PolicyMap.Class_.TypeEnum']



                class AppnavPolicy(object):
                    """
                    
                    
                    .. attribute:: distribute
                    
                    	Distribute action
                    	**type**\: list of    :py:class:`Distribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.AppnavPolicy.Distribute>`
                    
                    .. attribute:: monitor_load
                    
                    	Monitor AO
                    	**type**\:   :py:class:`MonitorLoadEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.AppnavPolicy.MonitorLoadEnum>`
                    
                    .. attribute:: pass_through
                    
                    	pass\-through action
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.distribute = YList()
                        self.distribute.parent = self
                        self.distribute.name = 'distribute'
                        self.monitor_load = None
                        self.pass_through = None

                    class MonitorLoadEnum(Enum):
                        """
                        MonitorLoadEnum

                        Monitor AO

                        .. data:: MS_port_mapper = 0

                        .. data:: cifs = 1

                        .. data:: http = 2

                        .. data:: ica = 3

                        .. data:: mapi = 4

                        .. data:: nfs = 5

                        .. data:: ssl = 6

                        .. data:: video = 7

                        """

                        MS_port_mapper = 0

                        cifs = 1

                        http = 2

                        ica = 3

                        mapi = 4

                        nfs = 5

                        ssl = 6

                        video = 7


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.AppnavPolicy.MonitorLoadEnum']



                    class Distribute(object):
                        """
                        Distribute action
                        
                        .. attribute:: service_node_group  <key>
                        
                        	Distribute to service\-node\-group
                        	**type**\:  str
                        
                        .. attribute:: insert_before
                        
                        	Insert before specific node
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.service_node_group = None
                            self.insert_before = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.service_node_group is None:
                                raise YPYModelError('Key property service_node_group is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:distribute[Cisco-IOS-XE-policy:service-node-group = ' + str(self.service_node_group) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.service_node_group is not None:
                                return True

                            if self.insert_before is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.AppnavPolicy.Distribute']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:appnav-policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.distribute is not None:
                            for child_ref in self.distribute:
                                if child_ref._has_data():
                                    return True

                        if self.monitor_load is not None:
                            return True

                        if self.pass_through is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.PolicyMap.Class_.AppnavPolicy']['meta_info']


                class Policy_(object):
                    """
                    
                    
                    .. attribute:: action
                    
                    	
                    	**type**\:   :py:class:`ActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.Policy_.ActionEnum>`
                    
                    .. attribute:: dpi
                    
                    	
                    	**type**\:   :py:class:`Dpi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.Policy_.Dpi>`
                    
                    .. attribute:: log
                    
                    	Send logging message for drop or pass
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: parameter_map
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`ParameterMapEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.Policy_.ParameterMapEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.action = None
                        self.dpi = Native.Policy.PolicyMap.Class_.Policy_.Dpi()
                        self.dpi.parent = self
                        self.log = None
                        self.parameter_map = None

                    class ActionEnum(Enum):
                        """
                        ActionEnum

                        .. data:: cxsc = 0

                        .. data:: drop = 1

                        .. data:: inspect = 2

                        .. data:: pass_ = 3

                        .. data:: service_policy = 4

                        """

                        cxsc = 0

                        drop = 1

                        inspect = 2

                        pass_ = 3

                        service_policy = 4


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.Policy_.ActionEnum']


                    class ParameterMapEnum(Enum):
                        """
                        ParameterMapEnum

                        .. data:: global_ = 0

                        .. data:: gtp = 1

                        """

                        global_ = 0

                        gtp = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.Policy_.ParameterMapEnum']



                    class Dpi(object):
                        """
                        
                        
                        .. attribute:: policy_map
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: type
                        
                        	
                        	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.Policy_.Dpi.TypeEnum>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.policy_map = None
                            self.type = None

                        class TypeEnum(Enum):
                            """
                            TypeEnum

                            .. data:: gtpv0 = 0

                            .. data:: gtpv1 = 1

                            .. data:: imap = 2

                            .. data:: pop3 = 3

                            .. data:: smtp = 4

                            .. data:: sunrpc = 5

                            """

                            gtpv0 = 0

                            gtpv1 = 1

                            imap = 2

                            pop3 = 3

                            smtp = 4

                            sunrpc = 5


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.Policy_.Dpi.TypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:dpi'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.policy_map is not None:
                                return True

                            if self.type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.Policy_.Dpi']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.action is not None:
                            return True

                        if self.dpi is not None and self.dpi._has_data():
                            return True

                        if self.log is not None:
                            return True

                        if self.parameter_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.PolicyMap.Class_.Policy_']['meta_info']


                class PmPolicy(object):
                    """
                    
                    
                    .. attribute:: flow
                    
                    	Flow subcommands
                    	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.Flow>`
                    
                    .. attribute:: monitor
                    
                    	Monitor related parameters
                    	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.Monitor>`
                    
                    .. attribute:: react
                    
                    	Configure threshold crossing actions
                    	**type**\: list of    :py:class:`React <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.React>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.flow = Native.Policy.PolicyMap.Class_.PmPolicy.Flow()
                        self.flow.parent = self
                        self.monitor = Native.Policy.PolicyMap.Class_.PmPolicy.Monitor()
                        self.monitor.parent = self
                        self.react = YList()
                        self.react.parent = self
                        self.react.name = 'react'


                    class Flow(object):
                        """
                        Flow subcommands
                        
                        .. attribute:: monitor
                        
                        	Apply a Flow Monitor
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.monitor = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:flow'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.monitor is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.Flow']['meta_info']


                    class Monitor(object):
                        """
                        Monitor related parameters
                        
                        .. attribute:: metric
                        
                        	Monitor metric
                        	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric()
                            self.metric.parent = self


                        class Metric(object):
                            """
                            Monitor metric
                            
                            .. attribute:: rtp
                            
                            	RTP metrics parameters
                            	**type**\:   :py:class:`Rtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rtp = Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp()
                                self.rtp.parent = self


                            class Rtp(object):
                                """
                                RTP metrics parameters
                                
                                .. attribute:: clock_rate
                                
                                	RTP timestamp field's sampling frequency
                                	**type**\: list of    :py:class:`ClockRate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp.ClockRate>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.clock_rate = YList()
                                    self.clock_rate.parent = self
                                    self.clock_rate.name = 'clock_rate'


                                class ClockRate(object):
                                    """
                                    RTP timestamp field's sampling frequency
                                    
                                    .. attribute:: number  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  int
                                    
                                    	**range:** 0..127
                                    
                                    
                                    ----
                                    	**type**\:   :py:class:`NumberEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp.ClockRate.NumberEnum>`
                                    
                                    
                                    ----
                                    .. attribute:: frequency
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1000..192000
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.number = None
                                        self.frequency = None

                                    class NumberEnum(Enum):
                                        """
                                        NumberEnum

                                        .. data:: celb = 0

                                        .. data:: cn = 1

                                        .. data:: default = 2

                                        .. data:: dvi4 = 3

                                        .. data:: dvi4_2 = 4

                                        .. data:: dvi4_3 = 5

                                        .. data:: dvi4_4 = 6

                                        .. data:: g722 = 7

                                        .. data:: g723 = 8

                                        .. data:: g728 = 9

                                        .. data:: g729 = 10

                                        .. data:: gsm = 11

                                        .. data:: h261 = 12

                                        .. data:: h263 = 13

                                        .. data:: jpeg = 14

                                        .. data:: l16 = 15

                                        .. data:: l16_2 = 16

                                        .. data:: lpc = 17

                                        .. data:: mp2t = 18

                                        .. data:: mpa = 19

                                        .. data:: mpv = 20

                                        .. data:: nv = 21

                                        .. data:: pcma = 22

                                        .. data:: pcmu = 23

                                        .. data:: qcelp = 24

                                        """

                                        celb = 0

                                        cn = 1

                                        default = 2

                                        dvi4 = 3

                                        dvi4_2 = 4

                                        dvi4_3 = 5

                                        dvi4_4 = 6

                                        g722 = 7

                                        g723 = 8

                                        g728 = 9

                                        g729 = 10

                                        gsm = 11

                                        h261 = 12

                                        h263 = 13

                                        jpeg = 14

                                        l16 = 15

                                        l16_2 = 16

                                        lpc = 17

                                        mp2t = 18

                                        mpa = 19

                                        mpv = 20

                                        nv = 21

                                        pcma = 22

                                        pcmu = 23

                                        qcelp = 24


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp.ClockRate.NumberEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.number is None:
                                            raise YPYModelError('Key property number is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:clock-rate[Cisco-IOS-XE-policy:number = ' + str(self.number) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.number is not None:
                                            return True

                                        if self.frequency is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp.ClockRate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:rtp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.clock_rate is not None:
                                        for child_ref in self.clock_rate:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:metric'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rtp is not None and self.rtp._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None and self.metric._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.Monitor']['meta_info']


                    class React(object):
                        """
                        Configure threshold crossing actions
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: action
                        
                        	Config react action
                        	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.React.Action>`
                        
                        .. attribute:: alarm
                        
                        	Config react alarm
                        	**type**\:   :py:class:`Alarm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm>`
                        
                        .. attribute:: description
                        
                        	Description for the instance
                        	**type**\:  str
                        
                        .. attribute:: mode
                        
                        	
                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.React.ModeEnum>`
                        
                        .. attribute:: threshold
                        
                        	Config react threshold
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.action = Native.Policy.PolicyMap.Class_.PmPolicy.React.Action()
                            self.action.parent = self
                            self.alarm = Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm()
                            self.alarm.parent = self
                            self.description = None
                            self.mode = None
                            self.threshold = Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold()
                            self.threshold.parent = self

                        class ModeEnum(Enum):
                            """
                            ModeEnum

                            .. data:: media_stop = 0

                            .. data:: mrv = 1

                            .. data:: rtp_jitter_average = 2

                            .. data:: transport_packets_lost_rate = 3

                            """

                            media_stop = 0

                            mrv = 1

                            rtp_jitter_average = 2

                            transport_packets_lost_rate = 3


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React.ModeEnum']



                        class Action(object):
                            """
                            Config react action
                            
                            .. attribute:: snmp
                            
                            	SNMP is notified of the event
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: syslog
                            
                            	The threshold\-crossing event is logged to syslog
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.snmp = None
                                self.syslog = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:action'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.snmp is not None:
                                    return True

                                if self.syslog is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React.Action']['meta_info']


                        class Alarm(object):
                            """
                            Config react alarm
                            
                            .. attribute:: severity
                            
                            	Alarm severity \- default level none
                            	**type**\:   :py:class:`SeverityEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.SeverityEnum>`
                            
                            .. attribute:: type
                            
                            	Alarm raised type \- for each flow or a group
                            	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.severity = None
                                self.type = Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type()
                                self.type.parent = self

                            class SeverityEnum(Enum):
                                """
                                SeverityEnum

                                Alarm severity \- default level none

                                .. data:: alert = 0

                                .. data:: critical = 1

                                .. data:: emergency = 2

                                .. data:: error = 3

                                .. data:: info = 4

                                """

                                alert = 0

                                critical = 1

                                emergency = 2

                                error = 3

                                info = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.SeverityEnum']



                            class Type(object):
                                """
                                Alarm raised type \- for each flow or a group
                                
                                .. attribute:: discrete
                                
                                	Alert for each flow within the class
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: grouped
                                
                                	Alert if more than one flow cross the threshold
                                	**type**\:   :py:class:`Grouped <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type.Grouped>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.discrete = None
                                    self.grouped = Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type.Grouped()
                                    self.grouped.parent = self


                                class Grouped(object):
                                    """
                                    Alert if more than one flow cross the threshold
                                    
                                    .. attribute:: count
                                    
                                    	Number of flows in the group cross the threshold
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: percent
                                    
                                    	Percent of flows in the group cross the threshold
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.count = None
                                        self.percent = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:grouped'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.count is not None:
                                            return True

                                        if self.percent is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type.Grouped']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:type'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.discrete is not None:
                                        return True

                                    if self.grouped is not None and self.grouped._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:alarm'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.severity is not None:
                                    return True

                                if self.type is not None and self.type._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm']['meta_info']


                        class Threshold(object):
                            """
                            Config react threshold
                            
                            .. attribute:: value
                            
                            	Range of percentage loss that would trigger the alarm
                            	**type**\:   :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.value = Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value()
                                self.value.parent = self


                            class Value(object):
                                """
                                Range of percentage loss that would trigger the alarm
                                
                                .. attribute:: ge
                                
                                	greater and equal to
                                	**type**\:  str
                                
                                .. attribute:: gt
                                
                                	greater than
                                	**type**\:  str
                                
                                .. attribute:: le
                                
                                	less and equal to
                                	**type**\:  str
                                
                                .. attribute:: lt
                                
                                	less than
                                	**type**\:  str
                                
                                .. attribute:: range
                                
                                	threshold within the range of
                                	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value.Range>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ge = None
                                    self.gt = None
                                    self.le = None
                                    self.lt = None
                                    self.range = Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value.Range()
                                    self.range.parent = self


                                class Range(object):
                                    """
                                    threshold within the range of
                                    
                                    .. attribute:: high
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: low
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.high = None
                                        self.low = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:range'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.high is not None:
                                            return True

                                        if self.low is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value.Range']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:value'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ge is not None:
                                        return True

                                    if self.gt is not None:
                                        return True

                                    if self.le is not None:
                                        return True

                                    if self.lt is not None:
                                        return True

                                    if self.range is not None and self.range._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.value is not None and self.value._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:react[Cisco-IOS-XE-policy:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.action is not None and self.action._has_data():
                                return True

                            if self.alarm is not None and self.alarm._has_data():
                                return True

                            if self.description is not None:
                                return True

                            if self.mode is not None:
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.PmPolicy.React']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:pm-policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.flow is not None and self.flow._has_data():
                            return True

                        if self.monitor is not None and self.monitor._has_data():
                            return True

                        if self.react is not None:
                            for child_ref in self.react:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.PolicyMap.Class_.PmPolicy']['meta_info']


                class InspectPolice(object):
                    """
                    
                    
                    .. attribute:: police
                    
                    	Police
                    	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.InspectPolice.Police>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.police = Native.Policy.PolicyMap.Class_.InspectPolice.Police()
                        self.police.parent = self


                    class Police(object):
                        """
                        Police
                        
                        .. attribute:: burst
                        
                        	Specify 'burst' parameter
                        	**type**\:  int
                        
                        	**range:** 1000..512000000
                        
                        .. attribute:: rate
                        
                        	Specify police rate
                        	**type**\:  int
                        
                        	**range:** 8000..2000000000
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.burst = None
                            self.rate = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:police'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.burst is not None:
                                return True

                            if self.rate is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.InspectPolice.Police']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:inspect-police'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.police is not None and self.police._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.PolicyMap.Class_.InspectPolice']['meta_info']


                class ActionList(object):
                    """
                    
                    
                    .. attribute:: action_type  <key>
                    
                    	
                    	**type**\:   :py:class:`PolicyActionTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_policy.PolicyActionTypeEnum>`
                    
                    .. attribute:: bandwidth
                    
                    	
                    	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Bandwidth>`
                    
                    .. attribute:: compression
                    
                    	
                    	**type**\:   :py:class:`Compression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Compression>`
                    
                    .. attribute:: estimate
                    
                    	
                    	**type**\:   :py:class:`Estimate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Estimate>`
                    
                    .. attribute:: fair_queue
                    
                    	
                    	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.FairQueue>`
                    
                    .. attribute:: forward
                    
                    	
                    	**type**\:   :py:class:`Forward <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Forward>`
                    
                    .. attribute:: netflow_sampler
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: police_aggregate
                    
                    	
                    	**type**\:   :py:class:`PoliceAggregate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate>`
                    
                    .. attribute:: police_catalyst
                    
                    	
                    	**type**\:   :py:class:`PoliceCatalyst <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst>`
                    
                    .. attribute:: police_cir_percent
                    
                    	
                    	**type**\:   :py:class:`PoliceCirPercent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent>`
                    
                    .. attribute:: police_flow
                    
                    	
                    	**type**\:   :py:class:`PoliceFlow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow>`
                    
                    .. attribute:: police_policy_map
                    
                    	
                    	**type**\:   :py:class:`PolicePolicyMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap>`
                    
                    .. attribute:: police_rate_pdp
                    
                    	
                    	**type**\:   :py:class:`PoliceRatePdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp>`
                    
                    .. attribute:: police_rate_percent
                    
                    	
                    	**type**\:   :py:class:`PoliceRatePercent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent>`
                    
                    .. attribute:: police_rate_unit
                    
                    	
                    	**type**\:   :py:class:`PoliceRateUnit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit>`
                    
                    .. attribute:: police_switch
                    
                    	
                    	**type**\:   :py:class:`PoliceSwitch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch>`
                    
                    .. attribute:: police_target_bitrate
                    
                    	
                    	**type**\:   :py:class:`PoliceTargetBitrate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate>`
                    
                    .. attribute:: priority
                    
                    	
                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Priority>`
                    
                    .. attribute:: queue_buffers
                    
                    	
                    	**type**\:   :py:class:`QueueBuffers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.QueueBuffers>`
                    
                    .. attribute:: queue_limit
                    
                    	
                    	**type**\:   :py:class:`QueueLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.QueueLimit>`
                    
                    .. attribute:: queue_limit_dscp
                    
                    	
                    	**type**\:   :py:class:`QueueLimitDscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp>`
                    
                    .. attribute:: random_detect
                    
                    	
                    	**type**\:   :py:class:`RandomDetect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.RandomDetect>`
                    
                    .. attribute:: service_policy
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: set
                    
                    	
                    	**type**\:   :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set>`
                    
                    .. attribute:: shape
                    
                    	
                    	**type**\:   :py:class:`Shape <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Shape>`
                    
                    .. attribute:: trust
                    
                    	
                    	**type**\:   :py:class:`TrustEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.TrustEnum>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.action_type = None
                        self.bandwidth = Native.Policy.PolicyMap.Class_.ActionList.Bandwidth()
                        self.bandwidth.parent = self
                        self.compression = Native.Policy.PolicyMap.Class_.ActionList.Compression()
                        self.compression.parent = self
                        self.estimate = Native.Policy.PolicyMap.Class_.ActionList.Estimate()
                        self.estimate.parent = self
                        self.fair_queue = Native.Policy.PolicyMap.Class_.ActionList.FairQueue()
                        self.fair_queue.parent = self
                        self.forward = Native.Policy.PolicyMap.Class_.ActionList.Forward()
                        self.forward.parent = self
                        self.netflow_sampler = None
                        self.police_aggregate = Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate()
                        self.police_aggregate.parent = self
                        self.police_catalyst = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst()
                        self.police_catalyst.parent = self
                        self.police_cir_percent = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent()
                        self.police_cir_percent.parent = self
                        self.police_flow = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow()
                        self.police_flow.parent = self
                        self.police_policy_map = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap()
                        self.police_policy_map.parent = self
                        self.police_rate_pdp = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp()
                        self.police_rate_pdp.parent = self
                        self.police_rate_percent = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent()
                        self.police_rate_percent.parent = self
                        self.police_rate_unit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit()
                        self.police_rate_unit.parent = self
                        self.police_switch = Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch()
                        self.police_switch.parent = self
                        self.police_target_bitrate = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate()
                        self.police_target_bitrate.parent = self
                        self.priority = Native.Policy.PolicyMap.Class_.ActionList.Priority()
                        self.priority.parent = self
                        self.queue_buffers = Native.Policy.PolicyMap.Class_.ActionList.QueueBuffers()
                        self.queue_buffers.parent = self
                        self.queue_limit = Native.Policy.PolicyMap.Class_.ActionList.QueueLimit()
                        self.queue_limit.parent = self
                        self.queue_limit_dscp = Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp()
                        self.queue_limit_dscp.parent = self
                        self.random_detect = Native.Policy.PolicyMap.Class_.ActionList.RandomDetect()
                        self.random_detect.parent = self
                        self.service_policy = None
                        self.set = Native.Policy.PolicyMap.Class_.ActionList.Set()
                        self.set.parent = self
                        self.shape = Native.Policy.PolicyMap.Class_.ActionList.Shape()
                        self.shape.parent = self
                        self.trust = None

                    class TrustEnum(Enum):
                        """
                        TrustEnum

                        .. data:: cos = 0

                        .. data:: dscp = 1

                        .. data:: ip_precedence = 2

                        """

                        cos = 0

                        dscp = 1

                        ip_precedence = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.TrustEnum']



                    class Bandwidth(object):
                        """
                        
                        
                        .. attribute:: bits
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 8..2000000
                        
                        .. attribute:: percent
                        
                        	% of total Bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        .. attribute:: remaining
                        
                        	% of the remaining bandwidth
                        	**type**\:   :py:class:`Remaining <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bits = None
                            self.percent = None
                            self.remaining = Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining()
                            self.remaining.parent = self


                        class Remaining(object):
                            """
                            % of the remaining bandwidth
                            
                            .. attribute:: account
                            
                            	Overhead Accounting
                            	**type**\:   :py:class:`Account <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining.Account>`
                            
                            .. attribute:: percent
                            
                            	% of the remaining bandwidth
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            .. attribute:: ratio
                            
                            	ratio for sharing excess bandwidth
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: rem_option
                            
                            	
                            	**type**\:   :py:class:`RemOptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining.RemOptionEnum>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.account = Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining.Account()
                                self.account.parent = self
                                self.percent = None
                                self.ratio = None
                                self.rem_option = None

                            class RemOptionEnum(Enum):
                                """
                                RemOptionEnum

                                .. data:: percent = 0

                                .. data:: ratio = 1

                                """

                                percent = 0

                                ratio = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining.RemOptionEnum']



                            class Account(object):
                                """
                                Overhead Accounting
                                
                                .. attribute:: user_defined
                                
                                	Offset Size
                                	**type**\:  int
                                
                                	**range:** 8..2000000
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.user_defined = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:account'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.user_defined is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining.Account']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:remaining'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.account is not None and self.account._has_data():
                                    return True

                                if self.percent is not None:
                                    return True

                                if self.ratio is not None:
                                    return True

                                if self.rem_option is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:bandwidth'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bits is not None:
                                return True

                            if self.percent is not None:
                                return True

                            if self.remaining is not None and self.remaining._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Bandwidth']['meta_info']


                    class Compression(object):
                        """
                        
                        
                        .. attribute:: header
                        
                        	configure header compression
                        	**type**\:   :py:class:`Header <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Compression.Header>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.header = None


                        class Header(object):
                            """
                            configure header compression
                            
                            .. attribute:: ip
                            
                            	configure ip header compression
                            	**type**\:   :py:class:`IpEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Compression.Header.IpEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.ip = None

                            class IpEnum(Enum):
                                """
                                IpEnum

                                configure ip header compression

                                .. data:: rtp = 0

                                .. data:: tcp = 1

                                """

                                rtp = 0

                                tcp = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Compression.Header.IpEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:header'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.ip is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Compression.Header']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:compression'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.header is not None and self.header._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Compression']['meta_info']


                    class Estimate(object):
                        """
                        
                        
                        .. attribute:: bandwidth
                        
                        	bandwidth required to service this class
                        	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bandwidth = None


                        class Bandwidth(object):
                            """
                            bandwidth required to service this class
                            
                            .. attribute:: delay_one_in
                            
                            	specify QoS target delay
                            	**type**\:   :py:class:`DelayOneIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth.DelayOneIn>`
                            
                            .. attribute:: drop_one_in
                            
                            	specify QoS target loss rate
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.delay_one_in = Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth.DelayOneIn()
                                self.delay_one_in.parent = self
                                self.drop_one_in = None


                            class DelayOneIn(object):
                                """
                                specify QoS target delay
                                
                                .. attribute:: doi
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 50..1000000
                                
                                .. attribute:: milliseconds
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 8..1000
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.doi = None
                                    self.milliseconds = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:delay-one-in'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.doi is not None:
                                        return True

                                    if self.milliseconds is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth.DelayOneIn']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:bandwidth'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.delay_one_in is not None and self.delay_one_in._has_data():
                                    return True

                                if self.drop_one_in is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:estimate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bandwidth is not None and self.bandwidth._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Estimate']['meta_info']


                    class Forward(object):
                        """
                        
                        
                        .. attribute:: service_index
                        
                        	Service Index
                        	**type**\:  int
                        
                        	**range:** 2..255
                        
                        .. attribute:: service_path
                        
                        	Service Path Entries
                        	**type**\:  int
                        
                        	**range:** 0..16777215
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.service_index = None
                            self.service_path = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:forward'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.service_index is not None:
                                return True

                            if self.service_path is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Forward']['meta_info']


                    class FairQueue(object):
                        """
                        
                        
                        .. attribute:: dynamic_queues
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 16..None \| 32..None \| 64..None \| 128..None \| 256..None \| 512..None \| 1024..None \| 2048..None \| 4096..None
                        
                        .. attribute:: queue_limit
                        
                        	per flow queue limit
                        	**type**\:  int
                        
                        	**range:** 1..32768
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dynamic_queues = None
                            self.queue_limit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:fair-queue'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dynamic_queues is not None:
                                return True

                            if self.queue_limit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.FairQueue']['meta_info']


                    class PoliceAggregate(object):
                        """
                        
                        
                        .. attribute:: police
                        
                        	
                        	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate.Police>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.police = Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate.Police()
                            self.police.parent = self


                        class Police(object):
                            """
                            
                            
                            .. attribute:: aggregate
                            
                            	Choose aggregate policer for current class
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aggregate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:police'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aggregate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate.Police']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:police-aggregate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.police is not None and self.police._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate']['meta_info']


                    class PolicePolicyMap(object):
                        """
                        
                        
                        .. attribute:: police
                        
                        	
                        	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.police = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police()
                            self.police.parent = self


                        class Police(object):
                            """
                            
                            
                            .. attribute:: actions
                            
                            	
                            	**type**\:   :py:class:`Actions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions>`
                            
                            .. attribute:: bc
                            
                            	Conform burst
                            	**type**\:  int
                            
                            	**range:** 1000..512000000
                            
                            .. attribute:: be
                            
                            	Excess burst
                            	**type**\:  int
                            
                            	**range:** 1000..512000000
                            
                            .. attribute:: cir
                            
                            	Committed information rate
                            	**type**\:  int
                            
                            	**range:** 8000..64000000000
                            
                            .. attribute:: pir
                            
                            	Peak Information Rate
                            	**type**\:  int
                            
                            	**range:** 8000..64000000000
                            
                            .. attribute:: pir_be
                            
                            	
                            	**type**\:   :py:class:`PirBe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.PirBe>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.actions = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions()
                                self.actions.parent = self
                                self.bc = None
                                self.be = None
                                self.cir = None
                                self.pir = None
                                self.pir_be = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.PirBe()
                                self.pir_be.parent = self


                            class PirBe(object):
                                """
                                
                                
                                .. attribute:: be
                                
                                	Excess burst
                                	**type**\:  int
                                
                                	**range:** 1000..512000000
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.be = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:pir-be'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.be is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.PirBe']['meta_info']


                            class Actions(object):
                                """
                                
                                
                                .. attribute:: conform_drop
                                
                                	
                                	**type**\:   :py:class:`ConformDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop>`
                                
                                .. attribute:: conform_set_clp_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit>`
                                
                                .. attribute:: conform_set_cos_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit>`
                                
                                .. attribute:: conform_set_cos_transmit_table
                                
                                	
                                	**type**\:   :py:class:`ConformSetCosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable>`
                                
                                .. attribute:: conform_set_discard_class_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit>`
                                
                                .. attribute:: conform_set_dscp_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit>`
                                
                                .. attribute:: conform_set_dscp_transmit_table
                                
                                	
                                	**type**\:   :py:class:`ConformSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable>`
                                
                                .. attribute:: conform_set_frde_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit>`
                                
                                .. attribute:: conform_set_mpls_exp_imposition_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit>`
                                
                                .. attribute:: conform_set_mpls_exp_imposition_transmit_table
                                
                                	
                                	**type**\:   :py:class:`ConformSetMplsExpImpositionTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable>`
                                
                                .. attribute:: conform_set_mpls_exp_topmost_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit>`
                                
                                .. attribute:: conform_set_mpls_exp_topmost_transmit_table
                                
                                	
                                	**type**\:   :py:class:`ConformSetMplsExpTopmostTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable>`
                                
                                .. attribute:: conform_set_prec_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit>`
                                
                                .. attribute:: conform_set_prec_transmit_table
                                
                                	
                                	**type**\:   :py:class:`ConformSetPrecTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable>`
                                
                                .. attribute:: conform_set_qos_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit>`
                                
                                .. attribute:: conform_set_qos_transmit_table
                                
                                	
                                	**type**\:   :py:class:`ConformSetQosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable>`
                                
                                .. attribute:: conform_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit>`
                                
                                .. attribute:: exceed_drop
                                
                                	
                                	**type**\:   :py:class:`ExceedDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop>`
                                
                                .. attribute:: exceed_dscp
                                
                                	
                                	**type**\:   :py:class:`ExceedDscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp>`
                                
                                .. attribute:: exceed_set_clp_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit>`
                                
                                .. attribute:: exceed_set_cos_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit>`
                                
                                .. attribute:: exceed_set_discard_class_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit>`
                                
                                .. attribute:: exceed_set_dscp_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit>`
                                
                                .. attribute:: exceed_set_dscp_transmit_table
                                
                                	
                                	**type**\:   :py:class:`ExceedSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable>`
                                
                                .. attribute:: exceed_set_frde_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit>`
                                
                                .. attribute:: exceed_set_mpls_exp_imposition_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit>`
                                
                                .. attribute:: exceed_set_mpls_exp_topmost_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit>`
                                
                                .. attribute:: exceed_set_prec_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit>`
                                
                                .. attribute:: exceed_set_qos_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit>`
                                
                                .. attribute:: exceed_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit>`
                                
                                .. attribute:: violate_drop
                                
                                	
                                	**type**\:   :py:class:`ViolateDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop>`
                                
                                .. attribute:: violate_set_clp_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit>`
                                
                                .. attribute:: violate_set_cos_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit>`
                                
                                .. attribute:: violate_set_discard_class_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit>`
                                
                                .. attribute:: violate_set_dscp_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit>`
                                
                                .. attribute:: violate_set_frde_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit>`
                                
                                .. attribute:: violate_set_mpls_exp_imposition_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit>`
                                
                                .. attribute:: violate_set_mpls_exp_topmost_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit>`
                                
                                .. attribute:: violate_set_prec_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit>`
                                
                                .. attribute:: violate_set_qos_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit>`
                                
                                .. attribute:: violate_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.conform_drop = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop()
                                    self.conform_drop.parent = self
                                    self.conform_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit()
                                    self.conform_set_clp_transmit.parent = self
                                    self.conform_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit()
                                    self.conform_set_cos_transmit.parent = self
                                    self.conform_set_cos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable()
                                    self.conform_set_cos_transmit_table.parent = self
                                    self.conform_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit()
                                    self.conform_set_discard_class_transmit.parent = self
                                    self.conform_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit()
                                    self.conform_set_dscp_transmit.parent = self
                                    self.conform_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable()
                                    self.conform_set_dscp_transmit_table.parent = self
                                    self.conform_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit()
                                    self.conform_set_frde_transmit.parent = self
                                    self.conform_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit()
                                    self.conform_set_mpls_exp_imposition_transmit.parent = self
                                    self.conform_set_mpls_exp_imposition_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable()
                                    self.conform_set_mpls_exp_imposition_transmit_table.parent = self
                                    self.conform_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit()
                                    self.conform_set_mpls_exp_topmost_transmit.parent = self
                                    self.conform_set_mpls_exp_topmost_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable()
                                    self.conform_set_mpls_exp_topmost_transmit_table.parent = self
                                    self.conform_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit()
                                    self.conform_set_prec_transmit.parent = self
                                    self.conform_set_prec_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable()
                                    self.conform_set_prec_transmit_table.parent = self
                                    self.conform_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit()
                                    self.conform_set_qos_transmit.parent = self
                                    self.conform_set_qos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable()
                                    self.conform_set_qos_transmit_table.parent = self
                                    self.conform_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit()
                                    self.conform_transmit.parent = self
                                    self.exceed_drop = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop()
                                    self.exceed_drop.parent = self
                                    self.exceed_dscp = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp()
                                    self.exceed_dscp.parent = self
                                    self.exceed_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit()
                                    self.exceed_set_clp_transmit.parent = self
                                    self.exceed_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit()
                                    self.exceed_set_cos_transmit.parent = self
                                    self.exceed_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit()
                                    self.exceed_set_discard_class_transmit.parent = self
                                    self.exceed_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit()
                                    self.exceed_set_dscp_transmit.parent = self
                                    self.exceed_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable()
                                    self.exceed_set_dscp_transmit_table.parent = self
                                    self.exceed_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit()
                                    self.exceed_set_frde_transmit.parent = self
                                    self.exceed_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit()
                                    self.exceed_set_mpls_exp_imposition_transmit.parent = self
                                    self.exceed_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit()
                                    self.exceed_set_mpls_exp_topmost_transmit.parent = self
                                    self.exceed_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit()
                                    self.exceed_set_prec_transmit.parent = self
                                    self.exceed_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit()
                                    self.exceed_set_qos_transmit.parent = self
                                    self.exceed_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit()
                                    self.exceed_transmit.parent = self
                                    self.violate_drop = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop()
                                    self.violate_drop.parent = self
                                    self.violate_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit()
                                    self.violate_set_clp_transmit.parent = self
                                    self.violate_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit()
                                    self.violate_set_cos_transmit.parent = self
                                    self.violate_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit()
                                    self.violate_set_discard_class_transmit.parent = self
                                    self.violate_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit()
                                    self.violate_set_dscp_transmit.parent = self
                                    self.violate_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit()
                                    self.violate_set_frde_transmit.parent = self
                                    self.violate_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit()
                                    self.violate_set_mpls_exp_imposition_transmit.parent = self
                                    self.violate_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit()
                                    self.violate_set_mpls_exp_topmost_transmit.parent = self
                                    self.violate_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit()
                                    self.violate_set_prec_transmit.parent = self
                                    self.violate_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit()
                                    self.violate_set_qos_transmit.parent = self
                                    self.violate_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit()
                                    self.violate_transmit.parent = self


                                class ConformSetClpTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_clp_transmit
                                        
                                        	set atm clp and send it
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_clp_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_clp_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-clp-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit']['meta_info']


                                class ConformSetCosTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_cos_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_cos_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-cos-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit']['meta_info']


                                class ConformSetCosTransmitTable(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_cos_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_cos_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-cos-transmit-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable']['meta_info']


                                class ConformSetDiscardClassTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_discard_class_transmit
                                        
                                        	set discard\-class and send it
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_discard_class_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_discard_class_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-discard-class-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit']['meta_info']


                                class ConformSetDscpTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..63
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_dscp_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_dscp_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-dscp-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit']['meta_info']


                                class ConformSetDscpTransmitTable(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..63
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_dscp_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_dscp_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-dscp-transmit-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable']['meta_info']


                                class ConformSetFrdeTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_frde_transmit
                                        
                                        	set FR DE and send it
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_frde_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_frde_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-frde-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit']['meta_info']


                                class ConformSetMplsExpImpositionTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_imposition_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_imposition_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-imposition-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit']['meta_info']


                                class ConformSetMplsExpImpositionTransmitTable(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_imposition_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_imposition_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-imposition-transmit-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info']


                                class ConformSetMplsExpTopmostTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_topmost_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_topmost_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-topmost-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit']['meta_info']


                                class ConformSetMplsExpTopmostTransmitTable(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_topmost_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_topmost_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-topmost-transmit-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info']


                                class ConformSetPrecTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_prec_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_prec_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-prec-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit']['meta_info']


                                class ConformSetPrecTransmitTable(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_prec_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_prec_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-prec-transmit-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable']['meta_info']


                                class ConformSetQosTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..99
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_qos_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_qos_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-qos-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit']['meta_info']


                                class ConformSetQosTransmitTable(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..99
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_qos_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_qos_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-qos-transmit-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable']['meta_info']


                                class ConformTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: transmit
                                        
                                        	transmit packet
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit']['meta_info']


                                class ConformDrop(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: drop
                                        
                                        	drop packet
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.drop = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.drop is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-drop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop']['meta_info']


                                class ExceedDscp(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: dscp
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..63
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dscp = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dscp is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-dscp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp']['meta_info']


                                class ExceedSetClpTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_clp_transmit
                                        
                                        	set atm clp and send it
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_clp_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_clp_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-clp-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit']['meta_info']


                                class ExceedSetCosTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_cos_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_cos_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-cos-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit']['meta_info']


                                class ExceedSetDiscardClassTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_discard_class_transmit
                                        
                                        	set discard\-class and send it
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_discard_class_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_discard_class_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-discard-class-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit']['meta_info']


                                class ExceedSetDscpTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`SetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit()
                                            self.set_dscp_transmit.parent = self


                                        class SetDscpTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: dscp
                                            
                                            	
                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dscp = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp()
                                                self.dscp.parent = self


                                            class Dscp(object):
                                                """
                                                
                                                
                                                .. attribute:: table
                                                
                                                	
                                                	**type**\:   :py:class:`TableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.table = None

                                                class TableEnum(Enum):
                                                    """
                                                    TableEnum

                                                    .. data:: policed_dscp = 0

                                                    """

                                                    policed_dscp = 0


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:dscp'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:set-dscp-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dscp is not None and self.dscp._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_dscp_transmit is not None and self.set_dscp_transmit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-dscp-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit']['meta_info']


                                class ExceedSetDscpTransmitTable(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..63
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_dscp_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_dscp_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-dscp-transmit-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable']['meta_info']


                                class ExceedSetFrdeTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_frde_transmit
                                        
                                        	set FR DE and send it
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_frde_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_frde_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-frde-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit']['meta_info']


                                class ExceedSetMplsExpImpositionTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_imposition_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_imposition_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-mpls-exp-imposition-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info']


                                class ExceedSetMplsExpTopmostTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_topmost_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_topmost_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-mpls-exp-topmost-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info']


                                class ExceedSetPrecTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_prec_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_prec_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-prec-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit']['meta_info']


                                class ExceedSetQosTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..99
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_qos_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_qos_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-qos-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit']['meta_info']


                                class ExceedTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: transmit
                                        
                                        	transmit packet
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit']['meta_info']


                                class ExceedDrop(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: drop
                                        
                                        	drop packet
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.drop = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.drop is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-drop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop']['meta_info']


                                class ViolateSetClpTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_clp_transmit
                                        
                                        	set atm clp and send it
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_clp_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_clp_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-clp-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit']['meta_info']


                                class ViolateSetCosTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_cos_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_cos_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-cos-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit']['meta_info']


                                class ViolateSetDiscardClassTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_discard_class_transmit
                                        
                                        	set discard\-class and send it
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_discard_class_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_discard_class_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-discard-class-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit']['meta_info']


                                class ViolateSetDscpTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..63
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_dscp_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_dscp_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-dscp-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit']['meta_info']


                                class ViolateSetFrdeTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_frde_transmit
                                        
                                        	set FR DE and send it
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_frde_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_frde_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-frde-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit']['meta_info']


                                class ViolateSetMplsExpImpositionTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_imposition_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_imposition_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-mpls-exp-imposition-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info']


                                class ViolateSetMplsExpTopmostTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_topmost_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_topmost_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-mpls-exp-topmost-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info']


                                class ViolateSetPrecTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_prec_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_prec_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-prec-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit']['meta_info']


                                class ViolateSetQosTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..99
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_qos_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_qos_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-qos-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit']['meta_info']


                                class ViolateTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: transmit
                                        
                                        	transmit packet
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit']['meta_info']


                                class ViolateDrop(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: drop
                                        
                                        	drop packet
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.drop = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.drop is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-drop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:actions'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.conform_drop is not None and self.conform_drop._has_data():
                                        return True

                                    if self.conform_set_clp_transmit is not None and self.conform_set_clp_transmit._has_data():
                                        return True

                                    if self.conform_set_cos_transmit is not None and self.conform_set_cos_transmit._has_data():
                                        return True

                                    if self.conform_set_cos_transmit_table is not None and self.conform_set_cos_transmit_table._has_data():
                                        return True

                                    if self.conform_set_discard_class_transmit is not None and self.conform_set_discard_class_transmit._has_data():
                                        return True

                                    if self.conform_set_dscp_transmit is not None and self.conform_set_dscp_transmit._has_data():
                                        return True

                                    if self.conform_set_dscp_transmit_table is not None and self.conform_set_dscp_transmit_table._has_data():
                                        return True

                                    if self.conform_set_frde_transmit is not None and self.conform_set_frde_transmit._has_data():
                                        return True

                                    if self.conform_set_mpls_exp_imposition_transmit is not None and self.conform_set_mpls_exp_imposition_transmit._has_data():
                                        return True

                                    if self.conform_set_mpls_exp_imposition_transmit_table is not None and self.conform_set_mpls_exp_imposition_transmit_table._has_data():
                                        return True

                                    if self.conform_set_mpls_exp_topmost_transmit is not None and self.conform_set_mpls_exp_topmost_transmit._has_data():
                                        return True

                                    if self.conform_set_mpls_exp_topmost_transmit_table is not None and self.conform_set_mpls_exp_topmost_transmit_table._has_data():
                                        return True

                                    if self.conform_set_prec_transmit is not None and self.conform_set_prec_transmit._has_data():
                                        return True

                                    if self.conform_set_prec_transmit_table is not None and self.conform_set_prec_transmit_table._has_data():
                                        return True

                                    if self.conform_set_qos_transmit is not None and self.conform_set_qos_transmit._has_data():
                                        return True

                                    if self.conform_set_qos_transmit_table is not None and self.conform_set_qos_transmit_table._has_data():
                                        return True

                                    if self.conform_transmit is not None and self.conform_transmit._has_data():
                                        return True

                                    if self.exceed_drop is not None and self.exceed_drop._has_data():
                                        return True

                                    if self.exceed_dscp is not None and self.exceed_dscp._has_data():
                                        return True

                                    if self.exceed_set_clp_transmit is not None and self.exceed_set_clp_transmit._has_data():
                                        return True

                                    if self.exceed_set_cos_transmit is not None and self.exceed_set_cos_transmit._has_data():
                                        return True

                                    if self.exceed_set_discard_class_transmit is not None and self.exceed_set_discard_class_transmit._has_data():
                                        return True

                                    if self.exceed_set_dscp_transmit is not None and self.exceed_set_dscp_transmit._has_data():
                                        return True

                                    if self.exceed_set_dscp_transmit_table is not None and self.exceed_set_dscp_transmit_table._has_data():
                                        return True

                                    if self.exceed_set_frde_transmit is not None and self.exceed_set_frde_transmit._has_data():
                                        return True

                                    if self.exceed_set_mpls_exp_imposition_transmit is not None and self.exceed_set_mpls_exp_imposition_transmit._has_data():
                                        return True

                                    if self.exceed_set_mpls_exp_topmost_transmit is not None and self.exceed_set_mpls_exp_topmost_transmit._has_data():
                                        return True

                                    if self.exceed_set_prec_transmit is not None and self.exceed_set_prec_transmit._has_data():
                                        return True

                                    if self.exceed_set_qos_transmit is not None and self.exceed_set_qos_transmit._has_data():
                                        return True

                                    if self.exceed_transmit is not None and self.exceed_transmit._has_data():
                                        return True

                                    if self.violate_drop is not None and self.violate_drop._has_data():
                                        return True

                                    if self.violate_set_clp_transmit is not None and self.violate_set_clp_transmit._has_data():
                                        return True

                                    if self.violate_set_cos_transmit is not None and self.violate_set_cos_transmit._has_data():
                                        return True

                                    if self.violate_set_discard_class_transmit is not None and self.violate_set_discard_class_transmit._has_data():
                                        return True

                                    if self.violate_set_dscp_transmit is not None and self.violate_set_dscp_transmit._has_data():
                                        return True

                                    if self.violate_set_frde_transmit is not None and self.violate_set_frde_transmit._has_data():
                                        return True

                                    if self.violate_set_mpls_exp_imposition_transmit is not None and self.violate_set_mpls_exp_imposition_transmit._has_data():
                                        return True

                                    if self.violate_set_mpls_exp_topmost_transmit is not None and self.violate_set_mpls_exp_topmost_transmit._has_data():
                                        return True

                                    if self.violate_set_prec_transmit is not None and self.violate_set_prec_transmit._has_data():
                                        return True

                                    if self.violate_set_qos_transmit is not None and self.violate_set_qos_transmit._has_data():
                                        return True

                                    if self.violate_transmit is not None and self.violate_transmit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:police'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.actions is not None and self.actions._has_data():
                                    return True

                                if self.bc is not None:
                                    return True

                                if self.be is not None:
                                    return True

                                if self.cir is not None:
                                    return True

                                if self.pir is not None:
                                    return True

                                if self.pir_be is not None and self.pir_be._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:police-policy-map'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.police is not None and self.police._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap']['meta_info']


                    class PoliceCirPercent(object):
                        """
                        
                        
                        .. attribute:: police
                        
                        	
                        	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.police = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police()
                            self.police.parent = self


                        class Police(object):
                            """
                            
                            
                            .. attribute:: cir
                            
                            	Committed information rate
                            	**type**\:   :py:class:`Cir <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cir = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir()
                                self.cir.parent = self


                            class Cir(object):
                                """
                                Committed information rate
                                
                                .. attribute:: percent
                                
                                	% of interface bandwidth for Committed information rate
                                	**type**\:   :py:class:`Percent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.percent = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent()
                                    self.percent.parent = self


                                class Percent(object):
                                    """
                                    % of interface bandwidth for Committed information rate
                                    
                                    .. attribute:: actions
                                    
                                    	
                                    	**type**\:   :py:class:`Actions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions>`
                                    
                                    .. attribute:: bc
                                    
                                    	Conform burst
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: bc_ms
                                    
                                    	
                                    	**type**\:   :py:class:`BcMs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BcMs>`
                                    
                                    .. attribute:: be
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: be_ms
                                    
                                    	
                                    	**type**\:   :py:class:`BeMs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BeMs>`
                                    
                                    .. attribute:: percentage
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: pir
                                    
                                    	Peak Information Rate
                                    	**type**\:   :py:class:`Pir <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Pir>`
                                    
                                    .. attribute:: pir_be
                                    
                                    	
                                    	**type**\:   :py:class:`PirBe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBe>`
                                    
                                    .. attribute:: pir_be_ms
                                    
                                    	
                                    	**type**\:   :py:class:`PirBeMs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBeMs>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.actions = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions()
                                        self.actions.parent = self
                                        self.bc = None
                                        self.bc_ms = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BcMs()
                                        self.bc_ms.parent = self
                                        self.be = None
                                        self.be_ms = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BeMs()
                                        self.be_ms.parent = self
                                        self.percentage = None
                                        self.pir = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Pir()
                                        self.pir.parent = self
                                        self.pir_be = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBe()
                                        self.pir_be.parent = self
                                        self.pir_be_ms = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBeMs()
                                        self.pir_be_ms.parent = self


                                    class BcMs(object):
                                        """
                                        
                                        
                                        .. attribute:: ms
                                        
                                        	Milli seconds
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ms = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:bc-ms'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ms is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BcMs']['meta_info']


                                    class BeMs(object):
                                        """
                                        
                                        
                                        .. attribute:: ms
                                        
                                        	Milli seconds
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ms = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:be-ms'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ms is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BeMs']['meta_info']


                                    class Pir(object):
                                        """
                                        Peak Information Rate
                                        
                                        .. attribute:: percent
                                        
                                        	% of interface bandwidth for Peak Information Rate
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.percent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:pir'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.percent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Pir']['meta_info']


                                    class PirBe(object):
                                        """
                                        
                                        
                                        .. attribute:: be
                                        
                                        	Excess burst
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.be = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:pir-be'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.be is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBe']['meta_info']


                                    class PirBeMs(object):
                                        """
                                        
                                        
                                        .. attribute:: ms
                                        
                                        	Milli seconds
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ms = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:pir-be-ms'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ms is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBeMs']['meta_info']


                                    class Actions(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_drop
                                        
                                        	
                                        	**type**\:   :py:class:`ConformDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop>`
                                        
                                        .. attribute:: conform_set_clp_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit>`
                                        
                                        .. attribute:: conform_set_cos_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit>`
                                        
                                        .. attribute:: conform_set_cos_transmit_table
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetCosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable>`
                                        
                                        .. attribute:: conform_set_discard_class_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit>`
                                        
                                        .. attribute:: conform_set_dscp_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit>`
                                        
                                        .. attribute:: conform_set_dscp_transmit_table
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable>`
                                        
                                        .. attribute:: conform_set_frde_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit>`
                                        
                                        .. attribute:: conform_set_mpls_exp_imposition_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit>`
                                        
                                        .. attribute:: conform_set_mpls_exp_imposition_transmit_table
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetMplsExpImpositionTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable>`
                                        
                                        .. attribute:: conform_set_mpls_exp_topmost_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit>`
                                        
                                        .. attribute:: conform_set_mpls_exp_topmost_transmit_table
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetMplsExpTopmostTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable>`
                                        
                                        .. attribute:: conform_set_prec_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit>`
                                        
                                        .. attribute:: conform_set_prec_transmit_table
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetPrecTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable>`
                                        
                                        .. attribute:: conform_set_qos_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit>`
                                        
                                        .. attribute:: conform_set_qos_transmit_table
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetQosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable>`
                                        
                                        .. attribute:: conform_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit>`
                                        
                                        .. attribute:: exceed_drop
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop>`
                                        
                                        .. attribute:: exceed_dscp
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedDscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp>`
                                        
                                        .. attribute:: exceed_set_clp_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit>`
                                        
                                        .. attribute:: exceed_set_cos_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit>`
                                        
                                        .. attribute:: exceed_set_discard_class_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit>`
                                        
                                        .. attribute:: exceed_set_dscp_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit>`
                                        
                                        .. attribute:: exceed_set_dscp_transmit_table
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable>`
                                        
                                        .. attribute:: exceed_set_frde_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit>`
                                        
                                        .. attribute:: exceed_set_mpls_exp_imposition_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit>`
                                        
                                        .. attribute:: exceed_set_mpls_exp_topmost_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit>`
                                        
                                        .. attribute:: exceed_set_prec_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit>`
                                        
                                        .. attribute:: exceed_set_qos_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit>`
                                        
                                        .. attribute:: exceed_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit>`
                                        
                                        .. attribute:: violate_drop
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop>`
                                        
                                        .. attribute:: violate_set_clp_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit>`
                                        
                                        .. attribute:: violate_set_cos_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit>`
                                        
                                        .. attribute:: violate_set_discard_class_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit>`
                                        
                                        .. attribute:: violate_set_dscp_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit>`
                                        
                                        .. attribute:: violate_set_frde_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit>`
                                        
                                        .. attribute:: violate_set_mpls_exp_imposition_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit>`
                                        
                                        .. attribute:: violate_set_mpls_exp_topmost_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit>`
                                        
                                        .. attribute:: violate_set_prec_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit>`
                                        
                                        .. attribute:: violate_set_qos_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit>`
                                        
                                        .. attribute:: violate_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop()
                                            self.conform_drop.parent = self
                                            self.conform_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit()
                                            self.conform_set_clp_transmit.parent = self
                                            self.conform_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit()
                                            self.conform_set_cos_transmit.parent = self
                                            self.conform_set_cos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable()
                                            self.conform_set_cos_transmit_table.parent = self
                                            self.conform_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit()
                                            self.conform_set_discard_class_transmit.parent = self
                                            self.conform_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit()
                                            self.conform_set_dscp_transmit.parent = self
                                            self.conform_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable()
                                            self.conform_set_dscp_transmit_table.parent = self
                                            self.conform_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit()
                                            self.conform_set_frde_transmit.parent = self
                                            self.conform_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit()
                                            self.conform_set_mpls_exp_imposition_transmit.parent = self
                                            self.conform_set_mpls_exp_imposition_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable()
                                            self.conform_set_mpls_exp_imposition_transmit_table.parent = self
                                            self.conform_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit()
                                            self.conform_set_mpls_exp_topmost_transmit.parent = self
                                            self.conform_set_mpls_exp_topmost_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable()
                                            self.conform_set_mpls_exp_topmost_transmit_table.parent = self
                                            self.conform_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit()
                                            self.conform_set_prec_transmit.parent = self
                                            self.conform_set_prec_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable()
                                            self.conform_set_prec_transmit_table.parent = self
                                            self.conform_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit()
                                            self.conform_set_qos_transmit.parent = self
                                            self.conform_set_qos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable()
                                            self.conform_set_qos_transmit_table.parent = self
                                            self.conform_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit()
                                            self.conform_transmit.parent = self
                                            self.exceed_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop()
                                            self.exceed_drop.parent = self
                                            self.exceed_dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp()
                                            self.exceed_dscp.parent = self
                                            self.exceed_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit()
                                            self.exceed_set_clp_transmit.parent = self
                                            self.exceed_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit()
                                            self.exceed_set_cos_transmit.parent = self
                                            self.exceed_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit()
                                            self.exceed_set_discard_class_transmit.parent = self
                                            self.exceed_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit()
                                            self.exceed_set_dscp_transmit.parent = self
                                            self.exceed_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable()
                                            self.exceed_set_dscp_transmit_table.parent = self
                                            self.exceed_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit()
                                            self.exceed_set_frde_transmit.parent = self
                                            self.exceed_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit()
                                            self.exceed_set_mpls_exp_imposition_transmit.parent = self
                                            self.exceed_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit()
                                            self.exceed_set_mpls_exp_topmost_transmit.parent = self
                                            self.exceed_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit()
                                            self.exceed_set_prec_transmit.parent = self
                                            self.exceed_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit()
                                            self.exceed_set_qos_transmit.parent = self
                                            self.exceed_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit()
                                            self.exceed_transmit.parent = self
                                            self.violate_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop()
                                            self.violate_drop.parent = self
                                            self.violate_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit()
                                            self.violate_set_clp_transmit.parent = self
                                            self.violate_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit()
                                            self.violate_set_cos_transmit.parent = self
                                            self.violate_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit()
                                            self.violate_set_discard_class_transmit.parent = self
                                            self.violate_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit()
                                            self.violate_set_dscp_transmit.parent = self
                                            self.violate_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit()
                                            self.violate_set_frde_transmit.parent = self
                                            self.violate_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit()
                                            self.violate_set_mpls_exp_imposition_transmit.parent = self
                                            self.violate_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit()
                                            self.violate_set_mpls_exp_topmost_transmit.parent = self
                                            self.violate_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit()
                                            self.violate_set_prec_transmit.parent = self
                                            self.violate_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit()
                                            self.violate_set_qos_transmit.parent = self
                                            self.violate_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit()
                                            self.violate_transmit.parent = self


                                        class ConformSetClpTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_clp_transmit
                                                
                                                	set atm clp and send it
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_clp_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_clp_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-clp-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit']['meta_info']


                                        class ConformSetCosTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_cos_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_cos_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-cos-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit']['meta_info']


                                        class ConformSetCosTransmitTable(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_cos_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_cos_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-cos-transmit-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable']['meta_info']


                                        class ConformSetDiscardClassTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_discard_class_transmit
                                                
                                                	set discard\-class and send it
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_discard_class_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_discard_class_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-discard-class-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit']['meta_info']


                                        class ConformSetDscpTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..63
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_dscp_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_dscp_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-dscp-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit']['meta_info']


                                        class ConformSetDscpTransmitTable(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..63
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_dscp_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_dscp_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-dscp-transmit-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable']['meta_info']


                                        class ConformSetFrdeTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_frde_transmit
                                                
                                                	set FR DE and send it
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_frde_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_frde_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-frde-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit']['meta_info']


                                        class ConformSetMplsExpImpositionTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_imposition_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_imposition_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-imposition-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit']['meta_info']


                                        class ConformSetMplsExpImpositionTransmitTable(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_imposition_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_imposition_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-imposition-transmit-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info']


                                        class ConformSetMplsExpTopmostTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_topmost_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_topmost_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-topmost-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit']['meta_info']


                                        class ConformSetMplsExpTopmostTransmitTable(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_topmost_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_topmost_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-topmost-transmit-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info']


                                        class ConformSetPrecTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_prec_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_prec_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-prec-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit']['meta_info']


                                        class ConformSetPrecTransmitTable(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_prec_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_prec_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-prec-transmit-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable']['meta_info']


                                        class ConformSetQosTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..99
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_qos_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_qos_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-qos-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit']['meta_info']


                                        class ConformSetQosTransmitTable(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..99
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_qos_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_qos_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-qos-transmit-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable']['meta_info']


                                        class ConformTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: transmit
                                                
                                                	transmit packet
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit']['meta_info']


                                        class ConformDrop(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: drop
                                                
                                                	drop packet
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.drop = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.drop is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-drop'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop']['meta_info']


                                        class ExceedDscp(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: dscp
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..63
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.dscp = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.dscp is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-dscp'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp']['meta_info']


                                        class ExceedSetClpTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_clp_transmit
                                                
                                                	set atm clp and send it
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_clp_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_clp_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-clp-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit']['meta_info']


                                        class ExceedSetCosTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_cos_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_cos_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-cos-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit']['meta_info']


                                        class ExceedSetDiscardClassTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_discard_class_transmit
                                                
                                                	set discard\-class and send it
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_discard_class_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_discard_class_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-discard-class-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit']['meta_info']


                                        class ExceedSetDscpTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	
                                                	**type**\:   :py:class:`SetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit()
                                                    self.set_dscp_transmit.parent = self


                                                class SetDscpTransmit(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: dscp
                                                    
                                                    	
                                                    	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-policy'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp()
                                                        self.dscp.parent = self


                                                    class Dscp(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: table
                                                        
                                                        	
                                                        	**type**\:   :py:class:`TableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-policy'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.table = None

                                                        class TableEnum(Enum):
                                                            """
                                                            TableEnum

                                                            .. data:: policed_dscp = 0

                                                            """

                                                            policed_dscp = 0


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:dscp'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.table is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:set-dscp-transmit'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.dscp is not None and self.dscp._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_dscp_transmit is not None and self.set_dscp_transmit._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-dscp-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit']['meta_info']


                                        class ExceedSetDscpTransmitTable(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..63
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_dscp_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_dscp_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-dscp-transmit-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable']['meta_info']


                                        class ExceedSetFrdeTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_frde_transmit
                                                
                                                	set FR DE and send it
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_frde_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_frde_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-frde-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit']['meta_info']


                                        class ExceedSetMplsExpImpositionTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_imposition_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_imposition_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-mpls-exp-imposition-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info']


                                        class ExceedSetMplsExpTopmostTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_topmost_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_topmost_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-mpls-exp-topmost-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info']


                                        class ExceedSetPrecTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_prec_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_prec_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-prec-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit']['meta_info']


                                        class ExceedSetQosTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..99
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_qos_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_qos_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-qos-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit']['meta_info']


                                        class ExceedTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: transmit
                                                
                                                	transmit packet
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit']['meta_info']


                                        class ExceedDrop(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: drop
                                                
                                                	drop packet
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.drop = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.drop is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-drop'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop']['meta_info']


                                        class ViolateSetClpTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_clp_transmit
                                                
                                                	set atm clp and send it
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_clp_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_clp_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-clp-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit']['meta_info']


                                        class ViolateSetCosTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_cos_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_cos_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-cos-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit']['meta_info']


                                        class ViolateSetDiscardClassTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_discard_class_transmit
                                                
                                                	set discard\-class and send it
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_discard_class_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_discard_class_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-discard-class-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit']['meta_info']


                                        class ViolateSetDscpTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..63
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_dscp_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_dscp_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-dscp-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit']['meta_info']


                                        class ViolateSetFrdeTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_frde_transmit
                                                
                                                	set FR DE and send it
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_frde_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_frde_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-frde-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit']['meta_info']


                                        class ViolateSetMplsExpImpositionTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_imposition_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_imposition_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-mpls-exp-imposition-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info']


                                        class ViolateSetMplsExpTopmostTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_topmost_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_topmost_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-mpls-exp-topmost-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info']


                                        class ViolateSetPrecTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_prec_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_prec_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-prec-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit']['meta_info']


                                        class ViolateSetQosTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..99
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_qos_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_qos_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-qos-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit']['meta_info']


                                        class ViolateTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: transmit
                                                
                                                	transmit packet
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit']['meta_info']


                                        class ViolateDrop(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: drop
                                                
                                                	drop packet
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.drop = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.drop is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-drop'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:actions'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_drop is not None and self.conform_drop._has_data():
                                                return True

                                            if self.conform_set_clp_transmit is not None and self.conform_set_clp_transmit._has_data():
                                                return True

                                            if self.conform_set_cos_transmit is not None and self.conform_set_cos_transmit._has_data():
                                                return True

                                            if self.conform_set_cos_transmit_table is not None and self.conform_set_cos_transmit_table._has_data():
                                                return True

                                            if self.conform_set_discard_class_transmit is not None and self.conform_set_discard_class_transmit._has_data():
                                                return True

                                            if self.conform_set_dscp_transmit is not None and self.conform_set_dscp_transmit._has_data():
                                                return True

                                            if self.conform_set_dscp_transmit_table is not None and self.conform_set_dscp_transmit_table._has_data():
                                                return True

                                            if self.conform_set_frde_transmit is not None and self.conform_set_frde_transmit._has_data():
                                                return True

                                            if self.conform_set_mpls_exp_imposition_transmit is not None and self.conform_set_mpls_exp_imposition_transmit._has_data():
                                                return True

                                            if self.conform_set_mpls_exp_imposition_transmit_table is not None and self.conform_set_mpls_exp_imposition_transmit_table._has_data():
                                                return True

                                            if self.conform_set_mpls_exp_topmost_transmit is not None and self.conform_set_mpls_exp_topmost_transmit._has_data():
                                                return True

                                            if self.conform_set_mpls_exp_topmost_transmit_table is not None and self.conform_set_mpls_exp_topmost_transmit_table._has_data():
                                                return True

                                            if self.conform_set_prec_transmit is not None and self.conform_set_prec_transmit._has_data():
                                                return True

                                            if self.conform_set_prec_transmit_table is not None and self.conform_set_prec_transmit_table._has_data():
                                                return True

                                            if self.conform_set_qos_transmit is not None and self.conform_set_qos_transmit._has_data():
                                                return True

                                            if self.conform_set_qos_transmit_table is not None and self.conform_set_qos_transmit_table._has_data():
                                                return True

                                            if self.conform_transmit is not None and self.conform_transmit._has_data():
                                                return True

                                            if self.exceed_drop is not None and self.exceed_drop._has_data():
                                                return True

                                            if self.exceed_dscp is not None and self.exceed_dscp._has_data():
                                                return True

                                            if self.exceed_set_clp_transmit is not None and self.exceed_set_clp_transmit._has_data():
                                                return True

                                            if self.exceed_set_cos_transmit is not None and self.exceed_set_cos_transmit._has_data():
                                                return True

                                            if self.exceed_set_discard_class_transmit is not None and self.exceed_set_discard_class_transmit._has_data():
                                                return True

                                            if self.exceed_set_dscp_transmit is not None and self.exceed_set_dscp_transmit._has_data():
                                                return True

                                            if self.exceed_set_dscp_transmit_table is not None and self.exceed_set_dscp_transmit_table._has_data():
                                                return True

                                            if self.exceed_set_frde_transmit is not None and self.exceed_set_frde_transmit._has_data():
                                                return True

                                            if self.exceed_set_mpls_exp_imposition_transmit is not None and self.exceed_set_mpls_exp_imposition_transmit._has_data():
                                                return True

                                            if self.exceed_set_mpls_exp_topmost_transmit is not None and self.exceed_set_mpls_exp_topmost_transmit._has_data():
                                                return True

                                            if self.exceed_set_prec_transmit is not None and self.exceed_set_prec_transmit._has_data():
                                                return True

                                            if self.exceed_set_qos_transmit is not None and self.exceed_set_qos_transmit._has_data():
                                                return True

                                            if self.exceed_transmit is not None and self.exceed_transmit._has_data():
                                                return True

                                            if self.violate_drop is not None and self.violate_drop._has_data():
                                                return True

                                            if self.violate_set_clp_transmit is not None and self.violate_set_clp_transmit._has_data():
                                                return True

                                            if self.violate_set_cos_transmit is not None and self.violate_set_cos_transmit._has_data():
                                                return True

                                            if self.violate_set_discard_class_transmit is not None and self.violate_set_discard_class_transmit._has_data():
                                                return True

                                            if self.violate_set_dscp_transmit is not None and self.violate_set_dscp_transmit._has_data():
                                                return True

                                            if self.violate_set_frde_transmit is not None and self.violate_set_frde_transmit._has_data():
                                                return True

                                            if self.violate_set_mpls_exp_imposition_transmit is not None and self.violate_set_mpls_exp_imposition_transmit._has_data():
                                                return True

                                            if self.violate_set_mpls_exp_topmost_transmit is not None and self.violate_set_mpls_exp_topmost_transmit._has_data():
                                                return True

                                            if self.violate_set_prec_transmit is not None and self.violate_set_prec_transmit._has_data():
                                                return True

                                            if self.violate_set_qos_transmit is not None and self.violate_set_qos_transmit._has_data():
                                                return True

                                            if self.violate_transmit is not None and self.violate_transmit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:percent'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.actions is not None and self.actions._has_data():
                                            return True

                                        if self.bc is not None:
                                            return True

                                        if self.bc_ms is not None and self.bc_ms._has_data():
                                            return True

                                        if self.be is not None:
                                            return True

                                        if self.be_ms is not None and self.be_ms._has_data():
                                            return True

                                        if self.percentage is not None:
                                            return True

                                        if self.pir is not None and self.pir._has_data():
                                            return True

                                        if self.pir_be is not None and self.pir_be._has_data():
                                            return True

                                        if self.pir_be_ms is not None and self.pir_be_ms._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:cir'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.percent is not None and self.percent._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:police'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cir is not None and self.cir._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:police-cir-percent'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.police is not None and self.police._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent']['meta_info']


                    class PoliceRateUnit(object):
                        """
                        
                        
                        .. attribute:: police
                        
                        	
                        	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.police = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police()
                            self.police.parent = self


                        class Police(object):
                            """
                            
                            
                            .. attribute:: rate
                            
                            	Specify police rate
                            	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate()
                                self.rate.parent = self


                            class Rate(object):
                                """
                                Specify police rate
                                
                                .. attribute:: actions
                                
                                	
                                	**type**\:   :py:class:`Actions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions>`
                                
                                .. attribute:: burst
                                
                                	Specify 'burst' parameter
                                	**type**\:   :py:class:`Burst <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Burst>`
                                
                                .. attribute:: peak_burst
                                
                                	Specify 'peak\-burst' parameter for peak\-rate
                                	**type**\:   :py:class:`PeakBurst <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakBurst>`
                                
                                .. attribute:: peak_rate
                                
                                	Specify peak rate
                                	**type**\:   :py:class:`PeakRate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakRate>`
                                
                                .. attribute:: units
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..18446744073709551615
                                
                                .. attribute:: xps
                                
                                	
                                	**type**\:   :py:class:`PolicePpsBpsTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_policy.PolicePpsBpsTypeEnum>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.actions = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions()
                                    self.actions.parent = self
                                    self.burst = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Burst()
                                    self.burst.parent = self
                                    self.peak_burst = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakBurst()
                                    self.peak_burst.parent = self
                                    self.peak_rate = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakRate()
                                    self.peak_rate.parent = self
                                    self.units = None
                                    self.xps = None


                                class Burst(object):
                                    """
                                    Specify 'burst' parameter
                                    
                                    .. attribute:: burst_type
                                    
                                    	
                                    	**type**\:   :py:class:`PolicePacketsBytesTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_policy.PolicePacketsBytesTypeEnum>`
                                    
                                    .. attribute:: burst_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.burst_type = None
                                        self.burst_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:burst'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.burst_type is not None:
                                            return True

                                        if self.burst_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Burst']['meta_info']


                                class PeakRate(object):
                                    """
                                    Specify peak rate
                                    
                                    .. attribute:: peak_rate_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..512000000
                                    
                                    .. attribute:: xps
                                    
                                    	
                                    	**type**\:   :py:class:`PolicePpsBpsTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_policy.PolicePpsBpsTypeEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.peak_rate_value = None
                                        self.xps = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:peak-rate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.peak_rate_value is not None:
                                            return True

                                        if self.xps is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakRate']['meta_info']


                                class PeakBurst(object):
                                    """
                                    Specify 'peak\-burst' parameter for peak\-rate
                                    
                                    .. attribute:: burst_type
                                    
                                    	
                                    	**type**\:   :py:class:`PolicePacketsBytesTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_policy.PolicePacketsBytesTypeEnum>`
                                    
                                    .. attribute:: burst_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.burst_type = None
                                        self.burst_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:peak-burst'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.burst_type is not None:
                                            return True

                                        if self.burst_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakBurst']['meta_info']


                                class Actions(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_drop
                                    
                                    	
                                    	**type**\:   :py:class:`ConformDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop>`
                                    
                                    .. attribute:: conform_set_clp_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit>`
                                    
                                    .. attribute:: conform_set_cos_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit>`
                                    
                                    .. attribute:: conform_set_cos_transmit_table
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetCosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable>`
                                    
                                    .. attribute:: conform_set_discard_class_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit>`
                                    
                                    .. attribute:: conform_set_dscp_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit>`
                                    
                                    .. attribute:: conform_set_dscp_transmit_table
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable>`
                                    
                                    .. attribute:: conform_set_frde_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit>`
                                    
                                    .. attribute:: conform_set_mpls_exp_imposition_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit>`
                                    
                                    .. attribute:: conform_set_mpls_exp_imposition_transmit_table
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetMplsExpImpositionTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable>`
                                    
                                    .. attribute:: conform_set_mpls_exp_topmost_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit>`
                                    
                                    .. attribute:: conform_set_mpls_exp_topmost_transmit_table
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetMplsExpTopmostTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable>`
                                    
                                    .. attribute:: conform_set_prec_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit>`
                                    
                                    .. attribute:: conform_set_prec_transmit_table
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetPrecTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable>`
                                    
                                    .. attribute:: conform_set_qos_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit>`
                                    
                                    .. attribute:: conform_set_qos_transmit_table
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetQosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable>`
                                    
                                    .. attribute:: conform_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ConformTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit>`
                                    
                                    .. attribute:: exceed_drop
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop>`
                                    
                                    .. attribute:: exceed_dscp
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedDscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp>`
                                    
                                    .. attribute:: exceed_set_clp_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit>`
                                    
                                    .. attribute:: exceed_set_cos_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit>`
                                    
                                    .. attribute:: exceed_set_discard_class_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit>`
                                    
                                    .. attribute:: exceed_set_dscp_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit>`
                                    
                                    .. attribute:: exceed_set_dscp_transmit_table
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable>`
                                    
                                    .. attribute:: exceed_set_frde_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit>`
                                    
                                    .. attribute:: exceed_set_mpls_exp_imposition_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit>`
                                    
                                    .. attribute:: exceed_set_mpls_exp_topmost_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit>`
                                    
                                    .. attribute:: exceed_set_prec_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit>`
                                    
                                    .. attribute:: exceed_set_qos_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit>`
                                    
                                    .. attribute:: exceed_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit>`
                                    
                                    .. attribute:: violate_drop
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop>`
                                    
                                    .. attribute:: violate_set_clp_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit>`
                                    
                                    .. attribute:: violate_set_cos_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit>`
                                    
                                    .. attribute:: violate_set_discard_class_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit>`
                                    
                                    .. attribute:: violate_set_dscp_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit>`
                                    
                                    .. attribute:: violate_set_frde_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit>`
                                    
                                    .. attribute:: violate_set_mpls_exp_imposition_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit>`
                                    
                                    .. attribute:: violate_set_mpls_exp_topmost_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit>`
                                    
                                    .. attribute:: violate_set_prec_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit>`
                                    
                                    .. attribute:: violate_set_qos_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit>`
                                    
                                    .. attribute:: violate_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop()
                                        self.conform_drop.parent = self
                                        self.conform_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit()
                                        self.conform_set_clp_transmit.parent = self
                                        self.conform_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit()
                                        self.conform_set_cos_transmit.parent = self
                                        self.conform_set_cos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable()
                                        self.conform_set_cos_transmit_table.parent = self
                                        self.conform_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit()
                                        self.conform_set_discard_class_transmit.parent = self
                                        self.conform_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit()
                                        self.conform_set_dscp_transmit.parent = self
                                        self.conform_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable()
                                        self.conform_set_dscp_transmit_table.parent = self
                                        self.conform_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit()
                                        self.conform_set_frde_transmit.parent = self
                                        self.conform_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit()
                                        self.conform_set_mpls_exp_imposition_transmit.parent = self
                                        self.conform_set_mpls_exp_imposition_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable()
                                        self.conform_set_mpls_exp_imposition_transmit_table.parent = self
                                        self.conform_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit()
                                        self.conform_set_mpls_exp_topmost_transmit.parent = self
                                        self.conform_set_mpls_exp_topmost_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable()
                                        self.conform_set_mpls_exp_topmost_transmit_table.parent = self
                                        self.conform_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit()
                                        self.conform_set_prec_transmit.parent = self
                                        self.conform_set_prec_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable()
                                        self.conform_set_prec_transmit_table.parent = self
                                        self.conform_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit()
                                        self.conform_set_qos_transmit.parent = self
                                        self.conform_set_qos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable()
                                        self.conform_set_qos_transmit_table.parent = self
                                        self.conform_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit()
                                        self.conform_transmit.parent = self
                                        self.exceed_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop()
                                        self.exceed_drop.parent = self
                                        self.exceed_dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp()
                                        self.exceed_dscp.parent = self
                                        self.exceed_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit()
                                        self.exceed_set_clp_transmit.parent = self
                                        self.exceed_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit()
                                        self.exceed_set_cos_transmit.parent = self
                                        self.exceed_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit()
                                        self.exceed_set_discard_class_transmit.parent = self
                                        self.exceed_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit()
                                        self.exceed_set_dscp_transmit.parent = self
                                        self.exceed_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable()
                                        self.exceed_set_dscp_transmit_table.parent = self
                                        self.exceed_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit()
                                        self.exceed_set_frde_transmit.parent = self
                                        self.exceed_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit()
                                        self.exceed_set_mpls_exp_imposition_transmit.parent = self
                                        self.exceed_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit()
                                        self.exceed_set_mpls_exp_topmost_transmit.parent = self
                                        self.exceed_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit()
                                        self.exceed_set_prec_transmit.parent = self
                                        self.exceed_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit()
                                        self.exceed_set_qos_transmit.parent = self
                                        self.exceed_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit()
                                        self.exceed_transmit.parent = self
                                        self.violate_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop()
                                        self.violate_drop.parent = self
                                        self.violate_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit()
                                        self.violate_set_clp_transmit.parent = self
                                        self.violate_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit()
                                        self.violate_set_cos_transmit.parent = self
                                        self.violate_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit()
                                        self.violate_set_discard_class_transmit.parent = self
                                        self.violate_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit()
                                        self.violate_set_dscp_transmit.parent = self
                                        self.violate_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit()
                                        self.violate_set_frde_transmit.parent = self
                                        self.violate_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit()
                                        self.violate_set_mpls_exp_imposition_transmit.parent = self
                                        self.violate_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit()
                                        self.violate_set_mpls_exp_topmost_transmit.parent = self
                                        self.violate_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit()
                                        self.violate_set_prec_transmit.parent = self
                                        self.violate_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit()
                                        self.violate_set_qos_transmit.parent = self
                                        self.violate_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit()
                                        self.violate_transmit.parent = self


                                    class ConformSetClpTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_clp_transmit
                                            
                                            	set atm clp and send it
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_clp_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_clp_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-clp-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit']['meta_info']


                                    class ConformSetCosTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_cos_transmit
                                            
                                            	rewrite packet cos and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_cos_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_cos_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-cos-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit']['meta_info']


                                    class ConformSetCosTransmitTable(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_cos_transmit
                                            
                                            	rewrite packet cos and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_cos_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_cos_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-cos-transmit-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable']['meta_info']


                                    class ConformSetDiscardClassTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_discard_class_transmit
                                            
                                            	set discard\-class and send it
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_discard_class_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_discard_class_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-discard-class-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit']['meta_info']


                                    class ConformSetDscpTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_dscp_transmit
                                            
                                            	set dscp and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..63
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_dscp_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_dscp_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-dscp-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit']['meta_info']


                                    class ConformSetDscpTransmitTable(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_dscp_transmit
                                            
                                            	set dscp and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..63
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_dscp_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_dscp_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-dscp-transmit-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable']['meta_info']


                                    class ConformSetFrdeTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_frde_transmit
                                            
                                            	set FR DE and send it
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_frde_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_frde_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-frde-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit']['meta_info']


                                    class ConformSetMplsExpImpositionTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_mpls_exp_imposition_transmit
                                            
                                            	set exp at tag imposition and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_mpls_exp_imposition_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_mpls_exp_imposition_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-imposition-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit']['meta_info']


                                    class ConformSetMplsExpImpositionTransmitTable(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_mpls_exp_imposition_transmit
                                            
                                            	set exp at tag imposition and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_mpls_exp_imposition_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_mpls_exp_imposition_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-imposition-transmit-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info']


                                    class ConformSetMplsExpTopmostTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_mpls_exp_topmost_transmit
                                            
                                            	set exp on topmost label and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_mpls_exp_topmost_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_mpls_exp_topmost_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-topmost-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit']['meta_info']


                                    class ConformSetMplsExpTopmostTransmitTable(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_mpls_exp_topmost_transmit
                                            
                                            	set exp on topmost label and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_mpls_exp_topmost_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_mpls_exp_topmost_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-topmost-transmit-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info']


                                    class ConformSetPrecTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_prec_transmit
                                            
                                            	rewrite packet precedence and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_prec_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_prec_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-prec-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit']['meta_info']


                                    class ConformSetPrecTransmitTable(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_prec_transmit
                                            
                                            	rewrite packet precedence and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_prec_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_prec_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-prec-transmit-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable']['meta_info']


                                    class ConformSetQosTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_qos_transmit
                                            
                                            	set qos\-group and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..99
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_qos_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_qos_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-qos-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit']['meta_info']


                                    class ConformSetQosTransmitTable(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_qos_transmit
                                            
                                            	set qos\-group and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..99
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_qos_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_qos_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-qos-transmit-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable']['meta_info']


                                    class ConformTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: transmit
                                            
                                            	transmit packet
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit']['meta_info']


                                    class ConformDrop(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: drop
                                            
                                            	drop packet
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.drop = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.drop is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-drop'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop']['meta_info']


                                    class ExceedDscp(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: dscp
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..63
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dscp = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dscp is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-dscp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp']['meta_info']


                                    class ExceedSetClpTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_clp_transmit
                                            
                                            	set atm clp and send it
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_clp_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_clp_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-clp-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit']['meta_info']


                                    class ExceedSetCosTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_cos_transmit
                                            
                                            	rewrite packet cos and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_cos_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_cos_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-cos-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit']['meta_info']


                                    class ExceedSetDiscardClassTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_discard_class_transmit
                                            
                                            	set discard\-class and send it
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_discard_class_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_discard_class_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-discard-class-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit']['meta_info']


                                    class ExceedSetDscpTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_dscp_transmit
                                            
                                            	
                                            	**type**\:   :py:class:`SetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit()
                                                self.set_dscp_transmit.parent = self


                                            class SetDscpTransmit(object):
                                                """
                                                
                                                
                                                .. attribute:: dscp
                                                
                                                	
                                                	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp()
                                                    self.dscp.parent = self


                                                class Dscp(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: table
                                                    
                                                    	
                                                    	**type**\:   :py:class:`TableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-policy'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.table = None

                                                    class TableEnum(Enum):
                                                        """
                                                        TableEnum

                                                        .. data:: policed_dscp = 0

                                                        """

                                                        policed_dscp = 0


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:dscp'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.table is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:set-dscp-transmit'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.dscp is not None and self.dscp._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_dscp_transmit is not None and self.set_dscp_transmit._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-dscp-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit']['meta_info']


                                    class ExceedSetDscpTransmitTable(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_dscp_transmit
                                            
                                            	set dscp and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..63
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_dscp_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_dscp_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-dscp-transmit-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable']['meta_info']


                                    class ExceedSetFrdeTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_frde_transmit
                                            
                                            	set FR DE and send it
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_frde_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_frde_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-frde-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit']['meta_info']


                                    class ExceedSetMplsExpImpositionTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_mpls_exp_imposition_transmit
                                            
                                            	set exp at tag imposition and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_mpls_exp_imposition_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_mpls_exp_imposition_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-mpls-exp-imposition-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info']


                                    class ExceedSetMplsExpTopmostTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_mpls_exp_topmost_transmit
                                            
                                            	set exp on topmost label and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_mpls_exp_topmost_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_mpls_exp_topmost_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-mpls-exp-topmost-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info']


                                    class ExceedSetPrecTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_prec_transmit
                                            
                                            	rewrite packet precedence and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_prec_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_prec_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-prec-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit']['meta_info']


                                    class ExceedSetQosTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_qos_transmit
                                            
                                            	set qos\-group and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..99
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_qos_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_qos_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-qos-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit']['meta_info']


                                    class ExceedTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: transmit
                                            
                                            	transmit packet
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit']['meta_info']


                                    class ExceedDrop(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: drop
                                            
                                            	drop packet
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.drop = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.drop is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-drop'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop']['meta_info']


                                    class ViolateSetClpTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_clp_transmit
                                            
                                            	set atm clp and send it
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_clp_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_clp_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-clp-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit']['meta_info']


                                    class ViolateSetCosTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_cos_transmit
                                            
                                            	rewrite packet cos and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_cos_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_cos_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-cos-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit']['meta_info']


                                    class ViolateSetDiscardClassTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_discard_class_transmit
                                            
                                            	set discard\-class and send it
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_discard_class_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_discard_class_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-discard-class-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit']['meta_info']


                                    class ViolateSetDscpTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_dscp_transmit
                                            
                                            	set dscp and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..63
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_dscp_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_dscp_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-dscp-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit']['meta_info']


                                    class ViolateSetFrdeTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_frde_transmit
                                            
                                            	set FR DE and send it
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_frde_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_frde_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-frde-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit']['meta_info']


                                    class ViolateSetMplsExpImpositionTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_mpls_exp_imposition_transmit
                                            
                                            	set exp at tag imposition and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_mpls_exp_imposition_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_mpls_exp_imposition_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-mpls-exp-imposition-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info']


                                    class ViolateSetMplsExpTopmostTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_mpls_exp_topmost_transmit
                                            
                                            	set exp on topmost label and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_mpls_exp_topmost_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_mpls_exp_topmost_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-mpls-exp-topmost-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info']


                                    class ViolateSetPrecTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_prec_transmit
                                            
                                            	rewrite packet precedence and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_prec_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_prec_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-prec-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit']['meta_info']


                                    class ViolateSetQosTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_qos_transmit
                                            
                                            	set qos\-group and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..99
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_qos_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_qos_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-qos-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit']['meta_info']


                                    class ViolateTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: transmit
                                            
                                            	transmit packet
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit']['meta_info']


                                    class ViolateDrop(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: drop
                                            
                                            	drop packet
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.drop = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.drop is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-drop'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:actions'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_drop is not None and self.conform_drop._has_data():
                                            return True

                                        if self.conform_set_clp_transmit is not None and self.conform_set_clp_transmit._has_data():
                                            return True

                                        if self.conform_set_cos_transmit is not None and self.conform_set_cos_transmit._has_data():
                                            return True

                                        if self.conform_set_cos_transmit_table is not None and self.conform_set_cos_transmit_table._has_data():
                                            return True

                                        if self.conform_set_discard_class_transmit is not None and self.conform_set_discard_class_transmit._has_data():
                                            return True

                                        if self.conform_set_dscp_transmit is not None and self.conform_set_dscp_transmit._has_data():
                                            return True

                                        if self.conform_set_dscp_transmit_table is not None and self.conform_set_dscp_transmit_table._has_data():
                                            return True

                                        if self.conform_set_frde_transmit is not None and self.conform_set_frde_transmit._has_data():
                                            return True

                                        if self.conform_set_mpls_exp_imposition_transmit is not None and self.conform_set_mpls_exp_imposition_transmit._has_data():
                                            return True

                                        if self.conform_set_mpls_exp_imposition_transmit_table is not None and self.conform_set_mpls_exp_imposition_transmit_table._has_data():
                                            return True

                                        if self.conform_set_mpls_exp_topmost_transmit is not None and self.conform_set_mpls_exp_topmost_transmit._has_data():
                                            return True

                                        if self.conform_set_mpls_exp_topmost_transmit_table is not None and self.conform_set_mpls_exp_topmost_transmit_table._has_data():
                                            return True

                                        if self.conform_set_prec_transmit is not None and self.conform_set_prec_transmit._has_data():
                                            return True

                                        if self.conform_set_prec_transmit_table is not None and self.conform_set_prec_transmit_table._has_data():
                                            return True

                                        if self.conform_set_qos_transmit is not None and self.conform_set_qos_transmit._has_data():
                                            return True

                                        if self.conform_set_qos_transmit_table is not None and self.conform_set_qos_transmit_table._has_data():
                                            return True

                                        if self.conform_transmit is not None and self.conform_transmit._has_data():
                                            return True

                                        if self.exceed_drop is not None and self.exceed_drop._has_data():
                                            return True

                                        if self.exceed_dscp is not None and self.exceed_dscp._has_data():
                                            return True

                                        if self.exceed_set_clp_transmit is not None and self.exceed_set_clp_transmit._has_data():
                                            return True

                                        if self.exceed_set_cos_transmit is not None and self.exceed_set_cos_transmit._has_data():
                                            return True

                                        if self.exceed_set_discard_class_transmit is not None and self.exceed_set_discard_class_transmit._has_data():
                                            return True

                                        if self.exceed_set_dscp_transmit is not None and self.exceed_set_dscp_transmit._has_data():
                                            return True

                                        if self.exceed_set_dscp_transmit_table is not None and self.exceed_set_dscp_transmit_table._has_data():
                                            return True

                                        if self.exceed_set_frde_transmit is not None and self.exceed_set_frde_transmit._has_data():
                                            return True

                                        if self.exceed_set_mpls_exp_imposition_transmit is not None and self.exceed_set_mpls_exp_imposition_transmit._has_data():
                                            return True

                                        if self.exceed_set_mpls_exp_topmost_transmit is not None and self.exceed_set_mpls_exp_topmost_transmit._has_data():
                                            return True

                                        if self.exceed_set_prec_transmit is not None and self.exceed_set_prec_transmit._has_data():
                                            return True

                                        if self.exceed_set_qos_transmit is not None and self.exceed_set_qos_transmit._has_data():
                                            return True

                                        if self.exceed_transmit is not None and self.exceed_transmit._has_data():
                                            return True

                                        if self.violate_drop is not None and self.violate_drop._has_data():
                                            return True

                                        if self.violate_set_clp_transmit is not None and self.violate_set_clp_transmit._has_data():
                                            return True

                                        if self.violate_set_cos_transmit is not None and self.violate_set_cos_transmit._has_data():
                                            return True

                                        if self.violate_set_discard_class_transmit is not None and self.violate_set_discard_class_transmit._has_data():
                                            return True

                                        if self.violate_set_dscp_transmit is not None and self.violate_set_dscp_transmit._has_data():
                                            return True

                                        if self.violate_set_frde_transmit is not None and self.violate_set_frde_transmit._has_data():
                                            return True

                                        if self.violate_set_mpls_exp_imposition_transmit is not None and self.violate_set_mpls_exp_imposition_transmit._has_data():
                                            return True

                                        if self.violate_set_mpls_exp_topmost_transmit is not None and self.violate_set_mpls_exp_topmost_transmit._has_data():
                                            return True

                                        if self.violate_set_prec_transmit is not None and self.violate_set_prec_transmit._has_data():
                                            return True

                                        if self.violate_set_qos_transmit is not None and self.violate_set_qos_transmit._has_data():
                                            return True

                                        if self.violate_transmit is not None and self.violate_transmit._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:rate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.actions is not None and self.actions._has_data():
                                        return True

                                    if self.burst is not None and self.burst._has_data():
                                        return True

                                    if self.peak_burst is not None and self.peak_burst._has_data():
                                        return True

                                    if self.peak_rate is not None and self.peak_rate._has_data():
                                        return True

                                    if self.units is not None:
                                        return True

                                    if self.xps is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:police'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None and self.rate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:police-rate-unit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.police is not None and self.police._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit']['meta_info']


                    class PoliceRatePercent(object):
                        """
                        
                        
                        .. attribute:: police
                        
                        	
                        	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.police = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police()
                            self.police.parent = self


                        class Police(object):
                            """
                            
                            
                            .. attribute:: rate
                            
                            	Specify police rate
                            	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate()
                                self.rate.parent = self


                            class Rate(object):
                                """
                                Specify police rate
                                
                                .. attribute:: percent
                                
                                	% of interface bandwidth for rate
                                	**type**\:   :py:class:`Percent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.percent = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent()
                                    self.percent.parent = self


                                class Percent(object):
                                    """
                                    % of interface bandwidth for rate
                                    
                                    .. attribute:: actions
                                    
                                    	
                                    	**type**\:   :py:class:`Actions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions>`
                                    
                                    .. attribute:: burst
                                    
                                    	Specify 'burst' parameter
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: ms
                                    
                                    	Treat 'burst' value in milliseconds
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: peak_burst
                                    
                                    	Specify 'peak\-burst' parameter for 'peak\-rate'
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: peak_burst_ms
                                    
                                    	
                                    	**type**\:   :py:class:`PeakBurstMs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakBurstMs>`
                                    
                                    .. attribute:: peak_rate
                                    
                                    	Specify peak rate
                                    	**type**\:   :py:class:`PeakRate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakRate>`
                                    
                                    .. attribute:: percentage
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.actions = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions()
                                        self.actions.parent = self
                                        self.burst = None
                                        self.ms = None
                                        self.peak_burst = None
                                        self.peak_burst_ms = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakBurstMs()
                                        self.peak_burst_ms.parent = self
                                        self.peak_rate = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakRate()
                                        self.peak_rate.parent = self
                                        self.percentage = None


                                    class PeakRate(object):
                                        """
                                        Specify peak rate
                                        
                                        .. attribute:: percent
                                        
                                        	% of interface bandwidth for peak\-rate
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.percent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:peak-rate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.percent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakRate']['meta_info']


                                    class PeakBurstMs(object):
                                        """
                                        
                                        
                                        .. attribute:: ms
                                        
                                        	Milli seconds
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ms = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:peak-burst-ms'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ms is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakBurstMs']['meta_info']


                                    class Actions(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_drop
                                        
                                        	
                                        	**type**\:   :py:class:`ConformDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop>`
                                        
                                        .. attribute:: conform_set_clp_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit>`
                                        
                                        .. attribute:: conform_set_cos_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit>`
                                        
                                        .. attribute:: conform_set_cos_transmit_table
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetCosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable>`
                                        
                                        .. attribute:: conform_set_discard_class_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit>`
                                        
                                        .. attribute:: conform_set_dscp_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit>`
                                        
                                        .. attribute:: conform_set_dscp_transmit_table
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable>`
                                        
                                        .. attribute:: conform_set_frde_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit>`
                                        
                                        .. attribute:: conform_set_mpls_exp_imposition_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit>`
                                        
                                        .. attribute:: conform_set_mpls_exp_imposition_transmit_table
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetMplsExpImpositionTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable>`
                                        
                                        .. attribute:: conform_set_mpls_exp_topmost_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit>`
                                        
                                        .. attribute:: conform_set_mpls_exp_topmost_transmit_table
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetMplsExpTopmostTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable>`
                                        
                                        .. attribute:: conform_set_prec_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit>`
                                        
                                        .. attribute:: conform_set_prec_transmit_table
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetPrecTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable>`
                                        
                                        .. attribute:: conform_set_qos_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit>`
                                        
                                        .. attribute:: conform_set_qos_transmit_table
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetQosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable>`
                                        
                                        .. attribute:: conform_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit>`
                                        
                                        .. attribute:: exceed_drop
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop>`
                                        
                                        .. attribute:: exceed_dscp
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedDscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp>`
                                        
                                        .. attribute:: exceed_set_clp_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit>`
                                        
                                        .. attribute:: exceed_set_cos_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit>`
                                        
                                        .. attribute:: exceed_set_discard_class_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit>`
                                        
                                        .. attribute:: exceed_set_dscp_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit>`
                                        
                                        .. attribute:: exceed_set_dscp_transmit_table
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable>`
                                        
                                        .. attribute:: exceed_set_frde_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit>`
                                        
                                        .. attribute:: exceed_set_mpls_exp_imposition_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit>`
                                        
                                        .. attribute:: exceed_set_mpls_exp_topmost_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit>`
                                        
                                        .. attribute:: exceed_set_prec_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit>`
                                        
                                        .. attribute:: exceed_set_qos_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit>`
                                        
                                        .. attribute:: exceed_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit>`
                                        
                                        .. attribute:: violate_drop
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop>`
                                        
                                        .. attribute:: violate_set_clp_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit>`
                                        
                                        .. attribute:: violate_set_cos_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit>`
                                        
                                        .. attribute:: violate_set_discard_class_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit>`
                                        
                                        .. attribute:: violate_set_dscp_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit>`
                                        
                                        .. attribute:: violate_set_frde_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit>`
                                        
                                        .. attribute:: violate_set_mpls_exp_imposition_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit>`
                                        
                                        .. attribute:: violate_set_mpls_exp_topmost_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit>`
                                        
                                        .. attribute:: violate_set_prec_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit>`
                                        
                                        .. attribute:: violate_set_qos_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit>`
                                        
                                        .. attribute:: violate_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop()
                                            self.conform_drop.parent = self
                                            self.conform_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit()
                                            self.conform_set_clp_transmit.parent = self
                                            self.conform_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit()
                                            self.conform_set_cos_transmit.parent = self
                                            self.conform_set_cos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable()
                                            self.conform_set_cos_transmit_table.parent = self
                                            self.conform_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit()
                                            self.conform_set_discard_class_transmit.parent = self
                                            self.conform_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit()
                                            self.conform_set_dscp_transmit.parent = self
                                            self.conform_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable()
                                            self.conform_set_dscp_transmit_table.parent = self
                                            self.conform_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit()
                                            self.conform_set_frde_transmit.parent = self
                                            self.conform_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit()
                                            self.conform_set_mpls_exp_imposition_transmit.parent = self
                                            self.conform_set_mpls_exp_imposition_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable()
                                            self.conform_set_mpls_exp_imposition_transmit_table.parent = self
                                            self.conform_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit()
                                            self.conform_set_mpls_exp_topmost_transmit.parent = self
                                            self.conform_set_mpls_exp_topmost_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable()
                                            self.conform_set_mpls_exp_topmost_transmit_table.parent = self
                                            self.conform_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit()
                                            self.conform_set_prec_transmit.parent = self
                                            self.conform_set_prec_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable()
                                            self.conform_set_prec_transmit_table.parent = self
                                            self.conform_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit()
                                            self.conform_set_qos_transmit.parent = self
                                            self.conform_set_qos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable()
                                            self.conform_set_qos_transmit_table.parent = self
                                            self.conform_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit()
                                            self.conform_transmit.parent = self
                                            self.exceed_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop()
                                            self.exceed_drop.parent = self
                                            self.exceed_dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp()
                                            self.exceed_dscp.parent = self
                                            self.exceed_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit()
                                            self.exceed_set_clp_transmit.parent = self
                                            self.exceed_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit()
                                            self.exceed_set_cos_transmit.parent = self
                                            self.exceed_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit()
                                            self.exceed_set_discard_class_transmit.parent = self
                                            self.exceed_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit()
                                            self.exceed_set_dscp_transmit.parent = self
                                            self.exceed_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable()
                                            self.exceed_set_dscp_transmit_table.parent = self
                                            self.exceed_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit()
                                            self.exceed_set_frde_transmit.parent = self
                                            self.exceed_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit()
                                            self.exceed_set_mpls_exp_imposition_transmit.parent = self
                                            self.exceed_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit()
                                            self.exceed_set_mpls_exp_topmost_transmit.parent = self
                                            self.exceed_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit()
                                            self.exceed_set_prec_transmit.parent = self
                                            self.exceed_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit()
                                            self.exceed_set_qos_transmit.parent = self
                                            self.exceed_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit()
                                            self.exceed_transmit.parent = self
                                            self.violate_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop()
                                            self.violate_drop.parent = self
                                            self.violate_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit()
                                            self.violate_set_clp_transmit.parent = self
                                            self.violate_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit()
                                            self.violate_set_cos_transmit.parent = self
                                            self.violate_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit()
                                            self.violate_set_discard_class_transmit.parent = self
                                            self.violate_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit()
                                            self.violate_set_dscp_transmit.parent = self
                                            self.violate_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit()
                                            self.violate_set_frde_transmit.parent = self
                                            self.violate_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit()
                                            self.violate_set_mpls_exp_imposition_transmit.parent = self
                                            self.violate_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit()
                                            self.violate_set_mpls_exp_topmost_transmit.parent = self
                                            self.violate_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit()
                                            self.violate_set_prec_transmit.parent = self
                                            self.violate_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit()
                                            self.violate_set_qos_transmit.parent = self
                                            self.violate_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit()
                                            self.violate_transmit.parent = self


                                        class ConformSetClpTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_clp_transmit
                                                
                                                	set atm clp and send it
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_clp_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_clp_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-clp-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit']['meta_info']


                                        class ConformSetCosTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_cos_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_cos_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-cos-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit']['meta_info']


                                        class ConformSetCosTransmitTable(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_cos_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_cos_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-cos-transmit-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable']['meta_info']


                                        class ConformSetDiscardClassTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_discard_class_transmit
                                                
                                                	set discard\-class and send it
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_discard_class_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_discard_class_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-discard-class-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit']['meta_info']


                                        class ConformSetDscpTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..63
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_dscp_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_dscp_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-dscp-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit']['meta_info']


                                        class ConformSetDscpTransmitTable(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..63
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_dscp_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_dscp_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-dscp-transmit-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable']['meta_info']


                                        class ConformSetFrdeTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_frde_transmit
                                                
                                                	set FR DE and send it
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_frde_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_frde_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-frde-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit']['meta_info']


                                        class ConformSetMplsExpImpositionTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_imposition_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_imposition_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-imposition-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit']['meta_info']


                                        class ConformSetMplsExpImpositionTransmitTable(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_imposition_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_imposition_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-imposition-transmit-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info']


                                        class ConformSetMplsExpTopmostTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_topmost_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_topmost_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-topmost-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit']['meta_info']


                                        class ConformSetMplsExpTopmostTransmitTable(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_topmost_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_topmost_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-topmost-transmit-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info']


                                        class ConformSetPrecTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_prec_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_prec_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-prec-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit']['meta_info']


                                        class ConformSetPrecTransmitTable(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_prec_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_prec_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-prec-transmit-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable']['meta_info']


                                        class ConformSetQosTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..99
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_qos_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_qos_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-qos-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit']['meta_info']


                                        class ConformSetQosTransmitTable(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..99
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_qos_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_qos_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-qos-transmit-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable']['meta_info']


                                        class ConformTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: transmit
                                                
                                                	transmit packet
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit']['meta_info']


                                        class ConformDrop(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: drop
                                                
                                                	drop packet
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.drop = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.drop is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-drop'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop']['meta_info']


                                        class ExceedDscp(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: dscp
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..63
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.dscp = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.dscp is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-dscp'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp']['meta_info']


                                        class ExceedSetClpTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_clp_transmit
                                                
                                                	set atm clp and send it
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_clp_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_clp_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-clp-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit']['meta_info']


                                        class ExceedSetCosTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_cos_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_cos_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-cos-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit']['meta_info']


                                        class ExceedSetDiscardClassTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_discard_class_transmit
                                                
                                                	set discard\-class and send it
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_discard_class_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_discard_class_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-discard-class-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit']['meta_info']


                                        class ExceedSetDscpTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	
                                                	**type**\:   :py:class:`SetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit()
                                                    self.set_dscp_transmit.parent = self


                                                class SetDscpTransmit(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: dscp
                                                    
                                                    	
                                                    	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-policy'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp()
                                                        self.dscp.parent = self


                                                    class Dscp(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: table
                                                        
                                                        	
                                                        	**type**\:   :py:class:`TableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-policy'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.table = None

                                                        class TableEnum(Enum):
                                                            """
                                                            TableEnum

                                                            .. data:: policed_dscp = 0

                                                            """

                                                            policed_dscp = 0


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:dscp'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.table is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:set-dscp-transmit'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.dscp is not None and self.dscp._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_dscp_transmit is not None and self.set_dscp_transmit._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-dscp-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit']['meta_info']


                                        class ExceedSetDscpTransmitTable(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..63
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_dscp_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_dscp_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-dscp-transmit-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable']['meta_info']


                                        class ExceedSetFrdeTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_frde_transmit
                                                
                                                	set FR DE and send it
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_frde_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_frde_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-frde-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit']['meta_info']


                                        class ExceedSetMplsExpImpositionTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_imposition_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_imposition_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-mpls-exp-imposition-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info']


                                        class ExceedSetMplsExpTopmostTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_topmost_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_topmost_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-mpls-exp-topmost-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info']


                                        class ExceedSetPrecTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_prec_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_prec_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-prec-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit']['meta_info']


                                        class ExceedSetQosTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..99
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_qos_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_qos_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-qos-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit']['meta_info']


                                        class ExceedTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: transmit
                                                
                                                	transmit packet
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit']['meta_info']


                                        class ExceedDrop(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: drop
                                                
                                                	drop packet
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.drop = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.drop is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-drop'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop']['meta_info']


                                        class ViolateSetClpTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_clp_transmit
                                                
                                                	set atm clp and send it
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_clp_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_clp_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-clp-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit']['meta_info']


                                        class ViolateSetCosTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_cos_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_cos_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-cos-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit']['meta_info']


                                        class ViolateSetDiscardClassTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_discard_class_transmit
                                                
                                                	set discard\-class and send it
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_discard_class_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_discard_class_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-discard-class-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit']['meta_info']


                                        class ViolateSetDscpTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..63
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_dscp_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_dscp_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-dscp-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit']['meta_info']


                                        class ViolateSetFrdeTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_frde_transmit
                                                
                                                	set FR DE and send it
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_frde_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_frde_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-frde-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit']['meta_info']


                                        class ViolateSetMplsExpImpositionTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_imposition_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_imposition_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-mpls-exp-imposition-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info']


                                        class ViolateSetMplsExpTopmostTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_topmost_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_topmost_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-mpls-exp-topmost-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info']


                                        class ViolateSetPrecTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_prec_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_prec_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-prec-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit']['meta_info']


                                        class ViolateSetQosTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..99
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_qos_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_qos_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-qos-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit']['meta_info']


                                        class ViolateTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: transmit
                                                
                                                	transmit packet
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit']['meta_info']


                                        class ViolateDrop(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: drop
                                                
                                                	drop packet
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.drop = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.drop is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-drop'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:actions'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_drop is not None and self.conform_drop._has_data():
                                                return True

                                            if self.conform_set_clp_transmit is not None and self.conform_set_clp_transmit._has_data():
                                                return True

                                            if self.conform_set_cos_transmit is not None and self.conform_set_cos_transmit._has_data():
                                                return True

                                            if self.conform_set_cos_transmit_table is not None and self.conform_set_cos_transmit_table._has_data():
                                                return True

                                            if self.conform_set_discard_class_transmit is not None and self.conform_set_discard_class_transmit._has_data():
                                                return True

                                            if self.conform_set_dscp_transmit is not None and self.conform_set_dscp_transmit._has_data():
                                                return True

                                            if self.conform_set_dscp_transmit_table is not None and self.conform_set_dscp_transmit_table._has_data():
                                                return True

                                            if self.conform_set_frde_transmit is not None and self.conform_set_frde_transmit._has_data():
                                                return True

                                            if self.conform_set_mpls_exp_imposition_transmit is not None and self.conform_set_mpls_exp_imposition_transmit._has_data():
                                                return True

                                            if self.conform_set_mpls_exp_imposition_transmit_table is not None and self.conform_set_mpls_exp_imposition_transmit_table._has_data():
                                                return True

                                            if self.conform_set_mpls_exp_topmost_transmit is not None and self.conform_set_mpls_exp_topmost_transmit._has_data():
                                                return True

                                            if self.conform_set_mpls_exp_topmost_transmit_table is not None and self.conform_set_mpls_exp_topmost_transmit_table._has_data():
                                                return True

                                            if self.conform_set_prec_transmit is not None and self.conform_set_prec_transmit._has_data():
                                                return True

                                            if self.conform_set_prec_transmit_table is not None and self.conform_set_prec_transmit_table._has_data():
                                                return True

                                            if self.conform_set_qos_transmit is not None and self.conform_set_qos_transmit._has_data():
                                                return True

                                            if self.conform_set_qos_transmit_table is not None and self.conform_set_qos_transmit_table._has_data():
                                                return True

                                            if self.conform_transmit is not None and self.conform_transmit._has_data():
                                                return True

                                            if self.exceed_drop is not None and self.exceed_drop._has_data():
                                                return True

                                            if self.exceed_dscp is not None and self.exceed_dscp._has_data():
                                                return True

                                            if self.exceed_set_clp_transmit is not None and self.exceed_set_clp_transmit._has_data():
                                                return True

                                            if self.exceed_set_cos_transmit is not None and self.exceed_set_cos_transmit._has_data():
                                                return True

                                            if self.exceed_set_discard_class_transmit is not None and self.exceed_set_discard_class_transmit._has_data():
                                                return True

                                            if self.exceed_set_dscp_transmit is not None and self.exceed_set_dscp_transmit._has_data():
                                                return True

                                            if self.exceed_set_dscp_transmit_table is not None and self.exceed_set_dscp_transmit_table._has_data():
                                                return True

                                            if self.exceed_set_frde_transmit is not None and self.exceed_set_frde_transmit._has_data():
                                                return True

                                            if self.exceed_set_mpls_exp_imposition_transmit is not None and self.exceed_set_mpls_exp_imposition_transmit._has_data():
                                                return True

                                            if self.exceed_set_mpls_exp_topmost_transmit is not None and self.exceed_set_mpls_exp_topmost_transmit._has_data():
                                                return True

                                            if self.exceed_set_prec_transmit is not None and self.exceed_set_prec_transmit._has_data():
                                                return True

                                            if self.exceed_set_qos_transmit is not None and self.exceed_set_qos_transmit._has_data():
                                                return True

                                            if self.exceed_transmit is not None and self.exceed_transmit._has_data():
                                                return True

                                            if self.violate_drop is not None and self.violate_drop._has_data():
                                                return True

                                            if self.violate_set_clp_transmit is not None and self.violate_set_clp_transmit._has_data():
                                                return True

                                            if self.violate_set_cos_transmit is not None and self.violate_set_cos_transmit._has_data():
                                                return True

                                            if self.violate_set_discard_class_transmit is not None and self.violate_set_discard_class_transmit._has_data():
                                                return True

                                            if self.violate_set_dscp_transmit is not None and self.violate_set_dscp_transmit._has_data():
                                                return True

                                            if self.violate_set_frde_transmit is not None and self.violate_set_frde_transmit._has_data():
                                                return True

                                            if self.violate_set_mpls_exp_imposition_transmit is not None and self.violate_set_mpls_exp_imposition_transmit._has_data():
                                                return True

                                            if self.violate_set_mpls_exp_topmost_transmit is not None and self.violate_set_mpls_exp_topmost_transmit._has_data():
                                                return True

                                            if self.violate_set_prec_transmit is not None and self.violate_set_prec_transmit._has_data():
                                                return True

                                            if self.violate_set_qos_transmit is not None and self.violate_set_qos_transmit._has_data():
                                                return True

                                            if self.violate_transmit is not None and self.violate_transmit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:percent'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.actions is not None and self.actions._has_data():
                                            return True

                                        if self.burst is not None:
                                            return True

                                        if self.ms is not None:
                                            return True

                                        if self.peak_burst is not None:
                                            return True

                                        if self.peak_burst_ms is not None and self.peak_burst_ms._has_data():
                                            return True

                                        if self.peak_rate is not None and self.peak_rate._has_data():
                                            return True

                                        if self.percentage is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:rate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.percent is not None and self.percent._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:police'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None and self.rate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:police-rate-percent'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.police is not None and self.police._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent']['meta_info']


                    class PoliceRatePdp(object):
                        """
                        
                        
                        .. attribute:: police
                        
                        	
                        	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.police = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police()
                            self.police.parent = self


                        class Police(object):
                            """
                            
                            
                            .. attribute:: rate
                            
                            	Specify police rate
                            	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate()
                                self.rate.parent = self


                            class Rate(object):
                                """
                                Specify police rate
                                
                                .. attribute:: pdp
                                
                                	% of interface bandwidth for rate
                                	**type**\:   :py:class:`Pdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pdp = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp()
                                    self.pdp.parent = self


                                class Pdp(object):
                                    """
                                    % of interface bandwidth for rate
                                    
                                    .. attribute:: actions
                                    
                                    	
                                    	**type**\:   :py:class:`Actions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions>`
                                    
                                    .. attribute:: burst
                                    
                                    	Conform burst
                                    	**type**\:  int
                                    
                                    	**range:** 1000..512000000
                                    
                                    .. attribute:: peak_burst
                                    
                                    	Specify 'peak\-burst' parameter for 'peak\-rate'
                                    	**type**\:  int
                                    
                                    	**range:** 1000..512000000
                                    
                                    .. attribute:: peak_rate
                                    
                                    	Specify peak rate
                                    	**type**\:   :py:class:`PeakRateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.PeakRateEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.actions = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions()
                                        self.actions.parent = self
                                        self.burst = None
                                        self.peak_burst = None
                                        self.peak_rate = None

                                    class PeakRateEnum(Enum):
                                        """
                                        PeakRateEnum

                                        Specify peak rate

                                        .. data:: pdp = 0

                                        """

                                        pdp = 0


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.PeakRateEnum']



                                    class Actions(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_drop
                                        
                                        	
                                        	**type**\:   :py:class:`ConformDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop>`
                                        
                                        .. attribute:: conform_set_clp_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit>`
                                        
                                        .. attribute:: conform_set_cos_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit>`
                                        
                                        .. attribute:: conform_set_cos_transmit_table
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetCosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable>`
                                        
                                        .. attribute:: conform_set_discard_class_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit>`
                                        
                                        .. attribute:: conform_set_dscp_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit>`
                                        
                                        .. attribute:: conform_set_dscp_transmit_table
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable>`
                                        
                                        .. attribute:: conform_set_frde_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit>`
                                        
                                        .. attribute:: conform_set_mpls_exp_imposition_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit>`
                                        
                                        .. attribute:: conform_set_mpls_exp_imposition_transmit_table
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetMplsExpImpositionTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable>`
                                        
                                        .. attribute:: conform_set_mpls_exp_topmost_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit>`
                                        
                                        .. attribute:: conform_set_mpls_exp_topmost_transmit_table
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetMplsExpTopmostTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable>`
                                        
                                        .. attribute:: conform_set_prec_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit>`
                                        
                                        .. attribute:: conform_set_prec_transmit_table
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetPrecTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable>`
                                        
                                        .. attribute:: conform_set_qos_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit>`
                                        
                                        .. attribute:: conform_set_qos_transmit_table
                                        
                                        	
                                        	**type**\:   :py:class:`ConformSetQosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable>`
                                        
                                        .. attribute:: conform_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ConformTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit>`
                                        
                                        .. attribute:: exceed_drop
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop>`
                                        
                                        .. attribute:: exceed_dscp
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedDscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp>`
                                        
                                        .. attribute:: exceed_set_clp_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit>`
                                        
                                        .. attribute:: exceed_set_cos_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit>`
                                        
                                        .. attribute:: exceed_set_discard_class_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit>`
                                        
                                        .. attribute:: exceed_set_dscp_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit>`
                                        
                                        .. attribute:: exceed_set_dscp_transmit_table
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable>`
                                        
                                        .. attribute:: exceed_set_frde_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit>`
                                        
                                        .. attribute:: exceed_set_mpls_exp_imposition_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit>`
                                        
                                        .. attribute:: exceed_set_mpls_exp_topmost_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit>`
                                        
                                        .. attribute:: exceed_set_prec_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit>`
                                        
                                        .. attribute:: exceed_set_qos_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit>`
                                        
                                        .. attribute:: exceed_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ExceedTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit>`
                                        
                                        .. attribute:: violate_drop
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop>`
                                        
                                        .. attribute:: violate_set_clp_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit>`
                                        
                                        .. attribute:: violate_set_cos_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit>`
                                        
                                        .. attribute:: violate_set_discard_class_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit>`
                                        
                                        .. attribute:: violate_set_dscp_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit>`
                                        
                                        .. attribute:: violate_set_frde_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit>`
                                        
                                        .. attribute:: violate_set_mpls_exp_imposition_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit>`
                                        
                                        .. attribute:: violate_set_mpls_exp_topmost_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit>`
                                        
                                        .. attribute:: violate_set_prec_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit>`
                                        
                                        .. attribute:: violate_set_qos_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit>`
                                        
                                        .. attribute:: violate_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`ViolateTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop()
                                            self.conform_drop.parent = self
                                            self.conform_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit()
                                            self.conform_set_clp_transmit.parent = self
                                            self.conform_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit()
                                            self.conform_set_cos_transmit.parent = self
                                            self.conform_set_cos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable()
                                            self.conform_set_cos_transmit_table.parent = self
                                            self.conform_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit()
                                            self.conform_set_discard_class_transmit.parent = self
                                            self.conform_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit()
                                            self.conform_set_dscp_transmit.parent = self
                                            self.conform_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable()
                                            self.conform_set_dscp_transmit_table.parent = self
                                            self.conform_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit()
                                            self.conform_set_frde_transmit.parent = self
                                            self.conform_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit()
                                            self.conform_set_mpls_exp_imposition_transmit.parent = self
                                            self.conform_set_mpls_exp_imposition_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable()
                                            self.conform_set_mpls_exp_imposition_transmit_table.parent = self
                                            self.conform_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit()
                                            self.conform_set_mpls_exp_topmost_transmit.parent = self
                                            self.conform_set_mpls_exp_topmost_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable()
                                            self.conform_set_mpls_exp_topmost_transmit_table.parent = self
                                            self.conform_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit()
                                            self.conform_set_prec_transmit.parent = self
                                            self.conform_set_prec_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable()
                                            self.conform_set_prec_transmit_table.parent = self
                                            self.conform_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit()
                                            self.conform_set_qos_transmit.parent = self
                                            self.conform_set_qos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable()
                                            self.conform_set_qos_transmit_table.parent = self
                                            self.conform_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit()
                                            self.conform_transmit.parent = self
                                            self.exceed_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop()
                                            self.exceed_drop.parent = self
                                            self.exceed_dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp()
                                            self.exceed_dscp.parent = self
                                            self.exceed_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit()
                                            self.exceed_set_clp_transmit.parent = self
                                            self.exceed_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit()
                                            self.exceed_set_cos_transmit.parent = self
                                            self.exceed_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit()
                                            self.exceed_set_discard_class_transmit.parent = self
                                            self.exceed_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit()
                                            self.exceed_set_dscp_transmit.parent = self
                                            self.exceed_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable()
                                            self.exceed_set_dscp_transmit_table.parent = self
                                            self.exceed_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit()
                                            self.exceed_set_frde_transmit.parent = self
                                            self.exceed_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit()
                                            self.exceed_set_mpls_exp_imposition_transmit.parent = self
                                            self.exceed_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit()
                                            self.exceed_set_mpls_exp_topmost_transmit.parent = self
                                            self.exceed_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit()
                                            self.exceed_set_prec_transmit.parent = self
                                            self.exceed_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit()
                                            self.exceed_set_qos_transmit.parent = self
                                            self.exceed_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit()
                                            self.exceed_transmit.parent = self
                                            self.violate_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop()
                                            self.violate_drop.parent = self
                                            self.violate_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit()
                                            self.violate_set_clp_transmit.parent = self
                                            self.violate_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit()
                                            self.violate_set_cos_transmit.parent = self
                                            self.violate_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit()
                                            self.violate_set_discard_class_transmit.parent = self
                                            self.violate_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit()
                                            self.violate_set_dscp_transmit.parent = self
                                            self.violate_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit()
                                            self.violate_set_frde_transmit.parent = self
                                            self.violate_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit()
                                            self.violate_set_mpls_exp_imposition_transmit.parent = self
                                            self.violate_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit()
                                            self.violate_set_mpls_exp_topmost_transmit.parent = self
                                            self.violate_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit()
                                            self.violate_set_prec_transmit.parent = self
                                            self.violate_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit()
                                            self.violate_set_qos_transmit.parent = self
                                            self.violate_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit()
                                            self.violate_transmit.parent = self


                                        class ConformSetClpTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_clp_transmit
                                                
                                                	set atm clp and send it
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_clp_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_clp_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-clp-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit']['meta_info']


                                        class ConformSetCosTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_cos_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_cos_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-cos-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit']['meta_info']


                                        class ConformSetCosTransmitTable(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_cos_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_cos_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-cos-transmit-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable']['meta_info']


                                        class ConformSetDiscardClassTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_discard_class_transmit
                                                
                                                	set discard\-class and send it
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_discard_class_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_discard_class_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-discard-class-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit']['meta_info']


                                        class ConformSetDscpTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..63
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_dscp_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_dscp_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-dscp-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit']['meta_info']


                                        class ConformSetDscpTransmitTable(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..63
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_dscp_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_dscp_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-dscp-transmit-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable']['meta_info']


                                        class ConformSetFrdeTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_frde_transmit
                                                
                                                	set FR DE and send it
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_frde_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_frde_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-frde-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit']['meta_info']


                                        class ConformSetMplsExpImpositionTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_imposition_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_imposition_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-imposition-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit']['meta_info']


                                        class ConformSetMplsExpImpositionTransmitTable(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_imposition_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_imposition_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-imposition-transmit-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info']


                                        class ConformSetMplsExpTopmostTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_topmost_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_topmost_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-topmost-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit']['meta_info']


                                        class ConformSetMplsExpTopmostTransmitTable(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_topmost_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_topmost_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-topmost-transmit-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info']


                                        class ConformSetPrecTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_prec_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_prec_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-prec-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit']['meta_info']


                                        class ConformSetPrecTransmitTable(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_prec_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_prec_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-prec-transmit-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable']['meta_info']


                                        class ConformSetQosTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..99
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_qos_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_qos_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-qos-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit']['meta_info']


                                        class ConformSetQosTransmitTable(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..99
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_qos_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_qos_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-qos-transmit-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable']['meta_info']


                                        class ConformTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: transmit
                                                
                                                	transmit packet
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit']['meta_info']


                                        class ConformDrop(object):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop.ConformAction()
                                                self.conform_action.parent = self


                                            class ConformAction(object):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: drop
                                                
                                                	drop packet
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.drop = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.drop is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop.ConformAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-drop'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.conform_action is not None and self.conform_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop']['meta_info']


                                        class ExceedDscp(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: dscp
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..63
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.dscp = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.dscp is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-dscp'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp']['meta_info']


                                        class ExceedSetClpTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_clp_transmit
                                                
                                                	set atm clp and send it
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_clp_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_clp_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-clp-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit']['meta_info']


                                        class ExceedSetCosTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_cos_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_cos_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-cos-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit']['meta_info']


                                        class ExceedSetDiscardClassTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_discard_class_transmit
                                                
                                                	set discard\-class and send it
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_discard_class_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_discard_class_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-discard-class-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit']['meta_info']


                                        class ExceedSetDscpTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	
                                                	**type**\:   :py:class:`SetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit()
                                                    self.set_dscp_transmit.parent = self


                                                class SetDscpTransmit(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: dscp
                                                    
                                                    	
                                                    	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-policy'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp()
                                                        self.dscp.parent = self


                                                    class Dscp(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: table
                                                        
                                                        	
                                                        	**type**\:   :py:class:`TableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-policy'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.table = None

                                                        class TableEnum(Enum):
                                                            """
                                                            TableEnum

                                                            .. data:: policed_dscp = 0

                                                            """

                                                            policed_dscp = 0


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:dscp'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.table is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:set-dscp-transmit'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.dscp is not None and self.dscp._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_dscp_transmit is not None and self.set_dscp_transmit._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-dscp-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit']['meta_info']


                                        class ExceedSetDscpTransmitTable(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..63
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_dscp_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_dscp_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-dscp-transmit-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable']['meta_info']


                                        class ExceedSetFrdeTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_frde_transmit
                                                
                                                	set FR DE and send it
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_frde_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_frde_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-frde-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit']['meta_info']


                                        class ExceedSetMplsExpImpositionTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_imposition_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_imposition_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-mpls-exp-imposition-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info']


                                        class ExceedSetMplsExpTopmostTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_topmost_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_topmost_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-mpls-exp-topmost-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info']


                                        class ExceedSetPrecTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_prec_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_prec_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-prec-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit']['meta_info']


                                        class ExceedSetQosTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..99
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_qos_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_qos_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-qos-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit']['meta_info']


                                        class ExceedTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: transmit
                                                
                                                	transmit packet
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit']['meta_info']


                                        class ExceedDrop(object):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop.ExceedAction()
                                                self.exceed_action.parent = self


                                            class ExceedAction(object):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: drop
                                                
                                                	drop packet
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.drop = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.drop is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop.ExceedAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-drop'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.exceed_action is not None and self.exceed_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop']['meta_info']


                                        class ViolateSetClpTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_clp_transmit
                                                
                                                	set atm clp and send it
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_clp_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_clp_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-clp-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit']['meta_info']


                                        class ViolateSetCosTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_cos_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_cos_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-cos-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit']['meta_info']


                                        class ViolateSetDiscardClassTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_discard_class_transmit
                                                
                                                	set discard\-class and send it
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_discard_class_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_discard_class_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-discard-class-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit']['meta_info']


                                        class ViolateSetDscpTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..63
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_dscp_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_dscp_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-dscp-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit']['meta_info']


                                        class ViolateSetFrdeTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_frde_transmit
                                                
                                                	set FR DE and send it
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_frde_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_frde_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-frde-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit']['meta_info']


                                        class ViolateSetMplsExpImpositionTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_imposition_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_imposition_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-mpls-exp-imposition-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info']


                                        class ViolateSetMplsExpTopmostTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_mpls_exp_topmost_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_mpls_exp_topmost_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-mpls-exp-topmost-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info']


                                        class ViolateSetPrecTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\:  str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_prec_transmit = None
                                                    self.table = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_prec_transmit is not None:
                                                        return True

                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-prec-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit']['meta_info']


                                        class ViolateSetQosTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 0..99
                                                
                                                
                                                ----
                                                	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.set_qos_transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.set_qos_transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-qos-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit']['meta_info']


                                        class ViolateTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: transmit
                                                
                                                	transmit packet
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.transmit = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.transmit is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit']['meta_info']


                                        class ViolateDrop(object):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop.ViolateAction()
                                                self.violate_action.parent = self


                                            class ViolateAction(object):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: drop
                                                
                                                	drop packet
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.drop = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.drop is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop.ViolateAction']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-drop'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.violate_action is not None and self.violate_action._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:actions'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_drop is not None and self.conform_drop._has_data():
                                                return True

                                            if self.conform_set_clp_transmit is not None and self.conform_set_clp_transmit._has_data():
                                                return True

                                            if self.conform_set_cos_transmit is not None and self.conform_set_cos_transmit._has_data():
                                                return True

                                            if self.conform_set_cos_transmit_table is not None and self.conform_set_cos_transmit_table._has_data():
                                                return True

                                            if self.conform_set_discard_class_transmit is not None and self.conform_set_discard_class_transmit._has_data():
                                                return True

                                            if self.conform_set_dscp_transmit is not None and self.conform_set_dscp_transmit._has_data():
                                                return True

                                            if self.conform_set_dscp_transmit_table is not None and self.conform_set_dscp_transmit_table._has_data():
                                                return True

                                            if self.conform_set_frde_transmit is not None and self.conform_set_frde_transmit._has_data():
                                                return True

                                            if self.conform_set_mpls_exp_imposition_transmit is not None and self.conform_set_mpls_exp_imposition_transmit._has_data():
                                                return True

                                            if self.conform_set_mpls_exp_imposition_transmit_table is not None and self.conform_set_mpls_exp_imposition_transmit_table._has_data():
                                                return True

                                            if self.conform_set_mpls_exp_topmost_transmit is not None and self.conform_set_mpls_exp_topmost_transmit._has_data():
                                                return True

                                            if self.conform_set_mpls_exp_topmost_transmit_table is not None and self.conform_set_mpls_exp_topmost_transmit_table._has_data():
                                                return True

                                            if self.conform_set_prec_transmit is not None and self.conform_set_prec_transmit._has_data():
                                                return True

                                            if self.conform_set_prec_transmit_table is not None and self.conform_set_prec_transmit_table._has_data():
                                                return True

                                            if self.conform_set_qos_transmit is not None and self.conform_set_qos_transmit._has_data():
                                                return True

                                            if self.conform_set_qos_transmit_table is not None and self.conform_set_qos_transmit_table._has_data():
                                                return True

                                            if self.conform_transmit is not None and self.conform_transmit._has_data():
                                                return True

                                            if self.exceed_drop is not None and self.exceed_drop._has_data():
                                                return True

                                            if self.exceed_dscp is not None and self.exceed_dscp._has_data():
                                                return True

                                            if self.exceed_set_clp_transmit is not None and self.exceed_set_clp_transmit._has_data():
                                                return True

                                            if self.exceed_set_cos_transmit is not None and self.exceed_set_cos_transmit._has_data():
                                                return True

                                            if self.exceed_set_discard_class_transmit is not None and self.exceed_set_discard_class_transmit._has_data():
                                                return True

                                            if self.exceed_set_dscp_transmit is not None and self.exceed_set_dscp_transmit._has_data():
                                                return True

                                            if self.exceed_set_dscp_transmit_table is not None and self.exceed_set_dscp_transmit_table._has_data():
                                                return True

                                            if self.exceed_set_frde_transmit is not None and self.exceed_set_frde_transmit._has_data():
                                                return True

                                            if self.exceed_set_mpls_exp_imposition_transmit is not None and self.exceed_set_mpls_exp_imposition_transmit._has_data():
                                                return True

                                            if self.exceed_set_mpls_exp_topmost_transmit is not None and self.exceed_set_mpls_exp_topmost_transmit._has_data():
                                                return True

                                            if self.exceed_set_prec_transmit is not None and self.exceed_set_prec_transmit._has_data():
                                                return True

                                            if self.exceed_set_qos_transmit is not None and self.exceed_set_qos_transmit._has_data():
                                                return True

                                            if self.exceed_transmit is not None and self.exceed_transmit._has_data():
                                                return True

                                            if self.violate_drop is not None and self.violate_drop._has_data():
                                                return True

                                            if self.violate_set_clp_transmit is not None and self.violate_set_clp_transmit._has_data():
                                                return True

                                            if self.violate_set_cos_transmit is not None and self.violate_set_cos_transmit._has_data():
                                                return True

                                            if self.violate_set_discard_class_transmit is not None and self.violate_set_discard_class_transmit._has_data():
                                                return True

                                            if self.violate_set_dscp_transmit is not None and self.violate_set_dscp_transmit._has_data():
                                                return True

                                            if self.violate_set_frde_transmit is not None and self.violate_set_frde_transmit._has_data():
                                                return True

                                            if self.violate_set_mpls_exp_imposition_transmit is not None and self.violate_set_mpls_exp_imposition_transmit._has_data():
                                                return True

                                            if self.violate_set_mpls_exp_topmost_transmit is not None and self.violate_set_mpls_exp_topmost_transmit._has_data():
                                                return True

                                            if self.violate_set_prec_transmit is not None and self.violate_set_prec_transmit._has_data():
                                                return True

                                            if self.violate_set_qos_transmit is not None and self.violate_set_qos_transmit._has_data():
                                                return True

                                            if self.violate_transmit is not None and self.violate_transmit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:pdp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.actions is not None and self.actions._has_data():
                                            return True

                                        if self.burst is not None:
                                            return True

                                        if self.peak_burst is not None:
                                            return True

                                        if self.peak_rate is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:rate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pdp is not None and self.pdp._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:police'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None and self.rate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:police-rate-pdp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.police is not None and self.police._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp']['meta_info']


                    class PoliceTargetBitrate(object):
                        """
                        
                        
                        .. attribute:: police
                        
                        	
                        	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.police = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police()
                            self.police.parent = self


                        class Police(object):
                            """
                            
                            
                            .. attribute:: actions
                            
                            	
                            	**type**\:   :py:class:`Actions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions>`
                            
                            .. attribute:: bit_rate
                            
                            	Target bit rate (bits per second) (postfix k, m, g optional),decimal point allowed
                            	**type**\:  int
                            
                            	**range:** 8000..10000000000
                            
                            .. attribute:: confirm_burst_byte
                            
                            	Burst Byte
                            	**type**\:  int
                            
                            	**range:** 100..512000000
                            
                            .. attribute:: conform_action
                            
                            	action when rate is less than conform burst
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: drop
                            
                            	drop packet
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dscp
                            
                            	Set packet dscp from dscp
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: exceed_action
                            
                            	action when rate is within conform and conform + exceed burst
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: excess_burst_byte
                            
                            	Burst Byte
                            	**type**\:  int
                            
                            	**range:** 100..512000000
                            
                            .. attribute:: set_dscp_transmit
                            
                            	set dscp and send it
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: table
                            
                            	Specify table\-map
                            	**type**\:  str
                            
                            .. attribute:: transmit
                            
                            	transmit packet
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.actions = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions()
                                self.actions.parent = self
                                self.bit_rate = None
                                self.confirm_burst_byte = None
                                self.conform_action = None
                                self.drop = None
                                self.dscp = None
                                self.exceed_action = None
                                self.excess_burst_byte = None
                                self.set_dscp_transmit = None
                                self.table = None
                                self.transmit = None


                            class Actions(object):
                                """
                                
                                
                                .. attribute:: conform_drop
                                
                                	
                                	**type**\:   :py:class:`ConformDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop>`
                                
                                .. attribute:: conform_set_clp_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit>`
                                
                                .. attribute:: conform_set_cos_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit>`
                                
                                .. attribute:: conform_set_cos_transmit_table
                                
                                	
                                	**type**\:   :py:class:`ConformSetCosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable>`
                                
                                .. attribute:: conform_set_discard_class_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit>`
                                
                                .. attribute:: conform_set_dscp_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit>`
                                
                                .. attribute:: conform_set_dscp_transmit_table
                                
                                	
                                	**type**\:   :py:class:`ConformSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable>`
                                
                                .. attribute:: conform_set_frde_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit>`
                                
                                .. attribute:: conform_set_mpls_exp_imposition_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit>`
                                
                                .. attribute:: conform_set_mpls_exp_imposition_transmit_table
                                
                                	
                                	**type**\:   :py:class:`ConformSetMplsExpImpositionTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable>`
                                
                                .. attribute:: conform_set_mpls_exp_topmost_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit>`
                                
                                .. attribute:: conform_set_mpls_exp_topmost_transmit_table
                                
                                	
                                	**type**\:   :py:class:`ConformSetMplsExpTopmostTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable>`
                                
                                .. attribute:: conform_set_prec_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit>`
                                
                                .. attribute:: conform_set_prec_transmit_table
                                
                                	
                                	**type**\:   :py:class:`ConformSetPrecTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable>`
                                
                                .. attribute:: conform_set_qos_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit>`
                                
                                .. attribute:: conform_set_qos_transmit_table
                                
                                	
                                	**type**\:   :py:class:`ConformSetQosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable>`
                                
                                .. attribute:: conform_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit>`
                                
                                .. attribute:: exceed_drop
                                
                                	
                                	**type**\:   :py:class:`ExceedDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop>`
                                
                                .. attribute:: exceed_dscp
                                
                                	
                                	**type**\:   :py:class:`ExceedDscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp>`
                                
                                .. attribute:: exceed_set_clp_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit>`
                                
                                .. attribute:: exceed_set_cos_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit>`
                                
                                .. attribute:: exceed_set_discard_class_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit>`
                                
                                .. attribute:: exceed_set_dscp_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit>`
                                
                                .. attribute:: exceed_set_dscp_transmit_table
                                
                                	
                                	**type**\:   :py:class:`ExceedSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable>`
                                
                                .. attribute:: exceed_set_frde_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit>`
                                
                                .. attribute:: exceed_set_mpls_exp_imposition_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit>`
                                
                                .. attribute:: exceed_set_mpls_exp_topmost_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit>`
                                
                                .. attribute:: exceed_set_prec_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit>`
                                
                                .. attribute:: exceed_set_qos_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit>`
                                
                                .. attribute:: exceed_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit>`
                                
                                .. attribute:: violate_drop
                                
                                	
                                	**type**\:   :py:class:`ViolateDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop>`
                                
                                .. attribute:: violate_set_clp_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit>`
                                
                                .. attribute:: violate_set_cos_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit>`
                                
                                .. attribute:: violate_set_discard_class_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit>`
                                
                                .. attribute:: violate_set_dscp_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit>`
                                
                                .. attribute:: violate_set_frde_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit>`
                                
                                .. attribute:: violate_set_mpls_exp_imposition_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit>`
                                
                                .. attribute:: violate_set_mpls_exp_topmost_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit>`
                                
                                .. attribute:: violate_set_prec_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit>`
                                
                                .. attribute:: violate_set_qos_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit>`
                                
                                .. attribute:: violate_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.conform_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop()
                                    self.conform_drop.parent = self
                                    self.conform_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit()
                                    self.conform_set_clp_transmit.parent = self
                                    self.conform_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit()
                                    self.conform_set_cos_transmit.parent = self
                                    self.conform_set_cos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable()
                                    self.conform_set_cos_transmit_table.parent = self
                                    self.conform_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit()
                                    self.conform_set_discard_class_transmit.parent = self
                                    self.conform_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit()
                                    self.conform_set_dscp_transmit.parent = self
                                    self.conform_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable()
                                    self.conform_set_dscp_transmit_table.parent = self
                                    self.conform_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit()
                                    self.conform_set_frde_transmit.parent = self
                                    self.conform_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit()
                                    self.conform_set_mpls_exp_imposition_transmit.parent = self
                                    self.conform_set_mpls_exp_imposition_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable()
                                    self.conform_set_mpls_exp_imposition_transmit_table.parent = self
                                    self.conform_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit()
                                    self.conform_set_mpls_exp_topmost_transmit.parent = self
                                    self.conform_set_mpls_exp_topmost_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable()
                                    self.conform_set_mpls_exp_topmost_transmit_table.parent = self
                                    self.conform_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit()
                                    self.conform_set_prec_transmit.parent = self
                                    self.conform_set_prec_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable()
                                    self.conform_set_prec_transmit_table.parent = self
                                    self.conform_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit()
                                    self.conform_set_qos_transmit.parent = self
                                    self.conform_set_qos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable()
                                    self.conform_set_qos_transmit_table.parent = self
                                    self.conform_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit()
                                    self.conform_transmit.parent = self
                                    self.exceed_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop()
                                    self.exceed_drop.parent = self
                                    self.exceed_dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp()
                                    self.exceed_dscp.parent = self
                                    self.exceed_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit()
                                    self.exceed_set_clp_transmit.parent = self
                                    self.exceed_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit()
                                    self.exceed_set_cos_transmit.parent = self
                                    self.exceed_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit()
                                    self.exceed_set_discard_class_transmit.parent = self
                                    self.exceed_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit()
                                    self.exceed_set_dscp_transmit.parent = self
                                    self.exceed_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable()
                                    self.exceed_set_dscp_transmit_table.parent = self
                                    self.exceed_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit()
                                    self.exceed_set_frde_transmit.parent = self
                                    self.exceed_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit()
                                    self.exceed_set_mpls_exp_imposition_transmit.parent = self
                                    self.exceed_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit()
                                    self.exceed_set_mpls_exp_topmost_transmit.parent = self
                                    self.exceed_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit()
                                    self.exceed_set_prec_transmit.parent = self
                                    self.exceed_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit()
                                    self.exceed_set_qos_transmit.parent = self
                                    self.exceed_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit()
                                    self.exceed_transmit.parent = self
                                    self.violate_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop()
                                    self.violate_drop.parent = self
                                    self.violate_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit()
                                    self.violate_set_clp_transmit.parent = self
                                    self.violate_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit()
                                    self.violate_set_cos_transmit.parent = self
                                    self.violate_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit()
                                    self.violate_set_discard_class_transmit.parent = self
                                    self.violate_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit()
                                    self.violate_set_dscp_transmit.parent = self
                                    self.violate_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit()
                                    self.violate_set_frde_transmit.parent = self
                                    self.violate_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit()
                                    self.violate_set_mpls_exp_imposition_transmit.parent = self
                                    self.violate_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit()
                                    self.violate_set_mpls_exp_topmost_transmit.parent = self
                                    self.violate_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit()
                                    self.violate_set_prec_transmit.parent = self
                                    self.violate_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit()
                                    self.violate_set_qos_transmit.parent = self
                                    self.violate_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit()
                                    self.violate_transmit.parent = self


                                class ConformSetClpTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_clp_transmit
                                        
                                        	set atm clp and send it
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_clp_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_clp_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-clp-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit']['meta_info']


                                class ConformSetCosTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_cos_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_cos_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-cos-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit']['meta_info']


                                class ConformSetCosTransmitTable(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_cos_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_cos_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-cos-transmit-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable']['meta_info']


                                class ConformSetDiscardClassTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_discard_class_transmit
                                        
                                        	set discard\-class and send it
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_discard_class_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_discard_class_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-discard-class-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit']['meta_info']


                                class ConformSetDscpTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..63
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_dscp_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_dscp_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-dscp-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit']['meta_info']


                                class ConformSetDscpTransmitTable(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..63
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_dscp_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_dscp_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-dscp-transmit-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable']['meta_info']


                                class ConformSetFrdeTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_frde_transmit
                                        
                                        	set FR DE and send it
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_frde_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_frde_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-frde-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit']['meta_info']


                                class ConformSetMplsExpImpositionTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_imposition_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_imposition_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-imposition-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit']['meta_info']


                                class ConformSetMplsExpImpositionTransmitTable(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_imposition_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_imposition_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-imposition-transmit-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info']


                                class ConformSetMplsExpTopmostTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_topmost_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_topmost_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-topmost-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit']['meta_info']


                                class ConformSetMplsExpTopmostTransmitTable(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_topmost_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_topmost_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-topmost-transmit-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info']


                                class ConformSetPrecTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_prec_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_prec_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-prec-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit']['meta_info']


                                class ConformSetPrecTransmitTable(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_prec_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_prec_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-prec-transmit-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable']['meta_info']


                                class ConformSetQosTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..99
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_qos_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_qos_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-qos-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit']['meta_info']


                                class ConformSetQosTransmitTable(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..99
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_qos_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_qos_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-qos-transmit-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable']['meta_info']


                                class ConformTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: transmit
                                        
                                        	transmit packet
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit']['meta_info']


                                class ConformDrop(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: drop
                                        
                                        	drop packet
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.drop = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.drop is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-drop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop']['meta_info']


                                class ExceedDscp(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: dscp
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..63
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dscp = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dscp is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-dscp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp']['meta_info']


                                class ExceedSetClpTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_clp_transmit
                                        
                                        	set atm clp and send it
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_clp_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_clp_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-clp-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit']['meta_info']


                                class ExceedSetCosTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_cos_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_cos_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-cos-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit']['meta_info']


                                class ExceedSetDiscardClassTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_discard_class_transmit
                                        
                                        	set discard\-class and send it
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_discard_class_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_discard_class_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-discard-class-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit']['meta_info']


                                class ExceedSetDscpTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`SetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit()
                                            self.set_dscp_transmit.parent = self


                                        class SetDscpTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: dscp
                                            
                                            	
                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp()
                                                self.dscp.parent = self


                                            class Dscp(object):
                                                """
                                                
                                                
                                                .. attribute:: table
                                                
                                                	
                                                	**type**\:   :py:class:`TableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.table = None

                                                class TableEnum(Enum):
                                                    """
                                                    TableEnum

                                                    .. data:: policed_dscp = 0

                                                    """

                                                    policed_dscp = 0


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:dscp'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:set-dscp-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dscp is not None and self.dscp._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_dscp_transmit is not None and self.set_dscp_transmit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-dscp-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit']['meta_info']


                                class ExceedSetDscpTransmitTable(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..63
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_dscp_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_dscp_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-dscp-transmit-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable']['meta_info']


                                class ExceedSetFrdeTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_frde_transmit
                                        
                                        	set FR DE and send it
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_frde_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_frde_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-frde-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit']['meta_info']


                                class ExceedSetMplsExpImpositionTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_imposition_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_imposition_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-mpls-exp-imposition-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info']


                                class ExceedSetMplsExpTopmostTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_topmost_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_topmost_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-mpls-exp-topmost-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info']


                                class ExceedSetPrecTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_prec_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_prec_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-prec-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit']['meta_info']


                                class ExceedSetQosTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..99
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_qos_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_qos_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-qos-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit']['meta_info']


                                class ExceedTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: transmit
                                        
                                        	transmit packet
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit']['meta_info']


                                class ExceedDrop(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: drop
                                        
                                        	drop packet
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.drop = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.drop is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-drop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop']['meta_info']


                                class ViolateSetClpTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_clp_transmit
                                        
                                        	set atm clp and send it
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_clp_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_clp_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-clp-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit']['meta_info']


                                class ViolateSetCosTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_cos_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_cos_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-cos-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit']['meta_info']


                                class ViolateSetDiscardClassTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_discard_class_transmit
                                        
                                        	set discard\-class and send it
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_discard_class_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_discard_class_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-discard-class-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit']['meta_info']


                                class ViolateSetDscpTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..63
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_dscp_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_dscp_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-dscp-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit']['meta_info']


                                class ViolateSetFrdeTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_frde_transmit
                                        
                                        	set FR DE and send it
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_frde_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_frde_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-frde-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit']['meta_info']


                                class ViolateSetMplsExpImpositionTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_imposition_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_imposition_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-mpls-exp-imposition-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info']


                                class ViolateSetMplsExpTopmostTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_topmost_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_topmost_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-mpls-exp-topmost-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info']


                                class ViolateSetPrecTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_prec_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_prec_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-prec-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit']['meta_info']


                                class ViolateSetQosTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..99
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_qos_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_qos_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-qos-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit']['meta_info']


                                class ViolateTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: transmit
                                        
                                        	transmit packet
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit']['meta_info']


                                class ViolateDrop(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: drop
                                        
                                        	drop packet
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.drop = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.drop is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-drop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:actions'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.conform_drop is not None and self.conform_drop._has_data():
                                        return True

                                    if self.conform_set_clp_transmit is not None and self.conform_set_clp_transmit._has_data():
                                        return True

                                    if self.conform_set_cos_transmit is not None and self.conform_set_cos_transmit._has_data():
                                        return True

                                    if self.conform_set_cos_transmit_table is not None and self.conform_set_cos_transmit_table._has_data():
                                        return True

                                    if self.conform_set_discard_class_transmit is not None and self.conform_set_discard_class_transmit._has_data():
                                        return True

                                    if self.conform_set_dscp_transmit is not None and self.conform_set_dscp_transmit._has_data():
                                        return True

                                    if self.conform_set_dscp_transmit_table is not None and self.conform_set_dscp_transmit_table._has_data():
                                        return True

                                    if self.conform_set_frde_transmit is not None and self.conform_set_frde_transmit._has_data():
                                        return True

                                    if self.conform_set_mpls_exp_imposition_transmit is not None and self.conform_set_mpls_exp_imposition_transmit._has_data():
                                        return True

                                    if self.conform_set_mpls_exp_imposition_transmit_table is not None and self.conform_set_mpls_exp_imposition_transmit_table._has_data():
                                        return True

                                    if self.conform_set_mpls_exp_topmost_transmit is not None and self.conform_set_mpls_exp_topmost_transmit._has_data():
                                        return True

                                    if self.conform_set_mpls_exp_topmost_transmit_table is not None and self.conform_set_mpls_exp_topmost_transmit_table._has_data():
                                        return True

                                    if self.conform_set_prec_transmit is not None and self.conform_set_prec_transmit._has_data():
                                        return True

                                    if self.conform_set_prec_transmit_table is not None and self.conform_set_prec_transmit_table._has_data():
                                        return True

                                    if self.conform_set_qos_transmit is not None and self.conform_set_qos_transmit._has_data():
                                        return True

                                    if self.conform_set_qos_transmit_table is not None and self.conform_set_qos_transmit_table._has_data():
                                        return True

                                    if self.conform_transmit is not None and self.conform_transmit._has_data():
                                        return True

                                    if self.exceed_drop is not None and self.exceed_drop._has_data():
                                        return True

                                    if self.exceed_dscp is not None and self.exceed_dscp._has_data():
                                        return True

                                    if self.exceed_set_clp_transmit is not None and self.exceed_set_clp_transmit._has_data():
                                        return True

                                    if self.exceed_set_cos_transmit is not None and self.exceed_set_cos_transmit._has_data():
                                        return True

                                    if self.exceed_set_discard_class_transmit is not None and self.exceed_set_discard_class_transmit._has_data():
                                        return True

                                    if self.exceed_set_dscp_transmit is not None and self.exceed_set_dscp_transmit._has_data():
                                        return True

                                    if self.exceed_set_dscp_transmit_table is not None and self.exceed_set_dscp_transmit_table._has_data():
                                        return True

                                    if self.exceed_set_frde_transmit is not None and self.exceed_set_frde_transmit._has_data():
                                        return True

                                    if self.exceed_set_mpls_exp_imposition_transmit is not None and self.exceed_set_mpls_exp_imposition_transmit._has_data():
                                        return True

                                    if self.exceed_set_mpls_exp_topmost_transmit is not None and self.exceed_set_mpls_exp_topmost_transmit._has_data():
                                        return True

                                    if self.exceed_set_prec_transmit is not None and self.exceed_set_prec_transmit._has_data():
                                        return True

                                    if self.exceed_set_qos_transmit is not None and self.exceed_set_qos_transmit._has_data():
                                        return True

                                    if self.exceed_transmit is not None and self.exceed_transmit._has_data():
                                        return True

                                    if self.violate_drop is not None and self.violate_drop._has_data():
                                        return True

                                    if self.violate_set_clp_transmit is not None and self.violate_set_clp_transmit._has_data():
                                        return True

                                    if self.violate_set_cos_transmit is not None and self.violate_set_cos_transmit._has_data():
                                        return True

                                    if self.violate_set_discard_class_transmit is not None and self.violate_set_discard_class_transmit._has_data():
                                        return True

                                    if self.violate_set_dscp_transmit is not None and self.violate_set_dscp_transmit._has_data():
                                        return True

                                    if self.violate_set_frde_transmit is not None and self.violate_set_frde_transmit._has_data():
                                        return True

                                    if self.violate_set_mpls_exp_imposition_transmit is not None and self.violate_set_mpls_exp_imposition_transmit._has_data():
                                        return True

                                    if self.violate_set_mpls_exp_topmost_transmit is not None and self.violate_set_mpls_exp_topmost_transmit._has_data():
                                        return True

                                    if self.violate_set_prec_transmit is not None and self.violate_set_prec_transmit._has_data():
                                        return True

                                    if self.violate_set_qos_transmit is not None and self.violate_set_qos_transmit._has_data():
                                        return True

                                    if self.violate_transmit is not None and self.violate_transmit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:police'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.actions is not None and self.actions._has_data():
                                    return True

                                if self.bit_rate is not None:
                                    return True

                                if self.confirm_burst_byte is not None:
                                    return True

                                if self.conform_action is not None:
                                    return True

                                if self.drop is not None:
                                    return True

                                if self.dscp is not None:
                                    return True

                                if self.exceed_action is not None:
                                    return True

                                if self.excess_burst_byte is not None:
                                    return True

                                if self.set_dscp_transmit is not None:
                                    return True

                                if self.table is not None:
                                    return True

                                if self.transmit is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:police-target-bitrate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.police is not None and self.police._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate']['meta_info']


                    class PoliceFlow(object):
                        """
                        
                        
                        .. attribute:: police
                        
                        	
                        	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.police = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police()
                            self.police.parent = self


                        class Police(object):
                            """
                            
                            
                            .. attribute:: flow
                            
                            	police each flow
                            	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.flow = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow()
                                self.flow.parent = self


                            class Flow(object):
                                """
                                police each flow
                                
                                .. attribute:: actions
                                
                                	
                                	**type**\:   :py:class:`Actions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions>`
                                
                                .. attribute:: bps
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 8000..64000000000
                                
                                .. attribute:: burst_normal
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1000..512000000
                                
                                .. attribute:: mask
                                
                                	flow mask to be used for policing
                                	**type**\:   :py:class:`MaskEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.MaskEnum>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.actions = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions()
                                    self.actions.parent = self
                                    self.bps = None
                                    self.burst_normal = None
                                    self.mask = None

                                class MaskEnum(Enum):
                                    """
                                    MaskEnum

                                    flow mask to be used for policing

                                    .. data:: dest_only = 0

                                    .. data:: full_flow = 1

                                    .. data:: src_only = 2

                                    """

                                    dest_only = 0

                                    full_flow = 1

                                    src_only = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.MaskEnum']



                                class Actions(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_drop
                                    
                                    	
                                    	**type**\:   :py:class:`ConformDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop>`
                                    
                                    .. attribute:: conform_set_clp_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit>`
                                    
                                    .. attribute:: conform_set_cos_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit>`
                                    
                                    .. attribute:: conform_set_cos_transmit_table
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetCosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable>`
                                    
                                    .. attribute:: conform_set_discard_class_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit>`
                                    
                                    .. attribute:: conform_set_dscp_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit>`
                                    
                                    .. attribute:: conform_set_dscp_transmit_table
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable>`
                                    
                                    .. attribute:: conform_set_frde_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit>`
                                    
                                    .. attribute:: conform_set_mpls_exp_imposition_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit>`
                                    
                                    .. attribute:: conform_set_mpls_exp_imposition_transmit_table
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetMplsExpImpositionTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable>`
                                    
                                    .. attribute:: conform_set_mpls_exp_topmost_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit>`
                                    
                                    .. attribute:: conform_set_mpls_exp_topmost_transmit_table
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetMplsExpTopmostTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable>`
                                    
                                    .. attribute:: conform_set_prec_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit>`
                                    
                                    .. attribute:: conform_set_prec_transmit_table
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetPrecTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable>`
                                    
                                    .. attribute:: conform_set_qos_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit>`
                                    
                                    .. attribute:: conform_set_qos_transmit_table
                                    
                                    	
                                    	**type**\:   :py:class:`ConformSetQosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable>`
                                    
                                    .. attribute:: conform_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ConformTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit>`
                                    
                                    .. attribute:: exceed_drop
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop>`
                                    
                                    .. attribute:: exceed_dscp
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedDscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp>`
                                    
                                    .. attribute:: exceed_set_clp_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit>`
                                    
                                    .. attribute:: exceed_set_cos_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit>`
                                    
                                    .. attribute:: exceed_set_discard_class_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit>`
                                    
                                    .. attribute:: exceed_set_dscp_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit>`
                                    
                                    .. attribute:: exceed_set_dscp_transmit_table
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable>`
                                    
                                    .. attribute:: exceed_set_frde_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit>`
                                    
                                    .. attribute:: exceed_set_mpls_exp_imposition_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit>`
                                    
                                    .. attribute:: exceed_set_mpls_exp_topmost_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit>`
                                    
                                    .. attribute:: exceed_set_prec_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit>`
                                    
                                    .. attribute:: exceed_set_qos_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit>`
                                    
                                    .. attribute:: exceed_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ExceedTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit>`
                                    
                                    .. attribute:: violate_drop
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop>`
                                    
                                    .. attribute:: violate_set_clp_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit>`
                                    
                                    .. attribute:: violate_set_cos_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit>`
                                    
                                    .. attribute:: violate_set_discard_class_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit>`
                                    
                                    .. attribute:: violate_set_dscp_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit>`
                                    
                                    .. attribute:: violate_set_frde_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit>`
                                    
                                    .. attribute:: violate_set_mpls_exp_imposition_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit>`
                                    
                                    .. attribute:: violate_set_mpls_exp_topmost_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit>`
                                    
                                    .. attribute:: violate_set_prec_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit>`
                                    
                                    .. attribute:: violate_set_qos_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit>`
                                    
                                    .. attribute:: violate_transmit
                                    
                                    	
                                    	**type**\:   :py:class:`ViolateTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop()
                                        self.conform_drop.parent = self
                                        self.conform_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit()
                                        self.conform_set_clp_transmit.parent = self
                                        self.conform_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit()
                                        self.conform_set_cos_transmit.parent = self
                                        self.conform_set_cos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable()
                                        self.conform_set_cos_transmit_table.parent = self
                                        self.conform_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit()
                                        self.conform_set_discard_class_transmit.parent = self
                                        self.conform_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit()
                                        self.conform_set_dscp_transmit.parent = self
                                        self.conform_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable()
                                        self.conform_set_dscp_transmit_table.parent = self
                                        self.conform_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit()
                                        self.conform_set_frde_transmit.parent = self
                                        self.conform_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit()
                                        self.conform_set_mpls_exp_imposition_transmit.parent = self
                                        self.conform_set_mpls_exp_imposition_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable()
                                        self.conform_set_mpls_exp_imposition_transmit_table.parent = self
                                        self.conform_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit()
                                        self.conform_set_mpls_exp_topmost_transmit.parent = self
                                        self.conform_set_mpls_exp_topmost_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable()
                                        self.conform_set_mpls_exp_topmost_transmit_table.parent = self
                                        self.conform_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit()
                                        self.conform_set_prec_transmit.parent = self
                                        self.conform_set_prec_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable()
                                        self.conform_set_prec_transmit_table.parent = self
                                        self.conform_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit()
                                        self.conform_set_qos_transmit.parent = self
                                        self.conform_set_qos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable()
                                        self.conform_set_qos_transmit_table.parent = self
                                        self.conform_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit()
                                        self.conform_transmit.parent = self
                                        self.exceed_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop()
                                        self.exceed_drop.parent = self
                                        self.exceed_dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp()
                                        self.exceed_dscp.parent = self
                                        self.exceed_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit()
                                        self.exceed_set_clp_transmit.parent = self
                                        self.exceed_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit()
                                        self.exceed_set_cos_transmit.parent = self
                                        self.exceed_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit()
                                        self.exceed_set_discard_class_transmit.parent = self
                                        self.exceed_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit()
                                        self.exceed_set_dscp_transmit.parent = self
                                        self.exceed_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable()
                                        self.exceed_set_dscp_transmit_table.parent = self
                                        self.exceed_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit()
                                        self.exceed_set_frde_transmit.parent = self
                                        self.exceed_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit()
                                        self.exceed_set_mpls_exp_imposition_transmit.parent = self
                                        self.exceed_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit()
                                        self.exceed_set_mpls_exp_topmost_transmit.parent = self
                                        self.exceed_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit()
                                        self.exceed_set_prec_transmit.parent = self
                                        self.exceed_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit()
                                        self.exceed_set_qos_transmit.parent = self
                                        self.exceed_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit()
                                        self.exceed_transmit.parent = self
                                        self.violate_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop()
                                        self.violate_drop.parent = self
                                        self.violate_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit()
                                        self.violate_set_clp_transmit.parent = self
                                        self.violate_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit()
                                        self.violate_set_cos_transmit.parent = self
                                        self.violate_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit()
                                        self.violate_set_discard_class_transmit.parent = self
                                        self.violate_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit()
                                        self.violate_set_dscp_transmit.parent = self
                                        self.violate_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit()
                                        self.violate_set_frde_transmit.parent = self
                                        self.violate_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit()
                                        self.violate_set_mpls_exp_imposition_transmit.parent = self
                                        self.violate_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit()
                                        self.violate_set_mpls_exp_topmost_transmit.parent = self
                                        self.violate_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit()
                                        self.violate_set_prec_transmit.parent = self
                                        self.violate_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit()
                                        self.violate_set_qos_transmit.parent = self
                                        self.violate_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit()
                                        self.violate_transmit.parent = self


                                    class ConformSetClpTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_clp_transmit
                                            
                                            	set atm clp and send it
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_clp_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_clp_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-clp-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit']['meta_info']


                                    class ConformSetCosTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_cos_transmit
                                            
                                            	rewrite packet cos and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_cos_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_cos_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-cos-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit']['meta_info']


                                    class ConformSetCosTransmitTable(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_cos_transmit
                                            
                                            	rewrite packet cos and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_cos_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_cos_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-cos-transmit-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable']['meta_info']


                                    class ConformSetDiscardClassTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_discard_class_transmit
                                            
                                            	set discard\-class and send it
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_discard_class_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_discard_class_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-discard-class-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit']['meta_info']


                                    class ConformSetDscpTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_dscp_transmit
                                            
                                            	set dscp and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..63
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_dscp_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_dscp_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-dscp-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit']['meta_info']


                                    class ConformSetDscpTransmitTable(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_dscp_transmit
                                            
                                            	set dscp and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..63
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_dscp_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_dscp_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-dscp-transmit-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable']['meta_info']


                                    class ConformSetFrdeTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_frde_transmit
                                            
                                            	set FR DE and send it
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_frde_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_frde_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-frde-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit']['meta_info']


                                    class ConformSetMplsExpImpositionTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_mpls_exp_imposition_transmit
                                            
                                            	set exp at tag imposition and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_mpls_exp_imposition_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_mpls_exp_imposition_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-imposition-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit']['meta_info']


                                    class ConformSetMplsExpImpositionTransmitTable(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_mpls_exp_imposition_transmit
                                            
                                            	set exp at tag imposition and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_mpls_exp_imposition_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_mpls_exp_imposition_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-imposition-transmit-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info']


                                    class ConformSetMplsExpTopmostTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_mpls_exp_topmost_transmit
                                            
                                            	set exp on topmost label and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_mpls_exp_topmost_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_mpls_exp_topmost_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-topmost-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit']['meta_info']


                                    class ConformSetMplsExpTopmostTransmitTable(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_mpls_exp_topmost_transmit
                                            
                                            	set exp on topmost label and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_mpls_exp_topmost_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_mpls_exp_topmost_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-topmost-transmit-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info']


                                    class ConformSetPrecTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_prec_transmit
                                            
                                            	rewrite packet precedence and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_prec_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_prec_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-prec-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit']['meta_info']


                                    class ConformSetPrecTransmitTable(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_prec_transmit
                                            
                                            	rewrite packet precedence and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_prec_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_prec_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-prec-transmit-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable']['meta_info']


                                    class ConformSetQosTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_qos_transmit
                                            
                                            	set qos\-group and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..99
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_qos_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_qos_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-qos-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit']['meta_info']


                                    class ConformSetQosTransmitTable(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_qos_transmit
                                            
                                            	set qos\-group and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..99
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_qos_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_qos_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-qos-transmit-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable']['meta_info']


                                    class ConformTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: transmit
                                            
                                            	transmit packet
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit']['meta_info']


                                    class ConformDrop(object):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop.ConformAction()
                                            self.conform_action.parent = self


                                        class ConformAction(object):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: drop
                                            
                                            	drop packet
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.drop = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.drop is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop.ConformAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-drop'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.conform_action is not None and self.conform_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop']['meta_info']


                                    class ExceedDscp(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: dscp
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..63
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dscp = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dscp is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-dscp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp']['meta_info']


                                    class ExceedSetClpTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_clp_transmit
                                            
                                            	set atm clp and send it
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_clp_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_clp_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-clp-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit']['meta_info']


                                    class ExceedSetCosTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_cos_transmit
                                            
                                            	rewrite packet cos and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_cos_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_cos_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-cos-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit']['meta_info']


                                    class ExceedSetDiscardClassTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_discard_class_transmit
                                            
                                            	set discard\-class and send it
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_discard_class_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_discard_class_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-discard-class-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit']['meta_info']


                                    class ExceedSetDscpTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_dscp_transmit
                                            
                                            	
                                            	**type**\:   :py:class:`SetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit()
                                                self.set_dscp_transmit.parent = self


                                            class SetDscpTransmit(object):
                                                """
                                                
                                                
                                                .. attribute:: dscp
                                                
                                                	
                                                	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp()
                                                    self.dscp.parent = self


                                                class Dscp(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: table
                                                    
                                                    	
                                                    	**type**\:   :py:class:`TableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-policy'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.table = None

                                                    class TableEnum(Enum):
                                                        """
                                                        TableEnum

                                                        .. data:: policed_dscp = 0

                                                        """

                                                        policed_dscp = 0


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:dscp'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.table is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:set-dscp-transmit'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.dscp is not None and self.dscp._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_dscp_transmit is not None and self.set_dscp_transmit._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-dscp-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit']['meta_info']


                                    class ExceedSetDscpTransmitTable(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_dscp_transmit
                                            
                                            	set dscp and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..63
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_dscp_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_dscp_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-dscp-transmit-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable']['meta_info']


                                    class ExceedSetFrdeTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_frde_transmit
                                            
                                            	set FR DE and send it
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_frde_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_frde_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-frde-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit']['meta_info']


                                    class ExceedSetMplsExpImpositionTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_mpls_exp_imposition_transmit
                                            
                                            	set exp at tag imposition and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_mpls_exp_imposition_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_mpls_exp_imposition_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-mpls-exp-imposition-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info']


                                    class ExceedSetMplsExpTopmostTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_mpls_exp_topmost_transmit
                                            
                                            	set exp on topmost label and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_mpls_exp_topmost_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_mpls_exp_topmost_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-mpls-exp-topmost-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info']


                                    class ExceedSetPrecTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_prec_transmit
                                            
                                            	rewrite packet precedence and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_prec_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_prec_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-prec-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit']['meta_info']


                                    class ExceedSetQosTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_qos_transmit
                                            
                                            	set qos\-group and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..99
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_qos_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_qos_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-qos-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit']['meta_info']


                                    class ExceedTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: transmit
                                            
                                            	transmit packet
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit']['meta_info']


                                    class ExceedDrop(object):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop.ExceedAction()
                                            self.exceed_action.parent = self


                                        class ExceedAction(object):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: drop
                                            
                                            	drop packet
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.drop = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.drop is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop.ExceedAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-drop'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exceed_action is not None and self.exceed_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop']['meta_info']


                                    class ViolateSetClpTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_clp_transmit
                                            
                                            	set atm clp and send it
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_clp_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_clp_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-clp-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit']['meta_info']


                                    class ViolateSetCosTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_cos_transmit
                                            
                                            	rewrite packet cos and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_cos_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_cos_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-cos-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit']['meta_info']


                                    class ViolateSetDiscardClassTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_discard_class_transmit
                                            
                                            	set discard\-class and send it
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_discard_class_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_discard_class_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-discard-class-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit']['meta_info']


                                    class ViolateSetDscpTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_dscp_transmit
                                            
                                            	set dscp and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..63
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_dscp_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_dscp_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-dscp-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit']['meta_info']


                                    class ViolateSetFrdeTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_frde_transmit
                                            
                                            	set FR DE and send it
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_frde_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_frde_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-frde-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit']['meta_info']


                                    class ViolateSetMplsExpImpositionTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_mpls_exp_imposition_transmit
                                            
                                            	set exp at tag imposition and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_mpls_exp_imposition_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_mpls_exp_imposition_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-mpls-exp-imposition-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info']


                                    class ViolateSetMplsExpTopmostTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_mpls_exp_topmost_transmit
                                            
                                            	set exp on topmost label and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_mpls_exp_topmost_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_mpls_exp_topmost_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-mpls-exp-topmost-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info']


                                    class ViolateSetPrecTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_prec_transmit
                                            
                                            	rewrite packet precedence and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\:  str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_prec_transmit = None
                                                self.table = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_prec_transmit is not None:
                                                    return True

                                                if self.table is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-prec-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit']['meta_info']


                                    class ViolateSetQosTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_qos_transmit
                                            
                                            	set qos\-group and send it
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 0..99
                                            
                                            
                                            ----
                                            	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.set_qos_transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.set_qos_transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-qos-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit']['meta_info']


                                    class ViolateTransmit(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: transmit
                                            
                                            	transmit packet
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.transmit = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.transmit is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-transmit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit']['meta_info']


                                    class ViolateDrop(object):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop.ViolateAction()
                                            self.violate_action.parent = self


                                        class ViolateAction(object):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: drop
                                            
                                            	drop packet
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.drop = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.drop is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop.ViolateAction']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-drop'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.violate_action is not None and self.violate_action._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:actions'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_drop is not None and self.conform_drop._has_data():
                                            return True

                                        if self.conform_set_clp_transmit is not None and self.conform_set_clp_transmit._has_data():
                                            return True

                                        if self.conform_set_cos_transmit is not None and self.conform_set_cos_transmit._has_data():
                                            return True

                                        if self.conform_set_cos_transmit_table is not None and self.conform_set_cos_transmit_table._has_data():
                                            return True

                                        if self.conform_set_discard_class_transmit is not None and self.conform_set_discard_class_transmit._has_data():
                                            return True

                                        if self.conform_set_dscp_transmit is not None and self.conform_set_dscp_transmit._has_data():
                                            return True

                                        if self.conform_set_dscp_transmit_table is not None and self.conform_set_dscp_transmit_table._has_data():
                                            return True

                                        if self.conform_set_frde_transmit is not None and self.conform_set_frde_transmit._has_data():
                                            return True

                                        if self.conform_set_mpls_exp_imposition_transmit is not None and self.conform_set_mpls_exp_imposition_transmit._has_data():
                                            return True

                                        if self.conform_set_mpls_exp_imposition_transmit_table is not None and self.conform_set_mpls_exp_imposition_transmit_table._has_data():
                                            return True

                                        if self.conform_set_mpls_exp_topmost_transmit is not None and self.conform_set_mpls_exp_topmost_transmit._has_data():
                                            return True

                                        if self.conform_set_mpls_exp_topmost_transmit_table is not None and self.conform_set_mpls_exp_topmost_transmit_table._has_data():
                                            return True

                                        if self.conform_set_prec_transmit is not None and self.conform_set_prec_transmit._has_data():
                                            return True

                                        if self.conform_set_prec_transmit_table is not None and self.conform_set_prec_transmit_table._has_data():
                                            return True

                                        if self.conform_set_qos_transmit is not None and self.conform_set_qos_transmit._has_data():
                                            return True

                                        if self.conform_set_qos_transmit_table is not None and self.conform_set_qos_transmit_table._has_data():
                                            return True

                                        if self.conform_transmit is not None and self.conform_transmit._has_data():
                                            return True

                                        if self.exceed_drop is not None and self.exceed_drop._has_data():
                                            return True

                                        if self.exceed_dscp is not None and self.exceed_dscp._has_data():
                                            return True

                                        if self.exceed_set_clp_transmit is not None and self.exceed_set_clp_transmit._has_data():
                                            return True

                                        if self.exceed_set_cos_transmit is not None and self.exceed_set_cos_transmit._has_data():
                                            return True

                                        if self.exceed_set_discard_class_transmit is not None and self.exceed_set_discard_class_transmit._has_data():
                                            return True

                                        if self.exceed_set_dscp_transmit is not None and self.exceed_set_dscp_transmit._has_data():
                                            return True

                                        if self.exceed_set_dscp_transmit_table is not None and self.exceed_set_dscp_transmit_table._has_data():
                                            return True

                                        if self.exceed_set_frde_transmit is not None and self.exceed_set_frde_transmit._has_data():
                                            return True

                                        if self.exceed_set_mpls_exp_imposition_transmit is not None and self.exceed_set_mpls_exp_imposition_transmit._has_data():
                                            return True

                                        if self.exceed_set_mpls_exp_topmost_transmit is not None and self.exceed_set_mpls_exp_topmost_transmit._has_data():
                                            return True

                                        if self.exceed_set_prec_transmit is not None and self.exceed_set_prec_transmit._has_data():
                                            return True

                                        if self.exceed_set_qos_transmit is not None and self.exceed_set_qos_transmit._has_data():
                                            return True

                                        if self.exceed_transmit is not None and self.exceed_transmit._has_data():
                                            return True

                                        if self.violate_drop is not None and self.violate_drop._has_data():
                                            return True

                                        if self.violate_set_clp_transmit is not None and self.violate_set_clp_transmit._has_data():
                                            return True

                                        if self.violate_set_cos_transmit is not None and self.violate_set_cos_transmit._has_data():
                                            return True

                                        if self.violate_set_discard_class_transmit is not None and self.violate_set_discard_class_transmit._has_data():
                                            return True

                                        if self.violate_set_dscp_transmit is not None and self.violate_set_dscp_transmit._has_data():
                                            return True

                                        if self.violate_set_frde_transmit is not None and self.violate_set_frde_transmit._has_data():
                                            return True

                                        if self.violate_set_mpls_exp_imposition_transmit is not None and self.violate_set_mpls_exp_imposition_transmit._has_data():
                                            return True

                                        if self.violate_set_mpls_exp_topmost_transmit is not None and self.violate_set_mpls_exp_topmost_transmit._has_data():
                                            return True

                                        if self.violate_set_prec_transmit is not None and self.violate_set_prec_transmit._has_data():
                                            return True

                                        if self.violate_set_qos_transmit is not None and self.violate_set_qos_transmit._has_data():
                                            return True

                                        if self.violate_transmit is not None and self.violate_transmit._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:flow'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.actions is not None and self.actions._has_data():
                                        return True

                                    if self.bps is not None:
                                        return True

                                    if self.burst_normal is not None:
                                        return True

                                    if self.mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:police'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.flow is not None and self.flow._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:police-flow'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.police is not None and self.police._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow']['meta_info']


                    class PoliceCatalyst(object):
                        """
                        
                        
                        .. attribute:: police
                        
                        	
                        	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.police = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police()
                            self.police.parent = self


                        class Police(object):
                            """
                            
                            
                            .. attribute:: actions
                            
                            	
                            	**type**\:   :py:class:`Actions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions>`
                            
                            .. attribute:: bps
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: bps_value
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: byte
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: byte_value
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.actions = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions()
                                self.actions.parent = self
                                self.bps = None
                                self.bps_value = None
                                self.byte = None
                                self.byte_value = None


                            class Actions(object):
                                """
                                
                                
                                .. attribute:: conform_drop
                                
                                	
                                	**type**\:   :py:class:`ConformDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop>`
                                
                                .. attribute:: conform_set_clp_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit>`
                                
                                .. attribute:: conform_set_cos_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit>`
                                
                                .. attribute:: conform_set_cos_transmit_table
                                
                                	
                                	**type**\:   :py:class:`ConformSetCosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable>`
                                
                                .. attribute:: conform_set_discard_class_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit>`
                                
                                .. attribute:: conform_set_dscp_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit>`
                                
                                .. attribute:: conform_set_dscp_transmit_table
                                
                                	
                                	**type**\:   :py:class:`ConformSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable>`
                                
                                .. attribute:: conform_set_frde_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit>`
                                
                                .. attribute:: conform_set_mpls_exp_imposition_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit>`
                                
                                .. attribute:: conform_set_mpls_exp_imposition_transmit_table
                                
                                	
                                	**type**\:   :py:class:`ConformSetMplsExpImpositionTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable>`
                                
                                .. attribute:: conform_set_mpls_exp_topmost_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit>`
                                
                                .. attribute:: conform_set_mpls_exp_topmost_transmit_table
                                
                                	
                                	**type**\:   :py:class:`ConformSetMplsExpTopmostTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable>`
                                
                                .. attribute:: conform_set_prec_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit>`
                                
                                .. attribute:: conform_set_prec_transmit_table
                                
                                	
                                	**type**\:   :py:class:`ConformSetPrecTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable>`
                                
                                .. attribute:: conform_set_qos_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit>`
                                
                                .. attribute:: conform_set_qos_transmit_table
                                
                                	
                                	**type**\:   :py:class:`ConformSetQosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable>`
                                
                                .. attribute:: conform_transmit
                                
                                	
                                	**type**\:   :py:class:`ConformTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit>`
                                
                                .. attribute:: exceed_drop
                                
                                	
                                	**type**\:   :py:class:`ExceedDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop>`
                                
                                .. attribute:: exceed_dscp
                                
                                	
                                	**type**\:   :py:class:`ExceedDscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp>`
                                
                                .. attribute:: exceed_set_clp_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit>`
                                
                                .. attribute:: exceed_set_cos_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit>`
                                
                                .. attribute:: exceed_set_discard_class_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit>`
                                
                                .. attribute:: exceed_set_dscp_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit>`
                                
                                .. attribute:: exceed_set_dscp_transmit_table
                                
                                	
                                	**type**\:   :py:class:`ExceedSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable>`
                                
                                .. attribute:: exceed_set_frde_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit>`
                                
                                .. attribute:: exceed_set_mpls_exp_imposition_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit>`
                                
                                .. attribute:: exceed_set_mpls_exp_topmost_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit>`
                                
                                .. attribute:: exceed_set_prec_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit>`
                                
                                .. attribute:: exceed_set_qos_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit>`
                                
                                .. attribute:: exceed_transmit
                                
                                	
                                	**type**\:   :py:class:`ExceedTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit>`
                                
                                .. attribute:: violate_drop
                                
                                	
                                	**type**\:   :py:class:`ViolateDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop>`
                                
                                .. attribute:: violate_set_clp_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit>`
                                
                                .. attribute:: violate_set_cos_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit>`
                                
                                .. attribute:: violate_set_discard_class_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit>`
                                
                                .. attribute:: violate_set_dscp_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit>`
                                
                                .. attribute:: violate_set_frde_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit>`
                                
                                .. attribute:: violate_set_mpls_exp_imposition_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit>`
                                
                                .. attribute:: violate_set_mpls_exp_topmost_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit>`
                                
                                .. attribute:: violate_set_prec_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit>`
                                
                                .. attribute:: violate_set_qos_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit>`
                                
                                .. attribute:: violate_transmit
                                
                                	
                                	**type**\:   :py:class:`ViolateTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.conform_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop()
                                    self.conform_drop.parent = self
                                    self.conform_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit()
                                    self.conform_set_clp_transmit.parent = self
                                    self.conform_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit()
                                    self.conform_set_cos_transmit.parent = self
                                    self.conform_set_cos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable()
                                    self.conform_set_cos_transmit_table.parent = self
                                    self.conform_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit()
                                    self.conform_set_discard_class_transmit.parent = self
                                    self.conform_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit()
                                    self.conform_set_dscp_transmit.parent = self
                                    self.conform_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable()
                                    self.conform_set_dscp_transmit_table.parent = self
                                    self.conform_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit()
                                    self.conform_set_frde_transmit.parent = self
                                    self.conform_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit()
                                    self.conform_set_mpls_exp_imposition_transmit.parent = self
                                    self.conform_set_mpls_exp_imposition_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable()
                                    self.conform_set_mpls_exp_imposition_transmit_table.parent = self
                                    self.conform_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit()
                                    self.conform_set_mpls_exp_topmost_transmit.parent = self
                                    self.conform_set_mpls_exp_topmost_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable()
                                    self.conform_set_mpls_exp_topmost_transmit_table.parent = self
                                    self.conform_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit()
                                    self.conform_set_prec_transmit.parent = self
                                    self.conform_set_prec_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable()
                                    self.conform_set_prec_transmit_table.parent = self
                                    self.conform_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit()
                                    self.conform_set_qos_transmit.parent = self
                                    self.conform_set_qos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable()
                                    self.conform_set_qos_transmit_table.parent = self
                                    self.conform_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit()
                                    self.conform_transmit.parent = self
                                    self.exceed_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop()
                                    self.exceed_drop.parent = self
                                    self.exceed_dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp()
                                    self.exceed_dscp.parent = self
                                    self.exceed_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit()
                                    self.exceed_set_clp_transmit.parent = self
                                    self.exceed_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit()
                                    self.exceed_set_cos_transmit.parent = self
                                    self.exceed_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit()
                                    self.exceed_set_discard_class_transmit.parent = self
                                    self.exceed_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit()
                                    self.exceed_set_dscp_transmit.parent = self
                                    self.exceed_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable()
                                    self.exceed_set_dscp_transmit_table.parent = self
                                    self.exceed_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit()
                                    self.exceed_set_frde_transmit.parent = self
                                    self.exceed_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit()
                                    self.exceed_set_mpls_exp_imposition_transmit.parent = self
                                    self.exceed_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit()
                                    self.exceed_set_mpls_exp_topmost_transmit.parent = self
                                    self.exceed_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit()
                                    self.exceed_set_prec_transmit.parent = self
                                    self.exceed_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit()
                                    self.exceed_set_qos_transmit.parent = self
                                    self.exceed_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit()
                                    self.exceed_transmit.parent = self
                                    self.violate_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop()
                                    self.violate_drop.parent = self
                                    self.violate_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit()
                                    self.violate_set_clp_transmit.parent = self
                                    self.violate_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit()
                                    self.violate_set_cos_transmit.parent = self
                                    self.violate_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit()
                                    self.violate_set_discard_class_transmit.parent = self
                                    self.violate_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit()
                                    self.violate_set_dscp_transmit.parent = self
                                    self.violate_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit()
                                    self.violate_set_frde_transmit.parent = self
                                    self.violate_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit()
                                    self.violate_set_mpls_exp_imposition_transmit.parent = self
                                    self.violate_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit()
                                    self.violate_set_mpls_exp_topmost_transmit.parent = self
                                    self.violate_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit()
                                    self.violate_set_prec_transmit.parent = self
                                    self.violate_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit()
                                    self.violate_set_qos_transmit.parent = self
                                    self.violate_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit()
                                    self.violate_transmit.parent = self


                                class ConformSetClpTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_clp_transmit
                                        
                                        	set atm clp and send it
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_clp_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_clp_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-clp-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit']['meta_info']


                                class ConformSetCosTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_cos_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_cos_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-cos-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit']['meta_info']


                                class ConformSetCosTransmitTable(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_cos_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_cos_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-cos-transmit-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable']['meta_info']


                                class ConformSetDiscardClassTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_discard_class_transmit
                                        
                                        	set discard\-class and send it
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_discard_class_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_discard_class_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-discard-class-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit']['meta_info']


                                class ConformSetDscpTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..63
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_dscp_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_dscp_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-dscp-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit']['meta_info']


                                class ConformSetDscpTransmitTable(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..63
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_dscp_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_dscp_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-dscp-transmit-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable']['meta_info']


                                class ConformSetFrdeTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_frde_transmit
                                        
                                        	set FR DE and send it
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_frde_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_frde_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-frde-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit']['meta_info']


                                class ConformSetMplsExpImpositionTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_imposition_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_imposition_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-imposition-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit']['meta_info']


                                class ConformSetMplsExpImpositionTransmitTable(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_imposition_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_imposition_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-imposition-transmit-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable']['meta_info']


                                class ConformSetMplsExpTopmostTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_topmost_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_topmost_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-topmost-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit']['meta_info']


                                class ConformSetMplsExpTopmostTransmitTable(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_topmost_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_topmost_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-mpls-exp-topmost-transmit-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable']['meta_info']


                                class ConformSetPrecTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_prec_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_prec_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-prec-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit']['meta_info']


                                class ConformSetPrecTransmitTable(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_prec_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_prec_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-prec-transmit-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable']['meta_info']


                                class ConformSetQosTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..99
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_qos_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_qos_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-qos-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit']['meta_info']


                                class ConformSetQosTransmitTable(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..99
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_qos_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_qos_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-set-qos-transmit-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable']['meta_info']


                                class ConformTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: transmit
                                        
                                        	transmit packet
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit']['meta_info']


                                class ConformDrop(object):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:   :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop.ConformAction()
                                        self.conform_action.parent = self


                                    class ConformAction(object):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: drop
                                        
                                        	drop packet
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.drop = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.drop is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop.ConformAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:conform-drop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.conform_action is not None and self.conform_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop']['meta_info']


                                class ExceedDscp(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: dscp
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..63
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dscp = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dscp is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-dscp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp']['meta_info']


                                class ExceedSetClpTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_clp_transmit
                                        
                                        	set atm clp and send it
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_clp_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_clp_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-clp-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit']['meta_info']


                                class ExceedSetCosTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_cos_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_cos_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-cos-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit']['meta_info']


                                class ExceedSetDiscardClassTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_discard_class_transmit
                                        
                                        	set discard\-class and send it
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_discard_class_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_discard_class_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-discard-class-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit']['meta_info']


                                class ExceedSetDscpTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	
                                        	**type**\:   :py:class:`SetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit()
                                            self.set_dscp_transmit.parent = self


                                        class SetDscpTransmit(object):
                                            """
                                            
                                            
                                            .. attribute:: dscp
                                            
                                            	
                                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp()
                                                self.dscp.parent = self


                                            class Dscp(object):
                                                """
                                                
                                                
                                                .. attribute:: table
                                                
                                                	
                                                	**type**\:   :py:class:`TableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.table = None

                                                class TableEnum(Enum):
                                                    """
                                                    TableEnum

                                                    .. data:: policed_dscp = 0

                                                    """

                                                    policed_dscp = 0


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.TableEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:dscp'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.table is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-policy:set-dscp-transmit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dscp is not None and self.dscp._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_dscp_transmit is not None and self.set_dscp_transmit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-dscp-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit']['meta_info']


                                class ExceedSetDscpTransmitTable(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..63
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_dscp_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_dscp_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-dscp-transmit-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable']['meta_info']


                                class ExceedSetFrdeTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_frde_transmit
                                        
                                        	set FR DE and send it
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_frde_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_frde_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-frde-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit']['meta_info']


                                class ExceedSetMplsExpImpositionTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_imposition_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_imposition_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-mpls-exp-imposition-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit']['meta_info']


                                class ExceedSetMplsExpTopmostTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_topmost_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_topmost_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-mpls-exp-topmost-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit']['meta_info']


                                class ExceedSetPrecTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_prec_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_prec_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-prec-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit']['meta_info']


                                class ExceedSetQosTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..99
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_qos_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_qos_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-set-qos-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit']['meta_info']


                                class ExceedTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: transmit
                                        
                                        	transmit packet
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit']['meta_info']


                                class ExceedDrop(object):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:   :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop.ExceedAction()
                                        self.exceed_action.parent = self


                                    class ExceedAction(object):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: drop
                                        
                                        	drop packet
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.drop = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.drop is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop.ExceedAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:exceed-drop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exceed_action is not None and self.exceed_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop']['meta_info']


                                class ViolateSetClpTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_clp_transmit
                                        
                                        	set atm clp and send it
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_clp_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_clp_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-clp-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit']['meta_info']


                                class ViolateSetCosTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Cos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Cos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_cos_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_cos_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-cos-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit']['meta_info']


                                class ViolateSetDiscardClassTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_discard_class_transmit
                                        
                                        	set discard\-class and send it
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_discard_class_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_discard_class_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-discard-class-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit']['meta_info']


                                class ViolateSetDscpTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..63
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_dscp_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_dscp_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-dscp-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit']['meta_info']


                                class ViolateSetFrdeTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_frde_transmit
                                        
                                        	set FR DE and send it
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_frde_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_frde_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-frde-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit']['meta_info']


                                class ViolateSetMplsExpImpositionTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_imposition_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_imposition_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-mpls-exp-imposition-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit']['meta_info']


                                class ViolateSetMplsExpTopmostTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Exp_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Exp_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_mpls_exp_topmost_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_mpls_exp_topmost_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-mpls-exp-topmost-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit']['meta_info']


                                class ViolateSetPrecTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Prec_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Prec_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\:  str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_prec_transmit = None
                                            self.table = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_prec_transmit is not None:
                                                return True

                                            if self.table is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-prec-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit']['meta_info']


                                class ViolateSetQosTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..99
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`Qos_ValueTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Qos_ValueTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.set_qos_transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.set_qos_transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-set-qos-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit']['meta_info']


                                class ViolateTransmit(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: transmit
                                        
                                        	transmit packet
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.transmit = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.transmit is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-transmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit']['meta_info']


                                class ViolateDrop(object):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:   :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop.ViolateAction()
                                        self.violate_action.parent = self


                                    class ViolateAction(object):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: drop
                                        
                                        	drop packet
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.drop = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-action'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.drop is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop.ViolateAction']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:violate-drop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.violate_action is not None and self.violate_action._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:actions'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.conform_drop is not None and self.conform_drop._has_data():
                                        return True

                                    if self.conform_set_clp_transmit is not None and self.conform_set_clp_transmit._has_data():
                                        return True

                                    if self.conform_set_cos_transmit is not None and self.conform_set_cos_transmit._has_data():
                                        return True

                                    if self.conform_set_cos_transmit_table is not None and self.conform_set_cos_transmit_table._has_data():
                                        return True

                                    if self.conform_set_discard_class_transmit is not None and self.conform_set_discard_class_transmit._has_data():
                                        return True

                                    if self.conform_set_dscp_transmit is not None and self.conform_set_dscp_transmit._has_data():
                                        return True

                                    if self.conform_set_dscp_transmit_table is not None and self.conform_set_dscp_transmit_table._has_data():
                                        return True

                                    if self.conform_set_frde_transmit is not None and self.conform_set_frde_transmit._has_data():
                                        return True

                                    if self.conform_set_mpls_exp_imposition_transmit is not None and self.conform_set_mpls_exp_imposition_transmit._has_data():
                                        return True

                                    if self.conform_set_mpls_exp_imposition_transmit_table is not None and self.conform_set_mpls_exp_imposition_transmit_table._has_data():
                                        return True

                                    if self.conform_set_mpls_exp_topmost_transmit is not None and self.conform_set_mpls_exp_topmost_transmit._has_data():
                                        return True

                                    if self.conform_set_mpls_exp_topmost_transmit_table is not None and self.conform_set_mpls_exp_topmost_transmit_table._has_data():
                                        return True

                                    if self.conform_set_prec_transmit is not None and self.conform_set_prec_transmit._has_data():
                                        return True

                                    if self.conform_set_prec_transmit_table is not None and self.conform_set_prec_transmit_table._has_data():
                                        return True

                                    if self.conform_set_qos_transmit is not None and self.conform_set_qos_transmit._has_data():
                                        return True

                                    if self.conform_set_qos_transmit_table is not None and self.conform_set_qos_transmit_table._has_data():
                                        return True

                                    if self.conform_transmit is not None and self.conform_transmit._has_data():
                                        return True

                                    if self.exceed_drop is not None and self.exceed_drop._has_data():
                                        return True

                                    if self.exceed_dscp is not None and self.exceed_dscp._has_data():
                                        return True

                                    if self.exceed_set_clp_transmit is not None and self.exceed_set_clp_transmit._has_data():
                                        return True

                                    if self.exceed_set_cos_transmit is not None and self.exceed_set_cos_transmit._has_data():
                                        return True

                                    if self.exceed_set_discard_class_transmit is not None and self.exceed_set_discard_class_transmit._has_data():
                                        return True

                                    if self.exceed_set_dscp_transmit is not None and self.exceed_set_dscp_transmit._has_data():
                                        return True

                                    if self.exceed_set_dscp_transmit_table is not None and self.exceed_set_dscp_transmit_table._has_data():
                                        return True

                                    if self.exceed_set_frde_transmit is not None and self.exceed_set_frde_transmit._has_data():
                                        return True

                                    if self.exceed_set_mpls_exp_imposition_transmit is not None and self.exceed_set_mpls_exp_imposition_transmit._has_data():
                                        return True

                                    if self.exceed_set_mpls_exp_topmost_transmit is not None and self.exceed_set_mpls_exp_topmost_transmit._has_data():
                                        return True

                                    if self.exceed_set_prec_transmit is not None and self.exceed_set_prec_transmit._has_data():
                                        return True

                                    if self.exceed_set_qos_transmit is not None and self.exceed_set_qos_transmit._has_data():
                                        return True

                                    if self.exceed_transmit is not None and self.exceed_transmit._has_data():
                                        return True

                                    if self.violate_drop is not None and self.violate_drop._has_data():
                                        return True

                                    if self.violate_set_clp_transmit is not None and self.violate_set_clp_transmit._has_data():
                                        return True

                                    if self.violate_set_cos_transmit is not None and self.violate_set_cos_transmit._has_data():
                                        return True

                                    if self.violate_set_discard_class_transmit is not None and self.violate_set_discard_class_transmit._has_data():
                                        return True

                                    if self.violate_set_dscp_transmit is not None and self.violate_set_dscp_transmit._has_data():
                                        return True

                                    if self.violate_set_frde_transmit is not None and self.violate_set_frde_transmit._has_data():
                                        return True

                                    if self.violate_set_mpls_exp_imposition_transmit is not None and self.violate_set_mpls_exp_imposition_transmit._has_data():
                                        return True

                                    if self.violate_set_mpls_exp_topmost_transmit is not None and self.violate_set_mpls_exp_topmost_transmit._has_data():
                                        return True

                                    if self.violate_set_prec_transmit is not None and self.violate_set_prec_transmit._has_data():
                                        return True

                                    if self.violate_set_qos_transmit is not None and self.violate_set_qos_transmit._has_data():
                                        return True

                                    if self.violate_transmit is not None and self.violate_transmit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:police'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.actions is not None and self.actions._has_data():
                                    return True

                                if self.bps is not None:
                                    return True

                                if self.bps_value is not None:
                                    return True

                                if self.byte is not None:
                                    return True

                                if self.byte_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:police-catalyst'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.police is not None and self.police._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst']['meta_info']


                    class PoliceSwitch(object):
                        """
                        
                        
                        .. attribute:: police
                        
                        	
                        	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch.Police>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.police = Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch.Police()
                            self.police.parent = self


                        class Police(object):
                            """
                            
                            
                            .. attribute:: bc
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 8000..2000000
                            
                            .. attribute:: cir
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 8000..1000000000
                            
                            .. attribute:: exceed_action
                            
                            	action when rate is exceeded
                            	**type**\:   :py:class:`ExceedActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch.Police.ExceedActionEnum>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bc = None
                                self.cir = None
                                self.exceed_action = None

                            class ExceedActionEnum(Enum):
                                """
                                ExceedActionEnum

                                action when rate is exceeded

                                .. data:: drop = 0

                                .. data:: policed_dscp_transmit = 1

                                """

                                drop = 0

                                policed_dscp_transmit = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch.Police.ExceedActionEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:police'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bc is not None:
                                    return True

                                if self.cir is not None:
                                    return True

                                if self.exceed_action is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch.Police']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:police-switch'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.police is not None and self.police._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch']['meta_info']


                    class Priority(object):
                        """
                        
                        
                        .. attribute:: burst
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 32..64000000
                        
                        .. attribute:: kilo_bits
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 8..2000000
                        
                        .. attribute:: level
                        
                        	Multi\-Level Priority Queue
                        	**type**\:  int
                        
                        	**range:** 1..2
                        
                        .. attribute:: percent
                        
                        	% of total bandwidth
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.burst = None
                            self.kilo_bits = None
                            self.level = None
                            self.percent = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:priority'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.burst is not None:
                                return True

                            if self.kilo_bits is not None:
                                return True

                            if self.level is not None:
                                return True

                            if self.percent is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Priority']['meta_info']


                    class QueueBuffers(object):
                        """
                        
                        
                        .. attribute:: ratio
                        
                        	Relative buffer size for queue
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ratio = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:queue-buffers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ratio is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.QueueBuffers']['meta_info']


                    class QueueLimit(object):
                        """
                        
                        
                        .. attribute:: queue_limit_type
                        
                        	
                        	**type**\:   :py:class:`QueueLimitTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.QueueLimit.QueueLimitTypeEnum>`
                        
                        .. attribute:: queue_limit_value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..8192000
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.queue_limit_type = None
                            self.queue_limit_value = None

                        class QueueLimitTypeEnum(Enum):
                            """
                            QueueLimitTypeEnum

                            .. data:: bytes = 0

                            .. data:: ms = 1

                            .. data:: packets = 2

                            .. data:: us = 3

                            """

                            bytes = 0

                            ms = 1

                            packets = 2

                            us = 3


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.QueueLimit.QueueLimitTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:queue-limit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.queue_limit_type is not None:
                                return True

                            if self.queue_limit_value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.QueueLimit']['meta_info']


                    class QueueLimitDscp(object):
                        """
                        
                        
                        .. attribute:: dscp
                        
                        	parameters for each dscp value
                        	**type**\: list of    :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp.Dscp>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dscp = YList()
                            self.dscp.parent = self
                            self.dscp.name = 'dscp'


                        class Dscp(object):
                            """
                            parameters for each dscp value
                            
                            .. attribute:: dscp_val  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..63
                            
                            
                            ----
                            	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                            
                            
                            ----
                            .. attribute:: dscp_val1
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..63
                            
                            
                            ----
                            	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                            
                            
                            ----
                            .. attribute:: percent
                            
                            	% of threshold
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            .. attribute:: values
                            
                            	dscp values
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dscp_val = None
                                self.dscp_val1 = None
                                self.percent = None
                                self.values = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.dscp_val is None:
                                    raise YPYModelError('Key property dscp_val is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:dscp[Cisco-IOS-XE-policy:dscp-val = ' + str(self.dscp_val) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dscp_val is not None:
                                    return True

                                if self.dscp_val1 is not None:
                                    return True

                                if self.percent is not None:
                                    return True

                                if self.values is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp.Dscp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:queue-limit-dscp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dscp is not None:
                                for child_ref in self.dscp:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp']['meta_info']


                    class RandomDetect(object):
                        """
                        
                        
                        .. attribute:: aggregate
                        
                        	aggregate subclasses
                        	**type**\:   :py:class:`Aggregate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Aggregate>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: discard_class
                        
                        	parameters for each discard\-class value
                        	**type**\:   :py:class:`DiscardClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.DiscardClass>`
                        
                        .. attribute:: discard_class_based
                        
                        	Enable discard\-class\-based WRED as drop policy
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dscp
                        
                        	parameters for each dscp value
                        	**type**\: list of    :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Dscp>`
                        
                        .. attribute:: dscp_based
                        
                        	Enable dscp\-based WRED as drop policy
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ecn
                        
                        	explicit congestion notification
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: exponential_weighting_constant
                        
                        	weight for mean queue depth calculation
                        	**type**\:  int
                        
                        	**range:** 1..16
                        
                        .. attribute:: prec_based
                        
                        	Enable precedence\-based WRED as drop policy
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: precedence
                        
                        	parameters for each precedence value
                        	**type**\:   :py:class:`Precedence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Precedence>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.aggregate = None
                            self.discard_class = Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.DiscardClass()
                            self.discard_class.parent = self
                            self.discard_class_based = None
                            self.dscp = YList()
                            self.dscp.parent = self
                            self.dscp.name = 'dscp'
                            self.dscp_based = None
                            self.ecn = None
                            self.exponential_weighting_constant = None
                            self.prec_based = None
                            self.precedence = Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Precedence()
                            self.precedence.parent = self


                        class Aggregate(object):
                            """
                            aggregate subclasses
                            
                            .. attribute:: denominator
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: mark_probability
                            
                            	mark\-probability for red aggregate
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: maximum_thresh
                            
                            	maximum threshold for red aggregate
                            	**type**\:  int
                            
                            	**range:** 0..1000000
                            
                            .. attribute:: minimum_thresh
                            
                            	minimum threshold for red aggregate
                            	**type**\:  int
                            
                            	**range:** 0..1000000
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.denominator = None
                                self.mark_probability = None
                                self.maximum_thresh = None
                                self.minimum_thresh = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:aggregate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.denominator is not None:
                                    return True

                                if self.mark_probability is not None:
                                    return True

                                if self.maximum_thresh is not None:
                                    return True

                                if self.minimum_thresh is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Aggregate']['meta_info']


                        class DiscardClass(object):
                            """
                            parameters for each discard\-class value
                            
                            .. attribute:: dclass
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            .. attribute:: denominator
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: max_threshold
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4096
                            
                            .. attribute:: min_threshold
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4096
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dclass = None
                                self.denominator = None
                                self.max_threshold = None
                                self.min_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:discard-class'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dclass is not None:
                                    return True

                                if self.denominator is not None:
                                    return True

                                if self.max_threshold is not None:
                                    return True

                                if self.min_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.DiscardClass']['meta_info']


                        class Dscp(object):
                            """
                            parameters for each dscp value
                            
                            .. attribute:: dscp_val  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..63
                            
                            
                            ----
                            	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                            
                            
                            ----
                            .. attribute:: denominator
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: max_threshold
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4096
                            
                            .. attribute:: min_threshold
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4096
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dscp_val = None
                                self.denominator = None
                                self.max_threshold = None
                                self.min_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.dscp_val is None:
                                    raise YPYModelError('Key property dscp_val is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:dscp[Cisco-IOS-XE-policy:dscp-val = ' + str(self.dscp_val) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dscp_val is not None:
                                    return True

                                if self.denominator is not None:
                                    return True

                                if self.max_threshold is not None:
                                    return True

                                if self.min_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Dscp']['meta_info']


                        class Precedence(object):
                            """
                            parameters for each precedence value
                            
                            .. attribute:: denominator
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: max_threshold
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4096
                            
                            .. attribute:: min_threshold
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4096
                            
                            .. attribute:: prec
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            
                            ----
                            	**type**\:   :py:class:`PrecedenceType2Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_policy.PrecedenceType2Enum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.denominator = None
                                self.max_threshold = None
                                self.min_threshold = None
                                self.prec = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:precedence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.denominator is not None:
                                    return True

                                if self.max_threshold is not None:
                                    return True

                                if self.min_threshold is not None:
                                    return True

                                if self.prec is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Precedence']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:random-detect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.aggregate is not None and self.aggregate._has_data():
                                return True

                            if self.discard_class is not None and self.discard_class._has_data():
                                return True

                            if self.discard_class_based is not None:
                                return True

                            if self.dscp is not None:
                                for child_ref in self.dscp:
                                    if child_ref._has_data():
                                        return True

                            if self.dscp_based is not None:
                                return True

                            if self.ecn is not None:
                                return True

                            if self.exponential_weighting_constant is not None:
                                return True

                            if self.prec_based is not None:
                                return True

                            if self.precedence is not None and self.precedence._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.RandomDetect']['meta_info']


                    class Set(object):
                        """
                        
                        
                        .. attribute:: atm_clp
                        
                        	Set ATM CLP bit to 1
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cos
                        
                        	Set IEEE 802.1Q/ISL class of service/user priority
                        	**type**\:   :py:class:`Cos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Cos>`
                        
                        .. attribute:: discard_class
                        
                        	Discard behavior identifier
                        	**type**\:  int
                        
                        	**range:** 0..7
                        
                        .. attribute:: dscp
                        
                        	Set DSCP in IP(v4) and IPv6 packets
                        	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp>`
                        
                        .. attribute:: fr_de
                        
                        	Set FR DE bit to 1
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ip
                        
                        	Set IP specific values
                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Ip>`
                        
                        .. attribute:: mpls
                        
                        	Set MPLS specific values
                        	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls>`
                        
                        .. attribute:: qos_group
                        
                        	Set QoS Group
                        	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.QosGroup>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_clp = None
                            self.cos = Native.Policy.PolicyMap.Class_.ActionList.Set.Cos()
                            self.cos.parent = self
                            self.discard_class = None
                            self.dscp = Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp()
                            self.dscp.parent = self
                            self.fr_de = None
                            self.ip = Native.Policy.PolicyMap.Class_.ActionList.Set.Ip()
                            self.ip.parent = self
                            self.mpls = Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls()
                            self.mpls.parent = self
                            self.qos_group = Native.Policy.PolicyMap.Class_.ActionList.Set.QosGroup()
                            self.qos_group.parent = self


                        class Cos(object):
                            """
                            Set IEEE 802.1Q/ISL class of service/user priority
                            
                            .. attribute:: pack
                            
                            	
                            	**type**\:   :py:class:`PackEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Cos.PackEnum>`
                            
                            .. attribute:: table
                            
                            	Set codepoint value based on tablemap
                            	**type**\:  str
                            
                            .. attribute:: user_priority
                            
                            	Set value from WLAN user\-priority
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: val
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.pack = None
                                self.table = None
                                self.user_priority = None
                                self.val = None

                            class PackEnum(Enum):
                                """
                                PackEnum

                                .. data:: dscp = 0

                                .. data:: precedence = 1

                                .. data:: cos = 2

                                .. data:: qos_group = 3

                                .. data:: wlan = 4

                                """

                                dscp = 0

                                precedence = 1

                                cos = 2

                                qos_group = 3

                                wlan = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Cos.PackEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:cos'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.pack is not None:
                                    return True

                                if self.table is not None:
                                    return True

                                if self.user_priority is not None:
                                    return True

                                if self.val is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Cos']['meta_info']


                        class Dscp(object):
                            """
                            Set DSCP in IP(v4) and IPv6 packets
                            
                            .. attribute:: dscp
                            
                            	Set packet dscp from dscp
                            	**type**\:   :py:class:`Dscp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp.Dscp_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: dscp_val
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..63
                            
                            
                            ----
                            	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                            
                            
                            ----
                            .. attribute:: tunnel
                            
                            	set tunnel packet dscp
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dscp = None
                                self.dscp_val = None
                                self.tunnel = None


                            class Dscp_(object):
                                """
                                Set packet dscp from dscp
                                
                                .. attribute:: table
                                
                                	Set packet dscp from dscp based on table map
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.table = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:dscp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.table is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp.Dscp_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:dscp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dscp is not None and self.dscp._has_data():
                                    return True

                                if self.dscp_val is not None:
                                    return True

                                if self.tunnel is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp']['meta_info']


                        class Ip(object):
                            """
                            Set IP specific values
                            
                            .. attribute:: dscp
                            
                            	Set IP DSCP (DiffServ CodePointint)
                            	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Dscp>`
                            
                            .. attribute:: precedence
                            
                            	Set IP precedence
                            	**type**\:   :py:class:`Precedence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Precedence>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dscp = Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Dscp()
                                self.dscp.parent = self
                                self.precedence = None


                            class Dscp(object):
                                """
                                Set IP DSCP (DiffServ CodePointint)
                                
                                .. attribute:: dscp_val
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 0..63
                                
                                
                                ----
                                	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                
                                
                                ----
                                .. attribute:: tunnel
                                
                                	set tunnel packet dscp
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dscp_val = None
                                    self.tunnel = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:dscp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dscp_val is not None:
                                        return True

                                    if self.tunnel is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Dscp']['meta_info']


                            class Precedence(object):
                                """
                                Set IP precedence
                                
                                .. attribute:: precedence_val
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                
                                ----
                                	**type**\:   :py:class:`PrecedenceTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecedenceTypeEnum>`
                                
                                
                                ----
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.precedence_val = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:precedence'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.precedence_val is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Precedence']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:ip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dscp is not None and self.dscp._has_data():
                                    return True

                                if self.precedence is not None and self.precedence._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Ip']['meta_info']


                        class Mpls(object):
                            """
                            Set MPLS specific values
                            
                            .. attribute:: experimental
                            
                            	Set Experimental value
                            	**type**\:   :py:class:`Experimental <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.experimental = Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental()
                                self.experimental.parent = self


                            class Experimental(object):
                                """
                                Set Experimental value
                                
                                .. attribute:: imposition
                                
                                	Set Experimental value at tag imposition
                                	**type**\:   :py:class:`Imposition <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Imposition>`
                                
                                .. attribute:: topmost
                                
                                	Set Experimental value  on topmost label
                                	**type**\:   :py:class:`Topmost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Topmost>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.imposition = Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Imposition()
                                    self.imposition.parent = self
                                    self.topmost = Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Topmost()
                                    self.topmost.parent = self


                                class Imposition(object):
                                    """
                                    Set Experimental value at tag imposition
                                    
                                    .. attribute:: exp_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..7
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exp_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:imposition'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exp_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Imposition']['meta_info']


                                class Topmost(object):
                                    """
                                    Set Experimental value  on topmost label
                                    
                                    .. attribute:: exp_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..7
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exp_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-policy:topmost'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exp_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Topmost']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:experimental'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.imposition is not None and self.imposition._has_data():
                                        return True

                                    if self.topmost is not None and self.topmost._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:mpls'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.experimental is not None and self.experimental._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls']['meta_info']


                        class QosGroup(object):
                            """
                            Set QoS Group
                            
                            .. attribute:: qos_group_value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..99
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.qos_group_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:qos-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.qos_group_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set.QosGroup']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:set'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_clp is not None:
                                return True

                            if self.cos is not None and self.cos._has_data():
                                return True

                            if self.discard_class is not None:
                                return True

                            if self.dscp is not None and self.dscp._has_data():
                                return True

                            if self.fr_de is not None:
                                return True

                            if self.ip is not None and self.ip._has_data():
                                return True

                            if self.mpls is not None and self.mpls._has_data():
                                return True

                            if self.qos_group is not None and self.qos_group._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Set']['meta_info']


                    class Shape(object):
                        """
                        
                        
                        .. attribute:: adaptive
                        
                        	Enable Traffic Shaping adaptation to BECN
                        	**type**\:  int
                        
                        	**range:** 8000..154400000
                        
                        .. attribute:: average
                        
                        	configure token bucket\: CIR (bps) [Bc (bits) [Be (bits)]], send out Bc only per interval
                        	**type**\:   :py:class:`Average <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Shape.Average>`
                        
                        .. attribute:: fecn_adapt
                        
                        	Enable Traffic Shaping reflection of FECN as BECN
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fr_voice_adapt
                        
                        	Enable rate adjustment depending on voice presence
                        	**type**\:   :py:class:`FrVoiceAdapt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Shape.FrVoiceAdapt>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: max_buffers
                        
                        	Set Maximum Buffer Limit
                        	**type**\:  int
                        
                        	**range:** 1..4096
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.adaptive = None
                            self.average = Native.Policy.PolicyMap.Class_.ActionList.Shape.Average()
                            self.average.parent = self
                            self.fecn_adapt = None
                            self.fr_voice_adapt = None
                            self.max_buffers = None


                        class Average(object):
                            """
                            configure token bucket\: CIR (bps) [Bc (bits) [Be (bits)]], send out Bc only per interval
                            
                            .. attribute:: account
                            
                            	Overhead Accounting
                            	**type**\:   :py:class:`Account <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Account>`
                            
                            .. attribute:: bit_rate
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            .. attribute:: bits_per_interval_excess
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..154400000
                            
                            .. attribute:: bits_per_interval_sustained
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 256..154400000
                            
                            .. attribute:: bse
                            
                            	
                            	**type**\:   :py:class:`Bse <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Bse>`
                            
                            .. attribute:: burst_size_sustained
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..2000
                            
                            .. attribute:: ms
                            
                            	milliseconds
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: percent
                            
                            	% of interface bandwidth for Committed information rate
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.account = Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Account()
                                self.account.parent = self
                                self.bit_rate = None
                                self.bits_per_interval_excess = None
                                self.bits_per_interval_sustained = None
                                self.bse = Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Bse()
                                self.bse.parent = self
                                self.burst_size_sustained = None
                                self.ms = None
                                self.percent = None


                            class Account(object):
                                """
                                Overhead Accounting
                                
                                .. attribute:: user_defined
                                
                                	Offset Size
                                	**type**\:  int
                                
                                	**range:** 8..2000000
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.user_defined = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:account'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.user_defined is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Account']['meta_info']


                            class Bse(object):
                                """
                                
                                
                                .. attribute:: burst_size_excess
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 10..2000
                                
                                .. attribute:: ms
                                
                                	milliseconds
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.burst_size_excess = None
                                    self.ms = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-policy:bse'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.burst_size_excess is not None:
                                        return True

                                    if self.ms is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Bse']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:average'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.account is not None and self.account._has_data():
                                    return True

                                if self.bit_rate is not None:
                                    return True

                                if self.bits_per_interval_excess is not None:
                                    return True

                                if self.bits_per_interval_sustained is not None:
                                    return True

                                if self.bse is not None and self.bse._has_data():
                                    return True

                                if self.burst_size_sustained is not None:
                                    return True

                                if self.ms is not None:
                                    return True

                                if self.percent is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Shape.Average']['meta_info']


                        class FrVoiceAdapt(object):
                            """
                            Enable rate adjustment depending on voice presence
                            
                            .. attribute:: deactivation
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..10000
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.deactivation = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:fr-voice-adapt'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.deactivation is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Shape.FrVoiceAdapt']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:shape'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.adaptive is not None:
                                return True

                            if self.average is not None and self.average._has_data():
                                return True

                            if self.fecn_adapt is not None:
                                return True

                            if self.fr_voice_adapt is not None and self.fr_voice_adapt._has_data():
                                return True

                            if self.max_buffers is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList.Shape']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.action_type is None:
                            raise YPYModelError('Key property action_type is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:action-list[Cisco-IOS-XE-policy:action-type = ' + str(self.action_type) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.action_type is not None:
                            return True

                        if self.bandwidth is not None and self.bandwidth._has_data():
                            return True

                        if self.compression is not None and self.compression._has_data():
                            return True

                        if self.estimate is not None and self.estimate._has_data():
                            return True

                        if self.fair_queue is not None and self.fair_queue._has_data():
                            return True

                        if self.forward is not None and self.forward._has_data():
                            return True

                        if self.netflow_sampler is not None:
                            return True

                        if self.police_aggregate is not None and self.police_aggregate._has_data():
                            return True

                        if self.police_catalyst is not None and self.police_catalyst._has_data():
                            return True

                        if self.police_cir_percent is not None and self.police_cir_percent._has_data():
                            return True

                        if self.police_flow is not None and self.police_flow._has_data():
                            return True

                        if self.police_policy_map is not None and self.police_policy_map._has_data():
                            return True

                        if self.police_rate_pdp is not None and self.police_rate_pdp._has_data():
                            return True

                        if self.police_rate_percent is not None and self.police_rate_percent._has_data():
                            return True

                        if self.police_rate_unit is not None and self.police_rate_unit._has_data():
                            return True

                        if self.police_switch is not None and self.police_switch._has_data():
                            return True

                        if self.police_target_bitrate is not None and self.police_target_bitrate._has_data():
                            return True

                        if self.priority is not None and self.priority._has_data():
                            return True

                        if self.queue_buffers is not None and self.queue_buffers._has_data():
                            return True

                        if self.queue_limit is not None and self.queue_limit._has_data():
                            return True

                        if self.queue_limit_dscp is not None and self.queue_limit_dscp._has_data():
                            return True

                        if self.random_detect is not None and self.random_detect._has_data():
                            return True

                        if self.service_policy is not None:
                            return True

                        if self.set is not None and self.set._has_data():
                            return True

                        if self.shape is not None and self.shape._has_data():
                            return True

                        if self.trust is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Policy.PolicyMap.Class_.ActionList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:class[Cisco-IOS-XE-policy:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.action_list is not None:
                        for child_ref in self.action_list:
                            if child_ref._has_data():
                                return True

                    if self.appnav_policy is not None and self.appnav_policy._has_data():
                        return True

                    if self.insert_before is not None:
                        return True

                    if self.inspect_police is not None and self.inspect_police._has_data():
                        return True

                    if self.pm_policy is not None and self.pm_policy._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Policy.PolicyMap.Class_']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:policy/Cisco-IOS-XE-policy:policy-map[Cisco-IOS-XE-policy:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.class_ is not None:
                    for child_ref in self.class_:
                        if child_ref._has_data():
                            return True

                if self.description is not None:
                    return True

                if self.event is not None:
                    for child_ref in self.event:
                        if child_ref._has_data():
                            return True

                if self.protocol is not None:
                    return True

                if self.sequence_interval is not None:
                    return True

                if self.subscriber is not None:
                    return True

                if self.type is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Policy.PolicyMap']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:policy'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.class_map is not None:
                for child_ref in self.class_map:
                    if child_ref._has_data():
                        return True

            if self.policy_map is not None:
                for child_ref in self.policy_map:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Policy']['meta_info']


    class Interface(object):
        """
        Configure Interfaces
        
        .. attribute:: appnav_compress
        
        	Service\-Context Virtual Interface Compress
        	**type**\: list of    :py:class:`AppnavCompress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress>`
        
        .. attribute:: appnav_uncompress
        
        	Service\-Context Virtual Interface UnCompress
        	**type**\: list of    :py:class:`AppnavUncompress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress>`
        
        .. attribute:: atm
        
        	ATM interface
        	**type**\: list of    :py:class:`Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm>`
        
        .. attribute:: atm_acr
        
        	ATM\-ACR interface
        	**type**\: list of    :py:class:`AtmAcr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr>`
        
        .. attribute:: atm_acrsubinterface
        
        	
        	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface>`
        
        .. attribute:: atm_subinterface
        
        	
        	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface>`
        
        .. attribute:: bdi
        
        	Bridge\-Domain interface
        	**type**\: list of    :py:class:`Bdi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi>`
        
        .. attribute:: cellular
        
        	Cellular Interface
        	**type**\: list of    :py:class:`Cellular <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular>`
        
        .. attribute:: cem
        
        	Circuit Emulation interface
        	**type**\: list of    :py:class:`Cem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem>`
        
        .. attribute:: cem_acr
        
        	Circuit Emulation interface
        	**type**\: list of    :py:class:`CemAcr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr>`
        
        .. attribute:: embedded_service_engine
        
        	cisco embedded service engine module
        	**type**\: list of    :py:class:`EmbeddedServiceEngine <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine>`
        
        .. attribute:: fastethernet
        
        	FastEthernet IEEE 802.3
        	**type**\: list of    :py:class:`Fastethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet>`
        
        .. attribute:: fortygigabitethernet
        
        	Forty Gigabit Ethernet
        	**type**\: list of    :py:class:`Fortygigabitethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet>`
        
        .. attribute:: gigabitethernet
        
        	GigabitEthernet IEEE 802.3z
        	**type**\: list of    :py:class:`Gigabitethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet>`
        
        .. attribute:: group_async
        
        	Async Group interface
        	**type**\: list of    :py:class:`GroupAsync <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync>`
        
        .. attribute:: lisp
        
        	Locator/ID Separation Protocol Virtual Interface
        	**type**\: list of    :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp>`
        
        .. attribute:: lisp_subinterface
        
        	Locator/ID Separation Protocol Virtual Interface
        	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface>`
        
        .. attribute:: loopback
        
        	Loopback interface
        	**type**\: list of    :py:class:`Loopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback>`
        
        .. attribute:: multilink
        
        	Multilink\-group interface
        	**type**\: list of    :py:class:`Multilink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink>`
        
        .. attribute:: nve
        
        	Network virtualization endpoint interface
        	**type**\: list of    :py:class:`Nve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Nve>`
        
        .. attribute:: overlay
        
        	Overlay interface
        	**type**\: list of    :py:class:`Overlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay>`
        
        .. attribute:: port_channel
        
        	Ethernet Channel of interfaces
        	**type**\: list of    :py:class:`PortChannel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel>`
        
        .. attribute:: port_channel_subinterface
        
        	
        	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface>`
        
        .. attribute:: pseudowire
        
        	Pseudowire Interface
        	**type**\: list of    :py:class:`Pseudowire <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire>`
        
        .. attribute:: serial
        
        	Serial interface
        	**type**\: list of    :py:class:`Serial <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial>`
        
        .. attribute:: sm
        
        	SM Interface
        	**type**\: list of    :py:class:`Sm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm>`
        
        .. attribute:: tengigabitethernet
        
        	Ten Gigabit Ethernet
        	**type**\: list of    :py:class:`Tengigabitethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet>`
        
        .. attribute:: tunnel
        
        	Tunnel interface
        	**type**\: list of    :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel>`
        
        .. attribute:: vasileft
        
        	vasileft
        	**type**\: list of    :py:class:`Vasileft <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft>`
        
        .. attribute:: vasiright
        
        	vasiright
        	**type**\: list of    :py:class:`Vasiright <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright>`
        
        .. attribute:: virtual_template
        
        	Virtual Template interface
        	**type**\: list of    :py:class:`VirtualTemplate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate>`
        
        .. attribute:: virtualportgroup
        
        	Virtual Port Group
        	**type**\: list of    :py:class:`Virtualportgroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup>`
        
        .. attribute:: vlan
        
        	Catalyst Vlans
        	**type**\: list of    :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.appnav_compress = YList()
            self.appnav_compress.parent = self
            self.appnav_compress.name = 'appnav_compress'
            self.appnav_uncompress = YList()
            self.appnav_uncompress.parent = self
            self.appnav_uncompress.name = 'appnav_uncompress'
            self.atm = YList()
            self.atm.parent = self
            self.atm.name = 'atm'
            self.atm_acr = YList()
            self.atm_acr.parent = self
            self.atm_acr.name = 'atm_acr'
            self.atm_acrsubinterface = Native.Interface.AtmAcrsubinterface()
            self.atm_acrsubinterface.parent = self
            self.atm_subinterface = Native.Interface.AtmSubinterface()
            self.atm_subinterface.parent = self
            self.bdi = YList()
            self.bdi.parent = self
            self.bdi.name = 'bdi'
            self.cellular = YList()
            self.cellular.parent = self
            self.cellular.name = 'cellular'
            self.cem = YList()
            self.cem.parent = self
            self.cem.name = 'cem'
            self.cem_acr = YList()
            self.cem_acr.parent = self
            self.cem_acr.name = 'cem_acr'
            self.embedded_service_engine = YList()
            self.embedded_service_engine.parent = self
            self.embedded_service_engine.name = 'embedded_service_engine'
            self.fastethernet = YList()
            self.fastethernet.parent = self
            self.fastethernet.name = 'fastethernet'
            self.fortygigabitethernet = YList()
            self.fortygigabitethernet.parent = self
            self.fortygigabitethernet.name = 'fortygigabitethernet'
            self.gigabitethernet = YList()
            self.gigabitethernet.parent = self
            self.gigabitethernet.name = 'gigabitethernet'
            self.group_async = YList()
            self.group_async.parent = self
            self.group_async.name = 'group_async'
            self.lisp = YList()
            self.lisp.parent = self
            self.lisp.name = 'lisp'
            self.lisp_subinterface = Native.Interface.LispSubinterface()
            self.lisp_subinterface.parent = self
            self.loopback = YList()
            self.loopback.parent = self
            self.loopback.name = 'loopback'
            self.multilink = YList()
            self.multilink.parent = self
            self.multilink.name = 'multilink'
            self.nve = YList()
            self.nve.parent = self
            self.nve.name = 'nve'
            self.overlay = YList()
            self.overlay.parent = self
            self.overlay.name = 'overlay'
            self.port_channel = YList()
            self.port_channel.parent = self
            self.port_channel.name = 'port_channel'
            self.port_channel_subinterface = Native.Interface.PortChannelSubinterface()
            self.port_channel_subinterface.parent = self
            self.pseudowire = YList()
            self.pseudowire.parent = self
            self.pseudowire.name = 'pseudowire'
            self.serial = YList()
            self.serial.parent = self
            self.serial.name = 'serial'
            self.sm = YList()
            self.sm.parent = self
            self.sm.name = 'sm'
            self.tengigabitethernet = YList()
            self.tengigabitethernet.parent = self
            self.tengigabitethernet.name = 'tengigabitethernet'
            self.tunnel = YList()
            self.tunnel.parent = self
            self.tunnel.name = 'tunnel'
            self.vasileft = YList()
            self.vasileft.parent = self
            self.vasileft.name = 'vasileft'
            self.vasiright = YList()
            self.vasiright.parent = self
            self.vasiright.name = 'vasiright'
            self.virtual_template = YList()
            self.virtual_template.parent = self
            self.virtual_template.name = 'virtual_template'
            self.virtualportgroup = YList()
            self.virtualportgroup.parent = self
            self.virtualportgroup.name = 'virtualportgroup'
            self.vlan = YList()
            self.vlan.parent = self
            self.vlan.name = 'vlan'


        class AppnavCompress(object):
            """
            Service\-Context Virtual Interface Compress
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  int
            
            	**range:** 1..1000
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Bfd>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Domain>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Encapsulation>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Logging>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.PmPath>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.RcvQueue>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.ServiceInsertionEnum>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.SwitchportConf>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Trust>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Utd>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.AppnavCompress.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.AppnavCompress.Arp()
                self.arp.parent = self
                self.backup = Native.Interface.AppnavCompress.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.AppnavCompress.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.AppnavCompress.Bfd()
                self.bfd.parent = self
                self.cemoudp = Native.Interface.AppnavCompress.Cemoudp()
                self.cemoudp.parent = self
                self.cws_tunnel = Native.Interface.AppnavCompress.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.delay = None
                self.description = None
                self.domain = Native.Interface.AppnavCompress.Domain()
                self.domain.parent = self
                self.encapsulation = Native.Interface.AppnavCompress.Encapsulation()
                self.encapsulation.parent = self
                self.fair_queue = Native.Interface.AppnavCompress.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.AppnavCompress.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.AppnavCompress.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.AppnavCompress.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.AppnavCompress.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.AppnavCompress.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.AppnavCompress.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.AppnavCompress.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.AppnavCompress.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.AppnavCompress.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.load_interval = None
                self.logging = Native.Interface.AppnavCompress.Logging()
                self.logging.parent = self
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.AppnavCompress.Mdix()
                self.mdix.parent = self
                self.mop = Native.Interface.AppnavCompress.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.AppnavCompress.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.peer = Native.Interface.AppnavCompress.Peer()
                self.peer.parent = self
                self.pm_path = Native.Interface.AppnavCompress.PmPath()
                self.pm_path.parent = self
                self.priority_queue = Native.Interface.AppnavCompress.PriorityQueue()
                self.priority_queue.parent = self
                self.rcv_queue = Native.Interface.AppnavCompress.RcvQueue()
                self.rcv_queue.parent = self
                self.service_insertion = None
                self.shutdown = None
                self.standby = Native.Interface.AppnavCompress.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.AppnavCompress.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Interface.AppnavCompress.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.AppnavCompress.SwitchportConf()
                self.switchport_conf.parent = self
                self.trust = Native.Interface.AppnavCompress.Trust()
                self.trust.parent = self
                self.utd = Native.Interface.AppnavCompress.Utd()
                self.utd.parent = self
                self.vrf = Native.Interface.AppnavCompress.Vrf()
                self.vrf.parent = self

            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.IfStateEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.ServiceInsertionEnum']



            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.AppnavCompress.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.AppnavCompress.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.AppnavCompress.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.AppnavCompress.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.AppnavCompress.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.AppnavCompress.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.AppnavCompress.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.AppnavCompress.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.AppnavCompress.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.AppnavCompress.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.AppnavCompress.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.AppnavCompress.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.AppnavCompress.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.AppnavCompress.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.AppnavCompress.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.AppnavCompress.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.AppnavCompress.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.HoldTime>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.NoAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Vrf>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.AppnavCompress.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.AppnavCompress.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.AppnavCompress.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.AppnavCompress.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.AppnavCompress.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.hello_interval = Native.Interface.AppnavCompress.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.AppnavCompress.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.no_address = Native.Interface.AppnavCompress.Ip.NoAddress()
                    self.no_address.parent = self
                    self.pim = Native.Interface.AppnavCompress.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.AppnavCompress.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.AppnavCompress.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.AppnavCompress.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.AppnavCompress.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.AppnavCompress.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.verify = Native.Interface.AppnavCompress.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.AppnavCompress.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.AppnavCompress.Ip.Vrf()
                    self.vrf.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.AppnavCompress.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.AppnavCompress.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.AppnavCompress.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.AppnavCompress.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.AppnavCompress.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.AppnavCompress.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.AppnavCompress.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.AppnavCompress.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.AppnavCompress.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.AppnavCompress.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.AppnavCompress.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.AppnavCompress.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.AppnavCompress.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.AppnavCompress.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.AppnavCompress.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AppnavCompress.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.AppnavCompress.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AppnavCompress.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ip.Verify']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.AppnavCompress.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.AppnavCompress.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.mtu = None
                    self.nd = Native.Interface.AppnavCompress.Ipv6.Nd()
                    self.nd.parent = self
                    self.redirects = None
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Ipv6.TrafficFilter']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.AppnavCompress.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.AppnavCompress.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.AppnavCompress.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.AppnavCompress.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.AppnavCompress.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.AppnavCompress.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.AppnavCompress.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.AppnavCompress.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.AppnavCompress.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.AppnavCompress.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.AppnavCompress.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.AppnavCompress.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.AppnavCompress.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.AppnavCompress.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.AppnavCompress.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.AppnavCompress.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.AppnavCompress.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.AppnavCompress.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.AppnavCompress.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.AppnavCompress.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.AppnavCompress.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.AppnavCompress.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.AppnavCompress.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.AppnavCompress.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.AppnavCompress.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.AppnavCompress.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.AppnavCompress.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.AppnavCompress.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.AppnavCompress.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.AppnavCompress.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.AppnavCompress.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.AppnavCompress.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavCompress.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AppnavCompress.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AppnavCompress.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavCompress.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavCompress.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavCompress.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavCompress.PmPath']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:AppNav-Compress[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.shutdown is not None:
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.AppnavCompress']['meta_info']


        class AppnavUncompress(object):
            """
            Service\-Context Virtual Interface UnCompress
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  int
            
            	**range:** 1..1000
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Bfd>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Domain>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Encapsulation>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Logging>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.PmPath>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.RcvQueue>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.ServiceInsertionEnum>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.SwitchportConf>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Trust>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Utd>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.AppnavUncompress.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.AppnavUncompress.Arp()
                self.arp.parent = self
                self.backup = Native.Interface.AppnavUncompress.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.AppnavUncompress.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.AppnavUncompress.Bfd()
                self.bfd.parent = self
                self.cemoudp = Native.Interface.AppnavUncompress.Cemoudp()
                self.cemoudp.parent = self
                self.cws_tunnel = Native.Interface.AppnavUncompress.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.delay = None
                self.description = None
                self.domain = Native.Interface.AppnavUncompress.Domain()
                self.domain.parent = self
                self.encapsulation = Native.Interface.AppnavUncompress.Encapsulation()
                self.encapsulation.parent = self
                self.fair_queue = Native.Interface.AppnavUncompress.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.AppnavUncompress.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.AppnavUncompress.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.AppnavUncompress.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.AppnavUncompress.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.AppnavUncompress.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.AppnavUncompress.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.AppnavUncompress.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.AppnavUncompress.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.AppnavUncompress.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.load_interval = None
                self.logging = Native.Interface.AppnavUncompress.Logging()
                self.logging.parent = self
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.AppnavUncompress.Mdix()
                self.mdix.parent = self
                self.mop = Native.Interface.AppnavUncompress.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.AppnavUncompress.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.peer = Native.Interface.AppnavUncompress.Peer()
                self.peer.parent = self
                self.pm_path = Native.Interface.AppnavUncompress.PmPath()
                self.pm_path.parent = self
                self.priority_queue = Native.Interface.AppnavUncompress.PriorityQueue()
                self.priority_queue.parent = self
                self.rcv_queue = Native.Interface.AppnavUncompress.RcvQueue()
                self.rcv_queue.parent = self
                self.service_insertion = None
                self.shutdown = None
                self.standby = Native.Interface.AppnavUncompress.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.AppnavUncompress.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Interface.AppnavUncompress.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.AppnavUncompress.SwitchportConf()
                self.switchport_conf.parent = self
                self.trust = Native.Interface.AppnavUncompress.Trust()
                self.trust.parent = self
                self.utd = Native.Interface.AppnavUncompress.Utd()
                self.utd.parent = self
                self.vrf = Native.Interface.AppnavUncompress.Vrf()
                self.vrf.parent = self

            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.IfStateEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.ServiceInsertionEnum']



            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.AppnavUncompress.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.AppnavUncompress.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.AppnavUncompress.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.AppnavUncompress.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.AppnavUncompress.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.AppnavUncompress.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.AppnavUncompress.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.AppnavUncompress.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.AppnavUncompress.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.AppnavUncompress.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.AppnavUncompress.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.AppnavUncompress.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.AppnavUncompress.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.AppnavUncompress.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.AppnavUncompress.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.AppnavUncompress.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.AppnavUncompress.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.HoldTime>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.NoAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Vrf>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.AppnavUncompress.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.AppnavUncompress.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.AppnavUncompress.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.AppnavUncompress.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.AppnavUncompress.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.hello_interval = Native.Interface.AppnavUncompress.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.AppnavUncompress.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.no_address = Native.Interface.AppnavUncompress.Ip.NoAddress()
                    self.no_address.parent = self
                    self.pim = Native.Interface.AppnavUncompress.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.AppnavUncompress.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.AppnavUncompress.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.AppnavUncompress.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.AppnavUncompress.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.AppnavUncompress.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.verify = Native.Interface.AppnavUncompress.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.AppnavUncompress.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.AppnavUncompress.Ip.Vrf()
                    self.vrf.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.AppnavUncompress.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.AppnavUncompress.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.AppnavUncompress.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.AppnavUncompress.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.AppnavUncompress.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.AppnavUncompress.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.AppnavUncompress.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.AppnavUncompress.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.AppnavUncompress.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.AppnavUncompress.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.AppnavUncompress.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.AppnavUncompress.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.AppnavUncompress.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.AppnavUncompress.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.AppnavUncompress.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.AppnavUncompress.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ip.Verify']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.AppnavUncompress.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.AppnavUncompress.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.mtu = None
                    self.nd = Native.Interface.AppnavUncompress.Ipv6.Nd()
                    self.nd.parent = self
                    self.redirects = None
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Ipv6.TrafficFilter']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.AppnavUncompress.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.AppnavUncompress.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.AppnavUncompress.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.AppnavUncompress.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.AppnavUncompress.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.AppnavUncompress.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.AppnavUncompress.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.AppnavUncompress.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.AppnavUncompress.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.AppnavUncompress.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.AppnavUncompress.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.AppnavUncompress.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.AppnavUncompress.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.AppnavUncompress.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.AppnavUncompress.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.AppnavUncompress.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.AppnavUncompress.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.AppnavUncompress.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.AppnavUncompress.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.AppnavUncompress.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.AppnavUncompress.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.AppnavUncompress.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.AppnavUncompress.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.AppnavUncompress.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.AppnavUncompress.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.AppnavUncompress.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.AppnavUncompress.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.AppnavUncompress.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppnavUncompress.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AppnavUncompress.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AppnavUncompress.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AppnavUncompress.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AppnavUncompress.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AppnavUncompress.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AppnavUncompress.PmPath']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:AppNav-UnCompress[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.shutdown is not None:
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.AppnavUncompress']['meta_info']


        class Atm(object):
            """
            ATM interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
            
            .. attribute:: atm
            
            	ATM
            	**type**\:   :py:class:`Atm_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Atm_>`
            
            .. attribute:: cem
            
            	CEM
            	**type**\: list of    :py:class:`Cem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Cem>`
            
            .. attribute:: ip
            
            	IP address
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Ip>`
            
            .. attribute:: load_interval
            
            	Load interval
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pvc
            
            	PVC
            	**type**\: list of    :py:class:`Pvc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Pvc>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.atm = Native.Interface.Atm.Atm_()
                self.atm.parent = self
                self.cem = YList()
                self.cem.parent = self
                self.cem.name = 'cem'
                self.ip = Native.Interface.Atm.Ip()
                self.ip.parent = self
                self.load_interval = None
                self.pvc = YList()
                self.pvc.parent = self
                self.pvc.name = 'pvc'


            class Ip(object):
                """
                IP address
                
                .. attribute:: address
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-atm:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Atm.Ip']['meta_info']


            class Atm_(object):
                """
                ATM
                
                .. attribute:: bandwidth
                
                	ATM bandwith
                	**type**\:   :py:class:`BandwidthEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Atm_.BandwidthEnum>`
                
                .. attribute:: enable_ilmi_trap
                
                	Enable\-ilmi\-trap
                	**type**\:  bool
                
                .. attribute:: pvp
                
                	PVP
                	**type**\: list of    :py:class:`Pvp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Atm_.Pvp>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bandwidth = None
                    self.enable_ilmi_trap = None
                    self.pvp = YList()
                    self.pvp.parent = self
                    self.pvp.name = 'pvp'

                class BandwidthEnum(Enum):
                    """
                    BandwidthEnum

                    ATM bandwith

                    .. data:: dynamic = 0

                    """

                    dynamic = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Atm.Atm_.BandwidthEnum']



                class Pvp(object):
                    """
                    PVP
                    
                    .. attribute:: pvp_number  <key>
                    
                    	PVP number
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: l2transport
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Atm_.Pvp.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Atm_.Pvp.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.pvp_number = None
                        self.l2transport = None
                        self.xconnect = Native.Interface.Atm.Atm_.Pvp.Xconnect()
                        self.xconnect.parent = self
                        self.xconnect_pw_class = Native.Interface.Atm.Atm_.Pvp.XconnectPwClass()
                        self.xconnect_pw_class.parent = self


                    class Xconnect(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup>`
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Atm_.Pvp.Xconnect.EncapsulationEnum>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\:  str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Atm_.Pvp.Xconnect.SequencingEnum>`
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.backup = Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup()
                            self.backup.parent = self
                            self.encapsulation = None
                            self.manual = None
                            self.mtu = None
                            self.pw_class = None
                            self.sequencing = None
                            self.vcid = None

                        class EncapsulationEnum(Enum):
                            """
                            EncapsulationEnum

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = 0

                            l2tpv3 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Atm.Atm_.Pvp.Xconnect.EncapsulationEnum']


                        class SequencingEnum(Enum):
                            """
                            SequencingEnum

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = 0

                            receive = 1

                            transmit = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Atm.Atm_.Pvp.Xconnect.SequencingEnum']



                        class Backup(object):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup.Delay>`
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup.Peer>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.delay = Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self.peer = Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup.Peer()
                                self.peer.parent = self


                            class Peer(object):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\:  int
                                
                                	**range:** 1..10
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.peer_router_ip_addr = None
                                    self.priority = None
                                    self.pw_class = None
                                    self.vcid = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.peer_router_ip_addr is not None:
                                        return True

                                    if self.priority is not None:
                                        return True

                                    if self.pw_class is not None:
                                        return True

                                    if self.vcid is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup.Peer']['meta_info']


                            class Delay(object):
                                """
                                backup delay time
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: min
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None
                                    self.min = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup.Delay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:backup'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.delay is not None and self.delay._has_data():
                                    return True

                                if self.peer is not None and self.peer._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Atm.Atm_.Pvp.Xconnect.Backup']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.backup is not None and self.backup._has_data():
                                return True

                            if self.encapsulation is not None:
                                return True

                            if self.manual is not None:
                                return True

                            if self.mtu is not None:
                                return True

                            if self.pw_class is not None:
                                return True

                            if self.sequencing is not None:
                                return True

                            if self.vcid is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Atm.Atm_.Pvp.Xconnect']['meta_info']


                    class XconnectPwClass(object):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.xconnect = Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self


                        class Xconnect(object):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\:  str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp>`
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.pw_class = None
                                self.udp = Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self.vcid = None


                            class Udp(object):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port = Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self


                                class Port(object):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.local = None
                                        self.remote = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-atm:port'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.local is not None:
                                            return True

                                        if self.remote is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:udp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port is not None and self.port._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.udp is not None and self.udp._has_data():
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect-pw-class'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.xconnect is not None and self.xconnect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Atm.Atm_.Pvp.XconnectPwClass']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.pvp_number is None:
                            raise YPYModelError('Key property pvp_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:pvp[Cisco-IOS-XE-atm:pvp-number = ' + str(self.pvp_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.pvp_number is not None:
                            return True

                        if self.l2transport is not None:
                            return True

                        if self.xconnect is not None and self.xconnect._has_data():
                            return True

                        if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Atm.Atm_.Pvp']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-atm:atm'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bandwidth is not None:
                        return True

                    if self.enable_ilmi_trap is not None:
                        return True

                    if self.pvp is not None:
                        for child_ref in self.pvp:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Atm.Atm_']['meta_info']


            class Cem(object):
                """
                CEM
                
                .. attribute:: number  <key>
                
                	
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: xconnect
                
                	
                	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Cem.Xconnect>`
                
                .. attribute:: xconnect_pw_class
                
                	
                	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Cem.XconnectPwClass>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.xconnect = Native.Interface.Atm.Cem.Xconnect()
                    self.xconnect.parent = self
                    self.xconnect_pw_class = Native.Interface.Atm.Cem.XconnectPwClass()
                    self.xconnect_pw_class.parent = self


                class Xconnect(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: backup
                    
                    	Xconnect backup configuration commands
                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Cem.Xconnect.Backup>`
                    
                    .. attribute:: encapsulation
                    
                    	Data encapsulation method
                    	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Cem.Xconnect.EncapsulationEnum>`
                    
                    .. attribute:: manual
                    
                    	Manually configure L2TP session parameters
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mtu
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pw_class
                    
                    	Optional pseudowire\-class to use for advanced configuration
                    	**type**\:  str
                    
                    .. attribute:: sequencing
                    
                    	Configure sequencing options for xconnect
                    	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Cem.Xconnect.SequencingEnum>`
                    
                    .. attribute:: vcid
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.backup = Native.Interface.Atm.Cem.Xconnect.Backup()
                        self.backup.parent = self
                        self.encapsulation = None
                        self.manual = None
                        self.mtu = None
                        self.pw_class = None
                        self.sequencing = None
                        self.vcid = None

                    class EncapsulationEnum(Enum):
                        """
                        EncapsulationEnum

                        Data encapsulation method

                        .. data:: mpls = 0

                        .. data:: l2tpv3 = 1

                        """

                        mpls = 0

                        l2tpv3 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Atm.Cem.Xconnect.EncapsulationEnum']


                    class SequencingEnum(Enum):
                        """
                        SequencingEnum

                        Configure sequencing options for xconnect

                        .. data:: both = 0

                        .. data:: receive = 1

                        .. data:: transmit = 2

                        """

                        both = 0

                        receive = 1

                        transmit = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Atm.Cem.Xconnect.SequencingEnum']



                    class Backup(object):
                        """
                        Xconnect backup configuration commands
                        
                        .. attribute:: delay
                        
                        	backup delay time
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Cem.Xconnect.Backup.Delay>`
                        
                        .. attribute:: peer
                        
                        	Backup pseudowire
                        	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Cem.Xconnect.Backup.Peer>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.delay = Native.Interface.Atm.Cem.Xconnect.Backup.Delay()
                            self.delay.parent = self
                            self.peer = Native.Interface.Atm.Cem.Xconnect.Backup.Peer()
                            self.peer.parent = self


                        class Peer(object):
                            """
                            Backup pseudowire
                            
                            .. attribute:: peer_router_ip_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	Optional priority to use for backup pseudowire
                            	**type**\:  int
                            
                            	**range:** 1..10
                            
                            .. attribute:: pw_class
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.peer_router_ip_addr = None
                                self.priority = None
                                self.pw_class = None
                                self.vcid = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:peer'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.peer_router_ip_addr is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Atm.Cem.Xconnect.Backup.Peer']['meta_info']


                        class Delay(object):
                            """
                            backup delay time
                            
                            .. attribute:: max
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max = None
                                self.min = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max is not None:
                                    return True

                                if self.min is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Atm.Cem.Xconnect.Backup.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:backup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.delay is not None and self.delay._has_data():
                                return True

                            if self.peer is not None and self.peer._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Atm.Cem.Xconnect.Backup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.backup is not None and self.backup._has_data():
                            return True

                        if self.encapsulation is not None:
                            return True

                        if self.manual is not None:
                            return True

                        if self.mtu is not None:
                            return True

                        if self.pw_class is not None:
                            return True

                        if self.sequencing is not None:
                            return True

                        if self.vcid is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Atm.Cem.Xconnect']['meta_info']


                class XconnectPwClass(object):
                    """
                    
                    
                    .. attribute:: xconnect
                    
                    	Xconnect commands
                    	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Cem.XconnectPwClass.Xconnect>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.xconnect = Native.Interface.Atm.Cem.XconnectPwClass.Xconnect()
                        self.xconnect.parent = self


                    class Xconnect(object):
                        """
                        Xconnect commands
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: pw_class
                        
                        	Pseudowire\-class to use for encapsulation and protocol configuration
                        	**type**\:  str
                        
                        .. attribute:: udp
                        
                        	UDP
                        	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Cem.XconnectPwClass.Xconnect.Udp>`
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.pw_class = None
                            self.udp = Native.Interface.Atm.Cem.XconnectPwClass.Xconnect.Udp()
                            self.udp.parent = self
                            self.vcid = None


                        class Udp(object):
                            """
                            UDP
                            
                            .. attribute:: port
                            
                            	UDP ports
                            	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Cem.XconnectPwClass.Xconnect.Udp.Port>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port = Native.Interface.Atm.Cem.XconnectPwClass.Xconnect.Udp.Port()
                                self.port.parent = self


                            class Port(object):
                                """
                                UDP ports
                                
                                .. attribute:: local
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: remote
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.local = None
                                    self.remote = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:port'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.local is not None:
                                        return True

                                    if self.remote is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Atm.Cem.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:udp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port is not None and self.port._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Atm.Cem.XconnectPwClass.Xconnect.Udp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.pw_class is not None:
                                return True

                            if self.udp is not None and self.udp._has_data():
                                return True

                            if self.vcid is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Atm.Cem.XconnectPwClass.Xconnect']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect-pw-class'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.xconnect is not None and self.xconnect._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Atm.Cem.XconnectPwClass']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.number is None:
                        raise YPYModelError('Key property number is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-atm:cem[Cisco-IOS-XE-atm:number = ' + str(self.number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.xconnect is not None and self.xconnect._has_data():
                        return True

                    if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Atm.Cem']['meta_info']


            class Pvc(object):
                """
                PVC
                
                .. attribute:: local_vpi_vci  <key>
                
                	Vpi and vci
                	**type**\:  str
                
                .. attribute:: l2transport
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: remote_vpi_vci
                
                	Vpi and vci
                	**type**\:  str
                
                .. attribute:: ubr
                
                	UBR
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: xconnect
                
                	
                	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Pvc.Xconnect>`
                
                .. attribute:: xconnect_pw_class
                
                	
                	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Pvc.XconnectPwClass>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.local_vpi_vci = None
                    self.l2transport = None
                    self.remote_vpi_vci = None
                    self.ubr = None
                    self.xconnect = Native.Interface.Atm.Pvc.Xconnect()
                    self.xconnect.parent = self
                    self.xconnect_pw_class = Native.Interface.Atm.Pvc.XconnectPwClass()
                    self.xconnect_pw_class.parent = self


                class Xconnect(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: backup
                    
                    	Xconnect backup configuration commands
                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Pvc.Xconnect.Backup>`
                    
                    .. attribute:: encapsulation
                    
                    	Data encapsulation method
                    	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Pvc.Xconnect.EncapsulationEnum>`
                    
                    .. attribute:: manual
                    
                    	Manually configure L2TP session parameters
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mtu
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pw_class
                    
                    	Optional pseudowire\-class to use for advanced configuration
                    	**type**\:  str
                    
                    .. attribute:: sequencing
                    
                    	Configure sequencing options for xconnect
                    	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Pvc.Xconnect.SequencingEnum>`
                    
                    .. attribute:: vcid
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.backup = Native.Interface.Atm.Pvc.Xconnect.Backup()
                        self.backup.parent = self
                        self.encapsulation = None
                        self.manual = None
                        self.mtu = None
                        self.pw_class = None
                        self.sequencing = None
                        self.vcid = None

                    class EncapsulationEnum(Enum):
                        """
                        EncapsulationEnum

                        Data encapsulation method

                        .. data:: mpls = 0

                        .. data:: l2tpv3 = 1

                        """

                        mpls = 0

                        l2tpv3 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Atm.Pvc.Xconnect.EncapsulationEnum']


                    class SequencingEnum(Enum):
                        """
                        SequencingEnum

                        Configure sequencing options for xconnect

                        .. data:: both = 0

                        .. data:: receive = 1

                        .. data:: transmit = 2

                        """

                        both = 0

                        receive = 1

                        transmit = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Atm.Pvc.Xconnect.SequencingEnum']



                    class Backup(object):
                        """
                        Xconnect backup configuration commands
                        
                        .. attribute:: delay
                        
                        	backup delay time
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Pvc.Xconnect.Backup.Delay>`
                        
                        .. attribute:: peer
                        
                        	Backup pseudowire
                        	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Pvc.Xconnect.Backup.Peer>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.delay = Native.Interface.Atm.Pvc.Xconnect.Backup.Delay()
                            self.delay.parent = self
                            self.peer = Native.Interface.Atm.Pvc.Xconnect.Backup.Peer()
                            self.peer.parent = self


                        class Peer(object):
                            """
                            Backup pseudowire
                            
                            .. attribute:: peer_router_ip_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	Optional priority to use for backup pseudowire
                            	**type**\:  int
                            
                            	**range:** 1..10
                            
                            .. attribute:: pw_class
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.peer_router_ip_addr = None
                                self.priority = None
                                self.pw_class = None
                                self.vcid = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:peer'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.peer_router_ip_addr is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Atm.Pvc.Xconnect.Backup.Peer']['meta_info']


                        class Delay(object):
                            """
                            backup delay time
                            
                            .. attribute:: max
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max = None
                                self.min = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max is not None:
                                    return True

                                if self.min is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Atm.Pvc.Xconnect.Backup.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:backup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.delay is not None and self.delay._has_data():
                                return True

                            if self.peer is not None and self.peer._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Atm.Pvc.Xconnect.Backup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.backup is not None and self.backup._has_data():
                            return True

                        if self.encapsulation is not None:
                            return True

                        if self.manual is not None:
                            return True

                        if self.mtu is not None:
                            return True

                        if self.pw_class is not None:
                            return True

                        if self.sequencing is not None:
                            return True

                        if self.vcid is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Atm.Pvc.Xconnect']['meta_info']


                class XconnectPwClass(object):
                    """
                    
                    
                    .. attribute:: xconnect
                    
                    	Xconnect commands
                    	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.xconnect = Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect()
                        self.xconnect.parent = self


                    class Xconnect(object):
                        """
                        Xconnect commands
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: pw_class
                        
                        	Pseudowire\-class to use for encapsulation and protocol configuration
                        	**type**\:  str
                        
                        .. attribute:: udp
                        
                        	UDP
                        	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect.Udp>`
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.pw_class = None
                            self.udp = Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect.Udp()
                            self.udp.parent = self
                            self.vcid = None


                        class Udp(object):
                            """
                            UDP
                            
                            .. attribute:: port
                            
                            	UDP ports
                            	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect.Udp.Port>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port = Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect.Udp.Port()
                                self.port.parent = self


                            class Port(object):
                                """
                                UDP ports
                                
                                .. attribute:: local
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: remote
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.local = None
                                    self.remote = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:port'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.local is not None:
                                        return True

                                    if self.remote is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:udp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port is not None and self.port._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect.Udp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.pw_class is not None:
                                return True

                            if self.udp is not None and self.udp._has_data():
                                return True

                            if self.vcid is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Atm.Pvc.XconnectPwClass.Xconnect']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect-pw-class'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.xconnect is not None and self.xconnect._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Atm.Pvc.XconnectPwClass']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.local_vpi_vci is None:
                        raise YPYModelError('Key property local_vpi_vci is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-atm:pvc[Cisco-IOS-XE-atm:local-vpi-vci = ' + str(self.local_vpi_vci) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.local_vpi_vci is not None:
                        return True

                    if self.l2transport is not None:
                        return True

                    if self.remote_vpi_vci is not None:
                        return True

                    if self.ubr is not None:
                        return True

                    if self.xconnect is not None and self.xconnect._has_data():
                        return True

                    if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Atm.Pvc']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:ATM[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.atm is not None and self.atm._has_data():
                    return True

                if self.cem is not None:
                    for child_ref in self.cem:
                        if child_ref._has_data():
                            return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.pvc is not None:
                    for child_ref in self.pvc:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.Atm']['meta_info']


        class AtmSubinterface(object):
            """
            
            
            .. attribute:: atm
            
            	
            	**type**\: list of    :py:class:`Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.atm = YList()
                self.atm.parent = self
                self.atm.name = 'atm'


            class Atm(object):
                """
                
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                
                .. attribute:: atm
                
                	ATM
                	**type**\:   :py:class:`Atm_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Atm_>`
                
                .. attribute:: cem
                
                	CEM
                	**type**\: list of    :py:class:`Cem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Cem>`
                
                .. attribute:: ip
                
                	IP address
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Ip>`
                
                .. attribute:: load_interval
                
                	Load interval
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: pvc
                
                	PVC
                	**type**\: list of    :py:class:`Pvc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Pvc>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.atm = Native.Interface.AtmSubinterface.Atm.Atm_()
                    self.atm.parent = self
                    self.cem = YList()
                    self.cem.parent = self
                    self.cem.name = 'cem'
                    self.ip = Native.Interface.AtmSubinterface.Atm.Ip()
                    self.ip.parent = self
                    self.load_interval = None
                    self.pvc = YList()
                    self.pvc.parent = self
                    self.pvc.name = 'pvc'


                class Ip(object):
                    """
                    IP address
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Ip']['meta_info']


                class Atm_(object):
                    """
                    ATM
                    
                    .. attribute:: bandwidth
                    
                    	ATM bandwith
                    	**type**\:   :py:class:`BandwidthEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Atm_.BandwidthEnum>`
                    
                    .. attribute:: enable_ilmi_trap
                    
                    	Enable\-ilmi\-trap
                    	**type**\:  bool
                    
                    .. attribute:: pvp
                    
                    	PVP
                    	**type**\: list of    :py:class:`Pvp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Atm_.Pvp>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bandwidth = None
                        self.enable_ilmi_trap = None
                        self.pvp = YList()
                        self.pvp.parent = self
                        self.pvp.name = 'pvp'

                    class BandwidthEnum(Enum):
                        """
                        BandwidthEnum

                        ATM bandwith

                        .. data:: dynamic = 0

                        """

                        dynamic = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.BandwidthEnum']



                    class Pvp(object):
                        """
                        PVP
                        
                        .. attribute:: pvp_number  <key>
                        
                        	PVP number
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: l2transport
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: xconnect
                        
                        	
                        	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect>`
                        
                        .. attribute:: xconnect_pw_class
                        
                        	
                        	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.pvp_number = None
                            self.l2transport = None
                            self.xconnect = Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect()
                            self.xconnect.parent = self
                            self.xconnect_pw_class = Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass()
                            self.xconnect_pw_class.parent = self


                        class Xconnect(object):
                            """
                            
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: backup
                            
                            	Xconnect backup configuration commands
                            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup>`
                            
                            .. attribute:: encapsulation
                            
                            	Data encapsulation method
                            	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.EncapsulationEnum>`
                            
                            .. attribute:: manual
                            
                            	Manually configure L2TP session parameters
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mtu
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pw_class
                            
                            	Optional pseudowire\-class to use for advanced configuration
                            	**type**\:  str
                            
                            .. attribute:: sequencing
                            
                            	Configure sequencing options for xconnect
                            	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.SequencingEnum>`
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.backup = Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup()
                                self.backup.parent = self
                                self.encapsulation = None
                                self.manual = None
                                self.mtu = None
                                self.pw_class = None
                                self.sequencing = None
                                self.vcid = None

                            class EncapsulationEnum(Enum):
                                """
                                EncapsulationEnum

                                Data encapsulation method

                                .. data:: mpls = 0

                                .. data:: l2tpv3 = 1

                                """

                                mpls = 0

                                l2tpv3 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.EncapsulationEnum']


                            class SequencingEnum(Enum):
                                """
                                SequencingEnum

                                Configure sequencing options for xconnect

                                .. data:: both = 0

                                .. data:: receive = 1

                                .. data:: transmit = 2

                                """

                                both = 0

                                receive = 1

                                transmit = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.SequencingEnum']



                            class Backup(object):
                                """
                                Xconnect backup configuration commands
                                
                                .. attribute:: delay
                                
                                	backup delay time
                                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup.Delay>`
                                
                                .. attribute:: peer
                                
                                	Backup pseudowire
                                	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup.Peer>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.delay = Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup.Delay()
                                    self.delay.parent = self
                                    self.peer = Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup.Peer()
                                    self.peer.parent = self


                                class Peer(object):
                                    """
                                    Backup pseudowire
                                    
                                    .. attribute:: peer_router_ip_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: priority
                                    
                                    	Optional priority to use for backup pseudowire
                                    	**type**\:  int
                                    
                                    	**range:** 1..10
                                    
                                    .. attribute:: pw_class
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: vcid
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.peer_router_ip_addr = None
                                        self.priority = None
                                        self.pw_class = None
                                        self.vcid = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-atm:peer'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.peer_router_ip_addr is not None:
                                            return True

                                        if self.priority is not None:
                                            return True

                                        if self.pw_class is not None:
                                            return True

                                        if self.vcid is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup.Peer']['meta_info']


                                class Delay(object):
                                    """
                                    backup delay time
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: min
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None
                                        self.min = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-atm:delay'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        if self.min is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup.Delay']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:backup'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.delay is not None and self.delay._has_data():
                                        return True

                                    if self.peer is not None and self.peer._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect.Backup']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.backup is not None and self.backup._has_data():
                                    return True

                                if self.encapsulation is not None:
                                    return True

                                if self.manual is not None:
                                    return True

                                if self.mtu is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.sequencing is not None:
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.Xconnect']['meta_info']


                        class XconnectPwClass(object):
                            """
                            
                            
                            .. attribute:: xconnect
                            
                            	Xconnect commands
                            	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.xconnect = Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect()
                                self.xconnect.parent = self


                            class Xconnect(object):
                                """
                                Xconnect commands
                                
                                .. attribute:: address
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: pw_class
                                
                                	Pseudowire\-class to use for encapsulation and protocol configuration
                                	**type**\:  str
                                
                                .. attribute:: udp
                                
                                	UDP
                                	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp>`
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None
                                    self.pw_class = None
                                    self.udp = Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp()
                                    self.udp.parent = self
                                    self.vcid = None


                                class Udp(object):
                                    """
                                    UDP
                                    
                                    .. attribute:: port
                                    
                                    	UDP ports
                                    	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp.Port>`
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.port = Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp.Port()
                                        self.port.parent = self


                                    class Port(object):
                                        """
                                        UDP ports
                                        
                                        .. attribute:: local
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: remote
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-atm'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.local = None
                                            self.remote = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-atm:port'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.local is not None:
                                                return True

                                            if self.remote is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-atm:udp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.port is not None and self.port._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect.Udp']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None:
                                        return True

                                    if self.pw_class is not None:
                                        return True

                                    if self.udp is not None and self.udp._has_data():
                                        return True

                                    if self.vcid is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass.Xconnect']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect-pw-class'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.xconnect is not None and self.xconnect._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp.XconnectPwClass']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.pvp_number is None:
                                raise YPYModelError('Key property pvp_number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:pvp[Cisco-IOS-XE-atm:pvp-number = ' + str(self.pvp_number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.pvp_number is not None:
                                return True

                            if self.l2transport is not None:
                                return True

                            if self.xconnect is not None and self.xconnect._has_data():
                                return True

                            if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Atm_.Pvp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:atm'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bandwidth is not None:
                            return True

                        if self.enable_ilmi_trap is not None:
                            return True

                        if self.pvp is not None:
                            for child_ref in self.pvp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Atm_']['meta_info']


                class Cem(object):
                    """
                    CEM
                    
                    .. attribute:: number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Cem.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.number = None
                        self.xconnect = Native.Interface.AtmSubinterface.Atm.Cem.Xconnect()
                        self.xconnect.parent = self
                        self.xconnect_pw_class = Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass()
                        self.xconnect_pw_class.parent = self


                    class Xconnect(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup>`
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.EncapsulationEnum>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\:  str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.SequencingEnum>`
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.backup = Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup()
                            self.backup.parent = self
                            self.encapsulation = None
                            self.manual = None
                            self.mtu = None
                            self.pw_class = None
                            self.sequencing = None
                            self.vcid = None

                        class EncapsulationEnum(Enum):
                            """
                            EncapsulationEnum

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = 0

                            l2tpv3 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.EncapsulationEnum']


                        class SequencingEnum(Enum):
                            """
                            SequencingEnum

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = 0

                            receive = 1

                            transmit = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.SequencingEnum']



                        class Backup(object):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup.Delay>`
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup.Peer>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.delay = Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self.peer = Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup.Peer()
                                self.peer.parent = self


                            class Peer(object):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\:  int
                                
                                	**range:** 1..10
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.peer_router_ip_addr = None
                                    self.priority = None
                                    self.pw_class = None
                                    self.vcid = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.peer_router_ip_addr is not None:
                                        return True

                                    if self.priority is not None:
                                        return True

                                    if self.pw_class is not None:
                                        return True

                                    if self.vcid is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup.Peer']['meta_info']


                            class Delay(object):
                                """
                                backup delay time
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: min
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None
                                    self.min = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup.Delay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:backup'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.delay is not None and self.delay._has_data():
                                    return True

                                if self.peer is not None and self.peer._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Cem.Xconnect.Backup']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.backup is not None and self.backup._has_data():
                                return True

                            if self.encapsulation is not None:
                                return True

                            if self.manual is not None:
                                return True

                            if self.mtu is not None:
                                return True

                            if self.pw_class is not None:
                                return True

                            if self.sequencing is not None:
                                return True

                            if self.vcid is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Cem.Xconnect']['meta_info']


                    class XconnectPwClass(object):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.xconnect = Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self


                        class Xconnect(object):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\:  str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect.Udp>`
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.pw_class = None
                                self.udp = Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self.vcid = None


                            class Udp(object):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port = Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self


                                class Port(object):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.local = None
                                        self.remote = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-atm:port'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.local is not None:
                                            return True

                                        if self.remote is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:udp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port is not None and self.port._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect.Udp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.udp is not None and self.udp._has_data():
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass.Xconnect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect-pw-class'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.xconnect is not None and self.xconnect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Cem.XconnectPwClass']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.number is None:
                            raise YPYModelError('Key property number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:cem[Cisco-IOS-XE-atm:number = ' + str(self.number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.number is not None:
                            return True

                        if self.xconnect is not None and self.xconnect._has_data():
                            return True

                        if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Cem']['meta_info']


                class Pvc(object):
                    """
                    PVC
                    
                    .. attribute:: local_vpi_vci  <key>
                    
                    	Vpi and vci
                    	**type**\:  str
                    
                    .. attribute:: l2transport
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: remote_vpi_vci
                    
                    	Vpi and vci
                    	**type**\:  str
                    
                    .. attribute:: ubr
                    
                    	UBR
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.local_vpi_vci = None
                        self.l2transport = None
                        self.remote_vpi_vci = None
                        self.ubr = None
                        self.xconnect = Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect()
                        self.xconnect.parent = self
                        self.xconnect_pw_class = Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass()
                        self.xconnect_pw_class.parent = self


                    class Xconnect(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup>`
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.EncapsulationEnum>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\:  str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.SequencingEnum>`
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.backup = Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup()
                            self.backup.parent = self
                            self.encapsulation = None
                            self.manual = None
                            self.mtu = None
                            self.pw_class = None
                            self.sequencing = None
                            self.vcid = None

                        class EncapsulationEnum(Enum):
                            """
                            EncapsulationEnum

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = 0

                            l2tpv3 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.EncapsulationEnum']


                        class SequencingEnum(Enum):
                            """
                            SequencingEnum

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = 0

                            receive = 1

                            transmit = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.SequencingEnum']



                        class Backup(object):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup.Delay>`
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup.Peer>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.delay = Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self.peer = Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup.Peer()
                                self.peer.parent = self


                            class Peer(object):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\:  int
                                
                                	**range:** 1..10
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.peer_router_ip_addr = None
                                    self.priority = None
                                    self.pw_class = None
                                    self.vcid = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.peer_router_ip_addr is not None:
                                        return True

                                    if self.priority is not None:
                                        return True

                                    if self.pw_class is not None:
                                        return True

                                    if self.vcid is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup.Peer']['meta_info']


                            class Delay(object):
                                """
                                backup delay time
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: min
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None
                                    self.min = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup.Delay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:backup'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.delay is not None and self.delay._has_data():
                                    return True

                                if self.peer is not None and self.peer._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect.Backup']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.backup is not None and self.backup._has_data():
                                return True

                            if self.encapsulation is not None:
                                return True

                            if self.manual is not None:
                                return True

                            if self.mtu is not None:
                                return True

                            if self.pw_class is not None:
                                return True

                            if self.sequencing is not None:
                                return True

                            if self.vcid is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.Xconnect']['meta_info']


                    class XconnectPwClass(object):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.xconnect = Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self


                        class Xconnect(object):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\:  str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect.Udp>`
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.pw_class = None
                                self.udp = Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self.vcid = None


                            class Udp(object):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port = Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self


                                class Port(object):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.local = None
                                        self.remote = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-atm:port'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.local is not None:
                                            return True

                                        if self.remote is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:udp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port is not None and self.port._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect.Udp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.udp is not None and self.udp._has_data():
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass.Xconnect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect-pw-class'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.xconnect is not None and self.xconnect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Pvc.XconnectPwClass']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.local_vpi_vci is None:
                            raise YPYModelError('Key property local_vpi_vci is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:pvc[Cisco-IOS-XE-atm:local-vpi-vci = ' + str(self.local_vpi_vci) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.local_vpi_vci is not None:
                            return True

                        if self.l2transport is not None:
                            return True

                        if self.remote_vpi_vci is not None:
                            return True

                        if self.ubr is not None:
                            return True

                        if self.xconnect is not None and self.xconnect._has_data():
                            return True

                        if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AtmSubinterface.Atm.Pvc']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:ATM-subinterface/Cisco-IOS-XE-native:ATM[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.atm is not None and self.atm._has_data():
                        return True

                    if self.cem is not None:
                        for child_ref in self.cem:
                            if child_ref._has_data():
                                return True

                    if self.ip is not None and self.ip._has_data():
                        return True

                    if self.load_interval is not None:
                        return True

                    if self.pvc is not None:
                        for child_ref in self.pvc:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AtmSubinterface.Atm']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:ATM-subinterface'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.atm is not None:
                    for child_ref in self.atm:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.AtmSubinterface']['meta_info']


        class AtmAcr(object):
            """
            ATM\-ACR interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            	**pattern:** [0\-9]
            
            .. attribute:: atm
            
            	ATM
            	**type**\:   :py:class:`Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Atm>`
            
            .. attribute:: cem
            
            	CEM
            	**type**\: list of    :py:class:`Cem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Cem>`
            
            .. attribute:: ip
            
            	IP address
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Ip>`
            
            .. attribute:: load_interval
            
            	Load interval
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pvc
            
            	PVC
            	**type**\: list of    :py:class:`Pvc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Pvc>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.atm = Native.Interface.AtmAcr.Atm()
                self.atm.parent = self
                self.cem = YList()
                self.cem.parent = self
                self.cem.name = 'cem'
                self.ip = Native.Interface.AtmAcr.Ip()
                self.ip.parent = self
                self.load_interval = None
                self.pvc = YList()
                self.pvc.parent = self
                self.pvc.name = 'pvc'


            class Ip(object):
                """
                IP address
                
                .. attribute:: address
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-atm:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AtmAcr.Ip']['meta_info']


            class Atm(object):
                """
                ATM
                
                .. attribute:: bandwidth
                
                	ATM bandwith
                	**type**\:   :py:class:`BandwidthEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Atm.BandwidthEnum>`
                
                .. attribute:: enable_ilmi_trap
                
                	Enable\-ilmi\-trap
                	**type**\:  bool
                
                .. attribute:: pvp
                
                	PVP
                	**type**\: list of    :py:class:`Pvp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Atm.Pvp>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bandwidth = None
                    self.enable_ilmi_trap = None
                    self.pvp = YList()
                    self.pvp.parent = self
                    self.pvp.name = 'pvp'

                class BandwidthEnum(Enum):
                    """
                    BandwidthEnum

                    ATM bandwith

                    .. data:: dynamic = 0

                    """

                    dynamic = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AtmAcr.Atm.BandwidthEnum']



                class Pvp(object):
                    """
                    PVP
                    
                    .. attribute:: pvp_number  <key>
                    
                    	PVP number
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: l2transport
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Atm.Pvp.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.pvp_number = None
                        self.l2transport = None
                        self.xconnect = Native.Interface.AtmAcr.Atm.Pvp.Xconnect()
                        self.xconnect.parent = self
                        self.xconnect_pw_class = Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass()
                        self.xconnect_pw_class.parent = self


                    class Xconnect(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup>`
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Atm.Pvp.Xconnect.EncapsulationEnum>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\:  str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Atm.Pvp.Xconnect.SequencingEnum>`
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.backup = Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup()
                            self.backup.parent = self
                            self.encapsulation = None
                            self.manual = None
                            self.mtu = None
                            self.pw_class = None
                            self.sequencing = None
                            self.vcid = None

                        class EncapsulationEnum(Enum):
                            """
                            EncapsulationEnum

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = 0

                            l2tpv3 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmAcr.Atm.Pvp.Xconnect.EncapsulationEnum']


                        class SequencingEnum(Enum):
                            """
                            SequencingEnum

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = 0

                            receive = 1

                            transmit = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmAcr.Atm.Pvp.Xconnect.SequencingEnum']



                        class Backup(object):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup.Delay>`
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup.Peer>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.delay = Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self.peer = Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup.Peer()
                                self.peer.parent = self


                            class Peer(object):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\:  int
                                
                                	**range:** 1..10
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.peer_router_ip_addr = None
                                    self.priority = None
                                    self.pw_class = None
                                    self.vcid = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.peer_router_ip_addr is not None:
                                        return True

                                    if self.priority is not None:
                                        return True

                                    if self.pw_class is not None:
                                        return True

                                    if self.vcid is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup.Peer']['meta_info']


                            class Delay(object):
                                """
                                backup delay time
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: min
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None
                                    self.min = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup.Delay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:backup'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.delay is not None and self.delay._has_data():
                                    return True

                                if self.peer is not None and self.peer._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmAcr.Atm.Pvp.Xconnect.Backup']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.backup is not None and self.backup._has_data():
                                return True

                            if self.encapsulation is not None:
                                return True

                            if self.manual is not None:
                                return True

                            if self.mtu is not None:
                                return True

                            if self.pw_class is not None:
                                return True

                            if self.sequencing is not None:
                                return True

                            if self.vcid is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmAcr.Atm.Pvp.Xconnect']['meta_info']


                    class XconnectPwClass(object):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.xconnect = Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self


                        class Xconnect(object):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\:  str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp>`
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.pw_class = None
                                self.udp = Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self.vcid = None


                            class Udp(object):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port = Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self


                                class Port(object):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.local = None
                                        self.remote = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-atm:port'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.local is not None:
                                            return True

                                        if self.remote is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:udp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port is not None and self.port._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.udp is not None and self.udp._has_data():
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect-pw-class'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.xconnect is not None and self.xconnect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmAcr.Atm.Pvp.XconnectPwClass']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.pvp_number is None:
                            raise YPYModelError('Key property pvp_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:pvp[Cisco-IOS-XE-atm:pvp-number = ' + str(self.pvp_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.pvp_number is not None:
                            return True

                        if self.l2transport is not None:
                            return True

                        if self.xconnect is not None and self.xconnect._has_data():
                            return True

                        if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AtmAcr.Atm.Pvp']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-atm:atm'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bandwidth is not None:
                        return True

                    if self.enable_ilmi_trap is not None:
                        return True

                    if self.pvp is not None:
                        for child_ref in self.pvp:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AtmAcr.Atm']['meta_info']


            class Cem(object):
                """
                CEM
                
                .. attribute:: number  <key>
                
                	
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: xconnect
                
                	
                	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Cem.Xconnect>`
                
                .. attribute:: xconnect_pw_class
                
                	
                	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Cem.XconnectPwClass>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.xconnect = Native.Interface.AtmAcr.Cem.Xconnect()
                    self.xconnect.parent = self
                    self.xconnect_pw_class = Native.Interface.AtmAcr.Cem.XconnectPwClass()
                    self.xconnect_pw_class.parent = self


                class Xconnect(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: backup
                    
                    	Xconnect backup configuration commands
                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Cem.Xconnect.Backup>`
                    
                    .. attribute:: encapsulation
                    
                    	Data encapsulation method
                    	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Cem.Xconnect.EncapsulationEnum>`
                    
                    .. attribute:: manual
                    
                    	Manually configure L2TP session parameters
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mtu
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pw_class
                    
                    	Optional pseudowire\-class to use for advanced configuration
                    	**type**\:  str
                    
                    .. attribute:: sequencing
                    
                    	Configure sequencing options for xconnect
                    	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Cem.Xconnect.SequencingEnum>`
                    
                    .. attribute:: vcid
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.backup = Native.Interface.AtmAcr.Cem.Xconnect.Backup()
                        self.backup.parent = self
                        self.encapsulation = None
                        self.manual = None
                        self.mtu = None
                        self.pw_class = None
                        self.sequencing = None
                        self.vcid = None

                    class EncapsulationEnum(Enum):
                        """
                        EncapsulationEnum

                        Data encapsulation method

                        .. data:: mpls = 0

                        .. data:: l2tpv3 = 1

                        """

                        mpls = 0

                        l2tpv3 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmAcr.Cem.Xconnect.EncapsulationEnum']


                    class SequencingEnum(Enum):
                        """
                        SequencingEnum

                        Configure sequencing options for xconnect

                        .. data:: both = 0

                        .. data:: receive = 1

                        .. data:: transmit = 2

                        """

                        both = 0

                        receive = 1

                        transmit = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmAcr.Cem.Xconnect.SequencingEnum']



                    class Backup(object):
                        """
                        Xconnect backup configuration commands
                        
                        .. attribute:: delay
                        
                        	backup delay time
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Cem.Xconnect.Backup.Delay>`
                        
                        .. attribute:: peer
                        
                        	Backup pseudowire
                        	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Cem.Xconnect.Backup.Peer>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.delay = Native.Interface.AtmAcr.Cem.Xconnect.Backup.Delay()
                            self.delay.parent = self
                            self.peer = Native.Interface.AtmAcr.Cem.Xconnect.Backup.Peer()
                            self.peer.parent = self


                        class Peer(object):
                            """
                            Backup pseudowire
                            
                            .. attribute:: peer_router_ip_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	Optional priority to use for backup pseudowire
                            	**type**\:  int
                            
                            	**range:** 1..10
                            
                            .. attribute:: pw_class
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.peer_router_ip_addr = None
                                self.priority = None
                                self.pw_class = None
                                self.vcid = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:peer'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.peer_router_ip_addr is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmAcr.Cem.Xconnect.Backup.Peer']['meta_info']


                        class Delay(object):
                            """
                            backup delay time
                            
                            .. attribute:: max
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max = None
                                self.min = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max is not None:
                                    return True

                                if self.min is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmAcr.Cem.Xconnect.Backup.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:backup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.delay is not None and self.delay._has_data():
                                return True

                            if self.peer is not None and self.peer._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmAcr.Cem.Xconnect.Backup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.backup is not None and self.backup._has_data():
                            return True

                        if self.encapsulation is not None:
                            return True

                        if self.manual is not None:
                            return True

                        if self.mtu is not None:
                            return True

                        if self.pw_class is not None:
                            return True

                        if self.sequencing is not None:
                            return True

                        if self.vcid is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AtmAcr.Cem.Xconnect']['meta_info']


                class XconnectPwClass(object):
                    """
                    
                    
                    .. attribute:: xconnect
                    
                    	Xconnect commands
                    	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.xconnect = Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect()
                        self.xconnect.parent = self


                    class Xconnect(object):
                        """
                        Xconnect commands
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: pw_class
                        
                        	Pseudowire\-class to use for encapsulation and protocol configuration
                        	**type**\:  str
                        
                        .. attribute:: udp
                        
                        	UDP
                        	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp>`
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.pw_class = None
                            self.udp = Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp()
                            self.udp.parent = self
                            self.vcid = None


                        class Udp(object):
                            """
                            UDP
                            
                            .. attribute:: port
                            
                            	UDP ports
                            	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp.Port>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port = Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp.Port()
                                self.port.parent = self


                            class Port(object):
                                """
                                UDP ports
                                
                                .. attribute:: local
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: remote
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.local = None
                                    self.remote = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:port'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.local is not None:
                                        return True

                                    if self.remote is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:udp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port is not None and self.port._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.pw_class is not None:
                                return True

                            if self.udp is not None and self.udp._has_data():
                                return True

                            if self.vcid is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmAcr.Cem.XconnectPwClass.Xconnect']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect-pw-class'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.xconnect is not None and self.xconnect._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AtmAcr.Cem.XconnectPwClass']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.number is None:
                        raise YPYModelError('Key property number is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-atm:cem[Cisco-IOS-XE-atm:number = ' + str(self.number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.xconnect is not None and self.xconnect._has_data():
                        return True

                    if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AtmAcr.Cem']['meta_info']


            class Pvc(object):
                """
                PVC
                
                .. attribute:: local_vpi_vci  <key>
                
                	Vpi and vci
                	**type**\:  str
                
                .. attribute:: l2transport
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: remote_vpi_vci
                
                	Vpi and vci
                	**type**\:  str
                
                .. attribute:: ubr
                
                	UBR
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: xconnect
                
                	
                	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Pvc.Xconnect>`
                
                .. attribute:: xconnect_pw_class
                
                	
                	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Pvc.XconnectPwClass>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.local_vpi_vci = None
                    self.l2transport = None
                    self.remote_vpi_vci = None
                    self.ubr = None
                    self.xconnect = Native.Interface.AtmAcr.Pvc.Xconnect()
                    self.xconnect.parent = self
                    self.xconnect_pw_class = Native.Interface.AtmAcr.Pvc.XconnectPwClass()
                    self.xconnect_pw_class.parent = self


                class Xconnect(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: backup
                    
                    	Xconnect backup configuration commands
                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Pvc.Xconnect.Backup>`
                    
                    .. attribute:: encapsulation
                    
                    	Data encapsulation method
                    	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Pvc.Xconnect.EncapsulationEnum>`
                    
                    .. attribute:: manual
                    
                    	Manually configure L2TP session parameters
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mtu
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pw_class
                    
                    	Optional pseudowire\-class to use for advanced configuration
                    	**type**\:  str
                    
                    .. attribute:: sequencing
                    
                    	Configure sequencing options for xconnect
                    	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Pvc.Xconnect.SequencingEnum>`
                    
                    .. attribute:: vcid
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.backup = Native.Interface.AtmAcr.Pvc.Xconnect.Backup()
                        self.backup.parent = self
                        self.encapsulation = None
                        self.manual = None
                        self.mtu = None
                        self.pw_class = None
                        self.sequencing = None
                        self.vcid = None

                    class EncapsulationEnum(Enum):
                        """
                        EncapsulationEnum

                        Data encapsulation method

                        .. data:: mpls = 0

                        .. data:: l2tpv3 = 1

                        """

                        mpls = 0

                        l2tpv3 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmAcr.Pvc.Xconnect.EncapsulationEnum']


                    class SequencingEnum(Enum):
                        """
                        SequencingEnum

                        Configure sequencing options for xconnect

                        .. data:: both = 0

                        .. data:: receive = 1

                        .. data:: transmit = 2

                        """

                        both = 0

                        receive = 1

                        transmit = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmAcr.Pvc.Xconnect.SequencingEnum']



                    class Backup(object):
                        """
                        Xconnect backup configuration commands
                        
                        .. attribute:: delay
                        
                        	backup delay time
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Pvc.Xconnect.Backup.Delay>`
                        
                        .. attribute:: peer
                        
                        	Backup pseudowire
                        	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Pvc.Xconnect.Backup.Peer>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.delay = Native.Interface.AtmAcr.Pvc.Xconnect.Backup.Delay()
                            self.delay.parent = self
                            self.peer = Native.Interface.AtmAcr.Pvc.Xconnect.Backup.Peer()
                            self.peer.parent = self


                        class Peer(object):
                            """
                            Backup pseudowire
                            
                            .. attribute:: peer_router_ip_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	Optional priority to use for backup pseudowire
                            	**type**\:  int
                            
                            	**range:** 1..10
                            
                            .. attribute:: pw_class
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.peer_router_ip_addr = None
                                self.priority = None
                                self.pw_class = None
                                self.vcid = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:peer'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.peer_router_ip_addr is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmAcr.Pvc.Xconnect.Backup.Peer']['meta_info']


                        class Delay(object):
                            """
                            backup delay time
                            
                            .. attribute:: max
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max = None
                                self.min = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max is not None:
                                    return True

                                if self.min is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmAcr.Pvc.Xconnect.Backup.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:backup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.delay is not None and self.delay._has_data():
                                return True

                            if self.peer is not None and self.peer._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmAcr.Pvc.Xconnect.Backup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.backup is not None and self.backup._has_data():
                            return True

                        if self.encapsulation is not None:
                            return True

                        if self.manual is not None:
                            return True

                        if self.mtu is not None:
                            return True

                        if self.pw_class is not None:
                            return True

                        if self.sequencing is not None:
                            return True

                        if self.vcid is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AtmAcr.Pvc.Xconnect']['meta_info']


                class XconnectPwClass(object):
                    """
                    
                    
                    .. attribute:: xconnect
                    
                    	Xconnect commands
                    	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.xconnect = Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect()
                        self.xconnect.parent = self


                    class Xconnect(object):
                        """
                        Xconnect commands
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: pw_class
                        
                        	Pseudowire\-class to use for encapsulation and protocol configuration
                        	**type**\:  str
                        
                        .. attribute:: udp
                        
                        	UDP
                        	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp>`
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.pw_class = None
                            self.udp = Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp()
                            self.udp.parent = self
                            self.vcid = None


                        class Udp(object):
                            """
                            UDP
                            
                            .. attribute:: port
                            
                            	UDP ports
                            	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp.Port>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port = Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp.Port()
                                self.port.parent = self


                            class Port(object):
                                """
                                UDP ports
                                
                                .. attribute:: local
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: remote
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.local = None
                                    self.remote = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:port'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.local is not None:
                                        return True

                                    if self.remote is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:udp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port is not None and self.port._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.pw_class is not None:
                                return True

                            if self.udp is not None and self.udp._has_data():
                                return True

                            if self.vcid is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmAcr.Pvc.XconnectPwClass.Xconnect']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect-pw-class'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.xconnect is not None and self.xconnect._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AtmAcr.Pvc.XconnectPwClass']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.local_vpi_vci is None:
                        raise YPYModelError('Key property local_vpi_vci is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-atm:pvc[Cisco-IOS-XE-atm:local-vpi-vci = ' + str(self.local_vpi_vci) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.local_vpi_vci is not None:
                        return True

                    if self.l2transport is not None:
                        return True

                    if self.remote_vpi_vci is not None:
                        return True

                    if self.ubr is not None:
                        return True

                    if self.xconnect is not None and self.xconnect._has_data():
                        return True

                    if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AtmAcr.Pvc']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:ATM-ACR[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.atm is not None and self.atm._has_data():
                    return True

                if self.cem is not None:
                    for child_ref in self.cem:
                        if child_ref._has_data():
                            return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.pvc is not None:
                    for child_ref in self.pvc:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.AtmAcr']['meta_info']


        class AtmAcrsubinterface(object):
            """
            
            
            .. attribute:: atm_acr
            
            	
            	**type**\: list of    :py:class:`AtmAcr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.atm_acr = YList()
                self.atm_acr.parent = self
                self.atm_acr.name = 'atm_acr'


            class AtmAcr(object):
                """
                
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                
                .. attribute:: atm
                
                	ATM
                	**type**\:   :py:class:`Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Atm>`
                
                .. attribute:: cem
                
                	CEM
                	**type**\: list of    :py:class:`Cem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Cem>`
                
                .. attribute:: ip
                
                	IP address
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Ip>`
                
                .. attribute:: load_interval
                
                	Load interval
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: pvc
                
                	PVC
                	**type**\: list of    :py:class:`Pvc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.atm = Native.Interface.AtmAcrsubinterface.AtmAcr.Atm()
                    self.atm.parent = self
                    self.cem = YList()
                    self.cem.parent = self
                    self.cem.name = 'cem'
                    self.ip = Native.Interface.AtmAcrsubinterface.AtmAcr.Ip()
                    self.ip.parent = self
                    self.load_interval = None
                    self.pvc = YList()
                    self.pvc.parent = self
                    self.pvc.name = 'pvc'


                class Ip(object):
                    """
                    IP address
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Ip']['meta_info']


                class Atm(object):
                    """
                    ATM
                    
                    .. attribute:: bandwidth
                    
                    	ATM bandwith
                    	**type**\:   :py:class:`BandwidthEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.BandwidthEnum>`
                    
                    .. attribute:: enable_ilmi_trap
                    
                    	Enable\-ilmi\-trap
                    	**type**\:  bool
                    
                    .. attribute:: pvp
                    
                    	PVP
                    	**type**\: list of    :py:class:`Pvp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bandwidth = None
                        self.enable_ilmi_trap = None
                        self.pvp = YList()
                        self.pvp.parent = self
                        self.pvp.name = 'pvp'

                    class BandwidthEnum(Enum):
                        """
                        BandwidthEnum

                        ATM bandwith

                        .. data:: dynamic = 0

                        """

                        dynamic = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.BandwidthEnum']



                    class Pvp(object):
                        """
                        PVP
                        
                        .. attribute:: pvp_number  <key>
                        
                        	PVP number
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: l2transport
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: xconnect
                        
                        	
                        	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect>`
                        
                        .. attribute:: xconnect_pw_class
                        
                        	
                        	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.pvp_number = None
                            self.l2transport = None
                            self.xconnect = Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect()
                            self.xconnect.parent = self
                            self.xconnect_pw_class = Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass()
                            self.xconnect_pw_class.parent = self


                        class Xconnect(object):
                            """
                            
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: backup
                            
                            	Xconnect backup configuration commands
                            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup>`
                            
                            .. attribute:: encapsulation
                            
                            	Data encapsulation method
                            	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.EncapsulationEnum>`
                            
                            .. attribute:: manual
                            
                            	Manually configure L2TP session parameters
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mtu
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pw_class
                            
                            	Optional pseudowire\-class to use for advanced configuration
                            	**type**\:  str
                            
                            .. attribute:: sequencing
                            
                            	Configure sequencing options for xconnect
                            	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.SequencingEnum>`
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.backup = Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup()
                                self.backup.parent = self
                                self.encapsulation = None
                                self.manual = None
                                self.mtu = None
                                self.pw_class = None
                                self.sequencing = None
                                self.vcid = None

                            class EncapsulationEnum(Enum):
                                """
                                EncapsulationEnum

                                Data encapsulation method

                                .. data:: mpls = 0

                                .. data:: l2tpv3 = 1

                                """

                                mpls = 0

                                l2tpv3 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.EncapsulationEnum']


                            class SequencingEnum(Enum):
                                """
                                SequencingEnum

                                Configure sequencing options for xconnect

                                .. data:: both = 0

                                .. data:: receive = 1

                                .. data:: transmit = 2

                                """

                                both = 0

                                receive = 1

                                transmit = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.SequencingEnum']



                            class Backup(object):
                                """
                                Xconnect backup configuration commands
                                
                                .. attribute:: delay
                                
                                	backup delay time
                                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup.Delay>`
                                
                                .. attribute:: peer
                                
                                	Backup pseudowire
                                	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup.Peer>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.delay = Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup.Delay()
                                    self.delay.parent = self
                                    self.peer = Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup.Peer()
                                    self.peer.parent = self


                                class Peer(object):
                                    """
                                    Backup pseudowire
                                    
                                    .. attribute:: peer_router_ip_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: priority
                                    
                                    	Optional priority to use for backup pseudowire
                                    	**type**\:  int
                                    
                                    	**range:** 1..10
                                    
                                    .. attribute:: pw_class
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: vcid
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.peer_router_ip_addr = None
                                        self.priority = None
                                        self.pw_class = None
                                        self.vcid = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-atm:peer'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.peer_router_ip_addr is not None:
                                            return True

                                        if self.priority is not None:
                                            return True

                                        if self.pw_class is not None:
                                            return True

                                        if self.vcid is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup.Peer']['meta_info']


                                class Delay(object):
                                    """
                                    backup delay time
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: min
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None
                                        self.min = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-atm:delay'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        if self.min is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup.Delay']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:backup'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.delay is not None and self.delay._has_data():
                                        return True

                                    if self.peer is not None and self.peer._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect.Backup']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.backup is not None and self.backup._has_data():
                                    return True

                                if self.encapsulation is not None:
                                    return True

                                if self.manual is not None:
                                    return True

                                if self.mtu is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.sequencing is not None:
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.Xconnect']['meta_info']


                        class XconnectPwClass(object):
                            """
                            
                            
                            .. attribute:: xconnect
                            
                            	Xconnect commands
                            	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.xconnect = Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect()
                                self.xconnect.parent = self


                            class Xconnect(object):
                                """
                                Xconnect commands
                                
                                .. attribute:: address
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: pw_class
                                
                                	Pseudowire\-class to use for encapsulation and protocol configuration
                                	**type**\:  str
                                
                                .. attribute:: udp
                                
                                	UDP
                                	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp>`
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None
                                    self.pw_class = None
                                    self.udp = Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp()
                                    self.udp.parent = self
                                    self.vcid = None


                                class Udp(object):
                                    """
                                    UDP
                                    
                                    .. attribute:: port
                                    
                                    	UDP ports
                                    	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port>`
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.port = Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port()
                                        self.port.parent = self


                                    class Port(object):
                                        """
                                        UDP ports
                                        
                                        .. attribute:: local
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: remote
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-atm'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.local = None
                                            self.remote = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-atm:port'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.local is not None:
                                                return True

                                            if self.remote is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-atm:udp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.port is not None and self.port._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None:
                                        return True

                                    if self.pw_class is not None:
                                        return True

                                    if self.udp is not None and self.udp._has_data():
                                        return True

                                    if self.vcid is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass.Xconnect']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect-pw-class'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.xconnect is not None and self.xconnect._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp.XconnectPwClass']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.pvp_number is None:
                                raise YPYModelError('Key property pvp_number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:pvp[Cisco-IOS-XE-atm:pvp-number = ' + str(self.pvp_number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.pvp_number is not None:
                                return True

                            if self.l2transport is not None:
                                return True

                            if self.xconnect is not None and self.xconnect._has_data():
                                return True

                            if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm.Pvp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:atm'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bandwidth is not None:
                            return True

                        if self.enable_ilmi_trap is not None:
                            return True

                        if self.pvp is not None:
                            for child_ref in self.pvp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Atm']['meta_info']


                class Cem(object):
                    """
                    CEM
                    
                    .. attribute:: number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.number = None
                        self.xconnect = Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect()
                        self.xconnect.parent = self
                        self.xconnect_pw_class = Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass()
                        self.xconnect_pw_class.parent = self


                    class Xconnect(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup>`
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.EncapsulationEnum>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\:  str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.SequencingEnum>`
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.backup = Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup()
                            self.backup.parent = self
                            self.encapsulation = None
                            self.manual = None
                            self.mtu = None
                            self.pw_class = None
                            self.sequencing = None
                            self.vcid = None

                        class EncapsulationEnum(Enum):
                            """
                            EncapsulationEnum

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = 0

                            l2tpv3 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.EncapsulationEnum']


                        class SequencingEnum(Enum):
                            """
                            SequencingEnum

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = 0

                            receive = 1

                            transmit = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.SequencingEnum']



                        class Backup(object):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup.Delay>`
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup.Peer>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.delay = Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self.peer = Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup.Peer()
                                self.peer.parent = self


                            class Peer(object):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\:  int
                                
                                	**range:** 1..10
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.peer_router_ip_addr = None
                                    self.priority = None
                                    self.pw_class = None
                                    self.vcid = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.peer_router_ip_addr is not None:
                                        return True

                                    if self.priority is not None:
                                        return True

                                    if self.pw_class is not None:
                                        return True

                                    if self.vcid is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup.Peer']['meta_info']


                            class Delay(object):
                                """
                                backup delay time
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: min
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None
                                    self.min = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup.Delay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:backup'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.delay is not None and self.delay._has_data():
                                    return True

                                if self.peer is not None and self.peer._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect.Backup']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.backup is not None and self.backup._has_data():
                                return True

                            if self.encapsulation is not None:
                                return True

                            if self.manual is not None:
                                return True

                            if self.mtu is not None:
                                return True

                            if self.pw_class is not None:
                                return True

                            if self.sequencing is not None:
                                return True

                            if self.vcid is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.Xconnect']['meta_info']


                    class XconnectPwClass(object):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.xconnect = Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self


                        class Xconnect(object):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\:  str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp>`
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.pw_class = None
                                self.udp = Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self.vcid = None


                            class Udp(object):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port = Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self


                                class Port(object):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.local = None
                                        self.remote = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-atm:port'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.local is not None:
                                            return True

                                        if self.remote is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:udp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port is not None and self.port._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect.Udp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.udp is not None and self.udp._has_data():
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass.Xconnect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect-pw-class'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.xconnect is not None and self.xconnect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem.XconnectPwClass']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.number is None:
                            raise YPYModelError('Key property number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:cem[Cisco-IOS-XE-atm:number = ' + str(self.number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.number is not None:
                            return True

                        if self.xconnect is not None and self.xconnect._has_data():
                            return True

                        if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Cem']['meta_info']


                class Pvc(object):
                    """
                    PVC
                    
                    .. attribute:: local_vpi_vci  <key>
                    
                    	Vpi and vci
                    	**type**\:  str
                    
                    .. attribute:: l2transport
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: remote_vpi_vci
                    
                    	Vpi and vci
                    	**type**\:  str
                    
                    .. attribute:: ubr
                    
                    	UBR
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.local_vpi_vci = None
                        self.l2transport = None
                        self.remote_vpi_vci = None
                        self.ubr = None
                        self.xconnect = Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect()
                        self.xconnect.parent = self
                        self.xconnect_pw_class = Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass()
                        self.xconnect_pw_class.parent = self


                    class Xconnect(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup>`
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.EncapsulationEnum>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\:  str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.SequencingEnum>`
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.backup = Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup()
                            self.backup.parent = self
                            self.encapsulation = None
                            self.manual = None
                            self.mtu = None
                            self.pw_class = None
                            self.sequencing = None
                            self.vcid = None

                        class EncapsulationEnum(Enum):
                            """
                            EncapsulationEnum

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = 0

                            l2tpv3 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.EncapsulationEnum']


                        class SequencingEnum(Enum):
                            """
                            SequencingEnum

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = 0

                            receive = 1

                            transmit = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.SequencingEnum']



                        class Backup(object):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup.Delay>`
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup.Peer>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.delay = Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self.peer = Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup.Peer()
                                self.peer.parent = self


                            class Peer(object):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\:  int
                                
                                	**range:** 1..10
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.peer_router_ip_addr = None
                                    self.priority = None
                                    self.pw_class = None
                                    self.vcid = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.peer_router_ip_addr is not None:
                                        return True

                                    if self.priority is not None:
                                        return True

                                    if self.pw_class is not None:
                                        return True

                                    if self.vcid is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup.Peer']['meta_info']


                            class Delay(object):
                                """
                                backup delay time
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: min
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None
                                    self.min = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup.Delay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:backup'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.delay is not None and self.delay._has_data():
                                    return True

                                if self.peer is not None and self.peer._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect.Backup']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.backup is not None and self.backup._has_data():
                                return True

                            if self.encapsulation is not None:
                                return True

                            if self.manual is not None:
                                return True

                            if self.mtu is not None:
                                return True

                            if self.pw_class is not None:
                                return True

                            if self.sequencing is not None:
                                return True

                            if self.vcid is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.Xconnect']['meta_info']


                    class XconnectPwClass(object):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.xconnect = Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self


                        class Xconnect(object):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\:  str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp>`
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.pw_class = None
                                self.udp = Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self.vcid = None


                            class Udp(object):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port = Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self


                                class Port(object):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.local = None
                                        self.remote = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-atm:port'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.local is not None:
                                            return True

                                        if self.remote is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:udp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port is not None and self.port._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect.Udp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.udp is not None and self.udp._has_data():
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass.Xconnect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect-pw-class'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.xconnect is not None and self.xconnect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc.XconnectPwClass']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.local_vpi_vci is None:
                            raise YPYModelError('Key property local_vpi_vci is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:pvc[Cisco-IOS-XE-atm:local-vpi-vci = ' + str(self.local_vpi_vci) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.local_vpi_vci is not None:
                            return True

                        if self.l2transport is not None:
                            return True

                        if self.remote_vpi_vci is not None:
                            return True

                        if self.ubr is not None:
                            return True

                        if self.xconnect is not None and self.xconnect._has_data():
                            return True

                        if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr.Pvc']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:ATM-ACRsubinterface/Cisco-IOS-XE-native:ATM-ACR[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.atm is not None and self.atm._has_data():
                        return True

                    if self.cem is not None:
                        for child_ref in self.cem:
                            if child_ref._has_data():
                                return True

                    if self.ip is not None and self.ip._has_data():
                        return True

                    if self.load_interval is not None:
                        return True

                    if self.pvc is not None:
                        for child_ref in self.pvc:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.AtmAcrsubinterface.AtmAcr']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:ATM-ACRsubinterface'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.atm_acr is not None:
                    for child_ref in self.atm_acr:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.AtmAcrsubinterface']['meta_info']


        class Bdi(object):
            """
            Bridge\-Domain interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Bfd>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Domain>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Encapsulation>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Logging>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.PmPath>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.RcvQueue>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.ServiceInsertionEnum>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.ServicePolicy>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.SwitchportConf>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Trust>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Utd>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.Bdi.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.Bdi.Arp()
                self.arp.parent = self
                self.backup = Native.Interface.Bdi.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.Bdi.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.Bdi.Bfd()
                self.bfd.parent = self
                self.cemoudp = Native.Interface.Bdi.Cemoudp()
                self.cemoudp.parent = self
                self.cws_tunnel = Native.Interface.Bdi.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.delay = None
                self.description = None
                self.domain = Native.Interface.Bdi.Domain()
                self.domain.parent = self
                self.encapsulation = Native.Interface.Bdi.Encapsulation()
                self.encapsulation.parent = self
                self.fair_queue = Native.Interface.Bdi.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.Bdi.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.Bdi.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.Bdi.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.Bdi.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.Bdi.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.Bdi.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.Bdi.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.Bdi.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.Bdi.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.load_interval = None
                self.logging = Native.Interface.Bdi.Logging()
                self.logging.parent = self
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.Bdi.Mdix()
                self.mdix.parent = self
                self.mop = Native.Interface.Bdi.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.Bdi.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.peer = Native.Interface.Bdi.Peer()
                self.peer.parent = self
                self.pm_path = Native.Interface.Bdi.PmPath()
                self.pm_path.parent = self
                self.priority_queue = Native.Interface.Bdi.PriorityQueue()
                self.priority_queue.parent = self
                self.rcv_queue = Native.Interface.Bdi.RcvQueue()
                self.rcv_queue.parent = self
                self.service_insertion = None
                self.service_policy = Native.Interface.Bdi.ServicePolicy()
                self.service_policy.parent = self
                self.shutdown = None
                self.standby = Native.Interface.Bdi.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.Bdi.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Interface.Bdi.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.Bdi.SwitchportConf()
                self.switchport_conf.parent = self
                self.trust = Native.Interface.Bdi.Trust()
                self.trust.parent = self
                self.utd = Native.Interface.Bdi.Utd()
                self.utd.parent = self
                self.vrf = Native.Interface.Bdi.Vrf()
                self.vrf.parent = self

            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.IfStateEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.ServiceInsertionEnum']



            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.Bdi.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.Bdi.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.Bdi.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.Bdi.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.Bdi.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.Bdi.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.Bdi.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.Bdi.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.Bdi.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.Bdi.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.Bdi.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.Bdi.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.Bdi.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.Bdi.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.Bdi.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.Bdi.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.Bdi.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.HoldTime>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.NoAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Vrf>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Bdi.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.Bdi.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.Bdi.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.Bdi.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.Bdi.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.hello_interval = Native.Interface.Bdi.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.Bdi.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.no_address = Native.Interface.Bdi.Ip.NoAddress()
                    self.no_address.parent = self
                    self.pim = Native.Interface.Bdi.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.Bdi.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.Bdi.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.Bdi.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.Bdi.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.Bdi.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.verify = Native.Interface.Bdi.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.Bdi.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.Bdi.Ip.Vrf()
                    self.vrf.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.Bdi.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.Bdi.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Bdi.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Bdi.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Bdi.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Bdi.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.Bdi.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Bdi.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.Bdi.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.Bdi.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.Bdi.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Bdi.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Bdi.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.Bdi.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.Bdi.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Bdi.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.Bdi.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Bdi.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ip.Verify']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.Bdi.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.Bdi.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.mtu = None
                    self.nd = Native.Interface.Bdi.Ipv6.Nd()
                    self.nd.parent = self
                    self.redirects = None
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Ipv6.TrafficFilter']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.Bdi.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.Bdi.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.Bdi.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.Bdi.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.Bdi.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.Bdi.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.Bdi.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Bdi.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.Bdi.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Bdi.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Bdi.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.Bdi.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.Bdi.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.Bdi.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.Bdi.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.Bdi.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.Bdi.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.Bdi.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.Bdi.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.Bdi.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.Bdi.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.Bdi.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Bdi.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Bdi.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Bdi.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Bdi.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Bdi.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Bdi.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Bdi.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Bdi.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.Bdi.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.Bdi.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.Bdi.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.Bdi.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.Bdi.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Bdi.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Bdi.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.PmPath']['meta_info']


            class ServicePolicy(object):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.history = None
                    self.input = None
                    self.output = None
                    self.type = Native.Interface.Bdi.ServicePolicy.Type()
                    self.type.parent = self


                class Type(object):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:   :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:   :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:   :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.control = Native.Interface.Bdi.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self.performance_monitor = Native.Interface.Bdi.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self.service_chain = Native.Interface.Bdi.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self


                    class Control(object):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.subscriber = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:control'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.subscriber is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.ServicePolicy.Type.Control']['meta_info']


                    class PerformanceMonitor(object):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.ServicePolicy.Type.PerformanceMonitor.DirectionEnum>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.direction = None
                            self.name = None

                        class DirectionEnum(Enum):
                            """
                            DirectionEnum

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = 0

                            output = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.ServicePolicy.Type.PerformanceMonitor.DirectionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:performance-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.direction is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.ServicePolicy.Type.PerformanceMonitor']['meta_info']


                    class ServiceChain(object):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Bdi.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = Native.Interface.Bdi.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self.output = Native.Interface.Bdi.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self


                        class Input(object):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.ServicePolicy.Type.ServiceChain.Input']['meta_info']


                        class Output(object):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:output'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Bdi.ServicePolicy.Type.ServiceChain.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:service-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None and self.input._has_data():
                                return True

                            if self.output is not None and self.output._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Bdi.ServicePolicy.Type.ServiceChain']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.control is not None and self.control._has_data():
                            return True

                        if self.performance_monitor is not None and self.performance_monitor._has_data():
                            return True

                        if self.service_chain is not None and self.service_chain._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Bdi.ServicePolicy.Type']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.history is not None:
                        return True

                    if self.input is not None:
                        return True

                    if self.output is not None:
                        return True

                    if self.type is not None and self.type._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Bdi.ServicePolicy']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:BDI[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.shutdown is not None:
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.Bdi']['meta_info']


        class Cem(object):
            """
            Circuit Emulation interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            	**pattern:** ([0\-9]/){2}[0\-9]
            
            .. attribute:: atm
            
            	ATM
            	**type**\:   :py:class:`Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Atm>`
            
            .. attribute:: cem
            
            	CEM
            	**type**\: list of    :py:class:`Cem_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Cem_>`
            
            .. attribute:: ip
            
            	IP address
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Ip>`
            
            .. attribute:: load_interval
            
            	Load interval
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pvc
            
            	PVC
            	**type**\: list of    :py:class:`Pvc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Pvc>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.atm = Native.Interface.Cem.Atm()
                self.atm.parent = self
                self.cem = YList()
                self.cem.parent = self
                self.cem.name = 'cem'
                self.ip = Native.Interface.Cem.Ip()
                self.ip.parent = self
                self.load_interval = None
                self.pvc = YList()
                self.pvc.parent = self
                self.pvc.name = 'pvc'


            class Ip(object):
                """
                IP address
                
                .. attribute:: address
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-atm:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cem.Ip']['meta_info']


            class Atm(object):
                """
                ATM
                
                .. attribute:: bandwidth
                
                	ATM bandwith
                	**type**\:   :py:class:`BandwidthEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Atm.BandwidthEnum>`
                
                .. attribute:: enable_ilmi_trap
                
                	Enable\-ilmi\-trap
                	**type**\:  bool
                
                .. attribute:: pvp
                
                	PVP
                	**type**\: list of    :py:class:`Pvp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Atm.Pvp>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bandwidth = None
                    self.enable_ilmi_trap = None
                    self.pvp = YList()
                    self.pvp.parent = self
                    self.pvp.name = 'pvp'

                class BandwidthEnum(Enum):
                    """
                    BandwidthEnum

                    ATM bandwith

                    .. data:: dynamic = 0

                    """

                    dynamic = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cem.Atm.BandwidthEnum']



                class Pvp(object):
                    """
                    PVP
                    
                    .. attribute:: pvp_number  <key>
                    
                    	PVP number
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: l2transport
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Atm.Pvp.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Atm.Pvp.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.pvp_number = None
                        self.l2transport = None
                        self.xconnect = Native.Interface.Cem.Atm.Pvp.Xconnect()
                        self.xconnect.parent = self
                        self.xconnect_pw_class = Native.Interface.Cem.Atm.Pvp.XconnectPwClass()
                        self.xconnect_pw_class.parent = self


                    class Xconnect(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Atm.Pvp.Xconnect.Backup>`
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Atm.Pvp.Xconnect.EncapsulationEnum>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\:  str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Atm.Pvp.Xconnect.SequencingEnum>`
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.backup = Native.Interface.Cem.Atm.Pvp.Xconnect.Backup()
                            self.backup.parent = self
                            self.encapsulation = None
                            self.manual = None
                            self.mtu = None
                            self.pw_class = None
                            self.sequencing = None
                            self.vcid = None

                        class EncapsulationEnum(Enum):
                            """
                            EncapsulationEnum

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = 0

                            l2tpv3 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cem.Atm.Pvp.Xconnect.EncapsulationEnum']


                        class SequencingEnum(Enum):
                            """
                            SequencingEnum

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = 0

                            receive = 1

                            transmit = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cem.Atm.Pvp.Xconnect.SequencingEnum']



                        class Backup(object):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Atm.Pvp.Xconnect.Backup.Delay>`
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Atm.Pvp.Xconnect.Backup.Peer>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.delay = Native.Interface.Cem.Atm.Pvp.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self.peer = Native.Interface.Cem.Atm.Pvp.Xconnect.Backup.Peer()
                                self.peer.parent = self


                            class Peer(object):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\:  int
                                
                                	**range:** 1..10
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.peer_router_ip_addr = None
                                    self.priority = None
                                    self.pw_class = None
                                    self.vcid = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.peer_router_ip_addr is not None:
                                        return True

                                    if self.priority is not None:
                                        return True

                                    if self.pw_class is not None:
                                        return True

                                    if self.vcid is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Cem.Atm.Pvp.Xconnect.Backup.Peer']['meta_info']


                            class Delay(object):
                                """
                                backup delay time
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: min
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None
                                    self.min = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Cem.Atm.Pvp.Xconnect.Backup.Delay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:backup'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.delay is not None and self.delay._has_data():
                                    return True

                                if self.peer is not None and self.peer._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cem.Atm.Pvp.Xconnect.Backup']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.backup is not None and self.backup._has_data():
                                return True

                            if self.encapsulation is not None:
                                return True

                            if self.manual is not None:
                                return True

                            if self.mtu is not None:
                                return True

                            if self.pw_class is not None:
                                return True

                            if self.sequencing is not None:
                                return True

                            if self.vcid is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cem.Atm.Pvp.Xconnect']['meta_info']


                    class XconnectPwClass(object):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.xconnect = Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self


                        class Xconnect(object):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\:  str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect.Udp>`
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.pw_class = None
                                self.udp = Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self.vcid = None


                            class Udp(object):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port = Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self


                                class Port(object):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.local = None
                                        self.remote = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-atm:port'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.local is not None:
                                            return True

                                        if self.remote is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:udp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port is not None and self.port._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect.Udp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.udp is not None and self.udp._has_data():
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cem.Atm.Pvp.XconnectPwClass.Xconnect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect-pw-class'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.xconnect is not None and self.xconnect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cem.Atm.Pvp.XconnectPwClass']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.pvp_number is None:
                            raise YPYModelError('Key property pvp_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:pvp[Cisco-IOS-XE-atm:pvp-number = ' + str(self.pvp_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.pvp_number is not None:
                            return True

                        if self.l2transport is not None:
                            return True

                        if self.xconnect is not None and self.xconnect._has_data():
                            return True

                        if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cem.Atm.Pvp']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-atm:atm'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bandwidth is not None:
                        return True

                    if self.enable_ilmi_trap is not None:
                        return True

                    if self.pvp is not None:
                        for child_ref in self.pvp:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cem.Atm']['meta_info']


            class Cem_(object):
                """
                CEM
                
                .. attribute:: number  <key>
                
                	
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: xconnect
                
                	
                	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Cem_.Xconnect>`
                
                .. attribute:: xconnect_pw_class
                
                	
                	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Cem_.XconnectPwClass>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.xconnect = Native.Interface.Cem.Cem_.Xconnect()
                    self.xconnect.parent = self
                    self.xconnect_pw_class = Native.Interface.Cem.Cem_.XconnectPwClass()
                    self.xconnect_pw_class.parent = self


                class Xconnect(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: backup
                    
                    	Xconnect backup configuration commands
                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Cem_.Xconnect.Backup>`
                    
                    .. attribute:: encapsulation
                    
                    	Data encapsulation method
                    	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Cem_.Xconnect.EncapsulationEnum>`
                    
                    .. attribute:: manual
                    
                    	Manually configure L2TP session parameters
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mtu
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pw_class
                    
                    	Optional pseudowire\-class to use for advanced configuration
                    	**type**\:  str
                    
                    .. attribute:: sequencing
                    
                    	Configure sequencing options for xconnect
                    	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Cem_.Xconnect.SequencingEnum>`
                    
                    .. attribute:: vcid
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.backup = Native.Interface.Cem.Cem_.Xconnect.Backup()
                        self.backup.parent = self
                        self.encapsulation = None
                        self.manual = None
                        self.mtu = None
                        self.pw_class = None
                        self.sequencing = None
                        self.vcid = None

                    class EncapsulationEnum(Enum):
                        """
                        EncapsulationEnum

                        Data encapsulation method

                        .. data:: mpls = 0

                        .. data:: l2tpv3 = 1

                        """

                        mpls = 0

                        l2tpv3 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cem.Cem_.Xconnect.EncapsulationEnum']


                    class SequencingEnum(Enum):
                        """
                        SequencingEnum

                        Configure sequencing options for xconnect

                        .. data:: both = 0

                        .. data:: receive = 1

                        .. data:: transmit = 2

                        """

                        both = 0

                        receive = 1

                        transmit = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cem.Cem_.Xconnect.SequencingEnum']



                    class Backup(object):
                        """
                        Xconnect backup configuration commands
                        
                        .. attribute:: delay
                        
                        	backup delay time
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Cem_.Xconnect.Backup.Delay>`
                        
                        .. attribute:: peer
                        
                        	Backup pseudowire
                        	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Cem_.Xconnect.Backup.Peer>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.delay = Native.Interface.Cem.Cem_.Xconnect.Backup.Delay()
                            self.delay.parent = self
                            self.peer = Native.Interface.Cem.Cem_.Xconnect.Backup.Peer()
                            self.peer.parent = self


                        class Peer(object):
                            """
                            Backup pseudowire
                            
                            .. attribute:: peer_router_ip_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	Optional priority to use for backup pseudowire
                            	**type**\:  int
                            
                            	**range:** 1..10
                            
                            .. attribute:: pw_class
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.peer_router_ip_addr = None
                                self.priority = None
                                self.pw_class = None
                                self.vcid = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:peer'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.peer_router_ip_addr is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cem.Cem_.Xconnect.Backup.Peer']['meta_info']


                        class Delay(object):
                            """
                            backup delay time
                            
                            .. attribute:: max
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max = None
                                self.min = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max is not None:
                                    return True

                                if self.min is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cem.Cem_.Xconnect.Backup.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:backup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.delay is not None and self.delay._has_data():
                                return True

                            if self.peer is not None and self.peer._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cem.Cem_.Xconnect.Backup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.backup is not None and self.backup._has_data():
                            return True

                        if self.encapsulation is not None:
                            return True

                        if self.manual is not None:
                            return True

                        if self.mtu is not None:
                            return True

                        if self.pw_class is not None:
                            return True

                        if self.sequencing is not None:
                            return True

                        if self.vcid is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cem.Cem_.Xconnect']['meta_info']


                class XconnectPwClass(object):
                    """
                    
                    
                    .. attribute:: xconnect
                    
                    	Xconnect commands
                    	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.xconnect = Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect()
                        self.xconnect.parent = self


                    class Xconnect(object):
                        """
                        Xconnect commands
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: pw_class
                        
                        	Pseudowire\-class to use for encapsulation and protocol configuration
                        	**type**\:  str
                        
                        .. attribute:: udp
                        
                        	UDP
                        	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect.Udp>`
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.pw_class = None
                            self.udp = Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect.Udp()
                            self.udp.parent = self
                            self.vcid = None


                        class Udp(object):
                            """
                            UDP
                            
                            .. attribute:: port
                            
                            	UDP ports
                            	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect.Udp.Port>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port = Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect.Udp.Port()
                                self.port.parent = self


                            class Port(object):
                                """
                                UDP ports
                                
                                .. attribute:: local
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: remote
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.local = None
                                    self.remote = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:port'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.local is not None:
                                        return True

                                    if self.remote is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:udp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port is not None and self.port._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect.Udp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.pw_class is not None:
                                return True

                            if self.udp is not None and self.udp._has_data():
                                return True

                            if self.vcid is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cem.Cem_.XconnectPwClass.Xconnect']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect-pw-class'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.xconnect is not None and self.xconnect._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cem.Cem_.XconnectPwClass']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.number is None:
                        raise YPYModelError('Key property number is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-atm:cem[Cisco-IOS-XE-atm:number = ' + str(self.number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.xconnect is not None and self.xconnect._has_data():
                        return True

                    if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cem.Cem_']['meta_info']


            class Pvc(object):
                """
                PVC
                
                .. attribute:: local_vpi_vci  <key>
                
                	Vpi and vci
                	**type**\:  str
                
                .. attribute:: l2transport
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: remote_vpi_vci
                
                	Vpi and vci
                	**type**\:  str
                
                .. attribute:: ubr
                
                	UBR
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: xconnect
                
                	
                	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Pvc.Xconnect>`
                
                .. attribute:: xconnect_pw_class
                
                	
                	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Pvc.XconnectPwClass>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.local_vpi_vci = None
                    self.l2transport = None
                    self.remote_vpi_vci = None
                    self.ubr = None
                    self.xconnect = Native.Interface.Cem.Pvc.Xconnect()
                    self.xconnect.parent = self
                    self.xconnect_pw_class = Native.Interface.Cem.Pvc.XconnectPwClass()
                    self.xconnect_pw_class.parent = self


                class Xconnect(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: backup
                    
                    	Xconnect backup configuration commands
                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Pvc.Xconnect.Backup>`
                    
                    .. attribute:: encapsulation
                    
                    	Data encapsulation method
                    	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Pvc.Xconnect.EncapsulationEnum>`
                    
                    .. attribute:: manual
                    
                    	Manually configure L2TP session parameters
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mtu
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pw_class
                    
                    	Optional pseudowire\-class to use for advanced configuration
                    	**type**\:  str
                    
                    .. attribute:: sequencing
                    
                    	Configure sequencing options for xconnect
                    	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Pvc.Xconnect.SequencingEnum>`
                    
                    .. attribute:: vcid
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.backup = Native.Interface.Cem.Pvc.Xconnect.Backup()
                        self.backup.parent = self
                        self.encapsulation = None
                        self.manual = None
                        self.mtu = None
                        self.pw_class = None
                        self.sequencing = None
                        self.vcid = None

                    class EncapsulationEnum(Enum):
                        """
                        EncapsulationEnum

                        Data encapsulation method

                        .. data:: mpls = 0

                        .. data:: l2tpv3 = 1

                        """

                        mpls = 0

                        l2tpv3 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cem.Pvc.Xconnect.EncapsulationEnum']


                    class SequencingEnum(Enum):
                        """
                        SequencingEnum

                        Configure sequencing options for xconnect

                        .. data:: both = 0

                        .. data:: receive = 1

                        .. data:: transmit = 2

                        """

                        both = 0

                        receive = 1

                        transmit = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cem.Pvc.Xconnect.SequencingEnum']



                    class Backup(object):
                        """
                        Xconnect backup configuration commands
                        
                        .. attribute:: delay
                        
                        	backup delay time
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Pvc.Xconnect.Backup.Delay>`
                        
                        .. attribute:: peer
                        
                        	Backup pseudowire
                        	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Pvc.Xconnect.Backup.Peer>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.delay = Native.Interface.Cem.Pvc.Xconnect.Backup.Delay()
                            self.delay.parent = self
                            self.peer = Native.Interface.Cem.Pvc.Xconnect.Backup.Peer()
                            self.peer.parent = self


                        class Peer(object):
                            """
                            Backup pseudowire
                            
                            .. attribute:: peer_router_ip_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	Optional priority to use for backup pseudowire
                            	**type**\:  int
                            
                            	**range:** 1..10
                            
                            .. attribute:: pw_class
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.peer_router_ip_addr = None
                                self.priority = None
                                self.pw_class = None
                                self.vcid = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:peer'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.peer_router_ip_addr is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cem.Pvc.Xconnect.Backup.Peer']['meta_info']


                        class Delay(object):
                            """
                            backup delay time
                            
                            .. attribute:: max
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max = None
                                self.min = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max is not None:
                                    return True

                                if self.min is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cem.Pvc.Xconnect.Backup.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:backup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.delay is not None and self.delay._has_data():
                                return True

                            if self.peer is not None and self.peer._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cem.Pvc.Xconnect.Backup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.backup is not None and self.backup._has_data():
                            return True

                        if self.encapsulation is not None:
                            return True

                        if self.manual is not None:
                            return True

                        if self.mtu is not None:
                            return True

                        if self.pw_class is not None:
                            return True

                        if self.sequencing is not None:
                            return True

                        if self.vcid is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cem.Pvc.Xconnect']['meta_info']


                class XconnectPwClass(object):
                    """
                    
                    
                    .. attribute:: xconnect
                    
                    	Xconnect commands
                    	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.xconnect = Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect()
                        self.xconnect.parent = self


                    class Xconnect(object):
                        """
                        Xconnect commands
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: pw_class
                        
                        	Pseudowire\-class to use for encapsulation and protocol configuration
                        	**type**\:  str
                        
                        .. attribute:: udp
                        
                        	UDP
                        	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect.Udp>`
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.pw_class = None
                            self.udp = Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect.Udp()
                            self.udp.parent = self
                            self.vcid = None


                        class Udp(object):
                            """
                            UDP
                            
                            .. attribute:: port
                            
                            	UDP ports
                            	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect.Udp.Port>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port = Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect.Udp.Port()
                                self.port.parent = self


                            class Port(object):
                                """
                                UDP ports
                                
                                .. attribute:: local
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: remote
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.local = None
                                    self.remote = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:port'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.local is not None:
                                        return True

                                    if self.remote is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:udp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port is not None and self.port._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect.Udp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.pw_class is not None:
                                return True

                            if self.udp is not None and self.udp._has_data():
                                return True

                            if self.vcid is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cem.Pvc.XconnectPwClass.Xconnect']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect-pw-class'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.xconnect is not None and self.xconnect._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cem.Pvc.XconnectPwClass']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.local_vpi_vci is None:
                        raise YPYModelError('Key property local_vpi_vci is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-atm:pvc[Cisco-IOS-XE-atm:local-vpi-vci = ' + str(self.local_vpi_vci) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.local_vpi_vci is not None:
                        return True

                    if self.l2transport is not None:
                        return True

                    if self.remote_vpi_vci is not None:
                        return True

                    if self.ubr is not None:
                        return True

                    if self.xconnect is not None and self.xconnect._has_data():
                        return True

                    if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cem.Pvc']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:CEM[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.atm is not None and self.atm._has_data():
                    return True

                if self.cem is not None:
                    for child_ref in self.cem:
                        if child_ref._has_data():
                            return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.pvc is not None:
                    for child_ref in self.pvc:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.Cem']['meta_info']


        class CemAcr(object):
            """
            Circuit Emulation interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: atm
            
            	ATM
            	**type**\:   :py:class:`Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Atm>`
            
            .. attribute:: cem
            
            	CEM
            	**type**\: list of    :py:class:`Cem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Cem>`
            
            .. attribute:: ip
            
            	IP address
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Ip>`
            
            .. attribute:: load_interval
            
            	Load interval
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pvc
            
            	PVC
            	**type**\: list of    :py:class:`Pvc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Pvc>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.atm = Native.Interface.CemAcr.Atm()
                self.atm.parent = self
                self.cem = YList()
                self.cem.parent = self
                self.cem.name = 'cem'
                self.ip = Native.Interface.CemAcr.Ip()
                self.ip.parent = self
                self.load_interval = None
                self.pvc = YList()
                self.pvc.parent = self
                self.pvc.name = 'pvc'


            class Ip(object):
                """
                IP address
                
                .. attribute:: address
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-atm:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.CemAcr.Ip']['meta_info']


            class Atm(object):
                """
                ATM
                
                .. attribute:: bandwidth
                
                	ATM bandwith
                	**type**\:   :py:class:`BandwidthEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Atm.BandwidthEnum>`
                
                .. attribute:: enable_ilmi_trap
                
                	Enable\-ilmi\-trap
                	**type**\:  bool
                
                .. attribute:: pvp
                
                	PVP
                	**type**\: list of    :py:class:`Pvp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Atm.Pvp>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bandwidth = None
                    self.enable_ilmi_trap = None
                    self.pvp = YList()
                    self.pvp.parent = self
                    self.pvp.name = 'pvp'

                class BandwidthEnum(Enum):
                    """
                    BandwidthEnum

                    ATM bandwith

                    .. data:: dynamic = 0

                    """

                    dynamic = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.CemAcr.Atm.BandwidthEnum']



                class Pvp(object):
                    """
                    PVP
                    
                    .. attribute:: pvp_number  <key>
                    
                    	PVP number
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: l2transport
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Atm.Pvp.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.pvp_number = None
                        self.l2transport = None
                        self.xconnect = Native.Interface.CemAcr.Atm.Pvp.Xconnect()
                        self.xconnect.parent = self
                        self.xconnect_pw_class = Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass()
                        self.xconnect_pw_class.parent = self


                    class Xconnect(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup>`
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Atm.Pvp.Xconnect.EncapsulationEnum>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\:  str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Atm.Pvp.Xconnect.SequencingEnum>`
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.backup = Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup()
                            self.backup.parent = self
                            self.encapsulation = None
                            self.manual = None
                            self.mtu = None
                            self.pw_class = None
                            self.sequencing = None
                            self.vcid = None

                        class EncapsulationEnum(Enum):
                            """
                            EncapsulationEnum

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = 0

                            l2tpv3 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.CemAcr.Atm.Pvp.Xconnect.EncapsulationEnum']


                        class SequencingEnum(Enum):
                            """
                            SequencingEnum

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = 0

                            receive = 1

                            transmit = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.CemAcr.Atm.Pvp.Xconnect.SequencingEnum']



                        class Backup(object):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup.Delay>`
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup.Peer>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.delay = Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self.peer = Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup.Peer()
                                self.peer.parent = self


                            class Peer(object):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\:  int
                                
                                	**range:** 1..10
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.peer_router_ip_addr = None
                                    self.priority = None
                                    self.pw_class = None
                                    self.vcid = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.peer_router_ip_addr is not None:
                                        return True

                                    if self.priority is not None:
                                        return True

                                    if self.pw_class is not None:
                                        return True

                                    if self.vcid is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup.Peer']['meta_info']


                            class Delay(object):
                                """
                                backup delay time
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: min
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None
                                    self.min = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup.Delay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:backup'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.delay is not None and self.delay._has_data():
                                    return True

                                if self.peer is not None and self.peer._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.CemAcr.Atm.Pvp.Xconnect.Backup']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.backup is not None and self.backup._has_data():
                                return True

                            if self.encapsulation is not None:
                                return True

                            if self.manual is not None:
                                return True

                            if self.mtu is not None:
                                return True

                            if self.pw_class is not None:
                                return True

                            if self.sequencing is not None:
                                return True

                            if self.vcid is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.CemAcr.Atm.Pvp.Xconnect']['meta_info']


                    class XconnectPwClass(object):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.xconnect = Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self


                        class Xconnect(object):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\:  str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp>`
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.pw_class = None
                                self.udp = Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self.vcid = None


                            class Udp(object):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port = Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self


                                class Port(object):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.local = None
                                        self.remote = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-atm:port'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.local is not None:
                                            return True

                                        if self.remote is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:udp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port is not None and self.port._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect.Udp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.udp is not None and self.udp._has_data():
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass.Xconnect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect-pw-class'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.xconnect is not None and self.xconnect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.CemAcr.Atm.Pvp.XconnectPwClass']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.pvp_number is None:
                            raise YPYModelError('Key property pvp_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:pvp[Cisco-IOS-XE-atm:pvp-number = ' + str(self.pvp_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.pvp_number is not None:
                            return True

                        if self.l2transport is not None:
                            return True

                        if self.xconnect is not None and self.xconnect._has_data():
                            return True

                        if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.CemAcr.Atm.Pvp']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-atm:atm'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bandwidth is not None:
                        return True

                    if self.enable_ilmi_trap is not None:
                        return True

                    if self.pvp is not None:
                        for child_ref in self.pvp:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.CemAcr.Atm']['meta_info']


            class Cem(object):
                """
                CEM
                
                .. attribute:: number  <key>
                
                	
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: xconnect
                
                	
                	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Cem.Xconnect>`
                
                .. attribute:: xconnect_pw_class
                
                	
                	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Cem.XconnectPwClass>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.xconnect = Native.Interface.CemAcr.Cem.Xconnect()
                    self.xconnect.parent = self
                    self.xconnect_pw_class = Native.Interface.CemAcr.Cem.XconnectPwClass()
                    self.xconnect_pw_class.parent = self


                class Xconnect(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: backup
                    
                    	Xconnect backup configuration commands
                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Cem.Xconnect.Backup>`
                    
                    .. attribute:: encapsulation
                    
                    	Data encapsulation method
                    	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Cem.Xconnect.EncapsulationEnum>`
                    
                    .. attribute:: manual
                    
                    	Manually configure L2TP session parameters
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mtu
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pw_class
                    
                    	Optional pseudowire\-class to use for advanced configuration
                    	**type**\:  str
                    
                    .. attribute:: sequencing
                    
                    	Configure sequencing options for xconnect
                    	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Cem.Xconnect.SequencingEnum>`
                    
                    .. attribute:: vcid
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.backup = Native.Interface.CemAcr.Cem.Xconnect.Backup()
                        self.backup.parent = self
                        self.encapsulation = None
                        self.manual = None
                        self.mtu = None
                        self.pw_class = None
                        self.sequencing = None
                        self.vcid = None

                    class EncapsulationEnum(Enum):
                        """
                        EncapsulationEnum

                        Data encapsulation method

                        .. data:: mpls = 0

                        .. data:: l2tpv3 = 1

                        """

                        mpls = 0

                        l2tpv3 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.CemAcr.Cem.Xconnect.EncapsulationEnum']


                    class SequencingEnum(Enum):
                        """
                        SequencingEnum

                        Configure sequencing options for xconnect

                        .. data:: both = 0

                        .. data:: receive = 1

                        .. data:: transmit = 2

                        """

                        both = 0

                        receive = 1

                        transmit = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.CemAcr.Cem.Xconnect.SequencingEnum']



                    class Backup(object):
                        """
                        Xconnect backup configuration commands
                        
                        .. attribute:: delay
                        
                        	backup delay time
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Cem.Xconnect.Backup.Delay>`
                        
                        .. attribute:: peer
                        
                        	Backup pseudowire
                        	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Cem.Xconnect.Backup.Peer>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.delay = Native.Interface.CemAcr.Cem.Xconnect.Backup.Delay()
                            self.delay.parent = self
                            self.peer = Native.Interface.CemAcr.Cem.Xconnect.Backup.Peer()
                            self.peer.parent = self


                        class Peer(object):
                            """
                            Backup pseudowire
                            
                            .. attribute:: peer_router_ip_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	Optional priority to use for backup pseudowire
                            	**type**\:  int
                            
                            	**range:** 1..10
                            
                            .. attribute:: pw_class
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.peer_router_ip_addr = None
                                self.priority = None
                                self.pw_class = None
                                self.vcid = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:peer'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.peer_router_ip_addr is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.CemAcr.Cem.Xconnect.Backup.Peer']['meta_info']


                        class Delay(object):
                            """
                            backup delay time
                            
                            .. attribute:: max
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max = None
                                self.min = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max is not None:
                                    return True

                                if self.min is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.CemAcr.Cem.Xconnect.Backup.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:backup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.delay is not None and self.delay._has_data():
                                return True

                            if self.peer is not None and self.peer._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.CemAcr.Cem.Xconnect.Backup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.backup is not None and self.backup._has_data():
                            return True

                        if self.encapsulation is not None:
                            return True

                        if self.manual is not None:
                            return True

                        if self.mtu is not None:
                            return True

                        if self.pw_class is not None:
                            return True

                        if self.sequencing is not None:
                            return True

                        if self.vcid is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.CemAcr.Cem.Xconnect']['meta_info']


                class XconnectPwClass(object):
                    """
                    
                    
                    .. attribute:: xconnect
                    
                    	Xconnect commands
                    	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.xconnect = Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect()
                        self.xconnect.parent = self


                    class Xconnect(object):
                        """
                        Xconnect commands
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: pw_class
                        
                        	Pseudowire\-class to use for encapsulation and protocol configuration
                        	**type**\:  str
                        
                        .. attribute:: udp
                        
                        	UDP
                        	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect.Udp>`
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.pw_class = None
                            self.udp = Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect.Udp()
                            self.udp.parent = self
                            self.vcid = None


                        class Udp(object):
                            """
                            UDP
                            
                            .. attribute:: port
                            
                            	UDP ports
                            	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect.Udp.Port>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port = Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect.Udp.Port()
                                self.port.parent = self


                            class Port(object):
                                """
                                UDP ports
                                
                                .. attribute:: local
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: remote
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.local = None
                                    self.remote = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:port'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.local is not None:
                                        return True

                                    if self.remote is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:udp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port is not None and self.port._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect.Udp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.pw_class is not None:
                                return True

                            if self.udp is not None and self.udp._has_data():
                                return True

                            if self.vcid is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.CemAcr.Cem.XconnectPwClass.Xconnect']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect-pw-class'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.xconnect is not None and self.xconnect._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.CemAcr.Cem.XconnectPwClass']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.number is None:
                        raise YPYModelError('Key property number is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-atm:cem[Cisco-IOS-XE-atm:number = ' + str(self.number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.xconnect is not None and self.xconnect._has_data():
                        return True

                    if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.CemAcr.Cem']['meta_info']


            class Pvc(object):
                """
                PVC
                
                .. attribute:: local_vpi_vci  <key>
                
                	Vpi and vci
                	**type**\:  str
                
                .. attribute:: l2transport
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: remote_vpi_vci
                
                	Vpi and vci
                	**type**\:  str
                
                .. attribute:: ubr
                
                	UBR
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: xconnect
                
                	
                	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Pvc.Xconnect>`
                
                .. attribute:: xconnect_pw_class
                
                	
                	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Pvc.XconnectPwClass>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.local_vpi_vci = None
                    self.l2transport = None
                    self.remote_vpi_vci = None
                    self.ubr = None
                    self.xconnect = Native.Interface.CemAcr.Pvc.Xconnect()
                    self.xconnect.parent = self
                    self.xconnect_pw_class = Native.Interface.CemAcr.Pvc.XconnectPwClass()
                    self.xconnect_pw_class.parent = self


                class Xconnect(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: backup
                    
                    	Xconnect backup configuration commands
                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Pvc.Xconnect.Backup>`
                    
                    .. attribute:: encapsulation
                    
                    	Data encapsulation method
                    	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Pvc.Xconnect.EncapsulationEnum>`
                    
                    .. attribute:: manual
                    
                    	Manually configure L2TP session parameters
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mtu
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pw_class
                    
                    	Optional pseudowire\-class to use for advanced configuration
                    	**type**\:  str
                    
                    .. attribute:: sequencing
                    
                    	Configure sequencing options for xconnect
                    	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Pvc.Xconnect.SequencingEnum>`
                    
                    .. attribute:: vcid
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.backup = Native.Interface.CemAcr.Pvc.Xconnect.Backup()
                        self.backup.parent = self
                        self.encapsulation = None
                        self.manual = None
                        self.mtu = None
                        self.pw_class = None
                        self.sequencing = None
                        self.vcid = None

                    class EncapsulationEnum(Enum):
                        """
                        EncapsulationEnum

                        Data encapsulation method

                        .. data:: mpls = 0

                        .. data:: l2tpv3 = 1

                        """

                        mpls = 0

                        l2tpv3 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.CemAcr.Pvc.Xconnect.EncapsulationEnum']


                    class SequencingEnum(Enum):
                        """
                        SequencingEnum

                        Configure sequencing options for xconnect

                        .. data:: both = 0

                        .. data:: receive = 1

                        .. data:: transmit = 2

                        """

                        both = 0

                        receive = 1

                        transmit = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.CemAcr.Pvc.Xconnect.SequencingEnum']



                    class Backup(object):
                        """
                        Xconnect backup configuration commands
                        
                        .. attribute:: delay
                        
                        	backup delay time
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Pvc.Xconnect.Backup.Delay>`
                        
                        .. attribute:: peer
                        
                        	Backup pseudowire
                        	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Pvc.Xconnect.Backup.Peer>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.delay = Native.Interface.CemAcr.Pvc.Xconnect.Backup.Delay()
                            self.delay.parent = self
                            self.peer = Native.Interface.CemAcr.Pvc.Xconnect.Backup.Peer()
                            self.peer.parent = self


                        class Peer(object):
                            """
                            Backup pseudowire
                            
                            .. attribute:: peer_router_ip_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	Optional priority to use for backup pseudowire
                            	**type**\:  int
                            
                            	**range:** 1..10
                            
                            .. attribute:: pw_class
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.peer_router_ip_addr = None
                                self.priority = None
                                self.pw_class = None
                                self.vcid = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:peer'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.peer_router_ip_addr is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.CemAcr.Pvc.Xconnect.Backup.Peer']['meta_info']


                        class Delay(object):
                            """
                            backup delay time
                            
                            .. attribute:: max
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max = None
                                self.min = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max is not None:
                                    return True

                                if self.min is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.CemAcr.Pvc.Xconnect.Backup.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:backup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.delay is not None and self.delay._has_data():
                                return True

                            if self.peer is not None and self.peer._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.CemAcr.Pvc.Xconnect.Backup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.backup is not None and self.backup._has_data():
                            return True

                        if self.encapsulation is not None:
                            return True

                        if self.manual is not None:
                            return True

                        if self.mtu is not None:
                            return True

                        if self.pw_class is not None:
                            return True

                        if self.sequencing is not None:
                            return True

                        if self.vcid is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.CemAcr.Pvc.Xconnect']['meta_info']


                class XconnectPwClass(object):
                    """
                    
                    
                    .. attribute:: xconnect
                    
                    	Xconnect commands
                    	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.xconnect = Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect()
                        self.xconnect.parent = self


                    class Xconnect(object):
                        """
                        Xconnect commands
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: pw_class
                        
                        	Pseudowire\-class to use for encapsulation and protocol configuration
                        	**type**\:  str
                        
                        .. attribute:: udp
                        
                        	UDP
                        	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect.Udp>`
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.pw_class = None
                            self.udp = Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect.Udp()
                            self.udp.parent = self
                            self.vcid = None


                        class Udp(object):
                            """
                            UDP
                            
                            .. attribute:: port
                            
                            	UDP ports
                            	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect.Udp.Port>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port = Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect.Udp.Port()
                                self.port.parent = self


                            class Port(object):
                                """
                                UDP ports
                                
                                .. attribute:: local
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: remote
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.local = None
                                    self.remote = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-atm:port'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.local is not None:
                                        return True

                                    if self.remote is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-atm:udp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port is not None and self.port._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect.Udp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.pw_class is not None:
                                return True

                            if self.udp is not None and self.udp._has_data():
                                return True

                            if self.vcid is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.CemAcr.Pvc.XconnectPwClass.Xconnect']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-atm:xconnect-pw-class'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.xconnect is not None and self.xconnect._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.CemAcr.Pvc.XconnectPwClass']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.local_vpi_vci is None:
                        raise YPYModelError('Key property local_vpi_vci is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-atm:pvc[Cisco-IOS-XE-atm:local-vpi-vci = ' + str(self.local_vpi_vci) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.local_vpi_vci is not None:
                        return True

                    if self.l2transport is not None:
                        return True

                    if self.remote_vpi_vci is not None:
                        return True

                    if self.ubr is not None:
                        return True

                    if self.xconnect is not None and self.xconnect._has_data():
                        return True

                    if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.CemAcr.Pvc']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:CEM-ACR[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.atm is not None and self.atm._has_data():
                    return True

                if self.cem is not None:
                    for child_ref in self.cem:
                        if child_ref._has_data():
                            return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.pvc is not None:
                    for child_ref in self.pvc:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.CemAcr']['meta_info']


        class EmbeddedServiceEngine(object):
            """
            cisco embedded service engine module
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Bfd>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Domain>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Encapsulation>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Logging>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.PmPath>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.RcvQueue>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.ServiceInsertionEnum>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.SwitchportConf>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Trust>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Utd>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.EmbeddedServiceEngine.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.EmbeddedServiceEngine.Arp()
                self.arp.parent = self
                self.backup = Native.Interface.EmbeddedServiceEngine.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.EmbeddedServiceEngine.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.EmbeddedServiceEngine.Bfd()
                self.bfd.parent = self
                self.cemoudp = Native.Interface.EmbeddedServiceEngine.Cemoudp()
                self.cemoudp.parent = self
                self.cws_tunnel = Native.Interface.EmbeddedServiceEngine.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.delay = None
                self.description = None
                self.domain = Native.Interface.EmbeddedServiceEngine.Domain()
                self.domain.parent = self
                self.encapsulation = Native.Interface.EmbeddedServiceEngine.Encapsulation()
                self.encapsulation.parent = self
                self.fair_queue = Native.Interface.EmbeddedServiceEngine.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.EmbeddedServiceEngine.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.EmbeddedServiceEngine.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.EmbeddedServiceEngine.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.EmbeddedServiceEngine.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.EmbeddedServiceEngine.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.EmbeddedServiceEngine.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.EmbeddedServiceEngine.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.EmbeddedServiceEngine.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.EmbeddedServiceEngine.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.load_interval = None
                self.logging = Native.Interface.EmbeddedServiceEngine.Logging()
                self.logging.parent = self
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.EmbeddedServiceEngine.Mdix()
                self.mdix.parent = self
                self.mop = Native.Interface.EmbeddedServiceEngine.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.EmbeddedServiceEngine.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.peer = Native.Interface.EmbeddedServiceEngine.Peer()
                self.peer.parent = self
                self.pm_path = Native.Interface.EmbeddedServiceEngine.PmPath()
                self.pm_path.parent = self
                self.priority_queue = Native.Interface.EmbeddedServiceEngine.PriorityQueue()
                self.priority_queue.parent = self
                self.rcv_queue = Native.Interface.EmbeddedServiceEngine.RcvQueue()
                self.rcv_queue.parent = self
                self.service_insertion = None
                self.shutdown = None
                self.standby = Native.Interface.EmbeddedServiceEngine.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.EmbeddedServiceEngine.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Interface.EmbeddedServiceEngine.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.EmbeddedServiceEngine.SwitchportConf()
                self.switchport_conf.parent = self
                self.trust = Native.Interface.EmbeddedServiceEngine.Trust()
                self.trust.parent = self
                self.utd = Native.Interface.EmbeddedServiceEngine.Utd()
                self.utd.parent = self
                self.vrf = Native.Interface.EmbeddedServiceEngine.Vrf()
                self.vrf.parent = self

            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.IfStateEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.ServiceInsertionEnum']



            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.EmbeddedServiceEngine.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.EmbeddedServiceEngine.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.EmbeddedServiceEngine.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.EmbeddedServiceEngine.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.EmbeddedServiceEngine.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.EmbeddedServiceEngine.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.EmbeddedServiceEngine.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.EmbeddedServiceEngine.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.EmbeddedServiceEngine.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.EmbeddedServiceEngine.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.EmbeddedServiceEngine.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.EmbeddedServiceEngine.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.EmbeddedServiceEngine.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.EmbeddedServiceEngine.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.EmbeddedServiceEngine.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.HoldTime>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.NoAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Vrf>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.EmbeddedServiceEngine.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.EmbeddedServiceEngine.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.EmbeddedServiceEngine.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.EmbeddedServiceEngine.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.hello_interval = Native.Interface.EmbeddedServiceEngine.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.EmbeddedServiceEngine.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.no_address = Native.Interface.EmbeddedServiceEngine.Ip.NoAddress()
                    self.no_address.parent = self
                    self.pim = Native.Interface.EmbeddedServiceEngine.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.EmbeddedServiceEngine.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.EmbeddedServiceEngine.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.EmbeddedServiceEngine.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.EmbeddedServiceEngine.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.verify = Native.Interface.EmbeddedServiceEngine.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.EmbeddedServiceEngine.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.EmbeddedServiceEngine.Ip.Vrf()
                    self.vrf.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.EmbeddedServiceEngine.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.EmbeddedServiceEngine.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.EmbeddedServiceEngine.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.EmbeddedServiceEngine.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip.Verify']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.EmbeddedServiceEngine.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.EmbeddedServiceEngine.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.mtu = None
                    self.nd = Native.Interface.EmbeddedServiceEngine.Ipv6.Nd()
                    self.nd.parent = self
                    self.redirects = None
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6.TrafficFilter']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.EmbeddedServiceEngine.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.EmbeddedServiceEngine.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.EmbeddedServiceEngine.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.EmbeddedServiceEngine.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.EmbeddedServiceEngine.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.EmbeddedServiceEngine.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.EmbeddedServiceEngine.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.EmbeddedServiceEngine.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.EmbeddedServiceEngine.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.EmbeddedServiceEngine.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.EmbeddedServiceEngine.PmPath']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:Embedded-Service-Engine[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.shutdown is not None:
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.EmbeddedServiceEngine']['meta_info']


        class Fastethernet(object):
            """
            FastEthernet IEEE 802.3
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            	**pattern:** ([0\-9]/)([0\-1]/)([1\-3][0\-9]\|4[0\-8]\|[0\-9])
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Arp>`
            
            .. attribute:: authentication
            
            	Auth Manager Interface Configuration Commands
            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication>`
            
            .. attribute:: auto
            
            	Configure Automation
            	**type**\:   :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Auto>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Bfd>`
            
            .. attribute:: carrier_delay
            
            	Specify delay for interface transitions
            	**type**\:   :py:class:`CarrierDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.CarrierDelay>`
            
            .. attribute:: cdp
            
            	CDP interface subcommands
            	**type**\:   :py:class:`Cdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Cdp>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Cemoudp>`
            
            .. attribute:: channel_group
            
            	Add this interface to an Etherchannel group
            	**type**\:   :py:class:`ChannelGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.ChannelGroup>`
            
            .. attribute:: channel_protocol
            
            	Select the channel protocol (LACP, PAgP)
            	**type**\:   :py:class:`ChannelProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.ChannelProtocolEnum>`
            
            .. attribute:: crypto
            
            	Encryption/Decryption commands
            	**type**\:   :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Crypto>`
            
            .. attribute:: cts
            
            	Configure Cisco Trusted Security
            	**type**\:   :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Cts>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: datalink
            
            	Interface Datalink commands
            	**type**\:   :py:class:`Datalink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Datalink>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: device_tracking
            
            	Configure device\-tracking on the interface
            	**type**\:   :py:class:`DeviceTracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.DeviceTracking>`
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Domain>`
            
            .. attribute:: dot1x
            
            	Interface Config Commands for IEEE 802.1X
            	**type**\:   :py:class:`Dot1X <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Dot1X>`
            
            .. attribute:: dual_active
            
            	
            	**type**\:   :py:class:`DualActive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.DualActive>`
            
            .. attribute:: duplex
            
            	Configure duplex operation
            	**type**\:   :py:class:`DuplexEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.DuplexEnum>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Encapsulation>`
            
            .. attribute:: energywise
            
            	EnergyWise interface configurations
            	**type**\:   :py:class:`Energywise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Energywise>`
            
            	**presence node**\: True
            
            .. attribute:: ethernet
            
            	Ethernet interface parameters
            	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: lisp
            
            	Locator/ID Separation Protocol
            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Lisp>`
            
            .. attribute:: lldp
            
            	LLDP interface subcommands
            	**type**\:   :py:class:`Lldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Lldp>`
            
            .. attribute:: load_balancing
            
            	Etherchannel Load\-Balancing
            	**type**\:   :py:class:`LoadBalancing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.LoadBalancing>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: location
            
            	Interface location information
            	**type**\:   :py:class:`Location <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Location>`
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Logging>`
            
            .. attribute:: mab
            
            	
            	**type**\:   :py:class:`Mab <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Mab>`
            
            	**presence node**\: True
            
            .. attribute:: mac
            
            	MAC interface commands
            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Mac>`
            
            .. attribute:: macro
            
            	Command macro
            	**type**\:   :py:class:`Macro <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Macro>`
            
            .. attribute:: macsec
            
            	Enable macsec on the interface
            	**type**\:   :py:class:`Macsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Macsec>`
            
            	**presence node**\: True
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Mdix>`
            
            .. attribute:: mka
            
            	MACsec Key Agreement (MKA) interface configuration
            	**type**\:   :py:class:`Mka <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Mka>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: negotiation
            
            	Select autonegotiation mode
            	**type**\:   :py:class:`Negotiation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Negotiation>`
            
            .. attribute:: ospfv3
            
            	OSPFv3 interface commands
            	**type**\:   :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Peer>`
            
            .. attribute:: performance
            
            	Global performance monitor configuration
            	**type**\:   :py:class:`Performance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Performance>`
            
            .. attribute:: plim
            
            	Configure features on the PLIM
            	**type**\:   :py:class:`Plim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Plim>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.PmPath>`
            
            .. attribute:: power
            
            	
            	**type**\:   :py:class:`Power <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Power>`
            
            .. attribute:: pppoe
            
            	pppoe interface subcommands
            	**type**\:   :py:class:`Pppoe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Pppoe>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.RcvQueue>`
            
            .. attribute:: service
            
            	Configure Ether Service
            	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.ServiceInsertionEnum>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.ServicePolicy>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: snmp
            
            	Modify SNMP interface parameters
            	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Snmp>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.SpanningTree>`
            
            .. attribute:: speed
            
            	Configure speed operation
            	**type**\:   :py:class:`Speed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Speed>`
            
            .. attribute:: srr_queue
            
            	
            	**type**\:   :py:class:`SrrQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.SrrQueue>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.StormControl>`
            
            .. attribute:: switch
            
            	
            	**type**\:   :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switch>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.SwitchportConf>`
            
            .. attribute:: synchronous
            
            	Synchronous
            	**type**\:   :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Synchronous>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Trust>`
            
            .. attribute:: udld
            
            	Configure UDLD enabled or disabled and ignore global UDLD setting
            	**type**\:   :py:class:`Udld <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Udld>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Utd>`
            
            .. attribute:: vlan_range
            
            	
            	**type**\: list of    :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.VlanRange>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Vrf>`
            
            .. attribute:: xconnect
            
            	Xconnect commands
            	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Xconnect>`
            
            .. attribute:: zone_member
            
            	Apply zone name
            	**type**\:   :py:class:`ZoneMember <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.ZoneMember>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.Fastethernet.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.Fastethernet.Arp()
                self.arp.parent = self
                self.authentication = Native.Interface.Fastethernet.Authentication()
                self.authentication.parent = self
                self.auto = Native.Interface.Fastethernet.Auto()
                self.auto.parent = self
                self.backup = Native.Interface.Fastethernet.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.Fastethernet.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.Fastethernet.Bfd()
                self.bfd.parent = self
                self.carrier_delay = Native.Interface.Fastethernet.CarrierDelay()
                self.carrier_delay.parent = self
                self.cdp = Native.Interface.Fastethernet.Cdp()
                self.cdp.parent = self
                self.cemoudp = Native.Interface.Fastethernet.Cemoudp()
                self.cemoudp.parent = self
                self.channel_group = Native.Interface.Fastethernet.ChannelGroup()
                self.channel_group.parent = self
                self.channel_protocol = None
                self.crypto = Native.Interface.Fastethernet.Crypto()
                self.crypto.parent = self
                self.cts = Native.Interface.Fastethernet.Cts()
                self.cts.parent = self
                self.cws_tunnel = Native.Interface.Fastethernet.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.datalink = Native.Interface.Fastethernet.Datalink()
                self.datalink.parent = self
                self.delay = None
                self.description = None
                self.device_tracking = Native.Interface.Fastethernet.DeviceTracking()
                self.device_tracking.parent = self
                self.domain = Native.Interface.Fastethernet.Domain()
                self.domain.parent = self
                self.dot1x = Native.Interface.Fastethernet.Dot1X()
                self.dot1x.parent = self
                self.dual_active = Native.Interface.Fastethernet.DualActive()
                self.dual_active.parent = self
                self.duplex = None
                self.encapsulation = Native.Interface.Fastethernet.Encapsulation()
                self.encapsulation.parent = self
                self.energywise = None
                self.ethernet = Native.Interface.Fastethernet.Ethernet()
                self.ethernet.parent = self
                self.fair_queue = Native.Interface.Fastethernet.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.Fastethernet.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.Fastethernet.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.Fastethernet.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.Fastethernet.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.Fastethernet.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.Fastethernet.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.Fastethernet.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.Fastethernet.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.Fastethernet.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.lisp = Native.Interface.Fastethernet.Lisp()
                self.lisp.parent = self
                self.lldp = Native.Interface.Fastethernet.Lldp()
                self.lldp.parent = self
                self.load_balancing = Native.Interface.Fastethernet.LoadBalancing()
                self.load_balancing.parent = self
                self.load_interval = None
                self.location = Native.Interface.Fastethernet.Location()
                self.location.parent = self
                self.logging = Native.Interface.Fastethernet.Logging()
                self.logging.parent = self
                self.mab = None
                self.mac = Native.Interface.Fastethernet.Mac()
                self.mac.parent = self
                self.macro = Native.Interface.Fastethernet.Macro()
                self.macro.parent = self
                self.macsec = None
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.Fastethernet.Mdix()
                self.mdix.parent = self
                self.mka = Native.Interface.Fastethernet.Mka()
                self.mka.parent = self
                self.mop = Native.Interface.Fastethernet.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.Fastethernet.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.negotiation = Native.Interface.Fastethernet.Negotiation()
                self.negotiation.parent = self
                self.ospfv3 = Native.Interface.Fastethernet.Ospfv3()
                self.ospfv3.parent = self
                self.peer = Native.Interface.Fastethernet.Peer()
                self.peer.parent = self
                self.performance = Native.Interface.Fastethernet.Performance()
                self.performance.parent = self
                self.plim = Native.Interface.Fastethernet.Plim()
                self.plim.parent = self
                self.pm_path = Native.Interface.Fastethernet.PmPath()
                self.pm_path.parent = self
                self.power = Native.Interface.Fastethernet.Power()
                self.power.parent = self
                self.pppoe = Native.Interface.Fastethernet.Pppoe()
                self.pppoe.parent = self
                self.priority_queue = Native.Interface.Fastethernet.PriorityQueue()
                self.priority_queue.parent = self
                self.rcv_queue = Native.Interface.Fastethernet.RcvQueue()
                self.rcv_queue.parent = self
                self.service = Native.Interface.Fastethernet.Service()
                self.service.parent = self
                self.service_insertion = None
                self.service_policy = Native.Interface.Fastethernet.ServicePolicy()
                self.service_policy.parent = self
                self.shutdown = None
                self.snmp = Native.Interface.Fastethernet.Snmp()
                self.snmp.parent = self
                self.spanning_tree = Native.Interface.Fastethernet.SpanningTree()
                self.spanning_tree.parent = self
                self.speed = Native.Interface.Fastethernet.Speed()
                self.speed.parent = self
                self.srr_queue = Native.Interface.Fastethernet.SrrQueue()
                self.srr_queue.parent = self
                self.standby = Native.Interface.Fastethernet.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.Fastethernet.StormControl()
                self.storm_control.parent = self
                self.switch = Native.Interface.Fastethernet.Switch()
                self.switch.parent = self
                self.switchport = Native.Interface.Fastethernet.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.Fastethernet.SwitchportConf()
                self.switchport_conf.parent = self
                self.synchronous = Native.Interface.Fastethernet.Synchronous()
                self.synchronous.parent = self
                self.trust = Native.Interface.Fastethernet.Trust()
                self.trust.parent = self
                self.udld = Native.Interface.Fastethernet.Udld()
                self.udld.parent = self
                self.utd = Native.Interface.Fastethernet.Utd()
                self.utd.parent = self
                self.vlan_range = YList()
                self.vlan_range.parent = self
                self.vlan_range.name = 'vlan_range'
                self.vrf = Native.Interface.Fastethernet.Vrf()
                self.vrf.parent = self
                self.xconnect = Native.Interface.Fastethernet.Xconnect()
                self.xconnect.parent = self
                self.zone_member = Native.Interface.Fastethernet.ZoneMember()
                self.zone_member.parent = self

            class ChannelProtocolEnum(Enum):
                """
                ChannelProtocolEnum

                Select the channel protocol (LACP, PAgP)

                .. data:: lacp = 0

                .. data:: pagp = 1

                """

                lacp = 0

                pagp = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.ChannelProtocolEnum']


            class DuplexEnum(Enum):
                """
                DuplexEnum

                Configure duplex operation.

                .. data:: auto = 0

                .. data:: full = 1

                .. data:: half = 2

                """

                auto = 0

                full = 1

                half = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.DuplexEnum']


            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.IfStateEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.ServiceInsertionEnum']



            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Access>`
                
                .. attribute:: autostate
                
                	Include or exclude this port from vlan link up calculation
                	**type**\:   :py:class:`Autostate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Autostate>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:   :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Block>`
                
                .. attribute:: device_tracking
                
                	Configure device\-tracking on the interface
                	**type**\:   :py:class:`DeviceTracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.DeviceTracking>`
                
                .. attribute:: host
                
                	Set port host
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:   :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: priority
                
                	Set appliance 802.1p priority
                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Priority>`
                
                .. attribute:: private_vlan
                
                	Set the private VLAN configuration
                	**type**\:   :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.PrivateVlan>`
                
                .. attribute:: protected
                
                	Configure an interface to be a protected port
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: trunk
                
                	Set trunking characteristics of the interface
                	**type**\:   :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Trunk>`
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:   :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Voice>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access = Native.Interface.Fastethernet.Switchport.Access()
                    self.access.parent = self
                    self.autostate = Native.Interface.Fastethernet.Switchport.Autostate()
                    self.autostate.parent = self
                    self.block = Native.Interface.Fastethernet.Switchport.Block()
                    self.block.parent = self
                    self.device_tracking = Native.Interface.Fastethernet.Switchport.DeviceTracking()
                    self.device_tracking.parent = self
                    self.host = None
                    self.mode = Native.Interface.Fastethernet.Switchport.Mode()
                    self.mode.parent = self
                    self.nonegotiate = None
                    self.port_security = None
                    self.priority = Native.Interface.Fastethernet.Switchport.Priority()
                    self.priority.parent = self
                    self.private_vlan = Native.Interface.Fastethernet.Switchport.PrivateVlan()
                    self.private_vlan.parent = self
                    self.protected = None
                    self.trunk = Native.Interface.Fastethernet.Switchport.Trunk()
                    self.trunk.parent = self
                    self.voice = Native.Interface.Fastethernet.Switchport.Voice()
                    self.voice.parent = self


                class Access(object):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	Set VLAN when interface is in access mode
                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Access.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = Native.Interface.Fastethernet.Switchport.Access.Vlan()
                        self.vlan.parent = self


                    class Vlan(object):
                        """
                        Set VLAN when interface is in access mode
                        
                        .. attribute:: name
                        
                        	Vlan name
                        	**type**\:  str
                        
                        .. attribute:: vlan
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        
                        ----
                        	**type**\:   :py:class:`VlanEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.VlanEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.vlan = None

                        class VlanEnum(Enum):
                            """
                            VlanEnum

                            .. data:: dynamic = 0

                            """

                            dynamic = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Switchport.Access.Vlan.VlanEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Switchport.Access.Vlan']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:access'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None and self.vlan._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Switchport.Access']['meta_info']


                class Block(object):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: multicast
                    
                    	Block unknown multicast addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.multicast = None
                        self.unicast = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:block'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.multicast is not None:
                            return True

                        if self.unicast is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Switchport.Block']['meta_info']


                class Mode(object):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Mode.Access>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dot1q_tunnel
                    
                    	set trunking mode to TUNNEL unconditionally
                    	**type**\:   :py:class:`Dot1QTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Mode.Dot1QTunnel>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dynamic
                    
                    	Set trunking mode to dynamically negotiate access or trunk mode
                    	**type**\:   :py:class:`DynamicEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Mode.DynamicEnum>`
                    
                    .. attribute:: private_vlan
                    
                    	Set private\-vlan mode
                    	**type**\:   :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Mode.PrivateVlan>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\:   :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Mode.Trunk>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access = None
                        self.dot1q_tunnel = None
                        self.dynamic = None
                        self.private_vlan = Native.Interface.Fastethernet.Switchport.Mode.PrivateVlan()
                        self.private_vlan.parent = self
                        self.trunk = None

                    class DynamicEnum(Enum):
                        """
                        DynamicEnum

                        Set trunking mode to dynamically negotiate access or trunk mode

                        .. data:: auto = 0

                        .. data:: desirable = 1

                        """

                        auto = 0

                        desirable = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Switchport.Mode.DynamicEnum']



                    class Access(object):
                        """
                        Set trunking mode to ACCESS unconditionally
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:access'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Switchport.Mode.Access']['meta_info']


                    class Dot1QTunnel(object):
                        """
                        set trunking mode to TUNNEL unconditionally
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:dot1q-tunnel'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Switchport.Mode.Dot1QTunnel']['meta_info']


                    class PrivateVlan(object):
                        """
                        Set private\-vlan mode
                        
                        .. attribute:: host
                        
                        	Set the mode to private\-vlan host
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: promiscuous
                        
                        	Set the mode to private\-vlan promiscuous
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.host = None
                            self.promiscuous = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:private-vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.host is not None:
                                return True

                            if self.promiscuous is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Switchport.Mode.PrivateVlan']['meta_info']


                    class Trunk(object):
                        """
                        Set trunking mode to TRUNK unconditionally
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:trunk'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Switchport.Mode.Trunk']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access is not None and self.access._has_data():
                            return True

                        if self.dot1q_tunnel is not None and self.dot1q_tunnel._has_data():
                            return True

                        if self.dynamic is not None:
                            return True

                        if self.private_vlan is not None and self.private_vlan._has_data():
                            return True

                        if self.trunk is not None and self.trunk._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Switchport.Mode']['meta_info']


                class PortSecurity(object):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:   :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: mac_address
                    
                    	Secure mac address
                    	**type**\:   :py:class:`MacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.PortSecurity.MacAddress>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:   :py:class:`ViolationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.PortSecurity.ViolationEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aging = Native.Interface.Fastethernet.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self.mac_address = Native.Interface.Fastethernet.Switchport.PortSecurity.MacAddress()
                        self.mac_address.parent = self
                        self.maximum = Native.Interface.Fastethernet.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self.violation = None

                    class ViolationEnum(Enum):
                        """
                        ViolationEnum

                        Security violation mode

                        .. data:: protect = 0

                        .. data:: restrict = 1

                        .. data:: shutdown = 2

                        """

                        protect = 0

                        restrict = 1

                        shutdown = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Switchport.PortSecurity.ViolationEnum']



                    class Aging(object):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.PortSecurity.Aging.TypeEnum>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = None
                            self.time = None
                            self.type = None

                        class TypeEnum(Enum):
                            """
                            TypeEnum

                            Port\-security aging type

                            .. data:: absolute = 0

                            .. data:: inactivity = 1

                            """

                            absolute = 0

                            inactivity = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Switchport.PortSecurity.Aging.TypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:aging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None:
                                return True

                            if self.time is not None:
                                return True

                            if self.type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Switchport.PortSecurity.Aging']['meta_info']


                    class MacAddress(object):
                        """
                        Secure mac address
                        
                        .. attribute:: hw_address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2}){5}
                        
                        .. attribute:: sticky
                        
                        	Configure dynamic secure addresses as sticky
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	set VLAN ID of the VLAN on which this address can be learned
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hw_address = None
                            self.sticky = None
                            self.vlan = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:mac-address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hw_address is not None:
                                return True

                            if self.sticky is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Switchport.PortSecurity.MacAddress']['meta_info']


                    class Maximum(object):
                        """
                        Max secure addresses
                        
                        .. attribute:: max_addresses
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4097
                        
                        .. attribute:: vlan
                        
                        	Max secure addresses per vlan
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max_addresses = None
                            self.vlan = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:maximum'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max_addresses is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Switchport.PortSecurity.Maximum']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:port-security'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aging is not None and self.aging._has_data():
                            return True

                        if self.mac_address is not None and self.mac_address._has_data():
                            return True

                        if self.maximum is not None and self.maximum._has_data():
                            return True

                        if self.violation is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Switchport.PortSecurity']['meta_info']


                class Trunk(object):
                    """
                    Set trunking characteristics of the interface
                    
                    .. attribute:: allowed
                    
                    	Set allowed VLAN characteristics when interface is in trunking mode
                    	**type**\:   :py:class:`Allowed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Trunk.Allowed>`
                    
                    .. attribute:: encapsulation
                    
                    	Set encapsulation format on trunk port
                    	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Trunk.EncapsulationEnum>`
                    
                    .. attribute:: native
                    
                    	Set trunking native characteristics when interface is in trunking mode
                    	**type**\:   :py:class:`Native_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Trunk.Native_>`
                    
                    .. attribute:: pruning
                    
                    	Set pruning VLAN characteristics when interface is in trunking mode
                    	**type**\:   :py:class:`Pruning <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Trunk.Pruning>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.allowed = Native.Interface.Fastethernet.Switchport.Trunk.Allowed()
                        self.allowed.parent = self
                        self.encapsulation = None
                        self.native = Native.Interface.Fastethernet.Switchport.Trunk.Native_()
                        self.native.parent = self
                        self.pruning = Native.Interface.Fastethernet.Switchport.Trunk.Pruning()
                        self.pruning.parent = self

                    class EncapsulationEnum(Enum):
                        """
                        EncapsulationEnum

                        Set encapsulation format on trunk port

                        .. data:: dot1q = 0

                        .. data:: isl = 1

                        .. data:: negotiate = 2

                        """

                        dot1q = 0

                        isl = 1

                        negotiate = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Switchport.Trunk.EncapsulationEnum']



                    class Allowed(object):
                        """
                        Set allowed VLAN characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set allowed VLANs when interface is in trunking mode
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Trunk.Allowed.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vlan = Native.Interface.Fastethernet.Switchport.Trunk.Allowed.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            Set allowed VLANs when interface is in trunking mode
                            
                            .. attribute:: add
                            
                            	VLAN IDs of the allowed VLANs when this port is in trunking mode
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: all
                            
                            	all VLANs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: except_
                            
                            	all VLANs except the following
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: none
                            
                            	no VLANs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: remove
                            
                            	VLAN IDs of disallowed VLANS when this port is in trunking mode
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: vlans
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.add = None
                                self.all = None
                                self.except_ = YLeafList()
                                self.except_.parent = self
                                self.except_.name = 'except_'
                                self.none = None
                                self.remove = None
                                self.vlans = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.add is not None:
                                    return True

                                if self.all is not None:
                                    return True

                                if self.except_ is not None:
                                    for child in self.except_:
                                        if child is not None:
                                            return True

                                if self.none is not None:
                                    return True

                                if self.remove is not None:
                                    return True

                                if self.vlans is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Switchport.Trunk.Allowed.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:allowed'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Switchport.Trunk.Allowed']['meta_info']


                    class Native_(object):
                        """
                        Set trunking native characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set native VLAN when interface is in trunking mode
                        	**type**\: one of the below types:
                        
                        	**type**\:   :py:class:`VlanEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_.VlanEnum>`
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vlan = None

                        class VlanEnum(Enum):
                            """
                            VlanEnum

                            Set native VLAN when interface is in trunking mode

                            .. data:: tag = 0

                            """

                            tag = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Switchport.Trunk.Native_.VlanEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:native'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Switchport.Trunk.Native_']['meta_info']


                    class Pruning(object):
                        """
                        Set pruning VLAN characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set VLANs enabled for pruning when interface is in trunking mode
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Trunk.Pruning.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vlan = Native.Interface.Fastethernet.Switchport.Trunk.Pruning.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            Set VLANs enabled for pruning when interface is in trunking mode
                            
                            .. attribute:: add
                            
                            	VLAN IDs of the allowed VLANs when this port is in trunking mode
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: except_
                            
                            	all VLANs except the following
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: none
                            
                            	no VLANs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: remove
                            
                            	VLAN IDs of disallowed VLANS when this port is in trunking mode
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: vlans
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.add = None
                                self.except_ = YLeafList()
                                self.except_.parent = self
                                self.except_.name = 'except_'
                                self.none = None
                                self.remove = None
                                self.vlans = YLeafList()
                                self.vlans.parent = self
                                self.vlans.name = 'vlans'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.add is not None:
                                    return True

                                if self.except_ is not None:
                                    for child in self.except_:
                                        if child is not None:
                                            return True

                                if self.none is not None:
                                    return True

                                if self.remove is not None:
                                    return True

                                if self.vlans is not None:
                                    for child in self.vlans:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Switchport.Trunk.Pruning.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:pruning'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Switchport.Trunk.Pruning']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:trunk'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.allowed is not None and self.allowed._has_data():
                            return True

                        if self.encapsulation is not None:
                            return True

                        if self.native is not None and self.native._has_data():
                            return True

                        if self.pruning is not None and self.pruning._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Switchport.Trunk']['meta_info']


                class Voice(object):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: detect
                    
                    	detection enhancement keyword
                    	**type**\:   :py:class:`Detect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Voice.Detect>`
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Voice.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.detect = Native.Interface.Fastethernet.Switchport.Voice.Detect()
                        self.detect.parent = self
                        self.vlan = Native.Interface.Fastethernet.Switchport.Voice.Vlan()
                        self.vlan.parent = self


                    class Vlan(object):
                        """
                        Vlan for voice traffic
                        
                        .. attribute:: name
                        
                        	Vlan name
                        	**type**\:  str
                        
                        .. attribute:: vlan
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:   :py:class:`VlanEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.VlanEnum>`
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        
                        ----
                        	**type**\:  str
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.vlan = None

                        class VlanEnum(Enum):
                            """
                            VlanEnum

                            .. data:: dot1p = 0

                            .. data:: none = 1

                            .. data:: untagged = 2

                            """

                            dot1p = 0

                            none = 1

                            untagged = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Switchport.Voice.Vlan.VlanEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Switchport.Voice.Vlan']['meta_info']


                    class Detect(object):
                        """
                        detection enhancement keyword
                        
                        .. attribute:: cisco_phone
                        
                        	Cisco IP phone
                        	**type**\:   :py:class:`CiscoPhone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Voice.Detect.CiscoPhone>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cisco_phone = None


                        class CiscoPhone(object):
                            """
                            Cisco IP phone
                            
                            .. attribute:: full_duplex
                            
                            	full duplex keyword
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.full_duplex = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:cisco-phone'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.full_duplex is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Switchport.Voice.Detect.CiscoPhone']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:detect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cisco_phone is not None and self.cisco_phone._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Switchport.Voice.Detect']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:voice'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.detect is not None and self.detect._has_data():
                            return True

                        if self.vlan is not None and self.vlan._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Switchport.Voice']['meta_info']


                class Priority(object):
                    """
                    Set appliance 802.1p priority
                    
                    .. attribute:: extend
                    
                    	Set appliance 802.1p priority
                    	**type**\:   :py:class:`Extend <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.Priority.Extend>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.extend = Native.Interface.Fastethernet.Switchport.Priority.Extend()
                        self.extend.parent = self


                    class Extend(object):
                        """
                        Set appliance 802.1p priority
                        
                        .. attribute:: cos
                        
                        	Override 802.1p priority of devices on appliance
                        	**type**\:  int
                        
                        	**range:** 0..7
                        
                        .. attribute:: trust
                        
                        	Trust 802.1p priorities of devices on appliance
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cos = None
                            self.trust = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:extend'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cos is not None:
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Switchport.Priority.Extend']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:priority'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.extend is not None and self.extend._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Switchport.Priority']['meta_info']


                class Autostate(object):
                    """
                    Include or exclude this port from vlan link up calculation
                    
                    .. attribute:: exclude
                    
                    	Exclude this port from vlan link up calculation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.exclude = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:autostate'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.exclude is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Switchport.Autostate']['meta_info']


                class PrivateVlan(object):
                    """
                    Set the private VLAN configuration
                    
                    .. attribute:: association
                    
                    	Set the private VLAN association
                    	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.PrivateVlan.Association>`
                    
                    .. attribute:: host_association
                    
                    	Set the private VLAN host association
                    	**type**\:   :py:class:`HostAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.PrivateVlan.HostAssociation>`
                    
                    .. attribute:: mapping
                    
                    	Set the private VLAN promiscuous mapping
                    	**type**\:   :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.PrivateVlan.Mapping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.association = Native.Interface.Fastethernet.Switchport.PrivateVlan.Association()
                        self.association.parent = self
                        self.host_association = Native.Interface.Fastethernet.Switchport.PrivateVlan.HostAssociation()
                        self.host_association.parent = self
                        self.mapping = Native.Interface.Fastethernet.Switchport.PrivateVlan.Mapping()
                        self.mapping.parent = self


                    class Association(object):
                        """
                        Set the private VLAN association
                        
                        .. attribute:: host
                        
                        	Set the private VLAN host association
                        	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.PrivateVlan.Association.Host>`
                        
                        .. attribute:: mapping
                        
                        	Set the private VLAN promiscuous mapping
                        	**type**\:   :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switchport.PrivateVlan.Association.Mapping>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.host = Native.Interface.Fastethernet.Switchport.PrivateVlan.Association.Host()
                            self.host.parent = self
                            self.mapping = Native.Interface.Fastethernet.Switchport.PrivateVlan.Association.Mapping()
                            self.mapping.parent = self


                        class Host(object):
                            """
                            Set the private VLAN host association
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN port association
                            	**type**\:  int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: secondary_range
                            
                            	Secondary normal range VLAN ID of the private VLAN host port association
                            	**type**\:  int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.primary_range = None
                                self.secondary_range = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.primary_range is not None:
                                    return True

                                if self.secondary_range is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Switchport.PrivateVlan.Association.Host']['meta_info']


                        class Mapping(object):
                            """
                            Set the private VLAN promiscuous mapping
                            
                            .. attribute:: add
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\:  str
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                            	**type**\:  int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: remove
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\:  str
                            
                            .. attribute:: secondary_range
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.add = None
                                self.primary_range = None
                                self.remove = None
                                self.secondary_range = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.add is not None:
                                    return True

                                if self.primary_range is not None:
                                    return True

                                if self.remove is not None:
                                    return True

                                if self.secondary_range is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Switchport.PrivateVlan.Association.Mapping']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:association'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.host is not None and self.host._has_data():
                                return True

                            if self.mapping is not None and self.mapping._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Switchport.PrivateVlan.Association']['meta_info']


                    class HostAssociation(object):
                        """
                        Set the private VLAN host association
                        
                        .. attribute:: primary_range
                        
                        	Primary normal range VLAN ID of the private VLAN port association
                        	**type**\:  int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        .. attribute:: secondary_range
                        
                        	Secondary normal range VLAN ID of the private VLAN host port association
                        	**type**\:  int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.primary_range = None
                            self.secondary_range = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host-association'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.primary_range is not None:
                                return True

                            if self.secondary_range is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Switchport.PrivateVlan.HostAssociation']['meta_info']


                    class Mapping(object):
                        """
                        Set the private VLAN promiscuous mapping
                        
                        .. attribute:: add
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\:  str
                        
                        .. attribute:: primary_range
                        
                        	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                        	**type**\:  int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        .. attribute:: remove
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\:  str
                        
                        .. attribute:: secondary_range
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.add = None
                            self.primary_range = None
                            self.remove = None
                            self.secondary_range = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:mapping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.add is not None:
                                return True

                            if self.primary_range is not None:
                                return True

                            if self.remove is not None:
                                return True

                            if self.secondary_range is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Switchport.PrivateVlan.Mapping']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:private-vlan'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.association is not None and self.association._has_data():
                            return True

                        if self.host_association is not None and self.host_association._has_data():
                            return True

                        if self.mapping is not None and self.mapping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Switchport.PrivateVlan']['meta_info']


                class DeviceTracking(object):
                    """
                    Configure device\-tracking on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature device\-tracking
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:device-tracking'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Switchport.DeviceTracking']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access is not None and self.access._has_data():
                        return True

                    if self.autostate is not None and self.autostate._has_data():
                        return True

                    if self.block is not None and self.block._has_data():
                        return True

                    if self.device_tracking is not None and self.device_tracking._has_data():
                        return True

                    if self.host is not None:
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.port_security is not None and self.port_security._has_data():
                        return True

                    if self.priority is not None and self.priority._has_data():
                        return True

                    if self.private_vlan is not None and self.private_vlan._has_data():
                        return True

                    if self.protected is not None:
                        return True

                    if self.trunk is not None and self.trunk._has_data():
                        return True

                    if self.voice is not None and self.voice._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.Fastethernet.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.Fastethernet.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.Fastethernet.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.Fastethernet.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.Fastethernet.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.Fastethernet.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.Fastethernet.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.Fastethernet.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.Fastethernet.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.Fastethernet.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.Fastethernet.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.Fastethernet.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.Fastethernet.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                .. attribute:: adjacency_filter
                
                	Filter IS\-IS adjacencies
                	**type**\:   :py:class:`AdjacencyFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.AdjacencyFilter>`
                
                .. attribute:: advertise
                
                	Control addresses advertisements in LSPs
                	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Advertise>`
                
                .. attribute:: authentication
                
                	ISIS authentication for interface related PDUs
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Authentication>`
                
                .. attribute:: circuit_type
                
                	Configure circuit type for interface
                	**type**\:   :py:class:`CircuitType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.CircuitType>`
                
                	**presence node**\: True
                
                .. attribute:: csnp_interval
                
                	Set CSNP interval in seconds
                	**type**\:   :py:class:`CsnpInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.CsnpInterval>`
                
                .. attribute:: hello
                
                	Add padding to IS\-IS hello packets
                	**type**\:   :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Hello>`
                
                .. attribute:: hello_interval
                
                	Set Hello interval in seconds
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.HelloInterval>`
                
                .. attribute:: hello_multiplier
                
                	Set multiplier for Hello holding time
                	**type**\:   :py:class:`HelloMultiplier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.HelloMultiplier>`
                
                .. attribute:: ipv6
                
                	IPv6 interface configuration
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Ipv6>`
                
                .. attribute:: lsp_interval
                
                	Set LSP transmission interval
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                .. attribute:: mesh_group
                
                	Set ISIS mesh group
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                
                ----
                	**type**\:   :py:class:`MeshGroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.MeshGroupEnum>`
                
                
                ----
                .. attribute:: metric
                
                	Configure the metric for interface
                	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Metric>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:   :py:class:`NetworkEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.NetworkEnum>`
                
                .. attribute:: password
                
                	Configure the authentication password for interface
                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Password>`
                
                .. attribute:: priority
                
                	Set priority for Designated Router election
                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Priority>`
                
                .. attribute:: protocol
                
                	Set ISIS protocol's state under current interface
                	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.ProtocolEnum>`
                
                .. attribute:: retransmit_interval
                
                	Set per\-LSP retransmission interval
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: retransmit_throttle_interval
                
                	Set interface LSP retransmission interval
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tag
                
                	Assign an admin tag to an ISIS interface IP route
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                .. attribute:: three_way_handshake
                
                	Select Cisco or IETF three\-way handshake
                	**type**\:   :py:class:`ThreeWayHandshake <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.ThreeWayHandshake>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.adjacency_filter = Native.Interface.Fastethernet.Isis.AdjacencyFilter()
                    self.adjacency_filter.parent = self
                    self.advertise = Native.Interface.Fastethernet.Isis.Advertise()
                    self.advertise.parent = self
                    self.authentication = Native.Interface.Fastethernet.Isis.Authentication()
                    self.authentication.parent = self
                    self.circuit_type = None
                    self.csnp_interval = Native.Interface.Fastethernet.Isis.CsnpInterval()
                    self.csnp_interval.parent = self
                    self.hello = Native.Interface.Fastethernet.Isis.Hello()
                    self.hello.parent = self
                    self.hello_interval = Native.Interface.Fastethernet.Isis.HelloInterval()
                    self.hello_interval.parent = self
                    self.hello_multiplier = Native.Interface.Fastethernet.Isis.HelloMultiplier()
                    self.hello_multiplier.parent = self
                    self.ipv6 = Native.Interface.Fastethernet.Isis.Ipv6()
                    self.ipv6.parent = self
                    self.lsp_interval = None
                    self.mesh_group = None
                    self.metric = Native.Interface.Fastethernet.Isis.Metric()
                    self.metric.parent = self
                    self.network = None
                    self.password = Native.Interface.Fastethernet.Isis.Password()
                    self.password.parent = self
                    self.priority = Native.Interface.Fastethernet.Isis.Priority()
                    self.priority.parent = self
                    self.protocol = None
                    self.retransmit_interval = None
                    self.retransmit_throttle_interval = None
                    self.tag = None
                    self.three_way_handshake = None

                class MeshGroupEnum(Enum):
                    """
                    MeshGroupEnum

                    Set ISIS mesh group

                    .. data:: blocked = 0

                    """

                    blocked = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Isis.MeshGroupEnum']


                class NetworkEnum(Enum):
                    """
                    NetworkEnum

                    Network type

                    .. data:: point_to_point = 0

                    """

                    point_to_point = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Isis.NetworkEnum']


                class ProtocolEnum(Enum):
                    """
                    ProtocolEnum

                    Set ISIS protocol's state under current interface

                    .. data:: shutdown = 0

                    """

                    shutdown = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Isis.ProtocolEnum']



                class AdjacencyFilter(object):
                    """
                    Filter IS\-IS adjacencies
                    
                    .. attribute:: match_all
                    
                    	Match all area addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: name
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.match_all = None
                        self.name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:adjacency-filter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.match_all is not None:
                            return True

                        if self.name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Isis.AdjacencyFilter']['meta_info']


                class Advertise(object):
                    """
                    Control addresses advertisements in LSPs
                    
                    .. attribute:: prefix
                    
                    	Interface IP address
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.prefix = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:advertise'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.prefix is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Isis.Advertise']['meta_info']


                class Authentication(object):
                    """
                    ISIS authentication for interface related PDUs
                    
                    .. attribute:: key_chain
                    
                    	Authentication key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	Authentication mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Authentication.Mode>`
                    
                    .. attribute:: send_only
                    
                    	Authentication send only, receive ignore
                    	**type**\:   :py:class:`SendOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Authentication.SendOnly>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Fastethernet.Isis.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Fastethernet.Isis.Authentication.Mode()
                        self.mode.parent = self
                        self.send_only = None


                    class Mode(object):
                        """
                        Authentication mode
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Authentication.Mode.Md5>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: text
                        
                        	Clear text password
                        	**type**\:   :py:class:`Text <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Authentication.Mode.Text>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = None
                            self.text = None


                        class Md5(object):
                            """
                            Keyed message digest
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Isis.Authentication.Mode.Md5']['meta_info']


                        class Text(object):
                            """
                            Clear text password
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:text'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Isis.Authentication.Mode.Text']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None and self.text._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Isis.Authentication.Mode']['meta_info']


                    class KeyChain(object):
                        """
                        Authentication key\-chain
                        
                        .. attribute:: key_chain_list
                        
                        	
                        	**type**\: list of    :py:class:`KeyChainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Authentication.KeyChain.KeyChainList>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_chain_list = YList()
                            self.key_chain_list.parent = self
                            self.key_chain_list.name = 'key_chain_list'
                            self.name = None


                        class KeyChainList(object):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.levels = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.levels is None:
                                    raise YPYModelError('Key property levels is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:key-chain-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.levels is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Isis.Authentication.KeyChain.KeyChainList']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_chain_list is not None:
                                for child_ref in self.key_chain_list:
                                    if child_ref._has_data():
                                        return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Isis.Authentication.KeyChain']['meta_info']


                    class SendOnly(object):
                        """
                        Authentication send only, receive ignore
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.levels = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:send-only'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.levels is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Isis.Authentication.SendOnly']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        if self.send_only is not None and self.send_only._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Isis.Authentication']['meta_info']


                class CircuitType(object):
                    """
                    Configure circuit type for interface
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.CircuitType.LevelsEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.levels = None

                    class LevelsEnum(Enum):
                        """
                        LevelsEnum

                        .. data:: level_1 = 0

                        .. data:: level_1_2 = 1

                        .. data:: level_2_only = 2

                        """

                        level_1 = 0

                        level_1_2 = 1

                        level_2_only = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Isis.CircuitType.LevelsEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:circuit-type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.levels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Isis.CircuitType']['meta_info']


                class CsnpInterval(object):
                    """
                    Set CSNP interval in seconds
                    
                    .. attribute:: csnp_interval_list
                    
                    	
                    	**type**\: list of    :py:class:`CsnpIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.CsnpInterval.CsnpIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.csnp_interval_list = YList()
                        self.csnp_interval_list.parent = self
                        self.csnp_interval_list.name = 'csnp_interval_list'
                        self.value = None


                    class CsnpIntervalList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:csnp-interval-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Isis.CsnpInterval.CsnpIntervalList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:csnp-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.csnp_interval_list is not None:
                            for child_ref in self.csnp_interval_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Isis.CsnpInterval']['meta_info']


                class Hello(object):
                    """
                    Add padding to IS\-IS hello packets
                    
                    .. attribute:: padding
                    
                    	Pad hello packets
                    	**type**\:   :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Hello.Padding>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.padding = None


                    class Padding(object):
                        """
                        Pad hello packets
                        
                        .. attribute:: always
                        
                        	Never pad hello packets if no prefix present
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.always = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:padding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.always is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Isis.Hello.Padding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.padding is not None and self.padding._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Isis.Hello']['meta_info']


                class HelloInterval(object):
                    """
                    Set Hello interval in seconds
                    
                    .. attribute:: hello_interval_list
                    
                    	
                    	**type**\: list of    :py:class:`HelloIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.HelloInterval.HelloIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    
                    ----
                    	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hello_interval_list = YList()
                        self.hello_interval_list.parent = self
                        self.hello_interval_list.name = 'hello_interval_list'
                        self.value = None

                    class ValueEnum(Enum):
                        """
                        ValueEnum

                        .. data:: minimal = 0

                        """

                        minimal = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Isis.HelloInterval.ValueEnum']



                    class HelloIntervalList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.HelloInterval.HelloIntervalList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Isis.HelloInterval.HelloIntervalList.LevelsEnum']


                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: minimal = 0

                            """

                            minimal = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Isis.HelloInterval.HelloIntervalList.ValueEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-interval-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Isis.HelloInterval.HelloIntervalList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hello_interval_list is not None:
                            for child_ref in self.hello_interval_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Isis.HelloInterval']['meta_info']


                class HelloMultiplier(object):
                    """
                    Set multiplier for Hello holding time
                    
                    .. attribute:: hello_multiplier_list
                    
                    	
                    	**type**\: list of    :py:class:`HelloMultiplierList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.HelloMultiplier.HelloMultiplierList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 3..1000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hello_multiplier_list = YList()
                        self.hello_multiplier_list.parent = self
                        self.hello_multiplier_list.name = 'hello_multiplier_list'
                        self.value = None


                    class HelloMultiplierList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 3..1000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-multiplier-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Isis.HelloMultiplier.HelloMultiplierList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-multiplier'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hello_multiplier_list is not None:
                            for child_ref in self.hello_multiplier_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Isis.HelloMultiplier']['meta_info']


                class Ipv6(object):
                    """
                    IPv6 interface configuration
                    
                    .. attribute:: metric
                    
                    	Configure the metric for interface
                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Ipv6.Metric>`
                    
                    .. attribute:: tag
                    
                    	Assign an admin tag to an ISIS interface IPv6 route
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.metric = Native.Interface.Fastethernet.Isis.Ipv6.Metric()
                        self.metric.parent = self
                        self.tag = None


                    class Metric(object):
                        """
                        Configure the metric for interface
                        
                        .. attribute:: metric_list
                        
                        	
                        	**type**\: list of    :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Ipv6.Metric.MetricList>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric_list = YList()
                            self.metric_list.parent = self
                            self.metric_list.name = 'metric_list'
                            self.value = None

                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: maximum = 0

                            """

                            maximum = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Isis.Ipv6.Metric.ValueEnum']



                        class MetricList(object):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Ipv6.Metric.MetricList.LevelsEnum>`
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..16777214
                            
                            
                            ----
                            	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.levels = None
                                self.value = None

                            class LevelsEnum(Enum):
                                """
                                LevelsEnum

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = 0

                                level_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Isis.Ipv6.Metric.MetricList.LevelsEnum']


                            class ValueEnum(Enum):
                                """
                                ValueEnum

                                .. data:: maximum = 0

                                """

                                maximum = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Isis.Ipv6.Metric.MetricList.ValueEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.levels is None:
                                    raise YPYModelError('Key property levels is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:metric-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.levels is not None:
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Isis.Ipv6.Metric.MetricList']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:metric'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric_list is not None:
                                for child_ref in self.metric_list:
                                    if child_ref._has_data():
                                        return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Isis.Ipv6.Metric']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.metric is not None and self.metric._has_data():
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Isis.Ipv6']['meta_info']


                class Metric(object):
                    """
                    Configure the metric for interface
                    
                    .. attribute:: metric_list
                    
                    	
                    	**type**\: list of    :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Metric.MetricList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..16777214
                    
                    
                    ----
                    	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.metric_list = YList()
                        self.metric_list.parent = self
                        self.metric_list.name = 'metric_list'
                        self.value = None

                    class ValueEnum(Enum):
                        """
                        ValueEnum

                        .. data:: maximum = 0

                        """

                        maximum = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Isis.Metric.ValueEnum']



                    class MetricList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Metric.MetricList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Isis.Metric.MetricList.LevelsEnum']


                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: maximum = 0

                            """

                            maximum = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Isis.Metric.MetricList.ValueEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:metric-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Isis.Metric.MetricList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:metric'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.metric_list is not None:
                            for child_ref in self.metric_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Isis.Metric']['meta_info']


                class Password(object):
                    """
                    Configure the authentication password for interface
                    
                    .. attribute:: password
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: password_list
                    
                    	
                    	**type**\: list of    :py:class:`PasswordList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Password.PasswordList>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.password = None
                        self.password_list = YList()
                        self.password_list.parent = self
                        self.password_list.name = 'password_list'


                    class PasswordList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Password.PasswordList.LevelsEnum>`
                        
                        .. attribute:: password
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.password = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Isis.Password.PasswordList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:password-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.password is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Isis.Password.PasswordList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:password'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.password is not None:
                            return True

                        if self.password_list is not None:
                            for child_ref in self.password_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Isis.Password']['meta_info']


                class Priority(object):
                    """
                    Set priority for Designated Router election
                    
                    .. attribute:: priority_list
                    
                    	
                    	**type**\: list of    :py:class:`PriorityList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Priority.PriorityList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..127
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.priority_list = YList()
                        self.priority_list.parent = self
                        self.priority_list.name = 'priority_list'
                        self.value = None


                    class PriorityList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.Priority.PriorityList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..127
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Isis.Priority.PriorityList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:priority-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Isis.Priority.PriorityList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:priority'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.priority_list is not None:
                            for child_ref in self.priority_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Isis.Priority']['meta_info']


                class ThreeWayHandshake(object):
                    """
                    Select Cisco or IETF three\-way handshake
                    
                    .. attribute:: implementor
                    
                    	
                    	**type**\:   :py:class:`ImplementorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Isis.ThreeWayHandshake.ImplementorEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.implementor = None

                    class ImplementorEnum(Enum):
                        """
                        ImplementorEnum

                        .. data:: cisco = 0

                        .. data:: ietf = 1

                        """

                        cisco = 0

                        ietf = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Isis.ThreeWayHandshake.ImplementorEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:three-way-handshake'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.implementor is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Isis.ThreeWayHandshake']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.adjacency_filter is not None and self.adjacency_filter._has_data():
                        return True

                    if self.advertise is not None and self.advertise._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.circuit_type is not None and self.circuit_type._has_data():
                        return True

                    if self.csnp_interval is not None and self.csnp_interval._has_data():
                        return True

                    if self.hello is not None and self.hello._has_data():
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.hello_multiplier is not None and self.hello_multiplier._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    if self.lsp_interval is not None:
                        return True

                    if self.mesh_group is not None:
                        return True

                    if self.metric is not None and self.metric._has_data():
                        return True

                    if self.network is not None:
                        return True

                    if self.password is not None and self.password._has_data():
                        return True

                    if self.priority is not None and self.priority._has_data():
                        return True

                    if self.protocol is not None:
                        return True

                    if self.retransmit_interval is not None:
                        return True

                    if self.retransmit_throttle_interval is not None:
                        return True

                    if self.tag is not None:
                        return True

                    if self.three_way_handshake is not None and self.three_way_handshake._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                .. attribute:: echo
                
                	Use echo adjunct as bfd detection mechanism
                	**type**\:  bool
                
                .. attribute:: interval
                
                	Transmit interval between BFD packets
                	**type**\:   :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Bfd.Interval>`
                
                .. attribute:: template
                
                	BFD template
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.echo = None
                    self.interval = Native.Interface.Fastethernet.Bfd.Interval()
                    self.interval.parent = self
                    self.template = None


                class Interval(object):
                    """
                    Transmit interval between BFD packets
                    
                    .. attribute:: min_rx
                    
                    	Minimum receive interval capability
                    	**type**\:  int
                    
                    	**range:** 100..999
                    
                    .. attribute:: msecs
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 100..999
                    
                    .. attribute:: multiplier
                    
                    	Multiplier value used to compute holddown
                    	**type**\:  int
                    
                    	**range:** 3..50
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.min_rx = None
                        self.msecs = None
                        self.multiplier = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bfd:interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.min_rx is not None:
                            return True

                        if self.msecs is not None:
                            return True

                        if self.multiplier is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Bfd.Interval']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.echo is not None:
                        return True

                    if self.interval is not None and self.interval._has_data():
                        return True

                    if self.template is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.Fastethernet.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.Fastethernet.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                .. attribute:: accounting
                
                	Enable MPLS accounting on this interface
                	**type**\:   :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Mpls.Accounting>`
                
                .. attribute:: bgp
                
                	MPLS BGP
                	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Mpls.Bgp>`
                
                .. attribute:: ip
                
                	Configure dynamic MPLS forwarding for IP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: label
                
                	Label properties
                	**type**\:   :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Mpls.Label>`
                
                .. attribute:: ldp
                
                	Configure Label Distribution Protocol (LDP) parameters
                	**type**\:   :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Mpls.Ldp>`
                
                .. attribute:: mtu
                
                	Set MPLS Maximum Transmission Unit
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1501..1524
                
                
                ----
                	**type**\:  int
                
                	**range:** 64..1500
                
                
                ----
                	**type**\:  int
                
                	**range:** 64..9216
                
                
                ----
                .. attribute:: traffic_eng
                
                	Configure Traffic Engineering parameters
                	**type**\:   :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Mpls.TrafficEng>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.accounting = Native.Interface.Fastethernet.Mpls.Accounting()
                    self.accounting.parent = self
                    self.bgp = Native.Interface.Fastethernet.Mpls.Bgp()
                    self.bgp.parent = self
                    self.ip = None
                    self.label = Native.Interface.Fastethernet.Mpls.Label()
                    self.label.parent = self
                    self.ldp = Native.Interface.Fastethernet.Mpls.Ldp()
                    self.ldp.parent = self
                    self.mtu = None
                    self.traffic_eng = Native.Interface.Fastethernet.Mpls.TrafficEng()
                    self.traffic_eng.parent = self


                class Accounting(object):
                    """
                    Enable MPLS accounting on this interface
                    
                    .. attribute:: experimental
                    
                    	Count packets by MPLS experimental value on this interface
                    	**type**\:   :py:class:`Experimental <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Mpls.Accounting.Experimental>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.experimental = Native.Interface.Fastethernet.Mpls.Accounting.Experimental()
                        self.experimental.parent = self


                    class Experimental(object):
                        """
                        Count packets by MPLS experimental value on this interface
                        
                        .. attribute:: input
                        
                        	received packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	transmitted packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = None
                            self.output = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:experimental'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None:
                                return True

                            if self.output is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Mpls.Accounting.Experimental']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:accounting'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.experimental is not None and self.experimental._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Mpls.Accounting']['meta_info']


                class Bgp(object):
                    """
                    MPLS BGP
                    
                    .. attribute:: forwarding
                    
                    	Configure MPLS forwarding for directly connected BGP peers
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:bgp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Mpls.Bgp']['meta_info']


                class Label(object):
                    """
                    Label properties
                    
                    .. attribute:: protocol
                    
                    	Configure label/tag distribution protocol (LDP/TDP)
                    	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Mpls.Label.ProtocolEnum>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.protocol = None

                    class ProtocolEnum(Enum):
                        """
                        ProtocolEnum

                        Configure label/tag distribution protocol (LDP/TDP)

                        .. data:: both = 0

                        .. data:: ldp = 1

                        .. data:: tdp = 2

                        """

                        both = 0

                        ldp = 1

                        tdp = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Mpls.Label.ProtocolEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:label'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.protocol is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Mpls.Label']['meta_info']


                class Ldp(object):
                    """
                    Configure Label Distribution Protocol (LDP) parameters
                    
                    .. attribute:: discovery
                    
                    	Configure interface LDP Discovery parameters
                    	**type**\:   :py:class:`Discovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Mpls.Ldp.Discovery>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.discovery = Native.Interface.Fastethernet.Mpls.Ldp.Discovery()
                        self.discovery.parent = self


                    class Discovery(object):
                        """
                        Configure interface LDP Discovery parameters
                        
                        .. attribute:: transport_address
                        
                        	Specify interface LDP transport address
                        	**type**\: one of the below types:
                        
                        	**type**\:   :py:class:`LdpDiscoveryAddressTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_mpls.LdpDiscoveryAddressTypeEnum>`
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.transport_address = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:discovery'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.transport_address is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Mpls.Ldp.Discovery']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:ldp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.discovery is not None and self.discovery._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Mpls.Ldp']['meta_info']


                class TrafficEng(object):
                    """
                    Configure Traffic Engineering parameters
                    
                    .. attribute:: administrative_weight
                    
                    	Set the administrative weight for the interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: attribute_flags
                    
                    	Set user\-defined interface attibute flags
                    	**type**\:  str
                    
                    .. attribute:: backup_path
                    
                    	Configure an MPLS TE backup for this interface
                    	**type**\:  str
                    
                    .. attribute:: flooding
                    
                    	Set flooding parameters
                    	**type**\:   :py:class:`Flooding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Mpls.TrafficEng.Flooding>`
                    
                    .. attribute:: tunnels
                    
                    	enable MPLS Traffic Engineering tunnels
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.administrative_weight = None
                        self.attribute_flags = None
                        self.backup_path = None
                        self.flooding = Native.Interface.Fastethernet.Mpls.TrafficEng.Flooding()
                        self.flooding.parent = self
                        self.tunnels = None


                    class Flooding(object):
                        """
                        Set flooding parameters
                        
                        .. attribute:: thresholds
                        
                        	Set flooding thresholds
                        	**type**\:   :py:class:`Thresholds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Mpls.TrafficEng.Flooding.Thresholds>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.thresholds = Native.Interface.Fastethernet.Mpls.TrafficEng.Flooding.Thresholds()
                            self.thresholds.parent = self


                        class Thresholds(object):
                            """
                            Set flooding thresholds
                            
                            .. attribute:: down
                            
                            	Set the thresholds for decreased resource availability
                            	**type**\:  list of int
                            
                            	**range:** 0..100
                            
                            .. attribute:: up
                            
                            	Set the thresholds for increased resource availability
                            	**type**\:  list of int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.down = YLeafList()
                                self.down.parent = self
                                self.down.name = 'down'
                                self.up = YLeafList()
                                self.up.parent = self
                                self.up.name = 'up'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:thresholds'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.down is not None:
                                    for child in self.down:
                                        if child is not None:
                                            return True

                                if self.up is not None:
                                    for child in self.up:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Mpls.TrafficEng.Flooding.Thresholds']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:flooding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.thresholds is not None and self.thresholds._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Mpls.TrafficEng.Flooding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:traffic-eng'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.administrative_weight is not None:
                            return True

                        if self.attribute_flags is not None:
                            return True

                        if self.backup_path is not None:
                            return True

                        if self.flooding is not None and self.flooding._has_data():
                            return True

                        if self.tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Mpls.TrafficEng']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.accounting is not None and self.accounting._has_data():
                        return True

                    if self.bgp is not None and self.bgp._has_data():
                        return True

                    if self.ip is not None:
                        return True

                    if self.label is not None and self.label._has_data():
                        return True

                    if self.ldp is not None and self.ldp._has_data():
                        return True

                    if self.mtu is not None:
                        return True

                    if self.traffic_eng is not None and self.traffic_eng._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.Fastethernet.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.Fastethernet.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Flow>`
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.HoldTime>`
                
                .. attribute:: igmp
                
                	IGMP interface commands
                	**type**\:   :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Igmp>`
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol
                	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Lisp>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: nat
                
                	NAT interface commands
                	**type**\:   :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Nat>`
                
                .. attribute:: nbar
                
                	Network\-Based Application Recognition
                	**type**\:   :py:class:`Nbar <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Nbar>`
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.NoAddress>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:   :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Ospf>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: unreachables
                
                	Enable sending ICMP Unreachable messages
                	**type**\:  bool
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Vrf>`
                
                .. attribute:: wccp
                
                	WCCP IPv4 interface commands
                	**type**\:   :py:class:`Wccp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Wccp>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Fastethernet.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.Fastethernet.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.Fastethernet.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.Fastethernet.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.Fastethernet.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.flow = Native.Interface.Fastethernet.Ip.Flow()
                    self.flow.parent = self
                    self.hello_interval = Native.Interface.Fastethernet.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.Fastethernet.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.igmp = Native.Interface.Fastethernet.Ip.Igmp()
                    self.igmp.parent = self
                    self.lisp = Native.Interface.Fastethernet.Ip.Lisp()
                    self.lisp.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.nat = Native.Interface.Fastethernet.Ip.Nat()
                    self.nat.parent = self
                    self.nbar = Native.Interface.Fastethernet.Ip.Nbar()
                    self.nbar.parent = self
                    self.no_address = Native.Interface.Fastethernet.Ip.NoAddress()
                    self.no_address.parent = self
                    self.ospf = Native.Interface.Fastethernet.Ip.Ospf()
                    self.ospf.parent = self
                    self.pim = Native.Interface.Fastethernet.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.Fastethernet.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.Fastethernet.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.Fastethernet.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.Fastethernet.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.Fastethernet.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.unreachables = None
                    self.verify = Native.Interface.Fastethernet.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.Fastethernet.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.Fastethernet.Ip.Vrf()
                    self.vrf.parent = self
                    self.wccp = Native.Interface.Fastethernet.Ip.Wccp()
                    self.wccp.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.Fastethernet.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.Fastethernet.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Fastethernet.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Fastethernet.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Fastethernet.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Fastethernet.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.Fastethernet.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Fastethernet.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.Fastethernet.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.Fastethernet.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.Fastethernet.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Fastethernet.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Fastethernet.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    .. attribute:: accept_register
                    
                    	
                    	**type**\:   :py:class:`AcceptRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Pim.AcceptRegister>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM router DR priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: nbma_mode
                    
                    	Enable PIM nbma\-mode operation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: query_interval
                    
                    	PIM router query interval
                    	**type**\:   :py:class:`QueryInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Pim.QueryInterval>`
                    
                    .. attribute:: sparse_mode
                    
                    	
                    	**type**\:   :py:class:`SparseModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Pim.SparseModeEnum>`
                    
                    .. attribute:: spt_threshold
                    
                    	
                    	**type**\:   :py:class:`SptThresholdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Pim.SptThresholdEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.accept_register = Native.Interface.Fastethernet.Ip.Pim.AcceptRegister()
                        self.accept_register.parent = self
                        self.dr_priority = None
                        self.nbma_mode = None
                        self.query_interval = Native.Interface.Fastethernet.Ip.Pim.QueryInterval()
                        self.query_interval.parent = self
                        self.sparse_mode = None
                        self.spt_threshold = None

                    class SparseModeEnum(Enum):
                        """
                        SparseModeEnum

                        .. data:: sparse_dense_mode = 0

                        .. data:: sparse_mode = 1

                        """

                        sparse_dense_mode = 0

                        sparse_mode = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Pim.SparseModeEnum']


                    class SptThresholdEnum(Enum):
                        """
                        SptThresholdEnum

                        .. data:: infinity = 0

                        """

                        infinity = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Pim.SptThresholdEnum']



                    class AcceptRegister(object):
                        """
                        
                        
                        .. attribute:: list
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.list = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:accept-register'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Pim.AcceptRegister']['meta_info']


                    class QueryInterval(object):
                        """
                        PIM router query interval
                        
                        .. attribute:: milliseconds_interval
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 100..65535
                        
                        .. attribute:: msec
                        
                        	Query interval in milliseconds
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        .. attribute:: seconds_interval
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..18725
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.milliseconds_interval = None
                            self.msec = None
                            self.seconds_interval = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:query-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.milliseconds_interval is not None:
                                return True

                            if self.msec is not None:
                                return True

                            if self.seconds_interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Pim.QueryInterval']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.accept_register is not None and self.accept_register._has_data():
                            return True

                        if self.dr_priority is not None:
                            return True

                        if self.nbma_mode is not None:
                            return True

                        if self.query_interval is not None and self.query_interval._has_data():
                            return True

                        if self.sparse_mode is not None:
                            return True

                        if self.spt_threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    .. attribute:: client
                    
                    	DHCP client configuration
                    	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Dhcp.Client>`
                    
                    .. attribute:: relay
                    
                    	DHCP relay configuration parameters
                    	**type**\:   :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Dhcp.Relay>`
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.client = Native.Interface.Fastethernet.Ip.Dhcp.Client()
                        self.client.parent = self
                        self.relay = Native.Interface.Fastethernet.Ip.Dhcp.Relay()
                        self.relay.parent = self
                        self.snooping = Native.Interface.Fastethernet.Ip.Dhcp.Snooping()
                        self.snooping.parent = self


                    class Client(object):
                        """
                        DHCP client configuration
                        
                        .. attribute:: hostname
                        
                        	Specify hostname to use
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hostname = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:client'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Client']['meta_info']


                    class Relay(object):
                        """
                        DHCP relay configuration parameters
                        
                        .. attribute:: information
                        
                        	DHCP relay information option
                        	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information>`
                        
                        .. attribute:: source_interface
                        
                        	Set source interface for relayed messages
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.information = Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information()
                            self.information.parent = self
                            self.source_interface = None


                        class Information(object):
                            """
                            DHCP relay information option
                            
                            .. attribute:: check_reply
                            
                            	Validate relay information in BOOTREPLY
                            	**type**\:   :py:class:`CheckReply <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.CheckReply>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: option
                            
                            	DHCP relay information option
                            	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.Option>`
                            
                            .. attribute:: option_insert
                            
                            	Insert relay information in BOOTREQUEST
                            	**type**\:   :py:class:`OptionInsert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.OptionInsert>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: policy_action
                            
                            	Define reforwarding policy
                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.PolicyActionEnum>`
                            
                            .. attribute:: trusted
                            
                            	Received DHCP packet may contain relay info option with zero giaddr
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.check_reply = None
                                self.option = Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.Option()
                                self.option.parent = self
                                self.option_insert = None
                                self.policy_action = None
                                self.trusted = None

                            class PolicyActionEnum(Enum):
                                """
                                PolicyActionEnum

                                Define reforwarding policy

                                .. data:: drop = 0

                                .. data:: encapsulate = 1

                                .. data:: keep = 2

                                .. data:: replace = 3

                                """

                                drop = 0

                                encapsulate = 1

                                keep = 2

                                replace = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.PolicyActionEnum']



                            class CheckReply(object):
                                """
                                Validate relay information in BOOTREPLY
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.none = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:check-reply'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.none is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.CheckReply']['meta_info']


                            class Option(object):
                                """
                                DHCP relay information option
                                
                                .. attribute:: subscriber_id
                                
                                	Subscriber identifier sub option
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.subscriber_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.subscriber_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.Option']['meta_info']


                            class OptionInsert(object):
                                """
                                Insert relay information in BOOTREQUEST
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.none = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option-insert'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.none is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information.OptionInsert']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.check_reply is not None and self.check_reply._has_data():
                                    return True

                                if self.option is not None and self.option._has_data():
                                    return True

                                if self.option_insert is not None and self.option_insert._has_data():
                                    return True

                                if self.policy_action is not None:
                                    return True

                                if self.trusted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Relay.Information']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:relay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.information is not None and self.information._has_data():
                                return True

                            if self.source_interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Relay']['meta_info']


                    class Snooping(object):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Limit>`
                        
                        .. attribute:: trust
                        
                        	DHCP Snooping trust config
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	DHCP Snooping vlan
                        	**type**\: list of    :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self.trust = None
                            self.vlan = YList()
                            self.vlan.parent = self
                            self.vlan.name = 'vlan'


                        class Limit(object):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP Snooping limit
                            	**type**\:  int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Limit']['meta_info']


                        class Vlan(object):
                            """
                            DHCP Snooping vlan
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            .. attribute:: information
                            
                            	DHCP Snooping information
                            	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.information = Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information()
                                self.information.parent = self


                            class Information(object):
                                """
                                DHCP Snooping information
                                
                                .. attribute:: option
                                
                                	DHCP Snooping information option
                                	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option>`
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.option = Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option()
                                    self.option.parent = self


                                class Option(object):
                                    """
                                    DHCP Snooping information option
                                    
                                    .. attribute:: format_type
                                    
                                    	Option 82 information format
                                    	**type**\:   :py:class:`FormatType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-dhcp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.format_type = Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType()
                                        self.format_type.parent = self


                                    class FormatType(object):
                                        """
                                        Option 82 information format
                                        
                                        .. attribute:: circuit_id
                                        
                                        	Circuit id option 82 format
                                        	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId>`
                                        
                                        

                                        """

                                        _prefix = 'ios-dhcp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.circuit_id = Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId()
                                            self.circuit_id.parent = self


                                        class CircuitId(object):
                                            """
                                            Circuit id option 82 format
                                            
                                            .. attribute:: string
                                            
                                            	User defined string for circuit id
                                            	**type**\:  str
                                            
                                            	**length:** 3..63
                                            
                                            

                                            """

                                            _prefix = 'ios-dhcp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.string = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:circuit-id'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.string is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:format-type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.circuit_id is not None and self.circuit_id._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.format_type is not None and self.format_type._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:information'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.option is not None and self.option._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan.Information']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:vlan[Cisco-IOS-XE-dhcp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.information is not None and self.information._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Snooping.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:snooping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            if self.vlan is not None:
                                for child_ref in self.vlan:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Dhcp.Snooping']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.client is not None and self.client._has_data():
                            return True

                        if self.relay is not None and self.relay._has_data():
                            return True

                        if self.snooping is not None and self.snooping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.Fastethernet.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.Fastethernet.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.Fastethernet.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.Verify']['meta_info']


                class Flow(object):
                    """
                    NetFlow related commands
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of    :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.egress = None
                        self.ingress = None
                        self.monitor = YList()
                        self.monitor.parent = self
                        self.monitor.name = 'monitor'


                    class Monitor(object):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\:  str
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of    :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Flow.Monitor.Sampler>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.input = None
                            self.multicast = None
                            self.output = None
                            self.sampler = YList()
                            self.sampler.parent = self
                            self.sampler.name = 'sampler'
                            self.unicast = None


                        class Sampler(object):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Flow.Monitor.Sampler.DirectionEnum>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.direction = None
                                self.name = None

                            class DirectionEnum(Enum):
                                """
                                DirectionEnum

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = 0

                                output = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ip.Flow.Monitor.Sampler.DirectionEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.direction is None:
                                    raise YPYModelError('Key property direction is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:sampler[Cisco-IOS-XE-flow:direction = ' + str(self.direction) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.direction is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Flow.Monitor.Sampler']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:monitor[Cisco-IOS-XE-flow:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.input is not None:
                                return True

                            if self.multicast is not None:
                                return True

                            if self.output is not None:
                                return True

                            if self.sampler is not None:
                                for child_ref in self.sampler:
                                    if child_ref._has_data():
                                        return True

                            if self.unicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Flow.Monitor']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.egress is not None:
                            return True

                        if self.ingress is not None:
                            return True

                        if self.monitor is not None:
                            for child_ref in self.monitor:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.Flow']['meta_info']


                class Igmp(object):
                    """
                    IGMP interface commands
                    
                    .. attribute:: join_group
                    
                    	IGMP join multicast group
                    	**type**\: list of    :py:class:`JoinGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Igmp.JoinGroup>`
                    
                    .. attribute:: static_group
                    
                    	IGMP static multicast group
                    	**type**\:   :py:class:`StaticGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Igmp.StaticGroup>`
                    
                    .. attribute:: version
                    
                    	IGMP version
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.join_group = YList()
                        self.join_group.parent = self
                        self.join_group.name = 'join_group'
                        self.static_group = Native.Interface.Fastethernet.Ip.Igmp.StaticGroup()
                        self.static_group.parent = self
                        self.version = None


                    class StaticGroup(object):
                        """
                        IGMP static multicast group
                        
                        .. attribute:: class_map
                        
                        	Class map of type multicast\-flows
                        	**type**\: list of    :py:class:`ClassMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Igmp.StaticGroup.ClassMap>`
                        
                        .. attribute:: groups
                        
                        	
                        	**type**\: list of    :py:class:`Groups <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Igmp.StaticGroup.Groups>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.class_map = YList()
                            self.class_map.parent = self
                            self.class_map.name = 'class_map'
                            self.groups = YList()
                            self.groups.parent = self
                            self.groups.name = 'groups'


                        class Groups(object):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:   :py:class:`NameEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            class NameEnum(Enum):
                                """
                                NameEnum

                                .. data:: Y__STAR__ = 0

                                """

                                Y__STAR__ = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ip.Igmp.StaticGroup.Groups.NameEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-igmp:groups[Cisco-IOS-XE-igmp:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Igmp.StaticGroup.Groups']['meta_info']


                        class ClassMap(object):
                            """
                            Class map of type multicast\-flows
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-igmp:class-map[Cisco-IOS-XE-igmp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Igmp.StaticGroup.ClassMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-igmp:static-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.class_map is not None:
                                for child_ref in self.class_map:
                                    if child_ref._has_data():
                                        return True

                            if self.groups is not None:
                                for child_ref in self.groups:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Igmp.StaticGroup']['meta_info']


                    class JoinGroup(object):
                        """
                        IGMP join multicast group
                        
                        .. attribute:: ip_group_address  <key>
                        
                        	IP group address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source
                        
                        	IP source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip_group_address = None
                            self.source = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ip_group_address is None:
                                raise YPYModelError('Key property ip_group_address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-igmp:join-group[Cisco-IOS-XE-igmp:ip-group-address = ' + str(self.ip_group_address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip_group_address is not None:
                                return True

                            if self.source is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Igmp.JoinGroup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-igmp:igmp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.join_group is not None:
                            for child_ref in self.join_group:
                                if child_ref._has_data():
                                    return True

                        if self.static_group is not None and self.static_group._has_data():
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.Igmp']['meta_info']


                class Lisp(object):
                    """
                    Locator/ID Separation Protocol
                    
                    .. attribute:: source_locator
                    
                    	Choose IP source address for LISP packets egressing this interface
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source_locator = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source_locator is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.Lisp']['meta_info']


                class Nat(object):
                    """
                    NAT interface commands
                    
                    .. attribute:: allow_static_host
                    
                    	Allow static\-ip clients
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Enable Address Translation (NVI)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: inside
                    
                    	Inside interface for address translation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: outside
                    
                    	Outside interface for address translation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-nat'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.allow_static_host = None
                        self.enable = None
                        self.inside = None
                        self.outside = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-nat:nat'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.allow_static_host is not None:
                            return True

                        if self.enable is not None:
                            return True

                        if self.inside is not None:
                            return True

                        if self.outside is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.Nat']['meta_info']


                class Nbar(object):
                    """
                    Network\-Based Application Recognition
                    
                    .. attribute:: protocol_discovery
                    
                    	Enable protocol discovery for both ipv4 and ipv6
                    	**type**\:   :py:class:`ProtocolDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Nbar.ProtocolDiscovery>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.protocol_discovery = None


                    class ProtocolDiscovery(object):
                        """
                        Enable protocol discovery for both ipv4 and ipv6
                        
                        .. attribute:: ipv4_ipv6
                        
                        	
                        	**type**\:   :py:class:`Ipv4Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-nbar'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ipv4_ipv6 = None

                        class Ipv4Ipv6Enum(Enum):
                            """
                            Ipv4Ipv6Enum

                            .. data:: ipv4 = 0

                            .. data:: ipv6 = 1

                            """

                            ipv4 = 0

                            ipv6 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nbar:protocol-discovery'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ipv4_ipv6 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Nbar.ProtocolDiscovery']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-nbar:nbar'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.protocol_discovery is not None and self.protocol_discovery._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.Nbar']['meta_info']


                class Ospf(object):
                    """
                    OSPF interface commands
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Ospf.Authentication>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: authentication_key
                    
                    	Set authentication key
                    	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Ospf.AuthenticationKey>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:   :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Ospf.DeadInterval>`
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF Demand Circuit
                    	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: fast_reroute
                    
                    	LFA FastReroute parameters
                    	**type**\:   :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Ospf.FastReroute>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: lls
                    
                    	Link\-local Signaling (LLS) support
                    	**type**\:   :py:class:`Lls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Ospf.Lls>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: message_digest_key
                    
                    	Set message digest key
                    	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Ospf.MessageDigestKey>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Ospf.MultiArea>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:   :py:class:`NetworkEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Ospf.NetworkEnum>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Ospf.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: process_id
                    
                    	
                    	**type**\: list of    :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Ospf.ProcessId>`
                    
                    .. attribute:: resync_timeout
                    
                    	Interval after which adjacency is reset if oob\-resync is not started
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Set OSPF protocol's state to disable under current interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ttl_security
                    
                    	TTL security check
                    	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Ospf.TtlSecurity>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authentication = None
                        self.authentication_key = Native.Interface.Fastethernet.Ip.Ospf.AuthenticationKey()
                        self.authentication_key.parent = self
                        self.bfd = None
                        self.cost = None
                        self.database_filter = Native.Interface.Fastethernet.Ip.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self.dead_interval = Native.Interface.Fastethernet.Ip.Ospf.DeadInterval()
                        self.dead_interval.parent = self
                        self.demand_circuit = None
                        self.fast_reroute = Native.Interface.Fastethernet.Ip.Ospf.FastReroute()
                        self.fast_reroute.parent = self
                        self.flood_reduction = None
                        self.hello_interval = None
                        self.lls = None
                        self.message_digest_key = YList()
                        self.message_digest_key.parent = self
                        self.message_digest_key.name = 'message_digest_key'
                        self.mtu_ignore = None
                        self.multi_area = Native.Interface.Fastethernet.Ip.Ospf.MultiArea()
                        self.multi_area.parent = self
                        self.network = None
                        self.prefix_suppression = None
                        self.priority = None
                        self.process_id = YList()
                        self.process_id.parent = self
                        self.process_id.name = 'process_id'
                        self.resync_timeout = None
                        self.retransmit_interval = None
                        self.shutdown = None
                        self.transmit_delay = None
                        self.ttl_security = None

                    class NetworkEnum(Enum):
                        """
                        NetworkEnum

                        Network type

                        .. data:: broadcast = 0

                        .. data:: non_broadcast = 1

                        .. data:: point_to_multipoint = 2

                        .. data:: point_to_point = 3

                        """

                        broadcast = 0

                        non_broadcast = 1

                        point_to_multipoint = 2

                        point_to_point = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Ospf.NetworkEnum']



                    class ProcessId(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: area
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: none
                        
                        	Do not include secondary IP addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secondaries
                        
                        	Include or exclude secondary IP addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.area = None
                            self.none = None
                            self.secondaries = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:process-id[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.area is not None:
                                return True

                            if self.none is not None:
                                return True

                            if self.secondaries is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Ospf.ProcessId']['meta_info']


                    class Authentication(object):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Ospf.Authentication.KeyChain>`
                        
                        .. attribute:: message_digest
                        
                        	Use message\-digest authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.key_chain = Native.Interface.Fastethernet.Ip.Ospf.Authentication.KeyChain()
                            self.key_chain.parent = self
                            self.message_digest = None
                            self.null = None


                        class KeyChain(object):
                            """
                            Use a key\-chain for cryptographic authentication keys
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-chain'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Ospf.Authentication.KeyChain']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.key_chain is not None and self.key_chain._has_data():
                                return True

                            if self.message_digest is not None:
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Ospf.Authentication']['meta_info']


                    class AuthenticationKey(object):
                        """
                        Set authentication key
                        
                        .. attribute:: auth_key
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: auth_type
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.auth_key = None
                            self.auth_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication-key'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.auth_key is not None:
                                return True

                            if self.auth_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Ospf.AuthenticationKey']['meta_info']


                    class Bfd(object):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Ospf.Bfd']['meta_info']


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Outgoing LSA
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.out = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.out is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Ospf.DatabaseFilter']['meta_info']


                    class DeadInterval(object):
                        """
                        Interval after which a neighbor is declared dead
                        
                        .. attribute:: minimal
                        
                        	Set to 1 second
                        	**type**\:   :py:class:`Minimal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Ospf.DeadInterval.Minimal>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.minimal = Native.Interface.Fastethernet.Ip.Ospf.DeadInterval.Minimal()
                            self.minimal.parent = self
                            self.value = None


                        class Minimal(object):
                            """
                            Set to 1 second
                            
                            .. attribute:: hello_multiplier
                            
                            	Set multiplier for Hellos
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hello_multiplier = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:minimal'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hello_multiplier is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Ospf.DeadInterval.Minimal']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:dead-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.minimal is not None and self.minimal._has_data():
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Ospf.DeadInterval']['meta_info']


                    class DemandCircuit(object):
                        """
                        OSPF Demand Circuit
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:demand-circuit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Ospf.DemandCircuit']['meta_info']


                    class FastReroute(object):
                        """
                        LFA FastReroute parameters
                        
                        .. attribute:: per_prefix
                        
                        	Per\-prefix LFA FRR parameters
                        	**type**\:   :py:class:`PerPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Ospf.FastReroute.PerPrefix>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.per_prefix = Native.Interface.Fastethernet.Ip.Ospf.FastReroute.PerPrefix()
                            self.per_prefix.parent = self


                        class PerPrefix(object):
                            """
                            Per\-prefix LFA FRR parameters
                            
                            .. attribute:: candidate
                            
                            	If interface can be protecting
                            	**type**\:   :py:class:`Candidate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Ospf.FastReroute.PerPrefix.Candidate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: protection
                            
                            	If interface can be protected
                            	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Ospf.FastReroute.PerPrefix.Protection>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.candidate = None
                                self.protection = None


                            class Candidate(object):
                                """
                                If interface can be protecting
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:candidate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ip.Ospf.FastReroute.PerPrefix.Candidate']['meta_info']


                            class Protection(object):
                                """
                                If interface can be protected
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:protection'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ip.Ospf.FastReroute.PerPrefix.Protection']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:per-prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.candidate is not None and self.candidate._has_data():
                                    return True

                                if self.protection is not None and self.protection._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Ospf.FastReroute.PerPrefix']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:fast-reroute'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.per_prefix is not None and self.per_prefix._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Ospf.FastReroute']['meta_info']


                    class Lls(object):
                        """
                        Link\-local Signaling (LLS) support
                        
                        .. attribute:: disable
                        
                        	disable LLS
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:lls'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Ospf.Lls']['meta_info']


                    class MessageDigestKey(object):
                        """
                        Set message digest key
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: md5
                        
                        	Use MD5 algorithm
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Ospf.MessageDigestKey.Md5>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.md5 = Native.Interface.Fastethernet.Ip.Ospf.MessageDigestKey.Md5()
                            self.md5.parent = self


                        class Md5(object):
                            """
                            Use MD5 algorithm
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.auth_key = None
                                self.auth_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.auth_key is not None:
                                    return True

                                if self.auth_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Ospf.MessageDigestKey.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:message-digest-key[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.md5 is not None and self.md5._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Ospf.MessageDigestKey']['meta_info']


                    class MultiArea(object):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cost = None
                            self.id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:multi-area'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cost is not None:
                                return True

                            if self.id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Ospf.MultiArea']['meta_info']


                    class PrefixSuppression(object):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:prefix-suppression'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Ospf.PrefixSuppression']['meta_info']


                    class TtlSecurity(object):
                        """
                        TTL security check
                        
                        .. attribute:: diable
                        
                        	disable TTL security check
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hops
                        
                        	IP hops
                        	**type**\:  int
                        
                        	**range:** 1..254
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.diable = None
                            self.hops = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:ttl-security'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.diable is not None:
                                return True

                            if self.hops is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Ospf.TtlSecurity']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ospf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.authentication_key is not None and self.authentication_key._has_data():
                            return True

                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        if self.cost is not None:
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.dead_interval is not None and self.dead_interval._has_data():
                            return True

                        if self.demand_circuit is not None and self.demand_circuit._has_data():
                            return True

                        if self.fast_reroute is not None and self.fast_reroute._has_data():
                            return True

                        if self.flood_reduction is not None:
                            return True

                        if self.hello_interval is not None:
                            return True

                        if self.lls is not None and self.lls._has_data():
                            return True

                        if self.message_digest_key is not None:
                            for child_ref in self.message_digest_key:
                                if child_ref._has_data():
                                    return True

                        if self.mtu_ignore is not None:
                            return True

                        if self.multi_area is not None and self.multi_area._has_data():
                            return True

                        if self.network is not None:
                            return True

                        if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.process_id is not None:
                            for child_ref in self.process_id:
                                if child_ref._has_data():
                                    return True

                        if self.resync_timeout is not None:
                            return True

                        if self.retransmit_interval is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.transmit_delay is not None:
                            return True

                        if self.ttl_security is not None and self.ttl_security._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.Ospf']['meta_info']


                class Wccp(object):
                    """
                    WCCP IPv4 interface commands
                    
                    .. attribute:: redirect
                    
                    	Set packet redirection options
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Wccp.Redirect>`
                    
                    .. attribute:: vrf
                    
                    	Configure WCCP for a VRF
                    	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Wccp.Vrf>`
                    
                    .. attribute:: wccp_list
                    
                    	
                    	**type**\: list of    :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Wccp.WccpList>`
                    
                    .. attribute:: web_cache
                    
                    	Standard web caching service
                    	**type**\:   :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Wccp.WebCache>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.redirect = Native.Interface.Fastethernet.Ip.Wccp.Redirect()
                        self.redirect.parent = self
                        self.vrf = YList()
                        self.vrf.parent = self
                        self.vrf.name = 'vrf'
                        self.wccp_list = YList()
                        self.wccp_list.parent = self
                        self.wccp_list.name = 'wccp_list'
                        self.web_cache = Native.Interface.Fastethernet.Ip.Wccp.WebCache()
                        self.web_cache.parent = self


                    class WccpList(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..254
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Wccp.WccpList.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.group_listen = None
                            self.redirect = Native.Interface.Fastethernet.Ip.Wccp.WccpList.Redirect()
                            self.redirect.parent = self


                        class Redirect(object):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Wccp.WccpList.Redirect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp-list[Cisco-IOS-XE-wccp:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.group_listen is not None:
                                return True

                            if self.redirect is not None and self.redirect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Wccp.WccpList']['meta_info']


                    class WebCache(object):
                        """
                        Standard web caching service
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Wccp.WebCache.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.group_listen = None
                            self.redirect = Native.Interface.Fastethernet.Ip.Wccp.WebCache.Redirect()
                            self.redirect.parent = self


                        class Redirect(object):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Wccp.WebCache.Redirect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:web-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.group_listen is not None:
                                return True

                            if self.redirect is not None and self.redirect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Wccp.WebCache']['meta_info']


                    class Redirect(object):
                        """
                        Set packet redirection options
                        
                        .. attribute:: exclude
                        
                        	Exclude packets from redirection
                        	**type**\:   :py:class:`Exclude <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Wccp.Redirect.Exclude>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.exclude = Native.Interface.Fastethernet.Ip.Wccp.Redirect.Exclude()
                            self.exclude.parent = self


                        class Exclude(object):
                            """
                            Exclude packets from redirection
                            
                            .. attribute:: in_
                            
                            	Exclude inbound packets from outbound redirection
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:exclude'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Wccp.Redirect.Exclude']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.exclude is not None and self.exclude._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Wccp.Redirect']['meta_info']


                    class Vrf(object):
                        """
                        Configure WCCP for a VRF
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: wccp_list
                        
                        	
                        	**type**\: list of    :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Wccp.Vrf.WccpList>`
                        
                        .. attribute:: web_cache
                        
                        	Standard web caching service
                        	**type**\:   :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Wccp.Vrf.WebCache>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.wccp_list = YList()
                            self.wccp_list.parent = self
                            self.wccp_list.name = 'wccp_list'
                            self.web_cache = Native.Interface.Fastethernet.Ip.Wccp.Vrf.WebCache()
                            self.web_cache.parent = self


                        class WccpList(object):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..254
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Wccp.Vrf.WccpList.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.group_listen = None
                                self.redirect = Native.Interface.Fastethernet.Ip.Wccp.Vrf.WccpList.Redirect()
                                self.redirect.parent = self


                            class Redirect(object):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ip.Wccp.Vrf.WccpList.Redirect']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp-list[Cisco-IOS-XE-wccp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.group_listen is not None:
                                    return True

                                if self.redirect is not None and self.redirect._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Wccp.Vrf.WccpList']['meta_info']


                        class WebCache(object):
                            """
                            Standard web caching service
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ip.Wccp.Vrf.WebCache.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group_listen = None
                                self.redirect = Native.Interface.Fastethernet.Ip.Wccp.Vrf.WebCache.Redirect()
                                self.redirect.parent = self


                            class Redirect(object):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ip.Wccp.Vrf.WebCache.Redirect']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:web-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group_listen is not None:
                                    return True

                                if self.redirect is not None and self.redirect._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ip.Wccp.Vrf.WebCache']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:vrf[Cisco-IOS-XE-wccp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.wccp_list is not None:
                                for child_ref in self.wccp_list:
                                    if child_ref._has_data():
                                        return True

                            if self.web_cache is not None and self.web_cache._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ip.Wccp.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.vrf is not None:
                            for child_ref in self.vrf:
                                if child_ref._has_data():
                                    return True

                        if self.wccp_list is not None:
                            for child_ref in self.wccp_list:
                                if child_ref._has_data():
                                    return True

                        if self.web_cache is not None and self.web_cache._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ip.Wccp']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.flow is not None and self.flow._has_data():
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.igmp is not None and self.igmp._has_data():
                        return True

                    if self.lisp is not None and self.lisp._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nat is not None and self.nat._has_data():
                        return True

                    if self.nbar is not None and self.nbar._has_data():
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.ospf is not None and self.ospf._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.unreachables is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    if self.wccp is not None and self.wccp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Flow>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Nd>`
                
                .. attribute:: no_pim
                
                	
                	**type**\:   :py:class:`NoPim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.NoPim>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:   :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Pim>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: rip
                
                	Configure RIP routing protocol
                	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Rip>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.TrafficFilter>`
                
                .. attribute:: unreachables
                
                	Enable sending ICMP Unreachable messages
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.Fastethernet.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.Fastethernet.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.flow = Native.Interface.Fastethernet.Ipv6.Flow()
                    self.flow.parent = self
                    self.mtu = None
                    self.nd = Native.Interface.Fastethernet.Ipv6.Nd()
                    self.nd.parent = self
                    self.no_pim = Native.Interface.Fastethernet.Ipv6.NoPim()
                    self.no_pim.parent = self
                    self.ospf = Native.Interface.Fastethernet.Ipv6.Ospf()
                    self.ospf.parent = self
                    self.pim = Native.Interface.Fastethernet.Ipv6.Pim()
                    self.pim.parent = self
                    self.redirects = None
                    self.rip = YList()
                    self.rip.parent = self
                    self.rip.name = 'rip'
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'
                    self.unreachables = None


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    .. attribute:: guard
                    
                    	Configure IPv6 DHCP guard on the interface
                    	**type**\:   :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Dhcp.Guard>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: server
                    
                    	Act as an IPv6 DHCP server
                    	**type**\: list of    :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Dhcp.Server>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.guard = None
                        self.server = YList()
                        self.server.parent = self
                        self.server.name = 'server'


                    class Server(object):
                        """
                        Act as an IPv6 DHCP server
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: preference
                        
                        	Preference
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.word = None
                            self.preference = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.word is None:
                                raise YPYModelError('Key property word is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:server[Cisco-IOS-XE-dhcp:word = ' + str(self.word) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.word is not None:
                                return True

                            if self.preference is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Dhcp.Server']['meta_info']


                    class Guard(object):
                        """
                        Configure IPv6 DHCP guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature DHCP Guard
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.attach_policy = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:guard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.attach_policy is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Dhcp.Guard']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.guard is not None and self.guard._has_data():
                            return True

                        if self.server is not None:
                            for child_ref in self.server:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Nd.Autoconfig>`
                    
                    .. attribute:: managed_config_flag
                    
                    	Use DHCP for IPv6 address configuration
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ra
                    
                    	IPv6 nd router alert configuration
                    	**type**\:   :py:class:`Ra <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Nd.Ra>`
                    
                    .. attribute:: raguard
                    
                    	Configure RA guard on the interface
                    	**type**\:   :py:class:`Raguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Nd.Raguard>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = Native.Interface.Fastethernet.Ipv6.Nd.Autoconfig()
                        self.autoconfig.parent = self
                        self.managed_config_flag = None
                        self.ra = Native.Interface.Fastethernet.Ipv6.Nd.Ra()
                        self.ra.parent = self
                        self.raguard = Native.Interface.Fastethernet.Ipv6.Nd.Raguard()
                        self.raguard.parent = self


                    class Raguard(object):
                        """
                        Configure RA guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature RA guard
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.attach_policy = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:raguard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.attach_policy is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Nd.Raguard']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default_route
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefix
                        
                        	Insert auto\-configured prefix
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.default_route = None
                            self.prefix = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.default_route is not None:
                                return True

                            if self.prefix is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Nd.Autoconfig']['meta_info']


                    class Ra(object):
                        """
                        IPv6 nd router alert configuration
                        
                        .. attribute:: suppress
                        
                        	Suppress IPv6 router\-alert configuration
                        	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Nd.Ra.Suppress>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.suppress = None


                        class Suppress(object):
                            """
                            Suppress IPv6 router\-alert configuration
                            
                            .. attribute:: all
                            
                            	Suppress all IPv6 RA
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-nd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.all = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-nd:suppress'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.all is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Nd.Ra.Suppress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:ra'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.suppress is not None and self.suppress._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Nd.Ra']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.managed_config_flag is not None:
                            return True

                        if self.ra is not None and self.ra._has_data():
                            return True

                        if self.raguard is not None and self.raguard._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ipv6.TrafficFilter']['meta_info']


                class Flow(object):
                    """
                    NetFlow related commands
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of    :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.egress = None
                        self.ingress = None
                        self.monitor = YList()
                        self.monitor.parent = self
                        self.monitor.name = 'monitor'


                    class Monitor(object):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\:  str
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of    :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Flow.Monitor.Sampler>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.input = None
                            self.multicast = None
                            self.output = None
                            self.sampler = YList()
                            self.sampler.parent = self
                            self.sampler.name = 'sampler'
                            self.unicast = None


                        class Sampler(object):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Flow.Monitor.Sampler.DirectionEnum>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.direction = None
                                self.name = None

                            class DirectionEnum(Enum):
                                """
                                DirectionEnum

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = 0

                                output = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Flow.Monitor.Sampler.DirectionEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.direction is None:
                                    raise YPYModelError('Key property direction is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:sampler[Cisco-IOS-XE-flow:direction = ' + str(self.direction) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.direction is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Flow.Monitor.Sampler']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:monitor[Cisco-IOS-XE-flow:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.input is not None:
                                return True

                            if self.multicast is not None:
                                return True

                            if self.output is not None:
                                return True

                            if self.sampler is not None:
                                for child_ref in self.sampler:
                                    if child_ref._has_data():
                                        return True

                            if self.unicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Flow.Monitor']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.egress is not None:
                            return True

                        if self.ingress is not None:
                            return True

                        if self.monitor is not None:
                            for child_ref in self.monitor:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Flow']['meta_info']


                class NoPim(object):
                    """
                    
                    
                    .. attribute:: pim
                    
                    	PIM interface commands
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.pim = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:no-pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.pim is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ipv6.NoPim']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    .. attribute:: bfd
                    
                    	Configure BFD
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bsr
                    
                    	Configure BSR
                    	**type**\:   :py:class:`Bsr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Pim.Bsr>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM Hello DR priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bfd = None
                        self.bsr = Native.Interface.Fastethernet.Ipv6.Pim.Bsr()
                        self.bsr.parent = self
                        self.dr_priority = None


                    class Bsr(object):
                        """
                        Configure BSR
                        
                        .. attribute:: border
                        
                        	Border of PIM BSR domain
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.border = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:bsr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.border is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Pim.Bsr']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bfd is not None:
                            return True

                        if self.bsr is not None and self.bsr._has_data():
                            return True

                        if self.dr_priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Pim']['meta_info']


                class Ospf(object):
                    """
                    OSPF interface commands
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: encryption
                    
                    	Enable encryption
                    	**type**\:   :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Encryption>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Network>`
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: process
                    
                    	
                    	**type**\: list of    :py:class:`Process <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Process>`
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authentication = Native.Interface.Fastethernet.Ipv6.Ospf.Authentication()
                        self.authentication.parent = self
                        self.bfd = None
                        self.cost = None
                        self.database_filter = Native.Interface.Fastethernet.Ipv6.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self.dead_interval = None
                        self.demand_circuit = None
                        self.encryption = Native.Interface.Fastethernet.Ipv6.Ospf.Encryption()
                        self.encryption.parent = self
                        self.flood_reduction = None
                        self.hello_interval = None
                        self.mtu_ignore = None
                        self.neighbor = YList()
                        self.neighbor.parent = self
                        self.neighbor.name = 'neighbor'
                        self.network = Native.Interface.Fastethernet.Ipv6.Ospf.Network()
                        self.network.parent = self
                        self.priority = None
                        self.process = YList()
                        self.process.parent = self
                        self.process.name = 'process'
                        self.retransmit_interval = None
                        self.shutdown = None
                        self.transmit_delay = None


                    class Process(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: instance
                        
                        	Set the OSPF instance
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..31
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 32..255
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.area = None
                            self.instance = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:process[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.area is not None:
                                return True

                            if self.instance is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Process']['meta_info']


                    class Authentication(object):
                        """
                        Enable authentication
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec authentication
                        	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec>`
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipsec = Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec()
                            self.ipsec.parent = self
                            self.null = None


                        class Ipsec(object):
                            """
                            Use IPsec authentication
                            
                            .. attribute:: md5
                            
                            	Use MD5 authentication
                            	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Md5>`
                            
                            .. attribute:: sha1
                            
                            	Use SHA\-1 authentication
                            	**type**\:   :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1>`
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\:  int
                            
                            	**range:** 256..4294967295
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.md5 = Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Md5()
                                self.md5.parent = self
                                self.sha1 = Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1()
                                self.sha1.parent = self
                                self.spi = None


                            class Md5(object):
                                """
                                Use MD5 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:md5'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Md5']['meta_info']


                            class Sha1(object):
                                """
                                Use SHA\-1 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:sha1'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipsec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.md5 is not None and self.md5._has_data():
                                    return True

                                if self.sha1 is not None and self.sha1._has_data():
                                    return True

                                if self.spi is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Authentication.Ipsec']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipsec is not None and self.ipsec._has_data():
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Authentication']['meta_info']


                    class Bfd(object):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Bfd']['meta_info']


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.DatabaseFilter.AllEnum>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.disable = None

                        class AllEnum(Enum):
                            """
                            AllEnum

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.DatabaseFilter.AllEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.DatabaseFilter']['meta_info']


                    class DemandCircuit(object):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None
                            self.ignore = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:demand-circuit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.DemandCircuit']['meta_info']


                    class Encryption(object):
                        """
                        Enable encryption
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec encryption
                        	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec>`
                        
                        .. attribute:: null
                        
                        	No IPsec encryption on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipsec = Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec()
                            self.ipsec.parent = self
                            self.null = None


                        class Ipsec(object):
                            """
                            Use IPsec encryption
                            
                            .. attribute:: aes_cbc
                            
                            	Use AES\-CBC encryption
                            	**type**\:   :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc>`
                            
                            .. attribute:: esp
                            
                            	Use ESP encapsulation
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipsec_3des
                            
                            	Use 3DES encryption
                            	**type**\:   :py:class:`Ipsec_3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des>`
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aes_cbc = Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc()
                                self.aes_cbc.parent = self
                                self.esp = None
                                self.ipsec_3des = Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des()
                                self.ipsec_3des.parent = self
                                self.spi = None


                            class Ipsec_3Des(object):
                                """
                                Use 3DES encryption
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipsec_3des'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des']['meta_info']


                            class AesCbc(object):
                                """
                                Use AES\-CBC encryption
                                
                                .. attribute:: aes_192
                                
                                	Use 192 bit key
                                	**type**\:   :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192>`
                                
                                .. attribute:: aes_256
                                
                                	Use 256 bit key
                                	**type**\:   :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256>`
                                
                                .. attribute:: aes_cbc_128
                                
                                	Use 128 bit key
                                	**type**\:   :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.aes_192 = Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192()
                                    self.aes_192.parent = self
                                    self.aes_256 = Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256()
                                    self.aes_256.parent = self
                                    self.aes_cbc_128 = Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128()
                                    self.aes_cbc_128.parent = self


                                class AesCbc128(object):
                                    """
                                    Use 128 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_string = Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-cbc-128'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']


                                class Aes192(object):
                                    """
                                    Use 192 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_string = Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-192'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192']['meta_info']


                                class Aes256(object):
                                    """
                                    Use 256 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_string = Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-256'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-cbc'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.aes_192 is not None and self.aes_192._has_data():
                                        return True

                                    if self.aes_256 is not None and self.aes_256._has_data():
                                        return True

                                    if self.aes_cbc_128 is not None and self.aes_cbc_128._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipsec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aes_cbc is not None and self.aes_cbc._has_data():
                                    return True

                                if self.esp is not None:
                                    return True

                                if self.ipsec_3des is not None and self.ipsec_3des._has_data():
                                    return True

                                if self.spi is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption.Ipsec']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:encryption'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipsec is not None and self.ipsec._has_data():
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Encryption']['meta_info']


                    class FloodReduction(object):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	Disable Flood Reduction on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:flood-reduction'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.FloodReduction']['meta_info']


                    class MtuIgnore(object):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:mtu-ignore'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.MtuIgnore']['meta_info']


                    class Neighbor(object):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.cost = None
                            self.database_filter = Native.Interface.Fastethernet.Ipv6.Ospf.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self.poll_interval = None
                            self.priority = None


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Neighbor.DatabaseFilter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:neighbor[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.cost is not None:
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.poll_interval is not None:
                                return True

                            if self.priority is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Neighbor']['meta_info']


                    class Network(object):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Ospf.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.broadcast = None
                            self.manet = None
                            self.non_broadcast = None
                            self.point_to_multipoint = None
                            self.point_to_point = None


                        class PointToMultipoint(object):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.non_broadcast = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:point-to-multipoint'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.non_broadcast is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Network.PointToMultipoint']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:network'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.broadcast is not None:
                                return True

                            if self.manet is not None:
                                return True

                            if self.non_broadcast is not None:
                                return True

                            if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                return True

                            if self.point_to_point is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Network']['meta_info']


                    class Shutdown(object):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:shutdown'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf.Shutdown']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ospf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        if self.cost is not None:
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.dead_interval is not None:
                            return True

                        if self.demand_circuit is not None and self.demand_circuit._has_data():
                            return True

                        if self.encryption is not None and self.encryption._has_data():
                            return True

                        if self.flood_reduction is not None and self.flood_reduction._has_data():
                            return True

                        if self.hello_interval is not None:
                            return True

                        if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                            return True

                        if self.neighbor is not None:
                            for child_ref in self.neighbor:
                                if child_ref._has_data():
                                    return True

                        if self.network is not None and self.network._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.process is not None:
                            for child_ref in self.process:
                                if child_ref._has_data():
                                    return True

                        if self.retransmit_interval is not None:
                            return True

                        if self.shutdown is not None and self.shutdown._has_data():
                            return True

                        if self.transmit_delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Ospf']['meta_info']


                class Rip(object):
                    """
                    Configure RIP routing protocol
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: default_information
                    
                    	Configure handling of default route
                    	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Rip.DefaultInformation>`
                    
                    .. attribute:: enable
                    
                    	Enable/disable RIP routing
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.default_information = Native.Interface.Fastethernet.Ipv6.Rip.DefaultInformation()
                        self.default_information.parent = self
                        self.enable = None


                    class DefaultInformation(object):
                        """
                        Configure handling of default route
                        
                        .. attribute:: metric
                        
                        	Default route metric
                        	**type**\:  int
                        
                        	**range:** 1..15
                        
                        .. attribute:: route
                        
                        	
                        	**type**\:   :py:class:`RouteEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ipv6.Rip.DefaultInformation.RouteEnum>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = None
                            self.route = None

                        class RouteEnum(Enum):
                            """
                            RouteEnum

                            .. data:: only = 0

                            .. data:: originate = 1

                            """

                            only = 0

                            originate = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Rip.DefaultInformation.RouteEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:default-information'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None:
                                return True

                            if self.route is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Rip.DefaultInformation']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip[Cisco-IOS-XE-rip:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.default_information is not None and self.default_information._has_data():
                            return True

                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ipv6.Rip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.flow is not None and self.flow._has_data():
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.no_pim is not None and self.no_pim._has_data():
                        return True

                    if self.ospf is not None and self.ospf._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.rip is not None:
                        for child_ref in self.rip:
                            if child_ref._has_data():
                                return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    if self.unreachables is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.Fastethernet.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.Fastethernet.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.Fastethernet.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.Fastethernet.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.Fastethernet.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.Fastethernet.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.Fastethernet.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Fastethernet.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.Fastethernet.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.Fastethernet.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.Fastethernet.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.Fastethernet.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.Fastethernet.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.Fastethernet.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.Fastethernet.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.Fastethernet.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.Fastethernet.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.Fastethernet.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.Fastethernet.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Fastethernet.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Fastethernet.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Fastethernet.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Fastethernet.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Fastethernet.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Fastethernet.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Fastethernet.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Fastethernet.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.Fastethernet.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.Fastethernet.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.Fastethernet.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.Fastethernet.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.Fastethernet.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.PmPath']['meta_info']


            class CarrierDelay(object):
                """
                Specify delay for interface transitions
                
                .. attribute:: down
                
                	Carrier Down Transitions
                	**type**\:   :py:class:`Down <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.CarrierDelay.Down>`
                
                .. attribute:: msec
                
                	delay specified in milliseconds
                	**type**\:  int
                
                	**range:** 0..1000
                
                .. attribute:: seconds
                
                	
                	**type**\:  int
                
                	**range:** 0..60
                
                .. attribute:: up
                
                	Carrier Up Transitions
                	**type**\:   :py:class:`Up <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.CarrierDelay.Up>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.down = Native.Interface.Fastethernet.CarrierDelay.Down()
                    self.down.parent = self
                    self.msec = None
                    self.seconds = None
                    self.up = Native.Interface.Fastethernet.CarrierDelay.Up()
                    self.up.parent = self


                class Down(object):
                    """
                    Carrier Down Transitions
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..1000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..60
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.msec = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:down'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.msec is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.CarrierDelay.Down']['meta_info']


                class Up(object):
                    """
                    Carrier Up Transitions
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..1000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..60
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.msec = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:up'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.msec is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.CarrierDelay.Up']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:carrier-delay'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.down is not None and self.down._has_data():
                        return True

                    if self.msec is not None:
                        return True

                    if self.seconds is not None:
                        return True

                    if self.up is not None and self.up._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.CarrierDelay']['meta_info']


            class ChannelGroup(object):
                """
                Add this interface to an Etherchannel group
                
                .. attribute:: auto
                
                	LACP auto
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link
                
                	Assign a link identifier used for load\-balancing
                	**type**\:  int
                
                	**range:** 1..4
                
                .. attribute:: mode
                
                	Etherchannel Mode of the interface
                	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.ChannelGroup.ModeEnum>`
                
                .. attribute:: non_silent
                
                	Start negotiation only after data packets received
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: number
                
                	
                	**type**\:  int
                
                	**range:** 1..512
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None
                    self.link = None
                    self.mode = None
                    self.non_silent = None
                    self.number = None

                class ModeEnum(Enum):
                    """
                    ModeEnum

                    Etherchannel Mode of the interface

                    .. data:: active = 0

                    .. data:: auto = 1

                    .. data:: desirable = 2

                    .. data:: on = 3

                    .. data:: passive = 4

                    """

                    active = 0

                    auto = 1

                    desirable = 2

                    on = 3

                    passive = 4


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.ChannelGroup.ModeEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:channel-group'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    if self.link is not None:
                        return True

                    if self.mode is not None:
                        return True

                    if self.non_silent is not None:
                        return True

                    if self.number is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.ChannelGroup']['meta_info']


            class Ethernet(object):
                """
                Ethernet interface parameters
                
                .. attribute:: oam
                
                	To enable Ethernet Link OAM
                	**type**\:   :py:class:`Oam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.oam = None


                class Oam(object):
                    """
                    To enable Ethernet Link OAM
                    
                    .. attribute:: link_monitor
                    
                    	Ethernet OAM Link Monitor
                    	**type**\:   :py:class:`LinkMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor>`
                    
                    .. attribute:: max_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10
                    
                    .. attribute:: min_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10
                    
                    .. attribute:: mode
                    
                    	
                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.ModeEnum>`
                    
                    .. attribute:: remote_failure
                    
                    	Ethernet OAM remote failure indication
                    	**type**\:   :py:class:`RemoteFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure>`
                    
                    .. attribute:: remote_loopback
                    
                    	Ethernet OAM Remote Loopback
                    	**type**\:   :py:class:`RemoteLoopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.RemoteLoopback>`
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 2..30
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.link_monitor = Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor()
                        self.link_monitor.parent = self
                        self.max_rate = None
                        self.min_rate = None
                        self.mode = None
                        self.remote_failure = Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure()
                        self.remote_failure.parent = self
                        self.remote_loopback = Native.Interface.Fastethernet.Ethernet.Oam.RemoteLoopback()
                        self.remote_loopback.parent = self
                        self.timeout = None

                    class ModeEnum(Enum):
                        """
                        ModeEnum

                        .. data:: active = 0

                        .. data:: passive = 1

                        """

                        active = 0

                        passive = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.ModeEnum']



                    class LinkMonitor(object):
                        """
                        Ethernet OAM Link Monitor
                        
                        .. attribute:: frame
                        
                        	Errored frames in a period measured by time
                        	**type**\:   :py:class:`Frame <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame>`
                        
                        .. attribute:: frame_period
                        
                        	Errored frames in a period measured by number of frames
                        	**type**\:   :py:class:`FramePeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod>`
                        
                        .. attribute:: frame_seconds
                        
                        	Errored frame seconds in a period
                        	**type**\:   :py:class:`FrameSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds>`
                        
                        .. attribute:: high_threshold
                        
                        	Additional high threshold configuration
                        	**type**\:   :py:class:`HighThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.HighThreshold>`
                        
                        .. attribute:: on
                        
                        	Enable link monitoring on the interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: receive_crc
                        
                        	Received frames with CRC errors in a period
                        	**type**\:   :py:class:`ReceiveCrc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc>`
                        
                        .. attribute:: supported
                        
                        	Support link monitoring on the interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: symbol_period
                        
                        	Errored symbols in a period
                        	**type**\:   :py:class:`SymbolPeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.frame = Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame()
                            self.frame.parent = self
                            self.frame_period = Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod()
                            self.frame_period.parent = self
                            self.frame_seconds = Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds()
                            self.frame_seconds.parent = self
                            self.high_threshold = Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.HighThreshold()
                            self.high_threshold.parent = self
                            self.on = None
                            self.receive_crc = Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc()
                            self.receive_crc.parent = self
                            self.supported = None
                            self.symbol_period = Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod()
                            self.symbol_period.parent = self


                        class Frame(object):
                            """
                            Errored frames in a period measured by time
                            
                            .. attribute:: threshold
                            
                            	Errored frame threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 10..600
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: thresh
                                    
                                    	Set the high errored frame threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.none = None
                                        self.thresh = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.none is not None:
                                            return True

                                        if self.thresh is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.Frame']['meta_info']


                        class FramePeriod(object):
                            """
                            Errored frames in a period measured by number of frames
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-period threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 10000 frames
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-period threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: f_thresh
                                    
                                    	Set the high errored frame\-period threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.f_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.f_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame-period'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info']


                        class FrameSeconds(object):
                            """
                            Errored frame seconds in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 100..9000
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-seconds threshold in number of seconds
                                	**type**\:  int
                                
                                	**range:** 1..900
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: e_thresh
                                    
                                    	Set the high errored frame\-seconds threshold in number of seconds
                                    	**type**\:  int
                                    
                                    	**range:** 1..900
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.e_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.e_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame-seconds'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info']


                        class HighThreshold(object):
                            """
                            Additional high threshold configuration
                            
                            .. attribute:: action
                            
                            	Specifiy an action when the high threshold is crossed
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Specifiy an action when the high threshold is crossed
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high-threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info']


                        class ReceiveCrc(object):
                            """
                            Received frames with CRC errors in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 10..1800
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low received crc error threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: crc_thresh
                                    
                                    	Set the high received crc error threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.crc_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.crc_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:receive-crc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info']


                        class SymbolPeriod(object):
                            """
                            Errored symbols in a period
                            
                            .. attribute:: threshold
                            
                            	Error symbol\-period threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 1048576 symbols
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Error symbol\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low error symbol\-period threshold in number of symbols
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: err_thresh
                                    
                                    	Set the high error symbol\-period threshold in number of symbols
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.err_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.err_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:symbol-period'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:link-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.frame is not None and self.frame._has_data():
                                return True

                            if self.frame_period is not None and self.frame_period._has_data():
                                return True

                            if self.frame_seconds is not None and self.frame_seconds._has_data():
                                return True

                            if self.high_threshold is not None and self.high_threshold._has_data():
                                return True

                            if self.on is not None:
                                return True

                            if self.receive_crc is not None and self.receive_crc._has_data():
                                return True

                            if self.supported is not None:
                                return True

                            if self.symbol_period is not None and self.symbol_period._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.LinkMonitor']['meta_info']


                    class RemoteFailure(object):
                        """
                        Ethernet OAM remote failure indication
                        
                        .. attribute:: critical_event
                        
                        	Critical event
                        	**type**\:   :py:class:`CriticalEvent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.CriticalEvent>`
                        
                        .. attribute:: dying_gasp
                        
                        	Dying gasp
                        	**type**\:   :py:class:`DyingGasp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.DyingGasp>`
                        
                        .. attribute:: link_fault
                        
                        	Link fault
                        	**type**\:   :py:class:`LinkFault <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.LinkFault>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.critical_event = Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.CriticalEvent()
                            self.critical_event.parent = self
                            self.dying_gasp = Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.DyingGasp()
                            self.dying_gasp.parent = self
                            self.link_fault = Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.LinkFault()
                            self.link_fault.parent = self


                        class CriticalEvent(object):
                            """
                            Critical event
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:critical-event'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info']


                        class DyingGasp(object):
                            """
                            Dying gasp
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = None


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dying-gasp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info']


                        class LinkFault(object):
                            """
                            Link fault
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = None


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:link-fault'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:remote-failure'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.critical_event is not None and self.critical_event._has_data():
                                return True

                            if self.dying_gasp is not None and self.dying_gasp._has_data():
                                return True

                            if self.link_fault is not None and self.link_fault._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteFailure']['meta_info']


                    class RemoteLoopback(object):
                        """
                        Ethernet OAM Remote Loopback
                        
                        .. attribute:: supported
                        
                        	Support remote loopback functionality
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: timeout
                        
                        	Set timeout value in number of seconds
                        	**type**\:  int
                        
                        	**range:** 1..10
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None
                            self.timeout = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:remote-loopback'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            if self.timeout is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam.RemoteLoopback']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:oam'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.link_monitor is not None and self.link_monitor._has_data():
                            return True

                        if self.max_rate is not None:
                            return True

                        if self.min_rate is not None:
                            return True

                        if self.mode is not None:
                            return True

                        if self.remote_failure is not None and self.remote_failure._has_data():
                            return True

                        if self.remote_loopback is not None and self.remote_loopback._has_data():
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ethernet.Oam']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.oam is not None and self.oam._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Ethernet']['meta_info']


            class Negotiation(object):
                """
                Select autonegotiation mode
                
                .. attribute:: auto
                
                	Enable link autonegotiation
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:negotiation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Negotiation']['meta_info']


            class Synchronous(object):
                """
                Synchronous
                
                .. attribute:: mode
                
                	Mode
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.mode = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:synchronous'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.mode is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Synchronous']['meta_info']


            class Speed(object):
                """
                Configure speed operation
                
                .. attribute:: auto
                
                	Enable AUTO speed configuration
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: nonegotiate
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10
                
                	10 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_100
                
                	100 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_1000
                
                	1000 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10000
                
                	10000 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None
                    self.nonegotiate = None
                    self.value_10 = None
                    self.value_100 = None
                    self.value_1000 = None
                    self.value_10000 = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:speed'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.value_10 is not None:
                        return True

                    if self.value_100 is not None:
                        return True

                    if self.value_1000 is not None:
                        return True

                    if self.value_10000 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Speed']['meta_info']


            class Plim(object):
                """
                Configure features on the PLIM
                
                .. attribute:: ethernet
                
                	Configure features on the ethernet interface
                	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Plim.Ethernet>`
                
                .. attribute:: qos
                
                	QoS on the PLIM
                	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Plim.Qos>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ethernet = Native.Interface.Fastethernet.Plim.Ethernet()
                    self.ethernet.parent = self
                    self.qos = Native.Interface.Fastethernet.Plim.Qos()
                    self.qos.parent = self


                class Ethernet(object):
                    """
                    Configure features on the ethernet interface
                    
                    .. attribute:: vlan
                    
                    	vlan specific features
                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Plim.Ethernet.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = Native.Interface.Fastethernet.Plim.Ethernet.Vlan()
                        self.vlan.parent = self


                    class Vlan(object):
                        """
                        vlan specific features
                        
                        .. attribute:: filter
                        
                        	Configure VLAN filtering
                        	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Plim.Ethernet.Vlan.Filter>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.filter = Native.Interface.Fastethernet.Plim.Ethernet.Vlan.Filter()
                            self.filter.parent = self


                        class Filter(object):
                            """
                            Configure VLAN filtering
                            
                            .. attribute:: disable
                            
                            	Configure the interface to accept all VLAN traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Plim.Ethernet.Vlan.Filter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.filter is not None and self.filter._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Plim.Ethernet.Vlan']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None and self.vlan._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Plim.Ethernet']['meta_info']


                class Qos(object):
                    """
                    QoS on the PLIM
                    
                    .. attribute:: input
                    
                    	Configure PLIM QoS at the input of an interface
                    	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Plim.Qos.Input>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.input = Native.Interface.Fastethernet.Plim.Qos.Input()
                        self.input.parent = self


                    class Input(object):
                        """
                        Configure PLIM QoS at the input of an interface
                        
                        .. attribute:: queue
                        
                        	Queue number
                        	**type**\:   :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Plim.Qos.Input.Queue>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.queue = Native.Interface.Fastethernet.Plim.Qos.Input.Queue()
                            self.queue.parent = self


                        class Queue(object):
                            """
                            Queue number
                            
                            .. attribute:: strict_priority
                            
                            	High priority queue
                            	**type**\:   :py:class:`StrictPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Plim.Qos.Input.Queue.StrictPriority>`
                            
                            .. attribute:: zero
                            
                            	Low priority queue
                            	**type**\:   :py:class:`Zero <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Plim.Qos.Input.Queue.Zero>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.strict_priority = Native.Interface.Fastethernet.Plim.Qos.Input.Queue.StrictPriority()
                                self.strict_priority.parent = self
                                self.zero = Native.Interface.Fastethernet.Plim.Qos.Input.Queue.Zero()
                                self.zero.parent = self


                            class Zero(object):
                                """
                                Low priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:   :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Plim.Qos.Input.Queue.Zero.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pause = Native.Interface.Fastethernet.Plim.Qos.Input.Queue.Zero.Pause()
                                    self.pause.parent = self


                                class Pause(object):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\:  bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.enable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pause'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.enable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Plim.Qos.Input.Queue.Zero.Pause']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:zero'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pause is not None and self.pause._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Plim.Qos.Input.Queue.Zero']['meta_info']


                            class StrictPriority(object):
                                """
                                High priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:   :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Plim.Qos.Input.Queue.StrictPriority.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pause = Native.Interface.Fastethernet.Plim.Qos.Input.Queue.StrictPriority.Pause()
                                    self.pause.parent = self


                                class Pause(object):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\:  bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.enable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pause'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.enable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Plim.Qos.Input.Queue.StrictPriority.Pause']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:strict-priority'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pause is not None and self.pause._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Plim.Qos.Input.Queue.StrictPriority']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:queue'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.strict_priority is not None and self.strict_priority._has_data():
                                    return True

                                if self.zero is not None and self.zero._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Plim.Qos.Input.Queue']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:input'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.queue is not None and self.queue._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Plim.Qos.Input']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:qos'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.input is not None and self.input._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Plim.Qos']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:plim'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ethernet is not None and self.ethernet._has_data():
                        return True

                    if self.qos is not None and self.qos._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Plim']['meta_info']


            class Pppoe(object):
                """
                pppoe interface subcommands
                
                .. attribute:: enable
                
                	Enable pppoe
                	**type**\:   :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Pppoe.Enable>`
                
                	**presence node**\: True
                
                .. attribute:: max_sessions
                
                	Maximum PPPOE sessions
                	**type**\:  int
                
                	**range:** 1..4085
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None
                    self.max_sessions = None


                class Enable(object):
                    """
                    Enable pppoe
                    
                    .. attribute:: group
                    
                    	attach a BBA group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        attach a BBA group

                        .. data:: global_ = 0

                        """

                        global_ = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Pppoe.Enable.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:enable'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Pppoe.Enable']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pppoe'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None and self.enable._has_data():
                        return True

                    if self.max_sessions is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Pppoe']['meta_info']


            class Service(object):
                """
                Configure Ether Service
                
                .. attribute:: instance
                
                	Configure Ether Service Instance
                	**type**\: list of    :py:class:`Instance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.instance = YList()
                    self.instance.parent = self
                    self.instance.name = 'instance'


                class Instance(object):
                    """
                    Configure Ether Service Instance
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4000
                    
                    .. attribute:: bridge_domain
                    
                    	Bridge\-domain
                    	**type**\:   :py:class:`BridgeDomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.BridgeDomain>`
                    
                    .. attribute:: cfm
                    
                    	Ethernet CFM EFP subcommands
                    	**type**\:   :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Cfm>`
                    
                    .. attribute:: description
                    
                    	Service instance specific description
                    	**type**\:  str
                    
                    	**length:** 0..240
                    
                    .. attribute:: encapsulation
                    
                    	Configure ethernet frame match criteria
                    	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Encapsulation>`
                    
                    .. attribute:: errdisable
                    
                    	Configure error disable
                    	**type**\:   :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Errdisable>`
                    
                    .. attribute:: ethernet
                    
                    	Configure an Ethernet Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet_container
                    
                    	
                    	**type**\:   :py:class:`EthernetContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.EthernetContainer>`
                    
                    .. attribute:: ethernet_evc_name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: evc_name
                    
                    	
                    	**type**\:  str
                    
                    	**length:** 1..100
                    
                    .. attribute:: gigabitethernet
                    
                    	Configure an GigabitEthernet Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Ip>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 interface subcommands
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Ipv6>`
                    
                    .. attribute:: l2protocol
                    
                    	Configure l2 control protocol processing
                    	**type**\:   :py:class:`L2Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.L2Protocol>`
                    
                    .. attribute:: mac
                    
                    	Commands for MAC Address\-based features
                    	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Mac>`
                    
                    .. attribute:: rewrite
                    
                    	Configure ethernet rewrite criteria
                    	**type**\:   :py:class:`Rewrite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Rewrite>`
                    
                    .. attribute:: service_policy
                    
                    	Attach a policy\-map to an EFP
                    	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.ServicePolicy>`
                    
                    .. attribute:: shutdown
                    
                    	Take the Service Instance out of Service
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: snmp
                    
                    	Modify SNMP service instance parameters
                    	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Snmp>`
                    
                    .. attribute:: trunk
                    
                    	Trunk Service Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.bridge_domain = Native.Interface.Fastethernet.Service.Instance.BridgeDomain()
                        self.bridge_domain.parent = self
                        self.cfm = Native.Interface.Fastethernet.Service.Instance.Cfm()
                        self.cfm.parent = self
                        self.description = None
                        self.encapsulation = Native.Interface.Fastethernet.Service.Instance.Encapsulation()
                        self.encapsulation.parent = self
                        self.errdisable = Native.Interface.Fastethernet.Service.Instance.Errdisable()
                        self.errdisable.parent = self
                        self.ethernet = None
                        self.ethernet_container = Native.Interface.Fastethernet.Service.Instance.EthernetContainer()
                        self.ethernet_container.parent = self
                        self.ethernet_evc_name = None
                        self.evc_name = None
                        self.gigabitethernet = None
                        self.group = None
                        self.ip = Native.Interface.Fastethernet.Service.Instance.Ip()
                        self.ip.parent = self
                        self.ipv6 = Native.Interface.Fastethernet.Service.Instance.Ipv6()
                        self.ipv6.parent = self
                        self.l2protocol = Native.Interface.Fastethernet.Service.Instance.L2Protocol()
                        self.l2protocol.parent = self
                        self.mac = Native.Interface.Fastethernet.Service.Instance.Mac()
                        self.mac.parent = self
                        self.rewrite = Native.Interface.Fastethernet.Service.Instance.Rewrite()
                        self.rewrite.parent = self
                        self.service_policy = Native.Interface.Fastethernet.Service.Instance.ServicePolicy()
                        self.service_policy.parent = self
                        self.shutdown = None
                        self.snmp = Native.Interface.Fastethernet.Service.Instance.Snmp()
                        self.snmp.parent = self
                        self.trunk = None
                        self.xconnect = Native.Interface.Fastethernet.Service.Instance.Xconnect()
                        self.xconnect.parent = self
                        self.xconnect_pw_class = Native.Interface.Fastethernet.Service.Instance.XconnectPwClass()
                        self.xconnect_pw_class.parent = self


                    class Encapsulation(object):
                        """
                        Configure ethernet frame match criteria
                        
                        .. attribute:: default
                        
                        	catch\-all unconfigured encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dot1ad
                        
                        	802.1ad \- Provider Bridges
                        	**type**\:   :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad>`
                        
                        .. attribute:: dot1q
                        
                        	IEEE 802.1Q Virtual LAN or S\-VLAN
                        	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q>`
                        
                        .. attribute:: priority_tagged
                        
                        	Priority tagged EFP
                        	**type**\:   :py:class:`PriorityTagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Encapsulation.PriorityTagged>`
                        
                        .. attribute:: untagged
                        
                        	Untagged encapsulation
                        	**type**\:   :py:class:`Untagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Encapsulation.Untagged>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.default = None
                            self.dot1ad = Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad()
                            self.dot1ad.parent = self
                            self.dot1q = Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q()
                            self.dot1q.parent = self
                            self.priority_tagged = Native.Interface.Fastethernet.Service.Instance.Encapsulation.PriorityTagged()
                            self.priority_tagged.parent = self
                            self.untagged = None


                        class Dot1Ad(object):
                            """
                            802.1ad \- Provider Bridges
                            
                            .. attribute:: cos
                            
                            	CoS value to use for CFM packets
                            	**type**\:  list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:   :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2>`
                            
                            .. attribute:: dot1q
                            
                            	Second tag (dot1q)
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`Dot1QEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos = YLeafList()
                                self.cos.parent = self
                                self.cos.name = 'cos'
                                self.cos2 = Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2()
                                self.cos2.parent = self
                                self.dot1q = YLeafList()
                                self.dot1q.parent = self
                                self.dot1q.name = 'dot1q'
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'
                                self.exact = None
                                self.id = YLeafList()
                                self.id.parent = self
                                self.id.name = 'id'

                            class Dot1QEnum(Enum):
                                """
                                Dot1QEnum

                                Second tag (dot1q)

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum']


                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum']


                            class IdEnum(Enum):
                                """
                                IdEnum

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad.IdEnum']



                            class Cos2(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos2'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1ad'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos is not None:
                                    for child in self.cos:
                                        if child is not None:
                                            return True

                                if self.cos2 is not None and self.cos2._has_data():
                                    return True

                                if self.dot1q is not None:
                                    for child in self.dot1q:
                                        if child is not None:
                                            return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                if self.exact is not None:
                                    return True

                                if self.id is not None:
                                    for child in self.id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Ad']['meta_info']


                        class Dot1Q(object):
                            """
                            IEEE 802.1Q Virtual LAN or S\-VLAN
                            
                            .. attribute:: cos
                            
                            	cos Vlan
                            	**type**\:  list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:   :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q.EtypeEnum>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: second_dot1q
                            
                            	inner 802.1Q Virtual LAN or C\-VLAN
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`SecondDot1QEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: vlan_type
                            
                            	Vlan Protocol Type
                            	**type**\:   :py:class:`VlanTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos = YLeafList()
                                self.cos.parent = self
                                self.cos.name = 'cos'
                                self.cos2 = Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q.Cos2()
                                self.cos2.parent = self
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'
                                self.exact = None
                                self.id = YLeafList()
                                self.id.parent = self
                                self.id.name = 'id'
                                self.second_dot1q = YLeafList()
                                self.second_dot1q.parent = self
                                self.second_dot1q.name = 'second_dot1q'
                                self.vlan_type = None

                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q.EtypeEnum']


                            class IdEnum(Enum):
                                """
                                IdEnum

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q.IdEnum']


                            class SecondDot1QEnum(Enum):
                                """
                                SecondDot1QEnum

                                inner 802.1Q Virtual LAN or C\-VLAN

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum']


                            class VlanTypeEnum(Enum):
                                """
                                VlanTypeEnum

                                Vlan Protocol Type

                                .. data:: Y_0x88A8 = 0

                                .. data:: Y_0x9100 = 1

                                .. data:: Y_0x9200 = 2

                                """

                                Y_0x88A8 = 0

                                Y_0x9100 = 1

                                Y_0x9200 = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum']



                            class Cos2(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos2'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q.Cos2']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1q'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos is not None:
                                    for child in self.cos:
                                        if child is not None:
                                            return True

                                if self.cos2 is not None and self.cos2._has_data():
                                    return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                if self.exact is not None:
                                    return True

                                if self.id is not None:
                                    for child in self.id:
                                        if child is not None:
                                            return True

                                if self.second_dot1q is not None:
                                    for child in self.second_dot1q:
                                        if child is not None:
                                            return True

                                if self.vlan_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.Dot1Q']['meta_info']


                        class PriorityTagged(object):
                            """
                            Priority tagged EFP
                            
                            .. attribute:: cos_container
                            
                            	
                            	**type**\:   :py:class:`CosContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos_container = Native.Interface.Fastethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer()
                                self.cos_container.parent = self
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'

                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum']



                            class CosContainer(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:priority-tagged'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos_container is not None and self.cos_container._has_data():
                                    return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.PriorityTagged']['meta_info']


                        class Untagged(object):
                            """
                            Untagged encapsulation
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:untagged'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation.Untagged']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:encapsulation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.default is not None:
                                return True

                            if self.dot1ad is not None and self.dot1ad._has_data():
                                return True

                            if self.dot1q is not None and self.dot1q._has_data():
                                return True

                            if self.priority_tagged is not None and self.priority_tagged._has_data():
                                return True

                            if self.untagged is not None and self.untagged._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Encapsulation']['meta_info']


                    class Ip(object):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Ip.Acl>`
                        
                        .. attribute:: dhcp
                        
                        	DHCP
                        	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp>`
                        
                        .. attribute:: verify
                        
                        	verify
                        	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Ip.Verify>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Fastethernet.Service.Instance.Ip.Acl()
                            self.acl.parent = self
                            self.dhcp = Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp()
                            self.dhcp.parent = self
                            self.verify = Native.Interface.Fastethernet.Service.Instance.Ip.Verify()
                            self.verify.parent = self


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: access_group
                            
                            	Specify access control for packets
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.access_group = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.access_group is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Ip.Acl']['meta_info']


                        class Dhcp(object):
                            """
                            DHCP
                            
                            .. attribute:: relay
                            
                            	DHCP relay
                            	**type**\:   :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.relay = Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay()
                                self.relay.parent = self


                            class Relay(object):
                                """
                                DHCP relay
                                
                                .. attribute:: information
                                
                                	DHCP relay information
                                	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay.Information>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.information = Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay.Information()
                                    self.information.parent = self


                                class Information(object):
                                    """
                                    DHCP relay information
                                    
                                    .. attribute:: option
                                    
                                    	DHCP relay information option
                                    	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.option = Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option()
                                        self.option.parent = self


                                    class Option(object):
                                        """
                                        DHCP relay information option
                                        
                                        .. attribute:: subscriber_id
                                        
                                        	DHCP relay information option subscriber\-id
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.subscriber_id = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.subscriber_id is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:information'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.option is not None and self.option._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:relay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.information is not None and self.information._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp.Relay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dhcp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.relay is not None and self.relay._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Ip.Dhcp']['meta_info']


                        class Verify(object):
                            """
                            verify
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: port_security
                            
                            	port security
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: source
                            
                            	source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan
                            
                            	vlan specification
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None
                                self.port_security = None
                                self.source = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:verify'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None:
                                    return True

                                if self.port_security is not None:
                                    return True

                                if self.source is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Ip.Verify']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.dhcp is not None and self.dhcp._has_data():
                                return True

                            if self.verify is not None and self.verify._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Ip']['meta_info']


                    class Ipv6(object):
                        """
                        IPv6 interface subcommands
                        
                        .. attribute:: in_
                        
                        	inbound packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	outbound packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: traffic_filter
                        
                        	Access control list for packets
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.in_ = None
                            self.out = None
                            self.traffic_filter = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.in_ is not None:
                                return True

                            if self.out is not None:
                                return True

                            if self.traffic_filter is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Ipv6']['meta_info']


                    class Rewrite(object):
                        """
                        Configure ethernet rewrite criteria
                        
                        .. attribute:: ingress
                        
                        	Ingress Rewrite
                        	**type**\:   :py:class:`Ingress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ingress = Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress()
                            self.ingress.parent = self


                        class Ingress(object):
                            """
                            Ingress Rewrite
                            
                            .. attribute:: tag
                            
                            	Configure Rewrite Tag
                            	**type**\:   :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.tag = Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag()
                                self.tag.parent = self


                            class Tag(object):
                                """
                                Configure Rewrite Tag
                                
                                .. attribute:: pop
                                
                                	Pop the tag
                                	**type**\:   :py:class:`Pop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Pop>`
                                
                                .. attribute:: push
                                
                                	Rewrite Operation of push
                                	**type**\:   :py:class:`Push <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Push>`
                                
                                .. attribute:: translate
                                
                                	Translate Tag
                                	**type**\:   :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pop = Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Pop()
                                    self.pop.parent = self
                                    self.push = Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Push()
                                    self.push.parent = self
                                    self.translate = Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate()
                                    self.translate.parent = self


                                class Pop(object):
                                    """
                                    Pop the tag
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum>`
                                    
                                    .. attribute:: way
                                    
                                    	
                                    	**type**\:   :py:class:`WayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mode = None
                                        self.way = None

                                    class ModeEnum(Enum):
                                        """
                                        ModeEnum

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = 0


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum']


                                    class WayEnum(Enum):
                                        """
                                        WayEnum

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mode is not None:
                                            return True

                                        if self.way is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Pop']['meta_info']


                                class Push(object):
                                    """
                                    Rewrite Operation of push
                                    
                                    .. attribute:: dot1q
                                    
                                    	Push dot1q tag
                                    	**type**\:  int
                                    
                                    	**range:** 1..4094
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dot1q = None
                                        self.mode = None

                                    class ModeEnum(Enum):
                                        """
                                        ModeEnum

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = 0


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:push'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dot1q is not None:
                                            return True

                                        if self.mode is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Push']['meta_info']


                                class Translate(object):
                                    """
                                    Translate Tag
                                    
                                    .. attribute:: t1_to_1
                                    
                                    	Translate 1\-to\-1
                                    	**type**\:   :py:class:`T1To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1>`
                                    
                                    .. attribute:: t1_to_2
                                    
                                    	Translate 1\-to\-2
                                    	**type**\:   :py:class:`T1To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2>`
                                    
                                    .. attribute:: t2_to_1
                                    
                                    	Translate 2\-to\-1
                                    	**type**\:   :py:class:`T2To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1>`
                                    
                                    .. attribute:: t2_to_2
                                    
                                    	Translate 2\-to\-2
                                    	**type**\:   :py:class:`T2To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.t1_to_1 = Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1()
                                        self.t1_to_1.parent = self
                                        self.t1_to_2 = Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2()
                                        self.t1_to_2.parent = self
                                        self.t2_to_1 = Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1()
                                        self.t2_to_1.parent = self
                                        self.t2_to_2 = Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2()
                                        self.t2_to_2.parent = self


                                    class T1To1(object):
                                        """
                                        Translate 1\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t1-to-1'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1']['meta_info']


                                    class T1To2(object):
                                        """
                                        Translate 1\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum>`
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None
                                            self.second_dot1q = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t1-to-2'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            if self.second_dot1q is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2']['meta_info']


                                    class T2To1(object):
                                        """
                                        Translate 2\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t2-to-1'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1']['meta_info']


                                    class T2To2(object):
                                        """
                                        Translate 2\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum>`
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None
                                            self.second_dot1q = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t2-to-2'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            if self.second_dot1q is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:translate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.t1_to_1 is not None and self.t1_to_1._has_data():
                                            return True

                                        if self.t1_to_2 is not None and self.t1_to_2._has_data():
                                            return True

                                        if self.t2_to_1 is not None and self.t2_to_1._has_data():
                                            return True

                                        if self.t2_to_2 is not None and self.t2_to_2._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:tag'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pop is not None and self.pop._has_data():
                                        return True

                                    if self.push is not None and self.push._has_data():
                                        return True

                                    if self.translate is not None and self.translate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress.Tag']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ingress'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.tag is not None and self.tag._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite.Ingress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:rewrite'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ingress is not None and self.ingress._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Rewrite']['meta_info']


                    class Errdisable(object):
                        """
                        Configure error disable
                        
                        .. attribute:: recovery
                        
                        	enable auto recovery
                        	**type**\:   :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Errdisable.Recovery>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.recovery = Native.Interface.Fastethernet.Service.Instance.Errdisable.Recovery()
                            self.recovery.parent = self


                        class Recovery(object):
                            """
                            enable auto recovery
                            
                            .. attribute:: cause
                            
                            	error disable cause
                            	**type**\:   :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Errdisable.Recovery.Cause>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cause = Native.Interface.Fastethernet.Service.Instance.Errdisable.Recovery.Cause()
                                self.cause.parent = self


                            class Cause(object):
                                """
                                error disable cause
                                
                                .. attribute:: mac_security
                                
                                	mac\-security violation
                                	**type**\:  int
                                
                                	**range:** 30..86400
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mac_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cause'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mac_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Errdisable.Recovery.Cause']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:recovery'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cause is not None and self.cause._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Errdisable.Recovery']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:errdisable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.recovery is not None and self.recovery._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Errdisable']['meta_info']


                    class EthernetContainer(object):
                        """
                        
                        
                        .. attribute:: ethernet
                        
                        	ethernet
                        	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ethernet = Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet()
                            self.ethernet.parent = self


                        class Ethernet(object):
                            """
                            ethernet
                            
                            .. attribute:: lmi
                            
                            	Configure ether lmi parameters
                            	**type**\:   :py:class:`Lmi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi>`
                            
                            .. attribute:: loopback
                            
                            	Ethernet Dataplane Loopback
                            	**type**\:   :py:class:`Loopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Loopback>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lmi = Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi()
                                self.lmi.parent = self
                                self.loopback = Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Loopback()
                                self.loopback.parent = self


                            class Lmi(object):
                                """
                                Configure ether lmi parameters
                                
                                .. attribute:: ce_vlan
                                
                                	Configure ether lmi customer vlans
                                	**type**\:   :py:class:`CeVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ce_vlan = Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan()
                                    self.ce_vlan.parent = self


                                class CeVlan(object):
                                    """
                                    Configure ether lmi customer vlans
                                    
                                    .. attribute:: map
                                    
                                    	Configure ether lmi ce\-vlan/evc map
                                    	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map = Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map()
                                        self.map.parent = self


                                    class Map(object):
                                        """
                                        Configure ether lmi ce\-vlan/evc map
                                        
                                        .. attribute:: any
                                        
                                        	For all VLANS [untagged,1\-4094]
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: default
                                        
                                        	Default EFP
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: untagged
                                        
                                        	Untagged frames
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vlan_range
                                        
                                        	
                                        	**type**\:   :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.any = None
                                            self.default = None
                                            self.untagged = None
                                            self.vlan_range = Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange()
                                            self.vlan_range.parent = self


                                        class VlanRange(object):
                                            """
                                            
                                            
                                            .. attribute:: comma
                                            
                                            	comma
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: hyphen
                                            
                                            	hyphen
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: vlan_id
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.comma = None
                                                self.hyphen = None
                                                self.vlan_id = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:vlan-range'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.comma is not None:
                                                    return True

                                                if self.hyphen is not None:
                                                    return True

                                                if self.vlan_id is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:map'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.any is not None:
                                                return True

                                            if self.default is not None:
                                                return True

                                            if self.untagged is not None:
                                                return True

                                            if self.vlan_range is not None and self.vlan_range._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ce-vlan'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map is not None and self.map._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:lmi'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ce_vlan is not None and self.ce_vlan._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info']


                            class Loopback(object):
                                """
                                Ethernet Dataplane Loopback
                                
                                .. attribute:: permit
                                
                                	Allow data plane loopback to be activated
                                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.permit = Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit()
                                    self.permit.parent = self


                                class Permit(object):
                                    """
                                    Allow data plane loopback to be activated
                                    
                                    .. attribute:: external
                                    
                                    	Allow to loopback the traffic from the wire
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: internal
                                    
                                    	Allow to loopback the traffic from the relay
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.internal = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:permit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None:
                                            return True

                                        if self.internal is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:loopback'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.permit is not None and self.permit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lmi is not None and self.lmi._has_data():
                                    return True

                                if self.loopback is not None and self.loopback._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer.Ethernet']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet-container'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ethernet is not None and self.ethernet._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.EthernetContainer']['meta_info']


                    class Snmp(object):
                        """
                        Modify SNMP service instance parameters
                        
                        .. attribute:: ifindex
                        
                        	Persist ifindex for the service instance
                        	**type**\:   :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Snmp.Ifindex>`
                        
                        .. attribute:: trap
                        
                        	Allow a specific SNMP trap
                        	**type**\:   :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Snmp.Trap>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ifindex = Native.Interface.Fastethernet.Service.Instance.Snmp.Ifindex()
                            self.ifindex.parent = self
                            self.trap = Native.Interface.Fastethernet.Service.Instance.Snmp.Trap()
                            self.trap.parent = self


                        class Trap(object):
                            """
                            Allow a specific SNMP trap
                            
                            .. attribute:: link_status
                            
                            	Allow SNMP LINKUP and LINKDOWN traps
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.link_status = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:trap'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.link_status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Snmp.Trap']['meta_info']


                        class Ifindex(object):
                            """
                            Persist ifindex for the service instance
                            
                            .. attribute:: persist
                            
                            	Enable/Disable ifIndex persistence
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.persist = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ifindex'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.persist is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Snmp.Ifindex']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:snmp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ifindex is not None and self.ifindex._has_data():
                                return True

                            if self.trap is not None and self.trap._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Snmp']['meta_info']


                    class BridgeDomain(object):
                        """
                        Bridge\-domain
                        
                        .. attribute:: bridge_id
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: from_encapsulation
                        
                        	from\-encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: split_horizon
                        
                        	Configure this port as a member of a split horizon group
                        	**type**\:   :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.BridgeDomain.SplitHorizon>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bridge_id = None
                            self.from_encapsulation = None
                            self.split_horizon = Native.Interface.Fastethernet.Service.Instance.BridgeDomain.SplitHorizon()
                            self.split_horizon.parent = self


                        class SplitHorizon(object):
                            """
                            Configure this port as a member of a split horizon group
                            
                            .. attribute:: group
                            
                            	Split\-horizon group
                            	**type**\:  int
                            
                            	**range:** 0..13
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:split-horizon'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.BridgeDomain.SplitHorizon']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:bridge-domain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bridge_id is not None:
                                return True

                            if self.from_encapsulation is not None:
                                return True

                            if self.split_horizon is not None and self.split_horizon._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.BridgeDomain']['meta_info']


                    class Mac(object):
                        """
                        Commands for MAC Address\-based features
                        
                        .. attribute:: security
                        
                        	MAC Security commands
                        	**type**\:   :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Mac.Security>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.security = None


                        class Security(object):
                            """
                            MAC Security commands
                            
                            .. attribute:: maximum
                            
                            	Configure an upper bound
                            	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Mac.Security.Maximum>`
                            
                            .. attribute:: violation
                            
                            	Configure the response when a MAC security policy is violated
                            	**type**\:   :py:class:`ViolationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Mac.Security.ViolationEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.maximum = Native.Interface.Fastethernet.Service.Instance.Mac.Security.Maximum()
                                self.maximum.parent = self
                                self.violation = None

                            class ViolationEnum(Enum):
                                """
                                ViolationEnum

                                Configure the response when a MAC security policy is violated

                                .. data:: protect = 0

                                .. data:: restrict = 1

                                """

                                protect = 0

                                restrict = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Mac.Security.ViolationEnum']



                            class Maximum(object):
                                """
                                Configure an upper bound
                                
                                .. attribute:: addresses
                                
                                	Maximum addresses that can be learnt on this service instance
                                	**type**\:  int
                                
                                	**range:** 1..1000
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.addresses = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:maximum'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.addresses is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Mac.Security.Maximum']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:security'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.maximum is not None and self.maximum._has_data():
                                    return True

                                if self.violation is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Mac.Security']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mac'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.security is not None and self.security._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Mac']['meta_info']


                    class ServicePolicy(object):
                        """
                        Attach a policy\-map to an EFP
                        
                        .. attribute:: input
                        
                        	service policy input
                        	**type**\: list of    :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.ServicePolicy.Input>`
                        
                        .. attribute:: output
                        
                        	service policy output
                        	**type**\: list of    :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.ServicePolicy.Output>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = YList()
                            self.input.parent = self
                            self.input.name = 'input'
                            self.output = YList()
                            self.output.parent = self
                            self.output.name = 'output'


                        class Input(object):
                            """
                            service policy input
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:input[Cisco-IOS-XE-ethernet:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.ServicePolicy.Input']['meta_info']


                        class Output(object):
                            """
                            service policy output
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:output[Cisco-IOS-XE-ethernet:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.ServicePolicy.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:service-policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None:
                                for child_ref in self.input:
                                    if child_ref._has_data():
                                        return True

                            if self.output is not None:
                                for child_ref in self.output:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.ServicePolicy']['meta_info']


                    class Cfm(object):
                        """
                        Ethernet CFM EFP subcommands
                        
                        .. attribute:: encapsulation
                        
                        	Configure CFM ethernet frame encapsulation
                        	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation>`
                        
                        .. attribute:: mep
                        
                        	Maintenance End Point
                        	**type**\:   :py:class:`Mep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Cfm.Mep>`
                        
                        .. attribute:: mip
                        
                        	Maintenance Intermediate Point
                        	**type**\:   :py:class:`Mip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Cfm.Mip>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.encapsulation = Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation()
                            self.encapsulation.parent = self
                            self.mep = Native.Interface.Fastethernet.Service.Instance.Cfm.Mep()
                            self.mep.parent = self
                            self.mip = Native.Interface.Fastethernet.Service.Instance.Cfm.Mip()
                            self.mip.parent = self


                        class Encapsulation(object):
                            """
                            Configure CFM ethernet frame encapsulation
                            
                            .. attribute:: dot1ad
                            
                            	802.1ad \- Provider Bridges
                            	**type**\:   :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad>`
                            
                            .. attribute:: dot1q
                            
                            	IEEE 802.1Q Virtual LAN or S\-VLAN
                            	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation.Dot1Q>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dot1ad = Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad()
                                self.dot1ad.parent = self
                                self.dot1q = Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation.Dot1Q()
                                self.dot1q.parent = self


                            class Dot1Ad(object):
                                """
                                802.1ad \- Provider Bridges
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: dot1q
                                
                                	Second tag (dot1q)
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = None
                                    self.dot1q = None
                                    self.vlan_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1ad'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        return True

                                    if self.dot1q is not None:
                                        return True

                                    if self.vlan_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad']['meta_info']


                            class Dot1Q(object):
                                """
                                IEEE 802.1Q Virtual LAN or S\-VLAN
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: second_dot1q
                                
                                	inner 802.1Q Virtual LAN or C\-VLAN
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = None
                                    self.second_dot1q = None
                                    self.vlan_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1q'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        return True

                                    if self.second_dot1q is not None:
                                        return True

                                    if self.vlan_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation.Dot1Q']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:encapsulation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dot1ad is not None and self.dot1ad._has_data():
                                    return True

                                if self.dot1q is not None and self.dot1q._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Cfm.Encapsulation']['meta_info']


                        class Mep(object):
                            """
                            Maintenance End Point
                            
                            .. attribute:: domain
                            
                            	Configure a domain for this mep
                            	**type**\:  str
                            
                            .. attribute:: mpid
                            
                            	Maintenance End Point Identifier
                            	**type**\:  int
                            
                            	**range:** 1..8191
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.domain = None
                                self.mpid = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mep'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.domain is not None:
                                    return True

                                if self.mpid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Cfm.Mep']['meta_info']


                        class Mip(object):
                            """
                            Maintenance Intermediate Point
                            
                            .. attribute:: level
                            
                            	Maintenance Level
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.level = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.level is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Cfm.Mip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cfm'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.encapsulation is not None and self.encapsulation._has_data():
                                return True

                            if self.mep is not None and self.mep._has_data():
                                return True

                            if self.mip is not None and self.mip._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Cfm']['meta_info']


                    class L2Protocol(object):
                        """
                        Configure l2 control protocol processing
                        
                        .. attribute:: forward
                        
                        	forward L2 control protocol packets as data
                        	**type**\:   :py:class:`Forward <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.L2Protocol.Forward>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: peer
                        
                        	peer L2 control protocol packets as data
                        	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.L2Protocol.Peer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: tunnel
                        
                        	tunnel L2 control protocol packets as data
                        	**type**\:   :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.L2Protocol.Tunnel>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forward = None
                            self.peer = None
                            self.tunnel = None


                        class Peer(object):
                            """
                            peer L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.L2Protocol.Peer.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.L2Protocol.Peer.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:peer'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.L2Protocol.Peer']['meta_info']


                        class Forward(object):
                            """
                            forward L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.L2Protocol.Forward.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.L2Protocol.Forward.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:forward'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.L2Protocol.Forward']['meta_info']


                        class Tunnel(object):
                            """
                            tunnel L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.L2Protocol.Tunnel.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.L2Protocol.Tunnel.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:tunnel'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.L2Protocol.Tunnel']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:l2protocol'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forward is not None and self.forward._has_data():
                                return True

                            if self.peer is not None and self.peer._has_data():
                                return True

                            if self.tunnel is not None and self.tunnel._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.L2Protocol']['meta_info']


                    class Xconnect(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup>`
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Xconnect.EncapsulationEnum>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\:  str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Xconnect.SequencingEnum>`
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.backup = Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup()
                            self.backup.parent = self
                            self.encapsulation = None
                            self.manual = None
                            self.mtu = None
                            self.pw_class = None
                            self.sequencing = None
                            self.vcid = None

                        class EncapsulationEnum(Enum):
                            """
                            EncapsulationEnum

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = 0

                            l2tpv3 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Xconnect.EncapsulationEnum']


                        class SequencingEnum(Enum):
                            """
                            SequencingEnum

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = 0

                            receive = 1

                            transmit = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Xconnect.SequencingEnum']



                        class Backup(object):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup.Delay>`
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup.Peer>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.delay = Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self.peer = Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup.Peer()
                                self.peer.parent = self


                            class Peer(object):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\:  int
                                
                                	**range:** 1..10
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.peer_router_ip_addr = None
                                    self.priority = None
                                    self.pw_class = None
                                    self.vcid = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.peer_router_ip_addr is not None:
                                        return True

                                    if self.priority is not None:
                                        return True

                                    if self.pw_class is not None:
                                        return True

                                    if self.vcid is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup.Peer']['meta_info']


                            class Delay(object):
                                """
                                backup delay time
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: min
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None
                                    self.min = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup.Delay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:backup'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.delay is not None and self.delay._has_data():
                                    return True

                                if self.peer is not None and self.peer._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Xconnect.Backup']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:xconnect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.backup is not None and self.backup._has_data():
                                return True

                            if self.encapsulation is not None:
                                return True

                            if self.manual is not None:
                                return True

                            if self.mtu is not None:
                                return True

                            if self.pw_class is not None:
                                return True

                            if self.sequencing is not None:
                                return True

                            if self.vcid is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.Xconnect']['meta_info']


                    class XconnectPwClass(object):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.xconnect = Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self


                        class Xconnect(object):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\:  str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect.Udp>`
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.pw_class = None
                                self.udp = Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self.vcid = None


                            class Udp(object):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port = Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self


                                class Port(object):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-l2vpn'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.local = None
                                        self.remote = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:port'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.local is not None:
                                            return True

                                        if self.remote is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:udp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port is not None and self.port._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect.Udp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:xconnect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.udp is not None and self.udp._has_data():
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.XconnectPwClass.Xconnect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:xconnect-pw-class'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.xconnect is not None and self.xconnect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Service.Instance.XconnectPwClass']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:instance[Cisco-IOS-XE-ethernet:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.bridge_domain is not None and self.bridge_domain._has_data():
                            return True

                        if self.cfm is not None and self.cfm._has_data():
                            return True

                        if self.description is not None:
                            return True

                        if self.encapsulation is not None and self.encapsulation._has_data():
                            return True

                        if self.errdisable is not None and self.errdisable._has_data():
                            return True

                        if self.ethernet is not None:
                            return True

                        if self.ethernet_container is not None and self.ethernet_container._has_data():
                            return True

                        if self.ethernet_evc_name is not None:
                            return True

                        if self.evc_name is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        if self.l2protocol is not None and self.l2protocol._has_data():
                            return True

                        if self.mac is not None and self.mac._has_data():
                            return True

                        if self.rewrite is not None and self.rewrite._has_data():
                            return True

                        if self.service_policy is not None and self.service_policy._has_data():
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.snmp is not None and self.snmp._has_data():
                            return True

                        if self.trunk is not None:
                            return True

                        if self.xconnect is not None and self.xconnect._has_data():
                            return True

                        if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Service.Instance']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:service'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.instance is not None:
                        for child_ref in self.instance:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Service']['meta_info']


            class Xconnect(object):
                """
                Xconnect commands
                
                .. attribute:: address
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: encapsulation
                
                	Data encapsulation method
                	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Xconnect.EncapsulationEnum>`
                
                .. attribute:: manual
                
                	Manually configure L2TP session parameters
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pw_class
                
                	Pseudowire\-class to use for encapsulation and protocol configuration
                	**type**\:  str
                
                .. attribute:: sequence
                
                	Configure sequencing options for xconnect
                	**type**\:   :py:class:`SequenceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Xconnect.SequenceEnum>`
                
                .. attribute:: vcid
                
                	
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = None
                    self.encapsulation = None
                    self.manual = None
                    self.pw_class = None
                    self.sequence = None
                    self.vcid = None

                class EncapsulationEnum(Enum):
                    """
                    EncapsulationEnum

                    Data encapsulation method

                    .. data:: mpls = 0

                    .. data:: l2tpv3 = 1

                    """

                    mpls = 0

                    l2tpv3 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Xconnect.EncapsulationEnum']


                class SequenceEnum(Enum):
                    """
                    SequenceEnum

                    Configure sequencing options for xconnect

                    .. data:: both = 0

                    .. data:: receive = 1

                    .. data:: transmit = 2

                    """

                    both = 0

                    receive = 1

                    transmit = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Xconnect.SequenceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:xconnect'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None:
                        return True

                    if self.encapsulation is not None:
                        return True

                    if self.manual is not None:
                        return True

                    if self.pw_class is not None:
                        return True

                    if self.sequence is not None:
                        return True

                    if self.vcid is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Xconnect']['meta_info']


            class Cdp(object):
                """
                CDP interface subcommands
                
                .. attribute:: enable
                
                	Enable CDP on interface
                	**type**\:  bool
                
                .. attribute:: tlv
                
                	Enable exchange of specific tlv information
                	**type**\:   :py:class:`Tlv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Cdp.Tlv>`
                
                

                """

                _prefix = 'ios-cdp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None
                    self.tlv = Native.Interface.Fastethernet.Cdp.Tlv()
                    self.tlv.parent = self


                class Tlv(object):
                    """
                    Enable exchange of specific tlv information
                    
                    .. attribute:: app
                    
                    	Enable/Configure Application TLV
                    	**type**\:   :py:class:`App <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Cdp.Tlv.App>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: location
                    
                    	Exchange location information
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: server_location
                    
                    	Enable CDP location server on interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-cdp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.app = None
                        self.location = None
                        self.server_location = None


                    class App(object):
                        """
                        Enable/Configure Application TLV
                        
                        .. attribute:: tlvtype
                        
                        	Configure APP TLV
                        	**type**\:  int
                        
                        	**range:** 1001..65535
                        
                        .. attribute:: value
                        
                        	Configure App TLV Value information
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-cdp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tlvtype = None
                            self.value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cdp:app'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tlvtype is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Cdp.Tlv.App']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-cdp:tlv'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.app is not None and self.app._has_data():
                            return True

                        if self.location is not None:
                            return True

                        if self.server_location is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Cdp.Tlv']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-cdp:cdp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    if self.tlv is not None and self.tlv._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Cdp']['meta_info']


            class Crypto(object):
                """
                Encryption/Decryption commands
                
                .. attribute:: ipsec
                
                	Set IPSec parameters
                	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Crypto.Ipsec>`
                
                .. attribute:: map
                
                	Assign a Crypto Map
                	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Crypto.Map>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipsec = Native.Interface.Fastethernet.Crypto.Ipsec()
                    self.ipsec.parent = self
                    self.map = Native.Interface.Fastethernet.Crypto.Map()
                    self.map.parent = self


                class Map(object):
                    """
                    Assign a Crypto Map
                    
                    .. attribute:: redundancy
                    
                    	enable redundancy
                    	**type**\:  str
                    
                    .. attribute:: stateful
                    
                    	enable stateful failover
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: tag
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.redundancy = None
                        self.stateful = None
                        self.tag = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.redundancy is not None:
                            return True

                        if self.stateful is not None:
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Crypto.Map']['meta_info']


                class Ipsec(object):
                    """
                    Set IPSec parameters
                    
                    .. attribute:: df_bit
                    
                    	Handling of encapsulated DF bit
                    	**type**\:   :py:class:`DfBitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Crypto.Ipsec.DfBitEnum>`
                    
                    .. attribute:: fragmentation
                    
                    	Handling of fragmentation of near\-MTU sized packets
                    	**type**\:   :py:class:`FragmentationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Crypto.Ipsec.FragmentationEnum>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.df_bit = None
                        self.fragmentation = None

                    class DfBitEnum(Enum):
                        """
                        DfBitEnum

                        Handling of encapsulated DF bit.

                        .. data:: clear = 0

                        .. data:: copy = 1

                        .. data:: set = 2

                        """

                        clear = 0

                        copy = 1

                        set = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Crypto.Ipsec.DfBitEnum']


                    class FragmentationEnum(Enum):
                        """
                        FragmentationEnum

                        Handling of fragmentation of near\-MTU sized packets

                        .. data:: after_encryption = 0

                        .. data:: before_encryption = 1

                        """

                        after_encryption = 0

                        before_encryption = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Crypto.Ipsec.FragmentationEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:ipsec'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.df_bit is not None:
                            return True

                        if self.fragmentation is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Crypto.Ipsec']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:crypto'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipsec is not None and self.ipsec._has_data():
                        return True

                    if self.map is not None and self.map._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Crypto']['meta_info']


            class Cts(object):
                """
                Configure Cisco Trusted Security
                
                .. attribute:: manual
                
                	Supply local configuration for CTS parameters
                	**type**\:   :py:class:`Manual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Cts.Manual>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.manual = None


                class Manual(object):
                    """
                    Supply local configuration for CTS parameters
                    
                    .. attribute:: policy
                    
                    	CTS policy for manual mode
                    	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Cts.Manual.Policy>`
                    
                    .. attribute:: propagate
                    
                    	CTS SGT Propagation configuration for manual mode
                    	**type**\:   :py:class:`Propagate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Cts.Manual.Propagate>`
                    
                    .. attribute:: sap
                    
                    	CTS SAP configuration for manual mode
                    	**type**\:   :py:class:`Sap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Cts.Manual.Sap>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.policy = Native.Interface.Fastethernet.Cts.Manual.Policy()
                        self.policy.parent = self
                        self.propagate = Native.Interface.Fastethernet.Cts.Manual.Propagate()
                        self.propagate.parent = self
                        self.sap = Native.Interface.Fastethernet.Cts.Manual.Sap()
                        self.sap.parent = self


                    class Policy(object):
                        """
                        CTS policy for manual mode
                        
                        .. attribute:: static
                        
                        	Configure policy to be applied on the link
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Cts.Manual.Policy.Static>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = Native.Interface.Fastethernet.Cts.Manual.Policy.Static()
                            self.static.parent = self


                        class Static(object):
                            """
                            Configure policy to be applied on the link
                            
                            .. attribute:: sgt
                            
                            	Source Security Group Tag to apply to untagged or non\-trusted incoming traffic
                            	**type**\:  int
                            
                            	**range:** 2..65519
                            
                            .. attribute:: trusted
                            
                            	Trust the Source Group Tags (SGT) that the peer uses for sending
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.sgt = None
                                self.trusted = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-cts:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.sgt is not None:
                                    return True

                                if self.trusted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Cts.Manual.Policy.Static']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Cts.Manual.Policy']['meta_info']


                    class Sap(object):
                        """
                        CTS SAP configuration for manual mode
                        
                        .. attribute:: pmk
                        
                        	Pre\-Master Key (PMK) to use for CTS SAP
                        	**type**\: list of    :py:class:`Pmk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.pmk = YList()
                            self.pmk.parent = self
                            self.pmk.name = 'pmk'


                        class Pmk(object):
                            """
                            Pre\-Master Key (PMK) to use for CTS SAP
                            
                            .. attribute:: word  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: mode_list
                            
                            	List of advertised modes (prioritized from highest to lowest)
                            	**type**\:   :py:class:`ModeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.word = None
                                self.mode_list = Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList()
                                self.mode_list.parent = self


                            class ModeList(object):
                                """
                                List of advertised modes (prioritized from highest to lowest)
                                
                                .. attribute:: gcm_encrypt
                                
                                	GCM authentication, GCM encryption
                                	**type**\:   :py:class:`GcmEncrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_encap
                                
                                	No encapsulation
                                	**type**\:   :py:class:`NoEncap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.gcm_encrypt = None
                                    self.no_encap = None


                                class GcmEncrypt(object):
                                    """
                                    GCM authentication, GCM encryption
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:   :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.gmac = None


                                    class Gmac(object):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: null
                                        
                                        	Encapsulation present, no authentication,       no encryption
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.null = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:gmac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.null is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:gcm-encrypt'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.gmac is not None and self.gmac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info']


                                class NoEncap(object):
                                    """
                                    No encapsulation
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:   :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.gmac = None


                                    class Gmac(object):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: gcm_encrypt
                                        
                                        	GCM authentication, GCM encryption
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.gcm_encrypt = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:gmac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.gcm_encrypt is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:no-encap'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.gmac is not None and self.gmac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-cts:mode-list'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.gcm_encrypt is not None and self.gcm_encrypt._has_data():
                                        return True

                                    if self.no_encap is not None and self.no_encap._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk.ModeList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.word is None:
                                    raise YPYModelError('Key property word is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-cts:pmk[Cisco-IOS-XE-cts:word = ' + str(self.word) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.word is not None:
                                    return True

                                if self.mode_list is not None and self.mode_list._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Cts.Manual.Sap.Pmk']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:sap'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.pmk is not None:
                                for child_ref in self.pmk:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Cts.Manual.Sap']['meta_info']


                    class Propagate(object):
                        """
                        CTS SGT Propagation configuration for manual mode
                        
                        .. attribute:: sgt
                        
                        	CTS SGT Propagation configuration
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.sgt = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:propagate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.sgt is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Cts.Manual.Propagate']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-cts:manual'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.policy is not None and self.policy._has_data():
                            return True

                        if self.propagate is not None and self.propagate._has_data():
                            return True

                        if self.sap is not None and self.sap._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Cts.Manual']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-cts:cts'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.manual is not None and self.manual._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Cts']['meta_info']


            class Dot1X(object):
                """
                Interface Config Commands for IEEE 802.1X
                
                .. attribute:: authenticator
                
                	Configure authenticator parameters
                	**type**\:   :py:class:`Authenticator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Dot1X.Authenticator>`
                
                .. attribute:: credentials
                
                	Credentials profile configuration
                	**type**\:  str
                
                .. attribute:: max_reauth_req
                
                	Max No. of Reauthentication Attempts
                	**type**\:  int
                
                	**range:** 1..10
                
                .. attribute:: max_req
                
                	Max No. of Retries
                	**type**\:  int
                
                	**range:** 1..10
                
                .. attribute:: max_start
                
                	Max No. of EAPOL\-Start requests
                	**type**\:  int
                
                	**range:** 1..10
                
                .. attribute:: pae
                
                	Set 802.1x interface pae type
                	**type**\:   :py:class:`PaeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Dot1X.PaeEnum>`
                
                .. attribute:: supplicant
                
                	Configure supplicant parameters
                	**type**\:   :py:class:`Supplicant <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Dot1X.Supplicant>`
                
                .. attribute:: timeout
                
                	Various Timeouts
                	**type**\:   :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Dot1X.Timeout>`
                
                

                """

                _prefix = 'ios-dot1x'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.authenticator = Native.Interface.Fastethernet.Dot1X.Authenticator()
                    self.authenticator.parent = self
                    self.credentials = None
                    self.max_reauth_req = None
                    self.max_req = None
                    self.max_start = None
                    self.pae = None
                    self.supplicant = Native.Interface.Fastethernet.Dot1X.Supplicant()
                    self.supplicant.parent = self
                    self.timeout = Native.Interface.Fastethernet.Dot1X.Timeout()
                    self.timeout.parent = self

                class PaeEnum(Enum):
                    """
                    PaeEnum

                    Set 802.1x interface pae type

                    .. data:: authenticator = 0

                    .. data:: supplicant = 1

                    .. data:: both = 2

                    """

                    authenticator = 0

                    supplicant = 1

                    both = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Dot1X.PaeEnum']



                class Authenticator(object):
                    """
                    Configure authenticator parameters
                    
                    .. attribute:: eap
                    
                    	Configure EAP authenticator parameters
                    	**type**\:   :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Dot1X.Authenticator.Eap>`
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eap = Native.Interface.Fastethernet.Dot1X.Authenticator.Eap()
                        self.eap.parent = self


                    class Eap(object):
                        """
                        Configure EAP authenticator parameters
                        
                        .. attribute:: profile
                        
                        	EAP authenticator profile configuration
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dot1x'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.profile = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dot1x:eap'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.profile is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Dot1X.Authenticator.Eap']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-dot1x:authenticator'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eap is not None and self.eap._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Dot1X.Authenticator']['meta_info']


                class Supplicant(object):
                    """
                    Configure supplicant parameters
                    
                    .. attribute:: eap
                    
                    	Configure EAP supplicant parameters
                    	**type**\:   :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Dot1X.Supplicant.Eap>`
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eap = Native.Interface.Fastethernet.Dot1X.Supplicant.Eap()
                        self.eap.parent = self


                    class Eap(object):
                        """
                        Configure EAP supplicant parameters
                        
                        .. attribute:: profile
                        
                        	EAP supplicant profile configuration
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dot1x'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.profile = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dot1x:eap'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.profile is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Dot1X.Supplicant.Eap']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-dot1x:supplicant'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eap is not None and self.eap._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Dot1X.Supplicant']['meta_info']


                class Timeout(object):
                    """
                    Various Timeouts
                    
                    .. attribute:: auth_period
                    
                    	Timeout for authenticator reply
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: held_period
                    
                    	Timeout for authentication retries
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: quiet_period
                    
                    	QuietPeriod in Seconds
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: ratelimit_period
                    
                    	Ratelimit Period in seconds
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: server_timeout
                    
                    	Timeout for Radius Retries
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: start_period
                    
                    	Timeout for EAPOL\-start retries
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: supp_timeout
                    
                    	Timeout for supplicant reply
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tx_period
                    
                    	Timeout for supplicant retries
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auth_period = None
                        self.held_period = None
                        self.quiet_period = None
                        self.ratelimit_period = None
                        self.server_timeout = None
                        self.start_period = None
                        self.supp_timeout = None
                        self.tx_period = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-dot1x:timeout'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auth_period is not None:
                            return True

                        if self.held_period is not None:
                            return True

                        if self.quiet_period is not None:
                            return True

                        if self.ratelimit_period is not None:
                            return True

                        if self.server_timeout is not None:
                            return True

                        if self.start_period is not None:
                            return True

                        if self.supp_timeout is not None:
                            return True

                        if self.tx_period is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Dot1X.Timeout']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-dot1x:dot1x'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.authenticator is not None and self.authenticator._has_data():
                        return True

                    if self.credentials is not None:
                        return True

                    if self.max_reauth_req is not None:
                        return True

                    if self.max_req is not None:
                        return True

                    if self.max_start is not None:
                        return True

                    if self.pae is not None:
                        return True

                    if self.supplicant is not None and self.supplicant._has_data():
                        return True

                    if self.timeout is not None and self.timeout._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Dot1X']['meta_info']


            class Performance(object):
                """
                Global performance monitor configuration
                
                .. attribute:: monitor
                
                	monitor
                	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Performance.Monitor>`
                
                

                """

                _prefix = 'ios-ezpm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.monitor = Native.Interface.Fastethernet.Performance.Monitor()
                    self.monitor.parent = self


                class Monitor(object):
                    """
                    monitor
                    
                    .. attribute:: context
                    
                    	Select ezPM context
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-ezpm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.context = YLeafList()
                        self.context.parent = self
                        self.context.name = 'context'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ezpm:monitor'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.context is not None:
                            for child in self.context:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Performance.Monitor']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ezpm:performance'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.monitor is not None and self.monitor._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Performance']['meta_info']


            class ServicePolicy(object):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.history = None
                    self.input = None
                    self.output = None
                    self.type = Native.Interface.Fastethernet.ServicePolicy.Type()
                    self.type.parent = self


                class Type(object):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:   :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:   :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:   :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.control = Native.Interface.Fastethernet.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self.performance_monitor = Native.Interface.Fastethernet.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self.service_chain = Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self


                    class Control(object):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.subscriber = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:control'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.subscriber is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.ServicePolicy.Type.Control']['meta_info']


                    class PerformanceMonitor(object):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.ServicePolicy.Type.PerformanceMonitor.DirectionEnum>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.direction = None
                            self.name = None

                        class DirectionEnum(Enum):
                            """
                            DirectionEnum

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = 0

                            output = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.ServicePolicy.Type.PerformanceMonitor.DirectionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:performance-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.direction is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.ServicePolicy.Type.PerformanceMonitor']['meta_info']


                    class ServiceChain(object):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self.output = Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self


                        class Input(object):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain.Input']['meta_info']


                        class Output(object):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:output'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:service-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None and self.input._has_data():
                                return True

                            if self.output is not None and self.output._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.ServicePolicy.Type.ServiceChain']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.control is not None and self.control._has_data():
                            return True

                        if self.performance_monitor is not None and self.performance_monitor._has_data():
                            return True

                        if self.service_chain is not None and self.service_chain._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.ServicePolicy.Type']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.history is not None:
                        return True

                    if self.input is not None:
                        return True

                    if self.output is not None:
                        return True

                    if self.type is not None and self.type._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.ServicePolicy']['meta_info']


            class Snmp(object):
                """
                Modify SNMP interface parameters
                
                .. attribute:: ifindex
                
                	Persist ifindex for the interface
                	**type**\:   :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Snmp.Ifindex>`
                
                .. attribute:: trap
                
                	Allow a specific SNMP trap
                	**type**\:   :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Snmp.Trap>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ifindex = Native.Interface.Fastethernet.Snmp.Ifindex()
                    self.ifindex.parent = self
                    self.trap = Native.Interface.Fastethernet.Snmp.Trap()
                    self.trap.parent = self


                class Ifindex(object):
                    """
                    Persist ifindex for the interface
                    
                    .. attribute:: clear
                    
                    	Clear Enable/Disable ifIndex persistence
                    	**type**\:  bool
                    
                    .. attribute:: persist
                    
                    	Enable/Disable ifIndex persistence 
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.clear = None
                        self.persist = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-snmp:ifindex'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.clear is not None:
                            return True

                        if self.persist is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Snmp.Ifindex']['meta_info']


                class Trap(object):
                    """
                    Allow a specific SNMP trap
                    
                    .. attribute:: link_status
                    
                    	Allow SNMP LINKUP and LINKDOWN traps
                    	**type**\:  bool
                    
                    .. attribute:: link_status_capas
                    
                    	
                    	**type**\:   :py:class:`LinkStatusCapas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.link_status = None
                        self.link_status_capas = Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas()
                        self.link_status_capas.parent = self


                    class LinkStatusCapas(object):
                        """
                        
                        
                        .. attribute:: link_status
                        
                        	Allow SNMP LINKUP and LINKDOWN traps
                        	**type**\:   :py:class:`LinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas.LinkStatus>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.link_status = Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas.LinkStatus()
                            self.link_status.parent = self


                        class LinkStatus(object):
                            """
                            Allow SNMP LINKUP and LINKDOWN traps
                            
                            .. attribute:: permit
                            
                            	Permit the following capability
                            	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.permit = Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit()
                                self.permit.parent = self


                            class Permit(object):
                                """
                                Permit the following capability
                                
                                .. attribute:: duplicates
                                
                                	Permit duplicate SNMP LINKUP and LINKDOWN traps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.duplicates = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:permit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.duplicates is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-snmp:link-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.permit is not None and self.permit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-snmp:link-status-capas'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.link_status is not None and self.link_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Snmp.Trap.LinkStatusCapas']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-snmp:trap'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.link_status is not None:
                            return True

                        if self.link_status_capas is not None and self.link_status_capas._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Snmp.Trap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:snmp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ifindex is not None and self.ifindex._has_data():
                        return True

                    if self.trap is not None and self.trap._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Snmp']['meta_info']


            class Lisp(object):
                """
                Locator/ID Separation Protocol
                
                .. attribute:: extended_subnet_mode
                
                	Configures to enable extended subnet mode on the interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mobility
                
                	Configures to allow EID mobility on interface
                	**type**\:   :py:class:`Mobility <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Lisp.Mobility>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.extended_subnet_mode = None
                    self.mobility = Native.Interface.Fastethernet.Lisp.Mobility()
                    self.mobility.parent = self


                class Mobility(object):
                    """
                    Configures to allow EID mobility on interface
                    
                    .. attribute:: discover
                    
                    	Configure mobility dynamic EID discover settings
                    	**type**\:   :py:class:`Discover <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Lisp.Mobility.Discover>`
                    
                    .. attribute:: dynamic_eid
                    
                    	
                    	**type**\:   :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Lisp.Mobility.DynamicEid>`
                    
                    .. attribute:: liveness
                    
                    	Configure mobility liveness settings
                    	**type**\:   :py:class:`Liveness <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Lisp.Mobility.Liveness>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.discover = Native.Interface.Fastethernet.Lisp.Mobility.Discover()
                        self.discover.parent = self
                        self.dynamic_eid = Native.Interface.Fastethernet.Lisp.Mobility.DynamicEid()
                        self.dynamic_eid.parent = self
                        self.liveness = Native.Interface.Fastethernet.Lisp.Mobility.Liveness()
                        self.liveness.parent = self


                    class DynamicEid(object):
                        """
                        
                        
                        .. attribute:: dynamic_eid_name
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: nbr_proxy_reply
                        
                        	Neighbor proxy reply behavior for dynamic EID group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: requests
                        
                        	Send neighbor proxy reply after reaching request threshold
                        	**type**\:  int
                        
                        	**range:** 0..5
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dynamic_eid_name = None
                            self.nbr_proxy_reply = None
                            self.requests = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:dynamic-eid'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dynamic_eid_name is not None:
                                return True

                            if self.nbr_proxy_reply is not None:
                                return True

                            if self.requests is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Lisp.Mobility.DynamicEid']['meta_info']


                    class Discover(object):
                        """
                        Configure mobility dynamic EID discover settings
                        
                        .. attribute:: arp
                        
                        	Dynamic EID discover through ARP events on this interface
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.arp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:discover'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.arp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Lisp.Mobility.Discover']['meta_info']


                    class Liveness(object):
                        """
                        Configure mobility liveness settings
                        
                        .. attribute:: test
                        
                        	Perform liveness test on dynamic\-EID discovered on this interface
                        	**type**\:  bool
                        
                        .. attribute:: ttl
                        
                        	Configures the TTL in the liveness test packet
                        	**type**\:  int
                        
                        	**range:** 2..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.test = None
                            self.ttl = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:liveness'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.test is not None:
                                return True

                            if self.ttl is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Lisp.Mobility.Liveness']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:mobility'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.discover is not None and self.discover._has_data():
                            return True

                        if self.dynamic_eid is not None and self.dynamic_eid._has_data():
                            return True

                        if self.liveness is not None and self.liveness._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Lisp.Mobility']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.extended_subnet_mode is not None:
                        return True

                    if self.mobility is not None and self.mobility._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Lisp']['meta_info']


            class Mka(object):
                """
                MACsec Key Agreement (MKA) interface configuration
                
                .. attribute:: pre_shared_key
                
                	Configure MKA Pre\-Shared\-Key
                	**type**\:   :py:class:`PreSharedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Mka.PreSharedKey>`
                
                

                """

                _prefix = 'ios-mka'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.pre_shared_key = Native.Interface.Fastethernet.Mka.PreSharedKey()
                    self.pre_shared_key.parent = self


                class PreSharedKey(object):
                    """
                    Configure MKA Pre\-Shared\-Key
                    
                    .. attribute:: key_chain
                    
                    	Configure the key\-chain name
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Mka.PreSharedKey.KeyChain>`
                    
                    

                    """

                    _prefix = 'ios-mka'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Fastethernet.Mka.PreSharedKey.KeyChain()
                        self.key_chain.parent = self


                    class KeyChain(object):
                        """
                        Configure the key\-chain name
                        
                        .. attribute:: name
                        
                        	Name of key\-chain to be used to get keys
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-mka'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mka:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Mka.PreSharedKey.KeyChain']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mka:pre-shared-key'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Mka.PreSharedKey']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-mka:mka'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.pre_shared_key is not None and self.pre_shared_key._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Mka']['meta_info']


            class Ospfv3(object):
                """
                OSPFv3 interface commands
                
                .. attribute:: authentication
                
                	Enable authentication
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Authentication>`
                
                .. attribute:: bfd
                
                	Enable BFD on this interface
                	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Bfd>`
                
                	**presence node**\: True
                
                .. attribute:: cost
                
                	Route cost of this interface
                	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Cost>`
                
                .. attribute:: database_filter
                
                	Filter OSPF LSA during synchronization and flooding
                	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.DatabaseFilter>`
                
                .. attribute:: dead_interval
                
                	Interval after which a neighbor is declared dead
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: demand_circuit
                
                	OSPF Demand Circuit
                	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.DemandCircuit>`
                
                	**presence node**\: True
                
                .. attribute:: encryption
                
                	Enable encryption
                	**type**\:   :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Encryption>`
                
                .. attribute:: flood_reduction
                
                	OSPF Flood Reduction
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hello_interval
                
                	Time between HELLO packets
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: manet
                
                	Mobile Adhoc Networking options
                	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Manet>`
                
                .. attribute:: mtu_ignore
                
                	Ignores the MTU in DBD packets
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: multi_area
                
                	Set the OSPF multi\-area ID
                	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.MultiArea>`
                
                .. attribute:: neighbor
                
                	OSPF neighbor
                	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Neighbor>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Network>`
                
                .. attribute:: prefix_suppression
                
                	OSPF prefix suppression
                	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.PrefixSuppression>`
                
                	**presence node**\: True
                
                .. attribute:: priority
                
                	Router priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: process_id
                
                	
                	**type**\: list of    :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId>`
                
                .. attribute:: retransmit_interval
                
                	Time between retransmitting lost link state advertisements
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: shutdown
                
                	Shut down the interface in OSPFv3
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: transmit_delay
                
                	Link state transmit delay
                	**type**\:  int
                
                	**range:** 1..65535
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.authentication = Native.Interface.Fastethernet.Ospfv3.Authentication()
                    self.authentication.parent = self
                    self.bfd = None
                    self.cost = Native.Interface.Fastethernet.Ospfv3.Cost()
                    self.cost.parent = self
                    self.database_filter = Native.Interface.Fastethernet.Ospfv3.DatabaseFilter()
                    self.database_filter.parent = self
                    self.dead_interval = None
                    self.demand_circuit = None
                    self.encryption = Native.Interface.Fastethernet.Ospfv3.Encryption()
                    self.encryption.parent = self
                    self.flood_reduction = None
                    self.hello_interval = None
                    self.manet = Native.Interface.Fastethernet.Ospfv3.Manet()
                    self.manet.parent = self
                    self.mtu_ignore = None
                    self.multi_area = Native.Interface.Fastethernet.Ospfv3.MultiArea()
                    self.multi_area.parent = self
                    self.neighbor = YList()
                    self.neighbor.parent = self
                    self.neighbor.name = 'neighbor'
                    self.network = Native.Interface.Fastethernet.Ospfv3.Network()
                    self.network.parent = self
                    self.prefix_suppression = None
                    self.priority = None
                    self.process_id = YList()
                    self.process_id.parent = self
                    self.process_id.name = 'process_id'
                    self.retransmit_interval = None
                    self.shutdown = None
                    self.transmit_delay = None


                class ProcessId(object):
                    """
                    
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost>`
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ipv4
                    
                    	Specify parameters for IPv4
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	Specify parameters for IPv6
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6>`
                    
                    .. attribute:: manet
                    
                    	Mobile Adhoc Networking options
                    	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.MultiArea>`
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Network>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.authentication = Native.Interface.Fastethernet.Ospfv3.ProcessId.Authentication()
                        self.authentication.parent = self
                        self.bfd = None
                        self.cost = Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost()
                        self.cost.parent = self
                        self.database_filter = Native.Interface.Fastethernet.Ospfv3.ProcessId.DatabaseFilter()
                        self.database_filter.parent = self
                        self.dead_interval = None
                        self.demand_circuit = None
                        self.flood_reduction = None
                        self.hello_interval = None
                        self.ipv4 = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4()
                        self.ipv4.parent = self
                        self.ipv6 = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6()
                        self.ipv6.parent = self
                        self.manet = Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet()
                        self.manet.parent = self
                        self.mtu_ignore = None
                        self.multi_area = Native.Interface.Fastethernet.Ospfv3.ProcessId.MultiArea()
                        self.multi_area.parent = self
                        self.neighbor = YList()
                        self.neighbor.parent = self
                        self.neighbor.name = 'neighbor'
                        self.network = Native.Interface.Fastethernet.Ospfv3.ProcessId.Network()
                        self.network.parent = self
                        self.prefix_suppression = None
                        self.priority = None
                        self.retransmit_interval = None
                        self.shutdown = None
                        self.transmit_delay = None


                    class Authentication(object):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:  str
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_chain = None
                            self.null = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_chain is not None:
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Authentication']['meta_info']


                    class Bfd(object):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Bfd']['meta_info']


                    class Cost(object):
                        """
                        Route cost of this interface
                        
                        .. attribute:: dynamic
                        
                        	Specify dynamic cost options
                        	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dynamic = None
                            self.value = None


                        class Dynamic(object):
                            """
                            Specify dynamic cost options
                            
                            .. attribute:: default
                            
                            	Specify default link metric value
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: hysteresis
                            
                            	Specify hysteresis value for LSA dampening
                            	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: weight
                            
                            	Specify weight to be placed on individual metrics
                            	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.default = None
                                self.hysteresis = None
                                self.weight = Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight()
                                self.weight.parent = self


                            class Hysteresis(object):
                                """
                                Specify hysteresis value for LSA dampening
                                
                                .. attribute:: percent
                                
                                	Specify hysteresis percent changed
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold
                                
                                	Specify hysteresis threshold value
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.percent = None
                                    self.threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.percent is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis']['meta_info']


                            class Weight(object):
                                """
                                Specify weight to be placed on individual metrics
                                
                                .. attribute:: l2_factor
                                
                                	Specify weight to be given to L2\-factor metric
                                	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: latency
                                
                                	Specify weight to be given to latency metric
                                	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: resources
                                
                                	Specify weight to be given to resources metric
                                	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: throughput
                                
                                	Specify weight to be given to throughput metric
                                	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.l2_factor = None
                                    self.latency = None
                                    self.resources = None
                                    self.throughput = None


                                class L2Factor(object):
                                    """
                                    Specify weight to be given to L2\-factor metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor']['meta_info']


                                class Latency(object):
                                    """
                                    Specify weight to be given to latency metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency']['meta_info']


                                class Resources(object):
                                    """
                                    Specify weight to be given to resources metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources']['meta_info']


                                class Throughput(object):
                                    """
                                    Specify weight to be given to throughput metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.l2_factor is not None and self.l2_factor._has_data():
                                        return True

                                    if self.latency is not None and self.latency._has_data():
                                        return True

                                    if self.resources is not None and self.resources._has_data():
                                        return True

                                    if self.throughput is not None and self.throughput._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.default is not None:
                                    return True

                                if self.hysteresis is not None and self.hysteresis._has_data():
                                    return True

                                if self.weight is not None and self.weight._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost.Dynamic']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dynamic is not None and self.dynamic._has_data():
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Cost']['meta_info']


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.DatabaseFilter.AllEnum>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.disable = None

                        class AllEnum(Enum):
                            """
                            AllEnum

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.DatabaseFilter.AllEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.DatabaseFilter']['meta_info']


                    class DemandCircuit(object):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None
                            self.ignore = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.DemandCircuit']['meta_info']


                    class FloodReduction(object):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:flood-reduction'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.FloodReduction']['meta_info']


                    class Manet(object):
                        """
                        Mobile Adhoc Networking options
                        
                        .. attribute:: peering
                        
                        	MANET Peering options
                        	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet.Peering>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.peering = Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet.Peering()
                            self.peering.parent = self


                        class Peering(object):
                            """
                            MANET Peering options
                            
                            .. attribute:: cost
                            
                            	Redundant path cost improvement required to peer
                            	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet.Peering.Cost>`
                            
                            .. attribute:: link_metrics
                            
                            	Require link metrics
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cost = Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet.Peering.Cost()
                                self.cost.parent = self
                                self.link_metrics = None


                            class Cost(object):
                                """
                                Redundant path cost improvement required to peer
                                
                                .. attribute:: percent
                                
                                	Relative incremental path cost
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: threshold
                                
                                	Absolute incremental path cost
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.percent = None
                                    self.threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.percent is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet.Peering.Cost']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cost is not None and self.cost._has_data():
                                    return True

                                if self.link_metrics is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet.Peering']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.peering is not None and self.peering._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Manet']['meta_info']


                    class MtuIgnore(object):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mtu-ignore'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.MtuIgnore']['meta_info']


                    class MultiArea(object):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: disable
                        
                        	disable OSPF multi\-area
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cost = None
                            self.disable = None
                            self.id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cost is not None:
                                return True

                            if self.disable is not None:
                                return True

                            if self.id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.MultiArea']['meta_info']


                    class Neighbor(object):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.cost = None
                            self.database_filter = Native.Interface.Fastethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self.poll_interval = None
                            self.priority = None


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.cost is not None:
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.poll_interval is not None:
                                return True

                            if self.priority is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Neighbor']['meta_info']


                    class Network(object):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.broadcast = None
                            self.manet = None
                            self.non_broadcast = None
                            self.point_to_multipoint = None
                            self.point_to_point = None


                        class PointToMultipoint(object):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.non_broadcast = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.non_broadcast is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Network.PointToMultipoint']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.broadcast is not None:
                                return True

                            if self.manet is not None:
                                return True

                            if self.non_broadcast is not None:
                                return True

                            if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                return True

                            if self.point_to_point is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Network']['meta_info']


                    class PrefixSuppression(object):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.PrefixSuppression']['meta_info']


                    class Shutdown(object):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:shutdown'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Shutdown']['meta_info']


                    class Ipv4(object):
                        """
                        Specify parameters for IPv4
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.area = YList()
                            self.area.parent = self
                            self.area.name = 'area'
                            self.authentication = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Authentication()
                            self.authentication.parent = self
                            self.bfd = None
                            self.cost = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost()
                            self.cost.parent = self
                            self.database_filter = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter()
                            self.database_filter.parent = self
                            self.dead_interval = None
                            self.demand_circuit = None
                            self.flood_reduction = None
                            self.hello_interval = None
                            self.manet = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet()
                            self.manet.parent = self
                            self.mtu_ignore = None
                            self.multi_area = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.MultiArea()
                            self.multi_area.parent = self
                            self.neighbor = YList()
                            self.neighbor.parent = self
                            self.neighbor.name = 'neighbor'
                            self.network = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Network()
                            self.network.parent = self
                            self.prefix_suppression = None
                            self.priority = None
                            self.retransmit_interval = None
                            self.shutdown = None
                            self.transmit_delay = None


                        class Area(object):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\:  int
                            
                            	**range:** 64..95
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.instance = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.instance is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Area']['meta_info']


                        class Authentication(object):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\:  str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.null = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.null is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Authentication']['meta_info']


                        class Bfd(object):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Bfd']['meta_info']


                        class Cost(object):
                            """
                            Route cost of this interface
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.value = None


                            class Dynamic(object):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.default = None
                                    self.hysteresis = None
                                    self.weight = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight()
                                    self.weight.parent = self


                                class Hysteresis(object):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis']['meta_info']


                                class Weight(object):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.l2_factor = None
                                        self.latency = None
                                        self.resources = None
                                        self.throughput = None


                                    class L2Factor(object):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor']['meta_info']


                                    class Latency(object):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency']['meta_info']


                                    class Resources(object):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources']['meta_info']


                                    class Throughput(object):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.l2_factor is not None and self.l2_factor._has_data():
                                            return True

                                        if self.latency is not None and self.latency._has_data():
                                            return True

                                        if self.resources is not None and self.resources._has_data():
                                            return True

                                        if self.throughput is not None and self.throughput._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.default is not None:
                                        return True

                                    if self.hysteresis is not None and self.hysteresis._has_data():
                                        return True

                                    if self.weight is not None and self.weight._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None and self.dynamic._has_data():
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Cost']['meta_info']


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None
                                self.disable = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter']['meta_info']


                        class DemandCircuit(object):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None
                                self.ignore = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                if self.ignore is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.DemandCircuit']['meta_info']


                        class FloodReduction(object):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:flood-reduction'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.FloodReduction']['meta_info']


                        class Manet(object):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.peering = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering()
                                self.peering.parent = self


                            class Peering(object):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cost = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self.link_metrics = None


                                class Cost(object):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cost is not None and self.cost._has_data():
                                        return True

                                    if self.link_metrics is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.peering is not None and self.peering._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Manet']['meta_info']


                        class MtuIgnore(object):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mtu-ignore'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.MtuIgnore']['meta_info']


                        class MultiArea(object):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cost = None
                                self.disable = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cost is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.MultiArea']['meta_info']


                        class Neighbor(object):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.cost = None
                                self.database_filter = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self.poll_interval = None
                                self.priority = None


                            class DatabaseFilter(object):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.all = None

                                class AllEnum(Enum):
                                    """
                                    AllEnum

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.all is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.cost is not None:
                                    return True

                                if self.database_filter is not None and self.database_filter._has_data():
                                    return True

                                if self.poll_interval is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Neighbor']['meta_info']


                        class Network(object):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.broadcast = None
                                self.manet = None
                                self.non_broadcast = None
                                self.point_to_multipoint = None
                                self.point_to_point = None


                            class PointToMultipoint(object):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.non_broadcast = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.non_broadcast is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.broadcast is not None:
                                    return True

                                if self.manet is not None:
                                    return True

                                if self.non_broadcast is not None:
                                    return True

                                if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                    return True

                                if self.point_to_point is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Network']['meta_info']


                        class PrefixSuppression(object):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression']['meta_info']


                        class Shutdown(object):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:shutdown'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4.Shutdown']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.area is not None:
                                for child_ref in self.area:
                                    if child_ref._has_data():
                                        return True

                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.bfd is not None and self.bfd._has_data():
                                return True

                            if self.cost is not None and self.cost._has_data():
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.dead_interval is not None:
                                return True

                            if self.demand_circuit is not None and self.demand_circuit._has_data():
                                return True

                            if self.flood_reduction is not None and self.flood_reduction._has_data():
                                return True

                            if self.hello_interval is not None:
                                return True

                            if self.manet is not None and self.manet._has_data():
                                return True

                            if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                                return True

                            if self.multi_area is not None and self.multi_area._has_data():
                                return True

                            if self.neighbor is not None:
                                for child_ref in self.neighbor:
                                    if child_ref._has_data():
                                        return True

                            if self.network is not None and self.network._has_data():
                                return True

                            if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                                return True

                            if self.priority is not None:
                                return True

                            if self.retransmit_interval is not None:
                                return True

                            if self.shutdown is not None and self.shutdown._has_data():
                                return True

                            if self.transmit_delay is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv4']['meta_info']


                    class Ipv6(object):
                        """
                        Specify parameters for IPv6
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.area = YList()
                            self.area.parent = self
                            self.area.name = 'area'
                            self.authentication = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Authentication()
                            self.authentication.parent = self
                            self.bfd = None
                            self.cost = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost()
                            self.cost.parent = self
                            self.database_filter = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter()
                            self.database_filter.parent = self
                            self.dead_interval = None
                            self.demand_circuit = None
                            self.flood_reduction = None
                            self.hello_interval = None
                            self.manet = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet()
                            self.manet.parent = self
                            self.mtu_ignore = None
                            self.multi_area = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.MultiArea()
                            self.multi_area.parent = self
                            self.neighbor = YList()
                            self.neighbor.parent = self
                            self.neighbor.name = 'neighbor'
                            self.network = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Network()
                            self.network.parent = self
                            self.prefix_suppression = None
                            self.priority = None
                            self.retransmit_interval = None
                            self.shutdown = None
                            self.transmit_delay = None


                        class Area(object):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\:  int
                            
                            	**range:** 0..31
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.instance = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.instance is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Area']['meta_info']


                        class Authentication(object):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\:  str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.null = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.null is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Authentication']['meta_info']


                        class Bfd(object):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Bfd']['meta_info']


                        class Cost(object):
                            """
                            Route cost of this interface
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.value = None


                            class Dynamic(object):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.default = None
                                    self.hysteresis = None
                                    self.weight = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight()
                                    self.weight.parent = self


                                class Hysteresis(object):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis']['meta_info']


                                class Weight(object):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.l2_factor = None
                                        self.latency = None
                                        self.resources = None
                                        self.throughput = None


                                    class L2Factor(object):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor']['meta_info']


                                    class Latency(object):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency']['meta_info']


                                    class Resources(object):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources']['meta_info']


                                    class Throughput(object):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.l2_factor is not None and self.l2_factor._has_data():
                                            return True

                                        if self.latency is not None and self.latency._has_data():
                                            return True

                                        if self.resources is not None and self.resources._has_data():
                                            return True

                                        if self.throughput is not None and self.throughput._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.default is not None:
                                        return True

                                    if self.hysteresis is not None and self.hysteresis._has_data():
                                        return True

                                    if self.weight is not None and self.weight._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None and self.dynamic._has_data():
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Cost']['meta_info']


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None
                                self.disable = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter']['meta_info']


                        class DemandCircuit(object):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None
                                self.ignore = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                if self.ignore is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.DemandCircuit']['meta_info']


                        class FloodReduction(object):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:flood-reduction'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.FloodReduction']['meta_info']


                        class Manet(object):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.peering = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering()
                                self.peering.parent = self


                            class Peering(object):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cost = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self.link_metrics = None


                                class Cost(object):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cost is not None and self.cost._has_data():
                                        return True

                                    if self.link_metrics is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.peering is not None and self.peering._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Manet']['meta_info']


                        class MtuIgnore(object):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mtu-ignore'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.MtuIgnore']['meta_info']


                        class MultiArea(object):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cost = None
                                self.disable = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cost is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.MultiArea']['meta_info']


                        class Neighbor(object):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.cost = None
                                self.database_filter = Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self.poll_interval = None
                                self.priority = None


                            class DatabaseFilter(object):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.all = None

                                class AllEnum(Enum):
                                    """
                                    AllEnum

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.all is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.cost is not None:
                                    return True

                                if self.database_filter is not None and self.database_filter._has_data():
                                    return True

                                if self.poll_interval is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Neighbor']['meta_info']


                        class Network(object):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.broadcast = None
                                self.manet = None
                                self.non_broadcast = None
                                self.point_to_multipoint = None
                                self.point_to_point = None


                            class PointToMultipoint(object):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.non_broadcast = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.non_broadcast is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.broadcast is not None:
                                    return True

                                if self.manet is not None:
                                    return True

                                if self.non_broadcast is not None:
                                    return True

                                if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                    return True

                                if self.point_to_point is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Network']['meta_info']


                        class PrefixSuppression(object):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression']['meta_info']


                        class Shutdown(object):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:shutdown'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6.Shutdown']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.area is not None:
                                for child_ref in self.area:
                                    if child_ref._has_data():
                                        return True

                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.bfd is not None and self.bfd._has_data():
                                return True

                            if self.cost is not None and self.cost._has_data():
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.dead_interval is not None:
                                return True

                            if self.demand_circuit is not None and self.demand_circuit._has_data():
                                return True

                            if self.flood_reduction is not None and self.flood_reduction._has_data():
                                return True

                            if self.hello_interval is not None:
                                return True

                            if self.manet is not None and self.manet._has_data():
                                return True

                            if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                                return True

                            if self.multi_area is not None and self.multi_area._has_data():
                                return True

                            if self.neighbor is not None:
                                for child_ref in self.neighbor:
                                    if child_ref._has_data():
                                        return True

                            if self.network is not None and self.network._has_data():
                                return True

                            if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                                return True

                            if self.priority is not None:
                                return True

                            if self.retransmit_interval is not None:
                                return True

                            if self.shutdown is not None and self.shutdown._has_data():
                                return True

                            if self.transmit_delay is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId.Ipv6']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:process-id[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        if self.cost is not None and self.cost._has_data():
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.dead_interval is not None:
                            return True

                        if self.demand_circuit is not None and self.demand_circuit._has_data():
                            return True

                        if self.flood_reduction is not None and self.flood_reduction._has_data():
                            return True

                        if self.hello_interval is not None:
                            return True

                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        if self.manet is not None and self.manet._has_data():
                            return True

                        if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                            return True

                        if self.multi_area is not None and self.multi_area._has_data():
                            return True

                        if self.neighbor is not None:
                            for child_ref in self.neighbor:
                                if child_ref._has_data():
                                    return True

                        if self.network is not None and self.network._has_data():
                            return True

                        if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.retransmit_interval is not None:
                            return True

                        if self.shutdown is not None and self.shutdown._has_data():
                            return True

                        if self.transmit_delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.ProcessId']['meta_info']


                class Authentication(object):
                    """
                    Enable authentication
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec authentication
                    	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec>`
                    
                    .. attribute:: key_chain
                    
                    	Use a key\-chain for cryptographic authentication keys
                    	**type**\:  str
                    
                    .. attribute:: null
                    
                    	Use no authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipsec = Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec()
                        self.ipsec.parent = self
                        self.key_chain = None
                        self.null = None


                    class Ipsec(object):
                        """
                        Use IPsec authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Md5>`
                        
                        .. attribute:: sha1
                        
                        	Use SHA\-1 authentication
                        	**type**\:   :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Sha1>`
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\:  int
                        
                        	**range:** 256..4294967295
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Md5()
                            self.md5.parent = self
                            self.sha1 = Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Sha1()
                            self.sha1.parent = self
                            self.spi = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_string = Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Md5']['meta_info']


                        class Sha1(object):
                            """
                            Use SHA\-1 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_string = Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:sha1'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec.Sha1']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipsec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.sha1 is not None and self.sha1._has_data():
                                return True

                            if self.spi is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Authentication.Ipsec']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipsec is not None and self.ipsec._has_data():
                            return True

                        if self.key_chain is not None:
                            return True

                        if self.null is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Authentication']['meta_info']


                class Bfd(object):
                    """
                    Enable BFD on this interface
                    
                    .. attribute:: disable
                    
                    	Disable BFD on this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Bfd']['meta_info']


                class Cost(object):
                    """
                    Route cost of this interface
                    
                    .. attribute:: dynamic
                    
                    	Specify dynamic cost options
                    	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dynamic = None
                        self.value = None


                    class Dynamic(object):
                        """
                        Specify dynamic cost options
                        
                        .. attribute:: default
                        
                        	Specify default link metric value
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: hysteresis
                        
                        	Specify hysteresis value for LSA dampening
                        	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Hysteresis>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: weight
                        
                        	Specify weight to be placed on individual metrics
                        	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None
                            self.hysteresis = None
                            self.weight = Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight()
                            self.weight.parent = self


                        class Hysteresis(object):
                            """
                            Specify hysteresis value for LSA dampening
                            
                            .. attribute:: percent
                            
                            	Specify hysteresis percent changed
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold
                            
                            	Specify hysteresis threshold value
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.percent = None
                                self.threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.percent is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Hysteresis']['meta_info']


                        class Weight(object):
                            """
                            Specify weight to be placed on individual metrics
                            
                            .. attribute:: l2_factor
                            
                            	Specify weight to be given to L2\-factor metric
                            	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.L2Factor>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: latency
                            
                            	Specify weight to be given to latency metric
                            	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.Latency>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: resources
                            
                            	Specify weight to be given to resources metric
                            	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.Resources>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: throughput
                            
                            	Specify weight to be given to throughput metric
                            	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.Throughput>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.l2_factor = None
                                self.latency = None
                                self.resources = None
                                self.throughput = None


                            class L2Factor(object):
                                """
                                Specify weight to be given to L2\-factor metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.L2Factor']['meta_info']


                            class Latency(object):
                                """
                                Specify weight to be given to latency metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.Latency']['meta_info']


                            class Resources(object):
                                """
                                Specify weight to be given to resources metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.Resources']['meta_info']


                            class Throughput(object):
                                """
                                Specify weight to be given to throughput metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight.Throughput']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.l2_factor is not None and self.l2_factor._has_data():
                                    return True

                                if self.latency is not None and self.latency._has_data():
                                    return True

                                if self.resources is not None and self.resources._has_data():
                                    return True

                                if self.throughput is not None and self.throughput._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic.Weight']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            if self.hysteresis is not None and self.hysteresis._has_data():
                                return True

                            if self.weight is not None and self.weight._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Cost.Dynamic']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dynamic is not None and self.dynamic._has_data():
                            return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Cost']['meta_info']


                class DatabaseFilter(object):
                    """
                    Filter OSPF LSA during synchronization and flooding
                    
                    .. attribute:: all
                    
                    	Filter all LSA
                    	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.DatabaseFilter.AllEnum>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.all = None

                    class AllEnum(Enum):
                        """
                        AllEnum

                        Filter all LSA

                        .. data:: out = 0

                        """

                        out = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.DatabaseFilter.AllEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.all is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.DatabaseFilter']['meta_info']


                class DemandCircuit(object):
                    """
                    OSPF Demand Circuit
                    
                    .. attribute:: ignore
                    
                    	Ignore demand circuit auto\-negotiation requests
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ignore = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ignore is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.DemandCircuit']['meta_info']


                class Encryption(object):
                    """
                    Enable encryption
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec encryption
                    	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec>`
                    
                    .. attribute:: null
                    
                    	No IPsec encryption on this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipsec = Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec()
                        self.ipsec.parent = self
                        self.null = None


                    class Ipsec(object):
                        """
                        Use IPsec encryption
                        
                        .. attribute:: aes_cbc
                        
                        	Use AES\-CBC encryption
                        	**type**\:   :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc>`
                        
                        .. attribute:: esp
                        
                        	Use ESP encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec_3des
                        
                        	Use 3DES encryption
                        	**type**\:   :py:class:`Ipsec_3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des>`
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.aes_cbc = Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc()
                            self.aes_cbc.parent = self
                            self.esp = None
                            self.ipsec_3des = Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des()
                            self.ipsec_3des.parent = self
                            self.spi = None


                        class Ipsec_3Des(object):
                            """
                            Use 3DES encryption
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_string = Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipsec_3des'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des']['meta_info']


                        class AesCbc(object):
                            """
                            Use AES\-CBC encryption
                            
                            .. attribute:: aes_192
                            
                            	Use 192 bit key
                            	**type**\:   :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192>`
                            
                            .. attribute:: aes_256
                            
                            	Use 256 bit key
                            	**type**\:   :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256>`
                            
                            .. attribute:: aes_cbc_128
                            
                            	Use 128 bit key
                            	**type**\:   :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aes_192 = Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192()
                                self.aes_192.parent = self
                                self.aes_256 = Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256()
                                self.aes_256.parent = self
                                self.aes_cbc_128 = Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128()
                                self.aes_cbc_128.parent = self


                            class AesCbc128(object):
                                """
                                Use 128 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-cbc-128'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']


                            class Aes192(object):
                                """
                                Use 192 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-192'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192']['meta_info']


                            class Aes256(object):
                                """
                                Use 256 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-256'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-cbc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aes_192 is not None and self.aes_192._has_data():
                                    return True

                                if self.aes_256 is not None and self.aes_256._has_data():
                                    return True

                                if self.aes_cbc_128 is not None and self.aes_cbc_128._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipsec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.aes_cbc is not None and self.aes_cbc._has_data():
                                return True

                            if self.esp is not None:
                                return True

                            if self.ipsec_3des is not None and self.ipsec_3des._has_data():
                                return True

                            if self.spi is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption.Ipsec']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:encryption'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipsec is not None and self.ipsec._has_data():
                            return True

                        if self.null is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Encryption']['meta_info']


                class Manet(object):
                    """
                    Mobile Adhoc Networking options
                    
                    .. attribute:: peering
                    
                    	MANET Peering options
                    	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Manet.Peering>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.peering = Native.Interface.Fastethernet.Ospfv3.Manet.Peering()
                        self.peering.parent = self


                    class Peering(object):
                        """
                        MANET Peering options
                        
                        .. attribute:: cost
                        
                        	Redundant path cost improvement required to peer
                        	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Manet.Peering.Cost>`
                        
                        .. attribute:: link_metrics
                        
                        	Require link metrics
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cost = Native.Interface.Fastethernet.Ospfv3.Manet.Peering.Cost()
                            self.cost.parent = self
                            self.link_metrics = None


                        class Cost(object):
                            """
                            Redundant path cost improvement required to peer
                            
                            .. attribute:: percent
                            
                            	Relative incremental path cost
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            .. attribute:: threshold
                            
                            	Absolute incremental path cost
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.percent = None
                                self.threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.percent is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Manet.Peering.Cost']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cost is not None and self.cost._has_data():
                                return True

                            if self.link_metrics is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Manet.Peering']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.peering is not None and self.peering._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Manet']['meta_info']


                class MultiArea(object):
                    """
                    Set the OSPF multi\-area ID
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cost = None
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cost is not None:
                            return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.MultiArea']['meta_info']


                class Neighbor(object):
                    """
                    OSPF neighbor
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	OSPF cost for point\-to\-multipoint neighbor
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Neighbor.DatabaseFilter>`
                    
                    .. attribute:: poll_interval
                    
                    	OSPF dead\-router polling interval
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: priority
                    
                    	OSPF priority of non\-broadcast neighbor
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.cost = None
                        self.database_filter = Native.Interface.Fastethernet.Ospfv3.Neighbor.DatabaseFilter()
                        self.database_filter.parent = self
                        self.poll_interval = None
                        self.priority = None


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Neighbor.DatabaseFilter.AllEnum>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None

                        class AllEnum(Enum):
                            """
                            AllEnum

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Neighbor.DatabaseFilter.AllEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Neighbor.DatabaseFilter']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.cost is not None:
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.poll_interval is not None:
                            return True

                        if self.priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Neighbor']['meta_info']


                class Network(object):
                    """
                    Network type
                    
                    .. attribute:: broadcast
                    
                    	Specify OSPF broadcast multi\-access network
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: manet
                    
                    	Specify MANET OSPF interface type
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: non_broadcast
                    
                    	Specify OSPF NBMA network
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: point_to_multipoint
                    
                    	Specify OSPF point\-to\-multipoint network
                    	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Ospfv3.Network.PointToMultipoint>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: point_to_point
                    
                    	Specify OSPF point\-to\-point network
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.broadcast = None
                        self.manet = None
                        self.non_broadcast = None
                        self.point_to_multipoint = None
                        self.point_to_point = None


                    class PointToMultipoint(object):
                        """
                        Specify OSPF point\-to\-multipoint network
                        
                        .. attribute:: non_broadcast
                        
                        	Specify non\-broadcast point\-to\-mpoint network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.non_broadcast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.non_broadcast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Network.PointToMultipoint']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.broadcast is not None:
                            return True

                        if self.manet is not None:
                            return True

                        if self.non_broadcast is not None:
                            return True

                        if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                            return True

                        if self.point_to_point is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.Network']['meta_info']


                class PrefixSuppression(object):
                    """
                    OSPF prefix suppression
                    
                    .. attribute:: disable
                    
                    	Disable prefix suppression
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Ospfv3.PrefixSuppression']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospfv3'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.bfd is not None and self.bfd._has_data():
                        return True

                    if self.cost is not None and self.cost._has_data():
                        return True

                    if self.database_filter is not None and self.database_filter._has_data():
                        return True

                    if self.dead_interval is not None:
                        return True

                    if self.demand_circuit is not None and self.demand_circuit._has_data():
                        return True

                    if self.encryption is not None and self.encryption._has_data():
                        return True

                    if self.flood_reduction is not None:
                        return True

                    if self.hello_interval is not None:
                        return True

                    if self.manet is not None and self.manet._has_data():
                        return True

                    if self.mtu_ignore is not None:
                        return True

                    if self.multi_area is not None and self.multi_area._has_data():
                        return True

                    if self.neighbor is not None:
                        for child_ref in self.neighbor:
                            if child_ref._has_data():
                                return True

                    if self.network is not None and self.network._has_data():
                        return True

                    if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                        return True

                    if self.priority is not None:
                        return True

                    if self.process_id is not None:
                        for child_ref in self.process_id:
                            if child_ref._has_data():
                                return True

                    if self.retransmit_interval is not None:
                        return True

                    if self.shutdown is not None:
                        return True

                    if self.transmit_delay is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Ospfv3']['meta_info']


            class Power(object):
                """
                
                
                .. attribute:: inline
                
                	
                	**type**\:   :py:class:`Inline <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Power.Inline>`
                
                

                """

                _prefix = 'ios-power'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inline = Native.Interface.Fastethernet.Power.Inline()
                    self.inline.parent = self


                class Inline(object):
                    """
                    
                    
                    .. attribute:: auto
                    
                    	Automatically detect and power inline devices
                    	**type**\:   :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Power.Inline.Auto>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: consumption
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 4000..15400
                    
                    .. attribute:: four_pair
                    
                    	Four\-pair PoE power
                    	**type**\:   :py:class:`FourPair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Power.Inline.FourPair>`
                    
                    .. attribute:: never
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: police
                    
                    	Police the power drawn on the port
                    	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Power.Inline.Police>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: port
                    
                    	Configure Port Power Level
                    	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Power.Inline.Port>`
                    
                    .. attribute:: static
                    
                    	High priority inline power interface
                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Power.Inline.Static>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-power'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None
                        self.consumption = None
                        self.four_pair = Native.Interface.Fastethernet.Power.Inline.FourPair()
                        self.four_pair.parent = self
                        self.never = None
                        self.police = None
                        self.port = Native.Interface.Fastethernet.Power.Inline.Port()
                        self.port.parent = self
                        self.static = None


                    class Auto(object):
                        """
                        Automatically detect and power inline devices
                        
                        .. attribute:: max
                        
                        	Maximum power allowed on this interface
                        	**type**\:  int
                        
                        	**range:** 4000..30000
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.max = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-power:auto'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.max is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Power.Inline.Auto']['meta_info']


                    class FourPair(object):
                        """
                        Four\-pair PoE power
                        
                        .. attribute:: forced
                        
                        	Enable Four\-pair PoE without L2 negotiation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forced = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-power:four-pair'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forced is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Power.Inline.FourPair']['meta_info']


                    class Police(object):
                        """
                        Police the power drawn on the port
                        
                        .. attribute:: action
                        
                        	Action to be taken when power is overdrawn on the port
                        	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Power.Inline.Police.Action>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.action = Native.Interface.Fastethernet.Power.Inline.Police.Action()
                            self.action.parent = self


                        class Action(object):
                            """
                            Action to be taken when power is overdrawn on the port
                            
                            .. attribute:: errdisable
                            
                            	Error\-disable the port when power is overdrawn on the port
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: log
                            
                            	Log a message when power is overdrawn on the port
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-power'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.errdisable = None
                                self.log = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-power:action'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.errdisable is not None:
                                    return True

                                if self.log is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Power.Inline.Police.Action']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-power:police'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.action is not None and self.action._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Power.Inline.Police']['meta_info']


                    class Port(object):
                        """
                        Configure Port Power Level
                        
                        .. attribute:: poe_ha
                        
                        	Apply poe\-ha to the port
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: two_event
                        
                        	Enable 2\-event classification
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.poe_ha = None
                            self.two_event = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-power:port'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.poe_ha is not None:
                                return True

                            if self.two_event is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Power.Inline.Port']['meta_info']


                    class Static(object):
                        """
                        High priority inline power interface
                        
                        .. attribute:: max
                        
                        	Maximum power allowed on this interface
                        	**type**\:  int
                        
                        	**range:** 4000..30000
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.max = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-power:static'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.max is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Power.Inline.Static']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-power:inline'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None and self.auto._has_data():
                            return True

                        if self.consumption is not None:
                            return True

                        if self.four_pair is not None and self.four_pair._has_data():
                            return True

                        if self.never is not None:
                            return True

                        if self.police is not None and self.police._has_data():
                            return True

                        if self.port is not None and self.port._has_data():
                            return True

                        if self.static is not None and self.static._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Power.Inline']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-power:power'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inline is not None and self.inline._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Power']['meta_info']


            class Authentication(object):
                """
                Auth Manager Interface Configuration Commands
                
                .. attribute:: control_direction
                
                	Set the control\-direction on the interface
                	**type**\:   :py:class:`ControlDirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.ControlDirectionEnum>`
                
                .. attribute:: event
                
                	Set action for authentication events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.Event>`
                
                .. attribute:: fallback
                
                	Enable the Webauth fallback mechanism
                	**type**\:  str
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.HostModeEnum>`
                
                .. attribute:: open
                
                	Enable or Disable open access on this port
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: order
                
                	Add an authentication method to the order list
                	**type**\:   :py:class:`Order <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.Order>`
                
                .. attribute:: periodic
                
                	Enable or Disable Reauthentication for this port
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	set the port\-control value
                	**type**\:   :py:class:`PortControlEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.PortControlEnum>`
                
                .. attribute:: priority
                
                	Add an authentication method to the priority list
                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.Priority>`
                
                .. attribute:: timer
                
                	Set authentication timer values
                	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.Timer>`
                
                .. attribute:: violation
                
                	Configure action to take on security violations
                	**type**\:   :py:class:`ViolationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.ViolationEnum>`
                
                

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.control_direction = None
                    self.event = Native.Interface.Fastethernet.Authentication.Event()
                    self.event.parent = self
                    self.fallback = None
                    self.host_mode = None
                    self.open = None
                    self.order = Native.Interface.Fastethernet.Authentication.Order()
                    self.order.parent = self
                    self.periodic = None
                    self.port_control = None
                    self.priority = Native.Interface.Fastethernet.Authentication.Priority()
                    self.priority.parent = self
                    self.timer = Native.Interface.Fastethernet.Authentication.Timer()
                    self.timer.parent = self
                    self.violation = None

                class ControlDirectionEnum(Enum):
                    """
                    ControlDirectionEnum

                    Set the control\-direction on the interface

                    .. data:: both = 0

                    .. data:: in_ = 1

                    """

                    both = 0

                    in_ = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Authentication.ControlDirectionEnum']


                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Authentication.HostModeEnum']


                class PortControlEnum(Enum):
                    """
                    PortControlEnum

                    set the port\-control value

                    .. data:: auto = 0

                    .. data:: force_authorized = 1

                    .. data:: force_unauthorized = 2

                    """

                    auto = 0

                    force_authorized = 1

                    force_unauthorized = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Authentication.PortControlEnum']


                class ViolationEnum(Enum):
                    """
                    ViolationEnum

                    Configure action to take on security violations

                    .. data:: protect = 0

                    .. data:: replace = 1

                    .. data:: restrict = 2

                    .. data:: shutdown = 3

                    """

                    protect = 0

                    replace = 1

                    restrict = 2

                    shutdown = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Authentication.ViolationEnum']



                class Event(object):
                    """
                    Set action for authentication events
                    
                    .. attribute:: fail
                    
                    	Configure actions for AAA fail events
                    	**type**\:   :py:class:`Fail <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.Event.Fail>`
                    
                    .. attribute:: no_response
                    
                    	Configure actions for AAA no\-response events
                    	**type**\:   :py:class:`NoResponse <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.Event.NoResponse>`
                    
                    .. attribute:: server
                    
                    	Configure actions for AAA server events
                    	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.Event.Server>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.fail = Native.Interface.Fastethernet.Authentication.Event.Fail()
                        self.fail.parent = self
                        self.no_response = Native.Interface.Fastethernet.Authentication.Event.NoResponse()
                        self.no_response.parent = self
                        self.server = Native.Interface.Fastethernet.Authentication.Event.Server()
                        self.server.parent = self


                    class Server(object):
                        """
                        Configure actions for AAA server events
                        
                        .. attribute:: alive
                        
                        	Configure AAA server alive action
                        	**type**\:   :py:class:`Alive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.Event.Server.Alive>`
                        
                        .. attribute:: dead
                        
                        	Configure AAA server dead action
                        	**type**\:   :py:class:`Dead <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.Event.Server.Dead>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.alive = Native.Interface.Fastethernet.Authentication.Event.Server.Alive()
                            self.alive.parent = self
                            self.dead = Native.Interface.Fastethernet.Authentication.Event.Server.Dead()
                            self.dead.parent = self


                        class Alive(object):
                            """
                            Configure AAA server alive action
                            
                            .. attribute:: action
                            
                            	Required action for authentication event
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.Event.Server.Alive.Action>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.Fastethernet.Authentication.Event.Server.Alive.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Required action for authentication event
                                
                                .. attribute:: reinitialize
                                
                                	Reinitialize all authorized clients
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.reinitialize = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.reinitialize is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Authentication.Event.Server.Alive.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:alive'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Authentication.Event.Server.Alive']['meta_info']


                        class Dead(object):
                            """
                            Configure AAA server dead action
                            
                            .. attribute:: action
                            
                            	Required action for authentication event
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Required action for authentication event
                                
                                .. attribute:: authorize
                                
                                	Authorize the port
                                	**type**\:   :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action.Authorize>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: reinitialize
                                
                                	Reinitialize all client on the port
                                	**type**\:   :py:class:`Reinitialize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action.Reinitialize>`
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.authorize = None
                                    self.reinitialize = Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action.Reinitialize()
                                    self.reinitialize.parent = self


                                class Authorize(object):
                                    """
                                    Authorize the port
                                    
                                    .. attribute:: vlan
                                    
                                    	Configure Critical Authorization VLAN
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: voice
                                    
                                    	Authorize the port for VOICE traffic
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sanet'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.vlan = None
                                        self.voice = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:authorize'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.vlan is not None:
                                            return True

                                        if self.voice is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action.Authorize']['meta_info']


                                class Reinitialize(object):
                                    """
                                    Reinitialize all client on the port
                                    
                                    .. attribute:: vlan
                                    
                                    	Configure Critical Authorization VLAN
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-sanet'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.vlan = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:reinitialize'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.vlan is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action.Reinitialize']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.authorize is not None and self.authorize._has_data():
                                        return True

                                    if self.reinitialize is not None and self.reinitialize._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Authentication.Event.Server.Dead.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:dead'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Authentication.Event.Server.Dead']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sanet:server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.alive is not None and self.alive._has_data():
                                return True

                            if self.dead is not None and self.dead._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Authentication.Event.Server']['meta_info']


                    class Fail(object):
                        """
                        Configure actions for AAA fail events
                        
                        .. attribute:: action
                        
                        	Required action for fail event
                        	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.Event.Fail.Action>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.action = Native.Interface.Fastethernet.Authentication.Event.Fail.Action()
                            self.action.parent = self


                        class Action(object):
                            """
                            Required action for fail event
                            
                            .. attribute:: authorize
                            
                            	Reinitialize all authorized clients
                            	**type**\:   :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.Event.Fail.Action.Authorize>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authorize = Native.Interface.Fastethernet.Authentication.Event.Fail.Action.Authorize()
                                self.authorize.parent = self


                            class Authorize(object):
                                """
                                Reinitialize all authorized clients
                                
                                .. attribute:: vlan
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.vlan = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:authorize'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Authentication.Event.Fail.Action.Authorize']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:action'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authorize is not None and self.authorize._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Authentication.Event.Fail.Action']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sanet:fail'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.action is not None and self.action._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Authentication.Event.Fail']['meta_info']


                    class NoResponse(object):
                        """
                        Configure actions for AAA no\-response events
                        
                        .. attribute:: action
                        
                        	Required action for no\-response event
                        	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.Event.NoResponse.Action>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.action = Native.Interface.Fastethernet.Authentication.Event.NoResponse.Action()
                            self.action.parent = self


                        class Action(object):
                            """
                            Required action for no\-response event
                            
                            .. attribute:: authorize
                            
                            	Reinitialize all authorized clients
                            	**type**\:   :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.Event.NoResponse.Action.Authorize>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authorize = Native.Interface.Fastethernet.Authentication.Event.NoResponse.Action.Authorize()
                                self.authorize.parent = self


                            class Authorize(object):
                                """
                                Reinitialize all authorized clients
                                
                                .. attribute:: vlan
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.vlan = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:authorize'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fastethernet.Authentication.Event.NoResponse.Action.Authorize']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:action'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authorize is not None and self.authorize._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Authentication.Event.NoResponse.Action']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sanet:no-response'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.action is not None and self.action._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Authentication.Event.NoResponse']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.fail is not None and self.fail._has_data():
                            return True

                        if self.no_response is not None and self.no_response._has_data():
                            return True

                        if self.server is not None and self.server._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Authentication.Event']['meta_info']


                class Order(object):
                    """
                    Add an authentication method to the order list
                    
                    .. attribute:: dot1x
                    
                    	Authentication method dot1x allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mab
                    
                    	Authentication method mab allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: webauth
                    
                    	Authentication method webauth allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dot1x = None
                        self.mab = None
                        self.webauth = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:order'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dot1x is not None:
                            return True

                        if self.mab is not None:
                            return True

                        if self.webauth is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Authentication.Order']['meta_info']


                class Priority(object):
                    """
                    Add an authentication method to the priority list
                    
                    .. attribute:: dot1x
                    
                    	Authentication method dot1x allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mab
                    
                    	Authentication method mab allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: webauth
                    
                    	Authentication method webauth allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dot1x = None
                        self.mab = None
                        self.webauth = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:priority'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dot1x is not None:
                            return True

                        if self.mab is not None:
                            return True

                        if self.webauth is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Authentication.Priority']['meta_info']


                class Timer(object):
                    """
                    Set authentication timer values
                    
                    .. attribute:: inactivity
                    
                    	Interval in seconds after which if there is no activity fromthe client then it will be unauthorized (default OFF)
                    	**type**\:   :py:class:`Inactivity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.Timer.Inactivity>`
                    
                    .. attribute:: reauthenticate
                    
                    	Time in seconds after which an automatic re\-authenticationshould be initiated (default 1 hour)
                    	**type**\:   :py:class:`Reauthenticate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.Timer.Reauthenticate>`
                    
                    .. attribute:: restart
                    
                    	Interval in seconds after which an attempt should be made toauthenticate an unauthorized port (default 60 sec)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inactivity = Native.Interface.Fastethernet.Authentication.Timer.Inactivity()
                        self.inactivity.parent = self
                        self.reauthenticate = Native.Interface.Fastethernet.Authentication.Timer.Reauthenticate()
                        self.reauthenticate.parent = self
                        self.restart = None


                    class Reauthenticate(object):
                        """
                        Time in seconds after which an automatic re\-authenticationshould be initiated (default 1 hour)
                        
                        .. attribute:: server
                        
                        	Obtain re\-authentication timeout value from the server
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.server = None
                            self.value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sanet:reauthenticate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.server is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Authentication.Timer.Reauthenticate']['meta_info']


                    class Inactivity(object):
                        """
                        Interval in seconds after which if there is no activity fromthe client then it will be unauthorized (default OFF)
                        
                        .. attribute:: server
                        
                        	Obtain inactivity timeout value from the server
                        	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.Timer.Inactivity.Server>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:   :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Authentication.Timer.Inactivity.Value>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.server = None
                            self.value = Native.Interface.Fastethernet.Authentication.Timer.Inactivity.Value()
                            self.value.parent = self


                        class Value(object):
                            """
                            
                            
                            .. attribute:: dynamic
                            
                            	Initiate a dynamic probe on inactivity timeout
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:value'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None:
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Authentication.Timer.Inactivity.Value']['meta_info']


                        class Server(object):
                            """
                            Obtain inactivity timeout value from the server
                            
                            .. attribute:: dynamic
                            
                            	Initiate a dynamic probe on inactivity timeout
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.dynamic = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.dynamic is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Authentication.Timer.Inactivity.Server']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sanet:inactivity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.server is not None and self.server._has_data():
                                return True

                            if self.value is not None and self.value._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Authentication.Timer.Inactivity']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:timer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inactivity is not None and self.inactivity._has_data():
                            return True

                        if self.reauthenticate is not None and self.reauthenticate._has_data():
                            return True

                        if self.restart is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Authentication.Timer']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:authentication'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.control_direction is not None:
                        return True

                    if self.event is not None and self.event._has_data():
                        return True

                    if self.fallback is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.open is not None:
                        return True

                    if self.order is not None and self.order._has_data():
                        return True

                    if self.periodic is not None:
                        return True

                    if self.port_control is not None:
                        return True

                    if self.priority is not None and self.priority._has_data():
                        return True

                    if self.timer is not None and self.timer._has_data():
                        return True

                    if self.violation is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Authentication']['meta_info']


            class Mab(object):
                """
                
                
                .. attribute:: eap
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.eap = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:mab'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.eap is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Mab']['meta_info']


            class SpanningTree(object):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpdufilter
                
                	Don't send or receive BPDUs on this interface
                	**type**\:   :py:class:`BpdufilterEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.SpanningTree.BpdufilterEnum>`
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:   :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.SpanningTree.Bpduguard>`
                
                .. attribute:: cost
                
                	To set the path cost of the interface
                	**type**\:  int
                
                	**range:** 1..200000000
                
                .. attribute:: guard
                
                	Change an interface's spanning tree guard mode
                	**type**\:   :py:class:`GuardEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.SpanningTree.GuardEnum>`
                
                .. attribute:: link_type
                
                	Specify a link type for spanning tree tree protocol use
                	**type**\:   :py:class:`LinkTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.SpanningTree.LinkTypeEnum>`
                
                .. attribute:: loopguard
                
                	Spanning tree loopguard options
                	**type**\:   :py:class:`Loopguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.SpanningTree.Loopguard>`
                
                .. attribute:: mst
                
                	Per interface MST configurations
                	**type**\:   :py:class:`Mst <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.SpanningTree.Mst>`
                
                .. attribute:: port_priority
                
                	Spanning tree port\-priority options
                	**type**\:  int
                
                	**range:** 0..240
                
                .. attribute:: portfast
                
                	Spanning tree portfast options
                	**type**\:   :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.SpanningTree.Portfast>`
                
                	**presence node**\: True
                
                .. attribute:: vlan
                
                	VLAN Switch Spanning Tree
                	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.SpanningTree.Vlan>`
                
                

                """

                _prefix = 'ios-stp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bpdufilter = None
                    self.bpduguard = Native.Interface.Fastethernet.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self.cost = None
                    self.guard = None
                    self.link_type = None
                    self.loopguard = Native.Interface.Fastethernet.SpanningTree.Loopguard()
                    self.loopguard.parent = self
                    self.mst = Native.Interface.Fastethernet.SpanningTree.Mst()
                    self.mst.parent = self
                    self.port_priority = None
                    self.portfast = None
                    self.vlan = Native.Interface.Fastethernet.SpanningTree.Vlan()
                    self.vlan.parent = self

                class BpdufilterEnum(Enum):
                    """
                    BpdufilterEnum

                    Don't send or receive BPDUs on this interface

                    .. data:: disable = 0

                    .. data:: enable = 1

                    """

                    disable = 0

                    enable = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.SpanningTree.BpdufilterEnum']


                class GuardEnum(Enum):
                    """
                    GuardEnum

                    Change an interface's spanning tree guard mode

                    .. data:: loop = 0

                    .. data:: none = 1

                    .. data:: root = 2

                    """

                    loop = 0

                    none = 1

                    root = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.SpanningTree.GuardEnum']


                class LinkTypeEnum(Enum):
                    """
                    LinkTypeEnum

                    Specify a link type for spanning tree tree protocol use

                    .. data:: auto = 0

                    .. data:: none = 1

                    .. data:: point_to_point = 2

                    .. data:: root = 3

                    .. data:: shared = 4

                    """

                    auto = 0

                    none = 1

                    point_to_point = 2

                    root = 3

                    shared = 4


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.SpanningTree.LinkTypeEnum']



                class Bpduguard(object):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: disable
                    
                    	Disable BPDU guard for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.disable = None
                        self.enable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:bpduguard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.disable is not None:
                            return True

                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.SpanningTree.Bpduguard']['meta_info']


                class Portfast(object):
                    """
                    Spanning tree portfast options
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk
                    
                    	Enable portfast on the interface even in trunk mode
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None
                        self.edge = None
                        self.trunk = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:portfast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        if self.edge is not None:
                            return True

                        if self.trunk is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.SpanningTree.Portfast']['meta_info']


                class Vlan(object):
                    """
                    VLAN Switch Spanning Tree
                    
                    .. attribute:: cost
                    
                    	<1\-200000000> Spanning\-tree cost
                    	**type**\:  int
                    
                    	**range:** 1..200000000
                    
                    .. attribute:: port_priority
                    
                    	<0\-240> port priority in increments of 16
                    	**type**\:  int
                    
                    	**range:** 0..240
                    
                    .. attribute:: vlan_ids
                    
                    	vlan range, example\: 1,3\-5,7,9\-11
                    	**type**\: one of the below types:
                    
                    	**type**\:  list of int
                    
                    	**range:** 1..4095
                    
                    
                    ----
                    	**type**\:  list of str
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cost = None
                        self.port_priority = None
                        self.vlan_ids = YLeafList()
                        self.vlan_ids.parent = self
                        self.vlan_ids.name = 'vlan_ids'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:vlan'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cost is not None:
                            return True

                        if self.port_priority is not None:
                            return True

                        if self.vlan_ids is not None:
                            for child in self.vlan_ids:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.SpanningTree.Vlan']['meta_info']


                class Loopguard(object):
                    """
                    Spanning tree loopguard options
                    
                    .. attribute:: default
                    
                    	Enable loopguard by default on all ports
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.default = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:loopguard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.default is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.SpanningTree.Loopguard']['meta_info']


                class Mst(object):
                    """
                    Per interface MST configurations
                    
                    .. attribute:: cost
                    
                    	<1\-200000000> Spanning\-tree cost
                    	**type**\:  int
                    
                    	**range:** 1..200000000
                    
                    .. attribute:: instance
                    
                    	MST instance list, example 0,2\-4,6,8\-12
                    	**type**\:  str
                    
                    .. attribute:: port_priority
                    
                    	<0\-240> port priority in increments of 16
                    	**type**\:  int
                    
                    	**range:** 0..240
                    
                    .. attribute:: pre_standard
                    
                    	Force pre\-standard MST BPDU transmission on port
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cost = None
                        self.instance = None
                        self.port_priority = None
                        self.pre_standard = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:mst'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cost is not None:
                            return True

                        if self.instance is not None:
                            return True

                        if self.port_priority is not None:
                            return True

                        if self.pre_standard is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.SpanningTree.Mst']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:spanning-tree'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bpdufilter is not None:
                        return True

                    if self.bpduguard is not None and self.bpduguard._has_data():
                        return True

                    if self.cost is not None:
                        return True

                    if self.guard is not None:
                        return True

                    if self.link_type is not None:
                        return True

                    if self.loopguard is not None and self.loopguard._has_data():
                        return True

                    if self.mst is not None and self.mst._has_data():
                        return True

                    if self.port_priority is not None:
                        return True

                    if self.portfast is not None and self.portfast._has_data():
                        return True

                    if self.vlan is not None and self.vlan._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.SpanningTree']['meta_info']


            class Auto(object):
                """
                Configure Automation
                
                .. attribute:: qos
                
                	Configure AutoQoS
                	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Auto.Qos>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.qos = Native.Interface.Fastethernet.Auto.Qos()
                    self.qos.parent = self


                class Qos(object):
                    """
                    Configure AutoQoS
                    
                    .. attribute:: classify
                    
                    	Configure classification for untrusted devices
                    	**type**\:   :py:class:`Classify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Auto.Qos.Classify>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trust
                    
                    	Trust the DSCP/CoS marking
                    	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Auto.Qos.Trust>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: video
                    
                    	Configure AutoQoS for video devices
                    	**type**\:   :py:class:`Video <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Auto.Qos.Video>`
                    
                    .. attribute:: voip
                    
                    	Configure AutoQoS for VoIP
                    	**type**\:   :py:class:`Voip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Auto.Qos.Voip>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.classify = None
                        self.trust = None
                        self.video = Native.Interface.Fastethernet.Auto.Qos.Video()
                        self.video.parent = self
                        self.voip = None


                    class Classify(object):
                        """
                        Configure classification for untrusted devices
                        
                        .. attribute:: police
                        
                        	Configure QoS policing for untrusted devices
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.police = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:classify'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.police is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Auto.Qos.Classify']['meta_info']


                    class Trust(object):
                        """
                        Trust the DSCP/CoS marking
                        
                        .. attribute:: cos
                        
                        	Trust the CoS marking
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dscp
                        
                        	Trust the DSCP marking
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.cos = None
                            self.dscp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:trust'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.cos is not None:
                                return True

                            if self.dscp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Auto.Qos.Trust']['meta_info']


                    class Video(object):
                        """
                        Configure AutoQoS for video devices
                        
                        .. attribute:: cts
                        
                        	Trust the QoS marking of the Cisco Telepresence System
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ip_camera
                        
                        	Trust the QoS marking of the Ip Video Surveillance camera
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: media_player
                        
                        	Trust the Qos marking of the Cisco Media Player
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cts = None
                            self.ip_camera = None
                            self.media_player = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:video'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cts is not None:
                                return True

                            if self.ip_camera is not None:
                                return True

                            if self.media_player is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Auto.Qos.Video']['meta_info']


                    class Voip(object):
                        """
                        Configure AutoQoS for VoIP
                        
                        .. attribute:: cisco_phone
                        
                        	Trust the QoS marking of Cisco IP Phone
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cisco_softphone
                        
                        	Trust the QoS marking of Cisco IP SoftPhone
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: trust
                        
                        	Trust the DSCP/CoS marking
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.cisco_phone = None
                            self.cisco_softphone = None
                            self.trust = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:voip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.cisco_phone is not None:
                                return True

                            if self.cisco_softphone is not None:
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Auto.Qos.Voip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:qos'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.classify is not None and self.classify._has_data():
                            return True

                        if self.trust is not None and self.trust._has_data():
                            return True

                        if self.video is not None and self.video._has_data():
                            return True

                        if self.voip is not None and self.voip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Auto.Qos']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:auto'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.qos is not None and self.qos._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Auto']['meta_info']


            class Datalink(object):
                """
                Interface Datalink commands
                
                .. attribute:: flow
                
                	Interface Flow configuration subcommands
                	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Datalink.Flow>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.flow = Native.Interface.Fastethernet.Datalink.Flow()
                    self.flow.parent = self


                class Flow(object):
                    """
                    Interface Flow configuration subcommands
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Datalink.Flow.Monitor>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.monitor = None


                    class Monitor(object):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: input_output
                        
                        	Apply Flow Monitor on input/output traffic
                        	**type**\:   :py:class:`InputOutputEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Datalink.Flow.Monitor.InputOutputEnum>`
                        
                        .. attribute:: user_defined_flow
                        
                        	User defined
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.input_output = None
                            self.user_defined_flow = None

                        class InputOutputEnum(Enum):
                            """
                            InputOutputEnum

                            Apply Flow Monitor on input/output traffic

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = 0

                            output = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Datalink.Flow.Monitor.InputOutputEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.input_output is not None:
                                return True

                            if self.user_defined_flow is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Datalink.Flow.Monitor']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.monitor is not None and self.monitor._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Datalink.Flow']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:datalink'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.flow is not None and self.flow._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Datalink']['meta_info']


            class Energywise(object):
                """
                EnergyWise interface configurations
                
                .. attribute:: activitycheck
                
                	Apply an activity check before turning off power    to this PoE port
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.activitycheck = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:energywise'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.activitycheck is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Energywise']['meta_info']


            class Location(object):
                """
                Interface location information
                
                .. attribute:: civic_location_id
                
                	Civic location information
                	**type**\:   :py:class:`CivicLocationId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Location.CivicLocationId>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.civic_location_id = Native.Interface.Fastethernet.Location.CivicLocationId()
                    self.civic_location_id.parent = self


                class CivicLocationId(object):
                    """
                    Civic location information
                    
                    .. attribute:: host
                    
                    	Globally defined host location identifer
                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Location.CivicLocationId.Host>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: location_identifier
                    
                    	civic location identifier string
                    	**type**\:  str
                    
                    .. attribute:: none
                    
                    	No globally defined location identifer
                    	**type**\:   :py:class:`None_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Location.CivicLocationId.None_>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.host = None
                        self.location_identifier = None
                        self.none = None


                    class Host(object):
                        """
                        Globally defined host location identifer
                        
                        .. attribute:: port_location
                        
                        	Port specific attributes
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.port_location = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.port_location is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Location.CivicLocationId.Host']['meta_info']


                    class None_(object):
                        """
                        No globally defined location identifer
                        
                        .. attribute:: port_location
                        
                        	Port specific attributes
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.port_location = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:none'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.port_location is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Location.CivicLocationId.None_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:civic-location-id'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.host is not None and self.host._has_data():
                            return True

                        if self.location_identifier is not None:
                            return True

                        if self.none is not None and self.none._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Location.CivicLocationId']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:location'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.civic_location_id is not None and self.civic_location_id._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Location']['meta_info']


            class Mac(object):
                """
                MAC interface commands
                
                .. attribute:: access_group
                
                	MAC access\-group configuration commands
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Mac.AccessGroup>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Fastethernet.Mac.AccessGroup()
                    self.access_group.parent = self


                class AccessGroup(object):
                    """
                    MAC access\-group configuration commands
                    
                    .. attribute:: acl_name
                    
                    	ACL name
                    	**type**\:   :py:class:`AclName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Mac.AccessGroup.AclName>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acl_name = Native.Interface.Fastethernet.Mac.AccessGroup.AclName()
                        self.acl_name.parent = self


                    class AclName(object):
                        """
                        ACL name
                        
                        .. attribute:: acl_name
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: apply_to
                        
                        	
                        	**type**\:   :py:class:`ApplyToEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Mac.AccessGroup.AclName.ApplyToEnum>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl_name = None
                            self.apply_to = None

                        class ApplyToEnum(Enum):
                            """
                            ApplyToEnum

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = 0

                            out = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fastethernet.Mac.AccessGroup.AclName.ApplyToEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:ACL-name'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl_name is not None:
                                return True

                            if self.apply_to is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.Mac.AccessGroup.AclName']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acl_name is not None and self.acl_name._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Mac.AccessGroup']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Mac']['meta_info']


            class Macro(object):
                """
                Command macro
                
                .. attribute:: auto
                
                	Smartport interface macro configurations
                	**type**\:   :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Macro.Auto>`
                
                .. attribute:: description
                
                	Macro description for this interface
                	**type**\:  str
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = Native.Interface.Fastethernet.Macro.Auto()
                    self.auto.parent = self
                    self.description = None


                class Auto(object):
                    """
                    Smartport interface macro configurations
                    
                    .. attribute:: processing
                    
                    	Enable smartport macro auto execution on this interface
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.processing = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:auto'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.processing is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Macro.Auto']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:macro'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None and self.auto._has_data():
                        return True

                    if self.description is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Macro']['meta_info']


            class DualActive(object):
                """
                
                
                .. attribute:: fast_hello
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fast_hello = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:dual-active'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fast_hello is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.DualActive']['meta_info']


            class Lldp(object):
                """
                LLDP interface subcommands
                
                .. attribute:: receive
                
                	Enable LLDP reception on interface
                	**type**\:  bool
                
                .. attribute:: transmit
                
                	Enable LLDP transmission on interface
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.transmit = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:lldp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.transmit is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Lldp']['meta_info']


            class LoadBalancing(object):
                """
                Etherchannel Load\-Balancing
                
                .. attribute:: flow
                
                	Based on the traffic flows identified by the packet headers
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vlan
                
                	Based on the VLAN to member links manual configuration
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.flow = None
                    self.vlan = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:load-balancing'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.flow is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.LoadBalancing']['meta_info']


            class VlanRange(object):
                """
                
                
                .. attribute:: id  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..4096
                
                
                ----
                	**type**\:  str
                
                
                ----
                .. attribute:: service_policy
                
                	Configure QoS Service Policy
                	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.VlanRange.ServicePolicy>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.service_policy = Native.Interface.Fastethernet.VlanRange.ServicePolicy()
                    self.service_policy.parent = self


                class ServicePolicy(object):
                    """
                    Configure QoS Service Policy
                    
                    .. attribute:: input
                    
                    	Assign policy\-map to the input of an interface
                    	**type**\:  str
                    
                    .. attribute:: output
                    
                    	Assign policy\-map to the output of an interface
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.input = None
                        self.output = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:service-policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.input is not None:
                            return True

                        if self.output is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.VlanRange.ServicePolicy']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan-range[Cisco-IOS-XE-switch:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.service_policy is not None and self.service_policy._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.VlanRange']['meta_info']


            class Switch(object):
                """
                
                
                .. attribute:: virtual
                
                	
                	**type**\:   :py:class:`Virtual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Switch.Virtual>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.virtual = Native.Interface.Fastethernet.Switch.Virtual()
                    self.virtual.parent = self


                class Virtual(object):
                    """
                    
                    
                    .. attribute:: link
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.link = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:virtual'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.link is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Switch.Virtual']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:switch'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.virtual is not None and self.virtual._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Switch']['meta_info']


            class SrrQueue(object):
                """
                
                
                .. attribute:: bandwidth
                
                	
                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.SrrQueue.Bandwidth>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bandwidth = Native.Interface.Fastethernet.SrrQueue.Bandwidth()
                    self.bandwidth.parent = self


                class Bandwidth(object):
                    """
                    
                    
                    .. attribute:: shape
                    
                    	
                    	**type**\:   :py:class:`Shape <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.SrrQueue.Bandwidth.Shape>`
                    
                    .. attribute:: share
                    
                    	
                    	**type**\:   :py:class:`Share <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.SrrQueue.Bandwidth.Share>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.shape = Native.Interface.Fastethernet.SrrQueue.Bandwidth.Shape()
                        self.shape.parent = self
                        self.share = Native.Interface.Fastethernet.SrrQueue.Bandwidth.Share()
                        self.share.parent = self


                    class Shape(object):
                        """
                        
                        
                        .. attribute:: weight1
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight2
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight3
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight4
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.weight1 = None
                            self.weight2 = None
                            self.weight3 = None
                            self.weight4 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:shape'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.weight1 is not None:
                                return True

                            if self.weight2 is not None:
                                return True

                            if self.weight3 is not None:
                                return True

                            if self.weight4 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.SrrQueue.Bandwidth.Shape']['meta_info']


                    class Share(object):
                        """
                        
                        
                        .. attribute:: weight1
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight2
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight3
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight4
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.weight1 = None
                            self.weight2 = None
                            self.weight3 = None
                            self.weight4 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:share'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.weight1 is not None:
                                return True

                            if self.weight2 is not None:
                                return True

                            if self.weight3 is not None:
                                return True

                            if self.weight4 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fastethernet.SrrQueue.Bandwidth.Share']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:bandwidth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.shape is not None and self.shape._has_data():
                            return True

                        if self.share is not None and self.share._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.SrrQueue.Bandwidth']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:srr-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bandwidth is not None and self.bandwidth._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.SrrQueue']['meta_info']


            class Macsec(object):
                """
                Enable macsec on the interface
                
                .. attribute:: network_link
                
                	Enable macsec on switch connected interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.network_link = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:macsec'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.network_link is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Macsec']['meta_info']


            class DeviceTracking(object):
                """
                Configure device\-tracking on the interface
                
                .. attribute:: attach_policy
                
                	Apply a policy for feature device\-tracking
                	**type**\:  str
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.attach_policy = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:device-tracking'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.attach_policy is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.DeviceTracking']['meta_info']


            class Udld(object):
                """
                Configure UDLD enabled or disabled and ignore global UDLD setting
                
                .. attribute:: port
                
                	Enable UDLD protocol on this interface despite global UDLD setting
                	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fastethernet.Udld.Port>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-udld'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.port = None


                class Port(object):
                    """
                    Enable UDLD protocol on this interface despite global UDLD setting
                    
                    .. attribute:: aggressive
                    
                    	Enable UDLD protocol in aggressive mode on this interface despite global UDLD setting
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: disable
                    
                    	Disable UDLD protocol on this interface despite global UDLD setting
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-udld'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aggressive = None
                        self.disable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-udld:port'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aggressive is not None:
                            return True

                        if self.disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fastethernet.Udld.Port']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-udld:udld'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.port is not None and self.port._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.Udld']['meta_info']


            class ZoneMember(object):
                """
                Apply zone name
                
                .. attribute:: security
                
                	Security zone
                	**type**\:  str
                
                

                """

                _prefix = 'ios-zone'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.security = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-zone:zone-member'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.security is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fastethernet.ZoneMember']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:FastEthernet[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.authentication is not None and self.authentication._has_data():
                    return True

                if self.auto is not None and self.auto._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.carrier_delay is not None and self.carrier_delay._has_data():
                    return True

                if self.cdp is not None and self.cdp._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.channel_group is not None and self.channel_group._has_data():
                    return True

                if self.channel_protocol is not None:
                    return True

                if self.crypto is not None and self.crypto._has_data():
                    return True

                if self.cts is not None and self.cts._has_data():
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.datalink is not None and self.datalink._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.device_tracking is not None and self.device_tracking._has_data():
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.dot1x is not None and self.dot1x._has_data():
                    return True

                if self.dual_active is not None and self.dual_active._has_data():
                    return True

                if self.duplex is not None:
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.energywise is not None and self.energywise._has_data():
                    return True

                if self.ethernet is not None and self.ethernet._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.lisp is not None and self.lisp._has_data():
                    return True

                if self.lldp is not None and self.lldp._has_data():
                    return True

                if self.load_balancing is not None and self.load_balancing._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.location is not None and self.location._has_data():
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.mab is not None and self.mab._has_data():
                    return True

                if self.mac is not None and self.mac._has_data():
                    return True

                if self.macro is not None and self.macro._has_data():
                    return True

                if self.macsec is not None and self.macsec._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.mka is not None and self.mka._has_data():
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.negotiation is not None and self.negotiation._has_data():
                    return True

                if self.ospfv3 is not None and self.ospfv3._has_data():
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.performance is not None and self.performance._has_data():
                    return True

                if self.plim is not None and self.plim._has_data():
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.power is not None and self.power._has_data():
                    return True

                if self.pppoe is not None and self.pppoe._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service is not None and self.service._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.shutdown is not None:
                    return True

                if self.snmp is not None and self.snmp._has_data():
                    return True

                if self.spanning_tree is not None and self.spanning_tree._has_data():
                    return True

                if self.speed is not None and self.speed._has_data():
                    return True

                if self.srr_queue is not None and self.srr_queue._has_data():
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switch is not None and self.switch._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.synchronous is not None and self.synchronous._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.udld is not None and self.udld._has_data():
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vlan_range is not None:
                    for child_ref in self.vlan_range:
                        if child_ref._has_data():
                            return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                if self.xconnect is not None and self.xconnect._has_data():
                    return True

                if self.zone_member is not None and self.zone_member._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.Fastethernet']['meta_info']


        class Gigabitethernet(object):
            """
            GigabitEthernet IEEE 802.3z
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Arp>`
            
            .. attribute:: authentication
            
            	Auth Manager Interface Configuration Commands
            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication>`
            
            .. attribute:: auto
            
            	Configure Automation
            	**type**\:   :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Auto>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Bfd>`
            
            .. attribute:: carrier_delay
            
            	Specify delay for interface transitions
            	**type**\:   :py:class:`CarrierDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.CarrierDelay>`
            
            .. attribute:: cdp
            
            	CDP interface subcommands
            	**type**\:   :py:class:`Cdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Cdp>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Cemoudp>`
            
            .. attribute:: channel_group
            
            	Add this interface to an Etherchannel group
            	**type**\:   :py:class:`ChannelGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.ChannelGroup>`
            
            .. attribute:: channel_protocol
            
            	Select the channel protocol (LACP, PAgP)
            	**type**\:   :py:class:`ChannelProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.ChannelProtocolEnum>`
            
            .. attribute:: crypto
            
            	Encryption/Decryption commands
            	**type**\:   :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Crypto>`
            
            .. attribute:: cts
            
            	Configure Cisco Trusted Security
            	**type**\:   :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Cts>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: datalink
            
            	Interface Datalink commands
            	**type**\:   :py:class:`Datalink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Datalink>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: device_tracking
            
            	Configure device\-tracking on the interface
            	**type**\:   :py:class:`DeviceTracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.DeviceTracking>`
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Domain>`
            
            .. attribute:: dot1x
            
            	Interface Config Commands for IEEE 802.1X
            	**type**\:   :py:class:`Dot1X <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Dot1X>`
            
            .. attribute:: dual_active
            
            	
            	**type**\:   :py:class:`DualActive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.DualActive>`
            
            .. attribute:: duplex
            
            	Configure duplex operation
            	**type**\:   :py:class:`DuplexEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.DuplexEnum>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Encapsulation>`
            
            .. attribute:: energywise
            
            	EnergyWise interface configurations
            	**type**\:   :py:class:`Energywise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Energywise>`
            
            	**presence node**\: True
            
            .. attribute:: ethernet
            
            	Ethernet interface parameters
            	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: lisp
            
            	Locator/ID Separation Protocol
            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Lisp>`
            
            .. attribute:: lldp
            
            	LLDP interface subcommands
            	**type**\:   :py:class:`Lldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Lldp>`
            
            .. attribute:: load_balancing
            
            	Etherchannel Load\-Balancing
            	**type**\:   :py:class:`LoadBalancing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.LoadBalancing>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: location
            
            	Interface location information
            	**type**\:   :py:class:`Location <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Location>`
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Logging>`
            
            .. attribute:: mab
            
            	
            	**type**\:   :py:class:`Mab <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Mab>`
            
            	**presence node**\: True
            
            .. attribute:: mac
            
            	MAC interface commands
            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Mac>`
            
            .. attribute:: macro
            
            	Command macro
            	**type**\:   :py:class:`Macro <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Macro>`
            
            .. attribute:: macsec
            
            	Enable macsec on the interface
            	**type**\:   :py:class:`Macsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Macsec>`
            
            	**presence node**\: True
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Mdix>`
            
            .. attribute:: media_type
            
            	Media type
            	**type**\:   :py:class:`MediaTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.MediaTypeEnum>`
            
            .. attribute:: mka
            
            	MACsec Key Agreement (MKA) interface configuration
            	**type**\:   :py:class:`Mka <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Mka>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: negotiation
            
            	Select autonegotiation mode
            	**type**\:   :py:class:`Negotiation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Negotiation>`
            
            .. attribute:: ospfv3
            
            	OSPFv3 interface commands
            	**type**\:   :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Peer>`
            
            .. attribute:: performance
            
            	Global performance monitor configuration
            	**type**\:   :py:class:`Performance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Performance>`
            
            .. attribute:: plim
            
            	Configure features on the PLIM
            	**type**\:   :py:class:`Plim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Plim>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.PmPath>`
            
            .. attribute:: port_type
            
            	
            	**type**\:   :py:class:`PortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.PortTypeEnum>`
            
            .. attribute:: power
            
            	
            	**type**\:   :py:class:`Power <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Power>`
            
            .. attribute:: pppoe
            
            	pppoe interface subcommands
            	**type**\:   :py:class:`Pppoe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Pppoe>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.RcvQueue>`
            
            .. attribute:: service
            
            	Configure Ether Service
            	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.ServiceInsertionEnum>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.ServicePolicy>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: snmp
            
            	Modify SNMP interface parameters
            	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Snmp>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.SpanningTree>`
            
            .. attribute:: speed
            
            	Configure speed operation
            	**type**\:   :py:class:`Speed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Speed>`
            
            .. attribute:: srr_queue
            
            	
            	**type**\:   :py:class:`SrrQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.SrrQueue>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.StormControl>`
            
            .. attribute:: switch
            
            	
            	**type**\:   :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switch>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.SwitchportConf>`
            
            .. attribute:: synchronous
            
            	Synchronous
            	**type**\:   :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Synchronous>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Trust>`
            
            .. attribute:: udld
            
            	Configure UDLD enabled or disabled and ignore global UDLD setting
            	**type**\:   :py:class:`Udld <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Udld>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Utd>`
            
            .. attribute:: vlan_range
            
            	
            	**type**\: list of    :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.VlanRange>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Vrf>`
            
            .. attribute:: xconnect
            
            	Xconnect commands
            	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Xconnect>`
            
            .. attribute:: zone_member
            
            	Apply zone name
            	**type**\:   :py:class:`ZoneMember <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.ZoneMember>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.Gigabitethernet.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.Gigabitethernet.Arp()
                self.arp.parent = self
                self.authentication = Native.Interface.Gigabitethernet.Authentication()
                self.authentication.parent = self
                self.auto = Native.Interface.Gigabitethernet.Auto()
                self.auto.parent = self
                self.backup = Native.Interface.Gigabitethernet.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.Gigabitethernet.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.Gigabitethernet.Bfd()
                self.bfd.parent = self
                self.carrier_delay = Native.Interface.Gigabitethernet.CarrierDelay()
                self.carrier_delay.parent = self
                self.cdp = Native.Interface.Gigabitethernet.Cdp()
                self.cdp.parent = self
                self.cemoudp = Native.Interface.Gigabitethernet.Cemoudp()
                self.cemoudp.parent = self
                self.channel_group = Native.Interface.Gigabitethernet.ChannelGroup()
                self.channel_group.parent = self
                self.channel_protocol = None
                self.crypto = Native.Interface.Gigabitethernet.Crypto()
                self.crypto.parent = self
                self.cts = Native.Interface.Gigabitethernet.Cts()
                self.cts.parent = self
                self.cws_tunnel = Native.Interface.Gigabitethernet.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.datalink = Native.Interface.Gigabitethernet.Datalink()
                self.datalink.parent = self
                self.delay = None
                self.description = None
                self.device_tracking = Native.Interface.Gigabitethernet.DeviceTracking()
                self.device_tracking.parent = self
                self.domain = Native.Interface.Gigabitethernet.Domain()
                self.domain.parent = self
                self.dot1x = Native.Interface.Gigabitethernet.Dot1X()
                self.dot1x.parent = self
                self.dual_active = Native.Interface.Gigabitethernet.DualActive()
                self.dual_active.parent = self
                self.duplex = None
                self.encapsulation = Native.Interface.Gigabitethernet.Encapsulation()
                self.encapsulation.parent = self
                self.energywise = None
                self.ethernet = Native.Interface.Gigabitethernet.Ethernet()
                self.ethernet.parent = self
                self.fair_queue = Native.Interface.Gigabitethernet.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.Gigabitethernet.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.Gigabitethernet.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.Gigabitethernet.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.Gigabitethernet.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.Gigabitethernet.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.Gigabitethernet.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.Gigabitethernet.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.Gigabitethernet.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.Gigabitethernet.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.lisp = Native.Interface.Gigabitethernet.Lisp()
                self.lisp.parent = self
                self.lldp = Native.Interface.Gigabitethernet.Lldp()
                self.lldp.parent = self
                self.load_balancing = Native.Interface.Gigabitethernet.LoadBalancing()
                self.load_balancing.parent = self
                self.load_interval = None
                self.location = Native.Interface.Gigabitethernet.Location()
                self.location.parent = self
                self.logging = Native.Interface.Gigabitethernet.Logging()
                self.logging.parent = self
                self.mab = None
                self.mac = Native.Interface.Gigabitethernet.Mac()
                self.mac.parent = self
                self.macro = Native.Interface.Gigabitethernet.Macro()
                self.macro.parent = self
                self.macsec = None
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.Gigabitethernet.Mdix()
                self.mdix.parent = self
                self.media_type = None
                self.mka = Native.Interface.Gigabitethernet.Mka()
                self.mka.parent = self
                self.mop = Native.Interface.Gigabitethernet.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.Gigabitethernet.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.negotiation = Native.Interface.Gigabitethernet.Negotiation()
                self.negotiation.parent = self
                self.ospfv3 = Native.Interface.Gigabitethernet.Ospfv3()
                self.ospfv3.parent = self
                self.peer = Native.Interface.Gigabitethernet.Peer()
                self.peer.parent = self
                self.performance = Native.Interface.Gigabitethernet.Performance()
                self.performance.parent = self
                self.plim = Native.Interface.Gigabitethernet.Plim()
                self.plim.parent = self
                self.pm_path = Native.Interface.Gigabitethernet.PmPath()
                self.pm_path.parent = self
                self.port_type = None
                self.power = Native.Interface.Gigabitethernet.Power()
                self.power.parent = self
                self.pppoe = Native.Interface.Gigabitethernet.Pppoe()
                self.pppoe.parent = self
                self.priority_queue = Native.Interface.Gigabitethernet.PriorityQueue()
                self.priority_queue.parent = self
                self.rcv_queue = Native.Interface.Gigabitethernet.RcvQueue()
                self.rcv_queue.parent = self
                self.service = Native.Interface.Gigabitethernet.Service()
                self.service.parent = self
                self.service_insertion = None
                self.service_policy = Native.Interface.Gigabitethernet.ServicePolicy()
                self.service_policy.parent = self
                self.shutdown = None
                self.snmp = Native.Interface.Gigabitethernet.Snmp()
                self.snmp.parent = self
                self.spanning_tree = Native.Interface.Gigabitethernet.SpanningTree()
                self.spanning_tree.parent = self
                self.speed = Native.Interface.Gigabitethernet.Speed()
                self.speed.parent = self
                self.srr_queue = Native.Interface.Gigabitethernet.SrrQueue()
                self.srr_queue.parent = self
                self.standby = Native.Interface.Gigabitethernet.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.Gigabitethernet.StormControl()
                self.storm_control.parent = self
                self.switch = Native.Interface.Gigabitethernet.Switch()
                self.switch.parent = self
                self.switchport = Native.Interface.Gigabitethernet.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.Gigabitethernet.SwitchportConf()
                self.switchport_conf.parent = self
                self.synchronous = Native.Interface.Gigabitethernet.Synchronous()
                self.synchronous.parent = self
                self.trust = Native.Interface.Gigabitethernet.Trust()
                self.trust.parent = self
                self.udld = Native.Interface.Gigabitethernet.Udld()
                self.udld.parent = self
                self.utd = Native.Interface.Gigabitethernet.Utd()
                self.utd.parent = self
                self.vlan_range = YList()
                self.vlan_range.parent = self
                self.vlan_range.name = 'vlan_range'
                self.vrf = Native.Interface.Gigabitethernet.Vrf()
                self.vrf.parent = self
                self.xconnect = Native.Interface.Gigabitethernet.Xconnect()
                self.xconnect.parent = self
                self.zone_member = Native.Interface.Gigabitethernet.ZoneMember()
                self.zone_member.parent = self

            class ChannelProtocolEnum(Enum):
                """
                ChannelProtocolEnum

                Select the channel protocol (LACP, PAgP)

                .. data:: lacp = 0

                .. data:: pagp = 1

                """

                lacp = 0

                pagp = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.ChannelProtocolEnum']


            class DuplexEnum(Enum):
                """
                DuplexEnum

                Configure duplex operation.

                .. data:: auto = 0

                .. data:: full = 1

                .. data:: half = 2

                """

                auto = 0

                full = 1

                half = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.DuplexEnum']


            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.IfStateEnum']


            class MediaTypeEnum(Enum):
                """
                MediaTypeEnum

                Media type

                .. data:: auto_select = 0

                .. data:: rj45 = 1

                .. data:: sfp = 2

                """

                auto_select = 0

                rj45 = 1

                sfp = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.MediaTypeEnum']


            class PortTypeEnum(Enum):
                """
                PortTypeEnum

                .. data:: nni = 0

                """

                nni = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.PortTypeEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.ServiceInsertionEnum']



            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Access>`
                
                .. attribute:: autostate
                
                	Include or exclude this port from vlan link up calculation
                	**type**\:   :py:class:`Autostate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Autostate>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:   :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Block>`
                
                .. attribute:: device_tracking
                
                	Configure device\-tracking on the interface
                	**type**\:   :py:class:`DeviceTracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.DeviceTracking>`
                
                .. attribute:: host
                
                	Set port host
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:   :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: priority
                
                	Set appliance 802.1p priority
                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Priority>`
                
                .. attribute:: private_vlan
                
                	Set the private VLAN configuration
                	**type**\:   :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.PrivateVlan>`
                
                .. attribute:: protected
                
                	Configure an interface to be a protected port
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: trunk
                
                	Set trunking characteristics of the interface
                	**type**\:   :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Trunk>`
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:   :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Voice>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access = Native.Interface.Gigabitethernet.Switchport.Access()
                    self.access.parent = self
                    self.autostate = Native.Interface.Gigabitethernet.Switchport.Autostate()
                    self.autostate.parent = self
                    self.block = Native.Interface.Gigabitethernet.Switchport.Block()
                    self.block.parent = self
                    self.device_tracking = Native.Interface.Gigabitethernet.Switchport.DeviceTracking()
                    self.device_tracking.parent = self
                    self.host = None
                    self.mode = Native.Interface.Gigabitethernet.Switchport.Mode()
                    self.mode.parent = self
                    self.nonegotiate = None
                    self.port_security = None
                    self.priority = Native.Interface.Gigabitethernet.Switchport.Priority()
                    self.priority.parent = self
                    self.private_vlan = Native.Interface.Gigabitethernet.Switchport.PrivateVlan()
                    self.private_vlan.parent = self
                    self.protected = None
                    self.trunk = Native.Interface.Gigabitethernet.Switchport.Trunk()
                    self.trunk.parent = self
                    self.voice = Native.Interface.Gigabitethernet.Switchport.Voice()
                    self.voice.parent = self


                class Access(object):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	Set VLAN when interface is in access mode
                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Access.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = Native.Interface.Gigabitethernet.Switchport.Access.Vlan()
                        self.vlan.parent = self


                    class Vlan(object):
                        """
                        Set VLAN when interface is in access mode
                        
                        .. attribute:: name
                        
                        	Vlan name
                        	**type**\:  str
                        
                        .. attribute:: vlan
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        
                        ----
                        	**type**\:   :py:class:`VlanEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.VlanEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.vlan = None

                        class VlanEnum(Enum):
                            """
                            VlanEnum

                            .. data:: dynamic = 0

                            """

                            dynamic = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Access.Vlan.VlanEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Access.Vlan']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:access'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None and self.vlan._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Access']['meta_info']


                class Block(object):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: multicast
                    
                    	Block unknown multicast addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.multicast = None
                        self.unicast = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:block'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.multicast is not None:
                            return True

                        if self.unicast is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Block']['meta_info']


                class Mode(object):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Mode.Access>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dot1q_tunnel
                    
                    	set trunking mode to TUNNEL unconditionally
                    	**type**\:   :py:class:`Dot1QTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Mode.Dot1QTunnel>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dynamic
                    
                    	Set trunking mode to dynamically negotiate access or trunk mode
                    	**type**\:   :py:class:`DynamicEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Mode.DynamicEnum>`
                    
                    .. attribute:: private_vlan
                    
                    	Set private\-vlan mode
                    	**type**\:   :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Mode.PrivateVlan>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\:   :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Mode.Trunk>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access = None
                        self.dot1q_tunnel = None
                        self.dynamic = None
                        self.private_vlan = Native.Interface.Gigabitethernet.Switchport.Mode.PrivateVlan()
                        self.private_vlan.parent = self
                        self.trunk = None

                    class DynamicEnum(Enum):
                        """
                        DynamicEnum

                        Set trunking mode to dynamically negotiate access or trunk mode

                        .. data:: auto = 0

                        .. data:: desirable = 1

                        """

                        auto = 0

                        desirable = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Mode.DynamicEnum']



                    class Access(object):
                        """
                        Set trunking mode to ACCESS unconditionally
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:access'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Mode.Access']['meta_info']


                    class Dot1QTunnel(object):
                        """
                        set trunking mode to TUNNEL unconditionally
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:dot1q-tunnel'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Mode.Dot1QTunnel']['meta_info']


                    class PrivateVlan(object):
                        """
                        Set private\-vlan mode
                        
                        .. attribute:: host
                        
                        	Set the mode to private\-vlan host
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: promiscuous
                        
                        	Set the mode to private\-vlan promiscuous
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.host = None
                            self.promiscuous = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:private-vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.host is not None:
                                return True

                            if self.promiscuous is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Mode.PrivateVlan']['meta_info']


                    class Trunk(object):
                        """
                        Set trunking mode to TRUNK unconditionally
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:trunk'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Mode.Trunk']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access is not None and self.access._has_data():
                            return True

                        if self.dot1q_tunnel is not None and self.dot1q_tunnel._has_data():
                            return True

                        if self.dynamic is not None:
                            return True

                        if self.private_vlan is not None and self.private_vlan._has_data():
                            return True

                        if self.trunk is not None and self.trunk._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Mode']['meta_info']


                class PortSecurity(object):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:   :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: mac_address
                    
                    	Secure mac address
                    	**type**\:   :py:class:`MacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.PortSecurity.MacAddress>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:   :py:class:`ViolationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.PortSecurity.ViolationEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aging = Native.Interface.Gigabitethernet.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self.mac_address = Native.Interface.Gigabitethernet.Switchport.PortSecurity.MacAddress()
                        self.mac_address.parent = self
                        self.maximum = Native.Interface.Gigabitethernet.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self.violation = None

                    class ViolationEnum(Enum):
                        """
                        ViolationEnum

                        Security violation mode

                        .. data:: protect = 0

                        .. data:: restrict = 1

                        .. data:: shutdown = 2

                        """

                        protect = 0

                        restrict = 1

                        shutdown = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.PortSecurity.ViolationEnum']



                    class Aging(object):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.PortSecurity.Aging.TypeEnum>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = None
                            self.time = None
                            self.type = None

                        class TypeEnum(Enum):
                            """
                            TypeEnum

                            Port\-security aging type

                            .. data:: absolute = 0

                            .. data:: inactivity = 1

                            """

                            absolute = 0

                            inactivity = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.PortSecurity.Aging.TypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:aging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None:
                                return True

                            if self.time is not None:
                                return True

                            if self.type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.PortSecurity.Aging']['meta_info']


                    class MacAddress(object):
                        """
                        Secure mac address
                        
                        .. attribute:: hw_address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2}){5}
                        
                        .. attribute:: sticky
                        
                        	Configure dynamic secure addresses as sticky
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	set VLAN ID of the VLAN on which this address can be learned
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hw_address = None
                            self.sticky = None
                            self.vlan = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:mac-address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hw_address is not None:
                                return True

                            if self.sticky is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.PortSecurity.MacAddress']['meta_info']


                    class Maximum(object):
                        """
                        Max secure addresses
                        
                        .. attribute:: max_addresses
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4097
                        
                        .. attribute:: vlan
                        
                        	Max secure addresses per vlan
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max_addresses = None
                            self.vlan = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:maximum'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max_addresses is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.PortSecurity.Maximum']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:port-security'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aging is not None and self.aging._has_data():
                            return True

                        if self.mac_address is not None and self.mac_address._has_data():
                            return True

                        if self.maximum is not None and self.maximum._has_data():
                            return True

                        if self.violation is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.PortSecurity']['meta_info']


                class Trunk(object):
                    """
                    Set trunking characteristics of the interface
                    
                    .. attribute:: allowed
                    
                    	Set allowed VLAN characteristics when interface is in trunking mode
                    	**type**\:   :py:class:`Allowed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Trunk.Allowed>`
                    
                    .. attribute:: encapsulation
                    
                    	Set encapsulation format on trunk port
                    	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Trunk.EncapsulationEnum>`
                    
                    .. attribute:: native
                    
                    	Set trunking native characteristics when interface is in trunking mode
                    	**type**\:   :py:class:`Native_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Trunk.Native_>`
                    
                    .. attribute:: pruning
                    
                    	Set pruning VLAN characteristics when interface is in trunking mode
                    	**type**\:   :py:class:`Pruning <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Trunk.Pruning>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.allowed = Native.Interface.Gigabitethernet.Switchport.Trunk.Allowed()
                        self.allowed.parent = self
                        self.encapsulation = None
                        self.native = Native.Interface.Gigabitethernet.Switchport.Trunk.Native_()
                        self.native.parent = self
                        self.pruning = Native.Interface.Gigabitethernet.Switchport.Trunk.Pruning()
                        self.pruning.parent = self

                    class EncapsulationEnum(Enum):
                        """
                        EncapsulationEnum

                        Set encapsulation format on trunk port

                        .. data:: dot1q = 0

                        .. data:: isl = 1

                        .. data:: negotiate = 2

                        """

                        dot1q = 0

                        isl = 1

                        negotiate = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Trunk.EncapsulationEnum']



                    class Allowed(object):
                        """
                        Set allowed VLAN characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set allowed VLANs when interface is in trunking mode
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Trunk.Allowed.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vlan = Native.Interface.Gigabitethernet.Switchport.Trunk.Allowed.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            Set allowed VLANs when interface is in trunking mode
                            
                            .. attribute:: add
                            
                            	VLAN IDs of the allowed VLANs when this port is in trunking mode
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: all
                            
                            	all VLANs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: except_
                            
                            	all VLANs except the following
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: none
                            
                            	no VLANs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: remove
                            
                            	VLAN IDs of disallowed VLANS when this port is in trunking mode
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: vlans
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.add = None
                                self.all = None
                                self.except_ = YLeafList()
                                self.except_.parent = self
                                self.except_.name = 'except_'
                                self.none = None
                                self.remove = None
                                self.vlans = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.add is not None:
                                    return True

                                if self.all is not None:
                                    return True

                                if self.except_ is not None:
                                    for child in self.except_:
                                        if child is not None:
                                            return True

                                if self.none is not None:
                                    return True

                                if self.remove is not None:
                                    return True

                                if self.vlans is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Trunk.Allowed.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:allowed'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Trunk.Allowed']['meta_info']


                    class Native_(object):
                        """
                        Set trunking native characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set native VLAN when interface is in trunking mode
                        	**type**\: one of the below types:
                        
                        	**type**\:   :py:class:`VlanEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_.VlanEnum>`
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vlan = None

                        class VlanEnum(Enum):
                            """
                            VlanEnum

                            Set native VLAN when interface is in trunking mode

                            .. data:: tag = 0

                            """

                            tag = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Trunk.Native_.VlanEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:native'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Trunk.Native_']['meta_info']


                    class Pruning(object):
                        """
                        Set pruning VLAN characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set VLANs enabled for pruning when interface is in trunking mode
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Trunk.Pruning.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vlan = Native.Interface.Gigabitethernet.Switchport.Trunk.Pruning.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            Set VLANs enabled for pruning when interface is in trunking mode
                            
                            .. attribute:: add
                            
                            	VLAN IDs of the allowed VLANs when this port is in trunking mode
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: except_
                            
                            	all VLANs except the following
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: none
                            
                            	no VLANs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: remove
                            
                            	VLAN IDs of disallowed VLANS when this port is in trunking mode
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: vlans
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.add = None
                                self.except_ = YLeafList()
                                self.except_.parent = self
                                self.except_.name = 'except_'
                                self.none = None
                                self.remove = None
                                self.vlans = YLeafList()
                                self.vlans.parent = self
                                self.vlans.name = 'vlans'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.add is not None:
                                    return True

                                if self.except_ is not None:
                                    for child in self.except_:
                                        if child is not None:
                                            return True

                                if self.none is not None:
                                    return True

                                if self.remove is not None:
                                    return True

                                if self.vlans is not None:
                                    for child in self.vlans:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Trunk.Pruning.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:pruning'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Trunk.Pruning']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:trunk'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.allowed is not None and self.allowed._has_data():
                            return True

                        if self.encapsulation is not None:
                            return True

                        if self.native is not None and self.native._has_data():
                            return True

                        if self.pruning is not None and self.pruning._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Trunk']['meta_info']


                class Voice(object):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: detect
                    
                    	detection enhancement keyword
                    	**type**\:   :py:class:`Detect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Voice.Detect>`
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Voice.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.detect = Native.Interface.Gigabitethernet.Switchport.Voice.Detect()
                        self.detect.parent = self
                        self.vlan = Native.Interface.Gigabitethernet.Switchport.Voice.Vlan()
                        self.vlan.parent = self


                    class Vlan(object):
                        """
                        Vlan for voice traffic
                        
                        .. attribute:: name
                        
                        	Vlan name
                        	**type**\:  str
                        
                        .. attribute:: vlan
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:   :py:class:`VlanEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.VlanEnum>`
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        
                        ----
                        	**type**\:  str
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.vlan = None

                        class VlanEnum(Enum):
                            """
                            VlanEnum

                            .. data:: dot1p = 0

                            .. data:: none = 1

                            .. data:: untagged = 2

                            """

                            dot1p = 0

                            none = 1

                            untagged = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Voice.Vlan.VlanEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Voice.Vlan']['meta_info']


                    class Detect(object):
                        """
                        detection enhancement keyword
                        
                        .. attribute:: cisco_phone
                        
                        	Cisco IP phone
                        	**type**\:   :py:class:`CiscoPhone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Voice.Detect.CiscoPhone>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cisco_phone = None


                        class CiscoPhone(object):
                            """
                            Cisco IP phone
                            
                            .. attribute:: full_duplex
                            
                            	full duplex keyword
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.full_duplex = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:cisco-phone'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.full_duplex is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Voice.Detect.CiscoPhone']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:detect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cisco_phone is not None and self.cisco_phone._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Voice.Detect']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:voice'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.detect is not None and self.detect._has_data():
                            return True

                        if self.vlan is not None and self.vlan._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Voice']['meta_info']


                class Priority(object):
                    """
                    Set appliance 802.1p priority
                    
                    .. attribute:: extend
                    
                    	Set appliance 802.1p priority
                    	**type**\:   :py:class:`Extend <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.Priority.Extend>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.extend = Native.Interface.Gigabitethernet.Switchport.Priority.Extend()
                        self.extend.parent = self


                    class Extend(object):
                        """
                        Set appliance 802.1p priority
                        
                        .. attribute:: cos
                        
                        	Override 802.1p priority of devices on appliance
                        	**type**\:  int
                        
                        	**range:** 0..7
                        
                        .. attribute:: trust
                        
                        	Trust 802.1p priorities of devices on appliance
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cos = None
                            self.trust = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:extend'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cos is not None:
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Priority.Extend']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:priority'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.extend is not None and self.extend._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Priority']['meta_info']


                class Autostate(object):
                    """
                    Include or exclude this port from vlan link up calculation
                    
                    .. attribute:: exclude
                    
                    	Exclude this port from vlan link up calculation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.exclude = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:autostate'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.exclude is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.Autostate']['meta_info']


                class PrivateVlan(object):
                    """
                    Set the private VLAN configuration
                    
                    .. attribute:: association
                    
                    	Set the private VLAN association
                    	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association>`
                    
                    .. attribute:: host_association
                    
                    	Set the private VLAN host association
                    	**type**\:   :py:class:`HostAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.PrivateVlan.HostAssociation>`
                    
                    .. attribute:: mapping
                    
                    	Set the private VLAN promiscuous mapping
                    	**type**\:   :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Mapping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.association = Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association()
                        self.association.parent = self
                        self.host_association = Native.Interface.Gigabitethernet.Switchport.PrivateVlan.HostAssociation()
                        self.host_association.parent = self
                        self.mapping = Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Mapping()
                        self.mapping.parent = self


                    class Association(object):
                        """
                        Set the private VLAN association
                        
                        .. attribute:: host
                        
                        	Set the private VLAN host association
                        	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association.Host>`
                        
                        .. attribute:: mapping
                        
                        	Set the private VLAN promiscuous mapping
                        	**type**\:   :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association.Mapping>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.host = Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association.Host()
                            self.host.parent = self
                            self.mapping = Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association.Mapping()
                            self.mapping.parent = self


                        class Host(object):
                            """
                            Set the private VLAN host association
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN port association
                            	**type**\:  int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: secondary_range
                            
                            	Secondary normal range VLAN ID of the private VLAN host port association
                            	**type**\:  int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.primary_range = None
                                self.secondary_range = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.primary_range is not None:
                                    return True

                                if self.secondary_range is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association.Host']['meta_info']


                        class Mapping(object):
                            """
                            Set the private VLAN promiscuous mapping
                            
                            .. attribute:: add
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\:  str
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                            	**type**\:  int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: remove
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\:  str
                            
                            .. attribute:: secondary_range
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.add = None
                                self.primary_range = None
                                self.remove = None
                                self.secondary_range = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.add is not None:
                                    return True

                                if self.primary_range is not None:
                                    return True

                                if self.remove is not None:
                                    return True

                                if self.secondary_range is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association.Mapping']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:association'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.host is not None and self.host._has_data():
                                return True

                            if self.mapping is not None and self.mapping._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Association']['meta_info']


                    class HostAssociation(object):
                        """
                        Set the private VLAN host association
                        
                        .. attribute:: primary_range
                        
                        	Primary normal range VLAN ID of the private VLAN port association
                        	**type**\:  int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        .. attribute:: secondary_range
                        
                        	Secondary normal range VLAN ID of the private VLAN host port association
                        	**type**\:  int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.primary_range = None
                            self.secondary_range = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host-association'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.primary_range is not None:
                                return True

                            if self.secondary_range is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.PrivateVlan.HostAssociation']['meta_info']


                    class Mapping(object):
                        """
                        Set the private VLAN promiscuous mapping
                        
                        .. attribute:: add
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\:  str
                        
                        .. attribute:: primary_range
                        
                        	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                        	**type**\:  int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        .. attribute:: remove
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\:  str
                        
                        .. attribute:: secondary_range
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.add = None
                            self.primary_range = None
                            self.remove = None
                            self.secondary_range = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:mapping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.add is not None:
                                return True

                            if self.primary_range is not None:
                                return True

                            if self.remove is not None:
                                return True

                            if self.secondary_range is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.PrivateVlan.Mapping']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:private-vlan'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.association is not None and self.association._has_data():
                            return True

                        if self.host_association is not None and self.host_association._has_data():
                            return True

                        if self.mapping is not None and self.mapping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.PrivateVlan']['meta_info']


                class DeviceTracking(object):
                    """
                    Configure device\-tracking on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature device\-tracking
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:device-tracking'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Switchport.DeviceTracking']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access is not None and self.access._has_data():
                        return True

                    if self.autostate is not None and self.autostate._has_data():
                        return True

                    if self.block is not None and self.block._has_data():
                        return True

                    if self.device_tracking is not None and self.device_tracking._has_data():
                        return True

                    if self.host is not None:
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.port_security is not None and self.port_security._has_data():
                        return True

                    if self.priority is not None and self.priority._has_data():
                        return True

                    if self.private_vlan is not None and self.private_vlan._has_data():
                        return True

                    if self.protected is not None:
                        return True

                    if self.trunk is not None and self.trunk._has_data():
                        return True

                    if self.voice is not None and self.voice._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.Gigabitethernet.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.Gigabitethernet.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.Gigabitethernet.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.Gigabitethernet.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.Gigabitethernet.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.Gigabitethernet.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.Gigabitethernet.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.Gigabitethernet.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.Gigabitethernet.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.Gigabitethernet.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.Gigabitethernet.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.Gigabitethernet.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.Gigabitethernet.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                .. attribute:: adjacency_filter
                
                	Filter IS\-IS adjacencies
                	**type**\:   :py:class:`AdjacencyFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.AdjacencyFilter>`
                
                .. attribute:: advertise
                
                	Control addresses advertisements in LSPs
                	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Advertise>`
                
                .. attribute:: authentication
                
                	ISIS authentication for interface related PDUs
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Authentication>`
                
                .. attribute:: circuit_type
                
                	Configure circuit type for interface
                	**type**\:   :py:class:`CircuitType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.CircuitType>`
                
                	**presence node**\: True
                
                .. attribute:: csnp_interval
                
                	Set CSNP interval in seconds
                	**type**\:   :py:class:`CsnpInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.CsnpInterval>`
                
                .. attribute:: hello
                
                	Add padding to IS\-IS hello packets
                	**type**\:   :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Hello>`
                
                .. attribute:: hello_interval
                
                	Set Hello interval in seconds
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.HelloInterval>`
                
                .. attribute:: hello_multiplier
                
                	Set multiplier for Hello holding time
                	**type**\:   :py:class:`HelloMultiplier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.HelloMultiplier>`
                
                .. attribute:: ipv6
                
                	IPv6 interface configuration
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Ipv6>`
                
                .. attribute:: lsp_interval
                
                	Set LSP transmission interval
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                .. attribute:: mesh_group
                
                	Set ISIS mesh group
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                
                ----
                	**type**\:   :py:class:`MeshGroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.MeshGroupEnum>`
                
                
                ----
                .. attribute:: metric
                
                	Configure the metric for interface
                	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Metric>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:   :py:class:`NetworkEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.NetworkEnum>`
                
                .. attribute:: password
                
                	Configure the authentication password for interface
                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Password>`
                
                .. attribute:: priority
                
                	Set priority for Designated Router election
                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Priority>`
                
                .. attribute:: protocol
                
                	Set ISIS protocol's state under current interface
                	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.ProtocolEnum>`
                
                .. attribute:: retransmit_interval
                
                	Set per\-LSP retransmission interval
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: retransmit_throttle_interval
                
                	Set interface LSP retransmission interval
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tag
                
                	Assign an admin tag to an ISIS interface IP route
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                .. attribute:: three_way_handshake
                
                	Select Cisco or IETF three\-way handshake
                	**type**\:   :py:class:`ThreeWayHandshake <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.ThreeWayHandshake>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.adjacency_filter = Native.Interface.Gigabitethernet.Isis.AdjacencyFilter()
                    self.adjacency_filter.parent = self
                    self.advertise = Native.Interface.Gigabitethernet.Isis.Advertise()
                    self.advertise.parent = self
                    self.authentication = Native.Interface.Gigabitethernet.Isis.Authentication()
                    self.authentication.parent = self
                    self.circuit_type = None
                    self.csnp_interval = Native.Interface.Gigabitethernet.Isis.CsnpInterval()
                    self.csnp_interval.parent = self
                    self.hello = Native.Interface.Gigabitethernet.Isis.Hello()
                    self.hello.parent = self
                    self.hello_interval = Native.Interface.Gigabitethernet.Isis.HelloInterval()
                    self.hello_interval.parent = self
                    self.hello_multiplier = Native.Interface.Gigabitethernet.Isis.HelloMultiplier()
                    self.hello_multiplier.parent = self
                    self.ipv6 = Native.Interface.Gigabitethernet.Isis.Ipv6()
                    self.ipv6.parent = self
                    self.lsp_interval = None
                    self.mesh_group = None
                    self.metric = Native.Interface.Gigabitethernet.Isis.Metric()
                    self.metric.parent = self
                    self.network = None
                    self.password = Native.Interface.Gigabitethernet.Isis.Password()
                    self.password.parent = self
                    self.priority = Native.Interface.Gigabitethernet.Isis.Priority()
                    self.priority.parent = self
                    self.protocol = None
                    self.retransmit_interval = None
                    self.retransmit_throttle_interval = None
                    self.tag = None
                    self.three_way_handshake = None

                class MeshGroupEnum(Enum):
                    """
                    MeshGroupEnum

                    Set ISIS mesh group

                    .. data:: blocked = 0

                    """

                    blocked = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Isis.MeshGroupEnum']


                class NetworkEnum(Enum):
                    """
                    NetworkEnum

                    Network type

                    .. data:: point_to_point = 0

                    """

                    point_to_point = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Isis.NetworkEnum']


                class ProtocolEnum(Enum):
                    """
                    ProtocolEnum

                    Set ISIS protocol's state under current interface

                    .. data:: shutdown = 0

                    """

                    shutdown = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Isis.ProtocolEnum']



                class AdjacencyFilter(object):
                    """
                    Filter IS\-IS adjacencies
                    
                    .. attribute:: match_all
                    
                    	Match all area addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: name
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.match_all = None
                        self.name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:adjacency-filter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.match_all is not None:
                            return True

                        if self.name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Isis.AdjacencyFilter']['meta_info']


                class Advertise(object):
                    """
                    Control addresses advertisements in LSPs
                    
                    .. attribute:: prefix
                    
                    	Interface IP address
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.prefix = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:advertise'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.prefix is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Advertise']['meta_info']


                class Authentication(object):
                    """
                    ISIS authentication for interface related PDUs
                    
                    .. attribute:: key_chain
                    
                    	Authentication key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	Authentication mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Authentication.Mode>`
                    
                    .. attribute:: send_only
                    
                    	Authentication send only, receive ignore
                    	**type**\:   :py:class:`SendOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Authentication.SendOnly>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Gigabitethernet.Isis.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Gigabitethernet.Isis.Authentication.Mode()
                        self.mode.parent = self
                        self.send_only = None


                    class Mode(object):
                        """
                        Authentication mode
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Authentication.Mode.Md5>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: text
                        
                        	Clear text password
                        	**type**\:   :py:class:`Text <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Authentication.Mode.Text>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = None
                            self.text = None


                        class Md5(object):
                            """
                            Keyed message digest
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Authentication.Mode.Md5']['meta_info']


                        class Text(object):
                            """
                            Clear text password
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:text'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Authentication.Mode.Text']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None and self.text._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Authentication.Mode']['meta_info']


                    class KeyChain(object):
                        """
                        Authentication key\-chain
                        
                        .. attribute:: key_chain_list
                        
                        	
                        	**type**\: list of    :py:class:`KeyChainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Authentication.KeyChain.KeyChainList>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_chain_list = YList()
                            self.key_chain_list.parent = self
                            self.key_chain_list.name = 'key_chain_list'
                            self.name = None


                        class KeyChainList(object):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.levels = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.levels is None:
                                    raise YPYModelError('Key property levels is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:key-chain-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.levels is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Authentication.KeyChain.KeyChainList']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_chain_list is not None:
                                for child_ref in self.key_chain_list:
                                    if child_ref._has_data():
                                        return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Authentication.KeyChain']['meta_info']


                    class SendOnly(object):
                        """
                        Authentication send only, receive ignore
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.levels = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:send-only'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.levels is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Authentication.SendOnly']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        if self.send_only is not None and self.send_only._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Authentication']['meta_info']


                class CircuitType(object):
                    """
                    Configure circuit type for interface
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.CircuitType.LevelsEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.levels = None

                    class LevelsEnum(Enum):
                        """
                        LevelsEnum

                        .. data:: level_1 = 0

                        .. data:: level_1_2 = 1

                        .. data:: level_2_only = 2

                        """

                        level_1 = 0

                        level_1_2 = 1

                        level_2_only = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Isis.CircuitType.LevelsEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:circuit-type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.levels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Isis.CircuitType']['meta_info']


                class CsnpInterval(object):
                    """
                    Set CSNP interval in seconds
                    
                    .. attribute:: csnp_interval_list
                    
                    	
                    	**type**\: list of    :py:class:`CsnpIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.CsnpInterval.CsnpIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.csnp_interval_list = YList()
                        self.csnp_interval_list.parent = self
                        self.csnp_interval_list.name = 'csnp_interval_list'
                        self.value = None


                    class CsnpIntervalList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:csnp-interval-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Isis.CsnpInterval.CsnpIntervalList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:csnp-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.csnp_interval_list is not None:
                            for child_ref in self.csnp_interval_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Isis.CsnpInterval']['meta_info']


                class Hello(object):
                    """
                    Add padding to IS\-IS hello packets
                    
                    .. attribute:: padding
                    
                    	Pad hello packets
                    	**type**\:   :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Hello.Padding>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.padding = None


                    class Padding(object):
                        """
                        Pad hello packets
                        
                        .. attribute:: always
                        
                        	Never pad hello packets if no prefix present
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.always = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:padding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.always is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Hello.Padding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.padding is not None and self.padding._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Hello']['meta_info']


                class HelloInterval(object):
                    """
                    Set Hello interval in seconds
                    
                    .. attribute:: hello_interval_list
                    
                    	
                    	**type**\: list of    :py:class:`HelloIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.HelloInterval.HelloIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    
                    ----
                    	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hello_interval_list = YList()
                        self.hello_interval_list.parent = self
                        self.hello_interval_list.name = 'hello_interval_list'
                        self.value = None

                    class ValueEnum(Enum):
                        """
                        ValueEnum

                        .. data:: minimal = 0

                        """

                        minimal = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Isis.HelloInterval.ValueEnum']



                    class HelloIntervalList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.HelloInterval.HelloIntervalList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Isis.HelloInterval.HelloIntervalList.LevelsEnum']


                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: minimal = 0

                            """

                            minimal = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Isis.HelloInterval.HelloIntervalList.ValueEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-interval-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Isis.HelloInterval.HelloIntervalList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hello_interval_list is not None:
                            for child_ref in self.hello_interval_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Isis.HelloInterval']['meta_info']


                class HelloMultiplier(object):
                    """
                    Set multiplier for Hello holding time
                    
                    .. attribute:: hello_multiplier_list
                    
                    	
                    	**type**\: list of    :py:class:`HelloMultiplierList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.HelloMultiplier.HelloMultiplierList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 3..1000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hello_multiplier_list = YList()
                        self.hello_multiplier_list.parent = self
                        self.hello_multiplier_list.name = 'hello_multiplier_list'
                        self.value = None


                    class HelloMultiplierList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 3..1000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-multiplier-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Isis.HelloMultiplier.HelloMultiplierList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-multiplier'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hello_multiplier_list is not None:
                            for child_ref in self.hello_multiplier_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Isis.HelloMultiplier']['meta_info']


                class Ipv6(object):
                    """
                    IPv6 interface configuration
                    
                    .. attribute:: metric
                    
                    	Configure the metric for interface
                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Ipv6.Metric>`
                    
                    .. attribute:: tag
                    
                    	Assign an admin tag to an ISIS interface IPv6 route
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.metric = Native.Interface.Gigabitethernet.Isis.Ipv6.Metric()
                        self.metric.parent = self
                        self.tag = None


                    class Metric(object):
                        """
                        Configure the metric for interface
                        
                        .. attribute:: metric_list
                        
                        	
                        	**type**\: list of    :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Ipv6.Metric.MetricList>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric_list = YList()
                            self.metric_list.parent = self
                            self.metric_list.name = 'metric_list'
                            self.value = None

                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: maximum = 0

                            """

                            maximum = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Ipv6.Metric.ValueEnum']



                        class MetricList(object):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Ipv6.Metric.MetricList.LevelsEnum>`
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..16777214
                            
                            
                            ----
                            	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.levels = None
                                self.value = None

                            class LevelsEnum(Enum):
                                """
                                LevelsEnum

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = 0

                                level_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Ipv6.Metric.MetricList.LevelsEnum']


                            class ValueEnum(Enum):
                                """
                                ValueEnum

                                .. data:: maximum = 0

                                """

                                maximum = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Ipv6.Metric.MetricList.ValueEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.levels is None:
                                    raise YPYModelError('Key property levels is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:metric-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.levels is not None:
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Ipv6.Metric.MetricList']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:metric'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric_list is not None:
                                for child_ref in self.metric_list:
                                    if child_ref._has_data():
                                        return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Ipv6.Metric']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.metric is not None and self.metric._has_data():
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Ipv6']['meta_info']


                class Metric(object):
                    """
                    Configure the metric for interface
                    
                    .. attribute:: metric_list
                    
                    	
                    	**type**\: list of    :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Metric.MetricList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..16777214
                    
                    
                    ----
                    	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.metric_list = YList()
                        self.metric_list.parent = self
                        self.metric_list.name = 'metric_list'
                        self.value = None

                    class ValueEnum(Enum):
                        """
                        ValueEnum

                        .. data:: maximum = 0

                        """

                        maximum = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Metric.ValueEnum']



                    class MetricList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Metric.MetricList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Metric.MetricList.LevelsEnum']


                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: maximum = 0

                            """

                            maximum = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Metric.MetricList.ValueEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:metric-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Metric.MetricList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:metric'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.metric_list is not None:
                            for child_ref in self.metric_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Metric']['meta_info']


                class Password(object):
                    """
                    Configure the authentication password for interface
                    
                    .. attribute:: password
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: password_list
                    
                    	
                    	**type**\: list of    :py:class:`PasswordList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Password.PasswordList>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.password = None
                        self.password_list = YList()
                        self.password_list.parent = self
                        self.password_list.name = 'password_list'


                    class PasswordList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Password.PasswordList.LevelsEnum>`
                        
                        .. attribute:: password
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.password = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Password.PasswordList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:password-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.password is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Password.PasswordList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:password'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.password is not None:
                            return True

                        if self.password_list is not None:
                            for child_ref in self.password_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Password']['meta_info']


                class Priority(object):
                    """
                    Set priority for Designated Router election
                    
                    .. attribute:: priority_list
                    
                    	
                    	**type**\: list of    :py:class:`PriorityList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Priority.PriorityList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..127
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.priority_list = YList()
                        self.priority_list.parent = self
                        self.priority_list.name = 'priority_list'
                        self.value = None


                    class PriorityList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.Priority.PriorityList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..127
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Priority.PriorityList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:priority-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Priority.PriorityList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:priority'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.priority_list is not None:
                            for child_ref in self.priority_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Isis.Priority']['meta_info']


                class ThreeWayHandshake(object):
                    """
                    Select Cisco or IETF three\-way handshake
                    
                    .. attribute:: implementor
                    
                    	
                    	**type**\:   :py:class:`ImplementorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Isis.ThreeWayHandshake.ImplementorEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.implementor = None

                    class ImplementorEnum(Enum):
                        """
                        ImplementorEnum

                        .. data:: cisco = 0

                        .. data:: ietf = 1

                        """

                        cisco = 0

                        ietf = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Isis.ThreeWayHandshake.ImplementorEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:three-way-handshake'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.implementor is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Isis.ThreeWayHandshake']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.adjacency_filter is not None and self.adjacency_filter._has_data():
                        return True

                    if self.advertise is not None and self.advertise._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.circuit_type is not None and self.circuit_type._has_data():
                        return True

                    if self.csnp_interval is not None and self.csnp_interval._has_data():
                        return True

                    if self.hello is not None and self.hello._has_data():
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.hello_multiplier is not None and self.hello_multiplier._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    if self.lsp_interval is not None:
                        return True

                    if self.mesh_group is not None:
                        return True

                    if self.metric is not None and self.metric._has_data():
                        return True

                    if self.network is not None:
                        return True

                    if self.password is not None and self.password._has_data():
                        return True

                    if self.priority is not None and self.priority._has_data():
                        return True

                    if self.protocol is not None:
                        return True

                    if self.retransmit_interval is not None:
                        return True

                    if self.retransmit_throttle_interval is not None:
                        return True

                    if self.tag is not None:
                        return True

                    if self.three_way_handshake is not None and self.three_way_handshake._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                .. attribute:: echo
                
                	Use echo adjunct as bfd detection mechanism
                	**type**\:  bool
                
                .. attribute:: interval
                
                	Transmit interval between BFD packets
                	**type**\:   :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Bfd.Interval>`
                
                .. attribute:: template
                
                	BFD template
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.echo = None
                    self.interval = Native.Interface.Gigabitethernet.Bfd.Interval()
                    self.interval.parent = self
                    self.template = None


                class Interval(object):
                    """
                    Transmit interval between BFD packets
                    
                    .. attribute:: min_rx
                    
                    	Minimum receive interval capability
                    	**type**\:  int
                    
                    	**range:** 100..999
                    
                    .. attribute:: msecs
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 100..999
                    
                    .. attribute:: multiplier
                    
                    	Multiplier value used to compute holddown
                    	**type**\:  int
                    
                    	**range:** 3..50
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.min_rx = None
                        self.msecs = None
                        self.multiplier = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bfd:interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.min_rx is not None:
                            return True

                        if self.msecs is not None:
                            return True

                        if self.multiplier is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Bfd.Interval']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.echo is not None:
                        return True

                    if self.interval is not None and self.interval._has_data():
                        return True

                    if self.template is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.Gigabitethernet.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.Gigabitethernet.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                .. attribute:: accounting
                
                	Enable MPLS accounting on this interface
                	**type**\:   :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Mpls.Accounting>`
                
                .. attribute:: bgp
                
                	MPLS BGP
                	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Mpls.Bgp>`
                
                .. attribute:: ip
                
                	Configure dynamic MPLS forwarding for IP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: label
                
                	Label properties
                	**type**\:   :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Mpls.Label>`
                
                .. attribute:: ldp
                
                	Configure Label Distribution Protocol (LDP) parameters
                	**type**\:   :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Mpls.Ldp>`
                
                .. attribute:: mtu
                
                	Set MPLS Maximum Transmission Unit
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1501..1524
                
                
                ----
                	**type**\:  int
                
                	**range:** 64..1500
                
                
                ----
                	**type**\:  int
                
                	**range:** 64..9216
                
                
                ----
                .. attribute:: traffic_eng
                
                	Configure Traffic Engineering parameters
                	**type**\:   :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Mpls.TrafficEng>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.accounting = Native.Interface.Gigabitethernet.Mpls.Accounting()
                    self.accounting.parent = self
                    self.bgp = Native.Interface.Gigabitethernet.Mpls.Bgp()
                    self.bgp.parent = self
                    self.ip = None
                    self.label = Native.Interface.Gigabitethernet.Mpls.Label()
                    self.label.parent = self
                    self.ldp = Native.Interface.Gigabitethernet.Mpls.Ldp()
                    self.ldp.parent = self
                    self.mtu = None
                    self.traffic_eng = Native.Interface.Gigabitethernet.Mpls.TrafficEng()
                    self.traffic_eng.parent = self


                class Accounting(object):
                    """
                    Enable MPLS accounting on this interface
                    
                    .. attribute:: experimental
                    
                    	Count packets by MPLS experimental value on this interface
                    	**type**\:   :py:class:`Experimental <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Mpls.Accounting.Experimental>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.experimental = Native.Interface.Gigabitethernet.Mpls.Accounting.Experimental()
                        self.experimental.parent = self


                    class Experimental(object):
                        """
                        Count packets by MPLS experimental value on this interface
                        
                        .. attribute:: input
                        
                        	received packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	transmitted packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = None
                            self.output = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:experimental'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None:
                                return True

                            if self.output is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Mpls.Accounting.Experimental']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:accounting'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.experimental is not None and self.experimental._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Mpls.Accounting']['meta_info']


                class Bgp(object):
                    """
                    MPLS BGP
                    
                    .. attribute:: forwarding
                    
                    	Configure MPLS forwarding for directly connected BGP peers
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:bgp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Mpls.Bgp']['meta_info']


                class Label(object):
                    """
                    Label properties
                    
                    .. attribute:: protocol
                    
                    	Configure label/tag distribution protocol (LDP/TDP)
                    	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Mpls.Label.ProtocolEnum>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.protocol = None

                    class ProtocolEnum(Enum):
                        """
                        ProtocolEnum

                        Configure label/tag distribution protocol (LDP/TDP)

                        .. data:: both = 0

                        .. data:: ldp = 1

                        .. data:: tdp = 2

                        """

                        both = 0

                        ldp = 1

                        tdp = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Mpls.Label.ProtocolEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:label'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.protocol is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Mpls.Label']['meta_info']


                class Ldp(object):
                    """
                    Configure Label Distribution Protocol (LDP) parameters
                    
                    .. attribute:: discovery
                    
                    	Configure interface LDP Discovery parameters
                    	**type**\:   :py:class:`Discovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Mpls.Ldp.Discovery>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.discovery = Native.Interface.Gigabitethernet.Mpls.Ldp.Discovery()
                        self.discovery.parent = self


                    class Discovery(object):
                        """
                        Configure interface LDP Discovery parameters
                        
                        .. attribute:: transport_address
                        
                        	Specify interface LDP transport address
                        	**type**\: one of the below types:
                        
                        	**type**\:   :py:class:`LdpDiscoveryAddressTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_mpls.LdpDiscoveryAddressTypeEnum>`
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.transport_address = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:discovery'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.transport_address is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Mpls.Ldp.Discovery']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:ldp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.discovery is not None and self.discovery._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Mpls.Ldp']['meta_info']


                class TrafficEng(object):
                    """
                    Configure Traffic Engineering parameters
                    
                    .. attribute:: administrative_weight
                    
                    	Set the administrative weight for the interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: attribute_flags
                    
                    	Set user\-defined interface attibute flags
                    	**type**\:  str
                    
                    .. attribute:: backup_path
                    
                    	Configure an MPLS TE backup for this interface
                    	**type**\:  str
                    
                    .. attribute:: flooding
                    
                    	Set flooding parameters
                    	**type**\:   :py:class:`Flooding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Mpls.TrafficEng.Flooding>`
                    
                    .. attribute:: tunnels
                    
                    	enable MPLS Traffic Engineering tunnels
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.administrative_weight = None
                        self.attribute_flags = None
                        self.backup_path = None
                        self.flooding = Native.Interface.Gigabitethernet.Mpls.TrafficEng.Flooding()
                        self.flooding.parent = self
                        self.tunnels = None


                    class Flooding(object):
                        """
                        Set flooding parameters
                        
                        .. attribute:: thresholds
                        
                        	Set flooding thresholds
                        	**type**\:   :py:class:`Thresholds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Mpls.TrafficEng.Flooding.Thresholds>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.thresholds = Native.Interface.Gigabitethernet.Mpls.TrafficEng.Flooding.Thresholds()
                            self.thresholds.parent = self


                        class Thresholds(object):
                            """
                            Set flooding thresholds
                            
                            .. attribute:: down
                            
                            	Set the thresholds for decreased resource availability
                            	**type**\:  list of int
                            
                            	**range:** 0..100
                            
                            .. attribute:: up
                            
                            	Set the thresholds for increased resource availability
                            	**type**\:  list of int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.down = YLeafList()
                                self.down.parent = self
                                self.down.name = 'down'
                                self.up = YLeafList()
                                self.up.parent = self
                                self.up.name = 'up'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:thresholds'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.down is not None:
                                    for child in self.down:
                                        if child is not None:
                                            return True

                                if self.up is not None:
                                    for child in self.up:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Mpls.TrafficEng.Flooding.Thresholds']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:flooding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.thresholds is not None and self.thresholds._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Mpls.TrafficEng.Flooding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:traffic-eng'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.administrative_weight is not None:
                            return True

                        if self.attribute_flags is not None:
                            return True

                        if self.backup_path is not None:
                            return True

                        if self.flooding is not None and self.flooding._has_data():
                            return True

                        if self.tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Mpls.TrafficEng']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.accounting is not None and self.accounting._has_data():
                        return True

                    if self.bgp is not None and self.bgp._has_data():
                        return True

                    if self.ip is not None:
                        return True

                    if self.label is not None and self.label._has_data():
                        return True

                    if self.ldp is not None and self.ldp._has_data():
                        return True

                    if self.mtu is not None:
                        return True

                    if self.traffic_eng is not None and self.traffic_eng._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.Gigabitethernet.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.Gigabitethernet.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Flow>`
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.HoldTime>`
                
                .. attribute:: igmp
                
                	IGMP interface commands
                	**type**\:   :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Igmp>`
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol
                	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Lisp>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: nat
                
                	NAT interface commands
                	**type**\:   :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Nat>`
                
                .. attribute:: nbar
                
                	Network\-Based Application Recognition
                	**type**\:   :py:class:`Nbar <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Nbar>`
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.NoAddress>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:   :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Ospf>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: unreachables
                
                	Enable sending ICMP Unreachable messages
                	**type**\:  bool
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Vrf>`
                
                .. attribute:: wccp
                
                	WCCP IPv4 interface commands
                	**type**\:   :py:class:`Wccp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Wccp>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Gigabitethernet.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.Gigabitethernet.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.Gigabitethernet.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.Gigabitethernet.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.Gigabitethernet.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.flow = Native.Interface.Gigabitethernet.Ip.Flow()
                    self.flow.parent = self
                    self.hello_interval = Native.Interface.Gigabitethernet.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.Gigabitethernet.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.igmp = Native.Interface.Gigabitethernet.Ip.Igmp()
                    self.igmp.parent = self
                    self.lisp = Native.Interface.Gigabitethernet.Ip.Lisp()
                    self.lisp.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.nat = Native.Interface.Gigabitethernet.Ip.Nat()
                    self.nat.parent = self
                    self.nbar = Native.Interface.Gigabitethernet.Ip.Nbar()
                    self.nbar.parent = self
                    self.no_address = Native.Interface.Gigabitethernet.Ip.NoAddress()
                    self.no_address.parent = self
                    self.ospf = Native.Interface.Gigabitethernet.Ip.Ospf()
                    self.ospf.parent = self
                    self.pim = Native.Interface.Gigabitethernet.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.Gigabitethernet.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.Gigabitethernet.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.Gigabitethernet.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.Gigabitethernet.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.Gigabitethernet.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.unreachables = None
                    self.verify = Native.Interface.Gigabitethernet.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.Gigabitethernet.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.Gigabitethernet.Ip.Vrf()
                    self.vrf.parent = self
                    self.wccp = Native.Interface.Gigabitethernet.Ip.Wccp()
                    self.wccp.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.Gigabitethernet.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.Gigabitethernet.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Gigabitethernet.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Gigabitethernet.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Gigabitethernet.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Gigabitethernet.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.Gigabitethernet.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Gigabitethernet.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.Gigabitethernet.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.Gigabitethernet.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.Gigabitethernet.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Gigabitethernet.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Gigabitethernet.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    .. attribute:: accept_register
                    
                    	
                    	**type**\:   :py:class:`AcceptRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Pim.AcceptRegister>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM router DR priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: nbma_mode
                    
                    	Enable PIM nbma\-mode operation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: query_interval
                    
                    	PIM router query interval
                    	**type**\:   :py:class:`QueryInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Pim.QueryInterval>`
                    
                    .. attribute:: sparse_mode
                    
                    	
                    	**type**\:   :py:class:`SparseModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Pim.SparseModeEnum>`
                    
                    .. attribute:: spt_threshold
                    
                    	
                    	**type**\:   :py:class:`SptThresholdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Pim.SptThresholdEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.accept_register = Native.Interface.Gigabitethernet.Ip.Pim.AcceptRegister()
                        self.accept_register.parent = self
                        self.dr_priority = None
                        self.nbma_mode = None
                        self.query_interval = Native.Interface.Gigabitethernet.Ip.Pim.QueryInterval()
                        self.query_interval.parent = self
                        self.sparse_mode = None
                        self.spt_threshold = None

                    class SparseModeEnum(Enum):
                        """
                        SparseModeEnum

                        .. data:: sparse_dense_mode = 0

                        .. data:: sparse_mode = 1

                        """

                        sparse_dense_mode = 0

                        sparse_mode = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Pim.SparseModeEnum']


                    class SptThresholdEnum(Enum):
                        """
                        SptThresholdEnum

                        .. data:: infinity = 0

                        """

                        infinity = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Pim.SptThresholdEnum']



                    class AcceptRegister(object):
                        """
                        
                        
                        .. attribute:: list
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.list = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:accept-register'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Pim.AcceptRegister']['meta_info']


                    class QueryInterval(object):
                        """
                        PIM router query interval
                        
                        .. attribute:: milliseconds_interval
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 100..65535
                        
                        .. attribute:: msec
                        
                        	Query interval in milliseconds
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        .. attribute:: seconds_interval
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..18725
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.milliseconds_interval = None
                            self.msec = None
                            self.seconds_interval = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:query-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.milliseconds_interval is not None:
                                return True

                            if self.msec is not None:
                                return True

                            if self.seconds_interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Pim.QueryInterval']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.accept_register is not None and self.accept_register._has_data():
                            return True

                        if self.dr_priority is not None:
                            return True

                        if self.nbma_mode is not None:
                            return True

                        if self.query_interval is not None and self.query_interval._has_data():
                            return True

                        if self.sparse_mode is not None:
                            return True

                        if self.spt_threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    .. attribute:: client
                    
                    	DHCP client configuration
                    	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Dhcp.Client>`
                    
                    .. attribute:: relay
                    
                    	DHCP relay configuration parameters
                    	**type**\:   :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Dhcp.Relay>`
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.client = Native.Interface.Gigabitethernet.Ip.Dhcp.Client()
                        self.client.parent = self
                        self.relay = Native.Interface.Gigabitethernet.Ip.Dhcp.Relay()
                        self.relay.parent = self
                        self.snooping = Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping()
                        self.snooping.parent = self


                    class Client(object):
                        """
                        DHCP client configuration
                        
                        .. attribute:: hostname
                        
                        	Specify hostname to use
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hostname = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:client'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Client']['meta_info']


                    class Relay(object):
                        """
                        DHCP relay configuration parameters
                        
                        .. attribute:: information
                        
                        	DHCP relay information option
                        	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information>`
                        
                        .. attribute:: source_interface
                        
                        	Set source interface for relayed messages
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.information = Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information()
                            self.information.parent = self
                            self.source_interface = None


                        class Information(object):
                            """
                            DHCP relay information option
                            
                            .. attribute:: check_reply
                            
                            	Validate relay information in BOOTREPLY
                            	**type**\:   :py:class:`CheckReply <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.CheckReply>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: option
                            
                            	DHCP relay information option
                            	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.Option>`
                            
                            .. attribute:: option_insert
                            
                            	Insert relay information in BOOTREQUEST
                            	**type**\:   :py:class:`OptionInsert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.OptionInsert>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: policy_action
                            
                            	Define reforwarding policy
                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.PolicyActionEnum>`
                            
                            .. attribute:: trusted
                            
                            	Received DHCP packet may contain relay info option with zero giaddr
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.check_reply = None
                                self.option = Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.Option()
                                self.option.parent = self
                                self.option_insert = None
                                self.policy_action = None
                                self.trusted = None

                            class PolicyActionEnum(Enum):
                                """
                                PolicyActionEnum

                                Define reforwarding policy

                                .. data:: drop = 0

                                .. data:: encapsulate = 1

                                .. data:: keep = 2

                                .. data:: replace = 3

                                """

                                drop = 0

                                encapsulate = 1

                                keep = 2

                                replace = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.PolicyActionEnum']



                            class CheckReply(object):
                                """
                                Validate relay information in BOOTREPLY
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.none = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:check-reply'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.none is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.CheckReply']['meta_info']


                            class Option(object):
                                """
                                DHCP relay information option
                                
                                .. attribute:: subscriber_id
                                
                                	Subscriber identifier sub option
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.subscriber_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.subscriber_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.Option']['meta_info']


                            class OptionInsert(object):
                                """
                                Insert relay information in BOOTREQUEST
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.none = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option-insert'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.none is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information.OptionInsert']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.check_reply is not None and self.check_reply._has_data():
                                    return True

                                if self.option is not None and self.option._has_data():
                                    return True

                                if self.option_insert is not None and self.option_insert._has_data():
                                    return True

                                if self.policy_action is not None:
                                    return True

                                if self.trusted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Relay.Information']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:relay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.information is not None and self.information._has_data():
                                return True

                            if self.source_interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Relay']['meta_info']


                    class Snooping(object):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Limit>`
                        
                        .. attribute:: trust
                        
                        	DHCP Snooping trust config
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	DHCP Snooping vlan
                        	**type**\: list of    :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self.trust = None
                            self.vlan = YList()
                            self.vlan.parent = self
                            self.vlan.name = 'vlan'


                        class Limit(object):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP Snooping limit
                            	**type**\:  int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Limit']['meta_info']


                        class Vlan(object):
                            """
                            DHCP Snooping vlan
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            .. attribute:: information
                            
                            	DHCP Snooping information
                            	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.information = Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information()
                                self.information.parent = self


                            class Information(object):
                                """
                                DHCP Snooping information
                                
                                .. attribute:: option
                                
                                	DHCP Snooping information option
                                	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option>`
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.option = Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option()
                                    self.option.parent = self


                                class Option(object):
                                    """
                                    DHCP Snooping information option
                                    
                                    .. attribute:: format_type
                                    
                                    	Option 82 information format
                                    	**type**\:   :py:class:`FormatType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-dhcp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.format_type = Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType()
                                        self.format_type.parent = self


                                    class FormatType(object):
                                        """
                                        Option 82 information format
                                        
                                        .. attribute:: circuit_id
                                        
                                        	Circuit id option 82 format
                                        	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId>`
                                        
                                        

                                        """

                                        _prefix = 'ios-dhcp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.circuit_id = Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId()
                                            self.circuit_id.parent = self


                                        class CircuitId(object):
                                            """
                                            Circuit id option 82 format
                                            
                                            .. attribute:: string
                                            
                                            	User defined string for circuit id
                                            	**type**\:  str
                                            
                                            	**length:** 3..63
                                            
                                            

                                            """

                                            _prefix = 'ios-dhcp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.string = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:circuit-id'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.string is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:format-type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.circuit_id is not None and self.circuit_id._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.format_type is not None and self.format_type._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:information'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.option is not None and self.option._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan.Information']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:vlan[Cisco-IOS-XE-dhcp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.information is not None and self.information._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:snooping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            if self.vlan is not None:
                                for child_ref in self.vlan:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp.Snooping']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.client is not None and self.client._has_data():
                            return True

                        if self.relay is not None and self.relay._has_data():
                            return True

                        if self.snooping is not None and self.snooping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.Gigabitethernet.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.Gigabitethernet.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.Gigabitethernet.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Verify']['meta_info']


                class Flow(object):
                    """
                    NetFlow related commands
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of    :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.egress = None
                        self.ingress = None
                        self.monitor = YList()
                        self.monitor.parent = self
                        self.monitor.name = 'monitor'


                    class Monitor(object):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\:  str
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of    :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Flow.Monitor.Sampler>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.input = None
                            self.multicast = None
                            self.output = None
                            self.sampler = YList()
                            self.sampler.parent = self
                            self.sampler.name = 'sampler'
                            self.unicast = None


                        class Sampler(object):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Flow.Monitor.Sampler.DirectionEnum>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.direction = None
                                self.name = None

                            class DirectionEnum(Enum):
                                """
                                DirectionEnum

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = 0

                                output = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Flow.Monitor.Sampler.DirectionEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.direction is None:
                                    raise YPYModelError('Key property direction is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:sampler[Cisco-IOS-XE-flow:direction = ' + str(self.direction) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.direction is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Flow.Monitor.Sampler']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:monitor[Cisco-IOS-XE-flow:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.input is not None:
                                return True

                            if self.multicast is not None:
                                return True

                            if self.output is not None:
                                return True

                            if self.sampler is not None:
                                for child_ref in self.sampler:
                                    if child_ref._has_data():
                                        return True

                            if self.unicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Flow.Monitor']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.egress is not None:
                            return True

                        if self.ingress is not None:
                            return True

                        if self.monitor is not None:
                            for child_ref in self.monitor:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Flow']['meta_info']


                class Igmp(object):
                    """
                    IGMP interface commands
                    
                    .. attribute:: join_group
                    
                    	IGMP join multicast group
                    	**type**\: list of    :py:class:`JoinGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Igmp.JoinGroup>`
                    
                    .. attribute:: static_group
                    
                    	IGMP static multicast group
                    	**type**\:   :py:class:`StaticGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup>`
                    
                    .. attribute:: version
                    
                    	IGMP version
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.join_group = YList()
                        self.join_group.parent = self
                        self.join_group.name = 'join_group'
                        self.static_group = Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup()
                        self.static_group.parent = self
                        self.version = None


                    class StaticGroup(object):
                        """
                        IGMP static multicast group
                        
                        .. attribute:: class_map
                        
                        	Class map of type multicast\-flows
                        	**type**\: list of    :py:class:`ClassMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup.ClassMap>`
                        
                        .. attribute:: groups
                        
                        	
                        	**type**\: list of    :py:class:`Groups <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup.Groups>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.class_map = YList()
                            self.class_map.parent = self
                            self.class_map.name = 'class_map'
                            self.groups = YList()
                            self.groups.parent = self
                            self.groups.name = 'groups'


                        class Groups(object):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:   :py:class:`NameEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            class NameEnum(Enum):
                                """
                                NameEnum

                                .. data:: Y__STAR__ = 0

                                """

                                Y__STAR__ = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup.Groups.NameEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-igmp:groups[Cisco-IOS-XE-igmp:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup.Groups']['meta_info']


                        class ClassMap(object):
                            """
                            Class map of type multicast\-flows
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-igmp:class-map[Cisco-IOS-XE-igmp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup.ClassMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-igmp:static-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.class_map is not None:
                                for child_ref in self.class_map:
                                    if child_ref._has_data():
                                        return True

                            if self.groups is not None:
                                for child_ref in self.groups:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Igmp.StaticGroup']['meta_info']


                    class JoinGroup(object):
                        """
                        IGMP join multicast group
                        
                        .. attribute:: ip_group_address  <key>
                        
                        	IP group address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source
                        
                        	IP source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip_group_address = None
                            self.source = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ip_group_address is None:
                                raise YPYModelError('Key property ip_group_address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-igmp:join-group[Cisco-IOS-XE-igmp:ip-group-address = ' + str(self.ip_group_address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip_group_address is not None:
                                return True

                            if self.source is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Igmp.JoinGroup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-igmp:igmp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.join_group is not None:
                            for child_ref in self.join_group:
                                if child_ref._has_data():
                                    return True

                        if self.static_group is not None and self.static_group._has_data():
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Igmp']['meta_info']


                class Lisp(object):
                    """
                    Locator/ID Separation Protocol
                    
                    .. attribute:: source_locator
                    
                    	Choose IP source address for LISP packets egressing this interface
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source_locator = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source_locator is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Lisp']['meta_info']


                class Nat(object):
                    """
                    NAT interface commands
                    
                    .. attribute:: allow_static_host
                    
                    	Allow static\-ip clients
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Enable Address Translation (NVI)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: inside
                    
                    	Inside interface for address translation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: outside
                    
                    	Outside interface for address translation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-nat'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.allow_static_host = None
                        self.enable = None
                        self.inside = None
                        self.outside = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-nat:nat'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.allow_static_host is not None:
                            return True

                        if self.enable is not None:
                            return True

                        if self.inside is not None:
                            return True

                        if self.outside is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Nat']['meta_info']


                class Nbar(object):
                    """
                    Network\-Based Application Recognition
                    
                    .. attribute:: protocol_discovery
                    
                    	Enable protocol discovery for both ipv4 and ipv6
                    	**type**\:   :py:class:`ProtocolDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Nbar.ProtocolDiscovery>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.protocol_discovery = None


                    class ProtocolDiscovery(object):
                        """
                        Enable protocol discovery for both ipv4 and ipv6
                        
                        .. attribute:: ipv4_ipv6
                        
                        	
                        	**type**\:   :py:class:`Ipv4Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-nbar'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ipv4_ipv6 = None

                        class Ipv4Ipv6Enum(Enum):
                            """
                            Ipv4Ipv6Enum

                            .. data:: ipv4 = 0

                            .. data:: ipv6 = 1

                            """

                            ipv4 = 0

                            ipv6 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nbar:protocol-discovery'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ipv4_ipv6 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Nbar.ProtocolDiscovery']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-nbar:nbar'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.protocol_discovery is not None and self.protocol_discovery._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Nbar']['meta_info']


                class Ospf(object):
                    """
                    OSPF interface commands
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Ospf.Authentication>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: authentication_key
                    
                    	Set authentication key
                    	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Ospf.AuthenticationKey>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:   :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Ospf.DeadInterval>`
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF Demand Circuit
                    	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: fast_reroute
                    
                    	LFA FastReroute parameters
                    	**type**\:   :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: lls
                    
                    	Link\-local Signaling (LLS) support
                    	**type**\:   :py:class:`Lls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Ospf.Lls>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: message_digest_key
                    
                    	Set message digest key
                    	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Ospf.MessageDigestKey>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Ospf.MultiArea>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:   :py:class:`NetworkEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Ospf.NetworkEnum>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Ospf.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: process_id
                    
                    	
                    	**type**\: list of    :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Ospf.ProcessId>`
                    
                    .. attribute:: resync_timeout
                    
                    	Interval after which adjacency is reset if oob\-resync is not started
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Set OSPF protocol's state to disable under current interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ttl_security
                    
                    	TTL security check
                    	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Ospf.TtlSecurity>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authentication = None
                        self.authentication_key = Native.Interface.Gigabitethernet.Ip.Ospf.AuthenticationKey()
                        self.authentication_key.parent = self
                        self.bfd = None
                        self.cost = None
                        self.database_filter = Native.Interface.Gigabitethernet.Ip.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self.dead_interval = Native.Interface.Gigabitethernet.Ip.Ospf.DeadInterval()
                        self.dead_interval.parent = self
                        self.demand_circuit = None
                        self.fast_reroute = Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute()
                        self.fast_reroute.parent = self
                        self.flood_reduction = None
                        self.hello_interval = None
                        self.lls = None
                        self.message_digest_key = YList()
                        self.message_digest_key.parent = self
                        self.message_digest_key.name = 'message_digest_key'
                        self.mtu_ignore = None
                        self.multi_area = Native.Interface.Gigabitethernet.Ip.Ospf.MultiArea()
                        self.multi_area.parent = self
                        self.network = None
                        self.prefix_suppression = None
                        self.priority = None
                        self.process_id = YList()
                        self.process_id.parent = self
                        self.process_id.name = 'process_id'
                        self.resync_timeout = None
                        self.retransmit_interval = None
                        self.shutdown = None
                        self.transmit_delay = None
                        self.ttl_security = None

                    class NetworkEnum(Enum):
                        """
                        NetworkEnum

                        Network type

                        .. data:: broadcast = 0

                        .. data:: non_broadcast = 1

                        .. data:: point_to_multipoint = 2

                        .. data:: point_to_point = 3

                        """

                        broadcast = 0

                        non_broadcast = 1

                        point_to_multipoint = 2

                        point_to_point = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.NetworkEnum']



                    class ProcessId(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: area
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: none
                        
                        	Do not include secondary IP addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secondaries
                        
                        	Include or exclude secondary IP addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.area = None
                            self.none = None
                            self.secondaries = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:process-id[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.area is not None:
                                return True

                            if self.none is not None:
                                return True

                            if self.secondaries is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.ProcessId']['meta_info']


                    class Authentication(object):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Ospf.Authentication.KeyChain>`
                        
                        .. attribute:: message_digest
                        
                        	Use message\-digest authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.key_chain = Native.Interface.Gigabitethernet.Ip.Ospf.Authentication.KeyChain()
                            self.key_chain.parent = self
                            self.message_digest = None
                            self.null = None


                        class KeyChain(object):
                            """
                            Use a key\-chain for cryptographic authentication keys
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-chain'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.Authentication.KeyChain']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.key_chain is not None and self.key_chain._has_data():
                                return True

                            if self.message_digest is not None:
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.Authentication']['meta_info']


                    class AuthenticationKey(object):
                        """
                        Set authentication key
                        
                        .. attribute:: auth_key
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: auth_type
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.auth_key = None
                            self.auth_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication-key'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.auth_key is not None:
                                return True

                            if self.auth_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.AuthenticationKey']['meta_info']


                    class Bfd(object):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.Bfd']['meta_info']


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Outgoing LSA
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.out = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.out is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.DatabaseFilter']['meta_info']


                    class DeadInterval(object):
                        """
                        Interval after which a neighbor is declared dead
                        
                        .. attribute:: minimal
                        
                        	Set to 1 second
                        	**type**\:   :py:class:`Minimal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Ospf.DeadInterval.Minimal>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.minimal = Native.Interface.Gigabitethernet.Ip.Ospf.DeadInterval.Minimal()
                            self.minimal.parent = self
                            self.value = None


                        class Minimal(object):
                            """
                            Set to 1 second
                            
                            .. attribute:: hello_multiplier
                            
                            	Set multiplier for Hellos
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hello_multiplier = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:minimal'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hello_multiplier is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.DeadInterval.Minimal']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:dead-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.minimal is not None and self.minimal._has_data():
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.DeadInterval']['meta_info']


                    class DemandCircuit(object):
                        """
                        OSPF Demand Circuit
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:demand-circuit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.DemandCircuit']['meta_info']


                    class FastReroute(object):
                        """
                        LFA FastReroute parameters
                        
                        .. attribute:: per_prefix
                        
                        	Per\-prefix LFA FRR parameters
                        	**type**\:   :py:class:`PerPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute.PerPrefix>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.per_prefix = Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute.PerPrefix()
                            self.per_prefix.parent = self


                        class PerPrefix(object):
                            """
                            Per\-prefix LFA FRR parameters
                            
                            .. attribute:: candidate
                            
                            	If interface can be protecting
                            	**type**\:   :py:class:`Candidate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Candidate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: protection
                            
                            	If interface can be protected
                            	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Protection>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.candidate = None
                                self.protection = None


                            class Candidate(object):
                                """
                                If interface can be protecting
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:candidate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Candidate']['meta_info']


                            class Protection(object):
                                """
                                If interface can be protected
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:protection'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Protection']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:per-prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.candidate is not None and self.candidate._has_data():
                                    return True

                                if self.protection is not None and self.protection._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute.PerPrefix']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:fast-reroute'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.per_prefix is not None and self.per_prefix._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.FastReroute']['meta_info']


                    class Lls(object):
                        """
                        Link\-local Signaling (LLS) support
                        
                        .. attribute:: disable
                        
                        	disable LLS
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:lls'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.Lls']['meta_info']


                    class MessageDigestKey(object):
                        """
                        Set message digest key
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: md5
                        
                        	Use MD5 algorithm
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Ospf.MessageDigestKey.Md5>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.md5 = Native.Interface.Gigabitethernet.Ip.Ospf.MessageDigestKey.Md5()
                            self.md5.parent = self


                        class Md5(object):
                            """
                            Use MD5 algorithm
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.auth_key = None
                                self.auth_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.auth_key is not None:
                                    return True

                                if self.auth_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.MessageDigestKey.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:message-digest-key[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.md5 is not None and self.md5._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.MessageDigestKey']['meta_info']


                    class MultiArea(object):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cost = None
                            self.id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:multi-area'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cost is not None:
                                return True

                            if self.id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.MultiArea']['meta_info']


                    class PrefixSuppression(object):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:prefix-suppression'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.PrefixSuppression']['meta_info']


                    class TtlSecurity(object):
                        """
                        TTL security check
                        
                        .. attribute:: diable
                        
                        	disable TTL security check
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hops
                        
                        	IP hops
                        	**type**\:  int
                        
                        	**range:** 1..254
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.diable = None
                            self.hops = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:ttl-security'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.diable is not None:
                                return True

                            if self.hops is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Ospf.TtlSecurity']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ospf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.authentication_key is not None and self.authentication_key._has_data():
                            return True

                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        if self.cost is not None:
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.dead_interval is not None and self.dead_interval._has_data():
                            return True

                        if self.demand_circuit is not None and self.demand_circuit._has_data():
                            return True

                        if self.fast_reroute is not None and self.fast_reroute._has_data():
                            return True

                        if self.flood_reduction is not None:
                            return True

                        if self.hello_interval is not None:
                            return True

                        if self.lls is not None and self.lls._has_data():
                            return True

                        if self.message_digest_key is not None:
                            for child_ref in self.message_digest_key:
                                if child_ref._has_data():
                                    return True

                        if self.mtu_ignore is not None:
                            return True

                        if self.multi_area is not None and self.multi_area._has_data():
                            return True

                        if self.network is not None:
                            return True

                        if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.process_id is not None:
                            for child_ref in self.process_id:
                                if child_ref._has_data():
                                    return True

                        if self.resync_timeout is not None:
                            return True

                        if self.retransmit_interval is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.transmit_delay is not None:
                            return True

                        if self.ttl_security is not None and self.ttl_security._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Ospf']['meta_info']


                class Wccp(object):
                    """
                    WCCP IPv4 interface commands
                    
                    .. attribute:: redirect
                    
                    	Set packet redirection options
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Wccp.Redirect>`
                    
                    .. attribute:: vrf
                    
                    	Configure WCCP for a VRF
                    	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Wccp.Vrf>`
                    
                    .. attribute:: wccp_list
                    
                    	
                    	**type**\: list of    :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Wccp.WccpList>`
                    
                    .. attribute:: web_cache
                    
                    	Standard web caching service
                    	**type**\:   :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Wccp.WebCache>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.redirect = Native.Interface.Gigabitethernet.Ip.Wccp.Redirect()
                        self.redirect.parent = self
                        self.vrf = YList()
                        self.vrf.parent = self
                        self.vrf.name = 'vrf'
                        self.wccp_list = YList()
                        self.wccp_list.parent = self
                        self.wccp_list.name = 'wccp_list'
                        self.web_cache = Native.Interface.Gigabitethernet.Ip.Wccp.WebCache()
                        self.web_cache.parent = self


                    class WccpList(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..254
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Wccp.WccpList.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.group_listen = None
                            self.redirect = Native.Interface.Gigabitethernet.Ip.Wccp.WccpList.Redirect()
                            self.redirect.parent = self


                        class Redirect(object):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.WccpList.Redirect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp-list[Cisco-IOS-XE-wccp:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.group_listen is not None:
                                return True

                            if self.redirect is not None and self.redirect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.WccpList']['meta_info']


                    class WebCache(object):
                        """
                        Standard web caching service
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Wccp.WebCache.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.group_listen = None
                            self.redirect = Native.Interface.Gigabitethernet.Ip.Wccp.WebCache.Redirect()
                            self.redirect.parent = self


                        class Redirect(object):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.WebCache.Redirect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:web-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.group_listen is not None:
                                return True

                            if self.redirect is not None and self.redirect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.WebCache']['meta_info']


                    class Redirect(object):
                        """
                        Set packet redirection options
                        
                        .. attribute:: exclude
                        
                        	Exclude packets from redirection
                        	**type**\:   :py:class:`Exclude <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Wccp.Redirect.Exclude>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.exclude = Native.Interface.Gigabitethernet.Ip.Wccp.Redirect.Exclude()
                            self.exclude.parent = self


                        class Exclude(object):
                            """
                            Exclude packets from redirection
                            
                            .. attribute:: in_
                            
                            	Exclude inbound packets from outbound redirection
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:exclude'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.Redirect.Exclude']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.exclude is not None and self.exclude._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.Redirect']['meta_info']


                    class Vrf(object):
                        """
                        Configure WCCP for a VRF
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: wccp_list
                        
                        	
                        	**type**\: list of    :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WccpList>`
                        
                        .. attribute:: web_cache
                        
                        	Standard web caching service
                        	**type**\:   :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WebCache>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.wccp_list = YList()
                            self.wccp_list.parent = self
                            self.wccp_list.name = 'wccp_list'
                            self.web_cache = Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WebCache()
                            self.web_cache.parent = self


                        class WccpList(object):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..254
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WccpList.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.group_listen = None
                                self.redirect = Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WccpList.Redirect()
                                self.redirect.parent = self


                            class Redirect(object):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WccpList.Redirect']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp-list[Cisco-IOS-XE-wccp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.group_listen is not None:
                                    return True

                                if self.redirect is not None and self.redirect._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WccpList']['meta_info']


                        class WebCache(object):
                            """
                            Standard web caching service
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WebCache.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group_listen = None
                                self.redirect = Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WebCache.Redirect()
                                self.redirect.parent = self


                            class Redirect(object):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WebCache.Redirect']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:web-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group_listen is not None:
                                    return True

                                if self.redirect is not None and self.redirect._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.Vrf.WebCache']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:vrf[Cisco-IOS-XE-wccp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.wccp_list is not None:
                                for child_ref in self.wccp_list:
                                    if child_ref._has_data():
                                        return True

                            if self.web_cache is not None and self.web_cache._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Wccp.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.vrf is not None:
                            for child_ref in self.vrf:
                                if child_ref._has_data():
                                    return True

                        if self.wccp_list is not None:
                            for child_ref in self.wccp_list:
                                if child_ref._has_data():
                                    return True

                        if self.web_cache is not None and self.web_cache._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ip.Wccp']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.flow is not None and self.flow._has_data():
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.igmp is not None and self.igmp._has_data():
                        return True

                    if self.lisp is not None and self.lisp._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nat is not None and self.nat._has_data():
                        return True

                    if self.nbar is not None and self.nbar._has_data():
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.ospf is not None and self.ospf._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.unreachables is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    if self.wccp is not None and self.wccp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Flow>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Nd>`
                
                .. attribute:: no_pim
                
                	
                	**type**\:   :py:class:`NoPim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.NoPim>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:   :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Pim>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: rip
                
                	Configure RIP routing protocol
                	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Rip>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.TrafficFilter>`
                
                .. attribute:: unreachables
                
                	Enable sending ICMP Unreachable messages
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.Gigabitethernet.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.Gigabitethernet.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.flow = Native.Interface.Gigabitethernet.Ipv6.Flow()
                    self.flow.parent = self
                    self.mtu = None
                    self.nd = Native.Interface.Gigabitethernet.Ipv6.Nd()
                    self.nd.parent = self
                    self.no_pim = Native.Interface.Gigabitethernet.Ipv6.NoPim()
                    self.no_pim.parent = self
                    self.ospf = Native.Interface.Gigabitethernet.Ipv6.Ospf()
                    self.ospf.parent = self
                    self.pim = Native.Interface.Gigabitethernet.Ipv6.Pim()
                    self.pim.parent = self
                    self.redirects = None
                    self.rip = YList()
                    self.rip.parent = self
                    self.rip.name = 'rip'
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'
                    self.unreachables = None


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    .. attribute:: guard
                    
                    	Configure IPv6 DHCP guard on the interface
                    	**type**\:   :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Dhcp.Guard>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: server
                    
                    	Act as an IPv6 DHCP server
                    	**type**\: list of    :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Dhcp.Server>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.guard = None
                        self.server = YList()
                        self.server.parent = self
                        self.server.name = 'server'


                    class Server(object):
                        """
                        Act as an IPv6 DHCP server
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: preference
                        
                        	Preference
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.word = None
                            self.preference = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.word is None:
                                raise YPYModelError('Key property word is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:server[Cisco-IOS-XE-dhcp:word = ' + str(self.word) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.word is not None:
                                return True

                            if self.preference is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Dhcp.Server']['meta_info']


                    class Guard(object):
                        """
                        Configure IPv6 DHCP guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature DHCP Guard
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.attach_policy = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:guard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.attach_policy is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Dhcp.Guard']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.guard is not None and self.guard._has_data():
                            return True

                        if self.server is not None:
                            for child_ref in self.server:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Nd.Autoconfig>`
                    
                    .. attribute:: managed_config_flag
                    
                    	Use DHCP for IPv6 address configuration
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ra
                    
                    	IPv6 nd router alert configuration
                    	**type**\:   :py:class:`Ra <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Nd.Ra>`
                    
                    .. attribute:: raguard
                    
                    	Configure RA guard on the interface
                    	**type**\:   :py:class:`Raguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Nd.Raguard>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = Native.Interface.Gigabitethernet.Ipv6.Nd.Autoconfig()
                        self.autoconfig.parent = self
                        self.managed_config_flag = None
                        self.ra = Native.Interface.Gigabitethernet.Ipv6.Nd.Ra()
                        self.ra.parent = self
                        self.raguard = Native.Interface.Gigabitethernet.Ipv6.Nd.Raguard()
                        self.raguard.parent = self


                    class Raguard(object):
                        """
                        Configure RA guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature RA guard
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.attach_policy = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:raguard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.attach_policy is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Nd.Raguard']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default_route
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefix
                        
                        	Insert auto\-configured prefix
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.default_route = None
                            self.prefix = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.default_route is not None:
                                return True

                            if self.prefix is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Nd.Autoconfig']['meta_info']


                    class Ra(object):
                        """
                        IPv6 nd router alert configuration
                        
                        .. attribute:: suppress
                        
                        	Suppress IPv6 router\-alert configuration
                        	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Nd.Ra.Suppress>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.suppress = None


                        class Suppress(object):
                            """
                            Suppress IPv6 router\-alert configuration
                            
                            .. attribute:: all
                            
                            	Suppress all IPv6 RA
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-nd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.all = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-nd:suppress'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.all is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Nd.Ra.Suppress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:ra'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.suppress is not None and self.suppress._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Nd.Ra']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.managed_config_flag is not None:
                            return True

                        if self.ra is not None and self.ra._has_data():
                            return True

                        if self.raguard is not None and self.raguard._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.TrafficFilter']['meta_info']


                class Flow(object):
                    """
                    NetFlow related commands
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of    :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.egress = None
                        self.ingress = None
                        self.monitor = YList()
                        self.monitor.parent = self
                        self.monitor.name = 'monitor'


                    class Monitor(object):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\:  str
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of    :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Flow.Monitor.Sampler>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.input = None
                            self.multicast = None
                            self.output = None
                            self.sampler = YList()
                            self.sampler.parent = self
                            self.sampler.name = 'sampler'
                            self.unicast = None


                        class Sampler(object):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Flow.Monitor.Sampler.DirectionEnum>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.direction = None
                                self.name = None

                            class DirectionEnum(Enum):
                                """
                                DirectionEnum

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = 0

                                output = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Flow.Monitor.Sampler.DirectionEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.direction is None:
                                    raise YPYModelError('Key property direction is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:sampler[Cisco-IOS-XE-flow:direction = ' + str(self.direction) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.direction is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Flow.Monitor.Sampler']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:monitor[Cisco-IOS-XE-flow:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.input is not None:
                                return True

                            if self.multicast is not None:
                                return True

                            if self.output is not None:
                                return True

                            if self.sampler is not None:
                                for child_ref in self.sampler:
                                    if child_ref._has_data():
                                        return True

                            if self.unicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Flow.Monitor']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.egress is not None:
                            return True

                        if self.ingress is not None:
                            return True

                        if self.monitor is not None:
                            for child_ref in self.monitor:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Flow']['meta_info']


                class NoPim(object):
                    """
                    
                    
                    .. attribute:: pim
                    
                    	PIM interface commands
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.pim = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:no-pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.pim is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.NoPim']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    .. attribute:: bfd
                    
                    	Configure BFD
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bsr
                    
                    	Configure BSR
                    	**type**\:   :py:class:`Bsr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Pim.Bsr>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM Hello DR priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bfd = None
                        self.bsr = Native.Interface.Gigabitethernet.Ipv6.Pim.Bsr()
                        self.bsr.parent = self
                        self.dr_priority = None


                    class Bsr(object):
                        """
                        Configure BSR
                        
                        .. attribute:: border
                        
                        	Border of PIM BSR domain
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.border = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:bsr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.border is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Pim.Bsr']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bfd is not None:
                            return True

                        if self.bsr is not None and self.bsr._has_data():
                            return True

                        if self.dr_priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Pim']['meta_info']


                class Ospf(object):
                    """
                    OSPF interface commands
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: encryption
                    
                    	Enable encryption
                    	**type**\:   :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Network>`
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: process
                    
                    	
                    	**type**\: list of    :py:class:`Process <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Process>`
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authentication = Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication()
                        self.authentication.parent = self
                        self.bfd = None
                        self.cost = None
                        self.database_filter = Native.Interface.Gigabitethernet.Ipv6.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self.dead_interval = None
                        self.demand_circuit = None
                        self.encryption = Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption()
                        self.encryption.parent = self
                        self.flood_reduction = None
                        self.hello_interval = None
                        self.mtu_ignore = None
                        self.neighbor = YList()
                        self.neighbor.parent = self
                        self.neighbor.name = 'neighbor'
                        self.network = Native.Interface.Gigabitethernet.Ipv6.Ospf.Network()
                        self.network.parent = self
                        self.priority = None
                        self.process = YList()
                        self.process.parent = self
                        self.process.name = 'process'
                        self.retransmit_interval = None
                        self.shutdown = None
                        self.transmit_delay = None


                    class Process(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: instance
                        
                        	Set the OSPF instance
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..31
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 32..255
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.area = None
                            self.instance = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:process[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.area is not None:
                                return True

                            if self.instance is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Process']['meta_info']


                    class Authentication(object):
                        """
                        Enable authentication
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec authentication
                        	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec>`
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipsec = Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec()
                            self.ipsec.parent = self
                            self.null = None


                        class Ipsec(object):
                            """
                            Use IPsec authentication
                            
                            .. attribute:: md5
                            
                            	Use MD5 authentication
                            	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5>`
                            
                            .. attribute:: sha1
                            
                            	Use SHA\-1 authentication
                            	**type**\:   :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1>`
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\:  int
                            
                            	**range:** 256..4294967295
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.md5 = Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5()
                                self.md5.parent = self
                                self.sha1 = Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1()
                                self.sha1.parent = self
                                self.spi = None


                            class Md5(object):
                                """
                                Use MD5 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:md5'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5']['meta_info']


                            class Sha1(object):
                                """
                                Use SHA\-1 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:sha1'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipsec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.md5 is not None and self.md5._has_data():
                                    return True

                                if self.sha1 is not None and self.sha1._has_data():
                                    return True

                                if self.spi is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication.Ipsec']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipsec is not None and self.ipsec._has_data():
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Authentication']['meta_info']


                    class Bfd(object):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Bfd']['meta_info']


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.DatabaseFilter.AllEnum>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.disable = None

                        class AllEnum(Enum):
                            """
                            AllEnum

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.DatabaseFilter.AllEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.DatabaseFilter']['meta_info']


                    class DemandCircuit(object):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None
                            self.ignore = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:demand-circuit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.DemandCircuit']['meta_info']


                    class Encryption(object):
                        """
                        Enable encryption
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec encryption
                        	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec>`
                        
                        .. attribute:: null
                        
                        	No IPsec encryption on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipsec = Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec()
                            self.ipsec.parent = self
                            self.null = None


                        class Ipsec(object):
                            """
                            Use IPsec encryption
                            
                            .. attribute:: aes_cbc
                            
                            	Use AES\-CBC encryption
                            	**type**\:   :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc>`
                            
                            .. attribute:: esp
                            
                            	Use ESP encapsulation
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipsec_3des
                            
                            	Use 3DES encryption
                            	**type**\:   :py:class:`Ipsec_3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des>`
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aes_cbc = Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc()
                                self.aes_cbc.parent = self
                                self.esp = None
                                self.ipsec_3des = Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des()
                                self.ipsec_3des.parent = self
                                self.spi = None


                            class Ipsec_3Des(object):
                                """
                                Use 3DES encryption
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipsec_3des'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des']['meta_info']


                            class AesCbc(object):
                                """
                                Use AES\-CBC encryption
                                
                                .. attribute:: aes_192
                                
                                	Use 192 bit key
                                	**type**\:   :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192>`
                                
                                .. attribute:: aes_256
                                
                                	Use 256 bit key
                                	**type**\:   :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256>`
                                
                                .. attribute:: aes_cbc_128
                                
                                	Use 128 bit key
                                	**type**\:   :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.aes_192 = Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192()
                                    self.aes_192.parent = self
                                    self.aes_256 = Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256()
                                    self.aes_256.parent = self
                                    self.aes_cbc_128 = Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128()
                                    self.aes_cbc_128.parent = self


                                class AesCbc128(object):
                                    """
                                    Use 128 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_string = Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-cbc-128'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']


                                class Aes192(object):
                                    """
                                    Use 192 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_string = Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-192'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192']['meta_info']


                                class Aes256(object):
                                    """
                                    Use 256 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_string = Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-256'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-cbc'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.aes_192 is not None and self.aes_192._has_data():
                                        return True

                                    if self.aes_256 is not None and self.aes_256._has_data():
                                        return True

                                    if self.aes_cbc_128 is not None and self.aes_cbc_128._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipsec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aes_cbc is not None and self.aes_cbc._has_data():
                                    return True

                                if self.esp is not None:
                                    return True

                                if self.ipsec_3des is not None and self.ipsec_3des._has_data():
                                    return True

                                if self.spi is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption.Ipsec']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:encryption'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipsec is not None and self.ipsec._has_data():
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Encryption']['meta_info']


                    class FloodReduction(object):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	Disable Flood Reduction on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:flood-reduction'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.FloodReduction']['meta_info']


                    class MtuIgnore(object):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:mtu-ignore'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.MtuIgnore']['meta_info']


                    class Neighbor(object):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.cost = None
                            self.database_filter = Native.Interface.Gigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self.poll_interval = None
                            self.priority = None


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:neighbor[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.cost is not None:
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.poll_interval is not None:
                                return True

                            if self.priority is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Neighbor']['meta_info']


                    class Network(object):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Ospf.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.broadcast = None
                            self.manet = None
                            self.non_broadcast = None
                            self.point_to_multipoint = None
                            self.point_to_point = None


                        class PointToMultipoint(object):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.non_broadcast = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:point-to-multipoint'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.non_broadcast is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Network.PointToMultipoint']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:network'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.broadcast is not None:
                                return True

                            if self.manet is not None:
                                return True

                            if self.non_broadcast is not None:
                                return True

                            if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                return True

                            if self.point_to_point is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Network']['meta_info']


                    class Shutdown(object):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:shutdown'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf.Shutdown']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ospf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        if self.cost is not None:
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.dead_interval is not None:
                            return True

                        if self.demand_circuit is not None and self.demand_circuit._has_data():
                            return True

                        if self.encryption is not None and self.encryption._has_data():
                            return True

                        if self.flood_reduction is not None and self.flood_reduction._has_data():
                            return True

                        if self.hello_interval is not None:
                            return True

                        if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                            return True

                        if self.neighbor is not None:
                            for child_ref in self.neighbor:
                                if child_ref._has_data():
                                    return True

                        if self.network is not None and self.network._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.process is not None:
                            for child_ref in self.process:
                                if child_ref._has_data():
                                    return True

                        if self.retransmit_interval is not None:
                            return True

                        if self.shutdown is not None and self.shutdown._has_data():
                            return True

                        if self.transmit_delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Ospf']['meta_info']


                class Rip(object):
                    """
                    Configure RIP routing protocol
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: default_information
                    
                    	Configure handling of default route
                    	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Rip.DefaultInformation>`
                    
                    .. attribute:: enable
                    
                    	Enable/disable RIP routing
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.default_information = Native.Interface.Gigabitethernet.Ipv6.Rip.DefaultInformation()
                        self.default_information.parent = self
                        self.enable = None


                    class DefaultInformation(object):
                        """
                        Configure handling of default route
                        
                        .. attribute:: metric
                        
                        	Default route metric
                        	**type**\:  int
                        
                        	**range:** 1..15
                        
                        .. attribute:: route
                        
                        	
                        	**type**\:   :py:class:`RouteEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ipv6.Rip.DefaultInformation.RouteEnum>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = None
                            self.route = None

                        class RouteEnum(Enum):
                            """
                            RouteEnum

                            .. data:: only = 0

                            .. data:: originate = 1

                            """

                            only = 0

                            originate = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Rip.DefaultInformation.RouteEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:default-information'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None:
                                return True

                            if self.route is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Rip.DefaultInformation']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip[Cisco-IOS-XE-rip:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.default_information is not None and self.default_information._has_data():
                            return True

                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6.Rip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.flow is not None and self.flow._has_data():
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.no_pim is not None and self.no_pim._has_data():
                        return True

                    if self.ospf is not None and self.ospf._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.rip is not None:
                        for child_ref in self.rip:
                            if child_ref._has_data():
                                return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    if self.unreachables is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.Gigabitethernet.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.Gigabitethernet.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.Gigabitethernet.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.Gigabitethernet.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.Gigabitethernet.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.Gigabitethernet.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.Gigabitethernet.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.Gigabitethernet.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.Gigabitethernet.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.Gigabitethernet.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.Gigabitethernet.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.Gigabitethernet.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.Gigabitethernet.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.Gigabitethernet.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.Gigabitethernet.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Gigabitethernet.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Gigabitethernet.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Gigabitethernet.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Gigabitethernet.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Gigabitethernet.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Gigabitethernet.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Gigabitethernet.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Gigabitethernet.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.Gigabitethernet.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.Gigabitethernet.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.Gigabitethernet.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.Gigabitethernet.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.Gigabitethernet.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.PmPath']['meta_info']


            class CarrierDelay(object):
                """
                Specify delay for interface transitions
                
                .. attribute:: down
                
                	Carrier Down Transitions
                	**type**\:   :py:class:`Down <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.CarrierDelay.Down>`
                
                .. attribute:: msec
                
                	delay specified in milliseconds
                	**type**\:  int
                
                	**range:** 0..1000
                
                .. attribute:: seconds
                
                	
                	**type**\:  int
                
                	**range:** 0..60
                
                .. attribute:: up
                
                	Carrier Up Transitions
                	**type**\:   :py:class:`Up <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.CarrierDelay.Up>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.down = Native.Interface.Gigabitethernet.CarrierDelay.Down()
                    self.down.parent = self
                    self.msec = None
                    self.seconds = None
                    self.up = Native.Interface.Gigabitethernet.CarrierDelay.Up()
                    self.up.parent = self


                class Down(object):
                    """
                    Carrier Down Transitions
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..1000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..60
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.msec = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:down'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.msec is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.CarrierDelay.Down']['meta_info']


                class Up(object):
                    """
                    Carrier Up Transitions
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..1000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..60
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.msec = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:up'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.msec is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.CarrierDelay.Up']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:carrier-delay'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.down is not None and self.down._has_data():
                        return True

                    if self.msec is not None:
                        return True

                    if self.seconds is not None:
                        return True

                    if self.up is not None and self.up._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.CarrierDelay']['meta_info']


            class ChannelGroup(object):
                """
                Add this interface to an Etherchannel group
                
                .. attribute:: auto
                
                	LACP auto
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link
                
                	Assign a link identifier used for load\-balancing
                	**type**\:  int
                
                	**range:** 1..4
                
                .. attribute:: mode
                
                	Etherchannel Mode of the interface
                	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.ChannelGroup.ModeEnum>`
                
                .. attribute:: non_silent
                
                	Start negotiation only after data packets received
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: number
                
                	
                	**type**\:  int
                
                	**range:** 1..512
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None
                    self.link = None
                    self.mode = None
                    self.non_silent = None
                    self.number = None

                class ModeEnum(Enum):
                    """
                    ModeEnum

                    Etherchannel Mode of the interface

                    .. data:: active = 0

                    .. data:: auto = 1

                    .. data:: desirable = 2

                    .. data:: on = 3

                    .. data:: passive = 4

                    """

                    active = 0

                    auto = 1

                    desirable = 2

                    on = 3

                    passive = 4


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.ChannelGroup.ModeEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:channel-group'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    if self.link is not None:
                        return True

                    if self.mode is not None:
                        return True

                    if self.non_silent is not None:
                        return True

                    if self.number is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.ChannelGroup']['meta_info']


            class Ethernet(object):
                """
                Ethernet interface parameters
                
                .. attribute:: oam
                
                	To enable Ethernet Link OAM
                	**type**\:   :py:class:`Oam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.oam = None


                class Oam(object):
                    """
                    To enable Ethernet Link OAM
                    
                    .. attribute:: link_monitor
                    
                    	Ethernet OAM Link Monitor
                    	**type**\:   :py:class:`LinkMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor>`
                    
                    .. attribute:: max_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10
                    
                    .. attribute:: min_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10
                    
                    .. attribute:: mode
                    
                    	
                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.ModeEnum>`
                    
                    .. attribute:: remote_failure
                    
                    	Ethernet OAM remote failure indication
                    	**type**\:   :py:class:`RemoteFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure>`
                    
                    .. attribute:: remote_loopback
                    
                    	Ethernet OAM Remote Loopback
                    	**type**\:   :py:class:`RemoteLoopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteLoopback>`
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 2..30
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.link_monitor = Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor()
                        self.link_monitor.parent = self
                        self.max_rate = None
                        self.min_rate = None
                        self.mode = None
                        self.remote_failure = Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure()
                        self.remote_failure.parent = self
                        self.remote_loopback = Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteLoopback()
                        self.remote_loopback.parent = self
                        self.timeout = None

                    class ModeEnum(Enum):
                        """
                        ModeEnum

                        .. data:: active = 0

                        .. data:: passive = 1

                        """

                        active = 0

                        passive = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.ModeEnum']



                    class LinkMonitor(object):
                        """
                        Ethernet OAM Link Monitor
                        
                        .. attribute:: frame
                        
                        	Errored frames in a period measured by time
                        	**type**\:   :py:class:`Frame <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame>`
                        
                        .. attribute:: frame_period
                        
                        	Errored frames in a period measured by number of frames
                        	**type**\:   :py:class:`FramePeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod>`
                        
                        .. attribute:: frame_seconds
                        
                        	Errored frame seconds in a period
                        	**type**\:   :py:class:`FrameSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds>`
                        
                        .. attribute:: high_threshold
                        
                        	Additional high threshold configuration
                        	**type**\:   :py:class:`HighThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold>`
                        
                        .. attribute:: on
                        
                        	Enable link monitoring on the interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: receive_crc
                        
                        	Received frames with CRC errors in a period
                        	**type**\:   :py:class:`ReceiveCrc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc>`
                        
                        .. attribute:: supported
                        
                        	Support link monitoring on the interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: symbol_period
                        
                        	Errored symbols in a period
                        	**type**\:   :py:class:`SymbolPeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.frame = Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame()
                            self.frame.parent = self
                            self.frame_period = Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod()
                            self.frame_period.parent = self
                            self.frame_seconds = Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds()
                            self.frame_seconds.parent = self
                            self.high_threshold = Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold()
                            self.high_threshold.parent = self
                            self.on = None
                            self.receive_crc = Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc()
                            self.receive_crc.parent = self
                            self.supported = None
                            self.symbol_period = Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod()
                            self.symbol_period.parent = self


                        class Frame(object):
                            """
                            Errored frames in a period measured by time
                            
                            .. attribute:: threshold
                            
                            	Errored frame threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 10..600
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: thresh
                                    
                                    	Set the high errored frame threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.none = None
                                        self.thresh = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.none is not None:
                                            return True

                                        if self.thresh is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.Frame']['meta_info']


                        class FramePeriod(object):
                            """
                            Errored frames in a period measured by number of frames
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-period threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 10000 frames
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-period threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: f_thresh
                                    
                                    	Set the high errored frame\-period threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.f_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.f_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame-period'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info']


                        class FrameSeconds(object):
                            """
                            Errored frame seconds in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 100..9000
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-seconds threshold in number of seconds
                                	**type**\:  int
                                
                                	**range:** 1..900
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: e_thresh
                                    
                                    	Set the high errored frame\-seconds threshold in number of seconds
                                    	**type**\:  int
                                    
                                    	**range:** 1..900
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.e_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.e_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame-seconds'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info']


                        class HighThreshold(object):
                            """
                            Additional high threshold configuration
                            
                            .. attribute:: action
                            
                            	Specifiy an action when the high threshold is crossed
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Specifiy an action when the high threshold is crossed
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high-threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info']


                        class ReceiveCrc(object):
                            """
                            Received frames with CRC errors in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 10..1800
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low received crc error threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: crc_thresh
                                    
                                    	Set the high received crc error threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.crc_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.crc_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:receive-crc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info']


                        class SymbolPeriod(object):
                            """
                            Errored symbols in a period
                            
                            .. attribute:: threshold
                            
                            	Error symbol\-period threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 1048576 symbols
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Error symbol\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low error symbol\-period threshold in number of symbols
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: err_thresh
                                    
                                    	Set the high error symbol\-period threshold in number of symbols
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.err_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.err_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:symbol-period'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:link-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.frame is not None and self.frame._has_data():
                                return True

                            if self.frame_period is not None and self.frame_period._has_data():
                                return True

                            if self.frame_seconds is not None and self.frame_seconds._has_data():
                                return True

                            if self.high_threshold is not None and self.high_threshold._has_data():
                                return True

                            if self.on is not None:
                                return True

                            if self.receive_crc is not None and self.receive_crc._has_data():
                                return True

                            if self.supported is not None:
                                return True

                            if self.symbol_period is not None and self.symbol_period._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info']


                    class RemoteFailure(object):
                        """
                        Ethernet OAM remote failure indication
                        
                        .. attribute:: critical_event
                        
                        	Critical event
                        	**type**\:   :py:class:`CriticalEvent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent>`
                        
                        .. attribute:: dying_gasp
                        
                        	Dying gasp
                        	**type**\:   :py:class:`DyingGasp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp>`
                        
                        .. attribute:: link_fault
                        
                        	Link fault
                        	**type**\:   :py:class:`LinkFault <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.critical_event = Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent()
                            self.critical_event.parent = self
                            self.dying_gasp = Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp()
                            self.dying_gasp.parent = self
                            self.link_fault = Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault()
                            self.link_fault.parent = self


                        class CriticalEvent(object):
                            """
                            Critical event
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:critical-event'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info']


                        class DyingGasp(object):
                            """
                            Dying gasp
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = None


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dying-gasp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info']


                        class LinkFault(object):
                            """
                            Link fault
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = None


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:link-fault'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:remote-failure'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.critical_event is not None and self.critical_event._has_data():
                                return True

                            if self.dying_gasp is not None and self.dying_gasp._has_data():
                                return True

                            if self.link_fault is not None and self.link_fault._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteFailure']['meta_info']


                    class RemoteLoopback(object):
                        """
                        Ethernet OAM Remote Loopback
                        
                        .. attribute:: supported
                        
                        	Support remote loopback functionality
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: timeout
                        
                        	Set timeout value in number of seconds
                        	**type**\:  int
                        
                        	**range:** 1..10
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None
                            self.timeout = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:remote-loopback'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            if self.timeout is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam.RemoteLoopback']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:oam'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.link_monitor is not None and self.link_monitor._has_data():
                            return True

                        if self.max_rate is not None:
                            return True

                        if self.min_rate is not None:
                            return True

                        if self.mode is not None:
                            return True

                        if self.remote_failure is not None and self.remote_failure._has_data():
                            return True

                        if self.remote_loopback is not None and self.remote_loopback._has_data():
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet.Oam']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.oam is not None and self.oam._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Ethernet']['meta_info']


            class Negotiation(object):
                """
                Select autonegotiation mode
                
                .. attribute:: auto
                
                	Enable link autonegotiation
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:negotiation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Negotiation']['meta_info']


            class Synchronous(object):
                """
                Synchronous
                
                .. attribute:: mode
                
                	Mode
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.mode = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:synchronous'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.mode is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Synchronous']['meta_info']


            class Speed(object):
                """
                Configure speed operation
                
                .. attribute:: auto
                
                	Enable AUTO speed configuration
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: nonegotiate
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10
                
                	10 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_100
                
                	100 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_1000
                
                	1000 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10000
                
                	10000 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None
                    self.nonegotiate = None
                    self.value_10 = None
                    self.value_100 = None
                    self.value_1000 = None
                    self.value_10000 = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:speed'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.value_10 is not None:
                        return True

                    if self.value_100 is not None:
                        return True

                    if self.value_1000 is not None:
                        return True

                    if self.value_10000 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Speed']['meta_info']


            class Plim(object):
                """
                Configure features on the PLIM
                
                .. attribute:: ethernet
                
                	Configure features on the ethernet interface
                	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Plim.Ethernet>`
                
                .. attribute:: qos
                
                	QoS on the PLIM
                	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Plim.Qos>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ethernet = Native.Interface.Gigabitethernet.Plim.Ethernet()
                    self.ethernet.parent = self
                    self.qos = Native.Interface.Gigabitethernet.Plim.Qos()
                    self.qos.parent = self


                class Ethernet(object):
                    """
                    Configure features on the ethernet interface
                    
                    .. attribute:: vlan
                    
                    	vlan specific features
                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Plim.Ethernet.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = Native.Interface.Gigabitethernet.Plim.Ethernet.Vlan()
                        self.vlan.parent = self


                    class Vlan(object):
                        """
                        vlan specific features
                        
                        .. attribute:: filter
                        
                        	Configure VLAN filtering
                        	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Plim.Ethernet.Vlan.Filter>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.filter = Native.Interface.Gigabitethernet.Plim.Ethernet.Vlan.Filter()
                            self.filter.parent = self


                        class Filter(object):
                            """
                            Configure VLAN filtering
                            
                            .. attribute:: disable
                            
                            	Configure the interface to accept all VLAN traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Plim.Ethernet.Vlan.Filter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.filter is not None and self.filter._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Plim.Ethernet.Vlan']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None and self.vlan._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Plim.Ethernet']['meta_info']


                class Qos(object):
                    """
                    QoS on the PLIM
                    
                    .. attribute:: input
                    
                    	Configure PLIM QoS at the input of an interface
                    	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Plim.Qos.Input>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.input = Native.Interface.Gigabitethernet.Plim.Qos.Input()
                        self.input.parent = self


                    class Input(object):
                        """
                        Configure PLIM QoS at the input of an interface
                        
                        .. attribute:: queue
                        
                        	Queue number
                        	**type**\:   :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.queue = Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue()
                            self.queue.parent = self


                        class Queue(object):
                            """
                            Queue number
                            
                            .. attribute:: strict_priority
                            
                            	High priority queue
                            	**type**\:   :py:class:`StrictPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.StrictPriority>`
                            
                            .. attribute:: zero
                            
                            	Low priority queue
                            	**type**\:   :py:class:`Zero <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.Zero>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.strict_priority = Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.StrictPriority()
                                self.strict_priority.parent = self
                                self.zero = Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.Zero()
                                self.zero.parent = self


                            class Zero(object):
                                """
                                Low priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:   :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.Zero.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pause = Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.Zero.Pause()
                                    self.pause.parent = self


                                class Pause(object):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\:  bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.enable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pause'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.enable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.Zero.Pause']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:zero'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pause is not None and self.pause._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.Zero']['meta_info']


                            class StrictPriority(object):
                                """
                                High priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:   :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.StrictPriority.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pause = Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.StrictPriority.Pause()
                                    self.pause.parent = self


                                class Pause(object):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\:  bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.enable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pause'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.enable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.StrictPriority.Pause']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:strict-priority'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pause is not None and self.pause._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue.StrictPriority']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:queue'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.strict_priority is not None and self.strict_priority._has_data():
                                    return True

                                if self.zero is not None and self.zero._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Plim.Qos.Input.Queue']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:input'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.queue is not None and self.queue._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Plim.Qos.Input']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:qos'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.input is not None and self.input._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Plim.Qos']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:plim'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ethernet is not None and self.ethernet._has_data():
                        return True

                    if self.qos is not None and self.qos._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Plim']['meta_info']


            class Pppoe(object):
                """
                pppoe interface subcommands
                
                .. attribute:: enable
                
                	Enable pppoe
                	**type**\:   :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Pppoe.Enable>`
                
                	**presence node**\: True
                
                .. attribute:: max_sessions
                
                	Maximum PPPOE sessions
                	**type**\:  int
                
                	**range:** 1..4085
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None
                    self.max_sessions = None


                class Enable(object):
                    """
                    Enable pppoe
                    
                    .. attribute:: group
                    
                    	attach a BBA group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        attach a BBA group

                        .. data:: global_ = 0

                        """

                        global_ = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Pppoe.Enable.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:enable'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Pppoe.Enable']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pppoe'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None and self.enable._has_data():
                        return True

                    if self.max_sessions is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Pppoe']['meta_info']


            class Service(object):
                """
                Configure Ether Service
                
                .. attribute:: instance
                
                	Configure Ether Service Instance
                	**type**\: list of    :py:class:`Instance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.instance = YList()
                    self.instance.parent = self
                    self.instance.name = 'instance'


                class Instance(object):
                    """
                    Configure Ether Service Instance
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4000
                    
                    .. attribute:: bridge_domain
                    
                    	Bridge\-domain
                    	**type**\:   :py:class:`BridgeDomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.BridgeDomain>`
                    
                    .. attribute:: cfm
                    
                    	Ethernet CFM EFP subcommands
                    	**type**\:   :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Cfm>`
                    
                    .. attribute:: description
                    
                    	Service instance specific description
                    	**type**\:  str
                    
                    	**length:** 0..240
                    
                    .. attribute:: encapsulation
                    
                    	Configure ethernet frame match criteria
                    	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Encapsulation>`
                    
                    .. attribute:: errdisable
                    
                    	Configure error disable
                    	**type**\:   :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Errdisable>`
                    
                    .. attribute:: ethernet
                    
                    	Configure an Ethernet Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet_container
                    
                    	
                    	**type**\:   :py:class:`EthernetContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer>`
                    
                    .. attribute:: ethernet_evc_name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: evc_name
                    
                    	
                    	**type**\:  str
                    
                    	**length:** 1..100
                    
                    .. attribute:: gigabitethernet
                    
                    	Configure an GigabitEthernet Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Ip>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 interface subcommands
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Ipv6>`
                    
                    .. attribute:: l2protocol
                    
                    	Configure l2 control protocol processing
                    	**type**\:   :py:class:`L2Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.L2Protocol>`
                    
                    .. attribute:: mac
                    
                    	Commands for MAC Address\-based features
                    	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Mac>`
                    
                    .. attribute:: rewrite
                    
                    	Configure ethernet rewrite criteria
                    	**type**\:   :py:class:`Rewrite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Rewrite>`
                    
                    .. attribute:: service_policy
                    
                    	Attach a policy\-map to an EFP
                    	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.ServicePolicy>`
                    
                    .. attribute:: shutdown
                    
                    	Take the Service Instance out of Service
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: snmp
                    
                    	Modify SNMP service instance parameters
                    	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Snmp>`
                    
                    .. attribute:: trunk
                    
                    	Trunk Service Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.bridge_domain = Native.Interface.Gigabitethernet.Service.Instance.BridgeDomain()
                        self.bridge_domain.parent = self
                        self.cfm = Native.Interface.Gigabitethernet.Service.Instance.Cfm()
                        self.cfm.parent = self
                        self.description = None
                        self.encapsulation = Native.Interface.Gigabitethernet.Service.Instance.Encapsulation()
                        self.encapsulation.parent = self
                        self.errdisable = Native.Interface.Gigabitethernet.Service.Instance.Errdisable()
                        self.errdisable.parent = self
                        self.ethernet = None
                        self.ethernet_container = Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer()
                        self.ethernet_container.parent = self
                        self.ethernet_evc_name = None
                        self.evc_name = None
                        self.gigabitethernet = None
                        self.group = None
                        self.ip = Native.Interface.Gigabitethernet.Service.Instance.Ip()
                        self.ip.parent = self
                        self.ipv6 = Native.Interface.Gigabitethernet.Service.Instance.Ipv6()
                        self.ipv6.parent = self
                        self.l2protocol = Native.Interface.Gigabitethernet.Service.Instance.L2Protocol()
                        self.l2protocol.parent = self
                        self.mac = Native.Interface.Gigabitethernet.Service.Instance.Mac()
                        self.mac.parent = self
                        self.rewrite = Native.Interface.Gigabitethernet.Service.Instance.Rewrite()
                        self.rewrite.parent = self
                        self.service_policy = Native.Interface.Gigabitethernet.Service.Instance.ServicePolicy()
                        self.service_policy.parent = self
                        self.shutdown = None
                        self.snmp = Native.Interface.Gigabitethernet.Service.Instance.Snmp()
                        self.snmp.parent = self
                        self.trunk = None
                        self.xconnect = Native.Interface.Gigabitethernet.Service.Instance.Xconnect()
                        self.xconnect.parent = self
                        self.xconnect_pw_class = Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass()
                        self.xconnect_pw_class.parent = self


                    class Encapsulation(object):
                        """
                        Configure ethernet frame match criteria
                        
                        .. attribute:: default
                        
                        	catch\-all unconfigured encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dot1ad
                        
                        	802.1ad \- Provider Bridges
                        	**type**\:   :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad>`
                        
                        .. attribute:: dot1q
                        
                        	IEEE 802.1Q Virtual LAN or S\-VLAN
                        	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q>`
                        
                        .. attribute:: priority_tagged
                        
                        	Priority tagged EFP
                        	**type**\:   :py:class:`PriorityTagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.PriorityTagged>`
                        
                        .. attribute:: untagged
                        
                        	Untagged encapsulation
                        	**type**\:   :py:class:`Untagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Untagged>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.default = None
                            self.dot1ad = Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad()
                            self.dot1ad.parent = self
                            self.dot1q = Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q()
                            self.dot1q.parent = self
                            self.priority_tagged = Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.PriorityTagged()
                            self.priority_tagged.parent = self
                            self.untagged = None


                        class Dot1Ad(object):
                            """
                            802.1ad \- Provider Bridges
                            
                            .. attribute:: cos
                            
                            	CoS value to use for CFM packets
                            	**type**\:  list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:   :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2>`
                            
                            .. attribute:: dot1q
                            
                            	Second tag (dot1q)
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`Dot1QEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos = YLeafList()
                                self.cos.parent = self
                                self.cos.name = 'cos'
                                self.cos2 = Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2()
                                self.cos2.parent = self
                                self.dot1q = YLeafList()
                                self.dot1q.parent = self
                                self.dot1q.name = 'dot1q'
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'
                                self.exact = None
                                self.id = YLeafList()
                                self.id.parent = self
                                self.id.name = 'id'

                            class Dot1QEnum(Enum):
                                """
                                Dot1QEnum

                                Second tag (dot1q)

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum']


                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum']


                            class IdEnum(Enum):
                                """
                                IdEnum

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad.IdEnum']



                            class Cos2(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos2'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1ad'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos is not None:
                                    for child in self.cos:
                                        if child is not None:
                                            return True

                                if self.cos2 is not None and self.cos2._has_data():
                                    return True

                                if self.dot1q is not None:
                                    for child in self.dot1q:
                                        if child is not None:
                                            return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                if self.exact is not None:
                                    return True

                                if self.id is not None:
                                    for child in self.id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Ad']['meta_info']


                        class Dot1Q(object):
                            """
                            IEEE 802.1Q Virtual LAN or S\-VLAN
                            
                            .. attribute:: cos
                            
                            	cos Vlan
                            	**type**\:  list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:   :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q.EtypeEnum>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: second_dot1q
                            
                            	inner 802.1Q Virtual LAN or C\-VLAN
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`SecondDot1QEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: vlan_type
                            
                            	Vlan Protocol Type
                            	**type**\:   :py:class:`VlanTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos = YLeafList()
                                self.cos.parent = self
                                self.cos.name = 'cos'
                                self.cos2 = Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q.Cos2()
                                self.cos2.parent = self
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'
                                self.exact = None
                                self.id = YLeafList()
                                self.id.parent = self
                                self.id.name = 'id'
                                self.second_dot1q = YLeafList()
                                self.second_dot1q.parent = self
                                self.second_dot1q.name = 'second_dot1q'
                                self.vlan_type = None

                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q.EtypeEnum']


                            class IdEnum(Enum):
                                """
                                IdEnum

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q.IdEnum']


                            class SecondDot1QEnum(Enum):
                                """
                                SecondDot1QEnum

                                inner 802.1Q Virtual LAN or C\-VLAN

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum']


                            class VlanTypeEnum(Enum):
                                """
                                VlanTypeEnum

                                Vlan Protocol Type

                                .. data:: Y_0x88A8 = 0

                                .. data:: Y_0x9100 = 1

                                .. data:: Y_0x9200 = 2

                                """

                                Y_0x88A8 = 0

                                Y_0x9100 = 1

                                Y_0x9200 = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum']



                            class Cos2(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos2'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q.Cos2']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1q'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos is not None:
                                    for child in self.cos:
                                        if child is not None:
                                            return True

                                if self.cos2 is not None and self.cos2._has_data():
                                    return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                if self.exact is not None:
                                    return True

                                if self.id is not None:
                                    for child in self.id:
                                        if child is not None:
                                            return True

                                if self.second_dot1q is not None:
                                    for child in self.second_dot1q:
                                        if child is not None:
                                            return True

                                if self.vlan_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Dot1Q']['meta_info']


                        class PriorityTagged(object):
                            """
                            Priority tagged EFP
                            
                            .. attribute:: cos_container
                            
                            	
                            	**type**\:   :py:class:`CosContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos_container = Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer()
                                self.cos_container.parent = self
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'

                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum']



                            class CosContainer(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:priority-tagged'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos_container is not None and self.cos_container._has_data():
                                    return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.PriorityTagged']['meta_info']


                        class Untagged(object):
                            """
                            Untagged encapsulation
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:untagged'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation.Untagged']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:encapsulation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.default is not None:
                                return True

                            if self.dot1ad is not None and self.dot1ad._has_data():
                                return True

                            if self.dot1q is not None and self.dot1q._has_data():
                                return True

                            if self.priority_tagged is not None and self.priority_tagged._has_data():
                                return True

                            if self.untagged is not None and self.untagged._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Encapsulation']['meta_info']


                    class Ip(object):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Ip.Acl>`
                        
                        .. attribute:: dhcp
                        
                        	DHCP
                        	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp>`
                        
                        .. attribute:: verify
                        
                        	verify
                        	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Ip.Verify>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Gigabitethernet.Service.Instance.Ip.Acl()
                            self.acl.parent = self
                            self.dhcp = Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp()
                            self.dhcp.parent = self
                            self.verify = Native.Interface.Gigabitethernet.Service.Instance.Ip.Verify()
                            self.verify.parent = self


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: access_group
                            
                            	Specify access control for packets
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.access_group = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.access_group is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ip.Acl']['meta_info']


                        class Dhcp(object):
                            """
                            DHCP
                            
                            .. attribute:: relay
                            
                            	DHCP relay
                            	**type**\:   :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.relay = Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay()
                                self.relay.parent = self


                            class Relay(object):
                                """
                                DHCP relay
                                
                                .. attribute:: information
                                
                                	DHCP relay information
                                	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.information = Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information()
                                    self.information.parent = self


                                class Information(object):
                                    """
                                    DHCP relay information
                                    
                                    .. attribute:: option
                                    
                                    	DHCP relay information option
                                    	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.option = Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option()
                                        self.option.parent = self


                                    class Option(object):
                                        """
                                        DHCP relay information option
                                        
                                        .. attribute:: subscriber_id
                                        
                                        	DHCP relay information option subscriber\-id
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.subscriber_id = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.subscriber_id is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:information'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.option is not None and self.option._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:relay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.information is not None and self.information._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp.Relay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dhcp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.relay is not None and self.relay._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ip.Dhcp']['meta_info']


                        class Verify(object):
                            """
                            verify
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: port_security
                            
                            	port security
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: source
                            
                            	source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan
                            
                            	vlan specification
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None
                                self.port_security = None
                                self.source = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:verify'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None:
                                    return True

                                if self.port_security is not None:
                                    return True

                                if self.source is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ip.Verify']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.dhcp is not None and self.dhcp._has_data():
                                return True

                            if self.verify is not None and self.verify._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ip']['meta_info']


                    class Ipv6(object):
                        """
                        IPv6 interface subcommands
                        
                        .. attribute:: in_
                        
                        	inbound packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	outbound packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: traffic_filter
                        
                        	Access control list for packets
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.in_ = None
                            self.out = None
                            self.traffic_filter = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.in_ is not None:
                                return True

                            if self.out is not None:
                                return True

                            if self.traffic_filter is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Ipv6']['meta_info']


                    class Rewrite(object):
                        """
                        Configure ethernet rewrite criteria
                        
                        .. attribute:: ingress
                        
                        	Ingress Rewrite
                        	**type**\:   :py:class:`Ingress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ingress = Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress()
                            self.ingress.parent = self


                        class Ingress(object):
                            """
                            Ingress Rewrite
                            
                            .. attribute:: tag
                            
                            	Configure Rewrite Tag
                            	**type**\:   :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.tag = Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag()
                                self.tag.parent = self


                            class Tag(object):
                                """
                                Configure Rewrite Tag
                                
                                .. attribute:: pop
                                
                                	Pop the tag
                                	**type**\:   :py:class:`Pop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop>`
                                
                                .. attribute:: push
                                
                                	Rewrite Operation of push
                                	**type**\:   :py:class:`Push <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push>`
                                
                                .. attribute:: translate
                                
                                	Translate Tag
                                	**type**\:   :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pop = Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop()
                                    self.pop.parent = self
                                    self.push = Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push()
                                    self.push.parent = self
                                    self.translate = Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate()
                                    self.translate.parent = self


                                class Pop(object):
                                    """
                                    Pop the tag
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum>`
                                    
                                    .. attribute:: way
                                    
                                    	
                                    	**type**\:   :py:class:`WayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mode = None
                                        self.way = None

                                    class ModeEnum(Enum):
                                        """
                                        ModeEnum

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = 0


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum']


                                    class WayEnum(Enum):
                                        """
                                        WayEnum

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mode is not None:
                                            return True

                                        if self.way is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop']['meta_info']


                                class Push(object):
                                    """
                                    Rewrite Operation of push
                                    
                                    .. attribute:: dot1q
                                    
                                    	Push dot1q tag
                                    	**type**\:  int
                                    
                                    	**range:** 1..4094
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dot1q = None
                                        self.mode = None

                                    class ModeEnum(Enum):
                                        """
                                        ModeEnum

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = 0


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:push'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dot1q is not None:
                                            return True

                                        if self.mode is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push']['meta_info']


                                class Translate(object):
                                    """
                                    Translate Tag
                                    
                                    .. attribute:: t1_to_1
                                    
                                    	Translate 1\-to\-1
                                    	**type**\:   :py:class:`T1To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1>`
                                    
                                    .. attribute:: t1_to_2
                                    
                                    	Translate 1\-to\-2
                                    	**type**\:   :py:class:`T1To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2>`
                                    
                                    .. attribute:: t2_to_1
                                    
                                    	Translate 2\-to\-1
                                    	**type**\:   :py:class:`T2To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1>`
                                    
                                    .. attribute:: t2_to_2
                                    
                                    	Translate 2\-to\-2
                                    	**type**\:   :py:class:`T2To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.t1_to_1 = Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1()
                                        self.t1_to_1.parent = self
                                        self.t1_to_2 = Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2()
                                        self.t1_to_2.parent = self
                                        self.t2_to_1 = Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1()
                                        self.t2_to_1.parent = self
                                        self.t2_to_2 = Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2()
                                        self.t2_to_2.parent = self


                                    class T1To1(object):
                                        """
                                        Translate 1\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t1-to-1'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1']['meta_info']


                                    class T1To2(object):
                                        """
                                        Translate 1\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum>`
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None
                                            self.second_dot1q = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t1-to-2'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            if self.second_dot1q is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2']['meta_info']


                                    class T2To1(object):
                                        """
                                        Translate 2\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t2-to-1'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1']['meta_info']


                                    class T2To2(object):
                                        """
                                        Translate 2\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum>`
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None
                                            self.second_dot1q = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t2-to-2'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            if self.second_dot1q is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:translate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.t1_to_1 is not None and self.t1_to_1._has_data():
                                            return True

                                        if self.t1_to_2 is not None and self.t1_to_2._has_data():
                                            return True

                                        if self.t2_to_1 is not None and self.t2_to_1._has_data():
                                            return True

                                        if self.t2_to_2 is not None and self.t2_to_2._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:tag'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pop is not None and self.pop._has_data():
                                        return True

                                    if self.push is not None and self.push._has_data():
                                        return True

                                    if self.translate is not None and self.translate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress.Tag']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ingress'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.tag is not None and self.tag._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite.Ingress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:rewrite'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ingress is not None and self.ingress._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Rewrite']['meta_info']


                    class Errdisable(object):
                        """
                        Configure error disable
                        
                        .. attribute:: recovery
                        
                        	enable auto recovery
                        	**type**\:   :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Errdisable.Recovery>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.recovery = Native.Interface.Gigabitethernet.Service.Instance.Errdisable.Recovery()
                            self.recovery.parent = self


                        class Recovery(object):
                            """
                            enable auto recovery
                            
                            .. attribute:: cause
                            
                            	error disable cause
                            	**type**\:   :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Errdisable.Recovery.Cause>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cause = Native.Interface.Gigabitethernet.Service.Instance.Errdisable.Recovery.Cause()
                                self.cause.parent = self


                            class Cause(object):
                                """
                                error disable cause
                                
                                .. attribute:: mac_security
                                
                                	mac\-security violation
                                	**type**\:  int
                                
                                	**range:** 30..86400
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mac_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cause'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mac_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Errdisable.Recovery.Cause']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:recovery'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cause is not None and self.cause._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Errdisable.Recovery']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:errdisable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.recovery is not None and self.recovery._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Errdisable']['meta_info']


                    class EthernetContainer(object):
                        """
                        
                        
                        .. attribute:: ethernet
                        
                        	ethernet
                        	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ethernet = Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet()
                            self.ethernet.parent = self


                        class Ethernet(object):
                            """
                            ethernet
                            
                            .. attribute:: lmi
                            
                            	Configure ether lmi parameters
                            	**type**\:   :py:class:`Lmi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi>`
                            
                            .. attribute:: loopback
                            
                            	Ethernet Dataplane Loopback
                            	**type**\:   :py:class:`Loopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lmi = Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi()
                                self.lmi.parent = self
                                self.loopback = Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback()
                                self.loopback.parent = self


                            class Lmi(object):
                                """
                                Configure ether lmi parameters
                                
                                .. attribute:: ce_vlan
                                
                                	Configure ether lmi customer vlans
                                	**type**\:   :py:class:`CeVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ce_vlan = Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan()
                                    self.ce_vlan.parent = self


                                class CeVlan(object):
                                    """
                                    Configure ether lmi customer vlans
                                    
                                    .. attribute:: map
                                    
                                    	Configure ether lmi ce\-vlan/evc map
                                    	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map = Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map()
                                        self.map.parent = self


                                    class Map(object):
                                        """
                                        Configure ether lmi ce\-vlan/evc map
                                        
                                        .. attribute:: any
                                        
                                        	For all VLANS [untagged,1\-4094]
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: default
                                        
                                        	Default EFP
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: untagged
                                        
                                        	Untagged frames
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vlan_range
                                        
                                        	
                                        	**type**\:   :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.any = None
                                            self.default = None
                                            self.untagged = None
                                            self.vlan_range = Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange()
                                            self.vlan_range.parent = self


                                        class VlanRange(object):
                                            """
                                            
                                            
                                            .. attribute:: comma
                                            
                                            	comma
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: hyphen
                                            
                                            	hyphen
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: vlan_id
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.comma = None
                                                self.hyphen = None
                                                self.vlan_id = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:vlan-range'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.comma is not None:
                                                    return True

                                                if self.hyphen is not None:
                                                    return True

                                                if self.vlan_id is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:map'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.any is not None:
                                                return True

                                            if self.default is not None:
                                                return True

                                            if self.untagged is not None:
                                                return True

                                            if self.vlan_range is not None and self.vlan_range._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ce-vlan'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map is not None and self.map._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:lmi'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ce_vlan is not None and self.ce_vlan._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info']


                            class Loopback(object):
                                """
                                Ethernet Dataplane Loopback
                                
                                .. attribute:: permit
                                
                                	Allow data plane loopback to be activated
                                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.permit = Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit()
                                    self.permit.parent = self


                                class Permit(object):
                                    """
                                    Allow data plane loopback to be activated
                                    
                                    .. attribute:: external
                                    
                                    	Allow to loopback the traffic from the wire
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: internal
                                    
                                    	Allow to loopback the traffic from the relay
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.internal = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:permit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None:
                                            return True

                                        if self.internal is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:loopback'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.permit is not None and self.permit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lmi is not None and self.lmi._has_data():
                                    return True

                                if self.loopback is not None and self.loopback._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer.Ethernet']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet-container'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ethernet is not None and self.ethernet._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.EthernetContainer']['meta_info']


                    class Snmp(object):
                        """
                        Modify SNMP service instance parameters
                        
                        .. attribute:: ifindex
                        
                        	Persist ifindex for the service instance
                        	**type**\:   :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Snmp.Ifindex>`
                        
                        .. attribute:: trap
                        
                        	Allow a specific SNMP trap
                        	**type**\:   :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Snmp.Trap>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ifindex = Native.Interface.Gigabitethernet.Service.Instance.Snmp.Ifindex()
                            self.ifindex.parent = self
                            self.trap = Native.Interface.Gigabitethernet.Service.Instance.Snmp.Trap()
                            self.trap.parent = self


                        class Trap(object):
                            """
                            Allow a specific SNMP trap
                            
                            .. attribute:: link_status
                            
                            	Allow SNMP LINKUP and LINKDOWN traps
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.link_status = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:trap'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.link_status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Snmp.Trap']['meta_info']


                        class Ifindex(object):
                            """
                            Persist ifindex for the service instance
                            
                            .. attribute:: persist
                            
                            	Enable/Disable ifIndex persistence
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.persist = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ifindex'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.persist is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Snmp.Ifindex']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:snmp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ifindex is not None and self.ifindex._has_data():
                                return True

                            if self.trap is not None and self.trap._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Snmp']['meta_info']


                    class BridgeDomain(object):
                        """
                        Bridge\-domain
                        
                        .. attribute:: bridge_id
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: from_encapsulation
                        
                        	from\-encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: split_horizon
                        
                        	Configure this port as a member of a split horizon group
                        	**type**\:   :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.BridgeDomain.SplitHorizon>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bridge_id = None
                            self.from_encapsulation = None
                            self.split_horizon = Native.Interface.Gigabitethernet.Service.Instance.BridgeDomain.SplitHorizon()
                            self.split_horizon.parent = self


                        class SplitHorizon(object):
                            """
                            Configure this port as a member of a split horizon group
                            
                            .. attribute:: group
                            
                            	Split\-horizon group
                            	**type**\:  int
                            
                            	**range:** 0..13
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:split-horizon'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.BridgeDomain.SplitHorizon']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:bridge-domain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bridge_id is not None:
                                return True

                            if self.from_encapsulation is not None:
                                return True

                            if self.split_horizon is not None and self.split_horizon._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.BridgeDomain']['meta_info']


                    class Mac(object):
                        """
                        Commands for MAC Address\-based features
                        
                        .. attribute:: security
                        
                        	MAC Security commands
                        	**type**\:   :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Mac.Security>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.security = None


                        class Security(object):
                            """
                            MAC Security commands
                            
                            .. attribute:: maximum
                            
                            	Configure an upper bound
                            	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Mac.Security.Maximum>`
                            
                            .. attribute:: violation
                            
                            	Configure the response when a MAC security policy is violated
                            	**type**\:   :py:class:`ViolationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Mac.Security.ViolationEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.maximum = Native.Interface.Gigabitethernet.Service.Instance.Mac.Security.Maximum()
                                self.maximum.parent = self
                                self.violation = None

                            class ViolationEnum(Enum):
                                """
                                ViolationEnum

                                Configure the response when a MAC security policy is violated

                                .. data:: protect = 0

                                .. data:: restrict = 1

                                """

                                protect = 0

                                restrict = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Mac.Security.ViolationEnum']



                            class Maximum(object):
                                """
                                Configure an upper bound
                                
                                .. attribute:: addresses
                                
                                	Maximum addresses that can be learnt on this service instance
                                	**type**\:  int
                                
                                	**range:** 1..1000
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.addresses = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:maximum'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.addresses is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Mac.Security.Maximum']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:security'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.maximum is not None and self.maximum._has_data():
                                    return True

                                if self.violation is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Mac.Security']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mac'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.security is not None and self.security._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Mac']['meta_info']


                    class ServicePolicy(object):
                        """
                        Attach a policy\-map to an EFP
                        
                        .. attribute:: input
                        
                        	service policy input
                        	**type**\: list of    :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.ServicePolicy.Input>`
                        
                        .. attribute:: output
                        
                        	service policy output
                        	**type**\: list of    :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.ServicePolicy.Output>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = YList()
                            self.input.parent = self
                            self.input.name = 'input'
                            self.output = YList()
                            self.output.parent = self
                            self.output.name = 'output'


                        class Input(object):
                            """
                            service policy input
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:input[Cisco-IOS-XE-ethernet:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.ServicePolicy.Input']['meta_info']


                        class Output(object):
                            """
                            service policy output
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:output[Cisco-IOS-XE-ethernet:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.ServicePolicy.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:service-policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None:
                                for child_ref in self.input:
                                    if child_ref._has_data():
                                        return True

                            if self.output is not None:
                                for child_ref in self.output:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.ServicePolicy']['meta_info']


                    class Cfm(object):
                        """
                        Ethernet CFM EFP subcommands
                        
                        .. attribute:: encapsulation
                        
                        	Configure CFM ethernet frame encapsulation
                        	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation>`
                        
                        .. attribute:: mep
                        
                        	Maintenance End Point
                        	**type**\:   :py:class:`Mep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Cfm.Mep>`
                        
                        .. attribute:: mip
                        
                        	Maintenance Intermediate Point
                        	**type**\:   :py:class:`Mip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Cfm.Mip>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.encapsulation = Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation()
                            self.encapsulation.parent = self
                            self.mep = Native.Interface.Gigabitethernet.Service.Instance.Cfm.Mep()
                            self.mep.parent = self
                            self.mip = Native.Interface.Gigabitethernet.Service.Instance.Cfm.Mip()
                            self.mip.parent = self


                        class Encapsulation(object):
                            """
                            Configure CFM ethernet frame encapsulation
                            
                            .. attribute:: dot1ad
                            
                            	802.1ad \- Provider Bridges
                            	**type**\:   :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad>`
                            
                            .. attribute:: dot1q
                            
                            	IEEE 802.1Q Virtual LAN or S\-VLAN
                            	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Q>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dot1ad = Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad()
                                self.dot1ad.parent = self
                                self.dot1q = Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Q()
                                self.dot1q.parent = self


                            class Dot1Ad(object):
                                """
                                802.1ad \- Provider Bridges
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: dot1q
                                
                                	Second tag (dot1q)
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = None
                                    self.dot1q = None
                                    self.vlan_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1ad'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        return True

                                    if self.dot1q is not None:
                                        return True

                                    if self.vlan_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad']['meta_info']


                            class Dot1Q(object):
                                """
                                IEEE 802.1Q Virtual LAN or S\-VLAN
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: second_dot1q
                                
                                	inner 802.1Q Virtual LAN or C\-VLAN
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = None
                                    self.second_dot1q = None
                                    self.vlan_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1q'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        return True

                                    if self.second_dot1q is not None:
                                        return True

                                    if self.vlan_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Q']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:encapsulation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dot1ad is not None and self.dot1ad._has_data():
                                    return True

                                if self.dot1q is not None and self.dot1q._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Cfm.Encapsulation']['meta_info']


                        class Mep(object):
                            """
                            Maintenance End Point
                            
                            .. attribute:: domain
                            
                            	Configure a domain for this mep
                            	**type**\:  str
                            
                            .. attribute:: mpid
                            
                            	Maintenance End Point Identifier
                            	**type**\:  int
                            
                            	**range:** 1..8191
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.domain = None
                                self.mpid = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mep'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.domain is not None:
                                    return True

                                if self.mpid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Cfm.Mep']['meta_info']


                        class Mip(object):
                            """
                            Maintenance Intermediate Point
                            
                            .. attribute:: level
                            
                            	Maintenance Level
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.level = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.level is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Cfm.Mip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cfm'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.encapsulation is not None and self.encapsulation._has_data():
                                return True

                            if self.mep is not None and self.mep._has_data():
                                return True

                            if self.mip is not None and self.mip._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Cfm']['meta_info']


                    class L2Protocol(object):
                        """
                        Configure l2 control protocol processing
                        
                        .. attribute:: forward
                        
                        	forward L2 control protocol packets as data
                        	**type**\:   :py:class:`Forward <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Forward>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: peer
                        
                        	peer L2 control protocol packets as data
                        	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Peer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: tunnel
                        
                        	tunnel L2 control protocol packets as data
                        	**type**\:   :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Tunnel>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forward = None
                            self.peer = None
                            self.tunnel = None


                        class Peer(object):
                            """
                            peer L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Peer.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Peer.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:peer'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Peer']['meta_info']


                        class Forward(object):
                            """
                            forward L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Forward.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Forward.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:forward'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Forward']['meta_info']


                        class Tunnel(object):
                            """
                            tunnel L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Tunnel.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Tunnel.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:tunnel'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.L2Protocol.Tunnel']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:l2protocol'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forward is not None and self.forward._has_data():
                                return True

                            if self.peer is not None and self.peer._has_data():
                                return True

                            if self.tunnel is not None and self.tunnel._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.L2Protocol']['meta_info']


                    class Xconnect(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup>`
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Xconnect.EncapsulationEnum>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\:  str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Xconnect.SequencingEnum>`
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.backup = Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup()
                            self.backup.parent = self
                            self.encapsulation = None
                            self.manual = None
                            self.mtu = None
                            self.pw_class = None
                            self.sequencing = None
                            self.vcid = None

                        class EncapsulationEnum(Enum):
                            """
                            EncapsulationEnum

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = 0

                            l2tpv3 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Xconnect.EncapsulationEnum']


                        class SequencingEnum(Enum):
                            """
                            SequencingEnum

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = 0

                            receive = 1

                            transmit = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Xconnect.SequencingEnum']



                        class Backup(object):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup.Delay>`
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup.Peer>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.delay = Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self.peer = Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup.Peer()
                                self.peer.parent = self


                            class Peer(object):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\:  int
                                
                                	**range:** 1..10
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.peer_router_ip_addr = None
                                    self.priority = None
                                    self.pw_class = None
                                    self.vcid = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.peer_router_ip_addr is not None:
                                        return True

                                    if self.priority is not None:
                                        return True

                                    if self.pw_class is not None:
                                        return True

                                    if self.vcid is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup.Peer']['meta_info']


                            class Delay(object):
                                """
                                backup delay time
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: min
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None
                                    self.min = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup.Delay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:backup'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.delay is not None and self.delay._has_data():
                                    return True

                                if self.peer is not None and self.peer._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Xconnect.Backup']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:xconnect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.backup is not None and self.backup._has_data():
                                return True

                            if self.encapsulation is not None:
                                return True

                            if self.manual is not None:
                                return True

                            if self.mtu is not None:
                                return True

                            if self.pw_class is not None:
                                return True

                            if self.sequencing is not None:
                                return True

                            if self.vcid is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.Xconnect']['meta_info']


                    class XconnectPwClass(object):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.xconnect = Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self


                        class Xconnect(object):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\:  str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp>`
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.pw_class = None
                                self.udp = Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self.vcid = None


                            class Udp(object):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port = Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self


                                class Port(object):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-l2vpn'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.local = None
                                        self.remote = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:port'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.local is not None:
                                            return True

                                        if self.remote is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:udp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port is not None and self.port._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:xconnect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.udp is not None and self.udp._has_data():
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass.Xconnect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:xconnect-pw-class'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.xconnect is not None and self.xconnect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance.XconnectPwClass']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:instance[Cisco-IOS-XE-ethernet:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.bridge_domain is not None and self.bridge_domain._has_data():
                            return True

                        if self.cfm is not None and self.cfm._has_data():
                            return True

                        if self.description is not None:
                            return True

                        if self.encapsulation is not None and self.encapsulation._has_data():
                            return True

                        if self.errdisable is not None and self.errdisable._has_data():
                            return True

                        if self.ethernet is not None:
                            return True

                        if self.ethernet_container is not None and self.ethernet_container._has_data():
                            return True

                        if self.ethernet_evc_name is not None:
                            return True

                        if self.evc_name is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        if self.l2protocol is not None and self.l2protocol._has_data():
                            return True

                        if self.mac is not None and self.mac._has_data():
                            return True

                        if self.rewrite is not None and self.rewrite._has_data():
                            return True

                        if self.service_policy is not None and self.service_policy._has_data():
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.snmp is not None and self.snmp._has_data():
                            return True

                        if self.trunk is not None:
                            return True

                        if self.xconnect is not None and self.xconnect._has_data():
                            return True

                        if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Service.Instance']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:service'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.instance is not None:
                        for child_ref in self.instance:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Service']['meta_info']


            class Xconnect(object):
                """
                Xconnect commands
                
                .. attribute:: address
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: encapsulation
                
                	Data encapsulation method
                	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Xconnect.EncapsulationEnum>`
                
                .. attribute:: manual
                
                	Manually configure L2TP session parameters
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pw_class
                
                	Pseudowire\-class to use for encapsulation and protocol configuration
                	**type**\:  str
                
                .. attribute:: sequence
                
                	Configure sequencing options for xconnect
                	**type**\:   :py:class:`SequenceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Xconnect.SequenceEnum>`
                
                .. attribute:: vcid
                
                	
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = None
                    self.encapsulation = None
                    self.manual = None
                    self.pw_class = None
                    self.sequence = None
                    self.vcid = None

                class EncapsulationEnum(Enum):
                    """
                    EncapsulationEnum

                    Data encapsulation method

                    .. data:: mpls = 0

                    .. data:: l2tpv3 = 1

                    """

                    mpls = 0

                    l2tpv3 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Xconnect.EncapsulationEnum']


                class SequenceEnum(Enum):
                    """
                    SequenceEnum

                    Configure sequencing options for xconnect

                    .. data:: both = 0

                    .. data:: receive = 1

                    .. data:: transmit = 2

                    """

                    both = 0

                    receive = 1

                    transmit = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Xconnect.SequenceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:xconnect'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None:
                        return True

                    if self.encapsulation is not None:
                        return True

                    if self.manual is not None:
                        return True

                    if self.pw_class is not None:
                        return True

                    if self.sequence is not None:
                        return True

                    if self.vcid is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Xconnect']['meta_info']


            class Cdp(object):
                """
                CDP interface subcommands
                
                .. attribute:: enable
                
                	Enable CDP on interface
                	**type**\:  bool
                
                .. attribute:: tlv
                
                	Enable exchange of specific tlv information
                	**type**\:   :py:class:`Tlv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Cdp.Tlv>`
                
                

                """

                _prefix = 'ios-cdp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None
                    self.tlv = Native.Interface.Gigabitethernet.Cdp.Tlv()
                    self.tlv.parent = self


                class Tlv(object):
                    """
                    Enable exchange of specific tlv information
                    
                    .. attribute:: app
                    
                    	Enable/Configure Application TLV
                    	**type**\:   :py:class:`App <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Cdp.Tlv.App>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: location
                    
                    	Exchange location information
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: server_location
                    
                    	Enable CDP location server on interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-cdp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.app = None
                        self.location = None
                        self.server_location = None


                    class App(object):
                        """
                        Enable/Configure Application TLV
                        
                        .. attribute:: tlvtype
                        
                        	Configure APP TLV
                        	**type**\:  int
                        
                        	**range:** 1001..65535
                        
                        .. attribute:: value
                        
                        	Configure App TLV Value information
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-cdp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tlvtype = None
                            self.value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cdp:app'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tlvtype is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Cdp.Tlv.App']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-cdp:tlv'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.app is not None and self.app._has_data():
                            return True

                        if self.location is not None:
                            return True

                        if self.server_location is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Cdp.Tlv']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-cdp:cdp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    if self.tlv is not None and self.tlv._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Cdp']['meta_info']


            class Crypto(object):
                """
                Encryption/Decryption commands
                
                .. attribute:: ipsec
                
                	Set IPSec parameters
                	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Crypto.Ipsec>`
                
                .. attribute:: map
                
                	Assign a Crypto Map
                	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Crypto.Map>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipsec = Native.Interface.Gigabitethernet.Crypto.Ipsec()
                    self.ipsec.parent = self
                    self.map = Native.Interface.Gigabitethernet.Crypto.Map()
                    self.map.parent = self


                class Map(object):
                    """
                    Assign a Crypto Map
                    
                    .. attribute:: redundancy
                    
                    	enable redundancy
                    	**type**\:  str
                    
                    .. attribute:: stateful
                    
                    	enable stateful failover
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: tag
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.redundancy = None
                        self.stateful = None
                        self.tag = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.redundancy is not None:
                            return True

                        if self.stateful is not None:
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Crypto.Map']['meta_info']


                class Ipsec(object):
                    """
                    Set IPSec parameters
                    
                    .. attribute:: df_bit
                    
                    	Handling of encapsulated DF bit
                    	**type**\:   :py:class:`DfBitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Crypto.Ipsec.DfBitEnum>`
                    
                    .. attribute:: fragmentation
                    
                    	Handling of fragmentation of near\-MTU sized packets
                    	**type**\:   :py:class:`FragmentationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Crypto.Ipsec.FragmentationEnum>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.df_bit = None
                        self.fragmentation = None

                    class DfBitEnum(Enum):
                        """
                        DfBitEnum

                        Handling of encapsulated DF bit.

                        .. data:: clear = 0

                        .. data:: copy = 1

                        .. data:: set = 2

                        """

                        clear = 0

                        copy = 1

                        set = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Crypto.Ipsec.DfBitEnum']


                    class FragmentationEnum(Enum):
                        """
                        FragmentationEnum

                        Handling of fragmentation of near\-MTU sized packets

                        .. data:: after_encryption = 0

                        .. data:: before_encryption = 1

                        """

                        after_encryption = 0

                        before_encryption = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Crypto.Ipsec.FragmentationEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:ipsec'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.df_bit is not None:
                            return True

                        if self.fragmentation is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Crypto.Ipsec']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:crypto'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipsec is not None and self.ipsec._has_data():
                        return True

                    if self.map is not None and self.map._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Crypto']['meta_info']


            class Cts(object):
                """
                Configure Cisco Trusted Security
                
                .. attribute:: manual
                
                	Supply local configuration for CTS parameters
                	**type**\:   :py:class:`Manual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Cts.Manual>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.manual = None


                class Manual(object):
                    """
                    Supply local configuration for CTS parameters
                    
                    .. attribute:: policy
                    
                    	CTS policy for manual mode
                    	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Cts.Manual.Policy>`
                    
                    .. attribute:: propagate
                    
                    	CTS SGT Propagation configuration for manual mode
                    	**type**\:   :py:class:`Propagate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Cts.Manual.Propagate>`
                    
                    .. attribute:: sap
                    
                    	CTS SAP configuration for manual mode
                    	**type**\:   :py:class:`Sap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Cts.Manual.Sap>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.policy = Native.Interface.Gigabitethernet.Cts.Manual.Policy()
                        self.policy.parent = self
                        self.propagate = Native.Interface.Gigabitethernet.Cts.Manual.Propagate()
                        self.propagate.parent = self
                        self.sap = Native.Interface.Gigabitethernet.Cts.Manual.Sap()
                        self.sap.parent = self


                    class Policy(object):
                        """
                        CTS policy for manual mode
                        
                        .. attribute:: static
                        
                        	Configure policy to be applied on the link
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Cts.Manual.Policy.Static>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = Native.Interface.Gigabitethernet.Cts.Manual.Policy.Static()
                            self.static.parent = self


                        class Static(object):
                            """
                            Configure policy to be applied on the link
                            
                            .. attribute:: sgt
                            
                            	Source Security Group Tag to apply to untagged or non\-trusted incoming traffic
                            	**type**\:  int
                            
                            	**range:** 2..65519
                            
                            .. attribute:: trusted
                            
                            	Trust the Source Group Tags (SGT) that the peer uses for sending
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.sgt = None
                                self.trusted = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-cts:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.sgt is not None:
                                    return True

                                if self.trusted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Policy.Static']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Policy']['meta_info']


                    class Sap(object):
                        """
                        CTS SAP configuration for manual mode
                        
                        .. attribute:: pmk
                        
                        	Pre\-Master Key (PMK) to use for CTS SAP
                        	**type**\: list of    :py:class:`Pmk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.pmk = YList()
                            self.pmk.parent = self
                            self.pmk.name = 'pmk'


                        class Pmk(object):
                            """
                            Pre\-Master Key (PMK) to use for CTS SAP
                            
                            .. attribute:: word  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: mode_list
                            
                            	List of advertised modes (prioritized from highest to lowest)
                            	**type**\:   :py:class:`ModeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.word = None
                                self.mode_list = Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList()
                                self.mode_list.parent = self


                            class ModeList(object):
                                """
                                List of advertised modes (prioritized from highest to lowest)
                                
                                .. attribute:: gcm_encrypt
                                
                                	GCM authentication, GCM encryption
                                	**type**\:   :py:class:`GcmEncrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_encap
                                
                                	No encapsulation
                                	**type**\:   :py:class:`NoEncap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.gcm_encrypt = None
                                    self.no_encap = None


                                class GcmEncrypt(object):
                                    """
                                    GCM authentication, GCM encryption
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:   :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.gmac = None


                                    class Gmac(object):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: null
                                        
                                        	Encapsulation present, no authentication,       no encryption
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.null = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:gmac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.null is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:gcm-encrypt'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.gmac is not None and self.gmac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info']


                                class NoEncap(object):
                                    """
                                    No encapsulation
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:   :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.gmac = None


                                    class Gmac(object):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: gcm_encrypt
                                        
                                        	GCM authentication, GCM encryption
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.gcm_encrypt = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:gmac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.gcm_encrypt is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:no-encap'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.gmac is not None and self.gmac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-cts:mode-list'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.gcm_encrypt is not None and self.gcm_encrypt._has_data():
                                        return True

                                    if self.no_encap is not None and self.no_encap._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk.ModeList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.word is None:
                                    raise YPYModelError('Key property word is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-cts:pmk[Cisco-IOS-XE-cts:word = ' + str(self.word) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.word is not None:
                                    return True

                                if self.mode_list is not None and self.mode_list._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Sap.Pmk']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:sap'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.pmk is not None:
                                for child_ref in self.pmk:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Sap']['meta_info']


                    class Propagate(object):
                        """
                        CTS SGT Propagation configuration for manual mode
                        
                        .. attribute:: sgt
                        
                        	CTS SGT Propagation configuration
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.sgt = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:propagate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.sgt is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Cts.Manual.Propagate']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-cts:manual'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.policy is not None and self.policy._has_data():
                            return True

                        if self.propagate is not None and self.propagate._has_data():
                            return True

                        if self.sap is not None and self.sap._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Cts.Manual']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-cts:cts'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.manual is not None and self.manual._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Cts']['meta_info']


            class Dot1X(object):
                """
                Interface Config Commands for IEEE 802.1X
                
                .. attribute:: authenticator
                
                	Configure authenticator parameters
                	**type**\:   :py:class:`Authenticator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Dot1X.Authenticator>`
                
                .. attribute:: credentials
                
                	Credentials profile configuration
                	**type**\:  str
                
                .. attribute:: max_reauth_req
                
                	Max No. of Reauthentication Attempts
                	**type**\:  int
                
                	**range:** 1..10
                
                .. attribute:: max_req
                
                	Max No. of Retries
                	**type**\:  int
                
                	**range:** 1..10
                
                .. attribute:: max_start
                
                	Max No. of EAPOL\-Start requests
                	**type**\:  int
                
                	**range:** 1..10
                
                .. attribute:: pae
                
                	Set 802.1x interface pae type
                	**type**\:   :py:class:`PaeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Dot1X.PaeEnum>`
                
                .. attribute:: supplicant
                
                	Configure supplicant parameters
                	**type**\:   :py:class:`Supplicant <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Dot1X.Supplicant>`
                
                .. attribute:: timeout
                
                	Various Timeouts
                	**type**\:   :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Dot1X.Timeout>`
                
                

                """

                _prefix = 'ios-dot1x'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.authenticator = Native.Interface.Gigabitethernet.Dot1X.Authenticator()
                    self.authenticator.parent = self
                    self.credentials = None
                    self.max_reauth_req = None
                    self.max_req = None
                    self.max_start = None
                    self.pae = None
                    self.supplicant = Native.Interface.Gigabitethernet.Dot1X.Supplicant()
                    self.supplicant.parent = self
                    self.timeout = Native.Interface.Gigabitethernet.Dot1X.Timeout()
                    self.timeout.parent = self

                class PaeEnum(Enum):
                    """
                    PaeEnum

                    Set 802.1x interface pae type

                    .. data:: authenticator = 0

                    .. data:: supplicant = 1

                    .. data:: both = 2

                    """

                    authenticator = 0

                    supplicant = 1

                    both = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Dot1X.PaeEnum']



                class Authenticator(object):
                    """
                    Configure authenticator parameters
                    
                    .. attribute:: eap
                    
                    	Configure EAP authenticator parameters
                    	**type**\:   :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Dot1X.Authenticator.Eap>`
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eap = Native.Interface.Gigabitethernet.Dot1X.Authenticator.Eap()
                        self.eap.parent = self


                    class Eap(object):
                        """
                        Configure EAP authenticator parameters
                        
                        .. attribute:: profile
                        
                        	EAP authenticator profile configuration
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dot1x'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.profile = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dot1x:eap'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.profile is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Dot1X.Authenticator.Eap']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-dot1x:authenticator'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eap is not None and self.eap._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Dot1X.Authenticator']['meta_info']


                class Supplicant(object):
                    """
                    Configure supplicant parameters
                    
                    .. attribute:: eap
                    
                    	Configure EAP supplicant parameters
                    	**type**\:   :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Dot1X.Supplicant.Eap>`
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eap = Native.Interface.Gigabitethernet.Dot1X.Supplicant.Eap()
                        self.eap.parent = self


                    class Eap(object):
                        """
                        Configure EAP supplicant parameters
                        
                        .. attribute:: profile
                        
                        	EAP supplicant profile configuration
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dot1x'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.profile = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dot1x:eap'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.profile is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Dot1X.Supplicant.Eap']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-dot1x:supplicant'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eap is not None and self.eap._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Dot1X.Supplicant']['meta_info']


                class Timeout(object):
                    """
                    Various Timeouts
                    
                    .. attribute:: auth_period
                    
                    	Timeout for authenticator reply
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: held_period
                    
                    	Timeout for authentication retries
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: quiet_period
                    
                    	QuietPeriod in Seconds
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: ratelimit_period
                    
                    	Ratelimit Period in seconds
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: server_timeout
                    
                    	Timeout for Radius Retries
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: start_period
                    
                    	Timeout for EAPOL\-start retries
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: supp_timeout
                    
                    	Timeout for supplicant reply
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tx_period
                    
                    	Timeout for supplicant retries
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auth_period = None
                        self.held_period = None
                        self.quiet_period = None
                        self.ratelimit_period = None
                        self.server_timeout = None
                        self.start_period = None
                        self.supp_timeout = None
                        self.tx_period = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-dot1x:timeout'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auth_period is not None:
                            return True

                        if self.held_period is not None:
                            return True

                        if self.quiet_period is not None:
                            return True

                        if self.ratelimit_period is not None:
                            return True

                        if self.server_timeout is not None:
                            return True

                        if self.start_period is not None:
                            return True

                        if self.supp_timeout is not None:
                            return True

                        if self.tx_period is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Dot1X.Timeout']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-dot1x:dot1x'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.authenticator is not None and self.authenticator._has_data():
                        return True

                    if self.credentials is not None:
                        return True

                    if self.max_reauth_req is not None:
                        return True

                    if self.max_req is not None:
                        return True

                    if self.max_start is not None:
                        return True

                    if self.pae is not None:
                        return True

                    if self.supplicant is not None and self.supplicant._has_data():
                        return True

                    if self.timeout is not None and self.timeout._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Dot1X']['meta_info']


            class Performance(object):
                """
                Global performance monitor configuration
                
                .. attribute:: monitor
                
                	monitor
                	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Performance.Monitor>`
                
                

                """

                _prefix = 'ios-ezpm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.monitor = Native.Interface.Gigabitethernet.Performance.Monitor()
                    self.monitor.parent = self


                class Monitor(object):
                    """
                    monitor
                    
                    .. attribute:: context
                    
                    	Select ezPM context
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-ezpm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.context = YLeafList()
                        self.context.parent = self
                        self.context.name = 'context'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ezpm:monitor'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.context is not None:
                            for child in self.context:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Performance.Monitor']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ezpm:performance'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.monitor is not None and self.monitor._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Performance']['meta_info']


            class ServicePolicy(object):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.history = None
                    self.input = None
                    self.output = None
                    self.type = Native.Interface.Gigabitethernet.ServicePolicy.Type()
                    self.type.parent = self


                class Type(object):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:   :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:   :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:   :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.control = Native.Interface.Gigabitethernet.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self.performance_monitor = Native.Interface.Gigabitethernet.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self.service_chain = Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self


                    class Control(object):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.subscriber = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:control'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.subscriber is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.ServicePolicy.Type.Control']['meta_info']


                    class PerformanceMonitor(object):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.ServicePolicy.Type.PerformanceMonitor.DirectionEnum>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.direction = None
                            self.name = None

                        class DirectionEnum(Enum):
                            """
                            DirectionEnum

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = 0

                            output = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.ServicePolicy.Type.PerformanceMonitor.DirectionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:performance-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.direction is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.ServicePolicy.Type.PerformanceMonitor']['meta_info']


                    class ServiceChain(object):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self.output = Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self


                        class Input(object):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain.Input']['meta_info']


                        class Output(object):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:output'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:service-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None and self.input._has_data():
                                return True

                            if self.output is not None and self.output._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.ServicePolicy.Type.ServiceChain']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.control is not None and self.control._has_data():
                            return True

                        if self.performance_monitor is not None and self.performance_monitor._has_data():
                            return True

                        if self.service_chain is not None and self.service_chain._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.ServicePolicy.Type']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.history is not None:
                        return True

                    if self.input is not None:
                        return True

                    if self.output is not None:
                        return True

                    if self.type is not None and self.type._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.ServicePolicy']['meta_info']


            class Snmp(object):
                """
                Modify SNMP interface parameters
                
                .. attribute:: ifindex
                
                	Persist ifindex for the interface
                	**type**\:   :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Snmp.Ifindex>`
                
                .. attribute:: trap
                
                	Allow a specific SNMP trap
                	**type**\:   :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Snmp.Trap>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ifindex = Native.Interface.Gigabitethernet.Snmp.Ifindex()
                    self.ifindex.parent = self
                    self.trap = Native.Interface.Gigabitethernet.Snmp.Trap()
                    self.trap.parent = self


                class Ifindex(object):
                    """
                    Persist ifindex for the interface
                    
                    .. attribute:: clear
                    
                    	Clear Enable/Disable ifIndex persistence
                    	**type**\:  bool
                    
                    .. attribute:: persist
                    
                    	Enable/Disable ifIndex persistence 
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.clear = None
                        self.persist = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-snmp:ifindex'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.clear is not None:
                            return True

                        if self.persist is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Snmp.Ifindex']['meta_info']


                class Trap(object):
                    """
                    Allow a specific SNMP trap
                    
                    .. attribute:: link_status
                    
                    	Allow SNMP LINKUP and LINKDOWN traps
                    	**type**\:  bool
                    
                    .. attribute:: link_status_capas
                    
                    	
                    	**type**\:   :py:class:`LinkStatusCapas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.link_status = None
                        self.link_status_capas = Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas()
                        self.link_status_capas.parent = self


                    class LinkStatusCapas(object):
                        """
                        
                        
                        .. attribute:: link_status
                        
                        	Allow SNMP LINKUP and LINKDOWN traps
                        	**type**\:   :py:class:`LinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.link_status = Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus()
                            self.link_status.parent = self


                        class LinkStatus(object):
                            """
                            Allow SNMP LINKUP and LINKDOWN traps
                            
                            .. attribute:: permit
                            
                            	Permit the following capability
                            	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.permit = Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit()
                                self.permit.parent = self


                            class Permit(object):
                                """
                                Permit the following capability
                                
                                .. attribute:: duplicates
                                
                                	Permit duplicate SNMP LINKUP and LINKDOWN traps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.duplicates = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:permit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.duplicates is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-snmp:link-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.permit is not None and self.permit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-snmp:link-status-capas'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.link_status is not None and self.link_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Snmp.Trap.LinkStatusCapas']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-snmp:trap'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.link_status is not None:
                            return True

                        if self.link_status_capas is not None and self.link_status_capas._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Snmp.Trap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:snmp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ifindex is not None and self.ifindex._has_data():
                        return True

                    if self.trap is not None and self.trap._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Snmp']['meta_info']


            class Lisp(object):
                """
                Locator/ID Separation Protocol
                
                .. attribute:: extended_subnet_mode
                
                	Configures to enable extended subnet mode on the interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mobility
                
                	Configures to allow EID mobility on interface
                	**type**\:   :py:class:`Mobility <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Lisp.Mobility>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.extended_subnet_mode = None
                    self.mobility = Native.Interface.Gigabitethernet.Lisp.Mobility()
                    self.mobility.parent = self


                class Mobility(object):
                    """
                    Configures to allow EID mobility on interface
                    
                    .. attribute:: discover
                    
                    	Configure mobility dynamic EID discover settings
                    	**type**\:   :py:class:`Discover <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Lisp.Mobility.Discover>`
                    
                    .. attribute:: dynamic_eid
                    
                    	
                    	**type**\:   :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Lisp.Mobility.DynamicEid>`
                    
                    .. attribute:: liveness
                    
                    	Configure mobility liveness settings
                    	**type**\:   :py:class:`Liveness <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Lisp.Mobility.Liveness>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.discover = Native.Interface.Gigabitethernet.Lisp.Mobility.Discover()
                        self.discover.parent = self
                        self.dynamic_eid = Native.Interface.Gigabitethernet.Lisp.Mobility.DynamicEid()
                        self.dynamic_eid.parent = self
                        self.liveness = Native.Interface.Gigabitethernet.Lisp.Mobility.Liveness()
                        self.liveness.parent = self


                    class DynamicEid(object):
                        """
                        
                        
                        .. attribute:: dynamic_eid_name
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: nbr_proxy_reply
                        
                        	Neighbor proxy reply behavior for dynamic EID group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: requests
                        
                        	Send neighbor proxy reply after reaching request threshold
                        	**type**\:  int
                        
                        	**range:** 0..5
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dynamic_eid_name = None
                            self.nbr_proxy_reply = None
                            self.requests = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:dynamic-eid'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dynamic_eid_name is not None:
                                return True

                            if self.nbr_proxy_reply is not None:
                                return True

                            if self.requests is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Lisp.Mobility.DynamicEid']['meta_info']


                    class Discover(object):
                        """
                        Configure mobility dynamic EID discover settings
                        
                        .. attribute:: arp
                        
                        	Dynamic EID discover through ARP events on this interface
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.arp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:discover'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.arp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Lisp.Mobility.Discover']['meta_info']


                    class Liveness(object):
                        """
                        Configure mobility liveness settings
                        
                        .. attribute:: test
                        
                        	Perform liveness test on dynamic\-EID discovered on this interface
                        	**type**\:  bool
                        
                        .. attribute:: ttl
                        
                        	Configures the TTL in the liveness test packet
                        	**type**\:  int
                        
                        	**range:** 2..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.test = None
                            self.ttl = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:liveness'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.test is not None:
                                return True

                            if self.ttl is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Lisp.Mobility.Liveness']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:mobility'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.discover is not None and self.discover._has_data():
                            return True

                        if self.dynamic_eid is not None and self.dynamic_eid._has_data():
                            return True

                        if self.liveness is not None and self.liveness._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Lisp.Mobility']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.extended_subnet_mode is not None:
                        return True

                    if self.mobility is not None and self.mobility._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Lisp']['meta_info']


            class Mka(object):
                """
                MACsec Key Agreement (MKA) interface configuration
                
                .. attribute:: pre_shared_key
                
                	Configure MKA Pre\-Shared\-Key
                	**type**\:   :py:class:`PreSharedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Mka.PreSharedKey>`
                
                

                """

                _prefix = 'ios-mka'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.pre_shared_key = Native.Interface.Gigabitethernet.Mka.PreSharedKey()
                    self.pre_shared_key.parent = self


                class PreSharedKey(object):
                    """
                    Configure MKA Pre\-Shared\-Key
                    
                    .. attribute:: key_chain
                    
                    	Configure the key\-chain name
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Mka.PreSharedKey.KeyChain>`
                    
                    

                    """

                    _prefix = 'ios-mka'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Gigabitethernet.Mka.PreSharedKey.KeyChain()
                        self.key_chain.parent = self


                    class KeyChain(object):
                        """
                        Configure the key\-chain name
                        
                        .. attribute:: name
                        
                        	Name of key\-chain to be used to get keys
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-mka'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mka:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Mka.PreSharedKey.KeyChain']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mka:pre-shared-key'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Mka.PreSharedKey']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-mka:mka'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.pre_shared_key is not None and self.pre_shared_key._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Mka']['meta_info']


            class Ospfv3(object):
                """
                OSPFv3 interface commands
                
                .. attribute:: authentication
                
                	Enable authentication
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Authentication>`
                
                .. attribute:: bfd
                
                	Enable BFD on this interface
                	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Bfd>`
                
                	**presence node**\: True
                
                .. attribute:: cost
                
                	Route cost of this interface
                	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Cost>`
                
                .. attribute:: database_filter
                
                	Filter OSPF LSA during synchronization and flooding
                	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.DatabaseFilter>`
                
                .. attribute:: dead_interval
                
                	Interval after which a neighbor is declared dead
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: demand_circuit
                
                	OSPF Demand Circuit
                	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.DemandCircuit>`
                
                	**presence node**\: True
                
                .. attribute:: encryption
                
                	Enable encryption
                	**type**\:   :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Encryption>`
                
                .. attribute:: flood_reduction
                
                	OSPF Flood Reduction
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hello_interval
                
                	Time between HELLO packets
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: manet
                
                	Mobile Adhoc Networking options
                	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Manet>`
                
                .. attribute:: mtu_ignore
                
                	Ignores the MTU in DBD packets
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: multi_area
                
                	Set the OSPF multi\-area ID
                	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.MultiArea>`
                
                .. attribute:: neighbor
                
                	OSPF neighbor
                	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Neighbor>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Network>`
                
                .. attribute:: prefix_suppression
                
                	OSPF prefix suppression
                	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.PrefixSuppression>`
                
                	**presence node**\: True
                
                .. attribute:: priority
                
                	Router priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: process_id
                
                	
                	**type**\: list of    :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId>`
                
                .. attribute:: retransmit_interval
                
                	Time between retransmitting lost link state advertisements
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: shutdown
                
                	Shut down the interface in OSPFv3
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: transmit_delay
                
                	Link state transmit delay
                	**type**\:  int
                
                	**range:** 1..65535
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.authentication = Native.Interface.Gigabitethernet.Ospfv3.Authentication()
                    self.authentication.parent = self
                    self.bfd = None
                    self.cost = Native.Interface.Gigabitethernet.Ospfv3.Cost()
                    self.cost.parent = self
                    self.database_filter = Native.Interface.Gigabitethernet.Ospfv3.DatabaseFilter()
                    self.database_filter.parent = self
                    self.dead_interval = None
                    self.demand_circuit = None
                    self.encryption = Native.Interface.Gigabitethernet.Ospfv3.Encryption()
                    self.encryption.parent = self
                    self.flood_reduction = None
                    self.hello_interval = None
                    self.manet = Native.Interface.Gigabitethernet.Ospfv3.Manet()
                    self.manet.parent = self
                    self.mtu_ignore = None
                    self.multi_area = Native.Interface.Gigabitethernet.Ospfv3.MultiArea()
                    self.multi_area.parent = self
                    self.neighbor = YList()
                    self.neighbor.parent = self
                    self.neighbor.name = 'neighbor'
                    self.network = Native.Interface.Gigabitethernet.Ospfv3.Network()
                    self.network.parent = self
                    self.prefix_suppression = None
                    self.priority = None
                    self.process_id = YList()
                    self.process_id.parent = self
                    self.process_id.name = 'process_id'
                    self.retransmit_interval = None
                    self.shutdown = None
                    self.transmit_delay = None


                class ProcessId(object):
                    """
                    
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost>`
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ipv4
                    
                    	Specify parameters for IPv4
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	Specify parameters for IPv6
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6>`
                    
                    .. attribute:: manet
                    
                    	Mobile Adhoc Networking options
                    	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.MultiArea>`
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Network>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.authentication = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Authentication()
                        self.authentication.parent = self
                        self.bfd = None
                        self.cost = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost()
                        self.cost.parent = self
                        self.database_filter = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.DatabaseFilter()
                        self.database_filter.parent = self
                        self.dead_interval = None
                        self.demand_circuit = None
                        self.flood_reduction = None
                        self.hello_interval = None
                        self.ipv4 = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4()
                        self.ipv4.parent = self
                        self.ipv6 = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6()
                        self.ipv6.parent = self
                        self.manet = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet()
                        self.manet.parent = self
                        self.mtu_ignore = None
                        self.multi_area = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.MultiArea()
                        self.multi_area.parent = self
                        self.neighbor = YList()
                        self.neighbor.parent = self
                        self.neighbor.name = 'neighbor'
                        self.network = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Network()
                        self.network.parent = self
                        self.prefix_suppression = None
                        self.priority = None
                        self.retransmit_interval = None
                        self.shutdown = None
                        self.transmit_delay = None


                    class Authentication(object):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:  str
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_chain = None
                            self.null = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_chain is not None:
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Authentication']['meta_info']


                    class Bfd(object):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Bfd']['meta_info']


                    class Cost(object):
                        """
                        Route cost of this interface
                        
                        .. attribute:: dynamic
                        
                        	Specify dynamic cost options
                        	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dynamic = None
                            self.value = None


                        class Dynamic(object):
                            """
                            Specify dynamic cost options
                            
                            .. attribute:: default
                            
                            	Specify default link metric value
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: hysteresis
                            
                            	Specify hysteresis value for LSA dampening
                            	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: weight
                            
                            	Specify weight to be placed on individual metrics
                            	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.default = None
                                self.hysteresis = None
                                self.weight = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight()
                                self.weight.parent = self


                            class Hysteresis(object):
                                """
                                Specify hysteresis value for LSA dampening
                                
                                .. attribute:: percent
                                
                                	Specify hysteresis percent changed
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold
                                
                                	Specify hysteresis threshold value
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.percent = None
                                    self.threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.percent is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis']['meta_info']


                            class Weight(object):
                                """
                                Specify weight to be placed on individual metrics
                                
                                .. attribute:: l2_factor
                                
                                	Specify weight to be given to L2\-factor metric
                                	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: latency
                                
                                	Specify weight to be given to latency metric
                                	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: resources
                                
                                	Specify weight to be given to resources metric
                                	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: throughput
                                
                                	Specify weight to be given to throughput metric
                                	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.l2_factor = None
                                    self.latency = None
                                    self.resources = None
                                    self.throughput = None


                                class L2Factor(object):
                                    """
                                    Specify weight to be given to L2\-factor metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor']['meta_info']


                                class Latency(object):
                                    """
                                    Specify weight to be given to latency metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency']['meta_info']


                                class Resources(object):
                                    """
                                    Specify weight to be given to resources metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources']['meta_info']


                                class Throughput(object):
                                    """
                                    Specify weight to be given to throughput metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.l2_factor is not None and self.l2_factor._has_data():
                                        return True

                                    if self.latency is not None and self.latency._has_data():
                                        return True

                                    if self.resources is not None and self.resources._has_data():
                                        return True

                                    if self.throughput is not None and self.throughput._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.default is not None:
                                    return True

                                if self.hysteresis is not None and self.hysteresis._has_data():
                                    return True

                                if self.weight is not None and self.weight._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost.Dynamic']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dynamic is not None and self.dynamic._has_data():
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Cost']['meta_info']


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.DatabaseFilter.AllEnum>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.disable = None

                        class AllEnum(Enum):
                            """
                            AllEnum

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.DatabaseFilter.AllEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.DatabaseFilter']['meta_info']


                    class DemandCircuit(object):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None
                            self.ignore = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.DemandCircuit']['meta_info']


                    class FloodReduction(object):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:flood-reduction'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.FloodReduction']['meta_info']


                    class Manet(object):
                        """
                        Mobile Adhoc Networking options
                        
                        .. attribute:: peering
                        
                        	MANET Peering options
                        	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet.Peering>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.peering = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet.Peering()
                            self.peering.parent = self


                        class Peering(object):
                            """
                            MANET Peering options
                            
                            .. attribute:: cost
                            
                            	Redundant path cost improvement required to peer
                            	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet.Peering.Cost>`
                            
                            .. attribute:: link_metrics
                            
                            	Require link metrics
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cost = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet.Peering.Cost()
                                self.cost.parent = self
                                self.link_metrics = None


                            class Cost(object):
                                """
                                Redundant path cost improvement required to peer
                                
                                .. attribute:: percent
                                
                                	Relative incremental path cost
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: threshold
                                
                                	Absolute incremental path cost
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.percent = None
                                    self.threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.percent is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet.Peering.Cost']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cost is not None and self.cost._has_data():
                                    return True

                                if self.link_metrics is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet.Peering']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.peering is not None and self.peering._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Manet']['meta_info']


                    class MtuIgnore(object):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mtu-ignore'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.MtuIgnore']['meta_info']


                    class MultiArea(object):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: disable
                        
                        	disable OSPF multi\-area
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cost = None
                            self.disable = None
                            self.id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cost is not None:
                                return True

                            if self.disable is not None:
                                return True

                            if self.id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.MultiArea']['meta_info']


                    class Neighbor(object):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.cost = None
                            self.database_filter = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self.poll_interval = None
                            self.priority = None


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.cost is not None:
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.poll_interval is not None:
                                return True

                            if self.priority is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Neighbor']['meta_info']


                    class Network(object):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.broadcast = None
                            self.manet = None
                            self.non_broadcast = None
                            self.point_to_multipoint = None
                            self.point_to_point = None


                        class PointToMultipoint(object):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.non_broadcast = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.non_broadcast is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Network.PointToMultipoint']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.broadcast is not None:
                                return True

                            if self.manet is not None:
                                return True

                            if self.non_broadcast is not None:
                                return True

                            if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                return True

                            if self.point_to_point is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Network']['meta_info']


                    class PrefixSuppression(object):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.PrefixSuppression']['meta_info']


                    class Shutdown(object):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:shutdown'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Shutdown']['meta_info']


                    class Ipv4(object):
                        """
                        Specify parameters for IPv4
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.area = YList()
                            self.area.parent = self
                            self.area.name = 'area'
                            self.authentication = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Authentication()
                            self.authentication.parent = self
                            self.bfd = None
                            self.cost = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost()
                            self.cost.parent = self
                            self.database_filter = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter()
                            self.database_filter.parent = self
                            self.dead_interval = None
                            self.demand_circuit = None
                            self.flood_reduction = None
                            self.hello_interval = None
                            self.manet = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet()
                            self.manet.parent = self
                            self.mtu_ignore = None
                            self.multi_area = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.MultiArea()
                            self.multi_area.parent = self
                            self.neighbor = YList()
                            self.neighbor.parent = self
                            self.neighbor.name = 'neighbor'
                            self.network = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Network()
                            self.network.parent = self
                            self.prefix_suppression = None
                            self.priority = None
                            self.retransmit_interval = None
                            self.shutdown = None
                            self.transmit_delay = None


                        class Area(object):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\:  int
                            
                            	**range:** 64..95
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.instance = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.instance is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Area']['meta_info']


                        class Authentication(object):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\:  str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.null = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.null is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Authentication']['meta_info']


                        class Bfd(object):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Bfd']['meta_info']


                        class Cost(object):
                            """
                            Route cost of this interface
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.value = None


                            class Dynamic(object):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.default = None
                                    self.hysteresis = None
                                    self.weight = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight()
                                    self.weight.parent = self


                                class Hysteresis(object):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis']['meta_info']


                                class Weight(object):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.l2_factor = None
                                        self.latency = None
                                        self.resources = None
                                        self.throughput = None


                                    class L2Factor(object):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor']['meta_info']


                                    class Latency(object):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency']['meta_info']


                                    class Resources(object):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources']['meta_info']


                                    class Throughput(object):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.l2_factor is not None and self.l2_factor._has_data():
                                            return True

                                        if self.latency is not None and self.latency._has_data():
                                            return True

                                        if self.resources is not None and self.resources._has_data():
                                            return True

                                        if self.throughput is not None and self.throughput._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.default is not None:
                                        return True

                                    if self.hysteresis is not None and self.hysteresis._has_data():
                                        return True

                                    if self.weight is not None and self.weight._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None and self.dynamic._has_data():
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Cost']['meta_info']


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None
                                self.disable = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter']['meta_info']


                        class DemandCircuit(object):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None
                                self.ignore = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                if self.ignore is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.DemandCircuit']['meta_info']


                        class FloodReduction(object):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:flood-reduction'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.FloodReduction']['meta_info']


                        class Manet(object):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.peering = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering()
                                self.peering.parent = self


                            class Peering(object):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cost = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self.link_metrics = None


                                class Cost(object):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cost is not None and self.cost._has_data():
                                        return True

                                    if self.link_metrics is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.peering is not None and self.peering._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Manet']['meta_info']


                        class MtuIgnore(object):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mtu-ignore'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.MtuIgnore']['meta_info']


                        class MultiArea(object):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cost = None
                                self.disable = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cost is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.MultiArea']['meta_info']


                        class Neighbor(object):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.cost = None
                                self.database_filter = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self.poll_interval = None
                                self.priority = None


                            class DatabaseFilter(object):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.all = None

                                class AllEnum(Enum):
                                    """
                                    AllEnum

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.all is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.cost is not None:
                                    return True

                                if self.database_filter is not None and self.database_filter._has_data():
                                    return True

                                if self.poll_interval is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor']['meta_info']


                        class Network(object):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.broadcast = None
                                self.manet = None
                                self.non_broadcast = None
                                self.point_to_multipoint = None
                                self.point_to_point = None


                            class PointToMultipoint(object):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.non_broadcast = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.non_broadcast is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.broadcast is not None:
                                    return True

                                if self.manet is not None:
                                    return True

                                if self.non_broadcast is not None:
                                    return True

                                if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                    return True

                                if self.point_to_point is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Network']['meta_info']


                        class PrefixSuppression(object):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression']['meta_info']


                        class Shutdown(object):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:shutdown'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4.Shutdown']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.area is not None:
                                for child_ref in self.area:
                                    if child_ref._has_data():
                                        return True

                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.bfd is not None and self.bfd._has_data():
                                return True

                            if self.cost is not None and self.cost._has_data():
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.dead_interval is not None:
                                return True

                            if self.demand_circuit is not None and self.demand_circuit._has_data():
                                return True

                            if self.flood_reduction is not None and self.flood_reduction._has_data():
                                return True

                            if self.hello_interval is not None:
                                return True

                            if self.manet is not None and self.manet._has_data():
                                return True

                            if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                                return True

                            if self.multi_area is not None and self.multi_area._has_data():
                                return True

                            if self.neighbor is not None:
                                for child_ref in self.neighbor:
                                    if child_ref._has_data():
                                        return True

                            if self.network is not None and self.network._has_data():
                                return True

                            if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                                return True

                            if self.priority is not None:
                                return True

                            if self.retransmit_interval is not None:
                                return True

                            if self.shutdown is not None and self.shutdown._has_data():
                                return True

                            if self.transmit_delay is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']


                    class Ipv6(object):
                        """
                        Specify parameters for IPv6
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.area = YList()
                            self.area.parent = self
                            self.area.name = 'area'
                            self.authentication = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Authentication()
                            self.authentication.parent = self
                            self.bfd = None
                            self.cost = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost()
                            self.cost.parent = self
                            self.database_filter = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter()
                            self.database_filter.parent = self
                            self.dead_interval = None
                            self.demand_circuit = None
                            self.flood_reduction = None
                            self.hello_interval = None
                            self.manet = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet()
                            self.manet.parent = self
                            self.mtu_ignore = None
                            self.multi_area = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.MultiArea()
                            self.multi_area.parent = self
                            self.neighbor = YList()
                            self.neighbor.parent = self
                            self.neighbor.name = 'neighbor'
                            self.network = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Network()
                            self.network.parent = self
                            self.prefix_suppression = None
                            self.priority = None
                            self.retransmit_interval = None
                            self.shutdown = None
                            self.transmit_delay = None


                        class Area(object):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\:  int
                            
                            	**range:** 0..31
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.instance = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.instance is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Area']['meta_info']


                        class Authentication(object):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\:  str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.null = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.null is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Authentication']['meta_info']


                        class Bfd(object):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Bfd']['meta_info']


                        class Cost(object):
                            """
                            Route cost of this interface
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.value = None


                            class Dynamic(object):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.default = None
                                    self.hysteresis = None
                                    self.weight = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight()
                                    self.weight.parent = self


                                class Hysteresis(object):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis']['meta_info']


                                class Weight(object):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.l2_factor = None
                                        self.latency = None
                                        self.resources = None
                                        self.throughput = None


                                    class L2Factor(object):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor']['meta_info']


                                    class Latency(object):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency']['meta_info']


                                    class Resources(object):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources']['meta_info']


                                    class Throughput(object):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.l2_factor is not None and self.l2_factor._has_data():
                                            return True

                                        if self.latency is not None and self.latency._has_data():
                                            return True

                                        if self.resources is not None and self.resources._has_data():
                                            return True

                                        if self.throughput is not None and self.throughput._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.default is not None:
                                        return True

                                    if self.hysteresis is not None and self.hysteresis._has_data():
                                        return True

                                    if self.weight is not None and self.weight._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None and self.dynamic._has_data():
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Cost']['meta_info']


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None
                                self.disable = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter']['meta_info']


                        class DemandCircuit(object):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None
                                self.ignore = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                if self.ignore is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.DemandCircuit']['meta_info']


                        class FloodReduction(object):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:flood-reduction'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.FloodReduction']['meta_info']


                        class Manet(object):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.peering = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering()
                                self.peering.parent = self


                            class Peering(object):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cost = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self.link_metrics = None


                                class Cost(object):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cost is not None and self.cost._has_data():
                                        return True

                                    if self.link_metrics is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.peering is not None and self.peering._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Manet']['meta_info']


                        class MtuIgnore(object):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mtu-ignore'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.MtuIgnore']['meta_info']


                        class MultiArea(object):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cost = None
                                self.disable = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cost is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.MultiArea']['meta_info']


                        class Neighbor(object):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.cost = None
                                self.database_filter = Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self.poll_interval = None
                                self.priority = None


                            class DatabaseFilter(object):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.all = None

                                class AllEnum(Enum):
                                    """
                                    AllEnum

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.all is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.cost is not None:
                                    return True

                                if self.database_filter is not None and self.database_filter._has_data():
                                    return True

                                if self.poll_interval is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor']['meta_info']


                        class Network(object):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.broadcast = None
                                self.manet = None
                                self.non_broadcast = None
                                self.point_to_multipoint = None
                                self.point_to_point = None


                            class PointToMultipoint(object):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.non_broadcast = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.non_broadcast is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.broadcast is not None:
                                    return True

                                if self.manet is not None:
                                    return True

                                if self.non_broadcast is not None:
                                    return True

                                if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                    return True

                                if self.point_to_point is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Network']['meta_info']


                        class PrefixSuppression(object):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression']['meta_info']


                        class Shutdown(object):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:shutdown'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6.Shutdown']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.area is not None:
                                for child_ref in self.area:
                                    if child_ref._has_data():
                                        return True

                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.bfd is not None and self.bfd._has_data():
                                return True

                            if self.cost is not None and self.cost._has_data():
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.dead_interval is not None:
                                return True

                            if self.demand_circuit is not None and self.demand_circuit._has_data():
                                return True

                            if self.flood_reduction is not None and self.flood_reduction._has_data():
                                return True

                            if self.hello_interval is not None:
                                return True

                            if self.manet is not None and self.manet._has_data():
                                return True

                            if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                                return True

                            if self.multi_area is not None and self.multi_area._has_data():
                                return True

                            if self.neighbor is not None:
                                for child_ref in self.neighbor:
                                    if child_ref._has_data():
                                        return True

                            if self.network is not None and self.network._has_data():
                                return True

                            if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                                return True

                            if self.priority is not None:
                                return True

                            if self.retransmit_interval is not None:
                                return True

                            if self.shutdown is not None and self.shutdown._has_data():
                                return True

                            if self.transmit_delay is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:process-id[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        if self.cost is not None and self.cost._has_data():
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.dead_interval is not None:
                            return True

                        if self.demand_circuit is not None and self.demand_circuit._has_data():
                            return True

                        if self.flood_reduction is not None and self.flood_reduction._has_data():
                            return True

                        if self.hello_interval is not None:
                            return True

                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        if self.manet is not None and self.manet._has_data():
                            return True

                        if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                            return True

                        if self.multi_area is not None and self.multi_area._has_data():
                            return True

                        if self.neighbor is not None:
                            for child_ref in self.neighbor:
                                if child_ref._has_data():
                                    return True

                        if self.network is not None and self.network._has_data():
                            return True

                        if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.retransmit_interval is not None:
                            return True

                        if self.shutdown is not None and self.shutdown._has_data():
                            return True

                        if self.transmit_delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.ProcessId']['meta_info']


                class Authentication(object):
                    """
                    Enable authentication
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec authentication
                    	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec>`
                    
                    .. attribute:: key_chain
                    
                    	Use a key\-chain for cryptographic authentication keys
                    	**type**\:  str
                    
                    .. attribute:: null
                    
                    	Use no authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipsec = Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec()
                        self.ipsec.parent = self
                        self.key_chain = None
                        self.null = None


                    class Ipsec(object):
                        """
                        Use IPsec authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Md5>`
                        
                        .. attribute:: sha1
                        
                        	Use SHA\-1 authentication
                        	**type**\:   :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Sha1>`
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\:  int
                        
                        	**range:** 256..4294967295
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Md5()
                            self.md5.parent = self
                            self.sha1 = Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Sha1()
                            self.sha1.parent = self
                            self.spi = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_string = Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Md5']['meta_info']


                        class Sha1(object):
                            """
                            Use SHA\-1 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_string = Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:sha1'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec.Sha1']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipsec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.sha1 is not None and self.sha1._has_data():
                                return True

                            if self.spi is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Authentication.Ipsec']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipsec is not None and self.ipsec._has_data():
                            return True

                        if self.key_chain is not None:
                            return True

                        if self.null is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Authentication']['meta_info']


                class Bfd(object):
                    """
                    Enable BFD on this interface
                    
                    .. attribute:: disable
                    
                    	Disable BFD on this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Bfd']['meta_info']


                class Cost(object):
                    """
                    Route cost of this interface
                    
                    .. attribute:: dynamic
                    
                    	Specify dynamic cost options
                    	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dynamic = None
                        self.value = None


                    class Dynamic(object):
                        """
                        Specify dynamic cost options
                        
                        .. attribute:: default
                        
                        	Specify default link metric value
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: hysteresis
                        
                        	Specify hysteresis value for LSA dampening
                        	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Hysteresis>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: weight
                        
                        	Specify weight to be placed on individual metrics
                        	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None
                            self.hysteresis = None
                            self.weight = Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight()
                            self.weight.parent = self


                        class Hysteresis(object):
                            """
                            Specify hysteresis value for LSA dampening
                            
                            .. attribute:: percent
                            
                            	Specify hysteresis percent changed
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold
                            
                            	Specify hysteresis threshold value
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.percent = None
                                self.threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.percent is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Hysteresis']['meta_info']


                        class Weight(object):
                            """
                            Specify weight to be placed on individual metrics
                            
                            .. attribute:: l2_factor
                            
                            	Specify weight to be given to L2\-factor metric
                            	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.L2Factor>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: latency
                            
                            	Specify weight to be given to latency metric
                            	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.Latency>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: resources
                            
                            	Specify weight to be given to resources metric
                            	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.Resources>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: throughput
                            
                            	Specify weight to be given to throughput metric
                            	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.Throughput>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.l2_factor = None
                                self.latency = None
                                self.resources = None
                                self.throughput = None


                            class L2Factor(object):
                                """
                                Specify weight to be given to L2\-factor metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.L2Factor']['meta_info']


                            class Latency(object):
                                """
                                Specify weight to be given to latency metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.Latency']['meta_info']


                            class Resources(object):
                                """
                                Specify weight to be given to resources metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.Resources']['meta_info']


                            class Throughput(object):
                                """
                                Specify weight to be given to throughput metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight.Throughput']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.l2_factor is not None and self.l2_factor._has_data():
                                    return True

                                if self.latency is not None and self.latency._has_data():
                                    return True

                                if self.resources is not None and self.resources._has_data():
                                    return True

                                if self.throughput is not None and self.throughput._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic.Weight']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            if self.hysteresis is not None and self.hysteresis._has_data():
                                return True

                            if self.weight is not None and self.weight._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost.Dynamic']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dynamic is not None and self.dynamic._has_data():
                            return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Cost']['meta_info']


                class DatabaseFilter(object):
                    """
                    Filter OSPF LSA during synchronization and flooding
                    
                    .. attribute:: all
                    
                    	Filter all LSA
                    	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.DatabaseFilter.AllEnum>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.all = None

                    class AllEnum(Enum):
                        """
                        AllEnum

                        Filter all LSA

                        .. data:: out = 0

                        """

                        out = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.DatabaseFilter.AllEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.all is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.DatabaseFilter']['meta_info']


                class DemandCircuit(object):
                    """
                    OSPF Demand Circuit
                    
                    .. attribute:: ignore
                    
                    	Ignore demand circuit auto\-negotiation requests
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ignore = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ignore is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.DemandCircuit']['meta_info']


                class Encryption(object):
                    """
                    Enable encryption
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec encryption
                    	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec>`
                    
                    .. attribute:: null
                    
                    	No IPsec encryption on this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipsec = Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec()
                        self.ipsec.parent = self
                        self.null = None


                    class Ipsec(object):
                        """
                        Use IPsec encryption
                        
                        .. attribute:: aes_cbc
                        
                        	Use AES\-CBC encryption
                        	**type**\:   :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc>`
                        
                        .. attribute:: esp
                        
                        	Use ESP encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec_3des
                        
                        	Use 3DES encryption
                        	**type**\:   :py:class:`Ipsec_3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des>`
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.aes_cbc = Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc()
                            self.aes_cbc.parent = self
                            self.esp = None
                            self.ipsec_3des = Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des()
                            self.ipsec_3des.parent = self
                            self.spi = None


                        class Ipsec_3Des(object):
                            """
                            Use 3DES encryption
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_string = Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipsec_3des'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des']['meta_info']


                        class AesCbc(object):
                            """
                            Use AES\-CBC encryption
                            
                            .. attribute:: aes_192
                            
                            	Use 192 bit key
                            	**type**\:   :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192>`
                            
                            .. attribute:: aes_256
                            
                            	Use 256 bit key
                            	**type**\:   :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256>`
                            
                            .. attribute:: aes_cbc_128
                            
                            	Use 128 bit key
                            	**type**\:   :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aes_192 = Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192()
                                self.aes_192.parent = self
                                self.aes_256 = Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256()
                                self.aes_256.parent = self
                                self.aes_cbc_128 = Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128()
                                self.aes_cbc_128.parent = self


                            class AesCbc128(object):
                                """
                                Use 128 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-cbc-128'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']


                            class Aes192(object):
                                """
                                Use 192 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-192'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192']['meta_info']


                            class Aes256(object):
                                """
                                Use 256 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-256'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-cbc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aes_192 is not None and self.aes_192._has_data():
                                    return True

                                if self.aes_256 is not None and self.aes_256._has_data():
                                    return True

                                if self.aes_cbc_128 is not None and self.aes_cbc_128._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipsec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.aes_cbc is not None and self.aes_cbc._has_data():
                                return True

                            if self.esp is not None:
                                return True

                            if self.ipsec_3des is not None and self.ipsec_3des._has_data():
                                return True

                            if self.spi is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption.Ipsec']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:encryption'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipsec is not None and self.ipsec._has_data():
                            return True

                        if self.null is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Encryption']['meta_info']


                class Manet(object):
                    """
                    Mobile Adhoc Networking options
                    
                    .. attribute:: peering
                    
                    	MANET Peering options
                    	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Manet.Peering>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.peering = Native.Interface.Gigabitethernet.Ospfv3.Manet.Peering()
                        self.peering.parent = self


                    class Peering(object):
                        """
                        MANET Peering options
                        
                        .. attribute:: cost
                        
                        	Redundant path cost improvement required to peer
                        	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Manet.Peering.Cost>`
                        
                        .. attribute:: link_metrics
                        
                        	Require link metrics
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cost = Native.Interface.Gigabitethernet.Ospfv3.Manet.Peering.Cost()
                            self.cost.parent = self
                            self.link_metrics = None


                        class Cost(object):
                            """
                            Redundant path cost improvement required to peer
                            
                            .. attribute:: percent
                            
                            	Relative incremental path cost
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            .. attribute:: threshold
                            
                            	Absolute incremental path cost
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.percent = None
                                self.threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.percent is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Manet.Peering.Cost']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cost is not None and self.cost._has_data():
                                return True

                            if self.link_metrics is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Manet.Peering']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.peering is not None and self.peering._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Manet']['meta_info']


                class MultiArea(object):
                    """
                    Set the OSPF multi\-area ID
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cost = None
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cost is not None:
                            return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.MultiArea']['meta_info']


                class Neighbor(object):
                    """
                    OSPF neighbor
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	OSPF cost for point\-to\-multipoint neighbor
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Neighbor.DatabaseFilter>`
                    
                    .. attribute:: poll_interval
                    
                    	OSPF dead\-router polling interval
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: priority
                    
                    	OSPF priority of non\-broadcast neighbor
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.cost = None
                        self.database_filter = Native.Interface.Gigabitethernet.Ospfv3.Neighbor.DatabaseFilter()
                        self.database_filter.parent = self
                        self.poll_interval = None
                        self.priority = None


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Neighbor.DatabaseFilter.AllEnum>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None

                        class AllEnum(Enum):
                            """
                            AllEnum

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Neighbor.DatabaseFilter.AllEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Neighbor.DatabaseFilter']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.cost is not None:
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.poll_interval is not None:
                            return True

                        if self.priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Neighbor']['meta_info']


                class Network(object):
                    """
                    Network type
                    
                    .. attribute:: broadcast
                    
                    	Specify OSPF broadcast multi\-access network
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: manet
                    
                    	Specify MANET OSPF interface type
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: non_broadcast
                    
                    	Specify OSPF NBMA network
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: point_to_multipoint
                    
                    	Specify OSPF point\-to\-multipoint network
                    	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Ospfv3.Network.PointToMultipoint>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: point_to_point
                    
                    	Specify OSPF point\-to\-point network
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.broadcast = None
                        self.manet = None
                        self.non_broadcast = None
                        self.point_to_multipoint = None
                        self.point_to_point = None


                    class PointToMultipoint(object):
                        """
                        Specify OSPF point\-to\-multipoint network
                        
                        .. attribute:: non_broadcast
                        
                        	Specify non\-broadcast point\-to\-mpoint network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.non_broadcast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.non_broadcast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Network.PointToMultipoint']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.broadcast is not None:
                            return True

                        if self.manet is not None:
                            return True

                        if self.non_broadcast is not None:
                            return True

                        if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                            return True

                        if self.point_to_point is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.Network']['meta_info']


                class PrefixSuppression(object):
                    """
                    OSPF prefix suppression
                    
                    .. attribute:: disable
                    
                    	Disable prefix suppression
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3.PrefixSuppression']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospfv3'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.bfd is not None and self.bfd._has_data():
                        return True

                    if self.cost is not None and self.cost._has_data():
                        return True

                    if self.database_filter is not None and self.database_filter._has_data():
                        return True

                    if self.dead_interval is not None:
                        return True

                    if self.demand_circuit is not None and self.demand_circuit._has_data():
                        return True

                    if self.encryption is not None and self.encryption._has_data():
                        return True

                    if self.flood_reduction is not None:
                        return True

                    if self.hello_interval is not None:
                        return True

                    if self.manet is not None and self.manet._has_data():
                        return True

                    if self.mtu_ignore is not None:
                        return True

                    if self.multi_area is not None and self.multi_area._has_data():
                        return True

                    if self.neighbor is not None:
                        for child_ref in self.neighbor:
                            if child_ref._has_data():
                                return True

                    if self.network is not None and self.network._has_data():
                        return True

                    if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                        return True

                    if self.priority is not None:
                        return True

                    if self.process_id is not None:
                        for child_ref in self.process_id:
                            if child_ref._has_data():
                                return True

                    if self.retransmit_interval is not None:
                        return True

                    if self.shutdown is not None:
                        return True

                    if self.transmit_delay is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Ospfv3']['meta_info']


            class Power(object):
                """
                
                
                .. attribute:: inline
                
                	
                	**type**\:   :py:class:`Inline <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Power.Inline>`
                
                

                """

                _prefix = 'ios-power'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inline = Native.Interface.Gigabitethernet.Power.Inline()
                    self.inline.parent = self


                class Inline(object):
                    """
                    
                    
                    .. attribute:: auto
                    
                    	Automatically detect and power inline devices
                    	**type**\:   :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Power.Inline.Auto>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: consumption
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 4000..15400
                    
                    .. attribute:: four_pair
                    
                    	Four\-pair PoE power
                    	**type**\:   :py:class:`FourPair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Power.Inline.FourPair>`
                    
                    .. attribute:: never
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: police
                    
                    	Police the power drawn on the port
                    	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Power.Inline.Police>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: port
                    
                    	Configure Port Power Level
                    	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Power.Inline.Port>`
                    
                    .. attribute:: static
                    
                    	High priority inline power interface
                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Power.Inline.Static>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-power'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None
                        self.consumption = None
                        self.four_pair = Native.Interface.Gigabitethernet.Power.Inline.FourPair()
                        self.four_pair.parent = self
                        self.never = None
                        self.police = None
                        self.port = Native.Interface.Gigabitethernet.Power.Inline.Port()
                        self.port.parent = self
                        self.static = None


                    class Auto(object):
                        """
                        Automatically detect and power inline devices
                        
                        .. attribute:: max
                        
                        	Maximum power allowed on this interface
                        	**type**\:  int
                        
                        	**range:** 4000..30000
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.max = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-power:auto'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.max is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Power.Inline.Auto']['meta_info']


                    class FourPair(object):
                        """
                        Four\-pair PoE power
                        
                        .. attribute:: forced
                        
                        	Enable Four\-pair PoE without L2 negotiation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forced = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-power:four-pair'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forced is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Power.Inline.FourPair']['meta_info']


                    class Police(object):
                        """
                        Police the power drawn on the port
                        
                        .. attribute:: action
                        
                        	Action to be taken when power is overdrawn on the port
                        	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Power.Inline.Police.Action>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.action = Native.Interface.Gigabitethernet.Power.Inline.Police.Action()
                            self.action.parent = self


                        class Action(object):
                            """
                            Action to be taken when power is overdrawn on the port
                            
                            .. attribute:: errdisable
                            
                            	Error\-disable the port when power is overdrawn on the port
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: log
                            
                            	Log a message when power is overdrawn on the port
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-power'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.errdisable = None
                                self.log = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-power:action'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.errdisable is not None:
                                    return True

                                if self.log is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Power.Inline.Police.Action']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-power:police'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.action is not None and self.action._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Power.Inline.Police']['meta_info']


                    class Port(object):
                        """
                        Configure Port Power Level
                        
                        .. attribute:: poe_ha
                        
                        	Apply poe\-ha to the port
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: two_event
                        
                        	Enable 2\-event classification
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.poe_ha = None
                            self.two_event = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-power:port'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.poe_ha is not None:
                                return True

                            if self.two_event is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Power.Inline.Port']['meta_info']


                    class Static(object):
                        """
                        High priority inline power interface
                        
                        .. attribute:: max
                        
                        	Maximum power allowed on this interface
                        	**type**\:  int
                        
                        	**range:** 4000..30000
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.max = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-power:static'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.max is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Power.Inline.Static']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-power:inline'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None and self.auto._has_data():
                            return True

                        if self.consumption is not None:
                            return True

                        if self.four_pair is not None and self.four_pair._has_data():
                            return True

                        if self.never is not None:
                            return True

                        if self.police is not None and self.police._has_data():
                            return True

                        if self.port is not None and self.port._has_data():
                            return True

                        if self.static is not None and self.static._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Power.Inline']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-power:power'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inline is not None and self.inline._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Power']['meta_info']


            class Authentication(object):
                """
                Auth Manager Interface Configuration Commands
                
                .. attribute:: control_direction
                
                	Set the control\-direction on the interface
                	**type**\:   :py:class:`ControlDirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.ControlDirectionEnum>`
                
                .. attribute:: event
                
                	Set action for authentication events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.Event>`
                
                .. attribute:: fallback
                
                	Enable the Webauth fallback mechanism
                	**type**\:  str
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.HostModeEnum>`
                
                .. attribute:: open
                
                	Enable or Disable open access on this port
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: order
                
                	Add an authentication method to the order list
                	**type**\:   :py:class:`Order <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.Order>`
                
                .. attribute:: periodic
                
                	Enable or Disable Reauthentication for this port
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	set the port\-control value
                	**type**\:   :py:class:`PortControlEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.PortControlEnum>`
                
                .. attribute:: priority
                
                	Add an authentication method to the priority list
                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.Priority>`
                
                .. attribute:: timer
                
                	Set authentication timer values
                	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.Timer>`
                
                .. attribute:: violation
                
                	Configure action to take on security violations
                	**type**\:   :py:class:`ViolationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.ViolationEnum>`
                
                

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.control_direction = None
                    self.event = Native.Interface.Gigabitethernet.Authentication.Event()
                    self.event.parent = self
                    self.fallback = None
                    self.host_mode = None
                    self.open = None
                    self.order = Native.Interface.Gigabitethernet.Authentication.Order()
                    self.order.parent = self
                    self.periodic = None
                    self.port_control = None
                    self.priority = Native.Interface.Gigabitethernet.Authentication.Priority()
                    self.priority.parent = self
                    self.timer = Native.Interface.Gigabitethernet.Authentication.Timer()
                    self.timer.parent = self
                    self.violation = None

                class ControlDirectionEnum(Enum):
                    """
                    ControlDirectionEnum

                    Set the control\-direction on the interface

                    .. data:: both = 0

                    .. data:: in_ = 1

                    """

                    both = 0

                    in_ = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.ControlDirectionEnum']


                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.HostModeEnum']


                class PortControlEnum(Enum):
                    """
                    PortControlEnum

                    set the port\-control value

                    .. data:: auto = 0

                    .. data:: force_authorized = 1

                    .. data:: force_unauthorized = 2

                    """

                    auto = 0

                    force_authorized = 1

                    force_unauthorized = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.PortControlEnum']


                class ViolationEnum(Enum):
                    """
                    ViolationEnum

                    Configure action to take on security violations

                    .. data:: protect = 0

                    .. data:: replace = 1

                    .. data:: restrict = 2

                    .. data:: shutdown = 3

                    """

                    protect = 0

                    replace = 1

                    restrict = 2

                    shutdown = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.ViolationEnum']



                class Event(object):
                    """
                    Set action for authentication events
                    
                    .. attribute:: fail
                    
                    	Configure actions for AAA fail events
                    	**type**\:   :py:class:`Fail <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.Event.Fail>`
                    
                    .. attribute:: no_response
                    
                    	Configure actions for AAA no\-response events
                    	**type**\:   :py:class:`NoResponse <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.Event.NoResponse>`
                    
                    .. attribute:: server
                    
                    	Configure actions for AAA server events
                    	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.Event.Server>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.fail = Native.Interface.Gigabitethernet.Authentication.Event.Fail()
                        self.fail.parent = self
                        self.no_response = Native.Interface.Gigabitethernet.Authentication.Event.NoResponse()
                        self.no_response.parent = self
                        self.server = Native.Interface.Gigabitethernet.Authentication.Event.Server()
                        self.server.parent = self


                    class Server(object):
                        """
                        Configure actions for AAA server events
                        
                        .. attribute:: alive
                        
                        	Configure AAA server alive action
                        	**type**\:   :py:class:`Alive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.Event.Server.Alive>`
                        
                        .. attribute:: dead
                        
                        	Configure AAA server dead action
                        	**type**\:   :py:class:`Dead <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.alive = Native.Interface.Gigabitethernet.Authentication.Event.Server.Alive()
                            self.alive.parent = self
                            self.dead = Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead()
                            self.dead.parent = self


                        class Alive(object):
                            """
                            Configure AAA server alive action
                            
                            .. attribute:: action
                            
                            	Required action for authentication event
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.Event.Server.Alive.Action>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.Gigabitethernet.Authentication.Event.Server.Alive.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Required action for authentication event
                                
                                .. attribute:: reinitialize
                                
                                	Reinitialize all authorized clients
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.reinitialize = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.reinitialize is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Server.Alive.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:alive'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Server.Alive']['meta_info']


                        class Dead(object):
                            """
                            Configure AAA server dead action
                            
                            .. attribute:: action
                            
                            	Required action for authentication event
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Required action for authentication event
                                
                                .. attribute:: authorize
                                
                                	Authorize the port
                                	**type**\:   :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action.Authorize>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: reinitialize
                                
                                	Reinitialize all client on the port
                                	**type**\:   :py:class:`Reinitialize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action.Reinitialize>`
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.authorize = None
                                    self.reinitialize = Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action.Reinitialize()
                                    self.reinitialize.parent = self


                                class Authorize(object):
                                    """
                                    Authorize the port
                                    
                                    .. attribute:: vlan
                                    
                                    	Configure Critical Authorization VLAN
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: voice
                                    
                                    	Authorize the port for VOICE traffic
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sanet'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.vlan = None
                                        self.voice = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:authorize'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.vlan is not None:
                                            return True

                                        if self.voice is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action.Authorize']['meta_info']


                                class Reinitialize(object):
                                    """
                                    Reinitialize all client on the port
                                    
                                    .. attribute:: vlan
                                    
                                    	Configure Critical Authorization VLAN
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-sanet'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.vlan = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:reinitialize'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.vlan is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action.Reinitialize']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.authorize is not None and self.authorize._has_data():
                                        return True

                                    if self.reinitialize is not None and self.reinitialize._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:dead'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Server.Dead']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sanet:server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.alive is not None and self.alive._has_data():
                                return True

                            if self.dead is not None and self.dead._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Server']['meta_info']


                    class Fail(object):
                        """
                        Configure actions for AAA fail events
                        
                        .. attribute:: action
                        
                        	Required action for fail event
                        	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.Event.Fail.Action>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.action = Native.Interface.Gigabitethernet.Authentication.Event.Fail.Action()
                            self.action.parent = self


                        class Action(object):
                            """
                            Required action for fail event
                            
                            .. attribute:: authorize
                            
                            	Reinitialize all authorized clients
                            	**type**\:   :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.Event.Fail.Action.Authorize>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authorize = Native.Interface.Gigabitethernet.Authentication.Event.Fail.Action.Authorize()
                                self.authorize.parent = self


                            class Authorize(object):
                                """
                                Reinitialize all authorized clients
                                
                                .. attribute:: vlan
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.vlan = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:authorize'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Fail.Action.Authorize']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:action'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authorize is not None and self.authorize._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Fail.Action']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sanet:fail'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.action is not None and self.action._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.Event.Fail']['meta_info']


                    class NoResponse(object):
                        """
                        Configure actions for AAA no\-response events
                        
                        .. attribute:: action
                        
                        	Required action for no\-response event
                        	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.Event.NoResponse.Action>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.action = Native.Interface.Gigabitethernet.Authentication.Event.NoResponse.Action()
                            self.action.parent = self


                        class Action(object):
                            """
                            Required action for no\-response event
                            
                            .. attribute:: authorize
                            
                            	Reinitialize all authorized clients
                            	**type**\:   :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.Event.NoResponse.Action.Authorize>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authorize = Native.Interface.Gigabitethernet.Authentication.Event.NoResponse.Action.Authorize()
                                self.authorize.parent = self


                            class Authorize(object):
                                """
                                Reinitialize all authorized clients
                                
                                .. attribute:: vlan
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.vlan = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:authorize'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.Event.NoResponse.Action.Authorize']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:action'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authorize is not None and self.authorize._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.Event.NoResponse.Action']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sanet:no-response'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.action is not None and self.action._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.Event.NoResponse']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.fail is not None and self.fail._has_data():
                            return True

                        if self.no_response is not None and self.no_response._has_data():
                            return True

                        if self.server is not None and self.server._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.Event']['meta_info']


                class Order(object):
                    """
                    Add an authentication method to the order list
                    
                    .. attribute:: dot1x
                    
                    	Authentication method dot1x allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mab
                    
                    	Authentication method mab allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: webauth
                    
                    	Authentication method webauth allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dot1x = None
                        self.mab = None
                        self.webauth = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:order'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dot1x is not None:
                            return True

                        if self.mab is not None:
                            return True

                        if self.webauth is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.Order']['meta_info']


                class Priority(object):
                    """
                    Add an authentication method to the priority list
                    
                    .. attribute:: dot1x
                    
                    	Authentication method dot1x allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mab
                    
                    	Authentication method mab allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: webauth
                    
                    	Authentication method webauth allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dot1x = None
                        self.mab = None
                        self.webauth = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:priority'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dot1x is not None:
                            return True

                        if self.mab is not None:
                            return True

                        if self.webauth is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.Priority']['meta_info']


                class Timer(object):
                    """
                    Set authentication timer values
                    
                    .. attribute:: inactivity
                    
                    	Interval in seconds after which if there is no activity fromthe client then it will be unauthorized (default OFF)
                    	**type**\:   :py:class:`Inactivity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity>`
                    
                    .. attribute:: reauthenticate
                    
                    	Time in seconds after which an automatic re\-authenticationshould be initiated (default 1 hour)
                    	**type**\:   :py:class:`Reauthenticate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.Timer.Reauthenticate>`
                    
                    .. attribute:: restart
                    
                    	Interval in seconds after which an attempt should be made toauthenticate an unauthorized port (default 60 sec)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inactivity = Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity()
                        self.inactivity.parent = self
                        self.reauthenticate = Native.Interface.Gigabitethernet.Authentication.Timer.Reauthenticate()
                        self.reauthenticate.parent = self
                        self.restart = None


                    class Reauthenticate(object):
                        """
                        Time in seconds after which an automatic re\-authenticationshould be initiated (default 1 hour)
                        
                        .. attribute:: server
                        
                        	Obtain re\-authentication timeout value from the server
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.server = None
                            self.value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sanet:reauthenticate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.server is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.Timer.Reauthenticate']['meta_info']


                    class Inactivity(object):
                        """
                        Interval in seconds after which if there is no activity fromthe client then it will be unauthorized (default OFF)
                        
                        .. attribute:: server
                        
                        	Obtain inactivity timeout value from the server
                        	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity.Server>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:   :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity.Value>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.server = None
                            self.value = Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity.Value()
                            self.value.parent = self


                        class Value(object):
                            """
                            
                            
                            .. attribute:: dynamic
                            
                            	Initiate a dynamic probe on inactivity timeout
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:value'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None:
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity.Value']['meta_info']


                        class Server(object):
                            """
                            Obtain inactivity timeout value from the server
                            
                            .. attribute:: dynamic
                            
                            	Initiate a dynamic probe on inactivity timeout
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.dynamic = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.dynamic is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity.Server']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sanet:inactivity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.server is not None and self.server._has_data():
                                return True

                            if self.value is not None and self.value._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.Timer.Inactivity']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:timer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inactivity is not None and self.inactivity._has_data():
                            return True

                        if self.reauthenticate is not None and self.reauthenticate._has_data():
                            return True

                        if self.restart is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Authentication.Timer']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:authentication'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.control_direction is not None:
                        return True

                    if self.event is not None and self.event._has_data():
                        return True

                    if self.fallback is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.open is not None:
                        return True

                    if self.order is not None and self.order._has_data():
                        return True

                    if self.periodic is not None:
                        return True

                    if self.port_control is not None:
                        return True

                    if self.priority is not None and self.priority._has_data():
                        return True

                    if self.timer is not None and self.timer._has_data():
                        return True

                    if self.violation is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Authentication']['meta_info']


            class Mab(object):
                """
                
                
                .. attribute:: eap
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.eap = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:mab'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.eap is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Mab']['meta_info']


            class SpanningTree(object):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpdufilter
                
                	Don't send or receive BPDUs on this interface
                	**type**\:   :py:class:`BpdufilterEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.SpanningTree.BpdufilterEnum>`
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:   :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.SpanningTree.Bpduguard>`
                
                .. attribute:: cost
                
                	To set the path cost of the interface
                	**type**\:  int
                
                	**range:** 1..200000000
                
                .. attribute:: guard
                
                	Change an interface's spanning tree guard mode
                	**type**\:   :py:class:`GuardEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.SpanningTree.GuardEnum>`
                
                .. attribute:: link_type
                
                	Specify a link type for spanning tree tree protocol use
                	**type**\:   :py:class:`LinkTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.SpanningTree.LinkTypeEnum>`
                
                .. attribute:: loopguard
                
                	Spanning tree loopguard options
                	**type**\:   :py:class:`Loopguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.SpanningTree.Loopguard>`
                
                .. attribute:: mst
                
                	Per interface MST configurations
                	**type**\:   :py:class:`Mst <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.SpanningTree.Mst>`
                
                .. attribute:: port_priority
                
                	Spanning tree port\-priority options
                	**type**\:  int
                
                	**range:** 0..240
                
                .. attribute:: portfast
                
                	Spanning tree portfast options
                	**type**\:   :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.SpanningTree.Portfast>`
                
                	**presence node**\: True
                
                .. attribute:: vlan
                
                	VLAN Switch Spanning Tree
                	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.SpanningTree.Vlan>`
                
                

                """

                _prefix = 'ios-stp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bpdufilter = None
                    self.bpduguard = Native.Interface.Gigabitethernet.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self.cost = None
                    self.guard = None
                    self.link_type = None
                    self.loopguard = Native.Interface.Gigabitethernet.SpanningTree.Loopguard()
                    self.loopguard.parent = self
                    self.mst = Native.Interface.Gigabitethernet.SpanningTree.Mst()
                    self.mst.parent = self
                    self.port_priority = None
                    self.portfast = None
                    self.vlan = Native.Interface.Gigabitethernet.SpanningTree.Vlan()
                    self.vlan.parent = self

                class BpdufilterEnum(Enum):
                    """
                    BpdufilterEnum

                    Don't send or receive BPDUs on this interface

                    .. data:: disable = 0

                    .. data:: enable = 1

                    """

                    disable = 0

                    enable = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.SpanningTree.BpdufilterEnum']


                class GuardEnum(Enum):
                    """
                    GuardEnum

                    Change an interface's spanning tree guard mode

                    .. data:: loop = 0

                    .. data:: none = 1

                    .. data:: root = 2

                    """

                    loop = 0

                    none = 1

                    root = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.SpanningTree.GuardEnum']


                class LinkTypeEnum(Enum):
                    """
                    LinkTypeEnum

                    Specify a link type for spanning tree tree protocol use

                    .. data:: auto = 0

                    .. data:: none = 1

                    .. data:: point_to_point = 2

                    .. data:: root = 3

                    .. data:: shared = 4

                    """

                    auto = 0

                    none = 1

                    point_to_point = 2

                    root = 3

                    shared = 4


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.SpanningTree.LinkTypeEnum']



                class Bpduguard(object):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: disable
                    
                    	Disable BPDU guard for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.disable = None
                        self.enable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:bpduguard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.disable is not None:
                            return True

                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.SpanningTree.Bpduguard']['meta_info']


                class Portfast(object):
                    """
                    Spanning tree portfast options
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk
                    
                    	Enable portfast on the interface even in trunk mode
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None
                        self.edge = None
                        self.trunk = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:portfast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        if self.edge is not None:
                            return True

                        if self.trunk is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.SpanningTree.Portfast']['meta_info']


                class Vlan(object):
                    """
                    VLAN Switch Spanning Tree
                    
                    .. attribute:: cost
                    
                    	<1\-200000000> Spanning\-tree cost
                    	**type**\:  int
                    
                    	**range:** 1..200000000
                    
                    .. attribute:: port_priority
                    
                    	<0\-240> port priority in increments of 16
                    	**type**\:  int
                    
                    	**range:** 0..240
                    
                    .. attribute:: vlan_ids
                    
                    	vlan range, example\: 1,3\-5,7,9\-11
                    	**type**\: one of the below types:
                    
                    	**type**\:  list of int
                    
                    	**range:** 1..4095
                    
                    
                    ----
                    	**type**\:  list of str
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cost = None
                        self.port_priority = None
                        self.vlan_ids = YLeafList()
                        self.vlan_ids.parent = self
                        self.vlan_ids.name = 'vlan_ids'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:vlan'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cost is not None:
                            return True

                        if self.port_priority is not None:
                            return True

                        if self.vlan_ids is not None:
                            for child in self.vlan_ids:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.SpanningTree.Vlan']['meta_info']


                class Loopguard(object):
                    """
                    Spanning tree loopguard options
                    
                    .. attribute:: default
                    
                    	Enable loopguard by default on all ports
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.default = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:loopguard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.default is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.SpanningTree.Loopguard']['meta_info']


                class Mst(object):
                    """
                    Per interface MST configurations
                    
                    .. attribute:: cost
                    
                    	<1\-200000000> Spanning\-tree cost
                    	**type**\:  int
                    
                    	**range:** 1..200000000
                    
                    .. attribute:: instance
                    
                    	MST instance list, example 0,2\-4,6,8\-12
                    	**type**\:  str
                    
                    .. attribute:: port_priority
                    
                    	<0\-240> port priority in increments of 16
                    	**type**\:  int
                    
                    	**range:** 0..240
                    
                    .. attribute:: pre_standard
                    
                    	Force pre\-standard MST BPDU transmission on port
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cost = None
                        self.instance = None
                        self.port_priority = None
                        self.pre_standard = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:mst'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cost is not None:
                            return True

                        if self.instance is not None:
                            return True

                        if self.port_priority is not None:
                            return True

                        if self.pre_standard is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.SpanningTree.Mst']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:spanning-tree'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bpdufilter is not None:
                        return True

                    if self.bpduguard is not None and self.bpduguard._has_data():
                        return True

                    if self.cost is not None:
                        return True

                    if self.guard is not None:
                        return True

                    if self.link_type is not None:
                        return True

                    if self.loopguard is not None and self.loopguard._has_data():
                        return True

                    if self.mst is not None and self.mst._has_data():
                        return True

                    if self.port_priority is not None:
                        return True

                    if self.portfast is not None and self.portfast._has_data():
                        return True

                    if self.vlan is not None and self.vlan._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.SpanningTree']['meta_info']


            class Auto(object):
                """
                Configure Automation
                
                .. attribute:: qos
                
                	Configure AutoQoS
                	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Auto.Qos>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.qos = Native.Interface.Gigabitethernet.Auto.Qos()
                    self.qos.parent = self


                class Qos(object):
                    """
                    Configure AutoQoS
                    
                    .. attribute:: classify
                    
                    	Configure classification for untrusted devices
                    	**type**\:   :py:class:`Classify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Auto.Qos.Classify>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trust
                    
                    	Trust the DSCP/CoS marking
                    	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Auto.Qos.Trust>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: video
                    
                    	Configure AutoQoS for video devices
                    	**type**\:   :py:class:`Video <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Auto.Qos.Video>`
                    
                    .. attribute:: voip
                    
                    	Configure AutoQoS for VoIP
                    	**type**\:   :py:class:`Voip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Auto.Qos.Voip>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.classify = None
                        self.trust = None
                        self.video = Native.Interface.Gigabitethernet.Auto.Qos.Video()
                        self.video.parent = self
                        self.voip = None


                    class Classify(object):
                        """
                        Configure classification for untrusted devices
                        
                        .. attribute:: police
                        
                        	Configure QoS policing for untrusted devices
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.police = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:classify'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.police is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Auto.Qos.Classify']['meta_info']


                    class Trust(object):
                        """
                        Trust the DSCP/CoS marking
                        
                        .. attribute:: cos
                        
                        	Trust the CoS marking
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dscp
                        
                        	Trust the DSCP marking
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.cos = None
                            self.dscp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:trust'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.cos is not None:
                                return True

                            if self.dscp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Auto.Qos.Trust']['meta_info']


                    class Video(object):
                        """
                        Configure AutoQoS for video devices
                        
                        .. attribute:: cts
                        
                        	Trust the QoS marking of the Cisco Telepresence System
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ip_camera
                        
                        	Trust the QoS marking of the Ip Video Surveillance camera
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: media_player
                        
                        	Trust the Qos marking of the Cisco Media Player
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cts = None
                            self.ip_camera = None
                            self.media_player = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:video'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cts is not None:
                                return True

                            if self.ip_camera is not None:
                                return True

                            if self.media_player is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Auto.Qos.Video']['meta_info']


                    class Voip(object):
                        """
                        Configure AutoQoS for VoIP
                        
                        .. attribute:: cisco_phone
                        
                        	Trust the QoS marking of Cisco IP Phone
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cisco_softphone
                        
                        	Trust the QoS marking of Cisco IP SoftPhone
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: trust
                        
                        	Trust the DSCP/CoS marking
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.cisco_phone = None
                            self.cisco_softphone = None
                            self.trust = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:voip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.cisco_phone is not None:
                                return True

                            if self.cisco_softphone is not None:
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Auto.Qos.Voip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:qos'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.classify is not None and self.classify._has_data():
                            return True

                        if self.trust is not None and self.trust._has_data():
                            return True

                        if self.video is not None and self.video._has_data():
                            return True

                        if self.voip is not None and self.voip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Auto.Qos']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:auto'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.qos is not None and self.qos._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Auto']['meta_info']


            class Datalink(object):
                """
                Interface Datalink commands
                
                .. attribute:: flow
                
                	Interface Flow configuration subcommands
                	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Datalink.Flow>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.flow = Native.Interface.Gigabitethernet.Datalink.Flow()
                    self.flow.parent = self


                class Flow(object):
                    """
                    Interface Flow configuration subcommands
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Datalink.Flow.Monitor>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.monitor = None


                    class Monitor(object):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: input_output
                        
                        	Apply Flow Monitor on input/output traffic
                        	**type**\:   :py:class:`InputOutputEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Datalink.Flow.Monitor.InputOutputEnum>`
                        
                        .. attribute:: user_defined_flow
                        
                        	User defined
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.input_output = None
                            self.user_defined_flow = None

                        class InputOutputEnum(Enum):
                            """
                            InputOutputEnum

                            Apply Flow Monitor on input/output traffic

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = 0

                            output = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Datalink.Flow.Monitor.InputOutputEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.input_output is not None:
                                return True

                            if self.user_defined_flow is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Datalink.Flow.Monitor']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.monitor is not None and self.monitor._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Datalink.Flow']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:datalink'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.flow is not None and self.flow._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Datalink']['meta_info']


            class Energywise(object):
                """
                EnergyWise interface configurations
                
                .. attribute:: activitycheck
                
                	Apply an activity check before turning off power    to this PoE port
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.activitycheck = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:energywise'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.activitycheck is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Energywise']['meta_info']


            class Location(object):
                """
                Interface location information
                
                .. attribute:: civic_location_id
                
                	Civic location information
                	**type**\:   :py:class:`CivicLocationId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Location.CivicLocationId>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.civic_location_id = Native.Interface.Gigabitethernet.Location.CivicLocationId()
                    self.civic_location_id.parent = self


                class CivicLocationId(object):
                    """
                    Civic location information
                    
                    .. attribute:: host
                    
                    	Globally defined host location identifer
                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Location.CivicLocationId.Host>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: location_identifier
                    
                    	civic location identifier string
                    	**type**\:  str
                    
                    .. attribute:: none
                    
                    	No globally defined location identifer
                    	**type**\:   :py:class:`None_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Location.CivicLocationId.None_>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.host = None
                        self.location_identifier = None
                        self.none = None


                    class Host(object):
                        """
                        Globally defined host location identifer
                        
                        .. attribute:: port_location
                        
                        	Port specific attributes
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.port_location = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.port_location is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Location.CivicLocationId.Host']['meta_info']


                    class None_(object):
                        """
                        No globally defined location identifer
                        
                        .. attribute:: port_location
                        
                        	Port specific attributes
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.port_location = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:none'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.port_location is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Location.CivicLocationId.None_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:civic-location-id'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.host is not None and self.host._has_data():
                            return True

                        if self.location_identifier is not None:
                            return True

                        if self.none is not None and self.none._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Location.CivicLocationId']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:location'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.civic_location_id is not None and self.civic_location_id._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Location']['meta_info']


            class Mac(object):
                """
                MAC interface commands
                
                .. attribute:: access_group
                
                	MAC access\-group configuration commands
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Mac.AccessGroup>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Gigabitethernet.Mac.AccessGroup()
                    self.access_group.parent = self


                class AccessGroup(object):
                    """
                    MAC access\-group configuration commands
                    
                    .. attribute:: acl_name
                    
                    	ACL name
                    	**type**\:   :py:class:`AclName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Mac.AccessGroup.AclName>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acl_name = Native.Interface.Gigabitethernet.Mac.AccessGroup.AclName()
                        self.acl_name.parent = self


                    class AclName(object):
                        """
                        ACL name
                        
                        .. attribute:: acl_name
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: apply_to
                        
                        	
                        	**type**\:   :py:class:`ApplyToEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Mac.AccessGroup.AclName.ApplyToEnum>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl_name = None
                            self.apply_to = None

                        class ApplyToEnum(Enum):
                            """
                            ApplyToEnum

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = 0

                            out = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Gigabitethernet.Mac.AccessGroup.AclName.ApplyToEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:ACL-name'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl_name is not None:
                                return True

                            if self.apply_to is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.Mac.AccessGroup.AclName']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acl_name is not None and self.acl_name._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Mac.AccessGroup']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Mac']['meta_info']


            class Macro(object):
                """
                Command macro
                
                .. attribute:: auto
                
                	Smartport interface macro configurations
                	**type**\:   :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Macro.Auto>`
                
                .. attribute:: description
                
                	Macro description for this interface
                	**type**\:  str
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = Native.Interface.Gigabitethernet.Macro.Auto()
                    self.auto.parent = self
                    self.description = None


                class Auto(object):
                    """
                    Smartport interface macro configurations
                    
                    .. attribute:: processing
                    
                    	Enable smartport macro auto execution on this interface
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.processing = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:auto'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.processing is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Macro.Auto']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:macro'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None and self.auto._has_data():
                        return True

                    if self.description is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Macro']['meta_info']


            class DualActive(object):
                """
                
                
                .. attribute:: fast_hello
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fast_hello = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:dual-active'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fast_hello is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.DualActive']['meta_info']


            class Lldp(object):
                """
                LLDP interface subcommands
                
                .. attribute:: receive
                
                	Enable LLDP reception on interface
                	**type**\:  bool
                
                .. attribute:: transmit
                
                	Enable LLDP transmission on interface
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.transmit = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:lldp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.transmit is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Lldp']['meta_info']


            class LoadBalancing(object):
                """
                Etherchannel Load\-Balancing
                
                .. attribute:: flow
                
                	Based on the traffic flows identified by the packet headers
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vlan
                
                	Based on the VLAN to member links manual configuration
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.flow = None
                    self.vlan = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:load-balancing'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.flow is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.LoadBalancing']['meta_info']


            class VlanRange(object):
                """
                
                
                .. attribute:: id  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..4096
                
                
                ----
                	**type**\:  str
                
                
                ----
                .. attribute:: service_policy
                
                	Configure QoS Service Policy
                	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.VlanRange.ServicePolicy>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.service_policy = Native.Interface.Gigabitethernet.VlanRange.ServicePolicy()
                    self.service_policy.parent = self


                class ServicePolicy(object):
                    """
                    Configure QoS Service Policy
                    
                    .. attribute:: input
                    
                    	Assign policy\-map to the input of an interface
                    	**type**\:  str
                    
                    .. attribute:: output
                    
                    	Assign policy\-map to the output of an interface
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.input = None
                        self.output = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:service-policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.input is not None:
                            return True

                        if self.output is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.VlanRange.ServicePolicy']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan-range[Cisco-IOS-XE-switch:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.service_policy is not None and self.service_policy._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.VlanRange']['meta_info']


            class Switch(object):
                """
                
                
                .. attribute:: virtual
                
                	
                	**type**\:   :py:class:`Virtual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Switch.Virtual>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.virtual = Native.Interface.Gigabitethernet.Switch.Virtual()
                    self.virtual.parent = self


                class Virtual(object):
                    """
                    
                    
                    .. attribute:: link
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.link = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:virtual'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.link is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Switch.Virtual']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:switch'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.virtual is not None and self.virtual._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Switch']['meta_info']


            class SrrQueue(object):
                """
                
                
                .. attribute:: bandwidth
                
                	
                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.SrrQueue.Bandwidth>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bandwidth = Native.Interface.Gigabitethernet.SrrQueue.Bandwidth()
                    self.bandwidth.parent = self


                class Bandwidth(object):
                    """
                    
                    
                    .. attribute:: shape
                    
                    	
                    	**type**\:   :py:class:`Shape <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.SrrQueue.Bandwidth.Shape>`
                    
                    .. attribute:: share
                    
                    	
                    	**type**\:   :py:class:`Share <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.SrrQueue.Bandwidth.Share>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.shape = Native.Interface.Gigabitethernet.SrrQueue.Bandwidth.Shape()
                        self.shape.parent = self
                        self.share = Native.Interface.Gigabitethernet.SrrQueue.Bandwidth.Share()
                        self.share.parent = self


                    class Shape(object):
                        """
                        
                        
                        .. attribute:: weight1
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight2
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight3
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight4
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.weight1 = None
                            self.weight2 = None
                            self.weight3 = None
                            self.weight4 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:shape'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.weight1 is not None:
                                return True

                            if self.weight2 is not None:
                                return True

                            if self.weight3 is not None:
                                return True

                            if self.weight4 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.SrrQueue.Bandwidth.Shape']['meta_info']


                    class Share(object):
                        """
                        
                        
                        .. attribute:: weight1
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight2
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight3
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight4
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.weight1 = None
                            self.weight2 = None
                            self.weight3 = None
                            self.weight4 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:share'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.weight1 is not None:
                                return True

                            if self.weight2 is not None:
                                return True

                            if self.weight3 is not None:
                                return True

                            if self.weight4 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Gigabitethernet.SrrQueue.Bandwidth.Share']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:bandwidth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.shape is not None and self.shape._has_data():
                            return True

                        if self.share is not None and self.share._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.SrrQueue.Bandwidth']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:srr-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bandwidth is not None and self.bandwidth._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.SrrQueue']['meta_info']


            class Macsec(object):
                """
                Enable macsec on the interface
                
                .. attribute:: network_link
                
                	Enable macsec on switch connected interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.network_link = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:macsec'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.network_link is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Macsec']['meta_info']


            class DeviceTracking(object):
                """
                Configure device\-tracking on the interface
                
                .. attribute:: attach_policy
                
                	Apply a policy for feature device\-tracking
                	**type**\:  str
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.attach_policy = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:device-tracking'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.attach_policy is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.DeviceTracking']['meta_info']


            class Udld(object):
                """
                Configure UDLD enabled or disabled and ignore global UDLD setting
                
                .. attribute:: port
                
                	Enable UDLD protocol on this interface despite global UDLD setting
                	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Gigabitethernet.Udld.Port>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-udld'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.port = None


                class Port(object):
                    """
                    Enable UDLD protocol on this interface despite global UDLD setting
                    
                    .. attribute:: aggressive
                    
                    	Enable UDLD protocol in aggressive mode on this interface despite global UDLD setting
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: disable
                    
                    	Disable UDLD protocol on this interface despite global UDLD setting
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-udld'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aggressive = None
                        self.disable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-udld:port'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aggressive is not None:
                            return True

                        if self.disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Gigabitethernet.Udld.Port']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-udld:udld'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.port is not None and self.port._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.Udld']['meta_info']


            class ZoneMember(object):
                """
                Apply zone name
                
                .. attribute:: security
                
                	Security zone
                	**type**\:  str
                
                

                """

                _prefix = 'ios-zone'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.security = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-zone:zone-member'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.security is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Gigabitethernet.ZoneMember']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:GigabitEthernet[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.authentication is not None and self.authentication._has_data():
                    return True

                if self.auto is not None and self.auto._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.carrier_delay is not None and self.carrier_delay._has_data():
                    return True

                if self.cdp is not None and self.cdp._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.channel_group is not None and self.channel_group._has_data():
                    return True

                if self.channel_protocol is not None:
                    return True

                if self.crypto is not None and self.crypto._has_data():
                    return True

                if self.cts is not None and self.cts._has_data():
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.datalink is not None and self.datalink._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.device_tracking is not None and self.device_tracking._has_data():
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.dot1x is not None and self.dot1x._has_data():
                    return True

                if self.dual_active is not None and self.dual_active._has_data():
                    return True

                if self.duplex is not None:
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.energywise is not None and self.energywise._has_data():
                    return True

                if self.ethernet is not None and self.ethernet._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.lisp is not None and self.lisp._has_data():
                    return True

                if self.lldp is not None and self.lldp._has_data():
                    return True

                if self.load_balancing is not None and self.load_balancing._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.location is not None and self.location._has_data():
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.mab is not None and self.mab._has_data():
                    return True

                if self.mac is not None and self.mac._has_data():
                    return True

                if self.macro is not None and self.macro._has_data():
                    return True

                if self.macsec is not None and self.macsec._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.media_type is not None:
                    return True

                if self.mka is not None and self.mka._has_data():
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.negotiation is not None and self.negotiation._has_data():
                    return True

                if self.ospfv3 is not None and self.ospfv3._has_data():
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.performance is not None and self.performance._has_data():
                    return True

                if self.plim is not None and self.plim._has_data():
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.port_type is not None:
                    return True

                if self.power is not None and self.power._has_data():
                    return True

                if self.pppoe is not None and self.pppoe._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service is not None and self.service._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.shutdown is not None:
                    return True

                if self.snmp is not None and self.snmp._has_data():
                    return True

                if self.spanning_tree is not None and self.spanning_tree._has_data():
                    return True

                if self.speed is not None and self.speed._has_data():
                    return True

                if self.srr_queue is not None and self.srr_queue._has_data():
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switch is not None and self.switch._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.synchronous is not None and self.synchronous._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.udld is not None and self.udld._has_data():
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vlan_range is not None:
                    for child_ref in self.vlan_range:
                        if child_ref._has_data():
                            return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                if self.xconnect is not None and self.xconnect._has_data():
                    return True

                if self.zone_member is not None and self.zone_member._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.Gigabitethernet']['meta_info']


        class Tengigabitethernet(object):
            """
            Ten Gigabit Ethernet
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Arp>`
            
            .. attribute:: authentication
            
            	Auth Manager Interface Configuration Commands
            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication>`
            
            .. attribute:: auto
            
            	Configure Automation
            	**type**\:   :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Auto>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Bfd>`
            
            .. attribute:: carrier_delay
            
            	Specify delay for interface transitions
            	**type**\:   :py:class:`CarrierDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.CarrierDelay>`
            
            .. attribute:: cdp
            
            	CDP interface subcommands
            	**type**\:   :py:class:`Cdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Cdp>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Cemoudp>`
            
            .. attribute:: channel_group
            
            	Add this interface to an Etherchannel group
            	**type**\:   :py:class:`ChannelGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.ChannelGroup>`
            
            .. attribute:: channel_protocol
            
            	Select the channel protocol (LACP, PAgP)
            	**type**\:   :py:class:`ChannelProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.ChannelProtocolEnum>`
            
            .. attribute:: crypto
            
            	Encryption/Decryption commands
            	**type**\:   :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Crypto>`
            
            .. attribute:: cts
            
            	Configure Cisco Trusted Security
            	**type**\:   :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Cts>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: datalink
            
            	Interface Datalink commands
            	**type**\:   :py:class:`Datalink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Datalink>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: device_tracking
            
            	Configure device\-tracking on the interface
            	**type**\:   :py:class:`DeviceTracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.DeviceTracking>`
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Domain>`
            
            .. attribute:: dot1x
            
            	Interface Config Commands for IEEE 802.1X
            	**type**\:   :py:class:`Dot1X <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Dot1X>`
            
            .. attribute:: dual_active
            
            	
            	**type**\:   :py:class:`DualActive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.DualActive>`
            
            .. attribute:: duplex
            
            	Configure duplex operation
            	**type**\:   :py:class:`DuplexEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.DuplexEnum>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Encapsulation>`
            
            .. attribute:: energywise
            
            	EnergyWise interface configurations
            	**type**\:   :py:class:`Energywise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Energywise>`
            
            	**presence node**\: True
            
            .. attribute:: ethernet
            
            	Ethernet interface parameters
            	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: lacp
            
            	LACP interface subcommands
            	**type**\:   :py:class:`Lacp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Lacp>`
            
            .. attribute:: lisp
            
            	Locator/ID Separation Protocol
            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Lisp>`
            
            .. attribute:: lldp
            
            	LLDP interface subcommands
            	**type**\:   :py:class:`Lldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Lldp>`
            
            .. attribute:: load_balancing
            
            	Etherchannel Load\-Balancing
            	**type**\:   :py:class:`LoadBalancing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.LoadBalancing>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: location
            
            	Interface location information
            	**type**\:   :py:class:`Location <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Location>`
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Logging>`
            
            .. attribute:: mab
            
            	
            	**type**\:   :py:class:`Mab <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Mab>`
            
            	**presence node**\: True
            
            .. attribute:: mac
            
            	MAC interface commands
            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Mac>`
            
            .. attribute:: macro
            
            	Command macro
            	**type**\:   :py:class:`Macro <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Macro>`
            
            .. attribute:: macsec
            
            	Enable macsec on the interface
            	**type**\:   :py:class:`Macsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Macsec>`
            
            	**presence node**\: True
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Mdix>`
            
            .. attribute:: media_type
            
            	Media type
            	**type**\:   :py:class:`MediaTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.MediaTypeEnum>`
            
            .. attribute:: mka
            
            	MACsec Key Agreement (MKA) interface configuration
            	**type**\:   :py:class:`Mka <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Mka>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: negotiation
            
            	Select autonegotiation mode
            	**type**\:   :py:class:`Negotiation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Negotiation>`
            
            .. attribute:: ospfv3
            
            	OSPFv3 interface commands
            	**type**\:   :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Peer>`
            
            .. attribute:: performance
            
            	Global performance monitor configuration
            	**type**\:   :py:class:`Performance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Performance>`
            
            .. attribute:: plim
            
            	Configure features on the PLIM
            	**type**\:   :py:class:`Plim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Plim>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.PmPath>`
            
            .. attribute:: port_type
            
            	
            	**type**\:   :py:class:`PortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.PortTypeEnum>`
            
            .. attribute:: power
            
            	
            	**type**\:   :py:class:`Power <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Power>`
            
            .. attribute:: pppoe
            
            	pppoe interface subcommands
            	**type**\:   :py:class:`Pppoe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Pppoe>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.RcvQueue>`
            
            .. attribute:: service
            
            	Configure Ether Service
            	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.ServiceInsertionEnum>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.ServicePolicy>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: snmp
            
            	Modify SNMP interface parameters
            	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Snmp>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.SpanningTree>`
            
            .. attribute:: speed
            
            	Configure speed operation
            	**type**\:   :py:class:`Speed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Speed>`
            
            .. attribute:: srr_queue
            
            	
            	**type**\:   :py:class:`SrrQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.SrrQueue>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.StormControl>`
            
            .. attribute:: switch
            
            	
            	**type**\:   :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switch>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.SwitchportConf>`
            
            .. attribute:: synchronous
            
            	Synchronous
            	**type**\:   :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Synchronous>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Trust>`
            
            .. attribute:: udld
            
            	Configure UDLD enabled or disabled and ignore global UDLD setting
            	**type**\:   :py:class:`Udld <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Udld>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Utd>`
            
            .. attribute:: vlan_range
            
            	
            	**type**\: list of    :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.VlanRange>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Vrf>`
            
            .. attribute:: xconnect
            
            	Xconnect commands
            	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Xconnect>`
            
            .. attribute:: zone_member
            
            	Apply zone name
            	**type**\:   :py:class:`ZoneMember <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.ZoneMember>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.Tengigabitethernet.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.Tengigabitethernet.Arp()
                self.arp.parent = self
                self.authentication = Native.Interface.Tengigabitethernet.Authentication()
                self.authentication.parent = self
                self.auto = Native.Interface.Tengigabitethernet.Auto()
                self.auto.parent = self
                self.backup = Native.Interface.Tengigabitethernet.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.Tengigabitethernet.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.Tengigabitethernet.Bfd()
                self.bfd.parent = self
                self.carrier_delay = Native.Interface.Tengigabitethernet.CarrierDelay()
                self.carrier_delay.parent = self
                self.cdp = Native.Interface.Tengigabitethernet.Cdp()
                self.cdp.parent = self
                self.cemoudp = Native.Interface.Tengigabitethernet.Cemoudp()
                self.cemoudp.parent = self
                self.channel_group = Native.Interface.Tengigabitethernet.ChannelGroup()
                self.channel_group.parent = self
                self.channel_protocol = None
                self.crypto = Native.Interface.Tengigabitethernet.Crypto()
                self.crypto.parent = self
                self.cts = Native.Interface.Tengigabitethernet.Cts()
                self.cts.parent = self
                self.cws_tunnel = Native.Interface.Tengigabitethernet.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.datalink = Native.Interface.Tengigabitethernet.Datalink()
                self.datalink.parent = self
                self.delay = None
                self.description = None
                self.device_tracking = Native.Interface.Tengigabitethernet.DeviceTracking()
                self.device_tracking.parent = self
                self.domain = Native.Interface.Tengigabitethernet.Domain()
                self.domain.parent = self
                self.dot1x = Native.Interface.Tengigabitethernet.Dot1X()
                self.dot1x.parent = self
                self.dual_active = Native.Interface.Tengigabitethernet.DualActive()
                self.dual_active.parent = self
                self.duplex = None
                self.encapsulation = Native.Interface.Tengigabitethernet.Encapsulation()
                self.encapsulation.parent = self
                self.energywise = None
                self.ethernet = Native.Interface.Tengigabitethernet.Ethernet()
                self.ethernet.parent = self
                self.fair_queue = Native.Interface.Tengigabitethernet.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.Tengigabitethernet.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.Tengigabitethernet.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.Tengigabitethernet.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.Tengigabitethernet.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.Tengigabitethernet.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.Tengigabitethernet.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.Tengigabitethernet.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.Tengigabitethernet.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.Tengigabitethernet.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.lacp = Native.Interface.Tengigabitethernet.Lacp()
                self.lacp.parent = self
                self.lisp = Native.Interface.Tengigabitethernet.Lisp()
                self.lisp.parent = self
                self.lldp = Native.Interface.Tengigabitethernet.Lldp()
                self.lldp.parent = self
                self.load_balancing = Native.Interface.Tengigabitethernet.LoadBalancing()
                self.load_balancing.parent = self
                self.load_interval = None
                self.location = Native.Interface.Tengigabitethernet.Location()
                self.location.parent = self
                self.logging = Native.Interface.Tengigabitethernet.Logging()
                self.logging.parent = self
                self.mab = None
                self.mac = Native.Interface.Tengigabitethernet.Mac()
                self.mac.parent = self
                self.macro = Native.Interface.Tengigabitethernet.Macro()
                self.macro.parent = self
                self.macsec = None
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.Tengigabitethernet.Mdix()
                self.mdix.parent = self
                self.media_type = None
                self.mka = Native.Interface.Tengigabitethernet.Mka()
                self.mka.parent = self
                self.mop = Native.Interface.Tengigabitethernet.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.Tengigabitethernet.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.negotiation = Native.Interface.Tengigabitethernet.Negotiation()
                self.negotiation.parent = self
                self.ospfv3 = Native.Interface.Tengigabitethernet.Ospfv3()
                self.ospfv3.parent = self
                self.peer = Native.Interface.Tengigabitethernet.Peer()
                self.peer.parent = self
                self.performance = Native.Interface.Tengigabitethernet.Performance()
                self.performance.parent = self
                self.plim = Native.Interface.Tengigabitethernet.Plim()
                self.plim.parent = self
                self.pm_path = Native.Interface.Tengigabitethernet.PmPath()
                self.pm_path.parent = self
                self.port_type = None
                self.power = Native.Interface.Tengigabitethernet.Power()
                self.power.parent = self
                self.pppoe = Native.Interface.Tengigabitethernet.Pppoe()
                self.pppoe.parent = self
                self.priority_queue = Native.Interface.Tengigabitethernet.PriorityQueue()
                self.priority_queue.parent = self
                self.rcv_queue = Native.Interface.Tengigabitethernet.RcvQueue()
                self.rcv_queue.parent = self
                self.service = Native.Interface.Tengigabitethernet.Service()
                self.service.parent = self
                self.service_insertion = None
                self.service_policy = Native.Interface.Tengigabitethernet.ServicePolicy()
                self.service_policy.parent = self
                self.shutdown = None
                self.snmp = Native.Interface.Tengigabitethernet.Snmp()
                self.snmp.parent = self
                self.spanning_tree = Native.Interface.Tengigabitethernet.SpanningTree()
                self.spanning_tree.parent = self
                self.speed = Native.Interface.Tengigabitethernet.Speed()
                self.speed.parent = self
                self.srr_queue = Native.Interface.Tengigabitethernet.SrrQueue()
                self.srr_queue.parent = self
                self.standby = Native.Interface.Tengigabitethernet.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.Tengigabitethernet.StormControl()
                self.storm_control.parent = self
                self.switch = Native.Interface.Tengigabitethernet.Switch()
                self.switch.parent = self
                self.switchport = Native.Interface.Tengigabitethernet.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.Tengigabitethernet.SwitchportConf()
                self.switchport_conf.parent = self
                self.synchronous = Native.Interface.Tengigabitethernet.Synchronous()
                self.synchronous.parent = self
                self.trust = Native.Interface.Tengigabitethernet.Trust()
                self.trust.parent = self
                self.udld = Native.Interface.Tengigabitethernet.Udld()
                self.udld.parent = self
                self.utd = Native.Interface.Tengigabitethernet.Utd()
                self.utd.parent = self
                self.vlan_range = YList()
                self.vlan_range.parent = self
                self.vlan_range.name = 'vlan_range'
                self.vrf = Native.Interface.Tengigabitethernet.Vrf()
                self.vrf.parent = self
                self.xconnect = Native.Interface.Tengigabitethernet.Xconnect()
                self.xconnect.parent = self
                self.zone_member = Native.Interface.Tengigabitethernet.ZoneMember()
                self.zone_member.parent = self

            class ChannelProtocolEnum(Enum):
                """
                ChannelProtocolEnum

                Select the channel protocol (LACP, PAgP)

                .. data:: lacp = 0

                .. data:: pagp = 1

                """

                lacp = 0

                pagp = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.ChannelProtocolEnum']


            class DuplexEnum(Enum):
                """
                DuplexEnum

                Configure duplex operation.

                .. data:: auto = 0

                .. data:: full = 1

                .. data:: half = 2

                """

                auto = 0

                full = 1

                half = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.DuplexEnum']


            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.IfStateEnum']


            class MediaTypeEnum(Enum):
                """
                MediaTypeEnum

                Media type

                .. data:: auto_select = 0

                .. data:: rj45 = 1

                .. data:: sfp = 2

                """

                auto_select = 0

                rj45 = 1

                sfp = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.MediaTypeEnum']


            class PortTypeEnum(Enum):
                """
                PortTypeEnum

                .. data:: nni = 0

                """

                nni = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.PortTypeEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.ServiceInsertionEnum']



            class Lacp(object):
                """
                LACP interface subcommands
                
                .. attribute:: rate
                
                	Rate at which the LACP packets are requested to be ingressed to this interface
                	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Lacp.Rate>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.rate = Native.Interface.Tengigabitethernet.Lacp.Rate()
                    self.rate.parent = self


                class Rate(object):
                    """
                    Rate at which the LACP packets are requested to be ingressed to this interface
                    
                    .. attribute:: fast
                    
                    	Request LACP packets to be ingressed at the 1 second rate for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.fast = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:rate'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.fast is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Lacp.Rate']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:lacp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.rate is not None and self.rate._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Lacp']['meta_info']


            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Access>`
                
                .. attribute:: autostate
                
                	Include or exclude this port from vlan link up calculation
                	**type**\:   :py:class:`Autostate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Autostate>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:   :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Block>`
                
                .. attribute:: device_tracking
                
                	Configure device\-tracking on the interface
                	**type**\:   :py:class:`DeviceTracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.DeviceTracking>`
                
                .. attribute:: host
                
                	Set port host
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:   :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: priority
                
                	Set appliance 802.1p priority
                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Priority>`
                
                .. attribute:: private_vlan
                
                	Set the private VLAN configuration
                	**type**\:   :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.PrivateVlan>`
                
                .. attribute:: protected
                
                	Configure an interface to be a protected port
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: trunk
                
                	Set trunking characteristics of the interface
                	**type**\:   :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Trunk>`
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:   :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Voice>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access = Native.Interface.Tengigabitethernet.Switchport.Access()
                    self.access.parent = self
                    self.autostate = Native.Interface.Tengigabitethernet.Switchport.Autostate()
                    self.autostate.parent = self
                    self.block = Native.Interface.Tengigabitethernet.Switchport.Block()
                    self.block.parent = self
                    self.device_tracking = Native.Interface.Tengigabitethernet.Switchport.DeviceTracking()
                    self.device_tracking.parent = self
                    self.host = None
                    self.mode = Native.Interface.Tengigabitethernet.Switchport.Mode()
                    self.mode.parent = self
                    self.nonegotiate = None
                    self.port_security = None
                    self.priority = Native.Interface.Tengigabitethernet.Switchport.Priority()
                    self.priority.parent = self
                    self.private_vlan = Native.Interface.Tengigabitethernet.Switchport.PrivateVlan()
                    self.private_vlan.parent = self
                    self.protected = None
                    self.trunk = Native.Interface.Tengigabitethernet.Switchport.Trunk()
                    self.trunk.parent = self
                    self.voice = Native.Interface.Tengigabitethernet.Switchport.Voice()
                    self.voice.parent = self


                class Access(object):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	Set VLAN when interface is in access mode
                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Access.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = Native.Interface.Tengigabitethernet.Switchport.Access.Vlan()
                        self.vlan.parent = self


                    class Vlan(object):
                        """
                        Set VLAN when interface is in access mode
                        
                        .. attribute:: name
                        
                        	Vlan name
                        	**type**\:  str
                        
                        .. attribute:: vlan
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        
                        ----
                        	**type**\:   :py:class:`VlanEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.VlanEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.vlan = None

                        class VlanEnum(Enum):
                            """
                            VlanEnum

                            .. data:: dynamic = 0

                            """

                            dynamic = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Access.Vlan.VlanEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Access.Vlan']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:access'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None and self.vlan._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Access']['meta_info']


                class Block(object):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: multicast
                    
                    	Block unknown multicast addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.multicast = None
                        self.unicast = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:block'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.multicast is not None:
                            return True

                        if self.unicast is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Block']['meta_info']


                class Mode(object):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Mode.Access>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dot1q_tunnel
                    
                    	set trunking mode to TUNNEL unconditionally
                    	**type**\:   :py:class:`Dot1QTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Mode.Dot1QTunnel>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dynamic
                    
                    	Set trunking mode to dynamically negotiate access or trunk mode
                    	**type**\:   :py:class:`DynamicEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Mode.DynamicEnum>`
                    
                    .. attribute:: private_vlan
                    
                    	Set private\-vlan mode
                    	**type**\:   :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Mode.PrivateVlan>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\:   :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Mode.Trunk>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access = None
                        self.dot1q_tunnel = None
                        self.dynamic = None
                        self.private_vlan = Native.Interface.Tengigabitethernet.Switchport.Mode.PrivateVlan()
                        self.private_vlan.parent = self
                        self.trunk = None

                    class DynamicEnum(Enum):
                        """
                        DynamicEnum

                        Set trunking mode to dynamically negotiate access or trunk mode

                        .. data:: auto = 0

                        .. data:: desirable = 1

                        """

                        auto = 0

                        desirable = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Mode.DynamicEnum']



                    class Access(object):
                        """
                        Set trunking mode to ACCESS unconditionally
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:access'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Mode.Access']['meta_info']


                    class Dot1QTunnel(object):
                        """
                        set trunking mode to TUNNEL unconditionally
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:dot1q-tunnel'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Mode.Dot1QTunnel']['meta_info']


                    class PrivateVlan(object):
                        """
                        Set private\-vlan mode
                        
                        .. attribute:: host
                        
                        	Set the mode to private\-vlan host
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: promiscuous
                        
                        	Set the mode to private\-vlan promiscuous
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.host = None
                            self.promiscuous = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:private-vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.host is not None:
                                return True

                            if self.promiscuous is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Mode.PrivateVlan']['meta_info']


                    class Trunk(object):
                        """
                        Set trunking mode to TRUNK unconditionally
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:trunk'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Mode.Trunk']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access is not None and self.access._has_data():
                            return True

                        if self.dot1q_tunnel is not None and self.dot1q_tunnel._has_data():
                            return True

                        if self.dynamic is not None:
                            return True

                        if self.private_vlan is not None and self.private_vlan._has_data():
                            return True

                        if self.trunk is not None and self.trunk._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Mode']['meta_info']


                class PortSecurity(object):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:   :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: mac_address
                    
                    	Secure mac address
                    	**type**\:   :py:class:`MacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.PortSecurity.MacAddress>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:   :py:class:`ViolationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.PortSecurity.ViolationEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aging = Native.Interface.Tengigabitethernet.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self.mac_address = Native.Interface.Tengigabitethernet.Switchport.PortSecurity.MacAddress()
                        self.mac_address.parent = self
                        self.maximum = Native.Interface.Tengigabitethernet.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self.violation = None

                    class ViolationEnum(Enum):
                        """
                        ViolationEnum

                        Security violation mode

                        .. data:: protect = 0

                        .. data:: restrict = 1

                        .. data:: shutdown = 2

                        """

                        protect = 0

                        restrict = 1

                        shutdown = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.PortSecurity.ViolationEnum']



                    class Aging(object):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.PortSecurity.Aging.TypeEnum>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = None
                            self.time = None
                            self.type = None

                        class TypeEnum(Enum):
                            """
                            TypeEnum

                            Port\-security aging type

                            .. data:: absolute = 0

                            .. data:: inactivity = 1

                            """

                            absolute = 0

                            inactivity = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.PortSecurity.Aging.TypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:aging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None:
                                return True

                            if self.time is not None:
                                return True

                            if self.type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.PortSecurity.Aging']['meta_info']


                    class MacAddress(object):
                        """
                        Secure mac address
                        
                        .. attribute:: hw_address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2}){5}
                        
                        .. attribute:: sticky
                        
                        	Configure dynamic secure addresses as sticky
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	set VLAN ID of the VLAN on which this address can be learned
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hw_address = None
                            self.sticky = None
                            self.vlan = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:mac-address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hw_address is not None:
                                return True

                            if self.sticky is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.PortSecurity.MacAddress']['meta_info']


                    class Maximum(object):
                        """
                        Max secure addresses
                        
                        .. attribute:: max_addresses
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4097
                        
                        .. attribute:: vlan
                        
                        	Max secure addresses per vlan
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max_addresses = None
                            self.vlan = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:maximum'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max_addresses is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.PortSecurity.Maximum']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:port-security'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aging is not None and self.aging._has_data():
                            return True

                        if self.mac_address is not None and self.mac_address._has_data():
                            return True

                        if self.maximum is not None and self.maximum._has_data():
                            return True

                        if self.violation is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.PortSecurity']['meta_info']


                class Trunk(object):
                    """
                    Set trunking characteristics of the interface
                    
                    .. attribute:: allowed
                    
                    	Set allowed VLAN characteristics when interface is in trunking mode
                    	**type**\:   :py:class:`Allowed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Trunk.Allowed>`
                    
                    .. attribute:: encapsulation
                    
                    	Set encapsulation format on trunk port
                    	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Trunk.EncapsulationEnum>`
                    
                    .. attribute:: native
                    
                    	Set trunking native characteristics when interface is in trunking mode
                    	**type**\:   :py:class:`Native_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Trunk.Native_>`
                    
                    .. attribute:: pruning
                    
                    	Set pruning VLAN characteristics when interface is in trunking mode
                    	**type**\:   :py:class:`Pruning <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Trunk.Pruning>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.allowed = Native.Interface.Tengigabitethernet.Switchport.Trunk.Allowed()
                        self.allowed.parent = self
                        self.encapsulation = None
                        self.native = Native.Interface.Tengigabitethernet.Switchport.Trunk.Native_()
                        self.native.parent = self
                        self.pruning = Native.Interface.Tengigabitethernet.Switchport.Trunk.Pruning()
                        self.pruning.parent = self

                    class EncapsulationEnum(Enum):
                        """
                        EncapsulationEnum

                        Set encapsulation format on trunk port

                        .. data:: dot1q = 0

                        .. data:: isl = 1

                        .. data:: negotiate = 2

                        """

                        dot1q = 0

                        isl = 1

                        negotiate = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Trunk.EncapsulationEnum']



                    class Allowed(object):
                        """
                        Set allowed VLAN characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set allowed VLANs when interface is in trunking mode
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Trunk.Allowed.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vlan = Native.Interface.Tengigabitethernet.Switchport.Trunk.Allowed.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            Set allowed VLANs when interface is in trunking mode
                            
                            .. attribute:: add
                            
                            	VLAN IDs of the allowed VLANs when this port is in trunking mode
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: all
                            
                            	all VLANs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: except_
                            
                            	all VLANs except the following
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: none
                            
                            	no VLANs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: remove
                            
                            	VLAN IDs of disallowed VLANS when this port is in trunking mode
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: vlans
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.add = None
                                self.all = None
                                self.except_ = YLeafList()
                                self.except_.parent = self
                                self.except_.name = 'except_'
                                self.none = None
                                self.remove = None
                                self.vlans = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.add is not None:
                                    return True

                                if self.all is not None:
                                    return True

                                if self.except_ is not None:
                                    for child in self.except_:
                                        if child is not None:
                                            return True

                                if self.none is not None:
                                    return True

                                if self.remove is not None:
                                    return True

                                if self.vlans is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Trunk.Allowed.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:allowed'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Trunk.Allowed']['meta_info']


                    class Native_(object):
                        """
                        Set trunking native characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set native VLAN when interface is in trunking mode
                        	**type**\: one of the below types:
                        
                        	**type**\:   :py:class:`VlanEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_.VlanEnum>`
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vlan = None

                        class VlanEnum(Enum):
                            """
                            VlanEnum

                            Set native VLAN when interface is in trunking mode

                            .. data:: tag = 0

                            """

                            tag = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Trunk.Native_.VlanEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:native'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Trunk.Native_']['meta_info']


                    class Pruning(object):
                        """
                        Set pruning VLAN characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set VLANs enabled for pruning when interface is in trunking mode
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Trunk.Pruning.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vlan = Native.Interface.Tengigabitethernet.Switchport.Trunk.Pruning.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            Set VLANs enabled for pruning when interface is in trunking mode
                            
                            .. attribute:: add
                            
                            	VLAN IDs of the allowed VLANs when this port is in trunking mode
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: except_
                            
                            	all VLANs except the following
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: none
                            
                            	no VLANs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: remove
                            
                            	VLAN IDs of disallowed VLANS when this port is in trunking mode
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: vlans
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.add = None
                                self.except_ = YLeafList()
                                self.except_.parent = self
                                self.except_.name = 'except_'
                                self.none = None
                                self.remove = None
                                self.vlans = YLeafList()
                                self.vlans.parent = self
                                self.vlans.name = 'vlans'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.add is not None:
                                    return True

                                if self.except_ is not None:
                                    for child in self.except_:
                                        if child is not None:
                                            return True

                                if self.none is not None:
                                    return True

                                if self.remove is not None:
                                    return True

                                if self.vlans is not None:
                                    for child in self.vlans:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Trunk.Pruning.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:pruning'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Trunk.Pruning']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:trunk'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.allowed is not None and self.allowed._has_data():
                            return True

                        if self.encapsulation is not None:
                            return True

                        if self.native is not None and self.native._has_data():
                            return True

                        if self.pruning is not None and self.pruning._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Trunk']['meta_info']


                class Voice(object):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: detect
                    
                    	detection enhancement keyword
                    	**type**\:   :py:class:`Detect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Voice.Detect>`
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Voice.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.detect = Native.Interface.Tengigabitethernet.Switchport.Voice.Detect()
                        self.detect.parent = self
                        self.vlan = Native.Interface.Tengigabitethernet.Switchport.Voice.Vlan()
                        self.vlan.parent = self


                    class Vlan(object):
                        """
                        Vlan for voice traffic
                        
                        .. attribute:: name
                        
                        	Vlan name
                        	**type**\:  str
                        
                        .. attribute:: vlan
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:   :py:class:`VlanEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.VlanEnum>`
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        
                        ----
                        	**type**\:  str
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.vlan = None

                        class VlanEnum(Enum):
                            """
                            VlanEnum

                            .. data:: dot1p = 0

                            .. data:: none = 1

                            .. data:: untagged = 2

                            """

                            dot1p = 0

                            none = 1

                            untagged = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Voice.Vlan.VlanEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Voice.Vlan']['meta_info']


                    class Detect(object):
                        """
                        detection enhancement keyword
                        
                        .. attribute:: cisco_phone
                        
                        	Cisco IP phone
                        	**type**\:   :py:class:`CiscoPhone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Voice.Detect.CiscoPhone>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cisco_phone = None


                        class CiscoPhone(object):
                            """
                            Cisco IP phone
                            
                            .. attribute:: full_duplex
                            
                            	full duplex keyword
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.full_duplex = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:cisco-phone'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.full_duplex is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Voice.Detect.CiscoPhone']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:detect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cisco_phone is not None and self.cisco_phone._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Voice.Detect']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:voice'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.detect is not None and self.detect._has_data():
                            return True

                        if self.vlan is not None and self.vlan._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Voice']['meta_info']


                class Priority(object):
                    """
                    Set appliance 802.1p priority
                    
                    .. attribute:: extend
                    
                    	Set appliance 802.1p priority
                    	**type**\:   :py:class:`Extend <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.Priority.Extend>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.extend = Native.Interface.Tengigabitethernet.Switchport.Priority.Extend()
                        self.extend.parent = self


                    class Extend(object):
                        """
                        Set appliance 802.1p priority
                        
                        .. attribute:: cos
                        
                        	Override 802.1p priority of devices on appliance
                        	**type**\:  int
                        
                        	**range:** 0..7
                        
                        .. attribute:: trust
                        
                        	Trust 802.1p priorities of devices on appliance
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cos = None
                            self.trust = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:extend'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cos is not None:
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Priority.Extend']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:priority'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.extend is not None and self.extend._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Priority']['meta_info']


                class Autostate(object):
                    """
                    Include or exclude this port from vlan link up calculation
                    
                    .. attribute:: exclude
                    
                    	Exclude this port from vlan link up calculation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.exclude = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:autostate'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.exclude is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.Autostate']['meta_info']


                class PrivateVlan(object):
                    """
                    Set the private VLAN configuration
                    
                    .. attribute:: association
                    
                    	Set the private VLAN association
                    	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association>`
                    
                    .. attribute:: host_association
                    
                    	Set the private VLAN host association
                    	**type**\:   :py:class:`HostAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.HostAssociation>`
                    
                    .. attribute:: mapping
                    
                    	Set the private VLAN promiscuous mapping
                    	**type**\:   :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Mapping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.association = Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association()
                        self.association.parent = self
                        self.host_association = Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.HostAssociation()
                        self.host_association.parent = self
                        self.mapping = Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Mapping()
                        self.mapping.parent = self


                    class Association(object):
                        """
                        Set the private VLAN association
                        
                        .. attribute:: host
                        
                        	Set the private VLAN host association
                        	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association.Host>`
                        
                        .. attribute:: mapping
                        
                        	Set the private VLAN promiscuous mapping
                        	**type**\:   :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association.Mapping>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.host = Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association.Host()
                            self.host.parent = self
                            self.mapping = Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association.Mapping()
                            self.mapping.parent = self


                        class Host(object):
                            """
                            Set the private VLAN host association
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN port association
                            	**type**\:  int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: secondary_range
                            
                            	Secondary normal range VLAN ID of the private VLAN host port association
                            	**type**\:  int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.primary_range = None
                                self.secondary_range = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.primary_range is not None:
                                    return True

                                if self.secondary_range is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association.Host']['meta_info']


                        class Mapping(object):
                            """
                            Set the private VLAN promiscuous mapping
                            
                            .. attribute:: add
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\:  str
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                            	**type**\:  int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: remove
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\:  str
                            
                            .. attribute:: secondary_range
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.add = None
                                self.primary_range = None
                                self.remove = None
                                self.secondary_range = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.add is not None:
                                    return True

                                if self.primary_range is not None:
                                    return True

                                if self.remove is not None:
                                    return True

                                if self.secondary_range is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association.Mapping']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:association'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.host is not None and self.host._has_data():
                                return True

                            if self.mapping is not None and self.mapping._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Association']['meta_info']


                    class HostAssociation(object):
                        """
                        Set the private VLAN host association
                        
                        .. attribute:: primary_range
                        
                        	Primary normal range VLAN ID of the private VLAN port association
                        	**type**\:  int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        .. attribute:: secondary_range
                        
                        	Secondary normal range VLAN ID of the private VLAN host port association
                        	**type**\:  int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.primary_range = None
                            self.secondary_range = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host-association'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.primary_range is not None:
                                return True

                            if self.secondary_range is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.HostAssociation']['meta_info']


                    class Mapping(object):
                        """
                        Set the private VLAN promiscuous mapping
                        
                        .. attribute:: add
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\:  str
                        
                        .. attribute:: primary_range
                        
                        	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                        	**type**\:  int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        .. attribute:: remove
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\:  str
                        
                        .. attribute:: secondary_range
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.add = None
                            self.primary_range = None
                            self.remove = None
                            self.secondary_range = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:mapping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.add is not None:
                                return True

                            if self.primary_range is not None:
                                return True

                            if self.remove is not None:
                                return True

                            if self.secondary_range is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.PrivateVlan.Mapping']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:private-vlan'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.association is not None and self.association._has_data():
                            return True

                        if self.host_association is not None and self.host_association._has_data():
                            return True

                        if self.mapping is not None and self.mapping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.PrivateVlan']['meta_info']


                class DeviceTracking(object):
                    """
                    Configure device\-tracking on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature device\-tracking
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:device-tracking'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport.DeviceTracking']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access is not None and self.access._has_data():
                        return True

                    if self.autostate is not None and self.autostate._has_data():
                        return True

                    if self.block is not None and self.block._has_data():
                        return True

                    if self.device_tracking is not None and self.device_tracking._has_data():
                        return True

                    if self.host is not None:
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.port_security is not None and self.port_security._has_data():
                        return True

                    if self.priority is not None and self.priority._has_data():
                        return True

                    if self.private_vlan is not None and self.private_vlan._has_data():
                        return True

                    if self.protected is not None:
                        return True

                    if self.trunk is not None and self.trunk._has_data():
                        return True

                    if self.voice is not None and self.voice._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.Tengigabitethernet.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.Tengigabitethernet.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.Tengigabitethernet.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.Tengigabitethernet.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.Tengigabitethernet.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.Tengigabitethernet.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.Tengigabitethernet.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.Tengigabitethernet.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.Tengigabitethernet.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.Tengigabitethernet.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.Tengigabitethernet.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.Tengigabitethernet.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.Tengigabitethernet.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                .. attribute:: adjacency_filter
                
                	Filter IS\-IS adjacencies
                	**type**\:   :py:class:`AdjacencyFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.AdjacencyFilter>`
                
                .. attribute:: advertise
                
                	Control addresses advertisements in LSPs
                	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Advertise>`
                
                .. attribute:: authentication
                
                	ISIS authentication for interface related PDUs
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Authentication>`
                
                .. attribute:: circuit_type
                
                	Configure circuit type for interface
                	**type**\:   :py:class:`CircuitType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.CircuitType>`
                
                	**presence node**\: True
                
                .. attribute:: csnp_interval
                
                	Set CSNP interval in seconds
                	**type**\:   :py:class:`CsnpInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.CsnpInterval>`
                
                .. attribute:: hello
                
                	Add padding to IS\-IS hello packets
                	**type**\:   :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Hello>`
                
                .. attribute:: hello_interval
                
                	Set Hello interval in seconds
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.HelloInterval>`
                
                .. attribute:: hello_multiplier
                
                	Set multiplier for Hello holding time
                	**type**\:   :py:class:`HelloMultiplier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.HelloMultiplier>`
                
                .. attribute:: ipv6
                
                	IPv6 interface configuration
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Ipv6>`
                
                .. attribute:: lsp_interval
                
                	Set LSP transmission interval
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                .. attribute:: mesh_group
                
                	Set ISIS mesh group
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                
                ----
                	**type**\:   :py:class:`MeshGroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.MeshGroupEnum>`
                
                
                ----
                .. attribute:: metric
                
                	Configure the metric for interface
                	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Metric>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:   :py:class:`NetworkEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.NetworkEnum>`
                
                .. attribute:: password
                
                	Configure the authentication password for interface
                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Password>`
                
                .. attribute:: priority
                
                	Set priority for Designated Router election
                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Priority>`
                
                .. attribute:: protocol
                
                	Set ISIS protocol's state under current interface
                	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.ProtocolEnum>`
                
                .. attribute:: retransmit_interval
                
                	Set per\-LSP retransmission interval
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: retransmit_throttle_interval
                
                	Set interface LSP retransmission interval
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tag
                
                	Assign an admin tag to an ISIS interface IP route
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                .. attribute:: three_way_handshake
                
                	Select Cisco or IETF three\-way handshake
                	**type**\:   :py:class:`ThreeWayHandshake <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.ThreeWayHandshake>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.adjacency_filter = Native.Interface.Tengigabitethernet.Isis.AdjacencyFilter()
                    self.adjacency_filter.parent = self
                    self.advertise = Native.Interface.Tengigabitethernet.Isis.Advertise()
                    self.advertise.parent = self
                    self.authentication = Native.Interface.Tengigabitethernet.Isis.Authentication()
                    self.authentication.parent = self
                    self.circuit_type = None
                    self.csnp_interval = Native.Interface.Tengigabitethernet.Isis.CsnpInterval()
                    self.csnp_interval.parent = self
                    self.hello = Native.Interface.Tengigabitethernet.Isis.Hello()
                    self.hello.parent = self
                    self.hello_interval = Native.Interface.Tengigabitethernet.Isis.HelloInterval()
                    self.hello_interval.parent = self
                    self.hello_multiplier = Native.Interface.Tengigabitethernet.Isis.HelloMultiplier()
                    self.hello_multiplier.parent = self
                    self.ipv6 = Native.Interface.Tengigabitethernet.Isis.Ipv6()
                    self.ipv6.parent = self
                    self.lsp_interval = None
                    self.mesh_group = None
                    self.metric = Native.Interface.Tengigabitethernet.Isis.Metric()
                    self.metric.parent = self
                    self.network = None
                    self.password = Native.Interface.Tengigabitethernet.Isis.Password()
                    self.password.parent = self
                    self.priority = Native.Interface.Tengigabitethernet.Isis.Priority()
                    self.priority.parent = self
                    self.protocol = None
                    self.retransmit_interval = None
                    self.retransmit_throttle_interval = None
                    self.tag = None
                    self.three_way_handshake = None

                class MeshGroupEnum(Enum):
                    """
                    MeshGroupEnum

                    Set ISIS mesh group

                    .. data:: blocked = 0

                    """

                    blocked = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.MeshGroupEnum']


                class NetworkEnum(Enum):
                    """
                    NetworkEnum

                    Network type

                    .. data:: point_to_point = 0

                    """

                    point_to_point = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.NetworkEnum']


                class ProtocolEnum(Enum):
                    """
                    ProtocolEnum

                    Set ISIS protocol's state under current interface

                    .. data:: shutdown = 0

                    """

                    shutdown = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.ProtocolEnum']



                class AdjacencyFilter(object):
                    """
                    Filter IS\-IS adjacencies
                    
                    .. attribute:: match_all
                    
                    	Match all area addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: name
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.match_all = None
                        self.name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:adjacency-filter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.match_all is not None:
                            return True

                        if self.name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.AdjacencyFilter']['meta_info']


                class Advertise(object):
                    """
                    Control addresses advertisements in LSPs
                    
                    .. attribute:: prefix
                    
                    	Interface IP address
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.prefix = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:advertise'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.prefix is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Advertise']['meta_info']


                class Authentication(object):
                    """
                    ISIS authentication for interface related PDUs
                    
                    .. attribute:: key_chain
                    
                    	Authentication key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	Authentication mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Authentication.Mode>`
                    
                    .. attribute:: send_only
                    
                    	Authentication send only, receive ignore
                    	**type**\:   :py:class:`SendOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Authentication.SendOnly>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Tengigabitethernet.Isis.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Tengigabitethernet.Isis.Authentication.Mode()
                        self.mode.parent = self
                        self.send_only = None


                    class Mode(object):
                        """
                        Authentication mode
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Authentication.Mode.Md5>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: text
                        
                        	Clear text password
                        	**type**\:   :py:class:`Text <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Authentication.Mode.Text>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = None
                            self.text = None


                        class Md5(object):
                            """
                            Keyed message digest
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Authentication.Mode.Md5']['meta_info']


                        class Text(object):
                            """
                            Clear text password
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:text'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Authentication.Mode.Text']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None and self.text._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Authentication.Mode']['meta_info']


                    class KeyChain(object):
                        """
                        Authentication key\-chain
                        
                        .. attribute:: key_chain_list
                        
                        	
                        	**type**\: list of    :py:class:`KeyChainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Authentication.KeyChain.KeyChainList>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_chain_list = YList()
                            self.key_chain_list.parent = self
                            self.key_chain_list.name = 'key_chain_list'
                            self.name = None


                        class KeyChainList(object):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.levels = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.levels is None:
                                    raise YPYModelError('Key property levels is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:key-chain-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.levels is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Authentication.KeyChain.KeyChainList']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_chain_list is not None:
                                for child_ref in self.key_chain_list:
                                    if child_ref._has_data():
                                        return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Authentication.KeyChain']['meta_info']


                    class SendOnly(object):
                        """
                        Authentication send only, receive ignore
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.levels = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:send-only'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.levels is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Authentication.SendOnly']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        if self.send_only is not None and self.send_only._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Authentication']['meta_info']


                class CircuitType(object):
                    """
                    Configure circuit type for interface
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.CircuitType.LevelsEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.levels = None

                    class LevelsEnum(Enum):
                        """
                        LevelsEnum

                        .. data:: level_1 = 0

                        .. data:: level_1_2 = 1

                        .. data:: level_2_only = 2

                        """

                        level_1 = 0

                        level_1_2 = 1

                        level_2_only = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.CircuitType.LevelsEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:circuit-type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.levels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.CircuitType']['meta_info']


                class CsnpInterval(object):
                    """
                    Set CSNP interval in seconds
                    
                    .. attribute:: csnp_interval_list
                    
                    	
                    	**type**\: list of    :py:class:`CsnpIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.CsnpInterval.CsnpIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.csnp_interval_list = YList()
                        self.csnp_interval_list.parent = self
                        self.csnp_interval_list.name = 'csnp_interval_list'
                        self.value = None


                    class CsnpIntervalList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:csnp-interval-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.CsnpInterval.CsnpIntervalList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:csnp-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.csnp_interval_list is not None:
                            for child_ref in self.csnp_interval_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.CsnpInterval']['meta_info']


                class Hello(object):
                    """
                    Add padding to IS\-IS hello packets
                    
                    .. attribute:: padding
                    
                    	Pad hello packets
                    	**type**\:   :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Hello.Padding>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.padding = None


                    class Padding(object):
                        """
                        Pad hello packets
                        
                        .. attribute:: always
                        
                        	Never pad hello packets if no prefix present
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.always = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:padding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.always is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Hello.Padding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.padding is not None and self.padding._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Hello']['meta_info']


                class HelloInterval(object):
                    """
                    Set Hello interval in seconds
                    
                    .. attribute:: hello_interval_list
                    
                    	
                    	**type**\: list of    :py:class:`HelloIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.HelloInterval.HelloIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    
                    ----
                    	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hello_interval_list = YList()
                        self.hello_interval_list.parent = self
                        self.hello_interval_list.name = 'hello_interval_list'
                        self.value = None

                    class ValueEnum(Enum):
                        """
                        ValueEnum

                        .. data:: minimal = 0

                        """

                        minimal = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.HelloInterval.ValueEnum']



                    class HelloIntervalList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.HelloInterval.HelloIntervalList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.HelloInterval.HelloIntervalList.LevelsEnum']


                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: minimal = 0

                            """

                            minimal = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.HelloInterval.HelloIntervalList.ValueEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-interval-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.HelloInterval.HelloIntervalList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hello_interval_list is not None:
                            for child_ref in self.hello_interval_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.HelloInterval']['meta_info']


                class HelloMultiplier(object):
                    """
                    Set multiplier for Hello holding time
                    
                    .. attribute:: hello_multiplier_list
                    
                    	
                    	**type**\: list of    :py:class:`HelloMultiplierList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.HelloMultiplier.HelloMultiplierList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 3..1000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hello_multiplier_list = YList()
                        self.hello_multiplier_list.parent = self
                        self.hello_multiplier_list.name = 'hello_multiplier_list'
                        self.value = None


                    class HelloMultiplierList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 3..1000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-multiplier-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.HelloMultiplier.HelloMultiplierList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-multiplier'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hello_multiplier_list is not None:
                            for child_ref in self.hello_multiplier_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.HelloMultiplier']['meta_info']


                class Ipv6(object):
                    """
                    IPv6 interface configuration
                    
                    .. attribute:: metric
                    
                    	Configure the metric for interface
                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric>`
                    
                    .. attribute:: tag
                    
                    	Assign an admin tag to an ISIS interface IPv6 route
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.metric = Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric()
                        self.metric.parent = self
                        self.tag = None


                    class Metric(object):
                        """
                        Configure the metric for interface
                        
                        .. attribute:: metric_list
                        
                        	
                        	**type**\: list of    :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric.MetricList>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric_list = YList()
                            self.metric_list.parent = self
                            self.metric_list.name = 'metric_list'
                            self.value = None

                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: maximum = 0

                            """

                            maximum = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric.ValueEnum']



                        class MetricList(object):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric.MetricList.LevelsEnum>`
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..16777214
                            
                            
                            ----
                            	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.levels = None
                                self.value = None

                            class LevelsEnum(Enum):
                                """
                                LevelsEnum

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = 0

                                level_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric.MetricList.LevelsEnum']


                            class ValueEnum(Enum):
                                """
                                ValueEnum

                                .. data:: maximum = 0

                                """

                                maximum = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric.MetricList.ValueEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.levels is None:
                                    raise YPYModelError('Key property levels is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:metric-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.levels is not None:
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric.MetricList']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:metric'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric_list is not None:
                                for child_ref in self.metric_list:
                                    if child_ref._has_data():
                                        return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Ipv6.Metric']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.metric is not None and self.metric._has_data():
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Ipv6']['meta_info']


                class Metric(object):
                    """
                    Configure the metric for interface
                    
                    .. attribute:: metric_list
                    
                    	
                    	**type**\: list of    :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Metric.MetricList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..16777214
                    
                    
                    ----
                    	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.metric_list = YList()
                        self.metric_list.parent = self
                        self.metric_list.name = 'metric_list'
                        self.value = None

                    class ValueEnum(Enum):
                        """
                        ValueEnum

                        .. data:: maximum = 0

                        """

                        maximum = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Metric.ValueEnum']



                    class MetricList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Metric.MetricList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Metric.MetricList.LevelsEnum']


                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: maximum = 0

                            """

                            maximum = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Metric.MetricList.ValueEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:metric-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Metric.MetricList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:metric'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.metric_list is not None:
                            for child_ref in self.metric_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Metric']['meta_info']


                class Password(object):
                    """
                    Configure the authentication password for interface
                    
                    .. attribute:: password
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: password_list
                    
                    	
                    	**type**\: list of    :py:class:`PasswordList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Password.PasswordList>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.password = None
                        self.password_list = YList()
                        self.password_list.parent = self
                        self.password_list.name = 'password_list'


                    class PasswordList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Password.PasswordList.LevelsEnum>`
                        
                        .. attribute:: password
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.password = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Password.PasswordList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:password-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.password is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Password.PasswordList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:password'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.password is not None:
                            return True

                        if self.password_list is not None:
                            for child_ref in self.password_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Password']['meta_info']


                class Priority(object):
                    """
                    Set priority for Designated Router election
                    
                    .. attribute:: priority_list
                    
                    	
                    	**type**\: list of    :py:class:`PriorityList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Priority.PriorityList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..127
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.priority_list = YList()
                        self.priority_list.parent = self
                        self.priority_list.name = 'priority_list'
                        self.value = None


                    class PriorityList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.Priority.PriorityList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..127
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Priority.PriorityList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:priority-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Priority.PriorityList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:priority'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.priority_list is not None:
                            for child_ref in self.priority_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.Priority']['meta_info']


                class ThreeWayHandshake(object):
                    """
                    Select Cisco or IETF three\-way handshake
                    
                    .. attribute:: implementor
                    
                    	
                    	**type**\:   :py:class:`ImplementorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Isis.ThreeWayHandshake.ImplementorEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.implementor = None

                    class ImplementorEnum(Enum):
                        """
                        ImplementorEnum

                        .. data:: cisco = 0

                        .. data:: ietf = 1

                        """

                        cisco = 0

                        ietf = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.ThreeWayHandshake.ImplementorEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:three-way-handshake'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.implementor is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Isis.ThreeWayHandshake']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.adjacency_filter is not None and self.adjacency_filter._has_data():
                        return True

                    if self.advertise is not None and self.advertise._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.circuit_type is not None and self.circuit_type._has_data():
                        return True

                    if self.csnp_interval is not None and self.csnp_interval._has_data():
                        return True

                    if self.hello is not None and self.hello._has_data():
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.hello_multiplier is not None and self.hello_multiplier._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    if self.lsp_interval is not None:
                        return True

                    if self.mesh_group is not None:
                        return True

                    if self.metric is not None and self.metric._has_data():
                        return True

                    if self.network is not None:
                        return True

                    if self.password is not None and self.password._has_data():
                        return True

                    if self.priority is not None and self.priority._has_data():
                        return True

                    if self.protocol is not None:
                        return True

                    if self.retransmit_interval is not None:
                        return True

                    if self.retransmit_throttle_interval is not None:
                        return True

                    if self.tag is not None:
                        return True

                    if self.three_way_handshake is not None and self.three_way_handshake._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                .. attribute:: echo
                
                	Use echo adjunct as bfd detection mechanism
                	**type**\:  bool
                
                .. attribute:: interval
                
                	Transmit interval between BFD packets
                	**type**\:   :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Bfd.Interval>`
                
                .. attribute:: template
                
                	BFD template
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.echo = None
                    self.interval = Native.Interface.Tengigabitethernet.Bfd.Interval()
                    self.interval.parent = self
                    self.template = None


                class Interval(object):
                    """
                    Transmit interval between BFD packets
                    
                    .. attribute:: min_rx
                    
                    	Minimum receive interval capability
                    	**type**\:  int
                    
                    	**range:** 100..999
                    
                    .. attribute:: msecs
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 100..999
                    
                    .. attribute:: multiplier
                    
                    	Multiplier value used to compute holddown
                    	**type**\:  int
                    
                    	**range:** 3..50
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.min_rx = None
                        self.msecs = None
                        self.multiplier = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bfd:interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.min_rx is not None:
                            return True

                        if self.msecs is not None:
                            return True

                        if self.multiplier is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Bfd.Interval']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.echo is not None:
                        return True

                    if self.interval is not None and self.interval._has_data():
                        return True

                    if self.template is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.Tengigabitethernet.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.Tengigabitethernet.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                .. attribute:: accounting
                
                	Enable MPLS accounting on this interface
                	**type**\:   :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Mpls.Accounting>`
                
                .. attribute:: bgp
                
                	MPLS BGP
                	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Mpls.Bgp>`
                
                .. attribute:: ip
                
                	Configure dynamic MPLS forwarding for IP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: label
                
                	Label properties
                	**type**\:   :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Mpls.Label>`
                
                .. attribute:: ldp
                
                	Configure Label Distribution Protocol (LDP) parameters
                	**type**\:   :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Mpls.Ldp>`
                
                .. attribute:: mtu
                
                	Set MPLS Maximum Transmission Unit
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1501..1524
                
                
                ----
                	**type**\:  int
                
                	**range:** 64..1500
                
                
                ----
                	**type**\:  int
                
                	**range:** 64..9216
                
                
                ----
                .. attribute:: traffic_eng
                
                	Configure Traffic Engineering parameters
                	**type**\:   :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Mpls.TrafficEng>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.accounting = Native.Interface.Tengigabitethernet.Mpls.Accounting()
                    self.accounting.parent = self
                    self.bgp = Native.Interface.Tengigabitethernet.Mpls.Bgp()
                    self.bgp.parent = self
                    self.ip = None
                    self.label = Native.Interface.Tengigabitethernet.Mpls.Label()
                    self.label.parent = self
                    self.ldp = Native.Interface.Tengigabitethernet.Mpls.Ldp()
                    self.ldp.parent = self
                    self.mtu = None
                    self.traffic_eng = Native.Interface.Tengigabitethernet.Mpls.TrafficEng()
                    self.traffic_eng.parent = self


                class Accounting(object):
                    """
                    Enable MPLS accounting on this interface
                    
                    .. attribute:: experimental
                    
                    	Count packets by MPLS experimental value on this interface
                    	**type**\:   :py:class:`Experimental <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Mpls.Accounting.Experimental>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.experimental = Native.Interface.Tengigabitethernet.Mpls.Accounting.Experimental()
                        self.experimental.parent = self


                    class Experimental(object):
                        """
                        Count packets by MPLS experimental value on this interface
                        
                        .. attribute:: input
                        
                        	received packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	transmitted packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = None
                            self.output = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:experimental'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None:
                                return True

                            if self.output is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Mpls.Accounting.Experimental']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:accounting'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.experimental is not None and self.experimental._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Mpls.Accounting']['meta_info']


                class Bgp(object):
                    """
                    MPLS BGP
                    
                    .. attribute:: forwarding
                    
                    	Configure MPLS forwarding for directly connected BGP peers
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:bgp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Mpls.Bgp']['meta_info']


                class Label(object):
                    """
                    Label properties
                    
                    .. attribute:: protocol
                    
                    	Configure label/tag distribution protocol (LDP/TDP)
                    	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Mpls.Label.ProtocolEnum>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.protocol = None

                    class ProtocolEnum(Enum):
                        """
                        ProtocolEnum

                        Configure label/tag distribution protocol (LDP/TDP)

                        .. data:: both = 0

                        .. data:: ldp = 1

                        .. data:: tdp = 2

                        """

                        both = 0

                        ldp = 1

                        tdp = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Mpls.Label.ProtocolEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:label'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.protocol is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Mpls.Label']['meta_info']


                class Ldp(object):
                    """
                    Configure Label Distribution Protocol (LDP) parameters
                    
                    .. attribute:: discovery
                    
                    	Configure interface LDP Discovery parameters
                    	**type**\:   :py:class:`Discovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Mpls.Ldp.Discovery>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.discovery = Native.Interface.Tengigabitethernet.Mpls.Ldp.Discovery()
                        self.discovery.parent = self


                    class Discovery(object):
                        """
                        Configure interface LDP Discovery parameters
                        
                        .. attribute:: transport_address
                        
                        	Specify interface LDP transport address
                        	**type**\: one of the below types:
                        
                        	**type**\:   :py:class:`LdpDiscoveryAddressTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_mpls.LdpDiscoveryAddressTypeEnum>`
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.transport_address = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:discovery'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.transport_address is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Mpls.Ldp.Discovery']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:ldp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.discovery is not None and self.discovery._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Mpls.Ldp']['meta_info']


                class TrafficEng(object):
                    """
                    Configure Traffic Engineering parameters
                    
                    .. attribute:: administrative_weight
                    
                    	Set the administrative weight for the interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: attribute_flags
                    
                    	Set user\-defined interface attibute flags
                    	**type**\:  str
                    
                    .. attribute:: backup_path
                    
                    	Configure an MPLS TE backup for this interface
                    	**type**\:  str
                    
                    .. attribute:: flooding
                    
                    	Set flooding parameters
                    	**type**\:   :py:class:`Flooding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Mpls.TrafficEng.Flooding>`
                    
                    .. attribute:: tunnels
                    
                    	enable MPLS Traffic Engineering tunnels
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.administrative_weight = None
                        self.attribute_flags = None
                        self.backup_path = None
                        self.flooding = Native.Interface.Tengigabitethernet.Mpls.TrafficEng.Flooding()
                        self.flooding.parent = self
                        self.tunnels = None


                    class Flooding(object):
                        """
                        Set flooding parameters
                        
                        .. attribute:: thresholds
                        
                        	Set flooding thresholds
                        	**type**\:   :py:class:`Thresholds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Mpls.TrafficEng.Flooding.Thresholds>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.thresholds = Native.Interface.Tengigabitethernet.Mpls.TrafficEng.Flooding.Thresholds()
                            self.thresholds.parent = self


                        class Thresholds(object):
                            """
                            Set flooding thresholds
                            
                            .. attribute:: down
                            
                            	Set the thresholds for decreased resource availability
                            	**type**\:  list of int
                            
                            	**range:** 0..100
                            
                            .. attribute:: up
                            
                            	Set the thresholds for increased resource availability
                            	**type**\:  list of int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.down = YLeafList()
                                self.down.parent = self
                                self.down.name = 'down'
                                self.up = YLeafList()
                                self.up.parent = self
                                self.up.name = 'up'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:thresholds'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.down is not None:
                                    for child in self.down:
                                        if child is not None:
                                            return True

                                if self.up is not None:
                                    for child in self.up:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Mpls.TrafficEng.Flooding.Thresholds']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:flooding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.thresholds is not None and self.thresholds._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Mpls.TrafficEng.Flooding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:traffic-eng'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.administrative_weight is not None:
                            return True

                        if self.attribute_flags is not None:
                            return True

                        if self.backup_path is not None:
                            return True

                        if self.flooding is not None and self.flooding._has_data():
                            return True

                        if self.tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Mpls.TrafficEng']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.accounting is not None and self.accounting._has_data():
                        return True

                    if self.bgp is not None and self.bgp._has_data():
                        return True

                    if self.ip is not None:
                        return True

                    if self.label is not None and self.label._has_data():
                        return True

                    if self.ldp is not None and self.ldp._has_data():
                        return True

                    if self.mtu is not None:
                        return True

                    if self.traffic_eng is not None and self.traffic_eng._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.Tengigabitethernet.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.Tengigabitethernet.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Flow>`
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.HoldTime>`
                
                .. attribute:: igmp
                
                	IGMP interface commands
                	**type**\:   :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Igmp>`
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol
                	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Lisp>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: nat
                
                	NAT interface commands
                	**type**\:   :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Nat>`
                
                .. attribute:: nbar
                
                	Network\-Based Application Recognition
                	**type**\:   :py:class:`Nbar <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Nbar>`
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.NoAddress>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:   :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Ospf>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: unreachables
                
                	Enable sending ICMP Unreachable messages
                	**type**\:  bool
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Vrf>`
                
                .. attribute:: wccp
                
                	WCCP IPv4 interface commands
                	**type**\:   :py:class:`Wccp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Wccp>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Tengigabitethernet.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.Tengigabitethernet.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.Tengigabitethernet.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.Tengigabitethernet.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.Tengigabitethernet.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.flow = Native.Interface.Tengigabitethernet.Ip.Flow()
                    self.flow.parent = self
                    self.hello_interval = Native.Interface.Tengigabitethernet.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.Tengigabitethernet.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.igmp = Native.Interface.Tengigabitethernet.Ip.Igmp()
                    self.igmp.parent = self
                    self.lisp = Native.Interface.Tengigabitethernet.Ip.Lisp()
                    self.lisp.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.nat = Native.Interface.Tengigabitethernet.Ip.Nat()
                    self.nat.parent = self
                    self.nbar = Native.Interface.Tengigabitethernet.Ip.Nbar()
                    self.nbar.parent = self
                    self.no_address = Native.Interface.Tengigabitethernet.Ip.NoAddress()
                    self.no_address.parent = self
                    self.ospf = Native.Interface.Tengigabitethernet.Ip.Ospf()
                    self.ospf.parent = self
                    self.pim = Native.Interface.Tengigabitethernet.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.Tengigabitethernet.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.Tengigabitethernet.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.Tengigabitethernet.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.Tengigabitethernet.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.Tengigabitethernet.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.unreachables = None
                    self.verify = Native.Interface.Tengigabitethernet.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.Tengigabitethernet.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.Tengigabitethernet.Ip.Vrf()
                    self.vrf.parent = self
                    self.wccp = Native.Interface.Tengigabitethernet.Ip.Wccp()
                    self.wccp.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.Tengigabitethernet.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Tengigabitethernet.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.Tengigabitethernet.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.Tengigabitethernet.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.Tengigabitethernet.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Tengigabitethernet.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Tengigabitethernet.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    .. attribute:: accept_register
                    
                    	
                    	**type**\:   :py:class:`AcceptRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Pim.AcceptRegister>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM router DR priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: nbma_mode
                    
                    	Enable PIM nbma\-mode operation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: query_interval
                    
                    	PIM router query interval
                    	**type**\:   :py:class:`QueryInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Pim.QueryInterval>`
                    
                    .. attribute:: sparse_mode
                    
                    	
                    	**type**\:   :py:class:`SparseModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Pim.SparseModeEnum>`
                    
                    .. attribute:: spt_threshold
                    
                    	
                    	**type**\:   :py:class:`SptThresholdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Pim.SptThresholdEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.accept_register = Native.Interface.Tengigabitethernet.Ip.Pim.AcceptRegister()
                        self.accept_register.parent = self
                        self.dr_priority = None
                        self.nbma_mode = None
                        self.query_interval = Native.Interface.Tengigabitethernet.Ip.Pim.QueryInterval()
                        self.query_interval.parent = self
                        self.sparse_mode = None
                        self.spt_threshold = None

                    class SparseModeEnum(Enum):
                        """
                        SparseModeEnum

                        .. data:: sparse_dense_mode = 0

                        .. data:: sparse_mode = 1

                        """

                        sparse_dense_mode = 0

                        sparse_mode = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Pim.SparseModeEnum']


                    class SptThresholdEnum(Enum):
                        """
                        SptThresholdEnum

                        .. data:: infinity = 0

                        """

                        infinity = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Pim.SptThresholdEnum']



                    class AcceptRegister(object):
                        """
                        
                        
                        .. attribute:: list
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.list = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:accept-register'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Pim.AcceptRegister']['meta_info']


                    class QueryInterval(object):
                        """
                        PIM router query interval
                        
                        .. attribute:: milliseconds_interval
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 100..65535
                        
                        .. attribute:: msec
                        
                        	Query interval in milliseconds
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        .. attribute:: seconds_interval
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..18725
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.milliseconds_interval = None
                            self.msec = None
                            self.seconds_interval = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:query-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.milliseconds_interval is not None:
                                return True

                            if self.msec is not None:
                                return True

                            if self.seconds_interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Pim.QueryInterval']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.accept_register is not None and self.accept_register._has_data():
                            return True

                        if self.dr_priority is not None:
                            return True

                        if self.nbma_mode is not None:
                            return True

                        if self.query_interval is not None and self.query_interval._has_data():
                            return True

                        if self.sparse_mode is not None:
                            return True

                        if self.spt_threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    .. attribute:: client
                    
                    	DHCP client configuration
                    	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Dhcp.Client>`
                    
                    .. attribute:: relay
                    
                    	DHCP relay configuration parameters
                    	**type**\:   :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay>`
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.client = Native.Interface.Tengigabitethernet.Ip.Dhcp.Client()
                        self.client.parent = self
                        self.relay = Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay()
                        self.relay.parent = self
                        self.snooping = Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping()
                        self.snooping.parent = self


                    class Client(object):
                        """
                        DHCP client configuration
                        
                        .. attribute:: hostname
                        
                        	Specify hostname to use
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hostname = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:client'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Client']['meta_info']


                    class Relay(object):
                        """
                        DHCP relay configuration parameters
                        
                        .. attribute:: information
                        
                        	DHCP relay information option
                        	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information>`
                        
                        .. attribute:: source_interface
                        
                        	Set source interface for relayed messages
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.information = Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information()
                            self.information.parent = self
                            self.source_interface = None


                        class Information(object):
                            """
                            DHCP relay information option
                            
                            .. attribute:: check_reply
                            
                            	Validate relay information in BOOTREPLY
                            	**type**\:   :py:class:`CheckReply <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.CheckReply>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: option
                            
                            	DHCP relay information option
                            	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.Option>`
                            
                            .. attribute:: option_insert
                            
                            	Insert relay information in BOOTREQUEST
                            	**type**\:   :py:class:`OptionInsert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.OptionInsert>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: policy_action
                            
                            	Define reforwarding policy
                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.PolicyActionEnum>`
                            
                            .. attribute:: trusted
                            
                            	Received DHCP packet may contain relay info option with zero giaddr
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.check_reply = None
                                self.option = Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.Option()
                                self.option.parent = self
                                self.option_insert = None
                                self.policy_action = None
                                self.trusted = None

                            class PolicyActionEnum(Enum):
                                """
                                PolicyActionEnum

                                Define reforwarding policy

                                .. data:: drop = 0

                                .. data:: encapsulate = 1

                                .. data:: keep = 2

                                .. data:: replace = 3

                                """

                                drop = 0

                                encapsulate = 1

                                keep = 2

                                replace = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.PolicyActionEnum']



                            class CheckReply(object):
                                """
                                Validate relay information in BOOTREPLY
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.none = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:check-reply'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.none is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.CheckReply']['meta_info']


                            class Option(object):
                                """
                                DHCP relay information option
                                
                                .. attribute:: subscriber_id
                                
                                	Subscriber identifier sub option
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.subscriber_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.subscriber_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.Option']['meta_info']


                            class OptionInsert(object):
                                """
                                Insert relay information in BOOTREQUEST
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.none = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option-insert'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.none is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information.OptionInsert']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.check_reply is not None and self.check_reply._has_data():
                                    return True

                                if self.option is not None and self.option._has_data():
                                    return True

                                if self.option_insert is not None and self.option_insert._has_data():
                                    return True

                                if self.policy_action is not None:
                                    return True

                                if self.trusted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay.Information']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:relay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.information is not None and self.information._has_data():
                                return True

                            if self.source_interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Relay']['meta_info']


                    class Snooping(object):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Limit>`
                        
                        .. attribute:: trust
                        
                        	DHCP Snooping trust config
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	DHCP Snooping vlan
                        	**type**\: list of    :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self.trust = None
                            self.vlan = YList()
                            self.vlan.parent = self
                            self.vlan.name = 'vlan'


                        class Limit(object):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP Snooping limit
                            	**type**\:  int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Limit']['meta_info']


                        class Vlan(object):
                            """
                            DHCP Snooping vlan
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            .. attribute:: information
                            
                            	DHCP Snooping information
                            	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.information = Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information()
                                self.information.parent = self


                            class Information(object):
                                """
                                DHCP Snooping information
                                
                                .. attribute:: option
                                
                                	DHCP Snooping information option
                                	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option>`
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.option = Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option()
                                    self.option.parent = self


                                class Option(object):
                                    """
                                    DHCP Snooping information option
                                    
                                    .. attribute:: format_type
                                    
                                    	Option 82 information format
                                    	**type**\:   :py:class:`FormatType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-dhcp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.format_type = Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType()
                                        self.format_type.parent = self


                                    class FormatType(object):
                                        """
                                        Option 82 information format
                                        
                                        .. attribute:: circuit_id
                                        
                                        	Circuit id option 82 format
                                        	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId>`
                                        
                                        

                                        """

                                        _prefix = 'ios-dhcp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.circuit_id = Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId()
                                            self.circuit_id.parent = self


                                        class CircuitId(object):
                                            """
                                            Circuit id option 82 format
                                            
                                            .. attribute:: string
                                            
                                            	User defined string for circuit id
                                            	**type**\:  str
                                            
                                            	**length:** 3..63
                                            
                                            

                                            """

                                            _prefix = 'ios-dhcp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.string = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:circuit-id'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.string is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:format-type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.circuit_id is not None and self.circuit_id._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.format_type is not None and self.format_type._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:information'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.option is not None and self.option._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan.Information']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:vlan[Cisco-IOS-XE-dhcp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.information is not None and self.information._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:snooping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            if self.vlan is not None:
                                for child_ref in self.vlan:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp.Snooping']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.client is not None and self.client._has_data():
                            return True

                        if self.relay is not None and self.relay._has_data():
                            return True

                        if self.snooping is not None and self.snooping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.Tengigabitethernet.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.Tengigabitethernet.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.Tengigabitethernet.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Verify']['meta_info']


                class Flow(object):
                    """
                    NetFlow related commands
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of    :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.egress = None
                        self.ingress = None
                        self.monitor = YList()
                        self.monitor.parent = self
                        self.monitor.name = 'monitor'


                    class Monitor(object):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\:  str
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of    :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Flow.Monitor.Sampler>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.input = None
                            self.multicast = None
                            self.output = None
                            self.sampler = YList()
                            self.sampler.parent = self
                            self.sampler.name = 'sampler'
                            self.unicast = None


                        class Sampler(object):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Flow.Monitor.Sampler.DirectionEnum>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.direction = None
                                self.name = None

                            class DirectionEnum(Enum):
                                """
                                DirectionEnum

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = 0

                                output = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Flow.Monitor.Sampler.DirectionEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.direction is None:
                                    raise YPYModelError('Key property direction is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:sampler[Cisco-IOS-XE-flow:direction = ' + str(self.direction) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.direction is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Flow.Monitor.Sampler']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:monitor[Cisco-IOS-XE-flow:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.input is not None:
                                return True

                            if self.multicast is not None:
                                return True

                            if self.output is not None:
                                return True

                            if self.sampler is not None:
                                for child_ref in self.sampler:
                                    if child_ref._has_data():
                                        return True

                            if self.unicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Flow.Monitor']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.egress is not None:
                            return True

                        if self.ingress is not None:
                            return True

                        if self.monitor is not None:
                            for child_ref in self.monitor:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Flow']['meta_info']


                class Igmp(object):
                    """
                    IGMP interface commands
                    
                    .. attribute:: join_group
                    
                    	IGMP join multicast group
                    	**type**\: list of    :py:class:`JoinGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Igmp.JoinGroup>`
                    
                    .. attribute:: static_group
                    
                    	IGMP static multicast group
                    	**type**\:   :py:class:`StaticGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup>`
                    
                    .. attribute:: version
                    
                    	IGMP version
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.join_group = YList()
                        self.join_group.parent = self
                        self.join_group.name = 'join_group'
                        self.static_group = Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup()
                        self.static_group.parent = self
                        self.version = None


                    class StaticGroup(object):
                        """
                        IGMP static multicast group
                        
                        .. attribute:: class_map
                        
                        	Class map of type multicast\-flows
                        	**type**\: list of    :py:class:`ClassMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup.ClassMap>`
                        
                        .. attribute:: groups
                        
                        	
                        	**type**\: list of    :py:class:`Groups <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup.Groups>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.class_map = YList()
                            self.class_map.parent = self
                            self.class_map.name = 'class_map'
                            self.groups = YList()
                            self.groups.parent = self
                            self.groups.name = 'groups'


                        class Groups(object):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:   :py:class:`NameEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            class NameEnum(Enum):
                                """
                                NameEnum

                                .. data:: Y__STAR__ = 0

                                """

                                Y__STAR__ = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup.Groups.NameEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-igmp:groups[Cisco-IOS-XE-igmp:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup.Groups']['meta_info']


                        class ClassMap(object):
                            """
                            Class map of type multicast\-flows
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-igmp:class-map[Cisco-IOS-XE-igmp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup.ClassMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-igmp:static-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.class_map is not None:
                                for child_ref in self.class_map:
                                    if child_ref._has_data():
                                        return True

                            if self.groups is not None:
                                for child_ref in self.groups:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Igmp.StaticGroup']['meta_info']


                    class JoinGroup(object):
                        """
                        IGMP join multicast group
                        
                        .. attribute:: ip_group_address  <key>
                        
                        	IP group address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source
                        
                        	IP source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip_group_address = None
                            self.source = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ip_group_address is None:
                                raise YPYModelError('Key property ip_group_address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-igmp:join-group[Cisco-IOS-XE-igmp:ip-group-address = ' + str(self.ip_group_address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip_group_address is not None:
                                return True

                            if self.source is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Igmp.JoinGroup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-igmp:igmp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.join_group is not None:
                            for child_ref in self.join_group:
                                if child_ref._has_data():
                                    return True

                        if self.static_group is not None and self.static_group._has_data():
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Igmp']['meta_info']


                class Lisp(object):
                    """
                    Locator/ID Separation Protocol
                    
                    .. attribute:: source_locator
                    
                    	Choose IP source address for LISP packets egressing this interface
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source_locator = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source_locator is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Lisp']['meta_info']


                class Nat(object):
                    """
                    NAT interface commands
                    
                    .. attribute:: allow_static_host
                    
                    	Allow static\-ip clients
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Enable Address Translation (NVI)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: inside
                    
                    	Inside interface for address translation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: outside
                    
                    	Outside interface for address translation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-nat'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.allow_static_host = None
                        self.enable = None
                        self.inside = None
                        self.outside = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-nat:nat'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.allow_static_host is not None:
                            return True

                        if self.enable is not None:
                            return True

                        if self.inside is not None:
                            return True

                        if self.outside is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Nat']['meta_info']


                class Nbar(object):
                    """
                    Network\-Based Application Recognition
                    
                    .. attribute:: protocol_discovery
                    
                    	Enable protocol discovery for both ipv4 and ipv6
                    	**type**\:   :py:class:`ProtocolDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Nbar.ProtocolDiscovery>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.protocol_discovery = None


                    class ProtocolDiscovery(object):
                        """
                        Enable protocol discovery for both ipv4 and ipv6
                        
                        .. attribute:: ipv4_ipv6
                        
                        	
                        	**type**\:   :py:class:`Ipv4Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-nbar'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ipv4_ipv6 = None

                        class Ipv4Ipv6Enum(Enum):
                            """
                            Ipv4Ipv6Enum

                            .. data:: ipv4 = 0

                            .. data:: ipv6 = 1

                            """

                            ipv4 = 0

                            ipv6 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nbar:protocol-discovery'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ipv4_ipv6 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Nbar.ProtocolDiscovery']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-nbar:nbar'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.protocol_discovery is not None and self.protocol_discovery._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Nbar']['meta_info']


                class Ospf(object):
                    """
                    OSPF interface commands
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Ospf.Authentication>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: authentication_key
                    
                    	Set authentication key
                    	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Ospf.AuthenticationKey>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:   :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Ospf.DeadInterval>`
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF Demand Circuit
                    	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: fast_reroute
                    
                    	LFA FastReroute parameters
                    	**type**\:   :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: lls
                    
                    	Link\-local Signaling (LLS) support
                    	**type**\:   :py:class:`Lls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Ospf.Lls>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: message_digest_key
                    
                    	Set message digest key
                    	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Ospf.MessageDigestKey>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Ospf.MultiArea>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:   :py:class:`NetworkEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Ospf.NetworkEnum>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Ospf.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: process_id
                    
                    	
                    	**type**\: list of    :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Ospf.ProcessId>`
                    
                    .. attribute:: resync_timeout
                    
                    	Interval after which adjacency is reset if oob\-resync is not started
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Set OSPF protocol's state to disable under current interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ttl_security
                    
                    	TTL security check
                    	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Ospf.TtlSecurity>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authentication = None
                        self.authentication_key = Native.Interface.Tengigabitethernet.Ip.Ospf.AuthenticationKey()
                        self.authentication_key.parent = self
                        self.bfd = None
                        self.cost = None
                        self.database_filter = Native.Interface.Tengigabitethernet.Ip.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self.dead_interval = Native.Interface.Tengigabitethernet.Ip.Ospf.DeadInterval()
                        self.dead_interval.parent = self
                        self.demand_circuit = None
                        self.fast_reroute = Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute()
                        self.fast_reroute.parent = self
                        self.flood_reduction = None
                        self.hello_interval = None
                        self.lls = None
                        self.message_digest_key = YList()
                        self.message_digest_key.parent = self
                        self.message_digest_key.name = 'message_digest_key'
                        self.mtu_ignore = None
                        self.multi_area = Native.Interface.Tengigabitethernet.Ip.Ospf.MultiArea()
                        self.multi_area.parent = self
                        self.network = None
                        self.prefix_suppression = None
                        self.priority = None
                        self.process_id = YList()
                        self.process_id.parent = self
                        self.process_id.name = 'process_id'
                        self.resync_timeout = None
                        self.retransmit_interval = None
                        self.shutdown = None
                        self.transmit_delay = None
                        self.ttl_security = None

                    class NetworkEnum(Enum):
                        """
                        NetworkEnum

                        Network type

                        .. data:: broadcast = 0

                        .. data:: non_broadcast = 1

                        .. data:: point_to_multipoint = 2

                        .. data:: point_to_point = 3

                        """

                        broadcast = 0

                        non_broadcast = 1

                        point_to_multipoint = 2

                        point_to_point = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.NetworkEnum']



                    class ProcessId(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: area
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: none
                        
                        	Do not include secondary IP addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secondaries
                        
                        	Include or exclude secondary IP addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.area = None
                            self.none = None
                            self.secondaries = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:process-id[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.area is not None:
                                return True

                            if self.none is not None:
                                return True

                            if self.secondaries is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.ProcessId']['meta_info']


                    class Authentication(object):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Ospf.Authentication.KeyChain>`
                        
                        .. attribute:: message_digest
                        
                        	Use message\-digest authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.key_chain = Native.Interface.Tengigabitethernet.Ip.Ospf.Authentication.KeyChain()
                            self.key_chain.parent = self
                            self.message_digest = None
                            self.null = None


                        class KeyChain(object):
                            """
                            Use a key\-chain for cryptographic authentication keys
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-chain'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.Authentication.KeyChain']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.key_chain is not None and self.key_chain._has_data():
                                return True

                            if self.message_digest is not None:
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.Authentication']['meta_info']


                    class AuthenticationKey(object):
                        """
                        Set authentication key
                        
                        .. attribute:: auth_key
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: auth_type
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.auth_key = None
                            self.auth_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication-key'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.auth_key is not None:
                                return True

                            if self.auth_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.AuthenticationKey']['meta_info']


                    class Bfd(object):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.Bfd']['meta_info']


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Outgoing LSA
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.out = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.out is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.DatabaseFilter']['meta_info']


                    class DeadInterval(object):
                        """
                        Interval after which a neighbor is declared dead
                        
                        .. attribute:: minimal
                        
                        	Set to 1 second
                        	**type**\:   :py:class:`Minimal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Ospf.DeadInterval.Minimal>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.minimal = Native.Interface.Tengigabitethernet.Ip.Ospf.DeadInterval.Minimal()
                            self.minimal.parent = self
                            self.value = None


                        class Minimal(object):
                            """
                            Set to 1 second
                            
                            .. attribute:: hello_multiplier
                            
                            	Set multiplier for Hellos
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hello_multiplier = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:minimal'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hello_multiplier is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.DeadInterval.Minimal']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:dead-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.minimal is not None and self.minimal._has_data():
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.DeadInterval']['meta_info']


                    class DemandCircuit(object):
                        """
                        OSPF Demand Circuit
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:demand-circuit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.DemandCircuit']['meta_info']


                    class FastReroute(object):
                        """
                        LFA FastReroute parameters
                        
                        .. attribute:: per_prefix
                        
                        	Per\-prefix LFA FRR parameters
                        	**type**\:   :py:class:`PerPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute.PerPrefix>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.per_prefix = Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute.PerPrefix()
                            self.per_prefix.parent = self


                        class PerPrefix(object):
                            """
                            Per\-prefix LFA FRR parameters
                            
                            .. attribute:: candidate
                            
                            	If interface can be protecting
                            	**type**\:   :py:class:`Candidate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Candidate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: protection
                            
                            	If interface can be protected
                            	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Protection>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.candidate = None
                                self.protection = None


                            class Candidate(object):
                                """
                                If interface can be protecting
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:candidate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Candidate']['meta_info']


                            class Protection(object):
                                """
                                If interface can be protected
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:protection'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute.PerPrefix.Protection']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:per-prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.candidate is not None and self.candidate._has_data():
                                    return True

                                if self.protection is not None and self.protection._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute.PerPrefix']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:fast-reroute'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.per_prefix is not None and self.per_prefix._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.FastReroute']['meta_info']


                    class Lls(object):
                        """
                        Link\-local Signaling (LLS) support
                        
                        .. attribute:: disable
                        
                        	disable LLS
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:lls'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.Lls']['meta_info']


                    class MessageDigestKey(object):
                        """
                        Set message digest key
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: md5
                        
                        	Use MD5 algorithm
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Ospf.MessageDigestKey.Md5>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.md5 = Native.Interface.Tengigabitethernet.Ip.Ospf.MessageDigestKey.Md5()
                            self.md5.parent = self


                        class Md5(object):
                            """
                            Use MD5 algorithm
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.auth_key = None
                                self.auth_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.auth_key is not None:
                                    return True

                                if self.auth_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.MessageDigestKey.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:message-digest-key[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.md5 is not None and self.md5._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.MessageDigestKey']['meta_info']


                    class MultiArea(object):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cost = None
                            self.id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:multi-area'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cost is not None:
                                return True

                            if self.id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.MultiArea']['meta_info']


                    class PrefixSuppression(object):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:prefix-suppression'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.PrefixSuppression']['meta_info']


                    class TtlSecurity(object):
                        """
                        TTL security check
                        
                        .. attribute:: diable
                        
                        	disable TTL security check
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hops
                        
                        	IP hops
                        	**type**\:  int
                        
                        	**range:** 1..254
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.diable = None
                            self.hops = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:ttl-security'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.diable is not None:
                                return True

                            if self.hops is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf.TtlSecurity']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ospf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.authentication_key is not None and self.authentication_key._has_data():
                            return True

                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        if self.cost is not None:
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.dead_interval is not None and self.dead_interval._has_data():
                            return True

                        if self.demand_circuit is not None and self.demand_circuit._has_data():
                            return True

                        if self.fast_reroute is not None and self.fast_reroute._has_data():
                            return True

                        if self.flood_reduction is not None:
                            return True

                        if self.hello_interval is not None:
                            return True

                        if self.lls is not None and self.lls._has_data():
                            return True

                        if self.message_digest_key is not None:
                            for child_ref in self.message_digest_key:
                                if child_ref._has_data():
                                    return True

                        if self.mtu_ignore is not None:
                            return True

                        if self.multi_area is not None and self.multi_area._has_data():
                            return True

                        if self.network is not None:
                            return True

                        if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.process_id is not None:
                            for child_ref in self.process_id:
                                if child_ref._has_data():
                                    return True

                        if self.resync_timeout is not None:
                            return True

                        if self.retransmit_interval is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.transmit_delay is not None:
                            return True

                        if self.ttl_security is not None and self.ttl_security._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Ospf']['meta_info']


                class Wccp(object):
                    """
                    WCCP IPv4 interface commands
                    
                    .. attribute:: redirect
                    
                    	Set packet redirection options
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Wccp.Redirect>`
                    
                    .. attribute:: vrf
                    
                    	Configure WCCP for a VRF
                    	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf>`
                    
                    .. attribute:: wccp_list
                    
                    	
                    	**type**\: list of    :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Wccp.WccpList>`
                    
                    .. attribute:: web_cache
                    
                    	Standard web caching service
                    	**type**\:   :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Wccp.WebCache>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.redirect = Native.Interface.Tengigabitethernet.Ip.Wccp.Redirect()
                        self.redirect.parent = self
                        self.vrf = YList()
                        self.vrf.parent = self
                        self.vrf.name = 'vrf'
                        self.wccp_list = YList()
                        self.wccp_list.parent = self
                        self.wccp_list.name = 'wccp_list'
                        self.web_cache = Native.Interface.Tengigabitethernet.Ip.Wccp.WebCache()
                        self.web_cache.parent = self


                    class WccpList(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..254
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Wccp.WccpList.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.group_listen = None
                            self.redirect = Native.Interface.Tengigabitethernet.Ip.Wccp.WccpList.Redirect()
                            self.redirect.parent = self


                        class Redirect(object):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.WccpList.Redirect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp-list[Cisco-IOS-XE-wccp:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.group_listen is not None:
                                return True

                            if self.redirect is not None and self.redirect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.WccpList']['meta_info']


                    class WebCache(object):
                        """
                        Standard web caching service
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Wccp.WebCache.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.group_listen = None
                            self.redirect = Native.Interface.Tengigabitethernet.Ip.Wccp.WebCache.Redirect()
                            self.redirect.parent = self


                        class Redirect(object):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.WebCache.Redirect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:web-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.group_listen is not None:
                                return True

                            if self.redirect is not None and self.redirect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.WebCache']['meta_info']


                    class Redirect(object):
                        """
                        Set packet redirection options
                        
                        .. attribute:: exclude
                        
                        	Exclude packets from redirection
                        	**type**\:   :py:class:`Exclude <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Wccp.Redirect.Exclude>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.exclude = Native.Interface.Tengigabitethernet.Ip.Wccp.Redirect.Exclude()
                            self.exclude.parent = self


                        class Exclude(object):
                            """
                            Exclude packets from redirection
                            
                            .. attribute:: in_
                            
                            	Exclude inbound packets from outbound redirection
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:exclude'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.Redirect.Exclude']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.exclude is not None and self.exclude._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.Redirect']['meta_info']


                    class Vrf(object):
                        """
                        Configure WCCP for a VRF
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: wccp_list
                        
                        	
                        	**type**\: list of    :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WccpList>`
                        
                        .. attribute:: web_cache
                        
                        	Standard web caching service
                        	**type**\:   :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WebCache>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.wccp_list = YList()
                            self.wccp_list.parent = self
                            self.wccp_list.name = 'wccp_list'
                            self.web_cache = Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WebCache()
                            self.web_cache.parent = self


                        class WccpList(object):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..254
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WccpList.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.group_listen = None
                                self.redirect = Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WccpList.Redirect()
                                self.redirect.parent = self


                            class Redirect(object):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WccpList.Redirect']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp-list[Cisco-IOS-XE-wccp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.group_listen is not None:
                                    return True

                                if self.redirect is not None and self.redirect._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WccpList']['meta_info']


                        class WebCache(object):
                            """
                            Standard web caching service
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WebCache.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group_listen = None
                                self.redirect = Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WebCache.Redirect()
                                self.redirect.parent = self


                            class Redirect(object):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WebCache.Redirect']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:web-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group_listen is not None:
                                    return True

                                if self.redirect is not None and self.redirect._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf.WebCache']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:vrf[Cisco-IOS-XE-wccp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.wccp_list is not None:
                                for child_ref in self.wccp_list:
                                    if child_ref._has_data():
                                        return True

                            if self.web_cache is not None and self.web_cache._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.vrf is not None:
                            for child_ref in self.vrf:
                                if child_ref._has_data():
                                    return True

                        if self.wccp_list is not None:
                            for child_ref in self.wccp_list:
                                if child_ref._has_data():
                                    return True

                        if self.web_cache is not None and self.web_cache._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ip.Wccp']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.flow is not None and self.flow._has_data():
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.igmp is not None and self.igmp._has_data():
                        return True

                    if self.lisp is not None and self.lisp._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nat is not None and self.nat._has_data():
                        return True

                    if self.nbar is not None and self.nbar._has_data():
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.ospf is not None and self.ospf._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.unreachables is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    if self.wccp is not None and self.wccp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Flow>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Nd>`
                
                .. attribute:: no_pim
                
                	
                	**type**\:   :py:class:`NoPim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.NoPim>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:   :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Pim>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: rip
                
                	Configure RIP routing protocol
                	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Rip>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.TrafficFilter>`
                
                .. attribute:: unreachables
                
                	Enable sending ICMP Unreachable messages
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.Tengigabitethernet.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.Tengigabitethernet.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.flow = Native.Interface.Tengigabitethernet.Ipv6.Flow()
                    self.flow.parent = self
                    self.mtu = None
                    self.nd = Native.Interface.Tengigabitethernet.Ipv6.Nd()
                    self.nd.parent = self
                    self.no_pim = Native.Interface.Tengigabitethernet.Ipv6.NoPim()
                    self.no_pim.parent = self
                    self.ospf = Native.Interface.Tengigabitethernet.Ipv6.Ospf()
                    self.ospf.parent = self
                    self.pim = Native.Interface.Tengigabitethernet.Ipv6.Pim()
                    self.pim.parent = self
                    self.redirects = None
                    self.rip = YList()
                    self.rip.parent = self
                    self.rip.name = 'rip'
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'
                    self.unreachables = None


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    .. attribute:: guard
                    
                    	Configure IPv6 DHCP guard on the interface
                    	**type**\:   :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Dhcp.Guard>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: server
                    
                    	Act as an IPv6 DHCP server
                    	**type**\: list of    :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Dhcp.Server>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.guard = None
                        self.server = YList()
                        self.server.parent = self
                        self.server.name = 'server'


                    class Server(object):
                        """
                        Act as an IPv6 DHCP server
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: preference
                        
                        	Preference
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.word = None
                            self.preference = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.word is None:
                                raise YPYModelError('Key property word is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:server[Cisco-IOS-XE-dhcp:word = ' + str(self.word) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.word is not None:
                                return True

                            if self.preference is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Dhcp.Server']['meta_info']


                    class Guard(object):
                        """
                        Configure IPv6 DHCP guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature DHCP Guard
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.attach_policy = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:guard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.attach_policy is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Dhcp.Guard']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.guard is not None and self.guard._has_data():
                            return True

                        if self.server is not None:
                            for child_ref in self.server:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Nd.Autoconfig>`
                    
                    .. attribute:: managed_config_flag
                    
                    	Use DHCP for IPv6 address configuration
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ra
                    
                    	IPv6 nd router alert configuration
                    	**type**\:   :py:class:`Ra <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Nd.Ra>`
                    
                    .. attribute:: raguard
                    
                    	Configure RA guard on the interface
                    	**type**\:   :py:class:`Raguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Nd.Raguard>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = Native.Interface.Tengigabitethernet.Ipv6.Nd.Autoconfig()
                        self.autoconfig.parent = self
                        self.managed_config_flag = None
                        self.ra = Native.Interface.Tengigabitethernet.Ipv6.Nd.Ra()
                        self.ra.parent = self
                        self.raguard = Native.Interface.Tengigabitethernet.Ipv6.Nd.Raguard()
                        self.raguard.parent = self


                    class Raguard(object):
                        """
                        Configure RA guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature RA guard
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.attach_policy = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:raguard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.attach_policy is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Nd.Raguard']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default_route
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefix
                        
                        	Insert auto\-configured prefix
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.default_route = None
                            self.prefix = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.default_route is not None:
                                return True

                            if self.prefix is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Nd.Autoconfig']['meta_info']


                    class Ra(object):
                        """
                        IPv6 nd router alert configuration
                        
                        .. attribute:: suppress
                        
                        	Suppress IPv6 router\-alert configuration
                        	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Nd.Ra.Suppress>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.suppress = None


                        class Suppress(object):
                            """
                            Suppress IPv6 router\-alert configuration
                            
                            .. attribute:: all
                            
                            	Suppress all IPv6 RA
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-nd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.all = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-nd:suppress'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.all is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Nd.Ra.Suppress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:ra'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.suppress is not None and self.suppress._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Nd.Ra']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.managed_config_flag is not None:
                            return True

                        if self.ra is not None and self.ra._has_data():
                            return True

                        if self.raguard is not None and self.raguard._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.TrafficFilter']['meta_info']


                class Flow(object):
                    """
                    NetFlow related commands
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of    :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.egress = None
                        self.ingress = None
                        self.monitor = YList()
                        self.monitor.parent = self
                        self.monitor.name = 'monitor'


                    class Monitor(object):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\:  str
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of    :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Flow.Monitor.Sampler>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.input = None
                            self.multicast = None
                            self.output = None
                            self.sampler = YList()
                            self.sampler.parent = self
                            self.sampler.name = 'sampler'
                            self.unicast = None


                        class Sampler(object):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Flow.Monitor.Sampler.DirectionEnum>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.direction = None
                                self.name = None

                            class DirectionEnum(Enum):
                                """
                                DirectionEnum

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = 0

                                output = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Flow.Monitor.Sampler.DirectionEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.direction is None:
                                    raise YPYModelError('Key property direction is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:sampler[Cisco-IOS-XE-flow:direction = ' + str(self.direction) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.direction is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Flow.Monitor.Sampler']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:monitor[Cisco-IOS-XE-flow:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.input is not None:
                                return True

                            if self.multicast is not None:
                                return True

                            if self.output is not None:
                                return True

                            if self.sampler is not None:
                                for child_ref in self.sampler:
                                    if child_ref._has_data():
                                        return True

                            if self.unicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Flow.Monitor']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.egress is not None:
                            return True

                        if self.ingress is not None:
                            return True

                        if self.monitor is not None:
                            for child_ref in self.monitor:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Flow']['meta_info']


                class NoPim(object):
                    """
                    
                    
                    .. attribute:: pim
                    
                    	PIM interface commands
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.pim = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:no-pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.pim is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.NoPim']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    .. attribute:: bfd
                    
                    	Configure BFD
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bsr
                    
                    	Configure BSR
                    	**type**\:   :py:class:`Bsr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Pim.Bsr>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM Hello DR priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bfd = None
                        self.bsr = Native.Interface.Tengigabitethernet.Ipv6.Pim.Bsr()
                        self.bsr.parent = self
                        self.dr_priority = None


                    class Bsr(object):
                        """
                        Configure BSR
                        
                        .. attribute:: border
                        
                        	Border of PIM BSR domain
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.border = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:bsr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.border is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Pim.Bsr']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bfd is not None:
                            return True

                        if self.bsr is not None and self.bsr._has_data():
                            return True

                        if self.dr_priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Pim']['meta_info']


                class Ospf(object):
                    """
                    OSPF interface commands
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: encryption
                    
                    	Enable encryption
                    	**type**\:   :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Network>`
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: process
                    
                    	
                    	**type**\: list of    :py:class:`Process <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Process>`
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authentication = Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication()
                        self.authentication.parent = self
                        self.bfd = None
                        self.cost = None
                        self.database_filter = Native.Interface.Tengigabitethernet.Ipv6.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self.dead_interval = None
                        self.demand_circuit = None
                        self.encryption = Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption()
                        self.encryption.parent = self
                        self.flood_reduction = None
                        self.hello_interval = None
                        self.mtu_ignore = None
                        self.neighbor = YList()
                        self.neighbor.parent = self
                        self.neighbor.name = 'neighbor'
                        self.network = Native.Interface.Tengigabitethernet.Ipv6.Ospf.Network()
                        self.network.parent = self
                        self.priority = None
                        self.process = YList()
                        self.process.parent = self
                        self.process.name = 'process'
                        self.retransmit_interval = None
                        self.shutdown = None
                        self.transmit_delay = None


                    class Process(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: instance
                        
                        	Set the OSPF instance
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..31
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 32..255
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.area = None
                            self.instance = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:process[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.area is not None:
                                return True

                            if self.instance is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Process']['meta_info']


                    class Authentication(object):
                        """
                        Enable authentication
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec authentication
                        	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec>`
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipsec = Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec()
                            self.ipsec.parent = self
                            self.null = None


                        class Ipsec(object):
                            """
                            Use IPsec authentication
                            
                            .. attribute:: md5
                            
                            	Use MD5 authentication
                            	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5>`
                            
                            .. attribute:: sha1
                            
                            	Use SHA\-1 authentication
                            	**type**\:   :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1>`
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\:  int
                            
                            	**range:** 256..4294967295
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.md5 = Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5()
                                self.md5.parent = self
                                self.sha1 = Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1()
                                self.sha1.parent = self
                                self.spi = None


                            class Md5(object):
                                """
                                Use MD5 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:md5'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Md5']['meta_info']


                            class Sha1(object):
                                """
                                Use SHA\-1 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:sha1'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec.Sha1']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipsec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.md5 is not None and self.md5._has_data():
                                    return True

                                if self.sha1 is not None and self.sha1._has_data():
                                    return True

                                if self.spi is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication.Ipsec']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipsec is not None and self.ipsec._has_data():
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Authentication']['meta_info']


                    class Bfd(object):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Bfd']['meta_info']


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.DatabaseFilter.AllEnum>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.disable = None

                        class AllEnum(Enum):
                            """
                            AllEnum

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.DatabaseFilter.AllEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.DatabaseFilter']['meta_info']


                    class DemandCircuit(object):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None
                            self.ignore = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:demand-circuit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.DemandCircuit']['meta_info']


                    class Encryption(object):
                        """
                        Enable encryption
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec encryption
                        	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec>`
                        
                        .. attribute:: null
                        
                        	No IPsec encryption on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipsec = Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec()
                            self.ipsec.parent = self
                            self.null = None


                        class Ipsec(object):
                            """
                            Use IPsec encryption
                            
                            .. attribute:: aes_cbc
                            
                            	Use AES\-CBC encryption
                            	**type**\:   :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc>`
                            
                            .. attribute:: esp
                            
                            	Use ESP encapsulation
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipsec_3des
                            
                            	Use 3DES encryption
                            	**type**\:   :py:class:`Ipsec_3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des>`
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aes_cbc = Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc()
                                self.aes_cbc.parent = self
                                self.esp = None
                                self.ipsec_3des = Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des()
                                self.ipsec_3des.parent = self
                                self.spi = None


                            class Ipsec_3Des(object):
                                """
                                Use 3DES encryption
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipsec_3des'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des']['meta_info']


                            class AesCbc(object):
                                """
                                Use AES\-CBC encryption
                                
                                .. attribute:: aes_192
                                
                                	Use 192 bit key
                                	**type**\:   :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192>`
                                
                                .. attribute:: aes_256
                                
                                	Use 256 bit key
                                	**type**\:   :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256>`
                                
                                .. attribute:: aes_cbc_128
                                
                                	Use 128 bit key
                                	**type**\:   :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.aes_192 = Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192()
                                    self.aes_192.parent = self
                                    self.aes_256 = Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256()
                                    self.aes_256.parent = self
                                    self.aes_cbc_128 = Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128()
                                    self.aes_cbc_128.parent = self


                                class AesCbc128(object):
                                    """
                                    Use 128 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_string = Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-cbc-128'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']


                                class Aes192(object):
                                    """
                                    Use 192 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_string = Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-192'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192']['meta_info']


                                class Aes256(object):
                                    """
                                    Use 256 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_string = Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-256'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-cbc'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.aes_192 is not None and self.aes_192._has_data():
                                        return True

                                    if self.aes_256 is not None and self.aes_256._has_data():
                                        return True

                                    if self.aes_cbc_128 is not None and self.aes_cbc_128._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipsec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aes_cbc is not None and self.aes_cbc._has_data():
                                    return True

                                if self.esp is not None:
                                    return True

                                if self.ipsec_3des is not None and self.ipsec_3des._has_data():
                                    return True

                                if self.spi is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption.Ipsec']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:encryption'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipsec is not None and self.ipsec._has_data():
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Encryption']['meta_info']


                    class FloodReduction(object):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	Disable Flood Reduction on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:flood-reduction'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.FloodReduction']['meta_info']


                    class MtuIgnore(object):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:mtu-ignore'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.MtuIgnore']['meta_info']


                    class Neighbor(object):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.cost = None
                            self.database_filter = Native.Interface.Tengigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self.poll_interval = None
                            self.priority = None


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Neighbor.DatabaseFilter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:neighbor[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.cost is not None:
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.poll_interval is not None:
                                return True

                            if self.priority is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Neighbor']['meta_info']


                    class Network(object):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Ospf.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.broadcast = None
                            self.manet = None
                            self.non_broadcast = None
                            self.point_to_multipoint = None
                            self.point_to_point = None


                        class PointToMultipoint(object):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.non_broadcast = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:point-to-multipoint'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.non_broadcast is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Network.PointToMultipoint']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:network'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.broadcast is not None:
                                return True

                            if self.manet is not None:
                                return True

                            if self.non_broadcast is not None:
                                return True

                            if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                return True

                            if self.point_to_point is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Network']['meta_info']


                    class Shutdown(object):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:shutdown'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf.Shutdown']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ospf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        if self.cost is not None:
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.dead_interval is not None:
                            return True

                        if self.demand_circuit is not None and self.demand_circuit._has_data():
                            return True

                        if self.encryption is not None and self.encryption._has_data():
                            return True

                        if self.flood_reduction is not None and self.flood_reduction._has_data():
                            return True

                        if self.hello_interval is not None:
                            return True

                        if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                            return True

                        if self.neighbor is not None:
                            for child_ref in self.neighbor:
                                if child_ref._has_data():
                                    return True

                        if self.network is not None and self.network._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.process is not None:
                            for child_ref in self.process:
                                if child_ref._has_data():
                                    return True

                        if self.retransmit_interval is not None:
                            return True

                        if self.shutdown is not None and self.shutdown._has_data():
                            return True

                        if self.transmit_delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Ospf']['meta_info']


                class Rip(object):
                    """
                    Configure RIP routing protocol
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: default_information
                    
                    	Configure handling of default route
                    	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Rip.DefaultInformation>`
                    
                    .. attribute:: enable
                    
                    	Enable/disable RIP routing
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.default_information = Native.Interface.Tengigabitethernet.Ipv6.Rip.DefaultInformation()
                        self.default_information.parent = self
                        self.enable = None


                    class DefaultInformation(object):
                        """
                        Configure handling of default route
                        
                        .. attribute:: metric
                        
                        	Default route metric
                        	**type**\:  int
                        
                        	**range:** 1..15
                        
                        .. attribute:: route
                        
                        	
                        	**type**\:   :py:class:`RouteEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ipv6.Rip.DefaultInformation.RouteEnum>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = None
                            self.route = None

                        class RouteEnum(Enum):
                            """
                            RouteEnum

                            .. data:: only = 0

                            .. data:: originate = 1

                            """

                            only = 0

                            originate = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Rip.DefaultInformation.RouteEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:default-information'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None:
                                return True

                            if self.route is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Rip.DefaultInformation']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip[Cisco-IOS-XE-rip:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.default_information is not None and self.default_information._has_data():
                            return True

                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6.Rip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.flow is not None and self.flow._has_data():
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.no_pim is not None and self.no_pim._has_data():
                        return True

                    if self.ospf is not None and self.ospf._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.rip is not None:
                        for child_ref in self.rip:
                            if child_ref._has_data():
                                return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    if self.unreachables is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.Tengigabitethernet.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.Tengigabitethernet.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.Tengigabitethernet.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.Tengigabitethernet.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.Tengigabitethernet.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.Tengigabitethernet.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.Tengigabitethernet.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.Tengigabitethernet.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.Tengigabitethernet.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.Tengigabitethernet.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.Tengigabitethernet.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Tengigabitethernet.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Tengigabitethernet.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Tengigabitethernet.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Tengigabitethernet.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Tengigabitethernet.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Tengigabitethernet.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.Tengigabitethernet.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.Tengigabitethernet.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.Tengigabitethernet.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.Tengigabitethernet.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.Tengigabitethernet.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.PmPath']['meta_info']


            class CarrierDelay(object):
                """
                Specify delay for interface transitions
                
                .. attribute:: down
                
                	Carrier Down Transitions
                	**type**\:   :py:class:`Down <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.CarrierDelay.Down>`
                
                .. attribute:: msec
                
                	delay specified in milliseconds
                	**type**\:  int
                
                	**range:** 0..1000
                
                .. attribute:: seconds
                
                	
                	**type**\:  int
                
                	**range:** 0..60
                
                .. attribute:: up
                
                	Carrier Up Transitions
                	**type**\:   :py:class:`Up <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.CarrierDelay.Up>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.down = Native.Interface.Tengigabitethernet.CarrierDelay.Down()
                    self.down.parent = self
                    self.msec = None
                    self.seconds = None
                    self.up = Native.Interface.Tengigabitethernet.CarrierDelay.Up()
                    self.up.parent = self


                class Down(object):
                    """
                    Carrier Down Transitions
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..1000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..60
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.msec = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:down'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.msec is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.CarrierDelay.Down']['meta_info']


                class Up(object):
                    """
                    Carrier Up Transitions
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..1000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..60
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.msec = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:up'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.msec is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.CarrierDelay.Up']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:carrier-delay'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.down is not None and self.down._has_data():
                        return True

                    if self.msec is not None:
                        return True

                    if self.seconds is not None:
                        return True

                    if self.up is not None and self.up._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.CarrierDelay']['meta_info']


            class ChannelGroup(object):
                """
                Add this interface to an Etherchannel group
                
                .. attribute:: auto
                
                	LACP auto
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link
                
                	Assign a link identifier used for load\-balancing
                	**type**\:  int
                
                	**range:** 1..4
                
                .. attribute:: mode
                
                	Etherchannel Mode of the interface
                	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.ChannelGroup.ModeEnum>`
                
                .. attribute:: non_silent
                
                	Start negotiation only after data packets received
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: number
                
                	
                	**type**\:  int
                
                	**range:** 1..512
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None
                    self.link = None
                    self.mode = None
                    self.non_silent = None
                    self.number = None

                class ModeEnum(Enum):
                    """
                    ModeEnum

                    Etherchannel Mode of the interface

                    .. data:: active = 0

                    .. data:: auto = 1

                    .. data:: desirable = 2

                    .. data:: on = 3

                    .. data:: passive = 4

                    """

                    active = 0

                    auto = 1

                    desirable = 2

                    on = 3

                    passive = 4


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.ChannelGroup.ModeEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:channel-group'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    if self.link is not None:
                        return True

                    if self.mode is not None:
                        return True

                    if self.non_silent is not None:
                        return True

                    if self.number is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.ChannelGroup']['meta_info']


            class Ethernet(object):
                """
                Ethernet interface parameters
                
                .. attribute:: oam
                
                	To enable Ethernet Link OAM
                	**type**\:   :py:class:`Oam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.oam = None


                class Oam(object):
                    """
                    To enable Ethernet Link OAM
                    
                    .. attribute:: link_monitor
                    
                    	Ethernet OAM Link Monitor
                    	**type**\:   :py:class:`LinkMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor>`
                    
                    .. attribute:: max_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10
                    
                    .. attribute:: min_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10
                    
                    .. attribute:: mode
                    
                    	
                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.ModeEnum>`
                    
                    .. attribute:: remote_failure
                    
                    	Ethernet OAM remote failure indication
                    	**type**\:   :py:class:`RemoteFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure>`
                    
                    .. attribute:: remote_loopback
                    
                    	Ethernet OAM Remote Loopback
                    	**type**\:   :py:class:`RemoteLoopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteLoopback>`
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 2..30
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.link_monitor = Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor()
                        self.link_monitor.parent = self
                        self.max_rate = None
                        self.min_rate = None
                        self.mode = None
                        self.remote_failure = Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure()
                        self.remote_failure.parent = self
                        self.remote_loopback = Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteLoopback()
                        self.remote_loopback.parent = self
                        self.timeout = None

                    class ModeEnum(Enum):
                        """
                        ModeEnum

                        .. data:: active = 0

                        .. data:: passive = 1

                        """

                        active = 0

                        passive = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.ModeEnum']



                    class LinkMonitor(object):
                        """
                        Ethernet OAM Link Monitor
                        
                        .. attribute:: frame
                        
                        	Errored frames in a period measured by time
                        	**type**\:   :py:class:`Frame <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame>`
                        
                        .. attribute:: frame_period
                        
                        	Errored frames in a period measured by number of frames
                        	**type**\:   :py:class:`FramePeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod>`
                        
                        .. attribute:: frame_seconds
                        
                        	Errored frame seconds in a period
                        	**type**\:   :py:class:`FrameSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds>`
                        
                        .. attribute:: high_threshold
                        
                        	Additional high threshold configuration
                        	**type**\:   :py:class:`HighThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold>`
                        
                        .. attribute:: on
                        
                        	Enable link monitoring on the interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: receive_crc
                        
                        	Received frames with CRC errors in a period
                        	**type**\:   :py:class:`ReceiveCrc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc>`
                        
                        .. attribute:: supported
                        
                        	Support link monitoring on the interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: symbol_period
                        
                        	Errored symbols in a period
                        	**type**\:   :py:class:`SymbolPeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.frame = Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame()
                            self.frame.parent = self
                            self.frame_period = Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod()
                            self.frame_period.parent = self
                            self.frame_seconds = Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds()
                            self.frame_seconds.parent = self
                            self.high_threshold = Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold()
                            self.high_threshold.parent = self
                            self.on = None
                            self.receive_crc = Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc()
                            self.receive_crc.parent = self
                            self.supported = None
                            self.symbol_period = Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod()
                            self.symbol_period.parent = self


                        class Frame(object):
                            """
                            Errored frames in a period measured by time
                            
                            .. attribute:: threshold
                            
                            	Errored frame threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 10..600
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: thresh
                                    
                                    	Set the high errored frame threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.none = None
                                        self.thresh = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.none is not None:
                                            return True

                                        if self.thresh is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.Frame']['meta_info']


                        class FramePeriod(object):
                            """
                            Errored frames in a period measured by number of frames
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-period threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 10000 frames
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-period threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: f_thresh
                                    
                                    	Set the high errored frame\-period threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.f_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.f_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame-period'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info']


                        class FrameSeconds(object):
                            """
                            Errored frame seconds in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 100..9000
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-seconds threshold in number of seconds
                                	**type**\:  int
                                
                                	**range:** 1..900
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: e_thresh
                                    
                                    	Set the high errored frame\-seconds threshold in number of seconds
                                    	**type**\:  int
                                    
                                    	**range:** 1..900
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.e_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.e_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame-seconds'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info']


                        class HighThreshold(object):
                            """
                            Additional high threshold configuration
                            
                            .. attribute:: action
                            
                            	Specifiy an action when the high threshold is crossed
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Specifiy an action when the high threshold is crossed
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high-threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info']


                        class ReceiveCrc(object):
                            """
                            Received frames with CRC errors in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 10..1800
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low received crc error threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: crc_thresh
                                    
                                    	Set the high received crc error threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.crc_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.crc_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:receive-crc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info']


                        class SymbolPeriod(object):
                            """
                            Errored symbols in a period
                            
                            .. attribute:: threshold
                            
                            	Error symbol\-period threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 1048576 symbols
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Error symbol\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low error symbol\-period threshold in number of symbols
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: err_thresh
                                    
                                    	Set the high error symbol\-period threshold in number of symbols
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.err_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.err_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:symbol-period'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:link-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.frame is not None and self.frame._has_data():
                                return True

                            if self.frame_period is not None and self.frame_period._has_data():
                                return True

                            if self.frame_seconds is not None and self.frame_seconds._has_data():
                                return True

                            if self.high_threshold is not None and self.high_threshold._has_data():
                                return True

                            if self.on is not None:
                                return True

                            if self.receive_crc is not None and self.receive_crc._has_data():
                                return True

                            if self.supported is not None:
                                return True

                            if self.symbol_period is not None and self.symbol_period._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info']


                    class RemoteFailure(object):
                        """
                        Ethernet OAM remote failure indication
                        
                        .. attribute:: critical_event
                        
                        	Critical event
                        	**type**\:   :py:class:`CriticalEvent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent>`
                        
                        .. attribute:: dying_gasp
                        
                        	Dying gasp
                        	**type**\:   :py:class:`DyingGasp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp>`
                        
                        .. attribute:: link_fault
                        
                        	Link fault
                        	**type**\:   :py:class:`LinkFault <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.critical_event = Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent()
                            self.critical_event.parent = self
                            self.dying_gasp = Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp()
                            self.dying_gasp.parent = self
                            self.link_fault = Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault()
                            self.link_fault.parent = self


                        class CriticalEvent(object):
                            """
                            Critical event
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:critical-event'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info']


                        class DyingGasp(object):
                            """
                            Dying gasp
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = None


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dying-gasp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info']


                        class LinkFault(object):
                            """
                            Link fault
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = None


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:link-fault'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:remote-failure'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.critical_event is not None and self.critical_event._has_data():
                                return True

                            if self.dying_gasp is not None and self.dying_gasp._has_data():
                                return True

                            if self.link_fault is not None and self.link_fault._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteFailure']['meta_info']


                    class RemoteLoopback(object):
                        """
                        Ethernet OAM Remote Loopback
                        
                        .. attribute:: supported
                        
                        	Support remote loopback functionality
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: timeout
                        
                        	Set timeout value in number of seconds
                        	**type**\:  int
                        
                        	**range:** 1..10
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None
                            self.timeout = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:remote-loopback'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            if self.timeout is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam.RemoteLoopback']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:oam'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.link_monitor is not None and self.link_monitor._has_data():
                            return True

                        if self.max_rate is not None:
                            return True

                        if self.min_rate is not None:
                            return True

                        if self.mode is not None:
                            return True

                        if self.remote_failure is not None and self.remote_failure._has_data():
                            return True

                        if self.remote_loopback is not None and self.remote_loopback._has_data():
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet.Oam']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.oam is not None and self.oam._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ethernet']['meta_info']


            class Negotiation(object):
                """
                Select autonegotiation mode
                
                .. attribute:: auto
                
                	Enable link autonegotiation
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:negotiation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Negotiation']['meta_info']


            class Synchronous(object):
                """
                Synchronous
                
                .. attribute:: mode
                
                	Mode
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.mode = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:synchronous'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.mode is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Synchronous']['meta_info']


            class Speed(object):
                """
                Configure speed operation
                
                .. attribute:: auto
                
                	Enable AUTO speed configuration
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: nonegotiate
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10
                
                	10 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_100
                
                	100 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_1000
                
                	1000 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10000
                
                	10000 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None
                    self.nonegotiate = None
                    self.value_10 = None
                    self.value_100 = None
                    self.value_1000 = None
                    self.value_10000 = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:speed'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.value_10 is not None:
                        return True

                    if self.value_100 is not None:
                        return True

                    if self.value_1000 is not None:
                        return True

                    if self.value_10000 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Speed']['meta_info']


            class Plim(object):
                """
                Configure features on the PLIM
                
                .. attribute:: ethernet
                
                	Configure features on the ethernet interface
                	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Plim.Ethernet>`
                
                .. attribute:: qos
                
                	QoS on the PLIM
                	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Plim.Qos>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ethernet = Native.Interface.Tengigabitethernet.Plim.Ethernet()
                    self.ethernet.parent = self
                    self.qos = Native.Interface.Tengigabitethernet.Plim.Qos()
                    self.qos.parent = self


                class Ethernet(object):
                    """
                    Configure features on the ethernet interface
                    
                    .. attribute:: vlan
                    
                    	vlan specific features
                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Plim.Ethernet.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = Native.Interface.Tengigabitethernet.Plim.Ethernet.Vlan()
                        self.vlan.parent = self


                    class Vlan(object):
                        """
                        vlan specific features
                        
                        .. attribute:: filter
                        
                        	Configure VLAN filtering
                        	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Plim.Ethernet.Vlan.Filter>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.filter = Native.Interface.Tengigabitethernet.Plim.Ethernet.Vlan.Filter()
                            self.filter.parent = self


                        class Filter(object):
                            """
                            Configure VLAN filtering
                            
                            .. attribute:: disable
                            
                            	Configure the interface to accept all VLAN traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Plim.Ethernet.Vlan.Filter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.filter is not None and self.filter._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Plim.Ethernet.Vlan']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None and self.vlan._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Plim.Ethernet']['meta_info']


                class Qos(object):
                    """
                    QoS on the PLIM
                    
                    .. attribute:: input
                    
                    	Configure PLIM QoS at the input of an interface
                    	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Plim.Qos.Input>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.input = Native.Interface.Tengigabitethernet.Plim.Qos.Input()
                        self.input.parent = self


                    class Input(object):
                        """
                        Configure PLIM QoS at the input of an interface
                        
                        .. attribute:: queue
                        
                        	Queue number
                        	**type**\:   :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.queue = Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue()
                            self.queue.parent = self


                        class Queue(object):
                            """
                            Queue number
                            
                            .. attribute:: strict_priority
                            
                            	High priority queue
                            	**type**\:   :py:class:`StrictPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.StrictPriority>`
                            
                            .. attribute:: zero
                            
                            	Low priority queue
                            	**type**\:   :py:class:`Zero <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.Zero>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.strict_priority = Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.StrictPriority()
                                self.strict_priority.parent = self
                                self.zero = Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.Zero()
                                self.zero.parent = self


                            class Zero(object):
                                """
                                Low priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:   :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.Zero.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pause = Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.Zero.Pause()
                                    self.pause.parent = self


                                class Pause(object):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\:  bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.enable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pause'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.enable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.Zero.Pause']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:zero'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pause is not None and self.pause._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.Zero']['meta_info']


                            class StrictPriority(object):
                                """
                                High priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:   :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.StrictPriority.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pause = Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.StrictPriority.Pause()
                                    self.pause.parent = self


                                class Pause(object):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\:  bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.enable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pause'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.enable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.StrictPriority.Pause']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:strict-priority'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pause is not None and self.pause._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue.StrictPriority']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:queue'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.strict_priority is not None and self.strict_priority._has_data():
                                    return True

                                if self.zero is not None and self.zero._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Plim.Qos.Input.Queue']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:input'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.queue is not None and self.queue._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Plim.Qos.Input']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:qos'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.input is not None and self.input._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Plim.Qos']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:plim'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ethernet is not None and self.ethernet._has_data():
                        return True

                    if self.qos is not None and self.qos._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Plim']['meta_info']


            class Pppoe(object):
                """
                pppoe interface subcommands
                
                .. attribute:: enable
                
                	Enable pppoe
                	**type**\:   :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Pppoe.Enable>`
                
                	**presence node**\: True
                
                .. attribute:: max_sessions
                
                	Maximum PPPOE sessions
                	**type**\:  int
                
                	**range:** 1..4085
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None
                    self.max_sessions = None


                class Enable(object):
                    """
                    Enable pppoe
                    
                    .. attribute:: group
                    
                    	attach a BBA group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        attach a BBA group

                        .. data:: global_ = 0

                        """

                        global_ = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Pppoe.Enable.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:enable'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Pppoe.Enable']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pppoe'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None and self.enable._has_data():
                        return True

                    if self.max_sessions is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Pppoe']['meta_info']


            class Service(object):
                """
                Configure Ether Service
                
                .. attribute:: instance
                
                	Configure Ether Service Instance
                	**type**\: list of    :py:class:`Instance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.instance = YList()
                    self.instance.parent = self
                    self.instance.name = 'instance'


                class Instance(object):
                    """
                    Configure Ether Service Instance
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4000
                    
                    .. attribute:: bridge_domain
                    
                    	Bridge\-domain
                    	**type**\:   :py:class:`BridgeDomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.BridgeDomain>`
                    
                    .. attribute:: cfm
                    
                    	Ethernet CFM EFP subcommands
                    	**type**\:   :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Cfm>`
                    
                    .. attribute:: description
                    
                    	Service instance specific description
                    	**type**\:  str
                    
                    	**length:** 0..240
                    
                    .. attribute:: encapsulation
                    
                    	Configure ethernet frame match criteria
                    	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation>`
                    
                    .. attribute:: errdisable
                    
                    	Configure error disable
                    	**type**\:   :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Errdisable>`
                    
                    .. attribute:: ethernet
                    
                    	Configure an Ethernet Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet_container
                    
                    	
                    	**type**\:   :py:class:`EthernetContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer>`
                    
                    .. attribute:: ethernet_evc_name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: evc_name
                    
                    	
                    	**type**\:  str
                    
                    	**length:** 1..100
                    
                    .. attribute:: gigabitethernet
                    
                    	Configure an GigabitEthernet Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Ip>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 interface subcommands
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Ipv6>`
                    
                    .. attribute:: l2protocol
                    
                    	Configure l2 control protocol processing
                    	**type**\:   :py:class:`L2Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol>`
                    
                    .. attribute:: mac
                    
                    	Commands for MAC Address\-based features
                    	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Mac>`
                    
                    .. attribute:: rewrite
                    
                    	Configure ethernet rewrite criteria
                    	**type**\:   :py:class:`Rewrite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Rewrite>`
                    
                    .. attribute:: service_policy
                    
                    	Attach a policy\-map to an EFP
                    	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.ServicePolicy>`
                    
                    .. attribute:: shutdown
                    
                    	Take the Service Instance out of Service
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: snmp
                    
                    	Modify SNMP service instance parameters
                    	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Snmp>`
                    
                    .. attribute:: trunk
                    
                    	Trunk Service Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.bridge_domain = Native.Interface.Tengigabitethernet.Service.Instance.BridgeDomain()
                        self.bridge_domain.parent = self
                        self.cfm = Native.Interface.Tengigabitethernet.Service.Instance.Cfm()
                        self.cfm.parent = self
                        self.description = None
                        self.encapsulation = Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation()
                        self.encapsulation.parent = self
                        self.errdisable = Native.Interface.Tengigabitethernet.Service.Instance.Errdisable()
                        self.errdisable.parent = self
                        self.ethernet = None
                        self.ethernet_container = Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer()
                        self.ethernet_container.parent = self
                        self.ethernet_evc_name = None
                        self.evc_name = None
                        self.gigabitethernet = None
                        self.group = None
                        self.ip = Native.Interface.Tengigabitethernet.Service.Instance.Ip()
                        self.ip.parent = self
                        self.ipv6 = Native.Interface.Tengigabitethernet.Service.Instance.Ipv6()
                        self.ipv6.parent = self
                        self.l2protocol = Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol()
                        self.l2protocol.parent = self
                        self.mac = Native.Interface.Tengigabitethernet.Service.Instance.Mac()
                        self.mac.parent = self
                        self.rewrite = Native.Interface.Tengigabitethernet.Service.Instance.Rewrite()
                        self.rewrite.parent = self
                        self.service_policy = Native.Interface.Tengigabitethernet.Service.Instance.ServicePolicy()
                        self.service_policy.parent = self
                        self.shutdown = None
                        self.snmp = Native.Interface.Tengigabitethernet.Service.Instance.Snmp()
                        self.snmp.parent = self
                        self.trunk = None
                        self.xconnect = Native.Interface.Tengigabitethernet.Service.Instance.Xconnect()
                        self.xconnect.parent = self
                        self.xconnect_pw_class = Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass()
                        self.xconnect_pw_class.parent = self


                    class Encapsulation(object):
                        """
                        Configure ethernet frame match criteria
                        
                        .. attribute:: default
                        
                        	catch\-all unconfigured encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dot1ad
                        
                        	802.1ad \- Provider Bridges
                        	**type**\:   :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad>`
                        
                        .. attribute:: dot1q
                        
                        	IEEE 802.1Q Virtual LAN or S\-VLAN
                        	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q>`
                        
                        .. attribute:: priority_tagged
                        
                        	Priority tagged EFP
                        	**type**\:   :py:class:`PriorityTagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.PriorityTagged>`
                        
                        .. attribute:: untagged
                        
                        	Untagged encapsulation
                        	**type**\:   :py:class:`Untagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Untagged>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.default = None
                            self.dot1ad = Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad()
                            self.dot1ad.parent = self
                            self.dot1q = Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q()
                            self.dot1q.parent = self
                            self.priority_tagged = Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.PriorityTagged()
                            self.priority_tagged.parent = self
                            self.untagged = None


                        class Dot1Ad(object):
                            """
                            802.1ad \- Provider Bridges
                            
                            .. attribute:: cos
                            
                            	CoS value to use for CFM packets
                            	**type**\:  list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:   :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2>`
                            
                            .. attribute:: dot1q
                            
                            	Second tag (dot1q)
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`Dot1QEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos = YLeafList()
                                self.cos.parent = self
                                self.cos.name = 'cos'
                                self.cos2 = Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2()
                                self.cos2.parent = self
                                self.dot1q = YLeafList()
                                self.dot1q.parent = self
                                self.dot1q.name = 'dot1q'
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'
                                self.exact = None
                                self.id = YLeafList()
                                self.id.parent = self
                                self.id.name = 'id'

                            class Dot1QEnum(Enum):
                                """
                                Dot1QEnum

                                Second tag (dot1q)

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum']


                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum']


                            class IdEnum(Enum):
                                """
                                IdEnum

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad.IdEnum']



                            class Cos2(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos2'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1ad'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos is not None:
                                    for child in self.cos:
                                        if child is not None:
                                            return True

                                if self.cos2 is not None and self.cos2._has_data():
                                    return True

                                if self.dot1q is not None:
                                    for child in self.dot1q:
                                        if child is not None:
                                            return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                if self.exact is not None:
                                    return True

                                if self.id is not None:
                                    for child in self.id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Ad']['meta_info']


                        class Dot1Q(object):
                            """
                            IEEE 802.1Q Virtual LAN or S\-VLAN
                            
                            .. attribute:: cos
                            
                            	cos Vlan
                            	**type**\:  list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:   :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q.EtypeEnum>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: second_dot1q
                            
                            	inner 802.1Q Virtual LAN or C\-VLAN
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`SecondDot1QEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: vlan_type
                            
                            	Vlan Protocol Type
                            	**type**\:   :py:class:`VlanTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos = YLeafList()
                                self.cos.parent = self
                                self.cos.name = 'cos'
                                self.cos2 = Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q.Cos2()
                                self.cos2.parent = self
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'
                                self.exact = None
                                self.id = YLeafList()
                                self.id.parent = self
                                self.id.name = 'id'
                                self.second_dot1q = YLeafList()
                                self.second_dot1q.parent = self
                                self.second_dot1q.name = 'second_dot1q'
                                self.vlan_type = None

                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q.EtypeEnum']


                            class IdEnum(Enum):
                                """
                                IdEnum

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q.IdEnum']


                            class SecondDot1QEnum(Enum):
                                """
                                SecondDot1QEnum

                                inner 802.1Q Virtual LAN or C\-VLAN

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum']


                            class VlanTypeEnum(Enum):
                                """
                                VlanTypeEnum

                                Vlan Protocol Type

                                .. data:: Y_0x88A8 = 0

                                .. data:: Y_0x9100 = 1

                                .. data:: Y_0x9200 = 2

                                """

                                Y_0x88A8 = 0

                                Y_0x9100 = 1

                                Y_0x9200 = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum']



                            class Cos2(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos2'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q.Cos2']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1q'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos is not None:
                                    for child in self.cos:
                                        if child is not None:
                                            return True

                                if self.cos2 is not None and self.cos2._has_data():
                                    return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                if self.exact is not None:
                                    return True

                                if self.id is not None:
                                    for child in self.id:
                                        if child is not None:
                                            return True

                                if self.second_dot1q is not None:
                                    for child in self.second_dot1q:
                                        if child is not None:
                                            return True

                                if self.vlan_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Dot1Q']['meta_info']


                        class PriorityTagged(object):
                            """
                            Priority tagged EFP
                            
                            .. attribute:: cos_container
                            
                            	
                            	**type**\:   :py:class:`CosContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos_container = Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer()
                                self.cos_container.parent = self
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'

                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum']



                            class CosContainer(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:priority-tagged'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos_container is not None and self.cos_container._has_data():
                                    return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.PriorityTagged']['meta_info']


                        class Untagged(object):
                            """
                            Untagged encapsulation
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:untagged'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation.Untagged']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:encapsulation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.default is not None:
                                return True

                            if self.dot1ad is not None and self.dot1ad._has_data():
                                return True

                            if self.dot1q is not None and self.dot1q._has_data():
                                return True

                            if self.priority_tagged is not None and self.priority_tagged._has_data():
                                return True

                            if self.untagged is not None and self.untagged._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Encapsulation']['meta_info']


                    class Ip(object):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Ip.Acl>`
                        
                        .. attribute:: dhcp
                        
                        	DHCP
                        	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp>`
                        
                        .. attribute:: verify
                        
                        	verify
                        	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Ip.Verify>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Tengigabitethernet.Service.Instance.Ip.Acl()
                            self.acl.parent = self
                            self.dhcp = Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp()
                            self.dhcp.parent = self
                            self.verify = Native.Interface.Tengigabitethernet.Service.Instance.Ip.Verify()
                            self.verify.parent = self


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: access_group
                            
                            	Specify access control for packets
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.access_group = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.access_group is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ip.Acl']['meta_info']


                        class Dhcp(object):
                            """
                            DHCP
                            
                            .. attribute:: relay
                            
                            	DHCP relay
                            	**type**\:   :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.relay = Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay()
                                self.relay.parent = self


                            class Relay(object):
                                """
                                DHCP relay
                                
                                .. attribute:: information
                                
                                	DHCP relay information
                                	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.information = Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information()
                                    self.information.parent = self


                                class Information(object):
                                    """
                                    DHCP relay information
                                    
                                    .. attribute:: option
                                    
                                    	DHCP relay information option
                                    	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.option = Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option()
                                        self.option.parent = self


                                    class Option(object):
                                        """
                                        DHCP relay information option
                                        
                                        .. attribute:: subscriber_id
                                        
                                        	DHCP relay information option subscriber\-id
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.subscriber_id = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.subscriber_id is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:information'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.option is not None and self.option._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:relay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.information is not None and self.information._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp.Relay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dhcp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.relay is not None and self.relay._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ip.Dhcp']['meta_info']


                        class Verify(object):
                            """
                            verify
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: port_security
                            
                            	port security
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: source
                            
                            	source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan
                            
                            	vlan specification
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None
                                self.port_security = None
                                self.source = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:verify'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None:
                                    return True

                                if self.port_security is not None:
                                    return True

                                if self.source is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ip.Verify']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.dhcp is not None and self.dhcp._has_data():
                                return True

                            if self.verify is not None and self.verify._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ip']['meta_info']


                    class Ipv6(object):
                        """
                        IPv6 interface subcommands
                        
                        .. attribute:: in_
                        
                        	inbound packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	outbound packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: traffic_filter
                        
                        	Access control list for packets
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.in_ = None
                            self.out = None
                            self.traffic_filter = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.in_ is not None:
                                return True

                            if self.out is not None:
                                return True

                            if self.traffic_filter is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Ipv6']['meta_info']


                    class Rewrite(object):
                        """
                        Configure ethernet rewrite criteria
                        
                        .. attribute:: ingress
                        
                        	Ingress Rewrite
                        	**type**\:   :py:class:`Ingress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ingress = Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress()
                            self.ingress.parent = self


                        class Ingress(object):
                            """
                            Ingress Rewrite
                            
                            .. attribute:: tag
                            
                            	Configure Rewrite Tag
                            	**type**\:   :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.tag = Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag()
                                self.tag.parent = self


                            class Tag(object):
                                """
                                Configure Rewrite Tag
                                
                                .. attribute:: pop
                                
                                	Pop the tag
                                	**type**\:   :py:class:`Pop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop>`
                                
                                .. attribute:: push
                                
                                	Rewrite Operation of push
                                	**type**\:   :py:class:`Push <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push>`
                                
                                .. attribute:: translate
                                
                                	Translate Tag
                                	**type**\:   :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pop = Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop()
                                    self.pop.parent = self
                                    self.push = Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push()
                                    self.push.parent = self
                                    self.translate = Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate()
                                    self.translate.parent = self


                                class Pop(object):
                                    """
                                    Pop the tag
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum>`
                                    
                                    .. attribute:: way
                                    
                                    	
                                    	**type**\:   :py:class:`WayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mode = None
                                        self.way = None

                                    class ModeEnum(Enum):
                                        """
                                        ModeEnum

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = 0


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum']


                                    class WayEnum(Enum):
                                        """
                                        WayEnum

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mode is not None:
                                            return True

                                        if self.way is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop']['meta_info']


                                class Push(object):
                                    """
                                    Rewrite Operation of push
                                    
                                    .. attribute:: dot1q
                                    
                                    	Push dot1q tag
                                    	**type**\:  int
                                    
                                    	**range:** 1..4094
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dot1q = None
                                        self.mode = None

                                    class ModeEnum(Enum):
                                        """
                                        ModeEnum

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = 0


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:push'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dot1q is not None:
                                            return True

                                        if self.mode is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push']['meta_info']


                                class Translate(object):
                                    """
                                    Translate Tag
                                    
                                    .. attribute:: t1_to_1
                                    
                                    	Translate 1\-to\-1
                                    	**type**\:   :py:class:`T1To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1>`
                                    
                                    .. attribute:: t1_to_2
                                    
                                    	Translate 1\-to\-2
                                    	**type**\:   :py:class:`T1To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2>`
                                    
                                    .. attribute:: t2_to_1
                                    
                                    	Translate 2\-to\-1
                                    	**type**\:   :py:class:`T2To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1>`
                                    
                                    .. attribute:: t2_to_2
                                    
                                    	Translate 2\-to\-2
                                    	**type**\:   :py:class:`T2To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.t1_to_1 = Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1()
                                        self.t1_to_1.parent = self
                                        self.t1_to_2 = Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2()
                                        self.t1_to_2.parent = self
                                        self.t2_to_1 = Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1()
                                        self.t2_to_1.parent = self
                                        self.t2_to_2 = Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2()
                                        self.t2_to_2.parent = self


                                    class T1To1(object):
                                        """
                                        Translate 1\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t1-to-1'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1']['meta_info']


                                    class T1To2(object):
                                        """
                                        Translate 1\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum>`
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None
                                            self.second_dot1q = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t1-to-2'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            if self.second_dot1q is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2']['meta_info']


                                    class T2To1(object):
                                        """
                                        Translate 2\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t2-to-1'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1']['meta_info']


                                    class T2To2(object):
                                        """
                                        Translate 2\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum>`
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None
                                            self.second_dot1q = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t2-to-2'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            if self.second_dot1q is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:translate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.t1_to_1 is not None and self.t1_to_1._has_data():
                                            return True

                                        if self.t1_to_2 is not None and self.t1_to_2._has_data():
                                            return True

                                        if self.t2_to_1 is not None and self.t2_to_1._has_data():
                                            return True

                                        if self.t2_to_2 is not None and self.t2_to_2._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:tag'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pop is not None and self.pop._has_data():
                                        return True

                                    if self.push is not None and self.push._has_data():
                                        return True

                                    if self.translate is not None and self.translate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress.Tag']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ingress'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.tag is not None and self.tag._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite.Ingress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:rewrite'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ingress is not None and self.ingress._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Rewrite']['meta_info']


                    class Errdisable(object):
                        """
                        Configure error disable
                        
                        .. attribute:: recovery
                        
                        	enable auto recovery
                        	**type**\:   :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Errdisable.Recovery>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.recovery = Native.Interface.Tengigabitethernet.Service.Instance.Errdisable.Recovery()
                            self.recovery.parent = self


                        class Recovery(object):
                            """
                            enable auto recovery
                            
                            .. attribute:: cause
                            
                            	error disable cause
                            	**type**\:   :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Errdisable.Recovery.Cause>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cause = Native.Interface.Tengigabitethernet.Service.Instance.Errdisable.Recovery.Cause()
                                self.cause.parent = self


                            class Cause(object):
                                """
                                error disable cause
                                
                                .. attribute:: mac_security
                                
                                	mac\-security violation
                                	**type**\:  int
                                
                                	**range:** 30..86400
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mac_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cause'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mac_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Errdisable.Recovery.Cause']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:recovery'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cause is not None and self.cause._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Errdisable.Recovery']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:errdisable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.recovery is not None and self.recovery._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Errdisable']['meta_info']


                    class EthernetContainer(object):
                        """
                        
                        
                        .. attribute:: ethernet
                        
                        	ethernet
                        	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ethernet = Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet()
                            self.ethernet.parent = self


                        class Ethernet(object):
                            """
                            ethernet
                            
                            .. attribute:: lmi
                            
                            	Configure ether lmi parameters
                            	**type**\:   :py:class:`Lmi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi>`
                            
                            .. attribute:: loopback
                            
                            	Ethernet Dataplane Loopback
                            	**type**\:   :py:class:`Loopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lmi = Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi()
                                self.lmi.parent = self
                                self.loopback = Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback()
                                self.loopback.parent = self


                            class Lmi(object):
                                """
                                Configure ether lmi parameters
                                
                                .. attribute:: ce_vlan
                                
                                	Configure ether lmi customer vlans
                                	**type**\:   :py:class:`CeVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ce_vlan = Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan()
                                    self.ce_vlan.parent = self


                                class CeVlan(object):
                                    """
                                    Configure ether lmi customer vlans
                                    
                                    .. attribute:: map
                                    
                                    	Configure ether lmi ce\-vlan/evc map
                                    	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map = Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map()
                                        self.map.parent = self


                                    class Map(object):
                                        """
                                        Configure ether lmi ce\-vlan/evc map
                                        
                                        .. attribute:: any
                                        
                                        	For all VLANS [untagged,1\-4094]
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: default
                                        
                                        	Default EFP
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: untagged
                                        
                                        	Untagged frames
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vlan_range
                                        
                                        	
                                        	**type**\:   :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.any = None
                                            self.default = None
                                            self.untagged = None
                                            self.vlan_range = Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange()
                                            self.vlan_range.parent = self


                                        class VlanRange(object):
                                            """
                                            
                                            
                                            .. attribute:: comma
                                            
                                            	comma
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: hyphen
                                            
                                            	hyphen
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: vlan_id
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.comma = None
                                                self.hyphen = None
                                                self.vlan_id = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:vlan-range'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.comma is not None:
                                                    return True

                                                if self.hyphen is not None:
                                                    return True

                                                if self.vlan_id is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:map'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.any is not None:
                                                return True

                                            if self.default is not None:
                                                return True

                                            if self.untagged is not None:
                                                return True

                                            if self.vlan_range is not None and self.vlan_range._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ce-vlan'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map is not None and self.map._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:lmi'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ce_vlan is not None and self.ce_vlan._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info']


                            class Loopback(object):
                                """
                                Ethernet Dataplane Loopback
                                
                                .. attribute:: permit
                                
                                	Allow data plane loopback to be activated
                                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.permit = Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit()
                                    self.permit.parent = self


                                class Permit(object):
                                    """
                                    Allow data plane loopback to be activated
                                    
                                    .. attribute:: external
                                    
                                    	Allow to loopback the traffic from the wire
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: internal
                                    
                                    	Allow to loopback the traffic from the relay
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.internal = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:permit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None:
                                            return True

                                        if self.internal is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:loopback'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.permit is not None and self.permit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lmi is not None and self.lmi._has_data():
                                    return True

                                if self.loopback is not None and self.loopback._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer.Ethernet']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet-container'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ethernet is not None and self.ethernet._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.EthernetContainer']['meta_info']


                    class Snmp(object):
                        """
                        Modify SNMP service instance parameters
                        
                        .. attribute:: ifindex
                        
                        	Persist ifindex for the service instance
                        	**type**\:   :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Snmp.Ifindex>`
                        
                        .. attribute:: trap
                        
                        	Allow a specific SNMP trap
                        	**type**\:   :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Snmp.Trap>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ifindex = Native.Interface.Tengigabitethernet.Service.Instance.Snmp.Ifindex()
                            self.ifindex.parent = self
                            self.trap = Native.Interface.Tengigabitethernet.Service.Instance.Snmp.Trap()
                            self.trap.parent = self


                        class Trap(object):
                            """
                            Allow a specific SNMP trap
                            
                            .. attribute:: link_status
                            
                            	Allow SNMP LINKUP and LINKDOWN traps
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.link_status = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:trap'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.link_status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Snmp.Trap']['meta_info']


                        class Ifindex(object):
                            """
                            Persist ifindex for the service instance
                            
                            .. attribute:: persist
                            
                            	Enable/Disable ifIndex persistence
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.persist = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ifindex'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.persist is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Snmp.Ifindex']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:snmp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ifindex is not None and self.ifindex._has_data():
                                return True

                            if self.trap is not None and self.trap._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Snmp']['meta_info']


                    class BridgeDomain(object):
                        """
                        Bridge\-domain
                        
                        .. attribute:: bridge_id
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: from_encapsulation
                        
                        	from\-encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: split_horizon
                        
                        	Configure this port as a member of a split horizon group
                        	**type**\:   :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.BridgeDomain.SplitHorizon>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bridge_id = None
                            self.from_encapsulation = None
                            self.split_horizon = Native.Interface.Tengigabitethernet.Service.Instance.BridgeDomain.SplitHorizon()
                            self.split_horizon.parent = self


                        class SplitHorizon(object):
                            """
                            Configure this port as a member of a split horizon group
                            
                            .. attribute:: group
                            
                            	Split\-horizon group
                            	**type**\:  int
                            
                            	**range:** 0..13
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:split-horizon'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.BridgeDomain.SplitHorizon']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:bridge-domain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bridge_id is not None:
                                return True

                            if self.from_encapsulation is not None:
                                return True

                            if self.split_horizon is not None and self.split_horizon._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.BridgeDomain']['meta_info']


                    class Mac(object):
                        """
                        Commands for MAC Address\-based features
                        
                        .. attribute:: security
                        
                        	MAC Security commands
                        	**type**\:   :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Mac.Security>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.security = None


                        class Security(object):
                            """
                            MAC Security commands
                            
                            .. attribute:: maximum
                            
                            	Configure an upper bound
                            	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Mac.Security.Maximum>`
                            
                            .. attribute:: violation
                            
                            	Configure the response when a MAC security policy is violated
                            	**type**\:   :py:class:`ViolationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Mac.Security.ViolationEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.maximum = Native.Interface.Tengigabitethernet.Service.Instance.Mac.Security.Maximum()
                                self.maximum.parent = self
                                self.violation = None

                            class ViolationEnum(Enum):
                                """
                                ViolationEnum

                                Configure the response when a MAC security policy is violated

                                .. data:: protect = 0

                                .. data:: restrict = 1

                                """

                                protect = 0

                                restrict = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Mac.Security.ViolationEnum']



                            class Maximum(object):
                                """
                                Configure an upper bound
                                
                                .. attribute:: addresses
                                
                                	Maximum addresses that can be learnt on this service instance
                                	**type**\:  int
                                
                                	**range:** 1..1000
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.addresses = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:maximum'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.addresses is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Mac.Security.Maximum']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:security'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.maximum is not None and self.maximum._has_data():
                                    return True

                                if self.violation is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Mac.Security']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mac'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.security is not None and self.security._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Mac']['meta_info']


                    class ServicePolicy(object):
                        """
                        Attach a policy\-map to an EFP
                        
                        .. attribute:: input
                        
                        	service policy input
                        	**type**\: list of    :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.ServicePolicy.Input>`
                        
                        .. attribute:: output
                        
                        	service policy output
                        	**type**\: list of    :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.ServicePolicy.Output>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = YList()
                            self.input.parent = self
                            self.input.name = 'input'
                            self.output = YList()
                            self.output.parent = self
                            self.output.name = 'output'


                        class Input(object):
                            """
                            service policy input
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:input[Cisco-IOS-XE-ethernet:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.ServicePolicy.Input']['meta_info']


                        class Output(object):
                            """
                            service policy output
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:output[Cisco-IOS-XE-ethernet:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.ServicePolicy.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:service-policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None:
                                for child_ref in self.input:
                                    if child_ref._has_data():
                                        return True

                            if self.output is not None:
                                for child_ref in self.output:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.ServicePolicy']['meta_info']


                    class Cfm(object):
                        """
                        Ethernet CFM EFP subcommands
                        
                        .. attribute:: encapsulation
                        
                        	Configure CFM ethernet frame encapsulation
                        	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation>`
                        
                        .. attribute:: mep
                        
                        	Maintenance End Point
                        	**type**\:   :py:class:`Mep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Mep>`
                        
                        .. attribute:: mip
                        
                        	Maintenance Intermediate Point
                        	**type**\:   :py:class:`Mip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Mip>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.encapsulation = Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation()
                            self.encapsulation.parent = self
                            self.mep = Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Mep()
                            self.mep.parent = self
                            self.mip = Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Mip()
                            self.mip.parent = self


                        class Encapsulation(object):
                            """
                            Configure CFM ethernet frame encapsulation
                            
                            .. attribute:: dot1ad
                            
                            	802.1ad \- Provider Bridges
                            	**type**\:   :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad>`
                            
                            .. attribute:: dot1q
                            
                            	IEEE 802.1Q Virtual LAN or S\-VLAN
                            	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Q>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dot1ad = Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad()
                                self.dot1ad.parent = self
                                self.dot1q = Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Q()
                                self.dot1q.parent = self


                            class Dot1Ad(object):
                                """
                                802.1ad \- Provider Bridges
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: dot1q
                                
                                	Second tag (dot1q)
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = None
                                    self.dot1q = None
                                    self.vlan_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1ad'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        return True

                                    if self.dot1q is not None:
                                        return True

                                    if self.vlan_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad']['meta_info']


                            class Dot1Q(object):
                                """
                                IEEE 802.1Q Virtual LAN or S\-VLAN
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: second_dot1q
                                
                                	inner 802.1Q Virtual LAN or C\-VLAN
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = None
                                    self.second_dot1q = None
                                    self.vlan_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1q'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        return True

                                    if self.second_dot1q is not None:
                                        return True

                                    if self.vlan_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Q']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:encapsulation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dot1ad is not None and self.dot1ad._has_data():
                                    return True

                                if self.dot1q is not None and self.dot1q._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Encapsulation']['meta_info']


                        class Mep(object):
                            """
                            Maintenance End Point
                            
                            .. attribute:: domain
                            
                            	Configure a domain for this mep
                            	**type**\:  str
                            
                            .. attribute:: mpid
                            
                            	Maintenance End Point Identifier
                            	**type**\:  int
                            
                            	**range:** 1..8191
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.domain = None
                                self.mpid = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mep'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.domain is not None:
                                    return True

                                if self.mpid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Mep']['meta_info']


                        class Mip(object):
                            """
                            Maintenance Intermediate Point
                            
                            .. attribute:: level
                            
                            	Maintenance Level
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.level = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.level is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Cfm.Mip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cfm'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.encapsulation is not None and self.encapsulation._has_data():
                                return True

                            if self.mep is not None and self.mep._has_data():
                                return True

                            if self.mip is not None and self.mip._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Cfm']['meta_info']


                    class L2Protocol(object):
                        """
                        Configure l2 control protocol processing
                        
                        .. attribute:: forward
                        
                        	forward L2 control protocol packets as data
                        	**type**\:   :py:class:`Forward <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Forward>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: peer
                        
                        	peer L2 control protocol packets as data
                        	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Peer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: tunnel
                        
                        	tunnel L2 control protocol packets as data
                        	**type**\:   :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Tunnel>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forward = None
                            self.peer = None
                            self.tunnel = None


                        class Peer(object):
                            """
                            peer L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Peer.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Peer.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:peer'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Peer']['meta_info']


                        class Forward(object):
                            """
                            forward L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Forward.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Forward.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:forward'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Forward']['meta_info']


                        class Tunnel(object):
                            """
                            tunnel L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Tunnel.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Tunnel.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:tunnel'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol.Tunnel']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:l2protocol'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forward is not None and self.forward._has_data():
                                return True

                            if self.peer is not None and self.peer._has_data():
                                return True

                            if self.tunnel is not None and self.tunnel._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.L2Protocol']['meta_info']


                    class Xconnect(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup>`
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.EncapsulationEnum>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\:  str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.SequencingEnum>`
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.backup = Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup()
                            self.backup.parent = self
                            self.encapsulation = None
                            self.manual = None
                            self.mtu = None
                            self.pw_class = None
                            self.sequencing = None
                            self.vcid = None

                        class EncapsulationEnum(Enum):
                            """
                            EncapsulationEnum

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = 0

                            l2tpv3 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.EncapsulationEnum']


                        class SequencingEnum(Enum):
                            """
                            SequencingEnum

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = 0

                            receive = 1

                            transmit = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.SequencingEnum']



                        class Backup(object):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup.Delay>`
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup.Peer>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.delay = Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self.peer = Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup.Peer()
                                self.peer.parent = self


                            class Peer(object):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\:  int
                                
                                	**range:** 1..10
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.peer_router_ip_addr = None
                                    self.priority = None
                                    self.pw_class = None
                                    self.vcid = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.peer_router_ip_addr is not None:
                                        return True

                                    if self.priority is not None:
                                        return True

                                    if self.pw_class is not None:
                                        return True

                                    if self.vcid is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup.Peer']['meta_info']


                            class Delay(object):
                                """
                                backup delay time
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: min
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None
                                    self.min = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup.Delay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:backup'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.delay is not None and self.delay._has_data():
                                    return True

                                if self.peer is not None and self.peer._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Xconnect.Backup']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:xconnect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.backup is not None and self.backup._has_data():
                                return True

                            if self.encapsulation is not None:
                                return True

                            if self.manual is not None:
                                return True

                            if self.mtu is not None:
                                return True

                            if self.pw_class is not None:
                                return True

                            if self.sequencing is not None:
                                return True

                            if self.vcid is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.Xconnect']['meta_info']


                    class XconnectPwClass(object):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.xconnect = Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self


                        class Xconnect(object):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\:  str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp>`
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.pw_class = None
                                self.udp = Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self.vcid = None


                            class Udp(object):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port = Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self


                                class Port(object):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-l2vpn'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.local = None
                                        self.remote = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:port'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.local is not None:
                                            return True

                                        if self.remote is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:udp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port is not None and self.port._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect.Udp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:xconnect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.udp is not None and self.udp._has_data():
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass.Xconnect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:xconnect-pw-class'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.xconnect is not None and self.xconnect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance.XconnectPwClass']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:instance[Cisco-IOS-XE-ethernet:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.bridge_domain is not None and self.bridge_domain._has_data():
                            return True

                        if self.cfm is not None and self.cfm._has_data():
                            return True

                        if self.description is not None:
                            return True

                        if self.encapsulation is not None and self.encapsulation._has_data():
                            return True

                        if self.errdisable is not None and self.errdisable._has_data():
                            return True

                        if self.ethernet is not None:
                            return True

                        if self.ethernet_container is not None and self.ethernet_container._has_data():
                            return True

                        if self.ethernet_evc_name is not None:
                            return True

                        if self.evc_name is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        if self.l2protocol is not None and self.l2protocol._has_data():
                            return True

                        if self.mac is not None and self.mac._has_data():
                            return True

                        if self.rewrite is not None and self.rewrite._has_data():
                            return True

                        if self.service_policy is not None and self.service_policy._has_data():
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.snmp is not None and self.snmp._has_data():
                            return True

                        if self.trunk is not None:
                            return True

                        if self.xconnect is not None and self.xconnect._has_data():
                            return True

                        if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Service.Instance']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:service'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.instance is not None:
                        for child_ref in self.instance:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Service']['meta_info']


            class Xconnect(object):
                """
                Xconnect commands
                
                .. attribute:: address
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: encapsulation
                
                	Data encapsulation method
                	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Xconnect.EncapsulationEnum>`
                
                .. attribute:: manual
                
                	Manually configure L2TP session parameters
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pw_class
                
                	Pseudowire\-class to use for encapsulation and protocol configuration
                	**type**\:  str
                
                .. attribute:: sequence
                
                	Configure sequencing options for xconnect
                	**type**\:   :py:class:`SequenceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Xconnect.SequenceEnum>`
                
                .. attribute:: vcid
                
                	
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = None
                    self.encapsulation = None
                    self.manual = None
                    self.pw_class = None
                    self.sequence = None
                    self.vcid = None

                class EncapsulationEnum(Enum):
                    """
                    EncapsulationEnum

                    Data encapsulation method

                    .. data:: mpls = 0

                    .. data:: l2tpv3 = 1

                    """

                    mpls = 0

                    l2tpv3 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Xconnect.EncapsulationEnum']


                class SequenceEnum(Enum):
                    """
                    SequenceEnum

                    Configure sequencing options for xconnect

                    .. data:: both = 0

                    .. data:: receive = 1

                    .. data:: transmit = 2

                    """

                    both = 0

                    receive = 1

                    transmit = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Xconnect.SequenceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:xconnect'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None:
                        return True

                    if self.encapsulation is not None:
                        return True

                    if self.manual is not None:
                        return True

                    if self.pw_class is not None:
                        return True

                    if self.sequence is not None:
                        return True

                    if self.vcid is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Xconnect']['meta_info']


            class Cdp(object):
                """
                CDP interface subcommands
                
                .. attribute:: enable
                
                	Enable CDP on interface
                	**type**\:  bool
                
                .. attribute:: tlv
                
                	Enable exchange of specific tlv information
                	**type**\:   :py:class:`Tlv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Cdp.Tlv>`
                
                

                """

                _prefix = 'ios-cdp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None
                    self.tlv = Native.Interface.Tengigabitethernet.Cdp.Tlv()
                    self.tlv.parent = self


                class Tlv(object):
                    """
                    Enable exchange of specific tlv information
                    
                    .. attribute:: app
                    
                    	Enable/Configure Application TLV
                    	**type**\:   :py:class:`App <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Cdp.Tlv.App>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: location
                    
                    	Exchange location information
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: server_location
                    
                    	Enable CDP location server on interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-cdp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.app = None
                        self.location = None
                        self.server_location = None


                    class App(object):
                        """
                        Enable/Configure Application TLV
                        
                        .. attribute:: tlvtype
                        
                        	Configure APP TLV
                        	**type**\:  int
                        
                        	**range:** 1001..65535
                        
                        .. attribute:: value
                        
                        	Configure App TLV Value information
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-cdp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tlvtype = None
                            self.value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cdp:app'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tlvtype is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Cdp.Tlv.App']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-cdp:tlv'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.app is not None and self.app._has_data():
                            return True

                        if self.location is not None:
                            return True

                        if self.server_location is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Cdp.Tlv']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-cdp:cdp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    if self.tlv is not None and self.tlv._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Cdp']['meta_info']


            class Crypto(object):
                """
                Encryption/Decryption commands
                
                .. attribute:: ipsec
                
                	Set IPSec parameters
                	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Crypto.Ipsec>`
                
                .. attribute:: map
                
                	Assign a Crypto Map
                	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Crypto.Map>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipsec = Native.Interface.Tengigabitethernet.Crypto.Ipsec()
                    self.ipsec.parent = self
                    self.map = Native.Interface.Tengigabitethernet.Crypto.Map()
                    self.map.parent = self


                class Map(object):
                    """
                    Assign a Crypto Map
                    
                    .. attribute:: redundancy
                    
                    	enable redundancy
                    	**type**\:  str
                    
                    .. attribute:: stateful
                    
                    	enable stateful failover
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: tag
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.redundancy = None
                        self.stateful = None
                        self.tag = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.redundancy is not None:
                            return True

                        if self.stateful is not None:
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Crypto.Map']['meta_info']


                class Ipsec(object):
                    """
                    Set IPSec parameters
                    
                    .. attribute:: df_bit
                    
                    	Handling of encapsulated DF bit
                    	**type**\:   :py:class:`DfBitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Crypto.Ipsec.DfBitEnum>`
                    
                    .. attribute:: fragmentation
                    
                    	Handling of fragmentation of near\-MTU sized packets
                    	**type**\:   :py:class:`FragmentationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Crypto.Ipsec.FragmentationEnum>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.df_bit = None
                        self.fragmentation = None

                    class DfBitEnum(Enum):
                        """
                        DfBitEnum

                        Handling of encapsulated DF bit.

                        .. data:: clear = 0

                        .. data:: copy = 1

                        .. data:: set = 2

                        """

                        clear = 0

                        copy = 1

                        set = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Crypto.Ipsec.DfBitEnum']


                    class FragmentationEnum(Enum):
                        """
                        FragmentationEnum

                        Handling of fragmentation of near\-MTU sized packets

                        .. data:: after_encryption = 0

                        .. data:: before_encryption = 1

                        """

                        after_encryption = 0

                        before_encryption = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Crypto.Ipsec.FragmentationEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:ipsec'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.df_bit is not None:
                            return True

                        if self.fragmentation is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Crypto.Ipsec']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:crypto'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipsec is not None and self.ipsec._has_data():
                        return True

                    if self.map is not None and self.map._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Crypto']['meta_info']


            class Cts(object):
                """
                Configure Cisco Trusted Security
                
                .. attribute:: manual
                
                	Supply local configuration for CTS parameters
                	**type**\:   :py:class:`Manual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Cts.Manual>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.manual = None


                class Manual(object):
                    """
                    Supply local configuration for CTS parameters
                    
                    .. attribute:: policy
                    
                    	CTS policy for manual mode
                    	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Cts.Manual.Policy>`
                    
                    .. attribute:: propagate
                    
                    	CTS SGT Propagation configuration for manual mode
                    	**type**\:   :py:class:`Propagate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Cts.Manual.Propagate>`
                    
                    .. attribute:: sap
                    
                    	CTS SAP configuration for manual mode
                    	**type**\:   :py:class:`Sap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Cts.Manual.Sap>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.policy = Native.Interface.Tengigabitethernet.Cts.Manual.Policy()
                        self.policy.parent = self
                        self.propagate = Native.Interface.Tengigabitethernet.Cts.Manual.Propagate()
                        self.propagate.parent = self
                        self.sap = Native.Interface.Tengigabitethernet.Cts.Manual.Sap()
                        self.sap.parent = self


                    class Policy(object):
                        """
                        CTS policy for manual mode
                        
                        .. attribute:: static
                        
                        	Configure policy to be applied on the link
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Cts.Manual.Policy.Static>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = Native.Interface.Tengigabitethernet.Cts.Manual.Policy.Static()
                            self.static.parent = self


                        class Static(object):
                            """
                            Configure policy to be applied on the link
                            
                            .. attribute:: sgt
                            
                            	Source Security Group Tag to apply to untagged or non\-trusted incoming traffic
                            	**type**\:  int
                            
                            	**range:** 2..65519
                            
                            .. attribute:: trusted
                            
                            	Trust the Source Group Tags (SGT) that the peer uses for sending
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.sgt = None
                                self.trusted = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-cts:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.sgt is not None:
                                    return True

                                if self.trusted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Policy.Static']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Policy']['meta_info']


                    class Sap(object):
                        """
                        CTS SAP configuration for manual mode
                        
                        .. attribute:: pmk
                        
                        	Pre\-Master Key (PMK) to use for CTS SAP
                        	**type**\: list of    :py:class:`Pmk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.pmk = YList()
                            self.pmk.parent = self
                            self.pmk.name = 'pmk'


                        class Pmk(object):
                            """
                            Pre\-Master Key (PMK) to use for CTS SAP
                            
                            .. attribute:: word  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: mode_list
                            
                            	List of advertised modes (prioritized from highest to lowest)
                            	**type**\:   :py:class:`ModeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.word = None
                                self.mode_list = Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList()
                                self.mode_list.parent = self


                            class ModeList(object):
                                """
                                List of advertised modes (prioritized from highest to lowest)
                                
                                .. attribute:: gcm_encrypt
                                
                                	GCM authentication, GCM encryption
                                	**type**\:   :py:class:`GcmEncrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_encap
                                
                                	No encapsulation
                                	**type**\:   :py:class:`NoEncap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.gcm_encrypt = None
                                    self.no_encap = None


                                class GcmEncrypt(object):
                                    """
                                    GCM authentication, GCM encryption
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:   :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.gmac = None


                                    class Gmac(object):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: null
                                        
                                        	Encapsulation present, no authentication,       no encryption
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.null = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:gmac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.null is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:gcm-encrypt'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.gmac is not None and self.gmac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info']


                                class NoEncap(object):
                                    """
                                    No encapsulation
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:   :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.gmac = None


                                    class Gmac(object):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: gcm_encrypt
                                        
                                        	GCM authentication, GCM encryption
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.gcm_encrypt = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:gmac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.gcm_encrypt is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:no-encap'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.gmac is not None and self.gmac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-cts:mode-list'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.gcm_encrypt is not None and self.gcm_encrypt._has_data():
                                        return True

                                    if self.no_encap is not None and self.no_encap._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk.ModeList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.word is None:
                                    raise YPYModelError('Key property word is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-cts:pmk[Cisco-IOS-XE-cts:word = ' + str(self.word) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.word is not None:
                                    return True

                                if self.mode_list is not None and self.mode_list._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Sap.Pmk']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:sap'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.pmk is not None:
                                for child_ref in self.pmk:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Sap']['meta_info']


                    class Propagate(object):
                        """
                        CTS SGT Propagation configuration for manual mode
                        
                        .. attribute:: sgt
                        
                        	CTS SGT Propagation configuration
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.sgt = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:propagate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.sgt is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Cts.Manual.Propagate']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-cts:manual'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.policy is not None and self.policy._has_data():
                            return True

                        if self.propagate is not None and self.propagate._has_data():
                            return True

                        if self.sap is not None and self.sap._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Cts.Manual']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-cts:cts'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.manual is not None and self.manual._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Cts']['meta_info']


            class Dot1X(object):
                """
                Interface Config Commands for IEEE 802.1X
                
                .. attribute:: authenticator
                
                	Configure authenticator parameters
                	**type**\:   :py:class:`Authenticator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Dot1X.Authenticator>`
                
                .. attribute:: credentials
                
                	Credentials profile configuration
                	**type**\:  str
                
                .. attribute:: max_reauth_req
                
                	Max No. of Reauthentication Attempts
                	**type**\:  int
                
                	**range:** 1..10
                
                .. attribute:: max_req
                
                	Max No. of Retries
                	**type**\:  int
                
                	**range:** 1..10
                
                .. attribute:: max_start
                
                	Max No. of EAPOL\-Start requests
                	**type**\:  int
                
                	**range:** 1..10
                
                .. attribute:: pae
                
                	Set 802.1x interface pae type
                	**type**\:   :py:class:`PaeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Dot1X.PaeEnum>`
                
                .. attribute:: supplicant
                
                	Configure supplicant parameters
                	**type**\:   :py:class:`Supplicant <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Dot1X.Supplicant>`
                
                .. attribute:: timeout
                
                	Various Timeouts
                	**type**\:   :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Dot1X.Timeout>`
                
                

                """

                _prefix = 'ios-dot1x'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.authenticator = Native.Interface.Tengigabitethernet.Dot1X.Authenticator()
                    self.authenticator.parent = self
                    self.credentials = None
                    self.max_reauth_req = None
                    self.max_req = None
                    self.max_start = None
                    self.pae = None
                    self.supplicant = Native.Interface.Tengigabitethernet.Dot1X.Supplicant()
                    self.supplicant.parent = self
                    self.timeout = Native.Interface.Tengigabitethernet.Dot1X.Timeout()
                    self.timeout.parent = self

                class PaeEnum(Enum):
                    """
                    PaeEnum

                    Set 802.1x interface pae type

                    .. data:: authenticator = 0

                    .. data:: supplicant = 1

                    .. data:: both = 2

                    """

                    authenticator = 0

                    supplicant = 1

                    both = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Dot1X.PaeEnum']



                class Authenticator(object):
                    """
                    Configure authenticator parameters
                    
                    .. attribute:: eap
                    
                    	Configure EAP authenticator parameters
                    	**type**\:   :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Dot1X.Authenticator.Eap>`
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eap = Native.Interface.Tengigabitethernet.Dot1X.Authenticator.Eap()
                        self.eap.parent = self


                    class Eap(object):
                        """
                        Configure EAP authenticator parameters
                        
                        .. attribute:: profile
                        
                        	EAP authenticator profile configuration
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dot1x'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.profile = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dot1x:eap'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.profile is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Dot1X.Authenticator.Eap']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-dot1x:authenticator'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eap is not None and self.eap._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Dot1X.Authenticator']['meta_info']


                class Supplicant(object):
                    """
                    Configure supplicant parameters
                    
                    .. attribute:: eap
                    
                    	Configure EAP supplicant parameters
                    	**type**\:   :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Dot1X.Supplicant.Eap>`
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eap = Native.Interface.Tengigabitethernet.Dot1X.Supplicant.Eap()
                        self.eap.parent = self


                    class Eap(object):
                        """
                        Configure EAP supplicant parameters
                        
                        .. attribute:: profile
                        
                        	EAP supplicant profile configuration
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dot1x'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.profile = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dot1x:eap'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.profile is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Dot1X.Supplicant.Eap']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-dot1x:supplicant'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eap is not None and self.eap._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Dot1X.Supplicant']['meta_info']


                class Timeout(object):
                    """
                    Various Timeouts
                    
                    .. attribute:: auth_period
                    
                    	Timeout for authenticator reply
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: held_period
                    
                    	Timeout for authentication retries
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: quiet_period
                    
                    	QuietPeriod in Seconds
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: ratelimit_period
                    
                    	Ratelimit Period in seconds
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: server_timeout
                    
                    	Timeout for Radius Retries
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: start_period
                    
                    	Timeout for EAPOL\-start retries
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: supp_timeout
                    
                    	Timeout for supplicant reply
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tx_period
                    
                    	Timeout for supplicant retries
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auth_period = None
                        self.held_period = None
                        self.quiet_period = None
                        self.ratelimit_period = None
                        self.server_timeout = None
                        self.start_period = None
                        self.supp_timeout = None
                        self.tx_period = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-dot1x:timeout'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auth_period is not None:
                            return True

                        if self.held_period is not None:
                            return True

                        if self.quiet_period is not None:
                            return True

                        if self.ratelimit_period is not None:
                            return True

                        if self.server_timeout is not None:
                            return True

                        if self.start_period is not None:
                            return True

                        if self.supp_timeout is not None:
                            return True

                        if self.tx_period is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Dot1X.Timeout']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-dot1x:dot1x'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.authenticator is not None and self.authenticator._has_data():
                        return True

                    if self.credentials is not None:
                        return True

                    if self.max_reauth_req is not None:
                        return True

                    if self.max_req is not None:
                        return True

                    if self.max_start is not None:
                        return True

                    if self.pae is not None:
                        return True

                    if self.supplicant is not None and self.supplicant._has_data():
                        return True

                    if self.timeout is not None and self.timeout._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Dot1X']['meta_info']


            class Performance(object):
                """
                Global performance monitor configuration
                
                .. attribute:: monitor
                
                	monitor
                	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Performance.Monitor>`
                
                

                """

                _prefix = 'ios-ezpm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.monitor = Native.Interface.Tengigabitethernet.Performance.Monitor()
                    self.monitor.parent = self


                class Monitor(object):
                    """
                    monitor
                    
                    .. attribute:: context
                    
                    	Select ezPM context
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-ezpm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.context = YLeafList()
                        self.context.parent = self
                        self.context.name = 'context'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ezpm:monitor'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.context is not None:
                            for child in self.context:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Performance.Monitor']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ezpm:performance'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.monitor is not None and self.monitor._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Performance']['meta_info']


            class ServicePolicy(object):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.history = None
                    self.input = None
                    self.output = None
                    self.type = Native.Interface.Tengigabitethernet.ServicePolicy.Type()
                    self.type.parent = self


                class Type(object):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:   :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:   :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:   :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.control = Native.Interface.Tengigabitethernet.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self.performance_monitor = Native.Interface.Tengigabitethernet.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self.service_chain = Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self


                    class Control(object):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.subscriber = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:control'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.subscriber is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.ServicePolicy.Type.Control']['meta_info']


                    class PerformanceMonitor(object):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.ServicePolicy.Type.PerformanceMonitor.DirectionEnum>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.direction = None
                            self.name = None

                        class DirectionEnum(Enum):
                            """
                            DirectionEnum

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = 0

                            output = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.ServicePolicy.Type.PerformanceMonitor.DirectionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:performance-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.direction is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.ServicePolicy.Type.PerformanceMonitor']['meta_info']


                    class ServiceChain(object):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self.output = Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self


                        class Input(object):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain.Input']['meta_info']


                        class Output(object):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:output'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:service-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None and self.input._has_data():
                                return True

                            if self.output is not None and self.output._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.ServicePolicy.Type.ServiceChain']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.control is not None and self.control._has_data():
                            return True

                        if self.performance_monitor is not None and self.performance_monitor._has_data():
                            return True

                        if self.service_chain is not None and self.service_chain._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.ServicePolicy.Type']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.history is not None:
                        return True

                    if self.input is not None:
                        return True

                    if self.output is not None:
                        return True

                    if self.type is not None and self.type._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.ServicePolicy']['meta_info']


            class Snmp(object):
                """
                Modify SNMP interface parameters
                
                .. attribute:: ifindex
                
                	Persist ifindex for the interface
                	**type**\:   :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Snmp.Ifindex>`
                
                .. attribute:: trap
                
                	Allow a specific SNMP trap
                	**type**\:   :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Snmp.Trap>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ifindex = Native.Interface.Tengigabitethernet.Snmp.Ifindex()
                    self.ifindex.parent = self
                    self.trap = Native.Interface.Tengigabitethernet.Snmp.Trap()
                    self.trap.parent = self


                class Ifindex(object):
                    """
                    Persist ifindex for the interface
                    
                    .. attribute:: clear
                    
                    	Clear Enable/Disable ifIndex persistence
                    	**type**\:  bool
                    
                    .. attribute:: persist
                    
                    	Enable/Disable ifIndex persistence 
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.clear = None
                        self.persist = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-snmp:ifindex'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.clear is not None:
                            return True

                        if self.persist is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Snmp.Ifindex']['meta_info']


                class Trap(object):
                    """
                    Allow a specific SNMP trap
                    
                    .. attribute:: link_status
                    
                    	Allow SNMP LINKUP and LINKDOWN traps
                    	**type**\:  bool
                    
                    .. attribute:: link_status_capas
                    
                    	
                    	**type**\:   :py:class:`LinkStatusCapas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.link_status = None
                        self.link_status_capas = Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas()
                        self.link_status_capas.parent = self


                    class LinkStatusCapas(object):
                        """
                        
                        
                        .. attribute:: link_status
                        
                        	Allow SNMP LINKUP and LINKDOWN traps
                        	**type**\:   :py:class:`LinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.link_status = Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus()
                            self.link_status.parent = self


                        class LinkStatus(object):
                            """
                            Allow SNMP LINKUP and LINKDOWN traps
                            
                            .. attribute:: permit
                            
                            	Permit the following capability
                            	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.permit = Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit()
                                self.permit.parent = self


                            class Permit(object):
                                """
                                Permit the following capability
                                
                                .. attribute:: duplicates
                                
                                	Permit duplicate SNMP LINKUP and LINKDOWN traps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.duplicates = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:permit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.duplicates is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-snmp:link-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.permit is not None and self.permit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-snmp:link-status-capas'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.link_status is not None and self.link_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Snmp.Trap.LinkStatusCapas']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-snmp:trap'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.link_status is not None:
                            return True

                        if self.link_status_capas is not None and self.link_status_capas._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Snmp.Trap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:snmp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ifindex is not None and self.ifindex._has_data():
                        return True

                    if self.trap is not None and self.trap._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Snmp']['meta_info']


            class Lisp(object):
                """
                Locator/ID Separation Protocol
                
                .. attribute:: extended_subnet_mode
                
                	Configures to enable extended subnet mode on the interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mobility
                
                	Configures to allow EID mobility on interface
                	**type**\:   :py:class:`Mobility <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Lisp.Mobility>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.extended_subnet_mode = None
                    self.mobility = Native.Interface.Tengigabitethernet.Lisp.Mobility()
                    self.mobility.parent = self


                class Mobility(object):
                    """
                    Configures to allow EID mobility on interface
                    
                    .. attribute:: discover
                    
                    	Configure mobility dynamic EID discover settings
                    	**type**\:   :py:class:`Discover <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Lisp.Mobility.Discover>`
                    
                    .. attribute:: dynamic_eid
                    
                    	
                    	**type**\:   :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Lisp.Mobility.DynamicEid>`
                    
                    .. attribute:: liveness
                    
                    	Configure mobility liveness settings
                    	**type**\:   :py:class:`Liveness <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Lisp.Mobility.Liveness>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.discover = Native.Interface.Tengigabitethernet.Lisp.Mobility.Discover()
                        self.discover.parent = self
                        self.dynamic_eid = Native.Interface.Tengigabitethernet.Lisp.Mobility.DynamicEid()
                        self.dynamic_eid.parent = self
                        self.liveness = Native.Interface.Tengigabitethernet.Lisp.Mobility.Liveness()
                        self.liveness.parent = self


                    class DynamicEid(object):
                        """
                        
                        
                        .. attribute:: dynamic_eid_name
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: nbr_proxy_reply
                        
                        	Neighbor proxy reply behavior for dynamic EID group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: requests
                        
                        	Send neighbor proxy reply after reaching request threshold
                        	**type**\:  int
                        
                        	**range:** 0..5
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dynamic_eid_name = None
                            self.nbr_proxy_reply = None
                            self.requests = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:dynamic-eid'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dynamic_eid_name is not None:
                                return True

                            if self.nbr_proxy_reply is not None:
                                return True

                            if self.requests is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Lisp.Mobility.DynamicEid']['meta_info']


                    class Discover(object):
                        """
                        Configure mobility dynamic EID discover settings
                        
                        .. attribute:: arp
                        
                        	Dynamic EID discover through ARP events on this interface
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.arp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:discover'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.arp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Lisp.Mobility.Discover']['meta_info']


                    class Liveness(object):
                        """
                        Configure mobility liveness settings
                        
                        .. attribute:: test
                        
                        	Perform liveness test on dynamic\-EID discovered on this interface
                        	**type**\:  bool
                        
                        .. attribute:: ttl
                        
                        	Configures the TTL in the liveness test packet
                        	**type**\:  int
                        
                        	**range:** 2..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.test = None
                            self.ttl = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:liveness'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.test is not None:
                                return True

                            if self.ttl is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Lisp.Mobility.Liveness']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:mobility'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.discover is not None and self.discover._has_data():
                            return True

                        if self.dynamic_eid is not None and self.dynamic_eid._has_data():
                            return True

                        if self.liveness is not None and self.liveness._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Lisp.Mobility']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.extended_subnet_mode is not None:
                        return True

                    if self.mobility is not None and self.mobility._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Lisp']['meta_info']


            class Mka(object):
                """
                MACsec Key Agreement (MKA) interface configuration
                
                .. attribute:: pre_shared_key
                
                	Configure MKA Pre\-Shared\-Key
                	**type**\:   :py:class:`PreSharedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Mka.PreSharedKey>`
                
                

                """

                _prefix = 'ios-mka'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.pre_shared_key = Native.Interface.Tengigabitethernet.Mka.PreSharedKey()
                    self.pre_shared_key.parent = self


                class PreSharedKey(object):
                    """
                    Configure MKA Pre\-Shared\-Key
                    
                    .. attribute:: key_chain
                    
                    	Configure the key\-chain name
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Mka.PreSharedKey.KeyChain>`
                    
                    

                    """

                    _prefix = 'ios-mka'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Tengigabitethernet.Mka.PreSharedKey.KeyChain()
                        self.key_chain.parent = self


                    class KeyChain(object):
                        """
                        Configure the key\-chain name
                        
                        .. attribute:: name
                        
                        	Name of key\-chain to be used to get keys
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-mka'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mka:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Mka.PreSharedKey.KeyChain']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mka:pre-shared-key'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Mka.PreSharedKey']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-mka:mka'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.pre_shared_key is not None and self.pre_shared_key._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Mka']['meta_info']


            class Ospfv3(object):
                """
                OSPFv3 interface commands
                
                .. attribute:: authentication
                
                	Enable authentication
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Authentication>`
                
                .. attribute:: bfd
                
                	Enable BFD on this interface
                	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Bfd>`
                
                	**presence node**\: True
                
                .. attribute:: cost
                
                	Route cost of this interface
                	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Cost>`
                
                .. attribute:: database_filter
                
                	Filter OSPF LSA during synchronization and flooding
                	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.DatabaseFilter>`
                
                .. attribute:: dead_interval
                
                	Interval after which a neighbor is declared dead
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: demand_circuit
                
                	OSPF Demand Circuit
                	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.DemandCircuit>`
                
                	**presence node**\: True
                
                .. attribute:: encryption
                
                	Enable encryption
                	**type**\:   :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Encryption>`
                
                .. attribute:: flood_reduction
                
                	OSPF Flood Reduction
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hello_interval
                
                	Time between HELLO packets
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: manet
                
                	Mobile Adhoc Networking options
                	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Manet>`
                
                .. attribute:: mtu_ignore
                
                	Ignores the MTU in DBD packets
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: multi_area
                
                	Set the OSPF multi\-area ID
                	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.MultiArea>`
                
                .. attribute:: neighbor
                
                	OSPF neighbor
                	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Neighbor>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Network>`
                
                .. attribute:: prefix_suppression
                
                	OSPF prefix suppression
                	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.PrefixSuppression>`
                
                	**presence node**\: True
                
                .. attribute:: priority
                
                	Router priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: process_id
                
                	
                	**type**\: list of    :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId>`
                
                .. attribute:: retransmit_interval
                
                	Time between retransmitting lost link state advertisements
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: shutdown
                
                	Shut down the interface in OSPFv3
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: transmit_delay
                
                	Link state transmit delay
                	**type**\:  int
                
                	**range:** 1..65535
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.authentication = Native.Interface.Tengigabitethernet.Ospfv3.Authentication()
                    self.authentication.parent = self
                    self.bfd = None
                    self.cost = Native.Interface.Tengigabitethernet.Ospfv3.Cost()
                    self.cost.parent = self
                    self.database_filter = Native.Interface.Tengigabitethernet.Ospfv3.DatabaseFilter()
                    self.database_filter.parent = self
                    self.dead_interval = None
                    self.demand_circuit = None
                    self.encryption = Native.Interface.Tengigabitethernet.Ospfv3.Encryption()
                    self.encryption.parent = self
                    self.flood_reduction = None
                    self.hello_interval = None
                    self.manet = Native.Interface.Tengigabitethernet.Ospfv3.Manet()
                    self.manet.parent = self
                    self.mtu_ignore = None
                    self.multi_area = Native.Interface.Tengigabitethernet.Ospfv3.MultiArea()
                    self.multi_area.parent = self
                    self.neighbor = YList()
                    self.neighbor.parent = self
                    self.neighbor.name = 'neighbor'
                    self.network = Native.Interface.Tengigabitethernet.Ospfv3.Network()
                    self.network.parent = self
                    self.prefix_suppression = None
                    self.priority = None
                    self.process_id = YList()
                    self.process_id.parent = self
                    self.process_id.name = 'process_id'
                    self.retransmit_interval = None
                    self.shutdown = None
                    self.transmit_delay = None


                class ProcessId(object):
                    """
                    
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost>`
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ipv4
                    
                    	Specify parameters for IPv4
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	Specify parameters for IPv6
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6>`
                    
                    .. attribute:: manet
                    
                    	Mobile Adhoc Networking options
                    	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.MultiArea>`
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Network>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.authentication = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Authentication()
                        self.authentication.parent = self
                        self.bfd = None
                        self.cost = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost()
                        self.cost.parent = self
                        self.database_filter = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.DatabaseFilter()
                        self.database_filter.parent = self
                        self.dead_interval = None
                        self.demand_circuit = None
                        self.flood_reduction = None
                        self.hello_interval = None
                        self.ipv4 = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4()
                        self.ipv4.parent = self
                        self.ipv6 = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6()
                        self.ipv6.parent = self
                        self.manet = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet()
                        self.manet.parent = self
                        self.mtu_ignore = None
                        self.multi_area = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.MultiArea()
                        self.multi_area.parent = self
                        self.neighbor = YList()
                        self.neighbor.parent = self
                        self.neighbor.name = 'neighbor'
                        self.network = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Network()
                        self.network.parent = self
                        self.prefix_suppression = None
                        self.priority = None
                        self.retransmit_interval = None
                        self.shutdown = None
                        self.transmit_delay = None


                    class Authentication(object):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:  str
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_chain = None
                            self.null = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_chain is not None:
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Authentication']['meta_info']


                    class Bfd(object):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Bfd']['meta_info']


                    class Cost(object):
                        """
                        Route cost of this interface
                        
                        .. attribute:: dynamic
                        
                        	Specify dynamic cost options
                        	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dynamic = None
                            self.value = None


                        class Dynamic(object):
                            """
                            Specify dynamic cost options
                            
                            .. attribute:: default
                            
                            	Specify default link metric value
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: hysteresis
                            
                            	Specify hysteresis value for LSA dampening
                            	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: weight
                            
                            	Specify weight to be placed on individual metrics
                            	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.default = None
                                self.hysteresis = None
                                self.weight = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight()
                                self.weight.parent = self


                            class Hysteresis(object):
                                """
                                Specify hysteresis value for LSA dampening
                                
                                .. attribute:: percent
                                
                                	Specify hysteresis percent changed
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold
                                
                                	Specify hysteresis threshold value
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.percent = None
                                    self.threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.percent is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis']['meta_info']


                            class Weight(object):
                                """
                                Specify weight to be placed on individual metrics
                                
                                .. attribute:: l2_factor
                                
                                	Specify weight to be given to L2\-factor metric
                                	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: latency
                                
                                	Specify weight to be given to latency metric
                                	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: resources
                                
                                	Specify weight to be given to resources metric
                                	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: throughput
                                
                                	Specify weight to be given to throughput metric
                                	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.l2_factor = None
                                    self.latency = None
                                    self.resources = None
                                    self.throughput = None


                                class L2Factor(object):
                                    """
                                    Specify weight to be given to L2\-factor metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor']['meta_info']


                                class Latency(object):
                                    """
                                    Specify weight to be given to latency metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency']['meta_info']


                                class Resources(object):
                                    """
                                    Specify weight to be given to resources metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources']['meta_info']


                                class Throughput(object):
                                    """
                                    Specify weight to be given to throughput metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.l2_factor is not None and self.l2_factor._has_data():
                                        return True

                                    if self.latency is not None and self.latency._has_data():
                                        return True

                                    if self.resources is not None and self.resources._has_data():
                                        return True

                                    if self.throughput is not None and self.throughput._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.default is not None:
                                    return True

                                if self.hysteresis is not None and self.hysteresis._has_data():
                                    return True

                                if self.weight is not None and self.weight._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost.Dynamic']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dynamic is not None and self.dynamic._has_data():
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Cost']['meta_info']


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.DatabaseFilter.AllEnum>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.disable = None

                        class AllEnum(Enum):
                            """
                            AllEnum

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.DatabaseFilter.AllEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.DatabaseFilter']['meta_info']


                    class DemandCircuit(object):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None
                            self.ignore = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.DemandCircuit']['meta_info']


                    class FloodReduction(object):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:flood-reduction'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.FloodReduction']['meta_info']


                    class Manet(object):
                        """
                        Mobile Adhoc Networking options
                        
                        .. attribute:: peering
                        
                        	MANET Peering options
                        	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet.Peering>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.peering = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet.Peering()
                            self.peering.parent = self


                        class Peering(object):
                            """
                            MANET Peering options
                            
                            .. attribute:: cost
                            
                            	Redundant path cost improvement required to peer
                            	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet.Peering.Cost>`
                            
                            .. attribute:: link_metrics
                            
                            	Require link metrics
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cost = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet.Peering.Cost()
                                self.cost.parent = self
                                self.link_metrics = None


                            class Cost(object):
                                """
                                Redundant path cost improvement required to peer
                                
                                .. attribute:: percent
                                
                                	Relative incremental path cost
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: threshold
                                
                                	Absolute incremental path cost
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.percent = None
                                    self.threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.percent is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet.Peering.Cost']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cost is not None and self.cost._has_data():
                                    return True

                                if self.link_metrics is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet.Peering']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.peering is not None and self.peering._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Manet']['meta_info']


                    class MtuIgnore(object):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mtu-ignore'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.MtuIgnore']['meta_info']


                    class MultiArea(object):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: disable
                        
                        	disable OSPF multi\-area
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cost = None
                            self.disable = None
                            self.id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cost is not None:
                                return True

                            if self.disable is not None:
                                return True

                            if self.id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.MultiArea']['meta_info']


                    class Neighbor(object):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.cost = None
                            self.database_filter = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self.poll_interval = None
                            self.priority = None


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.cost is not None:
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.poll_interval is not None:
                                return True

                            if self.priority is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Neighbor']['meta_info']


                    class Network(object):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.broadcast = None
                            self.manet = None
                            self.non_broadcast = None
                            self.point_to_multipoint = None
                            self.point_to_point = None


                        class PointToMultipoint(object):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.non_broadcast = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.non_broadcast is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Network.PointToMultipoint']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.broadcast is not None:
                                return True

                            if self.manet is not None:
                                return True

                            if self.non_broadcast is not None:
                                return True

                            if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                return True

                            if self.point_to_point is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Network']['meta_info']


                    class PrefixSuppression(object):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.PrefixSuppression']['meta_info']


                    class Shutdown(object):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:shutdown'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Shutdown']['meta_info']


                    class Ipv4(object):
                        """
                        Specify parameters for IPv4
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.area = YList()
                            self.area.parent = self
                            self.area.name = 'area'
                            self.authentication = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Authentication()
                            self.authentication.parent = self
                            self.bfd = None
                            self.cost = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost()
                            self.cost.parent = self
                            self.database_filter = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter()
                            self.database_filter.parent = self
                            self.dead_interval = None
                            self.demand_circuit = None
                            self.flood_reduction = None
                            self.hello_interval = None
                            self.manet = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet()
                            self.manet.parent = self
                            self.mtu_ignore = None
                            self.multi_area = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.MultiArea()
                            self.multi_area.parent = self
                            self.neighbor = YList()
                            self.neighbor.parent = self
                            self.neighbor.name = 'neighbor'
                            self.network = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Network()
                            self.network.parent = self
                            self.prefix_suppression = None
                            self.priority = None
                            self.retransmit_interval = None
                            self.shutdown = None
                            self.transmit_delay = None


                        class Area(object):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\:  int
                            
                            	**range:** 64..95
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.instance = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.instance is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Area']['meta_info']


                        class Authentication(object):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\:  str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.null = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.null is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Authentication']['meta_info']


                        class Bfd(object):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Bfd']['meta_info']


                        class Cost(object):
                            """
                            Route cost of this interface
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.value = None


                            class Dynamic(object):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.default = None
                                    self.hysteresis = None
                                    self.weight = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight()
                                    self.weight.parent = self


                                class Hysteresis(object):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis']['meta_info']


                                class Weight(object):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.l2_factor = None
                                        self.latency = None
                                        self.resources = None
                                        self.throughput = None


                                    class L2Factor(object):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor']['meta_info']


                                    class Latency(object):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency']['meta_info']


                                    class Resources(object):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources']['meta_info']


                                    class Throughput(object):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.l2_factor is not None and self.l2_factor._has_data():
                                            return True

                                        if self.latency is not None and self.latency._has_data():
                                            return True

                                        if self.resources is not None and self.resources._has_data():
                                            return True

                                        if self.throughput is not None and self.throughput._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.default is not None:
                                        return True

                                    if self.hysteresis is not None and self.hysteresis._has_data():
                                        return True

                                    if self.weight is not None and self.weight._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None and self.dynamic._has_data():
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Cost']['meta_info']


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None
                                self.disable = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter']['meta_info']


                        class DemandCircuit(object):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None
                                self.ignore = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                if self.ignore is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.DemandCircuit']['meta_info']


                        class FloodReduction(object):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:flood-reduction'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.FloodReduction']['meta_info']


                        class Manet(object):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.peering = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering()
                                self.peering.parent = self


                            class Peering(object):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cost = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self.link_metrics = None


                                class Cost(object):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cost is not None and self.cost._has_data():
                                        return True

                                    if self.link_metrics is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet.Peering']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.peering is not None and self.peering._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Manet']['meta_info']


                        class MtuIgnore(object):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mtu-ignore'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.MtuIgnore']['meta_info']


                        class MultiArea(object):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cost = None
                                self.disable = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cost is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.MultiArea']['meta_info']


                        class Neighbor(object):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.cost = None
                                self.database_filter = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self.poll_interval = None
                                self.priority = None


                            class DatabaseFilter(object):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.all = None

                                class AllEnum(Enum):
                                    """
                                    AllEnum

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.all is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.cost is not None:
                                    return True

                                if self.database_filter is not None and self.database_filter._has_data():
                                    return True

                                if self.poll_interval is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Neighbor']['meta_info']


                        class Network(object):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.broadcast = None
                                self.manet = None
                                self.non_broadcast = None
                                self.point_to_multipoint = None
                                self.point_to_point = None


                            class PointToMultipoint(object):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.non_broadcast = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.non_broadcast is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.broadcast is not None:
                                    return True

                                if self.manet is not None:
                                    return True

                                if self.non_broadcast is not None:
                                    return True

                                if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                    return True

                                if self.point_to_point is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Network']['meta_info']


                        class PrefixSuppression(object):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression']['meta_info']


                        class Shutdown(object):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:shutdown'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4.Shutdown']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.area is not None:
                                for child_ref in self.area:
                                    if child_ref._has_data():
                                        return True

                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.bfd is not None and self.bfd._has_data():
                                return True

                            if self.cost is not None and self.cost._has_data():
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.dead_interval is not None:
                                return True

                            if self.demand_circuit is not None and self.demand_circuit._has_data():
                                return True

                            if self.flood_reduction is not None and self.flood_reduction._has_data():
                                return True

                            if self.hello_interval is not None:
                                return True

                            if self.manet is not None and self.manet._has_data():
                                return True

                            if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                                return True

                            if self.multi_area is not None and self.multi_area._has_data():
                                return True

                            if self.neighbor is not None:
                                for child_ref in self.neighbor:
                                    if child_ref._has_data():
                                        return True

                            if self.network is not None and self.network._has_data():
                                return True

                            if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                                return True

                            if self.priority is not None:
                                return True

                            if self.retransmit_interval is not None:
                                return True

                            if self.shutdown is not None and self.shutdown._has_data():
                                return True

                            if self.transmit_delay is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv4']['meta_info']


                    class Ipv6(object):
                        """
                        Specify parameters for IPv6
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.area = YList()
                            self.area.parent = self
                            self.area.name = 'area'
                            self.authentication = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Authentication()
                            self.authentication.parent = self
                            self.bfd = None
                            self.cost = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost()
                            self.cost.parent = self
                            self.database_filter = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter()
                            self.database_filter.parent = self
                            self.dead_interval = None
                            self.demand_circuit = None
                            self.flood_reduction = None
                            self.hello_interval = None
                            self.manet = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet()
                            self.manet.parent = self
                            self.mtu_ignore = None
                            self.multi_area = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.MultiArea()
                            self.multi_area.parent = self
                            self.neighbor = YList()
                            self.neighbor.parent = self
                            self.neighbor.name = 'neighbor'
                            self.network = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Network()
                            self.network.parent = self
                            self.prefix_suppression = None
                            self.priority = None
                            self.retransmit_interval = None
                            self.shutdown = None
                            self.transmit_delay = None


                        class Area(object):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\:  int
                            
                            	**range:** 0..31
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.instance = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.instance is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Area']['meta_info']


                        class Authentication(object):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\:  str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.null = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.null is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Authentication']['meta_info']


                        class Bfd(object):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Bfd']['meta_info']


                        class Cost(object):
                            """
                            Route cost of this interface
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.value = None


                            class Dynamic(object):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.default = None
                                    self.hysteresis = None
                                    self.weight = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight()
                                    self.weight.parent = self


                                class Hysteresis(object):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis']['meta_info']


                                class Weight(object):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.l2_factor = None
                                        self.latency = None
                                        self.resources = None
                                        self.throughput = None


                                    class L2Factor(object):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor']['meta_info']


                                    class Latency(object):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency']['meta_info']


                                    class Resources(object):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources']['meta_info']


                                    class Throughput(object):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.l2_factor is not None and self.l2_factor._has_data():
                                            return True

                                        if self.latency is not None and self.latency._has_data():
                                            return True

                                        if self.resources is not None and self.resources._has_data():
                                            return True

                                        if self.throughput is not None and self.throughput._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.default is not None:
                                        return True

                                    if self.hysteresis is not None and self.hysteresis._has_data():
                                        return True

                                    if self.weight is not None and self.weight._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None and self.dynamic._has_data():
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Cost']['meta_info']


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None
                                self.disable = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter']['meta_info']


                        class DemandCircuit(object):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None
                                self.ignore = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                if self.ignore is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.DemandCircuit']['meta_info']


                        class FloodReduction(object):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:flood-reduction'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.FloodReduction']['meta_info']


                        class Manet(object):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.peering = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering()
                                self.peering.parent = self


                            class Peering(object):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cost = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self.link_metrics = None


                                class Cost(object):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cost is not None and self.cost._has_data():
                                        return True

                                    if self.link_metrics is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet.Peering']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.peering is not None and self.peering._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Manet']['meta_info']


                        class MtuIgnore(object):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mtu-ignore'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.MtuIgnore']['meta_info']


                        class MultiArea(object):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cost = None
                                self.disable = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cost is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.MultiArea']['meta_info']


                        class Neighbor(object):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.cost = None
                                self.database_filter = Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self.poll_interval = None
                                self.priority = None


                            class DatabaseFilter(object):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.all = None

                                class AllEnum(Enum):
                                    """
                                    AllEnum

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.all is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.cost is not None:
                                    return True

                                if self.database_filter is not None and self.database_filter._has_data():
                                    return True

                                if self.poll_interval is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Neighbor']['meta_info']


                        class Network(object):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.broadcast = None
                                self.manet = None
                                self.non_broadcast = None
                                self.point_to_multipoint = None
                                self.point_to_point = None


                            class PointToMultipoint(object):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.non_broadcast = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.non_broadcast is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.broadcast is not None:
                                    return True

                                if self.manet is not None:
                                    return True

                                if self.non_broadcast is not None:
                                    return True

                                if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                    return True

                                if self.point_to_point is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Network']['meta_info']


                        class PrefixSuppression(object):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression']['meta_info']


                        class Shutdown(object):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:shutdown'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6.Shutdown']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.area is not None:
                                for child_ref in self.area:
                                    if child_ref._has_data():
                                        return True

                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.bfd is not None and self.bfd._has_data():
                                return True

                            if self.cost is not None and self.cost._has_data():
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.dead_interval is not None:
                                return True

                            if self.demand_circuit is not None and self.demand_circuit._has_data():
                                return True

                            if self.flood_reduction is not None and self.flood_reduction._has_data():
                                return True

                            if self.hello_interval is not None:
                                return True

                            if self.manet is not None and self.manet._has_data():
                                return True

                            if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                                return True

                            if self.multi_area is not None and self.multi_area._has_data():
                                return True

                            if self.neighbor is not None:
                                for child_ref in self.neighbor:
                                    if child_ref._has_data():
                                        return True

                            if self.network is not None and self.network._has_data():
                                return True

                            if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                                return True

                            if self.priority is not None:
                                return True

                            if self.retransmit_interval is not None:
                                return True

                            if self.shutdown is not None and self.shutdown._has_data():
                                return True

                            if self.transmit_delay is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId.Ipv6']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:process-id[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        if self.cost is not None and self.cost._has_data():
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.dead_interval is not None:
                            return True

                        if self.demand_circuit is not None and self.demand_circuit._has_data():
                            return True

                        if self.flood_reduction is not None and self.flood_reduction._has_data():
                            return True

                        if self.hello_interval is not None:
                            return True

                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        if self.manet is not None and self.manet._has_data():
                            return True

                        if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                            return True

                        if self.multi_area is not None and self.multi_area._has_data():
                            return True

                        if self.neighbor is not None:
                            for child_ref in self.neighbor:
                                if child_ref._has_data():
                                    return True

                        if self.network is not None and self.network._has_data():
                            return True

                        if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.retransmit_interval is not None:
                            return True

                        if self.shutdown is not None and self.shutdown._has_data():
                            return True

                        if self.transmit_delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.ProcessId']['meta_info']


                class Authentication(object):
                    """
                    Enable authentication
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec authentication
                    	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec>`
                    
                    .. attribute:: key_chain
                    
                    	Use a key\-chain for cryptographic authentication keys
                    	**type**\:  str
                    
                    .. attribute:: null
                    
                    	Use no authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipsec = Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec()
                        self.ipsec.parent = self
                        self.key_chain = None
                        self.null = None


                    class Ipsec(object):
                        """
                        Use IPsec authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Md5>`
                        
                        .. attribute:: sha1
                        
                        	Use SHA\-1 authentication
                        	**type**\:   :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Sha1>`
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\:  int
                        
                        	**range:** 256..4294967295
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Md5()
                            self.md5.parent = self
                            self.sha1 = Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Sha1()
                            self.sha1.parent = self
                            self.spi = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_string = Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Md5']['meta_info']


                        class Sha1(object):
                            """
                            Use SHA\-1 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_string = Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:sha1'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec.Sha1']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipsec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.sha1 is not None and self.sha1._has_data():
                                return True

                            if self.spi is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Authentication.Ipsec']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipsec is not None and self.ipsec._has_data():
                            return True

                        if self.key_chain is not None:
                            return True

                        if self.null is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Authentication']['meta_info']


                class Bfd(object):
                    """
                    Enable BFD on this interface
                    
                    .. attribute:: disable
                    
                    	Disable BFD on this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Bfd']['meta_info']


                class Cost(object):
                    """
                    Route cost of this interface
                    
                    .. attribute:: dynamic
                    
                    	Specify dynamic cost options
                    	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dynamic = None
                        self.value = None


                    class Dynamic(object):
                        """
                        Specify dynamic cost options
                        
                        .. attribute:: default
                        
                        	Specify default link metric value
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: hysteresis
                        
                        	Specify hysteresis value for LSA dampening
                        	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Hysteresis>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: weight
                        
                        	Specify weight to be placed on individual metrics
                        	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None
                            self.hysteresis = None
                            self.weight = Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight()
                            self.weight.parent = self


                        class Hysteresis(object):
                            """
                            Specify hysteresis value for LSA dampening
                            
                            .. attribute:: percent
                            
                            	Specify hysteresis percent changed
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold
                            
                            	Specify hysteresis threshold value
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.percent = None
                                self.threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.percent is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Hysteresis']['meta_info']


                        class Weight(object):
                            """
                            Specify weight to be placed on individual metrics
                            
                            .. attribute:: l2_factor
                            
                            	Specify weight to be given to L2\-factor metric
                            	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.L2Factor>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: latency
                            
                            	Specify weight to be given to latency metric
                            	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.Latency>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: resources
                            
                            	Specify weight to be given to resources metric
                            	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.Resources>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: throughput
                            
                            	Specify weight to be given to throughput metric
                            	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.Throughput>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.l2_factor = None
                                self.latency = None
                                self.resources = None
                                self.throughput = None


                            class L2Factor(object):
                                """
                                Specify weight to be given to L2\-factor metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.L2Factor']['meta_info']


                            class Latency(object):
                                """
                                Specify weight to be given to latency metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.Latency']['meta_info']


                            class Resources(object):
                                """
                                Specify weight to be given to resources metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.Resources']['meta_info']


                            class Throughput(object):
                                """
                                Specify weight to be given to throughput metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight.Throughput']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.l2_factor is not None and self.l2_factor._has_data():
                                    return True

                                if self.latency is not None and self.latency._has_data():
                                    return True

                                if self.resources is not None and self.resources._has_data():
                                    return True

                                if self.throughput is not None and self.throughput._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic.Weight']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            if self.hysteresis is not None and self.hysteresis._has_data():
                                return True

                            if self.weight is not None and self.weight._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost.Dynamic']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dynamic is not None and self.dynamic._has_data():
                            return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Cost']['meta_info']


                class DatabaseFilter(object):
                    """
                    Filter OSPF LSA during synchronization and flooding
                    
                    .. attribute:: all
                    
                    	Filter all LSA
                    	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.DatabaseFilter.AllEnum>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.all = None

                    class AllEnum(Enum):
                        """
                        AllEnum

                        Filter all LSA

                        .. data:: out = 0

                        """

                        out = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.DatabaseFilter.AllEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.all is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.DatabaseFilter']['meta_info']


                class DemandCircuit(object):
                    """
                    OSPF Demand Circuit
                    
                    .. attribute:: ignore
                    
                    	Ignore demand circuit auto\-negotiation requests
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ignore = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ignore is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.DemandCircuit']['meta_info']


                class Encryption(object):
                    """
                    Enable encryption
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec encryption
                    	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec>`
                    
                    .. attribute:: null
                    
                    	No IPsec encryption on this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipsec = Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec()
                        self.ipsec.parent = self
                        self.null = None


                    class Ipsec(object):
                        """
                        Use IPsec encryption
                        
                        .. attribute:: aes_cbc
                        
                        	Use AES\-CBC encryption
                        	**type**\:   :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc>`
                        
                        .. attribute:: esp
                        
                        	Use ESP encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec_3des
                        
                        	Use 3DES encryption
                        	**type**\:   :py:class:`Ipsec_3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des>`
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.aes_cbc = Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc()
                            self.aes_cbc.parent = self
                            self.esp = None
                            self.ipsec_3des = Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des()
                            self.ipsec_3des.parent = self
                            self.spi = None


                        class Ipsec_3Des(object):
                            """
                            Use 3DES encryption
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_string = Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipsec_3des'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.Ipsec_3Des']['meta_info']


                        class AesCbc(object):
                            """
                            Use AES\-CBC encryption
                            
                            .. attribute:: aes_192
                            
                            	Use 192 bit key
                            	**type**\:   :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192>`
                            
                            .. attribute:: aes_256
                            
                            	Use 256 bit key
                            	**type**\:   :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256>`
                            
                            .. attribute:: aes_cbc_128
                            
                            	Use 128 bit key
                            	**type**\:   :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aes_192 = Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192()
                                self.aes_192.parent = self
                                self.aes_256 = Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256()
                                self.aes_256.parent = self
                                self.aes_cbc_128 = Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128()
                                self.aes_cbc_128.parent = self


                            class AesCbc128(object):
                                """
                                Use 128 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-cbc-128'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']


                            class Aes192(object):
                                """
                                Use 192 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-192'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192']['meta_info']


                            class Aes256(object):
                                """
                                Use 256 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-256'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-cbc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aes_192 is not None and self.aes_192._has_data():
                                    return True

                                if self.aes_256 is not None and self.aes_256._has_data():
                                    return True

                                if self.aes_cbc_128 is not None and self.aes_cbc_128._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipsec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.aes_cbc is not None and self.aes_cbc._has_data():
                                return True

                            if self.esp is not None:
                                return True

                            if self.ipsec_3des is not None and self.ipsec_3des._has_data():
                                return True

                            if self.spi is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption.Ipsec']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:encryption'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipsec is not None and self.ipsec._has_data():
                            return True

                        if self.null is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Encryption']['meta_info']


                class Manet(object):
                    """
                    Mobile Adhoc Networking options
                    
                    .. attribute:: peering
                    
                    	MANET Peering options
                    	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Manet.Peering>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.peering = Native.Interface.Tengigabitethernet.Ospfv3.Manet.Peering()
                        self.peering.parent = self


                    class Peering(object):
                        """
                        MANET Peering options
                        
                        .. attribute:: cost
                        
                        	Redundant path cost improvement required to peer
                        	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Manet.Peering.Cost>`
                        
                        .. attribute:: link_metrics
                        
                        	Require link metrics
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cost = Native.Interface.Tengigabitethernet.Ospfv3.Manet.Peering.Cost()
                            self.cost.parent = self
                            self.link_metrics = None


                        class Cost(object):
                            """
                            Redundant path cost improvement required to peer
                            
                            .. attribute:: percent
                            
                            	Relative incremental path cost
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            .. attribute:: threshold
                            
                            	Absolute incremental path cost
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.percent = None
                                self.threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.percent is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Manet.Peering.Cost']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cost is not None and self.cost._has_data():
                                return True

                            if self.link_metrics is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Manet.Peering']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.peering is not None and self.peering._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Manet']['meta_info']


                class MultiArea(object):
                    """
                    Set the OSPF multi\-area ID
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cost = None
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cost is not None:
                            return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.MultiArea']['meta_info']


                class Neighbor(object):
                    """
                    OSPF neighbor
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	OSPF cost for point\-to\-multipoint neighbor
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Neighbor.DatabaseFilter>`
                    
                    .. attribute:: poll_interval
                    
                    	OSPF dead\-router polling interval
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: priority
                    
                    	OSPF priority of non\-broadcast neighbor
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.cost = None
                        self.database_filter = Native.Interface.Tengigabitethernet.Ospfv3.Neighbor.DatabaseFilter()
                        self.database_filter.parent = self
                        self.poll_interval = None
                        self.priority = None


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Neighbor.DatabaseFilter.AllEnum>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None

                        class AllEnum(Enum):
                            """
                            AllEnum

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Neighbor.DatabaseFilter.AllEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Neighbor.DatabaseFilter']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.cost is not None:
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.poll_interval is not None:
                            return True

                        if self.priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Neighbor']['meta_info']


                class Network(object):
                    """
                    Network type
                    
                    .. attribute:: broadcast
                    
                    	Specify OSPF broadcast multi\-access network
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: manet
                    
                    	Specify MANET OSPF interface type
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: non_broadcast
                    
                    	Specify OSPF NBMA network
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: point_to_multipoint
                    
                    	Specify OSPF point\-to\-multipoint network
                    	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Ospfv3.Network.PointToMultipoint>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: point_to_point
                    
                    	Specify OSPF point\-to\-point network
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.broadcast = None
                        self.manet = None
                        self.non_broadcast = None
                        self.point_to_multipoint = None
                        self.point_to_point = None


                    class PointToMultipoint(object):
                        """
                        Specify OSPF point\-to\-multipoint network
                        
                        .. attribute:: non_broadcast
                        
                        	Specify non\-broadcast point\-to\-mpoint network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.non_broadcast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.non_broadcast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Network.PointToMultipoint']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.broadcast is not None:
                            return True

                        if self.manet is not None:
                            return True

                        if self.non_broadcast is not None:
                            return True

                        if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                            return True

                        if self.point_to_point is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.Network']['meta_info']


                class PrefixSuppression(object):
                    """
                    OSPF prefix suppression
                    
                    .. attribute:: disable
                    
                    	Disable prefix suppression
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3.PrefixSuppression']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospfv3'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.bfd is not None and self.bfd._has_data():
                        return True

                    if self.cost is not None and self.cost._has_data():
                        return True

                    if self.database_filter is not None and self.database_filter._has_data():
                        return True

                    if self.dead_interval is not None:
                        return True

                    if self.demand_circuit is not None and self.demand_circuit._has_data():
                        return True

                    if self.encryption is not None and self.encryption._has_data():
                        return True

                    if self.flood_reduction is not None:
                        return True

                    if self.hello_interval is not None:
                        return True

                    if self.manet is not None and self.manet._has_data():
                        return True

                    if self.mtu_ignore is not None:
                        return True

                    if self.multi_area is not None and self.multi_area._has_data():
                        return True

                    if self.neighbor is not None:
                        for child_ref in self.neighbor:
                            if child_ref._has_data():
                                return True

                    if self.network is not None and self.network._has_data():
                        return True

                    if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                        return True

                    if self.priority is not None:
                        return True

                    if self.process_id is not None:
                        for child_ref in self.process_id:
                            if child_ref._has_data():
                                return True

                    if self.retransmit_interval is not None:
                        return True

                    if self.shutdown is not None:
                        return True

                    if self.transmit_delay is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Ospfv3']['meta_info']


            class Power(object):
                """
                
                
                .. attribute:: inline
                
                	
                	**type**\:   :py:class:`Inline <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Power.Inline>`
                
                

                """

                _prefix = 'ios-power'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inline = Native.Interface.Tengigabitethernet.Power.Inline()
                    self.inline.parent = self


                class Inline(object):
                    """
                    
                    
                    .. attribute:: auto
                    
                    	Automatically detect and power inline devices
                    	**type**\:   :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Power.Inline.Auto>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: consumption
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 4000..15400
                    
                    .. attribute:: four_pair
                    
                    	Four\-pair PoE power
                    	**type**\:   :py:class:`FourPair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Power.Inline.FourPair>`
                    
                    .. attribute:: never
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: police
                    
                    	Police the power drawn on the port
                    	**type**\:   :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Power.Inline.Police>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: port
                    
                    	Configure Port Power Level
                    	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Power.Inline.Port>`
                    
                    .. attribute:: static
                    
                    	High priority inline power interface
                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Power.Inline.Static>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-power'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None
                        self.consumption = None
                        self.four_pair = Native.Interface.Tengigabitethernet.Power.Inline.FourPair()
                        self.four_pair.parent = self
                        self.never = None
                        self.police = None
                        self.port = Native.Interface.Tengigabitethernet.Power.Inline.Port()
                        self.port.parent = self
                        self.static = None


                    class Auto(object):
                        """
                        Automatically detect and power inline devices
                        
                        .. attribute:: max
                        
                        	Maximum power allowed on this interface
                        	**type**\:  int
                        
                        	**range:** 4000..30000
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.max = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-power:auto'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.max is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Power.Inline.Auto']['meta_info']


                    class FourPair(object):
                        """
                        Four\-pair PoE power
                        
                        .. attribute:: forced
                        
                        	Enable Four\-pair PoE without L2 negotiation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forced = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-power:four-pair'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forced is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Power.Inline.FourPair']['meta_info']


                    class Police(object):
                        """
                        Police the power drawn on the port
                        
                        .. attribute:: action
                        
                        	Action to be taken when power is overdrawn on the port
                        	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Power.Inline.Police.Action>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.action = Native.Interface.Tengigabitethernet.Power.Inline.Police.Action()
                            self.action.parent = self


                        class Action(object):
                            """
                            Action to be taken when power is overdrawn on the port
                            
                            .. attribute:: errdisable
                            
                            	Error\-disable the port when power is overdrawn on the port
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: log
                            
                            	Log a message when power is overdrawn on the port
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-power'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.errdisable = None
                                self.log = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-power:action'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.errdisable is not None:
                                    return True

                                if self.log is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Power.Inline.Police.Action']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-power:police'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.action is not None and self.action._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Power.Inline.Police']['meta_info']


                    class Port(object):
                        """
                        Configure Port Power Level
                        
                        .. attribute:: poe_ha
                        
                        	Apply poe\-ha to the port
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: two_event
                        
                        	Enable 2\-event classification
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.poe_ha = None
                            self.two_event = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-power:port'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.poe_ha is not None:
                                return True

                            if self.two_event is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Power.Inline.Port']['meta_info']


                    class Static(object):
                        """
                        High priority inline power interface
                        
                        .. attribute:: max
                        
                        	Maximum power allowed on this interface
                        	**type**\:  int
                        
                        	**range:** 4000..30000
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.max = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-power:static'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.max is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Power.Inline.Static']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-power:inline'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None and self.auto._has_data():
                            return True

                        if self.consumption is not None:
                            return True

                        if self.four_pair is not None and self.four_pair._has_data():
                            return True

                        if self.never is not None:
                            return True

                        if self.police is not None and self.police._has_data():
                            return True

                        if self.port is not None and self.port._has_data():
                            return True

                        if self.static is not None and self.static._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Power.Inline']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-power:power'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inline is not None and self.inline._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Power']['meta_info']


            class Authentication(object):
                """
                Auth Manager Interface Configuration Commands
                
                .. attribute:: control_direction
                
                	Set the control\-direction on the interface
                	**type**\:   :py:class:`ControlDirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.ControlDirectionEnum>`
                
                .. attribute:: event
                
                	Set action for authentication events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.Event>`
                
                .. attribute:: fallback
                
                	Enable the Webauth fallback mechanism
                	**type**\:  str
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.HostModeEnum>`
                
                .. attribute:: open
                
                	Enable or Disable open access on this port
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: order
                
                	Add an authentication method to the order list
                	**type**\:   :py:class:`Order <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.Order>`
                
                .. attribute:: periodic
                
                	Enable or Disable Reauthentication for this port
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	set the port\-control value
                	**type**\:   :py:class:`PortControlEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.PortControlEnum>`
                
                .. attribute:: priority
                
                	Add an authentication method to the priority list
                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.Priority>`
                
                .. attribute:: timer
                
                	Set authentication timer values
                	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.Timer>`
                
                .. attribute:: violation
                
                	Configure action to take on security violations
                	**type**\:   :py:class:`ViolationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.ViolationEnum>`
                
                

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.control_direction = None
                    self.event = Native.Interface.Tengigabitethernet.Authentication.Event()
                    self.event.parent = self
                    self.fallback = None
                    self.host_mode = None
                    self.open = None
                    self.order = Native.Interface.Tengigabitethernet.Authentication.Order()
                    self.order.parent = self
                    self.periodic = None
                    self.port_control = None
                    self.priority = Native.Interface.Tengigabitethernet.Authentication.Priority()
                    self.priority.parent = self
                    self.timer = Native.Interface.Tengigabitethernet.Authentication.Timer()
                    self.timer.parent = self
                    self.violation = None

                class ControlDirectionEnum(Enum):
                    """
                    ControlDirectionEnum

                    Set the control\-direction on the interface

                    .. data:: both = 0

                    .. data:: in_ = 1

                    """

                    both = 0

                    in_ = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.ControlDirectionEnum']


                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.HostModeEnum']


                class PortControlEnum(Enum):
                    """
                    PortControlEnum

                    set the port\-control value

                    .. data:: auto = 0

                    .. data:: force_authorized = 1

                    .. data:: force_unauthorized = 2

                    """

                    auto = 0

                    force_authorized = 1

                    force_unauthorized = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.PortControlEnum']


                class ViolationEnum(Enum):
                    """
                    ViolationEnum

                    Configure action to take on security violations

                    .. data:: protect = 0

                    .. data:: replace = 1

                    .. data:: restrict = 2

                    .. data:: shutdown = 3

                    """

                    protect = 0

                    replace = 1

                    restrict = 2

                    shutdown = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.ViolationEnum']



                class Event(object):
                    """
                    Set action for authentication events
                    
                    .. attribute:: fail
                    
                    	Configure actions for AAA fail events
                    	**type**\:   :py:class:`Fail <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.Event.Fail>`
                    
                    .. attribute:: no_response
                    
                    	Configure actions for AAA no\-response events
                    	**type**\:   :py:class:`NoResponse <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse>`
                    
                    .. attribute:: server
                    
                    	Configure actions for AAA server events
                    	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.Event.Server>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.fail = Native.Interface.Tengigabitethernet.Authentication.Event.Fail()
                        self.fail.parent = self
                        self.no_response = Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse()
                        self.no_response.parent = self
                        self.server = Native.Interface.Tengigabitethernet.Authentication.Event.Server()
                        self.server.parent = self


                    class Server(object):
                        """
                        Configure actions for AAA server events
                        
                        .. attribute:: alive
                        
                        	Configure AAA server alive action
                        	**type**\:   :py:class:`Alive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.Event.Server.Alive>`
                        
                        .. attribute:: dead
                        
                        	Configure AAA server dead action
                        	**type**\:   :py:class:`Dead <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.alive = Native.Interface.Tengigabitethernet.Authentication.Event.Server.Alive()
                            self.alive.parent = self
                            self.dead = Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead()
                            self.dead.parent = self


                        class Alive(object):
                            """
                            Configure AAA server alive action
                            
                            .. attribute:: action
                            
                            	Required action for authentication event
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.Event.Server.Alive.Action>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.Tengigabitethernet.Authentication.Event.Server.Alive.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Required action for authentication event
                                
                                .. attribute:: reinitialize
                                
                                	Reinitialize all authorized clients
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.reinitialize = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.reinitialize is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Server.Alive.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:alive'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Server.Alive']['meta_info']


                        class Dead(object):
                            """
                            Configure AAA server dead action
                            
                            .. attribute:: action
                            
                            	Required action for authentication event
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Required action for authentication event
                                
                                .. attribute:: authorize
                                
                                	Authorize the port
                                	**type**\:   :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action.Authorize>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: reinitialize
                                
                                	Reinitialize all client on the port
                                	**type**\:   :py:class:`Reinitialize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action.Reinitialize>`
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.authorize = None
                                    self.reinitialize = Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action.Reinitialize()
                                    self.reinitialize.parent = self


                                class Authorize(object):
                                    """
                                    Authorize the port
                                    
                                    .. attribute:: vlan
                                    
                                    	Configure Critical Authorization VLAN
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: voice
                                    
                                    	Authorize the port for VOICE traffic
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sanet'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.vlan = None
                                        self.voice = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:authorize'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.vlan is not None:
                                            return True

                                        if self.voice is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action.Authorize']['meta_info']


                                class Reinitialize(object):
                                    """
                                    Reinitialize all client on the port
                                    
                                    .. attribute:: vlan
                                    
                                    	Configure Critical Authorization VLAN
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-sanet'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.vlan = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:reinitialize'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.vlan is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action.Reinitialize']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.authorize is not None and self.authorize._has_data():
                                        return True

                                    if self.reinitialize is not None and self.reinitialize._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:dead'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Server.Dead']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sanet:server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.alive is not None and self.alive._has_data():
                                return True

                            if self.dead is not None and self.dead._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Server']['meta_info']


                    class Fail(object):
                        """
                        Configure actions for AAA fail events
                        
                        .. attribute:: action
                        
                        	Required action for fail event
                        	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.Event.Fail.Action>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.action = Native.Interface.Tengigabitethernet.Authentication.Event.Fail.Action()
                            self.action.parent = self


                        class Action(object):
                            """
                            Required action for fail event
                            
                            .. attribute:: authorize
                            
                            	Reinitialize all authorized clients
                            	**type**\:   :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.Event.Fail.Action.Authorize>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authorize = Native.Interface.Tengigabitethernet.Authentication.Event.Fail.Action.Authorize()
                                self.authorize.parent = self


                            class Authorize(object):
                                """
                                Reinitialize all authorized clients
                                
                                .. attribute:: vlan
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.vlan = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:authorize'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Fail.Action.Authorize']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:action'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authorize is not None and self.authorize._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Fail.Action']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sanet:fail'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.action is not None and self.action._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.Fail']['meta_info']


                    class NoResponse(object):
                        """
                        Configure actions for AAA no\-response events
                        
                        .. attribute:: action
                        
                        	Required action for no\-response event
                        	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse.Action>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.action = Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse.Action()
                            self.action.parent = self


                        class Action(object):
                            """
                            Required action for no\-response event
                            
                            .. attribute:: authorize
                            
                            	Reinitialize all authorized clients
                            	**type**\:   :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse.Action.Authorize>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authorize = Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse.Action.Authorize()
                                self.authorize.parent = self


                            class Authorize(object):
                                """
                                Reinitialize all authorized clients
                                
                                .. attribute:: vlan
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.vlan = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:authorize'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse.Action.Authorize']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:action'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authorize is not None and self.authorize._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse.Action']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sanet:no-response'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.action is not None and self.action._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.Event.NoResponse']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.fail is not None and self.fail._has_data():
                            return True

                        if self.no_response is not None and self.no_response._has_data():
                            return True

                        if self.server is not None and self.server._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.Event']['meta_info']


                class Order(object):
                    """
                    Add an authentication method to the order list
                    
                    .. attribute:: dot1x
                    
                    	Authentication method dot1x allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mab
                    
                    	Authentication method mab allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: webauth
                    
                    	Authentication method webauth allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dot1x = None
                        self.mab = None
                        self.webauth = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:order'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dot1x is not None:
                            return True

                        if self.mab is not None:
                            return True

                        if self.webauth is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.Order']['meta_info']


                class Priority(object):
                    """
                    Add an authentication method to the priority list
                    
                    .. attribute:: dot1x
                    
                    	Authentication method dot1x allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mab
                    
                    	Authentication method mab allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: webauth
                    
                    	Authentication method webauth allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dot1x = None
                        self.mab = None
                        self.webauth = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:priority'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dot1x is not None:
                            return True

                        if self.mab is not None:
                            return True

                        if self.webauth is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.Priority']['meta_info']


                class Timer(object):
                    """
                    Set authentication timer values
                    
                    .. attribute:: inactivity
                    
                    	Interval in seconds after which if there is no activity fromthe client then it will be unauthorized (default OFF)
                    	**type**\:   :py:class:`Inactivity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity>`
                    
                    .. attribute:: reauthenticate
                    
                    	Time in seconds after which an automatic re\-authenticationshould be initiated (default 1 hour)
                    	**type**\:   :py:class:`Reauthenticate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.Timer.Reauthenticate>`
                    
                    .. attribute:: restart
                    
                    	Interval in seconds after which an attempt should be made toauthenticate an unauthorized port (default 60 sec)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inactivity = Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity()
                        self.inactivity.parent = self
                        self.reauthenticate = Native.Interface.Tengigabitethernet.Authentication.Timer.Reauthenticate()
                        self.reauthenticate.parent = self
                        self.restart = None


                    class Reauthenticate(object):
                        """
                        Time in seconds after which an automatic re\-authenticationshould be initiated (default 1 hour)
                        
                        .. attribute:: server
                        
                        	Obtain re\-authentication timeout value from the server
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.server = None
                            self.value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sanet:reauthenticate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.server is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.Timer.Reauthenticate']['meta_info']


                    class Inactivity(object):
                        """
                        Interval in seconds after which if there is no activity fromthe client then it will be unauthorized (default OFF)
                        
                        .. attribute:: server
                        
                        	Obtain inactivity timeout value from the server
                        	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity.Server>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:   :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity.Value>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.server = None
                            self.value = Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity.Value()
                            self.value.parent = self


                        class Value(object):
                            """
                            
                            
                            .. attribute:: dynamic
                            
                            	Initiate a dynamic probe on inactivity timeout
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:value'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None:
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity.Value']['meta_info']


                        class Server(object):
                            """
                            Obtain inactivity timeout value from the server
                            
                            .. attribute:: dynamic
                            
                            	Initiate a dynamic probe on inactivity timeout
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.dynamic = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.dynamic is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity.Server']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sanet:inactivity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.server is not None and self.server._has_data():
                                return True

                            if self.value is not None and self.value._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.Timer.Inactivity']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:timer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inactivity is not None and self.inactivity._has_data():
                            return True

                        if self.reauthenticate is not None and self.reauthenticate._has_data():
                            return True

                        if self.restart is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication.Timer']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:authentication'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.control_direction is not None:
                        return True

                    if self.event is not None and self.event._has_data():
                        return True

                    if self.fallback is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.open is not None:
                        return True

                    if self.order is not None and self.order._has_data():
                        return True

                    if self.periodic is not None:
                        return True

                    if self.port_control is not None:
                        return True

                    if self.priority is not None and self.priority._has_data():
                        return True

                    if self.timer is not None and self.timer._has_data():
                        return True

                    if self.violation is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Authentication']['meta_info']


            class Mab(object):
                """
                
                
                .. attribute:: eap
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.eap = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:mab'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.eap is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Mab']['meta_info']


            class SpanningTree(object):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpdufilter
                
                	Don't send or receive BPDUs on this interface
                	**type**\:   :py:class:`BpdufilterEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.SpanningTree.BpdufilterEnum>`
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:   :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.SpanningTree.Bpduguard>`
                
                .. attribute:: cost
                
                	To set the path cost of the interface
                	**type**\:  int
                
                	**range:** 1..200000000
                
                .. attribute:: guard
                
                	Change an interface's spanning tree guard mode
                	**type**\:   :py:class:`GuardEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.SpanningTree.GuardEnum>`
                
                .. attribute:: link_type
                
                	Specify a link type for spanning tree tree protocol use
                	**type**\:   :py:class:`LinkTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.SpanningTree.LinkTypeEnum>`
                
                .. attribute:: loopguard
                
                	Spanning tree loopguard options
                	**type**\:   :py:class:`Loopguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.SpanningTree.Loopguard>`
                
                .. attribute:: mst
                
                	Per interface MST configurations
                	**type**\:   :py:class:`Mst <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.SpanningTree.Mst>`
                
                .. attribute:: port_priority
                
                	Spanning tree port\-priority options
                	**type**\:  int
                
                	**range:** 0..240
                
                .. attribute:: portfast
                
                	Spanning tree portfast options
                	**type**\:   :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.SpanningTree.Portfast>`
                
                	**presence node**\: True
                
                .. attribute:: vlan
                
                	VLAN Switch Spanning Tree
                	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.SpanningTree.Vlan>`
                
                

                """

                _prefix = 'ios-stp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bpdufilter = None
                    self.bpduguard = Native.Interface.Tengigabitethernet.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self.cost = None
                    self.guard = None
                    self.link_type = None
                    self.loopguard = Native.Interface.Tengigabitethernet.SpanningTree.Loopguard()
                    self.loopguard.parent = self
                    self.mst = Native.Interface.Tengigabitethernet.SpanningTree.Mst()
                    self.mst.parent = self
                    self.port_priority = None
                    self.portfast = None
                    self.vlan = Native.Interface.Tengigabitethernet.SpanningTree.Vlan()
                    self.vlan.parent = self

                class BpdufilterEnum(Enum):
                    """
                    BpdufilterEnum

                    Don't send or receive BPDUs on this interface

                    .. data:: disable = 0

                    .. data:: enable = 1

                    """

                    disable = 0

                    enable = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.SpanningTree.BpdufilterEnum']


                class GuardEnum(Enum):
                    """
                    GuardEnum

                    Change an interface's spanning tree guard mode

                    .. data:: loop = 0

                    .. data:: none = 1

                    .. data:: root = 2

                    """

                    loop = 0

                    none = 1

                    root = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.SpanningTree.GuardEnum']


                class LinkTypeEnum(Enum):
                    """
                    LinkTypeEnum

                    Specify a link type for spanning tree tree protocol use

                    .. data:: auto = 0

                    .. data:: none = 1

                    .. data:: point_to_point = 2

                    .. data:: root = 3

                    .. data:: shared = 4

                    """

                    auto = 0

                    none = 1

                    point_to_point = 2

                    root = 3

                    shared = 4


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.SpanningTree.LinkTypeEnum']



                class Bpduguard(object):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: disable
                    
                    	Disable BPDU guard for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.disable = None
                        self.enable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:bpduguard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.disable is not None:
                            return True

                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.SpanningTree.Bpduguard']['meta_info']


                class Portfast(object):
                    """
                    Spanning tree portfast options
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk
                    
                    	Enable portfast on the interface even in trunk mode
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None
                        self.edge = None
                        self.trunk = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:portfast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        if self.edge is not None:
                            return True

                        if self.trunk is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.SpanningTree.Portfast']['meta_info']


                class Vlan(object):
                    """
                    VLAN Switch Spanning Tree
                    
                    .. attribute:: cost
                    
                    	<1\-200000000> Spanning\-tree cost
                    	**type**\:  int
                    
                    	**range:** 1..200000000
                    
                    .. attribute:: port_priority
                    
                    	<0\-240> port priority in increments of 16
                    	**type**\:  int
                    
                    	**range:** 0..240
                    
                    .. attribute:: vlan_ids
                    
                    	vlan range, example\: 1,3\-5,7,9\-11
                    	**type**\: one of the below types:
                    
                    	**type**\:  list of int
                    
                    	**range:** 1..4095
                    
                    
                    ----
                    	**type**\:  list of str
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cost = None
                        self.port_priority = None
                        self.vlan_ids = YLeafList()
                        self.vlan_ids.parent = self
                        self.vlan_ids.name = 'vlan_ids'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:vlan'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cost is not None:
                            return True

                        if self.port_priority is not None:
                            return True

                        if self.vlan_ids is not None:
                            for child in self.vlan_ids:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.SpanningTree.Vlan']['meta_info']


                class Loopguard(object):
                    """
                    Spanning tree loopguard options
                    
                    .. attribute:: default
                    
                    	Enable loopguard by default on all ports
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.default = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:loopguard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.default is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.SpanningTree.Loopguard']['meta_info']


                class Mst(object):
                    """
                    Per interface MST configurations
                    
                    .. attribute:: cost
                    
                    	<1\-200000000> Spanning\-tree cost
                    	**type**\:  int
                    
                    	**range:** 1..200000000
                    
                    .. attribute:: instance
                    
                    	MST instance list, example 0,2\-4,6,8\-12
                    	**type**\:  str
                    
                    .. attribute:: port_priority
                    
                    	<0\-240> port priority in increments of 16
                    	**type**\:  int
                    
                    	**range:** 0..240
                    
                    .. attribute:: pre_standard
                    
                    	Force pre\-standard MST BPDU transmission on port
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cost = None
                        self.instance = None
                        self.port_priority = None
                        self.pre_standard = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:mst'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cost is not None:
                            return True

                        if self.instance is not None:
                            return True

                        if self.port_priority is not None:
                            return True

                        if self.pre_standard is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.SpanningTree.Mst']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:spanning-tree'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bpdufilter is not None:
                        return True

                    if self.bpduguard is not None and self.bpduguard._has_data():
                        return True

                    if self.cost is not None:
                        return True

                    if self.guard is not None:
                        return True

                    if self.link_type is not None:
                        return True

                    if self.loopguard is not None and self.loopguard._has_data():
                        return True

                    if self.mst is not None and self.mst._has_data():
                        return True

                    if self.port_priority is not None:
                        return True

                    if self.portfast is not None and self.portfast._has_data():
                        return True

                    if self.vlan is not None and self.vlan._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.SpanningTree']['meta_info']


            class Auto(object):
                """
                Configure Automation
                
                .. attribute:: qos
                
                	Configure AutoQoS
                	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Auto.Qos>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.qos = Native.Interface.Tengigabitethernet.Auto.Qos()
                    self.qos.parent = self


                class Qos(object):
                    """
                    Configure AutoQoS
                    
                    .. attribute:: classify
                    
                    	Configure classification for untrusted devices
                    	**type**\:   :py:class:`Classify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Auto.Qos.Classify>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trust
                    
                    	Trust the DSCP/CoS marking
                    	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Auto.Qos.Trust>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: video
                    
                    	Configure AutoQoS for video devices
                    	**type**\:   :py:class:`Video <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Auto.Qos.Video>`
                    
                    .. attribute:: voip
                    
                    	Configure AutoQoS for VoIP
                    	**type**\:   :py:class:`Voip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Auto.Qos.Voip>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.classify = None
                        self.trust = None
                        self.video = Native.Interface.Tengigabitethernet.Auto.Qos.Video()
                        self.video.parent = self
                        self.voip = None


                    class Classify(object):
                        """
                        Configure classification for untrusted devices
                        
                        .. attribute:: police
                        
                        	Configure QoS policing for untrusted devices
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.police = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:classify'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.police is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Auto.Qos.Classify']['meta_info']


                    class Trust(object):
                        """
                        Trust the DSCP/CoS marking
                        
                        .. attribute:: cos
                        
                        	Trust the CoS marking
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dscp
                        
                        	Trust the DSCP marking
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.cos = None
                            self.dscp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:trust'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.cos is not None:
                                return True

                            if self.dscp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Auto.Qos.Trust']['meta_info']


                    class Video(object):
                        """
                        Configure AutoQoS for video devices
                        
                        .. attribute:: cts
                        
                        	Trust the QoS marking of the Cisco Telepresence System
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ip_camera
                        
                        	Trust the QoS marking of the Ip Video Surveillance camera
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: media_player
                        
                        	Trust the Qos marking of the Cisco Media Player
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cts = None
                            self.ip_camera = None
                            self.media_player = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:video'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cts is not None:
                                return True

                            if self.ip_camera is not None:
                                return True

                            if self.media_player is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Auto.Qos.Video']['meta_info']


                    class Voip(object):
                        """
                        Configure AutoQoS for VoIP
                        
                        .. attribute:: cisco_phone
                        
                        	Trust the QoS marking of Cisco IP Phone
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cisco_softphone
                        
                        	Trust the QoS marking of Cisco IP SoftPhone
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: trust
                        
                        	Trust the DSCP/CoS marking
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.cisco_phone = None
                            self.cisco_softphone = None
                            self.trust = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:voip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.cisco_phone is not None:
                                return True

                            if self.cisco_softphone is not None:
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Auto.Qos.Voip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:qos'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.classify is not None and self.classify._has_data():
                            return True

                        if self.trust is not None and self.trust._has_data():
                            return True

                        if self.video is not None and self.video._has_data():
                            return True

                        if self.voip is not None and self.voip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Auto.Qos']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:auto'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.qos is not None and self.qos._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Auto']['meta_info']


            class Datalink(object):
                """
                Interface Datalink commands
                
                .. attribute:: flow
                
                	Interface Flow configuration subcommands
                	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Datalink.Flow>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.flow = Native.Interface.Tengigabitethernet.Datalink.Flow()
                    self.flow.parent = self


                class Flow(object):
                    """
                    Interface Flow configuration subcommands
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Datalink.Flow.Monitor>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.monitor = None


                    class Monitor(object):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: input_output
                        
                        	Apply Flow Monitor on input/output traffic
                        	**type**\:   :py:class:`InputOutputEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Datalink.Flow.Monitor.InputOutputEnum>`
                        
                        .. attribute:: user_defined_flow
                        
                        	User defined
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.input_output = None
                            self.user_defined_flow = None

                        class InputOutputEnum(Enum):
                            """
                            InputOutputEnum

                            Apply Flow Monitor on input/output traffic

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = 0

                            output = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Datalink.Flow.Monitor.InputOutputEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.input_output is not None:
                                return True

                            if self.user_defined_flow is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Datalink.Flow.Monitor']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.monitor is not None and self.monitor._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Datalink.Flow']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:datalink'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.flow is not None and self.flow._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Datalink']['meta_info']


            class Energywise(object):
                """
                EnergyWise interface configurations
                
                .. attribute:: activitycheck
                
                	Apply an activity check before turning off power    to this PoE port
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.activitycheck = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:energywise'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.activitycheck is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Energywise']['meta_info']


            class Location(object):
                """
                Interface location information
                
                .. attribute:: civic_location_id
                
                	Civic location information
                	**type**\:   :py:class:`CivicLocationId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Location.CivicLocationId>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.civic_location_id = Native.Interface.Tengigabitethernet.Location.CivicLocationId()
                    self.civic_location_id.parent = self


                class CivicLocationId(object):
                    """
                    Civic location information
                    
                    .. attribute:: host
                    
                    	Globally defined host location identifer
                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Location.CivicLocationId.Host>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: location_identifier
                    
                    	civic location identifier string
                    	**type**\:  str
                    
                    .. attribute:: none
                    
                    	No globally defined location identifer
                    	**type**\:   :py:class:`None_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Location.CivicLocationId.None_>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.host = None
                        self.location_identifier = None
                        self.none = None


                    class Host(object):
                        """
                        Globally defined host location identifer
                        
                        .. attribute:: port_location
                        
                        	Port specific attributes
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.port_location = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.port_location is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Location.CivicLocationId.Host']['meta_info']


                    class None_(object):
                        """
                        No globally defined location identifer
                        
                        .. attribute:: port_location
                        
                        	Port specific attributes
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.port_location = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:none'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.port_location is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Location.CivicLocationId.None_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:civic-location-id'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.host is not None and self.host._has_data():
                            return True

                        if self.location_identifier is not None:
                            return True

                        if self.none is not None and self.none._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Location.CivicLocationId']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:location'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.civic_location_id is not None and self.civic_location_id._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Location']['meta_info']


            class Mac(object):
                """
                MAC interface commands
                
                .. attribute:: access_group
                
                	MAC access\-group configuration commands
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Mac.AccessGroup>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Tengigabitethernet.Mac.AccessGroup()
                    self.access_group.parent = self


                class AccessGroup(object):
                    """
                    MAC access\-group configuration commands
                    
                    .. attribute:: acl_name
                    
                    	ACL name
                    	**type**\:   :py:class:`AclName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Mac.AccessGroup.AclName>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acl_name = Native.Interface.Tengigabitethernet.Mac.AccessGroup.AclName()
                        self.acl_name.parent = self


                    class AclName(object):
                        """
                        ACL name
                        
                        .. attribute:: acl_name
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: apply_to
                        
                        	
                        	**type**\:   :py:class:`ApplyToEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Mac.AccessGroup.AclName.ApplyToEnum>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl_name = None
                            self.apply_to = None

                        class ApplyToEnum(Enum):
                            """
                            ApplyToEnum

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = 0

                            out = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tengigabitethernet.Mac.AccessGroup.AclName.ApplyToEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:ACL-name'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl_name is not None:
                                return True

                            if self.apply_to is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.Mac.AccessGroup.AclName']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acl_name is not None and self.acl_name._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Mac.AccessGroup']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Mac']['meta_info']


            class Macro(object):
                """
                Command macro
                
                .. attribute:: auto
                
                	Smartport interface macro configurations
                	**type**\:   :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Macro.Auto>`
                
                .. attribute:: description
                
                	Macro description for this interface
                	**type**\:  str
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = Native.Interface.Tengigabitethernet.Macro.Auto()
                    self.auto.parent = self
                    self.description = None


                class Auto(object):
                    """
                    Smartport interface macro configurations
                    
                    .. attribute:: processing
                    
                    	Enable smartport macro auto execution on this interface
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.processing = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:auto'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.processing is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Macro.Auto']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:macro'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None and self.auto._has_data():
                        return True

                    if self.description is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Macro']['meta_info']


            class DualActive(object):
                """
                
                
                .. attribute:: fast_hello
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fast_hello = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:dual-active'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fast_hello is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.DualActive']['meta_info']


            class Lldp(object):
                """
                LLDP interface subcommands
                
                .. attribute:: receive
                
                	Enable LLDP reception on interface
                	**type**\:  bool
                
                .. attribute:: transmit
                
                	Enable LLDP transmission on interface
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.transmit = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:lldp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.transmit is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Lldp']['meta_info']


            class LoadBalancing(object):
                """
                Etherchannel Load\-Balancing
                
                .. attribute:: flow
                
                	Based on the traffic flows identified by the packet headers
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vlan
                
                	Based on the VLAN to member links manual configuration
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.flow = None
                    self.vlan = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:load-balancing'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.flow is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.LoadBalancing']['meta_info']


            class VlanRange(object):
                """
                
                
                .. attribute:: id  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..4096
                
                
                ----
                	**type**\:  str
                
                
                ----
                .. attribute:: service_policy
                
                	Configure QoS Service Policy
                	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.VlanRange.ServicePolicy>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.service_policy = Native.Interface.Tengigabitethernet.VlanRange.ServicePolicy()
                    self.service_policy.parent = self


                class ServicePolicy(object):
                    """
                    Configure QoS Service Policy
                    
                    .. attribute:: input
                    
                    	Assign policy\-map to the input of an interface
                    	**type**\:  str
                    
                    .. attribute:: output
                    
                    	Assign policy\-map to the output of an interface
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.input = None
                        self.output = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:service-policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.input is not None:
                            return True

                        if self.output is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.VlanRange.ServicePolicy']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan-range[Cisco-IOS-XE-switch:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.service_policy is not None and self.service_policy._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.VlanRange']['meta_info']


            class Switch(object):
                """
                
                
                .. attribute:: virtual
                
                	
                	**type**\:   :py:class:`Virtual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Switch.Virtual>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.virtual = Native.Interface.Tengigabitethernet.Switch.Virtual()
                    self.virtual.parent = self


                class Virtual(object):
                    """
                    
                    
                    .. attribute:: link
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.link = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:virtual'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.link is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Switch.Virtual']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:switch'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.virtual is not None and self.virtual._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Switch']['meta_info']


            class SrrQueue(object):
                """
                
                
                .. attribute:: bandwidth
                
                	
                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bandwidth = Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth()
                    self.bandwidth.parent = self


                class Bandwidth(object):
                    """
                    
                    
                    .. attribute:: shape
                    
                    	
                    	**type**\:   :py:class:`Shape <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth.Shape>`
                    
                    .. attribute:: share
                    
                    	
                    	**type**\:   :py:class:`Share <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth.Share>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.shape = Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth.Shape()
                        self.shape.parent = self
                        self.share = Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth.Share()
                        self.share.parent = self


                    class Shape(object):
                        """
                        
                        
                        .. attribute:: weight1
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight2
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight3
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight4
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.weight1 = None
                            self.weight2 = None
                            self.weight3 = None
                            self.weight4 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:shape'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.weight1 is not None:
                                return True

                            if self.weight2 is not None:
                                return True

                            if self.weight3 is not None:
                                return True

                            if self.weight4 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth.Shape']['meta_info']


                    class Share(object):
                        """
                        
                        
                        .. attribute:: weight1
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight2
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight3
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight4
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.weight1 = None
                            self.weight2 = None
                            self.weight3 = None
                            self.weight4 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:share'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.weight1 is not None:
                                return True

                            if self.weight2 is not None:
                                return True

                            if self.weight3 is not None:
                                return True

                            if self.weight4 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth.Share']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:bandwidth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.shape is not None and self.shape._has_data():
                            return True

                        if self.share is not None and self.share._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.SrrQueue.Bandwidth']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:srr-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bandwidth is not None and self.bandwidth._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.SrrQueue']['meta_info']


            class Macsec(object):
                """
                Enable macsec on the interface
                
                .. attribute:: network_link
                
                	Enable macsec on switch connected interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.network_link = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:macsec'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.network_link is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Macsec']['meta_info']


            class DeviceTracking(object):
                """
                Configure device\-tracking on the interface
                
                .. attribute:: attach_policy
                
                	Apply a policy for feature device\-tracking
                	**type**\:  str
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.attach_policy = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:device-tracking'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.attach_policy is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.DeviceTracking']['meta_info']


            class Udld(object):
                """
                Configure UDLD enabled or disabled and ignore global UDLD setting
                
                .. attribute:: port
                
                	Enable UDLD protocol on this interface despite global UDLD setting
                	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tengigabitethernet.Udld.Port>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-udld'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.port = None


                class Port(object):
                    """
                    Enable UDLD protocol on this interface despite global UDLD setting
                    
                    .. attribute:: aggressive
                    
                    	Enable UDLD protocol in aggressive mode on this interface despite global UDLD setting
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: disable
                    
                    	Disable UDLD protocol on this interface despite global UDLD setting
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-udld'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aggressive = None
                        self.disable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-udld:port'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aggressive is not None:
                            return True

                        if self.disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tengigabitethernet.Udld.Port']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-udld:udld'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.port is not None and self.port._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.Udld']['meta_info']


            class ZoneMember(object):
                """
                Apply zone name
                
                .. attribute:: security
                
                	Security zone
                	**type**\:  str
                
                

                """

                _prefix = 'ios-zone'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.security = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-zone:zone-member'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.security is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tengigabitethernet.ZoneMember']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:TenGigabitEthernet[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.authentication is not None and self.authentication._has_data():
                    return True

                if self.auto is not None and self.auto._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.carrier_delay is not None and self.carrier_delay._has_data():
                    return True

                if self.cdp is not None and self.cdp._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.channel_group is not None and self.channel_group._has_data():
                    return True

                if self.channel_protocol is not None:
                    return True

                if self.crypto is not None and self.crypto._has_data():
                    return True

                if self.cts is not None and self.cts._has_data():
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.datalink is not None and self.datalink._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.device_tracking is not None and self.device_tracking._has_data():
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.dot1x is not None and self.dot1x._has_data():
                    return True

                if self.dual_active is not None and self.dual_active._has_data():
                    return True

                if self.duplex is not None:
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.energywise is not None and self.energywise._has_data():
                    return True

                if self.ethernet is not None and self.ethernet._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.lacp is not None and self.lacp._has_data():
                    return True

                if self.lisp is not None and self.lisp._has_data():
                    return True

                if self.lldp is not None and self.lldp._has_data():
                    return True

                if self.load_balancing is not None and self.load_balancing._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.location is not None and self.location._has_data():
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.mab is not None and self.mab._has_data():
                    return True

                if self.mac is not None and self.mac._has_data():
                    return True

                if self.macro is not None and self.macro._has_data():
                    return True

                if self.macsec is not None and self.macsec._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.media_type is not None:
                    return True

                if self.mka is not None and self.mka._has_data():
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.negotiation is not None and self.negotiation._has_data():
                    return True

                if self.ospfv3 is not None and self.ospfv3._has_data():
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.performance is not None and self.performance._has_data():
                    return True

                if self.plim is not None and self.plim._has_data():
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.port_type is not None:
                    return True

                if self.power is not None and self.power._has_data():
                    return True

                if self.pppoe is not None and self.pppoe._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service is not None and self.service._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.shutdown is not None:
                    return True

                if self.snmp is not None and self.snmp._has_data():
                    return True

                if self.spanning_tree is not None and self.spanning_tree._has_data():
                    return True

                if self.speed is not None and self.speed._has_data():
                    return True

                if self.srr_queue is not None and self.srr_queue._has_data():
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switch is not None and self.switch._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.synchronous is not None and self.synchronous._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.udld is not None and self.udld._has_data():
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vlan_range is not None:
                    for child_ref in self.vlan_range:
                        if child_ref._has_data():
                            return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                if self.xconnect is not None and self.xconnect._has_data():
                    return True

                if self.zone_member is not None and self.zone_member._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.Tengigabitethernet']['meta_info']


        class Fortygigabitethernet(object):
            """
            Forty Gigabit Ethernet
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            	**pattern:** ([0\-9]/)([0\-1]/)[0\-4]
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Arp>`
            
            .. attribute:: auto
            
            	Configure Automation
            	**type**\:   :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Auto>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Bfd>`
            
            .. attribute:: carrier_delay
            
            	Specify delay for interface transitions
            	**type**\:   :py:class:`CarrierDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.CarrierDelay>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Cemoudp>`
            
            .. attribute:: channel_group
            
            	Add this interface to an Etherchannel group
            	**type**\:   :py:class:`ChannelGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.ChannelGroup>`
            
            .. attribute:: channel_protocol
            
            	Select the channel protocol (LACP, PAgP)
            	**type**\:   :py:class:`ChannelProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.ChannelProtocolEnum>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: datalink
            
            	Interface Datalink commands
            	**type**\:   :py:class:`Datalink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Datalink>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Domain>`
            
            .. attribute:: dual_active
            
            	
            	**type**\:   :py:class:`DualActive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.DualActive>`
            
            .. attribute:: duplex
            
            	Configure duplex operation
            	**type**\:   :py:class:`DuplexEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.DuplexEnum>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Encapsulation>`
            
            .. attribute:: energywise
            
            	EnergyWise interface configurations
            	**type**\:   :py:class:`Energywise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Energywise>`
            
            	**presence node**\: True
            
            .. attribute:: ethernet
            
            	Ethernet interface parameters
            	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: lldp
            
            	LLDP interface subcommands
            	**type**\:   :py:class:`Lldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Lldp>`
            
            .. attribute:: load_balancing
            
            	Etherchannel Load\-Balancing
            	**type**\:   :py:class:`LoadBalancing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.LoadBalancing>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: location
            
            	Interface location information
            	**type**\:   :py:class:`Location <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Location>`
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Logging>`
            
            .. attribute:: mac
            
            	MAC interface commands
            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Mac>`
            
            .. attribute:: macro
            
            	Command macro
            	**type**\:   :py:class:`Macro <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Macro>`
            
            .. attribute:: macsec
            
            	Enable macsec on the interface
            	**type**\:   :py:class:`Macsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Macsec>`
            
            	**presence node**\: True
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Mdix>`
            
            .. attribute:: media_type
            
            	Media type
            	**type**\:   :py:class:`MediaTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.MediaTypeEnum>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: negotiation
            
            	Select autonegotiation mode
            	**type**\:   :py:class:`Negotiation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Negotiation>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Peer>`
            
            .. attribute:: plim
            
            	Configure features on the PLIM
            	**type**\:   :py:class:`Plim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Plim>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.PmPath>`
            
            .. attribute:: port_type
            
            	
            	**type**\:   :py:class:`PortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.PortTypeEnum>`
            
            .. attribute:: pppoe
            
            	pppoe interface subcommands
            	**type**\:   :py:class:`Pppoe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Pppoe>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.RcvQueue>`
            
            .. attribute:: service
            
            	Configure Ether Service
            	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.ServiceInsertionEnum>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: speed
            
            	Configure speed operation
            	**type**\:   :py:class:`Speed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Speed>`
            
            .. attribute:: srr_queue
            
            	
            	**type**\:   :py:class:`SrrQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.SrrQueue>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.StormControl>`
            
            .. attribute:: switch
            
            	
            	**type**\:   :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switch>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.SwitchportConf>`
            
            .. attribute:: synchronous
            
            	Synchronous
            	**type**\:   :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Synchronous>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Trust>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Utd>`
            
            .. attribute:: vlan_range
            
            	
            	**type**\: list of    :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.VlanRange>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.Fortygigabitethernet.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.Fortygigabitethernet.Arp()
                self.arp.parent = self
                self.auto = Native.Interface.Fortygigabitethernet.Auto()
                self.auto.parent = self
                self.backup = Native.Interface.Fortygigabitethernet.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.Fortygigabitethernet.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.Fortygigabitethernet.Bfd()
                self.bfd.parent = self
                self.carrier_delay = Native.Interface.Fortygigabitethernet.CarrierDelay()
                self.carrier_delay.parent = self
                self.cemoudp = Native.Interface.Fortygigabitethernet.Cemoudp()
                self.cemoudp.parent = self
                self.channel_group = Native.Interface.Fortygigabitethernet.ChannelGroup()
                self.channel_group.parent = self
                self.channel_protocol = None
                self.cws_tunnel = Native.Interface.Fortygigabitethernet.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.datalink = Native.Interface.Fortygigabitethernet.Datalink()
                self.datalink.parent = self
                self.delay = None
                self.description = None
                self.domain = Native.Interface.Fortygigabitethernet.Domain()
                self.domain.parent = self
                self.dual_active = Native.Interface.Fortygigabitethernet.DualActive()
                self.dual_active.parent = self
                self.duplex = None
                self.encapsulation = Native.Interface.Fortygigabitethernet.Encapsulation()
                self.encapsulation.parent = self
                self.energywise = None
                self.ethernet = Native.Interface.Fortygigabitethernet.Ethernet()
                self.ethernet.parent = self
                self.fair_queue = Native.Interface.Fortygigabitethernet.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.Fortygigabitethernet.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.Fortygigabitethernet.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.Fortygigabitethernet.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.Fortygigabitethernet.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.Fortygigabitethernet.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.Fortygigabitethernet.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.Fortygigabitethernet.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.Fortygigabitethernet.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.Fortygigabitethernet.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.lldp = Native.Interface.Fortygigabitethernet.Lldp()
                self.lldp.parent = self
                self.load_balancing = Native.Interface.Fortygigabitethernet.LoadBalancing()
                self.load_balancing.parent = self
                self.load_interval = None
                self.location = Native.Interface.Fortygigabitethernet.Location()
                self.location.parent = self
                self.logging = Native.Interface.Fortygigabitethernet.Logging()
                self.logging.parent = self
                self.mac = Native.Interface.Fortygigabitethernet.Mac()
                self.mac.parent = self
                self.macro = Native.Interface.Fortygigabitethernet.Macro()
                self.macro.parent = self
                self.macsec = None
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.Fortygigabitethernet.Mdix()
                self.mdix.parent = self
                self.media_type = None
                self.mop = Native.Interface.Fortygigabitethernet.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.Fortygigabitethernet.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.negotiation = Native.Interface.Fortygigabitethernet.Negotiation()
                self.negotiation.parent = self
                self.peer = Native.Interface.Fortygigabitethernet.Peer()
                self.peer.parent = self
                self.plim = Native.Interface.Fortygigabitethernet.Plim()
                self.plim.parent = self
                self.pm_path = Native.Interface.Fortygigabitethernet.PmPath()
                self.pm_path.parent = self
                self.port_type = None
                self.pppoe = Native.Interface.Fortygigabitethernet.Pppoe()
                self.pppoe.parent = self
                self.priority_queue = Native.Interface.Fortygigabitethernet.PriorityQueue()
                self.priority_queue.parent = self
                self.rcv_queue = Native.Interface.Fortygigabitethernet.RcvQueue()
                self.rcv_queue.parent = self
                self.service = Native.Interface.Fortygigabitethernet.Service()
                self.service.parent = self
                self.service_insertion = None
                self.shutdown = None
                self.speed = Native.Interface.Fortygigabitethernet.Speed()
                self.speed.parent = self
                self.srr_queue = Native.Interface.Fortygigabitethernet.SrrQueue()
                self.srr_queue.parent = self
                self.standby = Native.Interface.Fortygigabitethernet.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.Fortygigabitethernet.StormControl()
                self.storm_control.parent = self
                self.switch = Native.Interface.Fortygigabitethernet.Switch()
                self.switch.parent = self
                self.switchport = Native.Interface.Fortygigabitethernet.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.Fortygigabitethernet.SwitchportConf()
                self.switchport_conf.parent = self
                self.synchronous = Native.Interface.Fortygigabitethernet.Synchronous()
                self.synchronous.parent = self
                self.trust = Native.Interface.Fortygigabitethernet.Trust()
                self.trust.parent = self
                self.utd = Native.Interface.Fortygigabitethernet.Utd()
                self.utd.parent = self
                self.vlan_range = YList()
                self.vlan_range.parent = self
                self.vlan_range.name = 'vlan_range'
                self.vrf = Native.Interface.Fortygigabitethernet.Vrf()
                self.vrf.parent = self

            class ChannelProtocolEnum(Enum):
                """
                ChannelProtocolEnum

                Select the channel protocol (LACP, PAgP)

                .. data:: lacp = 0

                .. data:: pagp = 1

                """

                lacp = 0

                pagp = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.ChannelProtocolEnum']


            class DuplexEnum(Enum):
                """
                DuplexEnum

                Configure duplex operation.

                .. data:: auto = 0

                .. data:: full = 1

                .. data:: half = 2

                """

                auto = 0

                full = 1

                half = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.DuplexEnum']


            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.IfStateEnum']


            class MediaTypeEnum(Enum):
                """
                MediaTypeEnum

                Media type

                .. data:: auto_select = 0

                .. data:: rj45 = 1

                .. data:: sfp = 2

                """

                auto_select = 0

                rj45 = 1

                sfp = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.MediaTypeEnum']


            class PortTypeEnum(Enum):
                """
                PortTypeEnum

                .. data:: nni = 0

                """

                nni = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.PortTypeEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.ServiceInsertionEnum']



            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Access>`
                
                .. attribute:: autostate
                
                	Include or exclude this port from vlan link up calculation
                	**type**\:   :py:class:`Autostate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Autostate>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:   :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Block>`
                
                .. attribute:: host
                
                	Set port host
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:   :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: priority
                
                	Set appliance 802.1p priority
                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Priority>`
                
                .. attribute:: private_vlan
                
                	Set the private VLAN configuration
                	**type**\:   :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan>`
                
                .. attribute:: protected
                
                	Configure an interface to be a protected port
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: trunk
                
                	Set trunking characteristics of the interface
                	**type**\:   :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Trunk>`
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:   :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Voice>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access = Native.Interface.Fortygigabitethernet.Switchport.Access()
                    self.access.parent = self
                    self.autostate = Native.Interface.Fortygigabitethernet.Switchport.Autostate()
                    self.autostate.parent = self
                    self.block = Native.Interface.Fortygigabitethernet.Switchport.Block()
                    self.block.parent = self
                    self.host = None
                    self.mode = Native.Interface.Fortygigabitethernet.Switchport.Mode()
                    self.mode.parent = self
                    self.nonegotiate = None
                    self.port_security = None
                    self.priority = Native.Interface.Fortygigabitethernet.Switchport.Priority()
                    self.priority.parent = self
                    self.private_vlan = Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan()
                    self.private_vlan.parent = self
                    self.protected = None
                    self.trunk = Native.Interface.Fortygigabitethernet.Switchport.Trunk()
                    self.trunk.parent = self
                    self.voice = Native.Interface.Fortygigabitethernet.Switchport.Voice()
                    self.voice.parent = self


                class Access(object):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	Set VLAN when interface is in access mode
                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Access.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = Native.Interface.Fortygigabitethernet.Switchport.Access.Vlan()
                        self.vlan.parent = self


                    class Vlan(object):
                        """
                        Set VLAN when interface is in access mode
                        
                        .. attribute:: name
                        
                        	Vlan name
                        	**type**\:  str
                        
                        .. attribute:: vlan
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        
                        ----
                        	**type**\:   :py:class:`VlanEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.VlanEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.vlan = None

                        class VlanEnum(Enum):
                            """
                            VlanEnum

                            .. data:: dynamic = 0

                            """

                            dynamic = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Access.Vlan.VlanEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Access.Vlan']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:access'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None and self.vlan._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Access']['meta_info']


                class Block(object):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: multicast
                    
                    	Block unknown multicast addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.multicast = None
                        self.unicast = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:block'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.multicast is not None:
                            return True

                        if self.unicast is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Block']['meta_info']


                class Mode(object):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Mode.Access>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dot1q_tunnel
                    
                    	set trunking mode to TUNNEL unconditionally
                    	**type**\:   :py:class:`Dot1QTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Mode.Dot1QTunnel>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dynamic
                    
                    	Set trunking mode to dynamically negotiate access or trunk mode
                    	**type**\:   :py:class:`DynamicEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Mode.DynamicEnum>`
                    
                    .. attribute:: private_vlan
                    
                    	Set private\-vlan mode
                    	**type**\:   :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Mode.PrivateVlan>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\:   :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Mode.Trunk>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access = None
                        self.dot1q_tunnel = None
                        self.dynamic = None
                        self.private_vlan = Native.Interface.Fortygigabitethernet.Switchport.Mode.PrivateVlan()
                        self.private_vlan.parent = self
                        self.trunk = None

                    class DynamicEnum(Enum):
                        """
                        DynamicEnum

                        Set trunking mode to dynamically negotiate access or trunk mode

                        .. data:: auto = 0

                        .. data:: desirable = 1

                        """

                        auto = 0

                        desirable = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Mode.DynamicEnum']



                    class Access(object):
                        """
                        Set trunking mode to ACCESS unconditionally
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:access'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Mode.Access']['meta_info']


                    class Dot1QTunnel(object):
                        """
                        set trunking mode to TUNNEL unconditionally
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:dot1q-tunnel'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Mode.Dot1QTunnel']['meta_info']


                    class PrivateVlan(object):
                        """
                        Set private\-vlan mode
                        
                        .. attribute:: host
                        
                        	Set the mode to private\-vlan host
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: promiscuous
                        
                        	Set the mode to private\-vlan promiscuous
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.host = None
                            self.promiscuous = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:private-vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.host is not None:
                                return True

                            if self.promiscuous is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Mode.PrivateVlan']['meta_info']


                    class Trunk(object):
                        """
                        Set trunking mode to TRUNK unconditionally
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:trunk'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Mode.Trunk']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access is not None and self.access._has_data():
                            return True

                        if self.dot1q_tunnel is not None and self.dot1q_tunnel._has_data():
                            return True

                        if self.dynamic is not None:
                            return True

                        if self.private_vlan is not None and self.private_vlan._has_data():
                            return True

                        if self.trunk is not None and self.trunk._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Mode']['meta_info']


                class PortSecurity(object):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:   :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: mac_address
                    
                    	Secure mac address
                    	**type**\:   :py:class:`MacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.MacAddress>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:   :py:class:`ViolationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.ViolationEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aging = Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self.mac_address = Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.MacAddress()
                        self.mac_address.parent = self
                        self.maximum = Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self.violation = None

                    class ViolationEnum(Enum):
                        """
                        ViolationEnum

                        Security violation mode

                        .. data:: protect = 0

                        .. data:: restrict = 1

                        .. data:: shutdown = 2

                        """

                        protect = 0

                        restrict = 1

                        shutdown = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.ViolationEnum']



                    class Aging(object):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.Aging.TypeEnum>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = None
                            self.time = None
                            self.type = None

                        class TypeEnum(Enum):
                            """
                            TypeEnum

                            Port\-security aging type

                            .. data:: absolute = 0

                            .. data:: inactivity = 1

                            """

                            absolute = 0

                            inactivity = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.Aging.TypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:aging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None:
                                return True

                            if self.time is not None:
                                return True

                            if self.type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.Aging']['meta_info']


                    class MacAddress(object):
                        """
                        Secure mac address
                        
                        .. attribute:: hw_address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2}){5}
                        
                        .. attribute:: sticky
                        
                        	Configure dynamic secure addresses as sticky
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	set VLAN ID of the VLAN on which this address can be learned
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hw_address = None
                            self.sticky = None
                            self.vlan = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:mac-address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hw_address is not None:
                                return True

                            if self.sticky is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.MacAddress']['meta_info']


                    class Maximum(object):
                        """
                        Max secure addresses
                        
                        .. attribute:: max_addresses
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4097
                        
                        .. attribute:: vlan
                        
                        	Max secure addresses per vlan
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max_addresses = None
                            self.vlan = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:maximum'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max_addresses is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.PortSecurity.Maximum']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:port-security'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aging is not None and self.aging._has_data():
                            return True

                        if self.mac_address is not None and self.mac_address._has_data():
                            return True

                        if self.maximum is not None and self.maximum._has_data():
                            return True

                        if self.violation is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.PortSecurity']['meta_info']


                class Trunk(object):
                    """
                    Set trunking characteristics of the interface
                    
                    .. attribute:: allowed
                    
                    	Set allowed VLAN characteristics when interface is in trunking mode
                    	**type**\:   :py:class:`Allowed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Trunk.Allowed>`
                    
                    .. attribute:: encapsulation
                    
                    	Set encapsulation format on trunk port
                    	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Trunk.EncapsulationEnum>`
                    
                    .. attribute:: native
                    
                    	Set trunking native characteristics when interface is in trunking mode
                    	**type**\:   :py:class:`Native_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Trunk.Native_>`
                    
                    .. attribute:: pruning
                    
                    	Set pruning VLAN characteristics when interface is in trunking mode
                    	**type**\:   :py:class:`Pruning <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Trunk.Pruning>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.allowed = Native.Interface.Fortygigabitethernet.Switchport.Trunk.Allowed()
                        self.allowed.parent = self
                        self.encapsulation = None
                        self.native = Native.Interface.Fortygigabitethernet.Switchport.Trunk.Native_()
                        self.native.parent = self
                        self.pruning = Native.Interface.Fortygigabitethernet.Switchport.Trunk.Pruning()
                        self.pruning.parent = self

                    class EncapsulationEnum(Enum):
                        """
                        EncapsulationEnum

                        Set encapsulation format on trunk port

                        .. data:: dot1q = 0

                        .. data:: isl = 1

                        .. data:: negotiate = 2

                        """

                        dot1q = 0

                        isl = 1

                        negotiate = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Trunk.EncapsulationEnum']



                    class Allowed(object):
                        """
                        Set allowed VLAN characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set allowed VLANs when interface is in trunking mode
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Trunk.Allowed.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vlan = Native.Interface.Fortygigabitethernet.Switchport.Trunk.Allowed.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            Set allowed VLANs when interface is in trunking mode
                            
                            .. attribute:: add
                            
                            	VLAN IDs of the allowed VLANs when this port is in trunking mode
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: all
                            
                            	all VLANs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: except_
                            
                            	all VLANs except the following
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: none
                            
                            	no VLANs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: remove
                            
                            	VLAN IDs of disallowed VLANS when this port is in trunking mode
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: vlans
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.add = None
                                self.all = None
                                self.except_ = YLeafList()
                                self.except_.parent = self
                                self.except_.name = 'except_'
                                self.none = None
                                self.remove = None
                                self.vlans = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.add is not None:
                                    return True

                                if self.all is not None:
                                    return True

                                if self.except_ is not None:
                                    for child in self.except_:
                                        if child is not None:
                                            return True

                                if self.none is not None:
                                    return True

                                if self.remove is not None:
                                    return True

                                if self.vlans is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Trunk.Allowed.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:allowed'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Trunk.Allowed']['meta_info']


                    class Native_(object):
                        """
                        Set trunking native characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set native VLAN when interface is in trunking mode
                        	**type**\: one of the below types:
                        
                        	**type**\:   :py:class:`VlanEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_.VlanEnum>`
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vlan = None

                        class VlanEnum(Enum):
                            """
                            VlanEnum

                            Set native VLAN when interface is in trunking mode

                            .. data:: tag = 0

                            """

                            tag = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Trunk.Native_.VlanEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:native'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Trunk.Native_']['meta_info']


                    class Pruning(object):
                        """
                        Set pruning VLAN characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set VLANs enabled for pruning when interface is in trunking mode
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Trunk.Pruning.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vlan = Native.Interface.Fortygigabitethernet.Switchport.Trunk.Pruning.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            Set VLANs enabled for pruning when interface is in trunking mode
                            
                            .. attribute:: add
                            
                            	VLAN IDs of the allowed VLANs when this port is in trunking mode
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: except_
                            
                            	all VLANs except the following
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: none
                            
                            	no VLANs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: remove
                            
                            	VLAN IDs of disallowed VLANS when this port is in trunking mode
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: vlans
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.add = None
                                self.except_ = YLeafList()
                                self.except_.parent = self
                                self.except_.name = 'except_'
                                self.none = None
                                self.remove = None
                                self.vlans = YLeafList()
                                self.vlans.parent = self
                                self.vlans.name = 'vlans'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.add is not None:
                                    return True

                                if self.except_ is not None:
                                    for child in self.except_:
                                        if child is not None:
                                            return True

                                if self.none is not None:
                                    return True

                                if self.remove is not None:
                                    return True

                                if self.vlans is not None:
                                    for child in self.vlans:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Trunk.Pruning.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:pruning'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Trunk.Pruning']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:trunk'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.allowed is not None and self.allowed._has_data():
                            return True

                        if self.encapsulation is not None:
                            return True

                        if self.native is not None and self.native._has_data():
                            return True

                        if self.pruning is not None and self.pruning._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Trunk']['meta_info']


                class Voice(object):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: detect
                    
                    	detection enhancement keyword
                    	**type**\:   :py:class:`Detect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Voice.Detect>`
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Voice.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.detect = Native.Interface.Fortygigabitethernet.Switchport.Voice.Detect()
                        self.detect.parent = self
                        self.vlan = Native.Interface.Fortygigabitethernet.Switchport.Voice.Vlan()
                        self.vlan.parent = self


                    class Vlan(object):
                        """
                        Vlan for voice traffic
                        
                        .. attribute:: name
                        
                        	Vlan name
                        	**type**\:  str
                        
                        .. attribute:: vlan
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:   :py:class:`VlanEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.VlanEnum>`
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        
                        ----
                        	**type**\:  str
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.vlan = None

                        class VlanEnum(Enum):
                            """
                            VlanEnum

                            .. data:: dot1p = 0

                            .. data:: none = 1

                            .. data:: untagged = 2

                            """

                            dot1p = 0

                            none = 1

                            untagged = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Voice.Vlan.VlanEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Voice.Vlan']['meta_info']


                    class Detect(object):
                        """
                        detection enhancement keyword
                        
                        .. attribute:: cisco_phone
                        
                        	Cisco IP phone
                        	**type**\:   :py:class:`CiscoPhone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Voice.Detect.CiscoPhone>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cisco_phone = None


                        class CiscoPhone(object):
                            """
                            Cisco IP phone
                            
                            .. attribute:: full_duplex
                            
                            	full duplex keyword
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.full_duplex = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:cisco-phone'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.full_duplex is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Voice.Detect.CiscoPhone']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:detect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cisco_phone is not None and self.cisco_phone._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Voice.Detect']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:voice'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.detect is not None and self.detect._has_data():
                            return True

                        if self.vlan is not None and self.vlan._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Voice']['meta_info']


                class Priority(object):
                    """
                    Set appliance 802.1p priority
                    
                    .. attribute:: extend
                    
                    	Set appliance 802.1p priority
                    	**type**\:   :py:class:`Extend <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.Priority.Extend>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.extend = Native.Interface.Fortygigabitethernet.Switchport.Priority.Extend()
                        self.extend.parent = self


                    class Extend(object):
                        """
                        Set appliance 802.1p priority
                        
                        .. attribute:: cos
                        
                        	Override 802.1p priority of devices on appliance
                        	**type**\:  int
                        
                        	**range:** 0..7
                        
                        .. attribute:: trust
                        
                        	Trust 802.1p priorities of devices on appliance
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cos = None
                            self.trust = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:extend'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cos is not None:
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Priority.Extend']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:priority'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.extend is not None and self.extend._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Priority']['meta_info']


                class Autostate(object):
                    """
                    Include or exclude this port from vlan link up calculation
                    
                    .. attribute:: exclude
                    
                    	Exclude this port from vlan link up calculation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.exclude = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:autostate'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.exclude is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.Autostate']['meta_info']


                class PrivateVlan(object):
                    """
                    Set the private VLAN configuration
                    
                    .. attribute:: association
                    
                    	Set the private VLAN association
                    	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association>`
                    
                    .. attribute:: host_association
                    
                    	Set the private VLAN host association
                    	**type**\:   :py:class:`HostAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.HostAssociation>`
                    
                    .. attribute:: mapping
                    
                    	Set the private VLAN promiscuous mapping
                    	**type**\:   :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Mapping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.association = Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association()
                        self.association.parent = self
                        self.host_association = Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.HostAssociation()
                        self.host_association.parent = self
                        self.mapping = Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Mapping()
                        self.mapping.parent = self


                    class Association(object):
                        """
                        Set the private VLAN association
                        
                        .. attribute:: host
                        
                        	Set the private VLAN host association
                        	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association.Host>`
                        
                        .. attribute:: mapping
                        
                        	Set the private VLAN promiscuous mapping
                        	**type**\:   :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association.Mapping>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.host = Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association.Host()
                            self.host.parent = self
                            self.mapping = Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association.Mapping()
                            self.mapping.parent = self


                        class Host(object):
                            """
                            Set the private VLAN host association
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN port association
                            	**type**\:  int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: secondary_range
                            
                            	Secondary normal range VLAN ID of the private VLAN host port association
                            	**type**\:  int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.primary_range = None
                                self.secondary_range = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.primary_range is not None:
                                    return True

                                if self.secondary_range is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association.Host']['meta_info']


                        class Mapping(object):
                            """
                            Set the private VLAN promiscuous mapping
                            
                            .. attribute:: add
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\:  str
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                            	**type**\:  int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: remove
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\:  str
                            
                            .. attribute:: secondary_range
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.add = None
                                self.primary_range = None
                                self.remove = None
                                self.secondary_range = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.add is not None:
                                    return True

                                if self.primary_range is not None:
                                    return True

                                if self.remove is not None:
                                    return True

                                if self.secondary_range is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association.Mapping']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:association'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.host is not None and self.host._has_data():
                                return True

                            if self.mapping is not None and self.mapping._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Association']['meta_info']


                    class HostAssociation(object):
                        """
                        Set the private VLAN host association
                        
                        .. attribute:: primary_range
                        
                        	Primary normal range VLAN ID of the private VLAN port association
                        	**type**\:  int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        .. attribute:: secondary_range
                        
                        	Secondary normal range VLAN ID of the private VLAN host port association
                        	**type**\:  int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.primary_range = None
                            self.secondary_range = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host-association'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.primary_range is not None:
                                return True

                            if self.secondary_range is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.HostAssociation']['meta_info']


                    class Mapping(object):
                        """
                        Set the private VLAN promiscuous mapping
                        
                        .. attribute:: add
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\:  str
                        
                        .. attribute:: primary_range
                        
                        	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                        	**type**\:  int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        .. attribute:: remove
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\:  str
                        
                        .. attribute:: secondary_range
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.add = None
                            self.primary_range = None
                            self.remove = None
                            self.secondary_range = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:mapping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.add is not None:
                                return True

                            if self.primary_range is not None:
                                return True

                            if self.remove is not None:
                                return True

                            if self.secondary_range is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan.Mapping']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:private-vlan'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.association is not None and self.association._has_data():
                            return True

                        if self.host_association is not None and self.host_association._has_data():
                            return True

                        if self.mapping is not None and self.mapping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport.PrivateVlan']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access is not None and self.access._has_data():
                        return True

                    if self.autostate is not None and self.autostate._has_data():
                        return True

                    if self.block is not None and self.block._has_data():
                        return True

                    if self.host is not None:
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.port_security is not None and self.port_security._has_data():
                        return True

                    if self.priority is not None and self.priority._has_data():
                        return True

                    if self.private_vlan is not None and self.private_vlan._has_data():
                        return True

                    if self.protected is not None:
                        return True

                    if self.trunk is not None and self.trunk._has_data():
                        return True

                    if self.voice is not None and self.voice._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.Fortygigabitethernet.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.Fortygigabitethernet.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.Fortygigabitethernet.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.Fortygigabitethernet.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.Fortygigabitethernet.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.Fortygigabitethernet.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.Fortygigabitethernet.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.Fortygigabitethernet.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.Fortygigabitethernet.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.Fortygigabitethernet.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.Fortygigabitethernet.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.Fortygigabitethernet.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.Fortygigabitethernet.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.Fortygigabitethernet.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.Fortygigabitethernet.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.Fortygigabitethernet.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.Fortygigabitethernet.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.HoldTime>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.NoAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Vrf>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Fortygigabitethernet.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.Fortygigabitethernet.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.Fortygigabitethernet.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.Fortygigabitethernet.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.Fortygigabitethernet.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.hello_interval = Native.Interface.Fortygigabitethernet.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.Fortygigabitethernet.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.no_address = Native.Interface.Fortygigabitethernet.Ip.NoAddress()
                    self.no_address.parent = self
                    self.pim = Native.Interface.Fortygigabitethernet.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.Fortygigabitethernet.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.Fortygigabitethernet.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.Fortygigabitethernet.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.Fortygigabitethernet.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.Fortygigabitethernet.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.verify = Native.Interface.Fortygigabitethernet.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.Fortygigabitethernet.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.Fortygigabitethernet.Ip.Vrf()
                    self.vrf.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.Fortygigabitethernet.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Fortygigabitethernet.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.Fortygigabitethernet.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.Fortygigabitethernet.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.Fortygigabitethernet.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Fortygigabitethernet.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Fortygigabitethernet.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.Fortygigabitethernet.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip.Verify']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.Fortygigabitethernet.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.Fortygigabitethernet.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.mtu = None
                    self.nd = Native.Interface.Fortygigabitethernet.Ipv6.Nd()
                    self.nd.parent = self
                    self.redirects = None
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ipv6.TrafficFilter']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.Fortygigabitethernet.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.Fortygigabitethernet.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.Fortygigabitethernet.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.Fortygigabitethernet.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.Fortygigabitethernet.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.Fortygigabitethernet.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.Fortygigabitethernet.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.Fortygigabitethernet.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.Fortygigabitethernet.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.Fortygigabitethernet.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.Fortygigabitethernet.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.Fortygigabitethernet.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.Fortygigabitethernet.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.Fortygigabitethernet.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.PmPath']['meta_info']


            class CarrierDelay(object):
                """
                Specify delay for interface transitions
                
                .. attribute:: down
                
                	Carrier Down Transitions
                	**type**\:   :py:class:`Down <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.CarrierDelay.Down>`
                
                .. attribute:: msec
                
                	delay specified in milliseconds
                	**type**\:  int
                
                	**range:** 0..1000
                
                .. attribute:: seconds
                
                	
                	**type**\:  int
                
                	**range:** 0..60
                
                .. attribute:: up
                
                	Carrier Up Transitions
                	**type**\:   :py:class:`Up <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.CarrierDelay.Up>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.down = Native.Interface.Fortygigabitethernet.CarrierDelay.Down()
                    self.down.parent = self
                    self.msec = None
                    self.seconds = None
                    self.up = Native.Interface.Fortygigabitethernet.CarrierDelay.Up()
                    self.up.parent = self


                class Down(object):
                    """
                    Carrier Down Transitions
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..1000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..60
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.msec = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:down'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.msec is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.CarrierDelay.Down']['meta_info']


                class Up(object):
                    """
                    Carrier Up Transitions
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..1000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..60
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.msec = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:up'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.msec is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.CarrierDelay.Up']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:carrier-delay'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.down is not None and self.down._has_data():
                        return True

                    if self.msec is not None:
                        return True

                    if self.seconds is not None:
                        return True

                    if self.up is not None and self.up._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.CarrierDelay']['meta_info']


            class ChannelGroup(object):
                """
                Add this interface to an Etherchannel group
                
                .. attribute:: auto
                
                	LACP auto
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link
                
                	Assign a link identifier used for load\-balancing
                	**type**\:  int
                
                	**range:** 1..4
                
                .. attribute:: mode
                
                	Etherchannel Mode of the interface
                	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.ChannelGroup.ModeEnum>`
                
                .. attribute:: non_silent
                
                	Start negotiation only after data packets received
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: number
                
                	
                	**type**\:  int
                
                	**range:** 1..512
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None
                    self.link = None
                    self.mode = None
                    self.non_silent = None
                    self.number = None

                class ModeEnum(Enum):
                    """
                    ModeEnum

                    Etherchannel Mode of the interface

                    .. data:: active = 0

                    .. data:: auto = 1

                    .. data:: desirable = 2

                    .. data:: on = 3

                    .. data:: passive = 4

                    """

                    active = 0

                    auto = 1

                    desirable = 2

                    on = 3

                    passive = 4


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.ChannelGroup.ModeEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:channel-group'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    if self.link is not None:
                        return True

                    if self.mode is not None:
                        return True

                    if self.non_silent is not None:
                        return True

                    if self.number is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.ChannelGroup']['meta_info']


            class Ethernet(object):
                """
                Ethernet interface parameters
                
                .. attribute:: oam
                
                	To enable Ethernet Link OAM
                	**type**\:   :py:class:`Oam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.oam = None


                class Oam(object):
                    """
                    To enable Ethernet Link OAM
                    
                    .. attribute:: link_monitor
                    
                    	Ethernet OAM Link Monitor
                    	**type**\:   :py:class:`LinkMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor>`
                    
                    .. attribute:: max_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10
                    
                    .. attribute:: min_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10
                    
                    .. attribute:: mode
                    
                    	
                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.ModeEnum>`
                    
                    .. attribute:: remote_failure
                    
                    	Ethernet OAM remote failure indication
                    	**type**\:   :py:class:`RemoteFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure>`
                    
                    .. attribute:: remote_loopback
                    
                    	Ethernet OAM Remote Loopback
                    	**type**\:   :py:class:`RemoteLoopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteLoopback>`
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 2..30
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.link_monitor = Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor()
                        self.link_monitor.parent = self
                        self.max_rate = None
                        self.min_rate = None
                        self.mode = None
                        self.remote_failure = Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure()
                        self.remote_failure.parent = self
                        self.remote_loopback = Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteLoopback()
                        self.remote_loopback.parent = self
                        self.timeout = None

                    class ModeEnum(Enum):
                        """
                        ModeEnum

                        .. data:: active = 0

                        .. data:: passive = 1

                        """

                        active = 0

                        passive = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.ModeEnum']



                    class LinkMonitor(object):
                        """
                        Ethernet OAM Link Monitor
                        
                        .. attribute:: frame
                        
                        	Errored frames in a period measured by time
                        	**type**\:   :py:class:`Frame <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame>`
                        
                        .. attribute:: frame_period
                        
                        	Errored frames in a period measured by number of frames
                        	**type**\:   :py:class:`FramePeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod>`
                        
                        .. attribute:: frame_seconds
                        
                        	Errored frame seconds in a period
                        	**type**\:   :py:class:`FrameSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds>`
                        
                        .. attribute:: high_threshold
                        
                        	Additional high threshold configuration
                        	**type**\:   :py:class:`HighThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold>`
                        
                        .. attribute:: on
                        
                        	Enable link monitoring on the interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: receive_crc
                        
                        	Received frames with CRC errors in a period
                        	**type**\:   :py:class:`ReceiveCrc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc>`
                        
                        .. attribute:: supported
                        
                        	Support link monitoring on the interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: symbol_period
                        
                        	Errored symbols in a period
                        	**type**\:   :py:class:`SymbolPeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.frame = Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame()
                            self.frame.parent = self
                            self.frame_period = Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod()
                            self.frame_period.parent = self
                            self.frame_seconds = Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds()
                            self.frame_seconds.parent = self
                            self.high_threshold = Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold()
                            self.high_threshold.parent = self
                            self.on = None
                            self.receive_crc = Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc()
                            self.receive_crc.parent = self
                            self.supported = None
                            self.symbol_period = Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod()
                            self.symbol_period.parent = self


                        class Frame(object):
                            """
                            Errored frames in a period measured by time
                            
                            .. attribute:: threshold
                            
                            	Errored frame threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 10..600
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: thresh
                                    
                                    	Set the high errored frame threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.none = None
                                        self.thresh = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.none is not None:
                                            return True

                                        if self.thresh is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.Frame']['meta_info']


                        class FramePeriod(object):
                            """
                            Errored frames in a period measured by number of frames
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-period threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 10000 frames
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-period threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: f_thresh
                                    
                                    	Set the high errored frame\-period threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.f_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.f_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame-period'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info']


                        class FrameSeconds(object):
                            """
                            Errored frame seconds in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 100..9000
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-seconds threshold in number of seconds
                                	**type**\:  int
                                
                                	**range:** 1..900
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: e_thresh
                                    
                                    	Set the high errored frame\-seconds threshold in number of seconds
                                    	**type**\:  int
                                    
                                    	**range:** 1..900
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.e_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.e_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame-seconds'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info']


                        class HighThreshold(object):
                            """
                            Additional high threshold configuration
                            
                            .. attribute:: action
                            
                            	Specifiy an action when the high threshold is crossed
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Specifiy an action when the high threshold is crossed
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high-threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info']


                        class ReceiveCrc(object):
                            """
                            Received frames with CRC errors in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 10..1800
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low received crc error threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: crc_thresh
                                    
                                    	Set the high received crc error threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.crc_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.crc_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:receive-crc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info']


                        class SymbolPeriod(object):
                            """
                            Errored symbols in a period
                            
                            .. attribute:: threshold
                            
                            	Error symbol\-period threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 1048576 symbols
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Error symbol\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low error symbol\-period threshold in number of symbols
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: err_thresh
                                    
                                    	Set the high error symbol\-period threshold in number of symbols
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.err_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.err_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:symbol-period'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:link-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.frame is not None and self.frame._has_data():
                                return True

                            if self.frame_period is not None and self.frame_period._has_data():
                                return True

                            if self.frame_seconds is not None and self.frame_seconds._has_data():
                                return True

                            if self.high_threshold is not None and self.high_threshold._has_data():
                                return True

                            if self.on is not None:
                                return True

                            if self.receive_crc is not None and self.receive_crc._has_data():
                                return True

                            if self.supported is not None:
                                return True

                            if self.symbol_period is not None and self.symbol_period._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.LinkMonitor']['meta_info']


                    class RemoteFailure(object):
                        """
                        Ethernet OAM remote failure indication
                        
                        .. attribute:: critical_event
                        
                        	Critical event
                        	**type**\:   :py:class:`CriticalEvent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent>`
                        
                        .. attribute:: dying_gasp
                        
                        	Dying gasp
                        	**type**\:   :py:class:`DyingGasp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp>`
                        
                        .. attribute:: link_fault
                        
                        	Link fault
                        	**type**\:   :py:class:`LinkFault <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.critical_event = Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent()
                            self.critical_event.parent = self
                            self.dying_gasp = Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp()
                            self.dying_gasp.parent = self
                            self.link_fault = Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault()
                            self.link_fault.parent = self


                        class CriticalEvent(object):
                            """
                            Critical event
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:critical-event'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info']


                        class DyingGasp(object):
                            """
                            Dying gasp
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = None


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dying-gasp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info']


                        class LinkFault(object):
                            """
                            Link fault
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = None


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:link-fault'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:remote-failure'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.critical_event is not None and self.critical_event._has_data():
                                return True

                            if self.dying_gasp is not None and self.dying_gasp._has_data():
                                return True

                            if self.link_fault is not None and self.link_fault._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteFailure']['meta_info']


                    class RemoteLoopback(object):
                        """
                        Ethernet OAM Remote Loopback
                        
                        .. attribute:: supported
                        
                        	Support remote loopback functionality
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: timeout
                        
                        	Set timeout value in number of seconds
                        	**type**\:  int
                        
                        	**range:** 1..10
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None
                            self.timeout = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:remote-loopback'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            if self.timeout is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam.RemoteLoopback']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:oam'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.link_monitor is not None and self.link_monitor._has_data():
                            return True

                        if self.max_rate is not None:
                            return True

                        if self.min_rate is not None:
                            return True

                        if self.mode is not None:
                            return True

                        if self.remote_failure is not None and self.remote_failure._has_data():
                            return True

                        if self.remote_loopback is not None and self.remote_loopback._has_data():
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet.Oam']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.oam is not None and self.oam._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Ethernet']['meta_info']


            class Negotiation(object):
                """
                Select autonegotiation mode
                
                .. attribute:: auto
                
                	Enable link autonegotiation
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:negotiation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Negotiation']['meta_info']


            class Synchronous(object):
                """
                Synchronous
                
                .. attribute:: mode
                
                	Mode
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.mode = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:synchronous'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.mode is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Synchronous']['meta_info']


            class Speed(object):
                """
                Configure speed operation
                
                .. attribute:: auto
                
                	Enable AUTO speed configuration
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: nonegotiate
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10
                
                	10 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_100
                
                	100 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_1000
                
                	1000 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10000
                
                	10000 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None
                    self.nonegotiate = None
                    self.value_10 = None
                    self.value_100 = None
                    self.value_1000 = None
                    self.value_10000 = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:speed'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.value_10 is not None:
                        return True

                    if self.value_100 is not None:
                        return True

                    if self.value_1000 is not None:
                        return True

                    if self.value_10000 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Speed']['meta_info']


            class Plim(object):
                """
                Configure features on the PLIM
                
                .. attribute:: ethernet
                
                	Configure features on the ethernet interface
                	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Plim.Ethernet>`
                
                .. attribute:: qos
                
                	QoS on the PLIM
                	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Plim.Qos>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ethernet = Native.Interface.Fortygigabitethernet.Plim.Ethernet()
                    self.ethernet.parent = self
                    self.qos = Native.Interface.Fortygigabitethernet.Plim.Qos()
                    self.qos.parent = self


                class Ethernet(object):
                    """
                    Configure features on the ethernet interface
                    
                    .. attribute:: vlan
                    
                    	vlan specific features
                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Plim.Ethernet.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = Native.Interface.Fortygigabitethernet.Plim.Ethernet.Vlan()
                        self.vlan.parent = self


                    class Vlan(object):
                        """
                        vlan specific features
                        
                        .. attribute:: filter
                        
                        	Configure VLAN filtering
                        	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Plim.Ethernet.Vlan.Filter>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.filter = Native.Interface.Fortygigabitethernet.Plim.Ethernet.Vlan.Filter()
                            self.filter.parent = self


                        class Filter(object):
                            """
                            Configure VLAN filtering
                            
                            .. attribute:: disable
                            
                            	Configure the interface to accept all VLAN traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Plim.Ethernet.Vlan.Filter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.filter is not None and self.filter._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Plim.Ethernet.Vlan']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None and self.vlan._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Plim.Ethernet']['meta_info']


                class Qos(object):
                    """
                    QoS on the PLIM
                    
                    .. attribute:: input
                    
                    	Configure PLIM QoS at the input of an interface
                    	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Plim.Qos.Input>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.input = Native.Interface.Fortygigabitethernet.Plim.Qos.Input()
                        self.input.parent = self


                    class Input(object):
                        """
                        Configure PLIM QoS at the input of an interface
                        
                        .. attribute:: queue
                        
                        	Queue number
                        	**type**\:   :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.queue = Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue()
                            self.queue.parent = self


                        class Queue(object):
                            """
                            Queue number
                            
                            .. attribute:: strict_priority
                            
                            	High priority queue
                            	**type**\:   :py:class:`StrictPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.StrictPriority>`
                            
                            .. attribute:: zero
                            
                            	Low priority queue
                            	**type**\:   :py:class:`Zero <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.Zero>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.strict_priority = Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.StrictPriority()
                                self.strict_priority.parent = self
                                self.zero = Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.Zero()
                                self.zero.parent = self


                            class Zero(object):
                                """
                                Low priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:   :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.Zero.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pause = Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.Zero.Pause()
                                    self.pause.parent = self


                                class Pause(object):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\:  bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.enable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pause'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.enable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.Zero.Pause']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:zero'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pause is not None and self.pause._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.Zero']['meta_info']


                            class StrictPriority(object):
                                """
                                High priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:   :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.StrictPriority.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pause = Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.StrictPriority.Pause()
                                    self.pause.parent = self


                                class Pause(object):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\:  bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.enable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pause'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.enable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.StrictPriority.Pause']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:strict-priority'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pause is not None and self.pause._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue.StrictPriority']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:queue'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.strict_priority is not None and self.strict_priority._has_data():
                                    return True

                                if self.zero is not None and self.zero._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Plim.Qos.Input.Queue']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:input'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.queue is not None and self.queue._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Plim.Qos.Input']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:qos'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.input is not None and self.input._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Plim.Qos']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:plim'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ethernet is not None and self.ethernet._has_data():
                        return True

                    if self.qos is not None and self.qos._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Plim']['meta_info']


            class Pppoe(object):
                """
                pppoe interface subcommands
                
                .. attribute:: enable
                
                	Enable pppoe
                	**type**\:   :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Pppoe.Enable>`
                
                	**presence node**\: True
                
                .. attribute:: max_sessions
                
                	Maximum PPPOE sessions
                	**type**\:  int
                
                	**range:** 1..4085
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None
                    self.max_sessions = None


                class Enable(object):
                    """
                    Enable pppoe
                    
                    .. attribute:: group
                    
                    	attach a BBA group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        attach a BBA group

                        .. data:: global_ = 0

                        """

                        global_ = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Pppoe.Enable.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:enable'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Pppoe.Enable']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pppoe'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None and self.enable._has_data():
                        return True

                    if self.max_sessions is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Pppoe']['meta_info']


            class Service(object):
                """
                Configure Ether Service
                
                .. attribute:: instance
                
                	Configure Ether Service Instance
                	**type**\: list of    :py:class:`Instance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.instance = YList()
                    self.instance.parent = self
                    self.instance.name = 'instance'


                class Instance(object):
                    """
                    Configure Ether Service Instance
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4000
                    
                    .. attribute:: bridge_domain
                    
                    	Bridge\-domain
                    	**type**\:   :py:class:`BridgeDomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.BridgeDomain>`
                    
                    .. attribute:: cfm
                    
                    	Ethernet CFM EFP subcommands
                    	**type**\:   :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Cfm>`
                    
                    .. attribute:: description
                    
                    	Service instance specific description
                    	**type**\:  str
                    
                    	**length:** 0..240
                    
                    .. attribute:: encapsulation
                    
                    	Configure ethernet frame match criteria
                    	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation>`
                    
                    .. attribute:: errdisable
                    
                    	Configure error disable
                    	**type**\:   :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable>`
                    
                    .. attribute:: ethernet
                    
                    	Configure an Ethernet Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet_container
                    
                    	
                    	**type**\:   :py:class:`EthernetContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer>`
                    
                    .. attribute:: ethernet_evc_name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: evc_name
                    
                    	
                    	**type**\:  str
                    
                    	**length:** 1..100
                    
                    .. attribute:: gigabitethernet
                    
                    	Configure an GigabitEthernet Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Ip>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 interface subcommands
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Ipv6>`
                    
                    .. attribute:: l2protocol
                    
                    	Configure l2 control protocol processing
                    	**type**\:   :py:class:`L2Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol>`
                    
                    .. attribute:: mac
                    
                    	Commands for MAC Address\-based features
                    	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Mac>`
                    
                    .. attribute:: rewrite
                    
                    	Configure ethernet rewrite criteria
                    	**type**\:   :py:class:`Rewrite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite>`
                    
                    .. attribute:: service_policy
                    
                    	Attach a policy\-map to an EFP
                    	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.ServicePolicy>`
                    
                    .. attribute:: shutdown
                    
                    	Take the Service Instance out of Service
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: snmp
                    
                    	Modify SNMP service instance parameters
                    	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Snmp>`
                    
                    .. attribute:: trunk
                    
                    	Trunk Service Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.bridge_domain = Native.Interface.Fortygigabitethernet.Service.Instance.BridgeDomain()
                        self.bridge_domain.parent = self
                        self.cfm = Native.Interface.Fortygigabitethernet.Service.Instance.Cfm()
                        self.cfm.parent = self
                        self.description = None
                        self.encapsulation = Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation()
                        self.encapsulation.parent = self
                        self.errdisable = Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable()
                        self.errdisable.parent = self
                        self.ethernet = None
                        self.ethernet_container = Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer()
                        self.ethernet_container.parent = self
                        self.ethernet_evc_name = None
                        self.evc_name = None
                        self.gigabitethernet = None
                        self.group = None
                        self.ip = Native.Interface.Fortygigabitethernet.Service.Instance.Ip()
                        self.ip.parent = self
                        self.ipv6 = Native.Interface.Fortygigabitethernet.Service.Instance.Ipv6()
                        self.ipv6.parent = self
                        self.l2protocol = Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol()
                        self.l2protocol.parent = self
                        self.mac = Native.Interface.Fortygigabitethernet.Service.Instance.Mac()
                        self.mac.parent = self
                        self.rewrite = Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite()
                        self.rewrite.parent = self
                        self.service_policy = Native.Interface.Fortygigabitethernet.Service.Instance.ServicePolicy()
                        self.service_policy.parent = self
                        self.shutdown = None
                        self.snmp = Native.Interface.Fortygigabitethernet.Service.Instance.Snmp()
                        self.snmp.parent = self
                        self.trunk = None


                    class Encapsulation(object):
                        """
                        Configure ethernet frame match criteria
                        
                        .. attribute:: default
                        
                        	catch\-all unconfigured encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dot1ad
                        
                        	802.1ad \- Provider Bridges
                        	**type**\:   :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad>`
                        
                        .. attribute:: dot1q
                        
                        	IEEE 802.1Q Virtual LAN or S\-VLAN
                        	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q>`
                        
                        .. attribute:: priority_tagged
                        
                        	Priority tagged EFP
                        	**type**\:   :py:class:`PriorityTagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.PriorityTagged>`
                        
                        .. attribute:: untagged
                        
                        	Untagged encapsulation
                        	**type**\:   :py:class:`Untagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Untagged>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.default = None
                            self.dot1ad = Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad()
                            self.dot1ad.parent = self
                            self.dot1q = Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q()
                            self.dot1q.parent = self
                            self.priority_tagged = Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.PriorityTagged()
                            self.priority_tagged.parent = self
                            self.untagged = None


                        class Dot1Ad(object):
                            """
                            802.1ad \- Provider Bridges
                            
                            .. attribute:: cos
                            
                            	CoS value to use for CFM packets
                            	**type**\:  list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:   :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2>`
                            
                            .. attribute:: dot1q
                            
                            	Second tag (dot1q)
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`Dot1QEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos = YLeafList()
                                self.cos.parent = self
                                self.cos.name = 'cos'
                                self.cos2 = Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2()
                                self.cos2.parent = self
                                self.dot1q = YLeafList()
                                self.dot1q.parent = self
                                self.dot1q.name = 'dot1q'
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'
                                self.exact = None
                                self.id = YLeafList()
                                self.id.parent = self
                                self.id.name = 'id'

                            class Dot1QEnum(Enum):
                                """
                                Dot1QEnum

                                Second tag (dot1q)

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum']


                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum']


                            class IdEnum(Enum):
                                """
                                IdEnum

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad.IdEnum']



                            class Cos2(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos2'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad.Cos2']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1ad'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos is not None:
                                    for child in self.cos:
                                        if child is not None:
                                            return True

                                if self.cos2 is not None and self.cos2._has_data():
                                    return True

                                if self.dot1q is not None:
                                    for child in self.dot1q:
                                        if child is not None:
                                            return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                if self.exact is not None:
                                    return True

                                if self.id is not None:
                                    for child in self.id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Ad']['meta_info']


                        class Dot1Q(object):
                            """
                            IEEE 802.1Q Virtual LAN or S\-VLAN
                            
                            .. attribute:: cos
                            
                            	cos Vlan
                            	**type**\:  list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:   :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q.EtypeEnum>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: second_dot1q
                            
                            	inner 802.1Q Virtual LAN or C\-VLAN
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`SecondDot1QEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: vlan_type
                            
                            	Vlan Protocol Type
                            	**type**\:   :py:class:`VlanTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos = YLeafList()
                                self.cos.parent = self
                                self.cos.name = 'cos'
                                self.cos2 = Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q.Cos2()
                                self.cos2.parent = self
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'
                                self.exact = None
                                self.id = YLeafList()
                                self.id.parent = self
                                self.id.name = 'id'
                                self.second_dot1q = YLeafList()
                                self.second_dot1q.parent = self
                                self.second_dot1q.name = 'second_dot1q'
                                self.vlan_type = None

                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q.EtypeEnum']


                            class IdEnum(Enum):
                                """
                                IdEnum

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q.IdEnum']


                            class SecondDot1QEnum(Enum):
                                """
                                SecondDot1QEnum

                                inner 802.1Q Virtual LAN or C\-VLAN

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum']


                            class VlanTypeEnum(Enum):
                                """
                                VlanTypeEnum

                                Vlan Protocol Type

                                .. data:: Y_0x88A8 = 0

                                .. data:: Y_0x9100 = 1

                                .. data:: Y_0x9200 = 2

                                """

                                Y_0x88A8 = 0

                                Y_0x9100 = 1

                                Y_0x9200 = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum']



                            class Cos2(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos2'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q.Cos2']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1q'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos is not None:
                                    for child in self.cos:
                                        if child is not None:
                                            return True

                                if self.cos2 is not None and self.cos2._has_data():
                                    return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                if self.exact is not None:
                                    return True

                                if self.id is not None:
                                    for child in self.id:
                                        if child is not None:
                                            return True

                                if self.second_dot1q is not None:
                                    for child in self.second_dot1q:
                                        if child is not None:
                                            return True

                                if self.vlan_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Dot1Q']['meta_info']


                        class PriorityTagged(object):
                            """
                            Priority tagged EFP
                            
                            .. attribute:: cos_container
                            
                            	
                            	**type**\:   :py:class:`CosContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos_container = Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer()
                                self.cos_container.parent = self
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'

                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum']



                            class CosContainer(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:priority-tagged'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos_container is not None and self.cos_container._has_data():
                                    return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.PriorityTagged']['meta_info']


                        class Untagged(object):
                            """
                            Untagged encapsulation
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:untagged'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation.Untagged']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:encapsulation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.default is not None:
                                return True

                            if self.dot1ad is not None and self.dot1ad._has_data():
                                return True

                            if self.dot1q is not None and self.dot1q._has_data():
                                return True

                            if self.priority_tagged is not None and self.priority_tagged._has_data():
                                return True

                            if self.untagged is not None and self.untagged._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Encapsulation']['meta_info']


                    class Ip(object):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Acl>`
                        
                        .. attribute:: dhcp
                        
                        	DHCP
                        	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp>`
                        
                        .. attribute:: verify
                        
                        	verify
                        	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Verify>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Acl()
                            self.acl.parent = self
                            self.dhcp = Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp()
                            self.dhcp.parent = self
                            self.verify = Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Verify()
                            self.verify.parent = self


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: access_group
                            
                            	Specify access control for packets
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.access_group = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.access_group is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Acl']['meta_info']


                        class Dhcp(object):
                            """
                            DHCP
                            
                            .. attribute:: relay
                            
                            	DHCP relay
                            	**type**\:   :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.relay = Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay()
                                self.relay.parent = self


                            class Relay(object):
                                """
                                DHCP relay
                                
                                .. attribute:: information
                                
                                	DHCP relay information
                                	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.information = Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information()
                                    self.information.parent = self


                                class Information(object):
                                    """
                                    DHCP relay information
                                    
                                    .. attribute:: option
                                    
                                    	DHCP relay information option
                                    	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.option = Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option()
                                        self.option.parent = self


                                    class Option(object):
                                        """
                                        DHCP relay information option
                                        
                                        .. attribute:: subscriber_id
                                        
                                        	DHCP relay information option subscriber\-id
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.subscriber_id = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.subscriber_id is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information.Option']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:information'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.option is not None and self.option._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:relay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.information is not None and self.information._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp.Relay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dhcp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.relay is not None and self.relay._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Dhcp']['meta_info']


                        class Verify(object):
                            """
                            verify
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: port_security
                            
                            	port security
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: source
                            
                            	source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan
                            
                            	vlan specification
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None
                                self.port_security = None
                                self.source = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:verify'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None:
                                    return True

                                if self.port_security is not None:
                                    return True

                                if self.source is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ip.Verify']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.dhcp is not None and self.dhcp._has_data():
                                return True

                            if self.verify is not None and self.verify._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ip']['meta_info']


                    class Ipv6(object):
                        """
                        IPv6 interface subcommands
                        
                        .. attribute:: in_
                        
                        	inbound packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	outbound packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: traffic_filter
                        
                        	Access control list for packets
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.in_ = None
                            self.out = None
                            self.traffic_filter = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.in_ is not None:
                                return True

                            if self.out is not None:
                                return True

                            if self.traffic_filter is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Ipv6']['meta_info']


                    class Rewrite(object):
                        """
                        Configure ethernet rewrite criteria
                        
                        .. attribute:: ingress
                        
                        	Ingress Rewrite
                        	**type**\:   :py:class:`Ingress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ingress = Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress()
                            self.ingress.parent = self


                        class Ingress(object):
                            """
                            Ingress Rewrite
                            
                            .. attribute:: tag
                            
                            	Configure Rewrite Tag
                            	**type**\:   :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.tag = Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag()
                                self.tag.parent = self


                            class Tag(object):
                                """
                                Configure Rewrite Tag
                                
                                .. attribute:: pop
                                
                                	Pop the tag
                                	**type**\:   :py:class:`Pop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop>`
                                
                                .. attribute:: push
                                
                                	Rewrite Operation of push
                                	**type**\:   :py:class:`Push <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push>`
                                
                                .. attribute:: translate
                                
                                	Translate Tag
                                	**type**\:   :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pop = Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop()
                                    self.pop.parent = self
                                    self.push = Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push()
                                    self.push.parent = self
                                    self.translate = Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate()
                                    self.translate.parent = self


                                class Pop(object):
                                    """
                                    Pop the tag
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum>`
                                    
                                    .. attribute:: way
                                    
                                    	
                                    	**type**\:   :py:class:`WayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mode = None
                                        self.way = None

                                    class ModeEnum(Enum):
                                        """
                                        ModeEnum

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = 0


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum']


                                    class WayEnum(Enum):
                                        """
                                        WayEnum

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mode is not None:
                                            return True

                                        if self.way is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Pop']['meta_info']


                                class Push(object):
                                    """
                                    Rewrite Operation of push
                                    
                                    .. attribute:: dot1q
                                    
                                    	Push dot1q tag
                                    	**type**\:  int
                                    
                                    	**range:** 1..4094
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dot1q = None
                                        self.mode = None

                                    class ModeEnum(Enum):
                                        """
                                        ModeEnum

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = 0


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:push'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dot1q is not None:
                                            return True

                                        if self.mode is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Push']['meta_info']


                                class Translate(object):
                                    """
                                    Translate Tag
                                    
                                    .. attribute:: t1_to_1
                                    
                                    	Translate 1\-to\-1
                                    	**type**\:   :py:class:`T1To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1>`
                                    
                                    .. attribute:: t1_to_2
                                    
                                    	Translate 1\-to\-2
                                    	**type**\:   :py:class:`T1To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2>`
                                    
                                    .. attribute:: t2_to_1
                                    
                                    	Translate 2\-to\-1
                                    	**type**\:   :py:class:`T2To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1>`
                                    
                                    .. attribute:: t2_to_2
                                    
                                    	Translate 2\-to\-2
                                    	**type**\:   :py:class:`T2To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.t1_to_1 = Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1()
                                        self.t1_to_1.parent = self
                                        self.t1_to_2 = Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2()
                                        self.t1_to_2.parent = self
                                        self.t2_to_1 = Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1()
                                        self.t2_to_1.parent = self
                                        self.t2_to_2 = Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2()
                                        self.t2_to_2.parent = self


                                    class T1To1(object):
                                        """
                                        Translate 1\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t1-to-1'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1']['meta_info']


                                    class T1To2(object):
                                        """
                                        Translate 1\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum>`
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None
                                            self.second_dot1q = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t1-to-2'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            if self.second_dot1q is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2']['meta_info']


                                    class T2To1(object):
                                        """
                                        Translate 2\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t2-to-1'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1']['meta_info']


                                    class T2To2(object):
                                        """
                                        Translate 2\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum>`
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None
                                            self.second_dot1q = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t2-to-2'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            if self.second_dot1q is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:translate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.t1_to_1 is not None and self.t1_to_1._has_data():
                                            return True

                                        if self.t1_to_2 is not None and self.t1_to_2._has_data():
                                            return True

                                        if self.t2_to_1 is not None and self.t2_to_1._has_data():
                                            return True

                                        if self.t2_to_2 is not None and self.t2_to_2._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:tag'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pop is not None and self.pop._has_data():
                                        return True

                                    if self.push is not None and self.push._has_data():
                                        return True

                                    if self.translate is not None and self.translate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress.Tag']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ingress'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.tag is not None and self.tag._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite.Ingress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:rewrite'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ingress is not None and self.ingress._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Rewrite']['meta_info']


                    class Errdisable(object):
                        """
                        Configure error disable
                        
                        .. attribute:: recovery
                        
                        	enable auto recovery
                        	**type**\:   :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable.Recovery>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.recovery = Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable.Recovery()
                            self.recovery.parent = self


                        class Recovery(object):
                            """
                            enable auto recovery
                            
                            .. attribute:: cause
                            
                            	error disable cause
                            	**type**\:   :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable.Recovery.Cause>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cause = Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable.Recovery.Cause()
                                self.cause.parent = self


                            class Cause(object):
                                """
                                error disable cause
                                
                                .. attribute:: mac_security
                                
                                	mac\-security violation
                                	**type**\:  int
                                
                                	**range:** 30..86400
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mac_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cause'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mac_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable.Recovery.Cause']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:recovery'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cause is not None and self.cause._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable.Recovery']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:errdisable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.recovery is not None and self.recovery._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Errdisable']['meta_info']


                    class EthernetContainer(object):
                        """
                        
                        
                        .. attribute:: ethernet
                        
                        	ethernet
                        	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ethernet = Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet()
                            self.ethernet.parent = self


                        class Ethernet(object):
                            """
                            ethernet
                            
                            .. attribute:: lmi
                            
                            	Configure ether lmi parameters
                            	**type**\:   :py:class:`Lmi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi>`
                            
                            .. attribute:: loopback
                            
                            	Ethernet Dataplane Loopback
                            	**type**\:   :py:class:`Loopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lmi = Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi()
                                self.lmi.parent = self
                                self.loopback = Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback()
                                self.loopback.parent = self


                            class Lmi(object):
                                """
                                Configure ether lmi parameters
                                
                                .. attribute:: ce_vlan
                                
                                	Configure ether lmi customer vlans
                                	**type**\:   :py:class:`CeVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ce_vlan = Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan()
                                    self.ce_vlan.parent = self


                                class CeVlan(object):
                                    """
                                    Configure ether lmi customer vlans
                                    
                                    .. attribute:: map
                                    
                                    	Configure ether lmi ce\-vlan/evc map
                                    	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map = Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map()
                                        self.map.parent = self


                                    class Map(object):
                                        """
                                        Configure ether lmi ce\-vlan/evc map
                                        
                                        .. attribute:: any
                                        
                                        	For all VLANS [untagged,1\-4094]
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: default
                                        
                                        	Default EFP
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: untagged
                                        
                                        	Untagged frames
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vlan_range
                                        
                                        	
                                        	**type**\:   :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.any = None
                                            self.default = None
                                            self.untagged = None
                                            self.vlan_range = Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange()
                                            self.vlan_range.parent = self


                                        class VlanRange(object):
                                            """
                                            
                                            
                                            .. attribute:: comma
                                            
                                            	comma
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: hyphen
                                            
                                            	hyphen
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: vlan_id
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.comma = None
                                                self.hyphen = None
                                                self.vlan_id = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:vlan-range'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.comma is not None:
                                                    return True

                                                if self.hyphen is not None:
                                                    return True

                                                if self.vlan_id is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:map'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.any is not None:
                                                return True

                                            if self.default is not None:
                                                return True

                                            if self.untagged is not None:
                                                return True

                                            if self.vlan_range is not None and self.vlan_range._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ce-vlan'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map is not None and self.map._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:lmi'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ce_vlan is not None and self.ce_vlan._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info']


                            class Loopback(object):
                                """
                                Ethernet Dataplane Loopback
                                
                                .. attribute:: permit
                                
                                	Allow data plane loopback to be activated
                                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.permit = Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit()
                                    self.permit.parent = self


                                class Permit(object):
                                    """
                                    Allow data plane loopback to be activated
                                    
                                    .. attribute:: external
                                    
                                    	Allow to loopback the traffic from the wire
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: internal
                                    
                                    	Allow to loopback the traffic from the relay
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.internal = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:permit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None:
                                            return True

                                        if self.internal is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:loopback'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.permit is not None and self.permit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lmi is not None and self.lmi._has_data():
                                    return True

                                if self.loopback is not None and self.loopback._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer.Ethernet']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet-container'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ethernet is not None and self.ethernet._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.EthernetContainer']['meta_info']


                    class Snmp(object):
                        """
                        Modify SNMP service instance parameters
                        
                        .. attribute:: ifindex
                        
                        	Persist ifindex for the service instance
                        	**type**\:   :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Snmp.Ifindex>`
                        
                        .. attribute:: trap
                        
                        	Allow a specific SNMP trap
                        	**type**\:   :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Snmp.Trap>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ifindex = Native.Interface.Fortygigabitethernet.Service.Instance.Snmp.Ifindex()
                            self.ifindex.parent = self
                            self.trap = Native.Interface.Fortygigabitethernet.Service.Instance.Snmp.Trap()
                            self.trap.parent = self


                        class Trap(object):
                            """
                            Allow a specific SNMP trap
                            
                            .. attribute:: link_status
                            
                            	Allow SNMP LINKUP and LINKDOWN traps
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.link_status = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:trap'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.link_status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Snmp.Trap']['meta_info']


                        class Ifindex(object):
                            """
                            Persist ifindex for the service instance
                            
                            .. attribute:: persist
                            
                            	Enable/Disable ifIndex persistence
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.persist = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ifindex'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.persist is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Snmp.Ifindex']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:snmp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ifindex is not None and self.ifindex._has_data():
                                return True

                            if self.trap is not None and self.trap._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Snmp']['meta_info']


                    class BridgeDomain(object):
                        """
                        Bridge\-domain
                        
                        .. attribute:: bridge_id
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: from_encapsulation
                        
                        	from\-encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: split_horizon
                        
                        	Configure this port as a member of a split horizon group
                        	**type**\:   :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.BridgeDomain.SplitHorizon>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bridge_id = None
                            self.from_encapsulation = None
                            self.split_horizon = Native.Interface.Fortygigabitethernet.Service.Instance.BridgeDomain.SplitHorizon()
                            self.split_horizon.parent = self


                        class SplitHorizon(object):
                            """
                            Configure this port as a member of a split horizon group
                            
                            .. attribute:: group
                            
                            	Split\-horizon group
                            	**type**\:  int
                            
                            	**range:** 0..13
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:split-horizon'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.BridgeDomain.SplitHorizon']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:bridge-domain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bridge_id is not None:
                                return True

                            if self.from_encapsulation is not None:
                                return True

                            if self.split_horizon is not None and self.split_horizon._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.BridgeDomain']['meta_info']


                    class Mac(object):
                        """
                        Commands for MAC Address\-based features
                        
                        .. attribute:: security
                        
                        	MAC Security commands
                        	**type**\:   :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Mac.Security>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.security = None


                        class Security(object):
                            """
                            MAC Security commands
                            
                            .. attribute:: maximum
                            
                            	Configure an upper bound
                            	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Mac.Security.Maximum>`
                            
                            .. attribute:: violation
                            
                            	Configure the response when a MAC security policy is violated
                            	**type**\:   :py:class:`ViolationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Mac.Security.ViolationEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.maximum = Native.Interface.Fortygigabitethernet.Service.Instance.Mac.Security.Maximum()
                                self.maximum.parent = self
                                self.violation = None

                            class ViolationEnum(Enum):
                                """
                                ViolationEnum

                                Configure the response when a MAC security policy is violated

                                .. data:: protect = 0

                                .. data:: restrict = 1

                                """

                                protect = 0

                                restrict = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Mac.Security.ViolationEnum']



                            class Maximum(object):
                                """
                                Configure an upper bound
                                
                                .. attribute:: addresses
                                
                                	Maximum addresses that can be learnt on this service instance
                                	**type**\:  int
                                
                                	**range:** 1..1000
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.addresses = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:maximum'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.addresses is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Mac.Security.Maximum']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:security'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.maximum is not None and self.maximum._has_data():
                                    return True

                                if self.violation is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Mac.Security']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mac'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.security is not None and self.security._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Mac']['meta_info']


                    class ServicePolicy(object):
                        """
                        Attach a policy\-map to an EFP
                        
                        .. attribute:: input
                        
                        	service policy input
                        	**type**\: list of    :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.ServicePolicy.Input>`
                        
                        .. attribute:: output
                        
                        	service policy output
                        	**type**\: list of    :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.ServicePolicy.Output>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = YList()
                            self.input.parent = self
                            self.input.name = 'input'
                            self.output = YList()
                            self.output.parent = self
                            self.output.name = 'output'


                        class Input(object):
                            """
                            service policy input
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:input[Cisco-IOS-XE-ethernet:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.ServicePolicy.Input']['meta_info']


                        class Output(object):
                            """
                            service policy output
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:output[Cisco-IOS-XE-ethernet:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.ServicePolicy.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:service-policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None:
                                for child_ref in self.input:
                                    if child_ref._has_data():
                                        return True

                            if self.output is not None:
                                for child_ref in self.output:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.ServicePolicy']['meta_info']


                    class Cfm(object):
                        """
                        Ethernet CFM EFP subcommands
                        
                        .. attribute:: encapsulation
                        
                        	Configure CFM ethernet frame encapsulation
                        	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation>`
                        
                        .. attribute:: mep
                        
                        	Maintenance End Point
                        	**type**\:   :py:class:`Mep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Mep>`
                        
                        .. attribute:: mip
                        
                        	Maintenance Intermediate Point
                        	**type**\:   :py:class:`Mip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Mip>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.encapsulation = Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation()
                            self.encapsulation.parent = self
                            self.mep = Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Mep()
                            self.mep.parent = self
                            self.mip = Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Mip()
                            self.mip.parent = self


                        class Encapsulation(object):
                            """
                            Configure CFM ethernet frame encapsulation
                            
                            .. attribute:: dot1ad
                            
                            	802.1ad \- Provider Bridges
                            	**type**\:   :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad>`
                            
                            .. attribute:: dot1q
                            
                            	IEEE 802.1Q Virtual LAN or S\-VLAN
                            	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Q>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dot1ad = Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad()
                                self.dot1ad.parent = self
                                self.dot1q = Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Q()
                                self.dot1q.parent = self


                            class Dot1Ad(object):
                                """
                                802.1ad \- Provider Bridges
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: dot1q
                                
                                	Second tag (dot1q)
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = None
                                    self.dot1q = None
                                    self.vlan_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1ad'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        return True

                                    if self.dot1q is not None:
                                        return True

                                    if self.vlan_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Ad']['meta_info']


                            class Dot1Q(object):
                                """
                                IEEE 802.1Q Virtual LAN or S\-VLAN
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: second_dot1q
                                
                                	inner 802.1Q Virtual LAN or C\-VLAN
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = None
                                    self.second_dot1q = None
                                    self.vlan_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1q'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        return True

                                    if self.second_dot1q is not None:
                                        return True

                                    if self.vlan_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation.Dot1Q']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:encapsulation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dot1ad is not None and self.dot1ad._has_data():
                                    return True

                                if self.dot1q is not None and self.dot1q._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Encapsulation']['meta_info']


                        class Mep(object):
                            """
                            Maintenance End Point
                            
                            .. attribute:: domain
                            
                            	Configure a domain for this mep
                            	**type**\:  str
                            
                            .. attribute:: mpid
                            
                            	Maintenance End Point Identifier
                            	**type**\:  int
                            
                            	**range:** 1..8191
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.domain = None
                                self.mpid = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mep'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.domain is not None:
                                    return True

                                if self.mpid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Mep']['meta_info']


                        class Mip(object):
                            """
                            Maintenance Intermediate Point
                            
                            .. attribute:: level
                            
                            	Maintenance Level
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.level = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.level is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Cfm.Mip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cfm'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.encapsulation is not None and self.encapsulation._has_data():
                                return True

                            if self.mep is not None and self.mep._has_data():
                                return True

                            if self.mip is not None and self.mip._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.Cfm']['meta_info']


                    class L2Protocol(object):
                        """
                        Configure l2 control protocol processing
                        
                        .. attribute:: forward
                        
                        	forward L2 control protocol packets as data
                        	**type**\:   :py:class:`Forward <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Forward>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: peer
                        
                        	peer L2 control protocol packets as data
                        	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Peer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: tunnel
                        
                        	tunnel L2 control protocol packets as data
                        	**type**\:   :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Tunnel>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forward = None
                            self.peer = None
                            self.tunnel = None


                        class Peer(object):
                            """
                            peer L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Peer.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Peer.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:peer'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Peer']['meta_info']


                        class Forward(object):
                            """
                            forward L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Forward.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Forward.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:forward'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Forward']['meta_info']


                        class Tunnel(object):
                            """
                            tunnel L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Tunnel.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Tunnel.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:tunnel'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol.Tunnel']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:l2protocol'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forward is not None and self.forward._has_data():
                                return True

                            if self.peer is not None and self.peer._has_data():
                                return True

                            if self.tunnel is not None and self.tunnel._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance.L2Protocol']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:instance[Cisco-IOS-XE-ethernet:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.bridge_domain is not None and self.bridge_domain._has_data():
                            return True

                        if self.cfm is not None and self.cfm._has_data():
                            return True

                        if self.description is not None:
                            return True

                        if self.encapsulation is not None and self.encapsulation._has_data():
                            return True

                        if self.errdisable is not None and self.errdisable._has_data():
                            return True

                        if self.ethernet is not None:
                            return True

                        if self.ethernet_container is not None and self.ethernet_container._has_data():
                            return True

                        if self.ethernet_evc_name is not None:
                            return True

                        if self.evc_name is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        if self.l2protocol is not None and self.l2protocol._has_data():
                            return True

                        if self.mac is not None and self.mac._has_data():
                            return True

                        if self.rewrite is not None and self.rewrite._has_data():
                            return True

                        if self.service_policy is not None and self.service_policy._has_data():
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.snmp is not None and self.snmp._has_data():
                            return True

                        if self.trunk is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Service.Instance']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:service'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.instance is not None:
                        for child_ref in self.instance:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Service']['meta_info']


            class Auto(object):
                """
                Configure Automation
                
                .. attribute:: qos
                
                	Configure AutoQoS
                	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Auto.Qos>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.qos = Native.Interface.Fortygigabitethernet.Auto.Qos()
                    self.qos.parent = self


                class Qos(object):
                    """
                    Configure AutoQoS
                    
                    .. attribute:: classify
                    
                    	Configure classification for untrusted devices
                    	**type**\:   :py:class:`Classify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Auto.Qos.Classify>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trust
                    
                    	Trust the DSCP/CoS marking
                    	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Auto.Qos.Trust>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: video
                    
                    	Configure AutoQoS for video devices
                    	**type**\:   :py:class:`Video <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Auto.Qos.Video>`
                    
                    .. attribute:: voip
                    
                    	Configure AutoQoS for VoIP
                    	**type**\:   :py:class:`Voip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Auto.Qos.Voip>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.classify = None
                        self.trust = None
                        self.video = Native.Interface.Fortygigabitethernet.Auto.Qos.Video()
                        self.video.parent = self
                        self.voip = None


                    class Classify(object):
                        """
                        Configure classification for untrusted devices
                        
                        .. attribute:: police
                        
                        	Configure QoS policing for untrusted devices
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.police = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:classify'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.police is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Auto.Qos.Classify']['meta_info']


                    class Trust(object):
                        """
                        Trust the DSCP/CoS marking
                        
                        .. attribute:: cos
                        
                        	Trust the CoS marking
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dscp
                        
                        	Trust the DSCP marking
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.cos = None
                            self.dscp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:trust'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.cos is not None:
                                return True

                            if self.dscp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Auto.Qos.Trust']['meta_info']


                    class Video(object):
                        """
                        Configure AutoQoS for video devices
                        
                        .. attribute:: cts
                        
                        	Trust the QoS marking of the Cisco Telepresence System
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ip_camera
                        
                        	Trust the QoS marking of the Ip Video Surveillance camera
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: media_player
                        
                        	Trust the Qos marking of the Cisco Media Player
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cts = None
                            self.ip_camera = None
                            self.media_player = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:video'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cts is not None:
                                return True

                            if self.ip_camera is not None:
                                return True

                            if self.media_player is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Auto.Qos.Video']['meta_info']


                    class Voip(object):
                        """
                        Configure AutoQoS for VoIP
                        
                        .. attribute:: cisco_phone
                        
                        	Trust the QoS marking of Cisco IP Phone
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cisco_softphone
                        
                        	Trust the QoS marking of Cisco IP SoftPhone
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: trust
                        
                        	Trust the DSCP/CoS marking
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.cisco_phone = None
                            self.cisco_softphone = None
                            self.trust = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:voip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.cisco_phone is not None:
                                return True

                            if self.cisco_softphone is not None:
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Auto.Qos.Voip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:qos'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.classify is not None and self.classify._has_data():
                            return True

                        if self.trust is not None and self.trust._has_data():
                            return True

                        if self.video is not None and self.video._has_data():
                            return True

                        if self.voip is not None and self.voip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Auto.Qos']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:auto'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.qos is not None and self.qos._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Auto']['meta_info']


            class Datalink(object):
                """
                Interface Datalink commands
                
                .. attribute:: flow
                
                	Interface Flow configuration subcommands
                	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Datalink.Flow>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.flow = Native.Interface.Fortygigabitethernet.Datalink.Flow()
                    self.flow.parent = self


                class Flow(object):
                    """
                    Interface Flow configuration subcommands
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Datalink.Flow.Monitor>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.monitor = None


                    class Monitor(object):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: input_output
                        
                        	Apply Flow Monitor on input/output traffic
                        	**type**\:   :py:class:`InputOutputEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Datalink.Flow.Monitor.InputOutputEnum>`
                        
                        .. attribute:: user_defined_flow
                        
                        	User defined
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.input_output = None
                            self.user_defined_flow = None

                        class InputOutputEnum(Enum):
                            """
                            InputOutputEnum

                            Apply Flow Monitor on input/output traffic

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = 0

                            output = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Datalink.Flow.Monitor.InputOutputEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.input_output is not None:
                                return True

                            if self.user_defined_flow is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Datalink.Flow.Monitor']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.monitor is not None and self.monitor._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Datalink.Flow']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:datalink'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.flow is not None and self.flow._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Datalink']['meta_info']


            class Energywise(object):
                """
                EnergyWise interface configurations
                
                .. attribute:: activitycheck
                
                	Apply an activity check before turning off power    to this PoE port
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.activitycheck = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:energywise'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.activitycheck is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Energywise']['meta_info']


            class Location(object):
                """
                Interface location information
                
                .. attribute:: civic_location_id
                
                	Civic location information
                	**type**\:   :py:class:`CivicLocationId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Location.CivicLocationId>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.civic_location_id = Native.Interface.Fortygigabitethernet.Location.CivicLocationId()
                    self.civic_location_id.parent = self


                class CivicLocationId(object):
                    """
                    Civic location information
                    
                    .. attribute:: host
                    
                    	Globally defined host location identifer
                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Location.CivicLocationId.Host>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: location_identifier
                    
                    	civic location identifier string
                    	**type**\:  str
                    
                    .. attribute:: none
                    
                    	No globally defined location identifer
                    	**type**\:   :py:class:`None_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Location.CivicLocationId.None_>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.host = None
                        self.location_identifier = None
                        self.none = None


                    class Host(object):
                        """
                        Globally defined host location identifer
                        
                        .. attribute:: port_location
                        
                        	Port specific attributes
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.port_location = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.port_location is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Location.CivicLocationId.Host']['meta_info']


                    class None_(object):
                        """
                        No globally defined location identifer
                        
                        .. attribute:: port_location
                        
                        	Port specific attributes
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.port_location = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:none'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.port_location is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Location.CivicLocationId.None_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:civic-location-id'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.host is not None and self.host._has_data():
                            return True

                        if self.location_identifier is not None:
                            return True

                        if self.none is not None and self.none._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Location.CivicLocationId']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:location'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.civic_location_id is not None and self.civic_location_id._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Location']['meta_info']


            class Mac(object):
                """
                MAC interface commands
                
                .. attribute:: access_group
                
                	MAC access\-group configuration commands
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Mac.AccessGroup>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Fortygigabitethernet.Mac.AccessGroup()
                    self.access_group.parent = self


                class AccessGroup(object):
                    """
                    MAC access\-group configuration commands
                    
                    .. attribute:: acl_name
                    
                    	ACL name
                    	**type**\:   :py:class:`AclName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Mac.AccessGroup.AclName>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acl_name = Native.Interface.Fortygigabitethernet.Mac.AccessGroup.AclName()
                        self.acl_name.parent = self


                    class AclName(object):
                        """
                        ACL name
                        
                        .. attribute:: acl_name
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: apply_to
                        
                        	
                        	**type**\:   :py:class:`ApplyToEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Mac.AccessGroup.AclName.ApplyToEnum>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl_name = None
                            self.apply_to = None

                        class ApplyToEnum(Enum):
                            """
                            ApplyToEnum

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = 0

                            out = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Fortygigabitethernet.Mac.AccessGroup.AclName.ApplyToEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:ACL-name'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl_name is not None:
                                return True

                            if self.apply_to is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.Mac.AccessGroup.AclName']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acl_name is not None and self.acl_name._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Mac.AccessGroup']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Mac']['meta_info']


            class Macro(object):
                """
                Command macro
                
                .. attribute:: auto
                
                	Smartport interface macro configurations
                	**type**\:   :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Macro.Auto>`
                
                .. attribute:: description
                
                	Macro description for this interface
                	**type**\:  str
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = Native.Interface.Fortygigabitethernet.Macro.Auto()
                    self.auto.parent = self
                    self.description = None


                class Auto(object):
                    """
                    Smartport interface macro configurations
                    
                    .. attribute:: processing
                    
                    	Enable smartport macro auto execution on this interface
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.processing = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:auto'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.processing is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Macro.Auto']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:macro'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None and self.auto._has_data():
                        return True

                    if self.description is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Macro']['meta_info']


            class DualActive(object):
                """
                
                
                .. attribute:: fast_hello
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fast_hello = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:dual-active'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fast_hello is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.DualActive']['meta_info']


            class Lldp(object):
                """
                LLDP interface subcommands
                
                .. attribute:: receive
                
                	Enable LLDP reception on interface
                	**type**\:  bool
                
                .. attribute:: transmit
                
                	Enable LLDP transmission on interface
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.transmit = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:lldp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.transmit is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Lldp']['meta_info']


            class LoadBalancing(object):
                """
                Etherchannel Load\-Balancing
                
                .. attribute:: flow
                
                	Based on the traffic flows identified by the packet headers
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vlan
                
                	Based on the VLAN to member links manual configuration
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.flow = None
                    self.vlan = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:load-balancing'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.flow is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.LoadBalancing']['meta_info']


            class VlanRange(object):
                """
                
                
                .. attribute:: id  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..4096
                
                
                ----
                	**type**\:  str
                
                
                ----
                .. attribute:: service_policy
                
                	Configure QoS Service Policy
                	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.VlanRange.ServicePolicy>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.service_policy = Native.Interface.Fortygigabitethernet.VlanRange.ServicePolicy()
                    self.service_policy.parent = self


                class ServicePolicy(object):
                    """
                    Configure QoS Service Policy
                    
                    .. attribute:: input
                    
                    	Assign policy\-map to the input of an interface
                    	**type**\:  str
                    
                    .. attribute:: output
                    
                    	Assign policy\-map to the output of an interface
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.input = None
                        self.output = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:service-policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.input is not None:
                            return True

                        if self.output is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.VlanRange.ServicePolicy']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan-range[Cisco-IOS-XE-switch:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.service_policy is not None and self.service_policy._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.VlanRange']['meta_info']


            class Switch(object):
                """
                
                
                .. attribute:: virtual
                
                	
                	**type**\:   :py:class:`Virtual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.Switch.Virtual>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.virtual = Native.Interface.Fortygigabitethernet.Switch.Virtual()
                    self.virtual.parent = self


                class Virtual(object):
                    """
                    
                    
                    .. attribute:: link
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.link = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:virtual'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.link is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.Switch.Virtual']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:switch'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.virtual is not None and self.virtual._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Switch']['meta_info']


            class SrrQueue(object):
                """
                
                
                .. attribute:: bandwidth
                
                	
                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bandwidth = Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth()
                    self.bandwidth.parent = self


                class Bandwidth(object):
                    """
                    
                    
                    .. attribute:: shape
                    
                    	
                    	**type**\:   :py:class:`Shape <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth.Shape>`
                    
                    .. attribute:: share
                    
                    	
                    	**type**\:   :py:class:`Share <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth.Share>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.shape = Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth.Shape()
                        self.shape.parent = self
                        self.share = Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth.Share()
                        self.share.parent = self


                    class Shape(object):
                        """
                        
                        
                        .. attribute:: weight1
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight2
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight3
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight4
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.weight1 = None
                            self.weight2 = None
                            self.weight3 = None
                            self.weight4 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:shape'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.weight1 is not None:
                                return True

                            if self.weight2 is not None:
                                return True

                            if self.weight3 is not None:
                                return True

                            if self.weight4 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth.Shape']['meta_info']


                    class Share(object):
                        """
                        
                        
                        .. attribute:: weight1
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight2
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight3
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight4
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.weight1 = None
                            self.weight2 = None
                            self.weight3 = None
                            self.weight4 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:share'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.weight1 is not None:
                                return True

                            if self.weight2 is not None:
                                return True

                            if self.weight3 is not None:
                                return True

                            if self.weight4 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth.Share']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:bandwidth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.shape is not None and self.shape._has_data():
                            return True

                        if self.share is not None and self.share._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Fortygigabitethernet.SrrQueue.Bandwidth']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:srr-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bandwidth is not None and self.bandwidth._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.SrrQueue']['meta_info']


            class Macsec(object):
                """
                Enable macsec on the interface
                
                .. attribute:: network_link
                
                	Enable macsec on switch connected interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.network_link = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:macsec'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.network_link is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Fortygigabitethernet.Macsec']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:FortyGigabitEthernet[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.auto is not None and self.auto._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.carrier_delay is not None and self.carrier_delay._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.channel_group is not None and self.channel_group._has_data():
                    return True

                if self.channel_protocol is not None:
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.datalink is not None and self.datalink._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.dual_active is not None and self.dual_active._has_data():
                    return True

                if self.duplex is not None:
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.energywise is not None and self.energywise._has_data():
                    return True

                if self.ethernet is not None and self.ethernet._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.lldp is not None and self.lldp._has_data():
                    return True

                if self.load_balancing is not None and self.load_balancing._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.location is not None and self.location._has_data():
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.mac is not None and self.mac._has_data():
                    return True

                if self.macro is not None and self.macro._has_data():
                    return True

                if self.macsec is not None and self.macsec._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.media_type is not None:
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.negotiation is not None and self.negotiation._has_data():
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.plim is not None and self.plim._has_data():
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.port_type is not None:
                    return True

                if self.pppoe is not None and self.pppoe._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service is not None and self.service._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.shutdown is not None:
                    return True

                if self.speed is not None and self.speed._has_data():
                    return True

                if self.srr_queue is not None and self.srr_queue._has_data():
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switch is not None and self.switch._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.synchronous is not None and self.synchronous._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vlan_range is not None:
                    for child_ref in self.vlan_range:
                        if child_ref._has_data():
                            return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.Fortygigabitethernet']['meta_info']


        class Loopback(object):
            """
            Loopback interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Bfd>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cemoudp>`
            
            .. attribute:: crypto
            
            	Encryption/Decryption commands
            	**type**\:   :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Crypto>`
            
            .. attribute:: cts
            
            	Configure Cisco Trusted Security
            	**type**\:   :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Domain>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Encapsulation>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: lisp
            
            	Locator/ID Separation Protocol
            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Lisp>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Logging>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: ospfv3
            
            	OSPFv3 interface commands
            	**type**\:   :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Peer>`
            
            .. attribute:: performance
            
            	Global performance monitor configuration
            	**type**\:   :py:class:`Performance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Performance>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.PmPath>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.RcvQueue>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.ServiceInsertionEnum>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.ServicePolicy>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: snmp
            
            	Modify SNMP interface parameters
            	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Snmp>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.SwitchportConf>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Trust>`
            
            .. attribute:: udld
            
            	Configure UDLD enabled or disabled and ignore global UDLD setting
            	**type**\:   :py:class:`Udld <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Udld>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Utd>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Vrf>`
            
            .. attribute:: zone_member
            
            	Apply zone name
            	**type**\:   :py:class:`ZoneMember <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.ZoneMember>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.Loopback.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.Loopback.Arp()
                self.arp.parent = self
                self.backup = Native.Interface.Loopback.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.Loopback.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.Loopback.Bfd()
                self.bfd.parent = self
                self.cemoudp = Native.Interface.Loopback.Cemoudp()
                self.cemoudp.parent = self
                self.crypto = Native.Interface.Loopback.Crypto()
                self.crypto.parent = self
                self.cts = Native.Interface.Loopback.Cts()
                self.cts.parent = self
                self.cws_tunnel = Native.Interface.Loopback.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.delay = None
                self.description = None
                self.domain = Native.Interface.Loopback.Domain()
                self.domain.parent = self
                self.encapsulation = Native.Interface.Loopback.Encapsulation()
                self.encapsulation.parent = self
                self.fair_queue = Native.Interface.Loopback.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.Loopback.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.Loopback.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.Loopback.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.Loopback.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.Loopback.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.Loopback.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.Loopback.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.Loopback.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.Loopback.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.lisp = Native.Interface.Loopback.Lisp()
                self.lisp.parent = self
                self.load_interval = None
                self.logging = Native.Interface.Loopback.Logging()
                self.logging.parent = self
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.Loopback.Mdix()
                self.mdix.parent = self
                self.mop = Native.Interface.Loopback.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.Loopback.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.ospfv3 = Native.Interface.Loopback.Ospfv3()
                self.ospfv3.parent = self
                self.peer = Native.Interface.Loopback.Peer()
                self.peer.parent = self
                self.performance = Native.Interface.Loopback.Performance()
                self.performance.parent = self
                self.pm_path = Native.Interface.Loopback.PmPath()
                self.pm_path.parent = self
                self.priority_queue = Native.Interface.Loopback.PriorityQueue()
                self.priority_queue.parent = self
                self.rcv_queue = Native.Interface.Loopback.RcvQueue()
                self.rcv_queue.parent = self
                self.service_insertion = None
                self.service_policy = Native.Interface.Loopback.ServicePolicy()
                self.service_policy.parent = self
                self.shutdown = None
                self.snmp = Native.Interface.Loopback.Snmp()
                self.snmp.parent = self
                self.standby = Native.Interface.Loopback.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.Loopback.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Interface.Loopback.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.Loopback.SwitchportConf()
                self.switchport_conf.parent = self
                self.trust = Native.Interface.Loopback.Trust()
                self.trust.parent = self
                self.udld = Native.Interface.Loopback.Udld()
                self.udld.parent = self
                self.utd = Native.Interface.Loopback.Utd()
                self.utd.parent = self
                self.vrf = Native.Interface.Loopback.Vrf()
                self.vrf.parent = self
                self.zone_member = Native.Interface.Loopback.ZoneMember()
                self.zone_member.parent = self

            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.IfStateEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.ServiceInsertionEnum']



            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.Loopback.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.Loopback.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.Loopback.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.Loopback.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.Loopback.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.Loopback.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.Loopback.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.Loopback.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.Loopback.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.Loopback.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.Loopback.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.Loopback.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.Loopback.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                .. attribute:: adjacency_filter
                
                	Filter IS\-IS adjacencies
                	**type**\:   :py:class:`AdjacencyFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.AdjacencyFilter>`
                
                .. attribute:: advertise
                
                	Control addresses advertisements in LSPs
                	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Advertise>`
                
                .. attribute:: authentication
                
                	ISIS authentication for interface related PDUs
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Authentication>`
                
                .. attribute:: circuit_type
                
                	Configure circuit type for interface
                	**type**\:   :py:class:`CircuitType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.CircuitType>`
                
                	**presence node**\: True
                
                .. attribute:: csnp_interval
                
                	Set CSNP interval in seconds
                	**type**\:   :py:class:`CsnpInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.CsnpInterval>`
                
                .. attribute:: hello
                
                	Add padding to IS\-IS hello packets
                	**type**\:   :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Hello>`
                
                .. attribute:: hello_interval
                
                	Set Hello interval in seconds
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.HelloInterval>`
                
                .. attribute:: hello_multiplier
                
                	Set multiplier for Hello holding time
                	**type**\:   :py:class:`HelloMultiplier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.HelloMultiplier>`
                
                .. attribute:: ipv6
                
                	IPv6 interface configuration
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Ipv6>`
                
                .. attribute:: lsp_interval
                
                	Set LSP transmission interval
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                .. attribute:: mesh_group
                
                	Set ISIS mesh group
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                
                ----
                	**type**\:   :py:class:`MeshGroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.MeshGroupEnum>`
                
                
                ----
                .. attribute:: metric
                
                	Configure the metric for interface
                	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Metric>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:   :py:class:`NetworkEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.NetworkEnum>`
                
                .. attribute:: password
                
                	Configure the authentication password for interface
                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Password>`
                
                .. attribute:: priority
                
                	Set priority for Designated Router election
                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Priority>`
                
                .. attribute:: protocol
                
                	Set ISIS protocol's state under current interface
                	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.ProtocolEnum>`
                
                .. attribute:: retransmit_interval
                
                	Set per\-LSP retransmission interval
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: retransmit_throttle_interval
                
                	Set interface LSP retransmission interval
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tag
                
                	Assign an admin tag to an ISIS interface IP route
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                .. attribute:: three_way_handshake
                
                	Select Cisco or IETF three\-way handshake
                	**type**\:   :py:class:`ThreeWayHandshake <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.ThreeWayHandshake>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.adjacency_filter = Native.Interface.Loopback.Isis.AdjacencyFilter()
                    self.adjacency_filter.parent = self
                    self.advertise = Native.Interface.Loopback.Isis.Advertise()
                    self.advertise.parent = self
                    self.authentication = Native.Interface.Loopback.Isis.Authentication()
                    self.authentication.parent = self
                    self.circuit_type = None
                    self.csnp_interval = Native.Interface.Loopback.Isis.CsnpInterval()
                    self.csnp_interval.parent = self
                    self.hello = Native.Interface.Loopback.Isis.Hello()
                    self.hello.parent = self
                    self.hello_interval = Native.Interface.Loopback.Isis.HelloInterval()
                    self.hello_interval.parent = self
                    self.hello_multiplier = Native.Interface.Loopback.Isis.HelloMultiplier()
                    self.hello_multiplier.parent = self
                    self.ipv6 = Native.Interface.Loopback.Isis.Ipv6()
                    self.ipv6.parent = self
                    self.lsp_interval = None
                    self.mesh_group = None
                    self.metric = Native.Interface.Loopback.Isis.Metric()
                    self.metric.parent = self
                    self.network = None
                    self.password = Native.Interface.Loopback.Isis.Password()
                    self.password.parent = self
                    self.priority = Native.Interface.Loopback.Isis.Priority()
                    self.priority.parent = self
                    self.protocol = None
                    self.retransmit_interval = None
                    self.retransmit_throttle_interval = None
                    self.tag = None
                    self.three_way_handshake = None

                class MeshGroupEnum(Enum):
                    """
                    MeshGroupEnum

                    Set ISIS mesh group

                    .. data:: blocked = 0

                    """

                    blocked = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Isis.MeshGroupEnum']


                class NetworkEnum(Enum):
                    """
                    NetworkEnum

                    Network type

                    .. data:: point_to_point = 0

                    """

                    point_to_point = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Isis.NetworkEnum']


                class ProtocolEnum(Enum):
                    """
                    ProtocolEnum

                    Set ISIS protocol's state under current interface

                    .. data:: shutdown = 0

                    """

                    shutdown = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Isis.ProtocolEnum']



                class AdjacencyFilter(object):
                    """
                    Filter IS\-IS adjacencies
                    
                    .. attribute:: match_all
                    
                    	Match all area addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: name
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.match_all = None
                        self.name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:adjacency-filter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.match_all is not None:
                            return True

                        if self.name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Isis.AdjacencyFilter']['meta_info']


                class Advertise(object):
                    """
                    Control addresses advertisements in LSPs
                    
                    .. attribute:: prefix
                    
                    	Interface IP address
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.prefix = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:advertise'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.prefix is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Isis.Advertise']['meta_info']


                class Authentication(object):
                    """
                    ISIS authentication for interface related PDUs
                    
                    .. attribute:: key_chain
                    
                    	Authentication key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	Authentication mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Authentication.Mode>`
                    
                    .. attribute:: send_only
                    
                    	Authentication send only, receive ignore
                    	**type**\:   :py:class:`SendOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Authentication.SendOnly>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Loopback.Isis.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Loopback.Isis.Authentication.Mode()
                        self.mode.parent = self
                        self.send_only = None


                    class Mode(object):
                        """
                        Authentication mode
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Authentication.Mode.Md5>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: text
                        
                        	Clear text password
                        	**type**\:   :py:class:`Text <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Authentication.Mode.Text>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = None
                            self.text = None


                        class Md5(object):
                            """
                            Keyed message digest
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Isis.Authentication.Mode.Md5']['meta_info']


                        class Text(object):
                            """
                            Clear text password
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:text'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Isis.Authentication.Mode.Text']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None and self.text._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Isis.Authentication.Mode']['meta_info']


                    class KeyChain(object):
                        """
                        Authentication key\-chain
                        
                        .. attribute:: key_chain_list
                        
                        	
                        	**type**\: list of    :py:class:`KeyChainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Authentication.KeyChain.KeyChainList>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_chain_list = YList()
                            self.key_chain_list.parent = self
                            self.key_chain_list.name = 'key_chain_list'
                            self.name = None


                        class KeyChainList(object):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.levels = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.levels is None:
                                    raise YPYModelError('Key property levels is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:key-chain-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.levels is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Isis.Authentication.KeyChain.KeyChainList']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_chain_list is not None:
                                for child_ref in self.key_chain_list:
                                    if child_ref._has_data():
                                        return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Isis.Authentication.KeyChain']['meta_info']


                    class SendOnly(object):
                        """
                        Authentication send only, receive ignore
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.levels = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:send-only'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.levels is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Isis.Authentication.SendOnly']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        if self.send_only is not None and self.send_only._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Isis.Authentication']['meta_info']


                class CircuitType(object):
                    """
                    Configure circuit type for interface
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.CircuitType.LevelsEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.levels = None

                    class LevelsEnum(Enum):
                        """
                        LevelsEnum

                        .. data:: level_1 = 0

                        .. data:: level_1_2 = 1

                        .. data:: level_2_only = 2

                        """

                        level_1 = 0

                        level_1_2 = 1

                        level_2_only = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Isis.CircuitType.LevelsEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:circuit-type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.levels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Isis.CircuitType']['meta_info']


                class CsnpInterval(object):
                    """
                    Set CSNP interval in seconds
                    
                    .. attribute:: csnp_interval_list
                    
                    	
                    	**type**\: list of    :py:class:`CsnpIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.CsnpInterval.CsnpIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.csnp_interval_list = YList()
                        self.csnp_interval_list.parent = self
                        self.csnp_interval_list.name = 'csnp_interval_list'
                        self.value = None


                    class CsnpIntervalList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:csnp-interval-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Isis.CsnpInterval.CsnpIntervalList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:csnp-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.csnp_interval_list is not None:
                            for child_ref in self.csnp_interval_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Isis.CsnpInterval']['meta_info']


                class Hello(object):
                    """
                    Add padding to IS\-IS hello packets
                    
                    .. attribute:: padding
                    
                    	Pad hello packets
                    	**type**\:   :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Hello.Padding>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.padding = None


                    class Padding(object):
                        """
                        Pad hello packets
                        
                        .. attribute:: always
                        
                        	Never pad hello packets if no prefix present
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.always = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:padding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.always is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Isis.Hello.Padding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.padding is not None and self.padding._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Isis.Hello']['meta_info']


                class HelloInterval(object):
                    """
                    Set Hello interval in seconds
                    
                    .. attribute:: hello_interval_list
                    
                    	
                    	**type**\: list of    :py:class:`HelloIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.HelloInterval.HelloIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    
                    ----
                    	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hello_interval_list = YList()
                        self.hello_interval_list.parent = self
                        self.hello_interval_list.name = 'hello_interval_list'
                        self.value = None

                    class ValueEnum(Enum):
                        """
                        ValueEnum

                        .. data:: minimal = 0

                        """

                        minimal = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Isis.HelloInterval.ValueEnum']



                    class HelloIntervalList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.HelloInterval.HelloIntervalList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Isis.HelloInterval.HelloIntervalList.LevelsEnum']


                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: minimal = 0

                            """

                            minimal = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Isis.HelloInterval.HelloIntervalList.ValueEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-interval-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Isis.HelloInterval.HelloIntervalList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hello_interval_list is not None:
                            for child_ref in self.hello_interval_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Isis.HelloInterval']['meta_info']


                class HelloMultiplier(object):
                    """
                    Set multiplier for Hello holding time
                    
                    .. attribute:: hello_multiplier_list
                    
                    	
                    	**type**\: list of    :py:class:`HelloMultiplierList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.HelloMultiplier.HelloMultiplierList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 3..1000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hello_multiplier_list = YList()
                        self.hello_multiplier_list.parent = self
                        self.hello_multiplier_list.name = 'hello_multiplier_list'
                        self.value = None


                    class HelloMultiplierList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 3..1000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-multiplier-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Isis.HelloMultiplier.HelloMultiplierList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-multiplier'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hello_multiplier_list is not None:
                            for child_ref in self.hello_multiplier_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Isis.HelloMultiplier']['meta_info']


                class Ipv6(object):
                    """
                    IPv6 interface configuration
                    
                    .. attribute:: metric
                    
                    	Configure the metric for interface
                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Ipv6.Metric>`
                    
                    .. attribute:: tag
                    
                    	Assign an admin tag to an ISIS interface IPv6 route
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.metric = Native.Interface.Loopback.Isis.Ipv6.Metric()
                        self.metric.parent = self
                        self.tag = None


                    class Metric(object):
                        """
                        Configure the metric for interface
                        
                        .. attribute:: metric_list
                        
                        	
                        	**type**\: list of    :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Ipv6.Metric.MetricList>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric_list = YList()
                            self.metric_list.parent = self
                            self.metric_list.name = 'metric_list'
                            self.value = None

                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: maximum = 0

                            """

                            maximum = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Isis.Ipv6.Metric.ValueEnum']



                        class MetricList(object):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Ipv6.Metric.MetricList.LevelsEnum>`
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..16777214
                            
                            
                            ----
                            	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.levels = None
                                self.value = None

                            class LevelsEnum(Enum):
                                """
                                LevelsEnum

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = 0

                                level_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Isis.Ipv6.Metric.MetricList.LevelsEnum']


                            class ValueEnum(Enum):
                                """
                                ValueEnum

                                .. data:: maximum = 0

                                """

                                maximum = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Isis.Ipv6.Metric.MetricList.ValueEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.levels is None:
                                    raise YPYModelError('Key property levels is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:metric-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.levels is not None:
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Isis.Ipv6.Metric.MetricList']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:metric'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric_list is not None:
                                for child_ref in self.metric_list:
                                    if child_ref._has_data():
                                        return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Isis.Ipv6.Metric']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.metric is not None and self.metric._has_data():
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Isis.Ipv6']['meta_info']


                class Metric(object):
                    """
                    Configure the metric for interface
                    
                    .. attribute:: metric_list
                    
                    	
                    	**type**\: list of    :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Metric.MetricList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..16777214
                    
                    
                    ----
                    	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.metric_list = YList()
                        self.metric_list.parent = self
                        self.metric_list.name = 'metric_list'
                        self.value = None

                    class ValueEnum(Enum):
                        """
                        ValueEnum

                        .. data:: maximum = 0

                        """

                        maximum = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Isis.Metric.ValueEnum']



                    class MetricList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Metric.MetricList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Isis.Metric.MetricList.LevelsEnum']


                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: maximum = 0

                            """

                            maximum = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Isis.Metric.MetricList.ValueEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:metric-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Isis.Metric.MetricList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:metric'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.metric_list is not None:
                            for child_ref in self.metric_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Isis.Metric']['meta_info']


                class Password(object):
                    """
                    Configure the authentication password for interface
                    
                    .. attribute:: password
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: password_list
                    
                    	
                    	**type**\: list of    :py:class:`PasswordList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Password.PasswordList>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.password = None
                        self.password_list = YList()
                        self.password_list.parent = self
                        self.password_list.name = 'password_list'


                    class PasswordList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Password.PasswordList.LevelsEnum>`
                        
                        .. attribute:: password
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.password = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Isis.Password.PasswordList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:password-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.password is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Isis.Password.PasswordList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:password'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.password is not None:
                            return True

                        if self.password_list is not None:
                            for child_ref in self.password_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Isis.Password']['meta_info']


                class Priority(object):
                    """
                    Set priority for Designated Router election
                    
                    .. attribute:: priority_list
                    
                    	
                    	**type**\: list of    :py:class:`PriorityList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Priority.PriorityList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..127
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.priority_list = YList()
                        self.priority_list.parent = self
                        self.priority_list.name = 'priority_list'
                        self.value = None


                    class PriorityList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Priority.PriorityList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..127
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Isis.Priority.PriorityList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:priority-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Isis.Priority.PriorityList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:priority'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.priority_list is not None:
                            for child_ref in self.priority_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Isis.Priority']['meta_info']


                class ThreeWayHandshake(object):
                    """
                    Select Cisco or IETF three\-way handshake
                    
                    .. attribute:: implementor
                    
                    	
                    	**type**\:   :py:class:`ImplementorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.ThreeWayHandshake.ImplementorEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.implementor = None

                    class ImplementorEnum(Enum):
                        """
                        ImplementorEnum

                        .. data:: cisco = 0

                        .. data:: ietf = 1

                        """

                        cisco = 0

                        ietf = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Isis.ThreeWayHandshake.ImplementorEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:three-way-handshake'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.implementor is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Isis.ThreeWayHandshake']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.adjacency_filter is not None and self.adjacency_filter._has_data():
                        return True

                    if self.advertise is not None and self.advertise._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.circuit_type is not None and self.circuit_type._has_data():
                        return True

                    if self.csnp_interval is not None and self.csnp_interval._has_data():
                        return True

                    if self.hello is not None and self.hello._has_data():
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.hello_multiplier is not None and self.hello_multiplier._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    if self.lsp_interval is not None:
                        return True

                    if self.mesh_group is not None:
                        return True

                    if self.metric is not None and self.metric._has_data():
                        return True

                    if self.network is not None:
                        return True

                    if self.password is not None and self.password._has_data():
                        return True

                    if self.priority is not None and self.priority._has_data():
                        return True

                    if self.protocol is not None:
                        return True

                    if self.retransmit_interval is not None:
                        return True

                    if self.retransmit_throttle_interval is not None:
                        return True

                    if self.tag is not None:
                        return True

                    if self.three_way_handshake is not None and self.three_way_handshake._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.Loopback.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.Loopback.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                .. attribute:: accounting
                
                	Enable MPLS accounting on this interface
                	**type**\:   :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.Accounting>`
                
                .. attribute:: bgp
                
                	MPLS BGP
                	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.Bgp>`
                
                .. attribute:: ip
                
                	Configure dynamic MPLS forwarding for IP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: label
                
                	Label properties
                	**type**\:   :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.Label>`
                
                .. attribute:: ldp
                
                	Configure Label Distribution Protocol (LDP) parameters
                	**type**\:   :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.Ldp>`
                
                .. attribute:: mtu
                
                	Set MPLS Maximum Transmission Unit
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1501..1524
                
                
                ----
                	**type**\:  int
                
                	**range:** 64..1500
                
                
                ----
                	**type**\:  int
                
                	**range:** 64..9216
                
                
                ----
                .. attribute:: traffic_eng
                
                	Configure Traffic Engineering parameters
                	**type**\:   :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.TrafficEng>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.accounting = Native.Interface.Loopback.Mpls.Accounting()
                    self.accounting.parent = self
                    self.bgp = Native.Interface.Loopback.Mpls.Bgp()
                    self.bgp.parent = self
                    self.ip = None
                    self.label = Native.Interface.Loopback.Mpls.Label()
                    self.label.parent = self
                    self.ldp = Native.Interface.Loopback.Mpls.Ldp()
                    self.ldp.parent = self
                    self.mtu = None
                    self.traffic_eng = Native.Interface.Loopback.Mpls.TrafficEng()
                    self.traffic_eng.parent = self


                class Accounting(object):
                    """
                    Enable MPLS accounting on this interface
                    
                    .. attribute:: experimental
                    
                    	Count packets by MPLS experimental value on this interface
                    	**type**\:   :py:class:`Experimental <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.Accounting.Experimental>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.experimental = Native.Interface.Loopback.Mpls.Accounting.Experimental()
                        self.experimental.parent = self


                    class Experimental(object):
                        """
                        Count packets by MPLS experimental value on this interface
                        
                        .. attribute:: input
                        
                        	received packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	transmitted packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = None
                            self.output = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:experimental'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None:
                                return True

                            if self.output is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Mpls.Accounting.Experimental']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:accounting'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.experimental is not None and self.experimental._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Mpls.Accounting']['meta_info']


                class Bgp(object):
                    """
                    MPLS BGP
                    
                    .. attribute:: forwarding
                    
                    	Configure MPLS forwarding for directly connected BGP peers
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:bgp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Mpls.Bgp']['meta_info']


                class Label(object):
                    """
                    Label properties
                    
                    .. attribute:: protocol
                    
                    	Configure label/tag distribution protocol (LDP/TDP)
                    	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.Label.ProtocolEnum>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.protocol = None

                    class ProtocolEnum(Enum):
                        """
                        ProtocolEnum

                        Configure label/tag distribution protocol (LDP/TDP)

                        .. data:: both = 0

                        .. data:: ldp = 1

                        .. data:: tdp = 2

                        """

                        both = 0

                        ldp = 1

                        tdp = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Mpls.Label.ProtocolEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:label'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.protocol is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Mpls.Label']['meta_info']


                class Ldp(object):
                    """
                    Configure Label Distribution Protocol (LDP) parameters
                    
                    .. attribute:: discovery
                    
                    	Configure interface LDP Discovery parameters
                    	**type**\:   :py:class:`Discovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.Ldp.Discovery>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.discovery = Native.Interface.Loopback.Mpls.Ldp.Discovery()
                        self.discovery.parent = self


                    class Discovery(object):
                        """
                        Configure interface LDP Discovery parameters
                        
                        .. attribute:: transport_address
                        
                        	Specify interface LDP transport address
                        	**type**\: one of the below types:
                        
                        	**type**\:   :py:class:`LdpDiscoveryAddressTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_mpls.LdpDiscoveryAddressTypeEnum>`
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.transport_address = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:discovery'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.transport_address is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Mpls.Ldp.Discovery']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:ldp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.discovery is not None and self.discovery._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Mpls.Ldp']['meta_info']


                class TrafficEng(object):
                    """
                    Configure Traffic Engineering parameters
                    
                    .. attribute:: administrative_weight
                    
                    	Set the administrative weight for the interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: attribute_flags
                    
                    	Set user\-defined interface attibute flags
                    	**type**\:  str
                    
                    .. attribute:: backup_path
                    
                    	Configure an MPLS TE backup for this interface
                    	**type**\:  str
                    
                    .. attribute:: flooding
                    
                    	Set flooding parameters
                    	**type**\:   :py:class:`Flooding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.TrafficEng.Flooding>`
                    
                    .. attribute:: tunnels
                    
                    	enable MPLS Traffic Engineering tunnels
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.administrative_weight = None
                        self.attribute_flags = None
                        self.backup_path = None
                        self.flooding = Native.Interface.Loopback.Mpls.TrafficEng.Flooding()
                        self.flooding.parent = self
                        self.tunnels = None


                    class Flooding(object):
                        """
                        Set flooding parameters
                        
                        .. attribute:: thresholds
                        
                        	Set flooding thresholds
                        	**type**\:   :py:class:`Thresholds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.TrafficEng.Flooding.Thresholds>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.thresholds = Native.Interface.Loopback.Mpls.TrafficEng.Flooding.Thresholds()
                            self.thresholds.parent = self


                        class Thresholds(object):
                            """
                            Set flooding thresholds
                            
                            .. attribute:: down
                            
                            	Set the thresholds for decreased resource availability
                            	**type**\:  list of int
                            
                            	**range:** 0..100
                            
                            .. attribute:: up
                            
                            	Set the thresholds for increased resource availability
                            	**type**\:  list of int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.down = YLeafList()
                                self.down.parent = self
                                self.down.name = 'down'
                                self.up = YLeafList()
                                self.up.parent = self
                                self.up.name = 'up'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:thresholds'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.down is not None:
                                    for child in self.down:
                                        if child is not None:
                                            return True

                                if self.up is not None:
                                    for child in self.up:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Mpls.TrafficEng.Flooding.Thresholds']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:flooding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.thresholds is not None and self.thresholds._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Mpls.TrafficEng.Flooding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:traffic-eng'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.administrative_weight is not None:
                            return True

                        if self.attribute_flags is not None:
                            return True

                        if self.backup_path is not None:
                            return True

                        if self.flooding is not None and self.flooding._has_data():
                            return True

                        if self.tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Mpls.TrafficEng']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.accounting is not None and self.accounting._has_data():
                        return True

                    if self.bgp is not None and self.bgp._has_data():
                        return True

                    if self.ip is not None:
                        return True

                    if self.label is not None and self.label._has_data():
                        return True

                    if self.ldp is not None and self.ldp._has_data():
                        return True

                    if self.mtu is not None:
                        return True

                    if self.traffic_eng is not None and self.traffic_eng._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.Loopback.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.Loopback.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Flow>`
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.HoldTime>`
                
                .. attribute:: igmp
                
                	IGMP interface commands
                	**type**\:   :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Igmp>`
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol
                	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Lisp>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: nat
                
                	NAT interface commands
                	**type**\:   :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Nat>`
                
                .. attribute:: nbar
                
                	Network\-Based Application Recognition
                	**type**\:   :py:class:`Nbar <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Nbar>`
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.NoAddress>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:   :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Vrf>`
                
                .. attribute:: wccp
                
                	WCCP IPv4 interface commands
                	**type**\:   :py:class:`Wccp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Loopback.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.Loopback.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.Loopback.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.Loopback.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.Loopback.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.flow = Native.Interface.Loopback.Ip.Flow()
                    self.flow.parent = self
                    self.hello_interval = Native.Interface.Loopback.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.Loopback.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.igmp = Native.Interface.Loopback.Ip.Igmp()
                    self.igmp.parent = self
                    self.lisp = Native.Interface.Loopback.Ip.Lisp()
                    self.lisp.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.nat = Native.Interface.Loopback.Ip.Nat()
                    self.nat.parent = self
                    self.nbar = Native.Interface.Loopback.Ip.Nbar()
                    self.nbar.parent = self
                    self.no_address = Native.Interface.Loopback.Ip.NoAddress()
                    self.no_address.parent = self
                    self.ospf = Native.Interface.Loopback.Ip.Ospf()
                    self.ospf.parent = self
                    self.pim = Native.Interface.Loopback.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.Loopback.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.Loopback.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.Loopback.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.Loopback.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.Loopback.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.verify = Native.Interface.Loopback.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.Loopback.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.Loopback.Ip.Vrf()
                    self.vrf.parent = self
                    self.wccp = Native.Interface.Loopback.Ip.Wccp()
                    self.wccp.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.Loopback.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.Loopback.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Loopback.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Loopback.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Loopback.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Loopback.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.Loopback.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Loopback.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.Loopback.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.Loopback.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.Loopback.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Loopback.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Loopback.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    .. attribute:: accept_register
                    
                    	
                    	**type**\:   :py:class:`AcceptRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Pim.AcceptRegister>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM router DR priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: nbma_mode
                    
                    	Enable PIM nbma\-mode operation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: query_interval
                    
                    	PIM router query interval
                    	**type**\:   :py:class:`QueryInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Pim.QueryInterval>`
                    
                    .. attribute:: sparse_mode
                    
                    	
                    	**type**\:   :py:class:`SparseModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Pim.SparseModeEnum>`
                    
                    .. attribute:: spt_threshold
                    
                    	
                    	**type**\:   :py:class:`SptThresholdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Pim.SptThresholdEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.accept_register = Native.Interface.Loopback.Ip.Pim.AcceptRegister()
                        self.accept_register.parent = self
                        self.dr_priority = None
                        self.nbma_mode = None
                        self.query_interval = Native.Interface.Loopback.Ip.Pim.QueryInterval()
                        self.query_interval.parent = self
                        self.sparse_mode = None
                        self.spt_threshold = None

                    class SparseModeEnum(Enum):
                        """
                        SparseModeEnum

                        .. data:: sparse_dense_mode = 0

                        .. data:: sparse_mode = 1

                        """

                        sparse_dense_mode = 0

                        sparse_mode = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Pim.SparseModeEnum']


                    class SptThresholdEnum(Enum):
                        """
                        SptThresholdEnum

                        .. data:: infinity = 0

                        """

                        infinity = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Pim.SptThresholdEnum']



                    class AcceptRegister(object):
                        """
                        
                        
                        .. attribute:: list
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.list = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:accept-register'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Pim.AcceptRegister']['meta_info']


                    class QueryInterval(object):
                        """
                        PIM router query interval
                        
                        .. attribute:: milliseconds_interval
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 100..65535
                        
                        .. attribute:: msec
                        
                        	Query interval in milliseconds
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        .. attribute:: seconds_interval
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..18725
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.milliseconds_interval = None
                            self.msec = None
                            self.seconds_interval = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:query-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.milliseconds_interval is not None:
                                return True

                            if self.msec is not None:
                                return True

                            if self.seconds_interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Pim.QueryInterval']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.accept_register is not None and self.accept_register._has_data():
                            return True

                        if self.dr_priority is not None:
                            return True

                        if self.nbma_mode is not None:
                            return True

                        if self.query_interval is not None and self.query_interval._has_data():
                            return True

                        if self.sparse_mode is not None:
                            return True

                        if self.spt_threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    .. attribute:: client
                    
                    	DHCP client configuration
                    	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Client>`
                    
                    .. attribute:: relay
                    
                    	DHCP relay configuration parameters
                    	**type**\:   :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Relay>`
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.client = Native.Interface.Loopback.Ip.Dhcp.Client()
                        self.client.parent = self
                        self.relay = Native.Interface.Loopback.Ip.Dhcp.Relay()
                        self.relay.parent = self
                        self.snooping = Native.Interface.Loopback.Ip.Dhcp.Snooping()
                        self.snooping.parent = self


                    class Client(object):
                        """
                        DHCP client configuration
                        
                        .. attribute:: hostname
                        
                        	Specify hostname to use
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hostname = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:client'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Dhcp.Client']['meta_info']


                    class Relay(object):
                        """
                        DHCP relay configuration parameters
                        
                        .. attribute:: information
                        
                        	DHCP relay information option
                        	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Relay.Information>`
                        
                        .. attribute:: source_interface
                        
                        	Set source interface for relayed messages
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.information = Native.Interface.Loopback.Ip.Dhcp.Relay.Information()
                            self.information.parent = self
                            self.source_interface = None


                        class Information(object):
                            """
                            DHCP relay information option
                            
                            .. attribute:: check_reply
                            
                            	Validate relay information in BOOTREPLY
                            	**type**\:   :py:class:`CheckReply <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Relay.Information.CheckReply>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: option
                            
                            	DHCP relay information option
                            	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Relay.Information.Option>`
                            
                            .. attribute:: option_insert
                            
                            	Insert relay information in BOOTREQUEST
                            	**type**\:   :py:class:`OptionInsert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Relay.Information.OptionInsert>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: policy_action
                            
                            	Define reforwarding policy
                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Relay.Information.PolicyActionEnum>`
                            
                            .. attribute:: trusted
                            
                            	Received DHCP packet may contain relay info option with zero giaddr
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.check_reply = None
                                self.option = Native.Interface.Loopback.Ip.Dhcp.Relay.Information.Option()
                                self.option.parent = self
                                self.option_insert = None
                                self.policy_action = None
                                self.trusted = None

                            class PolicyActionEnum(Enum):
                                """
                                PolicyActionEnum

                                Define reforwarding policy

                                .. data:: drop = 0

                                .. data:: encapsulate = 1

                                .. data:: keep = 2

                                .. data:: replace = 3

                                """

                                drop = 0

                                encapsulate = 1

                                keep = 2

                                replace = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ip.Dhcp.Relay.Information.PolicyActionEnum']



                            class CheckReply(object):
                                """
                                Validate relay information in BOOTREPLY
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.none = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:check-reply'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.none is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ip.Dhcp.Relay.Information.CheckReply']['meta_info']


                            class Option(object):
                                """
                                DHCP relay information option
                                
                                .. attribute:: subscriber_id
                                
                                	Subscriber identifier sub option
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.subscriber_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.subscriber_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ip.Dhcp.Relay.Information.Option']['meta_info']


                            class OptionInsert(object):
                                """
                                Insert relay information in BOOTREQUEST
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.none = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option-insert'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.none is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ip.Dhcp.Relay.Information.OptionInsert']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.check_reply is not None and self.check_reply._has_data():
                                    return True

                                if self.option is not None and self.option._has_data():
                                    return True

                                if self.option_insert is not None and self.option_insert._has_data():
                                    return True

                                if self.policy_action is not None:
                                    return True

                                if self.trusted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.Dhcp.Relay.Information']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:relay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.information is not None and self.information._has_data():
                                return True

                            if self.source_interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Dhcp.Relay']['meta_info']


                    class Snooping(object):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Snooping.Limit>`
                        
                        .. attribute:: trust
                        
                        	DHCP Snooping trust config
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	DHCP Snooping vlan
                        	**type**\: list of    :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Loopback.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self.trust = None
                            self.vlan = YList()
                            self.vlan.parent = self
                            self.vlan.name = 'vlan'


                        class Limit(object):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP Snooping limit
                            	**type**\:  int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.Dhcp.Snooping.Limit']['meta_info']


                        class Vlan(object):
                            """
                            DHCP Snooping vlan
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            .. attribute:: information
                            
                            	DHCP Snooping information
                            	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.information = Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information()
                                self.information.parent = self


                            class Information(object):
                                """
                                DHCP Snooping information
                                
                                .. attribute:: option
                                
                                	DHCP Snooping information option
                                	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option>`
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.option = Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option()
                                    self.option.parent = self


                                class Option(object):
                                    """
                                    DHCP Snooping information option
                                    
                                    .. attribute:: format_type
                                    
                                    	Option 82 information format
                                    	**type**\:   :py:class:`FormatType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-dhcp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.format_type = Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType()
                                        self.format_type.parent = self


                                    class FormatType(object):
                                        """
                                        Option 82 information format
                                        
                                        .. attribute:: circuit_id
                                        
                                        	Circuit id option 82 format
                                        	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId>`
                                        
                                        

                                        """

                                        _prefix = 'ios-dhcp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.circuit_id = Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId()
                                            self.circuit_id.parent = self


                                        class CircuitId(object):
                                            """
                                            Circuit id option 82 format
                                            
                                            .. attribute:: string
                                            
                                            	User defined string for circuit id
                                            	**type**\:  str
                                            
                                            	**length:** 3..63
                                            
                                            

                                            """

                                            _prefix = 'ios-dhcp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.string = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:circuit-id'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.string is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:format-type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.circuit_id is not None and self.circuit_id._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.format_type is not None and self.format_type._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:information'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.option is not None and self.option._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:vlan[Cisco-IOS-XE-dhcp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.information is not None and self.information._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:snooping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            if self.vlan is not None:
                                for child_ref in self.vlan:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Dhcp.Snooping']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.client is not None and self.client._has_data():
                            return True

                        if self.relay is not None and self.relay._has_data():
                            return True

                        if self.snooping is not None and self.snooping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.Loopback.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.Loopback.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.Loopback.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.Verify']['meta_info']


                class Flow(object):
                    """
                    NetFlow related commands
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of    :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.egress = None
                        self.ingress = None
                        self.monitor = YList()
                        self.monitor.parent = self
                        self.monitor.name = 'monitor'


                    class Monitor(object):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\:  str
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of    :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Flow.Monitor.Sampler>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.input = None
                            self.multicast = None
                            self.output = None
                            self.sampler = YList()
                            self.sampler.parent = self
                            self.sampler.name = 'sampler'
                            self.unicast = None


                        class Sampler(object):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Flow.Monitor.Sampler.DirectionEnum>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.direction = None
                                self.name = None

                            class DirectionEnum(Enum):
                                """
                                DirectionEnum

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = 0

                                output = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ip.Flow.Monitor.Sampler.DirectionEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.direction is None:
                                    raise YPYModelError('Key property direction is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:sampler[Cisco-IOS-XE-flow:direction = ' + str(self.direction) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.direction is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.Flow.Monitor.Sampler']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:monitor[Cisco-IOS-XE-flow:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.input is not None:
                                return True

                            if self.multicast is not None:
                                return True

                            if self.output is not None:
                                return True

                            if self.sampler is not None:
                                for child_ref in self.sampler:
                                    if child_ref._has_data():
                                        return True

                            if self.unicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Flow.Monitor']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.egress is not None:
                            return True

                        if self.ingress is not None:
                            return True

                        if self.monitor is not None:
                            for child_ref in self.monitor:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.Flow']['meta_info']


                class Igmp(object):
                    """
                    IGMP interface commands
                    
                    .. attribute:: join_group
                    
                    	IGMP join multicast group
                    	**type**\: list of    :py:class:`JoinGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Igmp.JoinGroup>`
                    
                    .. attribute:: static_group
                    
                    	IGMP static multicast group
                    	**type**\:   :py:class:`StaticGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Igmp.StaticGroup>`
                    
                    .. attribute:: version
                    
                    	IGMP version
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.join_group = YList()
                        self.join_group.parent = self
                        self.join_group.name = 'join_group'
                        self.static_group = Native.Interface.Loopback.Ip.Igmp.StaticGroup()
                        self.static_group.parent = self
                        self.version = None


                    class StaticGroup(object):
                        """
                        IGMP static multicast group
                        
                        .. attribute:: class_map
                        
                        	Class map of type multicast\-flows
                        	**type**\: list of    :py:class:`ClassMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Igmp.StaticGroup.ClassMap>`
                        
                        .. attribute:: groups
                        
                        	
                        	**type**\: list of    :py:class:`Groups <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Igmp.StaticGroup.Groups>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.class_map = YList()
                            self.class_map.parent = self
                            self.class_map.name = 'class_map'
                            self.groups = YList()
                            self.groups.parent = self
                            self.groups.name = 'groups'


                        class Groups(object):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:   :py:class:`NameEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            class NameEnum(Enum):
                                """
                                NameEnum

                                .. data:: Y__STAR__ = 0

                                """

                                Y__STAR__ = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ip.Igmp.StaticGroup.Groups.NameEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-igmp:groups[Cisco-IOS-XE-igmp:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.Igmp.StaticGroup.Groups']['meta_info']


                        class ClassMap(object):
                            """
                            Class map of type multicast\-flows
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-igmp:class-map[Cisco-IOS-XE-igmp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.Igmp.StaticGroup.ClassMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-igmp:static-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.class_map is not None:
                                for child_ref in self.class_map:
                                    if child_ref._has_data():
                                        return True

                            if self.groups is not None:
                                for child_ref in self.groups:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Igmp.StaticGroup']['meta_info']


                    class JoinGroup(object):
                        """
                        IGMP join multicast group
                        
                        .. attribute:: ip_group_address  <key>
                        
                        	IP group address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source
                        
                        	IP source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip_group_address = None
                            self.source = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ip_group_address is None:
                                raise YPYModelError('Key property ip_group_address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-igmp:join-group[Cisco-IOS-XE-igmp:ip-group-address = ' + str(self.ip_group_address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip_group_address is not None:
                                return True

                            if self.source is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Igmp.JoinGroup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-igmp:igmp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.join_group is not None:
                            for child_ref in self.join_group:
                                if child_ref._has_data():
                                    return True

                        if self.static_group is not None and self.static_group._has_data():
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.Igmp']['meta_info']


                class Lisp(object):
                    """
                    Locator/ID Separation Protocol
                    
                    .. attribute:: source_locator
                    
                    	Choose IP source address for LISP packets egressing this interface
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source_locator = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source_locator is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.Lisp']['meta_info']


                class Nat(object):
                    """
                    NAT interface commands
                    
                    .. attribute:: allow_static_host
                    
                    	Allow static\-ip clients
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Enable Address Translation (NVI)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: inside
                    
                    	Inside interface for address translation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: outside
                    
                    	Outside interface for address translation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-nat'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.allow_static_host = None
                        self.enable = None
                        self.inside = None
                        self.outside = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-nat:nat'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.allow_static_host is not None:
                            return True

                        if self.enable is not None:
                            return True

                        if self.inside is not None:
                            return True

                        if self.outside is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.Nat']['meta_info']


                class Nbar(object):
                    """
                    Network\-Based Application Recognition
                    
                    .. attribute:: protocol_discovery
                    
                    	Enable protocol discovery for both ipv4 and ipv6
                    	**type**\:   :py:class:`ProtocolDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Nbar.ProtocolDiscovery>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.protocol_discovery = None


                    class ProtocolDiscovery(object):
                        """
                        Enable protocol discovery for both ipv4 and ipv6
                        
                        .. attribute:: ipv4_ipv6
                        
                        	
                        	**type**\:   :py:class:`Ipv4Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-nbar'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ipv4_ipv6 = None

                        class Ipv4Ipv6Enum(Enum):
                            """
                            Ipv4Ipv6Enum

                            .. data:: ipv4 = 0

                            .. data:: ipv6 = 1

                            """

                            ipv4 = 0

                            ipv6 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nbar:protocol-discovery'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ipv4_ipv6 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Nbar.ProtocolDiscovery']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-nbar:nbar'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.protocol_discovery is not None and self.protocol_discovery._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.Nbar']['meta_info']


                class Ospf(object):
                    """
                    OSPF interface commands
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.Authentication>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: authentication_key
                    
                    	Set authentication key
                    	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.AuthenticationKey>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:   :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.DeadInterval>`
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF Demand Circuit
                    	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: fast_reroute
                    
                    	LFA FastReroute parameters
                    	**type**\:   :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.FastReroute>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: lls
                    
                    	Link\-local Signaling (LLS) support
                    	**type**\:   :py:class:`Lls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.Lls>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: message_digest_key
                    
                    	Set message digest key
                    	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.MessageDigestKey>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.MultiArea>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:   :py:class:`NetworkEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.NetworkEnum>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: process_id
                    
                    	
                    	**type**\: list of    :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.ProcessId>`
                    
                    .. attribute:: resync_timeout
                    
                    	Interval after which adjacency is reset if oob\-resync is not started
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Set OSPF protocol's state to disable under current interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ttl_security
                    
                    	TTL security check
                    	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.TtlSecurity>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authentication = None
                        self.authentication_key = Native.Interface.Loopback.Ip.Ospf.AuthenticationKey()
                        self.authentication_key.parent = self
                        self.bfd = None
                        self.cost = None
                        self.database_filter = Native.Interface.Loopback.Ip.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self.dead_interval = Native.Interface.Loopback.Ip.Ospf.DeadInterval()
                        self.dead_interval.parent = self
                        self.demand_circuit = None
                        self.fast_reroute = Native.Interface.Loopback.Ip.Ospf.FastReroute()
                        self.fast_reroute.parent = self
                        self.flood_reduction = None
                        self.hello_interval = None
                        self.lls = None
                        self.message_digest_key = YList()
                        self.message_digest_key.parent = self
                        self.message_digest_key.name = 'message_digest_key'
                        self.mtu_ignore = None
                        self.multi_area = Native.Interface.Loopback.Ip.Ospf.MultiArea()
                        self.multi_area.parent = self
                        self.network = None
                        self.prefix_suppression = None
                        self.priority = None
                        self.process_id = YList()
                        self.process_id.parent = self
                        self.process_id.name = 'process_id'
                        self.resync_timeout = None
                        self.retransmit_interval = None
                        self.shutdown = None
                        self.transmit_delay = None
                        self.ttl_security = None

                    class NetworkEnum(Enum):
                        """
                        NetworkEnum

                        Network type

                        .. data:: broadcast = 0

                        .. data:: non_broadcast = 1

                        .. data:: point_to_multipoint = 2

                        .. data:: point_to_point = 3

                        """

                        broadcast = 0

                        non_broadcast = 1

                        point_to_multipoint = 2

                        point_to_point = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Ospf.NetworkEnum']



                    class ProcessId(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: area
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: none
                        
                        	Do not include secondary IP addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secondaries
                        
                        	Include or exclude secondary IP addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.area = None
                            self.none = None
                            self.secondaries = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:process-id[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.area is not None:
                                return True

                            if self.none is not None:
                                return True

                            if self.secondaries is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Ospf.ProcessId']['meta_info']


                    class Authentication(object):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.Authentication.KeyChain>`
                        
                        .. attribute:: message_digest
                        
                        	Use message\-digest authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.key_chain = Native.Interface.Loopback.Ip.Ospf.Authentication.KeyChain()
                            self.key_chain.parent = self
                            self.message_digest = None
                            self.null = None


                        class KeyChain(object):
                            """
                            Use a key\-chain for cryptographic authentication keys
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-chain'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.Ospf.Authentication.KeyChain']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.key_chain is not None and self.key_chain._has_data():
                                return True

                            if self.message_digest is not None:
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Ospf.Authentication']['meta_info']


                    class AuthenticationKey(object):
                        """
                        Set authentication key
                        
                        .. attribute:: auth_key
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: auth_type
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.auth_key = None
                            self.auth_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication-key'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.auth_key is not None:
                                return True

                            if self.auth_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Ospf.AuthenticationKey']['meta_info']


                    class Bfd(object):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Ospf.Bfd']['meta_info']


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Outgoing LSA
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.out = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.out is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Ospf.DatabaseFilter']['meta_info']


                    class DeadInterval(object):
                        """
                        Interval after which a neighbor is declared dead
                        
                        .. attribute:: minimal
                        
                        	Set to 1 second
                        	**type**\:   :py:class:`Minimal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.DeadInterval.Minimal>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.minimal = Native.Interface.Loopback.Ip.Ospf.DeadInterval.Minimal()
                            self.minimal.parent = self
                            self.value = None


                        class Minimal(object):
                            """
                            Set to 1 second
                            
                            .. attribute:: hello_multiplier
                            
                            	Set multiplier for Hellos
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hello_multiplier = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:minimal'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hello_multiplier is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.Ospf.DeadInterval.Minimal']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:dead-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.minimal is not None and self.minimal._has_data():
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Ospf.DeadInterval']['meta_info']


                    class DemandCircuit(object):
                        """
                        OSPF Demand Circuit
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:demand-circuit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Ospf.DemandCircuit']['meta_info']


                    class FastReroute(object):
                        """
                        LFA FastReroute parameters
                        
                        .. attribute:: per_prefix
                        
                        	Per\-prefix LFA FRR parameters
                        	**type**\:   :py:class:`PerPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.per_prefix = Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix()
                            self.per_prefix.parent = self


                        class PerPrefix(object):
                            """
                            Per\-prefix LFA FRR parameters
                            
                            .. attribute:: candidate
                            
                            	If interface can be protecting
                            	**type**\:   :py:class:`Candidate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix.Candidate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: protection
                            
                            	If interface can be protected
                            	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix.Protection>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.candidate = None
                                self.protection = None


                            class Candidate(object):
                                """
                                If interface can be protecting
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:candidate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix.Candidate']['meta_info']


                            class Protection(object):
                                """
                                If interface can be protected
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:protection'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix.Protection']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:per-prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.candidate is not None and self.candidate._has_data():
                                    return True

                                if self.protection is not None and self.protection._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:fast-reroute'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.per_prefix is not None and self.per_prefix._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Ospf.FastReroute']['meta_info']


                    class Lls(object):
                        """
                        Link\-local Signaling (LLS) support
                        
                        .. attribute:: disable
                        
                        	disable LLS
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:lls'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Ospf.Lls']['meta_info']


                    class MessageDigestKey(object):
                        """
                        Set message digest key
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: md5
                        
                        	Use MD5 algorithm
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.MessageDigestKey.Md5>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.md5 = Native.Interface.Loopback.Ip.Ospf.MessageDigestKey.Md5()
                            self.md5.parent = self


                        class Md5(object):
                            """
                            Use MD5 algorithm
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.auth_key = None
                                self.auth_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.auth_key is not None:
                                    return True

                                if self.auth_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.Ospf.MessageDigestKey.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:message-digest-key[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.md5 is not None and self.md5._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Ospf.MessageDigestKey']['meta_info']


                    class MultiArea(object):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cost = None
                            self.id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:multi-area'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cost is not None:
                                return True

                            if self.id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Ospf.MultiArea']['meta_info']


                    class PrefixSuppression(object):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:prefix-suppression'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Ospf.PrefixSuppression']['meta_info']


                    class TtlSecurity(object):
                        """
                        TTL security check
                        
                        .. attribute:: diable
                        
                        	disable TTL security check
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hops
                        
                        	IP hops
                        	**type**\:  int
                        
                        	**range:** 1..254
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.diable = None
                            self.hops = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:ttl-security'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.diable is not None:
                                return True

                            if self.hops is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Ospf.TtlSecurity']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ospf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.authentication_key is not None and self.authentication_key._has_data():
                            return True

                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        if self.cost is not None:
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.dead_interval is not None and self.dead_interval._has_data():
                            return True

                        if self.demand_circuit is not None and self.demand_circuit._has_data():
                            return True

                        if self.fast_reroute is not None and self.fast_reroute._has_data():
                            return True

                        if self.flood_reduction is not None:
                            return True

                        if self.hello_interval is not None:
                            return True

                        if self.lls is not None and self.lls._has_data():
                            return True

                        if self.message_digest_key is not None:
                            for child_ref in self.message_digest_key:
                                if child_ref._has_data():
                                    return True

                        if self.mtu_ignore is not None:
                            return True

                        if self.multi_area is not None and self.multi_area._has_data():
                            return True

                        if self.network is not None:
                            return True

                        if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.process_id is not None:
                            for child_ref in self.process_id:
                                if child_ref._has_data():
                                    return True

                        if self.resync_timeout is not None:
                            return True

                        if self.retransmit_interval is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.transmit_delay is not None:
                            return True

                        if self.ttl_security is not None and self.ttl_security._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.Ospf']['meta_info']


                class Wccp(object):
                    """
                    WCCP IPv4 interface commands
                    
                    .. attribute:: redirect
                    
                    	Set packet redirection options
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.Redirect>`
                    
                    .. attribute:: vrf
                    
                    	Configure WCCP for a VRF
                    	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.Vrf>`
                    
                    .. attribute:: wccp_list
                    
                    	
                    	**type**\: list of    :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.WccpList>`
                    
                    .. attribute:: web_cache
                    
                    	Standard web caching service
                    	**type**\:   :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.WebCache>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.redirect = Native.Interface.Loopback.Ip.Wccp.Redirect()
                        self.redirect.parent = self
                        self.vrf = YList()
                        self.vrf.parent = self
                        self.vrf.name = 'vrf'
                        self.wccp_list = YList()
                        self.wccp_list.parent = self
                        self.wccp_list.name = 'wccp_list'
                        self.web_cache = Native.Interface.Loopback.Ip.Wccp.WebCache()
                        self.web_cache.parent = self


                    class WccpList(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..254
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.WccpList.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.group_listen = None
                            self.redirect = Native.Interface.Loopback.Ip.Wccp.WccpList.Redirect()
                            self.redirect.parent = self


                        class Redirect(object):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.Wccp.WccpList.Redirect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp-list[Cisco-IOS-XE-wccp:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.group_listen is not None:
                                return True

                            if self.redirect is not None and self.redirect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Wccp.WccpList']['meta_info']


                    class WebCache(object):
                        """
                        Standard web caching service
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.WebCache.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.group_listen = None
                            self.redirect = Native.Interface.Loopback.Ip.Wccp.WebCache.Redirect()
                            self.redirect.parent = self


                        class Redirect(object):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.Wccp.WebCache.Redirect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:web-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.group_listen is not None:
                                return True

                            if self.redirect is not None and self.redirect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Wccp.WebCache']['meta_info']


                    class Redirect(object):
                        """
                        Set packet redirection options
                        
                        .. attribute:: exclude
                        
                        	Exclude packets from redirection
                        	**type**\:   :py:class:`Exclude <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.Redirect.Exclude>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.exclude = Native.Interface.Loopback.Ip.Wccp.Redirect.Exclude()
                            self.exclude.parent = self


                        class Exclude(object):
                            """
                            Exclude packets from redirection
                            
                            .. attribute:: in_
                            
                            	Exclude inbound packets from outbound redirection
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:exclude'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.Wccp.Redirect.Exclude']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.exclude is not None and self.exclude._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Wccp.Redirect']['meta_info']


                    class Vrf(object):
                        """
                        Configure WCCP for a VRF
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: wccp_list
                        
                        	
                        	**type**\: list of    :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList>`
                        
                        .. attribute:: web_cache
                        
                        	Standard web caching service
                        	**type**\:   :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.wccp_list = YList()
                            self.wccp_list.parent = self
                            self.wccp_list.name = 'wccp_list'
                            self.web_cache = Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache()
                            self.web_cache.parent = self


                        class WccpList(object):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..254
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.group_listen = None
                                self.redirect = Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList.Redirect()
                                self.redirect.parent = self


                            class Redirect(object):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList.Redirect']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp-list[Cisco-IOS-XE-wccp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.group_listen is not None:
                                    return True

                                if self.redirect is not None and self.redirect._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList']['meta_info']


                        class WebCache(object):
                            """
                            Standard web caching service
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group_listen = None
                                self.redirect = Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache.Redirect()
                                self.redirect.parent = self


                            class Redirect(object):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache.Redirect']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:web-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group_listen is not None:
                                    return True

                                if self.redirect is not None and self.redirect._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:vrf[Cisco-IOS-XE-wccp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.wccp_list is not None:
                                for child_ref in self.wccp_list:
                                    if child_ref._has_data():
                                        return True

                            if self.web_cache is not None and self.web_cache._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ip.Wccp.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.vrf is not None:
                            for child_ref in self.vrf:
                                if child_ref._has_data():
                                    return True

                        if self.wccp_list is not None:
                            for child_ref in self.wccp_list:
                                if child_ref._has_data():
                                    return True

                        if self.web_cache is not None and self.web_cache._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ip.Wccp']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.flow is not None and self.flow._has_data():
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.igmp is not None and self.igmp._has_data():
                        return True

                    if self.lisp is not None and self.lisp._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nat is not None and self.nat._has_data():
                        return True

                    if self.nbar is not None and self.nbar._has_data():
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.ospf is not None and self.ospf._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    if self.wccp is not None and self.wccp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Flow>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Nd>`
                
                .. attribute:: no_pim
                
                	
                	**type**\:   :py:class:`NoPim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.NoPim>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:   :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Pim>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: rip
                
                	Configure RIP routing protocol
                	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Rip>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.Loopback.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.Loopback.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.flow = Native.Interface.Loopback.Ipv6.Flow()
                    self.flow.parent = self
                    self.mtu = None
                    self.nd = Native.Interface.Loopback.Ipv6.Nd()
                    self.nd.parent = self
                    self.no_pim = Native.Interface.Loopback.Ipv6.NoPim()
                    self.no_pim.parent = self
                    self.ospf = Native.Interface.Loopback.Ipv6.Ospf()
                    self.ospf.parent = self
                    self.pim = Native.Interface.Loopback.Ipv6.Pim()
                    self.pim.parent = self
                    self.redirects = None
                    self.rip = YList()
                    self.rip.parent = self
                    self.rip.name = 'rip'
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    .. attribute:: guard
                    
                    	Configure IPv6 DHCP guard on the interface
                    	**type**\:   :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Dhcp.Guard>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: server
                    
                    	Act as an IPv6 DHCP server
                    	**type**\: list of    :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Dhcp.Server>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.guard = None
                        self.server = YList()
                        self.server.parent = self
                        self.server.name = 'server'


                    class Server(object):
                        """
                        Act as an IPv6 DHCP server
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: preference
                        
                        	Preference
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.word = None
                            self.preference = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.word is None:
                                raise YPYModelError('Key property word is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:server[Cisco-IOS-XE-dhcp:word = ' + str(self.word) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.word is not None:
                                return True

                            if self.preference is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Dhcp.Server']['meta_info']


                    class Guard(object):
                        """
                        Configure IPv6 DHCP guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature DHCP Guard
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.attach_policy = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:guard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.attach_policy is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Dhcp.Guard']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.guard is not None and self.guard._has_data():
                            return True

                        if self.server is not None:
                            for child_ref in self.server:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Nd.Autoconfig>`
                    
                    .. attribute:: managed_config_flag
                    
                    	Use DHCP for IPv6 address configuration
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ra
                    
                    	IPv6 nd router alert configuration
                    	**type**\:   :py:class:`Ra <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Nd.Ra>`
                    
                    .. attribute:: raguard
                    
                    	Configure RA guard on the interface
                    	**type**\:   :py:class:`Raguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Nd.Raguard>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = Native.Interface.Loopback.Ipv6.Nd.Autoconfig()
                        self.autoconfig.parent = self
                        self.managed_config_flag = None
                        self.ra = Native.Interface.Loopback.Ipv6.Nd.Ra()
                        self.ra.parent = self
                        self.raguard = Native.Interface.Loopback.Ipv6.Nd.Raguard()
                        self.raguard.parent = self


                    class Raguard(object):
                        """
                        Configure RA guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature RA guard
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.attach_policy = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:raguard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.attach_policy is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Nd.Raguard']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default_route
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefix
                        
                        	Insert auto\-configured prefix
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.default_route = None
                            self.prefix = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.default_route is not None:
                                return True

                            if self.prefix is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Nd.Autoconfig']['meta_info']


                    class Ra(object):
                        """
                        IPv6 nd router alert configuration
                        
                        .. attribute:: suppress
                        
                        	Suppress IPv6 router\-alert configuration
                        	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Nd.Ra.Suppress>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.suppress = None


                        class Suppress(object):
                            """
                            Suppress IPv6 router\-alert configuration
                            
                            .. attribute:: all
                            
                            	Suppress all IPv6 RA
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-nd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.all = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-nd:suppress'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.all is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ipv6.Nd.Ra.Suppress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:ra'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.suppress is not None and self.suppress._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Nd.Ra']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.managed_config_flag is not None:
                            return True

                        if self.ra is not None and self.ra._has_data():
                            return True

                        if self.raguard is not None and self.raguard._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ipv6.TrafficFilter']['meta_info']


                class Flow(object):
                    """
                    NetFlow related commands
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of    :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.egress = None
                        self.ingress = None
                        self.monitor = YList()
                        self.monitor.parent = self
                        self.monitor.name = 'monitor'


                    class Monitor(object):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\:  str
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of    :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Flow.Monitor.Sampler>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.input = None
                            self.multicast = None
                            self.output = None
                            self.sampler = YList()
                            self.sampler.parent = self
                            self.sampler.name = 'sampler'
                            self.unicast = None


                        class Sampler(object):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Flow.Monitor.Sampler.DirectionEnum>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.direction = None
                                self.name = None

                            class DirectionEnum(Enum):
                                """
                                DirectionEnum

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = 0

                                output = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ipv6.Flow.Monitor.Sampler.DirectionEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.direction is None:
                                    raise YPYModelError('Key property direction is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:sampler[Cisco-IOS-XE-flow:direction = ' + str(self.direction) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.direction is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ipv6.Flow.Monitor.Sampler']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:monitor[Cisco-IOS-XE-flow:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.input is not None:
                                return True

                            if self.multicast is not None:
                                return True

                            if self.output is not None:
                                return True

                            if self.sampler is not None:
                                for child_ref in self.sampler:
                                    if child_ref._has_data():
                                        return True

                            if self.unicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Flow.Monitor']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.egress is not None:
                            return True

                        if self.ingress is not None:
                            return True

                        if self.monitor is not None:
                            for child_ref in self.monitor:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ipv6.Flow']['meta_info']


                class NoPim(object):
                    """
                    
                    
                    .. attribute:: pim
                    
                    	PIM interface commands
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.pim = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:no-pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.pim is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ipv6.NoPim']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    .. attribute:: bfd
                    
                    	Configure BFD
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bsr
                    
                    	Configure BSR
                    	**type**\:   :py:class:`Bsr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Pim.Bsr>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM Hello DR priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bfd = None
                        self.bsr = Native.Interface.Loopback.Ipv6.Pim.Bsr()
                        self.bsr.parent = self
                        self.dr_priority = None


                    class Bsr(object):
                        """
                        Configure BSR
                        
                        .. attribute:: border
                        
                        	Border of PIM BSR domain
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.border = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:bsr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.border is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Pim.Bsr']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bfd is not None:
                            return True

                        if self.bsr is not None and self.bsr._has_data():
                            return True

                        if self.dr_priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ipv6.Pim']['meta_info']


                class Ospf(object):
                    """
                    OSPF interface commands
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: encryption
                    
                    	Enable encryption
                    	**type**\:   :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Network>`
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: process
                    
                    	
                    	**type**\: list of    :py:class:`Process <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Process>`
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authentication = Native.Interface.Loopback.Ipv6.Ospf.Authentication()
                        self.authentication.parent = self
                        self.bfd = None
                        self.cost = None
                        self.database_filter = Native.Interface.Loopback.Ipv6.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self.dead_interval = None
                        self.demand_circuit = None
                        self.encryption = Native.Interface.Loopback.Ipv6.Ospf.Encryption()
                        self.encryption.parent = self
                        self.flood_reduction = None
                        self.hello_interval = None
                        self.mtu_ignore = None
                        self.neighbor = YList()
                        self.neighbor.parent = self
                        self.neighbor.name = 'neighbor'
                        self.network = Native.Interface.Loopback.Ipv6.Ospf.Network()
                        self.network.parent = self
                        self.priority = None
                        self.process = YList()
                        self.process.parent = self
                        self.process.name = 'process'
                        self.retransmit_interval = None
                        self.shutdown = None
                        self.transmit_delay = None


                    class Process(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: instance
                        
                        	Set the OSPF instance
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..31
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 32..255
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.area = None
                            self.instance = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:process[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.area is not None:
                                return True

                            if self.instance is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Process']['meta_info']


                    class Authentication(object):
                        """
                        Enable authentication
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec authentication
                        	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec>`
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipsec = Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec()
                            self.ipsec.parent = self
                            self.null = None


                        class Ipsec(object):
                            """
                            Use IPsec authentication
                            
                            .. attribute:: md5
                            
                            	Use MD5 authentication
                            	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5>`
                            
                            .. attribute:: sha1
                            
                            	Use SHA\-1 authentication
                            	**type**\:   :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1>`
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\:  int
                            
                            	**range:** 256..4294967295
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.md5 = Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5()
                                self.md5.parent = self
                                self.sha1 = Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1()
                                self.sha1.parent = self
                                self.spi = None


                            class Md5(object):
                                """
                                Use MD5 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:md5'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5']['meta_info']


                            class Sha1(object):
                                """
                                Use SHA\-1 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:sha1'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipsec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.md5 is not None and self.md5._has_data():
                                    return True

                                if self.sha1 is not None and self.sha1._has_data():
                                    return True

                                if self.spi is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipsec is not None and self.ipsec._has_data():
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Authentication']['meta_info']


                    class Bfd(object):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Bfd']['meta_info']


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.DatabaseFilter.AllEnum>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.disable = None

                        class AllEnum(Enum):
                            """
                            AllEnum

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.DatabaseFilter.AllEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.DatabaseFilter']['meta_info']


                    class DemandCircuit(object):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None
                            self.ignore = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:demand-circuit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.DemandCircuit']['meta_info']


                    class Encryption(object):
                        """
                        Enable encryption
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec encryption
                        	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec>`
                        
                        .. attribute:: null
                        
                        	No IPsec encryption on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipsec = Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec()
                            self.ipsec.parent = self
                            self.null = None


                        class Ipsec(object):
                            """
                            Use IPsec encryption
                            
                            .. attribute:: aes_cbc
                            
                            	Use AES\-CBC encryption
                            	**type**\:   :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc>`
                            
                            .. attribute:: esp
                            
                            	Use ESP encapsulation
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipsec_3des
                            
                            	Use 3DES encryption
                            	**type**\:   :py:class:`Ipsec_3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des>`
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aes_cbc = Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc()
                                self.aes_cbc.parent = self
                                self.esp = None
                                self.ipsec_3des = Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des()
                                self.ipsec_3des.parent = self
                                self.spi = None


                            class Ipsec_3Des(object):
                                """
                                Use 3DES encryption
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipsec_3des'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des']['meta_info']


                            class AesCbc(object):
                                """
                                Use AES\-CBC encryption
                                
                                .. attribute:: aes_192
                                
                                	Use 192 bit key
                                	**type**\:   :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192>`
                                
                                .. attribute:: aes_256
                                
                                	Use 256 bit key
                                	**type**\:   :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256>`
                                
                                .. attribute:: aes_cbc_128
                                
                                	Use 128 bit key
                                	**type**\:   :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.aes_192 = Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192()
                                    self.aes_192.parent = self
                                    self.aes_256 = Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256()
                                    self.aes_256.parent = self
                                    self.aes_cbc_128 = Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128()
                                    self.aes_cbc_128.parent = self


                                class AesCbc128(object):
                                    """
                                    Use 128 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_string = Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-cbc-128'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']


                                class Aes192(object):
                                    """
                                    Use 192 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_string = Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-192'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192']['meta_info']


                                class Aes256(object):
                                    """
                                    Use 256 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_string = Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-256'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-cbc'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.aes_192 is not None and self.aes_192._has_data():
                                        return True

                                    if self.aes_256 is not None and self.aes_256._has_data():
                                        return True

                                    if self.aes_cbc_128 is not None and self.aes_cbc_128._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipsec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aes_cbc is not None and self.aes_cbc._has_data():
                                    return True

                                if self.esp is not None:
                                    return True

                                if self.ipsec_3des is not None and self.ipsec_3des._has_data():
                                    return True

                                if self.spi is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:encryption'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipsec is not None and self.ipsec._has_data():
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Encryption']['meta_info']


                    class FloodReduction(object):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	Disable Flood Reduction on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:flood-reduction'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.FloodReduction']['meta_info']


                    class MtuIgnore(object):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:mtu-ignore'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.MtuIgnore']['meta_info']


                    class Neighbor(object):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.cost = None
                            self.database_filter = Native.Interface.Loopback.Ipv6.Ospf.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self.poll_interval = None
                            self.priority = None


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Neighbor.DatabaseFilter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:neighbor[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.cost is not None:
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.poll_interval is not None:
                                return True

                            if self.priority is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Neighbor']['meta_info']


                    class Network(object):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.broadcast = None
                            self.manet = None
                            self.non_broadcast = None
                            self.point_to_multipoint = None
                            self.point_to_point = None


                        class PointToMultipoint(object):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.non_broadcast = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:point-to-multipoint'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.non_broadcast is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Network.PointToMultipoint']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:network'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.broadcast is not None:
                                return True

                            if self.manet is not None:
                                return True

                            if self.non_broadcast is not None:
                                return True

                            if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                return True

                            if self.point_to_point is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Network']['meta_info']


                    class Shutdown(object):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:shutdown'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf.Shutdown']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ospf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        if self.cost is not None:
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.dead_interval is not None:
                            return True

                        if self.demand_circuit is not None and self.demand_circuit._has_data():
                            return True

                        if self.encryption is not None and self.encryption._has_data():
                            return True

                        if self.flood_reduction is not None and self.flood_reduction._has_data():
                            return True

                        if self.hello_interval is not None:
                            return True

                        if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                            return True

                        if self.neighbor is not None:
                            for child_ref in self.neighbor:
                                if child_ref._has_data():
                                    return True

                        if self.network is not None and self.network._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.process is not None:
                            for child_ref in self.process:
                                if child_ref._has_data():
                                    return True

                        if self.retransmit_interval is not None:
                            return True

                        if self.shutdown is not None and self.shutdown._has_data():
                            return True

                        if self.transmit_delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ipv6.Ospf']['meta_info']


                class Rip(object):
                    """
                    Configure RIP routing protocol
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: default_information
                    
                    	Configure handling of default route
                    	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Rip.DefaultInformation>`
                    
                    .. attribute:: enable
                    
                    	Enable/disable RIP routing
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.default_information = Native.Interface.Loopback.Ipv6.Rip.DefaultInformation()
                        self.default_information.parent = self
                        self.enable = None


                    class DefaultInformation(object):
                        """
                        Configure handling of default route
                        
                        .. attribute:: metric
                        
                        	Default route metric
                        	**type**\:  int
                        
                        	**range:** 1..15
                        
                        .. attribute:: route
                        
                        	
                        	**type**\:   :py:class:`RouteEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Rip.DefaultInformation.RouteEnum>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = None
                            self.route = None

                        class RouteEnum(Enum):
                            """
                            RouteEnum

                            .. data:: only = 0

                            .. data:: originate = 1

                            """

                            only = 0

                            originate = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ipv6.Rip.DefaultInformation.RouteEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:default-information'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None:
                                return True

                            if self.route is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ipv6.Rip.DefaultInformation']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip[Cisco-IOS-XE-rip:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.default_information is not None and self.default_information._has_data():
                            return True

                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ipv6.Rip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.flow is not None and self.flow._has_data():
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.no_pim is not None and self.no_pim._has_data():
                        return True

                    if self.ospf is not None and self.ospf._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.rip is not None:
                        for child_ref in self.rip:
                            if child_ref._has_data():
                                return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.Loopback.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.Loopback.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.Loopback.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.Loopback.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.Loopback.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.Loopback.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.Loopback.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.Loopback.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.Loopback.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.Loopback.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.Loopback.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.Loopback.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.Loopback.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.Loopback.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.Loopback.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.Loopback.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.Loopback.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.Loopback.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Loopback.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Loopback.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Loopback.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Loopback.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Loopback.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Loopback.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Loopback.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Loopback.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.Loopback.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.Loopback.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.Loopback.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.Loopback.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.Loopback.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.PmPath']['meta_info']


            class Crypto(object):
                """
                Encryption/Decryption commands
                
                .. attribute:: ipsec
                
                	Set IPSec parameters
                	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Crypto.Ipsec>`
                
                .. attribute:: map
                
                	Assign a Crypto Map
                	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Crypto.Map>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipsec = Native.Interface.Loopback.Crypto.Ipsec()
                    self.ipsec.parent = self
                    self.map = Native.Interface.Loopback.Crypto.Map()
                    self.map.parent = self


                class Map(object):
                    """
                    Assign a Crypto Map
                    
                    .. attribute:: redundancy
                    
                    	enable redundancy
                    	**type**\:  str
                    
                    .. attribute:: stateful
                    
                    	enable stateful failover
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: tag
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.redundancy = None
                        self.stateful = None
                        self.tag = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.redundancy is not None:
                            return True

                        if self.stateful is not None:
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Crypto.Map']['meta_info']


                class Ipsec(object):
                    """
                    Set IPSec parameters
                    
                    .. attribute:: df_bit
                    
                    	Handling of encapsulated DF bit
                    	**type**\:   :py:class:`DfBitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Crypto.Ipsec.DfBitEnum>`
                    
                    .. attribute:: fragmentation
                    
                    	Handling of fragmentation of near\-MTU sized packets
                    	**type**\:   :py:class:`FragmentationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Crypto.Ipsec.FragmentationEnum>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.df_bit = None
                        self.fragmentation = None

                    class DfBitEnum(Enum):
                        """
                        DfBitEnum

                        Handling of encapsulated DF bit.

                        .. data:: clear = 0

                        .. data:: copy = 1

                        .. data:: set = 2

                        """

                        clear = 0

                        copy = 1

                        set = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Crypto.Ipsec.DfBitEnum']


                    class FragmentationEnum(Enum):
                        """
                        FragmentationEnum

                        Handling of fragmentation of near\-MTU sized packets

                        .. data:: after_encryption = 0

                        .. data:: before_encryption = 1

                        """

                        after_encryption = 0

                        before_encryption = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Crypto.Ipsec.FragmentationEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:ipsec'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.df_bit is not None:
                            return True

                        if self.fragmentation is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Crypto.Ipsec']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:crypto'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipsec is not None and self.ipsec._has_data():
                        return True

                    if self.map is not None and self.map._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Crypto']['meta_info']


            class Cts(object):
                """
                Configure Cisco Trusted Security
                
                .. attribute:: manual
                
                	Supply local configuration for CTS parameters
                	**type**\:   :py:class:`Manual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.manual = None


                class Manual(object):
                    """
                    Supply local configuration for CTS parameters
                    
                    .. attribute:: policy
                    
                    	CTS policy for manual mode
                    	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual.Policy>`
                    
                    .. attribute:: propagate
                    
                    	CTS SGT Propagation configuration for manual mode
                    	**type**\:   :py:class:`Propagate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual.Propagate>`
                    
                    .. attribute:: sap
                    
                    	CTS SAP configuration for manual mode
                    	**type**\:   :py:class:`Sap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual.Sap>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.policy = Native.Interface.Loopback.Cts.Manual.Policy()
                        self.policy.parent = self
                        self.propagate = Native.Interface.Loopback.Cts.Manual.Propagate()
                        self.propagate.parent = self
                        self.sap = Native.Interface.Loopback.Cts.Manual.Sap()
                        self.sap.parent = self


                    class Policy(object):
                        """
                        CTS policy for manual mode
                        
                        .. attribute:: static
                        
                        	Configure policy to be applied on the link
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual.Policy.Static>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = Native.Interface.Loopback.Cts.Manual.Policy.Static()
                            self.static.parent = self


                        class Static(object):
                            """
                            Configure policy to be applied on the link
                            
                            .. attribute:: sgt
                            
                            	Source Security Group Tag to apply to untagged or non\-trusted incoming traffic
                            	**type**\:  int
                            
                            	**range:** 2..65519
                            
                            .. attribute:: trusted
                            
                            	Trust the Source Group Tags (SGT) that the peer uses for sending
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.sgt = None
                                self.trusted = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-cts:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.sgt is not None:
                                    return True

                                if self.trusted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Cts.Manual.Policy.Static']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Cts.Manual.Policy']['meta_info']


                    class Sap(object):
                        """
                        CTS SAP configuration for manual mode
                        
                        .. attribute:: pmk
                        
                        	Pre\-Master Key (PMK) to use for CTS SAP
                        	**type**\: list of    :py:class:`Pmk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual.Sap.Pmk>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.pmk = YList()
                            self.pmk.parent = self
                            self.pmk.name = 'pmk'


                        class Pmk(object):
                            """
                            Pre\-Master Key (PMK) to use for CTS SAP
                            
                            .. attribute:: word  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: mode_list
                            
                            	List of advertised modes (prioritized from highest to lowest)
                            	**type**\:   :py:class:`ModeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.word = None
                                self.mode_list = Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList()
                                self.mode_list.parent = self


                            class ModeList(object):
                                """
                                List of advertised modes (prioritized from highest to lowest)
                                
                                .. attribute:: gcm_encrypt
                                
                                	GCM authentication, GCM encryption
                                	**type**\:   :py:class:`GcmEncrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_encap
                                
                                	No encapsulation
                                	**type**\:   :py:class:`NoEncap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.NoEncap>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.gcm_encrypt = None
                                    self.no_encap = None


                                class GcmEncrypt(object):
                                    """
                                    GCM authentication, GCM encryption
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:   :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.gmac = None


                                    class Gmac(object):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: null
                                        
                                        	Encapsulation present, no authentication,       no encryption
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.null = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:gmac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.null is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:gcm-encrypt'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.gmac is not None and self.gmac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info']


                                class NoEncap(object):
                                    """
                                    No encapsulation
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:   :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.gmac = None


                                    class Gmac(object):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: gcm_encrypt
                                        
                                        	GCM authentication, GCM encryption
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.gcm_encrypt = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:gmac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.gcm_encrypt is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:no-encap'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.gmac is not None and self.gmac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-cts:mode-list'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.gcm_encrypt is not None and self.gcm_encrypt._has_data():
                                        return True

                                    if self.no_encap is not None and self.no_encap._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.word is None:
                                    raise YPYModelError('Key property word is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-cts:pmk[Cisco-IOS-XE-cts:word = ' + str(self.word) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.word is not None:
                                    return True

                                if self.mode_list is not None and self.mode_list._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Cts.Manual.Sap.Pmk']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:sap'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.pmk is not None:
                                for child_ref in self.pmk:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Cts.Manual.Sap']['meta_info']


                    class Propagate(object):
                        """
                        CTS SGT Propagation configuration for manual mode
                        
                        .. attribute:: sgt
                        
                        	CTS SGT Propagation configuration
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.sgt = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:propagate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.sgt is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Cts.Manual.Propagate']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-cts:manual'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.policy is not None and self.policy._has_data():
                            return True

                        if self.propagate is not None and self.propagate._has_data():
                            return True

                        if self.sap is not None and self.sap._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Cts.Manual']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-cts:cts'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.manual is not None and self.manual._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Cts']['meta_info']


            class Performance(object):
                """
                Global performance monitor configuration
                
                .. attribute:: monitor
                
                	monitor
                	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Performance.Monitor>`
                
                

                """

                _prefix = 'ios-ezpm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.monitor = Native.Interface.Loopback.Performance.Monitor()
                    self.monitor.parent = self


                class Monitor(object):
                    """
                    monitor
                    
                    .. attribute:: context
                    
                    	Select ezPM context
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-ezpm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.context = YLeafList()
                        self.context.parent = self
                        self.context.name = 'context'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ezpm:monitor'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.context is not None:
                            for child in self.context:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Performance.Monitor']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ezpm:performance'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.monitor is not None and self.monitor._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Performance']['meta_info']


            class ServicePolicy(object):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.history = None
                    self.input = None
                    self.output = None
                    self.type = Native.Interface.Loopback.ServicePolicy.Type()
                    self.type.parent = self


                class Type(object):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:   :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:   :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:   :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.control = Native.Interface.Loopback.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self.performance_monitor = Native.Interface.Loopback.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self.service_chain = Native.Interface.Loopback.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self


                    class Control(object):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.subscriber = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:control'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.subscriber is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.ServicePolicy.Type.Control']['meta_info']


                    class PerformanceMonitor(object):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.ServicePolicy.Type.PerformanceMonitor.DirectionEnum>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.direction = None
                            self.name = None

                        class DirectionEnum(Enum):
                            """
                            DirectionEnum

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = 0

                            output = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.ServicePolicy.Type.PerformanceMonitor.DirectionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:performance-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.direction is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.ServicePolicy.Type.PerformanceMonitor']['meta_info']


                    class ServiceChain(object):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self.output = Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self


                        class Input(object):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Input']['meta_info']


                        class Output(object):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:output'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:service-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None and self.input._has_data():
                                return True

                            if self.output is not None and self.output._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.ServicePolicy.Type.ServiceChain']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.control is not None and self.control._has_data():
                            return True

                        if self.performance_monitor is not None and self.performance_monitor._has_data():
                            return True

                        if self.service_chain is not None and self.service_chain._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.ServicePolicy.Type']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.history is not None:
                        return True

                    if self.input is not None:
                        return True

                    if self.output is not None:
                        return True

                    if self.type is not None and self.type._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.ServicePolicy']['meta_info']


            class Snmp(object):
                """
                Modify SNMP interface parameters
                
                .. attribute:: ifindex
                
                	Persist ifindex for the interface
                	**type**\:   :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Snmp.Ifindex>`
                
                .. attribute:: trap
                
                	Allow a specific SNMP trap
                	**type**\:   :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Snmp.Trap>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ifindex = Native.Interface.Loopback.Snmp.Ifindex()
                    self.ifindex.parent = self
                    self.trap = Native.Interface.Loopback.Snmp.Trap()
                    self.trap.parent = self


                class Ifindex(object):
                    """
                    Persist ifindex for the interface
                    
                    .. attribute:: clear
                    
                    	Clear Enable/Disable ifIndex persistence
                    	**type**\:  bool
                    
                    .. attribute:: persist
                    
                    	Enable/Disable ifIndex persistence 
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.clear = None
                        self.persist = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-snmp:ifindex'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.clear is not None:
                            return True

                        if self.persist is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Snmp.Ifindex']['meta_info']


                class Trap(object):
                    """
                    Allow a specific SNMP trap
                    
                    .. attribute:: link_status
                    
                    	Allow SNMP LINKUP and LINKDOWN traps
                    	**type**\:  bool
                    
                    .. attribute:: link_status_capas
                    
                    	
                    	**type**\:   :py:class:`LinkStatusCapas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.link_status = None
                        self.link_status_capas = Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas()
                        self.link_status_capas.parent = self


                    class LinkStatusCapas(object):
                        """
                        
                        
                        .. attribute:: link_status
                        
                        	Allow SNMP LINKUP and LINKDOWN traps
                        	**type**\:   :py:class:`LinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.link_status = Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus()
                            self.link_status.parent = self


                        class LinkStatus(object):
                            """
                            Allow SNMP LINKUP and LINKDOWN traps
                            
                            .. attribute:: permit
                            
                            	Permit the following capability
                            	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.permit = Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit()
                                self.permit.parent = self


                            class Permit(object):
                                """
                                Permit the following capability
                                
                                .. attribute:: duplicates
                                
                                	Permit duplicate SNMP LINKUP and LINKDOWN traps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.duplicates = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:permit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.duplicates is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-snmp:link-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.permit is not None and self.permit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-snmp:link-status-capas'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.link_status is not None and self.link_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-snmp:trap'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.link_status is not None:
                            return True

                        if self.link_status_capas is not None and self.link_status_capas._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Snmp.Trap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:snmp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ifindex is not None and self.ifindex._has_data():
                        return True

                    if self.trap is not None and self.trap._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Snmp']['meta_info']


            class Lisp(object):
                """
                Locator/ID Separation Protocol
                
                .. attribute:: extended_subnet_mode
                
                	Configures to enable extended subnet mode on the interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mobility
                
                	Configures to allow EID mobility on interface
                	**type**\:   :py:class:`Mobility <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Lisp.Mobility>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.extended_subnet_mode = None
                    self.mobility = Native.Interface.Loopback.Lisp.Mobility()
                    self.mobility.parent = self


                class Mobility(object):
                    """
                    Configures to allow EID mobility on interface
                    
                    .. attribute:: discover
                    
                    	Configure mobility dynamic EID discover settings
                    	**type**\:   :py:class:`Discover <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Lisp.Mobility.Discover>`
                    
                    .. attribute:: dynamic_eid
                    
                    	
                    	**type**\:   :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Lisp.Mobility.DynamicEid>`
                    
                    .. attribute:: liveness
                    
                    	Configure mobility liveness settings
                    	**type**\:   :py:class:`Liveness <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Lisp.Mobility.Liveness>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.discover = Native.Interface.Loopback.Lisp.Mobility.Discover()
                        self.discover.parent = self
                        self.dynamic_eid = Native.Interface.Loopback.Lisp.Mobility.DynamicEid()
                        self.dynamic_eid.parent = self
                        self.liveness = Native.Interface.Loopback.Lisp.Mobility.Liveness()
                        self.liveness.parent = self


                    class DynamicEid(object):
                        """
                        
                        
                        .. attribute:: dynamic_eid_name
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: nbr_proxy_reply
                        
                        	Neighbor proxy reply behavior for dynamic EID group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: requests
                        
                        	Send neighbor proxy reply after reaching request threshold
                        	**type**\:  int
                        
                        	**range:** 0..5
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dynamic_eid_name = None
                            self.nbr_proxy_reply = None
                            self.requests = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:dynamic-eid'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dynamic_eid_name is not None:
                                return True

                            if self.nbr_proxy_reply is not None:
                                return True

                            if self.requests is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Lisp.Mobility.DynamicEid']['meta_info']


                    class Discover(object):
                        """
                        Configure mobility dynamic EID discover settings
                        
                        .. attribute:: arp
                        
                        	Dynamic EID discover through ARP events on this interface
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.arp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:discover'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.arp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Lisp.Mobility.Discover']['meta_info']


                    class Liveness(object):
                        """
                        Configure mobility liveness settings
                        
                        .. attribute:: test
                        
                        	Perform liveness test on dynamic\-EID discovered on this interface
                        	**type**\:  bool
                        
                        .. attribute:: ttl
                        
                        	Configures the TTL in the liveness test packet
                        	**type**\:  int
                        
                        	**range:** 2..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.test = None
                            self.ttl = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:liveness'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.test is not None:
                                return True

                            if self.ttl is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Lisp.Mobility.Liveness']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:mobility'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.discover is not None and self.discover._has_data():
                            return True

                        if self.dynamic_eid is not None and self.dynamic_eid._has_data():
                            return True

                        if self.liveness is not None and self.liveness._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Lisp.Mobility']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.extended_subnet_mode is not None:
                        return True

                    if self.mobility is not None and self.mobility._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Lisp']['meta_info']


            class Ospfv3(object):
                """
                OSPFv3 interface commands
                
                .. attribute:: authentication
                
                	Enable authentication
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Authentication>`
                
                .. attribute:: bfd
                
                	Enable BFD on this interface
                	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Bfd>`
                
                	**presence node**\: True
                
                .. attribute:: cost
                
                	Route cost of this interface
                	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Cost>`
                
                .. attribute:: database_filter
                
                	Filter OSPF LSA during synchronization and flooding
                	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.DatabaseFilter>`
                
                .. attribute:: dead_interval
                
                	Interval after which a neighbor is declared dead
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: demand_circuit
                
                	OSPF Demand Circuit
                	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.DemandCircuit>`
                
                	**presence node**\: True
                
                .. attribute:: encryption
                
                	Enable encryption
                	**type**\:   :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption>`
                
                .. attribute:: flood_reduction
                
                	OSPF Flood Reduction
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hello_interval
                
                	Time between HELLO packets
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: manet
                
                	Mobile Adhoc Networking options
                	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Manet>`
                
                .. attribute:: mtu_ignore
                
                	Ignores the MTU in DBD packets
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: multi_area
                
                	Set the OSPF multi\-area ID
                	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.MultiArea>`
                
                .. attribute:: neighbor
                
                	OSPF neighbor
                	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Neighbor>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Network>`
                
                .. attribute:: prefix_suppression
                
                	OSPF prefix suppression
                	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.PrefixSuppression>`
                
                	**presence node**\: True
                
                .. attribute:: priority
                
                	Router priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: process_id
                
                	
                	**type**\: list of    :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId>`
                
                .. attribute:: retransmit_interval
                
                	Time between retransmitting lost link state advertisements
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: shutdown
                
                	Shut down the interface in OSPFv3
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: transmit_delay
                
                	Link state transmit delay
                	**type**\:  int
                
                	**range:** 1..65535
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.authentication = Native.Interface.Loopback.Ospfv3.Authentication()
                    self.authentication.parent = self
                    self.bfd = None
                    self.cost = Native.Interface.Loopback.Ospfv3.Cost()
                    self.cost.parent = self
                    self.database_filter = Native.Interface.Loopback.Ospfv3.DatabaseFilter()
                    self.database_filter.parent = self
                    self.dead_interval = None
                    self.demand_circuit = None
                    self.encryption = Native.Interface.Loopback.Ospfv3.Encryption()
                    self.encryption.parent = self
                    self.flood_reduction = None
                    self.hello_interval = None
                    self.manet = Native.Interface.Loopback.Ospfv3.Manet()
                    self.manet.parent = self
                    self.mtu_ignore = None
                    self.multi_area = Native.Interface.Loopback.Ospfv3.MultiArea()
                    self.multi_area.parent = self
                    self.neighbor = YList()
                    self.neighbor.parent = self
                    self.neighbor.name = 'neighbor'
                    self.network = Native.Interface.Loopback.Ospfv3.Network()
                    self.network.parent = self
                    self.prefix_suppression = None
                    self.priority = None
                    self.process_id = YList()
                    self.process_id.parent = self
                    self.process_id.name = 'process_id'
                    self.retransmit_interval = None
                    self.shutdown = None
                    self.transmit_delay = None


                class ProcessId(object):
                    """
                    
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Cost>`
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ipv4
                    
                    	Specify parameters for IPv4
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	Specify parameters for IPv6
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6>`
                    
                    .. attribute:: manet
                    
                    	Mobile Adhoc Networking options
                    	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Manet>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.MultiArea>`
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Network>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.authentication = Native.Interface.Loopback.Ospfv3.ProcessId.Authentication()
                        self.authentication.parent = self
                        self.bfd = None
                        self.cost = Native.Interface.Loopback.Ospfv3.ProcessId.Cost()
                        self.cost.parent = self
                        self.database_filter = Native.Interface.Loopback.Ospfv3.ProcessId.DatabaseFilter()
                        self.database_filter.parent = self
                        self.dead_interval = None
                        self.demand_circuit = None
                        self.flood_reduction = None
                        self.hello_interval = None
                        self.ipv4 = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4()
                        self.ipv4.parent = self
                        self.ipv6 = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6()
                        self.ipv6.parent = self
                        self.manet = Native.Interface.Loopback.Ospfv3.ProcessId.Manet()
                        self.manet.parent = self
                        self.mtu_ignore = None
                        self.multi_area = Native.Interface.Loopback.Ospfv3.ProcessId.MultiArea()
                        self.multi_area.parent = self
                        self.neighbor = YList()
                        self.neighbor.parent = self
                        self.neighbor.name = 'neighbor'
                        self.network = Native.Interface.Loopback.Ospfv3.ProcessId.Network()
                        self.network.parent = self
                        self.prefix_suppression = None
                        self.priority = None
                        self.retransmit_interval = None
                        self.shutdown = None
                        self.transmit_delay = None


                    class Authentication(object):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:  str
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_chain = None
                            self.null = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_chain is not None:
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Authentication']['meta_info']


                    class Bfd(object):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Bfd']['meta_info']


                    class Cost(object):
                        """
                        Route cost of this interface
                        
                        .. attribute:: dynamic
                        
                        	Specify dynamic cost options
                        	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dynamic = None
                            self.value = None


                        class Dynamic(object):
                            """
                            Specify dynamic cost options
                            
                            .. attribute:: default
                            
                            	Specify default link metric value
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: hysteresis
                            
                            	Specify hysteresis value for LSA dampening
                            	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: weight
                            
                            	Specify weight to be placed on individual metrics
                            	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.default = None
                                self.hysteresis = None
                                self.weight = Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight()
                                self.weight.parent = self


                            class Hysteresis(object):
                                """
                                Specify hysteresis value for LSA dampening
                                
                                .. attribute:: percent
                                
                                	Specify hysteresis percent changed
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold
                                
                                	Specify hysteresis threshold value
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.percent = None
                                    self.threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.percent is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis']['meta_info']


                            class Weight(object):
                                """
                                Specify weight to be placed on individual metrics
                                
                                .. attribute:: l2_factor
                                
                                	Specify weight to be given to L2\-factor metric
                                	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: latency
                                
                                	Specify weight to be given to latency metric
                                	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: resources
                                
                                	Specify weight to be given to resources metric
                                	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: throughput
                                
                                	Specify weight to be given to throughput metric
                                	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.l2_factor = None
                                    self.latency = None
                                    self.resources = None
                                    self.throughput = None


                                class L2Factor(object):
                                    """
                                    Specify weight to be given to L2\-factor metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor']['meta_info']


                                class Latency(object):
                                    """
                                    Specify weight to be given to latency metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency']['meta_info']


                                class Resources(object):
                                    """
                                    Specify weight to be given to resources metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources']['meta_info']


                                class Throughput(object):
                                    """
                                    Specify weight to be given to throughput metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.l2_factor is not None and self.l2_factor._has_data():
                                        return True

                                    if self.latency is not None and self.latency._has_data():
                                        return True

                                    if self.resources is not None and self.resources._has_data():
                                        return True

                                    if self.throughput is not None and self.throughput._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.default is not None:
                                    return True

                                if self.hysteresis is not None and self.hysteresis._has_data():
                                    return True

                                if self.weight is not None and self.weight._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dynamic is not None and self.dynamic._has_data():
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Cost']['meta_info']


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.DatabaseFilter.AllEnum>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.disable = None

                        class AllEnum(Enum):
                            """
                            AllEnum

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.DatabaseFilter.AllEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.DatabaseFilter']['meta_info']


                    class DemandCircuit(object):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None
                            self.ignore = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.DemandCircuit']['meta_info']


                    class FloodReduction(object):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:flood-reduction'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.FloodReduction']['meta_info']


                    class Manet(object):
                        """
                        Mobile Adhoc Networking options
                        
                        .. attribute:: peering
                        
                        	MANET Peering options
                        	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.peering = Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering()
                            self.peering.parent = self


                        class Peering(object):
                            """
                            MANET Peering options
                            
                            .. attribute:: cost
                            
                            	Redundant path cost improvement required to peer
                            	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering.Cost>`
                            
                            .. attribute:: link_metrics
                            
                            	Require link metrics
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cost = Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering.Cost()
                                self.cost.parent = self
                                self.link_metrics = None


                            class Cost(object):
                                """
                                Redundant path cost improvement required to peer
                                
                                .. attribute:: percent
                                
                                	Relative incremental path cost
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: threshold
                                
                                	Absolute incremental path cost
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.percent = None
                                    self.threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.percent is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering.Cost']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cost is not None and self.cost._has_data():
                                    return True

                                if self.link_metrics is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.peering is not None and self.peering._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Manet']['meta_info']


                    class MtuIgnore(object):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mtu-ignore'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.MtuIgnore']['meta_info']


                    class MultiArea(object):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: disable
                        
                        	disable OSPF multi\-area
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cost = None
                            self.disable = None
                            self.id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cost is not None:
                                return True

                            if self.disable is not None:
                                return True

                            if self.id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.MultiArea']['meta_info']


                    class Neighbor(object):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.cost = None
                            self.database_filter = Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self.poll_interval = None
                            self.priority = None


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor.DatabaseFilter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.cost is not None:
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.poll_interval is not None:
                                return True

                            if self.priority is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor']['meta_info']


                    class Network(object):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.broadcast = None
                            self.manet = None
                            self.non_broadcast = None
                            self.point_to_multipoint = None
                            self.point_to_point = None


                        class PointToMultipoint(object):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.non_broadcast = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.non_broadcast is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Network.PointToMultipoint']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.broadcast is not None:
                                return True

                            if self.manet is not None:
                                return True

                            if self.non_broadcast is not None:
                                return True

                            if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                return True

                            if self.point_to_point is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Network']['meta_info']


                    class PrefixSuppression(object):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.PrefixSuppression']['meta_info']


                    class Shutdown(object):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:shutdown'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Shutdown']['meta_info']


                    class Ipv4(object):
                        """
                        Specify parameters for IPv4
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.area = YList()
                            self.area.parent = self
                            self.area.name = 'area'
                            self.authentication = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Authentication()
                            self.authentication.parent = self
                            self.bfd = None
                            self.cost = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost()
                            self.cost.parent = self
                            self.database_filter = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DatabaseFilter()
                            self.database_filter.parent = self
                            self.dead_interval = None
                            self.demand_circuit = None
                            self.flood_reduction = None
                            self.hello_interval = None
                            self.manet = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet()
                            self.manet.parent = self
                            self.mtu_ignore = None
                            self.multi_area = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MultiArea()
                            self.multi_area.parent = self
                            self.neighbor = YList()
                            self.neighbor.parent = self
                            self.neighbor.name = 'neighbor'
                            self.network = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network()
                            self.network.parent = self
                            self.prefix_suppression = None
                            self.priority = None
                            self.retransmit_interval = None
                            self.shutdown = None
                            self.transmit_delay = None


                        class Area(object):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\:  int
                            
                            	**range:** 64..95
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.instance = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.instance is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Area']['meta_info']


                        class Authentication(object):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\:  str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.null = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.null is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Authentication']['meta_info']


                        class Bfd(object):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Bfd']['meta_info']


                        class Cost(object):
                            """
                            Route cost of this interface
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.value = None


                            class Dynamic(object):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.default = None
                                    self.hysteresis = None
                                    self.weight = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight()
                                    self.weight.parent = self


                                class Hysteresis(object):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis']['meta_info']


                                class Weight(object):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.l2_factor = None
                                        self.latency = None
                                        self.resources = None
                                        self.throughput = None


                                    class L2Factor(object):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor']['meta_info']


                                    class Latency(object):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency']['meta_info']


                                    class Resources(object):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources']['meta_info']


                                    class Throughput(object):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.l2_factor is not None and self.l2_factor._has_data():
                                            return True

                                        if self.latency is not None and self.latency._has_data():
                                            return True

                                        if self.resources is not None and self.resources._has_data():
                                            return True

                                        if self.throughput is not None and self.throughput._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.default is not None:
                                        return True

                                    if self.hysteresis is not None and self.hysteresis._has_data():
                                        return True

                                    if self.weight is not None and self.weight._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None and self.dynamic._has_data():
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost']['meta_info']


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None
                                self.disable = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DatabaseFilter']['meta_info']


                        class DemandCircuit(object):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None
                                self.ignore = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                if self.ignore is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DemandCircuit']['meta_info']


                        class FloodReduction(object):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:flood-reduction'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.FloodReduction']['meta_info']


                        class Manet(object):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.peering = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering()
                                self.peering.parent = self


                            class Peering(object):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cost = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self.link_metrics = None


                                class Cost(object):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cost is not None and self.cost._has_data():
                                        return True

                                    if self.link_metrics is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.peering is not None and self.peering._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet']['meta_info']


                        class MtuIgnore(object):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mtu-ignore'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MtuIgnore']['meta_info']


                        class MultiArea(object):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cost = None
                                self.disable = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cost is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MultiArea']['meta_info']


                        class Neighbor(object):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.cost = None
                                self.database_filter = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self.poll_interval = None
                                self.priority = None


                            class DatabaseFilter(object):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.all = None

                                class AllEnum(Enum):
                                    """
                                    AllEnum

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.all is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.cost is not None:
                                    return True

                                if self.database_filter is not None and self.database_filter._has_data():
                                    return True

                                if self.poll_interval is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor']['meta_info']


                        class Network(object):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.broadcast = None
                                self.manet = None
                                self.non_broadcast = None
                                self.point_to_multipoint = None
                                self.point_to_point = None


                            class PointToMultipoint(object):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.non_broadcast = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.non_broadcast is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.broadcast is not None:
                                    return True

                                if self.manet is not None:
                                    return True

                                if self.non_broadcast is not None:
                                    return True

                                if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                    return True

                                if self.point_to_point is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network']['meta_info']


                        class PrefixSuppression(object):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.PrefixSuppression']['meta_info']


                        class Shutdown(object):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:shutdown'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Shutdown']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.area is not None:
                                for child_ref in self.area:
                                    if child_ref._has_data():
                                        return True

                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.bfd is not None and self.bfd._has_data():
                                return True

                            if self.cost is not None and self.cost._has_data():
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.dead_interval is not None:
                                return True

                            if self.demand_circuit is not None and self.demand_circuit._has_data():
                                return True

                            if self.flood_reduction is not None and self.flood_reduction._has_data():
                                return True

                            if self.hello_interval is not None:
                                return True

                            if self.manet is not None and self.manet._has_data():
                                return True

                            if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                                return True

                            if self.multi_area is not None and self.multi_area._has_data():
                                return True

                            if self.neighbor is not None:
                                for child_ref in self.neighbor:
                                    if child_ref._has_data():
                                        return True

                            if self.network is not None and self.network._has_data():
                                return True

                            if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                                return True

                            if self.priority is not None:
                                return True

                            if self.retransmit_interval is not None:
                                return True

                            if self.shutdown is not None and self.shutdown._has_data():
                                return True

                            if self.transmit_delay is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4']['meta_info']


                    class Ipv6(object):
                        """
                        Specify parameters for IPv6
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.area = YList()
                            self.area.parent = self
                            self.area.name = 'area'
                            self.authentication = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Authentication()
                            self.authentication.parent = self
                            self.bfd = None
                            self.cost = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost()
                            self.cost.parent = self
                            self.database_filter = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DatabaseFilter()
                            self.database_filter.parent = self
                            self.dead_interval = None
                            self.demand_circuit = None
                            self.flood_reduction = None
                            self.hello_interval = None
                            self.manet = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet()
                            self.manet.parent = self
                            self.mtu_ignore = None
                            self.multi_area = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MultiArea()
                            self.multi_area.parent = self
                            self.neighbor = YList()
                            self.neighbor.parent = self
                            self.neighbor.name = 'neighbor'
                            self.network = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network()
                            self.network.parent = self
                            self.prefix_suppression = None
                            self.priority = None
                            self.retransmit_interval = None
                            self.shutdown = None
                            self.transmit_delay = None


                        class Area(object):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\:  int
                            
                            	**range:** 0..31
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.instance = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.instance is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Area']['meta_info']


                        class Authentication(object):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\:  str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.null = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.null is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Authentication']['meta_info']


                        class Bfd(object):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Bfd']['meta_info']


                        class Cost(object):
                            """
                            Route cost of this interface
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.value = None


                            class Dynamic(object):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.default = None
                                    self.hysteresis = None
                                    self.weight = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight()
                                    self.weight.parent = self


                                class Hysteresis(object):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis']['meta_info']


                                class Weight(object):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.l2_factor = None
                                        self.latency = None
                                        self.resources = None
                                        self.throughput = None


                                    class L2Factor(object):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor']['meta_info']


                                    class Latency(object):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency']['meta_info']


                                    class Resources(object):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources']['meta_info']


                                    class Throughput(object):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.l2_factor is not None and self.l2_factor._has_data():
                                            return True

                                        if self.latency is not None and self.latency._has_data():
                                            return True

                                        if self.resources is not None and self.resources._has_data():
                                            return True

                                        if self.throughput is not None and self.throughput._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.default is not None:
                                        return True

                                    if self.hysteresis is not None and self.hysteresis._has_data():
                                        return True

                                    if self.weight is not None and self.weight._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None and self.dynamic._has_data():
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost']['meta_info']


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None
                                self.disable = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DatabaseFilter']['meta_info']


                        class DemandCircuit(object):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None
                                self.ignore = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                if self.ignore is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DemandCircuit']['meta_info']


                        class FloodReduction(object):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:flood-reduction'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.FloodReduction']['meta_info']


                        class Manet(object):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.peering = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering()
                                self.peering.parent = self


                            class Peering(object):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cost = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self.link_metrics = None


                                class Cost(object):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cost is not None and self.cost._has_data():
                                        return True

                                    if self.link_metrics is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.peering is not None and self.peering._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet']['meta_info']


                        class MtuIgnore(object):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mtu-ignore'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MtuIgnore']['meta_info']


                        class MultiArea(object):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cost = None
                                self.disable = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cost is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MultiArea']['meta_info']


                        class Neighbor(object):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.cost = None
                                self.database_filter = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self.poll_interval = None
                                self.priority = None


                            class DatabaseFilter(object):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.all = None

                                class AllEnum(Enum):
                                    """
                                    AllEnum

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.all is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.cost is not None:
                                    return True

                                if self.database_filter is not None and self.database_filter._has_data():
                                    return True

                                if self.poll_interval is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor']['meta_info']


                        class Network(object):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.broadcast = None
                                self.manet = None
                                self.non_broadcast = None
                                self.point_to_multipoint = None
                                self.point_to_point = None


                            class PointToMultipoint(object):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.non_broadcast = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.non_broadcast is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.broadcast is not None:
                                    return True

                                if self.manet is not None:
                                    return True

                                if self.non_broadcast is not None:
                                    return True

                                if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                    return True

                                if self.point_to_point is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network']['meta_info']


                        class PrefixSuppression(object):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.PrefixSuppression']['meta_info']


                        class Shutdown(object):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:shutdown'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Shutdown']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.area is not None:
                                for child_ref in self.area:
                                    if child_ref._has_data():
                                        return True

                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.bfd is not None and self.bfd._has_data():
                                return True

                            if self.cost is not None and self.cost._has_data():
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.dead_interval is not None:
                                return True

                            if self.demand_circuit is not None and self.demand_circuit._has_data():
                                return True

                            if self.flood_reduction is not None and self.flood_reduction._has_data():
                                return True

                            if self.hello_interval is not None:
                                return True

                            if self.manet is not None and self.manet._has_data():
                                return True

                            if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                                return True

                            if self.multi_area is not None and self.multi_area._has_data():
                                return True

                            if self.neighbor is not None:
                                for child_ref in self.neighbor:
                                    if child_ref._has_data():
                                        return True

                            if self.network is not None and self.network._has_data():
                                return True

                            if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                                return True

                            if self.priority is not None:
                                return True

                            if self.retransmit_interval is not None:
                                return True

                            if self.shutdown is not None and self.shutdown._has_data():
                                return True

                            if self.transmit_delay is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:process-id[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        if self.cost is not None and self.cost._has_data():
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.dead_interval is not None:
                            return True

                        if self.demand_circuit is not None and self.demand_circuit._has_data():
                            return True

                        if self.flood_reduction is not None and self.flood_reduction._has_data():
                            return True

                        if self.hello_interval is not None:
                            return True

                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        if self.manet is not None and self.manet._has_data():
                            return True

                        if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                            return True

                        if self.multi_area is not None and self.multi_area._has_data():
                            return True

                        if self.neighbor is not None:
                            for child_ref in self.neighbor:
                                if child_ref._has_data():
                                    return True

                        if self.network is not None and self.network._has_data():
                            return True

                        if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.retransmit_interval is not None:
                            return True

                        if self.shutdown is not None and self.shutdown._has_data():
                            return True

                        if self.transmit_delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.ProcessId']['meta_info']


                class Authentication(object):
                    """
                    Enable authentication
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec authentication
                    	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Authentication.Ipsec>`
                    
                    .. attribute:: key_chain
                    
                    	Use a key\-chain for cryptographic authentication keys
                    	**type**\:  str
                    
                    .. attribute:: null
                    
                    	Use no authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipsec = Native.Interface.Loopback.Ospfv3.Authentication.Ipsec()
                        self.ipsec.parent = self
                        self.key_chain = None
                        self.null = None


                    class Ipsec(object):
                        """
                        Use IPsec authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5>`
                        
                        .. attribute:: sha1
                        
                        	Use SHA\-1 authentication
                        	**type**\:   :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1>`
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\:  int
                        
                        	**range:** 256..4294967295
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5()
                            self.md5.parent = self
                            self.sha1 = Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1()
                            self.sha1.parent = self
                            self.spi = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_string = Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5']['meta_info']


                        class Sha1(object):
                            """
                            Use SHA\-1 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_string = Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:sha1'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipsec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.sha1 is not None and self.sha1._has_data():
                                return True

                            if self.spi is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.Authentication.Ipsec']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipsec is not None and self.ipsec._has_data():
                            return True

                        if self.key_chain is not None:
                            return True

                        if self.null is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.Authentication']['meta_info']


                class Bfd(object):
                    """
                    Enable BFD on this interface
                    
                    .. attribute:: disable
                    
                    	Disable BFD on this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.Bfd']['meta_info']


                class Cost(object):
                    """
                    Route cost of this interface
                    
                    .. attribute:: dynamic
                    
                    	Specify dynamic cost options
                    	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Cost.Dynamic>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dynamic = None
                        self.value = None


                    class Dynamic(object):
                        """
                        Specify dynamic cost options
                        
                        .. attribute:: default
                        
                        	Specify default link metric value
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: hysteresis
                        
                        	Specify hysteresis value for LSA dampening
                        	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Hysteresis>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: weight
                        
                        	Specify weight to be placed on individual metrics
                        	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None
                            self.hysteresis = None
                            self.weight = Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight()
                            self.weight.parent = self


                        class Hysteresis(object):
                            """
                            Specify hysteresis value for LSA dampening
                            
                            .. attribute:: percent
                            
                            	Specify hysteresis percent changed
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold
                            
                            	Specify hysteresis threshold value
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.percent = None
                                self.threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.percent is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Hysteresis']['meta_info']


                        class Weight(object):
                            """
                            Specify weight to be placed on individual metrics
                            
                            .. attribute:: l2_factor
                            
                            	Specify weight to be given to L2\-factor metric
                            	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.L2Factor>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: latency
                            
                            	Specify weight to be given to latency metric
                            	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Latency>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: resources
                            
                            	Specify weight to be given to resources metric
                            	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Resources>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: throughput
                            
                            	Specify weight to be given to throughput metric
                            	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Throughput>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.l2_factor = None
                                self.latency = None
                                self.resources = None
                                self.throughput = None


                            class L2Factor(object):
                                """
                                Specify weight to be given to L2\-factor metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.L2Factor']['meta_info']


                            class Latency(object):
                                """
                                Specify weight to be given to latency metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Latency']['meta_info']


                            class Resources(object):
                                """
                                Specify weight to be given to resources metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Resources']['meta_info']


                            class Throughput(object):
                                """
                                Specify weight to be given to throughput metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Throughput']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.l2_factor is not None and self.l2_factor._has_data():
                                    return True

                                if self.latency is not None and self.latency._has_data():
                                    return True

                                if self.resources is not None and self.resources._has_data():
                                    return True

                                if self.throughput is not None and self.throughput._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            if self.hysteresis is not None and self.hysteresis._has_data():
                                return True

                            if self.weight is not None and self.weight._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.Cost.Dynamic']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dynamic is not None and self.dynamic._has_data():
                            return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.Cost']['meta_info']


                class DatabaseFilter(object):
                    """
                    Filter OSPF LSA during synchronization and flooding
                    
                    .. attribute:: all
                    
                    	Filter all LSA
                    	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.DatabaseFilter.AllEnum>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.all = None

                    class AllEnum(Enum):
                        """
                        AllEnum

                        Filter all LSA

                        .. data:: out = 0

                        """

                        out = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.DatabaseFilter.AllEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.all is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.DatabaseFilter']['meta_info']


                class DemandCircuit(object):
                    """
                    OSPF Demand Circuit
                    
                    .. attribute:: ignore
                    
                    	Ignore demand circuit auto\-negotiation requests
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ignore = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ignore is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.DemandCircuit']['meta_info']


                class Encryption(object):
                    """
                    Enable encryption
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec encryption
                    	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec>`
                    
                    .. attribute:: null
                    
                    	No IPsec encryption on this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipsec = Native.Interface.Loopback.Ospfv3.Encryption.Ipsec()
                        self.ipsec.parent = self
                        self.null = None


                    class Ipsec(object):
                        """
                        Use IPsec encryption
                        
                        .. attribute:: aes_cbc
                        
                        	Use AES\-CBC encryption
                        	**type**\:   :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc>`
                        
                        .. attribute:: esp
                        
                        	Use ESP encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec_3des
                        
                        	Use 3DES encryption
                        	**type**\:   :py:class:`Ipsec_3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec_3Des>`
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.aes_cbc = Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc()
                            self.aes_cbc.parent = self
                            self.esp = None
                            self.ipsec_3des = Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec_3Des()
                            self.ipsec_3des.parent = self
                            self.spi = None


                        class Ipsec_3Des(object):
                            """
                            Use 3DES encryption
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_string = Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipsec_3des'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec_3Des']['meta_info']


                        class AesCbc(object):
                            """
                            Use AES\-CBC encryption
                            
                            .. attribute:: aes_192
                            
                            	Use 192 bit key
                            	**type**\:   :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192>`
                            
                            .. attribute:: aes_256
                            
                            	Use 256 bit key
                            	**type**\:   :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256>`
                            
                            .. attribute:: aes_cbc_128
                            
                            	Use 128 bit key
                            	**type**\:   :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aes_192 = Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192()
                                self.aes_192.parent = self
                                self.aes_256 = Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256()
                                self.aes_256.parent = self
                                self.aes_cbc_128 = Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128()
                                self.aes_cbc_128.parent = self


                            class AesCbc128(object):
                                """
                                Use 128 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-cbc-128'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']


                            class Aes192(object):
                                """
                                Use 192 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-192'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192']['meta_info']


                            class Aes256(object):
                                """
                                Use 256 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-256'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-cbc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aes_192 is not None and self.aes_192._has_data():
                                    return True

                                if self.aes_256 is not None and self.aes_256._has_data():
                                    return True

                                if self.aes_cbc_128 is not None and self.aes_cbc_128._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipsec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.aes_cbc is not None and self.aes_cbc._has_data():
                                return True

                            if self.esp is not None:
                                return True

                            if self.ipsec_3des is not None and self.ipsec_3des._has_data():
                                return True

                            if self.spi is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.Encryption.Ipsec']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:encryption'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipsec is not None and self.ipsec._has_data():
                            return True

                        if self.null is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.Encryption']['meta_info']


                class Manet(object):
                    """
                    Mobile Adhoc Networking options
                    
                    .. attribute:: peering
                    
                    	MANET Peering options
                    	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Manet.Peering>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.peering = Native.Interface.Loopback.Ospfv3.Manet.Peering()
                        self.peering.parent = self


                    class Peering(object):
                        """
                        MANET Peering options
                        
                        .. attribute:: cost
                        
                        	Redundant path cost improvement required to peer
                        	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Manet.Peering.Cost>`
                        
                        .. attribute:: link_metrics
                        
                        	Require link metrics
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cost = Native.Interface.Loopback.Ospfv3.Manet.Peering.Cost()
                            self.cost.parent = self
                            self.link_metrics = None


                        class Cost(object):
                            """
                            Redundant path cost improvement required to peer
                            
                            .. attribute:: percent
                            
                            	Relative incremental path cost
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            .. attribute:: threshold
                            
                            	Absolute incremental path cost
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.percent = None
                                self.threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.percent is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.Manet.Peering.Cost']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cost is not None and self.cost._has_data():
                                return True

                            if self.link_metrics is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.Manet.Peering']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.peering is not None and self.peering._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.Manet']['meta_info']


                class MultiArea(object):
                    """
                    Set the OSPF multi\-area ID
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cost = None
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cost is not None:
                            return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.MultiArea']['meta_info']


                class Neighbor(object):
                    """
                    OSPF neighbor
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	OSPF cost for point\-to\-multipoint neighbor
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Neighbor.DatabaseFilter>`
                    
                    .. attribute:: poll_interval
                    
                    	OSPF dead\-router polling interval
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: priority
                    
                    	OSPF priority of non\-broadcast neighbor
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.cost = None
                        self.database_filter = Native.Interface.Loopback.Ospfv3.Neighbor.DatabaseFilter()
                        self.database_filter.parent = self
                        self.poll_interval = None
                        self.priority = None


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Neighbor.DatabaseFilter.AllEnum>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None

                        class AllEnum(Enum):
                            """
                            AllEnum

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Loopback.Ospfv3.Neighbor.DatabaseFilter.AllEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.Neighbor.DatabaseFilter']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.cost is not None:
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.poll_interval is not None:
                            return True

                        if self.priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.Neighbor']['meta_info']


                class Network(object):
                    """
                    Network type
                    
                    .. attribute:: broadcast
                    
                    	Specify OSPF broadcast multi\-access network
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: manet
                    
                    	Specify MANET OSPF interface type
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: non_broadcast
                    
                    	Specify OSPF NBMA network
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: point_to_multipoint
                    
                    	Specify OSPF point\-to\-multipoint network
                    	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Network.PointToMultipoint>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: point_to_point
                    
                    	Specify OSPF point\-to\-point network
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.broadcast = None
                        self.manet = None
                        self.non_broadcast = None
                        self.point_to_multipoint = None
                        self.point_to_point = None


                    class PointToMultipoint(object):
                        """
                        Specify OSPF point\-to\-multipoint network
                        
                        .. attribute:: non_broadcast
                        
                        	Specify non\-broadcast point\-to\-mpoint network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.non_broadcast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.non_broadcast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Loopback.Ospfv3.Network.PointToMultipoint']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.broadcast is not None:
                            return True

                        if self.manet is not None:
                            return True

                        if self.non_broadcast is not None:
                            return True

                        if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                            return True

                        if self.point_to_point is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.Network']['meta_info']


                class PrefixSuppression(object):
                    """
                    OSPF prefix suppression
                    
                    .. attribute:: disable
                    
                    	Disable prefix suppression
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Ospfv3.PrefixSuppression']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospfv3'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.bfd is not None and self.bfd._has_data():
                        return True

                    if self.cost is not None and self.cost._has_data():
                        return True

                    if self.database_filter is not None and self.database_filter._has_data():
                        return True

                    if self.dead_interval is not None:
                        return True

                    if self.demand_circuit is not None and self.demand_circuit._has_data():
                        return True

                    if self.encryption is not None and self.encryption._has_data():
                        return True

                    if self.flood_reduction is not None:
                        return True

                    if self.hello_interval is not None:
                        return True

                    if self.manet is not None and self.manet._has_data():
                        return True

                    if self.mtu_ignore is not None:
                        return True

                    if self.multi_area is not None and self.multi_area._has_data():
                        return True

                    if self.neighbor is not None:
                        for child_ref in self.neighbor:
                            if child_ref._has_data():
                                return True

                    if self.network is not None and self.network._has_data():
                        return True

                    if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                        return True

                    if self.priority is not None:
                        return True

                    if self.process_id is not None:
                        for child_ref in self.process_id:
                            if child_ref._has_data():
                                return True

                    if self.retransmit_interval is not None:
                        return True

                    if self.shutdown is not None:
                        return True

                    if self.transmit_delay is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Ospfv3']['meta_info']


            class Udld(object):
                """
                Configure UDLD enabled or disabled and ignore global UDLD setting
                
                .. attribute:: port
                
                	Enable UDLD protocol on this interface despite global UDLD setting
                	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Udld.Port>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-udld'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.port = None


                class Port(object):
                    """
                    Enable UDLD protocol on this interface despite global UDLD setting
                    
                    .. attribute:: aggressive
                    
                    	Enable UDLD protocol in aggressive mode on this interface despite global UDLD setting
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: disable
                    
                    	Disable UDLD protocol on this interface despite global UDLD setting
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-udld'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aggressive = None
                        self.disable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-udld:port'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aggressive is not None:
                            return True

                        if self.disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Loopback.Udld.Port']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-udld:udld'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.port is not None and self.port._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.Udld']['meta_info']


            class ZoneMember(object):
                """
                Apply zone name
                
                .. attribute:: security
                
                	Security zone
                	**type**\:  str
                
                

                """

                _prefix = 'ios-zone'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.security = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-zone:zone-member'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.security is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Loopback.ZoneMember']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:Loopback[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.crypto is not None and self.crypto._has_data():
                    return True

                if self.cts is not None and self.cts._has_data():
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.lisp is not None and self.lisp._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.ospfv3 is not None and self.ospfv3._has_data():
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.performance is not None and self.performance._has_data():
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.shutdown is not None:
                    return True

                if self.snmp is not None and self.snmp._has_data():
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.udld is not None and self.udld._has_data():
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                if self.zone_member is not None and self.zone_member._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.Loopback']['meta_info']


        class Lisp(object):
            """
            Locator/ID Separation Protocol Virtual Interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  int
            
            	**range:** 0..65520
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Bfd>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Domain>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Encapsulation>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Logging>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.PmPath>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.RcvQueue>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.ServiceInsertionEnum>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.ServicePolicy>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.SwitchportConf>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Trust>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Utd>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.Lisp.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.Lisp.Arp()
                self.arp.parent = self
                self.backup = Native.Interface.Lisp.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.Lisp.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.Lisp.Bfd()
                self.bfd.parent = self
                self.cemoudp = Native.Interface.Lisp.Cemoudp()
                self.cemoudp.parent = self
                self.cws_tunnel = Native.Interface.Lisp.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.delay = None
                self.description = None
                self.domain = Native.Interface.Lisp.Domain()
                self.domain.parent = self
                self.encapsulation = Native.Interface.Lisp.Encapsulation()
                self.encapsulation.parent = self
                self.fair_queue = Native.Interface.Lisp.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.Lisp.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.Lisp.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.Lisp.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.Lisp.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.Lisp.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.Lisp.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.Lisp.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.Lisp.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.Lisp.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.load_interval = None
                self.logging = Native.Interface.Lisp.Logging()
                self.logging.parent = self
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.Lisp.Mdix()
                self.mdix.parent = self
                self.mop = Native.Interface.Lisp.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.Lisp.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.peer = Native.Interface.Lisp.Peer()
                self.peer.parent = self
                self.pm_path = Native.Interface.Lisp.PmPath()
                self.pm_path.parent = self
                self.priority_queue = Native.Interface.Lisp.PriorityQueue()
                self.priority_queue.parent = self
                self.rcv_queue = Native.Interface.Lisp.RcvQueue()
                self.rcv_queue.parent = self
                self.service_insertion = None
                self.service_policy = Native.Interface.Lisp.ServicePolicy()
                self.service_policy.parent = self
                self.shutdown = None
                self.standby = Native.Interface.Lisp.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.Lisp.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Interface.Lisp.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.Lisp.SwitchportConf()
                self.switchport_conf.parent = self
                self.trust = Native.Interface.Lisp.Trust()
                self.trust.parent = self
                self.utd = Native.Interface.Lisp.Utd()
                self.utd.parent = self
                self.vrf = Native.Interface.Lisp.Vrf()
                self.vrf.parent = self

            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.IfStateEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.ServiceInsertionEnum']



            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.Lisp.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.Lisp.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.Lisp.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.Lisp.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.Lisp.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.Lisp.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.Lisp.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.Lisp.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.Lisp.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.Lisp.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.Lisp.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.Lisp.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.Lisp.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                .. attribute:: adjacency_filter
                
                	Filter IS\-IS adjacencies
                	**type**\:   :py:class:`AdjacencyFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.AdjacencyFilter>`
                
                .. attribute:: advertise
                
                	Control addresses advertisements in LSPs
                	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Advertise>`
                
                .. attribute:: authentication
                
                	ISIS authentication for interface related PDUs
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Authentication>`
                
                .. attribute:: circuit_type
                
                	Configure circuit type for interface
                	**type**\:   :py:class:`CircuitType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.CircuitType>`
                
                	**presence node**\: True
                
                .. attribute:: csnp_interval
                
                	Set CSNP interval in seconds
                	**type**\:   :py:class:`CsnpInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.CsnpInterval>`
                
                .. attribute:: hello
                
                	Add padding to IS\-IS hello packets
                	**type**\:   :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Hello>`
                
                .. attribute:: hello_interval
                
                	Set Hello interval in seconds
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.HelloInterval>`
                
                .. attribute:: hello_multiplier
                
                	Set multiplier for Hello holding time
                	**type**\:   :py:class:`HelloMultiplier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.HelloMultiplier>`
                
                .. attribute:: ipv6
                
                	IPv6 interface configuration
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Ipv6>`
                
                .. attribute:: lsp_interval
                
                	Set LSP transmission interval
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                .. attribute:: mesh_group
                
                	Set ISIS mesh group
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                
                ----
                	**type**\:   :py:class:`MeshGroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.MeshGroupEnum>`
                
                
                ----
                .. attribute:: metric
                
                	Configure the metric for interface
                	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Metric>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:   :py:class:`NetworkEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.NetworkEnum>`
                
                .. attribute:: password
                
                	Configure the authentication password for interface
                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Password>`
                
                .. attribute:: priority
                
                	Set priority for Designated Router election
                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Priority>`
                
                .. attribute:: protocol
                
                	Set ISIS protocol's state under current interface
                	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.ProtocolEnum>`
                
                .. attribute:: retransmit_interval
                
                	Set per\-LSP retransmission interval
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: retransmit_throttle_interval
                
                	Set interface LSP retransmission interval
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tag
                
                	Assign an admin tag to an ISIS interface IP route
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                .. attribute:: three_way_handshake
                
                	Select Cisco or IETF three\-way handshake
                	**type**\:   :py:class:`ThreeWayHandshake <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.ThreeWayHandshake>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.adjacency_filter = Native.Interface.Lisp.Isis.AdjacencyFilter()
                    self.adjacency_filter.parent = self
                    self.advertise = Native.Interface.Lisp.Isis.Advertise()
                    self.advertise.parent = self
                    self.authentication = Native.Interface.Lisp.Isis.Authentication()
                    self.authentication.parent = self
                    self.circuit_type = None
                    self.csnp_interval = Native.Interface.Lisp.Isis.CsnpInterval()
                    self.csnp_interval.parent = self
                    self.hello = Native.Interface.Lisp.Isis.Hello()
                    self.hello.parent = self
                    self.hello_interval = Native.Interface.Lisp.Isis.HelloInterval()
                    self.hello_interval.parent = self
                    self.hello_multiplier = Native.Interface.Lisp.Isis.HelloMultiplier()
                    self.hello_multiplier.parent = self
                    self.ipv6 = Native.Interface.Lisp.Isis.Ipv6()
                    self.ipv6.parent = self
                    self.lsp_interval = None
                    self.mesh_group = None
                    self.metric = Native.Interface.Lisp.Isis.Metric()
                    self.metric.parent = self
                    self.network = None
                    self.password = Native.Interface.Lisp.Isis.Password()
                    self.password.parent = self
                    self.priority = Native.Interface.Lisp.Isis.Priority()
                    self.priority.parent = self
                    self.protocol = None
                    self.retransmit_interval = None
                    self.retransmit_throttle_interval = None
                    self.tag = None
                    self.three_way_handshake = None

                class MeshGroupEnum(Enum):
                    """
                    MeshGroupEnum

                    Set ISIS mesh group

                    .. data:: blocked = 0

                    """

                    blocked = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Isis.MeshGroupEnum']


                class NetworkEnum(Enum):
                    """
                    NetworkEnum

                    Network type

                    .. data:: point_to_point = 0

                    """

                    point_to_point = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Isis.NetworkEnum']


                class ProtocolEnum(Enum):
                    """
                    ProtocolEnum

                    Set ISIS protocol's state under current interface

                    .. data:: shutdown = 0

                    """

                    shutdown = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Isis.ProtocolEnum']



                class AdjacencyFilter(object):
                    """
                    Filter IS\-IS adjacencies
                    
                    .. attribute:: match_all
                    
                    	Match all area addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: name
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.match_all = None
                        self.name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:adjacency-filter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.match_all is not None:
                            return True

                        if self.name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Isis.AdjacencyFilter']['meta_info']


                class Advertise(object):
                    """
                    Control addresses advertisements in LSPs
                    
                    .. attribute:: prefix
                    
                    	Interface IP address
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.prefix = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:advertise'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.prefix is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Isis.Advertise']['meta_info']


                class Authentication(object):
                    """
                    ISIS authentication for interface related PDUs
                    
                    .. attribute:: key_chain
                    
                    	Authentication key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	Authentication mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Authentication.Mode>`
                    
                    .. attribute:: send_only
                    
                    	Authentication send only, receive ignore
                    	**type**\:   :py:class:`SendOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Authentication.SendOnly>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Lisp.Isis.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Lisp.Isis.Authentication.Mode()
                        self.mode.parent = self
                        self.send_only = None


                    class Mode(object):
                        """
                        Authentication mode
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Authentication.Mode.Md5>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: text
                        
                        	Clear text password
                        	**type**\:   :py:class:`Text <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Authentication.Mode.Text>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = None
                            self.text = None


                        class Md5(object):
                            """
                            Keyed message digest
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Isis.Authentication.Mode.Md5']['meta_info']


                        class Text(object):
                            """
                            Clear text password
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:text'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Isis.Authentication.Mode.Text']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None and self.text._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Isis.Authentication.Mode']['meta_info']


                    class KeyChain(object):
                        """
                        Authentication key\-chain
                        
                        .. attribute:: key_chain_list
                        
                        	
                        	**type**\: list of    :py:class:`KeyChainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Authentication.KeyChain.KeyChainList>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_chain_list = YList()
                            self.key_chain_list.parent = self
                            self.key_chain_list.name = 'key_chain_list'
                            self.name = None


                        class KeyChainList(object):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.levels = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.levels is None:
                                    raise YPYModelError('Key property levels is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:key-chain-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.levels is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Isis.Authentication.KeyChain.KeyChainList']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_chain_list is not None:
                                for child_ref in self.key_chain_list:
                                    if child_ref._has_data():
                                        return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Isis.Authentication.KeyChain']['meta_info']


                    class SendOnly(object):
                        """
                        Authentication send only, receive ignore
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.levels = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:send-only'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.levels is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Isis.Authentication.SendOnly']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        if self.send_only is not None and self.send_only._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Isis.Authentication']['meta_info']


                class CircuitType(object):
                    """
                    Configure circuit type for interface
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.CircuitType.LevelsEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.levels = None

                    class LevelsEnum(Enum):
                        """
                        LevelsEnum

                        .. data:: level_1 = 0

                        .. data:: level_1_2 = 1

                        .. data:: level_2_only = 2

                        """

                        level_1 = 0

                        level_1_2 = 1

                        level_2_only = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Isis.CircuitType.LevelsEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:circuit-type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.levels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Isis.CircuitType']['meta_info']


                class CsnpInterval(object):
                    """
                    Set CSNP interval in seconds
                    
                    .. attribute:: csnp_interval_list
                    
                    	
                    	**type**\: list of    :py:class:`CsnpIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.CsnpInterval.CsnpIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.csnp_interval_list = YList()
                        self.csnp_interval_list.parent = self
                        self.csnp_interval_list.name = 'csnp_interval_list'
                        self.value = None


                    class CsnpIntervalList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:csnp-interval-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Isis.CsnpInterval.CsnpIntervalList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:csnp-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.csnp_interval_list is not None:
                            for child_ref in self.csnp_interval_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Isis.CsnpInterval']['meta_info']


                class Hello(object):
                    """
                    Add padding to IS\-IS hello packets
                    
                    .. attribute:: padding
                    
                    	Pad hello packets
                    	**type**\:   :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Hello.Padding>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.padding = None


                    class Padding(object):
                        """
                        Pad hello packets
                        
                        .. attribute:: always
                        
                        	Never pad hello packets if no prefix present
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.always = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:padding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.always is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Isis.Hello.Padding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.padding is not None and self.padding._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Isis.Hello']['meta_info']


                class HelloInterval(object):
                    """
                    Set Hello interval in seconds
                    
                    .. attribute:: hello_interval_list
                    
                    	
                    	**type**\: list of    :py:class:`HelloIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.HelloInterval.HelloIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    
                    ----
                    	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hello_interval_list = YList()
                        self.hello_interval_list.parent = self
                        self.hello_interval_list.name = 'hello_interval_list'
                        self.value = None

                    class ValueEnum(Enum):
                        """
                        ValueEnum

                        .. data:: minimal = 0

                        """

                        minimal = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Isis.HelloInterval.ValueEnum']



                    class HelloIntervalList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.HelloInterval.HelloIntervalList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Isis.HelloInterval.HelloIntervalList.LevelsEnum']


                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: minimal = 0

                            """

                            minimal = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Isis.HelloInterval.HelloIntervalList.ValueEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-interval-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Isis.HelloInterval.HelloIntervalList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hello_interval_list is not None:
                            for child_ref in self.hello_interval_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Isis.HelloInterval']['meta_info']


                class HelloMultiplier(object):
                    """
                    Set multiplier for Hello holding time
                    
                    .. attribute:: hello_multiplier_list
                    
                    	
                    	**type**\: list of    :py:class:`HelloMultiplierList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.HelloMultiplier.HelloMultiplierList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 3..1000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hello_multiplier_list = YList()
                        self.hello_multiplier_list.parent = self
                        self.hello_multiplier_list.name = 'hello_multiplier_list'
                        self.value = None


                    class HelloMultiplierList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 3..1000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-multiplier-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Isis.HelloMultiplier.HelloMultiplierList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-multiplier'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hello_multiplier_list is not None:
                            for child_ref in self.hello_multiplier_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Isis.HelloMultiplier']['meta_info']


                class Ipv6(object):
                    """
                    IPv6 interface configuration
                    
                    .. attribute:: metric
                    
                    	Configure the metric for interface
                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Ipv6.Metric>`
                    
                    .. attribute:: tag
                    
                    	Assign an admin tag to an ISIS interface IPv6 route
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.metric = Native.Interface.Lisp.Isis.Ipv6.Metric()
                        self.metric.parent = self
                        self.tag = None


                    class Metric(object):
                        """
                        Configure the metric for interface
                        
                        .. attribute:: metric_list
                        
                        	
                        	**type**\: list of    :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Ipv6.Metric.MetricList>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric_list = YList()
                            self.metric_list.parent = self
                            self.metric_list.name = 'metric_list'
                            self.value = None

                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: maximum = 0

                            """

                            maximum = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Isis.Ipv6.Metric.ValueEnum']



                        class MetricList(object):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Ipv6.Metric.MetricList.LevelsEnum>`
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..16777214
                            
                            
                            ----
                            	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.levels = None
                                self.value = None

                            class LevelsEnum(Enum):
                                """
                                LevelsEnum

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = 0

                                level_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Lisp.Isis.Ipv6.Metric.MetricList.LevelsEnum']


                            class ValueEnum(Enum):
                                """
                                ValueEnum

                                .. data:: maximum = 0

                                """

                                maximum = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Lisp.Isis.Ipv6.Metric.MetricList.ValueEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.levels is None:
                                    raise YPYModelError('Key property levels is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:metric-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.levels is not None:
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Isis.Ipv6.Metric.MetricList']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:metric'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric_list is not None:
                                for child_ref in self.metric_list:
                                    if child_ref._has_data():
                                        return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Isis.Ipv6.Metric']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.metric is not None and self.metric._has_data():
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Isis.Ipv6']['meta_info']


                class Metric(object):
                    """
                    Configure the metric for interface
                    
                    .. attribute:: metric_list
                    
                    	
                    	**type**\: list of    :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Metric.MetricList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..16777214
                    
                    
                    ----
                    	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.metric_list = YList()
                        self.metric_list.parent = self
                        self.metric_list.name = 'metric_list'
                        self.value = None

                    class ValueEnum(Enum):
                        """
                        ValueEnum

                        .. data:: maximum = 0

                        """

                        maximum = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Isis.Metric.ValueEnum']



                    class MetricList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Metric.MetricList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Isis.Metric.MetricList.LevelsEnum']


                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: maximum = 0

                            """

                            maximum = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Isis.Metric.MetricList.ValueEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:metric-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Isis.Metric.MetricList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:metric'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.metric_list is not None:
                            for child_ref in self.metric_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Isis.Metric']['meta_info']


                class Password(object):
                    """
                    Configure the authentication password for interface
                    
                    .. attribute:: password
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: password_list
                    
                    	
                    	**type**\: list of    :py:class:`PasswordList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Password.PasswordList>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.password = None
                        self.password_list = YList()
                        self.password_list.parent = self
                        self.password_list.name = 'password_list'


                    class PasswordList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Password.PasswordList.LevelsEnum>`
                        
                        .. attribute:: password
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.password = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Isis.Password.PasswordList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:password-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.password is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Isis.Password.PasswordList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:password'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.password is not None:
                            return True

                        if self.password_list is not None:
                            for child_ref in self.password_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Isis.Password']['meta_info']


                class Priority(object):
                    """
                    Set priority for Designated Router election
                    
                    .. attribute:: priority_list
                    
                    	
                    	**type**\: list of    :py:class:`PriorityList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Priority.PriorityList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..127
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.priority_list = YList()
                        self.priority_list.parent = self
                        self.priority_list.name = 'priority_list'
                        self.value = None


                    class PriorityList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.Priority.PriorityList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..127
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Isis.Priority.PriorityList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:priority-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Isis.Priority.PriorityList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:priority'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.priority_list is not None:
                            for child_ref in self.priority_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Isis.Priority']['meta_info']


                class ThreeWayHandshake(object):
                    """
                    Select Cisco or IETF three\-way handshake
                    
                    .. attribute:: implementor
                    
                    	
                    	**type**\:   :py:class:`ImplementorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Isis.ThreeWayHandshake.ImplementorEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.implementor = None

                    class ImplementorEnum(Enum):
                        """
                        ImplementorEnum

                        .. data:: cisco = 0

                        .. data:: ietf = 1

                        """

                        cisco = 0

                        ietf = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Isis.ThreeWayHandshake.ImplementorEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:three-way-handshake'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.implementor is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Isis.ThreeWayHandshake']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.adjacency_filter is not None and self.adjacency_filter._has_data():
                        return True

                    if self.advertise is not None and self.advertise._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.circuit_type is not None and self.circuit_type._has_data():
                        return True

                    if self.csnp_interval is not None and self.csnp_interval._has_data():
                        return True

                    if self.hello is not None and self.hello._has_data():
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.hello_multiplier is not None and self.hello_multiplier._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    if self.lsp_interval is not None:
                        return True

                    if self.mesh_group is not None:
                        return True

                    if self.metric is not None and self.metric._has_data():
                        return True

                    if self.network is not None:
                        return True

                    if self.password is not None and self.password._has_data():
                        return True

                    if self.priority is not None and self.priority._has_data():
                        return True

                    if self.protocol is not None:
                        return True

                    if self.retransmit_interval is not None:
                        return True

                    if self.retransmit_throttle_interval is not None:
                        return True

                    if self.tag is not None:
                        return True

                    if self.three_way_handshake is not None and self.three_way_handshake._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.Lisp.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.Lisp.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.Lisp.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.Lisp.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.HoldTime>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.NoAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Vrf>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Lisp.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.Lisp.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.Lisp.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.Lisp.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.Lisp.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.hello_interval = Native.Interface.Lisp.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.Lisp.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.no_address = Native.Interface.Lisp.Ip.NoAddress()
                    self.no_address.parent = self
                    self.pim = Native.Interface.Lisp.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.Lisp.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.Lisp.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.Lisp.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.Lisp.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.Lisp.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.verify = Native.Interface.Lisp.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.Lisp.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.Lisp.Ip.Vrf()
                    self.vrf.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.Lisp.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.Lisp.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Lisp.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Lisp.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Lisp.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Lisp.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.Lisp.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Lisp.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.Lisp.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.Lisp.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.Lisp.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Lisp.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Lisp.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.Lisp.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.Lisp.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Lisp.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.Lisp.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Lisp.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ip.Verify']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.Lisp.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.Lisp.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.mtu = None
                    self.nd = Native.Interface.Lisp.Ipv6.Nd()
                    self.nd.parent = self
                    self.redirects = None
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Ipv6.TrafficFilter']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.Lisp.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.Lisp.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.Lisp.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.Lisp.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.Lisp.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.Lisp.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.Lisp.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Lisp.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.Lisp.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.Lisp.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.Lisp.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.Lisp.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.Lisp.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.Lisp.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.Lisp.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.Lisp.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.Lisp.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.Lisp.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.Lisp.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Lisp.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Lisp.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Lisp.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Lisp.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Lisp.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Lisp.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Lisp.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Lisp.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.Lisp.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.Lisp.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.Lisp.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.Lisp.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.Lisp.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Lisp.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Lisp.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.PmPath']['meta_info']


            class ServicePolicy(object):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.history = None
                    self.input = None
                    self.output = None
                    self.type = Native.Interface.Lisp.ServicePolicy.Type()
                    self.type.parent = self


                class Type(object):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:   :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:   :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:   :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.control = Native.Interface.Lisp.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self.performance_monitor = Native.Interface.Lisp.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self.service_chain = Native.Interface.Lisp.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self


                    class Control(object):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.subscriber = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:control'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.subscriber is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.ServicePolicy.Type.Control']['meta_info']


                    class PerformanceMonitor(object):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.ServicePolicy.Type.PerformanceMonitor.DirectionEnum>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.direction = None
                            self.name = None

                        class DirectionEnum(Enum):
                            """
                            DirectionEnum

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = 0

                            output = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.ServicePolicy.Type.PerformanceMonitor.DirectionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:performance-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.direction is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.ServicePolicy.Type.PerformanceMonitor']['meta_info']


                    class ServiceChain(object):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Lisp.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = Native.Interface.Lisp.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self.output = Native.Interface.Lisp.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self


                        class Input(object):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.ServicePolicy.Type.ServiceChain.Input']['meta_info']


                        class Output(object):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:output'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Lisp.ServicePolicy.Type.ServiceChain.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:service-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None and self.input._has_data():
                                return True

                            if self.output is not None and self.output._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Lisp.ServicePolicy.Type.ServiceChain']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.control is not None and self.control._has_data():
                            return True

                        if self.performance_monitor is not None and self.performance_monitor._has_data():
                            return True

                        if self.service_chain is not None and self.service_chain._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Lisp.ServicePolicy.Type']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.history is not None:
                        return True

                    if self.input is not None:
                        return True

                    if self.output is not None:
                        return True

                    if self.type is not None and self.type._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Lisp.ServicePolicy']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:LISP[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.shutdown is not None:
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.Lisp']['meta_info']


        class LispSubinterface(object):
            """
            Locator/ID Separation Protocol Virtual Interface
            
            .. attribute:: lisp
            
            	
            	**type**\: list of    :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.lisp = YList()
                self.lisp.parent = self
                self.lisp.name = 'lisp'


            class Lisp(object):
                """
                
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                
                .. attribute:: access_session
                
                	Access Session specific Interface Configuration Commands
                	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.AccessSession>`
                
                .. attribute:: arp
                
                	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Arp>`
                
                .. attribute:: backup
                
                	Modify backup parameters
                	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Backup>`
                
                .. attribute:: bandwidth
                
                	Set bandwidth informational parameter
                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Bandwidth>`
                
                .. attribute:: bfd
                
                	BFD interface configuration commands
                	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Bfd>`
                
                .. attribute:: cemoudp
                
                	cemoudp
                	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Cemoudp>`
                
                .. attribute:: cws_tunnel
                
                	Configure Cloud Web Security Tunnel
                	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.CwsTunnel>`
                
                .. attribute:: dampening
                
                	Enable event dampening
                	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Dampening>`
                
                	**presence node**\: True
                
                .. attribute:: delay
                
                	Specify interface throughput delay
                	**type**\:  int
                
                	**range:** 1..16777215
                
                .. attribute:: description
                
                	Interface specific description
                	**type**\:  str
                
                	**length:** 0..240
                
                .. attribute:: domain
                
                	Specify a domain
                	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Domain>`
                
                .. attribute:: encapsulation
                
                	Set encapsulation type for an interface
                	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Encapsulation>`
                
                .. attribute:: fair_queue
                
                	Enable Fair Queuing on an Interface
                	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.FairQueue>`
                
                .. attribute:: fair_queue_conf
                
                	
                	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.FairQueueConf>`
                
                .. attribute:: flowcontrol
                
                	Configure flow operation
                	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Flowcontrol>`
                
                .. attribute:: hold_queue
                
                	Set hold queue depth
                	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.HoldQueue>`
                
                .. attribute:: if_state
                
                	
                	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.IfStateEnum>`
                
                .. attribute:: interface_qos
                
                	
                	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Interface_Qos>`
                
                .. attribute:: ip
                
                	Interface Internet Protocol config commands
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip>`
                
                .. attribute:: ip_vrf
                
                	
                	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.IpVrf>`
                
                .. attribute:: ipv6
                
                	IPv6 interface subcommands
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ipv6>`
                
                .. attribute:: isis
                
                	IS\-IS commands
                	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Isis>`
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  bool
                
                .. attribute:: keepalive_settings
                
                	
                	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.KeepaliveSettings>`
                
                .. attribute:: l2protocol_tunnel
                
                	Tunnel Layer2 protocols
                	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel>`
                
                	**presence node**\: True
                
                .. attribute:: load_interval
                
                	Specify interval for load calculation for an interface
                	**type**\:  int
                
                	**range:** 0..600
                
                .. attribute:: logging
                
                	Configure logging for interface
                	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Logging>`
                
                .. attribute:: max_reserved_bandwidth
                
                	Maximum Reservable Bandwidth on an Interface
                	**type**\:  int
                
                	**range:** 1..100
                
                .. attribute:: mdix
                
                	Set Media Dependent Interface with Crossover
                	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Mdix>`
                
                .. attribute:: mop
                
                	
                	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Mop>`
                
                .. attribute:: mpls
                
                	
                	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Mpls>`
                
                .. attribute:: mtu
                
                	Set the interface Maximum Transmission Unit (MTU)
                	**type**\:  int
                
                	**range:** 64..18000
                
                .. attribute:: peer
                
                	Peer parameters for point to point interfaces
                	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Peer>`
                
                .. attribute:: pm_path
                
                	Global pm\-path configuration
                	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.PmPath>`
                
                .. attribute:: priority_queue
                
                	Configure priority scheduling
                	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.PriorityQueue>`
                
                .. attribute:: rcv_queue
                
                	Configure receive queue(s)
                	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.RcvQueue>`
                
                .. attribute:: service_insertion
                
                	Service\-insertion AppNav Controller
                	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.ServiceInsertionEnum>`
                
                .. attribute:: shutdown
                
                	Shutdown the selected interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: standby
                
                	HSRP interface configuration commands
                	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby>`
                
                .. attribute:: storm_control
                
                	storm configuration
                	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.StormControl>`
                
                .. attribute:: switchport
                
                	Set switching mode characteristics
                	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Switchport>`
                
                .. attribute:: switchport_conf
                
                	
                	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.SwitchportConf>`
                
                .. attribute:: trust
                
                	Set trust value for the interface
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Trust>`
                
                .. attribute:: utd
                
                	UTD support on this interface
                	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Utd>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Vrf>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.access_session = Native.Interface.LispSubinterface.Lisp.AccessSession()
                    self.access_session.parent = self
                    self.arp = Native.Interface.LispSubinterface.Lisp.Arp()
                    self.arp.parent = self
                    self.backup = Native.Interface.LispSubinterface.Lisp.Backup()
                    self.backup.parent = self
                    self.bandwidth = Native.Interface.LispSubinterface.Lisp.Bandwidth()
                    self.bandwidth.parent = self
                    self.bfd = Native.Interface.LispSubinterface.Lisp.Bfd()
                    self.bfd.parent = self
                    self.cemoudp = Native.Interface.LispSubinterface.Lisp.Cemoudp()
                    self.cemoudp.parent = self
                    self.cws_tunnel = Native.Interface.LispSubinterface.Lisp.CwsTunnel()
                    self.cws_tunnel.parent = self
                    self.dampening = None
                    self.delay = None
                    self.description = None
                    self.domain = Native.Interface.LispSubinterface.Lisp.Domain()
                    self.domain.parent = self
                    self.encapsulation = Native.Interface.LispSubinterface.Lisp.Encapsulation()
                    self.encapsulation.parent = self
                    self.fair_queue = Native.Interface.LispSubinterface.Lisp.FairQueue()
                    self.fair_queue.parent = self
                    self.fair_queue_conf = Native.Interface.LispSubinterface.Lisp.FairQueueConf()
                    self.fair_queue_conf.parent = self
                    self.flowcontrol = Native.Interface.LispSubinterface.Lisp.Flowcontrol()
                    self.flowcontrol.parent = self
                    self.hold_queue = Native.Interface.LispSubinterface.Lisp.HoldQueue()
                    self.hold_queue.parent = self
                    self.if_state = None
                    self.interface_qos = Native.Interface.LispSubinterface.Lisp.Interface_Qos()
                    self.interface_qos.parent = self
                    self.ip = Native.Interface.LispSubinterface.Lisp.Ip()
                    self.ip.parent = self
                    self.ip_vrf = Native.Interface.LispSubinterface.Lisp.IpVrf()
                    self.ip_vrf.parent = self
                    self.ipv6 = Native.Interface.LispSubinterface.Lisp.Ipv6()
                    self.ipv6.parent = self
                    self.isis = Native.Interface.LispSubinterface.Lisp.Isis()
                    self.isis.parent = self
                    self.keepalive = None
                    self.keepalive_settings = Native.Interface.LispSubinterface.Lisp.KeepaliveSettings()
                    self.keepalive_settings.parent = self
                    self.l2protocol_tunnel = None
                    self.load_interval = None
                    self.logging = Native.Interface.LispSubinterface.Lisp.Logging()
                    self.logging.parent = self
                    self.max_reserved_bandwidth = None
                    self.mdix = Native.Interface.LispSubinterface.Lisp.Mdix()
                    self.mdix.parent = self
                    self.mop = Native.Interface.LispSubinterface.Lisp.Mop()
                    self.mop.parent = self
                    self.mpls = Native.Interface.LispSubinterface.Lisp.Mpls()
                    self.mpls.parent = self
                    self.mtu = None
                    self.peer = Native.Interface.LispSubinterface.Lisp.Peer()
                    self.peer.parent = self
                    self.pm_path = Native.Interface.LispSubinterface.Lisp.PmPath()
                    self.pm_path.parent = self
                    self.priority_queue = Native.Interface.LispSubinterface.Lisp.PriorityQueue()
                    self.priority_queue.parent = self
                    self.rcv_queue = Native.Interface.LispSubinterface.Lisp.RcvQueue()
                    self.rcv_queue.parent = self
                    self.service_insertion = None
                    self.shutdown = None
                    self.standby = Native.Interface.LispSubinterface.Lisp.Standby()
                    self.standby.parent = self
                    self.storm_control = Native.Interface.LispSubinterface.Lisp.StormControl()
                    self.storm_control.parent = self
                    self.switchport = Native.Interface.LispSubinterface.Lisp.Switchport()
                    self.switchport.parent = self
                    self.switchport_conf = Native.Interface.LispSubinterface.Lisp.SwitchportConf()
                    self.switchport_conf.parent = self
                    self.trust = Native.Interface.LispSubinterface.Lisp.Trust()
                    self.trust.parent = self
                    self.utd = Native.Interface.LispSubinterface.Lisp.Utd()
                    self.utd.parent = self
                    self.vrf = Native.Interface.LispSubinterface.Lisp.Vrf()
                    self.vrf.parent = self

                class IfStateEnum(Enum):
                    """
                    IfStateEnum

                    .. data:: nhrp = 0

                    """

                    nhrp = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.IfStateEnum']


                class ServiceInsertionEnum(Enum):
                    """
                    ServiceInsertionEnum

                    Service\-insertion AppNav Controller

                    .. data:: waas = 0

                    """

                    waas = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.ServiceInsertionEnum']



                class SwitchportConf(object):
                    """
                    
                    
                    .. attribute:: switchport
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.switchport = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.switchport is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.SwitchportConf']['meta_info']


                class Switchport(object):
                    """
                    Set switching mode characteristics
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Switchport']['meta_info']


                class Arp(object):
                    """
                    Set arp type (arpa, probe, snap), timeout, log options or 
                    packet priority
                    
                    .. attribute:: timeout
                    
                    	Set ARP cache timeout
                    	**type**\:  int
                    
                    	**range:** 0..2147483
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Arp']['meta_info']


                class Backup(object):
                    """
                    Modify backup parameters
                    
                    .. attribute:: delay
                    
                    	Delays before backup line up or down transitions
                    	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Backup.Delay>`
                    
                    .. attribute:: interface
                    
                    	Configure an interface as a backup
                    	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Backup.Interface_>`
                    
                    .. attribute:: load
                    
                    	Load thresholds for line up or down transitions
                    	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Backup.Load>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.delay = Native.Interface.LispSubinterface.Lisp.Backup.Delay()
                        self.delay.parent = self
                        self.interface = Native.Interface.LispSubinterface.Lisp.Backup.Interface_()
                        self.interface.parent = self
                        self.load = Native.Interface.LispSubinterface.Lisp.Backup.Load()
                        self.load.parent = self


                    class Delay(object):
                        """
                        Delays before backup line up or down transitions
                        
                        .. attribute:: failure
                        
                        	Seconds
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967294
                        
                        
                        ----
                        	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                        
                        
                        ----
                        .. attribute:: secondary_disable
                        
                        	Seconds
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967294
                        
                        
                        ----
                        	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.failure = None
                            self.secondary_disable = None

                        class FailureEnum(Enum):
                            """
                            FailureEnum

                            Seconds

                            .. data:: never = 0

                            """

                            never = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Delay.FailureEnum']


                        class SecondaryDisableEnum(Enum):
                            """
                            SecondaryDisableEnum

                            Seconds

                            .. data:: never = 0

                            """

                            never = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Delay.SecondaryDisableEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.failure is not None:
                                return True

                            if self.secondary_disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Delay']['meta_info']


                    class Interface_(object):
                        """
                        Configure an interface as a backup
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Backup.Interface_.AtmAcrsubinterface>`
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Backup.Interface_.AtmSubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\:  str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\:  str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\:  str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\:  str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\:  str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  int
                        
                        	**range:** 0..65520
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:   :py:class:`LispSubinterface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Backup.Interface_.LispSubinterface_>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Backup.Interface_.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\:  str
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\:  str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\:  str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.appnav_compress = None
                            self.appnav_uncompress = None
                            self.atm = None
                            self.atm_acr = None
                            self.atm_acrsubinterface = Native.Interface.LispSubinterface.Lisp.Backup.Interface_.AtmAcrsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self.atm_subinterface = Native.Interface.LispSubinterface.Lisp.Backup.Interface_.AtmSubinterface()
                            self.atm_subinterface.parent = self
                            self.bdi = None
                            self.cellular = None
                            self.cem = None
                            self.cem_acr = None
                            self.embedded_service_engine = None
                            self.fastethernet = None
                            self.gigabitethernet = None
                            self.lisp = None
                            self.lisp_subinterface = Native.Interface.LispSubinterface.Lisp.Backup.Interface_.LispSubinterface_()
                            self.lisp_subinterface.parent = self
                            self.loopback = None
                            self.multilink = None
                            self.nve = None
                            self.overlay = None
                            self.port_channel = None
                            self.port_channel_subinterface = Native.Interface.LispSubinterface.Lisp.Backup.Interface_.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self.pseudowire = None
                            self.serial = None
                            self.sm = None
                            self.tengigabitethernet = None
                            self.tunnel = None
                            self.vasileft = None
                            self.vasiright = None
                            self.virtual_template = None
                            self.virtualportgroup = None
                            self.vlan = None


                        class AtmSubinterface(object):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Interface_.AtmSubinterface']['meta_info']


                        class AtmAcrsubinterface(object):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm_acr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm_acr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                        class LispSubinterface_(object):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Interface_.LispSubinterface_']['meta_info']


                        class PortChannelSubinterface(object):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port_channel = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port_channel is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Interface_.PortChannelSubinterface']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.appnav_compress is not None:
                                return True

                            if self.appnav_uncompress is not None:
                                return True

                            if self.atm is not None:
                                return True

                            if self.atm_acr is not None:
                                return True

                            if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                return True

                            if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                return True

                            if self.bdi is not None:
                                return True

                            if self.cellular is not None:
                                return True

                            if self.cem is not None:
                                return True

                            if self.cem_acr is not None:
                                return True

                            if self.embedded_service_engine is not None:
                                return True

                            if self.fastethernet is not None:
                                return True

                            if self.gigabitethernet is not None:
                                return True

                            if self.lisp is not None:
                                return True

                            if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                return True

                            if self.loopback is not None:
                                return True

                            if self.multilink is not None:
                                return True

                            if self.nve is not None:
                                return True

                            if self.overlay is not None:
                                return True

                            if self.port_channel is not None:
                                return True

                            if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                return True

                            if self.pseudowire is not None:
                                return True

                            if self.serial is not None:
                                return True

                            if self.sm is not None:
                                return True

                            if self.tengigabitethernet is not None:
                                return True

                            if self.tunnel is not None:
                                return True

                            if self.vasileft is not None:
                                return True

                            if self.vasiright is not None:
                                return True

                            if self.virtual_template is not None:
                                return True

                            if self.virtualportgroup is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Interface_']['meta_info']


                    class Load(object):
                        """
                        Load thresholds for line up or down transitions
                        
                        .. attribute:: kickin
                        
                        	Percentage
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        
                        ----
                        	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                        
                        
                        ----
                        .. attribute:: kickout
                        
                        	Percentage
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        
                        ----
                        	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.kickin = None
                            self.kickout = None

                        class KickinEnum(Enum):
                            """
                            KickinEnum

                            Percentage

                            .. data:: never = 0

                            """

                            never = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Load.KickinEnum']


                        class KickoutEnum(Enum):
                            """
                            KickoutEnum

                            Percentage

                            .. data:: never = 0

                            """

                            never = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Load.KickoutEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.kickin is not None:
                                return True

                            if self.kickout is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Backup.Load']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.delay is not None and self.delay._has_data():
                            return True

                        if self.interface is not None and self.interface._has_data():
                            return True

                        if self.load is not None and self.load._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Backup']['meta_info']


                class Cemoudp(object):
                    """
                    cemoudp
                    
                    .. attribute:: reserve
                    
                    	
                    	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Cemoudp.Reserve>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.reserve = Native.Interface.LispSubinterface.Lisp.Cemoudp.Reserve()
                        self.reserve.parent = self


                    class Reserve(object):
                        """
                        
                        
                        .. attribute:: acr
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Cemoudp.Reserve']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.reserve is not None and self.reserve._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Cemoudp']['meta_info']


                class CwsTunnel(object):
                    """
                    Configure Cloud Web Security Tunnel
                    
                    .. attribute:: in_
                    
                    	Inbound traffic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: out
                    
                    	Outbound traffic
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.CwsTunnel.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = None
                        self.out = Native.Interface.LispSubinterface.Lisp.CwsTunnel.Out()
                        self.out.parent = self


                    class Out(object):
                        """
                        Outbound traffic
                        
                        .. attribute:: tunnel_number
                        
                        	Outboud traffic tunnel identifier
                        	**type**\:  int
                        
                        	**range:** 0..65534
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.tunnel_number = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.tunnel_number is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.CwsTunnel.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None:
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.CwsTunnel']['meta_info']


                class L2ProtocolTunnel(object):
                    """
                    Tunnel Layer2 protocols
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: drop_threshold
                    
                    	Set drop threshold for protocol packets
                    	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel.DropThreshold>`
                    
                    .. attribute:: shutdown_threshold
                    
                    	Set shutdown threshold for protocol packets
                    	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel.ShutdownThreshold>`
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cdp = None
                        self.drop_threshold = Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel.DropThreshold()
                        self.drop_threshold.parent = self
                        self.shutdown_threshold = Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel.ShutdownThreshold()
                        self.shutdown_threshold.parent = self
                        self.stp = None
                        self.vtp = None


                    class DropThreshold(object):
                        """
                        Set drop threshold for protocol packets
                        
                        .. attribute:: cdp
                        
                        	Cisco Discovery Protocol
                        	**type**\:  int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: packet_rate
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: stp
                        
                        	Spanning Tree Protocol
                        	**type**\:  int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: vtp
                        
                        	Vlan Trunking Protocol
                        	**type**\:  int
                        
                        	**range:** 1..4096
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cdp = None
                            self.packet_rate = None
                            self.stp = None
                            self.vtp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cdp is not None:
                                return True

                            if self.packet_rate is not None:
                                return True

                            if self.stp is not None:
                                return True

                            if self.vtp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel.DropThreshold']['meta_info']


                    class ShutdownThreshold(object):
                        """
                        Set shutdown threshold for protocol packets
                        
                        .. attribute:: cdp
                        
                        	Cisco Discovery Protocol
                        	**type**\:  int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: packet_rate
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: stp
                        
                        	Spanning Tree Protocol
                        	**type**\:  int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: vtp
                        
                        	Vlan Trunking Protocol
                        	**type**\:  int
                        
                        	**range:** 1..4096
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cdp = None
                            self.packet_rate = None
                            self.stp = None
                            self.vtp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cdp is not None:
                                return True

                            if self.packet_rate is not None:
                                return True

                            if self.stp is not None:
                                return True

                            if self.vtp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cdp is not None:
                            return True

                        if self.drop_threshold is not None and self.drop_threshold._has_data():
                            return True

                        if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.L2ProtocolTunnel']['meta_info']


                class Encapsulation(object):
                    """
                    Set encapsulation type for an interface
                    
                    .. attribute:: dot1q
                    
                    	IEEE 802.1Q Virtual LAN
                    	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Encapsulation.Dot1Q>`
                    
                    .. attribute:: frame_relay
                    
                    	Frame Relay networks
                    	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Encapsulation.FrameRelay>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: isl
                    
                    	Inter Switch Link \- Virtual LAN encapsulation
                    	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Encapsulation.Isl>`
                    
                    .. attribute:: ppp
                    
                    	Point\-to\-Point protocol
                    	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Encapsulation.Ppp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: slip
                    
                    	Serial Line IP
                    	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Encapsulation.Slip>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dot1q = Native.Interface.LispSubinterface.Lisp.Encapsulation.Dot1Q()
                        self.dot1q.parent = self
                        self.frame_relay = None
                        self.isl = Native.Interface.LispSubinterface.Lisp.Encapsulation.Isl()
                        self.isl.parent = self
                        self.ppp = None
                        self.slip = None


                    class Dot1Q(object):
                        """
                        IEEE 802.1Q Virtual LAN
                        
                        .. attribute:: native
                        
                        	Make this as native vlan
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan_id
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.native = None
                            self.vlan_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.native is not None:
                                return True

                            if self.vlan_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Encapsulation.Dot1Q']['meta_info']


                    class Isl(object):
                        """
                        Inter Switch Link \- Virtual LAN encapsulation
                        
                        .. attribute:: vlan_id
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4095
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vlan_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vlan_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Encapsulation.Isl']['meta_info']


                    class Ppp(object):
                        """
                        Point\-to\-Point protocol
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Encapsulation.Ppp']['meta_info']


                    class Slip(object):
                        """
                        Serial Line IP
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Encapsulation.Slip']['meta_info']


                    class FrameRelay(object):
                        """
                        Frame Relay networks
                        
                        .. attribute:: ietf
                        
                        	Use RFC1490/RFC2427 encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ietf = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ietf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Encapsulation.FrameRelay']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dot1q is not None and self.dot1q._has_data():
                            return True

                        if self.frame_relay is not None and self.frame_relay._has_data():
                            return True

                        if self.isl is not None and self.isl._has_data():
                            return True

                        if self.ppp is not None and self.ppp._has_data():
                            return True

                        if self.slip is not None and self.slip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Encapsulation']['meta_info']


                class FairQueueConf(object):
                    """
                    
                    
                    .. attribute:: fair_queue
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.fair_queue = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.fair_queue is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.FairQueueConf']['meta_info']


                class FairQueue(object):
                    """
                    Enable Fair Queuing on an Interface
                    
                    .. attribute:: incomplete
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.incomplete = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.incomplete is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.FairQueue']['meta_info']


                class Flowcontrol(object):
                    """
                    Configure flow operation.
                    
                    .. attribute:: receive
                    
                    	Configure receiving flow operation
                    	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Flowcontrol.ReceiveEnum>`
                    
                    .. attribute:: send
                    
                    	Configure sending flow operation
                    	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Flowcontrol.SendEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.receive = None
                        self.send = None

                    class ReceiveEnum(Enum):
                        """
                        ReceiveEnum

                        Configure receiving flow operation

                        .. data:: desired = 0

                        .. data:: off = 1

                        .. data:: on = 2

                        """

                        desired = 0

                        off = 1

                        on = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Flowcontrol.ReceiveEnum']


                    class SendEnum(Enum):
                        """
                        SendEnum

                        Configure sending flow operation

                        .. data:: desired = 0

                        .. data:: off = 1

                        .. data:: on = 2

                        """

                        desired = 0

                        off = 1

                        on = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Flowcontrol.SendEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.receive is not None:
                            return True

                        if self.send is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Flowcontrol']['meta_info']


                class Isis(object):
                    """
                    IS\-IS commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Isis']['meta_info']


                class KeepaliveSettings(object):
                    """
                    
                    
                    .. attribute:: keepalive
                    
                    	Enable keepalive
                    	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.KeepaliveSettings.Keepalive>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.keepalive = None


                    class Keepalive(object):
                        """
                        Enable keepalive
                        
                        .. attribute:: period
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..32767
                        
                        .. attribute:: retries
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.period = None
                            self.retries = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.period is not None:
                                return True

                            if self.retries is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.KeepaliveSettings.Keepalive']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.keepalive is not None and self.keepalive._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.KeepaliveSettings']['meta_info']


                class Bfd(object):
                    """
                    BFD interface configuration commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Bfd']['meta_info']


                class Bandwidth(object):
                    """
                    Set bandwidth informational parameter
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Bandwidth.Inherit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: qos_reference
                    
                    	Reference bandwidth for QOS
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: receive
                    
                    	Specify receive\-side bandwidth
                    	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Bandwidth.Receive>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None
                        self.qos_reference = None
                        self.receive = Native.Interface.LispSubinterface.Lisp.Bandwidth.Receive()
                        self.receive.parent = self


                    class Receive(object):
                        """
                        Specify receive\-side bandwidth
                        
                        .. attribute:: inherit
                        
                        	Specify how bandwidth is inherited
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: kilobits
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..10000000
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.inherit = None
                            self.kilobits = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.inherit is not None:
                                return True

                            if self.kilobits is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Bandwidth.Receive']['meta_info']


                    class Inherit(object):
                        """
                        Specify how bandwidth is inherited
                        
                        .. attribute:: kilobits
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..10000000
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.kilobits = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.kilobits is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Bandwidth.Inherit']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None and self.inherit._has_data():
                            return True

                        if self.kilobits is not None:
                            return True

                        if self.qos_reference is not None:
                            return True

                        if self.receive is not None and self.receive._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Bandwidth']['meta_info']


                class Dampening(object):
                    """
                    Enable event dampening
                    
                    .. attribute:: dampening_time
                    
                    	<1\-30>;;Half\-life time for penalty
                    	**type**\:  int
                    
                    	**range:** 1..30
                    
                    .. attribute:: maximum_supressing_time
                    
                    	<1\-255>;;Maximum duration to suppress an interface
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Dampening.Restart>`
                    
                    .. attribute:: start_reusing_time
                    
                    	<1\-20000>;;Value to start reusing an interface
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    .. attribute:: start_supressing_time
                    
                    	<1\-20000>;;Value to start supressing an interface
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.dampening_time = None
                        self.maximum_supressing_time = None
                        self.restart = Native.Interface.LispSubinterface.Lisp.Dampening.Restart()
                        self.restart.parent = self
                        self.start_reusing_time = None
                        self.start_supressing_time = None


                    class Restart(object):
                        """
                        Enable restart penalty
                        
                        .. attribute:: restart
                        
                        	Enable restart penalty
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: restart_penalty
                        
                        	<1\-20000>;;Penalty applied at restart
                        	**type**\:  int
                        
                        	**range:** 1..20000
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.restart = None
                            self.restart_penalty = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.restart is not None:
                                return True

                            if self.restart_penalty is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Dampening.Restart']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.dampening_time is not None:
                            return True

                        if self.maximum_supressing_time is not None:
                            return True

                        if self.restart is not None and self.restart._has_data():
                            return True

                        if self.start_reusing_time is not None:
                            return True

                        if self.start_supressing_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Dampening']['meta_info']


                class Domain(object):
                    """
                    Specify a domain
                    
                    .. attribute:: internet_bound
                    
                    	Specify Internet\-bound interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: path
                    
                    	Specify a service provider for this interface
                    	**type**\:  str
                    
                    .. attribute:: path_id
                    
                    	Specify service provider path\-id for this interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: path_last_resort
                    
                    	Specify if you want this interface to be a path of last resort
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: zero_sla
                    
                    	Specify if you want this interface to be a 0\-sla interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.internet_bound = None
                        self.name = None
                        self.path = None
                        self.path_id = None
                        self.path_last_resort = None
                        self.zero_sla = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.internet_bound is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.path is not None:
                            return True

                        if self.path_id is not None:
                            return True

                        if self.path_last_resort is not None:
                            return True

                        if self.zero_sla is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Domain']['meta_info']


                class HoldQueue(object):
                    """
                    Set hold queue depth
                    
                    .. attribute:: direction
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.HoldQueue.DirectionEnum>`
                    
                    .. attribute:: queue_length
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.queue_length = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.HoldQueue.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.queue_length is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.HoldQueue']['meta_info']


                class Mpls(object):
                    """
                    
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Mpls']['meta_info']


                class IpVrf(object):
                    """
                    
                    
                    .. attribute:: ip
                    
                    	
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.IpVrf.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.LispSubinterface.Lisp.IpVrf.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.IpVrf.Ip.Vrf>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vrf = Native.Interface.LispSubinterface.Lisp.IpVrf.Ip.Vrf()
                            self.vrf.parent = self


                        class Vrf(object):
                            """
                            
                            
                            .. attribute:: forwarding
                            
                            	Configure forwarding table
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.forwarding = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.forwarding is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.IpVrf.Ip.Vrf']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vrf is not None and self.vrf._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.IpVrf.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.IpVrf']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Vrf']['meta_info']


                class Ip(object):
                    """
                    Interface Internet Protocol config commands
                    
                    .. attribute:: access_group
                    
                    	Specify access control for packets
                    	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup>`
                    
                    .. attribute:: address
                    
                    	Set the IP address of an interface
                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Address>`
                    
                    .. attribute:: admission
                    
                    	Apply Network Admission Control
                    	**type**\:  str
                    
                    .. attribute:: arp
                    
                    	Configure ARP features
                    	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Arp>`
                    
                    .. attribute:: authentication
                    
                    	authentication subcommands
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Authentication>`
                    
                    .. attribute:: dhcp
                    
                    	Configure DHCP parameters for this interface
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Dhcp>`
                    
                    .. attribute:: directed_broadcast
                    
                    	Enable forwarding of directed broadcasts
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..199 \| 1300..2699
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    .. attribute:: hello_interval
                    
                    	Configures EIGRP\-IPv4 hello interval
                    	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.HelloInterval>`
                    
                    .. attribute:: helper_address
                    
                    	Specify a destination address for UDP broadcasts
                    	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.HelperAddress>`
                    
                    .. attribute:: hold_time
                    
                    	Configures EIGRP\-IPv4 hold time
                    	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.HoldTime>`
                    
                    .. attribute:: local_proxy_arp
                    
                    	Enable local\-proxy ARP
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mroute_cache
                    
                    	Enable switching cache for incoming multicast packets
                    	**type**\:  bool
                    
                    .. attribute:: mtu
                    
                    	Set IP Maximum Transmission Unit
                    	**type**\:  int
                    
                    	**range:** 68..9198
                    
                    .. attribute:: no_address
                    
                    	
                    	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.NoAddress>`
                    
                    .. attribute:: pim
                    
                    	PIM interface commands
                    	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Pim>`
                    
                    .. attribute:: policy
                    
                    	Enable policy routing
                    	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Policy>`
                    
                    .. attribute:: proxy_arp
                    
                    	Enable proxy ARP
                    	**type**\:  bool
                    
                    .. attribute:: redirects
                    
                    	Enable sending ICMP Redirect messages
                    	**type**\:  bool
                    
                    .. attribute:: route_cache
                    
                    	Enable fast\-switching cache for outgoing packets
                    	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.RouteCache>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: route_cache_conf
                    
                    	
                    	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.RouteCacheConf>`
                    
                    .. attribute:: router
                    
                    	IP router interface commands
                    	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Router>`
                    
                    .. attribute:: summary_address
                    
                    	
                    	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.SummaryAddress>`
                    
                    .. attribute:: tcp
                    
                    	TCP header compression and other parameters
                    	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Tcp>`
                    
                    .. attribute:: unnumbered
                    
                    	Enable IP processing without an explicit address
                    	**type**\:  str
                    
                    .. attribute:: verify
                    
                    	Enable per packet validation
                    	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Verify>`
                    
                    .. attribute:: virtual_reassembly
                    
                    	
                    	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.VirtualReassembly>`
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding parameters on the interface
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access_group = Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup()
                        self.access_group.parent = self
                        self.address = Native.Interface.LispSubinterface.Lisp.Ip.Address()
                        self.address.parent = self
                        self.admission = None
                        self.arp = Native.Interface.LispSubinterface.Lisp.Ip.Arp()
                        self.arp.parent = self
                        self.authentication = Native.Interface.LispSubinterface.Lisp.Ip.Authentication()
                        self.authentication.parent = self
                        self.dhcp = Native.Interface.LispSubinterface.Lisp.Ip.Dhcp()
                        self.dhcp.parent = self
                        self.directed_broadcast = None
                        self.hello_interval = Native.Interface.LispSubinterface.Lisp.Ip.HelloInterval()
                        self.hello_interval.parent = self
                        self.helper_address = YList()
                        self.helper_address.parent = self
                        self.helper_address.name = 'helper_address'
                        self.hold_time = Native.Interface.LispSubinterface.Lisp.Ip.HoldTime()
                        self.hold_time.parent = self
                        self.local_proxy_arp = None
                        self.mroute_cache = None
                        self.mtu = None
                        self.no_address = Native.Interface.LispSubinterface.Lisp.Ip.NoAddress()
                        self.no_address.parent = self
                        self.pim = Native.Interface.LispSubinterface.Lisp.Ip.Pim()
                        self.pim.parent = self
                        self.policy = Native.Interface.LispSubinterface.Lisp.Ip.Policy()
                        self.policy.parent = self
                        self.proxy_arp = None
                        self.redirects = None
                        self.route_cache = None
                        self.route_cache_conf = Native.Interface.LispSubinterface.Lisp.Ip.RouteCacheConf()
                        self.route_cache_conf.parent = self
                        self.router = Native.Interface.LispSubinterface.Lisp.Ip.Router()
                        self.router.parent = self
                        self.summary_address = Native.Interface.LispSubinterface.Lisp.Ip.SummaryAddress()
                        self.summary_address.parent = self
                        self.tcp = Native.Interface.LispSubinterface.Lisp.Ip.Tcp()
                        self.tcp.parent = self
                        self.unnumbered = None
                        self.verify = Native.Interface.LispSubinterface.Lisp.Ip.Verify()
                        self.verify.parent = self
                        self.virtual_reassembly = Native.Interface.LispSubinterface.Lisp.Ip.VirtualReassembly()
                        self.virtual_reassembly.parent = self
                        self.vrf = Native.Interface.LispSubinterface.Lisp.Ip.Vrf()
                        self.vrf.parent = self


                    class AccessGroup(object):
                        """
                        Specify access control for packets
                        
                        .. attribute:: in_
                        
                        	
                        	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_>`
                        
                        .. attribute:: out
                        
                        	
                        	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.in_ = Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_()
                            self.in_.parent = self
                            self.out = Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out()
                            self.out.parent = self


                        class In_(object):
                            """
                            
                            
                            .. attribute:: acl
                            
                            	
                            	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_.Acl>`
                            
                            .. attribute:: common_acl
                            
                            	
                            	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_.CommonAcl>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl = Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_.Acl()
                                self.acl.parent = self
                                self.common_acl = Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_.CommonAcl()
                                self.common_acl.parent = self


                            class CommonAcl(object):
                                """
                                
                                
                                .. attribute:: common
                                
                                	specify ipv4 common ACL for packet filtering
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..199 \| 1300..2699
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                .. attribute:: in_
                                
                                	inbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.common = None
                                    self.in_ = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.common is not None:
                                        return True

                                    if self.in_ is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                            class Acl(object):
                                """
                                
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..199 \| 1300..2699
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                .. attribute:: in_
                                
                                	inbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.acl_name = None
                                    self.in_ = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.acl_name is not None:
                                        return True

                                    if self.in_ is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_.Acl']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl is not None and self.acl._has_data():
                                    return True

                                if self.common_acl is not None and self.common_acl._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.In_']['meta_info']


                        class Out(object):
                            """
                            
                            
                            .. attribute:: acl
                            
                            	
                            	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out.Acl>`
                            
                            .. attribute:: common_acl
                            
                            	
                            	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out.CommonAcl>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl = Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out.Acl()
                                self.acl.parent = self
                                self.common_acl = Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out.CommonAcl()
                                self.common_acl.parent = self


                            class CommonAcl(object):
                                """
                                
                                
                                .. attribute:: common
                                
                                	specify ipv4 common ACL for packet filtering
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..199 \| 1300..2699
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                .. attribute:: out
                                
                                	outbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.common = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.common is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                            class Acl(object):
                                """
                                
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..199 \| 1300..2699
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                .. attribute:: out
                                
                                	outbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.acl_name = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.acl_name is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out.Acl']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl is not None and self.acl._has_data():
                                    return True

                                if self.common_acl is not None and self.common_acl._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup.Out']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.in_ is not None and self.in_._has_data():
                                return True

                            if self.out is not None and self.out._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.AccessGroup']['meta_info']


                    class Arp(object):
                        """
                        Configure ARP features
                        
                        .. attribute:: inspection
                        
                        	Arp Inspection configuration
                        	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Arp.Inspection>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.inspection = Native.Interface.LispSubinterface.Lisp.Ip.Arp.Inspection()
                            self.inspection.parent = self


                        class Inspection(object):
                            """
                            Arp Inspection configuration
                            
                            .. attribute:: limit
                            
                            	Configure Rate limit of incoming ARP packets
                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Arp.Inspection.Limit>`
                            
                            .. attribute:: trust
                            
                            	Configure Trust state
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = Native.Interface.LispSubinterface.Lisp.Ip.Arp.Inspection.Limit()
                                self.limit.parent = self
                                self.trust = None


                            class Limit(object):
                                """
                                Configure Rate limit of incoming ARP packets
                                
                                .. attribute:: none
                                
                                	No limit
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: rate
                                
                                	Rate Limit
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.none = None
                                    self.rate = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.none is not None:
                                        return True

                                    if self.rate is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Arp.Inspection.Limit']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None and self.limit._has_data():
                                    return True

                                if self.trust is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Arp.Inspection']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.inspection is not None and self.inspection._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Arp']['meta_info']


                    class Vrf(object):
                        """
                        VPN Routing/Forwarding parameters on the interface
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Vrf.Forwarding>`
                        
                        .. attribute:: receive
                        
                        	Add Interface Address into VRF Table
                        	**type**\:  str
                        
                        .. attribute:: sitemap
                        
                        	Configure route\-map for routesreceived from this site
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = Native.Interface.LispSubinterface.Lisp.Ip.Vrf.Forwarding()
                            self.forwarding.parent = self
                            self.receive = None
                            self.sitemap = None


                        class Forwarding(object):
                            """
                            Configure forwarding table
                            
                            .. attribute:: liin_vrf
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mgmtvrf
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: word
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.liin_vrf = None
                                self.mgmtvrf = None
                                self.word = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.liin_vrf is not None:
                                    return True

                                if self.mgmtvrf is not None:
                                    return True

                                if self.word is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Vrf.Forwarding']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None and self.forwarding._has_data():
                                return True

                            if self.receive is not None:
                                return True

                            if self.sitemap is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Vrf']['meta_info']


                    class NoAddress(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.NoAddress']['meta_info']


                    class Address(object):
                        """
                        Set the IP address of an interface
                        
                        .. attribute:: dhcp
                        
                        	IP Address negotiated via DHCP
                        	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Address.Dhcp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: negotiated
                        
                        	IP Address negotiated via IKEv2 Modeconfig
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: primary
                        
                        	
                        	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Address.Primary>`
                        
                        .. attribute:: secondary
                        
                        	
                        	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Address.Secondary>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dhcp = None
                            self.negotiated = None
                            self.primary = Native.Interface.LispSubinterface.Lisp.Ip.Address.Primary()
                            self.primary.parent = self
                            self.secondary = YList()
                            self.secondary.parent = self
                            self.secondary.name = 'secondary'


                        class Primary(object):
                            """
                            
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Address.Primary']['meta_info']


                        class Secondary(object):
                            """
                            
                            
                            .. attribute:: address  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            	**mandatory**\: True
                            
                            .. attribute:: secondary
                            
                            	Make this IP address a secondary address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            	**mandatory**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.mask = None
                                self.secondary = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.address is None:
                                    raise YPYModelError('Key property address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                if self.secondary is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Address.Secondary']['meta_info']


                        class Dhcp(object):
                            """
                            IP Address negotiated via DHCP
                            
                            .. attribute:: client_id
                            
                            	Specify client\-id to use
                            	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Address.Dhcp.ClientId>`
                            
                            .. attribute:: hostname
                            
                            	Specify value for hostname option
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.client_id = Native.Interface.LispSubinterface.Lisp.Ip.Address.Dhcp.ClientId()
                                self.client_id.parent = self
                                self.hostname = None


                            class ClientId(object):
                                """
                                Specify client\-id to use
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\:  str
                                
                                .. attribute:: fortygigabitethernet
                                
                                	Forty Gigabit Ethernet
                                	**type**\:  str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\:  str
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\:  str
                                
                                .. attribute:: vlan
                                
                                	Catalyst Vlans
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.fastethernet = None
                                    self.fortygigabitethernet = None
                                    self.gigabitethernet = None
                                    self.port_channel = None
                                    self.tengigabitethernet = None
                                    self.vlan = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.fastethernet is not None:
                                        return True

                                    if self.fortygigabitethernet is not None:
                                        return True

                                    if self.gigabitethernet is not None:
                                        return True

                                    if self.port_channel is not None:
                                        return True

                                    if self.tengigabitethernet is not None:
                                        return True

                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Address.Dhcp.ClientId']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.client_id is not None and self.client_id._has_data():
                                    return True

                                if self.hostname is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Address.Dhcp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dhcp is not None and self.dhcp._has_data():
                                return True

                            if self.negotiated is not None:
                                return True

                            if self.primary is not None and self.primary._has_data():
                                return True

                            if self.secondary is not None:
                                for child_ref in self.secondary:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Address']['meta_info']


                    class HelloInterval(object):
                        """
                        Configures EIGRP\-IPv4 hello interval
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: seconds
                        
                        	Seconds between hello transmissions
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.seconds = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.seconds is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.HelloInterval']['meta_info']


                    class Authentication(object):
                        """
                        authentication subcommands
                        
                        .. attribute:: key_chain
                        
                        	key\-chain
                        	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Authentication.KeyChain>`
                        
                        .. attribute:: mode
                        
                        	mode
                        	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_chain = Native.Interface.LispSubinterface.Lisp.Ip.Authentication.KeyChain()
                            self.key_chain.parent = self
                            self.mode = Native.Interface.LispSubinterface.Lisp.Ip.Authentication.Mode()
                            self.mode.parent = self


                        class KeyChain(object):
                            """
                            key\-chain
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: name
                            
                            	name of key\-chain
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eigrp = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eigrp is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Authentication.KeyChain']['meta_info']


                        class Mode(object):
                            """
                            mode
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eigrp = None
                                self.md5 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eigrp is not None:
                                    return True

                                if self.md5 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Authentication.Mode']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_chain is not None and self.key_chain._has_data():
                                return True

                            if self.mode is not None and self.mode._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Authentication']['meta_info']


                    class HoldTime(object):
                        """
                        Configures EIGRP\-IPv4 hold time
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: seconds
                        
                        	Seconds before neighbor is considered down
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.seconds = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.seconds is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.HoldTime']['meta_info']


                    class HelperAddress(object):
                        """
                        Specify a destination address for UDP broadcasts
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: global_
                        
                        	Helper\-address is global
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vrf
                        
                        	VRF name for helper\-address (if different from interface VRF)
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.global_ = None
                            self.vrf = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.global_ is not None:
                                return True

                            if self.vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.HelperAddress']['meta_info']


                    class Pim(object):
                        """
                        PIM interface commands
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Pim']['meta_info']


                    class Policy(object):
                        """
                        Enable policy routing
                        
                        .. attribute:: route_map
                        
                        	Policy route\-map
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.route_map = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Policy']['meta_info']


                    class RouteCacheConf(object):
                        """
                        
                        
                        .. attribute:: route_cache
                        
                        	
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.route_cache = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.route_cache is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.RouteCacheConf']['meta_info']


                    class RouteCache(object):
                        """
                        Enable fast\-switching cache for outgoing packets
                        
                        .. attribute:: cef
                        
                        	Enable Cisco Express Forwarding
                        	**type**\:  bool
                        
                        .. attribute:: flow
                        
                        	Enable Flow fast\-switching cache
                        	**type**\:  bool
                        
                        .. attribute:: policy
                        
                        	Enable fast\-switching policy cache for outgoing packets
                        	**type**\:  bool
                        
                        .. attribute:: same_interface
                        
                        	Enable fast\-switching on the same interface
                        	**type**\:  bool
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.cef = None
                            self.flow = None
                            self.policy = None
                            self.same_interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.cef is not None:
                                return True

                            if self.flow is not None:
                                return True

                            if self.policy is not None:
                                return True

                            if self.same_interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.RouteCache']['meta_info']


                    class Router(object):
                        """
                        IP router interface commands
                        
                        .. attribute:: isis
                        
                        	IS\-IS Routing for IP
                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Router.Isis>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.isis = None


                        class Isis(object):
                            """
                            IS\-IS Routing for IP
                            
                            .. attribute:: tag
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Router.Isis']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.isis is not None and self.isis._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Router']['meta_info']


                    class Tcp(object):
                        """
                        TCP header compression and other parameters
                        
                        .. attribute:: adjust_mss
                        
                        	Adjust the mss of transit packets
                        	**type**\:  int
                        
                        	**range:** 500..1460
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.adjust_mss = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.adjust_mss is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Tcp']['meta_info']


                    class VirtualReassembly(object):
                        """
                        
                        
                        .. attribute:: drop_fragments
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: in_
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_fragments
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: max_reassemblies
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: timeout
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.drop_fragments = None
                            self.in_ = None
                            self.max_fragments = None
                            self.max_reassemblies = None
                            self.timeout = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.drop_fragments is not None:
                                return True

                            if self.in_ is not None:
                                return True

                            if self.max_fragments is not None:
                                return True

                            if self.max_reassemblies is not None:
                                return True

                            if self.timeout is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.VirtualReassembly']['meta_info']


                    class Dhcp(object):
                        """
                        Configure DHCP parameters for this interface
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Dhcp']['meta_info']


                    class SummaryAddress(object):
                        """
                        
                        
                        .. attribute:: eigrp
                        
                        	
                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.SummaryAddress.Eigrp>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = YList()
                            self.eigrp.parent = self
                            self.eigrp.name = 'eigrp'


                        class Eigrp(object):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: ip
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: metric
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.ip = None
                                self.mask = None
                                self.metric = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.ip is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.SummaryAddress.Eigrp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                for child_ref in self.eigrp:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.SummaryAddress']['meta_info']


                    class Verify(object):
                        """
                        Enable per packet validation
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Verify.Source>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: unicast
                        
                        	Enable per packet validation for unicast
                        	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.source = None
                            self.unicast = Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast()
                            self.unicast.parent = self


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: vlan
                            
                            	vlan specification
                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Verify.Source.Vlan>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.vlan = Native.Interface.LispSubinterface.Lisp.Ip.Verify.Source.Vlan()
                                self.vlan.parent = self


                            class Vlan(object):
                                """
                                vlan specification
                                
                                .. attribute:: dhcp_snooping
                                
                                	snooping enable vlan
                                	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Verify.Source.Vlan.DhcpSnooping>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dhcp_snooping = None


                                class DhcpSnooping(object):
                                    """
                                    snooping enable vlan
                                    
                                    .. attribute:: port_security
                                    
                                    	port security
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.port_security = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.port_security is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Verify.Source.Vlan']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.vlan is not None and self.vlan._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Verify.Source']['meta_info']


                        class Unicast(object):
                            """
                            Enable per packet validation for unicast
                            
                            .. attribute:: reverse_path
                            
                            	Reverse path validation of source address (old command format)
                            	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast.ReversePath>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: source
                            
                            	Validation of source address
                            	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast.Source>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.reverse_path = None
                                self.source = Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast.Source()
                                self.source.parent = self


                            class ReversePath(object):
                                """
                                Reverse path validation of source address (old command format)
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast.ReversePath']['meta_info']


                            class Source(object):
                                """
                                Validation of source address
                                
                                .. attribute:: allow_default
                                
                                	Allow default route to match when checking source address
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: allow_self_ping
                                
                                	Allow router to ping itself (opens vulnerability in verification)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: reachable_via
                                
                                	Specify reachability check to apply to the source address
                                	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.allow_default = None
                                    self.allow_self_ping = None
                                    self.reachable_via = None

                                class ReachableViaEnum(Enum):
                                    """
                                    ReachableViaEnum

                                    Specify reachability check to apply to the source address

                                    .. data:: any = 0

                                    .. data:: rx = 1

                                    """

                                    any = 0

                                    rx = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast.Source.ReachableViaEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.allow_default is not None:
                                        return True

                                    if self.allow_self_ping is not None:
                                        return True

                                    if self.reachable_via is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast.Source']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.reverse_path is not None and self.reverse_path._has_data():
                                    return True

                                if self.source is not None and self.source._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Verify.Unicast']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.source is not None and self.source._has_data():
                                return True

                            if self.unicast is not None and self.unicast._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip.Verify']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access_group is not None and self.access_group._has_data():
                            return True

                        if self.address is not None and self.address._has_data():
                            return True

                        if self.admission is not None:
                            return True

                        if self.arp is not None and self.arp._has_data():
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.directed_broadcast is not None:
                            return True

                        if self.hello_interval is not None and self.hello_interval._has_data():
                            return True

                        if self.helper_address is not None:
                            for child_ref in self.helper_address:
                                if child_ref._has_data():
                                    return True

                        if self.hold_time is not None and self.hold_time._has_data():
                            return True

                        if self.local_proxy_arp is not None:
                            return True

                        if self.mroute_cache is not None:
                            return True

                        if self.mtu is not None:
                            return True

                        if self.no_address is not None and self.no_address._has_data():
                            return True

                        if self.pim is not None and self.pim._has_data():
                            return True

                        if self.policy is not None and self.policy._has_data():
                            return True

                        if self.proxy_arp is not None:
                            return True

                        if self.redirects is not None:
                            return True

                        if self.route_cache is not None and self.route_cache._has_data():
                            return True

                        if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                            return True

                        if self.router is not None and self.router._has_data():
                            return True

                        if self.summary_address is not None and self.summary_address._has_data():
                            return True

                        if self.tcp is not None and self.tcp._has_data():
                            return True

                        if self.unnumbered is not None:
                            return True

                        if self.verify is not None and self.verify._has_data():
                            return True

                        if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                            return True

                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ip']['meta_info']


                class Ipv6(object):
                    """
                    IPv6 interface subcommands
                    
                    .. attribute:: address
                    
                    	Configure IPv6 address on interface
                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ipv6.Address>`
                    
                    .. attribute:: destination_guard
                    
                    	Configure ipv6 destination guard on the interface
                    	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ipv6.DestinationGuard>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	IPv6 DHCP interface subcommands
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ipv6.Dhcp>`
                    
                    .. attribute:: enable
                    
                    	Enable IPv6 on interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mtu
                    
                    	Set IPv6 Maximum Transmission Unit
                    	**type**\:  int
                    
                    	**range:** 1280..9198
                    
                    .. attribute:: nd
                    
                    	IPv6 interface Neighbor Discovery subcommands
                    	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ipv6.Nd>`
                    
                    .. attribute:: redirects
                    
                    	Enable sending ICMP Redirect messages
                    	**type**\:  bool
                    
                    .. attribute:: traffic_filter
                    
                    	Access control list for packets
                    	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ipv6.TrafficFilter>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = Native.Interface.LispSubinterface.Lisp.Ipv6.Address()
                        self.address.parent = self
                        self.destination_guard = None
                        self.dhcp = Native.Interface.LispSubinterface.Lisp.Ipv6.Dhcp()
                        self.dhcp.parent = self
                        self.enable = None
                        self.mtu = None
                        self.nd = Native.Interface.LispSubinterface.Lisp.Ipv6.Nd()
                        self.nd.parent = self
                        self.redirects = None
                        self.traffic_filter = YList()
                        self.traffic_filter.parent = self
                        self.traffic_filter.name = 'traffic_filter'


                    class DestinationGuard(object):
                        """
                        Configure ipv6 destination guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature ipv6 destguard
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.attach_policy = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.attach_policy is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.DestinationGuard']['meta_info']


                    class Dhcp(object):
                        """
                        IPv6 DHCP interface subcommands
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.Dhcp']['meta_info']


                    class Address(object):
                        """
                        Configure IPv6 address on interface
                        
                        .. attribute:: autoconfig
                        
                        	Obtain address using autoconfiguration
                        	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ipv6.Address.Autoconfig>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: dhcp
                        
                        	Obtain IPv6 address from DHCP server
                        	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ipv6.Address.Dhcp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: link_local_address
                        
                        	
                        	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ipv6.Address.LinkLocalAddress>`
                        
                        .. attribute:: prefix_list
                        
                        	
                        	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ipv6.Address.PrefixList>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.autoconfig = None
                            self.dhcp = None
                            self.link_local_address = YList()
                            self.link_local_address.parent = self
                            self.link_local_address.name = 'link_local_address'
                            self.prefix_list = YList()
                            self.prefix_list.parent = self
                            self.prefix_list.name = 'prefix_list'


                        class Dhcp(object):
                            """
                            Obtain IPv6 address from DHCP server
                            
                            .. attribute:: rapid_commit
                            
                            	rapid\-commit for prefix delegation
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.rapid_commit = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.rapid_commit is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.Address.Dhcp']['meta_info']


                        class Autoconfig(object):
                            """
                            Obtain address using autoconfiguration
                            
                            .. attribute:: default
                            
                            	Insert default route
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.default = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.default is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.Address.Autoconfig']['meta_info']


                        class PrefixList(object):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: anycast
                            
                            	Configure as an anycast
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: eui_64
                            
                            	Use eui\-64 interface identifier
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix = None
                                self.anycast = None
                                self.eui_64 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.prefix is None:
                                    raise YPYModelError('Key property prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix is not None:
                                    return True

                                if self.anycast is not None:
                                    return True

                                if self.eui_64 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.Address.PrefixList']['meta_info']


                        class LinkLocalAddress(object):
                            """
                            
                            
                            .. attribute:: address  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: link_local
                            
                            	Use link\-local address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.link_local = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.address is None:
                                    raise YPYModelError('Key property address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.link_local is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.Address.LinkLocalAddress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.autoconfig is not None and self.autoconfig._has_data():
                                return True

                            if self.dhcp is not None and self.dhcp._has_data():
                                return True

                            if self.link_local_address is not None:
                                for child_ref in self.link_local_address:
                                    if child_ref._has_data():
                                        return True

                            if self.prefix_list is not None:
                                for child_ref in self.prefix_list:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.Address']['meta_info']


                    class Nd(object):
                        """
                        IPv6 interface Neighbor Discovery subcommands
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.Nd']['meta_info']


                    class TrafficFilter(object):
                        """
                        Access control list for packets
                        
                        .. attribute:: direction  <key>
                        
                        	
                        	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Ipv6.TrafficFilter.DirectionEnum>`
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.direction = None
                            self.access_list = None

                        class DirectionEnum(Enum):
                            """
                            DirectionEnum

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = 0

                            out = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.TrafficFilter.DirectionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.direction is None:
                                raise YPYModelError('Key property direction is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.direction is not None:
                                return True

                            if self.access_list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6.TrafficFilter']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None and self.address._has_data():
                            return True

                        if self.destination_guard is not None and self.destination_guard._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.enable is not None:
                            return True

                        if self.mtu is not None:
                            return True

                        if self.nd is not None and self.nd._has_data():
                            return True

                        if self.redirects is not None:
                            return True

                        if self.traffic_filter is not None:
                            for child_ref in self.traffic_filter:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Ipv6']['meta_info']


                class Logging(object):
                    """
                    Configure logging for interface
                    
                    .. attribute:: event
                    
                    	Interface events
                    	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Logging.Event>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.event = Native.Interface.LispSubinterface.Lisp.Logging.Event()
                        self.event.parent = self


                    class Event(object):
                        """
                        Interface events
                        
                        .. attribute:: bundle_status
                        
                        	BUNDLE/UNBUNDLE messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: link_status
                        
                        	UPDOWN and CHANGE messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: nfas_status
                        
                        	NFAS D\-channel status messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: power_inline_status
                        
                        	Inline power messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: spanning_tree
                        
                        	Spanning\-tree Interface events
                        	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Logging.Event.SpanningTree>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: subif_link_status
                        
                        	Sub\-interface UPDOWN and CHANGE messages
                        	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Logging.Event.SubifLinkStatus>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: trunk_status
                        
                        	TRUNK status messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bundle_status = None
                            self.link_status = None
                            self.nfas_status = None
                            self.power_inline_status = None
                            self.spanning_tree = None
                            self.status = None
                            self.subif_link_status = None
                            self.trunk_status = None


                        class SpanningTree(object):
                            """
                            Spanning\-tree Interface events
                            
                            .. attribute:: status
                            
                            	Spanning\-tree state change messages
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.status = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Logging.Event.SpanningTree']['meta_info']


                        class SubifLinkStatus(object):
                            """
                            Sub\-interface UPDOWN and CHANGE messages
                            
                            .. attribute:: ignore_bulk
                            
                            	Do not log messages when the main interface is transitioning
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.ignore_bulk = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.ignore_bulk is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Logging.Event.SubifLinkStatus']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bundle_status is not None:
                                return True

                            if self.link_status is not None:
                                return True

                            if self.nfas_status is not None:
                                return True

                            if self.power_inline_status is not None:
                                return True

                            if self.spanning_tree is not None and self.spanning_tree._has_data():
                                return True

                            if self.status is not None:
                                return True

                            if self.subif_link_status is not None and self.subif_link_status._has_data():
                                return True

                            if self.trunk_status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Logging.Event']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.event is not None and self.event._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Logging']['meta_info']


                class Mdix(object):
                    """
                    Set Media Dependent Interface with Crossover
                    
                    .. attribute:: auto
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Mdix']['meta_info']


                class Mop(object):
                    """
                    
                    
                    .. attribute:: enabled
                    
                    	
                    	**type**\:  bool
                    
                    	**default value**\: true
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enabled = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enabled is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Mop']['meta_info']


                class Interface_Qos(object):
                    """
                    
                    
                    .. attribute:: trust
                    
                    	
                    	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Interface_Qos.Trust>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.trust = Native.Interface.LispSubinterface.Lisp.Interface_Qos.Trust()
                        self.trust.parent = self


                    class Trust(object):
                        """
                        
                        
                        .. attribute:: device
                        
                        	
                        	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Interface_Qos.Trust.DeviceEnum>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.device = None

                        class DeviceEnum(Enum):
                            """
                            DeviceEnum

                            .. data:: cisco_phone = 0

                            """

                            cisco_phone = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Interface_Qos.Trust.DeviceEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.device is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Interface_Qos.Trust']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.trust is not None and self.trust._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Interface_Qos']['meta_info']


                class Standby(object):
                    """
                    HSRP interface configuration commands
                    
                    .. attribute:: bfd
                    
                    	Enable HSRP BFD
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: delay
                    
                    	HSRP initialisation delay
                    	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.Delay>`
                    
                    .. attribute:: mac_refresh
                    
                    	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: standby_list
                    
                    	
                    	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.StandbyList>`
                    
                    .. attribute:: use_bia
                    
                    	HSRP uses interface's burned in address
                    	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.UseBia>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: version
                    
                    	HSRP version
                    	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.VersionEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bfd = None
                        self.delay = Native.Interface.LispSubinterface.Lisp.Standby.Delay()
                        self.delay.parent = self
                        self.mac_refresh = None
                        self.standby_list = YList()
                        self.standby_list.parent = self
                        self.standby_list.name = 'standby_list'
                        self.use_bia = None
                        self.version = None

                    class VersionEnum(Enum):
                        """
                        VersionEnum

                        HSRP version

                        .. data:: Y_1 = 0

                        .. data:: Y_2 = 1

                        """

                        Y_1 = 0

                        Y_2 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.VersionEnum']



                    class Delay(object):
                        """
                        HSRP initialisation delay
                        
                        .. attribute:: minimum
                        
                        	Minimum delay
                        	**type**\:  int
                        
                        	**range:** 0..10000
                        
                        .. attribute:: reload
                        
                        	Delay after reload
                        	**type**\:  int
                        
                        	**range:** 0..10000
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.minimum = None
                            self.reload = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.minimum is not None:
                                return True

                            if self.reload is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.Delay']['meta_info']


                    class UseBia(object):
                        """
                        HSRP uses interface's burned in address
                        
                        .. attribute:: scope
                        
                        	Specify the scope of use\-bia
                        	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.UseBia.Scope>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.scope = Native.Interface.LispSubinterface.Lisp.Standby.UseBia.Scope()
                            self.scope.parent = self


                        class Scope(object):
                            """
                            Specify the scope of use\-bia
                            
                            .. attribute:: interface
                            
                            	Use\-bia applies to all groups on this interface or sub\-interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interface = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interface is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.UseBia.Scope']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.scope is not None and self.scope._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.UseBia']['meta_info']


                    class StandbyList(object):
                        """
                        
                        
                        .. attribute:: group_number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: authentication
                        
                        	Authentication
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication>`
                        
                        .. attribute:: follow
                        
                        	Name of HSRP group to follow
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	Enable HSRP and set the virtual IP address
                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Ip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ipv6
                        
                        	Enable HSRP IPv6
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        
                        ----
                        	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                        
                        
                        ----
                        .. attribute:: mac_address
                        
                        	Virtual MAC address
                        	**type**\:  str
                        
                        .. attribute:: name
                        
                        	Redundancy name string
                        	**type**\:  str
                        
                        .. attribute:: preempt
                        
                        	Overthrow lower priority Active routers
                        	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Preempt>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Priority level
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: redirect
                        
                        	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect>`
                        
                        .. attribute:: timers
                        
                        	Hello and hold timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers>`
                        
                        .. attribute:: track
                        
                        	Priority tracking
                        	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Track>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.group_number = None
                            self.authentication = Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication()
                            self.authentication.parent = self
                            self.follow = None
                            self.ip = None
                            self.ipv6 = None
                            self.mac_address = None
                            self.name = None
                            self.preempt = None
                            self.priority = None
                            self.redirect = Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect()
                            self.redirect.parent = self
                            self.timers = Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers()
                            self.timers.parent = self
                            self.track = YList()
                            self.track.parent = self
                            self.track.name = 'track'

                        class Ipv6Enum(Enum):
                            """
                            Ipv6Enum

                            Enable HSRP IPv6

                            .. data:: autoconfig = 0

                            """

                            autoconfig = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Ipv6Enum']



                        class Authentication(object):
                            """
                            Authentication
                            
                            .. attribute:: md5
                            
                            	Use MD5 authentication
                            	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication.Md5>`
                            
                            .. attribute:: text
                            
                            	Plain text authentication
                            	**type**\:  str
                            
                            .. attribute:: word
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.md5 = Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication.Md5()
                                self.md5.parent = self
                                self.text = None
                                self.word = None


                            class Md5(object):
                                """
                                Use MD5 authentication
                                
                                .. attribute:: key_chain
                                
                                	Set key chain
                                	**type**\:  str
                                
                                .. attribute:: key_string
                                
                                	Set key string
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_chain = None
                                    self.key_string = Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    Set key string
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: timeout
                                    
                                    	Set timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..32767
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None
                                        self.timeout = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        if self.timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_chain is not None:
                                        return True

                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication.Md5']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.md5 is not None and self.md5._has_data():
                                    return True

                                if self.text is not None:
                                    return True

                                if self.word is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Authentication']['meta_info']


                        class Ip(object):
                            """
                            Enable HSRP and set the virtual IP address
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: secondary
                            
                            	Make this IP address a secondary virtual IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.address = None
                                self.secondary = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.address is not None:
                                    return True

                                if self.secondary is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Ip']['meta_info']


                        class Preempt(object):
                            """
                            Overthrow lower priority Active routers
                            
                            .. attribute:: delay
                            
                            	Wait before preempting
                            	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Preempt.Delay>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.delay = Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Preempt.Delay()
                                self.delay.parent = self


                            class Delay(object):
                                """
                                Wait before preempting
                                
                                .. attribute:: minimum
                                
                                	Delay at least this long
                                	**type**\:  int
                                
                                	**range:** 0..3600
                                
                                .. attribute:: reload
                                
                                	Delay after reload
                                	**type**\:  int
                                
                                	**range:** 0..3600
                                
                                .. attribute:: sync
                                
                                	Wait for IP redundancy client
                                	**type**\:  int
                                
                                	**range:** 0..3600
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.minimum = None
                                    self.reload = None
                                    self.sync = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.minimum is not None:
                                        return True

                                    if self.reload is not None:
                                        return True

                                    if self.sync is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Preempt.Delay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.delay is not None and self.delay._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Preempt']['meta_info']


                        class Redirect(object):
                            """
                            Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                            
                            .. attribute:: advertisement
                            
                            	Redirect advertisement messages
                            	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement>`
                            
                            .. attribute:: timers
                            
                            	Adjust redirect timers
                            	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Timers>`
                            
                            .. attribute:: unknown
                            
                            	Redirect to non\-HSRP routers
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement()
                                self.advertisement.parent = self
                                self.timers = Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Timers()
                                self.timers.parent = self
                                self.unknown = None


                            class Advertisement(object):
                                """
                                Redirect advertisement messages
                                
                                .. attribute:: authentication
                                
                                	Authentication
                                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.authentication = Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                    self.authentication.parent = self


                                class Authentication(object):
                                    """
                                    Authentication
                                    
                                    .. attribute:: md5
                                    
                                    	Use MD5 authentication
                                    	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.md5 = Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                        self.md5.parent = self


                                    class Md5(object):
                                        """
                                        Use MD5 authentication
                                        
                                        .. attribute:: key_chain
                                        
                                        	Set key chain
                                        	**type**\:  str
                                        
                                        .. attribute:: key_string
                                        
                                        	Set key string
                                        	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_chain = None
                                            self.key_string = Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                            self.key_string.parent = self


                                        class KeyString(object):
                                            """
                                            Set key string
                                            
                                            .. attribute:: encrypt
                                            
                                            	
                                            	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                            
                                            .. attribute:: string
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: timeout
                                            
                                            	Set timeout
                                            	**type**\:  int
                                            
                                            	**range:** 0..32767
                                            
                                            

                                            """

                                            _prefix = 'ios'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.encrypt = None
                                                self.string = None
                                                self.timeout = None

                                            class EncryptEnum(Enum):
                                                """
                                                EncryptEnum

                                                .. data:: Y_0 = 0

                                                .. data:: Y_7 = 1

                                                """

                                                Y_0 = 0

                                                Y_7 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.encrypt is not None:
                                                    return True

                                                if self.string is not None:
                                                    return True

                                                if self.timeout is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_chain is not None:
                                                return True

                                            if self.key_string is not None and self.key_string._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.md5 is not None and self.md5._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.authentication is not None and self.authentication._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                            class Timers(object):
                                """
                                Adjust redirect timers
                                
                                .. attribute:: advertisement
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 10..180
                                
                                .. attribute:: holddown
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 30..3600
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.advertisement = None
                                    self.holddown = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.advertisement is not None:
                                        return True

                                    if self.holddown is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect.Timers']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None and self.advertisement._has_data():
                                    return True

                                if self.timers is not None and self.timers._has_data():
                                    return True

                                if self.unknown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Redirect']['meta_info']


                        class Timers(object):
                            """
                            Hello and hold timers
                            
                            .. attribute:: hello_interval
                            
                            	
                            	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers.HelloInterval>`
                            
                            .. attribute:: hold_time
                            
                            	
                            	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers.HoldTime>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hello_interval = Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers.HelloInterval()
                                self.hello_interval.parent = self
                                self.hold_time = Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers.HoldTime()
                                self.hold_time.parent = self


                            class HelloInterval(object):
                                """
                                
                                
                                .. attribute:: msec
                                
                                	Specify hello interval in milliseconds
                                	**type**\:  int
                                
                                	**range:** 15..999
                                
                                .. attribute:: seconds
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..254
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.msec = None
                                    self.seconds = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.msec is not None:
                                        return True

                                    if self.seconds is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                            class HoldTime(object):
                                """
                                
                                
                                .. attribute:: msec
                                
                                	Specify hold time in milliseconds
                                	**type**\:  int
                                
                                	**range:** 50..3000
                                
                                .. attribute:: seconds
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.msec = None
                                    self.seconds = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.msec is not None:
                                        return True

                                    if self.seconds is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers.HoldTime']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hello_interval is not None and self.hello_interval._has_data():
                                    return True

                                if self.hold_time is not None and self.hold_time._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Timers']['meta_info']


                        class Track(object):
                            """
                            Priority tracking
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..1000
                            
                            .. attribute:: decrement
                            
                            	Priority decrement
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: shutdown
                            
                            	Shutdown group
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.number = None
                                self.decrement = None
                                self.shutdown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.number is None:
                                    raise YPYModelError('Key property number is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.number is not None:
                                    return True

                                if self.decrement is not None:
                                    return True

                                if self.shutdown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList.Track']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.group_number is None:
                                raise YPYModelError('Key property group_number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.group_number is not None:
                                return True

                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.follow is not None:
                                return True

                            if self.ip is not None and self.ip._has_data():
                                return True

                            if self.ipv6 is not None:
                                return True

                            if self.mac_address is not None:
                                return True

                            if self.name is not None:
                                return True

                            if self.preempt is not None and self.preempt._has_data():
                                return True

                            if self.priority is not None:
                                return True

                            if self.redirect is not None and self.redirect._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.track is not None:
                                for child_ref in self.track:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby.StandbyList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bfd is not None:
                            return True

                        if self.delay is not None and self.delay._has_data():
                            return True

                        if self.mac_refresh is not None:
                            return True

                        if self.standby_list is not None:
                            for child_ref in self.standby_list:
                                if child_ref._has_data():
                                    return True

                        if self.use_bia is not None and self.use_bia._has_data():
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Standby']['meta_info']


                class AccessSession(object):
                    """
                    Access Session specific Interface Configuration Commands
                    
                    .. attribute:: closed
                    
                    	Enable closed access on port (disabled by default, i.e. open access)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: host_mode
                    
                    	Set the Host mode for authentication on this interface
                    	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.AccessSession.HostModeEnum>`
                    
                    .. attribute:: port_control
                    
                    	Set the port\-control value
                    	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.AccessSession.PortControl>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.closed = None
                        self.host_mode = None
                        self.port_control = Native.Interface.LispSubinterface.Lisp.AccessSession.PortControl()
                        self.port_control.parent = self

                    class HostModeEnum(Enum):
                        """
                        HostModeEnum

                        Set the Host mode for authentication on this interface

                        .. data:: multi_auth = 0

                        .. data:: multi_domain = 1

                        .. data:: multi_host = 2

                        .. data:: single_host = 3

                        """

                        multi_auth = 0

                        multi_domain = 1

                        multi_host = 2

                        single_host = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.AccessSession.HostModeEnum']



                    class PortControl(object):
                        """
                        Set the port\-control value
                        
                        .. attribute:: auto
                        
                        	PortState set to automatic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.auto = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.auto is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.AccessSession.PortControl']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.closed is not None:
                            return True

                        if self.host_mode is not None:
                            return True

                        if self.port_control is not None and self.port_control._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.AccessSession']['meta_info']


                class StormControl(object):
                    """
                    storm configuration
                    
                    .. attribute:: action
                    
                    	Action to take for storm..control;
                    	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.StormControl.Action>`
                    
                    .. attribute:: broadcast
                    
                    	Broadcast address storm control
                    	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast>`
                    
                    .. attribute:: multicast
                    
                    	Multicast address storm control
                    	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.StormControl.Multicast>`
                    
                    .. attribute:: unicast
                    
                    	Unicast address storm control
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.StormControl.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.action = Native.Interface.LispSubinterface.Lisp.StormControl.Action()
                        self.action.parent = self
                        self.broadcast = Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast()
                        self.broadcast.parent = self
                        self.multicast = Native.Interface.LispSubinterface.Lisp.StormControl.Multicast()
                        self.multicast.parent = self
                        self.unicast = Native.Interface.LispSubinterface.Lisp.StormControl.Unicast()
                        self.unicast.parent = self


                    class Action(object):
                        """
                        Action to take for storm..control;
                        
                        .. attribute:: level
                        
                        	Set storm suppression level on this interface
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: shutdown
                        
                        	Shutdown this interface if a storm occurs
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: trap
                        
                        	Send SNMP trap if a storm occurs
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.level = None
                            self.shutdown = None
                            self.trap = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.level is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            if self.trap is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Action']['meta_info']


                    class Broadcast(object):
                        """
                        Broadcast address storm control
                        
                        .. attribute:: include
                        
                        	
                        	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Include>`
                        
                        .. attribute:: level
                        
                        	Set storm suppression level on this interface
                        	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.include = Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Include()
                            self.include.parent = self
                            self.level = Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level()
                            self.level.parent = self


                        class Include(object):
                            """
                            
                            
                            .. attribute:: multicast
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.multicast = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.multicast is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Include']['meta_info']


                        class Level(object):
                            """
                            Set storm suppression level on this interface
                            
                            .. attribute:: bps
                            
                            	Enter suppression level in bits per second
                            	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level.Bps>`
                            
                            .. attribute:: pps
                            
                            	Enter suppression level in packets per second
                            	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level.Pps>`
                            
                            .. attribute:: threshold
                            
                            	Broadcast address storm control
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bps = Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level.Bps()
                                self.bps.parent = self
                                self.pps = Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level.Pps()
                                self.pps.parent = self
                                self.threshold = None


                            class Bps(object):
                                """
                                Enter suppression level in bits per second
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.falling_threshold = None
                                    self.rising_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.falling_threshold is not None:
                                        return True

                                    if self.rising_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level.Bps']['meta_info']


                            class Pps(object):
                                """
                                Enter suppression level in packets per second
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.falling_threshold = None
                                    self.rising_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.falling_threshold is not None:
                                        return True

                                    if self.rising_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level.Pps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bps is not None and self.bps._has_data():
                                    return True

                                if self.pps is not None and self.pps._has_data():
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast.Level']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.include is not None and self.include._has_data():
                                return True

                            if self.level is not None and self.level._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Broadcast']['meta_info']


                    class Multicast(object):
                        """
                        Multicast address storm control
                        
                        .. attribute:: level
                        
                        	Set storm suppression level on this interface
                        	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.level = Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level()
                            self.level.parent = self


                        class Level(object):
                            """
                            Set storm suppression level on this interface
                            
                            .. attribute:: bps
                            
                            	Enter suppression level in bits per second
                            	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level.Bps>`
                            
                            .. attribute:: pps
                            
                            	Enter suppression level in packets per second
                            	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level.Pps>`
                            
                            .. attribute:: threshold
                            
                            	Broadcast address storm control
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bps = Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level.Bps()
                                self.bps.parent = self
                                self.pps = Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level.Pps()
                                self.pps.parent = self
                                self.threshold = None


                            class Bps(object):
                                """
                                Enter suppression level in bits per second
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.falling_threshold = None
                                    self.rising_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.falling_threshold is not None:
                                        return True

                                    if self.rising_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level.Bps']['meta_info']


                            class Pps(object):
                                """
                                Enter suppression level in packets per second
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.falling_threshold = None
                                    self.rising_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.falling_threshold is not None:
                                        return True

                                    if self.rising_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level.Pps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bps is not None and self.bps._has_data():
                                    return True

                                if self.pps is not None and self.pps._has_data():
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Multicast.Level']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.level is not None and self.level._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Multicast']['meta_info']


                    class Unicast(object):
                        """
                        Unicast address storm control
                        
                        .. attribute:: level
                        
                        	Set storm suppression level on this interface
                        	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.level = Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level()
                            self.level.parent = self


                        class Level(object):
                            """
                            Set storm suppression level on this interface
                            
                            .. attribute:: bps
                            
                            	Enter suppression level in bits per second
                            	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level.Bps>`
                            
                            .. attribute:: pps
                            
                            	Enter suppression level in packets per second
                            	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level.Pps>`
                            
                            .. attribute:: threshold
                            
                            	Broadcast address storm control
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level.Threshold>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bps = Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level.Bps()
                                self.bps.parent = self
                                self.pps = Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level.Pps()
                                self.pps.parent = self
                                self.threshold = Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level.Threshold()
                                self.threshold.parent = self


                            class Threshold(object):
                                """
                                Broadcast address storm control
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold
                                	**type**\:  Decimal64
                                
                                	**range:** 0..100
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold
                                	**type**\:  Decimal64
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.falling_threshold = None
                                    self.rising_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.falling_threshold is not None:
                                        return True

                                    if self.rising_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level.Threshold']['meta_info']


                            class Bps(object):
                                """
                                Enter suppression level in bits per second
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.falling_threshold = None
                                    self.rising_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.falling_threshold is not None:
                                        return True

                                    if self.rising_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level.Bps']['meta_info']


                            class Pps(object):
                                """
                                Enter suppression level in packets per second
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.falling_threshold = None
                                    self.rising_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.falling_threshold is not None:
                                        return True

                                    if self.rising_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level.Pps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bps is not None and self.bps._has_data():
                                    return True

                                if self.pps is not None and self.pps._has_data():
                                    return True

                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Unicast.Level']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.level is not None and self.level._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.StormControl.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.action is not None and self.action._has_data():
                            return True

                        if self.broadcast is not None and self.broadcast._has_data():
                            return True

                        if self.multicast is not None and self.multicast._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.StormControl']['meta_info']


                class Trust(object):
                    """
                    Set trust value for the interface
                    
                    .. attribute:: device
                    
                    	trusted device class
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        trusted device class

                        .. data:: cisco_phone = 0

                        .. data:: cts = 1

                        .. data:: ip_camera = 2

                        .. data:: media_player = 3

                        """

                        cisco_phone = 0

                        cts = 1

                        ip_camera = 2

                        media_player = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Trust']['meta_info']


                class Utd(object):
                    """
                    UTD support on this interface
                    
                    .. attribute:: enable
                    
                    	Enable threat defense on this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Utd']['meta_info']


                class PriorityQueue(object):
                    """
                    Configure priority scheduling
                    
                    .. attribute:: cos_map
                    
                    	Configure cos\-map for a queue
                    	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.PriorityQueue.CosMap>`
                    
                    .. attribute:: out
                    
                    	egress priority queue
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_map = Native.Interface.LispSubinterface.Lisp.PriorityQueue.CosMap()
                        self.cos_map.parent = self
                        self.out = None


                    class CosMap(object):
                        """
                        Configure cos\-map for a queue
                        
                        .. attribute:: cos_values
                        
                        	
                        	**type**\:  list of int
                        
                        	**range:** 0..7
                        
                        .. attribute:: id
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cos_values = YLeafList()
                            self.cos_values.parent = self
                            self.cos_values.name = 'cos_values'
                            self.id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cos_values is not None:
                                for child in self.cos_values:
                                    if child is not None:
                                        return True

                            if self.id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.PriorityQueue.CosMap']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_map is not None and self.cos_map._has_data():
                            return True

                        if self.out is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.PriorityQueue']['meta_info']


                class RcvQueue(object):
                    """
                    Configure receive queue(s)
                    
                    .. attribute:: cos_map
                    
                    	Configure cos\-map for a queue threshold
                    	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.RcvQueue.CosMap>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_map = YList()
                        self.cos_map.parent = self
                        self.cos_map.name = 'cos_map'


                    class CosMap(object):
                        """
                        Configure cos\-map for a queue threshold
                        
                        .. attribute:: queue_id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..3
                        
                        .. attribute:: threshold_id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..8
                        
                        .. attribute:: cos_values
                        
                        	
                        	**type**\:  list of int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.queue_id = None
                            self.threshold_id = None
                            self.cos_values = YLeafList()
                            self.cos_values.parent = self
                            self.cos_values.name = 'cos_values'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.queue_id is None:
                                raise YPYModelError('Key property queue_id is None')
                            if self.threshold_id is None:
                                raise YPYModelError('Key property threshold_id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.queue_id is not None:
                                return True

                            if self.threshold_id is not None:
                                return True

                            if self.cos_values is not None:
                                for child in self.cos_values:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.RcvQueue.CosMap']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_map is not None:
                            for child_ref in self.cos_map:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.RcvQueue']['meta_info']


                class Peer(object):
                    """
                    Peer parameters for point to point interfaces
                    
                    .. attribute:: default
                    
                    	Specify default parameters
                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Peer.Default>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.default = Native.Interface.LispSubinterface.Lisp.Peer.Default()
                        self.default.parent = self


                    class Default(object):
                        """
                        Specify default parameters
                        
                        .. attribute:: ip
                        
                        	Specify default IP parameters
                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip()
                            self.ip.parent = self


                        class Ip(object):
                            """
                            Specify default IP parameters
                            
                            .. attribute:: address
                            
                            	Specify default IP address
                            	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip.Address>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip.Address()
                                self.address.parent = self


                            class Address(object):
                                """
                                Specify default IP address
                                
                                .. attribute:: dhcp
                                
                                	Use DHCP proxy client mechanism to allocate a peer IP address
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: dhcp_pool
                                
                                	Use local DHCP pools to allocate a peer IP address
                                	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip.Address.DhcpPool>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: pool
                                
                                	Use IP pool mechanism to allocate a peer IP address
                                	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip.Address.Pool>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dhcp = None
                                    self.dhcp_pool = None
                                    self.pool = None


                                class DhcpPool(object):
                                    """
                                    Use local DHCP pools to allocate a peer IP address
                                    
                                    .. attribute:: pools
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.pools = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.pools is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                                class Pool(object):
                                    """
                                    Use IP pool mechanism to allocate a peer IP address
                                    
                                    .. attribute:: pools
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.pools = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.pools is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip.Address.Pool']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dhcp is not None:
                                        return True

                                    if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                        return True

                                    if self.pool is not None and self.pool._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip.Address']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None and self.address._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Peer.Default.Ip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None and self.ip._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Peer.Default']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.default is not None and self.default._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.Peer']['meta_info']


                class PmPath(object):
                    """
                    Global pm\-path configuration
                    
                    .. attribute:: interface_id
                    
                    	<1\-255> Specify the interface\-id value
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    .. attribute:: name
                    
                    	WORD Path name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interface_id = None
                        self.name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interface_id is not None:
                            return True

                        if self.name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.LispSubinterface.Lisp.PmPath']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:LISP-subinterface/Cisco-IOS-XE-native:LISP[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.access_session is not None and self.access_session._has_data():
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.backup is not None and self.backup._has_data():
                        return True

                    if self.bandwidth is not None and self.bandwidth._has_data():
                        return True

                    if self.bfd is not None and self.bfd._has_data():
                        return True

                    if self.cemoudp is not None and self.cemoudp._has_data():
                        return True

                    if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                        return True

                    if self.dampening is not None and self.dampening._has_data():
                        return True

                    if self.delay is not None:
                        return True

                    if self.description is not None:
                        return True

                    if self.domain is not None and self.domain._has_data():
                        return True

                    if self.encapsulation is not None and self.encapsulation._has_data():
                        return True

                    if self.fair_queue is not None and self.fair_queue._has_data():
                        return True

                    if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                        return True

                    if self.flowcontrol is not None and self.flowcontrol._has_data():
                        return True

                    if self.hold_queue is not None and self.hold_queue._has_data():
                        return True

                    if self.if_state is not None:
                        return True

                    if self.interface_qos is not None and self.interface_qos._has_data():
                        return True

                    if self.ip is not None and self.ip._has_data():
                        return True

                    if self.ip_vrf is not None and self.ip_vrf._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    if self.isis is not None and self.isis._has_data():
                        return True

                    if self.keepalive is not None:
                        return True

                    if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                        return True

                    if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                        return True

                    if self.load_interval is not None:
                        return True

                    if self.logging is not None and self.logging._has_data():
                        return True

                    if self.max_reserved_bandwidth is not None:
                        return True

                    if self.mdix is not None and self.mdix._has_data():
                        return True

                    if self.mop is not None and self.mop._has_data():
                        return True

                    if self.mpls is not None and self.mpls._has_data():
                        return True

                    if self.mtu is not None:
                        return True

                    if self.peer is not None and self.peer._has_data():
                        return True

                    if self.pm_path is not None and self.pm_path._has_data():
                        return True

                    if self.priority_queue is not None and self.priority_queue._has_data():
                        return True

                    if self.rcv_queue is not None and self.rcv_queue._has_data():
                        return True

                    if self.service_insertion is not None:
                        return True

                    if self.shutdown is not None:
                        return True

                    if self.standby is not None and self.standby._has_data():
                        return True

                    if self.storm_control is not None and self.storm_control._has_data():
                        return True

                    if self.switchport is not None and self.switchport._has_data():
                        return True

                    if self.switchport_conf is not None and self.switchport_conf._has_data():
                        return True

                    if self.trust is not None and self.trust._has_data():
                        return True

                    if self.utd is not None and self.utd._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.LispSubinterface.Lisp']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:LISP-subinterface'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.lisp is not None:
                    for child_ref in self.lisp:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.LispSubinterface']['meta_info']


        class Nve(object):
            """
            Network virtualization endpoint interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  int
            
            	**range:** 1..4096
            
            .. attribute:: member
            
            	
            	**type**\:   :py:class:`Member <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Nve.Member>`
            
            .. attribute:: source_interface
            
            	Specify source interface for NVE
            	**type**\:   :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Nve.SourceInterface>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.member = Native.Interface.Nve.Member()
                self.member.parent = self
                self.source_interface = Native.Interface.Nve.SourceInterface()
                self.source_interface.parent = self


            class SourceInterface(object):
                """
                Specify source interface for NVE
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\:  str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Nve.SourceInterface.AtmAcrsubinterface>`
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Nve.SourceInterface.AtmSubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\:  str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\:  str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\:  str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\:  str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\:  str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  int
                
                	**range:** 0..65520
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Nve.SourceInterface.LispSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Nve.SourceInterface.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\:  str
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\:  str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\:  str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.appnav_compress = None
                    self.appnav_uncompress = None
                    self.atm = None
                    self.atm_acr = None
                    self.atm_acrsubinterface = Native.Interface.Nve.SourceInterface.AtmAcrsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self.atm_subinterface = Native.Interface.Nve.SourceInterface.AtmSubinterface()
                    self.atm_subinterface.parent = self
                    self.bdi = None
                    self.cellular = None
                    self.cem = None
                    self.cem_acr = None
                    self.embedded_service_engine = None
                    self.fastethernet = None
                    self.gigabitethernet = None
                    self.lisp = None
                    self.lisp_subinterface = Native.Interface.Nve.SourceInterface.LispSubinterface()
                    self.lisp_subinterface.parent = self
                    self.loopback = None
                    self.multilink = None
                    self.nve = None
                    self.overlay = None
                    self.port_channel = None
                    self.port_channel_subinterface = Native.Interface.Nve.SourceInterface.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self.pseudowire = None
                    self.serial = None
                    self.sm = None
                    self.tengigabitethernet = None
                    self.tunnel = None
                    self.vasileft = None
                    self.vasiright = None
                    self.virtual_template = None
                    self.virtualportgroup = None
                    self.vlan = None


                class AtmSubinterface(object):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Nve.SourceInterface.AtmSubinterface']['meta_info']


                class AtmAcrsubinterface(object):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm_acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm_acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Nve.SourceInterface.AtmAcrsubinterface']['meta_info']


                class LispSubinterface(object):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.lisp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.lisp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Nve.SourceInterface.LispSubinterface']['meta_info']


                class PortChannelSubinterface(object):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.port_channel = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.port_channel is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Nve.SourceInterface.PortChannelSubinterface']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:source-interface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.appnav_compress is not None:
                        return True

                    if self.appnav_uncompress is not None:
                        return True

                    if self.atm is not None:
                        return True

                    if self.atm_acr is not None:
                        return True

                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                        return True

                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                        return True

                    if self.bdi is not None:
                        return True

                    if self.cellular is not None:
                        return True

                    if self.cem is not None:
                        return True

                    if self.cem_acr is not None:
                        return True

                    if self.embedded_service_engine is not None:
                        return True

                    if self.fastethernet is not None:
                        return True

                    if self.gigabitethernet is not None:
                        return True

                    if self.lisp is not None:
                        return True

                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                        return True

                    if self.loopback is not None:
                        return True

                    if self.multilink is not None:
                        return True

                    if self.nve is not None:
                        return True

                    if self.overlay is not None:
                        return True

                    if self.port_channel is not None:
                        return True

                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                        return True

                    if self.pseudowire is not None:
                        return True

                    if self.serial is not None:
                        return True

                    if self.sm is not None:
                        return True

                    if self.tengigabitethernet is not None:
                        return True

                    if self.tunnel is not None:
                        return True

                    if self.vasileft is not None:
                        return True

                    if self.vasiright is not None:
                        return True

                    if self.virtual_template is not None:
                        return True

                    if self.virtualportgroup is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Nve.SourceInterface']['meta_info']


            class Member(object):
                """
                
                
                .. attribute:: vni
                
                	Configure VNI information
                	**type**\: list of    :py:class:`Vni <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Nve.Member.Vni>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.vni = YList()
                    self.vni.parent = self
                    self.vni.name = 'vni'


                class Vni(object):
                    """
                    Configure VNI information
                    
                    .. attribute:: vni_range  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: mcast_group
                    
                    	
                    	**type**\:   :py:class:`McastGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Nve.Member.Vni.McastGroup>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vni_range = None
                        self.mcast_group = Native.Interface.Nve.Member.Vni.McastGroup()
                        self.mcast_group.parent = self


                    class McastGroup(object):
                        """
                        
                        
                        .. attribute:: multicast_group_max
                        
                        	Ending Multicast Group IPv4 Address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: multicast_group_min
                        
                        	Starting Multicast Group IPv4 Address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast_group_max = None
                            self.multicast_group_min = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mcast-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast_group_max is not None:
                                return True

                            if self.multicast_group_min is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Nve.Member.Vni.McastGroup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.vni_range is None:
                            raise YPYModelError('Key property vni_range is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vni[Cisco-IOS-XE-native:vni-range = ' + str(self.vni_range) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vni_range is not None:
                            return True

                        if self.mcast_group is not None and self.mcast_group._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Nve.Member.Vni']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:member'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.vni is not None:
                        for child_ref in self.vni:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Nve.Member']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:nve[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.member is not None and self.member._has_data():
                    return True

                if self.source_interface is not None and self.source_interface._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.Nve']['meta_info']


        class Overlay(object):
            """
            Overlay interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  int
            
            	**range:** 0..512
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Bfd>`
            
            .. attribute:: carrier_delay
            
            	Specify delay for interface transitions
            	**type**\:   :py:class:`CarrierDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.CarrierDelay>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Cemoudp>`
            
            .. attribute:: channel_group
            
            	Add this interface to an Etherchannel group
            	**type**\:   :py:class:`ChannelGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.ChannelGroup>`
            
            .. attribute:: channel_protocol
            
            	Select the channel protocol (LACP, PAgP)
            	**type**\:   :py:class:`ChannelProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.ChannelProtocolEnum>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Domain>`
            
            .. attribute:: duplex
            
            	Configure duplex operation
            	**type**\:   :py:class:`DuplexEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.DuplexEnum>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Encapsulation>`
            
            .. attribute:: ethernet
            
            	Ethernet interface parameters
            	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Logging>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: negotiation
            
            	Select autonegotiation mode
            	**type**\:   :py:class:`Negotiation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Negotiation>`
            
            .. attribute:: otv
            
            	Configure OTV information
            	**type**\:   :py:class:`Otv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Peer>`
            
            .. attribute:: plim
            
            	Configure features on the PLIM
            	**type**\:   :py:class:`Plim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.PmPath>`
            
            .. attribute:: pppoe
            
            	pppoe interface subcommands
            	**type**\:   :py:class:`Pppoe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Pppoe>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.RcvQueue>`
            
            .. attribute:: service
            
            	Configure Ether Service
            	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.ServiceInsertionEnum>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: speed
            
            	Configure speed operation
            	**type**\:   :py:class:`Speed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Speed>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.SwitchportConf>`
            
            .. attribute:: synchronous
            
            	Synchronous
            	**type**\:   :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Synchronous>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Trust>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Utd>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.Overlay.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.Overlay.Arp()
                self.arp.parent = self
                self.backup = Native.Interface.Overlay.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.Overlay.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.Overlay.Bfd()
                self.bfd.parent = self
                self.carrier_delay = Native.Interface.Overlay.CarrierDelay()
                self.carrier_delay.parent = self
                self.cemoudp = Native.Interface.Overlay.Cemoudp()
                self.cemoudp.parent = self
                self.channel_group = Native.Interface.Overlay.ChannelGroup()
                self.channel_group.parent = self
                self.channel_protocol = None
                self.cws_tunnel = Native.Interface.Overlay.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.delay = None
                self.description = None
                self.domain = Native.Interface.Overlay.Domain()
                self.domain.parent = self
                self.duplex = None
                self.encapsulation = Native.Interface.Overlay.Encapsulation()
                self.encapsulation.parent = self
                self.ethernet = Native.Interface.Overlay.Ethernet()
                self.ethernet.parent = self
                self.fair_queue = Native.Interface.Overlay.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.Overlay.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.Overlay.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.Overlay.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.Overlay.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.Overlay.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.Overlay.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.Overlay.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.Overlay.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.Overlay.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.load_interval = None
                self.logging = Native.Interface.Overlay.Logging()
                self.logging.parent = self
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.Overlay.Mdix()
                self.mdix.parent = self
                self.mop = Native.Interface.Overlay.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.Overlay.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.negotiation = Native.Interface.Overlay.Negotiation()
                self.negotiation.parent = self
                self.otv = Native.Interface.Overlay.Otv()
                self.otv.parent = self
                self.peer = Native.Interface.Overlay.Peer()
                self.peer.parent = self
                self.plim = Native.Interface.Overlay.Plim()
                self.plim.parent = self
                self.pm_path = Native.Interface.Overlay.PmPath()
                self.pm_path.parent = self
                self.pppoe = Native.Interface.Overlay.Pppoe()
                self.pppoe.parent = self
                self.priority_queue = Native.Interface.Overlay.PriorityQueue()
                self.priority_queue.parent = self
                self.rcv_queue = Native.Interface.Overlay.RcvQueue()
                self.rcv_queue.parent = self
                self.service = Native.Interface.Overlay.Service()
                self.service.parent = self
                self.service_insertion = None
                self.shutdown = None
                self.speed = Native.Interface.Overlay.Speed()
                self.speed.parent = self
                self.standby = Native.Interface.Overlay.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.Overlay.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Interface.Overlay.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.Overlay.SwitchportConf()
                self.switchport_conf.parent = self
                self.synchronous = Native.Interface.Overlay.Synchronous()
                self.synchronous.parent = self
                self.trust = Native.Interface.Overlay.Trust()
                self.trust.parent = self
                self.utd = Native.Interface.Overlay.Utd()
                self.utd.parent = self
                self.vrf = Native.Interface.Overlay.Vrf()
                self.vrf.parent = self

            class ChannelProtocolEnum(Enum):
                """
                ChannelProtocolEnum

                Select the channel protocol (LACP, PAgP)

                .. data:: lacp = 0

                .. data:: pagp = 1

                """

                lacp = 0

                pagp = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.ChannelProtocolEnum']


            class DuplexEnum(Enum):
                """
                DuplexEnum

                Configure duplex operation.

                .. data:: auto = 0

                .. data:: full = 1

                .. data:: half = 2

                """

                auto = 0

                full = 1

                half = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.DuplexEnum']


            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.IfStateEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.ServiceInsertionEnum']



            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Backup.Load>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.Overlay.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.Overlay.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.Overlay.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.Overlay.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.Overlay.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.Overlay.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.Overlay.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.Overlay.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.Overlay.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.Overlay.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.Overlay.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.Overlay.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.Overlay.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.Overlay.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.Overlay.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.Overlay.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.Overlay.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.HoldTime>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.NoAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Vrf>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Overlay.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.Overlay.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.Overlay.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.Overlay.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.Overlay.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.hello_interval = Native.Interface.Overlay.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.Overlay.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.no_address = Native.Interface.Overlay.Ip.NoAddress()
                    self.no_address.parent = self
                    self.pim = Native.Interface.Overlay.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.Overlay.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.Overlay.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.Overlay.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.Overlay.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.Overlay.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.verify = Native.Interface.Overlay.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.Overlay.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.Overlay.Ip.Vrf()
                    self.vrf.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.Overlay.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.Overlay.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Overlay.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Overlay.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Overlay.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Overlay.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.Overlay.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Overlay.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.Overlay.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.Overlay.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:secondary[Cisco-IOS-XE-otv:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.Overlay.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Overlay.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Overlay.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:helper-address[Cisco-IOS-XE-otv:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:eigrp[Cisco-IOS-XE-otv:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.Overlay.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.Overlay.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.Overlay.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ip.Verify']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.Overlay.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.Overlay.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.mtu = None
                    self.nd = Native.Interface.Overlay.Ipv6.Nd()
                    self.nd.parent = self
                    self.redirects = None
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:prefix-list[Cisco-IOS-XE-otv:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:link-local-address[Cisco-IOS-XE-otv:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:traffic-filter[Cisco-IOS-XE-otv:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ipv6.TrafficFilter']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Logging.Event>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.Overlay.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.Overlay.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.Overlay.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.Overlay.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.Overlay.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.Overlay.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.Overlay.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.Overlay.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.Overlay.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios-otv'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-otv:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-otv:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.Overlay.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.Overlay.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:track[Cisco-IOS-XE-otv:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:standby-list[Cisco-IOS-XE-otv:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.Overlay.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.Overlay.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.Overlay.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.Overlay.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.Overlay.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.Overlay.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.Overlay.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Overlay.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Overlay.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Overlay.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Overlay.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Overlay.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Overlay.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Overlay.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Overlay.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.Overlay.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.Overlay.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:cos-map[Cisco-IOS-XE-otv:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-otv:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Peer.Default>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.Overlay.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.Overlay.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.Overlay.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.PmPath']['meta_info']


            class CarrierDelay(object):
                """
                Specify delay for interface transitions
                
                .. attribute:: down
                
                	Carrier Down Transitions
                	**type**\:   :py:class:`Down <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.CarrierDelay.Down>`
                
                .. attribute:: msec
                
                	delay specified in milliseconds
                	**type**\:  int
                
                	**range:** 0..1000
                
                .. attribute:: seconds
                
                	
                	**type**\:  int
                
                	**range:** 0..60
                
                .. attribute:: up
                
                	Carrier Up Transitions
                	**type**\:   :py:class:`Up <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.CarrierDelay.Up>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.down = Native.Interface.Overlay.CarrierDelay.Down()
                    self.down.parent = self
                    self.msec = None
                    self.seconds = None
                    self.up = Native.Interface.Overlay.CarrierDelay.Up()
                    self.up.parent = self


                class Down(object):
                    """
                    Carrier Down Transitions
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..1000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..60
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.msec = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:down'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.msec is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.CarrierDelay.Down']['meta_info']


                class Up(object):
                    """
                    Carrier Up Transitions
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..1000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..60
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.msec = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:up'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.msec is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.CarrierDelay.Up']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:carrier-delay'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.down is not None and self.down._has_data():
                        return True

                    if self.msec is not None:
                        return True

                    if self.seconds is not None:
                        return True

                    if self.up is not None and self.up._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.CarrierDelay']['meta_info']


            class ChannelGroup(object):
                """
                Add this interface to an Etherchannel group
                
                .. attribute:: auto
                
                	LACP auto
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link
                
                	Assign a link identifier used for load\-balancing
                	**type**\:  int
                
                	**range:** 1..4
                
                .. attribute:: mode
                
                	Etherchannel Mode of the interface
                	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.ChannelGroup.ModeEnum>`
                
                .. attribute:: non_silent
                
                	Start negotiation only after data packets received
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: number
                
                	
                	**type**\:  int
                
                	**range:** 1..512
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None
                    self.link = None
                    self.mode = None
                    self.non_silent = None
                    self.number = None

                class ModeEnum(Enum):
                    """
                    ModeEnum

                    Etherchannel Mode of the interface

                    .. data:: active = 0

                    .. data:: auto = 1

                    .. data:: desirable = 2

                    .. data:: on = 3

                    .. data:: passive = 4

                    """

                    active = 0

                    auto = 1

                    desirable = 2

                    on = 3

                    passive = 4


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.ChannelGroup.ModeEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:channel-group'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    if self.link is not None:
                        return True

                    if self.mode is not None:
                        return True

                    if self.non_silent is not None:
                        return True

                    if self.number is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.ChannelGroup']['meta_info']


            class Ethernet(object):
                """
                Ethernet interface parameters
                
                .. attribute:: oam
                
                	To enable Ethernet Link OAM
                	**type**\:   :py:class:`Oam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.oam = None


                class Oam(object):
                    """
                    To enable Ethernet Link OAM
                    
                    .. attribute:: link_monitor
                    
                    	Ethernet OAM Link Monitor
                    	**type**\:   :py:class:`LinkMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor>`
                    
                    .. attribute:: max_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10
                    
                    .. attribute:: min_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10
                    
                    .. attribute:: mode
                    
                    	
                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.ModeEnum>`
                    
                    .. attribute:: remote_failure
                    
                    	Ethernet OAM remote failure indication
                    	**type**\:   :py:class:`RemoteFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.RemoteFailure>`
                    
                    .. attribute:: remote_loopback
                    
                    	Ethernet OAM Remote Loopback
                    	**type**\:   :py:class:`RemoteLoopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.RemoteLoopback>`
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 2..30
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.link_monitor = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor()
                        self.link_monitor.parent = self
                        self.max_rate = None
                        self.min_rate = None
                        self.mode = None
                        self.remote_failure = Native.Interface.Overlay.Ethernet.Oam.RemoteFailure()
                        self.remote_failure.parent = self
                        self.remote_loopback = Native.Interface.Overlay.Ethernet.Oam.RemoteLoopback()
                        self.remote_loopback.parent = self
                        self.timeout = None

                    class ModeEnum(Enum):
                        """
                        ModeEnum

                        .. data:: active = 0

                        .. data:: passive = 1

                        """

                        active = 0

                        passive = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.ModeEnum']



                    class LinkMonitor(object):
                        """
                        Ethernet OAM Link Monitor
                        
                        .. attribute:: frame
                        
                        	Errored frames in a period measured by time
                        	**type**\:   :py:class:`Frame <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame>`
                        
                        .. attribute:: frame_period
                        
                        	Errored frames in a period measured by number of frames
                        	**type**\:   :py:class:`FramePeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod>`
                        
                        .. attribute:: frame_seconds
                        
                        	Errored frame seconds in a period
                        	**type**\:   :py:class:`FrameSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds>`
                        
                        .. attribute:: high_threshold
                        
                        	Additional high threshold configuration
                        	**type**\:   :py:class:`HighThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold>`
                        
                        .. attribute:: on
                        
                        	Enable link monitoring on the interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: receive_crc
                        
                        	Received frames with CRC errors in a period
                        	**type**\:   :py:class:`ReceiveCrc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc>`
                        
                        .. attribute:: supported
                        
                        	Support link monitoring on the interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: symbol_period
                        
                        	Errored symbols in a period
                        	**type**\:   :py:class:`SymbolPeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.frame = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame()
                            self.frame.parent = self
                            self.frame_period = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod()
                            self.frame_period.parent = self
                            self.frame_seconds = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds()
                            self.frame_seconds.parent = self
                            self.high_threshold = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold()
                            self.high_threshold.parent = self
                            self.on = None
                            self.receive_crc = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc()
                            self.receive_crc.parent = self
                            self.supported = None
                            self.symbol_period = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod()
                            self.symbol_period.parent = self


                        class Frame(object):
                            """
                            Errored frames in a period measured by time
                            
                            .. attribute:: threshold
                            
                            	Errored frame threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 10..600
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: thresh
                                    
                                    	Set the high errored frame threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.none = None
                                        self.thresh = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-otv:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.none is not None:
                                            return True

                                        if self.thresh is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:frame'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame']['meta_info']


                        class FramePeriod(object):
                            """
                            Errored frames in a period measured by number of frames
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-period threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 10000 frames
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-period threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: f_thresh
                                    
                                    	Set the high errored frame\-period threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.f_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-otv:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.f_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:frame-period'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info']


                        class FrameSeconds(object):
                            """
                            Errored frame seconds in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 100..9000
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-seconds threshold in number of seconds
                                	**type**\:  int
                                
                                	**range:** 1..900
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: e_thresh
                                    
                                    	Set the high errored frame\-seconds threshold in number of seconds
                                    	**type**\:  int
                                    
                                    	**range:** 1..900
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.e_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-otv:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.e_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:frame-seconds'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info']


                        class HighThreshold(object):
                            """
                            Additional high threshold configuration
                            
                            .. attribute:: action
                            
                            	Specifiy an action when the high threshold is crossed
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold.Action>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Specifiy an action when the high threshold is crossed
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:high-threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info']


                        class ReceiveCrc(object):
                            """
                            Received frames with CRC errors in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 10..1800
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low received crc error threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: crc_thresh
                                    
                                    	Set the high received crc error threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.crc_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-otv:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.crc_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:receive-crc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info']


                        class SymbolPeriod(object):
                            """
                            Errored symbols in a period
                            
                            .. attribute:: threshold
                            
                            	Error symbol\-period threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 1048576 symbols
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Error symbol\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low error symbol\-period threshold in number of symbols
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: err_thresh
                                    
                                    	Set the high error symbol\-period threshold in number of symbols
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.err_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-otv:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.err_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:symbol-period'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:link-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.frame is not None and self.frame._has_data():
                                return True

                            if self.frame_period is not None and self.frame_period._has_data():
                                return True

                            if self.frame_seconds is not None and self.frame_seconds._has_data():
                                return True

                            if self.high_threshold is not None and self.high_threshold._has_data():
                                return True

                            if self.on is not None:
                                return True

                            if self.receive_crc is not None and self.receive_crc._has_data():
                                return True

                            if self.supported is not None:
                                return True

                            if self.symbol_period is not None and self.symbol_period._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.LinkMonitor']['meta_info']


                    class RemoteFailure(object):
                        """
                        Ethernet OAM remote failure indication
                        
                        .. attribute:: critical_event
                        
                        	Critical event
                        	**type**\:   :py:class:`CriticalEvent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent>`
                        
                        .. attribute:: dying_gasp
                        
                        	Dying gasp
                        	**type**\:   :py:class:`DyingGasp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp>`
                        
                        .. attribute:: link_fault
                        
                        	Link fault
                        	**type**\:   :py:class:`LinkFault <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.critical_event = Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent()
                            self.critical_event.parent = self
                            self.dying_gasp = Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp()
                            self.dying_gasp.parent = self
                            self.link_fault = Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault()
                            self.link_fault.parent = self


                        class CriticalEvent(object):
                            """
                            Critical event
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent.Action>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:critical-event'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info']


                        class DyingGasp(object):
                            """
                            Dying gasp
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = None


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:dying-gasp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info']


                        class LinkFault(object):
                            """
                            Link fault
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = None


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:link-fault'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:remote-failure'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.critical_event is not None and self.critical_event._has_data():
                                return True

                            if self.dying_gasp is not None and self.dying_gasp._has_data():
                                return True

                            if self.link_fault is not None and self.link_fault._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteFailure']['meta_info']


                    class RemoteLoopback(object):
                        """
                        Ethernet OAM Remote Loopback
                        
                        .. attribute:: supported
                        
                        	Support remote loopback functionality
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: timeout
                        
                        	Set timeout value in number of seconds
                        	**type**\:  int
                        
                        	**range:** 1..10
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None
                            self.timeout = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:remote-loopback'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            if self.timeout is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam.RemoteLoopback']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:oam'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.link_monitor is not None and self.link_monitor._has_data():
                            return True

                        if self.max_rate is not None:
                            return True

                        if self.min_rate is not None:
                            return True

                        if self.mode is not None:
                            return True

                        if self.remote_failure is not None and self.remote_failure._has_data():
                            return True

                        if self.remote_loopback is not None and self.remote_loopback._has_data():
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Ethernet.Oam']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:ethernet'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.oam is not None and self.oam._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Ethernet']['meta_info']


            class Negotiation(object):
                """
                Select autonegotiation mode
                
                .. attribute:: auto
                
                	Enable link autonegotiation
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:negotiation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Negotiation']['meta_info']


            class Synchronous(object):
                """
                Synchronous
                
                .. attribute:: mode
                
                	Mode
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.mode = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:synchronous'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.mode is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Synchronous']['meta_info']


            class Speed(object):
                """
                Configure speed operation
                
                .. attribute:: auto
                
                	Enable AUTO speed configuration
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: nonegotiate
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10
                
                	10 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_100
                
                	100 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_1000
                
                	1000 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10000
                
                	10000 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None
                    self.nonegotiate = None
                    self.value_10 = None
                    self.value_100 = None
                    self.value_1000 = None
                    self.value_10000 = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:speed'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.value_10 is not None:
                        return True

                    if self.value_100 is not None:
                        return True

                    if self.value_1000 is not None:
                        return True

                    if self.value_10000 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Speed']['meta_info']


            class Plim(object):
                """
                Configure features on the PLIM
                
                .. attribute:: ethernet
                
                	Configure features on the ethernet interface
                	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim.Ethernet>`
                
                .. attribute:: qos
                
                	QoS on the PLIM
                	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim.Qos>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ethernet = Native.Interface.Overlay.Plim.Ethernet()
                    self.ethernet.parent = self
                    self.qos = Native.Interface.Overlay.Plim.Qos()
                    self.qos.parent = self


                class Ethernet(object):
                    """
                    Configure features on the ethernet interface
                    
                    .. attribute:: vlan
                    
                    	vlan specific features
                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim.Ethernet.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = Native.Interface.Overlay.Plim.Ethernet.Vlan()
                        self.vlan.parent = self


                    class Vlan(object):
                        """
                        vlan specific features
                        
                        .. attribute:: filter
                        
                        	Configure VLAN filtering
                        	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim.Ethernet.Vlan.Filter>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.filter = Native.Interface.Overlay.Plim.Ethernet.Vlan.Filter()
                            self.filter.parent = self


                        class Filter(object):
                            """
                            Configure VLAN filtering
                            
                            .. attribute:: disable
                            
                            	Configure the interface to accept all VLAN traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Plim.Ethernet.Vlan.Filter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.filter is not None and self.filter._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Plim.Ethernet.Vlan']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:ethernet'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None and self.vlan._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Plim.Ethernet']['meta_info']


                class Qos(object):
                    """
                    QoS on the PLIM
                    
                    .. attribute:: input
                    
                    	Configure PLIM QoS at the input of an interface
                    	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim.Qos.Input>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.input = Native.Interface.Overlay.Plim.Qos.Input()
                        self.input.parent = self


                    class Input(object):
                        """
                        Configure PLIM QoS at the input of an interface
                        
                        .. attribute:: queue
                        
                        	Queue number
                        	**type**\:   :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim.Qos.Input.Queue>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.queue = Native.Interface.Overlay.Plim.Qos.Input.Queue()
                            self.queue.parent = self


                        class Queue(object):
                            """
                            Queue number
                            
                            .. attribute:: strict_priority
                            
                            	High priority queue
                            	**type**\:   :py:class:`StrictPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority>`
                            
                            .. attribute:: zero
                            
                            	Low priority queue
                            	**type**\:   :py:class:`Zero <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.strict_priority = Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority()
                                self.strict_priority.parent = self
                                self.zero = Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero()
                                self.zero.parent = self


                            class Zero(object):
                                """
                                Low priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:   :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero.Pause>`
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pause = Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero.Pause()
                                    self.pause.parent = self


                                class Pause(object):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\:  bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.enable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-otv:pause'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.enable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero.Pause']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:zero'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pause is not None and self.pause._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero']['meta_info']


                            class StrictPriority(object):
                                """
                                High priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:   :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority.Pause>`
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pause = Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority.Pause()
                                    self.pause.parent = self


                                class Pause(object):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\:  bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.enable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-otv:pause'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.enable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority.Pause']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:strict-priority'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pause is not None and self.pause._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:queue'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.strict_priority is not None and self.strict_priority._has_data():
                                    return True

                                if self.zero is not None and self.zero._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Plim.Qos.Input.Queue']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:input'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.queue is not None and self.queue._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Plim.Qos.Input']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:qos'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.input is not None and self.input._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Plim.Qos']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:plim'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ethernet is not None and self.ethernet._has_data():
                        return True

                    if self.qos is not None and self.qos._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Plim']['meta_info']


            class Pppoe(object):
                """
                pppoe interface subcommands
                
                .. attribute:: enable
                
                	Enable pppoe
                	**type**\:   :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Pppoe.Enable>`
                
                	**presence node**\: True
                
                .. attribute:: max_sessions
                
                	Maximum PPPOE sessions
                	**type**\:  int
                
                	**range:** 1..4085
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None
                    self.max_sessions = None


                class Enable(object):
                    """
                    Enable pppoe
                    
                    .. attribute:: group
                    
                    	attach a BBA group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        attach a BBA group

                        .. data:: global_ = 0

                        """

                        global_ = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Pppoe.Enable.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:enable'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Pppoe.Enable']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:pppoe'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None and self.enable._has_data():
                        return True

                    if self.max_sessions is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Pppoe']['meta_info']


            class Service(object):
                """
                Configure Ether Service
                
                .. attribute:: instance
                
                	Configure Ether Service Instance
                	**type**\: list of    :py:class:`Instance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.instance = YList()
                    self.instance.parent = self
                    self.instance.name = 'instance'


                class Instance(object):
                    """
                    Configure Ether Service Instance
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4000
                    
                    .. attribute:: bridge_domain
                    
                    	Bridge\-domain
                    	**type**\:   :py:class:`BridgeDomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.BridgeDomain>`
                    
                    .. attribute:: cfm
                    
                    	Ethernet CFM EFP subcommands
                    	**type**\:   :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Cfm>`
                    
                    .. attribute:: description
                    
                    	Service instance specific description
                    	**type**\:  str
                    
                    	**length:** 0..240
                    
                    .. attribute:: encapsulation
                    
                    	Configure ethernet frame match criteria
                    	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation>`
                    
                    .. attribute:: errdisable
                    
                    	Configure error disable
                    	**type**\:   :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Errdisable>`
                    
                    .. attribute:: ethernet
                    
                    	Configure an Ethernet Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet_container
                    
                    	
                    	**type**\:   :py:class:`EthernetContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.EthernetContainer>`
                    
                    .. attribute:: ethernet_evc_name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: evc_name
                    
                    	
                    	**type**\:  str
                    
                    	**length:** 1..100
                    
                    .. attribute:: gigabitethernet
                    
                    	Configure an GigabitEthernet Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Ip>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 interface subcommands
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Ipv6>`
                    
                    .. attribute:: l2protocol
                    
                    	Configure l2 control protocol processing
                    	**type**\:   :py:class:`L2Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.L2Protocol>`
                    
                    .. attribute:: mac
                    
                    	Commands for MAC Address\-based features
                    	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Mac>`
                    
                    .. attribute:: rewrite
                    
                    	Configure ethernet rewrite criteria
                    	**type**\:   :py:class:`Rewrite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite>`
                    
                    .. attribute:: service_policy
                    
                    	Attach a policy\-map to an EFP
                    	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.ServicePolicy>`
                    
                    .. attribute:: shutdown
                    
                    	Take the Service Instance out of Service
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: snmp
                    
                    	Modify SNMP service instance parameters
                    	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Snmp>`
                    
                    .. attribute:: trunk
                    
                    	Trunk Service Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.bridge_domain = Native.Interface.Overlay.Service.Instance.BridgeDomain()
                        self.bridge_domain.parent = self
                        self.cfm = Native.Interface.Overlay.Service.Instance.Cfm()
                        self.cfm.parent = self
                        self.description = None
                        self.encapsulation = Native.Interface.Overlay.Service.Instance.Encapsulation()
                        self.encapsulation.parent = self
                        self.errdisable = Native.Interface.Overlay.Service.Instance.Errdisable()
                        self.errdisable.parent = self
                        self.ethernet = None
                        self.ethernet_container = Native.Interface.Overlay.Service.Instance.EthernetContainer()
                        self.ethernet_container.parent = self
                        self.ethernet_evc_name = None
                        self.evc_name = None
                        self.gigabitethernet = None
                        self.group = None
                        self.ip = Native.Interface.Overlay.Service.Instance.Ip()
                        self.ip.parent = self
                        self.ipv6 = Native.Interface.Overlay.Service.Instance.Ipv6()
                        self.ipv6.parent = self
                        self.l2protocol = Native.Interface.Overlay.Service.Instance.L2Protocol()
                        self.l2protocol.parent = self
                        self.mac = Native.Interface.Overlay.Service.Instance.Mac()
                        self.mac.parent = self
                        self.rewrite = Native.Interface.Overlay.Service.Instance.Rewrite()
                        self.rewrite.parent = self
                        self.service_policy = Native.Interface.Overlay.Service.Instance.ServicePolicy()
                        self.service_policy.parent = self
                        self.shutdown = None
                        self.snmp = Native.Interface.Overlay.Service.Instance.Snmp()
                        self.snmp.parent = self
                        self.trunk = None


                    class Encapsulation(object):
                        """
                        Configure ethernet frame match criteria
                        
                        .. attribute:: default
                        
                        	catch\-all unconfigured encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dot1ad
                        
                        	802.1ad \- Provider Bridges
                        	**type**\:   :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad>`
                        
                        .. attribute:: dot1q
                        
                        	IEEE 802.1Q Virtual LAN or S\-VLAN
                        	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q>`
                        
                        .. attribute:: priority_tagged
                        
                        	Priority tagged EFP
                        	**type**\:   :py:class:`PriorityTagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged>`
                        
                        .. attribute:: untagged
                        
                        	Untagged encapsulation
                        	**type**\:   :py:class:`Untagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.Untagged>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.default = None
                            self.dot1ad = Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad()
                            self.dot1ad.parent = self
                            self.dot1q = Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q()
                            self.dot1q.parent = self
                            self.priority_tagged = Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged()
                            self.priority_tagged.parent = self
                            self.untagged = None


                        class Dot1Ad(object):
                            """
                            802.1ad \- Provider Bridges
                            
                            .. attribute:: cos
                            
                            	CoS value to use for CFM packets
                            	**type**\:  list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:   :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad.Cos2>`
                            
                            .. attribute:: dot1q
                            
                            	Second tag (dot1q)
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`Dot1QEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos = YLeafList()
                                self.cos.parent = self
                                self.cos.name = 'cos'
                                self.cos2 = Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad.Cos2()
                                self.cos2.parent = self
                                self.dot1q = YLeafList()
                                self.dot1q.parent = self
                                self.dot1q.name = 'dot1q'
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'
                                self.exact = None
                                self.id = YLeafList()
                                self.id.parent = self
                                self.id.name = 'id'

                            class Dot1QEnum(Enum):
                                """
                                Dot1QEnum

                                Second tag (dot1q)

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum']


                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum']


                            class IdEnum(Enum):
                                """
                                IdEnum

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad.IdEnum']



                            class Cos2(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:cos2'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad.Cos2']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:dot1ad'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos is not None:
                                    for child in self.cos:
                                        if child is not None:
                                            return True

                                if self.cos2 is not None and self.cos2._has_data():
                                    return True

                                if self.dot1q is not None:
                                    for child in self.dot1q:
                                        if child is not None:
                                            return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                if self.exact is not None:
                                    return True

                                if self.id is not None:
                                    for child in self.id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad']['meta_info']


                        class Dot1Q(object):
                            """
                            IEEE 802.1Q Virtual LAN or S\-VLAN
                            
                            .. attribute:: cos
                            
                            	cos Vlan
                            	**type**\:  list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:   :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.EtypeEnum>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: second_dot1q
                            
                            	inner 802.1Q Virtual LAN or C\-VLAN
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`SecondDot1QEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: vlan_type
                            
                            	Vlan Protocol Type
                            	**type**\:   :py:class:`VlanTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos = YLeafList()
                                self.cos.parent = self
                                self.cos.name = 'cos'
                                self.cos2 = Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.Cos2()
                                self.cos2.parent = self
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'
                                self.exact = None
                                self.id = YLeafList()
                                self.id.parent = self
                                self.id.name = 'id'
                                self.second_dot1q = YLeafList()
                                self.second_dot1q.parent = self
                                self.second_dot1q.name = 'second_dot1q'
                                self.vlan_type = None

                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.EtypeEnum']


                            class IdEnum(Enum):
                                """
                                IdEnum

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.IdEnum']


                            class SecondDot1QEnum(Enum):
                                """
                                SecondDot1QEnum

                                inner 802.1Q Virtual LAN or C\-VLAN

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum']


                            class VlanTypeEnum(Enum):
                                """
                                VlanTypeEnum

                                Vlan Protocol Type

                                .. data:: Y_0x88A8 = 0

                                .. data:: Y_0x9100 = 1

                                .. data:: Y_0x9200 = 2

                                """

                                Y_0x88A8 = 0

                                Y_0x9100 = 1

                                Y_0x9200 = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum']



                            class Cos2(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:cos2'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.Cos2']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:dot1q'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos is not None:
                                    for child in self.cos:
                                        if child is not None:
                                            return True

                                if self.cos2 is not None and self.cos2._has_data():
                                    return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                if self.exact is not None:
                                    return True

                                if self.id is not None:
                                    for child in self.id:
                                        if child is not None:
                                            return True

                                if self.second_dot1q is not None:
                                    for child in self.second_dot1q:
                                        if child is not None:
                                            return True

                                if self.vlan_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q']['meta_info']


                        class PriorityTagged(object):
                            """
                            Priority tagged EFP
                            
                            .. attribute:: cos_container
                            
                            	
                            	**type**\:   :py:class:`CosContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged.CosContainer>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos_container = Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged.CosContainer()
                                self.cos_container.parent = self
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'

                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum']



                            class CosContainer(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:cos-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged.CosContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:priority-tagged'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos_container is not None and self.cos_container._has_data():
                                    return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged']['meta_info']


                        class Untagged(object):
                            """
                            Untagged encapsulation
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:untagged'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation.Untagged']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:encapsulation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.default is not None:
                                return True

                            if self.dot1ad is not None and self.dot1ad._has_data():
                                return True

                            if self.dot1q is not None and self.dot1q._has_data():
                                return True

                            if self.priority_tagged is not None and self.priority_tagged._has_data():
                                return True

                            if self.untagged is not None and self.untagged._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Service.Instance.Encapsulation']['meta_info']


                    class Ip(object):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Ip.Acl>`
                        
                        .. attribute:: dhcp
                        
                        	DHCP
                        	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Ip.Dhcp>`
                        
                        .. attribute:: verify
                        
                        	verify
                        	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Ip.Verify>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Overlay.Service.Instance.Ip.Acl()
                            self.acl.parent = self
                            self.dhcp = Native.Interface.Overlay.Service.Instance.Ip.Dhcp()
                            self.dhcp.parent = self
                            self.verify = Native.Interface.Overlay.Service.Instance.Ip.Verify()
                            self.verify.parent = self


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: access_group
                            
                            	Specify access control for packets
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.access_group = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.access_group is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.Ip.Acl']['meta_info']


                        class Dhcp(object):
                            """
                            DHCP
                            
                            .. attribute:: relay
                            
                            	DHCP relay
                            	**type**\:   :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.relay = Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay()
                                self.relay.parent = self


                            class Relay(object):
                                """
                                DHCP relay
                                
                                .. attribute:: information
                                
                                	DHCP relay information
                                	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information>`
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.information = Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information()
                                    self.information.parent = self


                                class Information(object):
                                    """
                                    DHCP relay information
                                    
                                    .. attribute:: option
                                    
                                    	DHCP relay information option
                                    	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information.Option>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.option = Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information.Option()
                                        self.option.parent = self


                                    class Option(object):
                                        """
                                        DHCP relay information option
                                        
                                        .. attribute:: subscriber_id
                                        
                                        	DHCP relay information option subscriber\-id
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-otv'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.subscriber_id = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-otv:option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.subscriber_id is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information.Option']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-otv:information'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.option is not None and self.option._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:relay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.information is not None and self.information._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:dhcp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.relay is not None and self.relay._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.Ip.Dhcp']['meta_info']


                        class Verify(object):
                            """
                            verify
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: port_security
                            
                            	port security
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: source
                            
                            	source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan
                            
                            	vlan specification
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None
                                self.port_security = None
                                self.source = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:verify'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None:
                                    return True

                                if self.port_security is not None:
                                    return True

                                if self.source is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.Ip.Verify']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.dhcp is not None and self.dhcp._has_data():
                                return True

                            if self.verify is not None and self.verify._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Service.Instance.Ip']['meta_info']


                    class Ipv6(object):
                        """
                        IPv6 interface subcommands
                        
                        .. attribute:: in_
                        
                        	inbound packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	outbound packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: traffic_filter
                        
                        	Access control list for packets
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.in_ = None
                            self.out = None
                            self.traffic_filter = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.in_ is not None:
                                return True

                            if self.out is not None:
                                return True

                            if self.traffic_filter is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Service.Instance.Ipv6']['meta_info']


                    class Rewrite(object):
                        """
                        Configure ethernet rewrite criteria
                        
                        .. attribute:: ingress
                        
                        	Ingress Rewrite
                        	**type**\:   :py:class:`Ingress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ingress = Native.Interface.Overlay.Service.Instance.Rewrite.Ingress()
                            self.ingress.parent = self


                        class Ingress(object):
                            """
                            Ingress Rewrite
                            
                            .. attribute:: tag
                            
                            	Configure Rewrite Tag
                            	**type**\:   :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.tag = Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag()
                                self.tag.parent = self


                            class Tag(object):
                                """
                                Configure Rewrite Tag
                                
                                .. attribute:: pop
                                
                                	Pop the tag
                                	**type**\:   :py:class:`Pop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop>`
                                
                                .. attribute:: push
                                
                                	Rewrite Operation of push
                                	**type**\:   :py:class:`Push <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Push>`
                                
                                .. attribute:: translate
                                
                                	Translate Tag
                                	**type**\:   :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate>`
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pop = Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop()
                                    self.pop.parent = self
                                    self.push = Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Push()
                                    self.push.parent = self
                                    self.translate = Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate()
                                    self.translate.parent = self


                                class Pop(object):
                                    """
                                    Pop the tag
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum>`
                                    
                                    .. attribute:: way
                                    
                                    	
                                    	**type**\:   :py:class:`WayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mode = None
                                        self.way = None

                                    class ModeEnum(Enum):
                                        """
                                        ModeEnum

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = 0


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum']


                                    class WayEnum(Enum):
                                        """
                                        WayEnum

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-otv:pop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mode is not None:
                                            return True

                                        if self.way is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop']['meta_info']


                                class Push(object):
                                    """
                                    Rewrite Operation of push
                                    
                                    .. attribute:: dot1q
                                    
                                    	Push dot1q tag
                                    	**type**\:  int
                                    
                                    	**range:** 1..4094
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dot1q = None
                                        self.mode = None

                                    class ModeEnum(Enum):
                                        """
                                        ModeEnum

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = 0


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-otv:push'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dot1q is not None:
                                            return True

                                        if self.mode is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Push']['meta_info']


                                class Translate(object):
                                    """
                                    Translate Tag
                                    
                                    .. attribute:: t1_to_1
                                    
                                    	Translate 1\-to\-1
                                    	**type**\:   :py:class:`T1To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1>`
                                    
                                    .. attribute:: t1_to_2
                                    
                                    	Translate 1\-to\-2
                                    	**type**\:   :py:class:`T1To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2>`
                                    
                                    .. attribute:: t2_to_1
                                    
                                    	Translate 2\-to\-1
                                    	**type**\:   :py:class:`T2To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1>`
                                    
                                    .. attribute:: t2_to_2
                                    
                                    	Translate 2\-to\-2
                                    	**type**\:   :py:class:`T2To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.t1_to_1 = Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1()
                                        self.t1_to_1.parent = self
                                        self.t1_to_2 = Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2()
                                        self.t1_to_2.parent = self
                                        self.t2_to_1 = Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1()
                                        self.t2_to_1.parent = self
                                        self.t2_to_2 = Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2()
                                        self.t2_to_2.parent = self


                                    class T1To1(object):
                                        """
                                        Translate 1\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-otv'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-otv:t1-to-1'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1']['meta_info']


                                    class T1To2(object):
                                        """
                                        Translate 1\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum>`
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-otv'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None
                                            self.second_dot1q = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-otv:t1-to-2'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            if self.second_dot1q is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2']['meta_info']


                                    class T2To1(object):
                                        """
                                        Translate 2\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-otv'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-otv:t2-to-1'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1']['meta_info']


                                    class T2To2(object):
                                        """
                                        Translate 2\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum>`
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-otv'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None
                                            self.second_dot1q = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-otv:t2-to-2'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            if self.second_dot1q is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-otv:translate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.t1_to_1 is not None and self.t1_to_1._has_data():
                                            return True

                                        if self.t1_to_2 is not None and self.t1_to_2._has_data():
                                            return True

                                        if self.t2_to_1 is not None and self.t2_to_1._has_data():
                                            return True

                                        if self.t2_to_2 is not None and self.t2_to_2._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:tag'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pop is not None and self.pop._has_data():
                                        return True

                                    if self.push is not None and self.push._has_data():
                                        return True

                                    if self.translate is not None and self.translate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:ingress'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.tag is not None and self.tag._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.Rewrite.Ingress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:rewrite'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ingress is not None and self.ingress._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Service.Instance.Rewrite']['meta_info']


                    class Errdisable(object):
                        """
                        Configure error disable
                        
                        .. attribute:: recovery
                        
                        	enable auto recovery
                        	**type**\:   :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Errdisable.Recovery>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.recovery = Native.Interface.Overlay.Service.Instance.Errdisable.Recovery()
                            self.recovery.parent = self


                        class Recovery(object):
                            """
                            enable auto recovery
                            
                            .. attribute:: cause
                            
                            	error disable cause
                            	**type**\:   :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Errdisable.Recovery.Cause>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cause = Native.Interface.Overlay.Service.Instance.Errdisable.Recovery.Cause()
                                self.cause.parent = self


                            class Cause(object):
                                """
                                error disable cause
                                
                                .. attribute:: mac_security
                                
                                	mac\-security violation
                                	**type**\:  int
                                
                                	**range:** 30..86400
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mac_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:cause'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mac_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.Errdisable.Recovery.Cause']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:recovery'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cause is not None and self.cause._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.Errdisable.Recovery']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:errdisable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.recovery is not None and self.recovery._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Service.Instance.Errdisable']['meta_info']


                    class EthernetContainer(object):
                        """
                        
                        
                        .. attribute:: ethernet
                        
                        	ethernet
                        	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ethernet = Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet()
                            self.ethernet.parent = self


                        class Ethernet(object):
                            """
                            ethernet
                            
                            .. attribute:: lmi
                            
                            	Configure ether lmi parameters
                            	**type**\:   :py:class:`Lmi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi>`
                            
                            .. attribute:: loopback
                            
                            	Ethernet Dataplane Loopback
                            	**type**\:   :py:class:`Loopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lmi = Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi()
                                self.lmi.parent = self
                                self.loopback = Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback()
                                self.loopback.parent = self


                            class Lmi(object):
                                """
                                Configure ether lmi parameters
                                
                                .. attribute:: ce_vlan
                                
                                	Configure ether lmi customer vlans
                                	**type**\:   :py:class:`CeVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan>`
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ce_vlan = Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan()
                                    self.ce_vlan.parent = self


                                class CeVlan(object):
                                    """
                                    Configure ether lmi customer vlans
                                    
                                    .. attribute:: map
                                    
                                    	Configure ether lmi ce\-vlan/evc map
                                    	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map = Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map()
                                        self.map.parent = self


                                    class Map(object):
                                        """
                                        Configure ether lmi ce\-vlan/evc map
                                        
                                        .. attribute:: any
                                        
                                        	For all VLANS [untagged,1\-4094]
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: default
                                        
                                        	Default EFP
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: untagged
                                        
                                        	Untagged frames
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vlan_range
                                        
                                        	
                                        	**type**\:   :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-otv'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.any = None
                                            self.default = None
                                            self.untagged = None
                                            self.vlan_range = Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange()
                                            self.vlan_range.parent = self


                                        class VlanRange(object):
                                            """
                                            
                                            
                                            .. attribute:: comma
                                            
                                            	comma
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: hyphen
                                            
                                            	hyphen
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: vlan_id
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-otv'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.comma = None
                                                self.hyphen = None
                                                self.vlan_id = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-otv:vlan-range'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.comma is not None:
                                                    return True

                                                if self.hyphen is not None:
                                                    return True

                                                if self.vlan_id is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-otv:map'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.any is not None:
                                                return True

                                            if self.default is not None:
                                                return True

                                            if self.untagged is not None:
                                                return True

                                            if self.vlan_range is not None and self.vlan_range._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-otv:ce-vlan'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map is not None and self.map._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:lmi'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ce_vlan is not None and self.ce_vlan._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info']


                            class Loopback(object):
                                """
                                Ethernet Dataplane Loopback
                                
                                .. attribute:: permit
                                
                                	Allow data plane loopback to be activated
                                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit>`
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.permit = Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit()
                                    self.permit.parent = self


                                class Permit(object):
                                    """
                                    Allow data plane loopback to be activated
                                    
                                    .. attribute:: external
                                    
                                    	Allow to loopback the traffic from the wire
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: internal
                                    
                                    	Allow to loopback the traffic from the relay
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.internal = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-otv:permit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None:
                                            return True

                                        if self.internal is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:loopback'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.permit is not None and self.permit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:ethernet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lmi is not None and self.lmi._has_data():
                                    return True

                                if self.loopback is not None and self.loopback._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:ethernet-container'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ethernet is not None and self.ethernet._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Service.Instance.EthernetContainer']['meta_info']


                    class Snmp(object):
                        """
                        Modify SNMP service instance parameters
                        
                        .. attribute:: ifindex
                        
                        	Persist ifindex for the service instance
                        	**type**\:   :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Snmp.Ifindex>`
                        
                        .. attribute:: trap
                        
                        	Allow a specific SNMP trap
                        	**type**\:   :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Snmp.Trap>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ifindex = Native.Interface.Overlay.Service.Instance.Snmp.Ifindex()
                            self.ifindex.parent = self
                            self.trap = Native.Interface.Overlay.Service.Instance.Snmp.Trap()
                            self.trap.parent = self


                        class Trap(object):
                            """
                            Allow a specific SNMP trap
                            
                            .. attribute:: link_status
                            
                            	Allow SNMP LINKUP and LINKDOWN traps
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.link_status = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:trap'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.link_status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.Snmp.Trap']['meta_info']


                        class Ifindex(object):
                            """
                            Persist ifindex for the service instance
                            
                            .. attribute:: persist
                            
                            	Enable/Disable ifIndex persistence
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.persist = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:ifindex'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.persist is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.Snmp.Ifindex']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:snmp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ifindex is not None and self.ifindex._has_data():
                                return True

                            if self.trap is not None and self.trap._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Service.Instance.Snmp']['meta_info']


                    class BridgeDomain(object):
                        """
                        Bridge\-domain
                        
                        .. attribute:: bridge_id
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: from_encapsulation
                        
                        	from\-encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: split_horizon
                        
                        	Configure this port as a member of a split horizon group
                        	**type**\:   :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.BridgeDomain.SplitHorizon>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bridge_id = None
                            self.from_encapsulation = None
                            self.split_horizon = Native.Interface.Overlay.Service.Instance.BridgeDomain.SplitHorizon()
                            self.split_horizon.parent = self


                        class SplitHorizon(object):
                            """
                            Configure this port as a member of a split horizon group
                            
                            .. attribute:: group
                            
                            	Split\-horizon group
                            	**type**\:  int
                            
                            	**range:** 0..13
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:split-horizon'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.BridgeDomain.SplitHorizon']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:bridge-domain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bridge_id is not None:
                                return True

                            if self.from_encapsulation is not None:
                                return True

                            if self.split_horizon is not None and self.split_horizon._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Service.Instance.BridgeDomain']['meta_info']


                    class Mac(object):
                        """
                        Commands for MAC Address\-based features
                        
                        .. attribute:: security
                        
                        	MAC Security commands
                        	**type**\:   :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Mac.Security>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.security = None


                        class Security(object):
                            """
                            MAC Security commands
                            
                            .. attribute:: maximum
                            
                            	Configure an upper bound
                            	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Mac.Security.Maximum>`
                            
                            .. attribute:: violation
                            
                            	Configure the response when a MAC security policy is violated
                            	**type**\:   :py:class:`ViolationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Mac.Security.ViolationEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.maximum = Native.Interface.Overlay.Service.Instance.Mac.Security.Maximum()
                                self.maximum.parent = self
                                self.violation = None

                            class ViolationEnum(Enum):
                                """
                                ViolationEnum

                                Configure the response when a MAC security policy is violated

                                .. data:: protect = 0

                                .. data:: restrict = 1

                                """

                                protect = 0

                                restrict = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.Mac.Security.ViolationEnum']



                            class Maximum(object):
                                """
                                Configure an upper bound
                                
                                .. attribute:: addresses
                                
                                	Maximum addresses that can be learnt on this service instance
                                	**type**\:  int
                                
                                	**range:** 1..1000
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.addresses = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:maximum'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.addresses is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.Mac.Security.Maximum']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:security'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.maximum is not None and self.maximum._has_data():
                                    return True

                                if self.violation is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.Mac.Security']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:mac'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.security is not None and self.security._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Service.Instance.Mac']['meta_info']


                    class ServicePolicy(object):
                        """
                        Attach a policy\-map to an EFP
                        
                        .. attribute:: input
                        
                        	service policy input
                        	**type**\: list of    :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.ServicePolicy.Input>`
                        
                        .. attribute:: output
                        
                        	service policy output
                        	**type**\: list of    :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.ServicePolicy.Output>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = YList()
                            self.input.parent = self
                            self.input.name = 'input'
                            self.output = YList()
                            self.output.parent = self
                            self.output.name = 'output'


                        class Input(object):
                            """
                            service policy input
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:input[Cisco-IOS-XE-otv:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.ServicePolicy.Input']['meta_info']


                        class Output(object):
                            """
                            service policy output
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:output[Cisco-IOS-XE-otv:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.ServicePolicy.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:service-policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None:
                                for child_ref in self.input:
                                    if child_ref._has_data():
                                        return True

                            if self.output is not None:
                                for child_ref in self.output:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Service.Instance.ServicePolicy']['meta_info']


                    class Cfm(object):
                        """
                        Ethernet CFM EFP subcommands
                        
                        .. attribute:: encapsulation
                        
                        	Configure CFM ethernet frame encapsulation
                        	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation>`
                        
                        .. attribute:: mep
                        
                        	Maintenance End Point
                        	**type**\:   :py:class:`Mep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Cfm.Mep>`
                        
                        .. attribute:: mip
                        
                        	Maintenance Intermediate Point
                        	**type**\:   :py:class:`Mip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Cfm.Mip>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.encapsulation = Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation()
                            self.encapsulation.parent = self
                            self.mep = Native.Interface.Overlay.Service.Instance.Cfm.Mep()
                            self.mep.parent = self
                            self.mip = Native.Interface.Overlay.Service.Instance.Cfm.Mip()
                            self.mip.parent = self


                        class Encapsulation(object):
                            """
                            Configure CFM ethernet frame encapsulation
                            
                            .. attribute:: dot1ad
                            
                            	802.1ad \- Provider Bridges
                            	**type**\:   :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Ad>`
                            
                            .. attribute:: dot1q
                            
                            	IEEE 802.1Q Virtual LAN or S\-VLAN
                            	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Q>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dot1ad = Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Ad()
                                self.dot1ad.parent = self
                                self.dot1q = Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Q()
                                self.dot1q.parent = self


                            class Dot1Ad(object):
                                """
                                802.1ad \- Provider Bridges
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: dot1q
                                
                                	Second tag (dot1q)
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = None
                                    self.dot1q = None
                                    self.vlan_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:dot1ad'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        return True

                                    if self.dot1q is not None:
                                        return True

                                    if self.vlan_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Ad']['meta_info']


                            class Dot1Q(object):
                                """
                                IEEE 802.1Q Virtual LAN or S\-VLAN
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: second_dot1q
                                
                                	inner 802.1Q Virtual LAN or C\-VLAN
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = None
                                    self.second_dot1q = None
                                    self.vlan_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:dot1q'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        return True

                                    if self.second_dot1q is not None:
                                        return True

                                    if self.vlan_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Q']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:encapsulation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dot1ad is not None and self.dot1ad._has_data():
                                    return True

                                if self.dot1q is not None and self.dot1q._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation']['meta_info']


                        class Mep(object):
                            """
                            Maintenance End Point
                            
                            .. attribute:: domain
                            
                            	Configure a domain for this mep
                            	**type**\:  str
                            
                            .. attribute:: mpid
                            
                            	Maintenance End Point Identifier
                            	**type**\:  int
                            
                            	**range:** 1..8191
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.domain = None
                                self.mpid = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:mep'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.domain is not None:
                                    return True

                                if self.mpid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.Cfm.Mep']['meta_info']


                        class Mip(object):
                            """
                            Maintenance Intermediate Point
                            
                            .. attribute:: level
                            
                            	Maintenance Level
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.level = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:mip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.level is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.Cfm.Mip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:cfm'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.encapsulation is not None and self.encapsulation._has_data():
                                return True

                            if self.mep is not None and self.mep._has_data():
                                return True

                            if self.mip is not None and self.mip._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Service.Instance.Cfm']['meta_info']


                    class L2Protocol(object):
                        """
                        Configure l2 control protocol processing
                        
                        .. attribute:: forward
                        
                        	forward L2 control protocol packets as data
                        	**type**\:   :py:class:`Forward <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.L2Protocol.Forward>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: peer
                        
                        	peer L2 control protocol packets as data
                        	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.L2Protocol.Peer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: tunnel
                        
                        	tunnel L2 control protocol packets as data
                        	**type**\:   :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.L2Protocol.Tunnel>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forward = None
                            self.peer = None
                            self.tunnel = None


                        class Peer(object):
                            """
                            peer L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.L2Protocol.Peer.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.L2Protocol.Peer.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:peer'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.L2Protocol.Peer']['meta_info']


                        class Forward(object):
                            """
                            forward L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.L2Protocol.Forward.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.L2Protocol.Forward.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:forward'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.L2Protocol.Forward']['meta_info']


                        class Tunnel(object):
                            """
                            tunnel L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.L2Protocol.Tunnel.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Overlay.Service.Instance.L2Protocol.Tunnel.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:tunnel'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Service.Instance.L2Protocol.Tunnel']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:l2protocol'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forward is not None and self.forward._has_data():
                                return True

                            if self.peer is not None and self.peer._has_data():
                                return True

                            if self.tunnel is not None and self.tunnel._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Service.Instance.L2Protocol']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:instance[Cisco-IOS-XE-otv:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.bridge_domain is not None and self.bridge_domain._has_data():
                            return True

                        if self.cfm is not None and self.cfm._has_data():
                            return True

                        if self.description is not None:
                            return True

                        if self.encapsulation is not None and self.encapsulation._has_data():
                            return True

                        if self.errdisable is not None and self.errdisable._has_data():
                            return True

                        if self.ethernet is not None:
                            return True

                        if self.ethernet_container is not None and self.ethernet_container._has_data():
                            return True

                        if self.ethernet_evc_name is not None:
                            return True

                        if self.evc_name is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        if self.l2protocol is not None and self.l2protocol._has_data():
                            return True

                        if self.mac is not None and self.mac._has_data():
                            return True

                        if self.rewrite is not None and self.rewrite._has_data():
                            return True

                        if self.service_policy is not None and self.service_policy._has_data():
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.snmp is not None and self.snmp._has_data():
                            return True

                        if self.trunk is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Service.Instance']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:service'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.instance is not None:
                        for child_ref in self.instance:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Service']['meta_info']


            class Otv(object):
                """
                Configure OTV information
                
                .. attribute:: adjacency_server
                
                	Indicate if the box is an Adjacency Server
                	**type**\:   :py:class:`AdjacencyServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.AdjacencyServer>`
                
                .. attribute:: control_group
                
                	OTV VPN control multicast group
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: data_group
                
                	Multicast group range for data
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                
                .. attribute:: encapsulation_format
                
                	Encapsulation format
                	**type**\:   :py:class:`EncapsulationFormat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.EncapsulationFormat>`
                
                .. attribute:: filter_fhrp
                
                	Configure to not forward HSRP, GLBP, and VRRP packets on overlay
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: isis
                
                	ISIS interface subcommands
                	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.Isis>`
                
                .. attribute:: join_interface
                
                	OTV VPN join\-interface
                	**type**\:   :py:class:`JoinInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.JoinInterface>`
                
                .. attribute:: suppress
                
                	Enable overlay packet suppression
                	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.Suppress>`
                
                .. attribute:: use_adjacency_server
                
                	Point to remote Adjacency Server address
                	**type**\:   :py:class:`UseAdjacencyServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.UseAdjacencyServer>`
                
                .. attribute:: vpn_name
                
                	OTV VPN name
                	**type**\:  str
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.adjacency_server = Native.Interface.Overlay.Otv.AdjacencyServer()
                    self.adjacency_server.parent = self
                    self.control_group = None
                    self.data_group = None
                    self.encapsulation_format = Native.Interface.Overlay.Otv.EncapsulationFormat()
                    self.encapsulation_format.parent = self
                    self.filter_fhrp = None
                    self.isis = Native.Interface.Overlay.Otv.Isis()
                    self.isis.parent = self
                    self.join_interface = Native.Interface.Overlay.Otv.JoinInterface()
                    self.join_interface.parent = self
                    self.suppress = Native.Interface.Overlay.Otv.Suppress()
                    self.suppress.parent = self
                    self.use_adjacency_server = Native.Interface.Overlay.Otv.UseAdjacencyServer()
                    self.use_adjacency_server.parent = self
                    self.vpn_name = None


                class AdjacencyServer(object):
                    """
                    Indicate if the box is an Adjacency Server
                    
                    .. attribute:: unicast_only
                    
                    	Unicast Only
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.unicast_only = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:adjacency-server'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.unicast_only is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Otv.AdjacencyServer']['meta_info']


                class EncapsulationFormat(object):
                    """
                    Encapsulation format
                    
                    .. attribute:: ip
                    
                    	Use IP for outer header encapsulation
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.EncapsulationFormat.Ip>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.Overlay.Otv.EncapsulationFormat.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Use IP for outer header encapsulation
                        
                        .. attribute:: gre
                        
                        	Use GRE middle header encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.gre = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.gre is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Otv.EncapsulationFormat.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:encapsulation-format'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Otv.EncapsulationFormat']['meta_info']


                class Isis(object):
                    """
                    ISIS interface subcommands
                    
                    .. attribute:: authentication
                    
                    	ISIS authentication for interface related PDUs
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.Isis.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Bidirectional Forwarding Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: csnp_interval
                    
                    	Set CSNP interval in seconds
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: hello
                    
                    	Add padding to IS\-IS hello packets
                    	**type**\:   :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.Isis.Hello>`
                    
                    .. attribute:: hello_interval
                    
                    	Set Hello interval in seconds
                    	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.Isis.HelloInterval>`
                    
                    .. attribute:: hello_multiplier
                    
                    	Set multiplier for Hello holding time
                    	**type**\:  int
                    
                    	**range:** 3..1000
                    
                    .. attribute:: lsp_interval
                    
                    	Set LSP transmission interval
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: metric
                    
                    	Configure the metric for interface
                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.Isis.Metric>`
                    
                    .. attribute:: priority
                    
                    	Set priority for Designated Router election
                    	**type**\:  int
                    
                    	**range:** 0..127
                    
                    .. attribute:: retransmit_interval
                    
                    	Set per\-LSP retransmission interval
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: retransmit_throttle_interval
                    
                    	Set interface LSP retransmission interval
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authentication = Native.Interface.Overlay.Otv.Isis.Authentication()
                        self.authentication.parent = self
                        self.bfd = None
                        self.csnp_interval = None
                        self.hello = Native.Interface.Overlay.Otv.Isis.Hello()
                        self.hello.parent = self
                        self.hello_interval = Native.Interface.Overlay.Otv.Isis.HelloInterval()
                        self.hello_interval.parent = self
                        self.hello_multiplier = None
                        self.lsp_interval = None
                        self.metric = Native.Interface.Overlay.Otv.Isis.Metric()
                        self.metric.parent = self
                        self.priority = None
                        self.retransmit_interval = None
                        self.retransmit_throttle_interval = None


                    class Authentication(object):
                        """
                        ISIS authentication for interface related PDUs
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\:  str
                        
                        .. attribute:: mode
                        
                        	Authentication mode for PDUs
                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.Isis.Authentication.ModeEnum>`
                        
                        .. attribute:: send_only
                        
                        	Authentication send only, receive ignore
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_chain = None
                            self.mode = None
                            self.send_only = None

                        class ModeEnum(Enum):
                            """
                            ModeEnum

                            Authentication mode for PDUs

                            .. data:: md5 = 0

                            .. data:: text = 1

                            """

                            md5 = 0

                            text = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Otv.Isis.Authentication.ModeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_chain is not None:
                                return True

                            if self.mode is not None:
                                return True

                            if self.send_only is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Otv.Isis.Authentication']['meta_info']


                    class Hello(object):
                        """
                        Add padding to IS\-IS hello packets
                        
                        .. attribute:: padding
                        
                        	Pad hello packets
                        	**type**\:   :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.Isis.Hello.Padding>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.padding = None


                        class Padding(object):
                            """
                            Pad hello packets
                            
                            .. attribute:: always
                            
                            	Never pad hello packets if no prefix present
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.always = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:padding'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.always is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Overlay.Otv.Isis.Hello.Padding']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:hello'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.padding is not None and self.padding._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Otv.Isis.Hello']['meta_info']


                    class HelloInterval(object):
                        """
                        Set Hello interval in seconds
                        
                        .. attribute:: minimal
                        
                        	Holdtime 1 second, interval depends on multiplier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.minimal = None
                            self.value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:hello-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.minimal is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Otv.Isis.HelloInterval']['meta_info']


                    class Metric(object):
                        """
                        Configure the metric for interface
                        
                        .. attribute:: default
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: delay
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: error
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: expense
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: maximum
                        
                        	Maximum metric. All routers will exclude this link from their SPF
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.default = None
                            self.delay = None
                            self.error = None
                            self.expense = None
                            self.maximum = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:metric'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.default is not None:
                                return True

                            if self.delay is not None:
                                return True

                            if self.error is not None:
                                return True

                            if self.expense is not None:
                                return True

                            if self.maximum is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Otv.Isis.Metric']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:isis'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.bfd is not None:
                            return True

                        if self.csnp_interval is not None:
                            return True

                        if self.hello is not None and self.hello._has_data():
                            return True

                        if self.hello_interval is not None and self.hello_interval._has_data():
                            return True

                        if self.hello_multiplier is not None:
                            return True

                        if self.lsp_interval is not None:
                            return True

                        if self.metric is not None and self.metric._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.retransmit_interval is not None:
                            return True

                        if self.retransmit_throttle_interval is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Otv.Isis']['meta_info']


                class JoinInterface(object):
                    """
                    OTV VPN join\-interface
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.JoinInterface.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.JoinInterface.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.JoinInterface.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.JoinInterface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.Overlay.Otv.JoinInterface.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.Overlay.Otv.JoinInterface.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.Overlay.Otv.JoinInterface.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.Overlay.Otv.JoinInterface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Otv.JoinInterface.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Otv.JoinInterface.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Otv.JoinInterface.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Overlay.Otv.JoinInterface.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:join-interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Otv.JoinInterface']['meta_info']


                class Suppress(object):
                    """
                    Enable overlay packet suppression
                    
                    .. attribute:: arp_nd
                    
                    	Suppress sending ARP and neighbor discovery packets on overlay
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.arp_nd = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:suppress'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.arp_nd is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Otv.Suppress']['meta_info']


                class UseAdjacencyServer(object):
                    """
                    Point to remote Adjacency Server address
                    
                    .. attribute:: remote_pri_ip
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: remote_sec_ip
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: unicast_only
                    
                    	Unicast Only Capability
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.remote_pri_ip = None
                        self.remote_sec_ip = None
                        self.unicast_only = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:use-adjacency-server'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.remote_pri_ip is not None:
                            return True

                        if self.remote_sec_ip is not None:
                            return True

                        if self.unicast_only is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Overlay.Otv.UseAdjacencyServer']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:otv'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.adjacency_server is not None and self.adjacency_server._has_data():
                        return True

                    if self.control_group is not None:
                        return True

                    if self.data_group is not None:
                        return True

                    if self.encapsulation_format is not None and self.encapsulation_format._has_data():
                        return True

                    if self.filter_fhrp is not None:
                        return True

                    if self.isis is not None and self.isis._has_data():
                        return True

                    if self.join_interface is not None and self.join_interface._has_data():
                        return True

                    if self.suppress is not None and self.suppress._has_data():
                        return True

                    if self.use_adjacency_server is not None and self.use_adjacency_server._has_data():
                        return True

                    if self.vpn_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Overlay.Otv']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:overlay[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.carrier_delay is not None and self.carrier_delay._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.channel_group is not None and self.channel_group._has_data():
                    return True

                if self.channel_protocol is not None:
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.duplex is not None:
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.ethernet is not None and self.ethernet._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.negotiation is not None and self.negotiation._has_data():
                    return True

                if self.otv is not None and self.otv._has_data():
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.plim is not None and self.plim._has_data():
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.pppoe is not None and self.pppoe._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service is not None and self.service._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.shutdown is not None:
                    return True

                if self.speed is not None and self.speed._has_data():
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.synchronous is not None and self.synchronous._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.Overlay']['meta_info']


        class PortChannel(object):
            """
            Ethernet Channel of interfaces
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  int
            
            	**range:** 1..512
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Arp>`
            
            .. attribute:: authentication
            
            	Auth Manager Interface Configuration Commands
            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication>`
            
            .. attribute:: auto
            
            	Configure Automation
            	**type**\:   :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Auto>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Bfd>`
            
            .. attribute:: carrier_delay
            
            	Specify delay for interface transitions
            	**type**\:   :py:class:`CarrierDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.CarrierDelay>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cemoudp>`
            
            .. attribute:: channel_group
            
            	Add this interface to an Etherchannel group
            	**type**\:   :py:class:`ChannelGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ChannelGroup>`
            
            .. attribute:: channel_protocol
            
            	Select the channel protocol (LACP, PAgP)
            	**type**\:   :py:class:`ChannelProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ChannelProtocolEnum>`
            
            .. attribute:: crypto
            
            	Encryption/Decryption commands
            	**type**\:   :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Crypto>`
            
            .. attribute:: cts
            
            	Configure Cisco Trusted Security
            	**type**\:   :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: datalink
            
            	Interface Datalink commands
            	**type**\:   :py:class:`Datalink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Datalink>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Domain>`
            
            .. attribute:: dot1x
            
            	Interface Config Commands for IEEE 802.1X
            	**type**\:   :py:class:`Dot1X <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Dot1X>`
            
            .. attribute:: dual_active
            
            	
            	**type**\:   :py:class:`DualActive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.DualActive>`
            
            .. attribute:: duplex
            
            	Configure duplex operation
            	**type**\:   :py:class:`DuplexEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.DuplexEnum>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Encapsulation>`
            
            .. attribute:: energywise
            
            	EnergyWise interface configurations
            	**type**\:   :py:class:`Energywise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Energywise>`
            
            	**presence node**\: True
            
            .. attribute:: ethernet
            
            	Ethernet interface parameters
            	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: lacp
            
            	LACP Port Channel interface subcommands
            	**type**\:   :py:class:`Lacp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Lacp>`
            
            .. attribute:: lisp
            
            	Locator/ID Separation Protocol
            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Lisp>`
            
            .. attribute:: lldp
            
            	LLDP interface subcommands
            	**type**\:   :py:class:`Lldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Lldp>`
            
            .. attribute:: load_balancing
            
            	Etherchannel Load\-Balancing
            	**type**\:   :py:class:`LoadBalancing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.LoadBalancing>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: location
            
            	Interface location information
            	**type**\:   :py:class:`Location <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Location>`
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Logging>`
            
            .. attribute:: mab
            
            	
            	**type**\:   :py:class:`Mab <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mab>`
            
            	**presence node**\: True
            
            .. attribute:: mac
            
            	MAC interface commands
            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mac>`
            
            .. attribute:: macro
            
            	Command macro
            	**type**\:   :py:class:`Macro <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Macro>`
            
            .. attribute:: macsec
            
            	Enable macsec on the interface
            	**type**\:   :py:class:`Macsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Macsec>`
            
            	**presence node**\: True
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: negotiation
            
            	Select autonegotiation mode
            	**type**\:   :py:class:`Negotiation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Negotiation>`
            
            .. attribute:: ospfv3
            
            	OSPFv3 interface commands
            	**type**\:   :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3>`
            
            .. attribute:: pc_speed
            
            	Configure speed operation
            	**type**\:   :py:class:`PcSpeedEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.PcSpeedEnum>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Peer>`
            
            .. attribute:: plim
            
            	Configure features on the PLIM
            	**type**\:   :py:class:`Plim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.PmPath>`
            
            .. attribute:: port_channel
            
            	Port Channel interface subcommands
            	**type**\:   :py:class:`PortChannel_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.PortChannel_>`
            
            .. attribute:: pppoe
            
            	pppoe interface subcommands
            	**type**\:   :py:class:`Pppoe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Pppoe>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.RcvQueue>`
            
            .. attribute:: service
            
            	Configure Ether Service
            	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ServiceInsertionEnum>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ServicePolicy>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: snmp
            
            	Modify SNMP interface parameters
            	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Snmp>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SpanningTree>`
            
            .. attribute:: speed
            
            	Configure speed operation
            	**type**\:   :py:class:`Speed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Speed>`
            
            .. attribute:: srr_queue
            
            	
            	**type**\:   :py:class:`SrrQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SrrQueue>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl>`
            
            .. attribute:: switch
            
            	
            	**type**\:   :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switch>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SwitchportConf>`
            
            .. attribute:: synchronous
            
            	Synchronous
            	**type**\:   :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Synchronous>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Trust>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Utd>`
            
            .. attribute:: vlan_range
            
            	
            	**type**\: list of    :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.VlanRange>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Vrf>`
            
            .. attribute:: xconnect
            
            	Xconnect commands
            	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Xconnect>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.PortChannel.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.PortChannel.Arp()
                self.arp.parent = self
                self.authentication = Native.Interface.PortChannel.Authentication()
                self.authentication.parent = self
                self.auto = Native.Interface.PortChannel.Auto()
                self.auto.parent = self
                self.backup = Native.Interface.PortChannel.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.PortChannel.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.PortChannel.Bfd()
                self.bfd.parent = self
                self.carrier_delay = Native.Interface.PortChannel.CarrierDelay()
                self.carrier_delay.parent = self
                self.cemoudp = Native.Interface.PortChannel.Cemoudp()
                self.cemoudp.parent = self
                self.channel_group = Native.Interface.PortChannel.ChannelGroup()
                self.channel_group.parent = self
                self.channel_protocol = None
                self.crypto = Native.Interface.PortChannel.Crypto()
                self.crypto.parent = self
                self.cts = Native.Interface.PortChannel.Cts()
                self.cts.parent = self
                self.cws_tunnel = Native.Interface.PortChannel.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.datalink = Native.Interface.PortChannel.Datalink()
                self.datalink.parent = self
                self.delay = None
                self.description = None
                self.domain = Native.Interface.PortChannel.Domain()
                self.domain.parent = self
                self.dot1x = Native.Interface.PortChannel.Dot1X()
                self.dot1x.parent = self
                self.dual_active = Native.Interface.PortChannel.DualActive()
                self.dual_active.parent = self
                self.duplex = None
                self.encapsulation = Native.Interface.PortChannel.Encapsulation()
                self.encapsulation.parent = self
                self.energywise = None
                self.ethernet = Native.Interface.PortChannel.Ethernet()
                self.ethernet.parent = self
                self.fair_queue = Native.Interface.PortChannel.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.PortChannel.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.PortChannel.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.PortChannel.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.PortChannel.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.PortChannel.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.PortChannel.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.PortChannel.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.PortChannel.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.PortChannel.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.lacp = Native.Interface.PortChannel.Lacp()
                self.lacp.parent = self
                self.lisp = Native.Interface.PortChannel.Lisp()
                self.lisp.parent = self
                self.lldp = Native.Interface.PortChannel.Lldp()
                self.lldp.parent = self
                self.load_balancing = Native.Interface.PortChannel.LoadBalancing()
                self.load_balancing.parent = self
                self.load_interval = None
                self.location = Native.Interface.PortChannel.Location()
                self.location.parent = self
                self.logging = Native.Interface.PortChannel.Logging()
                self.logging.parent = self
                self.mab = None
                self.mac = Native.Interface.PortChannel.Mac()
                self.mac.parent = self
                self.macro = Native.Interface.PortChannel.Macro()
                self.macro.parent = self
                self.macsec = None
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.PortChannel.Mdix()
                self.mdix.parent = self
                self.mop = Native.Interface.PortChannel.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.PortChannel.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.negotiation = Native.Interface.PortChannel.Negotiation()
                self.negotiation.parent = self
                self.ospfv3 = Native.Interface.PortChannel.Ospfv3()
                self.ospfv3.parent = self
                self.pc_speed = None
                self.peer = Native.Interface.PortChannel.Peer()
                self.peer.parent = self
                self.plim = Native.Interface.PortChannel.Plim()
                self.plim.parent = self
                self.pm_path = Native.Interface.PortChannel.PmPath()
                self.pm_path.parent = self
                self.port_channel = Native.Interface.PortChannel.PortChannel_()
                self.port_channel.parent = self
                self.pppoe = Native.Interface.PortChannel.Pppoe()
                self.pppoe.parent = self
                self.priority_queue = Native.Interface.PortChannel.PriorityQueue()
                self.priority_queue.parent = self
                self.rcv_queue = Native.Interface.PortChannel.RcvQueue()
                self.rcv_queue.parent = self
                self.service = Native.Interface.PortChannel.Service()
                self.service.parent = self
                self.service_insertion = None
                self.service_policy = Native.Interface.PortChannel.ServicePolicy()
                self.service_policy.parent = self
                self.shutdown = None
                self.snmp = Native.Interface.PortChannel.Snmp()
                self.snmp.parent = self
                self.spanning_tree = Native.Interface.PortChannel.SpanningTree()
                self.spanning_tree.parent = self
                self.speed = Native.Interface.PortChannel.Speed()
                self.speed.parent = self
                self.srr_queue = Native.Interface.PortChannel.SrrQueue()
                self.srr_queue.parent = self
                self.standby = Native.Interface.PortChannel.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.PortChannel.StormControl()
                self.storm_control.parent = self
                self.switch = Native.Interface.PortChannel.Switch()
                self.switch.parent = self
                self.switchport = Native.Interface.PortChannel.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.PortChannel.SwitchportConf()
                self.switchport_conf.parent = self
                self.synchronous = Native.Interface.PortChannel.Synchronous()
                self.synchronous.parent = self
                self.trust = Native.Interface.PortChannel.Trust()
                self.trust.parent = self
                self.utd = Native.Interface.PortChannel.Utd()
                self.utd.parent = self
                self.vlan_range = YList()
                self.vlan_range.parent = self
                self.vlan_range.name = 'vlan_range'
                self.vrf = Native.Interface.PortChannel.Vrf()
                self.vrf.parent = self
                self.xconnect = Native.Interface.PortChannel.Xconnect()
                self.xconnect.parent = self

            class ChannelProtocolEnum(Enum):
                """
                ChannelProtocolEnum

                Select the channel protocol (LACP, PAgP)

                .. data:: lacp = 0

                .. data:: pagp = 1

                """

                lacp = 0

                pagp = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.ChannelProtocolEnum']


            class DuplexEnum(Enum):
                """
                DuplexEnum

                Configure duplex operation.

                .. data:: auto = 0

                .. data:: full = 1

                .. data:: half = 2

                """

                auto = 0

                full = 1

                half = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.DuplexEnum']


            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.IfStateEnum']


            class PcSpeedEnum(Enum):
                """
                PcSpeedEnum

                Configure speed operation.

                .. data:: Y_10 = 0

                .. data:: Y_100 = 1

                .. data:: Y_1000 = 2

                .. data:: nonegotiate = 3

                .. data:: auto = 4

                """

                Y_10 = 0

                Y_100 = 1

                Y_1000 = 2

                nonegotiate = 3

                auto = 4


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.PcSpeedEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.ServiceInsertionEnum']



            class Lacp(object):
                """
                LACP Port Channel interface subcommands
                
                .. attribute:: max_bundle
                
                	LACP maximum number of ports to bundle in this port channel
                	**type**\:  int
                
                	**range:** 1..8
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.max_bundle = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:lacp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.max_bundle is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Lacp']['meta_info']


            class PortChannel_(object):
                """
                Port Channel interface subcommands
                
                .. attribute:: min_links
                
                	Minimum number of bundled ports needed to bring up      this port channel
                	**type**\:  int
                
                	**range:** 2..8
                
                .. attribute:: standalone_disable
                
                	Ports will go to suspended mode if peer does not respond. Use with [no] prefix for independent mode
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.min_links = None
                    self.standalone_disable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:port-channel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.min_links is not None:
                        return True

                    if self.standalone_disable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.PortChannel_']['meta_info']


            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Access>`
                
                .. attribute:: autostate
                
                	Include or exclude this port from vlan link up calculation
                	**type**\:   :py:class:`Autostate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Autostate>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:   :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Block>`
                
                .. attribute:: host
                
                	Set port host
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:   :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: priority
                
                	Set appliance 802.1p priority
                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Priority>`
                
                .. attribute:: private_vlan
                
                	Set the private VLAN configuration
                	**type**\:   :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PrivateVlan>`
                
                .. attribute:: protected
                
                	Configure an interface to be a protected port
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: trunk
                
                	Set trunking characteristics of the interface
                	**type**\:   :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Trunk>`
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:   :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Voice>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access = Native.Interface.PortChannel.Switchport.Access()
                    self.access.parent = self
                    self.autostate = Native.Interface.PortChannel.Switchport.Autostate()
                    self.autostate.parent = self
                    self.block = Native.Interface.PortChannel.Switchport.Block()
                    self.block.parent = self
                    self.host = None
                    self.mode = Native.Interface.PortChannel.Switchport.Mode()
                    self.mode.parent = self
                    self.nonegotiate = None
                    self.port_security = None
                    self.priority = Native.Interface.PortChannel.Switchport.Priority()
                    self.priority.parent = self
                    self.private_vlan = Native.Interface.PortChannel.Switchport.PrivateVlan()
                    self.private_vlan.parent = self
                    self.protected = None
                    self.trunk = Native.Interface.PortChannel.Switchport.Trunk()
                    self.trunk.parent = self
                    self.voice = Native.Interface.PortChannel.Switchport.Voice()
                    self.voice.parent = self


                class Access(object):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	Set VLAN when interface is in access mode
                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Access.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = Native.Interface.PortChannel.Switchport.Access.Vlan()
                        self.vlan.parent = self


                    class Vlan(object):
                        """
                        Set VLAN when interface is in access mode
                        
                        .. attribute:: name
                        
                        	Vlan name
                        	**type**\:  str
                        
                        .. attribute:: vlan
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        
                        ----
                        	**type**\:   :py:class:`VlanEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.VlanEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.vlan = None

                        class VlanEnum(Enum):
                            """
                            VlanEnum

                            .. data:: dynamic = 0

                            """

                            dynamic = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Switchport.Access.Vlan.VlanEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Switchport.Access.Vlan']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:access'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None and self.vlan._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Switchport.Access']['meta_info']


                class Block(object):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: multicast
                    
                    	Block unknown multicast addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.multicast = None
                        self.unicast = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:block'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.multicast is not None:
                            return True

                        if self.unicast is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Switchport.Block']['meta_info']


                class Mode(object):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Mode.Access>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dot1q_tunnel
                    
                    	set trunking mode to TUNNEL unconditionally
                    	**type**\:   :py:class:`Dot1QTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Mode.Dot1QTunnel>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dynamic
                    
                    	Set trunking mode to dynamically negotiate access or trunk mode
                    	**type**\:   :py:class:`DynamicEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Mode.DynamicEnum>`
                    
                    .. attribute:: private_vlan
                    
                    	Set private\-vlan mode
                    	**type**\:   :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Mode.PrivateVlan>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\:   :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Mode.Trunk>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access = None
                        self.dot1q_tunnel = None
                        self.dynamic = None
                        self.private_vlan = Native.Interface.PortChannel.Switchport.Mode.PrivateVlan()
                        self.private_vlan.parent = self
                        self.trunk = None

                    class DynamicEnum(Enum):
                        """
                        DynamicEnum

                        Set trunking mode to dynamically negotiate access or trunk mode

                        .. data:: auto = 0

                        .. data:: desirable = 1

                        """

                        auto = 0

                        desirable = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Switchport.Mode.DynamicEnum']



                    class Access(object):
                        """
                        Set trunking mode to ACCESS unconditionally
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:access'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Switchport.Mode.Access']['meta_info']


                    class Dot1QTunnel(object):
                        """
                        set trunking mode to TUNNEL unconditionally
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:dot1q-tunnel'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Switchport.Mode.Dot1QTunnel']['meta_info']


                    class PrivateVlan(object):
                        """
                        Set private\-vlan mode
                        
                        .. attribute:: host
                        
                        	Set the mode to private\-vlan host
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: promiscuous
                        
                        	Set the mode to private\-vlan promiscuous
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.host = None
                            self.promiscuous = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:private-vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.host is not None:
                                return True

                            if self.promiscuous is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Switchport.Mode.PrivateVlan']['meta_info']


                    class Trunk(object):
                        """
                        Set trunking mode to TRUNK unconditionally
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:trunk'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Switchport.Mode.Trunk']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access is not None and self.access._has_data():
                            return True

                        if self.dot1q_tunnel is not None and self.dot1q_tunnel._has_data():
                            return True

                        if self.dynamic is not None:
                            return True

                        if self.private_vlan is not None and self.private_vlan._has_data():
                            return True

                        if self.trunk is not None and self.trunk._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Switchport.Mode']['meta_info']


                class PortSecurity(object):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:   :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: mac_address
                    
                    	Secure mac address
                    	**type**\:   :py:class:`MacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PortSecurity.MacAddress>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:   :py:class:`ViolationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PortSecurity.ViolationEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aging = Native.Interface.PortChannel.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self.mac_address = Native.Interface.PortChannel.Switchport.PortSecurity.MacAddress()
                        self.mac_address.parent = self
                        self.maximum = Native.Interface.PortChannel.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self.violation = None

                    class ViolationEnum(Enum):
                        """
                        ViolationEnum

                        Security violation mode

                        .. data:: protect = 0

                        .. data:: restrict = 1

                        .. data:: shutdown = 2

                        """

                        protect = 0

                        restrict = 1

                        shutdown = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Switchport.PortSecurity.ViolationEnum']



                    class Aging(object):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PortSecurity.Aging.TypeEnum>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = None
                            self.time = None
                            self.type = None

                        class TypeEnum(Enum):
                            """
                            TypeEnum

                            Port\-security aging type

                            .. data:: absolute = 0

                            .. data:: inactivity = 1

                            """

                            absolute = 0

                            inactivity = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Switchport.PortSecurity.Aging.TypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:aging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None:
                                return True

                            if self.time is not None:
                                return True

                            if self.type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Switchport.PortSecurity.Aging']['meta_info']


                    class MacAddress(object):
                        """
                        Secure mac address
                        
                        .. attribute:: hw_address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2}){5}
                        
                        .. attribute:: sticky
                        
                        	Configure dynamic secure addresses as sticky
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	set VLAN ID of the VLAN on which this address can be learned
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hw_address = None
                            self.sticky = None
                            self.vlan = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:mac-address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hw_address is not None:
                                return True

                            if self.sticky is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Switchport.PortSecurity.MacAddress']['meta_info']


                    class Maximum(object):
                        """
                        Max secure addresses
                        
                        .. attribute:: max_addresses
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4097
                        
                        .. attribute:: vlan
                        
                        	Max secure addresses per vlan
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max_addresses = None
                            self.vlan = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:maximum'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max_addresses is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Switchport.PortSecurity.Maximum']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:port-security'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aging is not None and self.aging._has_data():
                            return True

                        if self.mac_address is not None and self.mac_address._has_data():
                            return True

                        if self.maximum is not None and self.maximum._has_data():
                            return True

                        if self.violation is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Switchport.PortSecurity']['meta_info']


                class Trunk(object):
                    """
                    Set trunking characteristics of the interface
                    
                    .. attribute:: allowed
                    
                    	Set allowed VLAN characteristics when interface is in trunking mode
                    	**type**\:   :py:class:`Allowed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Trunk.Allowed>`
                    
                    .. attribute:: encapsulation
                    
                    	Set encapsulation format on trunk port
                    	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Trunk.EncapsulationEnum>`
                    
                    .. attribute:: native
                    
                    	Set trunking native characteristics when interface is in trunking mode
                    	**type**\:   :py:class:`Native_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Trunk.Native_>`
                    
                    .. attribute:: pruning
                    
                    	Set pruning VLAN characteristics when interface is in trunking mode
                    	**type**\:   :py:class:`Pruning <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Trunk.Pruning>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.allowed = Native.Interface.PortChannel.Switchport.Trunk.Allowed()
                        self.allowed.parent = self
                        self.encapsulation = None
                        self.native = Native.Interface.PortChannel.Switchport.Trunk.Native_()
                        self.native.parent = self
                        self.pruning = Native.Interface.PortChannel.Switchport.Trunk.Pruning()
                        self.pruning.parent = self

                    class EncapsulationEnum(Enum):
                        """
                        EncapsulationEnum

                        Set encapsulation format on trunk port

                        .. data:: dot1q = 0

                        .. data:: isl = 1

                        .. data:: negotiate = 2

                        """

                        dot1q = 0

                        isl = 1

                        negotiate = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Switchport.Trunk.EncapsulationEnum']



                    class Allowed(object):
                        """
                        Set allowed VLAN characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set allowed VLANs when interface is in trunking mode
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Trunk.Allowed.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vlan = Native.Interface.PortChannel.Switchport.Trunk.Allowed.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            Set allowed VLANs when interface is in trunking mode
                            
                            .. attribute:: add
                            
                            	VLAN IDs of the allowed VLANs when this port is in trunking mode
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: all
                            
                            	all VLANs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: except_
                            
                            	all VLANs except the following
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: none
                            
                            	no VLANs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: remove
                            
                            	VLAN IDs of disallowed VLANS when this port is in trunking mode
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: vlans
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.add = None
                                self.all = None
                                self.except_ = YLeafList()
                                self.except_.parent = self
                                self.except_.name = 'except_'
                                self.none = None
                                self.remove = None
                                self.vlans = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.add is not None:
                                    return True

                                if self.all is not None:
                                    return True

                                if self.except_ is not None:
                                    for child in self.except_:
                                        if child is not None:
                                            return True

                                if self.none is not None:
                                    return True

                                if self.remove is not None:
                                    return True

                                if self.vlans is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Switchport.Trunk.Allowed.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:allowed'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Switchport.Trunk.Allowed']['meta_info']


                    class Native_(object):
                        """
                        Set trunking native characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set native VLAN when interface is in trunking mode
                        	**type**\: one of the below types:
                        
                        	**type**\:   :py:class:`VlanEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_.VlanEnum>`
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vlan = None

                        class VlanEnum(Enum):
                            """
                            VlanEnum

                            Set native VLAN when interface is in trunking mode

                            .. data:: tag = 0

                            """

                            tag = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Switchport.Trunk.Native_.VlanEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:native'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Switchport.Trunk.Native_']['meta_info']


                    class Pruning(object):
                        """
                        Set pruning VLAN characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set VLANs enabled for pruning when interface is in trunking mode
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Trunk.Pruning.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vlan = Native.Interface.PortChannel.Switchport.Trunk.Pruning.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            Set VLANs enabled for pruning when interface is in trunking mode
                            
                            .. attribute:: add
                            
                            	VLAN IDs of the allowed VLANs when this port is in trunking mode
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: except_
                            
                            	all VLANs except the following
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: none
                            
                            	no VLANs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: remove
                            
                            	VLAN IDs of disallowed VLANS when this port is in trunking mode
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: vlans
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.add = None
                                self.except_ = YLeafList()
                                self.except_.parent = self
                                self.except_.name = 'except_'
                                self.none = None
                                self.remove = None
                                self.vlans = YLeafList()
                                self.vlans.parent = self
                                self.vlans.name = 'vlans'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.add is not None:
                                    return True

                                if self.except_ is not None:
                                    for child in self.except_:
                                        if child is not None:
                                            return True

                                if self.none is not None:
                                    return True

                                if self.remove is not None:
                                    return True

                                if self.vlans is not None:
                                    for child in self.vlans:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Switchport.Trunk.Pruning.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:pruning'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Switchport.Trunk.Pruning']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:trunk'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.allowed is not None and self.allowed._has_data():
                            return True

                        if self.encapsulation is not None:
                            return True

                        if self.native is not None and self.native._has_data():
                            return True

                        if self.pruning is not None and self.pruning._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Switchport.Trunk']['meta_info']


                class Voice(object):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: detect
                    
                    	detection enhancement keyword
                    	**type**\:   :py:class:`Detect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Voice.Detect>`
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Voice.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.detect = Native.Interface.PortChannel.Switchport.Voice.Detect()
                        self.detect.parent = self
                        self.vlan = Native.Interface.PortChannel.Switchport.Voice.Vlan()
                        self.vlan.parent = self


                    class Vlan(object):
                        """
                        Vlan for voice traffic
                        
                        .. attribute:: name
                        
                        	Vlan name
                        	**type**\:  str
                        
                        .. attribute:: vlan
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:   :py:class:`VlanEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.VlanEnum>`
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        
                        ----
                        	**type**\:  str
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.vlan = None

                        class VlanEnum(Enum):
                            """
                            VlanEnum

                            .. data:: dot1p = 0

                            .. data:: none = 1

                            .. data:: untagged = 2

                            """

                            dot1p = 0

                            none = 1

                            untagged = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Switchport.Voice.Vlan.VlanEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Switchport.Voice.Vlan']['meta_info']


                    class Detect(object):
                        """
                        detection enhancement keyword
                        
                        .. attribute:: cisco_phone
                        
                        	Cisco IP phone
                        	**type**\:   :py:class:`CiscoPhone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Voice.Detect.CiscoPhone>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cisco_phone = None


                        class CiscoPhone(object):
                            """
                            Cisco IP phone
                            
                            .. attribute:: full_duplex
                            
                            	full duplex keyword
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.full_duplex = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:cisco-phone'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.full_duplex is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Switchport.Voice.Detect.CiscoPhone']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:detect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cisco_phone is not None and self.cisco_phone._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Switchport.Voice.Detect']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:voice'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.detect is not None and self.detect._has_data():
                            return True

                        if self.vlan is not None and self.vlan._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Switchport.Voice']['meta_info']


                class Priority(object):
                    """
                    Set appliance 802.1p priority
                    
                    .. attribute:: extend
                    
                    	Set appliance 802.1p priority
                    	**type**\:   :py:class:`Extend <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Priority.Extend>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.extend = Native.Interface.PortChannel.Switchport.Priority.Extend()
                        self.extend.parent = self


                    class Extend(object):
                        """
                        Set appliance 802.1p priority
                        
                        .. attribute:: cos
                        
                        	Override 802.1p priority of devices on appliance
                        	**type**\:  int
                        
                        	**range:** 0..7
                        
                        .. attribute:: trust
                        
                        	Trust 802.1p priorities of devices on appliance
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cos = None
                            self.trust = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:extend'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cos is not None:
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Switchport.Priority.Extend']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:priority'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.extend is not None and self.extend._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Switchport.Priority']['meta_info']


                class Autostate(object):
                    """
                    Include or exclude this port from vlan link up calculation
                    
                    .. attribute:: exclude
                    
                    	Exclude this port from vlan link up calculation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.exclude = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:autostate'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.exclude is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Switchport.Autostate']['meta_info']


                class PrivateVlan(object):
                    """
                    Set the private VLAN configuration
                    
                    .. attribute:: association
                    
                    	Set the private VLAN association
                    	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PrivateVlan.Association>`
                    
                    .. attribute:: host_association
                    
                    	Set the private VLAN host association
                    	**type**\:   :py:class:`HostAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PrivateVlan.HostAssociation>`
                    
                    .. attribute:: mapping
                    
                    	Set the private VLAN promiscuous mapping
                    	**type**\:   :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PrivateVlan.Mapping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.association = Native.Interface.PortChannel.Switchport.PrivateVlan.Association()
                        self.association.parent = self
                        self.host_association = Native.Interface.PortChannel.Switchport.PrivateVlan.HostAssociation()
                        self.host_association.parent = self
                        self.mapping = Native.Interface.PortChannel.Switchport.PrivateVlan.Mapping()
                        self.mapping.parent = self


                    class Association(object):
                        """
                        Set the private VLAN association
                        
                        .. attribute:: host
                        
                        	Set the private VLAN host association
                        	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Host>`
                        
                        .. attribute:: mapping
                        
                        	Set the private VLAN promiscuous mapping
                        	**type**\:   :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Mapping>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.host = Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Host()
                            self.host.parent = self
                            self.mapping = Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Mapping()
                            self.mapping.parent = self


                        class Host(object):
                            """
                            Set the private VLAN host association
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN port association
                            	**type**\:  int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: secondary_range
                            
                            	Secondary normal range VLAN ID of the private VLAN host port association
                            	**type**\:  int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.primary_range = None
                                self.secondary_range = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.primary_range is not None:
                                    return True

                                if self.secondary_range is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Host']['meta_info']


                        class Mapping(object):
                            """
                            Set the private VLAN promiscuous mapping
                            
                            .. attribute:: add
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\:  str
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                            	**type**\:  int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: remove
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\:  str
                            
                            .. attribute:: secondary_range
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.add = None
                                self.primary_range = None
                                self.remove = None
                                self.secondary_range = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.add is not None:
                                    return True

                                if self.primary_range is not None:
                                    return True

                                if self.remove is not None:
                                    return True

                                if self.secondary_range is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Mapping']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:association'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.host is not None and self.host._has_data():
                                return True

                            if self.mapping is not None and self.mapping._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Switchport.PrivateVlan.Association']['meta_info']


                    class HostAssociation(object):
                        """
                        Set the private VLAN host association
                        
                        .. attribute:: primary_range
                        
                        	Primary normal range VLAN ID of the private VLAN port association
                        	**type**\:  int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        .. attribute:: secondary_range
                        
                        	Secondary normal range VLAN ID of the private VLAN host port association
                        	**type**\:  int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.primary_range = None
                            self.secondary_range = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host-association'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.primary_range is not None:
                                return True

                            if self.secondary_range is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Switchport.PrivateVlan.HostAssociation']['meta_info']


                    class Mapping(object):
                        """
                        Set the private VLAN promiscuous mapping
                        
                        .. attribute:: add
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\:  str
                        
                        .. attribute:: primary_range
                        
                        	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                        	**type**\:  int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        .. attribute:: remove
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\:  str
                        
                        .. attribute:: secondary_range
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.add = None
                            self.primary_range = None
                            self.remove = None
                            self.secondary_range = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:mapping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.add is not None:
                                return True

                            if self.primary_range is not None:
                                return True

                            if self.remove is not None:
                                return True

                            if self.secondary_range is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Switchport.PrivateVlan.Mapping']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:private-vlan'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.association is not None and self.association._has_data():
                            return True

                        if self.host_association is not None and self.host_association._has_data():
                            return True

                        if self.mapping is not None and self.mapping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Switchport.PrivateVlan']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access is not None and self.access._has_data():
                        return True

                    if self.autostate is not None and self.autostate._has_data():
                        return True

                    if self.block is not None and self.block._has_data():
                        return True

                    if self.host is not None:
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.port_security is not None and self.port_security._has_data():
                        return True

                    if self.priority is not None and self.priority._has_data():
                        return True

                    if self.private_vlan is not None and self.private_vlan._has_data():
                        return True

                    if self.protected is not None:
                        return True

                    if self.trunk is not None and self.trunk._has_data():
                        return True

                    if self.voice is not None and self.voice._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.PortChannel.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.PortChannel.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.PortChannel.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.PortChannel.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.PortChannel.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.PortChannel.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.PortChannel.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.PortChannel.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.PortChannel.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.PortChannel.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.PortChannel.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.PortChannel.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.PortChannel.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                .. attribute:: echo
                
                	Use echo adjunct as bfd detection mechanism
                	**type**\:  bool
                
                .. attribute:: interval
                
                	Transmit interval between BFD packets
                	**type**\:   :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Bfd.Interval>`
                
                .. attribute:: template
                
                	BFD template
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.echo = None
                    self.interval = Native.Interface.PortChannel.Bfd.Interval()
                    self.interval.parent = self
                    self.template = None


                class Interval(object):
                    """
                    Transmit interval between BFD packets
                    
                    .. attribute:: min_rx
                    
                    	Minimum receive interval capability
                    	**type**\:  int
                    
                    	**range:** 100..999
                    
                    .. attribute:: msecs
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 100..999
                    
                    .. attribute:: multiplier
                    
                    	Multiplier value used to compute holddown
                    	**type**\:  int
                    
                    	**range:** 3..50
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.min_rx = None
                        self.msecs = None
                        self.multiplier = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bfd:interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.min_rx is not None:
                            return True

                        if self.msecs is not None:
                            return True

                        if self.multiplier is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Bfd.Interval']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.echo is not None:
                        return True

                    if self.interval is not None and self.interval._has_data():
                        return True

                    if self.template is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.PortChannel.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.PortChannel.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                .. attribute:: accounting
                
                	Enable MPLS accounting on this interface
                	**type**\:   :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.Accounting>`
                
                .. attribute:: bgp
                
                	MPLS BGP
                	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.Bgp>`
                
                .. attribute:: ip
                
                	Configure dynamic MPLS forwarding for IP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: label
                
                	Label properties
                	**type**\:   :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.Label>`
                
                .. attribute:: ldp
                
                	Configure Label Distribution Protocol (LDP) parameters
                	**type**\:   :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.Ldp>`
                
                .. attribute:: mtu
                
                	Set MPLS Maximum Transmission Unit
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1501..1524
                
                
                ----
                	**type**\:  int
                
                	**range:** 64..1500
                
                
                ----
                	**type**\:  int
                
                	**range:** 64..9216
                
                
                ----
                .. attribute:: traffic_eng
                
                	Configure Traffic Engineering parameters
                	**type**\:   :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.TrafficEng>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.accounting = Native.Interface.PortChannel.Mpls.Accounting()
                    self.accounting.parent = self
                    self.bgp = Native.Interface.PortChannel.Mpls.Bgp()
                    self.bgp.parent = self
                    self.ip = None
                    self.label = Native.Interface.PortChannel.Mpls.Label()
                    self.label.parent = self
                    self.ldp = Native.Interface.PortChannel.Mpls.Ldp()
                    self.ldp.parent = self
                    self.mtu = None
                    self.traffic_eng = Native.Interface.PortChannel.Mpls.TrafficEng()
                    self.traffic_eng.parent = self


                class Accounting(object):
                    """
                    Enable MPLS accounting on this interface
                    
                    .. attribute:: experimental
                    
                    	Count packets by MPLS experimental value on this interface
                    	**type**\:   :py:class:`Experimental <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.Accounting.Experimental>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.experimental = Native.Interface.PortChannel.Mpls.Accounting.Experimental()
                        self.experimental.parent = self


                    class Experimental(object):
                        """
                        Count packets by MPLS experimental value on this interface
                        
                        .. attribute:: input
                        
                        	received packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	transmitted packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = None
                            self.output = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:experimental'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None:
                                return True

                            if self.output is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Mpls.Accounting.Experimental']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:accounting'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.experimental is not None and self.experimental._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Mpls.Accounting']['meta_info']


                class Bgp(object):
                    """
                    MPLS BGP
                    
                    .. attribute:: forwarding
                    
                    	Configure MPLS forwarding for directly connected BGP peers
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:bgp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Mpls.Bgp']['meta_info']


                class Label(object):
                    """
                    Label properties
                    
                    .. attribute:: protocol
                    
                    	Configure label/tag distribution protocol (LDP/TDP)
                    	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.Label.ProtocolEnum>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.protocol = None

                    class ProtocolEnum(Enum):
                        """
                        ProtocolEnum

                        Configure label/tag distribution protocol (LDP/TDP)

                        .. data:: both = 0

                        .. data:: ldp = 1

                        .. data:: tdp = 2

                        """

                        both = 0

                        ldp = 1

                        tdp = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Mpls.Label.ProtocolEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:label'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.protocol is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Mpls.Label']['meta_info']


                class Ldp(object):
                    """
                    Configure Label Distribution Protocol (LDP) parameters
                    
                    .. attribute:: discovery
                    
                    	Configure interface LDP Discovery parameters
                    	**type**\:   :py:class:`Discovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.Ldp.Discovery>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.discovery = Native.Interface.PortChannel.Mpls.Ldp.Discovery()
                        self.discovery.parent = self


                    class Discovery(object):
                        """
                        Configure interface LDP Discovery parameters
                        
                        .. attribute:: transport_address
                        
                        	Specify interface LDP transport address
                        	**type**\: one of the below types:
                        
                        	**type**\:   :py:class:`LdpDiscoveryAddressTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_mpls.LdpDiscoveryAddressTypeEnum>`
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.transport_address = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:discovery'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.transport_address is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Mpls.Ldp.Discovery']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:ldp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.discovery is not None and self.discovery._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Mpls.Ldp']['meta_info']


                class TrafficEng(object):
                    """
                    Configure Traffic Engineering parameters
                    
                    .. attribute:: administrative_weight
                    
                    	Set the administrative weight for the interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: attribute_flags
                    
                    	Set user\-defined interface attibute flags
                    	**type**\:  str
                    
                    .. attribute:: backup_path
                    
                    	Configure an MPLS TE backup for this interface
                    	**type**\:  str
                    
                    .. attribute:: flooding
                    
                    	Set flooding parameters
                    	**type**\:   :py:class:`Flooding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.TrafficEng.Flooding>`
                    
                    .. attribute:: tunnels
                    
                    	enable MPLS Traffic Engineering tunnels
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.administrative_weight = None
                        self.attribute_flags = None
                        self.backup_path = None
                        self.flooding = Native.Interface.PortChannel.Mpls.TrafficEng.Flooding()
                        self.flooding.parent = self
                        self.tunnels = None


                    class Flooding(object):
                        """
                        Set flooding parameters
                        
                        .. attribute:: thresholds
                        
                        	Set flooding thresholds
                        	**type**\:   :py:class:`Thresholds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.TrafficEng.Flooding.Thresholds>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.thresholds = Native.Interface.PortChannel.Mpls.TrafficEng.Flooding.Thresholds()
                            self.thresholds.parent = self


                        class Thresholds(object):
                            """
                            Set flooding thresholds
                            
                            .. attribute:: down
                            
                            	Set the thresholds for decreased resource availability
                            	**type**\:  list of int
                            
                            	**range:** 0..100
                            
                            .. attribute:: up
                            
                            	Set the thresholds for increased resource availability
                            	**type**\:  list of int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.down = YLeafList()
                                self.down.parent = self
                                self.down.name = 'down'
                                self.up = YLeafList()
                                self.up.parent = self
                                self.up.name = 'up'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:thresholds'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.down is not None:
                                    for child in self.down:
                                        if child is not None:
                                            return True

                                if self.up is not None:
                                    for child in self.up:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Mpls.TrafficEng.Flooding.Thresholds']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:flooding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.thresholds is not None and self.thresholds._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Mpls.TrafficEng.Flooding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:traffic-eng'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.administrative_weight is not None:
                            return True

                        if self.attribute_flags is not None:
                            return True

                        if self.backup_path is not None:
                            return True

                        if self.flooding is not None and self.flooding._has_data():
                            return True

                        if self.tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Mpls.TrafficEng']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.accounting is not None and self.accounting._has_data():
                        return True

                    if self.bgp is not None and self.bgp._has_data():
                        return True

                    if self.ip is not None:
                        return True

                    if self.label is not None and self.label._has_data():
                        return True

                    if self.ldp is not None and self.ldp._has_data():
                        return True

                    if self.mtu is not None:
                        return True

                    if self.traffic_eng is not None and self.traffic_eng._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.PortChannel.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.PortChannel.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Flow>`
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.HoldTime>`
                
                .. attribute:: igmp
                
                	IGMP interface commands
                	**type**\:   :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Igmp>`
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol
                	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Lisp>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: nat
                
                	NAT interface commands
                	**type**\:   :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Nat>`
                
                .. attribute:: nbar
                
                	Network\-Based Application Recognition
                	**type**\:   :py:class:`Nbar <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Nbar>`
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.NoAddress>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:   :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Vrf>`
                
                .. attribute:: wccp
                
                	WCCP IPv4 interface commands
                	**type**\:   :py:class:`Wccp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.PortChannel.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.PortChannel.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.PortChannel.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.PortChannel.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.PortChannel.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.flow = Native.Interface.PortChannel.Ip.Flow()
                    self.flow.parent = self
                    self.hello_interval = Native.Interface.PortChannel.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.PortChannel.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.igmp = Native.Interface.PortChannel.Ip.Igmp()
                    self.igmp.parent = self
                    self.lisp = Native.Interface.PortChannel.Ip.Lisp()
                    self.lisp.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.nat = Native.Interface.PortChannel.Ip.Nat()
                    self.nat.parent = self
                    self.nbar = Native.Interface.PortChannel.Ip.Nbar()
                    self.nbar.parent = self
                    self.no_address = Native.Interface.PortChannel.Ip.NoAddress()
                    self.no_address.parent = self
                    self.ospf = Native.Interface.PortChannel.Ip.Ospf()
                    self.ospf.parent = self
                    self.pim = Native.Interface.PortChannel.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.PortChannel.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.PortChannel.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.PortChannel.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.PortChannel.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.PortChannel.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.verify = Native.Interface.PortChannel.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.PortChannel.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.PortChannel.Ip.Vrf()
                    self.vrf.parent = self
                    self.wccp = Native.Interface.PortChannel.Ip.Wccp()
                    self.wccp.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.PortChannel.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.PortChannel.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.PortChannel.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.PortChannel.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.PortChannel.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.PortChannel.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.PortChannel.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.PortChannel.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.PortChannel.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.PortChannel.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.PortChannel.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.PortChannel.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.PortChannel.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    .. attribute:: accept_register
                    
                    	
                    	**type**\:   :py:class:`AcceptRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Pim.AcceptRegister>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM router DR priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: nbma_mode
                    
                    	Enable PIM nbma\-mode operation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: query_interval
                    
                    	PIM router query interval
                    	**type**\:   :py:class:`QueryInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Pim.QueryInterval>`
                    
                    .. attribute:: sparse_mode
                    
                    	
                    	**type**\:   :py:class:`SparseModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Pim.SparseModeEnum>`
                    
                    .. attribute:: spt_threshold
                    
                    	
                    	**type**\:   :py:class:`SptThresholdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Pim.SptThresholdEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.accept_register = Native.Interface.PortChannel.Ip.Pim.AcceptRegister()
                        self.accept_register.parent = self
                        self.dr_priority = None
                        self.nbma_mode = None
                        self.query_interval = Native.Interface.PortChannel.Ip.Pim.QueryInterval()
                        self.query_interval.parent = self
                        self.sparse_mode = None
                        self.spt_threshold = None

                    class SparseModeEnum(Enum):
                        """
                        SparseModeEnum

                        .. data:: sparse_dense_mode = 0

                        .. data:: sparse_mode = 1

                        """

                        sparse_dense_mode = 0

                        sparse_mode = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Pim.SparseModeEnum']


                    class SptThresholdEnum(Enum):
                        """
                        SptThresholdEnum

                        .. data:: infinity = 0

                        """

                        infinity = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Pim.SptThresholdEnum']



                    class AcceptRegister(object):
                        """
                        
                        
                        .. attribute:: list
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.list = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:accept-register'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Pim.AcceptRegister']['meta_info']


                    class QueryInterval(object):
                        """
                        PIM router query interval
                        
                        .. attribute:: milliseconds_interval
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 100..65535
                        
                        .. attribute:: msec
                        
                        	Query interval in milliseconds
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        .. attribute:: seconds_interval
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..18725
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.milliseconds_interval = None
                            self.msec = None
                            self.seconds_interval = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:query-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.milliseconds_interval is not None:
                                return True

                            if self.msec is not None:
                                return True

                            if self.seconds_interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Pim.QueryInterval']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.accept_register is not None and self.accept_register._has_data():
                            return True

                        if self.dr_priority is not None:
                            return True

                        if self.nbma_mode is not None:
                            return True

                        if self.query_interval is not None and self.query_interval._has_data():
                            return True

                        if self.sparse_mode is not None:
                            return True

                        if self.spt_threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    .. attribute:: client
                    
                    	DHCP client configuration
                    	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Client>`
                    
                    .. attribute:: relay
                    
                    	DHCP relay configuration parameters
                    	**type**\:   :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Relay>`
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.client = Native.Interface.PortChannel.Ip.Dhcp.Client()
                        self.client.parent = self
                        self.relay = Native.Interface.PortChannel.Ip.Dhcp.Relay()
                        self.relay.parent = self
                        self.snooping = Native.Interface.PortChannel.Ip.Dhcp.Snooping()
                        self.snooping.parent = self


                    class Client(object):
                        """
                        DHCP client configuration
                        
                        .. attribute:: hostname
                        
                        	Specify hostname to use
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hostname = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:client'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Dhcp.Client']['meta_info']


                    class Relay(object):
                        """
                        DHCP relay configuration parameters
                        
                        .. attribute:: information
                        
                        	DHCP relay information option
                        	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Relay.Information>`
                        
                        .. attribute:: source_interface
                        
                        	Set source interface for relayed messages
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.information = Native.Interface.PortChannel.Ip.Dhcp.Relay.Information()
                            self.information.parent = self
                            self.source_interface = None


                        class Information(object):
                            """
                            DHCP relay information option
                            
                            .. attribute:: check_reply
                            
                            	Validate relay information in BOOTREPLY
                            	**type**\:   :py:class:`CheckReply <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.CheckReply>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: option
                            
                            	DHCP relay information option
                            	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.Option>`
                            
                            .. attribute:: option_insert
                            
                            	Insert relay information in BOOTREQUEST
                            	**type**\:   :py:class:`OptionInsert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.OptionInsert>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: policy_action
                            
                            	Define reforwarding policy
                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.PolicyActionEnum>`
                            
                            .. attribute:: trusted
                            
                            	Received DHCP packet may contain relay info option with zero giaddr
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.check_reply = None
                                self.option = Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.Option()
                                self.option.parent = self
                                self.option_insert = None
                                self.policy_action = None
                                self.trusted = None

                            class PolicyActionEnum(Enum):
                                """
                                PolicyActionEnum

                                Define reforwarding policy

                                .. data:: drop = 0

                                .. data:: encapsulate = 1

                                .. data:: keep = 2

                                .. data:: replace = 3

                                """

                                drop = 0

                                encapsulate = 1

                                keep = 2

                                replace = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.PolicyActionEnum']



                            class CheckReply(object):
                                """
                                Validate relay information in BOOTREPLY
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.none = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:check-reply'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.none is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.CheckReply']['meta_info']


                            class Option(object):
                                """
                                DHCP relay information option
                                
                                .. attribute:: subscriber_id
                                
                                	Subscriber identifier sub option
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.subscriber_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.subscriber_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.Option']['meta_info']


                            class OptionInsert(object):
                                """
                                Insert relay information in BOOTREQUEST
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.none = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option-insert'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.none is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.OptionInsert']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.check_reply is not None and self.check_reply._has_data():
                                    return True

                                if self.option is not None and self.option._has_data():
                                    return True

                                if self.option_insert is not None and self.option_insert._has_data():
                                    return True

                                if self.policy_action is not None:
                                    return True

                                if self.trusted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.Dhcp.Relay.Information']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:relay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.information is not None and self.information._has_data():
                                return True

                            if self.source_interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Dhcp.Relay']['meta_info']


                    class Snooping(object):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Snooping.Limit>`
                        
                        .. attribute:: trust
                        
                        	DHCP Snooping trust config
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	DHCP Snooping vlan
                        	**type**\: list of    :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.PortChannel.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self.trust = None
                            self.vlan = YList()
                            self.vlan.parent = self
                            self.vlan.name = 'vlan'


                        class Limit(object):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP Snooping limit
                            	**type**\:  int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.Dhcp.Snooping.Limit']['meta_info']


                        class Vlan(object):
                            """
                            DHCP Snooping vlan
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            .. attribute:: information
                            
                            	DHCP Snooping information
                            	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.information = Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information()
                                self.information.parent = self


                            class Information(object):
                                """
                                DHCP Snooping information
                                
                                .. attribute:: option
                                
                                	DHCP Snooping information option
                                	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option>`
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.option = Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option()
                                    self.option.parent = self


                                class Option(object):
                                    """
                                    DHCP Snooping information option
                                    
                                    .. attribute:: format_type
                                    
                                    	Option 82 information format
                                    	**type**\:   :py:class:`FormatType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-dhcp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.format_type = Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType()
                                        self.format_type.parent = self


                                    class FormatType(object):
                                        """
                                        Option 82 information format
                                        
                                        .. attribute:: circuit_id
                                        
                                        	Circuit id option 82 format
                                        	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId>`
                                        
                                        

                                        """

                                        _prefix = 'ios-dhcp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.circuit_id = Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId()
                                            self.circuit_id.parent = self


                                        class CircuitId(object):
                                            """
                                            Circuit id option 82 format
                                            
                                            .. attribute:: string
                                            
                                            	User defined string for circuit id
                                            	**type**\:  str
                                            
                                            	**length:** 3..63
                                            
                                            

                                            """

                                            _prefix = 'ios-dhcp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.string = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:circuit-id'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.string is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:format-type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.circuit_id is not None and self.circuit_id._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.format_type is not None and self.format_type._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:information'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.option is not None and self.option._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:vlan[Cisco-IOS-XE-dhcp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.information is not None and self.information._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:snooping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            if self.vlan is not None:
                                for child_ref in self.vlan:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Dhcp.Snooping']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.client is not None and self.client._has_data():
                            return True

                        if self.relay is not None and self.relay._has_data():
                            return True

                        if self.snooping is not None and self.snooping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.PortChannel.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.PortChannel.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.PortChannel.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.Verify']['meta_info']


                class Flow(object):
                    """
                    NetFlow related commands
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of    :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.egress = None
                        self.ingress = None
                        self.monitor = YList()
                        self.monitor.parent = self
                        self.monitor.name = 'monitor'


                    class Monitor(object):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\:  str
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of    :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Flow.Monitor.Sampler>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.input = None
                            self.multicast = None
                            self.output = None
                            self.sampler = YList()
                            self.sampler.parent = self
                            self.sampler.name = 'sampler'
                            self.unicast = None


                        class Sampler(object):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Flow.Monitor.Sampler.DirectionEnum>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.direction = None
                                self.name = None

                            class DirectionEnum(Enum):
                                """
                                DirectionEnum

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = 0

                                output = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ip.Flow.Monitor.Sampler.DirectionEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.direction is None:
                                    raise YPYModelError('Key property direction is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:sampler[Cisco-IOS-XE-flow:direction = ' + str(self.direction) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.direction is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.Flow.Monitor.Sampler']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:monitor[Cisco-IOS-XE-flow:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.input is not None:
                                return True

                            if self.multicast is not None:
                                return True

                            if self.output is not None:
                                return True

                            if self.sampler is not None:
                                for child_ref in self.sampler:
                                    if child_ref._has_data():
                                        return True

                            if self.unicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Flow.Monitor']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.egress is not None:
                            return True

                        if self.ingress is not None:
                            return True

                        if self.monitor is not None:
                            for child_ref in self.monitor:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.Flow']['meta_info']


                class Igmp(object):
                    """
                    IGMP interface commands
                    
                    .. attribute:: join_group
                    
                    	IGMP join multicast group
                    	**type**\: list of    :py:class:`JoinGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Igmp.JoinGroup>`
                    
                    .. attribute:: static_group
                    
                    	IGMP static multicast group
                    	**type**\:   :py:class:`StaticGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Igmp.StaticGroup>`
                    
                    .. attribute:: version
                    
                    	IGMP version
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.join_group = YList()
                        self.join_group.parent = self
                        self.join_group.name = 'join_group'
                        self.static_group = Native.Interface.PortChannel.Ip.Igmp.StaticGroup()
                        self.static_group.parent = self
                        self.version = None


                    class StaticGroup(object):
                        """
                        IGMP static multicast group
                        
                        .. attribute:: class_map
                        
                        	Class map of type multicast\-flows
                        	**type**\: list of    :py:class:`ClassMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Igmp.StaticGroup.ClassMap>`
                        
                        .. attribute:: groups
                        
                        	
                        	**type**\: list of    :py:class:`Groups <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Igmp.StaticGroup.Groups>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.class_map = YList()
                            self.class_map.parent = self
                            self.class_map.name = 'class_map'
                            self.groups = YList()
                            self.groups.parent = self
                            self.groups.name = 'groups'


                        class Groups(object):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:   :py:class:`NameEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            class NameEnum(Enum):
                                """
                                NameEnum

                                .. data:: Y__STAR__ = 0

                                """

                                Y__STAR__ = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ip.Igmp.StaticGroup.Groups.NameEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-igmp:groups[Cisco-IOS-XE-igmp:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.Igmp.StaticGroup.Groups']['meta_info']


                        class ClassMap(object):
                            """
                            Class map of type multicast\-flows
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-igmp:class-map[Cisco-IOS-XE-igmp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.Igmp.StaticGroup.ClassMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-igmp:static-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.class_map is not None:
                                for child_ref in self.class_map:
                                    if child_ref._has_data():
                                        return True

                            if self.groups is not None:
                                for child_ref in self.groups:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Igmp.StaticGroup']['meta_info']


                    class JoinGroup(object):
                        """
                        IGMP join multicast group
                        
                        .. attribute:: ip_group_address  <key>
                        
                        	IP group address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source
                        
                        	IP source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip_group_address = None
                            self.source = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ip_group_address is None:
                                raise YPYModelError('Key property ip_group_address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-igmp:join-group[Cisco-IOS-XE-igmp:ip-group-address = ' + str(self.ip_group_address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip_group_address is not None:
                                return True

                            if self.source is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Igmp.JoinGroup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-igmp:igmp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.join_group is not None:
                            for child_ref in self.join_group:
                                if child_ref._has_data():
                                    return True

                        if self.static_group is not None and self.static_group._has_data():
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.Igmp']['meta_info']


                class Lisp(object):
                    """
                    Locator/ID Separation Protocol
                    
                    .. attribute:: source_locator
                    
                    	Choose IP source address for LISP packets egressing this interface
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source_locator = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source_locator is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.Lisp']['meta_info']


                class Nat(object):
                    """
                    NAT interface commands
                    
                    .. attribute:: allow_static_host
                    
                    	Allow static\-ip clients
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Enable Address Translation (NVI)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: inside
                    
                    	Inside interface for address translation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: outside
                    
                    	Outside interface for address translation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-nat'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.allow_static_host = None
                        self.enable = None
                        self.inside = None
                        self.outside = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-nat:nat'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.allow_static_host is not None:
                            return True

                        if self.enable is not None:
                            return True

                        if self.inside is not None:
                            return True

                        if self.outside is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.Nat']['meta_info']


                class Nbar(object):
                    """
                    Network\-Based Application Recognition
                    
                    .. attribute:: protocol_discovery
                    
                    	Enable protocol discovery for both ipv4 and ipv6
                    	**type**\:   :py:class:`ProtocolDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Nbar.ProtocolDiscovery>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.protocol_discovery = None


                    class ProtocolDiscovery(object):
                        """
                        Enable protocol discovery for both ipv4 and ipv6
                        
                        .. attribute:: ipv4_ipv6
                        
                        	
                        	**type**\:   :py:class:`Ipv4Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-nbar'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ipv4_ipv6 = None

                        class Ipv4Ipv6Enum(Enum):
                            """
                            Ipv4Ipv6Enum

                            .. data:: ipv4 = 0

                            .. data:: ipv6 = 1

                            """

                            ipv4 = 0

                            ipv6 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nbar:protocol-discovery'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ipv4_ipv6 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Nbar.ProtocolDiscovery']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-nbar:nbar'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.protocol_discovery is not None and self.protocol_discovery._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.Nbar']['meta_info']


                class Ospf(object):
                    """
                    OSPF interface commands
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.Authentication>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: authentication_key
                    
                    	Set authentication key
                    	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.AuthenticationKey>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:   :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.DeadInterval>`
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF Demand Circuit
                    	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: fast_reroute
                    
                    	LFA FastReroute parameters
                    	**type**\:   :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.FastReroute>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: lls
                    
                    	Link\-local Signaling (LLS) support
                    	**type**\:   :py:class:`Lls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.Lls>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: message_digest_key
                    
                    	Set message digest key
                    	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.MultiArea>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:   :py:class:`NetworkEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.NetworkEnum>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: process_id
                    
                    	
                    	**type**\: list of    :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.ProcessId>`
                    
                    .. attribute:: resync_timeout
                    
                    	Interval after which adjacency is reset if oob\-resync is not started
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Set OSPF protocol's state to disable under current interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ttl_security
                    
                    	TTL security check
                    	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.TtlSecurity>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authentication = None
                        self.authentication_key = Native.Interface.PortChannel.Ip.Ospf.AuthenticationKey()
                        self.authentication_key.parent = self
                        self.bfd = None
                        self.cost = None
                        self.database_filter = Native.Interface.PortChannel.Ip.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self.dead_interval = Native.Interface.PortChannel.Ip.Ospf.DeadInterval()
                        self.dead_interval.parent = self
                        self.demand_circuit = None
                        self.fast_reroute = Native.Interface.PortChannel.Ip.Ospf.FastReroute()
                        self.fast_reroute.parent = self
                        self.flood_reduction = None
                        self.hello_interval = None
                        self.lls = None
                        self.message_digest_key = YList()
                        self.message_digest_key.parent = self
                        self.message_digest_key.name = 'message_digest_key'
                        self.mtu_ignore = None
                        self.multi_area = Native.Interface.PortChannel.Ip.Ospf.MultiArea()
                        self.multi_area.parent = self
                        self.network = None
                        self.prefix_suppression = None
                        self.priority = None
                        self.process_id = YList()
                        self.process_id.parent = self
                        self.process_id.name = 'process_id'
                        self.resync_timeout = None
                        self.retransmit_interval = None
                        self.shutdown = None
                        self.transmit_delay = None
                        self.ttl_security = None

                    class NetworkEnum(Enum):
                        """
                        NetworkEnum

                        Network type

                        .. data:: broadcast = 0

                        .. data:: non_broadcast = 1

                        .. data:: point_to_multipoint = 2

                        .. data:: point_to_point = 3

                        """

                        broadcast = 0

                        non_broadcast = 1

                        point_to_multipoint = 2

                        point_to_point = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Ospf.NetworkEnum']



                    class ProcessId(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: area
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: none
                        
                        	Do not include secondary IP addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secondaries
                        
                        	Include or exclude secondary IP addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.area = None
                            self.none = None
                            self.secondaries = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:process-id[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.area is not None:
                                return True

                            if self.none is not None:
                                return True

                            if self.secondaries is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Ospf.ProcessId']['meta_info']


                    class Authentication(object):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.Authentication.KeyChain>`
                        
                        .. attribute:: message_digest
                        
                        	Use message\-digest authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.key_chain = Native.Interface.PortChannel.Ip.Ospf.Authentication.KeyChain()
                            self.key_chain.parent = self
                            self.message_digest = None
                            self.null = None


                        class KeyChain(object):
                            """
                            Use a key\-chain for cryptographic authentication keys
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-chain'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.Ospf.Authentication.KeyChain']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.key_chain is not None and self.key_chain._has_data():
                                return True

                            if self.message_digest is not None:
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Ospf.Authentication']['meta_info']


                    class AuthenticationKey(object):
                        """
                        Set authentication key
                        
                        .. attribute:: auth_key
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: auth_type
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.auth_key = None
                            self.auth_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication-key'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.auth_key is not None:
                                return True

                            if self.auth_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Ospf.AuthenticationKey']['meta_info']


                    class Bfd(object):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Ospf.Bfd']['meta_info']


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Outgoing LSA
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.out = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.out is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Ospf.DatabaseFilter']['meta_info']


                    class DeadInterval(object):
                        """
                        Interval after which a neighbor is declared dead
                        
                        .. attribute:: minimal
                        
                        	Set to 1 second
                        	**type**\:   :py:class:`Minimal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.DeadInterval.Minimal>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.minimal = Native.Interface.PortChannel.Ip.Ospf.DeadInterval.Minimal()
                            self.minimal.parent = self
                            self.value = None


                        class Minimal(object):
                            """
                            Set to 1 second
                            
                            .. attribute:: hello_multiplier
                            
                            	Set multiplier for Hellos
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hello_multiplier = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:minimal'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hello_multiplier is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.Ospf.DeadInterval.Minimal']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:dead-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.minimal is not None and self.minimal._has_data():
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Ospf.DeadInterval']['meta_info']


                    class DemandCircuit(object):
                        """
                        OSPF Demand Circuit
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:demand-circuit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Ospf.DemandCircuit']['meta_info']


                    class FastReroute(object):
                        """
                        LFA FastReroute parameters
                        
                        .. attribute:: per_prefix
                        
                        	Per\-prefix LFA FRR parameters
                        	**type**\:   :py:class:`PerPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.per_prefix = Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix()
                            self.per_prefix.parent = self


                        class PerPrefix(object):
                            """
                            Per\-prefix LFA FRR parameters
                            
                            .. attribute:: candidate
                            
                            	If interface can be protecting
                            	**type**\:   :py:class:`Candidate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix.Candidate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: protection
                            
                            	If interface can be protected
                            	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix.Protection>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.candidate = None
                                self.protection = None


                            class Candidate(object):
                                """
                                If interface can be protecting
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:candidate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix.Candidate']['meta_info']


                            class Protection(object):
                                """
                                If interface can be protected
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:protection'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix.Protection']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:per-prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.candidate is not None and self.candidate._has_data():
                                    return True

                                if self.protection is not None and self.protection._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:fast-reroute'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.per_prefix is not None and self.per_prefix._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Ospf.FastReroute']['meta_info']


                    class Lls(object):
                        """
                        Link\-local Signaling (LLS) support
                        
                        .. attribute:: disable
                        
                        	disable LLS
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:lls'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Ospf.Lls']['meta_info']


                    class MessageDigestKey(object):
                        """
                        Set message digest key
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: md5
                        
                        	Use MD5 algorithm
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey.Md5>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.md5 = Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey.Md5()
                            self.md5.parent = self


                        class Md5(object):
                            """
                            Use MD5 algorithm
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.auth_key = None
                                self.auth_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.auth_key is not None:
                                    return True

                                if self.auth_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:message-digest-key[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.md5 is not None and self.md5._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey']['meta_info']


                    class MultiArea(object):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cost = None
                            self.id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:multi-area'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cost is not None:
                                return True

                            if self.id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Ospf.MultiArea']['meta_info']


                    class PrefixSuppression(object):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:prefix-suppression'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Ospf.PrefixSuppression']['meta_info']


                    class TtlSecurity(object):
                        """
                        TTL security check
                        
                        .. attribute:: diable
                        
                        	disable TTL security check
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hops
                        
                        	IP hops
                        	**type**\:  int
                        
                        	**range:** 1..254
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.diable = None
                            self.hops = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:ttl-security'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.diable is not None:
                                return True

                            if self.hops is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Ospf.TtlSecurity']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ospf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.authentication_key is not None and self.authentication_key._has_data():
                            return True

                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        if self.cost is not None:
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.dead_interval is not None and self.dead_interval._has_data():
                            return True

                        if self.demand_circuit is not None and self.demand_circuit._has_data():
                            return True

                        if self.fast_reroute is not None and self.fast_reroute._has_data():
                            return True

                        if self.flood_reduction is not None:
                            return True

                        if self.hello_interval is not None:
                            return True

                        if self.lls is not None and self.lls._has_data():
                            return True

                        if self.message_digest_key is not None:
                            for child_ref in self.message_digest_key:
                                if child_ref._has_data():
                                    return True

                        if self.mtu_ignore is not None:
                            return True

                        if self.multi_area is not None and self.multi_area._has_data():
                            return True

                        if self.network is not None:
                            return True

                        if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.process_id is not None:
                            for child_ref in self.process_id:
                                if child_ref._has_data():
                                    return True

                        if self.resync_timeout is not None:
                            return True

                        if self.retransmit_interval is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.transmit_delay is not None:
                            return True

                        if self.ttl_security is not None and self.ttl_security._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.Ospf']['meta_info']


                class Wccp(object):
                    """
                    WCCP IPv4 interface commands
                    
                    .. attribute:: redirect
                    
                    	Set packet redirection options
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.Redirect>`
                    
                    .. attribute:: vrf
                    
                    	Configure WCCP for a VRF
                    	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.Vrf>`
                    
                    .. attribute:: wccp_list
                    
                    	
                    	**type**\: list of    :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.WccpList>`
                    
                    .. attribute:: web_cache
                    
                    	Standard web caching service
                    	**type**\:   :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.WebCache>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.redirect = Native.Interface.PortChannel.Ip.Wccp.Redirect()
                        self.redirect.parent = self
                        self.vrf = YList()
                        self.vrf.parent = self
                        self.vrf.name = 'vrf'
                        self.wccp_list = YList()
                        self.wccp_list.parent = self
                        self.wccp_list.name = 'wccp_list'
                        self.web_cache = Native.Interface.PortChannel.Ip.Wccp.WebCache()
                        self.web_cache.parent = self


                    class WccpList(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..254
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.WccpList.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.group_listen = None
                            self.redirect = Native.Interface.PortChannel.Ip.Wccp.WccpList.Redirect()
                            self.redirect.parent = self


                        class Redirect(object):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.Wccp.WccpList.Redirect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp-list[Cisco-IOS-XE-wccp:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.group_listen is not None:
                                return True

                            if self.redirect is not None and self.redirect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Wccp.WccpList']['meta_info']


                    class WebCache(object):
                        """
                        Standard web caching service
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.WebCache.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.group_listen = None
                            self.redirect = Native.Interface.PortChannel.Ip.Wccp.WebCache.Redirect()
                            self.redirect.parent = self


                        class Redirect(object):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.Wccp.WebCache.Redirect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:web-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.group_listen is not None:
                                return True

                            if self.redirect is not None and self.redirect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Wccp.WebCache']['meta_info']


                    class Redirect(object):
                        """
                        Set packet redirection options
                        
                        .. attribute:: exclude
                        
                        	Exclude packets from redirection
                        	**type**\:   :py:class:`Exclude <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.Redirect.Exclude>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.exclude = Native.Interface.PortChannel.Ip.Wccp.Redirect.Exclude()
                            self.exclude.parent = self


                        class Exclude(object):
                            """
                            Exclude packets from redirection
                            
                            .. attribute:: in_
                            
                            	Exclude inbound packets from outbound redirection
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:exclude'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.Wccp.Redirect.Exclude']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.exclude is not None and self.exclude._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Wccp.Redirect']['meta_info']


                    class Vrf(object):
                        """
                        Configure WCCP for a VRF
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: wccp_list
                        
                        	
                        	**type**\: list of    :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList>`
                        
                        .. attribute:: web_cache
                        
                        	Standard web caching service
                        	**type**\:   :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.wccp_list = YList()
                            self.wccp_list.parent = self
                            self.wccp_list.name = 'wccp_list'
                            self.web_cache = Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache()
                            self.web_cache.parent = self


                        class WccpList(object):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..254
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.group_listen = None
                                self.redirect = Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList.Redirect()
                                self.redirect.parent = self


                            class Redirect(object):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList.Redirect']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp-list[Cisco-IOS-XE-wccp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.group_listen is not None:
                                    return True

                                if self.redirect is not None and self.redirect._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList']['meta_info']


                        class WebCache(object):
                            """
                            Standard web caching service
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group_listen = None
                                self.redirect = Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache.Redirect()
                                self.redirect.parent = self


                            class Redirect(object):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache.Redirect']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:web-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group_listen is not None:
                                    return True

                                if self.redirect is not None and self.redirect._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:vrf[Cisco-IOS-XE-wccp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.wccp_list is not None:
                                for child_ref in self.wccp_list:
                                    if child_ref._has_data():
                                        return True

                            if self.web_cache is not None and self.web_cache._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ip.Wccp.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.vrf is not None:
                            for child_ref in self.vrf:
                                if child_ref._has_data():
                                    return True

                        if self.wccp_list is not None:
                            for child_ref in self.wccp_list:
                                if child_ref._has_data():
                                    return True

                        if self.web_cache is not None and self.web_cache._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ip.Wccp']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.flow is not None and self.flow._has_data():
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.igmp is not None and self.igmp._has_data():
                        return True

                    if self.lisp is not None and self.lisp._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nat is not None and self.nat._has_data():
                        return True

                    if self.nbar is not None and self.nbar._has_data():
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.ospf is not None and self.ospf._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    if self.wccp is not None and self.wccp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Flow>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Nd>`
                
                .. attribute:: no_pim
                
                	
                	**type**\:   :py:class:`NoPim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.NoPim>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:   :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Pim>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: rip
                
                	Configure RIP routing protocol
                	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Rip>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.PortChannel.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.PortChannel.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.flow = Native.Interface.PortChannel.Ipv6.Flow()
                    self.flow.parent = self
                    self.mtu = None
                    self.nd = Native.Interface.PortChannel.Ipv6.Nd()
                    self.nd.parent = self
                    self.no_pim = Native.Interface.PortChannel.Ipv6.NoPim()
                    self.no_pim.parent = self
                    self.ospf = Native.Interface.PortChannel.Ipv6.Ospf()
                    self.ospf.parent = self
                    self.pim = Native.Interface.PortChannel.Ipv6.Pim()
                    self.pim.parent = self
                    self.redirects = None
                    self.rip = YList()
                    self.rip.parent = self
                    self.rip.name = 'rip'
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    .. attribute:: guard
                    
                    	Configure IPv6 DHCP guard on the interface
                    	**type**\:   :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Dhcp.Guard>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: server
                    
                    	Act as an IPv6 DHCP server
                    	**type**\: list of    :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Dhcp.Server>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.guard = None
                        self.server = YList()
                        self.server.parent = self
                        self.server.name = 'server'


                    class Server(object):
                        """
                        Act as an IPv6 DHCP server
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: preference
                        
                        	Preference
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.word = None
                            self.preference = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.word is None:
                                raise YPYModelError('Key property word is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:server[Cisco-IOS-XE-dhcp:word = ' + str(self.word) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.word is not None:
                                return True

                            if self.preference is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Dhcp.Server']['meta_info']


                    class Guard(object):
                        """
                        Configure IPv6 DHCP guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature DHCP Guard
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.attach_policy = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:guard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.attach_policy is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Dhcp.Guard']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.guard is not None and self.guard._has_data():
                            return True

                        if self.server is not None:
                            for child_ref in self.server:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Nd.Autoconfig>`
                    
                    .. attribute:: managed_config_flag
                    
                    	Use DHCP for IPv6 address configuration
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ra
                    
                    	IPv6 nd router alert configuration
                    	**type**\:   :py:class:`Ra <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Nd.Ra>`
                    
                    .. attribute:: raguard
                    
                    	Configure RA guard on the interface
                    	**type**\:   :py:class:`Raguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Nd.Raguard>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = Native.Interface.PortChannel.Ipv6.Nd.Autoconfig()
                        self.autoconfig.parent = self
                        self.managed_config_flag = None
                        self.ra = Native.Interface.PortChannel.Ipv6.Nd.Ra()
                        self.ra.parent = self
                        self.raguard = Native.Interface.PortChannel.Ipv6.Nd.Raguard()
                        self.raguard.parent = self


                    class Raguard(object):
                        """
                        Configure RA guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature RA guard
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.attach_policy = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:raguard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.attach_policy is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Nd.Raguard']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default_route
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefix
                        
                        	Insert auto\-configured prefix
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.default_route = None
                            self.prefix = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.default_route is not None:
                                return True

                            if self.prefix is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Nd.Autoconfig']['meta_info']


                    class Ra(object):
                        """
                        IPv6 nd router alert configuration
                        
                        .. attribute:: suppress
                        
                        	Suppress IPv6 router\-alert configuration
                        	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Nd.Ra.Suppress>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.suppress = None


                        class Suppress(object):
                            """
                            Suppress IPv6 router\-alert configuration
                            
                            .. attribute:: all
                            
                            	Suppress all IPv6 RA
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-nd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.all = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-nd:suppress'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.all is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ipv6.Nd.Ra.Suppress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:ra'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.suppress is not None and self.suppress._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Nd.Ra']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.managed_config_flag is not None:
                            return True

                        if self.ra is not None and self.ra._has_data():
                            return True

                        if self.raguard is not None and self.raguard._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ipv6.TrafficFilter']['meta_info']


                class Flow(object):
                    """
                    NetFlow related commands
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of    :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.egress = None
                        self.ingress = None
                        self.monitor = YList()
                        self.monitor.parent = self
                        self.monitor.name = 'monitor'


                    class Monitor(object):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\:  str
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of    :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Flow.Monitor.Sampler>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.input = None
                            self.multicast = None
                            self.output = None
                            self.sampler = YList()
                            self.sampler.parent = self
                            self.sampler.name = 'sampler'
                            self.unicast = None


                        class Sampler(object):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Flow.Monitor.Sampler.DirectionEnum>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.direction = None
                                self.name = None

                            class DirectionEnum(Enum):
                                """
                                DirectionEnum

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = 0

                                output = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ipv6.Flow.Monitor.Sampler.DirectionEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.direction is None:
                                    raise YPYModelError('Key property direction is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:sampler[Cisco-IOS-XE-flow:direction = ' + str(self.direction) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.direction is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ipv6.Flow.Monitor.Sampler']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:monitor[Cisco-IOS-XE-flow:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.input is not None:
                                return True

                            if self.multicast is not None:
                                return True

                            if self.output is not None:
                                return True

                            if self.sampler is not None:
                                for child_ref in self.sampler:
                                    if child_ref._has_data():
                                        return True

                            if self.unicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Flow.Monitor']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.egress is not None:
                            return True

                        if self.ingress is not None:
                            return True

                        if self.monitor is not None:
                            for child_ref in self.monitor:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ipv6.Flow']['meta_info']


                class NoPim(object):
                    """
                    
                    
                    .. attribute:: pim
                    
                    	PIM interface commands
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.pim = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:no-pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.pim is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ipv6.NoPim']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    .. attribute:: bfd
                    
                    	Configure BFD
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bsr
                    
                    	Configure BSR
                    	**type**\:   :py:class:`Bsr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Pim.Bsr>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM Hello DR priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bfd = None
                        self.bsr = Native.Interface.PortChannel.Ipv6.Pim.Bsr()
                        self.bsr.parent = self
                        self.dr_priority = None


                    class Bsr(object):
                        """
                        Configure BSR
                        
                        .. attribute:: border
                        
                        	Border of PIM BSR domain
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.border = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:bsr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.border is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Pim.Bsr']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bfd is not None:
                            return True

                        if self.bsr is not None and self.bsr._has_data():
                            return True

                        if self.dr_priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ipv6.Pim']['meta_info']


                class Ospf(object):
                    """
                    OSPF interface commands
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: encryption
                    
                    	Enable encryption
                    	**type**\:   :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Network>`
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: process
                    
                    	
                    	**type**\: list of    :py:class:`Process <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Process>`
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authentication = Native.Interface.PortChannel.Ipv6.Ospf.Authentication()
                        self.authentication.parent = self
                        self.bfd = None
                        self.cost = None
                        self.database_filter = Native.Interface.PortChannel.Ipv6.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self.dead_interval = None
                        self.demand_circuit = None
                        self.encryption = Native.Interface.PortChannel.Ipv6.Ospf.Encryption()
                        self.encryption.parent = self
                        self.flood_reduction = None
                        self.hello_interval = None
                        self.mtu_ignore = None
                        self.neighbor = YList()
                        self.neighbor.parent = self
                        self.neighbor.name = 'neighbor'
                        self.network = Native.Interface.PortChannel.Ipv6.Ospf.Network()
                        self.network.parent = self
                        self.priority = None
                        self.process = YList()
                        self.process.parent = self
                        self.process.name = 'process'
                        self.retransmit_interval = None
                        self.shutdown = None
                        self.transmit_delay = None


                    class Process(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: instance
                        
                        	Set the OSPF instance
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..31
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 32..255
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.area = None
                            self.instance = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:process[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.area is not None:
                                return True

                            if self.instance is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Process']['meta_info']


                    class Authentication(object):
                        """
                        Enable authentication
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec authentication
                        	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec>`
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipsec = Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec()
                            self.ipsec.parent = self
                            self.null = None


                        class Ipsec(object):
                            """
                            Use IPsec authentication
                            
                            .. attribute:: md5
                            
                            	Use MD5 authentication
                            	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5>`
                            
                            .. attribute:: sha1
                            
                            	Use SHA\-1 authentication
                            	**type**\:   :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1>`
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\:  int
                            
                            	**range:** 256..4294967295
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.md5 = Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5()
                                self.md5.parent = self
                                self.sha1 = Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1()
                                self.sha1.parent = self
                                self.spi = None


                            class Md5(object):
                                """
                                Use MD5 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:md5'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5']['meta_info']


                            class Sha1(object):
                                """
                                Use SHA\-1 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:sha1'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipsec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.md5 is not None and self.md5._has_data():
                                    return True

                                if self.sha1 is not None and self.sha1._has_data():
                                    return True

                                if self.spi is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipsec is not None and self.ipsec._has_data():
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Authentication']['meta_info']


                    class Bfd(object):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Bfd']['meta_info']


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.DatabaseFilter.AllEnum>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.disable = None

                        class AllEnum(Enum):
                            """
                            AllEnum

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.DatabaseFilter.AllEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.DatabaseFilter']['meta_info']


                    class DemandCircuit(object):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None
                            self.ignore = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:demand-circuit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.DemandCircuit']['meta_info']


                    class Encryption(object):
                        """
                        Enable encryption
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec encryption
                        	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec>`
                        
                        .. attribute:: null
                        
                        	No IPsec encryption on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipsec = Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec()
                            self.ipsec.parent = self
                            self.null = None


                        class Ipsec(object):
                            """
                            Use IPsec encryption
                            
                            .. attribute:: aes_cbc
                            
                            	Use AES\-CBC encryption
                            	**type**\:   :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc>`
                            
                            .. attribute:: esp
                            
                            	Use ESP encapsulation
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipsec_3des
                            
                            	Use 3DES encryption
                            	**type**\:   :py:class:`Ipsec_3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des>`
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aes_cbc = Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc()
                                self.aes_cbc.parent = self
                                self.esp = None
                                self.ipsec_3des = Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des()
                                self.ipsec_3des.parent = self
                                self.spi = None


                            class Ipsec_3Des(object):
                                """
                                Use 3DES encryption
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipsec_3des'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des']['meta_info']


                            class AesCbc(object):
                                """
                                Use AES\-CBC encryption
                                
                                .. attribute:: aes_192
                                
                                	Use 192 bit key
                                	**type**\:   :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192>`
                                
                                .. attribute:: aes_256
                                
                                	Use 256 bit key
                                	**type**\:   :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256>`
                                
                                .. attribute:: aes_cbc_128
                                
                                	Use 128 bit key
                                	**type**\:   :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.aes_192 = Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192()
                                    self.aes_192.parent = self
                                    self.aes_256 = Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256()
                                    self.aes_256.parent = self
                                    self.aes_cbc_128 = Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128()
                                    self.aes_cbc_128.parent = self


                                class AesCbc128(object):
                                    """
                                    Use 128 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_string = Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-cbc-128'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']


                                class Aes192(object):
                                    """
                                    Use 192 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_string = Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-192'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192']['meta_info']


                                class Aes256(object):
                                    """
                                    Use 256 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_string = Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-256'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-cbc'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.aes_192 is not None and self.aes_192._has_data():
                                        return True

                                    if self.aes_256 is not None and self.aes_256._has_data():
                                        return True

                                    if self.aes_cbc_128 is not None and self.aes_cbc_128._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipsec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aes_cbc is not None and self.aes_cbc._has_data():
                                    return True

                                if self.esp is not None:
                                    return True

                                if self.ipsec_3des is not None and self.ipsec_3des._has_data():
                                    return True

                                if self.spi is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:encryption'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipsec is not None and self.ipsec._has_data():
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Encryption']['meta_info']


                    class FloodReduction(object):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	Disable Flood Reduction on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:flood-reduction'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.FloodReduction']['meta_info']


                    class MtuIgnore(object):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:mtu-ignore'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.MtuIgnore']['meta_info']


                    class Neighbor(object):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.cost = None
                            self.database_filter = Native.Interface.PortChannel.Ipv6.Ospf.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self.poll_interval = None
                            self.priority = None


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Neighbor.DatabaseFilter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:neighbor[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.cost is not None:
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.poll_interval is not None:
                                return True

                            if self.priority is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Neighbor']['meta_info']


                    class Network(object):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.broadcast = None
                            self.manet = None
                            self.non_broadcast = None
                            self.point_to_multipoint = None
                            self.point_to_point = None


                        class PointToMultipoint(object):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.non_broadcast = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:point-to-multipoint'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.non_broadcast is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Network.PointToMultipoint']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:network'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.broadcast is not None:
                                return True

                            if self.manet is not None:
                                return True

                            if self.non_broadcast is not None:
                                return True

                            if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                return True

                            if self.point_to_point is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Network']['meta_info']


                    class Shutdown(object):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:shutdown'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf.Shutdown']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ospf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        if self.cost is not None:
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.dead_interval is not None:
                            return True

                        if self.demand_circuit is not None and self.demand_circuit._has_data():
                            return True

                        if self.encryption is not None and self.encryption._has_data():
                            return True

                        if self.flood_reduction is not None and self.flood_reduction._has_data():
                            return True

                        if self.hello_interval is not None:
                            return True

                        if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                            return True

                        if self.neighbor is not None:
                            for child_ref in self.neighbor:
                                if child_ref._has_data():
                                    return True

                        if self.network is not None and self.network._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.process is not None:
                            for child_ref in self.process:
                                if child_ref._has_data():
                                    return True

                        if self.retransmit_interval is not None:
                            return True

                        if self.shutdown is not None and self.shutdown._has_data():
                            return True

                        if self.transmit_delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ipv6.Ospf']['meta_info']


                class Rip(object):
                    """
                    Configure RIP routing protocol
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: default_information
                    
                    	Configure handling of default route
                    	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Rip.DefaultInformation>`
                    
                    .. attribute:: enable
                    
                    	Enable/disable RIP routing
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.default_information = Native.Interface.PortChannel.Ipv6.Rip.DefaultInformation()
                        self.default_information.parent = self
                        self.enable = None


                    class DefaultInformation(object):
                        """
                        Configure handling of default route
                        
                        .. attribute:: metric
                        
                        	Default route metric
                        	**type**\:  int
                        
                        	**range:** 1..15
                        
                        .. attribute:: route
                        
                        	
                        	**type**\:   :py:class:`RouteEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Rip.DefaultInformation.RouteEnum>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = None
                            self.route = None

                        class RouteEnum(Enum):
                            """
                            RouteEnum

                            .. data:: only = 0

                            .. data:: originate = 1

                            """

                            only = 0

                            originate = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ipv6.Rip.DefaultInformation.RouteEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:default-information'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None:
                                return True

                            if self.route is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ipv6.Rip.DefaultInformation']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip[Cisco-IOS-XE-rip:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.default_information is not None and self.default_information._has_data():
                            return True

                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ipv6.Rip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.flow is not None and self.flow._has_data():
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.no_pim is not None and self.no_pim._has_data():
                        return True

                    if self.ospf is not None and self.ospf._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.rip is not None:
                        for child_ref in self.rip:
                            if child_ref._has_data():
                                return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.PortChannel.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.PortChannel.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.PortChannel.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.PortChannel.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.PortChannel.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.PortChannel.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.PortChannel.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.PortChannel.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.PortChannel.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.PortChannel.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.PortChannel.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.PortChannel.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.PortChannel.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.PortChannel.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.PortChannel.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.PortChannel.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.PortChannel.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.PortChannel.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.PortChannel.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.PortChannel.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.PortChannel.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.PortChannel.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.PortChannel.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.PortChannel.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.PortChannel.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.PortChannel.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.PortChannel.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.PortChannel.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.PortChannel.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.PortChannel.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.PortChannel.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.PmPath']['meta_info']


            class CarrierDelay(object):
                """
                Specify delay for interface transitions
                
                .. attribute:: down
                
                	Carrier Down Transitions
                	**type**\:   :py:class:`Down <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.CarrierDelay.Down>`
                
                .. attribute:: msec
                
                	delay specified in milliseconds
                	**type**\:  int
                
                	**range:** 0..1000
                
                .. attribute:: seconds
                
                	
                	**type**\:  int
                
                	**range:** 0..60
                
                .. attribute:: up
                
                	Carrier Up Transitions
                	**type**\:   :py:class:`Up <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.CarrierDelay.Up>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.down = Native.Interface.PortChannel.CarrierDelay.Down()
                    self.down.parent = self
                    self.msec = None
                    self.seconds = None
                    self.up = Native.Interface.PortChannel.CarrierDelay.Up()
                    self.up.parent = self


                class Down(object):
                    """
                    Carrier Down Transitions
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..1000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..60
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.msec = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:down'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.msec is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.CarrierDelay.Down']['meta_info']


                class Up(object):
                    """
                    Carrier Up Transitions
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..1000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..60
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.msec = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:up'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.msec is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.CarrierDelay.Up']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:carrier-delay'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.down is not None and self.down._has_data():
                        return True

                    if self.msec is not None:
                        return True

                    if self.seconds is not None:
                        return True

                    if self.up is not None and self.up._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.CarrierDelay']['meta_info']


            class ChannelGroup(object):
                """
                Add this interface to an Etherchannel group
                
                .. attribute:: auto
                
                	LACP auto
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link
                
                	Assign a link identifier used for load\-balancing
                	**type**\:  int
                
                	**range:** 1..4
                
                .. attribute:: mode
                
                	Etherchannel Mode of the interface
                	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ChannelGroup.ModeEnum>`
                
                .. attribute:: non_silent
                
                	Start negotiation only after data packets received
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: number
                
                	
                	**type**\:  int
                
                	**range:** 1..512
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None
                    self.link = None
                    self.mode = None
                    self.non_silent = None
                    self.number = None

                class ModeEnum(Enum):
                    """
                    ModeEnum

                    Etherchannel Mode of the interface

                    .. data:: active = 0

                    .. data:: auto = 1

                    .. data:: desirable = 2

                    .. data:: on = 3

                    .. data:: passive = 4

                    """

                    active = 0

                    auto = 1

                    desirable = 2

                    on = 3

                    passive = 4


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.ChannelGroup.ModeEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:channel-group'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    if self.link is not None:
                        return True

                    if self.mode is not None:
                        return True

                    if self.non_silent is not None:
                        return True

                    if self.number is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.ChannelGroup']['meta_info']


            class Ethernet(object):
                """
                Ethernet interface parameters
                
                .. attribute:: oam
                
                	To enable Ethernet Link OAM
                	**type**\:   :py:class:`Oam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.oam = None


                class Oam(object):
                    """
                    To enable Ethernet Link OAM
                    
                    .. attribute:: link_monitor
                    
                    	Ethernet OAM Link Monitor
                    	**type**\:   :py:class:`LinkMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor>`
                    
                    .. attribute:: max_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10
                    
                    .. attribute:: min_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10
                    
                    .. attribute:: mode
                    
                    	
                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.ModeEnum>`
                    
                    .. attribute:: remote_failure
                    
                    	Ethernet OAM remote failure indication
                    	**type**\:   :py:class:`RemoteFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure>`
                    
                    .. attribute:: remote_loopback
                    
                    	Ethernet OAM Remote Loopback
                    	**type**\:   :py:class:`RemoteLoopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.RemoteLoopback>`
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 2..30
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.link_monitor = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor()
                        self.link_monitor.parent = self
                        self.max_rate = None
                        self.min_rate = None
                        self.mode = None
                        self.remote_failure = Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure()
                        self.remote_failure.parent = self
                        self.remote_loopback = Native.Interface.PortChannel.Ethernet.Oam.RemoteLoopback()
                        self.remote_loopback.parent = self
                        self.timeout = None

                    class ModeEnum(Enum):
                        """
                        ModeEnum

                        .. data:: active = 0

                        .. data:: passive = 1

                        """

                        active = 0

                        passive = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.ModeEnum']



                    class LinkMonitor(object):
                        """
                        Ethernet OAM Link Monitor
                        
                        .. attribute:: frame
                        
                        	Errored frames in a period measured by time
                        	**type**\:   :py:class:`Frame <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame>`
                        
                        .. attribute:: frame_period
                        
                        	Errored frames in a period measured by number of frames
                        	**type**\:   :py:class:`FramePeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod>`
                        
                        .. attribute:: frame_seconds
                        
                        	Errored frame seconds in a period
                        	**type**\:   :py:class:`FrameSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds>`
                        
                        .. attribute:: high_threshold
                        
                        	Additional high threshold configuration
                        	**type**\:   :py:class:`HighThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold>`
                        
                        .. attribute:: on
                        
                        	Enable link monitoring on the interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: receive_crc
                        
                        	Received frames with CRC errors in a period
                        	**type**\:   :py:class:`ReceiveCrc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc>`
                        
                        .. attribute:: supported
                        
                        	Support link monitoring on the interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: symbol_period
                        
                        	Errored symbols in a period
                        	**type**\:   :py:class:`SymbolPeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.frame = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame()
                            self.frame.parent = self
                            self.frame_period = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod()
                            self.frame_period.parent = self
                            self.frame_seconds = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds()
                            self.frame_seconds.parent = self
                            self.high_threshold = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold()
                            self.high_threshold.parent = self
                            self.on = None
                            self.receive_crc = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc()
                            self.receive_crc.parent = self
                            self.supported = None
                            self.symbol_period = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod()
                            self.symbol_period.parent = self


                        class Frame(object):
                            """
                            Errored frames in a period measured by time
                            
                            .. attribute:: threshold
                            
                            	Errored frame threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 10..600
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: thresh
                                    
                                    	Set the high errored frame threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.none = None
                                        self.thresh = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.none is not None:
                                            return True

                                        if self.thresh is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame']['meta_info']


                        class FramePeriod(object):
                            """
                            Errored frames in a period measured by number of frames
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-period threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 10000 frames
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-period threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: f_thresh
                                    
                                    	Set the high errored frame\-period threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.f_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.f_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame-period'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info']


                        class FrameSeconds(object):
                            """
                            Errored frame seconds in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 100..9000
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-seconds threshold in number of seconds
                                	**type**\:  int
                                
                                	**range:** 1..900
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: e_thresh
                                    
                                    	Set the high errored frame\-seconds threshold in number of seconds
                                    	**type**\:  int
                                    
                                    	**range:** 1..900
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.e_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.e_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame-seconds'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info']


                        class HighThreshold(object):
                            """
                            Additional high threshold configuration
                            
                            .. attribute:: action
                            
                            	Specifiy an action when the high threshold is crossed
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Specifiy an action when the high threshold is crossed
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high-threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info']


                        class ReceiveCrc(object):
                            """
                            Received frames with CRC errors in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 10..1800
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low received crc error threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: crc_thresh
                                    
                                    	Set the high received crc error threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.crc_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.crc_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:receive-crc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info']


                        class SymbolPeriod(object):
                            """
                            Errored symbols in a period
                            
                            .. attribute:: threshold
                            
                            	Error symbol\-period threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 1048576 symbols
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Error symbol\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low error symbol\-period threshold in number of symbols
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: err_thresh
                                    
                                    	Set the high error symbol\-period threshold in number of symbols
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.err_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.err_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:symbol-period'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:link-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.frame is not None and self.frame._has_data():
                                return True

                            if self.frame_period is not None and self.frame_period._has_data():
                                return True

                            if self.frame_seconds is not None and self.frame_seconds._has_data():
                                return True

                            if self.high_threshold is not None and self.high_threshold._has_data():
                                return True

                            if self.on is not None:
                                return True

                            if self.receive_crc is not None and self.receive_crc._has_data():
                                return True

                            if self.supported is not None:
                                return True

                            if self.symbol_period is not None and self.symbol_period._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor']['meta_info']


                    class RemoteFailure(object):
                        """
                        Ethernet OAM remote failure indication
                        
                        .. attribute:: critical_event
                        
                        	Critical event
                        	**type**\:   :py:class:`CriticalEvent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent>`
                        
                        .. attribute:: dying_gasp
                        
                        	Dying gasp
                        	**type**\:   :py:class:`DyingGasp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp>`
                        
                        .. attribute:: link_fault
                        
                        	Link fault
                        	**type**\:   :py:class:`LinkFault <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.critical_event = Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent()
                            self.critical_event.parent = self
                            self.dying_gasp = Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp()
                            self.dying_gasp.parent = self
                            self.link_fault = Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault()
                            self.link_fault.parent = self


                        class CriticalEvent(object):
                            """
                            Critical event
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:critical-event'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info']


                        class DyingGasp(object):
                            """
                            Dying gasp
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = None


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dying-gasp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info']


                        class LinkFault(object):
                            """
                            Link fault
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = None


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:link-fault'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:remote-failure'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.critical_event is not None and self.critical_event._has_data():
                                return True

                            if self.dying_gasp is not None and self.dying_gasp._has_data():
                                return True

                            if self.link_fault is not None and self.link_fault._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure']['meta_info']


                    class RemoteLoopback(object):
                        """
                        Ethernet OAM Remote Loopback
                        
                        .. attribute:: supported
                        
                        	Support remote loopback functionality
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: timeout
                        
                        	Set timeout value in number of seconds
                        	**type**\:  int
                        
                        	**range:** 1..10
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None
                            self.timeout = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:remote-loopback'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            if self.timeout is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam.RemoteLoopback']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:oam'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.link_monitor is not None and self.link_monitor._has_data():
                            return True

                        if self.max_rate is not None:
                            return True

                        if self.min_rate is not None:
                            return True

                        if self.mode is not None:
                            return True

                        if self.remote_failure is not None and self.remote_failure._has_data():
                            return True

                        if self.remote_loopback is not None and self.remote_loopback._has_data():
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ethernet.Oam']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.oam is not None and self.oam._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Ethernet']['meta_info']


            class Negotiation(object):
                """
                Select autonegotiation mode
                
                .. attribute:: auto
                
                	Enable link autonegotiation
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:negotiation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Negotiation']['meta_info']


            class Synchronous(object):
                """
                Synchronous
                
                .. attribute:: mode
                
                	Mode
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.mode = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:synchronous'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.mode is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Synchronous']['meta_info']


            class Speed(object):
                """
                Configure speed operation
                
                .. attribute:: auto
                
                	Enable AUTO speed configuration
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: nonegotiate
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10
                
                	10 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_100
                
                	100 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_1000
                
                	1000 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10000
                
                	10000 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None
                    self.nonegotiate = None
                    self.value_10 = None
                    self.value_100 = None
                    self.value_1000 = None
                    self.value_10000 = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:speed'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.value_10 is not None:
                        return True

                    if self.value_100 is not None:
                        return True

                    if self.value_1000 is not None:
                        return True

                    if self.value_10000 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Speed']['meta_info']


            class Plim(object):
                """
                Configure features on the PLIM
                
                .. attribute:: ethernet
                
                	Configure features on the ethernet interface
                	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim.Ethernet>`
                
                .. attribute:: qos
                
                	QoS on the PLIM
                	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim.Qos>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ethernet = Native.Interface.PortChannel.Plim.Ethernet()
                    self.ethernet.parent = self
                    self.qos = Native.Interface.PortChannel.Plim.Qos()
                    self.qos.parent = self


                class Ethernet(object):
                    """
                    Configure features on the ethernet interface
                    
                    .. attribute:: vlan
                    
                    	vlan specific features
                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim.Ethernet.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = Native.Interface.PortChannel.Plim.Ethernet.Vlan()
                        self.vlan.parent = self


                    class Vlan(object):
                        """
                        vlan specific features
                        
                        .. attribute:: filter
                        
                        	Configure VLAN filtering
                        	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim.Ethernet.Vlan.Filter>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.filter = Native.Interface.PortChannel.Plim.Ethernet.Vlan.Filter()
                            self.filter.parent = self


                        class Filter(object):
                            """
                            Configure VLAN filtering
                            
                            .. attribute:: disable
                            
                            	Configure the interface to accept all VLAN traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Plim.Ethernet.Vlan.Filter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.filter is not None and self.filter._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Plim.Ethernet.Vlan']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None and self.vlan._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Plim.Ethernet']['meta_info']


                class Qos(object):
                    """
                    QoS on the PLIM
                    
                    .. attribute:: input
                    
                    	Configure PLIM QoS at the input of an interface
                    	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim.Qos.Input>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.input = Native.Interface.PortChannel.Plim.Qos.Input()
                        self.input.parent = self


                    class Input(object):
                        """
                        Configure PLIM QoS at the input of an interface
                        
                        .. attribute:: queue
                        
                        	Queue number
                        	**type**\:   :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim.Qos.Input.Queue>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.queue = Native.Interface.PortChannel.Plim.Qos.Input.Queue()
                            self.queue.parent = self


                        class Queue(object):
                            """
                            Queue number
                            
                            .. attribute:: strict_priority
                            
                            	High priority queue
                            	**type**\:   :py:class:`StrictPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority>`
                            
                            .. attribute:: zero
                            
                            	Low priority queue
                            	**type**\:   :py:class:`Zero <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.strict_priority = Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority()
                                self.strict_priority.parent = self
                                self.zero = Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero()
                                self.zero.parent = self


                            class Zero(object):
                                """
                                Low priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:   :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pause = Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause()
                                    self.pause.parent = self


                                class Pause(object):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\:  bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.enable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pause'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.enable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:zero'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pause is not None and self.pause._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero']['meta_info']


                            class StrictPriority(object):
                                """
                                High priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:   :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pause = Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause()
                                    self.pause.parent = self


                                class Pause(object):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\:  bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.enable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pause'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.enable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:strict-priority'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pause is not None and self.pause._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:queue'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.strict_priority is not None and self.strict_priority._has_data():
                                    return True

                                if self.zero is not None and self.zero._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Plim.Qos.Input.Queue']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:input'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.queue is not None and self.queue._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Plim.Qos.Input']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:qos'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.input is not None and self.input._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Plim.Qos']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:plim'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ethernet is not None and self.ethernet._has_data():
                        return True

                    if self.qos is not None and self.qos._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Plim']['meta_info']


            class Pppoe(object):
                """
                pppoe interface subcommands
                
                .. attribute:: enable
                
                	Enable pppoe
                	**type**\:   :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Pppoe.Enable>`
                
                	**presence node**\: True
                
                .. attribute:: max_sessions
                
                	Maximum PPPOE sessions
                	**type**\:  int
                
                	**range:** 1..4085
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None
                    self.max_sessions = None


                class Enable(object):
                    """
                    Enable pppoe
                    
                    .. attribute:: group
                    
                    	attach a BBA group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        attach a BBA group

                        .. data:: global_ = 0

                        """

                        global_ = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Pppoe.Enable.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:enable'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Pppoe.Enable']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pppoe'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None and self.enable._has_data():
                        return True

                    if self.max_sessions is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Pppoe']['meta_info']


            class Service(object):
                """
                Configure Ether Service
                
                .. attribute:: instance
                
                	Configure Ether Service Instance
                	**type**\: list of    :py:class:`Instance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.instance = YList()
                    self.instance.parent = self
                    self.instance.name = 'instance'


                class Instance(object):
                    """
                    Configure Ether Service Instance
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4000
                    
                    .. attribute:: bridge_domain
                    
                    	Bridge\-domain
                    	**type**\:   :py:class:`BridgeDomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.BridgeDomain>`
                    
                    .. attribute:: cfm
                    
                    	Ethernet CFM EFP subcommands
                    	**type**\:   :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Cfm>`
                    
                    .. attribute:: description
                    
                    	Service instance specific description
                    	**type**\:  str
                    
                    	**length:** 0..240
                    
                    .. attribute:: encapsulation
                    
                    	Configure ethernet frame match criteria
                    	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation>`
                    
                    .. attribute:: errdisable
                    
                    	Configure error disable
                    	**type**\:   :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Errdisable>`
                    
                    .. attribute:: ethernet
                    
                    	Configure an Ethernet Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet_container
                    
                    	
                    	**type**\:   :py:class:`EthernetContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.EthernetContainer>`
                    
                    .. attribute:: ethernet_evc_name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: evc_name
                    
                    	
                    	**type**\:  str
                    
                    	**length:** 1..100
                    
                    .. attribute:: gigabitethernet
                    
                    	Configure an GigabitEthernet Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Ip>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 interface subcommands
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Ipv6>`
                    
                    .. attribute:: l2protocol
                    
                    	Configure l2 control protocol processing
                    	**type**\:   :py:class:`L2Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.L2Protocol>`
                    
                    .. attribute:: mac
                    
                    	Commands for MAC Address\-based features
                    	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Mac>`
                    
                    .. attribute:: rewrite
                    
                    	Configure ethernet rewrite criteria
                    	**type**\:   :py:class:`Rewrite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite>`
                    
                    .. attribute:: service_policy
                    
                    	Attach a policy\-map to an EFP
                    	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.ServicePolicy>`
                    
                    .. attribute:: shutdown
                    
                    	Take the Service Instance out of Service
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: snmp
                    
                    	Modify SNMP service instance parameters
                    	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Snmp>`
                    
                    .. attribute:: trunk
                    
                    	Trunk Service Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:   :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.bridge_domain = Native.Interface.PortChannel.Service.Instance.BridgeDomain()
                        self.bridge_domain.parent = self
                        self.cfm = Native.Interface.PortChannel.Service.Instance.Cfm()
                        self.cfm.parent = self
                        self.description = None
                        self.encapsulation = Native.Interface.PortChannel.Service.Instance.Encapsulation()
                        self.encapsulation.parent = self
                        self.errdisable = Native.Interface.PortChannel.Service.Instance.Errdisable()
                        self.errdisable.parent = self
                        self.ethernet = None
                        self.ethernet_container = Native.Interface.PortChannel.Service.Instance.EthernetContainer()
                        self.ethernet_container.parent = self
                        self.ethernet_evc_name = None
                        self.evc_name = None
                        self.gigabitethernet = None
                        self.group = None
                        self.ip = Native.Interface.PortChannel.Service.Instance.Ip()
                        self.ip.parent = self
                        self.ipv6 = Native.Interface.PortChannel.Service.Instance.Ipv6()
                        self.ipv6.parent = self
                        self.l2protocol = Native.Interface.PortChannel.Service.Instance.L2Protocol()
                        self.l2protocol.parent = self
                        self.mac = Native.Interface.PortChannel.Service.Instance.Mac()
                        self.mac.parent = self
                        self.rewrite = Native.Interface.PortChannel.Service.Instance.Rewrite()
                        self.rewrite.parent = self
                        self.service_policy = Native.Interface.PortChannel.Service.Instance.ServicePolicy()
                        self.service_policy.parent = self
                        self.shutdown = None
                        self.snmp = Native.Interface.PortChannel.Service.Instance.Snmp()
                        self.snmp.parent = self
                        self.trunk = None
                        self.xconnect = Native.Interface.PortChannel.Service.Instance.Xconnect()
                        self.xconnect.parent = self
                        self.xconnect_pw_class = Native.Interface.PortChannel.Service.Instance.XconnectPwClass()
                        self.xconnect_pw_class.parent = self


                    class Encapsulation(object):
                        """
                        Configure ethernet frame match criteria
                        
                        .. attribute:: default
                        
                        	catch\-all unconfigured encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dot1ad
                        
                        	802.1ad \- Provider Bridges
                        	**type**\:   :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad>`
                        
                        .. attribute:: dot1q
                        
                        	IEEE 802.1Q Virtual LAN or S\-VLAN
                        	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q>`
                        
                        .. attribute:: priority_tagged
                        
                        	Priority tagged EFP
                        	**type**\:   :py:class:`PriorityTagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged>`
                        
                        .. attribute:: untagged
                        
                        	Untagged encapsulation
                        	**type**\:   :py:class:`Untagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.Untagged>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.default = None
                            self.dot1ad = Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad()
                            self.dot1ad.parent = self
                            self.dot1q = Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q()
                            self.dot1q.parent = self
                            self.priority_tagged = Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged()
                            self.priority_tagged.parent = self
                            self.untagged = None


                        class Dot1Ad(object):
                            """
                            802.1ad \- Provider Bridges
                            
                            .. attribute:: cos
                            
                            	CoS value to use for CFM packets
                            	**type**\:  list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:   :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2>`
                            
                            .. attribute:: dot1q
                            
                            	Second tag (dot1q)
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`Dot1QEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos = YLeafList()
                                self.cos.parent = self
                                self.cos.name = 'cos'
                                self.cos2 = Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2()
                                self.cos2.parent = self
                                self.dot1q = YLeafList()
                                self.dot1q.parent = self
                                self.dot1q.name = 'dot1q'
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'
                                self.exact = None
                                self.id = YLeafList()
                                self.id.parent = self
                                self.id.name = 'id'

                            class Dot1QEnum(Enum):
                                """
                                Dot1QEnum

                                Second tag (dot1q)

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum']


                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum']


                            class IdEnum(Enum):
                                """
                                IdEnum

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.IdEnum']



                            class Cos2(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos2'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1ad'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos is not None:
                                    for child in self.cos:
                                        if child is not None:
                                            return True

                                if self.cos2 is not None and self.cos2._has_data():
                                    return True

                                if self.dot1q is not None:
                                    for child in self.dot1q:
                                        if child is not None:
                                            return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                if self.exact is not None:
                                    return True

                                if self.id is not None:
                                    for child in self.id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad']['meta_info']


                        class Dot1Q(object):
                            """
                            IEEE 802.1Q Virtual LAN or S\-VLAN
                            
                            .. attribute:: cos
                            
                            	cos Vlan
                            	**type**\:  list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:   :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.EtypeEnum>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: second_dot1q
                            
                            	inner 802.1Q Virtual LAN or C\-VLAN
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`SecondDot1QEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: vlan_type
                            
                            	Vlan Protocol Type
                            	**type**\:   :py:class:`VlanTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos = YLeafList()
                                self.cos.parent = self
                                self.cos.name = 'cos'
                                self.cos2 = Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2()
                                self.cos2.parent = self
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'
                                self.exact = None
                                self.id = YLeafList()
                                self.id.parent = self
                                self.id.name = 'id'
                                self.second_dot1q = YLeafList()
                                self.second_dot1q.parent = self
                                self.second_dot1q.name = 'second_dot1q'
                                self.vlan_type = None

                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.EtypeEnum']


                            class IdEnum(Enum):
                                """
                                IdEnum

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.IdEnum']


                            class SecondDot1QEnum(Enum):
                                """
                                SecondDot1QEnum

                                inner 802.1Q Virtual LAN or C\-VLAN

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum']


                            class VlanTypeEnum(Enum):
                                """
                                VlanTypeEnum

                                Vlan Protocol Type

                                .. data:: Y_0x88A8 = 0

                                .. data:: Y_0x9100 = 1

                                .. data:: Y_0x9200 = 2

                                """

                                Y_0x88A8 = 0

                                Y_0x9100 = 1

                                Y_0x9200 = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum']



                            class Cos2(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos2'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1q'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos is not None:
                                    for child in self.cos:
                                        if child is not None:
                                            return True

                                if self.cos2 is not None and self.cos2._has_data():
                                    return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                if self.exact is not None:
                                    return True

                                if self.id is not None:
                                    for child in self.id:
                                        if child is not None:
                                            return True

                                if self.second_dot1q is not None:
                                    for child in self.second_dot1q:
                                        if child is not None:
                                            return True

                                if self.vlan_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q']['meta_info']


                        class PriorityTagged(object):
                            """
                            Priority tagged EFP
                            
                            .. attribute:: cos_container
                            
                            	
                            	**type**\:   :py:class:`CosContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos_container = Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer()
                                self.cos_container.parent = self
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'

                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum']



                            class CosContainer(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:priority-tagged'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos_container is not None and self.cos_container._has_data():
                                    return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged']['meta_info']


                        class Untagged(object):
                            """
                            Untagged encapsulation
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:untagged'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation.Untagged']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:encapsulation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.default is not None:
                                return True

                            if self.dot1ad is not None and self.dot1ad._has_data():
                                return True

                            if self.dot1q is not None and self.dot1q._has_data():
                                return True

                            if self.priority_tagged is not None and self.priority_tagged._has_data():
                                return True

                            if self.untagged is not None and self.untagged._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Encapsulation']['meta_info']


                    class Ip(object):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Ip.Acl>`
                        
                        .. attribute:: dhcp
                        
                        	DHCP
                        	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Ip.Dhcp>`
                        
                        .. attribute:: verify
                        
                        	verify
                        	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Ip.Verify>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.PortChannel.Service.Instance.Ip.Acl()
                            self.acl.parent = self
                            self.dhcp = Native.Interface.PortChannel.Service.Instance.Ip.Dhcp()
                            self.dhcp.parent = self
                            self.verify = Native.Interface.PortChannel.Service.Instance.Ip.Verify()
                            self.verify.parent = self


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: access_group
                            
                            	Specify access control for packets
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.access_group = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.access_group is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Ip.Acl']['meta_info']


                        class Dhcp(object):
                            """
                            DHCP
                            
                            .. attribute:: relay
                            
                            	DHCP relay
                            	**type**\:   :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.relay = Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay()
                                self.relay.parent = self


                            class Relay(object):
                                """
                                DHCP relay
                                
                                .. attribute:: information
                                
                                	DHCP relay information
                                	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.information = Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information()
                                    self.information.parent = self


                                class Information(object):
                                    """
                                    DHCP relay information
                                    
                                    .. attribute:: option
                                    
                                    	DHCP relay information option
                                    	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.option = Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option()
                                        self.option.parent = self


                                    class Option(object):
                                        """
                                        DHCP relay information option
                                        
                                        .. attribute:: subscriber_id
                                        
                                        	DHCP relay information option subscriber\-id
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.subscriber_id = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.subscriber_id is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:information'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.option is not None and self.option._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:relay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.information is not None and self.information._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dhcp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.relay is not None and self.relay._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Ip.Dhcp']['meta_info']


                        class Verify(object):
                            """
                            verify
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: port_security
                            
                            	port security
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: source
                            
                            	source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan
                            
                            	vlan specification
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None
                                self.port_security = None
                                self.source = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:verify'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None:
                                    return True

                                if self.port_security is not None:
                                    return True

                                if self.source is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Ip.Verify']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.dhcp is not None and self.dhcp._has_data():
                                return True

                            if self.verify is not None and self.verify._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Ip']['meta_info']


                    class Ipv6(object):
                        """
                        IPv6 interface subcommands
                        
                        .. attribute:: in_
                        
                        	inbound packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	outbound packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: traffic_filter
                        
                        	Access control list for packets
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.in_ = None
                            self.out = None
                            self.traffic_filter = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.in_ is not None:
                                return True

                            if self.out is not None:
                                return True

                            if self.traffic_filter is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Ipv6']['meta_info']


                    class Rewrite(object):
                        """
                        Configure ethernet rewrite criteria
                        
                        .. attribute:: ingress
                        
                        	Ingress Rewrite
                        	**type**\:   :py:class:`Ingress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ingress = Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress()
                            self.ingress.parent = self


                        class Ingress(object):
                            """
                            Ingress Rewrite
                            
                            .. attribute:: tag
                            
                            	Configure Rewrite Tag
                            	**type**\:   :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.tag = Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag()
                                self.tag.parent = self


                            class Tag(object):
                                """
                                Configure Rewrite Tag
                                
                                .. attribute:: pop
                                
                                	Pop the tag
                                	**type**\:   :py:class:`Pop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop>`
                                
                                .. attribute:: push
                                
                                	Rewrite Operation of push
                                	**type**\:   :py:class:`Push <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push>`
                                
                                .. attribute:: translate
                                
                                	Translate Tag
                                	**type**\:   :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pop = Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop()
                                    self.pop.parent = self
                                    self.push = Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push()
                                    self.push.parent = self
                                    self.translate = Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate()
                                    self.translate.parent = self


                                class Pop(object):
                                    """
                                    Pop the tag
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum>`
                                    
                                    .. attribute:: way
                                    
                                    	
                                    	**type**\:   :py:class:`WayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mode = None
                                        self.way = None

                                    class ModeEnum(Enum):
                                        """
                                        ModeEnum

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = 0


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum']


                                    class WayEnum(Enum):
                                        """
                                        WayEnum

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mode is not None:
                                            return True

                                        if self.way is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop']['meta_info']


                                class Push(object):
                                    """
                                    Rewrite Operation of push
                                    
                                    .. attribute:: dot1q
                                    
                                    	Push dot1q tag
                                    	**type**\:  int
                                    
                                    	**range:** 1..4094
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dot1q = None
                                        self.mode = None

                                    class ModeEnum(Enum):
                                        """
                                        ModeEnum

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = 0


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:push'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dot1q is not None:
                                            return True

                                        if self.mode is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push']['meta_info']


                                class Translate(object):
                                    """
                                    Translate Tag
                                    
                                    .. attribute:: t1_to_1
                                    
                                    	Translate 1\-to\-1
                                    	**type**\:   :py:class:`T1To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1>`
                                    
                                    .. attribute:: t1_to_2
                                    
                                    	Translate 1\-to\-2
                                    	**type**\:   :py:class:`T1To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2>`
                                    
                                    .. attribute:: t2_to_1
                                    
                                    	Translate 2\-to\-1
                                    	**type**\:   :py:class:`T2To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1>`
                                    
                                    .. attribute:: t2_to_2
                                    
                                    	Translate 2\-to\-2
                                    	**type**\:   :py:class:`T2To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.t1_to_1 = Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1()
                                        self.t1_to_1.parent = self
                                        self.t1_to_2 = Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2()
                                        self.t1_to_2.parent = self
                                        self.t2_to_1 = Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1()
                                        self.t2_to_1.parent = self
                                        self.t2_to_2 = Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2()
                                        self.t2_to_2.parent = self


                                    class T1To1(object):
                                        """
                                        Translate 1\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t1-to-1'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1']['meta_info']


                                    class T1To2(object):
                                        """
                                        Translate 1\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum>`
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None
                                            self.second_dot1q = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t1-to-2'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            if self.second_dot1q is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2']['meta_info']


                                    class T2To1(object):
                                        """
                                        Translate 2\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t2-to-1'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1']['meta_info']


                                    class T2To2(object):
                                        """
                                        Translate 2\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum>`
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None
                                            self.second_dot1q = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t2-to-2'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            if self.second_dot1q is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:translate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.t1_to_1 is not None and self.t1_to_1._has_data():
                                            return True

                                        if self.t1_to_2 is not None and self.t1_to_2._has_data():
                                            return True

                                        if self.t2_to_1 is not None and self.t2_to_1._has_data():
                                            return True

                                        if self.t2_to_2 is not None and self.t2_to_2._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:tag'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pop is not None and self.pop._has_data():
                                        return True

                                    if self.push is not None and self.push._has_data():
                                        return True

                                    if self.translate is not None and self.translate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ingress'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.tag is not None and self.tag._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:rewrite'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ingress is not None and self.ingress._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Rewrite']['meta_info']


                    class Errdisable(object):
                        """
                        Configure error disable
                        
                        .. attribute:: recovery
                        
                        	enable auto recovery
                        	**type**\:   :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.recovery = Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery()
                            self.recovery.parent = self


                        class Recovery(object):
                            """
                            enable auto recovery
                            
                            .. attribute:: cause
                            
                            	error disable cause
                            	**type**\:   :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery.Cause>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cause = Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery.Cause()
                                self.cause.parent = self


                            class Cause(object):
                                """
                                error disable cause
                                
                                .. attribute:: mac_security
                                
                                	mac\-security violation
                                	**type**\:  int
                                
                                	**range:** 30..86400
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mac_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cause'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mac_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery.Cause']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:recovery'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cause is not None and self.cause._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:errdisable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.recovery is not None and self.recovery._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Errdisable']['meta_info']


                    class EthernetContainer(object):
                        """
                        
                        
                        .. attribute:: ethernet
                        
                        	ethernet
                        	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ethernet = Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet()
                            self.ethernet.parent = self


                        class Ethernet(object):
                            """
                            ethernet
                            
                            .. attribute:: lmi
                            
                            	Configure ether lmi parameters
                            	**type**\:   :py:class:`Lmi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi>`
                            
                            .. attribute:: loopback
                            
                            	Ethernet Dataplane Loopback
                            	**type**\:   :py:class:`Loopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lmi = Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi()
                                self.lmi.parent = self
                                self.loopback = Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback()
                                self.loopback.parent = self


                            class Lmi(object):
                                """
                                Configure ether lmi parameters
                                
                                .. attribute:: ce_vlan
                                
                                	Configure ether lmi customer vlans
                                	**type**\:   :py:class:`CeVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ce_vlan = Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan()
                                    self.ce_vlan.parent = self


                                class CeVlan(object):
                                    """
                                    Configure ether lmi customer vlans
                                    
                                    .. attribute:: map
                                    
                                    	Configure ether lmi ce\-vlan/evc map
                                    	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map = Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map()
                                        self.map.parent = self


                                    class Map(object):
                                        """
                                        Configure ether lmi ce\-vlan/evc map
                                        
                                        .. attribute:: any
                                        
                                        	For all VLANS [untagged,1\-4094]
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: default
                                        
                                        	Default EFP
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: untagged
                                        
                                        	Untagged frames
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vlan_range
                                        
                                        	
                                        	**type**\:   :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.any = None
                                            self.default = None
                                            self.untagged = None
                                            self.vlan_range = Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange()
                                            self.vlan_range.parent = self


                                        class VlanRange(object):
                                            """
                                            
                                            
                                            .. attribute:: comma
                                            
                                            	comma
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: hyphen
                                            
                                            	hyphen
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: vlan_id
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.comma = None
                                                self.hyphen = None
                                                self.vlan_id = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:vlan-range'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.comma is not None:
                                                    return True

                                                if self.hyphen is not None:
                                                    return True

                                                if self.vlan_id is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:map'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.any is not None:
                                                return True

                                            if self.default is not None:
                                                return True

                                            if self.untagged is not None:
                                                return True

                                            if self.vlan_range is not None and self.vlan_range._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ce-vlan'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map is not None and self.map._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:lmi'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ce_vlan is not None and self.ce_vlan._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info']


                            class Loopback(object):
                                """
                                Ethernet Dataplane Loopback
                                
                                .. attribute:: permit
                                
                                	Allow data plane loopback to be activated
                                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.permit = Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit()
                                    self.permit.parent = self


                                class Permit(object):
                                    """
                                    Allow data plane loopback to be activated
                                    
                                    .. attribute:: external
                                    
                                    	Allow to loopback the traffic from the wire
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: internal
                                    
                                    	Allow to loopback the traffic from the relay
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.internal = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:permit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None:
                                            return True

                                        if self.internal is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:loopback'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.permit is not None and self.permit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lmi is not None and self.lmi._has_data():
                                    return True

                                if self.loopback is not None and self.loopback._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet-container'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ethernet is not None and self.ethernet._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.EthernetContainer']['meta_info']


                    class Snmp(object):
                        """
                        Modify SNMP service instance parameters
                        
                        .. attribute:: ifindex
                        
                        	Persist ifindex for the service instance
                        	**type**\:   :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Snmp.Ifindex>`
                        
                        .. attribute:: trap
                        
                        	Allow a specific SNMP trap
                        	**type**\:   :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Snmp.Trap>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ifindex = Native.Interface.PortChannel.Service.Instance.Snmp.Ifindex()
                            self.ifindex.parent = self
                            self.trap = Native.Interface.PortChannel.Service.Instance.Snmp.Trap()
                            self.trap.parent = self


                        class Trap(object):
                            """
                            Allow a specific SNMP trap
                            
                            .. attribute:: link_status
                            
                            	Allow SNMP LINKUP and LINKDOWN traps
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.link_status = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:trap'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.link_status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Snmp.Trap']['meta_info']


                        class Ifindex(object):
                            """
                            Persist ifindex for the service instance
                            
                            .. attribute:: persist
                            
                            	Enable/Disable ifIndex persistence
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.persist = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ifindex'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.persist is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Snmp.Ifindex']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:snmp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ifindex is not None and self.ifindex._has_data():
                                return True

                            if self.trap is not None and self.trap._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Snmp']['meta_info']


                    class BridgeDomain(object):
                        """
                        Bridge\-domain
                        
                        .. attribute:: bridge_id
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: from_encapsulation
                        
                        	from\-encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: split_horizon
                        
                        	Configure this port as a member of a split horizon group
                        	**type**\:   :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bridge_id = None
                            self.from_encapsulation = None
                            self.split_horizon = Native.Interface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon()
                            self.split_horizon.parent = self


                        class SplitHorizon(object):
                            """
                            Configure this port as a member of a split horizon group
                            
                            .. attribute:: group
                            
                            	Split\-horizon group
                            	**type**\:  int
                            
                            	**range:** 0..13
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:split-horizon'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:bridge-domain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bridge_id is not None:
                                return True

                            if self.from_encapsulation is not None:
                                return True

                            if self.split_horizon is not None and self.split_horizon._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.BridgeDomain']['meta_info']


                    class Mac(object):
                        """
                        Commands for MAC Address\-based features
                        
                        .. attribute:: security
                        
                        	MAC Security commands
                        	**type**\:   :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Mac.Security>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.security = None


                        class Security(object):
                            """
                            MAC Security commands
                            
                            .. attribute:: maximum
                            
                            	Configure an upper bound
                            	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Mac.Security.Maximum>`
                            
                            .. attribute:: violation
                            
                            	Configure the response when a MAC security policy is violated
                            	**type**\:   :py:class:`ViolationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Mac.Security.ViolationEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.maximum = Native.Interface.PortChannel.Service.Instance.Mac.Security.Maximum()
                                self.maximum.parent = self
                                self.violation = None

                            class ViolationEnum(Enum):
                                """
                                ViolationEnum

                                Configure the response when a MAC security policy is violated

                                .. data:: protect = 0

                                .. data:: restrict = 1

                                """

                                protect = 0

                                restrict = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Mac.Security.ViolationEnum']



                            class Maximum(object):
                                """
                                Configure an upper bound
                                
                                .. attribute:: addresses
                                
                                	Maximum addresses that can be learnt on this service instance
                                	**type**\:  int
                                
                                	**range:** 1..1000
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.addresses = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:maximum'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.addresses is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Mac.Security.Maximum']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:security'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.maximum is not None and self.maximum._has_data():
                                    return True

                                if self.violation is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Mac.Security']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mac'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.security is not None and self.security._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Mac']['meta_info']


                    class ServicePolicy(object):
                        """
                        Attach a policy\-map to an EFP
                        
                        .. attribute:: input
                        
                        	service policy input
                        	**type**\: list of    :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.ServicePolicy.Input>`
                        
                        .. attribute:: output
                        
                        	service policy output
                        	**type**\: list of    :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.ServicePolicy.Output>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = YList()
                            self.input.parent = self
                            self.input.name = 'input'
                            self.output = YList()
                            self.output.parent = self
                            self.output.name = 'output'


                        class Input(object):
                            """
                            service policy input
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:input[Cisco-IOS-XE-ethernet:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.ServicePolicy.Input']['meta_info']


                        class Output(object):
                            """
                            service policy output
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:output[Cisco-IOS-XE-ethernet:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.ServicePolicy.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:service-policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None:
                                for child_ref in self.input:
                                    if child_ref._has_data():
                                        return True

                            if self.output is not None:
                                for child_ref in self.output:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.ServicePolicy']['meta_info']


                    class Cfm(object):
                        """
                        Ethernet CFM EFP subcommands
                        
                        .. attribute:: encapsulation
                        
                        	Configure CFM ethernet frame encapsulation
                        	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation>`
                        
                        .. attribute:: mep
                        
                        	Maintenance End Point
                        	**type**\:   :py:class:`Mep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Cfm.Mep>`
                        
                        .. attribute:: mip
                        
                        	Maintenance Intermediate Point
                        	**type**\:   :py:class:`Mip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Cfm.Mip>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.encapsulation = Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation()
                            self.encapsulation.parent = self
                            self.mep = Native.Interface.PortChannel.Service.Instance.Cfm.Mep()
                            self.mep.parent = self
                            self.mip = Native.Interface.PortChannel.Service.Instance.Cfm.Mip()
                            self.mip.parent = self


                        class Encapsulation(object):
                            """
                            Configure CFM ethernet frame encapsulation
                            
                            .. attribute:: dot1ad
                            
                            	802.1ad \- Provider Bridges
                            	**type**\:   :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad>`
                            
                            .. attribute:: dot1q
                            
                            	IEEE 802.1Q Virtual LAN or S\-VLAN
                            	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dot1ad = Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad()
                                self.dot1ad.parent = self
                                self.dot1q = Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q()
                                self.dot1q.parent = self


                            class Dot1Ad(object):
                                """
                                802.1ad \- Provider Bridges
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: dot1q
                                
                                	Second tag (dot1q)
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = None
                                    self.dot1q = None
                                    self.vlan_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1ad'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        return True

                                    if self.dot1q is not None:
                                        return True

                                    if self.vlan_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad']['meta_info']


                            class Dot1Q(object):
                                """
                                IEEE 802.1Q Virtual LAN or S\-VLAN
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: second_dot1q
                                
                                	inner 802.1Q Virtual LAN or C\-VLAN
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = None
                                    self.second_dot1q = None
                                    self.vlan_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1q'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        return True

                                    if self.second_dot1q is not None:
                                        return True

                                    if self.vlan_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:encapsulation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dot1ad is not None and self.dot1ad._has_data():
                                    return True

                                if self.dot1q is not None and self.dot1q._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation']['meta_info']


                        class Mep(object):
                            """
                            Maintenance End Point
                            
                            .. attribute:: domain
                            
                            	Configure a domain for this mep
                            	**type**\:  str
                            
                            .. attribute:: mpid
                            
                            	Maintenance End Point Identifier
                            	**type**\:  int
                            
                            	**range:** 1..8191
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.domain = None
                                self.mpid = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mep'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.domain is not None:
                                    return True

                                if self.mpid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Cfm.Mep']['meta_info']


                        class Mip(object):
                            """
                            Maintenance Intermediate Point
                            
                            .. attribute:: level
                            
                            	Maintenance Level
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.level = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.level is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Cfm.Mip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cfm'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.encapsulation is not None and self.encapsulation._has_data():
                                return True

                            if self.mep is not None and self.mep._has_data():
                                return True

                            if self.mip is not None and self.mip._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Cfm']['meta_info']


                    class L2Protocol(object):
                        """
                        Configure l2 control protocol processing
                        
                        .. attribute:: forward
                        
                        	forward L2 control protocol packets as data
                        	**type**\:   :py:class:`Forward <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.L2Protocol.Forward>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: peer
                        
                        	peer L2 control protocol packets as data
                        	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.L2Protocol.Peer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: tunnel
                        
                        	tunnel L2 control protocol packets as data
                        	**type**\:   :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.L2Protocol.Tunnel>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forward = None
                            self.peer = None
                            self.tunnel = None


                        class Peer(object):
                            """
                            peer L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.L2Protocol.Peer.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.L2Protocol.Peer.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:peer'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.L2Protocol.Peer']['meta_info']


                        class Forward(object):
                            """
                            forward L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.L2Protocol.Forward.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.L2Protocol.Forward.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:forward'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.L2Protocol.Forward']['meta_info']


                        class Tunnel(object):
                            """
                            tunnel L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.L2Protocol.Tunnel.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.L2Protocol.Tunnel.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:tunnel'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.L2Protocol.Tunnel']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:l2protocol'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forward is not None and self.forward._has_data():
                                return True

                            if self.peer is not None and self.peer._has_data():
                                return True

                            if self.tunnel is not None and self.tunnel._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.L2Protocol']['meta_info']


                    class Xconnect(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Xconnect.Backup>`
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Xconnect.EncapsulationEnum>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\:  str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Xconnect.SequencingEnum>`
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.backup = Native.Interface.PortChannel.Service.Instance.Xconnect.Backup()
                            self.backup.parent = self
                            self.encapsulation = None
                            self.manual = None
                            self.mtu = None
                            self.pw_class = None
                            self.sequencing = None
                            self.vcid = None

                        class EncapsulationEnum(Enum):
                            """
                            EncapsulationEnum

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = 0

                            l2tpv3 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Xconnect.EncapsulationEnum']


                        class SequencingEnum(Enum):
                            """
                            SequencingEnum

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = 0

                            receive = 1

                            transmit = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Xconnect.SequencingEnum']



                        class Backup(object):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Delay>`
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Peer>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.delay = Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self.peer = Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Peer()
                                self.peer.parent = self


                            class Peer(object):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\:  int
                                
                                	**range:** 1..10
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.peer_router_ip_addr = None
                                    self.priority = None
                                    self.pw_class = None
                                    self.vcid = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.peer_router_ip_addr is not None:
                                        return True

                                    if self.priority is not None:
                                        return True

                                    if self.pw_class is not None:
                                        return True

                                    if self.vcid is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Peer']['meta_info']


                            class Delay(object):
                                """
                                backup delay time
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: min
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None
                                    self.min = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Delay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:backup'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.delay is not None and self.delay._has_data():
                                    return True

                                if self.peer is not None and self.peer._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Xconnect.Backup']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:xconnect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.backup is not None and self.backup._has_data():
                                return True

                            if self.encapsulation is not None:
                                return True

                            if self.manual is not None:
                                return True

                            if self.mtu is not None:
                                return True

                            if self.pw_class is not None:
                                return True

                            if self.sequencing is not None:
                                return True

                            if self.vcid is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.Xconnect']['meta_info']


                    class XconnectPwClass(object):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.xconnect = Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self


                        class Xconnect(object):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\:  str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp>`
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.pw_class = None
                                self.udp = Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self.vcid = None


                            class Udp(object):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port = Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self


                                class Port(object):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-l2vpn'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.local = None
                                        self.remote = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:port'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.local is not None:
                                            return True

                                        if self.remote is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp.Port']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:udp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port is not None and self.port._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:xconnect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.pw_class is not None:
                                    return True

                                if self.udp is not None and self.udp._has_data():
                                    return True

                                if self.vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:xconnect-pw-class'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.xconnect is not None and self.xconnect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Service.Instance.XconnectPwClass']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:instance[Cisco-IOS-XE-ethernet:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.bridge_domain is not None and self.bridge_domain._has_data():
                            return True

                        if self.cfm is not None and self.cfm._has_data():
                            return True

                        if self.description is not None:
                            return True

                        if self.encapsulation is not None and self.encapsulation._has_data():
                            return True

                        if self.errdisable is not None and self.errdisable._has_data():
                            return True

                        if self.ethernet is not None:
                            return True

                        if self.ethernet_container is not None and self.ethernet_container._has_data():
                            return True

                        if self.ethernet_evc_name is not None:
                            return True

                        if self.evc_name is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        if self.l2protocol is not None and self.l2protocol._has_data():
                            return True

                        if self.mac is not None and self.mac._has_data():
                            return True

                        if self.rewrite is not None and self.rewrite._has_data():
                            return True

                        if self.service_policy is not None and self.service_policy._has_data():
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.snmp is not None and self.snmp._has_data():
                            return True

                        if self.trunk is not None:
                            return True

                        if self.xconnect is not None and self.xconnect._has_data():
                            return True

                        if self.xconnect_pw_class is not None and self.xconnect_pw_class._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Service.Instance']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:service'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.instance is not None:
                        for child_ref in self.instance:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Service']['meta_info']


            class Xconnect(object):
                """
                Xconnect commands
                
                .. attribute:: address
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: encapsulation
                
                	Data encapsulation method
                	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Xconnect.EncapsulationEnum>`
                
                .. attribute:: manual
                
                	Manually configure L2TP session parameters
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pw_class
                
                	Pseudowire\-class to use for encapsulation and protocol configuration
                	**type**\:  str
                
                .. attribute:: sequence
                
                	Configure sequencing options for xconnect
                	**type**\:   :py:class:`SequenceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Xconnect.SequenceEnum>`
                
                .. attribute:: vcid
                
                	
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = None
                    self.encapsulation = None
                    self.manual = None
                    self.pw_class = None
                    self.sequence = None
                    self.vcid = None

                class EncapsulationEnum(Enum):
                    """
                    EncapsulationEnum

                    Data encapsulation method

                    .. data:: mpls = 0

                    .. data:: l2tpv3 = 1

                    """

                    mpls = 0

                    l2tpv3 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Xconnect.EncapsulationEnum']


                class SequenceEnum(Enum):
                    """
                    SequenceEnum

                    Configure sequencing options for xconnect

                    .. data:: both = 0

                    .. data:: receive = 1

                    .. data:: transmit = 2

                    """

                    both = 0

                    receive = 1

                    transmit = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Xconnect.SequenceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:xconnect'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None:
                        return True

                    if self.encapsulation is not None:
                        return True

                    if self.manual is not None:
                        return True

                    if self.pw_class is not None:
                        return True

                    if self.sequence is not None:
                        return True

                    if self.vcid is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Xconnect']['meta_info']


            class Crypto(object):
                """
                Encryption/Decryption commands
                
                .. attribute:: ipsec
                
                	Set IPSec parameters
                	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Crypto.Ipsec>`
                
                .. attribute:: map
                
                	Assign a Crypto Map
                	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Crypto.Map>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipsec = Native.Interface.PortChannel.Crypto.Ipsec()
                    self.ipsec.parent = self
                    self.map = Native.Interface.PortChannel.Crypto.Map()
                    self.map.parent = self


                class Map(object):
                    """
                    Assign a Crypto Map
                    
                    .. attribute:: redundancy
                    
                    	enable redundancy
                    	**type**\:  str
                    
                    .. attribute:: stateful
                    
                    	enable stateful failover
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: tag
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.redundancy = None
                        self.stateful = None
                        self.tag = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.redundancy is not None:
                            return True

                        if self.stateful is not None:
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Crypto.Map']['meta_info']


                class Ipsec(object):
                    """
                    Set IPSec parameters
                    
                    .. attribute:: df_bit
                    
                    	Handling of encapsulated DF bit
                    	**type**\:   :py:class:`DfBitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Crypto.Ipsec.DfBitEnum>`
                    
                    .. attribute:: fragmentation
                    
                    	Handling of fragmentation of near\-MTU sized packets
                    	**type**\:   :py:class:`FragmentationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Crypto.Ipsec.FragmentationEnum>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.df_bit = None
                        self.fragmentation = None

                    class DfBitEnum(Enum):
                        """
                        DfBitEnum

                        Handling of encapsulated DF bit.

                        .. data:: clear = 0

                        .. data:: copy = 1

                        .. data:: set = 2

                        """

                        clear = 0

                        copy = 1

                        set = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Crypto.Ipsec.DfBitEnum']


                    class FragmentationEnum(Enum):
                        """
                        FragmentationEnum

                        Handling of fragmentation of near\-MTU sized packets

                        .. data:: after_encryption = 0

                        .. data:: before_encryption = 1

                        """

                        after_encryption = 0

                        before_encryption = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Crypto.Ipsec.FragmentationEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:ipsec'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.df_bit is not None:
                            return True

                        if self.fragmentation is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Crypto.Ipsec']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:crypto'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipsec is not None and self.ipsec._has_data():
                        return True

                    if self.map is not None and self.map._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Crypto']['meta_info']


            class Cts(object):
                """
                Configure Cisco Trusted Security
                
                .. attribute:: manual
                
                	Supply local configuration for CTS parameters
                	**type**\:   :py:class:`Manual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.manual = None


                class Manual(object):
                    """
                    Supply local configuration for CTS parameters
                    
                    .. attribute:: policy
                    
                    	CTS policy for manual mode
                    	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual.Policy>`
                    
                    .. attribute:: propagate
                    
                    	CTS SGT Propagation configuration for manual mode
                    	**type**\:   :py:class:`Propagate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual.Propagate>`
                    
                    .. attribute:: sap
                    
                    	CTS SAP configuration for manual mode
                    	**type**\:   :py:class:`Sap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual.Sap>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.policy = Native.Interface.PortChannel.Cts.Manual.Policy()
                        self.policy.parent = self
                        self.propagate = Native.Interface.PortChannel.Cts.Manual.Propagate()
                        self.propagate.parent = self
                        self.sap = Native.Interface.PortChannel.Cts.Manual.Sap()
                        self.sap.parent = self


                    class Policy(object):
                        """
                        CTS policy for manual mode
                        
                        .. attribute:: static
                        
                        	Configure policy to be applied on the link
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual.Policy.Static>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = Native.Interface.PortChannel.Cts.Manual.Policy.Static()
                            self.static.parent = self


                        class Static(object):
                            """
                            Configure policy to be applied on the link
                            
                            .. attribute:: sgt
                            
                            	Source Security Group Tag to apply to untagged or non\-trusted incoming traffic
                            	**type**\:  int
                            
                            	**range:** 2..65519
                            
                            .. attribute:: trusted
                            
                            	Trust the Source Group Tags (SGT) that the peer uses for sending
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.sgt = None
                                self.trusted = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-cts:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.sgt is not None:
                                    return True

                                if self.trusted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Cts.Manual.Policy.Static']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Cts.Manual.Policy']['meta_info']


                    class Sap(object):
                        """
                        CTS SAP configuration for manual mode
                        
                        .. attribute:: pmk
                        
                        	Pre\-Master Key (PMK) to use for CTS SAP
                        	**type**\: list of    :py:class:`Pmk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual.Sap.Pmk>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.pmk = YList()
                            self.pmk.parent = self
                            self.pmk.name = 'pmk'


                        class Pmk(object):
                            """
                            Pre\-Master Key (PMK) to use for CTS SAP
                            
                            .. attribute:: word  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: mode_list
                            
                            	List of advertised modes (prioritized from highest to lowest)
                            	**type**\:   :py:class:`ModeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.word = None
                                self.mode_list = Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList()
                                self.mode_list.parent = self


                            class ModeList(object):
                                """
                                List of advertised modes (prioritized from highest to lowest)
                                
                                .. attribute:: gcm_encrypt
                                
                                	GCM authentication, GCM encryption
                                	**type**\:   :py:class:`GcmEncrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_encap
                                
                                	No encapsulation
                                	**type**\:   :py:class:`NoEncap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.NoEncap>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.gcm_encrypt = None
                                    self.no_encap = None


                                class GcmEncrypt(object):
                                    """
                                    GCM authentication, GCM encryption
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:   :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.gmac = None


                                    class Gmac(object):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: null
                                        
                                        	Encapsulation present, no authentication,       no encryption
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.null = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:gmac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.null is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:gcm-encrypt'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.gmac is not None and self.gmac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info']


                                class NoEncap(object):
                                    """
                                    No encapsulation
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:   :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.gmac = None


                                    class Gmac(object):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: gcm_encrypt
                                        
                                        	GCM authentication, GCM encryption
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.gcm_encrypt = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:gmac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.gcm_encrypt is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:no-encap'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.gmac is not None and self.gmac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-cts:mode-list'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.gcm_encrypt is not None and self.gcm_encrypt._has_data():
                                        return True

                                    if self.no_encap is not None and self.no_encap._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.word is None:
                                    raise YPYModelError('Key property word is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-cts:pmk[Cisco-IOS-XE-cts:word = ' + str(self.word) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.word is not None:
                                    return True

                                if self.mode_list is not None and self.mode_list._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Cts.Manual.Sap.Pmk']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:sap'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.pmk is not None:
                                for child_ref in self.pmk:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Cts.Manual.Sap']['meta_info']


                    class Propagate(object):
                        """
                        CTS SGT Propagation configuration for manual mode
                        
                        .. attribute:: sgt
                        
                        	CTS SGT Propagation configuration
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.sgt = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:propagate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.sgt is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Cts.Manual.Propagate']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-cts:manual'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.policy is not None and self.policy._has_data():
                            return True

                        if self.propagate is not None and self.propagate._has_data():
                            return True

                        if self.sap is not None and self.sap._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Cts.Manual']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-cts:cts'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.manual is not None and self.manual._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Cts']['meta_info']


            class Dot1X(object):
                """
                Interface Config Commands for IEEE 802.1X
                
                .. attribute:: authenticator
                
                	Configure authenticator parameters
                	**type**\:   :py:class:`Authenticator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Dot1X.Authenticator>`
                
                .. attribute:: credentials
                
                	Credentials profile configuration
                	**type**\:  str
                
                .. attribute:: max_reauth_req
                
                	Max No. of Reauthentication Attempts
                	**type**\:  int
                
                	**range:** 1..10
                
                .. attribute:: max_req
                
                	Max No. of Retries
                	**type**\:  int
                
                	**range:** 1..10
                
                .. attribute:: max_start
                
                	Max No. of EAPOL\-Start requests
                	**type**\:  int
                
                	**range:** 1..10
                
                .. attribute:: pae
                
                	Set 802.1x interface pae type
                	**type**\:   :py:class:`PaeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Dot1X.PaeEnum>`
                
                .. attribute:: supplicant
                
                	Configure supplicant parameters
                	**type**\:   :py:class:`Supplicant <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Dot1X.Supplicant>`
                
                .. attribute:: timeout
                
                	Various Timeouts
                	**type**\:   :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Dot1X.Timeout>`
                
                

                """

                _prefix = 'ios-dot1x'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.authenticator = Native.Interface.PortChannel.Dot1X.Authenticator()
                    self.authenticator.parent = self
                    self.credentials = None
                    self.max_reauth_req = None
                    self.max_req = None
                    self.max_start = None
                    self.pae = None
                    self.supplicant = Native.Interface.PortChannel.Dot1X.Supplicant()
                    self.supplicant.parent = self
                    self.timeout = Native.Interface.PortChannel.Dot1X.Timeout()
                    self.timeout.parent = self

                class PaeEnum(Enum):
                    """
                    PaeEnum

                    Set 802.1x interface pae type

                    .. data:: authenticator = 0

                    .. data:: supplicant = 1

                    .. data:: both = 2

                    """

                    authenticator = 0

                    supplicant = 1

                    both = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Dot1X.PaeEnum']



                class Authenticator(object):
                    """
                    Configure authenticator parameters
                    
                    .. attribute:: eap
                    
                    	Configure EAP authenticator parameters
                    	**type**\:   :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Dot1X.Authenticator.Eap>`
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eap = Native.Interface.PortChannel.Dot1X.Authenticator.Eap()
                        self.eap.parent = self


                    class Eap(object):
                        """
                        Configure EAP authenticator parameters
                        
                        .. attribute:: profile
                        
                        	EAP authenticator profile configuration
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dot1x'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.profile = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dot1x:eap'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.profile is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Dot1X.Authenticator.Eap']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-dot1x:authenticator'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eap is not None and self.eap._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Dot1X.Authenticator']['meta_info']


                class Supplicant(object):
                    """
                    Configure supplicant parameters
                    
                    .. attribute:: eap
                    
                    	Configure EAP supplicant parameters
                    	**type**\:   :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Dot1X.Supplicant.Eap>`
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eap = Native.Interface.PortChannel.Dot1X.Supplicant.Eap()
                        self.eap.parent = self


                    class Eap(object):
                        """
                        Configure EAP supplicant parameters
                        
                        .. attribute:: profile
                        
                        	EAP supplicant profile configuration
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dot1x'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.profile = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dot1x:eap'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.profile is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Dot1X.Supplicant.Eap']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-dot1x:supplicant'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eap is not None and self.eap._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Dot1X.Supplicant']['meta_info']


                class Timeout(object):
                    """
                    Various Timeouts
                    
                    .. attribute:: auth_period
                    
                    	Timeout for authenticator reply
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: held_period
                    
                    	Timeout for authentication retries
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: quiet_period
                    
                    	QuietPeriod in Seconds
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: ratelimit_period
                    
                    	Ratelimit Period in seconds
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: server_timeout
                    
                    	Timeout for Radius Retries
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: start_period
                    
                    	Timeout for EAPOL\-start retries
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: supp_timeout
                    
                    	Timeout for supplicant reply
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tx_period
                    
                    	Timeout for supplicant retries
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auth_period = None
                        self.held_period = None
                        self.quiet_period = None
                        self.ratelimit_period = None
                        self.server_timeout = None
                        self.start_period = None
                        self.supp_timeout = None
                        self.tx_period = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-dot1x:timeout'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auth_period is not None:
                            return True

                        if self.held_period is not None:
                            return True

                        if self.quiet_period is not None:
                            return True

                        if self.ratelimit_period is not None:
                            return True

                        if self.server_timeout is not None:
                            return True

                        if self.start_period is not None:
                            return True

                        if self.supp_timeout is not None:
                            return True

                        if self.tx_period is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Dot1X.Timeout']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-dot1x:dot1x'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.authenticator is not None and self.authenticator._has_data():
                        return True

                    if self.credentials is not None:
                        return True

                    if self.max_reauth_req is not None:
                        return True

                    if self.max_req is not None:
                        return True

                    if self.max_start is not None:
                        return True

                    if self.pae is not None:
                        return True

                    if self.supplicant is not None and self.supplicant._has_data():
                        return True

                    if self.timeout is not None and self.timeout._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Dot1X']['meta_info']


            class ServicePolicy(object):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.history = None
                    self.input = None
                    self.output = None
                    self.type = Native.Interface.PortChannel.ServicePolicy.Type()
                    self.type.parent = self


                class Type(object):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:   :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:   :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:   :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.control = Native.Interface.PortChannel.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self.performance_monitor = Native.Interface.PortChannel.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self.service_chain = Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self


                    class Control(object):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.subscriber = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:control'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.subscriber is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.ServicePolicy.Type.Control']['meta_info']


                    class PerformanceMonitor(object):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ServicePolicy.Type.PerformanceMonitor.DirectionEnum>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.direction = None
                            self.name = None

                        class DirectionEnum(Enum):
                            """
                            DirectionEnum

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = 0

                            output = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.ServicePolicy.Type.PerformanceMonitor.DirectionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:performance-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.direction is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.ServicePolicy.Type.PerformanceMonitor']['meta_info']


                    class ServiceChain(object):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self.output = Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self


                        class Input(object):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Input']['meta_info']


                        class Output(object):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:output'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:service-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None and self.input._has_data():
                                return True

                            if self.output is not None and self.output._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.control is not None and self.control._has_data():
                            return True

                        if self.performance_monitor is not None and self.performance_monitor._has_data():
                            return True

                        if self.service_chain is not None and self.service_chain._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.ServicePolicy.Type']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.history is not None:
                        return True

                    if self.input is not None:
                        return True

                    if self.output is not None:
                        return True

                    if self.type is not None and self.type._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.ServicePolicy']['meta_info']


            class Snmp(object):
                """
                Modify SNMP interface parameters
                
                .. attribute:: ifindex
                
                	Persist ifindex for the interface
                	**type**\:   :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Snmp.Ifindex>`
                
                .. attribute:: trap
                
                	Allow a specific SNMP trap
                	**type**\:   :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Snmp.Trap>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ifindex = Native.Interface.PortChannel.Snmp.Ifindex()
                    self.ifindex.parent = self
                    self.trap = Native.Interface.PortChannel.Snmp.Trap()
                    self.trap.parent = self


                class Ifindex(object):
                    """
                    Persist ifindex for the interface
                    
                    .. attribute:: clear
                    
                    	Clear Enable/Disable ifIndex persistence
                    	**type**\:  bool
                    
                    .. attribute:: persist
                    
                    	Enable/Disable ifIndex persistence 
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.clear = None
                        self.persist = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-snmp:ifindex'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.clear is not None:
                            return True

                        if self.persist is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Snmp.Ifindex']['meta_info']


                class Trap(object):
                    """
                    Allow a specific SNMP trap
                    
                    .. attribute:: link_status
                    
                    	Allow SNMP LINKUP and LINKDOWN traps
                    	**type**\:  bool
                    
                    .. attribute:: link_status_capas
                    
                    	
                    	**type**\:   :py:class:`LinkStatusCapas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.link_status = None
                        self.link_status_capas = Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas()
                        self.link_status_capas.parent = self


                    class LinkStatusCapas(object):
                        """
                        
                        
                        .. attribute:: link_status
                        
                        	Allow SNMP LINKUP and LINKDOWN traps
                        	**type**\:   :py:class:`LinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.link_status = Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus()
                            self.link_status.parent = self


                        class LinkStatus(object):
                            """
                            Allow SNMP LINKUP and LINKDOWN traps
                            
                            .. attribute:: permit
                            
                            	Permit the following capability
                            	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.permit = Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit()
                                self.permit.parent = self


                            class Permit(object):
                                """
                                Permit the following capability
                                
                                .. attribute:: duplicates
                                
                                	Permit duplicate SNMP LINKUP and LINKDOWN traps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.duplicates = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:permit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.duplicates is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-snmp:link-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.permit is not None and self.permit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-snmp:link-status-capas'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.link_status is not None and self.link_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-snmp:trap'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.link_status is not None:
                            return True

                        if self.link_status_capas is not None and self.link_status_capas._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Snmp.Trap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:snmp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ifindex is not None and self.ifindex._has_data():
                        return True

                    if self.trap is not None and self.trap._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Snmp']['meta_info']


            class Lisp(object):
                """
                Locator/ID Separation Protocol
                
                .. attribute:: extended_subnet_mode
                
                	Configures to enable extended subnet mode on the interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mobility
                
                	Configures to allow EID mobility on interface
                	**type**\:   :py:class:`Mobility <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Lisp.Mobility>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.extended_subnet_mode = None
                    self.mobility = Native.Interface.PortChannel.Lisp.Mobility()
                    self.mobility.parent = self


                class Mobility(object):
                    """
                    Configures to allow EID mobility on interface
                    
                    .. attribute:: discover
                    
                    	Configure mobility dynamic EID discover settings
                    	**type**\:   :py:class:`Discover <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Lisp.Mobility.Discover>`
                    
                    .. attribute:: dynamic_eid
                    
                    	
                    	**type**\:   :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Lisp.Mobility.DynamicEid>`
                    
                    .. attribute:: liveness
                    
                    	Configure mobility liveness settings
                    	**type**\:   :py:class:`Liveness <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Lisp.Mobility.Liveness>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.discover = Native.Interface.PortChannel.Lisp.Mobility.Discover()
                        self.discover.parent = self
                        self.dynamic_eid = Native.Interface.PortChannel.Lisp.Mobility.DynamicEid()
                        self.dynamic_eid.parent = self
                        self.liveness = Native.Interface.PortChannel.Lisp.Mobility.Liveness()
                        self.liveness.parent = self


                    class DynamicEid(object):
                        """
                        
                        
                        .. attribute:: dynamic_eid_name
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: nbr_proxy_reply
                        
                        	Neighbor proxy reply behavior for dynamic EID group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: requests
                        
                        	Send neighbor proxy reply after reaching request threshold
                        	**type**\:  int
                        
                        	**range:** 0..5
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dynamic_eid_name = None
                            self.nbr_proxy_reply = None
                            self.requests = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:dynamic-eid'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dynamic_eid_name is not None:
                                return True

                            if self.nbr_proxy_reply is not None:
                                return True

                            if self.requests is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Lisp.Mobility.DynamicEid']['meta_info']


                    class Discover(object):
                        """
                        Configure mobility dynamic EID discover settings
                        
                        .. attribute:: arp
                        
                        	Dynamic EID discover through ARP events on this interface
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.arp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:discover'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.arp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Lisp.Mobility.Discover']['meta_info']


                    class Liveness(object):
                        """
                        Configure mobility liveness settings
                        
                        .. attribute:: test
                        
                        	Perform liveness test on dynamic\-EID discovered on this interface
                        	**type**\:  bool
                        
                        .. attribute:: ttl
                        
                        	Configures the TTL in the liveness test packet
                        	**type**\:  int
                        
                        	**range:** 2..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.test = None
                            self.ttl = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:liveness'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.test is not None:
                                return True

                            if self.ttl is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Lisp.Mobility.Liveness']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:mobility'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.discover is not None and self.discover._has_data():
                            return True

                        if self.dynamic_eid is not None and self.dynamic_eid._has_data():
                            return True

                        if self.liveness is not None and self.liveness._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Lisp.Mobility']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.extended_subnet_mode is not None:
                        return True

                    if self.mobility is not None and self.mobility._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Lisp']['meta_info']


            class Ospfv3(object):
                """
                OSPFv3 interface commands
                
                .. attribute:: authentication
                
                	Enable authentication
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Authentication>`
                
                .. attribute:: bfd
                
                	Enable BFD on this interface
                	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Bfd>`
                
                	**presence node**\: True
                
                .. attribute:: cost
                
                	Route cost of this interface
                	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Cost>`
                
                .. attribute:: database_filter
                
                	Filter OSPF LSA during synchronization and flooding
                	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.DatabaseFilter>`
                
                .. attribute:: dead_interval
                
                	Interval after which a neighbor is declared dead
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: demand_circuit
                
                	OSPF Demand Circuit
                	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.DemandCircuit>`
                
                	**presence node**\: True
                
                .. attribute:: encryption
                
                	Enable encryption
                	**type**\:   :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption>`
                
                .. attribute:: flood_reduction
                
                	OSPF Flood Reduction
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hello_interval
                
                	Time between HELLO packets
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: manet
                
                	Mobile Adhoc Networking options
                	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Manet>`
                
                .. attribute:: mtu_ignore
                
                	Ignores the MTU in DBD packets
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: multi_area
                
                	Set the OSPF multi\-area ID
                	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.MultiArea>`
                
                .. attribute:: neighbor
                
                	OSPF neighbor
                	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Neighbor>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Network>`
                
                .. attribute:: prefix_suppression
                
                	OSPF prefix suppression
                	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.PrefixSuppression>`
                
                	**presence node**\: True
                
                .. attribute:: priority
                
                	Router priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: process_id
                
                	
                	**type**\: list of    :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId>`
                
                .. attribute:: retransmit_interval
                
                	Time between retransmitting lost link state advertisements
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: shutdown
                
                	Shut down the interface in OSPFv3
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: transmit_delay
                
                	Link state transmit delay
                	**type**\:  int
                
                	**range:** 1..65535
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.authentication = Native.Interface.PortChannel.Ospfv3.Authentication()
                    self.authentication.parent = self
                    self.bfd = None
                    self.cost = Native.Interface.PortChannel.Ospfv3.Cost()
                    self.cost.parent = self
                    self.database_filter = Native.Interface.PortChannel.Ospfv3.DatabaseFilter()
                    self.database_filter.parent = self
                    self.dead_interval = None
                    self.demand_circuit = None
                    self.encryption = Native.Interface.PortChannel.Ospfv3.Encryption()
                    self.encryption.parent = self
                    self.flood_reduction = None
                    self.hello_interval = None
                    self.manet = Native.Interface.PortChannel.Ospfv3.Manet()
                    self.manet.parent = self
                    self.mtu_ignore = None
                    self.multi_area = Native.Interface.PortChannel.Ospfv3.MultiArea()
                    self.multi_area.parent = self
                    self.neighbor = YList()
                    self.neighbor.parent = self
                    self.neighbor.name = 'neighbor'
                    self.network = Native.Interface.PortChannel.Ospfv3.Network()
                    self.network.parent = self
                    self.prefix_suppression = None
                    self.priority = None
                    self.process_id = YList()
                    self.process_id.parent = self
                    self.process_id.name = 'process_id'
                    self.retransmit_interval = None
                    self.shutdown = None
                    self.transmit_delay = None


                class ProcessId(object):
                    """
                    
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Cost>`
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ipv4
                    
                    	Specify parameters for IPv4
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	Specify parameters for IPv6
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6>`
                    
                    .. attribute:: manet
                    
                    	Mobile Adhoc Networking options
                    	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Manet>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.MultiArea>`
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Network>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.authentication = Native.Interface.PortChannel.Ospfv3.ProcessId.Authentication()
                        self.authentication.parent = self
                        self.bfd = None
                        self.cost = Native.Interface.PortChannel.Ospfv3.ProcessId.Cost()
                        self.cost.parent = self
                        self.database_filter = Native.Interface.PortChannel.Ospfv3.ProcessId.DatabaseFilter()
                        self.database_filter.parent = self
                        self.dead_interval = None
                        self.demand_circuit = None
                        self.flood_reduction = None
                        self.hello_interval = None
                        self.ipv4 = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4()
                        self.ipv4.parent = self
                        self.ipv6 = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6()
                        self.ipv6.parent = self
                        self.manet = Native.Interface.PortChannel.Ospfv3.ProcessId.Manet()
                        self.manet.parent = self
                        self.mtu_ignore = None
                        self.multi_area = Native.Interface.PortChannel.Ospfv3.ProcessId.MultiArea()
                        self.multi_area.parent = self
                        self.neighbor = YList()
                        self.neighbor.parent = self
                        self.neighbor.name = 'neighbor'
                        self.network = Native.Interface.PortChannel.Ospfv3.ProcessId.Network()
                        self.network.parent = self
                        self.prefix_suppression = None
                        self.priority = None
                        self.retransmit_interval = None
                        self.shutdown = None
                        self.transmit_delay = None


                    class Authentication(object):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:  str
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_chain = None
                            self.null = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_chain is not None:
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Authentication']['meta_info']


                    class Bfd(object):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Bfd']['meta_info']


                    class Cost(object):
                        """
                        Route cost of this interface
                        
                        .. attribute:: dynamic
                        
                        	Specify dynamic cost options
                        	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dynamic = None
                            self.value = None


                        class Dynamic(object):
                            """
                            Specify dynamic cost options
                            
                            .. attribute:: default
                            
                            	Specify default link metric value
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: hysteresis
                            
                            	Specify hysteresis value for LSA dampening
                            	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: weight
                            
                            	Specify weight to be placed on individual metrics
                            	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.default = None
                                self.hysteresis = None
                                self.weight = Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight()
                                self.weight.parent = self


                            class Hysteresis(object):
                                """
                                Specify hysteresis value for LSA dampening
                                
                                .. attribute:: percent
                                
                                	Specify hysteresis percent changed
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold
                                
                                	Specify hysteresis threshold value
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.percent = None
                                    self.threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.percent is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis']['meta_info']


                            class Weight(object):
                                """
                                Specify weight to be placed on individual metrics
                                
                                .. attribute:: l2_factor
                                
                                	Specify weight to be given to L2\-factor metric
                                	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: latency
                                
                                	Specify weight to be given to latency metric
                                	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: resources
                                
                                	Specify weight to be given to resources metric
                                	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: throughput
                                
                                	Specify weight to be given to throughput metric
                                	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.l2_factor = None
                                    self.latency = None
                                    self.resources = None
                                    self.throughput = None


                                class L2Factor(object):
                                    """
                                    Specify weight to be given to L2\-factor metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor']['meta_info']


                                class Latency(object):
                                    """
                                    Specify weight to be given to latency metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency']['meta_info']


                                class Resources(object):
                                    """
                                    Specify weight to be given to resources metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources']['meta_info']


                                class Throughput(object):
                                    """
                                    Specify weight to be given to throughput metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.l2_factor is not None and self.l2_factor._has_data():
                                        return True

                                    if self.latency is not None and self.latency._has_data():
                                        return True

                                    if self.resources is not None and self.resources._has_data():
                                        return True

                                    if self.throughput is not None and self.throughput._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.default is not None:
                                    return True

                                if self.hysteresis is not None and self.hysteresis._has_data():
                                    return True

                                if self.weight is not None and self.weight._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dynamic is not None and self.dynamic._has_data():
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Cost']['meta_info']


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.DatabaseFilter.AllEnum>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.disable = None

                        class AllEnum(Enum):
                            """
                            AllEnum

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.DatabaseFilter.AllEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.DatabaseFilter']['meta_info']


                    class DemandCircuit(object):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None
                            self.ignore = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.DemandCircuit']['meta_info']


                    class FloodReduction(object):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:flood-reduction'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.FloodReduction']['meta_info']


                    class Manet(object):
                        """
                        Mobile Adhoc Networking options
                        
                        .. attribute:: peering
                        
                        	MANET Peering options
                        	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.peering = Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering()
                            self.peering.parent = self


                        class Peering(object):
                            """
                            MANET Peering options
                            
                            .. attribute:: cost
                            
                            	Redundant path cost improvement required to peer
                            	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering.Cost>`
                            
                            .. attribute:: link_metrics
                            
                            	Require link metrics
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cost = Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering.Cost()
                                self.cost.parent = self
                                self.link_metrics = None


                            class Cost(object):
                                """
                                Redundant path cost improvement required to peer
                                
                                .. attribute:: percent
                                
                                	Relative incremental path cost
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: threshold
                                
                                	Absolute incremental path cost
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.percent = None
                                    self.threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.percent is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering.Cost']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cost is not None and self.cost._has_data():
                                    return True

                                if self.link_metrics is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.peering is not None and self.peering._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Manet']['meta_info']


                    class MtuIgnore(object):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mtu-ignore'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.MtuIgnore']['meta_info']


                    class MultiArea(object):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: disable
                        
                        	disable OSPF multi\-area
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cost = None
                            self.disable = None
                            self.id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cost is not None:
                                return True

                            if self.disable is not None:
                                return True

                            if self.id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.MultiArea']['meta_info']


                    class Neighbor(object):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.cost = None
                            self.database_filter = Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self.poll_interval = None
                            self.priority = None


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor.DatabaseFilter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.cost is not None:
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.poll_interval is not None:
                                return True

                            if self.priority is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor']['meta_info']


                    class Network(object):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.broadcast = None
                            self.manet = None
                            self.non_broadcast = None
                            self.point_to_multipoint = None
                            self.point_to_point = None


                        class PointToMultipoint(object):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.non_broadcast = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.non_broadcast is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Network.PointToMultipoint']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.broadcast is not None:
                                return True

                            if self.manet is not None:
                                return True

                            if self.non_broadcast is not None:
                                return True

                            if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                return True

                            if self.point_to_point is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Network']['meta_info']


                    class PrefixSuppression(object):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.PrefixSuppression']['meta_info']


                    class Shutdown(object):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:shutdown'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Shutdown']['meta_info']


                    class Ipv4(object):
                        """
                        Specify parameters for IPv4
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.area = YList()
                            self.area.parent = self
                            self.area.name = 'area'
                            self.authentication = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Authentication()
                            self.authentication.parent = self
                            self.bfd = None
                            self.cost = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost()
                            self.cost.parent = self
                            self.database_filter = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DatabaseFilter()
                            self.database_filter.parent = self
                            self.dead_interval = None
                            self.demand_circuit = None
                            self.flood_reduction = None
                            self.hello_interval = None
                            self.manet = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet()
                            self.manet.parent = self
                            self.mtu_ignore = None
                            self.multi_area = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MultiArea()
                            self.multi_area.parent = self
                            self.neighbor = YList()
                            self.neighbor.parent = self
                            self.neighbor.name = 'neighbor'
                            self.network = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network()
                            self.network.parent = self
                            self.prefix_suppression = None
                            self.priority = None
                            self.retransmit_interval = None
                            self.shutdown = None
                            self.transmit_delay = None


                        class Area(object):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\:  int
                            
                            	**range:** 64..95
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.instance = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.instance is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Area']['meta_info']


                        class Authentication(object):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\:  str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.null = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.null is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Authentication']['meta_info']


                        class Bfd(object):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Bfd']['meta_info']


                        class Cost(object):
                            """
                            Route cost of this interface
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.value = None


                            class Dynamic(object):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.default = None
                                    self.hysteresis = None
                                    self.weight = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight()
                                    self.weight.parent = self


                                class Hysteresis(object):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis']['meta_info']


                                class Weight(object):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.l2_factor = None
                                        self.latency = None
                                        self.resources = None
                                        self.throughput = None


                                    class L2Factor(object):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor']['meta_info']


                                    class Latency(object):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency']['meta_info']


                                    class Resources(object):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources']['meta_info']


                                    class Throughput(object):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.l2_factor is not None and self.l2_factor._has_data():
                                            return True

                                        if self.latency is not None and self.latency._has_data():
                                            return True

                                        if self.resources is not None and self.resources._has_data():
                                            return True

                                        if self.throughput is not None and self.throughput._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.default is not None:
                                        return True

                                    if self.hysteresis is not None and self.hysteresis._has_data():
                                        return True

                                    if self.weight is not None and self.weight._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None and self.dynamic._has_data():
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost']['meta_info']


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None
                                self.disable = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DatabaseFilter']['meta_info']


                        class DemandCircuit(object):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None
                                self.ignore = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                if self.ignore is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DemandCircuit']['meta_info']


                        class FloodReduction(object):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:flood-reduction'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.FloodReduction']['meta_info']


                        class Manet(object):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.peering = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering()
                                self.peering.parent = self


                            class Peering(object):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cost = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self.link_metrics = None


                                class Cost(object):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cost is not None and self.cost._has_data():
                                        return True

                                    if self.link_metrics is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.peering is not None and self.peering._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet']['meta_info']


                        class MtuIgnore(object):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mtu-ignore'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MtuIgnore']['meta_info']


                        class MultiArea(object):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cost = None
                                self.disable = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cost is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MultiArea']['meta_info']


                        class Neighbor(object):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.cost = None
                                self.database_filter = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self.poll_interval = None
                                self.priority = None


                            class DatabaseFilter(object):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.all = None

                                class AllEnum(Enum):
                                    """
                                    AllEnum

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.all is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.cost is not None:
                                    return True

                                if self.database_filter is not None and self.database_filter._has_data():
                                    return True

                                if self.poll_interval is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor']['meta_info']


                        class Network(object):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.broadcast = None
                                self.manet = None
                                self.non_broadcast = None
                                self.point_to_multipoint = None
                                self.point_to_point = None


                            class PointToMultipoint(object):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.non_broadcast = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.non_broadcast is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.broadcast is not None:
                                    return True

                                if self.manet is not None:
                                    return True

                                if self.non_broadcast is not None:
                                    return True

                                if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                    return True

                                if self.point_to_point is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network']['meta_info']


                        class PrefixSuppression(object):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.PrefixSuppression']['meta_info']


                        class Shutdown(object):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:shutdown'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Shutdown']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.area is not None:
                                for child_ref in self.area:
                                    if child_ref._has_data():
                                        return True

                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.bfd is not None and self.bfd._has_data():
                                return True

                            if self.cost is not None and self.cost._has_data():
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.dead_interval is not None:
                                return True

                            if self.demand_circuit is not None and self.demand_circuit._has_data():
                                return True

                            if self.flood_reduction is not None and self.flood_reduction._has_data():
                                return True

                            if self.hello_interval is not None:
                                return True

                            if self.manet is not None and self.manet._has_data():
                                return True

                            if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                                return True

                            if self.multi_area is not None and self.multi_area._has_data():
                                return True

                            if self.neighbor is not None:
                                for child_ref in self.neighbor:
                                    if child_ref._has_data():
                                        return True

                            if self.network is not None and self.network._has_data():
                                return True

                            if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                                return True

                            if self.priority is not None:
                                return True

                            if self.retransmit_interval is not None:
                                return True

                            if self.shutdown is not None and self.shutdown._has_data():
                                return True

                            if self.transmit_delay is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4']['meta_info']


                    class Ipv6(object):
                        """
                        Specify parameters for IPv6
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.area = YList()
                            self.area.parent = self
                            self.area.name = 'area'
                            self.authentication = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Authentication()
                            self.authentication.parent = self
                            self.bfd = None
                            self.cost = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost()
                            self.cost.parent = self
                            self.database_filter = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DatabaseFilter()
                            self.database_filter.parent = self
                            self.dead_interval = None
                            self.demand_circuit = None
                            self.flood_reduction = None
                            self.hello_interval = None
                            self.manet = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet()
                            self.manet.parent = self
                            self.mtu_ignore = None
                            self.multi_area = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MultiArea()
                            self.multi_area.parent = self
                            self.neighbor = YList()
                            self.neighbor.parent = self
                            self.neighbor.name = 'neighbor'
                            self.network = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network()
                            self.network.parent = self
                            self.prefix_suppression = None
                            self.priority = None
                            self.retransmit_interval = None
                            self.shutdown = None
                            self.transmit_delay = None


                        class Area(object):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\:  int
                            
                            	**range:** 0..31
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.instance = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.instance is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Area']['meta_info']


                        class Authentication(object):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\:  str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.null = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.null is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Authentication']['meta_info']


                        class Bfd(object):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Bfd']['meta_info']


                        class Cost(object):
                            """
                            Route cost of this interface
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.value = None


                            class Dynamic(object):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.default = None
                                    self.hysteresis = None
                                    self.weight = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight()
                                    self.weight.parent = self


                                class Hysteresis(object):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis']['meta_info']


                                class Weight(object):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.l2_factor = None
                                        self.latency = None
                                        self.resources = None
                                        self.throughput = None


                                    class L2Factor(object):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor']['meta_info']


                                    class Latency(object):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency']['meta_info']


                                    class Resources(object):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources']['meta_info']


                                    class Throughput(object):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.l2_factor is not None and self.l2_factor._has_data():
                                            return True

                                        if self.latency is not None and self.latency._has_data():
                                            return True

                                        if self.resources is not None and self.resources._has_data():
                                            return True

                                        if self.throughput is not None and self.throughput._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.default is not None:
                                        return True

                                    if self.hysteresis is not None and self.hysteresis._has_data():
                                        return True

                                    if self.weight is not None and self.weight._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None and self.dynamic._has_data():
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost']['meta_info']


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None
                                self.disable = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DatabaseFilter']['meta_info']


                        class DemandCircuit(object):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None
                                self.ignore = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                if self.ignore is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DemandCircuit']['meta_info']


                        class FloodReduction(object):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:flood-reduction'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.FloodReduction']['meta_info']


                        class Manet(object):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.peering = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering()
                                self.peering.parent = self


                            class Peering(object):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cost = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self.link_metrics = None


                                class Cost(object):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cost is not None and self.cost._has_data():
                                        return True

                                    if self.link_metrics is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.peering is not None and self.peering._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet']['meta_info']


                        class MtuIgnore(object):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mtu-ignore'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MtuIgnore']['meta_info']


                        class MultiArea(object):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cost = None
                                self.disable = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cost is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MultiArea']['meta_info']


                        class Neighbor(object):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.cost = None
                                self.database_filter = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self.poll_interval = None
                                self.priority = None


                            class DatabaseFilter(object):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.all = None

                                class AllEnum(Enum):
                                    """
                                    AllEnum

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.all is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.cost is not None:
                                    return True

                                if self.database_filter is not None and self.database_filter._has_data():
                                    return True

                                if self.poll_interval is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor']['meta_info']


                        class Network(object):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.broadcast = None
                                self.manet = None
                                self.non_broadcast = None
                                self.point_to_multipoint = None
                                self.point_to_point = None


                            class PointToMultipoint(object):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.non_broadcast = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.non_broadcast is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.broadcast is not None:
                                    return True

                                if self.manet is not None:
                                    return True

                                if self.non_broadcast is not None:
                                    return True

                                if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                    return True

                                if self.point_to_point is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network']['meta_info']


                        class PrefixSuppression(object):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.PrefixSuppression']['meta_info']


                        class Shutdown(object):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:shutdown'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Shutdown']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.area is not None:
                                for child_ref in self.area:
                                    if child_ref._has_data():
                                        return True

                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.bfd is not None and self.bfd._has_data():
                                return True

                            if self.cost is not None and self.cost._has_data():
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.dead_interval is not None:
                                return True

                            if self.demand_circuit is not None and self.demand_circuit._has_data():
                                return True

                            if self.flood_reduction is not None and self.flood_reduction._has_data():
                                return True

                            if self.hello_interval is not None:
                                return True

                            if self.manet is not None and self.manet._has_data():
                                return True

                            if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                                return True

                            if self.multi_area is not None and self.multi_area._has_data():
                                return True

                            if self.neighbor is not None:
                                for child_ref in self.neighbor:
                                    if child_ref._has_data():
                                        return True

                            if self.network is not None and self.network._has_data():
                                return True

                            if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                                return True

                            if self.priority is not None:
                                return True

                            if self.retransmit_interval is not None:
                                return True

                            if self.shutdown is not None and self.shutdown._has_data():
                                return True

                            if self.transmit_delay is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:process-id[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        if self.cost is not None and self.cost._has_data():
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.dead_interval is not None:
                            return True

                        if self.demand_circuit is not None and self.demand_circuit._has_data():
                            return True

                        if self.flood_reduction is not None and self.flood_reduction._has_data():
                            return True

                        if self.hello_interval is not None:
                            return True

                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        if self.manet is not None and self.manet._has_data():
                            return True

                        if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                            return True

                        if self.multi_area is not None and self.multi_area._has_data():
                            return True

                        if self.neighbor is not None:
                            for child_ref in self.neighbor:
                                if child_ref._has_data():
                                    return True

                        if self.network is not None and self.network._has_data():
                            return True

                        if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.retransmit_interval is not None:
                            return True

                        if self.shutdown is not None and self.shutdown._has_data():
                            return True

                        if self.transmit_delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.ProcessId']['meta_info']


                class Authentication(object):
                    """
                    Enable authentication
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec authentication
                    	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec>`
                    
                    .. attribute:: key_chain
                    
                    	Use a key\-chain for cryptographic authentication keys
                    	**type**\:  str
                    
                    .. attribute:: null
                    
                    	Use no authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipsec = Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec()
                        self.ipsec.parent = self
                        self.key_chain = None
                        self.null = None


                    class Ipsec(object):
                        """
                        Use IPsec authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5>`
                        
                        .. attribute:: sha1
                        
                        	Use SHA\-1 authentication
                        	**type**\:   :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1>`
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\:  int
                        
                        	**range:** 256..4294967295
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5()
                            self.md5.parent = self
                            self.sha1 = Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1()
                            self.sha1.parent = self
                            self.spi = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_string = Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5']['meta_info']


                        class Sha1(object):
                            """
                            Use SHA\-1 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_string = Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:sha1'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipsec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.sha1 is not None and self.sha1._has_data():
                                return True

                            if self.spi is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipsec is not None and self.ipsec._has_data():
                            return True

                        if self.key_chain is not None:
                            return True

                        if self.null is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Authentication']['meta_info']


                class Bfd(object):
                    """
                    Enable BFD on this interface
                    
                    .. attribute:: disable
                    
                    	Disable BFD on this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Bfd']['meta_info']


                class Cost(object):
                    """
                    Route cost of this interface
                    
                    .. attribute:: dynamic
                    
                    	Specify dynamic cost options
                    	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Cost.Dynamic>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dynamic = None
                        self.value = None


                    class Dynamic(object):
                        """
                        Specify dynamic cost options
                        
                        .. attribute:: default
                        
                        	Specify default link metric value
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: hysteresis
                        
                        	Specify hysteresis value for LSA dampening
                        	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Hysteresis>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: weight
                        
                        	Specify weight to be placed on individual metrics
                        	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None
                            self.hysteresis = None
                            self.weight = Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight()
                            self.weight.parent = self


                        class Hysteresis(object):
                            """
                            Specify hysteresis value for LSA dampening
                            
                            .. attribute:: percent
                            
                            	Specify hysteresis percent changed
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold
                            
                            	Specify hysteresis threshold value
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.percent = None
                                self.threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.percent is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Hysteresis']['meta_info']


                        class Weight(object):
                            """
                            Specify weight to be placed on individual metrics
                            
                            .. attribute:: l2_factor
                            
                            	Specify weight to be given to L2\-factor metric
                            	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.L2Factor>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: latency
                            
                            	Specify weight to be given to latency metric
                            	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Latency>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: resources
                            
                            	Specify weight to be given to resources metric
                            	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Resources>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: throughput
                            
                            	Specify weight to be given to throughput metric
                            	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Throughput>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.l2_factor = None
                                self.latency = None
                                self.resources = None
                                self.throughput = None


                            class L2Factor(object):
                                """
                                Specify weight to be given to L2\-factor metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.L2Factor']['meta_info']


                            class Latency(object):
                                """
                                Specify weight to be given to latency metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Latency']['meta_info']


                            class Resources(object):
                                """
                                Specify weight to be given to resources metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Resources']['meta_info']


                            class Throughput(object):
                                """
                                Specify weight to be given to throughput metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Throughput']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.l2_factor is not None and self.l2_factor._has_data():
                                    return True

                                if self.latency is not None and self.latency._has_data():
                                    return True

                                if self.resources is not None and self.resources._has_data():
                                    return True

                                if self.throughput is not None and self.throughput._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            if self.hysteresis is not None and self.hysteresis._has_data():
                                return True

                            if self.weight is not None and self.weight._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Cost.Dynamic']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dynamic is not None and self.dynamic._has_data():
                            return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Cost']['meta_info']


                class DatabaseFilter(object):
                    """
                    Filter OSPF LSA during synchronization and flooding
                    
                    .. attribute:: all
                    
                    	Filter all LSA
                    	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.DatabaseFilter.AllEnum>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.all = None

                    class AllEnum(Enum):
                        """
                        AllEnum

                        Filter all LSA

                        .. data:: out = 0

                        """

                        out = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.DatabaseFilter.AllEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.all is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.DatabaseFilter']['meta_info']


                class DemandCircuit(object):
                    """
                    OSPF Demand Circuit
                    
                    .. attribute:: ignore
                    
                    	Ignore demand circuit auto\-negotiation requests
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ignore = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ignore is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.DemandCircuit']['meta_info']


                class Encryption(object):
                    """
                    Enable encryption
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec encryption
                    	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec>`
                    
                    .. attribute:: null
                    
                    	No IPsec encryption on this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipsec = Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec()
                        self.ipsec.parent = self
                        self.null = None


                    class Ipsec(object):
                        """
                        Use IPsec encryption
                        
                        .. attribute:: aes_cbc
                        
                        	Use AES\-CBC encryption
                        	**type**\:   :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc>`
                        
                        .. attribute:: esp
                        
                        	Use ESP encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec_3des
                        
                        	Use 3DES encryption
                        	**type**\:   :py:class:`Ipsec_3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec_3Des>`
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.aes_cbc = Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc()
                            self.aes_cbc.parent = self
                            self.esp = None
                            self.ipsec_3des = Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec_3Des()
                            self.ipsec_3des.parent = self
                            self.spi = None


                        class Ipsec_3Des(object):
                            """
                            Use 3DES encryption
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_string = Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipsec_3des'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec_3Des']['meta_info']


                        class AesCbc(object):
                            """
                            Use AES\-CBC encryption
                            
                            .. attribute:: aes_192
                            
                            	Use 192 bit key
                            	**type**\:   :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192>`
                            
                            .. attribute:: aes_256
                            
                            	Use 256 bit key
                            	**type**\:   :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256>`
                            
                            .. attribute:: aes_cbc_128
                            
                            	Use 128 bit key
                            	**type**\:   :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aes_192 = Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192()
                                self.aes_192.parent = self
                                self.aes_256 = Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256()
                                self.aes_256.parent = self
                                self.aes_cbc_128 = Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128()
                                self.aes_cbc_128.parent = self


                            class AesCbc128(object):
                                """
                                Use 128 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-cbc-128'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']


                            class Aes192(object):
                                """
                                Use 192 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-192'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192']['meta_info']


                            class Aes256(object):
                                """
                                Use 256 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-256'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-cbc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aes_192 is not None and self.aes_192._has_data():
                                    return True

                                if self.aes_256 is not None and self.aes_256._has_data():
                                    return True

                                if self.aes_cbc_128 is not None and self.aes_cbc_128._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipsec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.aes_cbc is not None and self.aes_cbc._has_data():
                                return True

                            if self.esp is not None:
                                return True

                            if self.ipsec_3des is not None and self.ipsec_3des._has_data():
                                return True

                            if self.spi is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:encryption'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipsec is not None and self.ipsec._has_data():
                            return True

                        if self.null is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Encryption']['meta_info']


                class Manet(object):
                    """
                    Mobile Adhoc Networking options
                    
                    .. attribute:: peering
                    
                    	MANET Peering options
                    	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Manet.Peering>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.peering = Native.Interface.PortChannel.Ospfv3.Manet.Peering()
                        self.peering.parent = self


                    class Peering(object):
                        """
                        MANET Peering options
                        
                        .. attribute:: cost
                        
                        	Redundant path cost improvement required to peer
                        	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Manet.Peering.Cost>`
                        
                        .. attribute:: link_metrics
                        
                        	Require link metrics
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cost = Native.Interface.PortChannel.Ospfv3.Manet.Peering.Cost()
                            self.cost.parent = self
                            self.link_metrics = None


                        class Cost(object):
                            """
                            Redundant path cost improvement required to peer
                            
                            .. attribute:: percent
                            
                            	Relative incremental path cost
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            .. attribute:: threshold
                            
                            	Absolute incremental path cost
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.percent = None
                                self.threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.percent is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Manet.Peering.Cost']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cost is not None and self.cost._has_data():
                                return True

                            if self.link_metrics is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Manet.Peering']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.peering is not None and self.peering._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Manet']['meta_info']


                class MultiArea(object):
                    """
                    Set the OSPF multi\-area ID
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cost = None
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cost is not None:
                            return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.MultiArea']['meta_info']


                class Neighbor(object):
                    """
                    OSPF neighbor
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	OSPF cost for point\-to\-multipoint neighbor
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Neighbor.DatabaseFilter>`
                    
                    .. attribute:: poll_interval
                    
                    	OSPF dead\-router polling interval
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: priority
                    
                    	OSPF priority of non\-broadcast neighbor
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.cost = None
                        self.database_filter = Native.Interface.PortChannel.Ospfv3.Neighbor.DatabaseFilter()
                        self.database_filter.parent = self
                        self.poll_interval = None
                        self.priority = None


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Neighbor.DatabaseFilter.AllEnum>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None

                        class AllEnum(Enum):
                            """
                            AllEnum

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Neighbor.DatabaseFilter.AllEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Neighbor.DatabaseFilter']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.cost is not None:
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.poll_interval is not None:
                            return True

                        if self.priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Neighbor']['meta_info']


                class Network(object):
                    """
                    Network type
                    
                    .. attribute:: broadcast
                    
                    	Specify OSPF broadcast multi\-access network
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: manet
                    
                    	Specify MANET OSPF interface type
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: non_broadcast
                    
                    	Specify OSPF NBMA network
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: point_to_multipoint
                    
                    	Specify OSPF point\-to\-multipoint network
                    	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Network.PointToMultipoint>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: point_to_point
                    
                    	Specify OSPF point\-to\-point network
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.broadcast = None
                        self.manet = None
                        self.non_broadcast = None
                        self.point_to_multipoint = None
                        self.point_to_point = None


                    class PointToMultipoint(object):
                        """
                        Specify OSPF point\-to\-multipoint network
                        
                        .. attribute:: non_broadcast
                        
                        	Specify non\-broadcast point\-to\-mpoint network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.non_broadcast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.non_broadcast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Network.PointToMultipoint']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.broadcast is not None:
                            return True

                        if self.manet is not None:
                            return True

                        if self.non_broadcast is not None:
                            return True

                        if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                            return True

                        if self.point_to_point is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.Network']['meta_info']


                class PrefixSuppression(object):
                    """
                    OSPF prefix suppression
                    
                    .. attribute:: disable
                    
                    	Disable prefix suppression
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Ospfv3.PrefixSuppression']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospfv3'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.bfd is not None and self.bfd._has_data():
                        return True

                    if self.cost is not None and self.cost._has_data():
                        return True

                    if self.database_filter is not None and self.database_filter._has_data():
                        return True

                    if self.dead_interval is not None:
                        return True

                    if self.demand_circuit is not None and self.demand_circuit._has_data():
                        return True

                    if self.encryption is not None and self.encryption._has_data():
                        return True

                    if self.flood_reduction is not None:
                        return True

                    if self.hello_interval is not None:
                        return True

                    if self.manet is not None and self.manet._has_data():
                        return True

                    if self.mtu_ignore is not None:
                        return True

                    if self.multi_area is not None and self.multi_area._has_data():
                        return True

                    if self.neighbor is not None:
                        for child_ref in self.neighbor:
                            if child_ref._has_data():
                                return True

                    if self.network is not None and self.network._has_data():
                        return True

                    if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                        return True

                    if self.priority is not None:
                        return True

                    if self.process_id is not None:
                        for child_ref in self.process_id:
                            if child_ref._has_data():
                                return True

                    if self.retransmit_interval is not None:
                        return True

                    if self.shutdown is not None:
                        return True

                    if self.transmit_delay is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Ospfv3']['meta_info']


            class Authentication(object):
                """
                Auth Manager Interface Configuration Commands
                
                .. attribute:: control_direction
                
                	Set the control\-direction on the interface
                	**type**\:   :py:class:`ControlDirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.ControlDirectionEnum>`
                
                .. attribute:: event
                
                	Set action for authentication events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event>`
                
                .. attribute:: fallback
                
                	Enable the Webauth fallback mechanism
                	**type**\:  str
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.HostModeEnum>`
                
                .. attribute:: open
                
                	Enable or Disable open access on this port
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: order
                
                	Add an authentication method to the order list
                	**type**\:   :py:class:`Order <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Order>`
                
                .. attribute:: periodic
                
                	Enable or Disable Reauthentication for this port
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	set the port\-control value
                	**type**\:   :py:class:`PortControlEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.PortControlEnum>`
                
                .. attribute:: priority
                
                	Add an authentication method to the priority list
                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Priority>`
                
                .. attribute:: timer
                
                	Set authentication timer values
                	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Timer>`
                
                .. attribute:: violation
                
                	Configure action to take on security violations
                	**type**\:   :py:class:`ViolationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.ViolationEnum>`
                
                

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.control_direction = None
                    self.event = Native.Interface.PortChannel.Authentication.Event()
                    self.event.parent = self
                    self.fallback = None
                    self.host_mode = None
                    self.open = None
                    self.order = Native.Interface.PortChannel.Authentication.Order()
                    self.order.parent = self
                    self.periodic = None
                    self.port_control = None
                    self.priority = Native.Interface.PortChannel.Authentication.Priority()
                    self.priority.parent = self
                    self.timer = Native.Interface.PortChannel.Authentication.Timer()
                    self.timer.parent = self
                    self.violation = None

                class ControlDirectionEnum(Enum):
                    """
                    ControlDirectionEnum

                    Set the control\-direction on the interface

                    .. data:: both = 0

                    .. data:: in_ = 1

                    """

                    both = 0

                    in_ = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Authentication.ControlDirectionEnum']


                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Authentication.HostModeEnum']


                class PortControlEnum(Enum):
                    """
                    PortControlEnum

                    set the port\-control value

                    .. data:: auto = 0

                    .. data:: force_authorized = 1

                    .. data:: force_unauthorized = 2

                    """

                    auto = 0

                    force_authorized = 1

                    force_unauthorized = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Authentication.PortControlEnum']


                class ViolationEnum(Enum):
                    """
                    ViolationEnum

                    Configure action to take on security violations

                    .. data:: protect = 0

                    .. data:: replace = 1

                    .. data:: restrict = 2

                    .. data:: shutdown = 3

                    """

                    protect = 0

                    replace = 1

                    restrict = 2

                    shutdown = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Authentication.ViolationEnum']



                class Event(object):
                    """
                    Set action for authentication events
                    
                    .. attribute:: fail
                    
                    	Configure actions for AAA fail events
                    	**type**\:   :py:class:`Fail <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.Fail>`
                    
                    .. attribute:: no_response
                    
                    	Configure actions for AAA no\-response events
                    	**type**\:   :py:class:`NoResponse <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.NoResponse>`
                    
                    .. attribute:: server
                    
                    	Configure actions for AAA server events
                    	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.Server>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.fail = Native.Interface.PortChannel.Authentication.Event.Fail()
                        self.fail.parent = self
                        self.no_response = Native.Interface.PortChannel.Authentication.Event.NoResponse()
                        self.no_response.parent = self
                        self.server = Native.Interface.PortChannel.Authentication.Event.Server()
                        self.server.parent = self


                    class Server(object):
                        """
                        Configure actions for AAA server events
                        
                        .. attribute:: alive
                        
                        	Configure AAA server alive action
                        	**type**\:   :py:class:`Alive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.Server.Alive>`
                        
                        .. attribute:: dead
                        
                        	Configure AAA server dead action
                        	**type**\:   :py:class:`Dead <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.Server.Dead>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.alive = Native.Interface.PortChannel.Authentication.Event.Server.Alive()
                            self.alive.parent = self
                            self.dead = Native.Interface.PortChannel.Authentication.Event.Server.Dead()
                            self.dead.parent = self


                        class Alive(object):
                            """
                            Configure AAA server alive action
                            
                            .. attribute:: action
                            
                            	Required action for authentication event
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.Server.Alive.Action>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.PortChannel.Authentication.Event.Server.Alive.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Required action for authentication event
                                
                                .. attribute:: reinitialize
                                
                                	Reinitialize all authorized clients
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.reinitialize = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.reinitialize is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Authentication.Event.Server.Alive.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:alive'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Authentication.Event.Server.Alive']['meta_info']


                        class Dead(object):
                            """
                            Configure AAA server dead action
                            
                            .. attribute:: action
                            
                            	Required action for authentication event
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Required action for authentication event
                                
                                .. attribute:: authorize
                                
                                	Authorize the port
                                	**type**\:   :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Authorize>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: reinitialize
                                
                                	Reinitialize all client on the port
                                	**type**\:   :py:class:`Reinitialize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Reinitialize>`
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.authorize = None
                                    self.reinitialize = Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Reinitialize()
                                    self.reinitialize.parent = self


                                class Authorize(object):
                                    """
                                    Authorize the port
                                    
                                    .. attribute:: vlan
                                    
                                    	Configure Critical Authorization VLAN
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: voice
                                    
                                    	Authorize the port for VOICE traffic
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sanet'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.vlan = None
                                        self.voice = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:authorize'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.vlan is not None:
                                            return True

                                        if self.voice is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Authorize']['meta_info']


                                class Reinitialize(object):
                                    """
                                    Reinitialize all client on the port
                                    
                                    .. attribute:: vlan
                                    
                                    	Configure Critical Authorization VLAN
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-sanet'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.vlan = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:reinitialize'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.vlan is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Reinitialize']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.authorize is not None and self.authorize._has_data():
                                        return True

                                    if self.reinitialize is not None and self.reinitialize._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:dead'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Authentication.Event.Server.Dead']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sanet:server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.alive is not None and self.alive._has_data():
                                return True

                            if self.dead is not None and self.dead._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Authentication.Event.Server']['meta_info']


                    class Fail(object):
                        """
                        Configure actions for AAA fail events
                        
                        .. attribute:: action
                        
                        	Required action for fail event
                        	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.Fail.Action>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.action = Native.Interface.PortChannel.Authentication.Event.Fail.Action()
                            self.action.parent = self


                        class Action(object):
                            """
                            Required action for fail event
                            
                            .. attribute:: authorize
                            
                            	Reinitialize all authorized clients
                            	**type**\:   :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.Fail.Action.Authorize>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authorize = Native.Interface.PortChannel.Authentication.Event.Fail.Action.Authorize()
                                self.authorize.parent = self


                            class Authorize(object):
                                """
                                Reinitialize all authorized clients
                                
                                .. attribute:: vlan
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.vlan = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:authorize'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Authentication.Event.Fail.Action.Authorize']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:action'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authorize is not None and self.authorize._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Authentication.Event.Fail.Action']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sanet:fail'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.action is not None and self.action._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Authentication.Event.Fail']['meta_info']


                    class NoResponse(object):
                        """
                        Configure actions for AAA no\-response events
                        
                        .. attribute:: action
                        
                        	Required action for no\-response event
                        	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.NoResponse.Action>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.action = Native.Interface.PortChannel.Authentication.Event.NoResponse.Action()
                            self.action.parent = self


                        class Action(object):
                            """
                            Required action for no\-response event
                            
                            .. attribute:: authorize
                            
                            	Reinitialize all authorized clients
                            	**type**\:   :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.NoResponse.Action.Authorize>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authorize = Native.Interface.PortChannel.Authentication.Event.NoResponse.Action.Authorize()
                                self.authorize.parent = self


                            class Authorize(object):
                                """
                                Reinitialize all authorized clients
                                
                                .. attribute:: vlan
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.vlan = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:authorize'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannel.Authentication.Event.NoResponse.Action.Authorize']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:action'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authorize is not None and self.authorize._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Authentication.Event.NoResponse.Action']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sanet:no-response'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.action is not None and self.action._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Authentication.Event.NoResponse']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.fail is not None and self.fail._has_data():
                            return True

                        if self.no_response is not None and self.no_response._has_data():
                            return True

                        if self.server is not None and self.server._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Authentication.Event']['meta_info']


                class Order(object):
                    """
                    Add an authentication method to the order list
                    
                    .. attribute:: dot1x
                    
                    	Authentication method dot1x allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mab
                    
                    	Authentication method mab allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: webauth
                    
                    	Authentication method webauth allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dot1x = None
                        self.mab = None
                        self.webauth = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:order'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dot1x is not None:
                            return True

                        if self.mab is not None:
                            return True

                        if self.webauth is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Authentication.Order']['meta_info']


                class Priority(object):
                    """
                    Add an authentication method to the priority list
                    
                    .. attribute:: dot1x
                    
                    	Authentication method dot1x allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mab
                    
                    	Authentication method mab allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: webauth
                    
                    	Authentication method webauth allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dot1x = None
                        self.mab = None
                        self.webauth = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:priority'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dot1x is not None:
                            return True

                        if self.mab is not None:
                            return True

                        if self.webauth is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Authentication.Priority']['meta_info']


                class Timer(object):
                    """
                    Set authentication timer values
                    
                    .. attribute:: inactivity
                    
                    	Interval in seconds after which if there is no activity fromthe client then it will be unauthorized (default OFF)
                    	**type**\:   :py:class:`Inactivity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Timer.Inactivity>`
                    
                    .. attribute:: reauthenticate
                    
                    	Time in seconds after which an automatic re\-authenticationshould be initiated (default 1 hour)
                    	**type**\:   :py:class:`Reauthenticate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Timer.Reauthenticate>`
                    
                    .. attribute:: restart
                    
                    	Interval in seconds after which an attempt should be made toauthenticate an unauthorized port (default 60 sec)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inactivity = Native.Interface.PortChannel.Authentication.Timer.Inactivity()
                        self.inactivity.parent = self
                        self.reauthenticate = Native.Interface.PortChannel.Authentication.Timer.Reauthenticate()
                        self.reauthenticate.parent = self
                        self.restart = None


                    class Reauthenticate(object):
                        """
                        Time in seconds after which an automatic re\-authenticationshould be initiated (default 1 hour)
                        
                        .. attribute:: server
                        
                        	Obtain re\-authentication timeout value from the server
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.server = None
                            self.value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sanet:reauthenticate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.server is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Authentication.Timer.Reauthenticate']['meta_info']


                    class Inactivity(object):
                        """
                        Interval in seconds after which if there is no activity fromthe client then it will be unauthorized (default OFF)
                        
                        .. attribute:: server
                        
                        	Obtain inactivity timeout value from the server
                        	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Timer.Inactivity.Server>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:   :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Timer.Inactivity.Value>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.server = None
                            self.value = Native.Interface.PortChannel.Authentication.Timer.Inactivity.Value()
                            self.value.parent = self


                        class Value(object):
                            """
                            
                            
                            .. attribute:: dynamic
                            
                            	Initiate a dynamic probe on inactivity timeout
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:value'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None:
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Authentication.Timer.Inactivity.Value']['meta_info']


                        class Server(object):
                            """
                            Obtain inactivity timeout value from the server
                            
                            .. attribute:: dynamic
                            
                            	Initiate a dynamic probe on inactivity timeout
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.dynamic = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-sanet:server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.dynamic is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Authentication.Timer.Inactivity.Server']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-sanet:inactivity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.server is not None and self.server._has_data():
                                return True

                            if self.value is not None and self.value._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Authentication.Timer.Inactivity']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-sanet:timer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inactivity is not None and self.inactivity._has_data():
                            return True

                        if self.reauthenticate is not None and self.reauthenticate._has_data():
                            return True

                        if self.restart is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Authentication.Timer']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:authentication'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.control_direction is not None:
                        return True

                    if self.event is not None and self.event._has_data():
                        return True

                    if self.fallback is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.open is not None:
                        return True

                    if self.order is not None and self.order._has_data():
                        return True

                    if self.periodic is not None:
                        return True

                    if self.port_control is not None:
                        return True

                    if self.priority is not None and self.priority._has_data():
                        return True

                    if self.timer is not None and self.timer._has_data():
                        return True

                    if self.violation is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Authentication']['meta_info']


            class Mab(object):
                """
                
                
                .. attribute:: eap
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.eap = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:mab'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.eap is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Mab']['meta_info']


            class SpanningTree(object):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpdufilter
                
                	Don't send or receive BPDUs on this interface
                	**type**\:   :py:class:`BpdufilterEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SpanningTree.BpdufilterEnum>`
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:   :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SpanningTree.Bpduguard>`
                
                .. attribute:: cost
                
                	To set the path cost of the interface
                	**type**\:  int
                
                	**range:** 1..200000000
                
                .. attribute:: guard
                
                	Change an interface's spanning tree guard mode
                	**type**\:   :py:class:`GuardEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SpanningTree.GuardEnum>`
                
                .. attribute:: link_type
                
                	Specify a link type for spanning tree tree protocol use
                	**type**\:   :py:class:`LinkTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SpanningTree.LinkTypeEnum>`
                
                .. attribute:: loopguard
                
                	Spanning tree loopguard options
                	**type**\:   :py:class:`Loopguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SpanningTree.Loopguard>`
                
                .. attribute:: mst
                
                	Per interface MST configurations
                	**type**\:   :py:class:`Mst <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SpanningTree.Mst>`
                
                .. attribute:: port_priority
                
                	Spanning tree port\-priority options
                	**type**\:  int
                
                	**range:** 0..240
                
                .. attribute:: portfast
                
                	Spanning tree portfast options
                	**type**\:   :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SpanningTree.Portfast>`
                
                	**presence node**\: True
                
                .. attribute:: vlan
                
                	VLAN Switch Spanning Tree
                	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SpanningTree.Vlan>`
                
                

                """

                _prefix = 'ios-stp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bpdufilter = None
                    self.bpduguard = Native.Interface.PortChannel.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self.cost = None
                    self.guard = None
                    self.link_type = None
                    self.loopguard = Native.Interface.PortChannel.SpanningTree.Loopguard()
                    self.loopguard.parent = self
                    self.mst = Native.Interface.PortChannel.SpanningTree.Mst()
                    self.mst.parent = self
                    self.port_priority = None
                    self.portfast = None
                    self.vlan = Native.Interface.PortChannel.SpanningTree.Vlan()
                    self.vlan.parent = self

                class BpdufilterEnum(Enum):
                    """
                    BpdufilterEnum

                    Don't send or receive BPDUs on this interface

                    .. data:: disable = 0

                    .. data:: enable = 1

                    """

                    disable = 0

                    enable = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.SpanningTree.BpdufilterEnum']


                class GuardEnum(Enum):
                    """
                    GuardEnum

                    Change an interface's spanning tree guard mode

                    .. data:: loop = 0

                    .. data:: none = 1

                    .. data:: root = 2

                    """

                    loop = 0

                    none = 1

                    root = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.SpanningTree.GuardEnum']


                class LinkTypeEnum(Enum):
                    """
                    LinkTypeEnum

                    Specify a link type for spanning tree tree protocol use

                    .. data:: auto = 0

                    .. data:: none = 1

                    .. data:: point_to_point = 2

                    .. data:: root = 3

                    .. data:: shared = 4

                    """

                    auto = 0

                    none = 1

                    point_to_point = 2

                    root = 3

                    shared = 4


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.SpanningTree.LinkTypeEnum']



                class Bpduguard(object):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: disable
                    
                    	Disable BPDU guard for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.disable = None
                        self.enable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:bpduguard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.disable is not None:
                            return True

                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.SpanningTree.Bpduguard']['meta_info']


                class Portfast(object):
                    """
                    Spanning tree portfast options
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk
                    
                    	Enable portfast on the interface even in trunk mode
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None
                        self.edge = None
                        self.trunk = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:portfast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        if self.edge is not None:
                            return True

                        if self.trunk is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.SpanningTree.Portfast']['meta_info']


                class Vlan(object):
                    """
                    VLAN Switch Spanning Tree
                    
                    .. attribute:: cost
                    
                    	<1\-200000000> Spanning\-tree cost
                    	**type**\:  int
                    
                    	**range:** 1..200000000
                    
                    .. attribute:: port_priority
                    
                    	<0\-240> port priority in increments of 16
                    	**type**\:  int
                    
                    	**range:** 0..240
                    
                    .. attribute:: vlan_ids
                    
                    	vlan range, example\: 1,3\-5,7,9\-11
                    	**type**\: one of the below types:
                    
                    	**type**\:  list of int
                    
                    	**range:** 1..4095
                    
                    
                    ----
                    	**type**\:  list of str
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cost = None
                        self.port_priority = None
                        self.vlan_ids = YLeafList()
                        self.vlan_ids.parent = self
                        self.vlan_ids.name = 'vlan_ids'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:vlan'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cost is not None:
                            return True

                        if self.port_priority is not None:
                            return True

                        if self.vlan_ids is not None:
                            for child in self.vlan_ids:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.SpanningTree.Vlan']['meta_info']


                class Loopguard(object):
                    """
                    Spanning tree loopguard options
                    
                    .. attribute:: default
                    
                    	Enable loopguard by default on all ports
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.default = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:loopguard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.default is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.SpanningTree.Loopguard']['meta_info']


                class Mst(object):
                    """
                    Per interface MST configurations
                    
                    .. attribute:: cost
                    
                    	<1\-200000000> Spanning\-tree cost
                    	**type**\:  int
                    
                    	**range:** 1..200000000
                    
                    .. attribute:: instance
                    
                    	MST instance list, example 0,2\-4,6,8\-12
                    	**type**\:  str
                    
                    .. attribute:: port_priority
                    
                    	<0\-240> port priority in increments of 16
                    	**type**\:  int
                    
                    	**range:** 0..240
                    
                    .. attribute:: pre_standard
                    
                    	Force pre\-standard MST BPDU transmission on port
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cost = None
                        self.instance = None
                        self.port_priority = None
                        self.pre_standard = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:mst'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cost is not None:
                            return True

                        if self.instance is not None:
                            return True

                        if self.port_priority is not None:
                            return True

                        if self.pre_standard is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.SpanningTree.Mst']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:spanning-tree'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bpdufilter is not None:
                        return True

                    if self.bpduguard is not None and self.bpduguard._has_data():
                        return True

                    if self.cost is not None:
                        return True

                    if self.guard is not None:
                        return True

                    if self.link_type is not None:
                        return True

                    if self.loopguard is not None and self.loopguard._has_data():
                        return True

                    if self.mst is not None and self.mst._has_data():
                        return True

                    if self.port_priority is not None:
                        return True

                    if self.portfast is not None and self.portfast._has_data():
                        return True

                    if self.vlan is not None and self.vlan._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.SpanningTree']['meta_info']


            class Auto(object):
                """
                Configure Automation
                
                .. attribute:: qos
                
                	Configure AutoQoS
                	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Auto.Qos>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.qos = Native.Interface.PortChannel.Auto.Qos()
                    self.qos.parent = self


                class Qos(object):
                    """
                    Configure AutoQoS
                    
                    .. attribute:: classify
                    
                    	Configure classification for untrusted devices
                    	**type**\:   :py:class:`Classify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Auto.Qos.Classify>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trust
                    
                    	Trust the DSCP/CoS marking
                    	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Auto.Qos.Trust>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: video
                    
                    	Configure AutoQoS for video devices
                    	**type**\:   :py:class:`Video <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Auto.Qos.Video>`
                    
                    .. attribute:: voip
                    
                    	Configure AutoQoS for VoIP
                    	**type**\:   :py:class:`Voip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Auto.Qos.Voip>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.classify = None
                        self.trust = None
                        self.video = Native.Interface.PortChannel.Auto.Qos.Video()
                        self.video.parent = self
                        self.voip = None


                    class Classify(object):
                        """
                        Configure classification for untrusted devices
                        
                        .. attribute:: police
                        
                        	Configure QoS policing for untrusted devices
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.police = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:classify'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.police is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Auto.Qos.Classify']['meta_info']


                    class Trust(object):
                        """
                        Trust the DSCP/CoS marking
                        
                        .. attribute:: cos
                        
                        	Trust the CoS marking
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dscp
                        
                        	Trust the DSCP marking
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.cos = None
                            self.dscp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:trust'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.cos is not None:
                                return True

                            if self.dscp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Auto.Qos.Trust']['meta_info']


                    class Video(object):
                        """
                        Configure AutoQoS for video devices
                        
                        .. attribute:: cts
                        
                        	Trust the QoS marking of the Cisco Telepresence System
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ip_camera
                        
                        	Trust the QoS marking of the Ip Video Surveillance camera
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: media_player
                        
                        	Trust the Qos marking of the Cisco Media Player
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cts = None
                            self.ip_camera = None
                            self.media_player = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:video'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cts is not None:
                                return True

                            if self.ip_camera is not None:
                                return True

                            if self.media_player is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Auto.Qos.Video']['meta_info']


                    class Voip(object):
                        """
                        Configure AutoQoS for VoIP
                        
                        .. attribute:: cisco_phone
                        
                        	Trust the QoS marking of Cisco IP Phone
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cisco_softphone
                        
                        	Trust the QoS marking of Cisco IP SoftPhone
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: trust
                        
                        	Trust the DSCP/CoS marking
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.cisco_phone = None
                            self.cisco_softphone = None
                            self.trust = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:voip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.cisco_phone is not None:
                                return True

                            if self.cisco_softphone is not None:
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Auto.Qos.Voip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:qos'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.classify is not None and self.classify._has_data():
                            return True

                        if self.trust is not None and self.trust._has_data():
                            return True

                        if self.video is not None and self.video._has_data():
                            return True

                        if self.voip is not None and self.voip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Auto.Qos']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:auto'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.qos is not None and self.qos._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Auto']['meta_info']


            class Datalink(object):
                """
                Interface Datalink commands
                
                .. attribute:: flow
                
                	Interface Flow configuration subcommands
                	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Datalink.Flow>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.flow = Native.Interface.PortChannel.Datalink.Flow()
                    self.flow.parent = self


                class Flow(object):
                    """
                    Interface Flow configuration subcommands
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Datalink.Flow.Monitor>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.monitor = None


                    class Monitor(object):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: input_output
                        
                        	Apply Flow Monitor on input/output traffic
                        	**type**\:   :py:class:`InputOutputEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Datalink.Flow.Monitor.InputOutputEnum>`
                        
                        .. attribute:: user_defined_flow
                        
                        	User defined
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.input_output = None
                            self.user_defined_flow = None

                        class InputOutputEnum(Enum):
                            """
                            InputOutputEnum

                            Apply Flow Monitor on input/output traffic

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = 0

                            output = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Datalink.Flow.Monitor.InputOutputEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.input_output is not None:
                                return True

                            if self.user_defined_flow is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Datalink.Flow.Monitor']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.monitor is not None and self.monitor._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Datalink.Flow']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:datalink'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.flow is not None and self.flow._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Datalink']['meta_info']


            class Energywise(object):
                """
                EnergyWise interface configurations
                
                .. attribute:: activitycheck
                
                	Apply an activity check before turning off power    to this PoE port
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.activitycheck = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:energywise'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.activitycheck is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Energywise']['meta_info']


            class Location(object):
                """
                Interface location information
                
                .. attribute:: civic_location_id
                
                	Civic location information
                	**type**\:   :py:class:`CivicLocationId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Location.CivicLocationId>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.civic_location_id = Native.Interface.PortChannel.Location.CivicLocationId()
                    self.civic_location_id.parent = self


                class CivicLocationId(object):
                    """
                    Civic location information
                    
                    .. attribute:: host
                    
                    	Globally defined host location identifer
                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Location.CivicLocationId.Host>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: location_identifier
                    
                    	civic location identifier string
                    	**type**\:  str
                    
                    .. attribute:: none
                    
                    	No globally defined location identifer
                    	**type**\:   :py:class:`None_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Location.CivicLocationId.None_>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.host = None
                        self.location_identifier = None
                        self.none = None


                    class Host(object):
                        """
                        Globally defined host location identifer
                        
                        .. attribute:: port_location
                        
                        	Port specific attributes
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.port_location = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.port_location is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Location.CivicLocationId.Host']['meta_info']


                    class None_(object):
                        """
                        No globally defined location identifer
                        
                        .. attribute:: port_location
                        
                        	Port specific attributes
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.port_location = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:none'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.port_location is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Location.CivicLocationId.None_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:civic-location-id'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.host is not None and self.host._has_data():
                            return True

                        if self.location_identifier is not None:
                            return True

                        if self.none is not None and self.none._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Location.CivicLocationId']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:location'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.civic_location_id is not None and self.civic_location_id._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Location']['meta_info']


            class Mac(object):
                """
                MAC interface commands
                
                .. attribute:: access_group
                
                	MAC access\-group configuration commands
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mac.AccessGroup>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.PortChannel.Mac.AccessGroup()
                    self.access_group.parent = self


                class AccessGroup(object):
                    """
                    MAC access\-group configuration commands
                    
                    .. attribute:: acl_name
                    
                    	ACL name
                    	**type**\:   :py:class:`AclName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mac.AccessGroup.AclName>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acl_name = Native.Interface.PortChannel.Mac.AccessGroup.AclName()
                        self.acl_name.parent = self


                    class AclName(object):
                        """
                        ACL name
                        
                        .. attribute:: acl_name
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: apply_to
                        
                        	
                        	**type**\:   :py:class:`ApplyToEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mac.AccessGroup.AclName.ApplyToEnum>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl_name = None
                            self.apply_to = None

                        class ApplyToEnum(Enum):
                            """
                            ApplyToEnum

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = 0

                            out = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannel.Mac.AccessGroup.AclName.ApplyToEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:ACL-name'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl_name is not None:
                                return True

                            if self.apply_to is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.Mac.AccessGroup.AclName']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acl_name is not None and self.acl_name._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Mac.AccessGroup']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Mac']['meta_info']


            class Macro(object):
                """
                Command macro
                
                .. attribute:: auto
                
                	Smartport interface macro configurations
                	**type**\:   :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Macro.Auto>`
                
                .. attribute:: description
                
                	Macro description for this interface
                	**type**\:  str
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = Native.Interface.PortChannel.Macro.Auto()
                    self.auto.parent = self
                    self.description = None


                class Auto(object):
                    """
                    Smartport interface macro configurations
                    
                    .. attribute:: processing
                    
                    	Enable smartport macro auto execution on this interface
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.processing = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:auto'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.processing is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Macro.Auto']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:macro'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None and self.auto._has_data():
                        return True

                    if self.description is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Macro']['meta_info']


            class DualActive(object):
                """
                
                
                .. attribute:: fast_hello
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fast_hello = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:dual-active'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fast_hello is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.DualActive']['meta_info']


            class Lldp(object):
                """
                LLDP interface subcommands
                
                .. attribute:: receive
                
                	Enable LLDP reception on interface
                	**type**\:  bool
                
                .. attribute:: transmit
                
                	Enable LLDP transmission on interface
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.transmit = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:lldp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.transmit is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Lldp']['meta_info']


            class LoadBalancing(object):
                """
                Etherchannel Load\-Balancing
                
                .. attribute:: flow
                
                	Based on the traffic flows identified by the packet headers
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vlan
                
                	Based on the VLAN to member links manual configuration
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.flow = None
                    self.vlan = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:load-balancing'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.flow is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.LoadBalancing']['meta_info']


            class VlanRange(object):
                """
                
                
                .. attribute:: id  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..4096
                
                
                ----
                	**type**\:  str
                
                
                ----
                .. attribute:: service_policy
                
                	Configure QoS Service Policy
                	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.VlanRange.ServicePolicy>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.service_policy = Native.Interface.PortChannel.VlanRange.ServicePolicy()
                    self.service_policy.parent = self


                class ServicePolicy(object):
                    """
                    Configure QoS Service Policy
                    
                    .. attribute:: input
                    
                    	Assign policy\-map to the input of an interface
                    	**type**\:  str
                    
                    .. attribute:: output
                    
                    	Assign policy\-map to the output of an interface
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.input = None
                        self.output = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:service-policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.input is not None:
                            return True

                        if self.output is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.VlanRange.ServicePolicy']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan-range[Cisco-IOS-XE-switch:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.service_policy is not None and self.service_policy._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.VlanRange']['meta_info']


            class Switch(object):
                """
                
                
                .. attribute:: virtual
                
                	
                	**type**\:   :py:class:`Virtual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switch.Virtual>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.virtual = Native.Interface.PortChannel.Switch.Virtual()
                    self.virtual.parent = self


                class Virtual(object):
                    """
                    
                    
                    .. attribute:: link
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.link = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:virtual'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.link is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.Switch.Virtual']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:switch'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.virtual is not None and self.virtual._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Switch']['meta_info']


            class SrrQueue(object):
                """
                
                
                .. attribute:: bandwidth
                
                	
                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SrrQueue.Bandwidth>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bandwidth = Native.Interface.PortChannel.SrrQueue.Bandwidth()
                    self.bandwidth.parent = self


                class Bandwidth(object):
                    """
                    
                    
                    .. attribute:: shape
                    
                    	
                    	**type**\:   :py:class:`Shape <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SrrQueue.Bandwidth.Shape>`
                    
                    .. attribute:: share
                    
                    	
                    	**type**\:   :py:class:`Share <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SrrQueue.Bandwidth.Share>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.shape = Native.Interface.PortChannel.SrrQueue.Bandwidth.Shape()
                        self.shape.parent = self
                        self.share = Native.Interface.PortChannel.SrrQueue.Bandwidth.Share()
                        self.share.parent = self


                    class Shape(object):
                        """
                        
                        
                        .. attribute:: weight1
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight2
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight3
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight4
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.weight1 = None
                            self.weight2 = None
                            self.weight3 = None
                            self.weight4 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:shape'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.weight1 is not None:
                                return True

                            if self.weight2 is not None:
                                return True

                            if self.weight3 is not None:
                                return True

                            if self.weight4 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.SrrQueue.Bandwidth.Shape']['meta_info']


                    class Share(object):
                        """
                        
                        
                        .. attribute:: weight1
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight2
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight3
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight4
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.weight1 = None
                            self.weight2 = None
                            self.weight3 = None
                            self.weight4 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:share'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.weight1 is not None:
                                return True

                            if self.weight2 is not None:
                                return True

                            if self.weight3 is not None:
                                return True

                            if self.weight4 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannel.SrrQueue.Bandwidth.Share']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:bandwidth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.shape is not None and self.shape._has_data():
                            return True

                        if self.share is not None and self.share._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannel.SrrQueue.Bandwidth']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:srr-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bandwidth is not None and self.bandwidth._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.SrrQueue']['meta_info']


            class Macsec(object):
                """
                Enable macsec on the interface
                
                .. attribute:: network_link
                
                	Enable macsec on switch connected interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.network_link = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:macsec'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.network_link is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannel.Macsec']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:Port-channel[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.authentication is not None and self.authentication._has_data():
                    return True

                if self.auto is not None and self.auto._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.carrier_delay is not None and self.carrier_delay._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.channel_group is not None and self.channel_group._has_data():
                    return True

                if self.channel_protocol is not None:
                    return True

                if self.crypto is not None and self.crypto._has_data():
                    return True

                if self.cts is not None and self.cts._has_data():
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.datalink is not None and self.datalink._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.dot1x is not None and self.dot1x._has_data():
                    return True

                if self.dual_active is not None and self.dual_active._has_data():
                    return True

                if self.duplex is not None:
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.energywise is not None and self.energywise._has_data():
                    return True

                if self.ethernet is not None and self.ethernet._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.lacp is not None and self.lacp._has_data():
                    return True

                if self.lisp is not None and self.lisp._has_data():
                    return True

                if self.lldp is not None and self.lldp._has_data():
                    return True

                if self.load_balancing is not None and self.load_balancing._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.location is not None and self.location._has_data():
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.mab is not None and self.mab._has_data():
                    return True

                if self.mac is not None and self.mac._has_data():
                    return True

                if self.macro is not None and self.macro._has_data():
                    return True

                if self.macsec is not None and self.macsec._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.negotiation is not None and self.negotiation._has_data():
                    return True

                if self.ospfv3 is not None and self.ospfv3._has_data():
                    return True

                if self.pc_speed is not None:
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.plim is not None and self.plim._has_data():
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.port_channel is not None and self.port_channel._has_data():
                    return True

                if self.pppoe is not None and self.pppoe._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service is not None and self.service._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.shutdown is not None:
                    return True

                if self.snmp is not None and self.snmp._has_data():
                    return True

                if self.spanning_tree is not None and self.spanning_tree._has_data():
                    return True

                if self.speed is not None and self.speed._has_data():
                    return True

                if self.srr_queue is not None and self.srr_queue._has_data():
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switch is not None and self.switch._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.synchronous is not None and self.synchronous._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vlan_range is not None:
                    for child_ref in self.vlan_range:
                        if child_ref._has_data():
                            return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                if self.xconnect is not None and self.xconnect._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.PortChannel']['meta_info']


        class PortChannelSubinterface(object):
            """
            
            
            .. attribute:: port_channel
            
            	
            	**type**\: list of    :py:class:`PortChannel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.port_channel = YList()
                self.port_channel.parent = self
                self.port_channel.name = 'port_channel'


            class PortChannel(object):
                """
                
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: access_session
                
                	Access Session specific Interface Configuration Commands
                	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.AccessSession>`
                
                .. attribute:: arp
                
                	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Arp>`
                
                .. attribute:: auto
                
                	Configure Automation
                	**type**\:   :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Auto>`
                
                .. attribute:: backup
                
                	Modify backup parameters
                	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Backup>`
                
                .. attribute:: bandwidth
                
                	Set bandwidth informational parameter
                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth>`
                
                .. attribute:: bfd
                
                	BFD interface configuration commands
                	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Bfd>`
                
                .. attribute:: carrier_delay
                
                	Specify delay for interface transitions
                	**type**\:   :py:class:`CarrierDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay>`
                
                .. attribute:: cemoudp
                
                	cemoudp
                	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp>`
                
                .. attribute:: channel_group
                
                	Add this interface to an Etherchannel group
                	**type**\:   :py:class:`ChannelGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.ChannelGroup>`
                
                .. attribute:: channel_protocol
                
                	Select the channel protocol (LACP, PAgP)
                	**type**\:   :py:class:`ChannelProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.ChannelProtocolEnum>`
                
                .. attribute:: cws_tunnel
                
                	Configure Cloud Web Security Tunnel
                	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel>`
                
                .. attribute:: dampening
                
                	Enable event dampening
                	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Dampening>`
                
                	**presence node**\: True
                
                .. attribute:: datalink
                
                	Interface Datalink commands
                	**type**\:   :py:class:`Datalink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Datalink>`
                
                .. attribute:: delay
                
                	Specify interface throughput delay
                	**type**\:  int
                
                	**range:** 1..16777215
                
                .. attribute:: description
                
                	Interface specific description
                	**type**\:  str
                
                	**length:** 0..240
                
                .. attribute:: domain
                
                	Specify a domain
                	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Domain>`
                
                .. attribute:: dual_active
                
                	
                	**type**\:   :py:class:`DualActive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.DualActive>`
                
                .. attribute:: duplex
                
                	Configure duplex operation
                	**type**\:   :py:class:`DuplexEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.DuplexEnum>`
                
                .. attribute:: encapsulation
                
                	Set encapsulation type for an interface
                	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation>`
                
                .. attribute:: energywise
                
                	EnergyWise interface configurations
                	**type**\:   :py:class:`Energywise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Energywise>`
                
                	**presence node**\: True
                
                .. attribute:: ethernet
                
                	Ethernet interface parameters
                	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet>`
                
                .. attribute:: fair_queue
                
                	Enable Fair Queuing on an Interface
                	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.FairQueue>`
                
                .. attribute:: fair_queue_conf
                
                	
                	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.FairQueueConf>`
                
                .. attribute:: flowcontrol
                
                	Configure flow operation
                	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol>`
                
                .. attribute:: hold_queue
                
                	Set hold queue depth
                	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.HoldQueue>`
                
                .. attribute:: if_state
                
                	
                	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.IfStateEnum>`
                
                .. attribute:: interface_qos
                
                	
                	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Interface_Qos>`
                
                .. attribute:: ip
                
                	Interface Internet Protocol config commands
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip>`
                
                .. attribute:: ip_vrf
                
                	
                	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.IpVrf>`
                
                .. attribute:: ipv6
                
                	IPv6 interface subcommands
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6>`
                
                .. attribute:: isis
                
                	IS\-IS commands
                	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Isis>`
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  bool
                
                .. attribute:: keepalive_settings
                
                	
                	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings>`
                
                .. attribute:: l2protocol_tunnel
                
                	Tunnel Layer2 protocols
                	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel>`
                
                	**presence node**\: True
                
                .. attribute:: lldp
                
                	LLDP interface subcommands
                	**type**\:   :py:class:`Lldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Lldp>`
                
                .. attribute:: load_balancing
                
                	Etherchannel Load\-Balancing
                	**type**\:   :py:class:`LoadBalancing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.LoadBalancing>`
                
                .. attribute:: load_interval
                
                	Specify interval for load calculation for an interface
                	**type**\:  int
                
                	**range:** 0..600
                
                .. attribute:: location
                
                	Interface location information
                	**type**\:   :py:class:`Location <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Location>`
                
                .. attribute:: logging
                
                	Configure logging for interface
                	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Logging>`
                
                .. attribute:: mac
                
                	MAC interface commands
                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Mac>`
                
                .. attribute:: macro
                
                	Command macro
                	**type**\:   :py:class:`Macro <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Macro>`
                
                .. attribute:: macsec
                
                	Enable macsec on the interface
                	**type**\:   :py:class:`Macsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Macsec>`
                
                	**presence node**\: True
                
                .. attribute:: max_reserved_bandwidth
                
                	Maximum Reservable Bandwidth on an Interface
                	**type**\:  int
                
                	**range:** 1..100
                
                .. attribute:: mdix
                
                	Set Media Dependent Interface with Crossover
                	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Mdix>`
                
                .. attribute:: mop
                
                	
                	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Mop>`
                
                .. attribute:: mpls
                
                	
                	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Mpls>`
                
                .. attribute:: mtu
                
                	Set the interface Maximum Transmission Unit (MTU)
                	**type**\:  int
                
                	**range:** 64..18000
                
                .. attribute:: negotiation
                
                	Select autonegotiation mode
                	**type**\:   :py:class:`Negotiation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Negotiation>`
                
                .. attribute:: peer
                
                	Peer parameters for point to point interfaces
                	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Peer>`
                
                .. attribute:: plim
                
                	Configure features on the PLIM
                	**type**\:   :py:class:`Plim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim>`
                
                .. attribute:: pm_path
                
                	Global pm\-path configuration
                	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.PmPath>`
                
                .. attribute:: pppoe
                
                	pppoe interface subcommands
                	**type**\:   :py:class:`Pppoe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Pppoe>`
                
                .. attribute:: priority_queue
                
                	Configure priority scheduling
                	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue>`
                
                .. attribute:: rcv_queue
                
                	Configure receive queue(s)
                	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue>`
                
                .. attribute:: service
                
                	Configure Ether Service
                	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service>`
                
                .. attribute:: service_insertion
                
                	Service\-insertion AppNav Controller
                	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.ServiceInsertionEnum>`
                
                .. attribute:: shutdown
                
                	Shutdown the selected interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: speed
                
                	Configure speed operation
                	**type**\:   :py:class:`Speed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Speed>`
                
                .. attribute:: srr_queue
                
                	
                	**type**\:   :py:class:`SrrQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue>`
                
                .. attribute:: standby
                
                	HSRP interface configuration commands
                	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby>`
                
                .. attribute:: storm_control
                
                	storm configuration
                	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl>`
                
                .. attribute:: switch
                
                	
                	**type**\:   :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switch>`
                
                .. attribute:: switchport
                
                	Set switching mode characteristics
                	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport>`
                
                .. attribute:: switchport_conf
                
                	
                	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.SwitchportConf>`
                
                .. attribute:: synchronous
                
                	Synchronous
                	**type**\:   :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Synchronous>`
                
                .. attribute:: trust
                
                	Set trust value for the interface
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Trust>`
                
                .. attribute:: utd
                
                	UTD support on this interface
                	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Utd>`
                
                .. attribute:: vlan_range
                
                	
                	**type**\: list of    :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.VlanRange>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Vrf>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.access_session = Native.Interface.PortChannelSubinterface.PortChannel.AccessSession()
                    self.access_session.parent = self
                    self.arp = Native.Interface.PortChannelSubinterface.PortChannel.Arp()
                    self.arp.parent = self
                    self.auto = Native.Interface.PortChannelSubinterface.PortChannel.Auto()
                    self.auto.parent = self
                    self.backup = Native.Interface.PortChannelSubinterface.PortChannel.Backup()
                    self.backup.parent = self
                    self.bandwidth = Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth()
                    self.bandwidth.parent = self
                    self.bfd = Native.Interface.PortChannelSubinterface.PortChannel.Bfd()
                    self.bfd.parent = self
                    self.carrier_delay = Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay()
                    self.carrier_delay.parent = self
                    self.cemoudp = Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp()
                    self.cemoudp.parent = self
                    self.channel_group = Native.Interface.PortChannelSubinterface.PortChannel.ChannelGroup()
                    self.channel_group.parent = self
                    self.channel_protocol = None
                    self.cws_tunnel = Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel()
                    self.cws_tunnel.parent = self
                    self.dampening = None
                    self.datalink = Native.Interface.PortChannelSubinterface.PortChannel.Datalink()
                    self.datalink.parent = self
                    self.delay = None
                    self.description = None
                    self.domain = Native.Interface.PortChannelSubinterface.PortChannel.Domain()
                    self.domain.parent = self
                    self.dual_active = Native.Interface.PortChannelSubinterface.PortChannel.DualActive()
                    self.dual_active.parent = self
                    self.duplex = None
                    self.encapsulation = Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation()
                    self.encapsulation.parent = self
                    self.energywise = None
                    self.ethernet = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet()
                    self.ethernet.parent = self
                    self.fair_queue = Native.Interface.PortChannelSubinterface.PortChannel.FairQueue()
                    self.fair_queue.parent = self
                    self.fair_queue_conf = Native.Interface.PortChannelSubinterface.PortChannel.FairQueueConf()
                    self.fair_queue_conf.parent = self
                    self.flowcontrol = Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol()
                    self.flowcontrol.parent = self
                    self.hold_queue = Native.Interface.PortChannelSubinterface.PortChannel.HoldQueue()
                    self.hold_queue.parent = self
                    self.if_state = None
                    self.interface_qos = Native.Interface.PortChannelSubinterface.PortChannel.Interface_Qos()
                    self.interface_qos.parent = self
                    self.ip = Native.Interface.PortChannelSubinterface.PortChannel.Ip()
                    self.ip.parent = self
                    self.ip_vrf = Native.Interface.PortChannelSubinterface.PortChannel.IpVrf()
                    self.ip_vrf.parent = self
                    self.ipv6 = Native.Interface.PortChannelSubinterface.PortChannel.Ipv6()
                    self.ipv6.parent = self
                    self.isis = Native.Interface.PortChannelSubinterface.PortChannel.Isis()
                    self.isis.parent = self
                    self.keepalive = None
                    self.keepalive_settings = Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings()
                    self.keepalive_settings.parent = self
                    self.l2protocol_tunnel = None
                    self.lldp = Native.Interface.PortChannelSubinterface.PortChannel.Lldp()
                    self.lldp.parent = self
                    self.load_balancing = Native.Interface.PortChannelSubinterface.PortChannel.LoadBalancing()
                    self.load_balancing.parent = self
                    self.load_interval = None
                    self.location = Native.Interface.PortChannelSubinterface.PortChannel.Location()
                    self.location.parent = self
                    self.logging = Native.Interface.PortChannelSubinterface.PortChannel.Logging()
                    self.logging.parent = self
                    self.mac = Native.Interface.PortChannelSubinterface.PortChannel.Mac()
                    self.mac.parent = self
                    self.macro = Native.Interface.PortChannelSubinterface.PortChannel.Macro()
                    self.macro.parent = self
                    self.macsec = None
                    self.max_reserved_bandwidth = None
                    self.mdix = Native.Interface.PortChannelSubinterface.PortChannel.Mdix()
                    self.mdix.parent = self
                    self.mop = Native.Interface.PortChannelSubinterface.PortChannel.Mop()
                    self.mop.parent = self
                    self.mpls = Native.Interface.PortChannelSubinterface.PortChannel.Mpls()
                    self.mpls.parent = self
                    self.mtu = None
                    self.negotiation = Native.Interface.PortChannelSubinterface.PortChannel.Negotiation()
                    self.negotiation.parent = self
                    self.peer = Native.Interface.PortChannelSubinterface.PortChannel.Peer()
                    self.peer.parent = self
                    self.plim = Native.Interface.PortChannelSubinterface.PortChannel.Plim()
                    self.plim.parent = self
                    self.pm_path = Native.Interface.PortChannelSubinterface.PortChannel.PmPath()
                    self.pm_path.parent = self
                    self.pppoe = Native.Interface.PortChannelSubinterface.PortChannel.Pppoe()
                    self.pppoe.parent = self
                    self.priority_queue = Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue()
                    self.priority_queue.parent = self
                    self.rcv_queue = Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue()
                    self.rcv_queue.parent = self
                    self.service = Native.Interface.PortChannelSubinterface.PortChannel.Service()
                    self.service.parent = self
                    self.service_insertion = None
                    self.shutdown = None
                    self.speed = Native.Interface.PortChannelSubinterface.PortChannel.Speed()
                    self.speed.parent = self
                    self.srr_queue = Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue()
                    self.srr_queue.parent = self
                    self.standby = Native.Interface.PortChannelSubinterface.PortChannel.Standby()
                    self.standby.parent = self
                    self.storm_control = Native.Interface.PortChannelSubinterface.PortChannel.StormControl()
                    self.storm_control.parent = self
                    self.switch = Native.Interface.PortChannelSubinterface.PortChannel.Switch()
                    self.switch.parent = self
                    self.switchport = Native.Interface.PortChannelSubinterface.PortChannel.Switchport()
                    self.switchport.parent = self
                    self.switchport_conf = Native.Interface.PortChannelSubinterface.PortChannel.SwitchportConf()
                    self.switchport_conf.parent = self
                    self.synchronous = Native.Interface.PortChannelSubinterface.PortChannel.Synchronous()
                    self.synchronous.parent = self
                    self.trust = Native.Interface.PortChannelSubinterface.PortChannel.Trust()
                    self.trust.parent = self
                    self.utd = Native.Interface.PortChannelSubinterface.PortChannel.Utd()
                    self.utd.parent = self
                    self.vlan_range = YList()
                    self.vlan_range.parent = self
                    self.vlan_range.name = 'vlan_range'
                    self.vrf = Native.Interface.PortChannelSubinterface.PortChannel.Vrf()
                    self.vrf.parent = self

                class ChannelProtocolEnum(Enum):
                    """
                    ChannelProtocolEnum

                    Select the channel protocol (LACP, PAgP)

                    .. data:: lacp = 0

                    .. data:: pagp = 1

                    """

                    lacp = 0

                    pagp = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.ChannelProtocolEnum']


                class DuplexEnum(Enum):
                    """
                    DuplexEnum

                    Configure duplex operation.

                    .. data:: auto = 0

                    .. data:: full = 1

                    .. data:: half = 2

                    """

                    auto = 0

                    full = 1

                    half = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.DuplexEnum']


                class IfStateEnum(Enum):
                    """
                    IfStateEnum

                    .. data:: nhrp = 0

                    """

                    nhrp = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.IfStateEnum']


                class ServiceInsertionEnum(Enum):
                    """
                    ServiceInsertionEnum

                    Service\-insertion AppNav Controller

                    .. data:: waas = 0

                    """

                    waas = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.ServiceInsertionEnum']



                class SwitchportConf(object):
                    """
                    
                    
                    .. attribute:: switchport
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.switchport = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.switchport is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.SwitchportConf']['meta_info']


                class Switchport(object):
                    """
                    Set switching mode characteristics
                    
                    .. attribute:: access
                    
                    	Set access mode characteristics of the interface
                    	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access>`
                    
                    .. attribute:: autostate
                    
                    	Include or exclude this port from vlan link up calculation
                    	**type**\:   :py:class:`Autostate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Autostate>`
                    
                    .. attribute:: block
                    
                    	Disable forwarding of unknown uni/multi cast addresses
                    	**type**\:   :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Block>`
                    
                    .. attribute:: host
                    
                    	Set port host
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mode
                    
                    	Set trunking mode of the interface
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode>`
                    
                    .. attribute:: nonegotiate
                    
                    	Device will not engage in negotiation protocol on this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: port_security
                    
                    	Security related command
                    	**type**\:   :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Set appliance 802.1p priority
                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority>`
                    
                    .. attribute:: private_vlan
                    
                    	Set the private VLAN configuration
                    	**type**\:   :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan>`
                    
                    .. attribute:: protected
                    
                    	Configure an interface to be a protected port
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking characteristics of the interface
                    	**type**\:   :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk>`
                    
                    .. attribute:: voice
                    
                    	Voice appliance attributes
                    	**type**\:   :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access()
                        self.access.parent = self
                        self.autostate = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Autostate()
                        self.autostate.parent = self
                        self.block = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Block()
                        self.block.parent = self
                        self.host = None
                        self.mode = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode()
                        self.mode.parent = self
                        self.nonegotiate = None
                        self.port_security = None
                        self.priority = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority()
                        self.priority.parent = self
                        self.private_vlan = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan()
                        self.private_vlan.parent = self
                        self.protected = None
                        self.trunk = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk()
                        self.trunk.parent = self
                        self.voice = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice()
                        self.voice.parent = self


                    class Access(object):
                        """
                        Set access mode characteristics of the interface
                        
                        .. attribute:: vlan
                        
                        	Set VLAN when interface is in access mode
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vlan = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            Set VLAN when interface is in access mode
                            
                            .. attribute:: name
                            
                            	Vlan name
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:   :py:class:`VlanEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.VlanEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.vlan = None

                            class VlanEnum(Enum):
                                """
                                VlanEnum

                                .. data:: dynamic = 0

                                """

                                dynamic = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.VlanEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:access'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access']['meta_info']


                    class Block(object):
                        """
                        Disable forwarding of unknown uni/multi cast addresses
                        
                        .. attribute:: multicast
                        
                        	Block unknown multicast addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: unicast
                        
                        	Block unknown unicast addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None
                            self.unicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:block'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            if self.unicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Block']['meta_info']


                    class Mode(object):
                        """
                        Set trunking mode of the interface
                        
                        .. attribute:: access
                        
                        	Set trunking mode to ACCESS unconditionally
                        	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Access>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: dot1q_tunnel
                        
                        	set trunking mode to TUNNEL unconditionally
                        	**type**\:   :py:class:`Dot1QTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Dot1QTunnel>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: dynamic
                        
                        	Set trunking mode to dynamically negotiate access or trunk mode
                        	**type**\:   :py:class:`DynamicEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.DynamicEnum>`
                        
                        .. attribute:: private_vlan
                        
                        	Set private\-vlan mode
                        	**type**\:   :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.PrivateVlan>`
                        
                        .. attribute:: trunk
                        
                        	Set trunking mode to TRUNK unconditionally
                        	**type**\:   :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Trunk>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.access = None
                            self.dot1q_tunnel = None
                            self.dynamic = None
                            self.private_vlan = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.PrivateVlan()
                            self.private_vlan.parent = self
                            self.trunk = None

                        class DynamicEnum(Enum):
                            """
                            DynamicEnum

                            Set trunking mode to dynamically negotiate access or trunk mode

                            .. data:: auto = 0

                            .. data:: desirable = 1

                            """

                            auto = 0

                            desirable = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.DynamicEnum']



                        class Access(object):
                            """
                            Set trunking mode to ACCESS unconditionally
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:access'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Access']['meta_info']


                        class Dot1QTunnel(object):
                            """
                            set trunking mode to TUNNEL unconditionally
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:dot1q-tunnel'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Dot1QTunnel']['meta_info']


                        class PrivateVlan(object):
                            """
                            Set private\-vlan mode
                            
                            .. attribute:: host
                            
                            	Set the mode to private\-vlan host
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: promiscuous
                            
                            	Set the mode to private\-vlan promiscuous
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.host = None
                                self.promiscuous = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:private-vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.host is not None:
                                    return True

                                if self.promiscuous is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.PrivateVlan']['meta_info']


                        class Trunk(object):
                            """
                            Set trunking mode to TRUNK unconditionally
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:trunk'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Trunk']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.access is not None and self.access._has_data():
                                return True

                            if self.dot1q_tunnel is not None and self.dot1q_tunnel._has_data():
                                return True

                            if self.dynamic is not None:
                                return True

                            if self.private_vlan is not None and self.private_vlan._has_data():
                                return True

                            if self.trunk is not None and self.trunk._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode']['meta_info']


                    class PortSecurity(object):
                        """
                        Security related command
                        
                        .. attribute:: aging
                        
                        	Port\-security aging commands
                        	**type**\:   :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Aging>`
                        
                        .. attribute:: mac_address
                        
                        	Secure mac address
                        	**type**\:   :py:class:`MacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.MacAddress>`
                        
                        .. attribute:: maximum
                        
                        	Max secure addresses
                        	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Maximum>`
                        
                        .. attribute:: violation
                        
                        	Security violation mode
                        	**type**\:   :py:class:`ViolationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.ViolationEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.aging = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Aging()
                            self.aging.parent = self
                            self.mac_address = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.MacAddress()
                            self.mac_address.parent = self
                            self.maximum = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Maximum()
                            self.maximum.parent = self
                            self.violation = None

                        class ViolationEnum(Enum):
                            """
                            ViolationEnum

                            Security violation mode

                            .. data:: protect = 0

                            .. data:: restrict = 1

                            .. data:: shutdown = 2

                            """

                            protect = 0

                            restrict = 1

                            shutdown = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.ViolationEnum']



                        class Aging(object):
                            """
                            Port\-security aging commands
                            
                            .. attribute:: static
                            
                            	Enable aging for configured secure addresses
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: time
                            
                            	Port\-security aging time
                            	**type**\:  int
                            
                            	**range:** 1..1440
                            
                            .. attribute:: type
                            
                            	Port\-security aging type
                            	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Aging.TypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.static = None
                                self.time = None
                                self.type = None

                            class TypeEnum(Enum):
                                """
                                TypeEnum

                                Port\-security aging type

                                .. data:: absolute = 0

                                .. data:: inactivity = 1

                                """

                                absolute = 0

                                inactivity = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Aging.TypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:aging'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.static is not None:
                                    return True

                                if self.time is not None:
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Aging']['meta_info']


                        class MacAddress(object):
                            """
                            Secure mac address
                            
                            .. attribute:: hw_address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2}){5}
                            
                            .. attribute:: sticky
                            
                            	Configure dynamic secure addresses as sticky
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan
                            
                            	set VLAN ID of the VLAN on which this address can be learned
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hw_address = None
                                self.sticky = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:mac-address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hw_address is not None:
                                    return True

                                if self.sticky is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.MacAddress']['meta_info']


                        class Maximum(object):
                            """
                            Max secure addresses
                            
                            .. attribute:: max_addresses
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4097
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max_addresses = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:maximum'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max_addresses is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Maximum']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:port-security'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.aging is not None and self.aging._has_data():
                                return True

                            if self.mac_address is not None and self.mac_address._has_data():
                                return True

                            if self.maximum is not None and self.maximum._has_data():
                                return True

                            if self.violation is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity']['meta_info']


                    class Trunk(object):
                        """
                        Set trunking characteristics of the interface
                        
                        .. attribute:: allowed
                        
                        	Set allowed VLAN characteristics when interface is in trunking mode
                        	**type**\:   :py:class:`Allowed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed>`
                        
                        .. attribute:: encapsulation
                        
                        	Set encapsulation format on trunk port
                        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.EncapsulationEnum>`
                        
                        .. attribute:: native
                        
                        	Set trunking native characteristics when interface is in trunking mode
                        	**type**\:   :py:class:`Native_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_>`
                        
                        .. attribute:: pruning
                        
                        	Set pruning VLAN characteristics when interface is in trunking mode
                        	**type**\:   :py:class:`Pruning <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.allowed = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed()
                            self.allowed.parent = self
                            self.encapsulation = None
                            self.native = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_()
                            self.native.parent = self
                            self.pruning = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning()
                            self.pruning.parent = self

                        class EncapsulationEnum(Enum):
                            """
                            EncapsulationEnum

                            Set encapsulation format on trunk port

                            .. data:: dot1q = 0

                            .. data:: isl = 1

                            .. data:: negotiate = 2

                            """

                            dot1q = 0

                            isl = 1

                            negotiate = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.EncapsulationEnum']



                        class Allowed(object):
                            """
                            Set allowed VLAN characteristics when interface is in trunking mode
                            
                            .. attribute:: vlan
                            
                            	Set allowed VLANs when interface is in trunking mode
                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed.Vlan>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.vlan = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed.Vlan()
                                self.vlan.parent = self


                            class Vlan(object):
                                """
                                Set allowed VLANs when interface is in trunking mode
                                
                                .. attribute:: add
                                
                                	VLAN IDs of the allowed VLANs when this port is in trunking mode
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: all
                                
                                	all VLANs
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: except_
                                
                                	all VLANs except the following
                                	**type**\: one of the below types:
                                
                                	**type**\:  list of int
                                
                                	**range:** 0..65535
                                
                                
                                ----
                                	**type**\:  list of str
                                
                                
                                ----
                                .. attribute:: none
                                
                                	no VLANs
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: remove
                                
                                	VLAN IDs of disallowed VLANS when this port is in trunking mode
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: vlans
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.add = None
                                    self.all = None
                                    self.except_ = YLeafList()
                                    self.except_.parent = self
                                    self.except_.name = 'except_'
                                    self.none = None
                                    self.remove = None
                                    self.vlans = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.add is not None:
                                        return True

                                    if self.all is not None:
                                        return True

                                    if self.except_ is not None:
                                        for child in self.except_:
                                            if child is not None:
                                                return True

                                    if self.none is not None:
                                        return True

                                    if self.remove is not None:
                                        return True

                                    if self.vlans is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed.Vlan']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:allowed'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.vlan is not None and self.vlan._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed']['meta_info']


                        class Native_(object):
                            """
                            Set trunking native characteristics when interface is in trunking mode
                            
                            .. attribute:: vlan
                            
                            	Set native VLAN when interface is in trunking mode
                            	**type**\: one of the below types:
                            
                            	**type**\:   :py:class:`VlanEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_.VlanEnum>`
                            
                            
                            ----
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.vlan = None

                            class VlanEnum(Enum):
                                """
                                VlanEnum

                                Set native VLAN when interface is in trunking mode

                                .. data:: tag = 0

                                """

                                tag = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_.VlanEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:native'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native_']['meta_info']


                        class Pruning(object):
                            """
                            Set pruning VLAN characteristics when interface is in trunking mode
                            
                            .. attribute:: vlan
                            
                            	Set VLANs enabled for pruning when interface is in trunking mode
                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning.Vlan>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.vlan = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning.Vlan()
                                self.vlan.parent = self


                            class Vlan(object):
                                """
                                Set VLANs enabled for pruning when interface is in trunking mode
                                
                                .. attribute:: add
                                
                                	VLAN IDs of the allowed VLANs when this port is in trunking mode
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: except_
                                
                                	all VLANs except the following
                                	**type**\: one of the below types:
                                
                                	**type**\:  list of int
                                
                                	**range:** 0..65535
                                
                                
                                ----
                                	**type**\:  list of str
                                
                                
                                ----
                                .. attribute:: none
                                
                                	no VLANs
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: remove
                                
                                	VLAN IDs of disallowed VLANS when this port is in trunking mode
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: vlans
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  list of int
                                
                                	**range:** 0..65535
                                
                                
                                ----
                                	**type**\:  list of str
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.add = None
                                    self.except_ = YLeafList()
                                    self.except_.parent = self
                                    self.except_.name = 'except_'
                                    self.none = None
                                    self.remove = None
                                    self.vlans = YLeafList()
                                    self.vlans.parent = self
                                    self.vlans.name = 'vlans'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.add is not None:
                                        return True

                                    if self.except_ is not None:
                                        for child in self.except_:
                                            if child is not None:
                                                return True

                                    if self.none is not None:
                                        return True

                                    if self.remove is not None:
                                        return True

                                    if self.vlans is not None:
                                        for child in self.vlans:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning.Vlan']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:pruning'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.vlan is not None and self.vlan._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:trunk'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.allowed is not None and self.allowed._has_data():
                                return True

                            if self.encapsulation is not None:
                                return True

                            if self.native is not None and self.native._has_data():
                                return True

                            if self.pruning is not None and self.pruning._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk']['meta_info']


                    class Voice(object):
                        """
                        Voice appliance attributes
                        
                        .. attribute:: detect
                        
                        	detection enhancement keyword
                        	**type**\:   :py:class:`Detect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect>`
                        
                        .. attribute:: vlan
                        
                        	Vlan for voice traffic
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.detect = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect()
                            self.detect.parent = self
                            self.vlan = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            Vlan for voice traffic
                            
                            .. attribute:: name
                            
                            	Vlan name
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:   :py:class:`VlanEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.VlanEnum>`
                            
                            
                            ----
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.vlan = None

                            class VlanEnum(Enum):
                                """
                                VlanEnum

                                .. data:: dot1p = 0

                                .. data:: none = 1

                                .. data:: untagged = 2

                                """

                                dot1p = 0

                                none = 1

                                untagged = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.VlanEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan']['meta_info']


                        class Detect(object):
                            """
                            detection enhancement keyword
                            
                            .. attribute:: cisco_phone
                            
                            	Cisco IP phone
                            	**type**\:   :py:class:`CiscoPhone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect.CiscoPhone>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cisco_phone = None


                            class CiscoPhone(object):
                                """
                                Cisco IP phone
                                
                                .. attribute:: full_duplex
                                
                                	full duplex keyword
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.full_duplex = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:cisco-phone'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.full_duplex is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect.CiscoPhone']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:detect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cisco_phone is not None and self.cisco_phone._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:voice'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.detect is not None and self.detect._has_data():
                                return True

                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice']['meta_info']


                    class Priority(object):
                        """
                        Set appliance 802.1p priority
                        
                        .. attribute:: extend
                        
                        	Set appliance 802.1p priority
                        	**type**\:   :py:class:`Extend <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority.Extend>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.extend = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority.Extend()
                            self.extend.parent = self


                        class Extend(object):
                            """
                            Set appliance 802.1p priority
                            
                            .. attribute:: cos
                            
                            	Override 802.1p priority of devices on appliance
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            .. attribute:: trust
                            
                            	Trust 802.1p priorities of devices on appliance
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos = None
                                self.trust = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:extend'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos is not None:
                                    return True

                                if self.trust is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority.Extend']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:priority'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.extend is not None and self.extend._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority']['meta_info']


                    class Autostate(object):
                        """
                        Include or exclude this port from vlan link up calculation
                        
                        .. attribute:: exclude
                        
                        	Exclude this port from vlan link up calculation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.exclude = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:autostate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.exclude is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Autostate']['meta_info']


                    class PrivateVlan(object):
                        """
                        Set the private VLAN configuration
                        
                        .. attribute:: association
                        
                        	Set the private VLAN association
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association>`
                        
                        .. attribute:: host_association
                        
                        	Set the private VLAN host association
                        	**type**\:   :py:class:`HostAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.HostAssociation>`
                        
                        .. attribute:: mapping
                        
                        	Set the private VLAN promiscuous mapping
                        	**type**\:   :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Mapping>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.association = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association()
                            self.association.parent = self
                            self.host_association = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.HostAssociation()
                            self.host_association.parent = self
                            self.mapping = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Mapping()
                            self.mapping.parent = self


                        class Association(object):
                            """
                            Set the private VLAN association
                            
                            .. attribute:: host
                            
                            	Set the private VLAN host association
                            	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Host>`
                            
                            .. attribute:: mapping
                            
                            	Set the private VLAN promiscuous mapping
                            	**type**\:   :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Mapping>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.host = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Host()
                                self.host.parent = self
                                self.mapping = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Mapping()
                                self.mapping.parent = self


                            class Host(object):
                                """
                                Set the private VLAN host association
                                
                                .. attribute:: primary_range
                                
                                	Primary normal range VLAN ID of the private VLAN port association
                                	**type**\:  int
                                
                                	**range:** 2..1001 \| 1006..4094
                                
                                .. attribute:: secondary_range
                                
                                	Secondary normal range VLAN ID of the private VLAN host port association
                                	**type**\:  int
                                
                                	**range:** 2..1001 \| 1006..4094
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.primary_range = None
                                    self.secondary_range = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.primary_range is not None:
                                        return True

                                    if self.secondary_range is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Host']['meta_info']


                            class Mapping(object):
                                """
                                Set the private VLAN promiscuous mapping
                                
                                .. attribute:: add
                                
                                	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                                	**type**\:  str
                                
                                .. attribute:: primary_range
                                
                                	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                                	**type**\:  int
                                
                                	**range:** 2..1001 \| 1006..4094
                                
                                .. attribute:: remove
                                
                                	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                                	**type**\:  str
                                
                                .. attribute:: secondary_range
                                
                                	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.add = None
                                    self.primary_range = None
                                    self.remove = None
                                    self.secondary_range = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.add is not None:
                                        return True

                                    if self.primary_range is not None:
                                        return True

                                    if self.remove is not None:
                                        return True

                                    if self.secondary_range is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Mapping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.host is not None and self.host._has_data():
                                    return True

                                if self.mapping is not None and self.mapping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association']['meta_info']


                        class HostAssociation(object):
                            """
                            Set the private VLAN host association
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN port association
                            	**type**\:  int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: secondary_range
                            
                            	Secondary normal range VLAN ID of the private VLAN host port association
                            	**type**\:  int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.primary_range = None
                                self.secondary_range = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host-association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.primary_range is not None:
                                    return True

                                if self.secondary_range is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.HostAssociation']['meta_info']


                        class Mapping(object):
                            """
                            Set the private VLAN promiscuous mapping
                            
                            .. attribute:: add
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\:  str
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                            	**type**\:  int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: remove
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\:  str
                            
                            .. attribute:: secondary_range
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.add = None
                                self.primary_range = None
                                self.remove = None
                                self.secondary_range = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.add is not None:
                                    return True

                                if self.primary_range is not None:
                                    return True

                                if self.remove is not None:
                                    return True

                                if self.secondary_range is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Mapping']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:private-vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.association is not None and self.association._has_data():
                                return True

                            if self.host_association is not None and self.host_association._has_data():
                                return True

                            if self.mapping is not None and self.mapping._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access is not None and self.access._has_data():
                            return True

                        if self.autostate is not None and self.autostate._has_data():
                            return True

                        if self.block is not None and self.block._has_data():
                            return True

                        if self.host is not None:
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        if self.nonegotiate is not None:
                            return True

                        if self.port_security is not None and self.port_security._has_data():
                            return True

                        if self.priority is not None and self.priority._has_data():
                            return True

                        if self.private_vlan is not None and self.private_vlan._has_data():
                            return True

                        if self.protected is not None:
                            return True

                        if self.trunk is not None and self.trunk._has_data():
                            return True

                        if self.voice is not None and self.voice._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switchport']['meta_info']


                class Arp(object):
                    """
                    Set arp type (arpa, probe, snap), timeout, log options or 
                    packet priority
                    
                    .. attribute:: timeout
                    
                    	Set ARP cache timeout
                    	**type**\:  int
                    
                    	**range:** 0..2147483
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Arp']['meta_info']


                class Backup(object):
                    """
                    Modify backup parameters
                    
                    .. attribute:: delay
                    
                    	Delays before backup line up or down transitions
                    	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Backup.Delay>`
                    
                    .. attribute:: interface
                    
                    	Configure an interface as a backup
                    	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_>`
                    
                    .. attribute:: load
                    
                    	Load thresholds for line up or down transitions
                    	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Backup.Load>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.delay = Native.Interface.PortChannelSubinterface.PortChannel.Backup.Delay()
                        self.delay.parent = self
                        self.interface = Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_()
                        self.interface.parent = self
                        self.load = Native.Interface.PortChannelSubinterface.PortChannel.Backup.Load()
                        self.load.parent = self


                    class Delay(object):
                        """
                        Delays before backup line up or down transitions
                        
                        .. attribute:: failure
                        
                        	Seconds
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967294
                        
                        
                        ----
                        	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                        
                        
                        ----
                        .. attribute:: secondary_disable
                        
                        	Seconds
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967294
                        
                        
                        ----
                        	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.failure = None
                            self.secondary_disable = None

                        class FailureEnum(Enum):
                            """
                            FailureEnum

                            Seconds

                            .. data:: never = 0

                            """

                            never = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Delay.FailureEnum']


                        class SecondaryDisableEnum(Enum):
                            """
                            SecondaryDisableEnum

                            Seconds

                            .. data:: never = 0

                            """

                            never = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Delay.SecondaryDisableEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.failure is not None:
                                return True

                            if self.secondary_disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Delay']['meta_info']


                    class Interface_(object):
                        """
                        Configure an interface as a backup
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.AtmAcrsubinterface>`
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.AtmSubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\:  str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\:  str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\:  str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\:  str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\:  str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  int
                        
                        	**range:** 0..65520
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.LispSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:   :py:class:`PortChannelSubinterface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.PortChannelSubinterface_>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\:  str
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\:  str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\:  str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.appnav_compress = None
                            self.appnav_uncompress = None
                            self.atm = None
                            self.atm_acr = None
                            self.atm_acrsubinterface = Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.AtmAcrsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self.atm_subinterface = Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.AtmSubinterface()
                            self.atm_subinterface.parent = self
                            self.bdi = None
                            self.cellular = None
                            self.cem = None
                            self.cem_acr = None
                            self.embedded_service_engine = None
                            self.fastethernet = None
                            self.gigabitethernet = None
                            self.lisp = None
                            self.lisp_subinterface = Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.LispSubinterface()
                            self.lisp_subinterface.parent = self
                            self.loopback = None
                            self.multilink = None
                            self.nve = None
                            self.overlay = None
                            self.port_channel = None
                            self.port_channel_subinterface = Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.PortChannelSubinterface_()
                            self.port_channel_subinterface.parent = self
                            self.pseudowire = None
                            self.serial = None
                            self.sm = None
                            self.tengigabitethernet = None
                            self.tunnel = None
                            self.vasileft = None
                            self.vasiright = None
                            self.virtual_template = None
                            self.virtualportgroup = None
                            self.vlan = None


                        class AtmSubinterface(object):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.AtmSubinterface']['meta_info']


                        class AtmAcrsubinterface(object):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm_acr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm_acr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                        class LispSubinterface(object):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.LispSubinterface']['meta_info']


                        class PortChannelSubinterface_(object):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port_channel = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port_channel is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_.PortChannelSubinterface_']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.appnav_compress is not None:
                                return True

                            if self.appnav_uncompress is not None:
                                return True

                            if self.atm is not None:
                                return True

                            if self.atm_acr is not None:
                                return True

                            if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                return True

                            if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                return True

                            if self.bdi is not None:
                                return True

                            if self.cellular is not None:
                                return True

                            if self.cem is not None:
                                return True

                            if self.cem_acr is not None:
                                return True

                            if self.embedded_service_engine is not None:
                                return True

                            if self.fastethernet is not None:
                                return True

                            if self.gigabitethernet is not None:
                                return True

                            if self.lisp is not None:
                                return True

                            if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                return True

                            if self.loopback is not None:
                                return True

                            if self.multilink is not None:
                                return True

                            if self.nve is not None:
                                return True

                            if self.overlay is not None:
                                return True

                            if self.port_channel is not None:
                                return True

                            if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                return True

                            if self.pseudowire is not None:
                                return True

                            if self.serial is not None:
                                return True

                            if self.sm is not None:
                                return True

                            if self.tengigabitethernet is not None:
                                return True

                            if self.tunnel is not None:
                                return True

                            if self.vasileft is not None:
                                return True

                            if self.vasiright is not None:
                                return True

                            if self.virtual_template is not None:
                                return True

                            if self.virtualportgroup is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface_']['meta_info']


                    class Load(object):
                        """
                        Load thresholds for line up or down transitions
                        
                        .. attribute:: kickin
                        
                        	Percentage
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        
                        ----
                        	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                        
                        
                        ----
                        .. attribute:: kickout
                        
                        	Percentage
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        
                        ----
                        	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.kickin = None
                            self.kickout = None

                        class KickinEnum(Enum):
                            """
                            KickinEnum

                            Percentage

                            .. data:: never = 0

                            """

                            never = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Load.KickinEnum']


                        class KickoutEnum(Enum):
                            """
                            KickoutEnum

                            Percentage

                            .. data:: never = 0

                            """

                            never = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Load.KickoutEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.kickin is not None:
                                return True

                            if self.kickout is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup.Load']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.delay is not None and self.delay._has_data():
                            return True

                        if self.interface is not None and self.interface._has_data():
                            return True

                        if self.load is not None and self.load._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Backup']['meta_info']


                class Cemoudp(object):
                    """
                    cemoudp
                    
                    .. attribute:: reserve
                    
                    	
                    	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp.Reserve>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.reserve = Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp.Reserve()
                        self.reserve.parent = self


                    class Reserve(object):
                        """
                        
                        
                        .. attribute:: acr
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp.Reserve']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.reserve is not None and self.reserve._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp']['meta_info']


                class CwsTunnel(object):
                    """
                    Configure Cloud Web Security Tunnel
                    
                    .. attribute:: in_
                    
                    	Inbound traffic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: out
                    
                    	Outbound traffic
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = None
                        self.out = Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel.Out()
                        self.out.parent = self


                    class Out(object):
                        """
                        Outbound traffic
                        
                        .. attribute:: tunnel_number
                        
                        	Outboud traffic tunnel identifier
                        	**type**\:  int
                        
                        	**range:** 0..65534
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.tunnel_number = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.tunnel_number is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None:
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel']['meta_info']


                class L2ProtocolTunnel(object):
                    """
                    Tunnel Layer2 protocols
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: drop_threshold
                    
                    	Set drop threshold for protocol packets
                    	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.DropThreshold>`
                    
                    .. attribute:: shutdown_threshold
                    
                    	Set shutdown threshold for protocol packets
                    	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.ShutdownThreshold>`
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cdp = None
                        self.drop_threshold = Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.DropThreshold()
                        self.drop_threshold.parent = self
                        self.shutdown_threshold = Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.ShutdownThreshold()
                        self.shutdown_threshold.parent = self
                        self.stp = None
                        self.vtp = None


                    class DropThreshold(object):
                        """
                        Set drop threshold for protocol packets
                        
                        .. attribute:: cdp
                        
                        	Cisco Discovery Protocol
                        	**type**\:  int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: packet_rate
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: stp
                        
                        	Spanning Tree Protocol
                        	**type**\:  int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: vtp
                        
                        	Vlan Trunking Protocol
                        	**type**\:  int
                        
                        	**range:** 1..4096
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cdp = None
                            self.packet_rate = None
                            self.stp = None
                            self.vtp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cdp is not None:
                                return True

                            if self.packet_rate is not None:
                                return True

                            if self.stp is not None:
                                return True

                            if self.vtp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.DropThreshold']['meta_info']


                    class ShutdownThreshold(object):
                        """
                        Set shutdown threshold for protocol packets
                        
                        .. attribute:: cdp
                        
                        	Cisco Discovery Protocol
                        	**type**\:  int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: packet_rate
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: stp
                        
                        	Spanning Tree Protocol
                        	**type**\:  int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: vtp
                        
                        	Vlan Trunking Protocol
                        	**type**\:  int
                        
                        	**range:** 1..4096
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cdp = None
                            self.packet_rate = None
                            self.stp = None
                            self.vtp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cdp is not None:
                                return True

                            if self.packet_rate is not None:
                                return True

                            if self.stp is not None:
                                return True

                            if self.vtp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cdp is not None:
                            return True

                        if self.drop_threshold is not None and self.drop_threshold._has_data():
                            return True

                        if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel']['meta_info']


                class Encapsulation(object):
                    """
                    Set encapsulation type for an interface
                    
                    .. attribute:: dot1q
                    
                    	IEEE 802.1Q Virtual LAN
                    	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Dot1Q>`
                    
                    .. attribute:: frame_relay
                    
                    	Frame Relay networks
                    	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.FrameRelay>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: isl
                    
                    	Inter Switch Link \- Virtual LAN encapsulation
                    	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Isl>`
                    
                    .. attribute:: ppp
                    
                    	Point\-to\-Point protocol
                    	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Ppp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: slip
                    
                    	Serial Line IP
                    	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Slip>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dot1q = Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Dot1Q()
                        self.dot1q.parent = self
                        self.frame_relay = None
                        self.isl = Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Isl()
                        self.isl.parent = self
                        self.ppp = None
                        self.slip = None


                    class Dot1Q(object):
                        """
                        IEEE 802.1Q Virtual LAN
                        
                        .. attribute:: native
                        
                        	Make this as native vlan
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan_id
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.native = None
                            self.vlan_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.native is not None:
                                return True

                            if self.vlan_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Dot1Q']['meta_info']


                    class Isl(object):
                        """
                        Inter Switch Link \- Virtual LAN encapsulation
                        
                        .. attribute:: vlan_id
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4095
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vlan_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vlan_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Isl']['meta_info']


                    class Ppp(object):
                        """
                        Point\-to\-Point protocol
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Ppp']['meta_info']


                    class Slip(object):
                        """
                        Serial Line IP
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Slip']['meta_info']


                    class FrameRelay(object):
                        """
                        Frame Relay networks
                        
                        .. attribute:: ietf
                        
                        	Use RFC1490/RFC2427 encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ietf = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ietf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.FrameRelay']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dot1q is not None and self.dot1q._has_data():
                            return True

                        if self.frame_relay is not None and self.frame_relay._has_data():
                            return True

                        if self.isl is not None and self.isl._has_data():
                            return True

                        if self.ppp is not None and self.ppp._has_data():
                            return True

                        if self.slip is not None and self.slip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation']['meta_info']


                class FairQueueConf(object):
                    """
                    
                    
                    .. attribute:: fair_queue
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.fair_queue = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.fair_queue is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.FairQueueConf']['meta_info']


                class FairQueue(object):
                    """
                    Enable Fair Queuing on an Interface
                    
                    .. attribute:: incomplete
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.incomplete = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.incomplete is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.FairQueue']['meta_info']


                class Flowcontrol(object):
                    """
                    Configure flow operation.
                    
                    .. attribute:: receive
                    
                    	Configure receiving flow operation
                    	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol.ReceiveEnum>`
                    
                    .. attribute:: send
                    
                    	Configure sending flow operation
                    	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol.SendEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.receive = None
                        self.send = None

                    class ReceiveEnum(Enum):
                        """
                        ReceiveEnum

                        Configure receiving flow operation

                        .. data:: desired = 0

                        .. data:: off = 1

                        .. data:: on = 2

                        """

                        desired = 0

                        off = 1

                        on = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol.ReceiveEnum']


                    class SendEnum(Enum):
                        """
                        SendEnum

                        Configure sending flow operation

                        .. data:: desired = 0

                        .. data:: off = 1

                        .. data:: on = 2

                        """

                        desired = 0

                        off = 1

                        on = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol.SendEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.receive is not None:
                            return True

                        if self.send is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol']['meta_info']


                class Isis(object):
                    """
                    IS\-IS commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Isis']['meta_info']


                class KeepaliveSettings(object):
                    """
                    
                    
                    .. attribute:: keepalive
                    
                    	Enable keepalive
                    	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings.Keepalive>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.keepalive = None


                    class Keepalive(object):
                        """
                        Enable keepalive
                        
                        .. attribute:: period
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..32767
                        
                        .. attribute:: retries
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.period = None
                            self.retries = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.period is not None:
                                return True

                            if self.retries is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings.Keepalive']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.keepalive is not None and self.keepalive._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings']['meta_info']


                class Bfd(object):
                    """
                    BFD interface configuration commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Bfd']['meta_info']


                class Bandwidth(object):
                    """
                    Set bandwidth informational parameter
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Inherit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: qos_reference
                    
                    	Reference bandwidth for QOS
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: receive
                    
                    	Specify receive\-side bandwidth
                    	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Receive>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None
                        self.qos_reference = None
                        self.receive = Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Receive()
                        self.receive.parent = self


                    class Receive(object):
                        """
                        Specify receive\-side bandwidth
                        
                        .. attribute:: inherit
                        
                        	Specify how bandwidth is inherited
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: kilobits
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..10000000
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.inherit = None
                            self.kilobits = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.inherit is not None:
                                return True

                            if self.kilobits is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Receive']['meta_info']


                    class Inherit(object):
                        """
                        Specify how bandwidth is inherited
                        
                        .. attribute:: kilobits
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..10000000
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.kilobits = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.kilobits is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Inherit']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None and self.inherit._has_data():
                            return True

                        if self.kilobits is not None:
                            return True

                        if self.qos_reference is not None:
                            return True

                        if self.receive is not None and self.receive._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth']['meta_info']


                class Dampening(object):
                    """
                    Enable event dampening
                    
                    .. attribute:: dampening_time
                    
                    	<1\-30>;;Half\-life time for penalty
                    	**type**\:  int
                    
                    	**range:** 1..30
                    
                    .. attribute:: maximum_supressing_time
                    
                    	<1\-255>;;Maximum duration to suppress an interface
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Dampening.Restart>`
                    
                    .. attribute:: start_reusing_time
                    
                    	<1\-20000>;;Value to start reusing an interface
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    .. attribute:: start_supressing_time
                    
                    	<1\-20000>;;Value to start supressing an interface
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.dampening_time = None
                        self.maximum_supressing_time = None
                        self.restart = Native.Interface.PortChannelSubinterface.PortChannel.Dampening.Restart()
                        self.restart.parent = self
                        self.start_reusing_time = None
                        self.start_supressing_time = None


                    class Restart(object):
                        """
                        Enable restart penalty
                        
                        .. attribute:: restart
                        
                        	Enable restart penalty
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: restart_penalty
                        
                        	<1\-20000>;;Penalty applied at restart
                        	**type**\:  int
                        
                        	**range:** 1..20000
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.restart = None
                            self.restart_penalty = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.restart is not None:
                                return True

                            if self.restart_penalty is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Dampening.Restart']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.dampening_time is not None:
                            return True

                        if self.maximum_supressing_time is not None:
                            return True

                        if self.restart is not None and self.restart._has_data():
                            return True

                        if self.start_reusing_time is not None:
                            return True

                        if self.start_supressing_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Dampening']['meta_info']


                class Domain(object):
                    """
                    Specify a domain
                    
                    .. attribute:: internet_bound
                    
                    	Specify Internet\-bound interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: path
                    
                    	Specify a service provider for this interface
                    	**type**\:  str
                    
                    .. attribute:: path_id
                    
                    	Specify service provider path\-id for this interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: path_last_resort
                    
                    	Specify if you want this interface to be a path of last resort
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: zero_sla
                    
                    	Specify if you want this interface to be a 0\-sla interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.internet_bound = None
                        self.name = None
                        self.path = None
                        self.path_id = None
                        self.path_last_resort = None
                        self.zero_sla = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.internet_bound is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.path is not None:
                            return True

                        if self.path_id is not None:
                            return True

                        if self.path_last_resort is not None:
                            return True

                        if self.zero_sla is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Domain']['meta_info']


                class HoldQueue(object):
                    """
                    Set hold queue depth
                    
                    .. attribute:: direction
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.HoldQueue.DirectionEnum>`
                    
                    .. attribute:: queue_length
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.queue_length = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.HoldQueue.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.queue_length is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.HoldQueue']['meta_info']


                class Mpls(object):
                    """
                    
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Mpls']['meta_info']


                class IpVrf(object):
                    """
                    
                    
                    .. attribute:: ip
                    
                    	
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip.Vrf>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vrf = Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip.Vrf()
                            self.vrf.parent = self


                        class Vrf(object):
                            """
                            
                            
                            .. attribute:: forwarding
                            
                            	Configure forwarding table
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.forwarding = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.forwarding is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip.Vrf']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vrf is not None and self.vrf._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.IpVrf']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Vrf']['meta_info']


                class Ip(object):
                    """
                    Interface Internet Protocol config commands
                    
                    .. attribute:: access_group
                    
                    	Specify access control for packets
                    	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup>`
                    
                    .. attribute:: address
                    
                    	Set the IP address of an interface
                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address>`
                    
                    .. attribute:: admission
                    
                    	Apply Network Admission Control
                    	**type**\:  str
                    
                    .. attribute:: arp
                    
                    	Configure ARP features
                    	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp>`
                    
                    .. attribute:: authentication
                    
                    	authentication subcommands
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication>`
                    
                    .. attribute:: dhcp
                    
                    	Configure DHCP parameters for this interface
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Dhcp>`
                    
                    .. attribute:: directed_broadcast
                    
                    	Enable forwarding of directed broadcasts
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..199 \| 1300..2699
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    .. attribute:: hello_interval
                    
                    	Configures EIGRP\-IPv4 hello interval
                    	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelloInterval>`
                    
                    .. attribute:: helper_address
                    
                    	Specify a destination address for UDP broadcasts
                    	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelperAddress>`
                    
                    .. attribute:: hold_time
                    
                    	Configures EIGRP\-IPv4 hold time
                    	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.HoldTime>`
                    
                    .. attribute:: local_proxy_arp
                    
                    	Enable local\-proxy ARP
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mroute_cache
                    
                    	Enable switching cache for incoming multicast packets
                    	**type**\:  bool
                    
                    .. attribute:: mtu
                    
                    	Set IP Maximum Transmission Unit
                    	**type**\:  int
                    
                    	**range:** 68..9198
                    
                    .. attribute:: no_address
                    
                    	
                    	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.NoAddress>`
                    
                    .. attribute:: pim
                    
                    	PIM interface commands
                    	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim>`
                    
                    .. attribute:: policy
                    
                    	Enable policy routing
                    	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Policy>`
                    
                    .. attribute:: proxy_arp
                    
                    	Enable proxy ARP
                    	**type**\:  bool
                    
                    .. attribute:: redirects
                    
                    	Enable sending ICMP Redirect messages
                    	**type**\:  bool
                    
                    .. attribute:: route_cache
                    
                    	Enable fast\-switching cache for outgoing packets
                    	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCache>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: route_cache_conf
                    
                    	
                    	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCacheConf>`
                    
                    .. attribute:: router
                    
                    	IP router interface commands
                    	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router>`
                    
                    .. attribute:: summary_address
                    
                    	
                    	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress>`
                    
                    .. attribute:: tcp
                    
                    	TCP header compression and other parameters
                    	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Tcp>`
                    
                    .. attribute:: unnumbered
                    
                    	Enable IP processing without an explicit address
                    	**type**\:  str
                    
                    .. attribute:: verify
                    
                    	Enable per packet validation
                    	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify>`
                    
                    .. attribute:: virtual_reassembly
                    
                    	
                    	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.VirtualReassembly>`
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding parameters on the interface
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access_group = Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup()
                        self.access_group.parent = self
                        self.address = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address()
                        self.address.parent = self
                        self.admission = None
                        self.arp = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp()
                        self.arp.parent = self
                        self.authentication = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication()
                        self.authentication.parent = self
                        self.dhcp = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Dhcp()
                        self.dhcp.parent = self
                        self.directed_broadcast = None
                        self.hello_interval = Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelloInterval()
                        self.hello_interval.parent = self
                        self.helper_address = YList()
                        self.helper_address.parent = self
                        self.helper_address.name = 'helper_address'
                        self.hold_time = Native.Interface.PortChannelSubinterface.PortChannel.Ip.HoldTime()
                        self.hold_time.parent = self
                        self.local_proxy_arp = None
                        self.mroute_cache = None
                        self.mtu = None
                        self.no_address = Native.Interface.PortChannelSubinterface.PortChannel.Ip.NoAddress()
                        self.no_address.parent = self
                        self.pim = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim()
                        self.pim.parent = self
                        self.policy = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Policy()
                        self.policy.parent = self
                        self.proxy_arp = None
                        self.redirects = None
                        self.route_cache = None
                        self.route_cache_conf = Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCacheConf()
                        self.route_cache_conf.parent = self
                        self.router = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router()
                        self.router.parent = self
                        self.summary_address = Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress()
                        self.summary_address.parent = self
                        self.tcp = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Tcp()
                        self.tcp.parent = self
                        self.unnumbered = None
                        self.verify = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify()
                        self.verify.parent = self
                        self.virtual_reassembly = Native.Interface.PortChannelSubinterface.PortChannel.Ip.VirtualReassembly()
                        self.virtual_reassembly.parent = self
                        self.vrf = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf()
                        self.vrf.parent = self


                    class AccessGroup(object):
                        """
                        Specify access control for packets
                        
                        .. attribute:: in_
                        
                        	
                        	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_>`
                        
                        .. attribute:: out
                        
                        	
                        	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.in_ = Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_()
                            self.in_.parent = self
                            self.out = Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out()
                            self.out.parent = self


                        class In_(object):
                            """
                            
                            
                            .. attribute:: acl
                            
                            	
                            	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.Acl>`
                            
                            .. attribute:: common_acl
                            
                            	
                            	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.CommonAcl>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl = Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.Acl()
                                self.acl.parent = self
                                self.common_acl = Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.CommonAcl()
                                self.common_acl.parent = self


                            class CommonAcl(object):
                                """
                                
                                
                                .. attribute:: common
                                
                                	specify ipv4 common ACL for packet filtering
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..199 \| 1300..2699
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                .. attribute:: in_
                                
                                	inbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.common = None
                                    self.in_ = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.common is not None:
                                        return True

                                    if self.in_ is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                            class Acl(object):
                                """
                                
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..199 \| 1300..2699
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                .. attribute:: in_
                                
                                	inbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.acl_name = None
                                    self.in_ = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.acl_name is not None:
                                        return True

                                    if self.in_ is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.Acl']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl is not None and self.acl._has_data():
                                    return True

                                if self.common_acl is not None and self.common_acl._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_']['meta_info']


                        class Out(object):
                            """
                            
                            
                            .. attribute:: acl
                            
                            	
                            	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.Acl>`
                            
                            .. attribute:: common_acl
                            
                            	
                            	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.CommonAcl>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl = Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.Acl()
                                self.acl.parent = self
                                self.common_acl = Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.CommonAcl()
                                self.common_acl.parent = self


                            class CommonAcl(object):
                                """
                                
                                
                                .. attribute:: common
                                
                                	specify ipv4 common ACL for packet filtering
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..199 \| 1300..2699
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                .. attribute:: out
                                
                                	outbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.common = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.common is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                            class Acl(object):
                                """
                                
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..199 \| 1300..2699
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                .. attribute:: out
                                
                                	outbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.acl_name = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.acl_name is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.Acl']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl is not None and self.acl._has_data():
                                    return True

                                if self.common_acl is not None and self.common_acl._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.in_ is not None and self.in_._has_data():
                                return True

                            if self.out is not None and self.out._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup']['meta_info']


                    class Arp(object):
                        """
                        Configure ARP features
                        
                        .. attribute:: inspection
                        
                        	Arp Inspection configuration
                        	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.inspection = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection()
                            self.inspection.parent = self


                        class Inspection(object):
                            """
                            Arp Inspection configuration
                            
                            .. attribute:: limit
                            
                            	Configure Rate limit of incoming ARP packets
                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection.Limit>`
                            
                            .. attribute:: trust
                            
                            	Configure Trust state
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection.Limit()
                                self.limit.parent = self
                                self.trust = None


                            class Limit(object):
                                """
                                Configure Rate limit of incoming ARP packets
                                
                                .. attribute:: none
                                
                                	No limit
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: rate
                                
                                	Rate Limit
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.none = None
                                    self.rate = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.none is not None:
                                        return True

                                    if self.rate is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection.Limit']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None and self.limit._has_data():
                                    return True

                                if self.trust is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.inspection is not None and self.inspection._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp']['meta_info']


                    class Vrf(object):
                        """
                        VPN Routing/Forwarding parameters on the interface
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf.Forwarding>`
                        
                        .. attribute:: receive
                        
                        	Add Interface Address into VRF Table
                        	**type**\:  str
                        
                        .. attribute:: sitemap
                        
                        	Configure route\-map for routesreceived from this site
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf.Forwarding()
                            self.forwarding.parent = self
                            self.receive = None
                            self.sitemap = None


                        class Forwarding(object):
                            """
                            Configure forwarding table
                            
                            .. attribute:: liin_vrf
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mgmtvrf
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: word
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.liin_vrf = None
                                self.mgmtvrf = None
                                self.word = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.liin_vrf is not None:
                                    return True

                                if self.mgmtvrf is not None:
                                    return True

                                if self.word is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf.Forwarding']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None and self.forwarding._has_data():
                                return True

                            if self.receive is not None:
                                return True

                            if self.sitemap is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf']['meta_info']


                    class NoAddress(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.NoAddress']['meta_info']


                    class Address(object):
                        """
                        Set the IP address of an interface
                        
                        .. attribute:: dhcp
                        
                        	IP Address negotiated via DHCP
                        	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: negotiated
                        
                        	IP Address negotiated via IKEv2 Modeconfig
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: primary
                        
                        	
                        	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Primary>`
                        
                        .. attribute:: secondary
                        
                        	
                        	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Secondary>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dhcp = None
                            self.negotiated = None
                            self.primary = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Primary()
                            self.primary.parent = self
                            self.secondary = YList()
                            self.secondary.parent = self
                            self.secondary.name = 'secondary'


                        class Primary(object):
                            """
                            
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Primary']['meta_info']


                        class Secondary(object):
                            """
                            
                            
                            .. attribute:: address  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            	**mandatory**\: True
                            
                            .. attribute:: secondary
                            
                            	Make this IP address a secondary address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            	**mandatory**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.mask = None
                                self.secondary = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.address is None:
                                    raise YPYModelError('Key property address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                if self.secondary is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Secondary']['meta_info']


                        class Dhcp(object):
                            """
                            IP Address negotiated via DHCP
                            
                            .. attribute:: client_id
                            
                            	Specify client\-id to use
                            	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp.ClientId>`
                            
                            .. attribute:: hostname
                            
                            	Specify value for hostname option
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.client_id = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp.ClientId()
                                self.client_id.parent = self
                                self.hostname = None


                            class ClientId(object):
                                """
                                Specify client\-id to use
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\:  str
                                
                                .. attribute:: fortygigabitethernet
                                
                                	Forty Gigabit Ethernet
                                	**type**\:  str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\:  str
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\:  str
                                
                                .. attribute:: vlan
                                
                                	Catalyst Vlans
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.fastethernet = None
                                    self.fortygigabitethernet = None
                                    self.gigabitethernet = None
                                    self.port_channel = None
                                    self.tengigabitethernet = None
                                    self.vlan = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.fastethernet is not None:
                                        return True

                                    if self.fortygigabitethernet is not None:
                                        return True

                                    if self.gigabitethernet is not None:
                                        return True

                                    if self.port_channel is not None:
                                        return True

                                    if self.tengigabitethernet is not None:
                                        return True

                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp.ClientId']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.client_id is not None and self.client_id._has_data():
                                    return True

                                if self.hostname is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dhcp is not None and self.dhcp._has_data():
                                return True

                            if self.negotiated is not None:
                                return True

                            if self.primary is not None and self.primary._has_data():
                                return True

                            if self.secondary is not None:
                                for child_ref in self.secondary:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address']['meta_info']


                    class HelloInterval(object):
                        """
                        Configures EIGRP\-IPv4 hello interval
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: seconds
                        
                        	Seconds between hello transmissions
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.seconds = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.seconds is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelloInterval']['meta_info']


                    class Authentication(object):
                        """
                        authentication subcommands
                        
                        .. attribute:: key_chain
                        
                        	key\-chain
                        	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.KeyChain>`
                        
                        .. attribute:: mode
                        
                        	mode
                        	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_chain = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.KeyChain()
                            self.key_chain.parent = self
                            self.mode = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.Mode()
                            self.mode.parent = self


                        class KeyChain(object):
                            """
                            key\-chain
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: name
                            
                            	name of key\-chain
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eigrp = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eigrp is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.KeyChain']['meta_info']


                        class Mode(object):
                            """
                            mode
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eigrp = None
                                self.md5 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eigrp is not None:
                                    return True

                                if self.md5 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.Mode']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_chain is not None and self.key_chain._has_data():
                                return True

                            if self.mode is not None and self.mode._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication']['meta_info']


                    class HoldTime(object):
                        """
                        Configures EIGRP\-IPv4 hold time
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: seconds
                        
                        	Seconds before neighbor is considered down
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.seconds = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.seconds is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.HoldTime']['meta_info']


                    class HelperAddress(object):
                        """
                        Specify a destination address for UDP broadcasts
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: global_
                        
                        	Helper\-address is global
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vrf
                        
                        	VRF name for helper\-address (if different from interface VRF)
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.global_ = None
                            self.vrf = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.global_ is not None:
                                return True

                            if self.vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelperAddress']['meta_info']


                    class Pim(object):
                        """
                        PIM interface commands
                        
                        .. attribute:: accept_register
                        
                        	
                        	**type**\:   :py:class:`AcceptRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.AcceptRegister>`
                        
                        .. attribute:: dr_priority
                        
                        	PIM router DR priority
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: nbma_mode
                        
                        	Enable PIM nbma\-mode operation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: query_interval
                        
                        	PIM router query interval
                        	**type**\:   :py:class:`QueryInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.QueryInterval>`
                        
                        .. attribute:: sparse_mode
                        
                        	
                        	**type**\:   :py:class:`SparseModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.SparseModeEnum>`
                        
                        .. attribute:: spt_threshold
                        
                        	
                        	**type**\:   :py:class:`SptThresholdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.SptThresholdEnum>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.accept_register = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.AcceptRegister()
                            self.accept_register.parent = self
                            self.dr_priority = None
                            self.nbma_mode = None
                            self.query_interval = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.QueryInterval()
                            self.query_interval.parent = self
                            self.sparse_mode = None
                            self.spt_threshold = None

                        class SparseModeEnum(Enum):
                            """
                            SparseModeEnum

                            .. data:: sparse_dense_mode = 0

                            .. data:: sparse_mode = 1

                            """

                            sparse_dense_mode = 0

                            sparse_mode = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.SparseModeEnum']


                        class SptThresholdEnum(Enum):
                            """
                            SptThresholdEnum

                            .. data:: infinity = 0

                            """

                            infinity = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.SptThresholdEnum']



                        class AcceptRegister(object):
                            """
                            
                            
                            .. attribute:: list
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-mc'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.list = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-multicast:accept-register'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.list is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.AcceptRegister']['meta_info']


                        class QueryInterval(object):
                            """
                            PIM router query interval
                            
                            .. attribute:: milliseconds_interval
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 100..65535
                            
                            .. attribute:: msec
                            
                            	Query interval in milliseconds
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            	**mandatory**\: True
                            
                            .. attribute:: seconds_interval
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..18725
                            
                            

                            """

                            _prefix = 'ios-mc'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.milliseconds_interval = None
                                self.msec = None
                                self.seconds_interval = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-multicast:query-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.milliseconds_interval is not None:
                                    return True

                                if self.msec is not None:
                                    return True

                                if self.seconds_interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.QueryInterval']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.accept_register is not None and self.accept_register._has_data():
                                return True

                            if self.dr_priority is not None:
                                return True

                            if self.nbma_mode is not None:
                                return True

                            if self.query_interval is not None and self.query_interval._has_data():
                                return True

                            if self.sparse_mode is not None:
                                return True

                            if self.spt_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim']['meta_info']


                    class Policy(object):
                        """
                        Enable policy routing
                        
                        .. attribute:: route_map
                        
                        	Policy route\-map
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.route_map = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Policy']['meta_info']


                    class RouteCacheConf(object):
                        """
                        
                        
                        .. attribute:: route_cache
                        
                        	
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.route_cache = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.route_cache is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCacheConf']['meta_info']


                    class RouteCache(object):
                        """
                        Enable fast\-switching cache for outgoing packets
                        
                        .. attribute:: cef
                        
                        	Enable Cisco Express Forwarding
                        	**type**\:  bool
                        
                        .. attribute:: flow
                        
                        	Enable Flow fast\-switching cache
                        	**type**\:  bool
                        
                        .. attribute:: policy
                        
                        	Enable fast\-switching policy cache for outgoing packets
                        	**type**\:  bool
                        
                        .. attribute:: same_interface
                        
                        	Enable fast\-switching on the same interface
                        	**type**\:  bool
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.cef = None
                            self.flow = None
                            self.policy = None
                            self.same_interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.cef is not None:
                                return True

                            if self.flow is not None:
                                return True

                            if self.policy is not None:
                                return True

                            if self.same_interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCache']['meta_info']


                    class Router(object):
                        """
                        IP router interface commands
                        
                        .. attribute:: isis
                        
                        	IS\-IS Routing for IP
                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router.Isis>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.isis = None


                        class Isis(object):
                            """
                            IS\-IS Routing for IP
                            
                            .. attribute:: tag
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router.Isis']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.isis is not None and self.isis._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router']['meta_info']


                    class Tcp(object):
                        """
                        TCP header compression and other parameters
                        
                        .. attribute:: adjust_mss
                        
                        	Adjust the mss of transit packets
                        	**type**\:  int
                        
                        	**range:** 500..1460
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.adjust_mss = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.adjust_mss is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Tcp']['meta_info']


                    class VirtualReassembly(object):
                        """
                        
                        
                        .. attribute:: drop_fragments
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: in_
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_fragments
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: max_reassemblies
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: timeout
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.drop_fragments = None
                            self.in_ = None
                            self.max_fragments = None
                            self.max_reassemblies = None
                            self.timeout = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.drop_fragments is not None:
                                return True

                            if self.in_ is not None:
                                return True

                            if self.max_fragments is not None:
                                return True

                            if self.max_reassemblies is not None:
                                return True

                            if self.timeout is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.VirtualReassembly']['meta_info']


                    class Dhcp(object):
                        """
                        Configure DHCP parameters for this interface
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Dhcp']['meta_info']


                    class SummaryAddress(object):
                        """
                        
                        
                        .. attribute:: eigrp
                        
                        	
                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress.Eigrp>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = YList()
                            self.eigrp.parent = self
                            self.eigrp.name = 'eigrp'


                        class Eigrp(object):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: ip
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: metric
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.ip = None
                                self.mask = None
                                self.metric = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.ip is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress.Eigrp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                for child_ref in self.eigrp:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress']['meta_info']


                    class Verify(object):
                        """
                        Enable per packet validation
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: unicast
                        
                        	Enable per packet validation for unicast
                        	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.source = None
                            self.unicast = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast()
                            self.unicast.parent = self


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: vlan
                            
                            	vlan specification
                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.vlan = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan()
                                self.vlan.parent = self


                            class Vlan(object):
                                """
                                vlan specification
                                
                                .. attribute:: dhcp_snooping
                                
                                	snooping enable vlan
                                	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan.DhcpSnooping>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dhcp_snooping = None


                                class DhcpSnooping(object):
                                    """
                                    snooping enable vlan
                                    
                                    .. attribute:: port_security
                                    
                                    	port security
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.port_security = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.port_security is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.vlan is not None and self.vlan._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source']['meta_info']


                        class Unicast(object):
                            """
                            Enable per packet validation for unicast
                            
                            .. attribute:: reverse_path
                            
                            	Reverse path validation of source address (old command format)
                            	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.ReversePath>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: source
                            
                            	Validation of source address
                            	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.Source>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.reverse_path = None
                                self.source = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.Source()
                                self.source.parent = self


                            class ReversePath(object):
                                """
                                Reverse path validation of source address (old command format)
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.ReversePath']['meta_info']


                            class Source(object):
                                """
                                Validation of source address
                                
                                .. attribute:: allow_default
                                
                                	Allow default route to match when checking source address
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: allow_self_ping
                                
                                	Allow router to ping itself (opens vulnerability in verification)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: reachable_via
                                
                                	Specify reachability check to apply to the source address
                                	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.allow_default = None
                                    self.allow_self_ping = None
                                    self.reachable_via = None

                                class ReachableViaEnum(Enum):
                                    """
                                    ReachableViaEnum

                                    Specify reachability check to apply to the source address

                                    .. data:: any = 0

                                    .. data:: rx = 1

                                    """

                                    any = 0

                                    rx = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.Source.ReachableViaEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.allow_default is not None:
                                        return True

                                    if self.allow_self_ping is not None:
                                        return True

                                    if self.reachable_via is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.Source']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.reverse_path is not None and self.reverse_path._has_data():
                                    return True

                                if self.source is not None and self.source._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.source is not None and self.source._has_data():
                                return True

                            if self.unicast is not None and self.unicast._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access_group is not None and self.access_group._has_data():
                            return True

                        if self.address is not None and self.address._has_data():
                            return True

                        if self.admission is not None:
                            return True

                        if self.arp is not None and self.arp._has_data():
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.directed_broadcast is not None:
                            return True

                        if self.hello_interval is not None and self.hello_interval._has_data():
                            return True

                        if self.helper_address is not None:
                            for child_ref in self.helper_address:
                                if child_ref._has_data():
                                    return True

                        if self.hold_time is not None and self.hold_time._has_data():
                            return True

                        if self.local_proxy_arp is not None:
                            return True

                        if self.mroute_cache is not None:
                            return True

                        if self.mtu is not None:
                            return True

                        if self.no_address is not None and self.no_address._has_data():
                            return True

                        if self.pim is not None and self.pim._has_data():
                            return True

                        if self.policy is not None and self.policy._has_data():
                            return True

                        if self.proxy_arp is not None:
                            return True

                        if self.redirects is not None:
                            return True

                        if self.route_cache is not None and self.route_cache._has_data():
                            return True

                        if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                            return True

                        if self.router is not None and self.router._has_data():
                            return True

                        if self.summary_address is not None and self.summary_address._has_data():
                            return True

                        if self.tcp is not None and self.tcp._has_data():
                            return True

                        if self.unnumbered is not None:
                            return True

                        if self.verify is not None and self.verify._has_data():
                            return True

                        if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                            return True

                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ip']['meta_info']


                class Ipv6(object):
                    """
                    IPv6 interface subcommands
                    
                    .. attribute:: address
                    
                    	Configure IPv6 address on interface
                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address>`
                    
                    .. attribute:: destination_guard
                    
                    	Configure ipv6 destination guard on the interface
                    	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.DestinationGuard>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	IPv6 DHCP interface subcommands
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Dhcp>`
                    
                    .. attribute:: enable
                    
                    	Enable IPv6 on interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mtu
                    
                    	Set IPv6 Maximum Transmission Unit
                    	**type**\:  int
                    
                    	**range:** 1280..9198
                    
                    .. attribute:: nd
                    
                    	IPv6 interface Neighbor Discovery subcommands
                    	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Nd>`
                    
                    .. attribute:: redirects
                    
                    	Enable sending ICMP Redirect messages
                    	**type**\:  bool
                    
                    .. attribute:: traffic_filter
                    
                    	Access control list for packets
                    	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.TrafficFilter>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address()
                        self.address.parent = self
                        self.destination_guard = None
                        self.dhcp = Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Dhcp()
                        self.dhcp.parent = self
                        self.enable = None
                        self.mtu = None
                        self.nd = Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Nd()
                        self.nd.parent = self
                        self.redirects = None
                        self.traffic_filter = YList()
                        self.traffic_filter.parent = self
                        self.traffic_filter.name = 'traffic_filter'


                    class DestinationGuard(object):
                        """
                        Configure ipv6 destination guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature ipv6 destguard
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.attach_policy = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.attach_policy is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.DestinationGuard']['meta_info']


                    class Dhcp(object):
                        """
                        IPv6 DHCP interface subcommands
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Dhcp']['meta_info']


                    class Address(object):
                        """
                        Configure IPv6 address on interface
                        
                        .. attribute:: autoconfig
                        
                        	Obtain address using autoconfiguration
                        	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.Autoconfig>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: dhcp
                        
                        	Obtain IPv6 address from DHCP server
                        	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.Dhcp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: link_local_address
                        
                        	
                        	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.LinkLocalAddress>`
                        
                        .. attribute:: prefix_list
                        
                        	
                        	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.PrefixList>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.autoconfig = None
                            self.dhcp = None
                            self.link_local_address = YList()
                            self.link_local_address.parent = self
                            self.link_local_address.name = 'link_local_address'
                            self.prefix_list = YList()
                            self.prefix_list.parent = self
                            self.prefix_list.name = 'prefix_list'


                        class Dhcp(object):
                            """
                            Obtain IPv6 address from DHCP server
                            
                            .. attribute:: rapid_commit
                            
                            	rapid\-commit for prefix delegation
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.rapid_commit = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.rapid_commit is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.Dhcp']['meta_info']


                        class Autoconfig(object):
                            """
                            Obtain address using autoconfiguration
                            
                            .. attribute:: default
                            
                            	Insert default route
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.default = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.default is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.Autoconfig']['meta_info']


                        class PrefixList(object):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: anycast
                            
                            	Configure as an anycast
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: eui_64
                            
                            	Use eui\-64 interface identifier
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix = None
                                self.anycast = None
                                self.eui_64 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.prefix is None:
                                    raise YPYModelError('Key property prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix is not None:
                                    return True

                                if self.anycast is not None:
                                    return True

                                if self.eui_64 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.PrefixList']['meta_info']


                        class LinkLocalAddress(object):
                            """
                            
                            
                            .. attribute:: address  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: link_local
                            
                            	Use link\-local address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.link_local = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.address is None:
                                    raise YPYModelError('Key property address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.link_local is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.LinkLocalAddress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.autoconfig is not None and self.autoconfig._has_data():
                                return True

                            if self.dhcp is not None and self.dhcp._has_data():
                                return True

                            if self.link_local_address is not None:
                                for child_ref in self.link_local_address:
                                    if child_ref._has_data():
                                        return True

                            if self.prefix_list is not None:
                                for child_ref in self.prefix_list:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address']['meta_info']


                    class Nd(object):
                        """
                        IPv6 interface Neighbor Discovery subcommands
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Nd']['meta_info']


                    class TrafficFilter(object):
                        """
                        Access control list for packets
                        
                        .. attribute:: direction  <key>
                        
                        	
                        	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.TrafficFilter.DirectionEnum>`
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.direction = None
                            self.access_list = None

                        class DirectionEnum(Enum):
                            """
                            DirectionEnum

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = 0

                            out = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.TrafficFilter.DirectionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.direction is None:
                                raise YPYModelError('Key property direction is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.direction is not None:
                                return True

                            if self.access_list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.TrafficFilter']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None and self.address._has_data():
                            return True

                        if self.destination_guard is not None and self.destination_guard._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.enable is not None:
                            return True

                        if self.mtu is not None:
                            return True

                        if self.nd is not None and self.nd._has_data():
                            return True

                        if self.redirects is not None:
                            return True

                        if self.traffic_filter is not None:
                            for child_ref in self.traffic_filter:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ipv6']['meta_info']


                class Logging(object):
                    """
                    Configure logging for interface
                    
                    .. attribute:: event
                    
                    	Interface events
                    	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.event = Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event()
                        self.event.parent = self


                    class Event(object):
                        """
                        Interface events
                        
                        .. attribute:: bundle_status
                        
                        	BUNDLE/UNBUNDLE messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: link_status
                        
                        	UPDOWN and CHANGE messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: nfas_status
                        
                        	NFAS D\-channel status messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: power_inline_status
                        
                        	Inline power messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: spanning_tree
                        
                        	Spanning\-tree Interface events
                        	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event.SpanningTree>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: subif_link_status
                        
                        	Sub\-interface UPDOWN and CHANGE messages
                        	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event.SubifLinkStatus>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: trunk_status
                        
                        	TRUNK status messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bundle_status = None
                            self.link_status = None
                            self.nfas_status = None
                            self.power_inline_status = None
                            self.spanning_tree = None
                            self.status = None
                            self.subif_link_status = None
                            self.trunk_status = None


                        class SpanningTree(object):
                            """
                            Spanning\-tree Interface events
                            
                            .. attribute:: status
                            
                            	Spanning\-tree state change messages
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.status = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event.SpanningTree']['meta_info']


                        class SubifLinkStatus(object):
                            """
                            Sub\-interface UPDOWN and CHANGE messages
                            
                            .. attribute:: ignore_bulk
                            
                            	Do not log messages when the main interface is transitioning
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.ignore_bulk = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.ignore_bulk is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event.SubifLinkStatus']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bundle_status is not None:
                                return True

                            if self.link_status is not None:
                                return True

                            if self.nfas_status is not None:
                                return True

                            if self.power_inline_status is not None:
                                return True

                            if self.spanning_tree is not None and self.spanning_tree._has_data():
                                return True

                            if self.status is not None:
                                return True

                            if self.subif_link_status is not None and self.subif_link_status._has_data():
                                return True

                            if self.trunk_status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.event is not None and self.event._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Logging']['meta_info']


                class Mdix(object):
                    """
                    Set Media Dependent Interface with Crossover
                    
                    .. attribute:: auto
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Mdix']['meta_info']


                class Mop(object):
                    """
                    
                    
                    .. attribute:: enabled
                    
                    	
                    	**type**\:  bool
                    
                    	**default value**\: true
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enabled = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enabled is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Mop']['meta_info']


                class Interface_Qos(object):
                    """
                    
                    
                    .. attribute:: trust
                    
                    	
                    	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Interface_Qos.Trust>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.trust = Native.Interface.PortChannelSubinterface.PortChannel.Interface_Qos.Trust()
                        self.trust.parent = self


                    class Trust(object):
                        """
                        
                        
                        .. attribute:: device
                        
                        	
                        	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Interface_Qos.Trust.DeviceEnum>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.device = None

                        class DeviceEnum(Enum):
                            """
                            DeviceEnum

                            .. data:: cisco_phone = 0

                            """

                            cisco_phone = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Interface_Qos.Trust.DeviceEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.device is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Interface_Qos.Trust']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.trust is not None and self.trust._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Interface_Qos']['meta_info']


                class Standby(object):
                    """
                    HSRP interface configuration commands
                    
                    .. attribute:: bfd
                    
                    	Enable HSRP BFD
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: delay
                    
                    	HSRP initialisation delay
                    	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.Delay>`
                    
                    .. attribute:: mac_refresh
                    
                    	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: standby_list
                    
                    	
                    	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList>`
                    
                    .. attribute:: use_bia
                    
                    	HSRP uses interface's burned in address
                    	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: version
                    
                    	HSRP version
                    	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.VersionEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bfd = None
                        self.delay = Native.Interface.PortChannelSubinterface.PortChannel.Standby.Delay()
                        self.delay.parent = self
                        self.mac_refresh = None
                        self.standby_list = YList()
                        self.standby_list.parent = self
                        self.standby_list.name = 'standby_list'
                        self.use_bia = None
                        self.version = None

                    class VersionEnum(Enum):
                        """
                        VersionEnum

                        HSRP version

                        .. data:: Y_1 = 0

                        .. data:: Y_2 = 1

                        """

                        Y_1 = 0

                        Y_2 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.VersionEnum']



                    class Delay(object):
                        """
                        HSRP initialisation delay
                        
                        .. attribute:: minimum
                        
                        	Minimum delay
                        	**type**\:  int
                        
                        	**range:** 0..10000
                        
                        .. attribute:: reload
                        
                        	Delay after reload
                        	**type**\:  int
                        
                        	**range:** 0..10000
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.minimum = None
                            self.reload = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.minimum is not None:
                                return True

                            if self.reload is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.Delay']['meta_info']


                    class UseBia(object):
                        """
                        HSRP uses interface's burned in address
                        
                        .. attribute:: scope
                        
                        	Specify the scope of use\-bia
                        	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia.Scope>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.scope = Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia.Scope()
                            self.scope.parent = self


                        class Scope(object):
                            """
                            Specify the scope of use\-bia
                            
                            .. attribute:: interface
                            
                            	Use\-bia applies to all groups on this interface or sub\-interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interface = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interface is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia.Scope']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.scope is not None and self.scope._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia']['meta_info']


                    class StandbyList(object):
                        """
                        
                        
                        .. attribute:: group_number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: authentication
                        
                        	Authentication
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication>`
                        
                        .. attribute:: follow
                        
                        	Name of HSRP group to follow
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	Enable HSRP and set the virtual IP address
                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Ip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ipv6
                        
                        	Enable HSRP IPv6
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        
                        ----
                        	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                        
                        
                        ----
                        .. attribute:: mac_address
                        
                        	Virtual MAC address
                        	**type**\:  str
                        
                        .. attribute:: name
                        
                        	Redundancy name string
                        	**type**\:  str
                        
                        .. attribute:: preempt
                        
                        	Overthrow lower priority Active routers
                        	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Priority level
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: redirect
                        
                        	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect>`
                        
                        .. attribute:: timers
                        
                        	Hello and hold timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers>`
                        
                        .. attribute:: track
                        
                        	Priority tracking
                        	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Track>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.group_number = None
                            self.authentication = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication()
                            self.authentication.parent = self
                            self.follow = None
                            self.ip = None
                            self.ipv6 = None
                            self.mac_address = None
                            self.name = None
                            self.preempt = None
                            self.priority = None
                            self.redirect = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect()
                            self.redirect.parent = self
                            self.timers = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers()
                            self.timers.parent = self
                            self.track = YList()
                            self.track.parent = self
                            self.track.name = 'track'

                        class Ipv6Enum(Enum):
                            """
                            Ipv6Enum

                            Enable HSRP IPv6

                            .. data:: autoconfig = 0

                            """

                            autoconfig = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Ipv6Enum']



                        class Authentication(object):
                            """
                            Authentication
                            
                            .. attribute:: md5
                            
                            	Use MD5 authentication
                            	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5>`
                            
                            .. attribute:: text
                            
                            	Plain text authentication
                            	**type**\:  str
                            
                            .. attribute:: word
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.md5 = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5()
                                self.md5.parent = self
                                self.text = None
                                self.word = None


                            class Md5(object):
                                """
                                Use MD5 authentication
                                
                                .. attribute:: key_chain
                                
                                	Set key chain
                                	**type**\:  str
                                
                                .. attribute:: key_string
                                
                                	Set key string
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_chain = None
                                    self.key_string = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    Set key string
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: timeout
                                    
                                    	Set timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..32767
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None
                                        self.timeout = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        if self.timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_chain is not None:
                                        return True

                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.md5 is not None and self.md5._has_data():
                                    return True

                                if self.text is not None:
                                    return True

                                if self.word is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication']['meta_info']


                        class Ip(object):
                            """
                            Enable HSRP and set the virtual IP address
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: secondary
                            
                            	Make this IP address a secondary virtual IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.address = None
                                self.secondary = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.address is not None:
                                    return True

                                if self.secondary is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Ip']['meta_info']


                        class Preempt(object):
                            """
                            Overthrow lower priority Active routers
                            
                            .. attribute:: delay
                            
                            	Wait before preempting
                            	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt.Delay>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.delay = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt.Delay()
                                self.delay.parent = self


                            class Delay(object):
                                """
                                Wait before preempting
                                
                                .. attribute:: minimum
                                
                                	Delay at least this long
                                	**type**\:  int
                                
                                	**range:** 0..3600
                                
                                .. attribute:: reload
                                
                                	Delay after reload
                                	**type**\:  int
                                
                                	**range:** 0..3600
                                
                                .. attribute:: sync
                                
                                	Wait for IP redundancy client
                                	**type**\:  int
                                
                                	**range:** 0..3600
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.minimum = None
                                    self.reload = None
                                    self.sync = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.minimum is not None:
                                        return True

                                    if self.reload is not None:
                                        return True

                                    if self.sync is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt.Delay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.delay is not None and self.delay._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt']['meta_info']


                        class Redirect(object):
                            """
                            Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                            
                            .. attribute:: advertisement
                            
                            	Redirect advertisement messages
                            	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement>`
                            
                            .. attribute:: timers
                            
                            	Adjust redirect timers
                            	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Timers>`
                            
                            .. attribute:: unknown
                            
                            	Redirect to non\-HSRP routers
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement()
                                self.advertisement.parent = self
                                self.timers = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Timers()
                                self.timers.parent = self
                                self.unknown = None


                            class Advertisement(object):
                                """
                                Redirect advertisement messages
                                
                                .. attribute:: authentication
                                
                                	Authentication
                                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.authentication = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                    self.authentication.parent = self


                                class Authentication(object):
                                    """
                                    Authentication
                                    
                                    .. attribute:: md5
                                    
                                    	Use MD5 authentication
                                    	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.md5 = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                        self.md5.parent = self


                                    class Md5(object):
                                        """
                                        Use MD5 authentication
                                        
                                        .. attribute:: key_chain
                                        
                                        	Set key chain
                                        	**type**\:  str
                                        
                                        .. attribute:: key_string
                                        
                                        	Set key string
                                        	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_chain = None
                                            self.key_string = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                            self.key_string.parent = self


                                        class KeyString(object):
                                            """
                                            Set key string
                                            
                                            .. attribute:: encrypt
                                            
                                            	
                                            	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                            
                                            .. attribute:: string
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: timeout
                                            
                                            	Set timeout
                                            	**type**\:  int
                                            
                                            	**range:** 0..32767
                                            
                                            

                                            """

                                            _prefix = 'ios'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.encrypt = None
                                                self.string = None
                                                self.timeout = None

                                            class EncryptEnum(Enum):
                                                """
                                                EncryptEnum

                                                .. data:: Y_0 = 0

                                                .. data:: Y_7 = 1

                                                """

                                                Y_0 = 0

                                                Y_7 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.encrypt is not None:
                                                    return True

                                                if self.string is not None:
                                                    return True

                                                if self.timeout is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_chain is not None:
                                                return True

                                            if self.key_string is not None and self.key_string._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.md5 is not None and self.md5._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.authentication is not None and self.authentication._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                            class Timers(object):
                                """
                                Adjust redirect timers
                                
                                .. attribute:: advertisement
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 10..180
                                
                                .. attribute:: holddown
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 30..3600
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.advertisement = None
                                    self.holddown = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.advertisement is not None:
                                        return True

                                    if self.holddown is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Timers']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None and self.advertisement._has_data():
                                    return True

                                if self.timers is not None and self.timers._has_data():
                                    return True

                                if self.unknown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect']['meta_info']


                        class Timers(object):
                            """
                            Hello and hold timers
                            
                            .. attribute:: hello_interval
                            
                            	
                            	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HelloInterval>`
                            
                            .. attribute:: hold_time
                            
                            	
                            	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HoldTime>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hello_interval = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HelloInterval()
                                self.hello_interval.parent = self
                                self.hold_time = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HoldTime()
                                self.hold_time.parent = self


                            class HelloInterval(object):
                                """
                                
                                
                                .. attribute:: msec
                                
                                	Specify hello interval in milliseconds
                                	**type**\:  int
                                
                                	**range:** 15..999
                                
                                .. attribute:: seconds
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..254
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.msec = None
                                    self.seconds = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.msec is not None:
                                        return True

                                    if self.seconds is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                            class HoldTime(object):
                                """
                                
                                
                                .. attribute:: msec
                                
                                	Specify hold time in milliseconds
                                	**type**\:  int
                                
                                	**range:** 50..3000
                                
                                .. attribute:: seconds
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.msec = None
                                    self.seconds = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.msec is not None:
                                        return True

                                    if self.seconds is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HoldTime']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hello_interval is not None and self.hello_interval._has_data():
                                    return True

                                if self.hold_time is not None and self.hold_time._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers']['meta_info']


                        class Track(object):
                            """
                            Priority tracking
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..1000
                            
                            .. attribute:: decrement
                            
                            	Priority decrement
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: shutdown
                            
                            	Shutdown group
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.number = None
                                self.decrement = None
                                self.shutdown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.number is None:
                                    raise YPYModelError('Key property number is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.number is not None:
                                    return True

                                if self.decrement is not None:
                                    return True

                                if self.shutdown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Track']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.group_number is None:
                                raise YPYModelError('Key property group_number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.group_number is not None:
                                return True

                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.follow is not None:
                                return True

                            if self.ip is not None and self.ip._has_data():
                                return True

                            if self.ipv6 is not None:
                                return True

                            if self.mac_address is not None:
                                return True

                            if self.name is not None:
                                return True

                            if self.preempt is not None and self.preempt._has_data():
                                return True

                            if self.priority is not None:
                                return True

                            if self.redirect is not None and self.redirect._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.track is not None:
                                for child_ref in self.track:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bfd is not None:
                            return True

                        if self.delay is not None and self.delay._has_data():
                            return True

                        if self.mac_refresh is not None:
                            return True

                        if self.standby_list is not None:
                            for child_ref in self.standby_list:
                                if child_ref._has_data():
                                    return True

                        if self.use_bia is not None and self.use_bia._has_data():
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Standby']['meta_info']


                class AccessSession(object):
                    """
                    Access Session specific Interface Configuration Commands
                    
                    .. attribute:: closed
                    
                    	Enable closed access on port (disabled by default, i.e. open access)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: host_mode
                    
                    	Set the Host mode for authentication on this interface
                    	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.AccessSession.HostModeEnum>`
                    
                    .. attribute:: port_control
                    
                    	Set the port\-control value
                    	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.AccessSession.PortControl>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.closed = None
                        self.host_mode = None
                        self.port_control = Native.Interface.PortChannelSubinterface.PortChannel.AccessSession.PortControl()
                        self.port_control.parent = self

                    class HostModeEnum(Enum):
                        """
                        HostModeEnum

                        Set the Host mode for authentication on this interface

                        .. data:: multi_auth = 0

                        .. data:: multi_domain = 1

                        .. data:: multi_host = 2

                        .. data:: single_host = 3

                        """

                        multi_auth = 0

                        multi_domain = 1

                        multi_host = 2

                        single_host = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.AccessSession.HostModeEnum']



                    class PortControl(object):
                        """
                        Set the port\-control value
                        
                        .. attribute:: auto
                        
                        	PortState set to automatic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.auto = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.auto is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.AccessSession.PortControl']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.closed is not None:
                            return True

                        if self.host_mode is not None:
                            return True

                        if self.port_control is not None and self.port_control._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.AccessSession']['meta_info']


                class StormControl(object):
                    """
                    storm configuration
                    
                    .. attribute:: action
                    
                    	Action to take for storm..control;
                    	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Action>`
                    
                    .. attribute:: broadcast
                    
                    	Broadcast address storm control
                    	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast>`
                    
                    .. attribute:: multicast
                    
                    	Multicast address storm control
                    	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast>`
                    
                    .. attribute:: unicast
                    
                    	Unicast address storm control
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.action = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Action()
                        self.action.parent = self
                        self.broadcast = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast()
                        self.broadcast.parent = self
                        self.multicast = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast()
                        self.multicast.parent = self
                        self.unicast = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast()
                        self.unicast.parent = self


                    class Action(object):
                        """
                        Action to take for storm..control;
                        
                        .. attribute:: level
                        
                        	Set storm suppression level on this interface
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: shutdown
                        
                        	Shutdown this interface if a storm occurs
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: trap
                        
                        	Send SNMP trap if a storm occurs
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.level = None
                            self.shutdown = None
                            self.trap = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.level is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            if self.trap is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Action']['meta_info']


                    class Broadcast(object):
                        """
                        Broadcast address storm control
                        
                        .. attribute:: include
                        
                        	
                        	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Include>`
                        
                        .. attribute:: level
                        
                        	Set storm suppression level on this interface
                        	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.include = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Include()
                            self.include.parent = self
                            self.level = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level()
                            self.level.parent = self


                        class Include(object):
                            """
                            
                            
                            .. attribute:: multicast
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.multicast = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.multicast is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Include']['meta_info']


                        class Level(object):
                            """
                            Set storm suppression level on this interface
                            
                            .. attribute:: bps
                            
                            	Enter suppression level in bits per second
                            	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Bps>`
                            
                            .. attribute:: pps
                            
                            	Enter suppression level in packets per second
                            	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Pps>`
                            
                            .. attribute:: threshold
                            
                            	Broadcast address storm control
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bps = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Bps()
                                self.bps.parent = self
                                self.pps = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Pps()
                                self.pps.parent = self
                                self.threshold = None


                            class Bps(object):
                                """
                                Enter suppression level in bits per second
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.falling_threshold = None
                                    self.rising_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.falling_threshold is not None:
                                        return True

                                    if self.rising_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Bps']['meta_info']


                            class Pps(object):
                                """
                                Enter suppression level in packets per second
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.falling_threshold = None
                                    self.rising_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.falling_threshold is not None:
                                        return True

                                    if self.rising_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Pps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bps is not None and self.bps._has_data():
                                    return True

                                if self.pps is not None and self.pps._has_data():
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.include is not None and self.include._has_data():
                                return True

                            if self.level is not None and self.level._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast']['meta_info']


                    class Multicast(object):
                        """
                        Multicast address storm control
                        
                        .. attribute:: level
                        
                        	Set storm suppression level on this interface
                        	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.level = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level()
                            self.level.parent = self


                        class Level(object):
                            """
                            Set storm suppression level on this interface
                            
                            .. attribute:: bps
                            
                            	Enter suppression level in bits per second
                            	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Bps>`
                            
                            .. attribute:: pps
                            
                            	Enter suppression level in packets per second
                            	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Pps>`
                            
                            .. attribute:: threshold
                            
                            	Broadcast address storm control
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bps = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Bps()
                                self.bps.parent = self
                                self.pps = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Pps()
                                self.pps.parent = self
                                self.threshold = None


                            class Bps(object):
                                """
                                Enter suppression level in bits per second
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.falling_threshold = None
                                    self.rising_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.falling_threshold is not None:
                                        return True

                                    if self.rising_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Bps']['meta_info']


                            class Pps(object):
                                """
                                Enter suppression level in packets per second
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.falling_threshold = None
                                    self.rising_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.falling_threshold is not None:
                                        return True

                                    if self.rising_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Pps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bps is not None and self.bps._has_data():
                                    return True

                                if self.pps is not None and self.pps._has_data():
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.level is not None and self.level._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast']['meta_info']


                    class Unicast(object):
                        """
                        Unicast address storm control
                        
                        .. attribute:: level
                        
                        	Set storm suppression level on this interface
                        	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.level = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level()
                            self.level.parent = self


                        class Level(object):
                            """
                            Set storm suppression level on this interface
                            
                            .. attribute:: bps
                            
                            	Enter suppression level in bits per second
                            	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Bps>`
                            
                            .. attribute:: pps
                            
                            	Enter suppression level in packets per second
                            	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Pps>`
                            
                            .. attribute:: threshold
                            
                            	Broadcast address storm control
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Threshold>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bps = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Bps()
                                self.bps.parent = self
                                self.pps = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Pps()
                                self.pps.parent = self
                                self.threshold = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Threshold()
                                self.threshold.parent = self


                            class Threshold(object):
                                """
                                Broadcast address storm control
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold
                                	**type**\:  Decimal64
                                
                                	**range:** 0..100
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold
                                	**type**\:  Decimal64
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.falling_threshold = None
                                    self.rising_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.falling_threshold is not None:
                                        return True

                                    if self.rising_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Threshold']['meta_info']


                            class Bps(object):
                                """
                                Enter suppression level in bits per second
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.falling_threshold = None
                                    self.rising_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.falling_threshold is not None:
                                        return True

                                    if self.rising_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Bps']['meta_info']


                            class Pps(object):
                                """
                                Enter suppression level in packets per second
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.falling_threshold = None
                                    self.rising_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.falling_threshold is not None:
                                        return True

                                    if self.rising_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Pps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bps is not None and self.bps._has_data():
                                    return True

                                if self.pps is not None and self.pps._has_data():
                                    return True

                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.level is not None and self.level._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.action is not None and self.action._has_data():
                            return True

                        if self.broadcast is not None and self.broadcast._has_data():
                            return True

                        if self.multicast is not None and self.multicast._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.StormControl']['meta_info']


                class Trust(object):
                    """
                    Set trust value for the interface
                    
                    .. attribute:: device
                    
                    	trusted device class
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        trusted device class

                        .. data:: cisco_phone = 0

                        .. data:: cts = 1

                        .. data:: ip_camera = 2

                        .. data:: media_player = 3

                        """

                        cisco_phone = 0

                        cts = 1

                        ip_camera = 2

                        media_player = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Trust']['meta_info']


                class Utd(object):
                    """
                    UTD support on this interface
                    
                    .. attribute:: enable
                    
                    	Enable threat defense on this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Utd']['meta_info']


                class PriorityQueue(object):
                    """
                    Configure priority scheduling
                    
                    .. attribute:: cos_map
                    
                    	Configure cos\-map for a queue
                    	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue.CosMap>`
                    
                    .. attribute:: out
                    
                    	egress priority queue
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_map = Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue.CosMap()
                        self.cos_map.parent = self
                        self.out = None


                    class CosMap(object):
                        """
                        Configure cos\-map for a queue
                        
                        .. attribute:: cos_values
                        
                        	
                        	**type**\:  list of int
                        
                        	**range:** 0..7
                        
                        .. attribute:: id
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cos_values = YLeafList()
                            self.cos_values.parent = self
                            self.cos_values.name = 'cos_values'
                            self.id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cos_values is not None:
                                for child in self.cos_values:
                                    if child is not None:
                                        return True

                            if self.id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue.CosMap']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_map is not None and self.cos_map._has_data():
                            return True

                        if self.out is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue']['meta_info']


                class RcvQueue(object):
                    """
                    Configure receive queue(s)
                    
                    .. attribute:: cos_map
                    
                    	Configure cos\-map for a queue threshold
                    	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue.CosMap>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_map = YList()
                        self.cos_map.parent = self
                        self.cos_map.name = 'cos_map'


                    class CosMap(object):
                        """
                        Configure cos\-map for a queue threshold
                        
                        .. attribute:: queue_id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..3
                        
                        .. attribute:: threshold_id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..8
                        
                        .. attribute:: cos_values
                        
                        	
                        	**type**\:  list of int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.queue_id = None
                            self.threshold_id = None
                            self.cos_values = YLeafList()
                            self.cos_values.parent = self
                            self.cos_values.name = 'cos_values'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.queue_id is None:
                                raise YPYModelError('Key property queue_id is None')
                            if self.threshold_id is None:
                                raise YPYModelError('Key property threshold_id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.queue_id is not None:
                                return True

                            if self.threshold_id is not None:
                                return True

                            if self.cos_values is not None:
                                for child in self.cos_values:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue.CosMap']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_map is not None:
                            for child_ref in self.cos_map:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue']['meta_info']


                class Peer(object):
                    """
                    Peer parameters for point to point interfaces
                    
                    .. attribute:: default
                    
                    	Specify default parameters
                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.default = Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default()
                        self.default.parent = self


                    class Default(object):
                        """
                        Specify default parameters
                        
                        .. attribute:: ip
                        
                        	Specify default IP parameters
                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip()
                            self.ip.parent = self


                        class Ip(object):
                            """
                            Specify default IP parameters
                            
                            .. attribute:: address
                            
                            	Specify default IP address
                            	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address()
                                self.address.parent = self


                            class Address(object):
                                """
                                Specify default IP address
                                
                                .. attribute:: dhcp
                                
                                	Use DHCP proxy client mechanism to allocate a peer IP address
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: dhcp_pool
                                
                                	Use local DHCP pools to allocate a peer IP address
                                	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address.DhcpPool>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: pool
                                
                                	Use IP pool mechanism to allocate a peer IP address
                                	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address.Pool>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dhcp = None
                                    self.dhcp_pool = None
                                    self.pool = None


                                class DhcpPool(object):
                                    """
                                    Use local DHCP pools to allocate a peer IP address
                                    
                                    .. attribute:: pools
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.pools = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.pools is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                                class Pool(object):
                                    """
                                    Use IP pool mechanism to allocate a peer IP address
                                    
                                    .. attribute:: pools
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.pools = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.pools is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address.Pool']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dhcp is not None:
                                        return True

                                    if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                        return True

                                    if self.pool is not None and self.pool._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None and self.address._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None and self.ip._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.default is not None and self.default._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Peer']['meta_info']


                class PmPath(object):
                    """
                    Global pm\-path configuration
                    
                    .. attribute:: interface_id
                    
                    	<1\-255> Specify the interface\-id value
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    .. attribute:: name
                    
                    	WORD Path name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interface_id = None
                        self.name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interface_id is not None:
                            return True

                        if self.name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.PmPath']['meta_info']


                class CarrierDelay(object):
                    """
                    Specify delay for interface transitions
                    
                    .. attribute:: down
                    
                    	Carrier Down Transitions
                    	**type**\:   :py:class:`Down <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Down>`
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..1000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..60
                    
                    .. attribute:: up
                    
                    	Carrier Up Transitions
                    	**type**\:   :py:class:`Up <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Up>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.down = Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Down()
                        self.down.parent = self
                        self.msec = None
                        self.seconds = None
                        self.up = Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Up()
                        self.up.parent = self


                    class Down(object):
                        """
                        Carrier Down Transitions
                        
                        .. attribute:: msec
                        
                        	delay specified in milliseconds
                        	**type**\:  int
                        
                        	**range:** 0..1000
                        
                        .. attribute:: seconds
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..60
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.msec = None
                            self.seconds = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:down'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.msec is not None:
                                return True

                            if self.seconds is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Down']['meta_info']


                    class Up(object):
                        """
                        Carrier Up Transitions
                        
                        .. attribute:: msec
                        
                        	delay specified in milliseconds
                        	**type**\:  int
                        
                        	**range:** 0..1000
                        
                        .. attribute:: seconds
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..60
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.msec = None
                            self.seconds = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:up'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.msec is not None:
                                return True

                            if self.seconds is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Up']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:carrier-delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.down is not None and self.down._has_data():
                            return True

                        if self.msec is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        if self.up is not None and self.up._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay']['meta_info']


                class ChannelGroup(object):
                    """
                    Add this interface to an Etherchannel group
                    
                    .. attribute:: auto
                    
                    	LACP auto
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link
                    
                    	Assign a link identifier used for load\-balancing
                    	**type**\:  int
                    
                    	**range:** 1..4
                    
                    .. attribute:: mode
                    
                    	Etherchannel Mode of the interface
                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.ChannelGroup.ModeEnum>`
                    
                    .. attribute:: non_silent
                    
                    	Start negotiation only after data packets received
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: number
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..512
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None
                        self.link = None
                        self.mode = None
                        self.non_silent = None
                        self.number = None

                    class ModeEnum(Enum):
                        """
                        ModeEnum

                        Etherchannel Mode of the interface

                        .. data:: active = 0

                        .. data:: auto = 1

                        .. data:: desirable = 2

                        .. data:: on = 3

                        .. data:: passive = 4

                        """

                        active = 0

                        auto = 1

                        desirable = 2

                        on = 3

                        passive = 4


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.ChannelGroup.ModeEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:channel-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        if self.link is not None:
                            return True

                        if self.mode is not None:
                            return True

                        if self.non_silent is not None:
                            return True

                        if self.number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.ChannelGroup']['meta_info']


                class Ethernet(object):
                    """
                    Ethernet interface parameters
                    
                    .. attribute:: oam
                    
                    	To enable Ethernet Link OAM
                    	**type**\:   :py:class:`Oam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.oam = None


                    class Oam(object):
                        """
                        To enable Ethernet Link OAM
                        
                        .. attribute:: link_monitor
                        
                        	Ethernet OAM Link Monitor
                        	**type**\:   :py:class:`LinkMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor>`
                        
                        .. attribute:: max_rate
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..10
                        
                        .. attribute:: min_rate
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..10
                        
                        .. attribute:: mode
                        
                        	
                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.ModeEnum>`
                        
                        .. attribute:: remote_failure
                        
                        	Ethernet OAM remote failure indication
                        	**type**\:   :py:class:`RemoteFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure>`
                        
                        .. attribute:: remote_loopback
                        
                        	Ethernet OAM Remote Loopback
                        	**type**\:   :py:class:`RemoteLoopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteLoopback>`
                        
                        .. attribute:: timeout
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 2..30
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.link_monitor = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor()
                            self.link_monitor.parent = self
                            self.max_rate = None
                            self.min_rate = None
                            self.mode = None
                            self.remote_failure = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure()
                            self.remote_failure.parent = self
                            self.remote_loopback = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteLoopback()
                            self.remote_loopback.parent = self
                            self.timeout = None

                        class ModeEnum(Enum):
                            """
                            ModeEnum

                            .. data:: active = 0

                            .. data:: passive = 1

                            """

                            active = 0

                            passive = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.ModeEnum']



                        class LinkMonitor(object):
                            """
                            Ethernet OAM Link Monitor
                            
                            .. attribute:: frame
                            
                            	Errored frames in a period measured by time
                            	**type**\:   :py:class:`Frame <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame>`
                            
                            .. attribute:: frame_period
                            
                            	Errored frames in a period measured by number of frames
                            	**type**\:   :py:class:`FramePeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod>`
                            
                            .. attribute:: frame_seconds
                            
                            	Errored frame seconds in a period
                            	**type**\:   :py:class:`FrameSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds>`
                            
                            .. attribute:: high_threshold
                            
                            	Additional high threshold configuration
                            	**type**\:   :py:class:`HighThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold>`
                            
                            .. attribute:: on
                            
                            	Enable link monitoring on the interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: receive_crc
                            
                            	Received frames with CRC errors in a period
                            	**type**\:   :py:class:`ReceiveCrc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc>`
                            
                            .. attribute:: supported
                            
                            	Support link monitoring on the interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: symbol_period
                            
                            	Errored symbols in a period
                            	**type**\:   :py:class:`SymbolPeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.frame = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame()
                                self.frame.parent = self
                                self.frame_period = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod()
                                self.frame_period.parent = self
                                self.frame_seconds = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds()
                                self.frame_seconds.parent = self
                                self.high_threshold = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold()
                                self.high_threshold.parent = self
                                self.on = None
                                self.receive_crc = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc()
                                self.receive_crc.parent = self
                                self.supported = None
                                self.symbol_period = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod()
                                self.symbol_period.parent = self


                            class Frame(object):
                                """
                                Errored frames in a period measured by time
                                
                                .. attribute:: threshold
                                
                                	Errored frame threshold
                                	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold>`
                                
                                .. attribute:: window
                                
                                	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                                	**type**\:  int
                                
                                	**range:** 10..600
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.threshold = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold()
                                    self.threshold.parent = self
                                    self.window = None


                                class Threshold(object):
                                    """
                                    Errored frame threshold
                                    
                                    .. attribute:: high
                                    
                                    	High Threshold
                                    	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High>`
                                    
                                    .. attribute:: low
                                    
                                    	Set the low errored frame threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.high = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High()
                                        self.high.parent = self
                                        self.low = None


                                    class High(object):
                                        """
                                        High Threshold
                                        
                                        .. attribute:: none
                                        
                                        	Disable high threshold
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: thresh
                                        
                                        	Set the high errored frame threshold in number of frames
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.none = None
                                            self.thresh = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.none is not None:
                                                return True

                                            if self.thresh is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.high is not None and self.high._has_data():
                                            return True

                                        if self.low is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.threshold is not None and self.threshold._has_data():
                                        return True

                                    if self.window is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame']['meta_info']


                            class FramePeriod(object):
                                """
                                Errored frames in a period measured by number of frames
                                
                                .. attribute:: threshold
                                
                                	Errored frame\-period threshold
                                	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold>`
                                
                                .. attribute:: window
                                
                                	Set window size in number of 10000 frames
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.threshold = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold()
                                    self.threshold.parent = self
                                    self.window = None


                                class Threshold(object):
                                    """
                                    Errored frame\-period threshold
                                    
                                    .. attribute:: high
                                    
                                    	High Threshold
                                    	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High>`
                                    
                                    .. attribute:: low
                                    
                                    	Set the low errored frame\-period threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.high = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High()
                                        self.high.parent = self
                                        self.low = None


                                    class High(object):
                                        """
                                        High Threshold
                                        
                                        .. attribute:: f_thresh
                                        
                                        	Set the high errored frame\-period threshold in number of frames
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: none
                                        
                                        	Disable high threshold
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.f_thresh = None
                                            self.none = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.f_thresh is not None:
                                                return True

                                            if self.none is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.high is not None and self.high._has_data():
                                            return True

                                        if self.low is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame-period'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.threshold is not None and self.threshold._has_data():
                                        return True

                                    if self.window is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info']


                            class FrameSeconds(object):
                                """
                                Errored frame seconds in a period
                                
                                .. attribute:: threshold
                                
                                	Errored frame\-seconds threshold
                                	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold>`
                                
                                .. attribute:: window
                                
                                	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                                	**type**\:  int
                                
                                	**range:** 100..9000
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.threshold = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold()
                                    self.threshold.parent = self
                                    self.window = None


                                class Threshold(object):
                                    """
                                    Errored frame\-seconds threshold
                                    
                                    .. attribute:: high
                                    
                                    	High Threshold
                                    	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High>`
                                    
                                    .. attribute:: low
                                    
                                    	Set the low errored frame\-seconds threshold in number of seconds
                                    	**type**\:  int
                                    
                                    	**range:** 1..900
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.high = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High()
                                        self.high.parent = self
                                        self.low = None


                                    class High(object):
                                        """
                                        High Threshold
                                        
                                        .. attribute:: e_thresh
                                        
                                        	Set the high errored frame\-seconds threshold in number of seconds
                                        	**type**\:  int
                                        
                                        	**range:** 1..900
                                        
                                        .. attribute:: none
                                        
                                        	Disable high threshold
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.e_thresh = None
                                            self.none = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.e_thresh is not None:
                                                return True

                                            if self.none is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.high is not None and self.high._has_data():
                                            return True

                                        if self.low is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame-seconds'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.threshold is not None and self.threshold._has_data():
                                        return True

                                    if self.window is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info']


                            class HighThreshold(object):
                                """
                                Additional high threshold configuration
                                
                                .. attribute:: action
                                
                                	Specifiy an action when the high threshold is crossed
                                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.action = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action()
                                    self.action.parent = self


                                class Action(object):
                                    """
                                    Specifiy an action when the high threshold is crossed
                                    
                                    .. attribute:: error_disable_interface
                                    
                                    	Error\-disable the interface
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.error_disable_interface = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.error_disable_interface is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high-threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.action is not None and self.action._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info']


                            class ReceiveCrc(object):
                                """
                                Received frames with CRC errors in a period
                                
                                .. attribute:: threshold
                                
                                	Errored frame\-seconds threshold
                                	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold>`
                                
                                .. attribute:: window
                                
                                	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                                	**type**\:  int
                                
                                	**range:** 10..1800
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.threshold = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold()
                                    self.threshold.parent = self
                                    self.window = None


                                class Threshold(object):
                                    """
                                    Errored frame\-seconds threshold
                                    
                                    .. attribute:: high
                                    
                                    	High Threshold
                                    	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High>`
                                    
                                    .. attribute:: low
                                    
                                    	Set the low received crc error threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.high = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High()
                                        self.high.parent = self
                                        self.low = None


                                    class High(object):
                                        """
                                        High Threshold
                                        
                                        .. attribute:: crc_thresh
                                        
                                        	Set the high received crc error threshold in number of frames
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: none
                                        
                                        	Disable high threshold
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.crc_thresh = None
                                            self.none = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.crc_thresh is not None:
                                                return True

                                            if self.none is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.high is not None and self.high._has_data():
                                            return True

                                        if self.low is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:receive-crc'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.threshold is not None and self.threshold._has_data():
                                        return True

                                    if self.window is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info']


                            class SymbolPeriod(object):
                                """
                                Errored symbols in a period
                                
                                .. attribute:: threshold
                                
                                	Error symbol\-period threshold
                                	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold>`
                                
                                .. attribute:: window
                                
                                	Set window size in number of 1048576 symbols
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.threshold = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold()
                                    self.threshold.parent = self
                                    self.window = None


                                class Threshold(object):
                                    """
                                    Error symbol\-period threshold
                                    
                                    .. attribute:: high
                                    
                                    	High Threshold
                                    	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High>`
                                    
                                    .. attribute:: low
                                    
                                    	Set the low error symbol\-period threshold in number of symbols
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.high = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High()
                                        self.high.parent = self
                                        self.low = None


                                    class High(object):
                                        """
                                        High Threshold
                                        
                                        .. attribute:: err_thresh
                                        
                                        	Set the high error symbol\-period threshold in number of symbols
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: none
                                        
                                        	Disable high threshold
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.err_thresh = None
                                            self.none = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.err_thresh is not None:
                                                return True

                                            if self.none is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.high is not None and self.high._has_data():
                                            return True

                                        if self.low is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:symbol-period'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.threshold is not None and self.threshold._has_data():
                                        return True

                                    if self.window is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:link-monitor'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.frame is not None and self.frame._has_data():
                                    return True

                                if self.frame_period is not None and self.frame_period._has_data():
                                    return True

                                if self.frame_seconds is not None and self.frame_seconds._has_data():
                                    return True

                                if self.high_threshold is not None and self.high_threshold._has_data():
                                    return True

                                if self.on is not None:
                                    return True

                                if self.receive_crc is not None and self.receive_crc._has_data():
                                    return True

                                if self.supported is not None:
                                    return True

                                if self.symbol_period is not None and self.symbol_period._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor']['meta_info']


                        class RemoteFailure(object):
                            """
                            Ethernet OAM remote failure indication
                            
                            .. attribute:: critical_event
                            
                            	Critical event
                            	**type**\:   :py:class:`CriticalEvent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent>`
                            
                            .. attribute:: dying_gasp
                            
                            	Dying gasp
                            	**type**\:   :py:class:`DyingGasp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp>`
                            
                            .. attribute:: link_fault
                            
                            	Link fault
                            	**type**\:   :py:class:`LinkFault <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.critical_event = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent()
                                self.critical_event.parent = self
                                self.dying_gasp = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp()
                                self.dying_gasp.parent = self
                                self.link_fault = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault()
                                self.link_fault.parent = self


                            class CriticalEvent(object):
                                """
                                Critical event
                                
                                .. attribute:: action
                                
                                	Specifiy an action when a remote failure is detected
                                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.action = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action()
                                    self.action.parent = self


                                class Action(object):
                                    """
                                    Specifiy an action when a remote failure is detected
                                    
                                    .. attribute:: error_disable_interface
                                    
                                    	Error\-disable the interface
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.error_disable_interface = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.error_disable_interface is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:critical-event'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.action is not None and self.action._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info']


                            class DyingGasp(object):
                                """
                                Dying gasp
                                
                                .. attribute:: action
                                
                                	Specifiy an action when a remote failure is detected
                                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp.Action>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.action = None


                                class Action(object):
                                    """
                                    Specifiy an action when a remote failure is detected
                                    
                                    .. attribute:: error_disable_interface
                                    
                                    	Error\-disable the interface
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.error_disable_interface = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.error_disable_interface is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp.Action']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dying-gasp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.action is not None and self.action._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info']


                            class LinkFault(object):
                                """
                                Link fault
                                
                                .. attribute:: action
                                
                                	Specifiy an action when a remote failure is detected
                                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault.Action>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.action = None


                                class Action(object):
                                    """
                                    Specifiy an action when a remote failure is detected
                                    
                                    .. attribute:: error_disable_interface
                                    
                                    	Error\-disable the interface
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.error_disable_interface = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.error_disable_interface is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault.Action']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:link-fault'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.action is not None and self.action._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:remote-failure'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.critical_event is not None and self.critical_event._has_data():
                                    return True

                                if self.dying_gasp is not None and self.dying_gasp._has_data():
                                    return True

                                if self.link_fault is not None and self.link_fault._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure']['meta_info']


                        class RemoteLoopback(object):
                            """
                            Ethernet OAM Remote Loopback
                            
                            .. attribute:: supported
                            
                            	Support remote loopback functionality
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: timeout
                            
                            	Set timeout value in number of seconds
                            	**type**\:  int
                            
                            	**range:** 1..10
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.supported = None
                                self.timeout = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:remote-loopback'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.supported is not None:
                                    return True

                                if self.timeout is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteLoopback']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:oam'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.link_monitor is not None and self.link_monitor._has_data():
                                return True

                            if self.max_rate is not None:
                                return True

                            if self.min_rate is not None:
                                return True

                            if self.mode is not None:
                                return True

                            if self.remote_failure is not None and self.remote_failure._has_data():
                                return True

                            if self.remote_loopback is not None and self.remote_loopback._has_data():
                                return True

                            if self.timeout is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.oam is not None and self.oam._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Ethernet']['meta_info']


                class Negotiation(object):
                    """
                    Select autonegotiation mode
                    
                    .. attribute:: auto
                    
                    	Enable link autonegotiation
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:negotiation'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Negotiation']['meta_info']


                class Synchronous(object):
                    """
                    Synchronous
                    
                    .. attribute:: mode
                    
                    	Mode
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.mode = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:synchronous'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.mode is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Synchronous']['meta_info']


                class Speed(object):
                    """
                    Configure speed operation
                    
                    .. attribute:: auto
                    
                    	Enable AUTO speed configuration
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nonegotiate
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: value_10
                    
                    	10 Mbps operation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: value_100
                    
                    	100 Mbps operation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: value_1000
                    
                    	1000 Mbps operation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: value_10000
                    
                    	10000 Mbps operation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None
                        self.nonegotiate = None
                        self.value_10 = None
                        self.value_100 = None
                        self.value_1000 = None
                        self.value_10000 = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:speed'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        if self.nonegotiate is not None:
                            return True

                        if self.value_10 is not None:
                            return True

                        if self.value_100 is not None:
                            return True

                        if self.value_1000 is not None:
                            return True

                        if self.value_10000 is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Speed']['meta_info']


                class Plim(object):
                    """
                    Configure features on the PLIM
                    
                    .. attribute:: ethernet
                    
                    	Configure features on the ethernet interface
                    	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet>`
                    
                    .. attribute:: qos
                    
                    	QoS on the PLIM
                    	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ethernet = Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet()
                        self.ethernet.parent = self
                        self.qos = Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos()
                        self.qos.parent = self


                    class Ethernet(object):
                        """
                        Configure features on the ethernet interface
                        
                        .. attribute:: vlan
                        
                        	vlan specific features
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vlan = Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specific features
                            
                            .. attribute:: filter
                            
                            	Configure VLAN filtering
                            	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan.Filter>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.filter = Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan.Filter()
                                self.filter.parent = self


                            class Filter(object):
                                """
                                Configure VLAN filtering
                                
                                .. attribute:: disable
                                
                                	Configure the interface to accept all VLAN traffic
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:filter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan.Filter']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.filter is not None and self.filter._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet']['meta_info']


                    class Qos(object):
                        """
                        QoS on the PLIM
                        
                        .. attribute:: input
                        
                        	Configure PLIM QoS at the input of an interface
                        	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input()
                            self.input.parent = self


                        class Input(object):
                            """
                            Configure PLIM QoS at the input of an interface
                            
                            .. attribute:: queue
                            
                            	Queue number
                            	**type**\:   :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.queue = Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue()
                                self.queue.parent = self


                            class Queue(object):
                                """
                                Queue number
                                
                                .. attribute:: strict_priority
                                
                                	High priority queue
                                	**type**\:   :py:class:`StrictPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority>`
                                
                                .. attribute:: zero
                                
                                	Low priority queue
                                	**type**\:   :py:class:`Zero <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.strict_priority = Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority()
                                    self.strict_priority.parent = self
                                    self.zero = Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero()
                                    self.zero.parent = self


                                class Zero(object):
                                    """
                                    Low priority queue
                                    
                                    .. attribute:: pause
                                    
                                    	Pause Frame generation and threshold
                                    	**type**\:   :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.pause = Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause()
                                        self.pause.parent = self


                                    class Pause(object):
                                        """
                                        Pause Frame generation and threshold
                                        
                                        .. attribute:: enable
                                        
                                        	Enable pause\-frame generation
                                        	**type**\:  bool
                                        
                                        .. attribute:: threshold
                                        
                                        	Threshold as a percent of queue limit for pause frame generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..99
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.enable = None
                                            self.threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pause'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.enable is not None:
                                                return True

                                            if self.threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:zero'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.pause is not None and self.pause._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero']['meta_info']


                                class StrictPriority(object):
                                    """
                                    High priority queue
                                    
                                    .. attribute:: pause
                                    
                                    	Pause Frame generation and threshold
                                    	**type**\:   :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.pause = Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause()
                                        self.pause.parent = self


                                    class Pause(object):
                                        """
                                        Pause Frame generation and threshold
                                        
                                        .. attribute:: enable
                                        
                                        	Enable pause\-frame generation
                                        	**type**\:  bool
                                        
                                        .. attribute:: threshold
                                        
                                        	Threshold as a percent of queue limit for pause frame generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..99
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.enable = None
                                            self.threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pause'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.enable is not None:
                                                return True

                                            if self.threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:strict-priority'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.pause is not None and self.pause._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:queue'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.strict_priority is not None and self.strict_priority._has_data():
                                        return True

                                    if self.zero is not None and self.zero._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.queue is not None and self.queue._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:qos'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None and self.input._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:plim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ethernet is not None and self.ethernet._has_data():
                            return True

                        if self.qos is not None and self.qos._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Plim']['meta_info']


                class Pppoe(object):
                    """
                    pppoe interface subcommands
                    
                    .. attribute:: enable
                    
                    	Enable pppoe
                    	**type**\:   :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Pppoe.Enable>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: max_sessions
                    
                    	Maximum PPPOE sessions
                    	**type**\:  int
                    
                    	**range:** 1..4085
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enable = None
                        self.max_sessions = None


                    class Enable(object):
                        """
                        Enable pppoe
                        
                        .. attribute:: group
                        
                        	attach a BBA group
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        
                        ----
                        	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum>`
                        
                        
                        ----
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.group = None

                        class GroupEnum(Enum):
                            """
                            GroupEnum

                            attach a BBA group

                            .. data:: global_ = 0

                            """

                            global_ = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Pppoe.Enable.GroupEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.group is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Pppoe.Enable']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pppoe'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enable is not None and self.enable._has_data():
                            return True

                        if self.max_sessions is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Pppoe']['meta_info']


                class Service(object):
                    """
                    Configure Ether Service
                    
                    .. attribute:: instance
                    
                    	Configure Ether Service Instance
                    	**type**\: list of    :py:class:`Instance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.instance = YList()
                        self.instance.parent = self
                        self.instance.name = 'instance'


                    class Instance(object):
                        """
                        Configure Ether Service Instance
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4000
                        
                        .. attribute:: bridge_domain
                        
                        	Bridge\-domain
                        	**type**\:   :py:class:`BridgeDomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain>`
                        
                        .. attribute:: cfm
                        
                        	Ethernet CFM EFP subcommands
                        	**type**\:   :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm>`
                        
                        .. attribute:: description
                        
                        	Service instance specific description
                        	**type**\:  str
                        
                        	**length:** 0..240
                        
                        .. attribute:: encapsulation
                        
                        	Configure ethernet frame match criteria
                        	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation>`
                        
                        .. attribute:: errdisable
                        
                        	Configure error disable
                        	**type**\:   :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable>`
                        
                        .. attribute:: ethernet
                        
                        	Configure an Ethernet Instance
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ethernet_container
                        
                        	
                        	**type**\:   :py:class:`EthernetContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer>`
                        
                        .. attribute:: ethernet_evc_name
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: evc_name
                        
                        	
                        	**type**\:  str
                        
                        	**length:** 1..100
                        
                        .. attribute:: gigabitethernet
                        
                        	Configure an GigabitEthernet Instance
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: group
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: ip
                        
                        	Interface Internet Protocol config commands
                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip>`
                        
                        .. attribute:: ipv6
                        
                        	IPv6 interface subcommands
                        	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ipv6>`
                        
                        .. attribute:: l2protocol
                        
                        	Configure l2 control protocol processing
                        	**type**\:   :py:class:`L2Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol>`
                        
                        .. attribute:: mac
                        
                        	Commands for MAC Address\-based features
                        	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac>`
                        
                        .. attribute:: rewrite
                        
                        	Configure ethernet rewrite criteria
                        	**type**\:   :py:class:`Rewrite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite>`
                        
                        .. attribute:: service_policy
                        
                        	Attach a policy\-map to an EFP
                        	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy>`
                        
                        .. attribute:: shutdown
                        
                        	Take the Service Instance out of Service
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: snmp
                        
                        	Modify SNMP service instance parameters
                        	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp>`
                        
                        .. attribute:: trunk
                        
                        	Trunk Service Instance
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.bridge_domain = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain()
                            self.bridge_domain.parent = self
                            self.cfm = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm()
                            self.cfm.parent = self
                            self.description = None
                            self.encapsulation = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation()
                            self.encapsulation.parent = self
                            self.errdisable = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable()
                            self.errdisable.parent = self
                            self.ethernet = None
                            self.ethernet_container = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer()
                            self.ethernet_container.parent = self
                            self.ethernet_evc_name = None
                            self.evc_name = None
                            self.gigabitethernet = None
                            self.group = None
                            self.ip = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip()
                            self.ip.parent = self
                            self.ipv6 = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ipv6()
                            self.ipv6.parent = self
                            self.l2protocol = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol()
                            self.l2protocol.parent = self
                            self.mac = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac()
                            self.mac.parent = self
                            self.rewrite = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite()
                            self.rewrite.parent = self
                            self.service_policy = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy()
                            self.service_policy.parent = self
                            self.shutdown = None
                            self.snmp = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp()
                            self.snmp.parent = self
                            self.trunk = None


                        class Encapsulation(object):
                            """
                            Configure ethernet frame match criteria
                            
                            .. attribute:: default
                            
                            	catch\-all unconfigured encapsulation
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dot1ad
                            
                            	802.1ad \- Provider Bridges
                            	**type**\:   :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad>`
                            
                            .. attribute:: dot1q
                            
                            	IEEE 802.1Q Virtual LAN or S\-VLAN
                            	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q>`
                            
                            .. attribute:: priority_tagged
                            
                            	Priority tagged EFP
                            	**type**\:   :py:class:`PriorityTagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged>`
                            
                            .. attribute:: untagged
                            
                            	Untagged encapsulation
                            	**type**\:   :py:class:`Untagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Untagged>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.default = None
                                self.dot1ad = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad()
                                self.dot1ad.parent = self
                                self.dot1q = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q()
                                self.dot1q.parent = self
                                self.priority_tagged = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged()
                                self.priority_tagged.parent = self
                                self.untagged = None


                            class Dot1Ad(object):
                                """
                                802.1ad \- Provider Bridges
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                .. attribute:: cos2
                                
                                	
                                	**type**\:   :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2>`
                                
                                .. attribute:: dot1q
                                
                                	Second tag (dot1q)
                                	**type**\: one of the below types:
                                
                                	**type**\:  list of int
                                
                                	**range:** 1..4094
                                
                                
                                ----
                                	**type**\:  list of   :py:class:`Dot1QEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum>`
                                
                                
                                ----
                                	**type**\:  list of str
                                
                                
                                ----
                                .. attribute:: etype
                                
                                	payload ethertype after Vlan Field
                                	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum>`
                                
                                .. attribute:: exact
                                
                                	payload Ethertype does not include 802.1q/802.1ad Tags
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: id
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  list of int
                                
                                	**range:** 1..4094
                                
                                
                                ----
                                	**type**\:  list of   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum>`
                                
                                
                                ----
                                	**type**\:  list of str
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'
                                    self.cos2 = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2()
                                    self.cos2.parent = self
                                    self.dot1q = YLeafList()
                                    self.dot1q.parent = self
                                    self.dot1q.name = 'dot1q'
                                    self.etype = YLeafList()
                                    self.etype.parent = self
                                    self.etype.name = 'etype'
                                    self.exact = None
                                    self.id = YLeafList()
                                    self.id.parent = self
                                    self.id.name = 'id'

                                class Dot1QEnum(Enum):
                                    """
                                    Dot1QEnum

                                    Second tag (dot1q)

                                    .. data:: any = 0

                                    """

                                    any = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum']


                                class EtypeEnum(Enum):
                                    """
                                    EtypeEnum

                                    payload ethertype after Vlan Field

                                    .. data:: ipv4 = 0

                                    .. data:: ipv6 = 1

                                    .. data:: pppoe_all = 2

                                    .. data:: pppoe_discovery = 3

                                    .. data:: pppoe_session = 4

                                    """

                                    ipv4 = 0

                                    ipv6 = 1

                                    pppoe_all = 2

                                    pppoe_discovery = 3

                                    pppoe_session = 4


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum']


                                class IdEnum(Enum):
                                    """
                                    IdEnum

                                    .. data:: any = 0

                                    """

                                    any = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.IdEnum']



                                class Cos2(object):
                                    """
                                    
                                    
                                    .. attribute:: cos
                                    
                                    	CoS value to use for CFM packets
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..7
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.cos = YLeafList()
                                        self.cos.parent = self
                                        self.cos.name = 'cos'

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos2'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.cos is not None:
                                            for child in self.cos:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1ad'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    if self.cos2 is not None and self.cos2._has_data():
                                        return True

                                    if self.dot1q is not None:
                                        for child in self.dot1q:
                                            if child is not None:
                                                return True

                                    if self.etype is not None:
                                        for child in self.etype:
                                            if child is not None:
                                                return True

                                    if self.exact is not None:
                                        return True

                                    if self.id is not None:
                                        for child in self.id:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad']['meta_info']


                            class Dot1Q(object):
                                """
                                IEEE 802.1Q Virtual LAN or S\-VLAN
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                .. attribute:: cos2
                                
                                	
                                	**type**\:   :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2>`
                                
                                .. attribute:: etype
                                
                                	payload ethertype after Vlan Field
                                	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.EtypeEnum>`
                                
                                .. attribute:: exact
                                
                                	payload Ethertype does not include 802.1q/802.1ad Tags
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: id
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  list of int
                                
                                	**range:** 1..4094
                                
                                
                                ----
                                	**type**\:  list of   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum>`
                                
                                
                                ----
                                	**type**\:  list of str
                                
                                
                                ----
                                .. attribute:: second_dot1q
                                
                                	inner 802.1Q Virtual LAN or C\-VLAN
                                	**type**\: one of the below types:
                                
                                	**type**\:  list of int
                                
                                	**range:** 1..4094
                                
                                
                                ----
                                	**type**\:  list of   :py:class:`SecondDot1QEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum>`
                                
                                
                                ----
                                	**type**\:  list of str
                                
                                
                                ----
                                .. attribute:: vlan_type
                                
                                	Vlan Protocol Type
                                	**type**\:   :py:class:`VlanTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'
                                    self.cos2 = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2()
                                    self.cos2.parent = self
                                    self.etype = YLeafList()
                                    self.etype.parent = self
                                    self.etype.name = 'etype'
                                    self.exact = None
                                    self.id = YLeafList()
                                    self.id.parent = self
                                    self.id.name = 'id'
                                    self.second_dot1q = YLeafList()
                                    self.second_dot1q.parent = self
                                    self.second_dot1q.name = 'second_dot1q'
                                    self.vlan_type = None

                                class EtypeEnum(Enum):
                                    """
                                    EtypeEnum

                                    payload ethertype after Vlan Field

                                    .. data:: ipv4 = 0

                                    .. data:: ipv6 = 1

                                    .. data:: pppoe_all = 2

                                    .. data:: pppoe_discovery = 3

                                    .. data:: pppoe_session = 4

                                    """

                                    ipv4 = 0

                                    ipv6 = 1

                                    pppoe_all = 2

                                    pppoe_discovery = 3

                                    pppoe_session = 4


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.EtypeEnum']


                                class IdEnum(Enum):
                                    """
                                    IdEnum

                                    .. data:: any = 0

                                    """

                                    any = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.IdEnum']


                                class SecondDot1QEnum(Enum):
                                    """
                                    SecondDot1QEnum

                                    inner 802.1Q Virtual LAN or C\-VLAN

                                    .. data:: any = 0

                                    """

                                    any = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum']


                                class VlanTypeEnum(Enum):
                                    """
                                    VlanTypeEnum

                                    Vlan Protocol Type

                                    .. data:: Y_0x88A8 = 0

                                    .. data:: Y_0x9100 = 1

                                    .. data:: Y_0x9200 = 2

                                    """

                                    Y_0x88A8 = 0

                                    Y_0x9100 = 1

                                    Y_0x9200 = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum']



                                class Cos2(object):
                                    """
                                    
                                    
                                    .. attribute:: cos
                                    
                                    	cos Vlan
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..7
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.cos = YLeafList()
                                        self.cos.parent = self
                                        self.cos.name = 'cos'

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos2'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.cos is not None:
                                            for child in self.cos:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1q'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    if self.cos2 is not None and self.cos2._has_data():
                                        return True

                                    if self.etype is not None:
                                        for child in self.etype:
                                            if child is not None:
                                                return True

                                    if self.exact is not None:
                                        return True

                                    if self.id is not None:
                                        for child in self.id:
                                            if child is not None:
                                                return True

                                    if self.second_dot1q is not None:
                                        for child in self.second_dot1q:
                                            if child is not None:
                                                return True

                                    if self.vlan_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q']['meta_info']


                            class PriorityTagged(object):
                                """
                                Priority tagged EFP
                                
                                .. attribute:: cos_container
                                
                                	
                                	**type**\:   :py:class:`CosContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer>`
                                
                                .. attribute:: etype
                                
                                	payload ethertype after Vlan Field
                                	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos_container = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer()
                                    self.cos_container.parent = self
                                    self.etype = YLeafList()
                                    self.etype.parent = self
                                    self.etype.name = 'etype'

                                class EtypeEnum(Enum):
                                    """
                                    EtypeEnum

                                    payload ethertype after Vlan Field

                                    .. data:: ipv4 = 0

                                    .. data:: ipv6 = 1

                                    .. data:: pppoe_all = 2

                                    .. data:: pppoe_discovery = 3

                                    .. data:: pppoe_session = 4

                                    """

                                    ipv4 = 0

                                    ipv6 = 1

                                    pppoe_all = 2

                                    pppoe_discovery = 3

                                    pppoe_session = 4


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum']



                                class CosContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: cos
                                    
                                    	cos Vlan
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..7
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.cos = YLeafList()
                                        self.cos.parent = self
                                        self.cos.name = 'cos'

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.cos is not None:
                                            for child in self.cos:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:priority-tagged'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos_container is not None and self.cos_container._has_data():
                                        return True

                                    if self.etype is not None:
                                        for child in self.etype:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged']['meta_info']


                            class Untagged(object):
                                """
                                Untagged encapsulation
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:untagged'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Untagged']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:encapsulation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.default is not None:
                                    return True

                                if self.dot1ad is not None and self.dot1ad._has_data():
                                    return True

                                if self.dot1q is not None and self.dot1q._has_data():
                                    return True

                                if self.priority_tagged is not None and self.priority_tagged._has_data():
                                    return True

                                if self.untagged is not None and self.untagged._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation']['meta_info']


                        class Ip(object):
                            """
                            Interface Internet Protocol config commands
                            
                            .. attribute:: acl
                            
                            	
                            	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Acl>`
                            
                            .. attribute:: dhcp
                            
                            	DHCP
                            	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp>`
                            
                            .. attribute:: verify
                            
                            	verify
                            	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Verify>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Acl()
                                self.acl.parent = self
                                self.dhcp = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp()
                                self.dhcp.parent = self
                                self.verify = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Verify()
                                self.verify.parent = self


                            class Acl(object):
                                """
                                
                                
                                .. attribute:: access_group
                                
                                	Specify access control for packets
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..199 \| 1300..2699
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                
                                ----
                                .. attribute:: in_
                                
                                	inbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	outbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.access_group = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:acl'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.access_group is not None:
                                        return True

                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Acl']['meta_info']


                            class Dhcp(object):
                                """
                                DHCP
                                
                                .. attribute:: relay
                                
                                	DHCP relay
                                	**type**\:   :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.relay = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay()
                                    self.relay.parent = self


                                class Relay(object):
                                    """
                                    DHCP relay
                                    
                                    .. attribute:: information
                                    
                                    	DHCP relay information
                                    	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.information = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information()
                                        self.information.parent = self


                                    class Information(object):
                                        """
                                        DHCP relay information
                                        
                                        .. attribute:: option
                                        
                                        	DHCP relay information option
                                        	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.option = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option()
                                            self.option.parent = self


                                        class Option(object):
                                            """
                                            DHCP relay information option
                                            
                                            .. attribute:: subscriber_id
                                            
                                            	DHCP relay information option subscriber\-id
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.subscriber_id = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.subscriber_id is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:information'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.option is not None and self.option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:relay'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.information is not None and self.information._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dhcp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.relay is not None and self.relay._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp']['meta_info']


                            class Verify(object):
                                """
                                verify
                                
                                .. attribute:: dhcp_snooping
                                
                                	snooping enable vlan
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: source
                                
                                	source address
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: vlan
                                
                                	vlan specification
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dhcp_snooping = None
                                    self.port_security = None
                                    self.source = None
                                    self.vlan = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:verify'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dhcp_snooping is not None:
                                        return True

                                    if self.port_security is not None:
                                        return True

                                    if self.source is not None:
                                        return True

                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Verify']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl is not None and self.acl._has_data():
                                    return True

                                if self.dhcp is not None and self.dhcp._has_data():
                                    return True

                                if self.verify is not None and self.verify._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip']['meta_info']


                        class Ipv6(object):
                            """
                            IPv6 interface subcommands
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: traffic_filter
                            
                            	Access control list for packets
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None
                                self.out = None
                                self.traffic_filter = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ipv6'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                if self.traffic_filter is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ipv6']['meta_info']


                        class Rewrite(object):
                            """
                            Configure ethernet rewrite criteria
                            
                            .. attribute:: ingress
                            
                            	Ingress Rewrite
                            	**type**\:   :py:class:`Ingress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ingress = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress()
                                self.ingress.parent = self


                            class Ingress(object):
                                """
                                Ingress Rewrite
                                
                                .. attribute:: tag
                                
                                	Configure Rewrite Tag
                                	**type**\:   :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.tag = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag()
                                    self.tag.parent = self


                                class Tag(object):
                                    """
                                    Configure Rewrite Tag
                                    
                                    .. attribute:: pop
                                    
                                    	Pop the tag
                                    	**type**\:   :py:class:`Pop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop>`
                                    
                                    .. attribute:: push
                                    
                                    	Rewrite Operation of push
                                    	**type**\:   :py:class:`Push <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push>`
                                    
                                    .. attribute:: translate
                                    
                                    	Translate Tag
                                    	**type**\:   :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.pop = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop()
                                        self.pop.parent = self
                                        self.push = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push()
                                        self.push.parent = self
                                        self.translate = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate()
                                        self.translate.parent = self


                                    class Pop(object):
                                        """
                                        Pop the tag
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum>`
                                        
                                        .. attribute:: way
                                        
                                        	
                                        	**type**\:   :py:class:`WayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mode = None
                                            self.way = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum']


                                        class WayEnum(Enum):
                                            """
                                            WayEnum

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pop'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mode is not None:
                                                return True

                                            if self.way is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop']['meta_info']


                                    class Push(object):
                                        """
                                        Rewrite Operation of push
                                        
                                        .. attribute:: dot1q
                                        
                                        	Push dot1q tag
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:push'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push']['meta_info']


                                    class Translate(object):
                                        """
                                        Translate Tag
                                        
                                        .. attribute:: t1_to_1
                                        
                                        	Translate 1\-to\-1
                                        	**type**\:   :py:class:`T1To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1>`
                                        
                                        .. attribute:: t1_to_2
                                        
                                        	Translate 1\-to\-2
                                        	**type**\:   :py:class:`T1To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2>`
                                        
                                        .. attribute:: t2_to_1
                                        
                                        	Translate 2\-to\-1
                                        	**type**\:   :py:class:`T2To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1>`
                                        
                                        .. attribute:: t2_to_2
                                        
                                        	Translate 2\-to\-2
                                        	**type**\:   :py:class:`T2To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.t1_to_1 = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1()
                                            self.t1_to_1.parent = self
                                            self.t1_to_2 = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2()
                                            self.t1_to_2.parent = self
                                            self.t2_to_1 = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1()
                                            self.t2_to_1.parent = self
                                            self.t2_to_2 = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2()
                                            self.t2_to_2.parent = self


                                        class T1To1(object):
                                            """
                                            Translate 1\-to\-1
                                            
                                            .. attribute:: dot1q
                                            
                                            	Ethertype dot1q of the translation
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: mode
                                            
                                            	
                                            	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dot1q = None
                                                self.mode = None

                                            class ModeEnum(Enum):
                                                """
                                                ModeEnum

                                                .. data:: symmetric = 0

                                                """

                                                symmetric = 0


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t1-to-1'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dot1q is not None:
                                                    return True

                                                if self.mode is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1']['meta_info']


                                        class T1To2(object):
                                            """
                                            Translate 1\-to\-2
                                            
                                            .. attribute:: dot1q
                                            
                                            	Translate ethertype of dot1q
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: mode
                                            
                                            	
                                            	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum>`
                                            
                                            .. attribute:: second_dot1q
                                            
                                            	Second dot1q tag
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dot1q = None
                                                self.mode = None
                                                self.second_dot1q = None

                                            class ModeEnum(Enum):
                                                """
                                                ModeEnum

                                                .. data:: symmetric = 0

                                                """

                                                symmetric = 0


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t1-to-2'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dot1q is not None:
                                                    return True

                                                if self.mode is not None:
                                                    return True

                                                if self.second_dot1q is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2']['meta_info']


                                        class T2To1(object):
                                            """
                                            Translate 2\-to\-1
                                            
                                            .. attribute:: dot1q
                                            
                                            	Ethertype dot1q of the translation
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: mode
                                            
                                            	
                                            	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dot1q = None
                                                self.mode = None

                                            class ModeEnum(Enum):
                                                """
                                                ModeEnum

                                                .. data:: symmetric = 0

                                                """

                                                symmetric = 0


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t2-to-1'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dot1q is not None:
                                                    return True

                                                if self.mode is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1']['meta_info']


                                        class T2To2(object):
                                            """
                                            Translate 2\-to\-2
                                            
                                            .. attribute:: dot1q
                                            
                                            	Translate ethertype of dot1q
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: mode
                                            
                                            	
                                            	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum>`
                                            
                                            .. attribute:: second_dot1q
                                            
                                            	Second dot1q tag
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dot1q = None
                                                self.mode = None
                                                self.second_dot1q = None

                                            class ModeEnum(Enum):
                                                """
                                                ModeEnum

                                                .. data:: symmetric = 0

                                                """

                                                symmetric = 0


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t2-to-2'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dot1q is not None:
                                                    return True

                                                if self.mode is not None:
                                                    return True

                                                if self.second_dot1q is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:translate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.t1_to_1 is not None and self.t1_to_1._has_data():
                                                return True

                                            if self.t1_to_2 is not None and self.t1_to_2._has_data():
                                                return True

                                            if self.t2_to_1 is not None and self.t2_to_1._has_data():
                                                return True

                                            if self.t2_to_2 is not None and self.t2_to_2._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:tag'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.pop is not None and self.pop._has_data():
                                            return True

                                        if self.push is not None and self.push._has_data():
                                            return True

                                        if self.translate is not None and self.translate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ingress'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.tag is not None and self.tag._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:rewrite'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ingress is not None and self.ingress._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite']['meta_info']


                        class Errdisable(object):
                            """
                            Configure error disable
                            
                            .. attribute:: recovery
                            
                            	enable auto recovery
                            	**type**\:   :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.recovery = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery()
                                self.recovery.parent = self


                            class Recovery(object):
                                """
                                enable auto recovery
                                
                                .. attribute:: cause
                                
                                	error disable cause
                                	**type**\:   :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery.Cause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cause = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery.Cause()
                                    self.cause.parent = self


                                class Cause(object):
                                    """
                                    error disable cause
                                    
                                    .. attribute:: mac_security
                                    
                                    	mac\-security violation
                                    	**type**\:  int
                                    
                                    	**range:** 30..86400
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_security = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cause'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_security is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery.Cause']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:recovery'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cause is not None and self.cause._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:errdisable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.recovery is not None and self.recovery._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable']['meta_info']


                        class EthernetContainer(object):
                            """
                            
                            
                            .. attribute:: ethernet
                            
                            	ethernet
                            	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ethernet = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet()
                                self.ethernet.parent = self


                            class Ethernet(object):
                                """
                                ethernet
                                
                                .. attribute:: lmi
                                
                                	Configure ether lmi parameters
                                	**type**\:   :py:class:`Lmi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi>`
                                
                                .. attribute:: loopback
                                
                                	Ethernet Dataplane Loopback
                                	**type**\:   :py:class:`Loopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lmi = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi()
                                    self.lmi.parent = self
                                    self.loopback = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback()
                                    self.loopback.parent = self


                                class Lmi(object):
                                    """
                                    Configure ether lmi parameters
                                    
                                    .. attribute:: ce_vlan
                                    
                                    	Configure ether lmi customer vlans
                                    	**type**\:   :py:class:`CeVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ce_vlan = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan()
                                        self.ce_vlan.parent = self


                                    class CeVlan(object):
                                        """
                                        Configure ether lmi customer vlans
                                        
                                        .. attribute:: map
                                        
                                        	Configure ether lmi ce\-vlan/evc map
                                        	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.map = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map()
                                            self.map.parent = self


                                        class Map(object):
                                            """
                                            Configure ether lmi ce\-vlan/evc map
                                            
                                            .. attribute:: any
                                            
                                            	For all VLANS [untagged,1\-4094]
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: default
                                            
                                            	Default EFP
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: untagged
                                            
                                            	Untagged frames
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: vlan_range
                                            
                                            	
                                            	**type**\:   :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.any = None
                                                self.default = None
                                                self.untagged = None
                                                self.vlan_range = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange()
                                                self.vlan_range.parent = self


                                            class VlanRange(object):
                                                """
                                                
                                                
                                                .. attribute:: comma
                                                
                                                	comma
                                                	**type**\:  int
                                                
                                                	**range:** 1..4094
                                                
                                                .. attribute:: hyphen
                                                
                                                	hyphen
                                                	**type**\:  int
                                                
                                                	**range:** 1..4094
                                                
                                                .. attribute:: vlan_id
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4094
                                                
                                                

                                                """

                                                _prefix = 'ios-eth'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.comma = None
                                                    self.hyphen = None
                                                    self.vlan_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:vlan-range'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.comma is not None:
                                                        return True

                                                    if self.hyphen is not None:
                                                        return True

                                                    if self.vlan_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:map'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.any is not None:
                                                    return True

                                                if self.default is not None:
                                                    return True

                                                if self.untagged is not None:
                                                    return True

                                                if self.vlan_range is not None and self.vlan_range._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ce-vlan'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.map is not None and self.map._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:lmi'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ce_vlan is not None and self.ce_vlan._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info']


                                class Loopback(object):
                                    """
                                    Ethernet Dataplane Loopback
                                    
                                    .. attribute:: permit
                                    
                                    	Allow data plane loopback to be activated
                                    	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.permit = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit()
                                        self.permit.parent = self


                                    class Permit(object):
                                        """
                                        Allow data plane loopback to be activated
                                        
                                        .. attribute:: external
                                        
                                        	Allow to loopback the traffic from the wire
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: internal
                                        
                                        	Allow to loopback the traffic from the relay
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.external = None
                                            self.internal = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:permit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.external is not None:
                                                return True

                                            if self.internal is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:loopback'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.permit is not None and self.permit._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lmi is not None and self.lmi._has_data():
                                        return True

                                    if self.loopback is not None and self.loopback._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet-container'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ethernet is not None and self.ethernet._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer']['meta_info']


                        class Snmp(object):
                            """
                            Modify SNMP service instance parameters
                            
                            .. attribute:: ifindex
                            
                            	Persist ifindex for the service instance
                            	**type**\:   :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Ifindex>`
                            
                            .. attribute:: trap
                            
                            	Allow a specific SNMP trap
                            	**type**\:   :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Trap>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ifindex = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Ifindex()
                                self.ifindex.parent = self
                                self.trap = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Trap()
                                self.trap.parent = self


                            class Trap(object):
                                """
                                Allow a specific SNMP trap
                                
                                .. attribute:: link_status
                                
                                	Allow SNMP LINKUP and LINKDOWN traps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.link_status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:trap'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.link_status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Trap']['meta_info']


                            class Ifindex(object):
                                """
                                Persist ifindex for the service instance
                                
                                .. attribute:: persist
                                
                                	Enable/Disable ifIndex persistence
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.persist = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ifindex'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.persist is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Ifindex']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:snmp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ifindex is not None and self.ifindex._has_data():
                                    return True

                                if self.trap is not None and self.trap._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp']['meta_info']


                        class BridgeDomain(object):
                            """
                            Bridge\-domain
                            
                            .. attribute:: bridge_id
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: from_encapsulation
                            
                            	from\-encapsulation
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: split_horizon
                            
                            	Configure this port as a member of a split horizon group
                            	**type**\:   :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bridge_id = None
                                self.from_encapsulation = None
                                self.split_horizon = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon()
                                self.split_horizon.parent = self


                            class SplitHorizon(object):
                                """
                                Configure this port as a member of a split horizon group
                                
                                .. attribute:: group
                                
                                	Split\-horizon group
                                	**type**\:  int
                                
                                	**range:** 0..13
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.group = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:split-horizon'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.group is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:bridge-domain'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bridge_id is not None:
                                    return True

                                if self.from_encapsulation is not None:
                                    return True

                                if self.split_horizon is not None and self.split_horizon._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain']['meta_info']


                        class Mac(object):
                            """
                            Commands for MAC Address\-based features
                            
                            .. attribute:: security
                            
                            	MAC Security commands
                            	**type**\:   :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.security = None


                            class Security(object):
                                """
                                MAC Security commands
                                
                                .. attribute:: maximum
                                
                                	Configure an upper bound
                                	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security.Maximum>`
                                
                                .. attribute:: violation
                                
                                	Configure the response when a MAC security policy is violated
                                	**type**\:   :py:class:`ViolationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security.ViolationEnum>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.maximum = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security.Maximum()
                                    self.maximum.parent = self
                                    self.violation = None

                                class ViolationEnum(Enum):
                                    """
                                    ViolationEnum

                                    Configure the response when a MAC security policy is violated

                                    .. data:: protect = 0

                                    .. data:: restrict = 1

                                    """

                                    protect = 0

                                    restrict = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security.ViolationEnum']



                                class Maximum(object):
                                    """
                                    Configure an upper bound
                                    
                                    .. attribute:: addresses
                                    
                                    	Maximum addresses that can be learnt on this service instance
                                    	**type**\:  int
                                    
                                    	**range:** 1..1000
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.addresses = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:maximum'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.addresses is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security.Maximum']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:security'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.maximum is not None and self.maximum._has_data():
                                        return True

                                    if self.violation is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mac'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.security is not None and self.security._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac']['meta_info']


                        class ServicePolicy(object):
                            """
                            Attach a policy\-map to an EFP
                            
                            .. attribute:: input
                            
                            	service policy input
                            	**type**\: list of    :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy.Input>`
                            
                            .. attribute:: output
                            
                            	service policy output
                            	**type**\: list of    :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy.Output>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.input = YList()
                                self.input.parent = self
                                self.input.name = 'input'
                                self.output = YList()
                                self.output.parent = self
                                self.output.name = 'output'


                            class Input(object):
                                """
                                service policy input
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:input[Cisco-IOS-XE-ethernet:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy.Input']['meta_info']


                            class Output(object):
                                """
                                service policy output
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:output[Cisco-IOS-XE-ethernet:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy.Output']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:service-policy'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.input is not None:
                                    for child_ref in self.input:
                                        if child_ref._has_data():
                                            return True

                                if self.output is not None:
                                    for child_ref in self.output:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy']['meta_info']


                        class Cfm(object):
                            """
                            Ethernet CFM EFP subcommands
                            
                            .. attribute:: encapsulation
                            
                            	Configure CFM ethernet frame encapsulation
                            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation>`
                            
                            .. attribute:: mep
                            
                            	Maintenance End Point
                            	**type**\:   :py:class:`Mep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mep>`
                            
                            .. attribute:: mip
                            
                            	Maintenance Intermediate Point
                            	**type**\:   :py:class:`Mip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mip>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.encapsulation = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation()
                                self.encapsulation.parent = self
                                self.mep = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mep()
                                self.mep.parent = self
                                self.mip = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mip()
                                self.mip.parent = self


                            class Encapsulation(object):
                                """
                                Configure CFM ethernet frame encapsulation
                                
                                .. attribute:: dot1ad
                                
                                	802.1ad \- Provider Bridges
                                	**type**\:   :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad>`
                                
                                .. attribute:: dot1q
                                
                                	IEEE 802.1Q Virtual LAN or S\-VLAN
                                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dot1ad = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad()
                                    self.dot1ad.parent = self
                                    self.dot1q = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q()
                                    self.dot1q.parent = self


                                class Dot1Ad(object):
                                    """
                                    802.1ad \- Provider Bridges
                                    
                                    .. attribute:: cos
                                    
                                    	CoS value to use for CFM packets
                                    	**type**\:  int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: dot1q
                                    
                                    	Second tag (dot1q)
                                    	**type**\:  int
                                    
                                    	**range:** 1..4094
                                    
                                    .. attribute:: vlan_id
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..4094
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.cos = None
                                        self.dot1q = None
                                        self.vlan_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1ad'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.cos is not None:
                                            return True

                                        if self.dot1q is not None:
                                            return True

                                        if self.vlan_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad']['meta_info']


                                class Dot1Q(object):
                                    """
                                    IEEE 802.1Q Virtual LAN or S\-VLAN
                                    
                                    .. attribute:: cos
                                    
                                    	CoS value to use for CFM packets
                                    	**type**\:  int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: second_dot1q
                                    
                                    	inner 802.1Q Virtual LAN or C\-VLAN
                                    	**type**\:  int
                                    
                                    	**range:** 1..4094
                                    
                                    .. attribute:: vlan_id
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..4094
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.cos = None
                                        self.second_dot1q = None
                                        self.vlan_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1q'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.cos is not None:
                                            return True

                                        if self.second_dot1q is not None:
                                            return True

                                        if self.vlan_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:encapsulation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dot1ad is not None and self.dot1ad._has_data():
                                        return True

                                    if self.dot1q is not None and self.dot1q._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation']['meta_info']


                            class Mep(object):
                                """
                                Maintenance End Point
                                
                                .. attribute:: domain
                                
                                	Configure a domain for this mep
                                	**type**\:  str
                                
                                .. attribute:: mpid
                                
                                	Maintenance End Point Identifier
                                	**type**\:  int
                                
                                	**range:** 1..8191
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.domain = None
                                    self.mpid = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mep'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.domain is not None:
                                        return True

                                    if self.mpid is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mep']['meta_info']


                            class Mip(object):
                                """
                                Maintenance Intermediate Point
                                
                                .. attribute:: level
                                
                                	Maintenance Level
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.level = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.level is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mip']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cfm'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.encapsulation is not None and self.encapsulation._has_data():
                                    return True

                                if self.mep is not None and self.mep._has_data():
                                    return True

                                if self.mip is not None and self.mip._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm']['meta_info']


                        class L2Protocol(object):
                            """
                            Configure l2 control protocol processing
                            
                            .. attribute:: forward
                            
                            	forward L2 control protocol packets as data
                            	**type**\:   :py:class:`Forward <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Forward>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: peer
                            
                            	peer L2 control protocol packets as data
                            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Peer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: tunnel
                            
                            	tunnel L2 control protocol packets as data
                            	**type**\:   :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Tunnel>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.forward = None
                                self.peer = None
                                self.tunnel = None


                            class Peer(object):
                                """
                                peer L2 control protocol packets as data
                                
                                .. attribute:: protocol
                                
                                	
                                	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Peer.ProtocolEnum>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.protocol = YLeafList()
                                    self.protocol.parent = self
                                    self.protocol.name = 'protocol'

                                class ProtocolEnum(Enum):
                                    """
                                    ProtocolEnum

                                    .. data:: R4 = 0

                                    .. data:: R5 = 1

                                    .. data:: R6 = 2

                                    .. data:: R8 = 3

                                    .. data:: R9 = 4

                                    .. data:: RA = 5

                                    .. data:: RB = 6

                                    .. data:: RC = 7

                                    .. data:: RD = 8

                                    .. data:: RF = 9

                                    .. data:: cdp = 10

                                    .. data:: dtp = 11

                                    .. data:: elmi = 12

                                    .. data:: esmc = 13

                                    .. data:: lacp = 14

                                    .. data:: lldp = 15

                                    .. data:: loam = 16

                                    .. data:: pagp = 17

                                    .. data:: ptppd = 18

                                    .. data:: stp = 19

                                    .. data:: udld = 20

                                    .. data:: vtp = 21

                                    """

                                    R4 = 0

                                    R5 = 1

                                    R6 = 2

                                    R8 = 3

                                    R9 = 4

                                    RA = 5

                                    RB = 6

                                    RC = 7

                                    RD = 8

                                    RF = 9

                                    cdp = 10

                                    dtp = 11

                                    elmi = 12

                                    esmc = 13

                                    lacp = 14

                                    lldp = 15

                                    loam = 16

                                    pagp = 17

                                    ptppd = 18

                                    stp = 19

                                    udld = 20

                                    vtp = 21


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Peer.ProtocolEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.protocol is not None:
                                        for child in self.protocol:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Peer']['meta_info']


                            class Forward(object):
                                """
                                forward L2 control protocol packets as data
                                
                                .. attribute:: protocol
                                
                                	
                                	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Forward.ProtocolEnum>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.protocol = YLeafList()
                                    self.protocol.parent = self
                                    self.protocol.name = 'protocol'

                                class ProtocolEnum(Enum):
                                    """
                                    ProtocolEnum

                                    .. data:: R4 = 0

                                    .. data:: R5 = 1

                                    .. data:: R6 = 2

                                    .. data:: R8 = 3

                                    .. data:: R9 = 4

                                    .. data:: RA = 5

                                    .. data:: RB = 6

                                    .. data:: RC = 7

                                    .. data:: RD = 8

                                    .. data:: RF = 9

                                    .. data:: cdp = 10

                                    .. data:: dtp = 11

                                    .. data:: elmi = 12

                                    .. data:: esmc = 13

                                    .. data:: lacp = 14

                                    .. data:: lldp = 15

                                    .. data:: loam = 16

                                    .. data:: pagp = 17

                                    .. data:: ptppd = 18

                                    .. data:: stp = 19

                                    .. data:: udld = 20

                                    .. data:: vtp = 21

                                    """

                                    R4 = 0

                                    R5 = 1

                                    R6 = 2

                                    R8 = 3

                                    R9 = 4

                                    RA = 5

                                    RB = 6

                                    RC = 7

                                    RD = 8

                                    RF = 9

                                    cdp = 10

                                    dtp = 11

                                    elmi = 12

                                    esmc = 13

                                    lacp = 14

                                    lldp = 15

                                    loam = 16

                                    pagp = 17

                                    ptppd = 18

                                    stp = 19

                                    udld = 20

                                    vtp = 21


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Forward.ProtocolEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:forward'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.protocol is not None:
                                        for child in self.protocol:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Forward']['meta_info']


                            class Tunnel(object):
                                """
                                tunnel L2 control protocol packets as data
                                
                                .. attribute:: protocol
                                
                                	
                                	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Tunnel.ProtocolEnum>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.protocol = YLeafList()
                                    self.protocol.parent = self
                                    self.protocol.name = 'protocol'

                                class ProtocolEnum(Enum):
                                    """
                                    ProtocolEnum

                                    .. data:: R4 = 0

                                    .. data:: R5 = 1

                                    .. data:: R6 = 2

                                    .. data:: R8 = 3

                                    .. data:: R9 = 4

                                    .. data:: RA = 5

                                    .. data:: RB = 6

                                    .. data:: RC = 7

                                    .. data:: RD = 8

                                    .. data:: RF = 9

                                    .. data:: cdp = 10

                                    .. data:: dtp = 11

                                    .. data:: elmi = 12

                                    .. data:: esmc = 13

                                    .. data:: lacp = 14

                                    .. data:: lldp = 15

                                    .. data:: loam = 16

                                    .. data:: pagp = 17

                                    .. data:: ptppd = 18

                                    .. data:: stp = 19

                                    .. data:: udld = 20

                                    .. data:: vtp = 21

                                    """

                                    R4 = 0

                                    R5 = 1

                                    R6 = 2

                                    R8 = 3

                                    R9 = 4

                                    RA = 5

                                    RB = 6

                                    RC = 7

                                    RD = 8

                                    RF = 9

                                    cdp = 10

                                    dtp = 11

                                    elmi = 12

                                    esmc = 13

                                    lacp = 14

                                    lldp = 15

                                    loam = 16

                                    pagp = 17

                                    ptppd = 18

                                    stp = 19

                                    udld = 20

                                    vtp = 21


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Tunnel.ProtocolEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:tunnel'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.protocol is not None:
                                        for child in self.protocol:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Tunnel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:l2protocol'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.forward is not None and self.forward._has_data():
                                    return True

                                if self.peer is not None and self.peer._has_data():
                                    return True

                                if self.tunnel is not None and self.tunnel._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:instance[Cisco-IOS-XE-ethernet:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.bridge_domain is not None and self.bridge_domain._has_data():
                                return True

                            if self.cfm is not None and self.cfm._has_data():
                                return True

                            if self.description is not None:
                                return True

                            if self.encapsulation is not None and self.encapsulation._has_data():
                                return True

                            if self.errdisable is not None and self.errdisable._has_data():
                                return True

                            if self.ethernet is not None:
                                return True

                            if self.ethernet_container is not None and self.ethernet_container._has_data():
                                return True

                            if self.ethernet_evc_name is not None:
                                return True

                            if self.evc_name is not None:
                                return True

                            if self.gigabitethernet is not None:
                                return True

                            if self.group is not None:
                                return True

                            if self.ip is not None and self.ip._has_data():
                                return True

                            if self.ipv6 is not None and self.ipv6._has_data():
                                return True

                            if self.l2protocol is not None and self.l2protocol._has_data():
                                return True

                            if self.mac is not None and self.mac._has_data():
                                return True

                            if self.rewrite is not None and self.rewrite._has_data():
                                return True

                            if self.service_policy is not None and self.service_policy._has_data():
                                return True

                            if self.shutdown is not None:
                                return True

                            if self.snmp is not None and self.snmp._has_data():
                                return True

                            if self.trunk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:service'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.instance is not None:
                            for child_ref in self.instance:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Service']['meta_info']


                class Auto(object):
                    """
                    Configure Automation
                    
                    .. attribute:: qos
                    
                    	Configure AutoQoS
                    	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.qos = Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos()
                        self.qos.parent = self


                    class Qos(object):
                        """
                        Configure AutoQoS
                        
                        .. attribute:: classify
                        
                        	Configure classification for untrusted devices
                        	**type**\:   :py:class:`Classify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Classify>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: trust
                        
                        	Trust the DSCP/CoS marking
                        	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Trust>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: video
                        
                        	Configure AutoQoS for video devices
                        	**type**\:   :py:class:`Video <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Video>`
                        
                        .. attribute:: voip
                        
                        	Configure AutoQoS for VoIP
                        	**type**\:   :py:class:`Voip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Voip>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.classify = None
                            self.trust = None
                            self.video = Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Video()
                            self.video.parent = self
                            self.voip = None


                        class Classify(object):
                            """
                            Configure classification for untrusted devices
                            
                            .. attribute:: police
                            
                            	Configure QoS policing for untrusted devices
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.police = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:classify'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.police is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Classify']['meta_info']


                        class Trust(object):
                            """
                            Trust the DSCP/CoS marking
                            
                            .. attribute:: cos
                            
                            	Trust the CoS marking
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dscp
                            
                            	Trust the DSCP marking
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.cos = None
                                self.dscp = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:trust'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.cos is not None:
                                    return True

                                if self.dscp is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Trust']['meta_info']


                        class Video(object):
                            """
                            Configure AutoQoS for video devices
                            
                            .. attribute:: cts
                            
                            	Trust the QoS marking of the Cisco Telepresence System
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ip_camera
                            
                            	Trust the QoS marking of the Ip Video Surveillance camera
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: media_player
                            
                            	Trust the Qos marking of the Cisco Media Player
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cts = None
                                self.ip_camera = None
                                self.media_player = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:video'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cts is not None:
                                    return True

                                if self.ip_camera is not None:
                                    return True

                                if self.media_player is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Video']['meta_info']


                        class Voip(object):
                            """
                            Configure AutoQoS for VoIP
                            
                            .. attribute:: cisco_phone
                            
                            	Trust the QoS marking of Cisco IP Phone
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: cisco_softphone
                            
                            	Trust the QoS marking of Cisco IP SoftPhone
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: trust
                            
                            	Trust the DSCP/CoS marking
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.cisco_phone = None
                                self.cisco_softphone = None
                                self.trust = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:voip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.cisco_phone is not None:
                                    return True

                                if self.cisco_softphone is not None:
                                    return True

                                if self.trust is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Voip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:qos'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.classify is not None and self.classify._has_data():
                                return True

                            if self.trust is not None and self.trust._has_data():
                                return True

                            if self.video is not None and self.video._has_data():
                                return True

                            if self.voip is not None and self.voip._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:auto'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.qos is not None and self.qos._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Auto']['meta_info']


                class Datalink(object):
                    """
                    Interface Datalink commands
                    
                    .. attribute:: flow
                    
                    	Interface Flow configuration subcommands
                    	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.flow = Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow()
                        self.flow.parent = self


                    class Flow(object):
                        """
                        Interface Flow configuration subcommands
                        
                        .. attribute:: monitor
                        
                        	Apply a Flow Monitor
                        	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow.Monitor>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.monitor = None


                        class Monitor(object):
                            """
                            Apply a Flow Monitor
                            
                            .. attribute:: input_output
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:   :py:class:`InputOutputEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow.Monitor.InputOutputEnum>`
                            
                            .. attribute:: user_defined_flow
                            
                            	User defined
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.input_output = None
                                self.user_defined_flow = None

                            class InputOutputEnum(Enum):
                                """
                                InputOutputEnum

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = 0

                                output = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow.Monitor.InputOutputEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:monitor'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.input_output is not None:
                                    return True

                                if self.user_defined_flow is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow.Monitor']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:flow'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.monitor is not None and self.monitor._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:datalink'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.flow is not None and self.flow._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Datalink']['meta_info']


                class Energywise(object):
                    """
                    EnergyWise interface configurations
                    
                    .. attribute:: activitycheck
                    
                    	Apply an activity check before turning off power    to this PoE port
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.activitycheck = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:energywise'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.activitycheck is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Energywise']['meta_info']


                class Location(object):
                    """
                    Interface location information
                    
                    .. attribute:: civic_location_id
                    
                    	Civic location information
                    	**type**\:   :py:class:`CivicLocationId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.civic_location_id = Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId()
                        self.civic_location_id.parent = self


                    class CivicLocationId(object):
                        """
                        Civic location information
                        
                        .. attribute:: host
                        
                        	Globally defined host location identifer
                        	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId.Host>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: location_identifier
                        
                        	civic location identifier string
                        	**type**\:  str
                        
                        .. attribute:: none
                        
                        	No globally defined location identifer
                        	**type**\:   :py:class:`None_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId.None_>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.host = None
                            self.location_identifier = None
                            self.none = None


                        class Host(object):
                            """
                            Globally defined host location identifer
                            
                            .. attribute:: port_location
                            
                            	Port specific attributes
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.port_location = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.port_location is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId.Host']['meta_info']


                        class None_(object):
                            """
                            No globally defined location identifer
                            
                            .. attribute:: port_location
                            
                            	Port specific attributes
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.port_location = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:none'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.port_location is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId.None_']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:civic-location-id'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.host is not None and self.host._has_data():
                                return True

                            if self.location_identifier is not None:
                                return True

                            if self.none is not None and self.none._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:location'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.civic_location_id is not None and self.civic_location_id._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Location']['meta_info']


                class Mac(object):
                    """
                    MAC interface commands
                    
                    .. attribute:: access_group
                    
                    	MAC access\-group configuration commands
                    	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access_group = Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup()
                        self.access_group.parent = self


                    class AccessGroup(object):
                        """
                        MAC access\-group configuration commands
                        
                        .. attribute:: acl_name
                        
                        	ACL name
                        	**type**\:   :py:class:`AclName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup.AclName>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl_name = Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup.AclName()
                            self.acl_name.parent = self


                        class AclName(object):
                            """
                            ACL name
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: apply_to
                            
                            	
                            	**type**\:   :py:class:`ApplyToEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup.AclName.ApplyToEnum>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.apply_to = None

                            class ApplyToEnum(Enum):
                                """
                                ApplyToEnum

                                .. data:: in_ = 0

                                .. data:: out = 1

                                """

                                in_ = 0

                                out = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup.AclName.ApplyToEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:ACL-name'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.apply_to is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup.AclName']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:access-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl_name is not None and self.acl_name._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access_group is not None and self.access_group._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Mac']['meta_info']


                class Macro(object):
                    """
                    Command macro
                    
                    .. attribute:: auto
                    
                    	Smartport interface macro configurations
                    	**type**\:   :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Macro.Auto>`
                    
                    .. attribute:: description
                    
                    	Macro description for this interface
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = Native.Interface.PortChannelSubinterface.PortChannel.Macro.Auto()
                        self.auto.parent = self
                        self.description = None


                    class Auto(object):
                        """
                        Smartport interface macro configurations
                        
                        .. attribute:: processing
                        
                        	Enable smartport macro auto execution on this interface
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.processing = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:auto'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.processing is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Macro.Auto']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:macro'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None and self.auto._has_data():
                            return True

                        if self.description is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Macro']['meta_info']


                class DualActive(object):
                    """
                    
                    
                    .. attribute:: fast_hello
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.fast_hello = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:dual-active'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.fast_hello is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.DualActive']['meta_info']


                class Lldp(object):
                    """
                    LLDP interface subcommands
                    
                    .. attribute:: receive
                    
                    	Enable LLDP reception on interface
                    	**type**\:  bool
                    
                    .. attribute:: transmit
                    
                    	Enable LLDP transmission on interface
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.receive = None
                        self.transmit = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:lldp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.receive is not None:
                            return True

                        if self.transmit is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Lldp']['meta_info']


                class LoadBalancing(object):
                    """
                    Etherchannel Load\-Balancing
                    
                    .. attribute:: flow
                    
                    	Based on the traffic flows identified by the packet headers
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan
                    
                    	Based on the VLAN to member links manual configuration
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.flow = None
                        self.vlan = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:load-balancing'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.flow is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.LoadBalancing']['meta_info']


                class VlanRange(object):
                    """
                    
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: service_policy
                    
                    	Configure QoS Service Policy
                    	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.VlanRange.ServicePolicy>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.service_policy = Native.Interface.PortChannelSubinterface.PortChannel.VlanRange.ServicePolicy()
                        self.service_policy.parent = self


                    class ServicePolicy(object):
                        """
                        Configure QoS Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:  str
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = None
                            self.output = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:service-policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None:
                                return True

                            if self.output is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.VlanRange.ServicePolicy']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan-range[Cisco-IOS-XE-switch:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.service_policy is not None and self.service_policy._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.VlanRange']['meta_info']


                class Switch(object):
                    """
                    
                    
                    .. attribute:: virtual
                    
                    	
                    	**type**\:   :py:class:`Virtual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switch.Virtual>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.virtual = Native.Interface.PortChannelSubinterface.PortChannel.Switch.Virtual()
                        self.virtual.parent = self


                    class Virtual(object):
                        """
                        
                        
                        .. attribute:: link
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.link = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:virtual'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.link is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switch.Virtual']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:switch'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.virtual is not None and self.virtual._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Switch']['meta_info']


                class SrrQueue(object):
                    """
                    
                    
                    .. attribute:: bandwidth
                    
                    	
                    	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bandwidth = Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth()
                        self.bandwidth.parent = self


                    class Bandwidth(object):
                        """
                        
                        
                        .. attribute:: shape
                        
                        	
                        	**type**\:   :py:class:`Shape <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Shape>`
                        
                        .. attribute:: share
                        
                        	
                        	**type**\:   :py:class:`Share <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Share>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.shape = Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Shape()
                            self.shape.parent = self
                            self.share = Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Share()
                            self.share.parent = self


                        class Shape(object):
                            """
                            
                            
                            .. attribute:: weight1
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: weight2
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: weight3
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: weight4
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.weight1 = None
                                self.weight2 = None
                                self.weight3 = None
                                self.weight4 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:shape'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.weight1 is not None:
                                    return True

                                if self.weight2 is not None:
                                    return True

                                if self.weight3 is not None:
                                    return True

                                if self.weight4 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Shape']['meta_info']


                        class Share(object):
                            """
                            
                            
                            .. attribute:: weight1
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: weight2
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: weight3
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: weight4
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.weight1 = None
                                self.weight2 = None
                                self.weight3 = None
                                self.weight4 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:share'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.weight1 is not None:
                                    return True

                                if self.weight2 is not None:
                                    return True

                                if self.weight3 is not None:
                                    return True

                                if self.weight4 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Share']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:bandwidth'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.shape is not None and self.shape._has_data():
                                return True

                            if self.share is not None and self.share._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:srr-queue'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bandwidth is not None and self.bandwidth._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue']['meta_info']


                class Macsec(object):
                    """
                    Enable macsec on the interface
                    
                    .. attribute:: network_link
                    
                    	Enable macsec on switch connected interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.network_link = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:macsec'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.network_link is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel.Macsec']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:Port-channel-subinterface/Cisco-IOS-XE-native:Port-channel[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.access_session is not None and self.access_session._has_data():
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.auto is not None and self.auto._has_data():
                        return True

                    if self.backup is not None and self.backup._has_data():
                        return True

                    if self.bandwidth is not None and self.bandwidth._has_data():
                        return True

                    if self.bfd is not None and self.bfd._has_data():
                        return True

                    if self.carrier_delay is not None and self.carrier_delay._has_data():
                        return True

                    if self.cemoudp is not None and self.cemoudp._has_data():
                        return True

                    if self.channel_group is not None and self.channel_group._has_data():
                        return True

                    if self.channel_protocol is not None:
                        return True

                    if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                        return True

                    if self.dampening is not None and self.dampening._has_data():
                        return True

                    if self.datalink is not None and self.datalink._has_data():
                        return True

                    if self.delay is not None:
                        return True

                    if self.description is not None:
                        return True

                    if self.domain is not None and self.domain._has_data():
                        return True

                    if self.dual_active is not None and self.dual_active._has_data():
                        return True

                    if self.duplex is not None:
                        return True

                    if self.encapsulation is not None and self.encapsulation._has_data():
                        return True

                    if self.energywise is not None and self.energywise._has_data():
                        return True

                    if self.ethernet is not None and self.ethernet._has_data():
                        return True

                    if self.fair_queue is not None and self.fair_queue._has_data():
                        return True

                    if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                        return True

                    if self.flowcontrol is not None and self.flowcontrol._has_data():
                        return True

                    if self.hold_queue is not None and self.hold_queue._has_data():
                        return True

                    if self.if_state is not None:
                        return True

                    if self.interface_qos is not None and self.interface_qos._has_data():
                        return True

                    if self.ip is not None and self.ip._has_data():
                        return True

                    if self.ip_vrf is not None and self.ip_vrf._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    if self.isis is not None and self.isis._has_data():
                        return True

                    if self.keepalive is not None:
                        return True

                    if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                        return True

                    if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                        return True

                    if self.lldp is not None and self.lldp._has_data():
                        return True

                    if self.load_balancing is not None and self.load_balancing._has_data():
                        return True

                    if self.load_interval is not None:
                        return True

                    if self.location is not None and self.location._has_data():
                        return True

                    if self.logging is not None and self.logging._has_data():
                        return True

                    if self.mac is not None and self.mac._has_data():
                        return True

                    if self.macro is not None and self.macro._has_data():
                        return True

                    if self.macsec is not None and self.macsec._has_data():
                        return True

                    if self.max_reserved_bandwidth is not None:
                        return True

                    if self.mdix is not None and self.mdix._has_data():
                        return True

                    if self.mop is not None and self.mop._has_data():
                        return True

                    if self.mpls is not None and self.mpls._has_data():
                        return True

                    if self.mtu is not None:
                        return True

                    if self.negotiation is not None and self.negotiation._has_data():
                        return True

                    if self.peer is not None and self.peer._has_data():
                        return True

                    if self.plim is not None and self.plim._has_data():
                        return True

                    if self.pm_path is not None and self.pm_path._has_data():
                        return True

                    if self.pppoe is not None and self.pppoe._has_data():
                        return True

                    if self.priority_queue is not None and self.priority_queue._has_data():
                        return True

                    if self.rcv_queue is not None and self.rcv_queue._has_data():
                        return True

                    if self.service is not None and self.service._has_data():
                        return True

                    if self.service_insertion is not None:
                        return True

                    if self.shutdown is not None:
                        return True

                    if self.speed is not None and self.speed._has_data():
                        return True

                    if self.srr_queue is not None and self.srr_queue._has_data():
                        return True

                    if self.standby is not None and self.standby._has_data():
                        return True

                    if self.storm_control is not None and self.storm_control._has_data():
                        return True

                    if self.switch is not None and self.switch._has_data():
                        return True

                    if self.switchport is not None and self.switchport._has_data():
                        return True

                    if self.switchport_conf is not None and self.switchport_conf._has_data():
                        return True

                    if self.synchronous is not None and self.synchronous._has_data():
                        return True

                    if self.trust is not None and self.trust._has_data():
                        return True

                    if self.utd is not None and self.utd._has_data():
                        return True

                    if self.vlan_range is not None:
                        for child_ref in self.vlan_range:
                            if child_ref._has_data():
                                return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.PortChannelSubinterface.PortChannel']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:Port-channel-subinterface'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.port_channel is not None:
                    for child_ref in self.port_channel:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.PortChannelSubinterface']['meta_info']


        class Pseudowire(object):
            """
            Pseudowire Interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  int
            
            	**range:** 1..231072
            
            .. attribute:: control_word
            
            	Include control\-word in pseudowire packets
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: encapsulation
            
            	Data encapsulation method
            	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.EncapsulationEnum>`
            
            .. attribute:: interworking
            
            	Interworking options for pseudowire
            	**type**\:   :py:class:`InterworkingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.InterworkingEnum>`
            
            .. attribute:: ip
            
            	Specify IP parameters
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip>`
            
            .. attribute:: load_balance
            
            	Loadbalancing for pseudowire
            	**type**\:   :py:class:`LoadBalance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.LoadBalance>`
            
            .. attribute:: monitor
            
            	Active monitoring of xconnect peer
            	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Monitor>`
            
            .. attribute:: preferred_path
            
            	Preferred path
            	**type**\:   :py:class:`PreferredPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.PreferredPath>`
            
            .. attribute:: protocol_l2tpv2
            
            	
            	**type**\:   :py:class:`ProtocolL2Tpv2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.ProtocolL2Tpv2>`
            
            .. attribute:: protocol_l2tpv3
            
            	
            	**type**\:   :py:class:`ProtocolL2Tpv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.ProtocolL2Tpv3>`
            
            .. attribute:: protocol_mpls
            
            	
            	**type**\:   :py:class:`ProtocolMpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.ProtocolMpls>`
            
            .. attribute:: sequencing
            
            	Sequencing options for pseudowire
            	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.SequencingEnum>`
            
            .. attribute:: status
            
            	Pseudowire status capabilities
            	**type**\:   :py:class:`Status <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Status>`
            
            	**presence node**\: True
            
            .. attribute:: switching
            
            	Switching TLV on/off for pseudowire
            	**type**\:   :py:class:`Switching <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Switching>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.control_word = None
                self.encapsulation = None
                self.interworking = None
                self.ip = Native.Interface.Pseudowire.Ip()
                self.ip.parent = self
                self.load_balance = Native.Interface.Pseudowire.LoadBalance()
                self.load_balance.parent = self
                self.monitor = Native.Interface.Pseudowire.Monitor()
                self.monitor.parent = self
                self.preferred_path = Native.Interface.Pseudowire.PreferredPath()
                self.preferred_path.parent = self
                self.protocol_l2tpv2 = Native.Interface.Pseudowire.ProtocolL2Tpv2()
                self.protocol_l2tpv2.parent = self
                self.protocol_l2tpv3 = Native.Interface.Pseudowire.ProtocolL2Tpv3()
                self.protocol_l2tpv3.parent = self
                self.protocol_mpls = Native.Interface.Pseudowire.ProtocolMpls()
                self.protocol_mpls.parent = self
                self.sequencing = None
                self.status = None
                self.switching = Native.Interface.Pseudowire.Switching()
                self.switching.parent = self

            class EncapsulationEnum(Enum):
                """
                EncapsulationEnum

                Data encapsulation method

                .. data:: l2tpv2 = 0

                .. data:: l2tpv3 = 1

                .. data:: mpls = 2

                .. data:: udp = 3

                """

                l2tpv2 = 0

                l2tpv3 = 1

                mpls = 2

                udp = 3


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Pseudowire.EncapsulationEnum']


            class InterworkingEnum(Enum):
                """
                InterworkingEnum

                Interworking options for pseudowire

                .. data:: ethernet = 0

                .. data:: ip = 1

                .. data:: vlan = 2

                """

                ethernet = 0

                ip = 1

                vlan = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Pseudowire.InterworkingEnum']


            class SequencingEnum(Enum):
                """
                SequencingEnum

                Sequencing options for pseudowire

                .. data:: both = 0

                .. data:: receive = 1

                .. data:: resync = 2

                .. data:: transmit = 3

                """

                both = 0

                receive = 1

                resync = 2

                transmit = 3


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Pseudowire.SequencingEnum']



            class Ip(object):
                """
                Specify IP parameters
                
                .. attribute:: dfbit
                
                	DF bit options for tunnel
                	**type**\:   :py:class:`Dfbit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip.Dfbit>`
                
                .. attribute:: local
                
                	Specify local information
                	**type**\:   :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip.Local>`
                
                .. attribute:: pmtu
                
                	Enable Path MTU for tunnel
                	**type**\:   :py:class:`Pmtu <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip.Pmtu>`
                
                	**presence node**\: True
                
                .. attribute:: protocol
                
                	Specific IP protocol number to use
                	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip.ProtocolEnum>`
                
                .. attribute:: tos
                
                	Specify ToS options for IP tunnel header
                	**type**\:   :py:class:`Tos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip.Tos>`
                
                .. attribute:: ttl
                
                	Specify TTL value for IP tunnel header
                	**type**\:  int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dfbit = Native.Interface.Pseudowire.Ip.Dfbit()
                    self.dfbit.parent = self
                    self.local = Native.Interface.Pseudowire.Ip.Local()
                    self.local.parent = self
                    self.pmtu = None
                    self.protocol = None
                    self.tos = Native.Interface.Pseudowire.Ip.Tos()
                    self.tos.parent = self
                    self.ttl = None

                class ProtocolEnum(Enum):
                    """
                    ProtocolEnum

                    Specific IP protocol number to use

                    .. data:: l2tp = 0

                    .. data:: uti = 1

                    """

                    l2tp = 0

                    uti = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Pseudowire.Ip.ProtocolEnum']



                class Dfbit(object):
                    """
                    DF bit options for tunnel
                    
                    .. attribute:: set
                    
                    	Set the DF bit in the tunnel header
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.set = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:dfbit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.set is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Pseudowire.Ip.Dfbit']['meta_info']


                class Local(object):
                    """
                    Specify local information
                    
                    .. attribute:: interface
                    
                    	Source interface for pseudowire
                    	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip.Local.Interface_>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interface = Native.Interface.Pseudowire.Ip.Local.Interface_()
                        self.interface.parent = self


                    class Interface_(object):
                        """
                        Source interface for pseudowire
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip.Local.Interface_.AtmAcrsubinterface>`
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip.Local.Interface_.AtmSubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\:  str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\:  str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\:  str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\:  str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\:  str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  int
                        
                        	**range:** 0..65520
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip.Local.Interface_.LispSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip.Local.Interface_.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\:  str
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\:  str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\:  str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.appnav_compress = None
                            self.appnav_uncompress = None
                            self.atm = None
                            self.atm_acr = None
                            self.atm_acrsubinterface = Native.Interface.Pseudowire.Ip.Local.Interface_.AtmAcrsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self.atm_subinterface = Native.Interface.Pseudowire.Ip.Local.Interface_.AtmSubinterface()
                            self.atm_subinterface.parent = self
                            self.bdi = None
                            self.cellular = None
                            self.cem = None
                            self.cem_acr = None
                            self.embedded_service_engine = None
                            self.fastethernet = None
                            self.gigabitethernet = None
                            self.lisp = None
                            self.lisp_subinterface = Native.Interface.Pseudowire.Ip.Local.Interface_.LispSubinterface()
                            self.lisp_subinterface.parent = self
                            self.loopback = None
                            self.multilink = None
                            self.nve = None
                            self.overlay = None
                            self.port_channel = None
                            self.port_channel_subinterface = Native.Interface.Pseudowire.Ip.Local.Interface_.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self.pseudowire = None
                            self.serial = None
                            self.sm = None
                            self.tengigabitethernet = None
                            self.tunnel = None
                            self.vasileft = None
                            self.vasiright = None
                            self.virtual_template = None
                            self.virtualportgroup = None
                            self.vlan = None


                        class AtmSubinterface(object):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:ATM-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Pseudowire.Ip.Local.Interface_.AtmSubinterface']['meta_info']


                        class AtmAcrsubinterface(object):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm_acr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:ATM-ACRsubinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm_acr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Pseudowire.Ip.Local.Interface_.AtmAcrsubinterface']['meta_info']


                        class LispSubinterface(object):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:LISP-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Pseudowire.Ip.Local.Interface_.LispSubinterface']['meta_info']


                        class PortChannelSubinterface(object):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port_channel = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:Port-channel-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port_channel is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Pseudowire.Ip.Local.Interface_.PortChannelSubinterface']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:interface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.appnav_compress is not None:
                                return True

                            if self.appnav_uncompress is not None:
                                return True

                            if self.atm is not None:
                                return True

                            if self.atm_acr is not None:
                                return True

                            if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                return True

                            if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                return True

                            if self.bdi is not None:
                                return True

                            if self.cellular is not None:
                                return True

                            if self.cem is not None:
                                return True

                            if self.cem_acr is not None:
                                return True

                            if self.embedded_service_engine is not None:
                                return True

                            if self.fastethernet is not None:
                                return True

                            if self.gigabitethernet is not None:
                                return True

                            if self.lisp is not None:
                                return True

                            if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                return True

                            if self.loopback is not None:
                                return True

                            if self.multilink is not None:
                                return True

                            if self.nve is not None:
                                return True

                            if self.overlay is not None:
                                return True

                            if self.port_channel is not None:
                                return True

                            if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                return True

                            if self.pseudowire is not None:
                                return True

                            if self.serial is not None:
                                return True

                            if self.sm is not None:
                                return True

                            if self.tengigabitethernet is not None:
                                return True

                            if self.tunnel is not None:
                                return True

                            if self.vasileft is not None:
                                return True

                            if self.vasiright is not None:
                                return True

                            if self.virtual_template is not None:
                                return True

                            if self.virtualportgroup is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Pseudowire.Ip.Local.Interface_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:local'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interface is not None and self.interface._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Pseudowire.Ip.Local']['meta_info']


                class Pmtu(object):
                    """
                    Enable Path MTU for tunnel
                    
                    .. attribute:: max
                    
                    	Maximum Path MTU for session
                    	**type**\:  int
                    
                    	**range:** 68..65535
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.max = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:pmtu'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.max is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Pseudowire.Ip.Pmtu']['meta_info']


                class Tos(object):
                    """
                    Specify ToS options for IP tunnel header
                    
                    .. attribute:: reflect
                    
                    	Reflect IP payload ToS on tunnel
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: value
                    
                    	IP ToS value
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.reflect = None
                        self.value = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:tos'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.reflect is not None:
                            return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Pseudowire.Ip.Tos']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dfbit is not None and self.dfbit._has_data():
                        return True

                    if self.local is not None and self.local._has_data():
                        return True

                    if self.pmtu is not None and self.pmtu._has_data():
                        return True

                    if self.protocol is not None:
                        return True

                    if self.tos is not None and self.tos._has_data():
                        return True

                    if self.ttl is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Pseudowire.Ip']['meta_info']


            class LoadBalance(object):
                """
                Loadbalancing for pseudowire
                
                .. attribute:: flow
                
                	Enable flow based load balancing for pseudowire
                	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.LoadBalance.Flow>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.flow = None


                class Flow(object):
                    """
                    Enable flow based load balancing for pseudowire
                    
                    .. attribute:: ethernet
                    
                    	Ethernet pseudowire flow classification
                    	**type**\:   :py:class:`EthernetEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.LoadBalance.Flow.EthernetEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ethernet = None

                    class EthernetEnum(Enum):
                        """
                        EthernetEnum

                        Ethernet pseudowire flow classification

                        .. data:: dst_mac = 0

                        .. data:: src_dst_mac = 1

                        .. data:: src_mac = 2

                        """

                        dst_mac = 0

                        src_dst_mac = 1

                        src_mac = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Pseudowire.LoadBalance.Flow.EthernetEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ethernet is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Pseudowire.LoadBalance.Flow']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:load-balance'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.flow is not None and self.flow._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Pseudowire.LoadBalance']['meta_info']


            class Monitor(object):
                """
                Active monitoring of xconnect peer
                
                .. attribute:: peer
                
                	Active monitoring of xconnect peer
                	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Monitor.Peer>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.peer = Native.Interface.Pseudowire.Monitor.Peer()
                    self.peer.parent = self


                class Peer(object):
                    """
                    Active monitoring of xconnect peer
                    
                    .. attribute:: bfd
                    
                    	BFD active monitoring for the xconnect peer
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Monitor.Peer.Bfd>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bfd = None


                    class Bfd(object):
                        """
                        BFD active monitoring for the xconnect peer
                        
                        .. attribute:: local
                        
                        	Specify local endpoint information to map to a BFD session
                        	**type**\:   :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.local = Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local()
                            self.local.parent = self


                        class Local(object):
                            """
                            Specify local endpoint information to map to a BFD session
                            
                            .. attribute:: interface
                            
                            	Source interface for pseudowire
                            	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interface = Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_()
                                self.interface.parent = self


                            class Interface_(object):
                                """
                                Source interface for pseudowire
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.AtmAcrsubinterface>`
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.AtmSubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\:  str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\:  str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\:  str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\:  str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\:  str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  int
                                
                                	**range:** 0..65520
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.LispSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\:  str
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\:  str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\:  str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.appnav_compress = None
                                    self.appnav_uncompress = None
                                    self.atm = None
                                    self.atm_acr = None
                                    self.atm_acrsubinterface = Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.AtmAcrsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self.atm_subinterface = Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.AtmSubinterface()
                                    self.atm_subinterface.parent = self
                                    self.bdi = None
                                    self.cellular = None
                                    self.cem = None
                                    self.cem_acr = None
                                    self.embedded_service_engine = None
                                    self.fastethernet = None
                                    self.gigabitethernet = None
                                    self.lisp = None
                                    self.lisp_subinterface = Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.LispSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self.loopback = None
                                    self.multilink = None
                                    self.nve = None
                                    self.overlay = None
                                    self.port_channel = None
                                    self.port_channel_subinterface = Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self.pseudowire = None
                                    self.serial = None
                                    self.sm = None
                                    self.tengigabitethernet = None
                                    self.tunnel = None
                                    self.vasileft = None
                                    self.vasiright = None
                                    self.virtual_template = None
                                    self.virtualportgroup = None
                                    self.vlan = None


                                class AtmSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-l2vpn'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:ATM-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.AtmSubinterface']['meta_info']


                                class AtmAcrsubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-l2vpn'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm_acr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:ATM-ACRsubinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm_acr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.AtmAcrsubinterface']['meta_info']


                                class LispSubinterface(object):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-l2vpn'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:LISP-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.LispSubinterface']['meta_info']


                                class PortChannelSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-l2vpn'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.port_channel = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:Port-channel-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.port_channel is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_.PortChannelSubinterface']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:interface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.appnav_compress is not None:
                                        return True

                                    if self.appnav_uncompress is not None:
                                        return True

                                    if self.atm is not None:
                                        return True

                                    if self.atm_acr is not None:
                                        return True

                                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                        return True

                                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                        return True

                                    if self.bdi is not None:
                                        return True

                                    if self.cellular is not None:
                                        return True

                                    if self.cem is not None:
                                        return True

                                    if self.cem_acr is not None:
                                        return True

                                    if self.embedded_service_engine is not None:
                                        return True

                                    if self.fastethernet is not None:
                                        return True

                                    if self.gigabitethernet is not None:
                                        return True

                                    if self.lisp is not None:
                                        return True

                                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                        return True

                                    if self.loopback is not None:
                                        return True

                                    if self.multilink is not None:
                                        return True

                                    if self.nve is not None:
                                        return True

                                    if self.overlay is not None:
                                        return True

                                    if self.port_channel is not None:
                                        return True

                                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                        return True

                                    if self.pseudowire is not None:
                                        return True

                                    if self.serial is not None:
                                        return True

                                    if self.sm is not None:
                                        return True

                                    if self.tengigabitethernet is not None:
                                        return True

                                    if self.tunnel is not None:
                                        return True

                                    if self.vasileft is not None:
                                        return True

                                    if self.vasiright is not None:
                                        return True

                                    if self.virtual_template is not None:
                                        return True

                                    if self.virtualportgroup is not None:
                                        return True

                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:local'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interface is not None and self.interface._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.local is not None and self.local._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Pseudowire.Monitor.Peer.Bfd']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:peer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Pseudowire.Monitor.Peer']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:monitor'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.peer is not None and self.peer._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Pseudowire.Monitor']['meta_info']


            class PreferredPath(object):
                """
                Preferred path
                
                .. attribute:: interface
                
                	Output Interface
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.PreferredPath.Interface_>`
                
                .. attribute:: peer_container
                
                	
                	**type**\:   :py:class:`PeerContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.PreferredPath.PeerContainer>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface = Native.Interface.Pseudowire.PreferredPath.Interface_()
                    self.interface.parent = self
                    self.peer_container = Native.Interface.Pseudowire.PreferredPath.PeerContainer()
                    self.peer_container.parent = self


                class Interface_(object):
                    """
                    Output Interface
                    
                    .. attribute:: disable_fallback
                    
                    	disable fall back to alternative route
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..2147483647
                    
                    .. attribute:: tunnel_tp
                    
                    	MPLS Transport Profile interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.disable_fallback = None
                        self.tunnel = None
                        self.tunnel_tp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.disable_fallback is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.tunnel_tp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Pseudowire.PreferredPath.Interface_']['meta_info']


                class PeerContainer(object):
                    """
                    
                    
                    .. attribute:: disable_fallback
                    
                    	disable fall back to alternative route
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: peer
                    
                    	Peer Address
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.disable_fallback = None
                        self.peer = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:peer-container'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.disable_fallback is not None:
                            return True

                        if self.peer is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Pseudowire.PreferredPath.PeerContainer']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:preferred-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.peer_container is not None and self.peer_container._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Pseudowire.PreferredPath']['meta_info']


            class ProtocolMpls(object):
                """
                
                
                .. attribute:: protocol
                
                	Signaling protocol to use
                	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.ProtocolMpls.ProtocolEnum>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.protocol = None

                class ProtocolEnum(Enum):
                    """
                    ProtocolEnum

                    Signaling protocol to use

                    .. data:: ldp = 0

                    .. data:: none = 1

                    """

                    ldp = 0

                    none = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Pseudowire.ProtocolMpls.ProtocolEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:protocol-mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.protocol is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Pseudowire.ProtocolMpls']['meta_info']


            class ProtocolL2Tpv2(object):
                """
                
                
                .. attribute:: protocol
                
                	Signaling protocol to use
                	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.ProtocolL2Tpv2.ProtocolEnum>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.protocol = None

                class ProtocolEnum(Enum):
                    """
                    ProtocolEnum

                    Signaling protocol to use

                    .. data:: l2tpv2 = 0

                    .. data:: none = 1

                    """

                    l2tpv2 = 0

                    none = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Pseudowire.ProtocolL2Tpv2.ProtocolEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:protocol-l2tpv2'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.protocol is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Pseudowire.ProtocolL2Tpv2']['meta_info']


            class ProtocolL2Tpv3(object):
                """
                
                
                .. attribute:: protocol
                
                	Signaling protocol to use
                	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.ProtocolL2Tpv3.ProtocolEnum>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.protocol = None

                class ProtocolEnum(Enum):
                    """
                    ProtocolEnum

                    Signaling protocol to use

                    .. data:: l2tpv3 = 0

                    .. data:: l2tpv3ietf = 1

                    .. data:: none = 2

                    """

                    l2tpv3 = 0

                    l2tpv3ietf = 1

                    none = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Pseudowire.ProtocolL2Tpv3.ProtocolEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:protocol-l2tpv3'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.protocol is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Pseudowire.ProtocolL2Tpv3']['meta_info']


            class Status(object):
                """
                Pseudowire status capabilities
                
                .. attribute:: admin_down
                
                	Admin down of Attachment Circuit
                	**type**\:   :py:class:`AdminDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Status.AdminDown>`
                
                .. attribute:: control_plane
                
                	control plane status events
                	**type**\:   :py:class:`ControlPlane <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Status.ControlPlane>`
                
                .. attribute:: decoupled
                
                	Reflect standby status of the attachment circuit as up on the pseudowire
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: peer
                
                	peer status configuration
                	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Status.Peer>`
                
                .. attribute:: redundancy
                
                	Xconnect redundancy configuration
                	**type**\:   :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Status.Redundancy>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.admin_down = Native.Interface.Pseudowire.Status.AdminDown()
                    self.admin_down.parent = self
                    self.control_plane = Native.Interface.Pseudowire.Status.ControlPlane()
                    self.control_plane.parent = self
                    self.decoupled = None
                    self.peer = Native.Interface.Pseudowire.Status.Peer()
                    self.peer.parent = self
                    self.redundancy = Native.Interface.Pseudowire.Status.Redundancy()
                    self.redundancy.parent = self


                class AdminDown(object):
                    """
                    Admin down of Attachment Circuit
                    
                    .. attribute:: disconnect
                    
                    	Disconnect the session
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.disconnect = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:admin-down'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.disconnect is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Pseudowire.Status.AdminDown']['meta_info']


                class ControlPlane(object):
                    """
                    control plane status events
                    
                    .. attribute:: route_watch
                    
                    	listen on the control plane to route\-watch events
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_watch = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:control-plane'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_watch is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Pseudowire.Status.ControlPlane']['meta_info']


                class Peer(object):
                    """
                    peer status configuration
                    
                    .. attribute:: topology
                    
                    	change status behaviour based on peer topology
                    	**type**\:   :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Status.Peer.Topology>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.topology = Native.Interface.Pseudowire.Status.Peer.Topology()
                        self.topology.parent = self


                    class Topology(object):
                        """
                        change status behaviour based on peer topology
                        
                        .. attribute:: dual_homed
                        
                        	Our peer(s) are participating in a redundant solution with some form of redundancyprotocol running between the peer routers, Only one of the remote peers will advertise astatus of UP at a time. The other will advertise standby. Change our configuration so wecan send a status of UP on both active and redundant pseudowires
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dual_homed = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:topology'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dual_homed is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Pseudowire.Status.Peer.Topology']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:peer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.topology is not None and self.topology._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Pseudowire.Status.Peer']['meta_info']


                class Redundancy(object):
                    """
                    Xconnect redundancy configuration
                    
                    .. attribute:: master
                    
                    	Put the xconnect redundancy group on this node in master mode
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.master = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:redundancy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.master is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Pseudowire.Status.Redundancy']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:status'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.admin_down is not None and self.admin_down._has_data():
                        return True

                    if self.control_plane is not None and self.control_plane._has_data():
                        return True

                    if self.decoupled is not None:
                        return True

                    if self.peer is not None and self.peer._has_data():
                        return True

                    if self.redundancy is not None and self.redundancy._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Pseudowire.Status']['meta_info']


            class Switching(object):
                """
                Switching TLV on/off for pseudowire
                
                .. attribute:: tlv
                
                	Switching TLV on/off for pseudowire
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.tlv = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:switching'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.tlv is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Pseudowire.Switching']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:pseudowire[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.control_word is not None:
                    return True

                if self.encapsulation is not None:
                    return True

                if self.interworking is not None:
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.load_balance is not None and self.load_balance._has_data():
                    return True

                if self.monitor is not None and self.monitor._has_data():
                    return True

                if self.preferred_path is not None and self.preferred_path._has_data():
                    return True

                if self.protocol_l2tpv2 is not None and self.protocol_l2tpv2._has_data():
                    return True

                if self.protocol_l2tpv3 is not None and self.protocol_l2tpv3._has_data():
                    return True

                if self.protocol_mpls is not None and self.protocol_mpls._has_data():
                    return True

                if self.sequencing is not None:
                    return True

                if self.status is not None and self.status._has_data():
                    return True

                if self.switching is not None and self.switching._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.Pseudowire']['meta_info']


        class Sm(object):
            """
            SM Interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            	**pattern:** ([0\-9])+(/([0\-9])+)?
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Bfd>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Domain>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Encapsulation>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Logging>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.PmPath>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.RcvQueue>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.ServiceInsertionEnum>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.SwitchportConf>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Trust>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Utd>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.Sm.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.Sm.Arp()
                self.arp.parent = self
                self.backup = Native.Interface.Sm.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.Sm.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.Sm.Bfd()
                self.bfd.parent = self
                self.cemoudp = Native.Interface.Sm.Cemoudp()
                self.cemoudp.parent = self
                self.cws_tunnel = Native.Interface.Sm.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.delay = None
                self.description = None
                self.domain = Native.Interface.Sm.Domain()
                self.domain.parent = self
                self.encapsulation = Native.Interface.Sm.Encapsulation()
                self.encapsulation.parent = self
                self.fair_queue = Native.Interface.Sm.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.Sm.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.Sm.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.Sm.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.Sm.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.Sm.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.Sm.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.Sm.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.Sm.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.Sm.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.load_interval = None
                self.logging = Native.Interface.Sm.Logging()
                self.logging.parent = self
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.Sm.Mdix()
                self.mdix.parent = self
                self.mop = Native.Interface.Sm.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.Sm.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.peer = Native.Interface.Sm.Peer()
                self.peer.parent = self
                self.pm_path = Native.Interface.Sm.PmPath()
                self.pm_path.parent = self
                self.priority_queue = Native.Interface.Sm.PriorityQueue()
                self.priority_queue.parent = self
                self.rcv_queue = Native.Interface.Sm.RcvQueue()
                self.rcv_queue.parent = self
                self.service_insertion = None
                self.shutdown = None
                self.standby = Native.Interface.Sm.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.Sm.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Interface.Sm.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.Sm.SwitchportConf()
                self.switchport_conf.parent = self
                self.trust = Native.Interface.Sm.Trust()
                self.trust.parent = self
                self.utd = Native.Interface.Sm.Utd()
                self.utd.parent = self
                self.vrf = Native.Interface.Sm.Vrf()
                self.vrf.parent = self

            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.IfStateEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.ServiceInsertionEnum']



            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.Sm.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.Sm.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.Sm.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.Sm.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.Sm.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.Sm.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.Sm.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.Sm.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.Sm.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.Sm.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.Sm.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.Sm.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.Sm.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.Sm.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.Sm.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.Sm.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.Sm.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.HoldTime>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.NoAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Vrf>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Sm.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.Sm.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.Sm.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.Sm.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.Sm.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.hello_interval = Native.Interface.Sm.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.Sm.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.no_address = Native.Interface.Sm.Ip.NoAddress()
                    self.no_address.parent = self
                    self.pim = Native.Interface.Sm.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.Sm.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.Sm.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.Sm.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.Sm.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.Sm.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.verify = Native.Interface.Sm.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.Sm.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.Sm.Ip.Vrf()
                    self.vrf.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.Sm.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.Sm.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Sm.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Sm.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Sm.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Sm.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.Sm.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Sm.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.Sm.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.Sm.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.Sm.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Sm.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Sm.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.Sm.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.Sm.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Sm.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.Sm.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Sm.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ip.Verify']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.Sm.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.Sm.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.mtu = None
                    self.nd = Native.Interface.Sm.Ipv6.Nd()
                    self.nd.parent = self
                    self.redirects = None
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Ipv6.TrafficFilter']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.Sm.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.Sm.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.Sm.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.Sm.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.Sm.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.Sm.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.Sm.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Sm.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.Sm.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Sm.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Sm.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.Sm.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.Sm.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.Sm.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.Sm.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.Sm.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.Sm.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.Sm.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.Sm.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.Sm.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.Sm.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.Sm.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Sm.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Sm.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Sm.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Sm.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Sm.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Sm.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Sm.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Sm.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.Sm.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.Sm.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.Sm.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.Sm.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.Sm.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Sm.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Sm.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Sm.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Sm.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Sm.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Sm.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Sm.PmPath']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:SM[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.shutdown is not None:
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.Sm']['meta_info']


        class Cellular(object):
            """
            Cellular Interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            	**pattern:** ([0\-9])+(/([0\-9])+)?
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Bfd>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Domain>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Encapsulation>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Logging>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.PmPath>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.RcvQueue>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.ServiceInsertionEnum>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.SwitchportConf>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Trust>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Utd>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.Cellular.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.Cellular.Arp()
                self.arp.parent = self
                self.backup = Native.Interface.Cellular.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.Cellular.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.Cellular.Bfd()
                self.bfd.parent = self
                self.cemoudp = Native.Interface.Cellular.Cemoudp()
                self.cemoudp.parent = self
                self.cws_tunnel = Native.Interface.Cellular.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.delay = None
                self.description = None
                self.domain = Native.Interface.Cellular.Domain()
                self.domain.parent = self
                self.encapsulation = Native.Interface.Cellular.Encapsulation()
                self.encapsulation.parent = self
                self.fair_queue = Native.Interface.Cellular.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.Cellular.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.Cellular.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.Cellular.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.Cellular.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.Cellular.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.Cellular.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.Cellular.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.Cellular.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.Cellular.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.load_interval = None
                self.logging = Native.Interface.Cellular.Logging()
                self.logging.parent = self
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.Cellular.Mdix()
                self.mdix.parent = self
                self.mop = Native.Interface.Cellular.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.Cellular.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.peer = Native.Interface.Cellular.Peer()
                self.peer.parent = self
                self.pm_path = Native.Interface.Cellular.PmPath()
                self.pm_path.parent = self
                self.priority_queue = Native.Interface.Cellular.PriorityQueue()
                self.priority_queue.parent = self
                self.rcv_queue = Native.Interface.Cellular.RcvQueue()
                self.rcv_queue.parent = self
                self.service_insertion = None
                self.shutdown = None
                self.standby = Native.Interface.Cellular.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.Cellular.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Interface.Cellular.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.Cellular.SwitchportConf()
                self.switchport_conf.parent = self
                self.trust = Native.Interface.Cellular.Trust()
                self.trust.parent = self
                self.utd = Native.Interface.Cellular.Utd()
                self.utd.parent = self
                self.vrf = Native.Interface.Cellular.Vrf()
                self.vrf.parent = self

            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.IfStateEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.ServiceInsertionEnum']



            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.Cellular.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.Cellular.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.Cellular.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.Cellular.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.Cellular.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.Cellular.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.Cellular.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.Cellular.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.Cellular.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.Cellular.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.Cellular.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.Cellular.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.Cellular.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.Cellular.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.Cellular.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.Cellular.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.Cellular.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.HoldTime>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.NoAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Vrf>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Cellular.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.Cellular.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.Cellular.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.Cellular.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.Cellular.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.hello_interval = Native.Interface.Cellular.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.Cellular.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.no_address = Native.Interface.Cellular.Ip.NoAddress()
                    self.no_address.parent = self
                    self.pim = Native.Interface.Cellular.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.Cellular.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.Cellular.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.Cellular.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.Cellular.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.Cellular.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.verify = Native.Interface.Cellular.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.Cellular.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.Cellular.Ip.Vrf()
                    self.vrf.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.Cellular.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.Cellular.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Cellular.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Cellular.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Cellular.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Cellular.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.Cellular.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Cellular.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.Cellular.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.Cellular.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.Cellular.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Cellular.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Cellular.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.Cellular.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.Cellular.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Cellular.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.Cellular.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Cellular.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ip.Verify']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.Cellular.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.Cellular.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.mtu = None
                    self.nd = Native.Interface.Cellular.Ipv6.Nd()
                    self.nd.parent = self
                    self.redirects = None
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Ipv6.TrafficFilter']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.Cellular.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.Cellular.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.Cellular.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.Cellular.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.Cellular.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.Cellular.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.Cellular.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.Cellular.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.Cellular.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.Cellular.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.Cellular.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.Cellular.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.Cellular.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.Cellular.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.Cellular.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.Cellular.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.Cellular.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.Cellular.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Cellular.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Cellular.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Cellular.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Cellular.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Cellular.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Cellular.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Cellular.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Cellular.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.Cellular.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.Cellular.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.Cellular.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.Cellular.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.Cellular.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Cellular.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Cellular.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Cellular.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Cellular.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Cellular.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Cellular.PmPath']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:Cellular[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.shutdown is not None:
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.Cellular']['meta_info']


        class Vlan(object):
            """
            Catalyst Vlans
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  int
            
            	**range:** 1..4094
            
            .. attribute:: cisco_ios_xe_interfaces_access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`CiscoIosXeInterfaces_AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession>`
            
            .. attribute:: cisco_ios_xe_interfaces_access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`CiscoIosXeInterfaces_AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession>`
            
            .. attribute:: cisco_ios_xe_interfaces_arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Arp>`
            
            .. attribute:: cisco_ios_xe_interfaces_arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Arp>`
            
            .. attribute:: cisco_ios_xe_interfaces_backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Backup>`
            
            .. attribute:: cisco_ios_xe_interfaces_backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Backup>`
            
            .. attribute:: cisco_ios_xe_interfaces_bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth>`
            
            .. attribute:: cisco_ios_xe_interfaces_bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth>`
            
            .. attribute:: cisco_ios_xe_interfaces_bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Bfd>`
            
            .. attribute:: cisco_ios_xe_interfaces_bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Bfd>`
            
            .. attribute:: cisco_ios_xe_interfaces_cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp>`
            
            .. attribute:: cisco_ios_xe_interfaces_cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp>`
            
            .. attribute:: cisco_ios_xe_interfaces_cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CiscoIosXeInterfaces_CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel>`
            
            .. attribute:: cisco_ios_xe_interfaces_cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CiscoIosXeInterfaces_CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel>`
            
            .. attribute:: cisco_ios_xe_interfaces_dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: cisco_ios_xe_interfaces_dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: cisco_ios_xe_interfaces_delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: cisco_ios_xe_interfaces_delay_
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: cisco_ios_xe_interfaces_description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: cisco_ios_xe_interfaces_description_
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: cisco_ios_xe_interfaces_domain
            
            	Specify a domain
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Domain>`
            
            .. attribute:: cisco_ios_xe_interfaces_domain
            
            	Specify a domain
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Domain>`
            
            .. attribute:: cisco_ios_xe_interfaces_encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation>`
            
            .. attribute:: cisco_ios_xe_interfaces_encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation>`
            
            .. attribute:: cisco_ios_xe_interfaces_fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`CiscoIosXeInterfaces_FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueue>`
            
            .. attribute:: cisco_ios_xe_interfaces_fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`CiscoIosXeInterfaces_FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueue>`
            
            .. attribute:: cisco_ios_xe_interfaces_fair_queue_conf
            
            	
            	**type**\:   :py:class:`CiscoIosXeInterfaces_FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueueConf>`
            
            .. attribute:: cisco_ios_xe_interfaces_fair_queue_conf
            
            	
            	**type**\:   :py:class:`CiscoIosXeInterfaces_FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueueConf>`
            
            .. attribute:: cisco_ios_xe_interfaces_flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol>`
            
            .. attribute:: cisco_ios_xe_interfaces_flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol>`
            
            .. attribute:: cisco_ios_xe_interfaces_hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`CiscoIosXeInterfaces_HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue>`
            
            .. attribute:: cisco_ios_xe_interfaces_hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`CiscoIosXeInterfaces_HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue>`
            
            .. attribute:: cisco_ios_xe_interfaces_if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.IfStateEnum>`
            
            .. attribute:: cisco_ios_xe_interfaces_if_state_
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.IfStateEnum>`
            
            .. attribute:: cisco_ios_xe_interfaces_interface_qos
            
            	
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos>`
            
            .. attribute:: cisco_ios_xe_interfaces_interface_qos
            
            	
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos>`
            
            .. attribute:: cisco_ios_xe_interfaces_ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip>`
            
            .. attribute:: cisco_ios_xe_interfaces_ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip>`
            
            .. attribute:: cisco_ios_xe_interfaces_ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6>`
            
            .. attribute:: cisco_ios_xe_interfaces_ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6>`
            
            .. attribute:: cisco_ios_xe_interfaces_isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis>`
            
            .. attribute:: cisco_ios_xe_interfaces_isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis>`
            
            .. attribute:: cisco_ios_xe_interfaces_l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`CiscoIosXeInterfaces_L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: cisco_ios_xe_interfaces_l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`CiscoIosXeInterfaces_L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: cisco_ios_xe_interfaces_load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: cisco_ios_xe_interfaces_load_interval_
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: cisco_ios_xe_interfaces_logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Logging>`
            
            .. attribute:: cisco_ios_xe_interfaces_logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Logging>`
            
            .. attribute:: cisco_ios_xe_interfaces_max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: cisco_ios_xe_interfaces_max_reserved_bandwidth_
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: cisco_ios_xe_interfaces_mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Mdix>`
            
            .. attribute:: cisco_ios_xe_interfaces_mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Mdix>`
            
            .. attribute:: cisco_ios_xe_interfaces_mop
            
            	
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Mop>`
            
            .. attribute:: cisco_ios_xe_interfaces_mop
            
            	
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Mop>`
            
            .. attribute:: cisco_ios_xe_interfaces_mpls
            
            	
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Mpls>`
            
            .. attribute:: cisco_ios_xe_interfaces_mpls
            
            	
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Mpls>`
            
            .. attribute:: cisco_ios_xe_interfaces_mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: cisco_ios_xe_interfaces_mtu_
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: cisco_ios_xe_interfaces_peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Peer>`
            
            .. attribute:: cisco_ios_xe_interfaces_peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Peer>`
            
            .. attribute:: cisco_ios_xe_interfaces_pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`CiscoIosXeInterfaces_PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_PmPath>`
            
            .. attribute:: cisco_ios_xe_interfaces_pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`CiscoIosXeInterfaces_PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_PmPath>`
            
            .. attribute:: cisco_ios_xe_interfaces_priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`CiscoIosXeInterfaces_PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue>`
            
            .. attribute:: cisco_ios_xe_interfaces_priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`CiscoIosXeInterfaces_PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue>`
            
            .. attribute:: cisco_ios_xe_interfaces_rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`CiscoIosXeInterfaces_RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue>`
            
            .. attribute:: cisco_ios_xe_interfaces_rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`CiscoIosXeInterfaces_RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue>`
            
            .. attribute:: cisco_ios_xe_interfaces_service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServiceInsertionEnum>`
            
            .. attribute:: cisco_ios_xe_interfaces_service_insertion_
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServiceInsertionEnum>`
            
            .. attribute:: cisco_ios_xe_interfaces_shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: cisco_ios_xe_interfaces_shutdown_
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: cisco_ios_xe_interfaces_standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby>`
            
            .. attribute:: cisco_ios_xe_interfaces_standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby>`
            
            .. attribute:: cisco_ios_xe_interfaces_storm_control
            
            	storm configuration
            	**type**\:   :py:class:`CiscoIosXeInterfaces_StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl>`
            
            .. attribute:: cisco_ios_xe_interfaces_storm_control
            
            	storm configuration
            	**type**\:   :py:class:`CiscoIosXeInterfaces_StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl>`
            
            .. attribute:: cisco_ios_xe_interfaces_switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Switchport>`
            
            .. attribute:: cisco_ios_xe_interfaces_switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Switchport>`
            
            .. attribute:: cisco_ios_xe_interfaces_switchport_conf
            
            	
            	**type**\:   :py:class:`CiscoIosXeInterfaces_SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_SwitchportConf>`
            
            .. attribute:: cisco_ios_xe_interfaces_switchport_conf
            
            	
            	**type**\:   :py:class:`CiscoIosXeInterfaces_SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_SwitchportConf>`
            
            .. attribute:: cisco_ios_xe_interfaces_trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Trust>`
            
            .. attribute:: cisco_ios_xe_interfaces_trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Trust>`
            
            .. attribute:: cisco_ios_xe_interfaces_utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Utd>`
            
            .. attribute:: cisco_ios_xe_interfaces_utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`CiscoIosXeInterfaces_Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Utd>`
            
            .. attribute:: crypto
            
            	Encryption/Decryption commands
            	**type**\:   :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Crypto>`
            
            .. attribute:: cts
            
            	Configure Cisco Trusted Security
            	**type**\:   :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts>`
            
            .. attribute:: glbp
            
            	Gateway Load Balancing Protocol interface commands
            	**type**\:   :py:class:`Glbp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.IpVrf>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.IpVrf>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.KeepaliveSettings>`
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.KeepaliveSettings>`
            
            .. attribute:: lisp
            
            	Locator/ID Separation Protocol
            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Lisp>`
            
            .. attribute:: private_vlan
            
            	Configure private VLAN SVI interface settings
            	**type**\:   :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.PrivateVlan>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServicePolicy>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Vrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Vrf>`
            
            .. attribute:: vrrp
            
            	
            	**type**\: list of    :py:class:`Vrrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Vrrp>`
            
            .. attribute:: zone_member
            
            	Apply zone name
            	**type**\:   :py:class:`ZoneMember <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ZoneMember>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.cisco_ios_xe_interfaces_access_session = Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession()
                self.cisco_ios_xe_interfaces_access_session.parent = self
                self.cisco_ios_xe_interfaces_access_session = Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession()
                self.cisco_ios_xe_interfaces_access_session.parent = self
                self.cisco_ios_xe_interfaces_arp = Native.Interface.Vlan.CiscoIosXeInterfaces_Arp()
                self.cisco_ios_xe_interfaces_arp.parent = self
                self.cisco_ios_xe_interfaces_arp = Native.Interface.Vlan.CiscoIosXeInterfaces_Arp()
                self.cisco_ios_xe_interfaces_arp.parent = self
                self.cisco_ios_xe_interfaces_backup = Native.Interface.Vlan.CiscoIosXeInterfaces_Backup()
                self.cisco_ios_xe_interfaces_backup.parent = self
                self.cisco_ios_xe_interfaces_backup = Native.Interface.Vlan.CiscoIosXeInterfaces_Backup()
                self.cisco_ios_xe_interfaces_backup.parent = self
                self.cisco_ios_xe_interfaces_bandwidth = Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth()
                self.cisco_ios_xe_interfaces_bandwidth.parent = self
                self.cisco_ios_xe_interfaces_bandwidth = Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth()
                self.cisco_ios_xe_interfaces_bandwidth.parent = self
                self.cisco_ios_xe_interfaces_bfd = Native.Interface.Vlan.CiscoIosXeInterfaces_Bfd()
                self.cisco_ios_xe_interfaces_bfd.parent = self
                self.cisco_ios_xe_interfaces_bfd = Native.Interface.Vlan.CiscoIosXeInterfaces_Bfd()
                self.cisco_ios_xe_interfaces_bfd.parent = self
                self.cisco_ios_xe_interfaces_cemoudp = Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp()
                self.cisco_ios_xe_interfaces_cemoudp.parent = self
                self.cisco_ios_xe_interfaces_cemoudp = Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp()
                self.cisco_ios_xe_interfaces_cemoudp.parent = self
                self.cisco_ios_xe_interfaces_cws_tunnel = Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel()
                self.cisco_ios_xe_interfaces_cws_tunnel.parent = self
                self.cisco_ios_xe_interfaces_cws_tunnel = Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel()
                self.cisco_ios_xe_interfaces_cws_tunnel.parent = self
                self.cisco_ios_xe_interfaces_dampening = None
                self.cisco_ios_xe_interfaces_dampening = None
                self.cisco_ios_xe_interfaces_delay = None
                self.cisco_ios_xe_interfaces_delay_ = None
                self.cisco_ios_xe_interfaces_description = None
                self.cisco_ios_xe_interfaces_description_ = None
                self.cisco_ios_xe_interfaces_domain = Native.Interface.Vlan.CiscoIosXeInterfaces_Domain()
                self.cisco_ios_xe_interfaces_domain.parent = self
                self.cisco_ios_xe_interfaces_domain = Native.Interface.Vlan.CiscoIosXeInterfaces_Domain()
                self.cisco_ios_xe_interfaces_domain.parent = self
                self.cisco_ios_xe_interfaces_encapsulation = Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation()
                self.cisco_ios_xe_interfaces_encapsulation.parent = self
                self.cisco_ios_xe_interfaces_encapsulation = Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation()
                self.cisco_ios_xe_interfaces_encapsulation.parent = self
                self.cisco_ios_xe_interfaces_fair_queue = Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueue()
                self.cisco_ios_xe_interfaces_fair_queue.parent = self
                self.cisco_ios_xe_interfaces_fair_queue = Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueue()
                self.cisco_ios_xe_interfaces_fair_queue.parent = self
                self.cisco_ios_xe_interfaces_fair_queue_conf = Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueueConf()
                self.cisco_ios_xe_interfaces_fair_queue_conf.parent = self
                self.cisco_ios_xe_interfaces_fair_queue_conf = Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueueConf()
                self.cisco_ios_xe_interfaces_fair_queue_conf.parent = self
                self.cisco_ios_xe_interfaces_flowcontrol = Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol()
                self.cisco_ios_xe_interfaces_flowcontrol.parent = self
                self.cisco_ios_xe_interfaces_flowcontrol = Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol()
                self.cisco_ios_xe_interfaces_flowcontrol.parent = self
                self.cisco_ios_xe_interfaces_hold_queue = Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue()
                self.cisco_ios_xe_interfaces_hold_queue.parent = self
                self.cisco_ios_xe_interfaces_hold_queue = Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue()
                self.cisco_ios_xe_interfaces_hold_queue.parent = self
                self.cisco_ios_xe_interfaces_if_state = None
                self.cisco_ios_xe_interfaces_if_state_ = None
                self.cisco_ios_xe_interfaces_interface_qos = Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos()
                self.cisco_ios_xe_interfaces_interface_qos.parent = self
                self.cisco_ios_xe_interfaces_interface_qos = Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos()
                self.cisco_ios_xe_interfaces_interface_qos.parent = self
                self.cisco_ios_xe_interfaces_ip = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip()
                self.cisco_ios_xe_interfaces_ip.parent = self
                self.cisco_ios_xe_interfaces_ip = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip()
                self.cisco_ios_xe_interfaces_ip.parent = self
                self.cisco_ios_xe_interfaces_ipv6 = Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6()
                self.cisco_ios_xe_interfaces_ipv6.parent = self
                self.cisco_ios_xe_interfaces_ipv6 = Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6()
                self.cisco_ios_xe_interfaces_ipv6.parent = self
                self.cisco_ios_xe_interfaces_isis = Native.Interface.Vlan.CiscoIosXeInterfaces_Isis()
                self.cisco_ios_xe_interfaces_isis.parent = self
                self.cisco_ios_xe_interfaces_isis = Native.Interface.Vlan.CiscoIosXeInterfaces_Isis()
                self.cisco_ios_xe_interfaces_isis.parent = self
                self.cisco_ios_xe_interfaces_l2protocol_tunnel = None
                self.cisco_ios_xe_interfaces_l2protocol_tunnel = None
                self.cisco_ios_xe_interfaces_load_interval = None
                self.cisco_ios_xe_interfaces_load_interval_ = None
                self.cisco_ios_xe_interfaces_logging = Native.Interface.Vlan.CiscoIosXeInterfaces_Logging()
                self.cisco_ios_xe_interfaces_logging.parent = self
                self.cisco_ios_xe_interfaces_logging = Native.Interface.Vlan.CiscoIosXeInterfaces_Logging()
                self.cisco_ios_xe_interfaces_logging.parent = self
                self.cisco_ios_xe_interfaces_max_reserved_bandwidth = None
                self.cisco_ios_xe_interfaces_max_reserved_bandwidth_ = None
                self.cisco_ios_xe_interfaces_mdix = Native.Interface.Vlan.CiscoIosXeInterfaces_Mdix()
                self.cisco_ios_xe_interfaces_mdix.parent = self
                self.cisco_ios_xe_interfaces_mdix = Native.Interface.Vlan.CiscoIosXeInterfaces_Mdix()
                self.cisco_ios_xe_interfaces_mdix.parent = self
                self.cisco_ios_xe_interfaces_mop = Native.Interface.Vlan.CiscoIosXeInterfaces_Mop()
                self.cisco_ios_xe_interfaces_mop.parent = self
                self.cisco_ios_xe_interfaces_mop = Native.Interface.Vlan.CiscoIosXeInterfaces_Mop()
                self.cisco_ios_xe_interfaces_mop.parent = self
                self.cisco_ios_xe_interfaces_mpls = Native.Interface.Vlan.CiscoIosXeInterfaces_Mpls()
                self.cisco_ios_xe_interfaces_mpls.parent = self
                self.cisco_ios_xe_interfaces_mpls = Native.Interface.Vlan.CiscoIosXeInterfaces_Mpls()
                self.cisco_ios_xe_interfaces_mpls.parent = self
                self.cisco_ios_xe_interfaces_mtu = None
                self.cisco_ios_xe_interfaces_mtu_ = None
                self.cisco_ios_xe_interfaces_peer = Native.Interface.Vlan.CiscoIosXeInterfaces_Peer()
                self.cisco_ios_xe_interfaces_peer.parent = self
                self.cisco_ios_xe_interfaces_peer = Native.Interface.Vlan.CiscoIosXeInterfaces_Peer()
                self.cisco_ios_xe_interfaces_peer.parent = self
                self.cisco_ios_xe_interfaces_pm_path = Native.Interface.Vlan.CiscoIosXeInterfaces_PmPath()
                self.cisco_ios_xe_interfaces_pm_path.parent = self
                self.cisco_ios_xe_interfaces_pm_path = Native.Interface.Vlan.CiscoIosXeInterfaces_PmPath()
                self.cisco_ios_xe_interfaces_pm_path.parent = self
                self.cisco_ios_xe_interfaces_priority_queue = Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue()
                self.cisco_ios_xe_interfaces_priority_queue.parent = self
                self.cisco_ios_xe_interfaces_priority_queue = Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue()
                self.cisco_ios_xe_interfaces_priority_queue.parent = self
                self.cisco_ios_xe_interfaces_rcv_queue = Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue()
                self.cisco_ios_xe_interfaces_rcv_queue.parent = self
                self.cisco_ios_xe_interfaces_rcv_queue = Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue()
                self.cisco_ios_xe_interfaces_rcv_queue.parent = self
                self.cisco_ios_xe_interfaces_service_insertion = None
                self.cisco_ios_xe_interfaces_service_insertion_ = None
                self.cisco_ios_xe_interfaces_shutdown = None
                self.cisco_ios_xe_interfaces_shutdown_ = None
                self.cisco_ios_xe_interfaces_standby = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby()
                self.cisco_ios_xe_interfaces_standby.parent = self
                self.cisco_ios_xe_interfaces_standby = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby()
                self.cisco_ios_xe_interfaces_standby.parent = self
                self.cisco_ios_xe_interfaces_storm_control = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl()
                self.cisco_ios_xe_interfaces_storm_control.parent = self
                self.cisco_ios_xe_interfaces_storm_control = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl()
                self.cisco_ios_xe_interfaces_storm_control.parent = self
                self.cisco_ios_xe_interfaces_switchport = Native.Interface.Vlan.CiscoIosXeInterfaces_Switchport()
                self.cisco_ios_xe_interfaces_switchport.parent = self
                self.cisco_ios_xe_interfaces_switchport = Native.Interface.Vlan.CiscoIosXeInterfaces_Switchport()
                self.cisco_ios_xe_interfaces_switchport.parent = self
                self.cisco_ios_xe_interfaces_switchport_conf = Native.Interface.Vlan.CiscoIosXeInterfaces_SwitchportConf()
                self.cisco_ios_xe_interfaces_switchport_conf.parent = self
                self.cisco_ios_xe_interfaces_switchport_conf = Native.Interface.Vlan.CiscoIosXeInterfaces_SwitchportConf()
                self.cisco_ios_xe_interfaces_switchport_conf.parent = self
                self.cisco_ios_xe_interfaces_trust = Native.Interface.Vlan.CiscoIosXeInterfaces_Trust()
                self.cisco_ios_xe_interfaces_trust.parent = self
                self.cisco_ios_xe_interfaces_trust = Native.Interface.Vlan.CiscoIosXeInterfaces_Trust()
                self.cisco_ios_xe_interfaces_trust.parent = self
                self.cisco_ios_xe_interfaces_utd = Native.Interface.Vlan.CiscoIosXeInterfaces_Utd()
                self.cisco_ios_xe_interfaces_utd.parent = self
                self.cisco_ios_xe_interfaces_utd = Native.Interface.Vlan.CiscoIosXeInterfaces_Utd()
                self.cisco_ios_xe_interfaces_utd.parent = self
                self.crypto = Native.Interface.Vlan.Crypto()
                self.crypto.parent = self
                self.cts = Native.Interface.Vlan.Cts()
                self.cts.parent = self
                self.glbp = Native.Interface.Vlan.Glbp()
                self.glbp.parent = self
                self.ip_vrf = Native.Interface.Vlan.IpVrf()
                self.ip_vrf.parent = self
                self.ip_vrf = Native.Interface.Vlan.IpVrf()
                self.ip_vrf.parent = self
                self.keepalive = None
                self.keepalive_ = None
                self.keepalive_settings = Native.Interface.Vlan.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.keepalive_settings = Native.Interface.Vlan.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.lisp = Native.Interface.Vlan.Lisp()
                self.lisp.parent = self
                self.private_vlan = Native.Interface.Vlan.PrivateVlan()
                self.private_vlan.parent = self
                self.service_policy = Native.Interface.Vlan.ServicePolicy()
                self.service_policy.parent = self
                self.vrf = Native.Interface.Vlan.Vrf()
                self.vrf.parent = self
                self.vrf = Native.Interface.Vlan.Vrf()
                self.vrf.parent = self
                self.vrrp = YList()
                self.vrrp.parent = self
                self.vrrp.name = 'vrrp'
                self.zone_member = Native.Interface.Vlan.ZoneMember()
                self.zone_member.parent = self

            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.IfStateEnum']


            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.IfStateEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.ServiceInsertionEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.ServiceInsertionEnum']



            class CiscoIosXeInterfaces_SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_SwitchportConf']['meta_info']


            class CiscoIosXeInterfaces_Switchport(object):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Switchport']['meta_info']


            class CiscoIosXeInterfaces_Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Arp']['meta_info']


            class CiscoIosXeInterfaces_Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup']['meta_info']


            class CiscoIosXeInterfaces_Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp']['meta_info']


            class CiscoIosXeInterfaces_CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel']['meta_info']


            class CiscoIosXeInterfaces_L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel']['meta_info']


            class CiscoIosXeInterfaces_Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation']['meta_info']


            class CiscoIosXeInterfaces_FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueueConf']['meta_info']


            class CiscoIosXeInterfaces_FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueue']['meta_info']


            class CiscoIosXeInterfaces_Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol']['meta_info']


            class CiscoIosXeInterfaces_Isis(object):
                """
                IS\-IS commands
                
                .. attribute:: adjacency_filter
                
                	Filter IS\-IS adjacencies
                	**type**\:   :py:class:`AdjacencyFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.AdjacencyFilter>`
                
                .. attribute:: advertise
                
                	Control addresses advertisements in LSPs
                	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Advertise>`
                
                .. attribute:: authentication
                
                	ISIS authentication for interface related PDUs
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication>`
                
                .. attribute:: circuit_type
                
                	Configure circuit type for interface
                	**type**\:   :py:class:`CircuitType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CircuitType>`
                
                	**presence node**\: True
                
                .. attribute:: csnp_interval
                
                	Set CSNP interval in seconds
                	**type**\:   :py:class:`CsnpInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CsnpInterval>`
                
                .. attribute:: hello
                
                	Add padding to IS\-IS hello packets
                	**type**\:   :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Hello>`
                
                .. attribute:: hello_interval
                
                	Set Hello interval in seconds
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval>`
                
                .. attribute:: hello_multiplier
                
                	Set multiplier for Hello holding time
                	**type**\:   :py:class:`HelloMultiplier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloMultiplier>`
                
                .. attribute:: ipv6
                
                	IPv6 interface configuration
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6>`
                
                .. attribute:: lsp_interval
                
                	Set LSP transmission interval
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                .. attribute:: mesh_group
                
                	Set ISIS mesh group
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                
                ----
                	**type**\:   :py:class:`MeshGroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.MeshGroupEnum>`
                
                
                ----
                .. attribute:: metric
                
                	Configure the metric for interface
                	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:   :py:class:`NetworkEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.NetworkEnum>`
                
                .. attribute:: password
                
                	Configure the authentication password for interface
                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Password>`
                
                .. attribute:: priority
                
                	Set priority for Designated Router election
                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Priority>`
                
                .. attribute:: protocol
                
                	Set ISIS protocol's state under current interface
                	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.ProtocolEnum>`
                
                .. attribute:: retransmit_interval
                
                	Set per\-LSP retransmission interval
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: retransmit_throttle_interval
                
                	Set interface LSP retransmission interval
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tag
                
                	Assign an admin tag to an ISIS interface IP route
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                .. attribute:: three_way_handshake
                
                	Select Cisco or IETF three\-way handshake
                	**type**\:   :py:class:`ThreeWayHandshake <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.ThreeWayHandshake>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.adjacency_filter = Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.AdjacencyFilter()
                    self.adjacency_filter.parent = self
                    self.advertise = Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Advertise()
                    self.advertise.parent = self
                    self.authentication = Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication()
                    self.authentication.parent = self
                    self.circuit_type = None
                    self.csnp_interval = Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CsnpInterval()
                    self.csnp_interval.parent = self
                    self.hello = Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Hello()
                    self.hello.parent = self
                    self.hello_interval = Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval()
                    self.hello_interval.parent = self
                    self.hello_multiplier = Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloMultiplier()
                    self.hello_multiplier.parent = self
                    self.ipv6 = Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6()
                    self.ipv6.parent = self
                    self.lsp_interval = None
                    self.mesh_group = None
                    self.metric = Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric()
                    self.metric.parent = self
                    self.network = None
                    self.password = Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Password()
                    self.password.parent = self
                    self.priority = Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Priority()
                    self.priority.parent = self
                    self.protocol = None
                    self.retransmit_interval = None
                    self.retransmit_throttle_interval = None
                    self.tag = None
                    self.three_way_handshake = None

                class MeshGroupEnum(Enum):
                    """
                    MeshGroupEnum

                    Set ISIS mesh group

                    .. data:: blocked = 0

                    """

                    blocked = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.MeshGroupEnum']


                class NetworkEnum(Enum):
                    """
                    NetworkEnum

                    Network type

                    .. data:: point_to_point = 0

                    """

                    point_to_point = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.NetworkEnum']


                class ProtocolEnum(Enum):
                    """
                    ProtocolEnum

                    Set ISIS protocol's state under current interface

                    .. data:: shutdown = 0

                    """

                    shutdown = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.ProtocolEnum']



                class AdjacencyFilter(object):
                    """
                    Filter IS\-IS adjacencies
                    
                    .. attribute:: match_all
                    
                    	Match all area addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: name
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.match_all = None
                        self.name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:adjacency-filter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.match_all is not None:
                            return True

                        if self.name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.AdjacencyFilter']['meta_info']


                class Advertise(object):
                    """
                    Control addresses advertisements in LSPs
                    
                    .. attribute:: prefix
                    
                    	Interface IP address
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.prefix = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:advertise'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.prefix is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Advertise']['meta_info']


                class Authentication(object):
                    """
                    ISIS authentication for interface related PDUs
                    
                    .. attribute:: key_chain
                    
                    	Authentication key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	Authentication mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.Mode>`
                    
                    .. attribute:: send_only
                    
                    	Authentication send only, receive ignore
                    	**type**\:   :py:class:`SendOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.SendOnly>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.Mode()
                        self.mode.parent = self
                        self.send_only = None


                    class Mode(object):
                        """
                        Authentication mode
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.Mode.Md5>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: text
                        
                        	Clear text password
                        	**type**\:   :py:class:`Text <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.Mode.Text>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = None
                            self.text = None


                        class Md5(object):
                            """
                            Keyed message digest
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.Mode.Md5']['meta_info']


                        class Text(object):
                            """
                            Clear text password
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:text'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.Mode.Text']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None and self.text._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.Mode']['meta_info']


                    class KeyChain(object):
                        """
                        Authentication key\-chain
                        
                        .. attribute:: key_chain_list
                        
                        	
                        	**type**\: list of    :py:class:`KeyChainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.KeyChain.KeyChainList>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_chain_list = YList()
                            self.key_chain_list.parent = self
                            self.key_chain_list.name = 'key_chain_list'
                            self.name = None


                        class KeyChainList(object):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.levels = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.levels is None:
                                    raise YPYModelError('Key property levels is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:key-chain-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.levels is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.KeyChain.KeyChainList']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_chain_list is not None:
                                for child_ref in self.key_chain_list:
                                    if child_ref._has_data():
                                        return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.KeyChain']['meta_info']


                    class SendOnly(object):
                        """
                        Authentication send only, receive ignore
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.levels = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:send-only'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.levels is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication.SendOnly']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        if self.send_only is not None and self.send_only._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Authentication']['meta_info']


                class CircuitType(object):
                    """
                    Configure circuit type for interface
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CircuitType.LevelsEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.levels = None

                    class LevelsEnum(Enum):
                        """
                        LevelsEnum

                        .. data:: level_1 = 0

                        .. data:: level_1_2 = 1

                        .. data:: level_2_only = 2

                        """

                        level_1 = 0

                        level_1_2 = 1

                        level_2_only = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CircuitType.LevelsEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:circuit-type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.levels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CircuitType']['meta_info']


                class CsnpInterval(object):
                    """
                    Set CSNP interval in seconds
                    
                    .. attribute:: csnp_interval_list
                    
                    	
                    	**type**\: list of    :py:class:`CsnpIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CsnpInterval.CsnpIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.csnp_interval_list = YList()
                        self.csnp_interval_list.parent = self
                        self.csnp_interval_list.name = 'csnp_interval_list'
                        self.value = None


                    class CsnpIntervalList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CsnpInterval.CsnpIntervalList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CsnpInterval.CsnpIntervalList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:csnp-interval-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CsnpInterval.CsnpIntervalList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:csnp-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.csnp_interval_list is not None:
                            for child_ref in self.csnp_interval_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.CsnpInterval']['meta_info']


                class Hello(object):
                    """
                    Add padding to IS\-IS hello packets
                    
                    .. attribute:: padding
                    
                    	Pad hello packets
                    	**type**\:   :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Hello.Padding>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.padding = None


                    class Padding(object):
                        """
                        Pad hello packets
                        
                        .. attribute:: always
                        
                        	Never pad hello packets if no prefix present
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.always = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:padding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.always is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Hello.Padding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.padding is not None and self.padding._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Hello']['meta_info']


                class HelloInterval(object):
                    """
                    Set Hello interval in seconds
                    
                    .. attribute:: hello_interval_list
                    
                    	
                    	**type**\: list of    :py:class:`HelloIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval.HelloIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    
                    ----
                    	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hello_interval_list = YList()
                        self.hello_interval_list.parent = self
                        self.hello_interval_list.name = 'hello_interval_list'
                        self.value = None

                    class ValueEnum(Enum):
                        """
                        ValueEnum

                        .. data:: minimal = 0

                        """

                        minimal = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval.ValueEnum']



                    class HelloIntervalList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval.HelloIntervalList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval.HelloIntervalList.LevelsEnum']


                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: minimal = 0

                            """

                            minimal = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval.HelloIntervalList.ValueEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-interval-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval.HelloIntervalList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hello_interval_list is not None:
                            for child_ref in self.hello_interval_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloInterval']['meta_info']


                class HelloMultiplier(object):
                    """
                    Set multiplier for Hello holding time
                    
                    .. attribute:: hello_multiplier_list
                    
                    	
                    	**type**\: list of    :py:class:`HelloMultiplierList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloMultiplier.HelloMultiplierList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 3..1000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hello_multiplier_list = YList()
                        self.hello_multiplier_list.parent = self
                        self.hello_multiplier_list.name = 'hello_multiplier_list'
                        self.value = None


                    class HelloMultiplierList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 3..1000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-multiplier-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloMultiplier.HelloMultiplierList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-multiplier'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hello_multiplier_list is not None:
                            for child_ref in self.hello_multiplier_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.HelloMultiplier']['meta_info']


                class Ipv6(object):
                    """
                    IPv6 interface configuration
                    
                    .. attribute:: metric
                    
                    	Configure the metric for interface
                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric>`
                    
                    .. attribute:: tag
                    
                    	Assign an admin tag to an ISIS interface IPv6 route
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.metric = Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric()
                        self.metric.parent = self
                        self.tag = None


                    class Metric(object):
                        """
                        Configure the metric for interface
                        
                        .. attribute:: metric_list
                        
                        	
                        	**type**\: list of    :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric.MetricList>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric_list = YList()
                            self.metric_list.parent = self
                            self.metric_list.name = 'metric_list'
                            self.value = None

                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: maximum = 0

                            """

                            maximum = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric.ValueEnum']



                        class MetricList(object):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric.MetricList.LevelsEnum>`
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..16777214
                            
                            
                            ----
                            	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.levels = None
                                self.value = None

                            class LevelsEnum(Enum):
                                """
                                LevelsEnum

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = 0

                                level_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric.MetricList.LevelsEnum']


                            class ValueEnum(Enum):
                                """
                                ValueEnum

                                .. data:: maximum = 0

                                """

                                maximum = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric.MetricList.ValueEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.levels is None:
                                    raise YPYModelError('Key property levels is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:metric-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.levels is not None:
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric.MetricList']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:metric'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric_list is not None:
                                for child_ref in self.metric_list:
                                    if child_ref._has_data():
                                        return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6.Metric']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.metric is not None and self.metric._has_data():
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Ipv6']['meta_info']


                class Metric(object):
                    """
                    Configure the metric for interface
                    
                    .. attribute:: metric_list
                    
                    	
                    	**type**\: list of    :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric.MetricList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..16777214
                    
                    
                    ----
                    	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.metric_list = YList()
                        self.metric_list.parent = self
                        self.metric_list.name = 'metric_list'
                        self.value = None

                    class ValueEnum(Enum):
                        """
                        ValueEnum

                        .. data:: maximum = 0

                        """

                        maximum = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric.ValueEnum']



                    class MetricList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric.MetricList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric.MetricList.LevelsEnum']


                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: maximum = 0

                            """

                            maximum = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric.MetricList.ValueEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:metric-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric.MetricList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:metric'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.metric_list is not None:
                            for child_ref in self.metric_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Metric']['meta_info']


                class Password(object):
                    """
                    Configure the authentication password for interface
                    
                    .. attribute:: password
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: password_list
                    
                    	
                    	**type**\: list of    :py:class:`PasswordList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Password.PasswordList>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.password = None
                        self.password_list = YList()
                        self.password_list.parent = self
                        self.password_list.name = 'password_list'


                    class PasswordList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Password.PasswordList.LevelsEnum>`
                        
                        .. attribute:: password
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.password = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Password.PasswordList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:password-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.password is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Password.PasswordList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:password'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.password is not None:
                            return True

                        if self.password_list is not None:
                            for child_ref in self.password_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Password']['meta_info']


                class Priority(object):
                    """
                    Set priority for Designated Router election
                    
                    .. attribute:: priority_list
                    
                    	
                    	**type**\: list of    :py:class:`PriorityList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Priority.PriorityList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..127
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.priority_list = YList()
                        self.priority_list.parent = self
                        self.priority_list.name = 'priority_list'
                        self.value = None


                    class PriorityList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Priority.PriorityList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..127
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Priority.PriorityList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:priority-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Priority.PriorityList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:priority'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.priority_list is not None:
                            for child_ref in self.priority_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.Priority']['meta_info']


                class ThreeWayHandshake(object):
                    """
                    Select Cisco or IETF three\-way handshake
                    
                    .. attribute:: implementor
                    
                    	
                    	**type**\:   :py:class:`ImplementorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.ThreeWayHandshake.ImplementorEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.implementor = None

                    class ImplementorEnum(Enum):
                        """
                        ImplementorEnum

                        .. data:: cisco = 0

                        .. data:: ietf = 1

                        """

                        cisco = 0

                        ietf = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.ThreeWayHandshake.ImplementorEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:three-way-handshake'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.implementor is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis.ThreeWayHandshake']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.adjacency_filter is not None and self.adjacency_filter._has_data():
                        return True

                    if self.advertise is not None and self.advertise._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.circuit_type is not None and self.circuit_type._has_data():
                        return True

                    if self.csnp_interval is not None and self.csnp_interval._has_data():
                        return True

                    if self.hello is not None and self.hello._has_data():
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.hello_multiplier is not None and self.hello_multiplier._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    if self.lsp_interval is not None:
                        return True

                    if self.mesh_group is not None:
                        return True

                    if self.metric is not None and self.metric._has_data():
                        return True

                    if self.network is not None:
                        return True

                    if self.password is not None and self.password._has_data():
                        return True

                    if self.priority is not None and self.priority._has_data():
                        return True

                    if self.protocol is not None:
                        return True

                    if self.retransmit_interval is not None:
                        return True

                    if self.retransmit_throttle_interval is not None:
                        return True

                    if self.tag is not None:
                        return True

                    if self.three_way_handshake is not None and self.three_way_handshake._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.KeepaliveSettings']['meta_info']


            class CiscoIosXeInterfaces_Bfd(object):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Bfd']['meta_info']


            class CiscoIosXeInterfaces_Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth']['meta_info']


            class CiscoIosXeInterfaces_Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening']['meta_info']


            class CiscoIosXeInterfaces_Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Domain']['meta_info']


            class CiscoIosXeInterfaces_HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue']['meta_info']


            class CiscoIosXeInterfaces_Mpls(object):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.Vlan.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.Vlan.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.Vrf']['meta_info']


            class CiscoIosXeInterfaces_Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HoldTime>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: nbar
                
                	Network\-Based Application Recognition
                	**type**\:   :py:class:`Nbar <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Nbar>`
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.NoAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.hello_interval = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HoldTime()
                    self.hold_time.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.nbar = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Nbar()
                    self.nbar.parent = self
                    self.no_address = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.NoAddress()
                    self.no_address.parent = self
                    self.pim = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.verify = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf()
                    self.vrf.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    .. attribute:: accept_register
                    
                    	
                    	**type**\:   :py:class:`AcceptRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.AcceptRegister>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM router DR priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: nbma_mode
                    
                    	Enable PIM nbma\-mode operation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: query_interval
                    
                    	PIM router query interval
                    	**type**\:   :py:class:`QueryInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.QueryInterval>`
                    
                    .. attribute:: sparse_mode
                    
                    	
                    	**type**\:   :py:class:`SparseModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.SparseModeEnum>`
                    
                    .. attribute:: spt_threshold
                    
                    	
                    	**type**\:   :py:class:`SptThresholdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.SptThresholdEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.accept_register = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.AcceptRegister()
                        self.accept_register.parent = self
                        self.dr_priority = None
                        self.nbma_mode = None
                        self.query_interval = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.QueryInterval()
                        self.query_interval.parent = self
                        self.sparse_mode = None
                        self.spt_threshold = None

                    class SparseModeEnum(Enum):
                        """
                        SparseModeEnum

                        .. data:: sparse_dense_mode = 0

                        .. data:: sparse_mode = 1

                        """

                        sparse_dense_mode = 0

                        sparse_mode = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.SparseModeEnum']


                    class SptThresholdEnum(Enum):
                        """
                        SptThresholdEnum

                        .. data:: infinity = 0

                        """

                        infinity = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.SptThresholdEnum']



                    class AcceptRegister(object):
                        """
                        
                        
                        .. attribute:: list
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.list = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:accept-register'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.AcceptRegister']['meta_info']


                    class QueryInterval(object):
                        """
                        PIM router query interval
                        
                        .. attribute:: milliseconds_interval
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 100..65535
                        
                        .. attribute:: msec
                        
                        	Query interval in milliseconds
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        .. attribute:: seconds_interval
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..18725
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.milliseconds_interval = None
                            self.msec = None
                            self.seconds_interval = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:query-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.milliseconds_interval is not None:
                                return True

                            if self.msec is not None:
                                return True

                            if self.seconds_interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim.QueryInterval']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.accept_register is not None and self.accept_register._has_data():
                            return True

                        if self.dr_priority is not None:
                            return True

                        if self.nbma_mode is not None:
                            return True

                        if self.query_interval is not None and self.query_interval._has_data():
                            return True

                        if self.sparse_mode is not None:
                            return True

                        if self.spt_threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    .. attribute:: client
                    
                    	DHCP client configuration
                    	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Client>`
                    
                    .. attribute:: relay
                    
                    	DHCP relay configuration parameters
                    	**type**\:   :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay>`
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.client = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Client()
                        self.client.parent = self
                        self.relay = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay()
                        self.relay.parent = self
                        self.snooping = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping()
                        self.snooping.parent = self


                    class Client(object):
                        """
                        DHCP client configuration
                        
                        .. attribute:: hostname
                        
                        	Specify hostname to use
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hostname = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:client'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Client']['meta_info']


                    class Relay(object):
                        """
                        DHCP relay configuration parameters
                        
                        .. attribute:: information
                        
                        	DHCP relay information option
                        	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information>`
                        
                        .. attribute:: source_interface
                        
                        	Set source interface for relayed messages
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.information = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information()
                            self.information.parent = self
                            self.source_interface = None


                        class Information(object):
                            """
                            DHCP relay information option
                            
                            .. attribute:: check_reply
                            
                            	Validate relay information in BOOTREPLY
                            	**type**\:   :py:class:`CheckReply <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.CheckReply>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: option
                            
                            	DHCP relay information option
                            	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.Option>`
                            
                            .. attribute:: option_insert
                            
                            	Insert relay information in BOOTREQUEST
                            	**type**\:   :py:class:`OptionInsert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.OptionInsert>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: policy_action
                            
                            	Define reforwarding policy
                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.PolicyActionEnum>`
                            
                            .. attribute:: trusted
                            
                            	Received DHCP packet may contain relay info option with zero giaddr
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.check_reply = None
                                self.option = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.Option()
                                self.option.parent = self
                                self.option_insert = None
                                self.policy_action = None
                                self.trusted = None

                            class PolicyActionEnum(Enum):
                                """
                                PolicyActionEnum

                                Define reforwarding policy

                                .. data:: drop = 0

                                .. data:: encapsulate = 1

                                .. data:: keep = 2

                                .. data:: replace = 3

                                """

                                drop = 0

                                encapsulate = 1

                                keep = 2

                                replace = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.PolicyActionEnum']



                            class CheckReply(object):
                                """
                                Validate relay information in BOOTREPLY
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.none = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:check-reply'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.none is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.CheckReply']['meta_info']


                            class Option(object):
                                """
                                DHCP relay information option
                                
                                .. attribute:: subscriber_id
                                
                                	Subscriber identifier sub option
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.subscriber_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.subscriber_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.Option']['meta_info']


                            class OptionInsert(object):
                                """
                                Insert relay information in BOOTREQUEST
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.none = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option-insert'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.none is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information.OptionInsert']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.check_reply is not None and self.check_reply._has_data():
                                    return True

                                if self.option is not None and self.option._has_data():
                                    return True

                                if self.option_insert is not None and self.option_insert._has_data():
                                    return True

                                if self.policy_action is not None:
                                    return True

                                if self.trusted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay.Information']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:relay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.information is not None and self.information._has_data():
                                return True

                            if self.source_interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Relay']['meta_info']


                    class Snooping(object):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Limit>`
                        
                        .. attribute:: trust
                        
                        	DHCP Snooping trust config
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	DHCP Snooping vlan
                        	**type**\: list of    :py:class:`Vlan_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self.trust = None
                            self.vlan = YList()
                            self.vlan.parent = self
                            self.vlan.name = 'vlan'


                        class Limit(object):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP Snooping limit
                            	**type**\:  int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Limit']['meta_info']


                        class Vlan_(object):
                            """
                            DHCP Snooping vlan
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            .. attribute:: information
                            
                            	DHCP Snooping information
                            	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.information = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information()
                                self.information.parent = self


                            class Information(object):
                                """
                                DHCP Snooping information
                                
                                .. attribute:: option
                                
                                	DHCP Snooping information option
                                	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option>`
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.option = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option()
                                    self.option.parent = self


                                class Option(object):
                                    """
                                    DHCP Snooping information option
                                    
                                    .. attribute:: format_type
                                    
                                    	Option 82 information format
                                    	**type**\:   :py:class:`FormatType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option.FormatType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-dhcp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.format_type = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option.FormatType()
                                        self.format_type.parent = self


                                    class FormatType(object):
                                        """
                                        Option 82 information format
                                        
                                        .. attribute:: circuit_id
                                        
                                        	Circuit id option 82 format
                                        	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option.FormatType.CircuitId>`
                                        
                                        

                                        """

                                        _prefix = 'ios-dhcp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.circuit_id = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option.FormatType.CircuitId()
                                            self.circuit_id.parent = self


                                        class CircuitId(object):
                                            """
                                            Circuit id option 82 format
                                            
                                            .. attribute:: string
                                            
                                            	User defined string for circuit id
                                            	**type**\:  str
                                            
                                            	**length:** 3..63
                                            
                                            

                                            """

                                            _prefix = 'ios-dhcp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.string = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:circuit-id'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.string is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option.FormatType.CircuitId']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:format-type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.circuit_id is not None and self.circuit_id._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option.FormatType']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.format_type is not None and self.format_type._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information.Option']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:information'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.option is not None and self.option._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_.Information']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:vlan[Cisco-IOS-XE-dhcp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.information is not None and self.information._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping.Vlan_']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:snooping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            if self.vlan is not None:
                                for child_ref in self.vlan:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp.Snooping']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.client is not None and self.client._has_data():
                            return True

                        if self.relay is not None and self.relay._has_data():
                            return True

                        if self.snooping is not None and self.snooping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_()
                            self.vlan.parent = self


                        class Vlan_(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify']['meta_info']


                class Nbar(object):
                    """
                    Network\-Based Application Recognition
                    
                    .. attribute:: protocol_discovery
                    
                    	Enable protocol discovery for both ipv4 and ipv6
                    	**type**\:   :py:class:`ProtocolDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Nbar.ProtocolDiscovery>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.protocol_discovery = None


                    class ProtocolDiscovery(object):
                        """
                        Enable protocol discovery for both ipv4 and ipv6
                        
                        .. attribute:: ipv4_ipv6
                        
                        	
                        	**type**\:   :py:class:`Ipv4Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-nbar'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ipv4_ipv6 = None

                        class Ipv4Ipv6Enum(Enum):
                            """
                            Ipv4Ipv6Enum

                            .. data:: ipv4 = 0

                            .. data:: ipv6 = 1

                            """

                            ipv4 = 0

                            ipv6 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nbar:protocol-discovery'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ipv4_ipv6 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Nbar.ProtocolDiscovery']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-nbar:nbar'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.protocol_discovery is not None and self.protocol_discovery._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Nbar']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nbar is not None and self.nbar._has_data():
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']


            class CiscoIosXeInterfaces_Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Nd>`
                
                .. attribute:: no_pim
                
                	
                	**type**\:   :py:class:`NoPim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.NoPim>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Pim>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.mtu = None
                    self.nd = Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Nd()
                    self.nd.parent = self
                    self.no_pim = Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.NoPim()
                    self.no_pim.parent = self
                    self.pim = Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Pim()
                    self.pim.parent = self
                    self.redirects = None
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    .. attribute:: guard
                    
                    	Configure IPv6 DHCP guard on the interface
                    	**type**\:   :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp.Guard>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: server
                    
                    	Act as an IPv6 DHCP server
                    	**type**\: list of    :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp.Server>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.guard = None
                        self.server = YList()
                        self.server.parent = self
                        self.server.name = 'server'


                    class Server(object):
                        """
                        Act as an IPv6 DHCP server
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: preference
                        
                        	Preference
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.word = None
                            self.preference = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.word is None:
                                raise YPYModelError('Key property word is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:server[Cisco-IOS-XE-dhcp:word = ' + str(self.word) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.word is not None:
                                return True

                            if self.preference is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp.Server']['meta_info']


                    class Guard(object):
                        """
                        Configure IPv6 DHCP guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature DHCP Guard
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.attach_policy = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:guard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.attach_policy is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp.Guard']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.guard is not None and self.guard._has_data():
                            return True

                        if self.server is not None:
                            for child_ref in self.server:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.TrafficFilter']['meta_info']


                class NoPim(object):
                    """
                    
                    
                    .. attribute:: pim
                    
                    	PIM interface commands
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.pim = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:no-pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.pim is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.NoPim']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    .. attribute:: bfd
                    
                    	Configure BFD
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bsr
                    
                    	Configure BSR
                    	**type**\:   :py:class:`Bsr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Pim.Bsr>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM Hello DR priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bfd = None
                        self.bsr = Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Pim.Bsr()
                        self.bsr.parent = self
                        self.dr_priority = None


                    class Bsr(object):
                        """
                        Configure BSR
                        
                        .. attribute:: border
                        
                        	Border of PIM BSR domain
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.border = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:bsr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.border is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Pim.Bsr']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bfd is not None:
                            return True

                        if self.bsr is not None and self.bsr._has_data():
                            return True

                        if self.dr_priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Pim']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.no_pim is not None and self.no_pim._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6']['meta_info']


            class CiscoIosXeInterfaces_Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging']['meta_info']


            class CiscoIosXeInterfaces_Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Mdix']['meta_info']


            class CiscoIosXeInterfaces_Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Mop']['meta_info']


            class CiscoIosXeInterfaces_Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos']['meta_info']


            class CiscoIosXeInterfaces_Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby']['meta_info']


            class CiscoIosXeInterfaces_AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession']['meta_info']


            class CiscoIosXeInterfaces_StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl']['meta_info']


            class CiscoIosXeInterfaces_Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Trust']['meta_info']


            class CiscoIosXeInterfaces_Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Utd']['meta_info']


            class CiscoIosXeInterfaces_PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue']['meta_info']


            class CiscoIosXeInterfaces_RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue']['meta_info']


            class CiscoIosXeInterfaces_Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer']['meta_info']


            class CiscoIosXeInterfaces_PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:Cisco-IOS-XE-interfaces_pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_PmPath']['meta_info']


            class Crypto(object):
                """
                Encryption/Decryption commands
                
                .. attribute:: ipsec
                
                	Set IPSec parameters
                	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Crypto.Ipsec>`
                
                .. attribute:: map
                
                	Assign a Crypto Map
                	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Crypto.Map>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipsec = Native.Interface.Vlan.Crypto.Ipsec()
                    self.ipsec.parent = self
                    self.map = Native.Interface.Vlan.Crypto.Map()
                    self.map.parent = self


                class Map(object):
                    """
                    Assign a Crypto Map
                    
                    .. attribute:: redundancy
                    
                    	enable redundancy
                    	**type**\:  str
                    
                    .. attribute:: stateful
                    
                    	enable stateful failover
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: tag
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.redundancy = None
                        self.stateful = None
                        self.tag = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.redundancy is not None:
                            return True

                        if self.stateful is not None:
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.Crypto.Map']['meta_info']


                class Ipsec(object):
                    """
                    Set IPSec parameters
                    
                    .. attribute:: df_bit
                    
                    	Handling of encapsulated DF bit
                    	**type**\:   :py:class:`DfBitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Crypto.Ipsec.DfBitEnum>`
                    
                    .. attribute:: fragmentation
                    
                    	Handling of fragmentation of near\-MTU sized packets
                    	**type**\:   :py:class:`FragmentationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Crypto.Ipsec.FragmentationEnum>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.df_bit = None
                        self.fragmentation = None

                    class DfBitEnum(Enum):
                        """
                        DfBitEnum

                        Handling of encapsulated DF bit.

                        .. data:: clear = 0

                        .. data:: copy = 1

                        .. data:: set = 2

                        """

                        clear = 0

                        copy = 1

                        set = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.Crypto.Ipsec.DfBitEnum']


                    class FragmentationEnum(Enum):
                        """
                        FragmentationEnum

                        Handling of fragmentation of near\-MTU sized packets

                        .. data:: after_encryption = 0

                        .. data:: before_encryption = 1

                        """

                        after_encryption = 0

                        before_encryption = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.Crypto.Ipsec.FragmentationEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:ipsec'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.df_bit is not None:
                            return True

                        if self.fragmentation is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.Crypto.Ipsec']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:crypto'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipsec is not None and self.ipsec._has_data():
                        return True

                    if self.map is not None and self.map._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.Crypto']['meta_info']


            class Cts(object):
                """
                Configure Cisco Trusted Security
                
                .. attribute:: manual
                
                	Supply local configuration for CTS parameters
                	**type**\:   :py:class:`Manual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.manual = None


                class Manual(object):
                    """
                    Supply local configuration for CTS parameters
                    
                    .. attribute:: policy
                    
                    	CTS policy for manual mode
                    	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual.Policy>`
                    
                    .. attribute:: propagate
                    
                    	CTS SGT Propagation configuration for manual mode
                    	**type**\:   :py:class:`Propagate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual.Propagate>`
                    
                    .. attribute:: sap
                    
                    	CTS SAP configuration for manual mode
                    	**type**\:   :py:class:`Sap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual.Sap>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.policy = Native.Interface.Vlan.Cts.Manual.Policy()
                        self.policy.parent = self
                        self.propagate = Native.Interface.Vlan.Cts.Manual.Propagate()
                        self.propagate.parent = self
                        self.sap = Native.Interface.Vlan.Cts.Manual.Sap()
                        self.sap.parent = self


                    class Policy(object):
                        """
                        CTS policy for manual mode
                        
                        .. attribute:: static
                        
                        	Configure policy to be applied on the link
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual.Policy.Static>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = Native.Interface.Vlan.Cts.Manual.Policy.Static()
                            self.static.parent = self


                        class Static(object):
                            """
                            Configure policy to be applied on the link
                            
                            .. attribute:: sgt
                            
                            	Source Security Group Tag to apply to untagged or non\-trusted incoming traffic
                            	**type**\:  int
                            
                            	**range:** 2..65519
                            
                            .. attribute:: trusted
                            
                            	Trust the Source Group Tags (SGT) that the peer uses for sending
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.sgt = None
                                self.trusted = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-cts:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.sgt is not None:
                                    return True

                                if self.trusted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.Cts.Manual.Policy.Static']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.Cts.Manual.Policy']['meta_info']


                    class Sap(object):
                        """
                        CTS SAP configuration for manual mode
                        
                        .. attribute:: pmk
                        
                        	Pre\-Master Key (PMK) to use for CTS SAP
                        	**type**\: list of    :py:class:`Pmk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual.Sap.Pmk>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.pmk = YList()
                            self.pmk.parent = self
                            self.pmk.name = 'pmk'


                        class Pmk(object):
                            """
                            Pre\-Master Key (PMK) to use for CTS SAP
                            
                            .. attribute:: word  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: mode_list
                            
                            	List of advertised modes (prioritized from highest to lowest)
                            	**type**\:   :py:class:`ModeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.word = None
                                self.mode_list = Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList()
                                self.mode_list.parent = self


                            class ModeList(object):
                                """
                                List of advertised modes (prioritized from highest to lowest)
                                
                                .. attribute:: gcm_encrypt
                                
                                	GCM authentication, GCM encryption
                                	**type**\:   :py:class:`GcmEncrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_encap
                                
                                	No encapsulation
                                	**type**\:   :py:class:`NoEncap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.NoEncap>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.gcm_encrypt = None
                                    self.no_encap = None


                                class GcmEncrypt(object):
                                    """
                                    GCM authentication, GCM encryption
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:   :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.gmac = None


                                    class Gmac(object):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: null
                                        
                                        	Encapsulation present, no authentication,       no encryption
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.null = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:gmac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.null is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:gcm-encrypt'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.gmac is not None and self.gmac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info']


                                class NoEncap(object):
                                    """
                                    No encapsulation
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:   :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.gmac = None


                                    class Gmac(object):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: gcm_encrypt
                                        
                                        	GCM authentication, GCM encryption
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.gcm_encrypt = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:gmac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.gcm_encrypt is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:no-encap'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.gmac is not None and self.gmac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-cts:mode-list'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.gcm_encrypt is not None and self.gcm_encrypt._has_data():
                                        return True

                                    if self.no_encap is not None and self.no_encap._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.word is None:
                                    raise YPYModelError('Key property word is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-cts:pmk[Cisco-IOS-XE-cts:word = ' + str(self.word) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.word is not None:
                                    return True

                                if self.mode_list is not None and self.mode_list._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.Cts.Manual.Sap.Pmk']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:sap'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.pmk is not None:
                                for child_ref in self.pmk:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.Cts.Manual.Sap']['meta_info']


                    class Propagate(object):
                        """
                        CTS SGT Propagation configuration for manual mode
                        
                        .. attribute:: sgt
                        
                        	CTS SGT Propagation configuration
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.sgt = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:propagate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.sgt is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.Cts.Manual.Propagate']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-cts:manual'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.policy is not None and self.policy._has_data():
                            return True

                        if self.propagate is not None and self.propagate._has_data():
                            return True

                        if self.sap is not None and self.sap._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.Cts.Manual']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-cts:cts'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.manual is not None and self.manual._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.Cts']['meta_info']


            class ServicePolicy(object):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.history = None
                    self.input = None
                    self.output = None
                    self.type = Native.Interface.Vlan.ServicePolicy.Type()
                    self.type.parent = self


                class Type(object):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:   :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:   :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:   :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.control = Native.Interface.Vlan.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self.performance_monitor = Native.Interface.Vlan.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self.service_chain = Native.Interface.Vlan.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self


                    class Control(object):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.subscriber = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:control'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.subscriber is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.ServicePolicy.Type.Control']['meta_info']


                    class PerformanceMonitor(object):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServicePolicy.Type.PerformanceMonitor.DirectionEnum>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.direction = None
                            self.name = None

                        class DirectionEnum(Enum):
                            """
                            DirectionEnum

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = 0

                            output = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.ServicePolicy.Type.PerformanceMonitor.DirectionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:performance-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.direction is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.ServicePolicy.Type.PerformanceMonitor']['meta_info']


                    class ServiceChain(object):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self.output = Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self


                        class Input(object):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Input']['meta_info']


                        class Output(object):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:output'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:service-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None and self.input._has_data():
                                return True

                            if self.output is not None and self.output._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.ServicePolicy.Type.ServiceChain']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.control is not None and self.control._has_data():
                            return True

                        if self.performance_monitor is not None and self.performance_monitor._has_data():
                            return True

                        if self.service_chain is not None and self.service_chain._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.ServicePolicy.Type']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.history is not None:
                        return True

                    if self.input is not None:
                        return True

                    if self.output is not None:
                        return True

                    if self.type is not None and self.type._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.ServicePolicy']['meta_info']


            class Lisp(object):
                """
                Locator/ID Separation Protocol
                
                .. attribute:: extended_subnet_mode
                
                	Configures to enable extended subnet mode on the interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mobility
                
                	Configures to allow EID mobility on interface
                	**type**\:   :py:class:`Mobility <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Lisp.Mobility>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.extended_subnet_mode = None
                    self.mobility = Native.Interface.Vlan.Lisp.Mobility()
                    self.mobility.parent = self


                class Mobility(object):
                    """
                    Configures to allow EID mobility on interface
                    
                    .. attribute:: discover
                    
                    	Configure mobility dynamic EID discover settings
                    	**type**\:   :py:class:`Discover <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Lisp.Mobility.Discover>`
                    
                    .. attribute:: dynamic_eid
                    
                    	
                    	**type**\:   :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Lisp.Mobility.DynamicEid>`
                    
                    .. attribute:: liveness
                    
                    	Configure mobility liveness settings
                    	**type**\:   :py:class:`Liveness <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Lisp.Mobility.Liveness>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.discover = Native.Interface.Vlan.Lisp.Mobility.Discover()
                        self.discover.parent = self
                        self.dynamic_eid = Native.Interface.Vlan.Lisp.Mobility.DynamicEid()
                        self.dynamic_eid.parent = self
                        self.liveness = Native.Interface.Vlan.Lisp.Mobility.Liveness()
                        self.liveness.parent = self


                    class DynamicEid(object):
                        """
                        
                        
                        .. attribute:: dynamic_eid_name
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: nbr_proxy_reply
                        
                        	Neighbor proxy reply behavior for dynamic EID group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: requests
                        
                        	Send neighbor proxy reply after reaching request threshold
                        	**type**\:  int
                        
                        	**range:** 0..5
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dynamic_eid_name = None
                            self.nbr_proxy_reply = None
                            self.requests = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:dynamic-eid'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dynamic_eid_name is not None:
                                return True

                            if self.nbr_proxy_reply is not None:
                                return True

                            if self.requests is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.Lisp.Mobility.DynamicEid']['meta_info']


                    class Discover(object):
                        """
                        Configure mobility dynamic EID discover settings
                        
                        .. attribute:: arp
                        
                        	Dynamic EID discover through ARP events on this interface
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.arp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:discover'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.arp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.Lisp.Mobility.Discover']['meta_info']


                    class Liveness(object):
                        """
                        Configure mobility liveness settings
                        
                        .. attribute:: test
                        
                        	Perform liveness test on dynamic\-EID discovered on this interface
                        	**type**\:  bool
                        
                        .. attribute:: ttl
                        
                        	Configures the TTL in the liveness test packet
                        	**type**\:  int
                        
                        	**range:** 2..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.test = None
                            self.ttl = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:liveness'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.test is not None:
                                return True

                            if self.ttl is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.Lisp.Mobility.Liveness']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:mobility'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.discover is not None and self.discover._has_data():
                            return True

                        if self.dynamic_eid is not None and self.dynamic_eid._has_data():
                            return True

                        if self.liveness is not None and self.liveness._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.Lisp.Mobility']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.extended_subnet_mode is not None:
                        return True

                    if self.mobility is not None and self.mobility._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.Lisp']['meta_info']


            class PrivateVlan(object):
                """
                Configure private VLAN SVI interface settings
                
                .. attribute:: mapping
                
                	Set the private VLAN SVI interface mapping
                	**type**\:  str
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.mapping = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:private-vlan'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.mapping is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.PrivateVlan']['meta_info']


            class Vrrp(object):
                """
                
                
                .. attribute:: number  <key>
                
                	
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: ip
                
                	Enable Virtual Router Redundancy Protocol (VRRP) for IP
                	**type**\: list of    :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Vrrp.Ip>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.ip = YList()
                    self.ip.parent = self
                    self.ip.name = 'ip'


                class Ip(object):
                    """
                    Enable Virtual Router Redundancy Protocol (VRRP) for IP
                    
                    .. attribute:: ipv4  <key>
                    
                    	VRRP group IP address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: secondary
                    
                    	Make this IP address a secondary address
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = None
                        self.secondary = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.ipv4 is None:
                            raise YPYModelError('Key property ipv4 is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:ip[Cisco-IOS-XE-vlan:ipv4 = ' + str(self.ipv4) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None:
                            return True

                        if self.secondary is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.Vrrp.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.number is None:
                        raise YPYModelError('Key property number is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:vrrp[Cisco-IOS-XE-vlan:number = ' + str(self.number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.ip is not None:
                        for child_ref in self.ip:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.Vrrp']['meta_info']


            class Glbp(object):
                """
                Gateway Load Balancing Protocol interface commands
                
                .. attribute:: range
                
                	
                	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.range = YList()
                    self.range.parent = self
                    self.range.name = 'range'


                class Range(object):
                    """
                    
                    
                    .. attribute:: range  <key>
                    
                    	Group number
                    	**type**\:  int
                    
                    	**range:** 0..1023
                    
                    .. attribute:: forwarder
                    
                    	Forwarder configuration
                    	**type**\:   :py:class:`Forwarder <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Forwarder>`
                    
                    .. attribute:: ip
                    
                    	Enable group and set virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: name
                    
                    	Redundancy name
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority designated routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority value
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    .. attribute:: timers
                    
                    	Adjust GLBP timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Timers>`
                    
                    .. attribute:: weighting
                    
                    	Gateway weighting and tracking
                    	**type**\:   :py:class:`Weighting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Weighting>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.range = None
                        self.forwarder = Native.Interface.Vlan.Glbp.Range.Forwarder()
                        self.forwarder.parent = self
                        self.ip = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.timers = Native.Interface.Vlan.Glbp.Range.Timers()
                        self.timers.parent = self
                        self.weighting = Native.Interface.Vlan.Glbp.Range.Weighting()
                        self.weighting.parent = self


                    class Forwarder(object):
                        """
                        Forwarder configuration
                        
                        .. attribute:: preempt
                        
                        	Overthrow lower priority active forwarders
                        	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.preempt = None


                        class Preempt(object):
                            """
                            Overthrow lower priority active forwarders
                            
                            .. attribute:: delay
                            
                            	Wait before preempting
                            	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt.Delay>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.delay = Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt.Delay()
                                self.delay.parent = self


                            class Delay(object):
                                """
                                Wait before preempting
                                
                                .. attribute:: minimum
                                
                                	Number of seconds for minimum delay
                                	**type**\:  int
                                
                                	**range:** 0..3600
                                
                                

                                """

                                _prefix = 'ios-vlan'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.minimum = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.minimum is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt.Delay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:preempt'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.delay is not None and self.delay._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:forwarder'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.preempt is not None and self.preempt._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.Glbp.Range.Forwarder']['meta_info']


                    class Ip(object):
                        """
                        Enable group and set virtual IP address
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Ip.Ipv4>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ipv4 = YList()
                            self.ipv4.parent = self
                            self.ipv4.name = 'ipv4'


                        class Ipv4(object):
                            """
                            
                            
                            .. attribute:: ipv4  <key>
                            
                            	Virtual IP address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ipv4 is None:
                                    raise YPYModelError('Key property ipv4 is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:ipv4[Cisco-IOS-XE-vlan:ipv4 = ' + str(self.ipv4) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.Glbp.Range.Ip.Ipv4']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ipv4 is not None:
                                for child_ref in self.ipv4:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.Glbp.Range.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority designated routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.Vlan.Glbp.Range.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Number of seconds for minimum delay
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.Glbp.Range.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.Glbp.Range.Preempt']['meta_info']


                    class Weighting(object):
                        """
                        Gateway weighting and tracking
                        
                        .. attribute:: track
                        
                        	Interface tracking
                        	**type**\:   :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Weighting.Track>`
                        
                        .. attribute:: value
                        
                        	Weighting maximum value
                        	**type**\: list of    :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Weighting.Value>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.track = Native.Interface.Vlan.Glbp.Range.Weighting.Track()
                            self.track.parent = self
                            self.value = YList()
                            self.value.parent = self
                            self.value.name = 'value'


                        class Value(object):
                            """
                            Weighting maximum value
                            
                            .. attribute:: value  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** \-128..127
                            
                            .. attribute:: lower
                            
                            	
                            	**type**\:  int
                            
                            	**range:** \-128..127
                            
                            .. attribute:: upper
                            
                            	
                            	**type**\:  int
                            
                            	**range:** \-128..127
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.value = None
                                self.lower = None
                                self.upper = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.value is None:
                                    raise YPYModelError('Key property value is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:value[Cisco-IOS-XE-vlan:value = ' + str(self.value) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.value is not None:
                                    return True

                                if self.lower is not None:
                                    return True

                                if self.upper is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.Glbp.Range.Weighting.Value']['meta_info']


                        class Track(object):
                            """
                            Interface tracking
                            
                            .. attribute:: range
                            
                            	
                            	**type**\: list of    :py:class:`Range_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Weighting.Track.Range_>`
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.range = YList()
                                self.range.parent = self
                                self.range.name = 'range'


                            class Range_(object):
                                """
                                
                                
                                .. attribute:: range  <key>
                                
                                	Tracked object
                                	**type**\:  int
                                
                                	**range:** 1..1000
                                
                                .. attribute:: decrement
                                
                                	Decrement value
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-vlan'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.range = None
                                    self.decrement = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.range is None:
                                        raise YPYModelError('Key property range is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:range[Cisco-IOS-XE-vlan:range = ' + str(self.range) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.range is not None:
                                        return True

                                    if self.decrement is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.Glbp.Range.Weighting.Track.Range_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:track'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.range is not None:
                                    for child_ref in self.range:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.Glbp.Range.Weighting.Track']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:weighting'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.track is not None and self.track._has_data():
                                return True

                            if self.value is not None:
                                for child_ref in self.value:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.Glbp.Range.Weighting']['meta_info']


                    class Timers(object):
                        """
                        Adjust GLBP timers
                        
                        .. attribute:: msec
                        
                        	Specify hello interval in milliseconds
                        	**type**\:   :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Timers.Msec>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.msec = Native.Interface.Vlan.Glbp.Range.Timers.Msec()
                            self.msec.parent = self


                        class Msec(object):
                            """
                            Specify hello interval in milliseconds
                            
                            .. attribute:: range
                            
                            	
                            	**type**\: list of    :py:class:`Range_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Timers.Msec.Range_>`
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.range = YList()
                                self.range.parent = self
                                self.range.name = 'range'


                            class Range_(object):
                                """
                                
                                
                                .. attribute:: range  <key>
                                
                                	Hello interval in milliseconds
                                	**type**\:  int
                                
                                	**range:** 50..60000
                                
                                .. attribute:: range0
                                
                                	Hold time in seconds
                                	**type**\:  int
                                
                                	**range:** 1..180
                                
                                

                                """

                                _prefix = 'ios-vlan'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.range = None
                                    self.range0 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.range is None:
                                        raise YPYModelError('Key property range is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:range[Cisco-IOS-XE-vlan:range = ' + str(self.range) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.range is not None:
                                        return True

                                    if self.range0 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.Glbp.Range.Timers.Msec.Range_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:msec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.range is not None:
                                    for child_ref in self.range:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.Glbp.Range.Timers.Msec']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.msec is not None and self.msec._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.Glbp.Range.Timers']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.range is None:
                            raise YPYModelError('Key property range is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:range[Cisco-IOS-XE-vlan:range = ' + str(self.range) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.range is not None:
                            return True

                        if self.forwarder is not None and self.forwarder._has_data():
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.weighting is not None and self.weighting._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.Glbp.Range']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:glbp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.range is not None:
                        for child_ref in self.range:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.Glbp']['meta_info']


            class CiscoIosXeInterfaces_SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_SwitchportConf']['meta_info']


            class CiscoIosXeInterfaces_Switchport(object):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Switchport']['meta_info']


            class CiscoIosXeInterfaces_Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Arp']['meta_info']


            class CiscoIosXeInterfaces_Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Backup']['meta_info']


            class CiscoIosXeInterfaces_Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Cemoudp']['meta_info']


            class CiscoIosXeInterfaces_CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_CwsTunnel']['meta_info']


            class CiscoIosXeInterfaces_L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_L2ProtocolTunnel']['meta_info']


            class CiscoIosXeInterfaces_Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Encapsulation']['meta_info']


            class CiscoIosXeInterfaces_FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueueConf']['meta_info']


            class CiscoIosXeInterfaces_FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_FairQueue']['meta_info']


            class CiscoIosXeInterfaces_Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Flowcontrol']['meta_info']


            class CiscoIosXeInterfaces_Isis(object):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.KeepaliveSettings']['meta_info']


            class CiscoIosXeInterfaces_Bfd(object):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Bfd']['meta_info']


            class CiscoIosXeInterfaces_Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Bandwidth']['meta_info']


            class CiscoIosXeInterfaces_Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Dampening']['meta_info']


            class CiscoIosXeInterfaces_Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Domain']['meta_info']


            class CiscoIosXeInterfaces_HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_HoldQueue']['meta_info']


            class CiscoIosXeInterfaces_Mpls(object):
                """
                
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.Vlan.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.Vlan.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.Vrf']['meta_info']


            class CiscoIosXeInterfaces_Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HoldTime>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.NoAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.hello_interval = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HoldTime()
                    self.hold_time.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.no_address = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.NoAddress()
                    self.no_address.parent = self
                    self.pim = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.verify = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf()
                    self.vrf.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:secondary[Cisco-IOS-XE-vlan:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:helper-address[Cisco-IOS-XE-vlan:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:eigrp[Cisco-IOS-XE-vlan:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_()
                            self.vlan.parent = self


                        class Vlan_(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-vlan'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source.Vlan_']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip.Verify']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ip']['meta_info']


            class CiscoIosXeInterfaces_Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.mtu = None
                    self.nd = Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Nd()
                    self.nd.parent = self
                    self.redirects = None
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:prefix-list[Cisco-IOS-XE-vlan:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:link-local-address[Cisco-IOS-XE-vlan:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:traffic-filter[Cisco-IOS-XE-vlan:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6.TrafficFilter']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Ipv6']['meta_info']


            class CiscoIosXeInterfaces_Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Logging']['meta_info']


            class CiscoIosXeInterfaces_Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Mdix']['meta_info']


            class CiscoIosXeInterfaces_Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Mop']['meta_info']


            class CiscoIosXeInterfaces_Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Interface_Qos']['meta_info']


            class CiscoIosXeInterfaces_Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios-vlan'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios-vlan'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-vlan'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios-vlan'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:track[Cisco-IOS-XE-vlan:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:standby-list[Cisco-IOS-XE-vlan:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Standby']['meta_info']


            class CiscoIosXeInterfaces_AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_AccessSession']['meta_info']


            class CiscoIosXeInterfaces_StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_StormControl']['meta_info']


            class CiscoIosXeInterfaces_Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Trust']['meta_info']


            class CiscoIosXeInterfaces_Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Utd']['meta_info']


            class CiscoIosXeInterfaces_PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_PriorityQueue']['meta_info']


            class CiscoIosXeInterfaces_RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:cos-map[Cisco-IOS-XE-vlan:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-vlan:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_RcvQueue']['meta_info']


            class CiscoIosXeInterfaces_Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-vlan'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-vlan'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vlan:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vlan:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vlan:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_Peer']['meta_info']


            class CiscoIosXeInterfaces_PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vlan:Cisco-IOS-XE-interfaces_pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.CiscoIosXeInterfaces_PmPath']['meta_info']


            class ZoneMember(object):
                """
                Apply zone name
                
                .. attribute:: security
                
                	Security zone
                	**type**\:  str
                
                

                """

                _prefix = 'ios-zone'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.security = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-zone:zone-member'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.security is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vlan.ZoneMember']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:Vlan[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.cisco_ios_xe_interfaces_access_session is not None and self.cisco_ios_xe_interfaces_access_session._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_access_session is not None and self.cisco_ios_xe_interfaces_access_session._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_arp is not None and self.cisco_ios_xe_interfaces_arp._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_arp is not None and self.cisco_ios_xe_interfaces_arp._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_backup is not None and self.cisco_ios_xe_interfaces_backup._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_backup is not None and self.cisco_ios_xe_interfaces_backup._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_bandwidth is not None and self.cisco_ios_xe_interfaces_bandwidth._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_bandwidth is not None and self.cisco_ios_xe_interfaces_bandwidth._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_bfd is not None and self.cisco_ios_xe_interfaces_bfd._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_bfd is not None and self.cisco_ios_xe_interfaces_bfd._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_cemoudp is not None and self.cisco_ios_xe_interfaces_cemoudp._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_cemoudp is not None and self.cisco_ios_xe_interfaces_cemoudp._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_cws_tunnel is not None and self.cisco_ios_xe_interfaces_cws_tunnel._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_cws_tunnel is not None and self.cisco_ios_xe_interfaces_cws_tunnel._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_dampening is not None and self.cisco_ios_xe_interfaces_dampening._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_dampening is not None and self.cisco_ios_xe_interfaces_dampening._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_delay is not None:
                    return True

                if self.cisco_ios_xe_interfaces_delay_ is not None:
                    return True

                if self.cisco_ios_xe_interfaces_description is not None:
                    return True

                if self.cisco_ios_xe_interfaces_description_ is not None:
                    return True

                if self.cisco_ios_xe_interfaces_domain is not None and self.cisco_ios_xe_interfaces_domain._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_domain is not None and self.cisco_ios_xe_interfaces_domain._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_encapsulation is not None and self.cisco_ios_xe_interfaces_encapsulation._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_encapsulation is not None and self.cisco_ios_xe_interfaces_encapsulation._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_fair_queue is not None and self.cisco_ios_xe_interfaces_fair_queue._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_fair_queue is not None and self.cisco_ios_xe_interfaces_fair_queue._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_fair_queue_conf is not None and self.cisco_ios_xe_interfaces_fair_queue_conf._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_fair_queue_conf is not None and self.cisco_ios_xe_interfaces_fair_queue_conf._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_flowcontrol is not None and self.cisco_ios_xe_interfaces_flowcontrol._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_flowcontrol is not None and self.cisco_ios_xe_interfaces_flowcontrol._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_hold_queue is not None and self.cisco_ios_xe_interfaces_hold_queue._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_hold_queue is not None and self.cisco_ios_xe_interfaces_hold_queue._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_if_state is not None:
                    return True

                if self.cisco_ios_xe_interfaces_if_state_ is not None:
                    return True

                if self.cisco_ios_xe_interfaces_interface_qos is not None and self.cisco_ios_xe_interfaces_interface_qos._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_interface_qos is not None and self.cisco_ios_xe_interfaces_interface_qos._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_ip is not None and self.cisco_ios_xe_interfaces_ip._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_ip is not None and self.cisco_ios_xe_interfaces_ip._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_ipv6 is not None and self.cisco_ios_xe_interfaces_ipv6._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_ipv6 is not None and self.cisco_ios_xe_interfaces_ipv6._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_isis is not None and self.cisco_ios_xe_interfaces_isis._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_isis is not None and self.cisco_ios_xe_interfaces_isis._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_l2protocol_tunnel is not None and self.cisco_ios_xe_interfaces_l2protocol_tunnel._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_l2protocol_tunnel is not None and self.cisco_ios_xe_interfaces_l2protocol_tunnel._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_load_interval is not None:
                    return True

                if self.cisco_ios_xe_interfaces_load_interval_ is not None:
                    return True

                if self.cisco_ios_xe_interfaces_logging is not None and self.cisco_ios_xe_interfaces_logging._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_logging is not None and self.cisco_ios_xe_interfaces_logging._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_max_reserved_bandwidth is not None:
                    return True

                if self.cisco_ios_xe_interfaces_max_reserved_bandwidth_ is not None:
                    return True

                if self.cisco_ios_xe_interfaces_mdix is not None and self.cisco_ios_xe_interfaces_mdix._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_mdix is not None and self.cisco_ios_xe_interfaces_mdix._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_mop is not None and self.cisco_ios_xe_interfaces_mop._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_mop is not None and self.cisco_ios_xe_interfaces_mop._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_mpls is not None and self.cisco_ios_xe_interfaces_mpls._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_mpls is not None and self.cisco_ios_xe_interfaces_mpls._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_mtu is not None:
                    return True

                if self.cisco_ios_xe_interfaces_mtu_ is not None:
                    return True

                if self.cisco_ios_xe_interfaces_peer is not None and self.cisco_ios_xe_interfaces_peer._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_peer is not None and self.cisco_ios_xe_interfaces_peer._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_pm_path is not None and self.cisco_ios_xe_interfaces_pm_path._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_pm_path is not None and self.cisco_ios_xe_interfaces_pm_path._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_priority_queue is not None and self.cisco_ios_xe_interfaces_priority_queue._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_priority_queue is not None and self.cisco_ios_xe_interfaces_priority_queue._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_rcv_queue is not None and self.cisco_ios_xe_interfaces_rcv_queue._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_rcv_queue is not None and self.cisco_ios_xe_interfaces_rcv_queue._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_service_insertion is not None:
                    return True

                if self.cisco_ios_xe_interfaces_service_insertion_ is not None:
                    return True

                if self.cisco_ios_xe_interfaces_shutdown is not None:
                    return True

                if self.cisco_ios_xe_interfaces_shutdown_ is not None:
                    return True

                if self.cisco_ios_xe_interfaces_standby is not None and self.cisco_ios_xe_interfaces_standby._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_standby is not None and self.cisco_ios_xe_interfaces_standby._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_storm_control is not None and self.cisco_ios_xe_interfaces_storm_control._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_storm_control is not None and self.cisco_ios_xe_interfaces_storm_control._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_switchport is not None and self.cisco_ios_xe_interfaces_switchport._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_switchport is not None and self.cisco_ios_xe_interfaces_switchport._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_switchport_conf is not None and self.cisco_ios_xe_interfaces_switchport_conf._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_switchport_conf is not None and self.cisco_ios_xe_interfaces_switchport_conf._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_trust is not None and self.cisco_ios_xe_interfaces_trust._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_trust is not None and self.cisco_ios_xe_interfaces_trust._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_utd is not None and self.cisco_ios_xe_interfaces_utd._has_data():
                    return True

                if self.cisco_ios_xe_interfaces_utd is not None and self.cisco_ios_xe_interfaces_utd._has_data():
                    return True

                if self.crypto is not None and self.crypto._has_data():
                    return True

                if self.cts is not None and self.cts._has_data():
                    return True

                if self.glbp is not None and self.glbp._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_ is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.lisp is not None and self.lisp._has_data():
                    return True

                if self.private_vlan is not None and self.private_vlan._has_data():
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                if self.vrrp is not None:
                    for child_ref in self.vrrp:
                        if child_ref._has_data():
                            return True

                if self.zone_member is not None and self.zone_member._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.Vlan']['meta_info']


        class GroupAsync(object):
            """
            Async Group interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  int
            
            	**range:** 0..64
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Bfd>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Domain>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Encapsulation>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Logging>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Peer>`
            
            .. attribute:: physical_layer
            
            	Configure sync or async physical layer on serial interface
            	**type**\:   :py:class:`PhysicalLayerEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.PhysicalLayerEnum>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.PmPath>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.RcvQueue>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.ServiceInsertionEnum>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.SwitchportConf>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Trust>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Utd>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.GroupAsync.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.GroupAsync.Arp()
                self.arp.parent = self
                self.backup = Native.Interface.GroupAsync.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.GroupAsync.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.GroupAsync.Bfd()
                self.bfd.parent = self
                self.cemoudp = Native.Interface.GroupAsync.Cemoudp()
                self.cemoudp.parent = self
                self.cws_tunnel = Native.Interface.GroupAsync.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.delay = None
                self.description = None
                self.domain = Native.Interface.GroupAsync.Domain()
                self.domain.parent = self
                self.encapsulation = Native.Interface.GroupAsync.Encapsulation()
                self.encapsulation.parent = self
                self.fair_queue = Native.Interface.GroupAsync.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.GroupAsync.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.GroupAsync.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.GroupAsync.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.GroupAsync.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.GroupAsync.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.GroupAsync.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.GroupAsync.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.GroupAsync.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.GroupAsync.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.load_interval = None
                self.logging = Native.Interface.GroupAsync.Logging()
                self.logging.parent = self
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.GroupAsync.Mdix()
                self.mdix.parent = self
                self.mop = Native.Interface.GroupAsync.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.GroupAsync.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.peer = Native.Interface.GroupAsync.Peer()
                self.peer.parent = self
                self.physical_layer = None
                self.pm_path = Native.Interface.GroupAsync.PmPath()
                self.pm_path.parent = self
                self.priority_queue = Native.Interface.GroupAsync.PriorityQueue()
                self.priority_queue.parent = self
                self.rcv_queue = Native.Interface.GroupAsync.RcvQueue()
                self.rcv_queue.parent = self
                self.service_insertion = None
                self.shutdown = None
                self.standby = Native.Interface.GroupAsync.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.GroupAsync.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Interface.GroupAsync.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.GroupAsync.SwitchportConf()
                self.switchport_conf.parent = self
                self.trust = Native.Interface.GroupAsync.Trust()
                self.trust.parent = self
                self.utd = Native.Interface.GroupAsync.Utd()
                self.utd.parent = self
                self.vrf = Native.Interface.GroupAsync.Vrf()
                self.vrf.parent = self

            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.IfStateEnum']


            class PhysicalLayerEnum(Enum):
                """
                PhysicalLayerEnum

                Configure sync or async physical layer on serial interface

                .. data:: async = 0

                .. data:: sync = 1

                """

                async = 0

                sync = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.PhysicalLayerEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.ServiceInsertionEnum']



            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.GroupAsync.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.GroupAsync.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.GroupAsync.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.GroupAsync.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.GroupAsync.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.GroupAsync.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.GroupAsync.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.GroupAsync.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.GroupAsync.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.GroupAsync.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.GroupAsync.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.GroupAsync.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.GroupAsync.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.GroupAsync.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.GroupAsync.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.GroupAsync.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.GroupAsync.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.HoldTime>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.NoAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Vrf>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.GroupAsync.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.GroupAsync.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.GroupAsync.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.GroupAsync.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.GroupAsync.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.hello_interval = Native.Interface.GroupAsync.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.GroupAsync.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.no_address = Native.Interface.GroupAsync.Ip.NoAddress()
                    self.no_address.parent = self
                    self.pim = Native.Interface.GroupAsync.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.GroupAsync.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.GroupAsync.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.GroupAsync.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.GroupAsync.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.GroupAsync.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.verify = Native.Interface.GroupAsync.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.GroupAsync.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.GroupAsync.Ip.Vrf()
                    self.vrf.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.GroupAsync.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.GroupAsync.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.GroupAsync.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.GroupAsync.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.GroupAsync.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.GroupAsync.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.GroupAsync.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.GroupAsync.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.GroupAsync.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.GroupAsync.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.GroupAsync.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.GroupAsync.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.GroupAsync.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.GroupAsync.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.GroupAsync.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.GroupAsync.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.GroupAsync.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.GroupAsync.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ip.Verify']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.GroupAsync.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.GroupAsync.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.mtu = None
                    self.nd = Native.Interface.GroupAsync.Ipv6.Nd()
                    self.nd.parent = self
                    self.redirects = None
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Ipv6.TrafficFilter']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.GroupAsync.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.GroupAsync.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.GroupAsync.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.GroupAsync.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.GroupAsync.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.GroupAsync.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.GroupAsync.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.GroupAsync.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.GroupAsync.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.GroupAsync.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.GroupAsync.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.GroupAsync.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.GroupAsync.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.GroupAsync.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.GroupAsync.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.GroupAsync.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.GroupAsync.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.GroupAsync.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.GroupAsync.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.GroupAsync.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.GroupAsync.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.GroupAsync.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.GroupAsync.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.GroupAsync.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.GroupAsync.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.GroupAsync.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.GroupAsync.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.GroupAsync.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.GroupAsync.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.GroupAsync.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.GroupAsync.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.GroupAsync.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.GroupAsync.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.GroupAsync.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.GroupAsync.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.GroupAsync.PmPath']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:Group-Async[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.physical_layer is not None:
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.shutdown is not None:
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.GroupAsync']['meta_info']


        class Multilink(object):
            """
            Multilink\-group interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  int
            
            	**range:** 1..65535
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Bfd>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Domain>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Encapsulation>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Logging>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.PmPath>`
            
            .. attribute:: ppp
            
            	Point\-to\-Point Protocol
            	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.RcvQueue>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.ServiceInsertionEnum>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.SwitchportConf>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Trust>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Utd>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.Multilink.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.Multilink.Arp()
                self.arp.parent = self
                self.backup = Native.Interface.Multilink.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.Multilink.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.Multilink.Bfd()
                self.bfd.parent = self
                self.cemoudp = Native.Interface.Multilink.Cemoudp()
                self.cemoudp.parent = self
                self.cws_tunnel = Native.Interface.Multilink.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.delay = None
                self.description = None
                self.domain = Native.Interface.Multilink.Domain()
                self.domain.parent = self
                self.encapsulation = Native.Interface.Multilink.Encapsulation()
                self.encapsulation.parent = self
                self.fair_queue = Native.Interface.Multilink.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.Multilink.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.Multilink.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.Multilink.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.Multilink.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.Multilink.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.Multilink.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.Multilink.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.Multilink.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.Multilink.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.load_interval = None
                self.logging = Native.Interface.Multilink.Logging()
                self.logging.parent = self
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.Multilink.Mdix()
                self.mdix.parent = self
                self.mop = Native.Interface.Multilink.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.Multilink.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.peer = Native.Interface.Multilink.Peer()
                self.peer.parent = self
                self.pm_path = Native.Interface.Multilink.PmPath()
                self.pm_path.parent = self
                self.ppp = Native.Interface.Multilink.Ppp()
                self.ppp.parent = self
                self.priority_queue = Native.Interface.Multilink.PriorityQueue()
                self.priority_queue.parent = self
                self.rcv_queue = Native.Interface.Multilink.RcvQueue()
                self.rcv_queue.parent = self
                self.service_insertion = None
                self.shutdown = None
                self.standby = Native.Interface.Multilink.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.Multilink.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Interface.Multilink.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.Multilink.SwitchportConf()
                self.switchport_conf.parent = self
                self.trust = Native.Interface.Multilink.Trust()
                self.trust.parent = self
                self.utd = Native.Interface.Multilink.Utd()
                self.utd.parent = self
                self.vrf = Native.Interface.Multilink.Vrf()
                self.vrf.parent = self

            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.IfStateEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.ServiceInsertionEnum']



            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.Multilink.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.Multilink.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.Multilink.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.Multilink.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.Multilink.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.Multilink.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.Multilink.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.Multilink.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.Multilink.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.Multilink.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.Multilink.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.Multilink.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.Multilink.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.Multilink.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.Multilink.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.Multilink.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.Multilink.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.HoldTime>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.NoAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Vrf>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Multilink.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.Multilink.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.Multilink.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.Multilink.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.Multilink.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.hello_interval = Native.Interface.Multilink.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.Multilink.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.no_address = Native.Interface.Multilink.Ip.NoAddress()
                    self.no_address.parent = self
                    self.pim = Native.Interface.Multilink.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.Multilink.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.Multilink.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.Multilink.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.Multilink.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.Multilink.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.verify = Native.Interface.Multilink.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.Multilink.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.Multilink.Ip.Vrf()
                    self.vrf.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.Multilink.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.Multilink.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Multilink.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Multilink.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Multilink.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Multilink.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.Multilink.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Multilink.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.Multilink.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.Multilink.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.Multilink.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Multilink.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Multilink.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.Multilink.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.Multilink.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Multilink.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.Multilink.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Multilink.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ip.Verify']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.Multilink.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.Multilink.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.mtu = None
                    self.nd = Native.Interface.Multilink.Ipv6.Nd()
                    self.nd.parent = self
                    self.redirects = None
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ipv6.TrafficFilter']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.Multilink.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.Multilink.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.Multilink.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.Multilink.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.Multilink.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.Multilink.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.Multilink.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.Multilink.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.Multilink.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.Multilink.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.Multilink.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.Multilink.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.Multilink.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.Multilink.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.Multilink.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.Multilink.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.Multilink.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.Multilink.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Multilink.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Multilink.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Multilink.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Multilink.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Multilink.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Multilink.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Multilink.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Multilink.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.Multilink.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.Multilink.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.Multilink.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.Multilink.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.Multilink.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Multilink.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Multilink.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.PmPath']['meta_info']


            class Ppp(object):
                """
                Point\-to\-Point Protocol
                
                .. attribute:: accounting
                
                	Set PPP network accounting method
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:   :py:class:`AccountingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.AccountingEnum>`
                
                
                ----
                .. attribute:: authentication
                
                	Set PPP link authentication method
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Authentication>`
                
                .. attribute:: authorization
                
                	Set PPP network authorization method
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:   :py:class:`AuthorizationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.AuthorizationEnum>`
                
                
                ----
                .. attribute:: chap
                
                	Set CHAP authentication parameters
                	**type**\:   :py:class:`Chap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Chap>`
                
                .. attribute:: ipcp
                
                	Set IPCP negotiation options
                	**type**\:   :py:class:`Ipcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Ipcp>`
                
                .. attribute:: multilink
                
                	Make interface multilink capable
                	**type**\:   :py:class:`Multilink_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Multilink_>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-ppp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.accounting = None
                    self.authentication = Native.Interface.Multilink.Ppp.Authentication()
                    self.authentication.parent = self
                    self.authorization = None
                    self.chap = Native.Interface.Multilink.Ppp.Chap()
                    self.chap.parent = self
                    self.ipcp = Native.Interface.Multilink.Ppp.Ipcp()
                    self.ipcp.parent = self
                    self.multilink = None

                class AccountingEnum(Enum):
                    """
                    AccountingEnum

                    Set PPP network accounting method

                    .. data:: default = 0

                    """

                    default = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ppp.AccountingEnum']


                class AuthorizationEnum(Enum):
                    """
                    AuthorizationEnum

                    Set PPP network authorization method

                    .. data:: default = 0

                    """

                    default = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ppp.AuthorizationEnum']



                class Chap(object):
                    """
                    Set CHAP authentication parameters
                    
                    .. attribute:: challenge_length
                    
                    	Challenge Length for CHAP
                    	**type**\:  int
                    
                    	**range:** 16..63
                    
                    .. attribute:: hostname
                    
                    	Set alternate CHAP hostname
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.challenge_length = None
                        self.hostname = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ppp:chap'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.challenge_length is not None:
                            return True

                        if self.hostname is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ppp.Chap']['meta_info']


                class Authentication(object):
                    """
                    Set PPP link authentication method
                    
                    .. attribute:: callback
                    
                    	Authenticate remote on callback only
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: callin
                    
                    	Authenticate remote on incoming call only
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: callout
                    
                    	Authenticate remote on outgoing call only
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: chap
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: default
                    
                    	Use the default authentication list
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: eap
                    
                    	Extensible Authentication Protocol (EAP)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: list_name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: method
                    
                    	
                    	**type**\:   :py:class:`MethodEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Authentication.MethodEnum>`
                    
                    .. attribute:: ms_chap
                    
                    	Microsoft Challenge Handshake Authentication Protocol (MS\-CHAP)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ms_chap_v2
                    
                    	Microsoft CHAP Version 2 (MS\-CHAP\-V2)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: one_time
                    
                    	Allow use of username\*OTP for one\-time passwords
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: optional
                    
                    	Allow peer to refuse to authenticate
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pap
                    
                    	Password Authentication Protocol (PAP)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.callback = None
                        self.callin = None
                        self.callout = None
                        self.chap = None
                        self.default = None
                        self.eap = None
                        self.list_name = None
                        self.method = None
                        self.ms_chap = None
                        self.ms_chap_v2 = None
                        self.one_time = None
                        self.optional = None
                        self.pap = None

                    class MethodEnum(Enum):
                        """
                        MethodEnum

                        .. data:: chap = 0

                        .. data:: eap = 1

                        .. data:: ms_chap = 2

                        .. data:: ms_chap_v2 = 3

                        .. data:: pap = 4

                        """

                        chap = 0

                        eap = 1

                        ms_chap = 2

                        ms_chap_v2 = 3

                        pap = 4


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ppp.Authentication.MethodEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ppp:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.callback is not None:
                            return True

                        if self.callin is not None:
                            return True

                        if self.callout is not None:
                            return True

                        if self.chap is not None:
                            return True

                        if self.default is not None:
                            return True

                        if self.eap is not None:
                            return True

                        if self.list_name is not None:
                            return True

                        if self.method is not None:
                            return True

                        if self.ms_chap is not None:
                            return True

                        if self.ms_chap_v2 is not None:
                            return True

                        if self.one_time is not None:
                            return True

                        if self.optional is not None:
                            return True

                        if self.pap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ppp.Authentication']['meta_info']


                class Ipcp(object):
                    """
                    Set IPCP negotiation options
                    
                    .. attribute:: dns
                    
                    	Specify DNS negotiation options
                    	**type**\:   :py:class:`Dns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Ipcp.Dns>`
                    
                    

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dns = Native.Interface.Multilink.Ppp.Ipcp.Dns()
                        self.dns.parent = self


                    class Dns(object):
                        """
                        Specify DNS negotiation options
                        
                        .. attribute:: primary
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.primary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ppp:dns'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.primary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ppp.Ipcp.Dns']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ppp:ipcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dns is not None and self.dns._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ppp.Ipcp']['meta_info']


                class Multilink_(object):
                    """
                    Make interface multilink capable
                    
                    .. attribute:: endpoint
                    
                    	Configure the local Endpoint Discriminator
                    	**type**\:   :py:class:`Endpoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Multilink_.Endpoint>`
                    
                    .. attribute:: fragment
                    
                    	Specify fragmentation parameters
                    	**type**\:   :py:class:`Fragment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Multilink_.Fragment>`
                    
                    .. attribute:: group
                    
                    	Put interface in a multilink bundle
                    	**type**\:  int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: links
                    
                    	Specify the limits on the number of links in a bundle
                    	**type**\:   :py:class:`Links <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Multilink_.Links>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.endpoint = Native.Interface.Multilink.Ppp.Multilink_.Endpoint()
                        self.endpoint.parent = self
                        self.fragment = Native.Interface.Multilink.Ppp.Multilink_.Fragment()
                        self.fragment.parent = self
                        self.group = None
                        self.links = Native.Interface.Multilink.Ppp.Multilink_.Links()
                        self.links.parent = self


                    class Links(object):
                        """
                        Specify the limits on the number of links in a bundle
                        
                        .. attribute:: minimum
                        
                        	Minimum number of links desired in the bundle
                        	**type**\:   :py:class:`Minimum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Multilink_.Links.Minimum>`
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.minimum = Native.Interface.Multilink.Ppp.Multilink_.Links.Minimum()
                            self.minimum.parent = self


                        class Minimum(object):
                            """
                            Minimum number of links desired in the bundle
                            
                            .. attribute:: mandatory
                            
                            	Disable network layer until minimum number of links is reach
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum_value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ppp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mandatory = None
                                self.minimum_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ppp:minimum'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mandatory is not None:
                                    return True

                                if self.minimum_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.Ppp.Multilink_.Links.Minimum']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ppp:links'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.minimum is not None and self.minimum._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ppp.Multilink_.Links']['meta_info']


                    class Endpoint(object):
                        """
                        Configure the local Endpoint Discriminator
                        
                        .. attribute:: string
                        
                        	Use specified string
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.string = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ppp:endpoint'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.string is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ppp.Multilink_.Endpoint']['meta_info']


                    class Fragment(object):
                        """
                        Specify fragmentation parameters
                        
                        .. attribute:: delay
                        
                        	Specify the maximum delay for each fragment
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Multilink_.Fragment.Delay>`
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.delay = Native.Interface.Multilink.Ppp.Multilink_.Fragment.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Specify the maximum delay for each fragment
                            
                            .. attribute:: additional_delay_value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..999
                            
                            .. attribute:: delay_value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..1000
                            
                            

                            """

                            _prefix = 'ios-ppp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.additional_delay_value = None
                                self.delay_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ppp:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.additional_delay_value is not None:
                                    return True

                                if self.delay_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Multilink.Ppp.Multilink_.Fragment.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ppp:fragment'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Multilink.Ppp.Multilink_.Fragment']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ppp:multilink'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.endpoint is not None and self.endpoint._has_data():
                            return True

                        if self.fragment is not None and self.fragment._has_data():
                            return True

                        if self.group is not None:
                            return True

                        if self.links is not None and self.links._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Multilink.Ppp.Multilink_']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ppp:ppp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.accounting is not None:
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.authorization is not None:
                        return True

                    if self.chap is not None and self.chap._has_data():
                        return True

                    if self.ipcp is not None and self.ipcp._has_data():
                        return True

                    if self.multilink is not None and self.multilink._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Multilink.Ppp']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:Multilink[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.ppp is not None and self.ppp._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.shutdown is not None:
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.Multilink']['meta_info']


        class Serial(object):
            """
            Serial interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            	**pattern:** ([0\-9])+/([0\-9])+/([0\-9])+\\.([0\-9])+/([0\-9])+/([0\-9])+/([0\-9])+\:([0\-9])
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Bfd>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Domain>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Encapsulation>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Logging>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.PmPath>`
            
            .. attribute:: ppp
            
            	Point\-to\-Point Protocol
            	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.RcvQueue>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.ServiceInsertionEnum>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.SwitchportConf>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Trust>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Utd>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.Serial.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.Serial.Arp()
                self.arp.parent = self
                self.backup = Native.Interface.Serial.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.Serial.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.Serial.Bfd()
                self.bfd.parent = self
                self.cemoudp = Native.Interface.Serial.Cemoudp()
                self.cemoudp.parent = self
                self.cws_tunnel = Native.Interface.Serial.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.delay = None
                self.description = None
                self.domain = Native.Interface.Serial.Domain()
                self.domain.parent = self
                self.encapsulation = Native.Interface.Serial.Encapsulation()
                self.encapsulation.parent = self
                self.fair_queue = Native.Interface.Serial.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.Serial.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.Serial.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.Serial.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.Serial.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.Serial.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.Serial.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.Serial.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.Serial.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.Serial.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.load_interval = None
                self.logging = Native.Interface.Serial.Logging()
                self.logging.parent = self
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.Serial.Mdix()
                self.mdix.parent = self
                self.mop = Native.Interface.Serial.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.Serial.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.peer = Native.Interface.Serial.Peer()
                self.peer.parent = self
                self.pm_path = Native.Interface.Serial.PmPath()
                self.pm_path.parent = self
                self.ppp = Native.Interface.Serial.Ppp()
                self.ppp.parent = self
                self.priority_queue = Native.Interface.Serial.PriorityQueue()
                self.priority_queue.parent = self
                self.rcv_queue = Native.Interface.Serial.RcvQueue()
                self.rcv_queue.parent = self
                self.service_insertion = None
                self.shutdown = None
                self.standby = Native.Interface.Serial.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.Serial.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Interface.Serial.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.Serial.SwitchportConf()
                self.switchport_conf.parent = self
                self.trust = Native.Interface.Serial.Trust()
                self.trust.parent = self
                self.utd = Native.Interface.Serial.Utd()
                self.utd.parent = self
                self.vrf = Native.Interface.Serial.Vrf()
                self.vrf.parent = self

            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.IfStateEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.ServiceInsertionEnum']



            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.Serial.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.Serial.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.Serial.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.Serial.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.Serial.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.Serial.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.Serial.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.Serial.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.Serial.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.Serial.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.Serial.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.Serial.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.Serial.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.Serial.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.Serial.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.Serial.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.Serial.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.HoldTime>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.NoAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Vrf>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Serial.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.Serial.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.Serial.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.Serial.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.Serial.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.hello_interval = Native.Interface.Serial.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.Serial.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.no_address = Native.Interface.Serial.Ip.NoAddress()
                    self.no_address.parent = self
                    self.pim = Native.Interface.Serial.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.Serial.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.Serial.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.Serial.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.Serial.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.Serial.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.verify = Native.Interface.Serial.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.Serial.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.Serial.Ip.Vrf()
                    self.vrf.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.Serial.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.Serial.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Serial.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Serial.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Serial.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Serial.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.Serial.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Serial.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.Serial.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.Serial.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.Serial.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Serial.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Serial.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.Serial.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.Serial.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Serial.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.Serial.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Serial.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ip.Verify']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.Serial.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.Serial.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.mtu = None
                    self.nd = Native.Interface.Serial.Ipv6.Nd()
                    self.nd.parent = self
                    self.redirects = None
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ipv6.TrafficFilter']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.Serial.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.Serial.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.Serial.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.Serial.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.Serial.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.Serial.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.Serial.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Serial.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.Serial.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Serial.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Serial.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.Serial.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.Serial.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.Serial.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.Serial.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.Serial.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.Serial.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.Serial.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.Serial.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.Serial.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.Serial.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.Serial.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Serial.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Serial.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Serial.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Serial.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Serial.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Serial.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Serial.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Serial.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.Serial.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.Serial.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.Serial.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.Serial.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.Serial.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Serial.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Serial.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.PmPath']['meta_info']


            class Ppp(object):
                """
                Point\-to\-Point Protocol
                
                .. attribute:: accounting
                
                	Set PPP network accounting method
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:   :py:class:`AccountingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.AccountingEnum>`
                
                
                ----
                .. attribute:: authentication
                
                	Set PPP link authentication method
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Authentication>`
                
                .. attribute:: authorization
                
                	Set PPP network authorization method
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:   :py:class:`AuthorizationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.AuthorizationEnum>`
                
                
                ----
                .. attribute:: chap
                
                	Set CHAP authentication parameters
                	**type**\:   :py:class:`Chap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Chap>`
                
                .. attribute:: ipcp
                
                	Set IPCP negotiation options
                	**type**\:   :py:class:`Ipcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Ipcp>`
                
                .. attribute:: multilink
                
                	Make interface multilink capable
                	**type**\:   :py:class:`Multilink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Multilink>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-ppp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.accounting = None
                    self.authentication = Native.Interface.Serial.Ppp.Authentication()
                    self.authentication.parent = self
                    self.authorization = None
                    self.chap = Native.Interface.Serial.Ppp.Chap()
                    self.chap.parent = self
                    self.ipcp = Native.Interface.Serial.Ppp.Ipcp()
                    self.ipcp.parent = self
                    self.multilink = None

                class AccountingEnum(Enum):
                    """
                    AccountingEnum

                    Set PPP network accounting method

                    .. data:: default = 0

                    """

                    default = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ppp.AccountingEnum']


                class AuthorizationEnum(Enum):
                    """
                    AuthorizationEnum

                    Set PPP network authorization method

                    .. data:: default = 0

                    """

                    default = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ppp.AuthorizationEnum']



                class Chap(object):
                    """
                    Set CHAP authentication parameters
                    
                    .. attribute:: challenge_length
                    
                    	Challenge Length for CHAP
                    	**type**\:  int
                    
                    	**range:** 16..63
                    
                    .. attribute:: hostname
                    
                    	Set alternate CHAP hostname
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.challenge_length = None
                        self.hostname = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ppp:chap'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.challenge_length is not None:
                            return True

                        if self.hostname is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ppp.Chap']['meta_info']


                class Authentication(object):
                    """
                    Set PPP link authentication method
                    
                    .. attribute:: callback
                    
                    	Authenticate remote on callback only
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: callin
                    
                    	Authenticate remote on incoming call only
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: callout
                    
                    	Authenticate remote on outgoing call only
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: chap
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: default
                    
                    	Use the default authentication list
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: eap
                    
                    	Extensible Authentication Protocol (EAP)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: list_name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: method
                    
                    	
                    	**type**\:   :py:class:`MethodEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Authentication.MethodEnum>`
                    
                    .. attribute:: ms_chap
                    
                    	Microsoft Challenge Handshake Authentication Protocol (MS\-CHAP)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ms_chap_v2
                    
                    	Microsoft CHAP Version 2 (MS\-CHAP\-V2)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: one_time
                    
                    	Allow use of username\*OTP for one\-time passwords
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: optional
                    
                    	Allow peer to refuse to authenticate
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pap
                    
                    	Password Authentication Protocol (PAP)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.callback = None
                        self.callin = None
                        self.callout = None
                        self.chap = None
                        self.default = None
                        self.eap = None
                        self.list_name = None
                        self.method = None
                        self.ms_chap = None
                        self.ms_chap_v2 = None
                        self.one_time = None
                        self.optional = None
                        self.pap = None

                    class MethodEnum(Enum):
                        """
                        MethodEnum

                        .. data:: chap = 0

                        .. data:: eap = 1

                        .. data:: ms_chap = 2

                        .. data:: ms_chap_v2 = 3

                        .. data:: pap = 4

                        """

                        chap = 0

                        eap = 1

                        ms_chap = 2

                        ms_chap_v2 = 3

                        pap = 4


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ppp.Authentication.MethodEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ppp:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.callback is not None:
                            return True

                        if self.callin is not None:
                            return True

                        if self.callout is not None:
                            return True

                        if self.chap is not None:
                            return True

                        if self.default is not None:
                            return True

                        if self.eap is not None:
                            return True

                        if self.list_name is not None:
                            return True

                        if self.method is not None:
                            return True

                        if self.ms_chap is not None:
                            return True

                        if self.ms_chap_v2 is not None:
                            return True

                        if self.one_time is not None:
                            return True

                        if self.optional is not None:
                            return True

                        if self.pap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ppp.Authentication']['meta_info']


                class Ipcp(object):
                    """
                    Set IPCP negotiation options
                    
                    .. attribute:: dns
                    
                    	Specify DNS negotiation options
                    	**type**\:   :py:class:`Dns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Ipcp.Dns>`
                    
                    

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dns = Native.Interface.Serial.Ppp.Ipcp.Dns()
                        self.dns.parent = self


                    class Dns(object):
                        """
                        Specify DNS negotiation options
                        
                        .. attribute:: primary
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.primary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ppp:dns'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.primary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ppp.Ipcp.Dns']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ppp:ipcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dns is not None and self.dns._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ppp.Ipcp']['meta_info']


                class Multilink(object):
                    """
                    Make interface multilink capable
                    
                    .. attribute:: endpoint
                    
                    	Configure the local Endpoint Discriminator
                    	**type**\:   :py:class:`Endpoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Multilink.Endpoint>`
                    
                    .. attribute:: fragment
                    
                    	Specify fragmentation parameters
                    	**type**\:   :py:class:`Fragment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Multilink.Fragment>`
                    
                    .. attribute:: group
                    
                    	Put interface in a multilink bundle
                    	**type**\:  int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: links
                    
                    	Specify the limits on the number of links in a bundle
                    	**type**\:   :py:class:`Links <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Multilink.Links>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.endpoint = Native.Interface.Serial.Ppp.Multilink.Endpoint()
                        self.endpoint.parent = self
                        self.fragment = Native.Interface.Serial.Ppp.Multilink.Fragment()
                        self.fragment.parent = self
                        self.group = None
                        self.links = Native.Interface.Serial.Ppp.Multilink.Links()
                        self.links.parent = self


                    class Links(object):
                        """
                        Specify the limits on the number of links in a bundle
                        
                        .. attribute:: minimum
                        
                        	Minimum number of links desired in the bundle
                        	**type**\:   :py:class:`Minimum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Multilink.Links.Minimum>`
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.minimum = Native.Interface.Serial.Ppp.Multilink.Links.Minimum()
                            self.minimum.parent = self


                        class Minimum(object):
                            """
                            Minimum number of links desired in the bundle
                            
                            .. attribute:: mandatory
                            
                            	Disable network layer until minimum number of links is reach
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum_value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ppp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mandatory = None
                                self.minimum_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ppp:minimum'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mandatory is not None:
                                    return True

                                if self.minimum_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.Ppp.Multilink.Links.Minimum']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ppp:links'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.minimum is not None and self.minimum._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ppp.Multilink.Links']['meta_info']


                    class Endpoint(object):
                        """
                        Configure the local Endpoint Discriminator
                        
                        .. attribute:: string
                        
                        	Use specified string
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.string = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ppp:endpoint'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.string is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ppp.Multilink.Endpoint']['meta_info']


                    class Fragment(object):
                        """
                        Specify fragmentation parameters
                        
                        .. attribute:: delay
                        
                        	Specify the maximum delay for each fragment
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Multilink.Fragment.Delay>`
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.delay = Native.Interface.Serial.Ppp.Multilink.Fragment.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Specify the maximum delay for each fragment
                            
                            .. attribute:: additional_delay_value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..999
                            
                            .. attribute:: delay_value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..1000
                            
                            

                            """

                            _prefix = 'ios-ppp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.additional_delay_value = None
                                self.delay_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ppp:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.additional_delay_value is not None:
                                    return True

                                if self.delay_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Serial.Ppp.Multilink.Fragment.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ppp:fragment'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Serial.Ppp.Multilink.Fragment']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ppp:multilink'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.endpoint is not None and self.endpoint._has_data():
                            return True

                        if self.fragment is not None and self.fragment._has_data():
                            return True

                        if self.group is not None:
                            return True

                        if self.links is not None and self.links._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Serial.Ppp.Multilink']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ppp:ppp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.accounting is not None:
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.authorization is not None:
                        return True

                    if self.chap is not None and self.chap._has_data():
                        return True

                    if self.ipcp is not None and self.ipcp._has_data():
                        return True

                    if self.multilink is not None and self.multilink._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Serial.Ppp']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:Serial[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.ppp is not None and self.ppp._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.shutdown is not None:
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.Serial']['meta_info']


        class Tunnel(object):
            """
            Tunnel interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Bfd>`
            
            .. attribute:: cdp
            
            	CDP interface subcommands
            	**type**\:   :py:class:`Cdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cdp>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cemoudp>`
            
            .. attribute:: crypto
            
            	Encryption/Decryption commands
            	**type**\:   :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Crypto>`
            
            .. attribute:: cts
            
            	Configure Cisco Trusted Security
            	**type**\:   :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Domain>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Encapsulation>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: lisp
            
            	Locator/ID Separation Protocol
            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Lisp>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Logging>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: nhrp
            
            	NHRP Interface commands
            	**type**\:   :py:class:`Nhrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Nhrp>`
            
            .. attribute:: ospfv3
            
            	OSPFv3 interface commands
            	**type**\:   :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Peer>`
            
            .. attribute:: performance
            
            	Global performance monitor configuration
            	**type**\:   :py:class:`Performance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Performance>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.PmPath>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.PriorityQueue>`
            
            .. attribute:: qos
            
            	Quality of Service related commands
            	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Qos>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.RcvQueue>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.ServiceInsertionEnum>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.ServicePolicy>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: snmp
            
            	Modify SNMP interface parameters
            	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Snmp>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.SwitchportConf>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Trust>`
            
            .. attribute:: tunnel
            
            	protocol\-over\-protocol tunneling
            	**type**\:   :py:class:`Tunnel_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_>`
            
            .. attribute:: udld
            
            	Configure UDLD enabled or disabled and ignore global UDLD setting
            	**type**\:   :py:class:`Udld <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Udld>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Utd>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Vrf>`
            
            .. attribute:: zone_member
            
            	Apply zone name
            	**type**\:   :py:class:`ZoneMember <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.ZoneMember>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.Tunnel.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.Tunnel.Arp()
                self.arp.parent = self
                self.backup = Native.Interface.Tunnel.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.Tunnel.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.Tunnel.Bfd()
                self.bfd.parent = self
                self.cdp = Native.Interface.Tunnel.Cdp()
                self.cdp.parent = self
                self.cemoudp = Native.Interface.Tunnel.Cemoudp()
                self.cemoudp.parent = self
                self.crypto = Native.Interface.Tunnel.Crypto()
                self.crypto.parent = self
                self.cts = Native.Interface.Tunnel.Cts()
                self.cts.parent = self
                self.cws_tunnel = Native.Interface.Tunnel.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.delay = None
                self.description = None
                self.domain = Native.Interface.Tunnel.Domain()
                self.domain.parent = self
                self.encapsulation = Native.Interface.Tunnel.Encapsulation()
                self.encapsulation.parent = self
                self.fair_queue = Native.Interface.Tunnel.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.Tunnel.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.Tunnel.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.Tunnel.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.Tunnel.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.Tunnel.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.Tunnel.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.Tunnel.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.Tunnel.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.Tunnel.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.lisp = Native.Interface.Tunnel.Lisp()
                self.lisp.parent = self
                self.load_interval = None
                self.logging = Native.Interface.Tunnel.Logging()
                self.logging.parent = self
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.Tunnel.Mdix()
                self.mdix.parent = self
                self.mop = Native.Interface.Tunnel.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.Tunnel.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.nhrp = Native.Interface.Tunnel.Nhrp()
                self.nhrp.parent = self
                self.ospfv3 = Native.Interface.Tunnel.Ospfv3()
                self.ospfv3.parent = self
                self.peer = Native.Interface.Tunnel.Peer()
                self.peer.parent = self
                self.performance = Native.Interface.Tunnel.Performance()
                self.performance.parent = self
                self.pm_path = Native.Interface.Tunnel.PmPath()
                self.pm_path.parent = self
                self.priority_queue = Native.Interface.Tunnel.PriorityQueue()
                self.priority_queue.parent = self
                self.qos = Native.Interface.Tunnel.Qos()
                self.qos.parent = self
                self.rcv_queue = Native.Interface.Tunnel.RcvQueue()
                self.rcv_queue.parent = self
                self.service_insertion = None
                self.service_policy = Native.Interface.Tunnel.ServicePolicy()
                self.service_policy.parent = self
                self.shutdown = None
                self.snmp = Native.Interface.Tunnel.Snmp()
                self.snmp.parent = self
                self.standby = Native.Interface.Tunnel.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.Tunnel.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Interface.Tunnel.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.Tunnel.SwitchportConf()
                self.switchport_conf.parent = self
                self.trust = Native.Interface.Tunnel.Trust()
                self.trust.parent = self
                self.tunnel = Native.Interface.Tunnel.Tunnel_()
                self.tunnel.parent = self
                self.udld = Native.Interface.Tunnel.Udld()
                self.udld.parent = self
                self.utd = Native.Interface.Tunnel.Utd()
                self.utd.parent = self
                self.vrf = Native.Interface.Tunnel.Vrf()
                self.vrf.parent = self
                self.zone_member = Native.Interface.Tunnel.ZoneMember()
                self.zone_member.parent = self

            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.IfStateEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.ServiceInsertionEnum']



            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.Tunnel.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.Tunnel.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.Tunnel.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.Tunnel.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.Tunnel.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.Tunnel.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.Tunnel.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.Tunnel.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.Tunnel.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.Tunnel.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.Tunnel.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.Tunnel.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.Tunnel.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                .. attribute:: adjacency_filter
                
                	Filter IS\-IS adjacencies
                	**type**\:   :py:class:`AdjacencyFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.AdjacencyFilter>`
                
                .. attribute:: advertise
                
                	Control addresses advertisements in LSPs
                	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Advertise>`
                
                .. attribute:: authentication
                
                	ISIS authentication for interface related PDUs
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Authentication>`
                
                .. attribute:: circuit_type
                
                	Configure circuit type for interface
                	**type**\:   :py:class:`CircuitType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.CircuitType>`
                
                	**presence node**\: True
                
                .. attribute:: csnp_interval
                
                	Set CSNP interval in seconds
                	**type**\:   :py:class:`CsnpInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.CsnpInterval>`
                
                .. attribute:: hello
                
                	Add padding to IS\-IS hello packets
                	**type**\:   :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Hello>`
                
                .. attribute:: hello_interval
                
                	Set Hello interval in seconds
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.HelloInterval>`
                
                .. attribute:: hello_multiplier
                
                	Set multiplier for Hello holding time
                	**type**\:   :py:class:`HelloMultiplier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.HelloMultiplier>`
                
                .. attribute:: ipv6
                
                	IPv6 interface configuration
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Ipv6>`
                
                .. attribute:: lsp_interval
                
                	Set LSP transmission interval
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                .. attribute:: mesh_group
                
                	Set ISIS mesh group
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                
                ----
                	**type**\:   :py:class:`MeshGroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.MeshGroupEnum>`
                
                
                ----
                .. attribute:: metric
                
                	Configure the metric for interface
                	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Metric>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:   :py:class:`NetworkEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.NetworkEnum>`
                
                .. attribute:: password
                
                	Configure the authentication password for interface
                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Password>`
                
                .. attribute:: priority
                
                	Set priority for Designated Router election
                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Priority>`
                
                .. attribute:: protocol
                
                	Set ISIS protocol's state under current interface
                	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.ProtocolEnum>`
                
                .. attribute:: retransmit_interval
                
                	Set per\-LSP retransmission interval
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: retransmit_throttle_interval
                
                	Set interface LSP retransmission interval
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tag
                
                	Assign an admin tag to an ISIS interface IP route
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                .. attribute:: three_way_handshake
                
                	Select Cisco or IETF three\-way handshake
                	**type**\:   :py:class:`ThreeWayHandshake <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.ThreeWayHandshake>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.adjacency_filter = Native.Interface.Tunnel.Isis.AdjacencyFilter()
                    self.adjacency_filter.parent = self
                    self.advertise = Native.Interface.Tunnel.Isis.Advertise()
                    self.advertise.parent = self
                    self.authentication = Native.Interface.Tunnel.Isis.Authentication()
                    self.authentication.parent = self
                    self.circuit_type = None
                    self.csnp_interval = Native.Interface.Tunnel.Isis.CsnpInterval()
                    self.csnp_interval.parent = self
                    self.hello = Native.Interface.Tunnel.Isis.Hello()
                    self.hello.parent = self
                    self.hello_interval = Native.Interface.Tunnel.Isis.HelloInterval()
                    self.hello_interval.parent = self
                    self.hello_multiplier = Native.Interface.Tunnel.Isis.HelloMultiplier()
                    self.hello_multiplier.parent = self
                    self.ipv6 = Native.Interface.Tunnel.Isis.Ipv6()
                    self.ipv6.parent = self
                    self.lsp_interval = None
                    self.mesh_group = None
                    self.metric = Native.Interface.Tunnel.Isis.Metric()
                    self.metric.parent = self
                    self.network = None
                    self.password = Native.Interface.Tunnel.Isis.Password()
                    self.password.parent = self
                    self.priority = Native.Interface.Tunnel.Isis.Priority()
                    self.priority.parent = self
                    self.protocol = None
                    self.retransmit_interval = None
                    self.retransmit_throttle_interval = None
                    self.tag = None
                    self.three_way_handshake = None

                class MeshGroupEnum(Enum):
                    """
                    MeshGroupEnum

                    Set ISIS mesh group

                    .. data:: blocked = 0

                    """

                    blocked = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Isis.MeshGroupEnum']


                class NetworkEnum(Enum):
                    """
                    NetworkEnum

                    Network type

                    .. data:: point_to_point = 0

                    """

                    point_to_point = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Isis.NetworkEnum']


                class ProtocolEnum(Enum):
                    """
                    ProtocolEnum

                    Set ISIS protocol's state under current interface

                    .. data:: shutdown = 0

                    """

                    shutdown = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Isis.ProtocolEnum']



                class AdjacencyFilter(object):
                    """
                    Filter IS\-IS adjacencies
                    
                    .. attribute:: match_all
                    
                    	Match all area addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: name
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.match_all = None
                        self.name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:adjacency-filter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.match_all is not None:
                            return True

                        if self.name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Isis.AdjacencyFilter']['meta_info']


                class Advertise(object):
                    """
                    Control addresses advertisements in LSPs
                    
                    .. attribute:: prefix
                    
                    	Interface IP address
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.prefix = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:advertise'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.prefix is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Isis.Advertise']['meta_info']


                class Authentication(object):
                    """
                    ISIS authentication for interface related PDUs
                    
                    .. attribute:: key_chain
                    
                    	Authentication key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	Authentication mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Authentication.Mode>`
                    
                    .. attribute:: send_only
                    
                    	Authentication send only, receive ignore
                    	**type**\:   :py:class:`SendOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Authentication.SendOnly>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Tunnel.Isis.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Tunnel.Isis.Authentication.Mode()
                        self.mode.parent = self
                        self.send_only = None


                    class Mode(object):
                        """
                        Authentication mode
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Authentication.Mode.Md5>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: text
                        
                        	Clear text password
                        	**type**\:   :py:class:`Text <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Authentication.Mode.Text>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = None
                            self.text = None


                        class Md5(object):
                            """
                            Keyed message digest
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Isis.Authentication.Mode.Md5']['meta_info']


                        class Text(object):
                            """
                            Clear text password
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:text'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Isis.Authentication.Mode.Text']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None and self.text._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Isis.Authentication.Mode']['meta_info']


                    class KeyChain(object):
                        """
                        Authentication key\-chain
                        
                        .. attribute:: key_chain_list
                        
                        	
                        	**type**\: list of    :py:class:`KeyChainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Authentication.KeyChain.KeyChainList>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_chain_list = YList()
                            self.key_chain_list.parent = self
                            self.key_chain_list.name = 'key_chain_list'
                            self.name = None


                        class KeyChainList(object):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.levels = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.levels is None:
                                    raise YPYModelError('Key property levels is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:key-chain-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.levels is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Isis.Authentication.KeyChain.KeyChainList']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_chain_list is not None:
                                for child_ref in self.key_chain_list:
                                    if child_ref._has_data():
                                        return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Isis.Authentication.KeyChain']['meta_info']


                    class SendOnly(object):
                        """
                        Authentication send only, receive ignore
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.levels = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:send-only'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.levels is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Isis.Authentication.SendOnly']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        if self.send_only is not None and self.send_only._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Isis.Authentication']['meta_info']


                class CircuitType(object):
                    """
                    Configure circuit type for interface
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.CircuitType.LevelsEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.levels = None

                    class LevelsEnum(Enum):
                        """
                        LevelsEnum

                        .. data:: level_1 = 0

                        .. data:: level_1_2 = 1

                        .. data:: level_2_only = 2

                        """

                        level_1 = 0

                        level_1_2 = 1

                        level_2_only = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Isis.CircuitType.LevelsEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:circuit-type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.levels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Isis.CircuitType']['meta_info']


                class CsnpInterval(object):
                    """
                    Set CSNP interval in seconds
                    
                    .. attribute:: csnp_interval_list
                    
                    	
                    	**type**\: list of    :py:class:`CsnpIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.CsnpInterval.CsnpIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.csnp_interval_list = YList()
                        self.csnp_interval_list.parent = self
                        self.csnp_interval_list.name = 'csnp_interval_list'
                        self.value = None


                    class CsnpIntervalList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:csnp-interval-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Isis.CsnpInterval.CsnpIntervalList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:csnp-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.csnp_interval_list is not None:
                            for child_ref in self.csnp_interval_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Isis.CsnpInterval']['meta_info']


                class Hello(object):
                    """
                    Add padding to IS\-IS hello packets
                    
                    .. attribute:: padding
                    
                    	Pad hello packets
                    	**type**\:   :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Hello.Padding>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.padding = None


                    class Padding(object):
                        """
                        Pad hello packets
                        
                        .. attribute:: always
                        
                        	Never pad hello packets if no prefix present
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.always = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:padding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.always is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Isis.Hello.Padding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.padding is not None and self.padding._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Isis.Hello']['meta_info']


                class HelloInterval(object):
                    """
                    Set Hello interval in seconds
                    
                    .. attribute:: hello_interval_list
                    
                    	
                    	**type**\: list of    :py:class:`HelloIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.HelloInterval.HelloIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    
                    ----
                    	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hello_interval_list = YList()
                        self.hello_interval_list.parent = self
                        self.hello_interval_list.name = 'hello_interval_list'
                        self.value = None

                    class ValueEnum(Enum):
                        """
                        ValueEnum

                        .. data:: minimal = 0

                        """

                        minimal = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Isis.HelloInterval.ValueEnum']



                    class HelloIntervalList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.HelloInterval.HelloIntervalList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Isis.HelloInterval.HelloIntervalList.LevelsEnum']


                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: minimal = 0

                            """

                            minimal = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Isis.HelloInterval.HelloIntervalList.ValueEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-interval-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Isis.HelloInterval.HelloIntervalList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hello_interval_list is not None:
                            for child_ref in self.hello_interval_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Isis.HelloInterval']['meta_info']


                class HelloMultiplier(object):
                    """
                    Set multiplier for Hello holding time
                    
                    .. attribute:: hello_multiplier_list
                    
                    	
                    	**type**\: list of    :py:class:`HelloMultiplierList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.HelloMultiplier.HelloMultiplierList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 3..1000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hello_multiplier_list = YList()
                        self.hello_multiplier_list.parent = self
                        self.hello_multiplier_list.name = 'hello_multiplier_list'
                        self.value = None


                    class HelloMultiplierList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 3..1000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-multiplier-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Isis.HelloMultiplier.HelloMultiplierList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-multiplier'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hello_multiplier_list is not None:
                            for child_ref in self.hello_multiplier_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Isis.HelloMultiplier']['meta_info']


                class Ipv6(object):
                    """
                    IPv6 interface configuration
                    
                    .. attribute:: metric
                    
                    	Configure the metric for interface
                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Ipv6.Metric>`
                    
                    .. attribute:: tag
                    
                    	Assign an admin tag to an ISIS interface IPv6 route
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.metric = Native.Interface.Tunnel.Isis.Ipv6.Metric()
                        self.metric.parent = self
                        self.tag = None


                    class Metric(object):
                        """
                        Configure the metric for interface
                        
                        .. attribute:: metric_list
                        
                        	
                        	**type**\: list of    :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Ipv6.Metric.MetricList>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric_list = YList()
                            self.metric_list.parent = self
                            self.metric_list.name = 'metric_list'
                            self.value = None

                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: maximum = 0

                            """

                            maximum = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Isis.Ipv6.Metric.ValueEnum']



                        class MetricList(object):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Ipv6.Metric.MetricList.LevelsEnum>`
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..16777214
                            
                            
                            ----
                            	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.levels = None
                                self.value = None

                            class LevelsEnum(Enum):
                                """
                                LevelsEnum

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = 0

                                level_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Isis.Ipv6.Metric.MetricList.LevelsEnum']


                            class ValueEnum(Enum):
                                """
                                ValueEnum

                                .. data:: maximum = 0

                                """

                                maximum = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Isis.Ipv6.Metric.MetricList.ValueEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.levels is None:
                                    raise YPYModelError('Key property levels is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:metric-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.levels is not None:
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Isis.Ipv6.Metric.MetricList']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:metric'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric_list is not None:
                                for child_ref in self.metric_list:
                                    if child_ref._has_data():
                                        return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Isis.Ipv6.Metric']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.metric is not None and self.metric._has_data():
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Isis.Ipv6']['meta_info']


                class Metric(object):
                    """
                    Configure the metric for interface
                    
                    .. attribute:: metric_list
                    
                    	
                    	**type**\: list of    :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Metric.MetricList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..16777214
                    
                    
                    ----
                    	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.metric_list = YList()
                        self.metric_list.parent = self
                        self.metric_list.name = 'metric_list'
                        self.value = None

                    class ValueEnum(Enum):
                        """
                        ValueEnum

                        .. data:: maximum = 0

                        """

                        maximum = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Isis.Metric.ValueEnum']



                    class MetricList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Metric.MetricList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Isis.Metric.MetricList.LevelsEnum']


                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: maximum = 0

                            """

                            maximum = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Isis.Metric.MetricList.ValueEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:metric-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Isis.Metric.MetricList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:metric'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.metric_list is not None:
                            for child_ref in self.metric_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Isis.Metric']['meta_info']


                class Password(object):
                    """
                    Configure the authentication password for interface
                    
                    .. attribute:: password
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: password_list
                    
                    	
                    	**type**\: list of    :py:class:`PasswordList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Password.PasswordList>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.password = None
                        self.password_list = YList()
                        self.password_list.parent = self
                        self.password_list.name = 'password_list'


                    class PasswordList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Password.PasswordList.LevelsEnum>`
                        
                        .. attribute:: password
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.password = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Isis.Password.PasswordList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:password-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.password is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Isis.Password.PasswordList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:password'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.password is not None:
                            return True

                        if self.password_list is not None:
                            for child_ref in self.password_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Isis.Password']['meta_info']


                class Priority(object):
                    """
                    Set priority for Designated Router election
                    
                    .. attribute:: priority_list
                    
                    	
                    	**type**\: list of    :py:class:`PriorityList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Priority.PriorityList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..127
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.priority_list = YList()
                        self.priority_list.parent = self
                        self.priority_list.name = 'priority_list'
                        self.value = None


                    class PriorityList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Priority.PriorityList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..127
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Isis.Priority.PriorityList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:priority-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Isis.Priority.PriorityList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:priority'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.priority_list is not None:
                            for child_ref in self.priority_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Isis.Priority']['meta_info']


                class ThreeWayHandshake(object):
                    """
                    Select Cisco or IETF three\-way handshake
                    
                    .. attribute:: implementor
                    
                    	
                    	**type**\:   :py:class:`ImplementorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.ThreeWayHandshake.ImplementorEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.implementor = None

                    class ImplementorEnum(Enum):
                        """
                        ImplementorEnum

                        .. data:: cisco = 0

                        .. data:: ietf = 1

                        """

                        cisco = 0

                        ietf = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Isis.ThreeWayHandshake.ImplementorEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:three-way-handshake'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.implementor is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Isis.ThreeWayHandshake']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.adjacency_filter is not None and self.adjacency_filter._has_data():
                        return True

                    if self.advertise is not None and self.advertise._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.circuit_type is not None and self.circuit_type._has_data():
                        return True

                    if self.csnp_interval is not None and self.csnp_interval._has_data():
                        return True

                    if self.hello is not None and self.hello._has_data():
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.hello_multiplier is not None and self.hello_multiplier._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    if self.lsp_interval is not None:
                        return True

                    if self.mesh_group is not None:
                        return True

                    if self.metric is not None and self.metric._has_data():
                        return True

                    if self.network is not None:
                        return True

                    if self.password is not None and self.password._has_data():
                        return True

                    if self.priority is not None and self.priority._has_data():
                        return True

                    if self.protocol is not None:
                        return True

                    if self.retransmit_interval is not None:
                        return True

                    if self.retransmit_throttle_interval is not None:
                        return True

                    if self.tag is not None:
                        return True

                    if self.three_way_handshake is not None and self.three_way_handshake._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                .. attribute:: echo
                
                	Use echo adjunct as bfd detection mechanism
                	**type**\:  bool
                
                .. attribute:: interval
                
                	Transmit interval between BFD packets
                	**type**\:   :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Bfd.Interval>`
                
                .. attribute:: template
                
                	BFD template
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.echo = None
                    self.interval = Native.Interface.Tunnel.Bfd.Interval()
                    self.interval.parent = self
                    self.template = None


                class Interval(object):
                    """
                    Transmit interval between BFD packets
                    
                    .. attribute:: min_rx
                    
                    	Minimum receive interval capability
                    	**type**\:  int
                    
                    	**range:** 100..999
                    
                    .. attribute:: msecs
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 100..999
                    
                    .. attribute:: multiplier
                    
                    	Multiplier value used to compute holddown
                    	**type**\:  int
                    
                    	**range:** 3..50
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.min_rx = None
                        self.msecs = None
                        self.multiplier = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bfd:interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.min_rx is not None:
                            return True

                        if self.msecs is not None:
                            return True

                        if self.multiplier is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Bfd.Interval']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.echo is not None:
                        return True

                    if self.interval is not None and self.interval._has_data():
                        return True

                    if self.template is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.Tunnel.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.Tunnel.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                .. attribute:: accounting
                
                	Enable MPLS accounting on this interface
                	**type**\:   :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.Accounting>`
                
                .. attribute:: bgp
                
                	MPLS BGP
                	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.Bgp>`
                
                .. attribute:: ip
                
                	Configure dynamic MPLS forwarding for IP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: label
                
                	Label properties
                	**type**\:   :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.Label>`
                
                .. attribute:: ldp
                
                	Configure Label Distribution Protocol (LDP) parameters
                	**type**\:   :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.Ldp>`
                
                .. attribute:: mtu
                
                	Set MPLS Maximum Transmission Unit
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1501..1524
                
                
                ----
                	**type**\:  int
                
                	**range:** 64..1500
                
                
                ----
                	**type**\:  int
                
                	**range:** 64..9216
                
                
                ----
                .. attribute:: traffic_eng
                
                	Configure Traffic Engineering parameters
                	**type**\:   :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.TrafficEng>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.accounting = Native.Interface.Tunnel.Mpls.Accounting()
                    self.accounting.parent = self
                    self.bgp = Native.Interface.Tunnel.Mpls.Bgp()
                    self.bgp.parent = self
                    self.ip = None
                    self.label = Native.Interface.Tunnel.Mpls.Label()
                    self.label.parent = self
                    self.ldp = Native.Interface.Tunnel.Mpls.Ldp()
                    self.ldp.parent = self
                    self.mtu = None
                    self.traffic_eng = Native.Interface.Tunnel.Mpls.TrafficEng()
                    self.traffic_eng.parent = self


                class Accounting(object):
                    """
                    Enable MPLS accounting on this interface
                    
                    .. attribute:: experimental
                    
                    	Count packets by MPLS experimental value on this interface
                    	**type**\:   :py:class:`Experimental <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.Accounting.Experimental>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.experimental = Native.Interface.Tunnel.Mpls.Accounting.Experimental()
                        self.experimental.parent = self


                    class Experimental(object):
                        """
                        Count packets by MPLS experimental value on this interface
                        
                        .. attribute:: input
                        
                        	received packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	transmitted packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = None
                            self.output = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:experimental'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None:
                                return True

                            if self.output is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Mpls.Accounting.Experimental']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:accounting'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.experimental is not None and self.experimental._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Mpls.Accounting']['meta_info']


                class Bgp(object):
                    """
                    MPLS BGP
                    
                    .. attribute:: forwarding
                    
                    	Configure MPLS forwarding for directly connected BGP peers
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:bgp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Mpls.Bgp']['meta_info']


                class Label(object):
                    """
                    Label properties
                    
                    .. attribute:: protocol
                    
                    	Configure label/tag distribution protocol (LDP/TDP)
                    	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.Label.ProtocolEnum>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.protocol = None

                    class ProtocolEnum(Enum):
                        """
                        ProtocolEnum

                        Configure label/tag distribution protocol (LDP/TDP)

                        .. data:: both = 0

                        .. data:: ldp = 1

                        .. data:: tdp = 2

                        """

                        both = 0

                        ldp = 1

                        tdp = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Mpls.Label.ProtocolEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:label'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.protocol is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Mpls.Label']['meta_info']


                class Ldp(object):
                    """
                    Configure Label Distribution Protocol (LDP) parameters
                    
                    .. attribute:: discovery
                    
                    	Configure interface LDP Discovery parameters
                    	**type**\:   :py:class:`Discovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.Ldp.Discovery>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.discovery = Native.Interface.Tunnel.Mpls.Ldp.Discovery()
                        self.discovery.parent = self


                    class Discovery(object):
                        """
                        Configure interface LDP Discovery parameters
                        
                        .. attribute:: transport_address
                        
                        	Specify interface LDP transport address
                        	**type**\: one of the below types:
                        
                        	**type**\:   :py:class:`LdpDiscoveryAddressTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_mpls.LdpDiscoveryAddressTypeEnum>`
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.transport_address = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:discovery'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.transport_address is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Mpls.Ldp.Discovery']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:ldp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.discovery is not None and self.discovery._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Mpls.Ldp']['meta_info']


                class TrafficEng(object):
                    """
                    Configure Traffic Engineering parameters
                    
                    .. attribute:: administrative_weight
                    
                    	Set the administrative weight for the interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: attribute_flags
                    
                    	Set user\-defined interface attibute flags
                    	**type**\:  str
                    
                    .. attribute:: backup_path
                    
                    	Configure an MPLS TE backup for this interface
                    	**type**\:  str
                    
                    .. attribute:: flooding
                    
                    	Set flooding parameters
                    	**type**\:   :py:class:`Flooding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.TrafficEng.Flooding>`
                    
                    .. attribute:: tunnels
                    
                    	enable MPLS Traffic Engineering tunnels
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.administrative_weight = None
                        self.attribute_flags = None
                        self.backup_path = None
                        self.flooding = Native.Interface.Tunnel.Mpls.TrafficEng.Flooding()
                        self.flooding.parent = self
                        self.tunnels = None


                    class Flooding(object):
                        """
                        Set flooding parameters
                        
                        .. attribute:: thresholds
                        
                        	Set flooding thresholds
                        	**type**\:   :py:class:`Thresholds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.TrafficEng.Flooding.Thresholds>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.thresholds = Native.Interface.Tunnel.Mpls.TrafficEng.Flooding.Thresholds()
                            self.thresholds.parent = self


                        class Thresholds(object):
                            """
                            Set flooding thresholds
                            
                            .. attribute:: down
                            
                            	Set the thresholds for decreased resource availability
                            	**type**\:  list of int
                            
                            	**range:** 0..100
                            
                            .. attribute:: up
                            
                            	Set the thresholds for increased resource availability
                            	**type**\:  list of int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.down = YLeafList()
                                self.down.parent = self
                                self.down.name = 'down'
                                self.up = YLeafList()
                                self.up.parent = self
                                self.up.name = 'up'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:thresholds'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.down is not None:
                                    for child in self.down:
                                        if child is not None:
                                            return True

                                if self.up is not None:
                                    for child in self.up:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Mpls.TrafficEng.Flooding.Thresholds']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:flooding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.thresholds is not None and self.thresholds._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Mpls.TrafficEng.Flooding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:traffic-eng'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.administrative_weight is not None:
                            return True

                        if self.attribute_flags is not None:
                            return True

                        if self.backup_path is not None:
                            return True

                        if self.flooding is not None and self.flooding._has_data():
                            return True

                        if self.tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Mpls.TrafficEng']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.accounting is not None and self.accounting._has_data():
                        return True

                    if self.bgp is not None and self.bgp._has_data():
                        return True

                    if self.ip is not None:
                        return True

                    if self.label is not None and self.label._has_data():
                        return True

                    if self.ldp is not None and self.ldp._has_data():
                        return True

                    if self.mtu is not None:
                        return True

                    if self.traffic_eng is not None and self.traffic_eng._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.Tunnel.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.Tunnel.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Flow>`
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.HoldTime>`
                
                .. attribute:: igmp
                
                	IGMP interface commands
                	**type**\:   :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Igmp>`
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol
                	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Lisp>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: nbar
                
                	Network\-Based Application Recognition
                	**type**\:   :py:class:`Nbar <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nbar>`
                
                .. attribute:: nhrp
                
                	NHRP interface subcommands
                	**type**\:   :py:class:`Nhrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp>`
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.NoAddress>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:   :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: unreachables
                
                	Enable sending ICMP Unreachable messages
                	**type**\:  bool
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Vrf>`
                
                .. attribute:: wccp
                
                	WCCP IPv4 interface commands
                	**type**\:   :py:class:`Wccp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Tunnel.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.Tunnel.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.Tunnel.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.Tunnel.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.Tunnel.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.flow = Native.Interface.Tunnel.Ip.Flow()
                    self.flow.parent = self
                    self.hello_interval = Native.Interface.Tunnel.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.Tunnel.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.igmp = Native.Interface.Tunnel.Ip.Igmp()
                    self.igmp.parent = self
                    self.lisp = Native.Interface.Tunnel.Ip.Lisp()
                    self.lisp.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.nbar = Native.Interface.Tunnel.Ip.Nbar()
                    self.nbar.parent = self
                    self.nhrp = Native.Interface.Tunnel.Ip.Nhrp()
                    self.nhrp.parent = self
                    self.no_address = Native.Interface.Tunnel.Ip.NoAddress()
                    self.no_address.parent = self
                    self.ospf = Native.Interface.Tunnel.Ip.Ospf()
                    self.ospf.parent = self
                    self.pim = Native.Interface.Tunnel.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.Tunnel.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.Tunnel.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.Tunnel.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.Tunnel.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.Tunnel.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.unreachables = None
                    self.verify = Native.Interface.Tunnel.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.Tunnel.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.Tunnel.Ip.Vrf()
                    self.vrf.parent = self
                    self.wccp = Native.Interface.Tunnel.Ip.Wccp()
                    self.wccp.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.Tunnel.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.Tunnel.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Tunnel.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Tunnel.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Tunnel.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Tunnel.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.Tunnel.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Tunnel.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.Tunnel.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.Tunnel.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.Tunnel.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Tunnel.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Tunnel.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    .. attribute:: accept_register
                    
                    	
                    	**type**\:   :py:class:`AcceptRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Pim.AcceptRegister>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM router DR priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: nbma_mode
                    
                    	Enable PIM nbma\-mode operation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: query_interval
                    
                    	PIM router query interval
                    	**type**\:   :py:class:`QueryInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Pim.QueryInterval>`
                    
                    .. attribute:: sparse_mode
                    
                    	
                    	**type**\:   :py:class:`SparseModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Pim.SparseModeEnum>`
                    
                    .. attribute:: spt_threshold
                    
                    	
                    	**type**\:   :py:class:`SptThresholdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Pim.SptThresholdEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.accept_register = Native.Interface.Tunnel.Ip.Pim.AcceptRegister()
                        self.accept_register.parent = self
                        self.dr_priority = None
                        self.nbma_mode = None
                        self.query_interval = Native.Interface.Tunnel.Ip.Pim.QueryInterval()
                        self.query_interval.parent = self
                        self.sparse_mode = None
                        self.spt_threshold = None

                    class SparseModeEnum(Enum):
                        """
                        SparseModeEnum

                        .. data:: sparse_dense_mode = 0

                        .. data:: sparse_mode = 1

                        """

                        sparse_dense_mode = 0

                        sparse_mode = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Pim.SparseModeEnum']


                    class SptThresholdEnum(Enum):
                        """
                        SptThresholdEnum

                        .. data:: infinity = 0

                        """

                        infinity = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Pim.SptThresholdEnum']



                    class AcceptRegister(object):
                        """
                        
                        
                        .. attribute:: list
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.list = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:accept-register'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Pim.AcceptRegister']['meta_info']


                    class QueryInterval(object):
                        """
                        PIM router query interval
                        
                        .. attribute:: milliseconds_interval
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 100..65535
                        
                        .. attribute:: msec
                        
                        	Query interval in milliseconds
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        .. attribute:: seconds_interval
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..18725
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.milliseconds_interval = None
                            self.msec = None
                            self.seconds_interval = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:query-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.milliseconds_interval is not None:
                                return True

                            if self.msec is not None:
                                return True

                            if self.seconds_interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Pim.QueryInterval']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.accept_register is not None and self.accept_register._has_data():
                            return True

                        if self.dr_priority is not None:
                            return True

                        if self.nbma_mode is not None:
                            return True

                        if self.query_interval is not None and self.query_interval._has_data():
                            return True

                        if self.sparse_mode is not None:
                            return True

                        if self.spt_threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    .. attribute:: client
                    
                    	DHCP client configuration
                    	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Client>`
                    
                    .. attribute:: relay
                    
                    	DHCP relay configuration parameters
                    	**type**\:   :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Relay>`
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.client = Native.Interface.Tunnel.Ip.Dhcp.Client()
                        self.client.parent = self
                        self.relay = Native.Interface.Tunnel.Ip.Dhcp.Relay()
                        self.relay.parent = self
                        self.snooping = Native.Interface.Tunnel.Ip.Dhcp.Snooping()
                        self.snooping.parent = self


                    class Client(object):
                        """
                        DHCP client configuration
                        
                        .. attribute:: hostname
                        
                        	Specify hostname to use
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hostname = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:client'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Dhcp.Client']['meta_info']


                    class Relay(object):
                        """
                        DHCP relay configuration parameters
                        
                        .. attribute:: information
                        
                        	DHCP relay information option
                        	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Relay.Information>`
                        
                        .. attribute:: source_interface
                        
                        	Set source interface for relayed messages
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.information = Native.Interface.Tunnel.Ip.Dhcp.Relay.Information()
                            self.information.parent = self
                            self.source_interface = None


                        class Information(object):
                            """
                            DHCP relay information option
                            
                            .. attribute:: check_reply
                            
                            	Validate relay information in BOOTREPLY
                            	**type**\:   :py:class:`CheckReply <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.CheckReply>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: option
                            
                            	DHCP relay information option
                            	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.Option>`
                            
                            .. attribute:: option_insert
                            
                            	Insert relay information in BOOTREQUEST
                            	**type**\:   :py:class:`OptionInsert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.OptionInsert>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: policy_action
                            
                            	Define reforwarding policy
                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.PolicyActionEnum>`
                            
                            .. attribute:: trusted
                            
                            	Received DHCP packet may contain relay info option with zero giaddr
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.check_reply = None
                                self.option = Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.Option()
                                self.option.parent = self
                                self.option_insert = None
                                self.policy_action = None
                                self.trusted = None

                            class PolicyActionEnum(Enum):
                                """
                                PolicyActionEnum

                                Define reforwarding policy

                                .. data:: drop = 0

                                .. data:: encapsulate = 1

                                .. data:: keep = 2

                                .. data:: replace = 3

                                """

                                drop = 0

                                encapsulate = 1

                                keep = 2

                                replace = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.PolicyActionEnum']



                            class CheckReply(object):
                                """
                                Validate relay information in BOOTREPLY
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.none = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:check-reply'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.none is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.CheckReply']['meta_info']


                            class Option(object):
                                """
                                DHCP relay information option
                                
                                .. attribute:: subscriber_id
                                
                                	Subscriber identifier sub option
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.subscriber_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.subscriber_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.Option']['meta_info']


                            class OptionInsert(object):
                                """
                                Insert relay information in BOOTREQUEST
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.none = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option-insert'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.none is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.OptionInsert']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.check_reply is not None and self.check_reply._has_data():
                                    return True

                                if self.option is not None and self.option._has_data():
                                    return True

                                if self.option_insert is not None and self.option_insert._has_data():
                                    return True

                                if self.policy_action is not None:
                                    return True

                                if self.trusted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Dhcp.Relay.Information']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:relay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.information is not None and self.information._has_data():
                                return True

                            if self.source_interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Dhcp.Relay']['meta_info']


                    class Snooping(object):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Snooping.Limit>`
                        
                        .. attribute:: trust
                        
                        	DHCP Snooping trust config
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	DHCP Snooping vlan
                        	**type**\: list of    :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Tunnel.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self.trust = None
                            self.vlan = YList()
                            self.vlan.parent = self
                            self.vlan.name = 'vlan'


                        class Limit(object):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP Snooping limit
                            	**type**\:  int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Dhcp.Snooping.Limit']['meta_info']


                        class Vlan(object):
                            """
                            DHCP Snooping vlan
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            .. attribute:: information
                            
                            	DHCP Snooping information
                            	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.information = Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information()
                                self.information.parent = self


                            class Information(object):
                                """
                                DHCP Snooping information
                                
                                .. attribute:: option
                                
                                	DHCP Snooping information option
                                	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option>`
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.option = Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option()
                                    self.option.parent = self


                                class Option(object):
                                    """
                                    DHCP Snooping information option
                                    
                                    .. attribute:: format_type
                                    
                                    	Option 82 information format
                                    	**type**\:   :py:class:`FormatType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-dhcp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.format_type = Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType()
                                        self.format_type.parent = self


                                    class FormatType(object):
                                        """
                                        Option 82 information format
                                        
                                        .. attribute:: circuit_id
                                        
                                        	Circuit id option 82 format
                                        	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId>`
                                        
                                        

                                        """

                                        _prefix = 'ios-dhcp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.circuit_id = Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId()
                                            self.circuit_id.parent = self


                                        class CircuitId(object):
                                            """
                                            Circuit id option 82 format
                                            
                                            .. attribute:: string
                                            
                                            	User defined string for circuit id
                                            	**type**\:  str
                                            
                                            	**length:** 3..63
                                            
                                            

                                            """

                                            _prefix = 'ios-dhcp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.string = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:circuit-id'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.string is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:format-type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.circuit_id is not None and self.circuit_id._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.format_type is not None and self.format_type._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:information'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.option is not None and self.option._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:vlan[Cisco-IOS-XE-dhcp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.information is not None and self.information._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:snooping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            if self.vlan is not None:
                                for child_ref in self.vlan:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Dhcp.Snooping']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.client is not None and self.client._has_data():
                            return True

                        if self.relay is not None and self.relay._has_data():
                            return True

                        if self.snooping is not None and self.snooping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.Tunnel.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.Tunnel.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.Tunnel.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.Verify']['meta_info']


                class Flow(object):
                    """
                    NetFlow related commands
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of    :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.egress = None
                        self.ingress = None
                        self.monitor = YList()
                        self.monitor.parent = self
                        self.monitor.name = 'monitor'


                    class Monitor(object):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\:  str
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of    :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Flow.Monitor.Sampler>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.input = None
                            self.multicast = None
                            self.output = None
                            self.sampler = YList()
                            self.sampler.parent = self
                            self.sampler.name = 'sampler'
                            self.unicast = None


                        class Sampler(object):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Flow.Monitor.Sampler.DirectionEnum>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.direction = None
                                self.name = None

                            class DirectionEnum(Enum):
                                """
                                DirectionEnum

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = 0

                                output = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Flow.Monitor.Sampler.DirectionEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.direction is None:
                                    raise YPYModelError('Key property direction is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:sampler[Cisco-IOS-XE-flow:direction = ' + str(self.direction) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.direction is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Flow.Monitor.Sampler']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:monitor[Cisco-IOS-XE-flow:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.input is not None:
                                return True

                            if self.multicast is not None:
                                return True

                            if self.output is not None:
                                return True

                            if self.sampler is not None:
                                for child_ref in self.sampler:
                                    if child_ref._has_data():
                                        return True

                            if self.unicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Flow.Monitor']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.egress is not None:
                            return True

                        if self.ingress is not None:
                            return True

                        if self.monitor is not None:
                            for child_ref in self.monitor:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.Flow']['meta_info']


                class Igmp(object):
                    """
                    IGMP interface commands
                    
                    .. attribute:: join_group
                    
                    	IGMP join multicast group
                    	**type**\: list of    :py:class:`JoinGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Igmp.JoinGroup>`
                    
                    .. attribute:: static_group
                    
                    	IGMP static multicast group
                    	**type**\:   :py:class:`StaticGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Igmp.StaticGroup>`
                    
                    .. attribute:: version
                    
                    	IGMP version
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.join_group = YList()
                        self.join_group.parent = self
                        self.join_group.name = 'join_group'
                        self.static_group = Native.Interface.Tunnel.Ip.Igmp.StaticGroup()
                        self.static_group.parent = self
                        self.version = None


                    class StaticGroup(object):
                        """
                        IGMP static multicast group
                        
                        .. attribute:: class_map
                        
                        	Class map of type multicast\-flows
                        	**type**\: list of    :py:class:`ClassMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Igmp.StaticGroup.ClassMap>`
                        
                        .. attribute:: groups
                        
                        	
                        	**type**\: list of    :py:class:`Groups <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Igmp.StaticGroup.Groups>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.class_map = YList()
                            self.class_map.parent = self
                            self.class_map.name = 'class_map'
                            self.groups = YList()
                            self.groups.parent = self
                            self.groups.name = 'groups'


                        class Groups(object):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:   :py:class:`NameEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            class NameEnum(Enum):
                                """
                                NameEnum

                                .. data:: Y__STAR__ = 0

                                """

                                Y__STAR__ = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Igmp.StaticGroup.Groups.NameEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-igmp:groups[Cisco-IOS-XE-igmp:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Igmp.StaticGroup.Groups']['meta_info']


                        class ClassMap(object):
                            """
                            Class map of type multicast\-flows
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-igmp:class-map[Cisco-IOS-XE-igmp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Igmp.StaticGroup.ClassMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-igmp:static-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.class_map is not None:
                                for child_ref in self.class_map:
                                    if child_ref._has_data():
                                        return True

                            if self.groups is not None:
                                for child_ref in self.groups:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Igmp.StaticGroup']['meta_info']


                    class JoinGroup(object):
                        """
                        IGMP join multicast group
                        
                        .. attribute:: ip_group_address  <key>
                        
                        	IP group address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source
                        
                        	IP source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip_group_address = None
                            self.source = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ip_group_address is None:
                                raise YPYModelError('Key property ip_group_address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-igmp:join-group[Cisco-IOS-XE-igmp:ip-group-address = ' + str(self.ip_group_address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip_group_address is not None:
                                return True

                            if self.source is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Igmp.JoinGroup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-igmp:igmp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.join_group is not None:
                            for child_ref in self.join_group:
                                if child_ref._has_data():
                                    return True

                        if self.static_group is not None and self.static_group._has_data():
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.Igmp']['meta_info']


                class Lisp(object):
                    """
                    Locator/ID Separation Protocol
                    
                    .. attribute:: source_locator
                    
                    	Choose IP source address for LISP packets egressing this interface
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source_locator = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source_locator is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.Lisp']['meta_info']


                class Nbar(object):
                    """
                    Network\-Based Application Recognition
                    
                    .. attribute:: protocol_discovery
                    
                    	Enable protocol discovery for both ipv4 and ipv6
                    	**type**\:   :py:class:`ProtocolDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nbar.ProtocolDiscovery>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.protocol_discovery = None


                    class ProtocolDiscovery(object):
                        """
                        Enable protocol discovery for both ipv4 and ipv6
                        
                        .. attribute:: ipv4_ipv6
                        
                        	
                        	**type**\:   :py:class:`Ipv4Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-nbar'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ipv4_ipv6 = None

                        class Ipv4Ipv6Enum(Enum):
                            """
                            Ipv4Ipv6Enum

                            .. data:: ipv4 = 0

                            .. data:: ipv6 = 1

                            """

                            ipv4 = 0

                            ipv6 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6Enum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nbar:protocol-discovery'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ipv4_ipv6 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nbar.ProtocolDiscovery']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-nbar:nbar'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.protocol_discovery is not None and self.protocol_discovery._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.Nbar']['meta_info']


                class Nhrp(object):
                    """
                    NHRP interface subcommands
                    
                    .. attribute:: attribute
                    
                    	NHRP attribute set
                    	**type**\:   :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Attribute>`
                    
                    .. attribute:: authentication
                    
                    	authentication string
                    	**type**\:  str
                    
                    .. attribute:: cache
                    
                    	NHRP Cache related commands
                    	**type**\:   :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Cache>`
                    
                    .. attribute:: connect
                    
                    	NHRP event request id
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: group
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: holdtime
                    
                    	Number of seconds
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: interest
                    
                    	Specify an access list
                    	**type**\:   :py:class:`Interest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Interest>`
                    
                    .. attribute:: map
                    
                    	Map dest IP addresses to NBMA addresses
                    	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Map>`
                    
                    .. attribute:: max_send
                    
                    	Rate limit NHRP traffic
                    	**type**\:   :py:class:`MaxSend <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.MaxSend>`
                    
                    .. attribute:: network_id
                    
                    	Network identifier
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: nhs
                    
                    	Specify a next hop server
                    	**type**\:   :py:class:`Nhs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs>`
                    
                    .. attribute:: record
                    
                    	Allow NHRP record option
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: redirect
                    
                    	Enable NHRP redirect traffic indication
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Redirect>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: registration
                    
                    	Settings for registration packets
                    	**type**\:   :py:class:`Registration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Registration>`
                    
                    .. attribute:: reject
                    
                    	NHRP resolution reject request
                    	**type**\:   :py:class:`Reject <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Reject>`
                    
                    .. attribute:: responder
                    
                    	Responder interface
                    	**type**\:   :py:class:`Responder <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Responder>`
                    
                    .. attribute:: server_only
                    
                    	Disable NHRP requests
                    	**type**\:   :py:class:`ServerOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.ServerOnly>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: shortcut
                    
                    	Enable shortcut switching
                    	**type**\:   :py:class:`Shortcut <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Shortcut>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trigger_svc
                    
                    	Create NHRP cut\-through based on traffic load
                    	**type**\:   :py:class:`TriggerSvc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc>`
                    
                    .. attribute:: use
                    
                    	Number of packets to cause NHRP request
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-nhrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.attribute = Native.Interface.Tunnel.Ip.Nhrp.Attribute()
                        self.attribute.parent = self
                        self.authentication = None
                        self.cache = Native.Interface.Tunnel.Ip.Nhrp.Cache()
                        self.cache.parent = self
                        self.connect = None
                        self.group = None
                        self.holdtime = None
                        self.interest = Native.Interface.Tunnel.Ip.Nhrp.Interest()
                        self.interest.parent = self
                        self.map = Native.Interface.Tunnel.Ip.Nhrp.Map()
                        self.map.parent = self
                        self.max_send = Native.Interface.Tunnel.Ip.Nhrp.MaxSend()
                        self.max_send.parent = self
                        self.network_id = None
                        self.nhs = Native.Interface.Tunnel.Ip.Nhrp.Nhs()
                        self.nhs.parent = self
                        self.record = None
                        self.redirect = None
                        self.registration = Native.Interface.Tunnel.Ip.Nhrp.Registration()
                        self.registration.parent = self
                        self.reject = Native.Interface.Tunnel.Ip.Nhrp.Reject()
                        self.reject.parent = self
                        self.responder = Native.Interface.Tunnel.Ip.Nhrp.Responder()
                        self.responder.parent = self
                        self.server_only = None
                        self.shortcut = None
                        self.trigger_svc = Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc()
                        self.trigger_svc.parent = self
                        self.use = None


                    class Attribute(object):
                        """
                        NHRP attribute set
                        
                        .. attribute:: set
                        
                        	attribute set
                        	**type**\:   :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set>`
                        
                        

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.set = Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set()
                            self.set.parent = self


                        class Set(object):
                            """
                            attribute set
                            
                            .. attribute:: attr_type
                            
                            	
                            	**type**\: list of    :py:class:`AttrType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set.AttrType>`
                            
                            

                            """

                            _prefix = 'ios-nhrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.attr_type = YList()
                                self.attr_type.parent = self
                                self.attr_type.name = 'attr_type'


                            class AttrType(object):
                                """
                                
                                
                                .. attribute:: attr_type  <key>
                                
                                	attribute type
                                	**type**\:  str
                                
                                .. attribute:: attr_val
                                
                                	attribute value
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-nhrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.attr_type = None
                                    self.attr_val = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.attr_type is None:
                                        raise YPYModelError('Key property attr_type is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-nhrp:attr-type[Cisco-IOS-XE-nhrp:attr-type = ' + str(self.attr_type) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.attr_type is not None:
                                        return True

                                    if self.attr_val is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set.AttrType']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.attr_type is not None:
                                    for child_ref in self.attr_type:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:attribute'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.set is not None and self.set._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Attribute']['meta_info']


                    class Cache(object):
                        """
                        NHRP Cache related commands.
                        
                        .. attribute:: non_authoritative
                        
                        	Mark cache entries non\-authoritative
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.non_authoritative = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.non_authoritative is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Cache']['meta_info']


                    class Interest(object):
                        """
                        Specify an access list
                        
                        .. attribute:: acl_range
                        
                        	IP access list
                        	**type**\:  int
                        
                        	**range:** 1..199
                        
                        .. attribute:: none
                        
                        	No traffic is interesting
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl_range = None
                            self.none = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:interest'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl_range is not None:
                                return True

                            if self.none is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Interest']['meta_info']


                    class Map(object):
                        """
                        Map dest IP addresses to NBMA addresses
                        
                        .. attribute:: dest_ipv4
                        
                        	
                        	**type**\: list of    :py:class:`DestIpv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4>`
                        
                        .. attribute:: group
                        
                        	
                        	**type**\: list of    :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Map.Group>`
                        
                        .. attribute:: multicast
                        
                        	Use this NBMA mapping for broadcasts/multicasts
                        	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Map.Multicast>`
                        
                        

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dest_ipv4 = YList()
                            self.dest_ipv4.parent = self
                            self.dest_ipv4.name = 'dest_ipv4'
                            self.group = YList()
                            self.group.parent = self
                            self.group.name = 'group'
                            self.multicast = Native.Interface.Tunnel.Ip.Nhrp.Map.Multicast()
                            self.multicast.parent = self


                        class DestIpv4(object):
                            """
                            
                            
                            .. attribute:: dest_ipv4  <key>
                            
                            	IP address of destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: dest_mask
                            
                            	
                            	**type**\: list of    :py:class:`DestMask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4.DestMask>`
                            
                            .. attribute:: nbma_ipv4
                            
                            	
                            	**type**\: list of    :py:class:`NbmaIpv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4.NbmaIpv4>`
                            
                            .. attribute:: nbma_ipv6
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-nhrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dest_ipv4 = None
                                self.dest_mask = YList()
                                self.dest_mask.parent = self
                                self.dest_mask.name = 'dest_mask'
                                self.nbma_ipv4 = YList()
                                self.nbma_ipv4.parent = self
                                self.nbma_ipv4.name = 'nbma_ipv4'
                                self.nbma_ipv6 = None


                            class NbmaIpv4(object):
                                """
                                
                                
                                .. attribute:: nbma_ipv4  <key>
                                
                                	IP NBMA address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-nhrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.nbma_ipv4 = None
                                    self.ipv4 = None
                                    self.ipv6 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.nbma_ipv4 is None:
                                        raise YPYModelError('Key property nbma_ipv4 is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-nhrp:nbma-ipv4[Cisco-IOS-XE-nhrp:nbma-ipv4 = ' + str(self.nbma_ipv4) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.nbma_ipv4 is not None:
                                        return True

                                    if self.ipv4 is not None:
                                        return True

                                    if self.ipv6 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4.NbmaIpv4']['meta_info']


                            class DestMask(object):
                                """
                                
                                
                                .. attribute:: dest_mask  <key>
                                
                                	IP mask of destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-nhrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dest_mask = None
                                    self.ipv4 = None
                                    self.ipv6 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.dest_mask is None:
                                        raise YPYModelError('Key property dest_mask is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-nhrp:dest-mask[Cisco-IOS-XE-nhrp:dest-mask = ' + str(self.dest_mask) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dest_mask is not None:
                                        return True

                                    if self.ipv4 is not None:
                                        return True

                                    if self.ipv6 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4.DestMask']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.dest_ipv4 is None:
                                    raise YPYModelError('Key property dest_ipv4 is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:dest-ipv4[Cisco-IOS-XE-nhrp:dest-ipv4 = ' + str(self.dest_ipv4) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dest_ipv4 is not None:
                                    return True

                                if self.dest_mask is not None:
                                    for child_ref in self.dest_mask:
                                        if child_ref._has_data():
                                            return True

                                if self.nbma_ipv4 is not None:
                                    for child_ref in self.nbma_ipv4:
                                        if child_ref._has_data():
                                            return True

                                if self.nbma_ipv6 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4']['meta_info']


                        class Multicast(object):
                            """
                            Use this NBMA mapping for broadcasts/multicasts
                            
                            .. attribute:: dynamic
                            
                            	Dynamically learn destinations from client registrations on hub
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: nbma_ipv4
                            
                            	
                            	**type**\:  list of str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: nbma_ipv6
                            
                            	
                            	**type**\:  list of str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-nhrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.nbma_ipv4 = YLeafList()
                                self.nbma_ipv4.parent = self
                                self.nbma_ipv4.name = 'nbma_ipv4'
                                self.nbma_ipv6 = YLeafList()
                                self.nbma_ipv6.parent = self
                                self.nbma_ipv6.name = 'nbma_ipv6'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:multicast'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None:
                                    return True

                                if self.nbma_ipv4 is not None:
                                    for child in self.nbma_ipv4:
                                        if child is not None:
                                            return True

                                if self.nbma_ipv6 is not None:
                                    for child in self.nbma_ipv6:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Map.Multicast']['meta_info']


                        class Group(object):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: service_policy
                            
                            	
                            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Map.Group.ServicePolicy>`
                            
                            

                            """

                            _prefix = 'ios-nhrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.service_policy = Native.Interface.Tunnel.Ip.Nhrp.Map.Group.ServicePolicy()
                                self.service_policy.parent = self


                            class ServicePolicy(object):
                                """
                                
                                
                                .. attribute:: output
                                
                                	Policy
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-nhrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.output = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-nhrp:service-policy'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.output is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Map.Group.ServicePolicy']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:group[Cisco-IOS-XE-nhrp:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.service_policy is not None and self.service_policy._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Map.Group']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:map'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dest_ipv4 is not None:
                                for child_ref in self.dest_ipv4:
                                    if child_ref._has_data():
                                        return True

                            if self.group is not None:
                                for child_ref in self.group:
                                    if child_ref._has_data():
                                        return True

                            if self.multicast is not None and self.multicast._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Map']['meta_info']


                    class MaxSend(object):
                        """
                        Rate limit NHRP traffic
                        
                        .. attribute:: pkt_count
                        
                        	
                        	**type**\: list of    :py:class:`PktCount <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.MaxSend.PktCount>`
                        
                        

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.pkt_count = YList()
                            self.pkt_count.parent = self
                            self.pkt_count.name = 'pkt_count'


                        class PktCount(object):
                            """
                            
                            
                            .. attribute:: pkt_count  <key>
                            
                            	Packet count
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: every
                            
                            	Interval in seconds
                            	**type**\:  int
                            
                            	**range:** 10..65535
                            
                            

                            """

                            _prefix = 'ios-nhrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.pkt_count = None
                                self.every = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.pkt_count is None:
                                    raise YPYModelError('Key property pkt_count is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:pkt-count[Cisco-IOS-XE-nhrp:pkt-count = ' + str(self.pkt_count) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.pkt_count is not None:
                                    return True

                                if self.every is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.MaxSend.PktCount']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:max-send'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.pkt_count is not None:
                                for child_ref in self.pkt_count:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.MaxSend']['meta_info']


                    class Nhs(object):
                        """
                        Specify a next hop server
                        
                        .. attribute:: cluster
                        
                        	NHS Redundancy cluster configurations
                        	**type**\:   :py:class:`Cluster <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster>`
                        
                        .. attribute:: dynamic
                        
                        	NHS protocol address dynamically learnt
                        	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic>`
                        
                        .. attribute:: fallback
                        
                        	NHS Redundancy Fallback time, 0 \-60 seconds
                        	**type**\:  int
                        
                        	**range:** 0..60
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4>`
                        
                        

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cluster = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster()
                            self.cluster.parent = self
                            self.dynamic = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic()
                            self.dynamic.parent = self
                            self.fallback = None
                            self.ipv4 = YList()
                            self.ipv4.parent = self
                            self.ipv4.name = 'ipv4'


                        class Ipv4(object):
                            """
                            
                            
                            .. attribute:: ipv4  <key>
                            
                            	Protocol IP address of NHS
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cluster
                            
                            	NHS cluster number
                            	**type**\:  int
                            
                            	**range:** 0..10
                            
                            .. attribute:: nbma
                            
                            	NBMA of NHS
                            	**type**\:   :py:class:`Nbma <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma>`
                            
                            .. attribute:: priority
                            
                            	NHS priority, don't specify for default priority
                            	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority>`
                            
                            

                            """

                            _prefix = 'ios-nhrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = None
                                self.cluster = None
                                self.nbma = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma()
                                self.nbma.parent = self
                                self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority()
                                self.priority.parent = self


                            class Nbma(object):
                                """
                                NBMA of NHS
                                
                                .. attribute:: ipv4
                                
                                	
                                	**type**\: list of    :py:class:`Ipv4_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_>`
                                
                                .. attribute:: ipv6
                                
                                	
                                	**type**\: list of    :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6>`
                                
                                .. attribute:: nhs_fqdn
                                
                                	
                                	**type**\: list of    :py:class:`NhsFqdn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn>`
                                
                                

                                """

                                _prefix = 'ios-nhrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = YList()
                                    self.ipv4.parent = self
                                    self.ipv4.name = 'ipv4'
                                    self.ipv6 = YList()
                                    self.ipv6.parent = self
                                    self.ipv6.name = 'ipv6'
                                    self.nhs_fqdn = YList()
                                    self.nhs_fqdn.parent = self
                                    self.nhs_fqdn.name = 'nhs_fqdn'


                                class Ipv4_(object):
                                    """
                                    
                                    
                                    .. attribute:: ipv4  <key>
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: cluster
                                    
                                    	NHS cluster number
                                    	**type**\:  int
                                    
                                    	**range:** 0..10
                                    
                                    .. attribute:: multicast
                                    
                                    	Use this NBMA mapping for broadcasts/multicasts
                                    	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: priority
                                    
                                    	NHS priority, don't specify for default priority
                                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-nhrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None
                                        self.cluster = None
                                        self.multicast = None
                                        self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Priority()
                                        self.priority.parent = self


                                    class Multicast(object):
                                        """
                                        Use this NBMA mapping for broadcasts/multicasts
                                        
                                        .. attribute:: cluster
                                        
                                        	NHS cluster number
                                        	**type**\:  int
                                        
                                        	**range:** 0..10
                                        
                                        .. attribute:: priority
                                        
                                        	NHS priority, don't specify for default priority
                                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Multicast.Priority>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.cluster = None
                                            self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Multicast.Priority()
                                            self.priority.parent = self


                                        class Priority(object):
                                            """
                                            NHS priority, don't specify for default priority
                                            
                                            .. attribute:: prior
                                            
                                            	
                                            	**type**\: list of    :py:class:`Prior <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Multicast.Priority.Prior>`
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.prior = YList()
                                                self.prior.parent = self
                                                self.prior.name = 'prior'


                                            class Prior(object):
                                                """
                                                
                                                
                                                .. attribute:: prior  <key>
                                                
                                                	NHS priority, range = 0 to 255, 0 is the highest
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: cluster
                                                
                                                	NHS cluster number
                                                	**type**\:  int
                                                
                                                	**range:** 0..10
                                                
                                                

                                                """

                                                _prefix = 'ios-nhrp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.prior = None
                                                    self.cluster = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.prior is None:
                                                        raise YPYModelError('Key property prior is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-nhrp:prior[Cisco-IOS-XE-nhrp:prior = ' + str(self.prior) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.prior is not None:
                                                        return True

                                                    if self.cluster is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Multicast.Priority.Prior']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:priority'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.prior is not None:
                                                    for child_ref in self.prior:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Multicast.Priority']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:multicast'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.cluster is not None:
                                                return True

                                            if self.priority is not None and self.priority._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Multicast']['meta_info']


                                    class Priority(object):
                                        """
                                        NHS priority, don't specify for default priority
                                        
                                        .. attribute:: pri
                                        
                                        	
                                        	**type**\: list of    :py:class:`Pri <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Priority.Pri>`
                                        
                                        

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.pri = YList()
                                            self.pri.parent = self
                                            self.pri.name = 'pri'


                                        class Pri(object):
                                            """
                                            
                                            
                                            .. attribute:: pri  <key>
                                            
                                            	NHS priority, range = 0 to 255, 0 is the highest
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: cluster
                                            
                                            	NHS cluster number
                                            	**type**\:  int
                                            
                                            	**range:** 0..10
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.pri = None
                                                self.cluster = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.pri is None:
                                                    raise YPYModelError('Key property pri is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:pri[Cisco-IOS-XE-nhrp:pri = ' + str(self.pri) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.pri is not None:
                                                    return True

                                                if self.cluster is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Priority.Pri']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:priority'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.pri is not None:
                                                for child_ref in self.pri:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_.Priority']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ipv4 is None:
                                            raise YPYModelError('Key property ipv4 is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-nhrp:ipv4[Cisco-IOS-XE-nhrp:ipv4 = ' + str(self.ipv4) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        if self.cluster is not None:
                                            return True

                                        if self.multicast is not None and self.multicast._has_data():
                                            return True

                                        if self.priority is not None and self.priority._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4_']['meta_info']


                                class NhsFqdn(object):
                                    """
                                    
                                    
                                    .. attribute:: nhs_fqdn  <key>
                                    
                                    	NHS FQDN string
                                    	**type**\:  str
                                    
                                    .. attribute:: cluster
                                    
                                    	NHS cluster number
                                    	**type**\:  int
                                    
                                    	**range:** 0..10
                                    
                                    .. attribute:: multicast
                                    
                                    	Use this NBMA mapping for broadcasts/multicasts
                                    	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: priority
                                    
                                    	NHS priority, don't specify for default priority
                                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-nhrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.nhs_fqdn = None
                                        self.cluster = None
                                        self.multicast = None
                                        self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority()
                                        self.priority.parent = self


                                    class Multicast(object):
                                        """
                                        Use this NBMA mapping for broadcasts/multicasts
                                        
                                        .. attribute:: cluster
                                        
                                        	NHS cluster number
                                        	**type**\:  int
                                        
                                        	**range:** 0..10
                                        
                                        .. attribute:: priority
                                        
                                        	NHS priority, don't specify for default priority
                                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.cluster = None
                                            self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority()
                                            self.priority.parent = self


                                        class Priority(object):
                                            """
                                            NHS priority, don't specify for default priority
                                            
                                            .. attribute:: mc_pri
                                            
                                            	
                                            	**type**\: list of    :py:class:`McPri <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority.McPri>`
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mc_pri = YList()
                                                self.mc_pri.parent = self
                                                self.mc_pri.name = 'mc_pri'


                                            class McPri(object):
                                                """
                                                
                                                
                                                .. attribute:: mc_pri  <key>
                                                
                                                	NHS priority, range = 0 to 255, 0 is the highest
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: cluster
                                                
                                                	NHS cluster number
                                                	**type**\:  int
                                                
                                                	**range:** 0..10
                                                
                                                

                                                """

                                                _prefix = 'ios-nhrp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.mc_pri = None
                                                    self.cluster = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.mc_pri is None:
                                                        raise YPYModelError('Key property mc_pri is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-nhrp:mc-pri[Cisco-IOS-XE-nhrp:mc-pri = ' + str(self.mc_pri) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.mc_pri is not None:
                                                        return True

                                                    if self.cluster is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority.McPri']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:priority'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mc_pri is not None:
                                                    for child_ref in self.mc_pri:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:multicast'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.cluster is not None:
                                                return True

                                            if self.priority is not None and self.priority._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast']['meta_info']


                                    class Priority(object):
                                        """
                                        NHS priority, don't specify for default priority
                                        
                                        .. attribute:: nhs_pri
                                        
                                        	
                                        	**type**\: list of    :py:class:`NhsPri <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority.NhsPri>`
                                        
                                        

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.nhs_pri = YList()
                                            self.nhs_pri.parent = self
                                            self.nhs_pri.name = 'nhs_pri'


                                        class NhsPri(object):
                                            """
                                            
                                            
                                            .. attribute:: nhs_pri  <key>
                                            
                                            	NHS priority, range = 0 to 255, 0 is the highest
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: cluster
                                            
                                            	NHS cluster number
                                            	**type**\:  int
                                            
                                            	**range:** 0..10
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.nhs_pri = None
                                                self.cluster = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.nhs_pri is None:
                                                    raise YPYModelError('Key property nhs_pri is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:nhs-pri[Cisco-IOS-XE-nhrp:nhs-pri = ' + str(self.nhs_pri) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.nhs_pri is not None:
                                                    return True

                                                if self.cluster is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority.NhsPri']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:priority'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.nhs_pri is not None:
                                                for child_ref in self.nhs_pri:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.nhs_fqdn is None:
                                            raise YPYModelError('Key property nhs_fqdn is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-nhrp:nhs-fqdn[Cisco-IOS-XE-nhrp:nhs-fqdn = ' + str(self.nhs_fqdn) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.nhs_fqdn is not None:
                                            return True

                                        if self.cluster is not None:
                                            return True

                                        if self.multicast is not None and self.multicast._has_data():
                                            return True

                                        if self.priority is not None and self.priority._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn']['meta_info']


                                class Ipv6(object):
                                    """
                                    
                                    
                                    .. attribute:: ipv6  <key>
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: cluster
                                    
                                    	NHS cluster number
                                    	**type**\:  int
                                    
                                    	**range:** 0..10
                                    
                                    .. attribute:: multicast
                                    
                                    	Use this NBMA mapping for broadcasts/multicasts
                                    	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: priority
                                    
                                    	NHS priority, don't specify for default priority
                                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-nhrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv6 = None
                                        self.cluster = None
                                        self.multicast = None
                                        self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority()
                                        self.priority.parent = self


                                    class Multicast(object):
                                        """
                                        Use this NBMA mapping for broadcasts/multicasts
                                        
                                        .. attribute:: cluster
                                        
                                        	NHS cluster number
                                        	**type**\:  int
                                        
                                        	**range:** 0..10
                                        
                                        .. attribute:: priority
                                        
                                        	NHS priority, don't specify for default priority
                                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.cluster = None
                                            self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority()
                                            self.priority.parent = self


                                        class Priority(object):
                                            """
                                            NHS priority, don't specify for default priority
                                            
                                            .. attribute:: mc_pri
                                            
                                            	
                                            	**type**\: list of    :py:class:`McPri <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority.McPri>`
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mc_pri = YList()
                                                self.mc_pri.parent = self
                                                self.mc_pri.name = 'mc_pri'


                                            class McPri(object):
                                                """
                                                
                                                
                                                .. attribute:: mc_pri  <key>
                                                
                                                	NHS priority, range = 0 to 255, 0 is the highest
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: cluster
                                                
                                                	NHS cluster number
                                                	**type**\:  int
                                                
                                                	**range:** 0..10
                                                
                                                

                                                """

                                                _prefix = 'ios-nhrp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.mc_pri = None
                                                    self.cluster = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.mc_pri is None:
                                                        raise YPYModelError('Key property mc_pri is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-nhrp:mc-pri[Cisco-IOS-XE-nhrp:mc-pri = ' + str(self.mc_pri) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.mc_pri is not None:
                                                        return True

                                                    if self.cluster is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority.McPri']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:priority'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mc_pri is not None:
                                                    for child_ref in self.mc_pri:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:multicast'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.cluster is not None:
                                                return True

                                            if self.priority is not None and self.priority._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast']['meta_info']


                                    class Priority(object):
                                        """
                                        NHS priority, don't specify for default priority
                                        
                                        .. attribute:: mc_prior
                                        
                                        	
                                        	**type**\: list of    :py:class:`McPrior <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority.McPrior>`
                                        
                                        

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mc_prior = YList()
                                            self.mc_prior.parent = self
                                            self.mc_prior.name = 'mc_prior'


                                        class McPrior(object):
                                            """
                                            
                                            
                                            .. attribute:: mc_prior  <key>
                                            
                                            	NHS priority, range = 0 to 255, 0 is the highest
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: cluster
                                            
                                            	NHS cluster number
                                            	**type**\:  int
                                            
                                            	**range:** 0..10
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mc_prior = None
                                                self.cluster = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mc_prior is None:
                                                    raise YPYModelError('Key property mc_prior is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:mc-prior[Cisco-IOS-XE-nhrp:mc-prior = ' + str(self.mc_prior) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mc_prior is not None:
                                                    return True

                                                if self.cluster is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority.McPrior']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:priority'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mc_prior is not None:
                                                for child_ref in self.mc_prior:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ipv6 is None:
                                            raise YPYModelError('Key property ipv6 is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-nhrp:ipv6[Cisco-IOS-XE-nhrp:ipv6 = ' + str(self.ipv6) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv6 is not None:
                                            return True

                                        if self.cluster is not None:
                                            return True

                                        if self.multicast is not None and self.multicast._has_data():
                                            return True

                                        if self.priority is not None and self.priority._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-nhrp:nbma'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        for child_ref in self.ipv4:
                                            if child_ref._has_data():
                                                return True

                                    if self.ipv6 is not None:
                                        for child_ref in self.ipv6:
                                            if child_ref._has_data():
                                                return True

                                    if self.nhs_fqdn is not None:
                                        for child_ref in self.nhs_fqdn:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma']['meta_info']


                            class Priority(object):
                                """
                                NHS priority, don't specify for default priority
                                
                                .. attribute:: pri_range
                                
                                	
                                	**type**\: list of    :py:class:`PriRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority.PriRange>`
                                
                                

                                """

                                _prefix = 'ios-nhrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pri_range = YList()
                                    self.pri_range.parent = self
                                    self.pri_range.name = 'pri_range'


                                class PriRange(object):
                                    """
                                    
                                    
                                    .. attribute:: pri_range  <key>
                                    
                                    	NHS priority, range = 0 to 255, 0 is the highest
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: cluster
                                    
                                    	NHS cluster number
                                    	**type**\:  int
                                    
                                    	**range:** 0..10
                                    
                                    

                                    """

                                    _prefix = 'ios-nhrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.pri_range = None
                                        self.cluster = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.pri_range is None:
                                            raise YPYModelError('Key property pri_range is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-nhrp:pri-range[Cisco-IOS-XE-nhrp:pri-range = ' + str(self.pri_range) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.pri_range is not None:
                                            return True

                                        if self.cluster is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority.PriRange']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-nhrp:priority'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pri_range is not None:
                                        for child_ref in self.pri_range:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ipv4 is None:
                                    raise YPYModelError('Key property ipv4 is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:ipv4[Cisco-IOS-XE-nhrp:ipv4 = ' + str(self.ipv4) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None:
                                    return True

                                if self.cluster is not None:
                                    return True

                                if self.nbma is not None and self.nbma._has_data():
                                    return True

                                if self.priority is not None and self.priority._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4']['meta_info']


                        class Cluster(object):
                            """
                            NHS Redundancy cluster configurations
                            
                            .. attribute:: clus_num
                            
                            	
                            	**type**\: list of    :py:class:`ClusNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster.ClusNum>`
                            
                            

                            """

                            _prefix = 'ios-nhrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.clus_num = YList()
                                self.clus_num.parent = self
                                self.clus_num.name = 'clus_num'


                            class ClusNum(object):
                                """
                                
                                
                                .. attribute:: clus_num  <key>
                                
                                	NHS cluster number
                                	**type**\:  int
                                
                                	**range:** 0..10
                                
                                .. attribute:: max_connections
                                
                                	Max\-connections value
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-nhrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.clus_num = None
                                    self.max_connections = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.clus_num is None:
                                        raise YPYModelError('Key property clus_num is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-nhrp:clus-num[Cisco-IOS-XE-nhrp:clus-num = ' + str(self.clus_num) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.clus_num is not None:
                                        return True

                                    if self.max_connections is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster.ClusNum']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:cluster'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.clus_num is not None:
                                    for child_ref in self.clus_num:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster']['meta_info']


                        class Dynamic(object):
                            """
                            NHS protocol address dynamically learnt
                            
                            .. attribute:: nbma
                            
                            	NBMA of NHS
                            	**type**\:   :py:class:`Nbma <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma>`
                            
                            

                            """

                            _prefix = 'ios-nhrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.nbma = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma()
                                self.nbma.parent = self


                            class Nbma(object):
                                """
                                NBMA of NHS
                                
                                .. attribute:: dyn_fqdn
                                
                                	
                                	**type**\: list of    :py:class:`DynFqdn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn>`
                                
                                .. attribute:: ipv4
                                
                                	NBMA of NHS
                                	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4>`
                                
                                .. attribute:: ipv6
                                
                                	
                                	**type**\: list of    :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6>`
                                
                                

                                """

                                _prefix = 'ios-nhrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dyn_fqdn = YList()
                                    self.dyn_fqdn.parent = self
                                    self.dyn_fqdn.name = 'dyn_fqdn'
                                    self.ipv4 = YList()
                                    self.ipv4.parent = self
                                    self.ipv4.name = 'ipv4'
                                    self.ipv6 = YList()
                                    self.ipv6.parent = self
                                    self.ipv6.name = 'ipv6'


                                class Ipv4(object):
                                    """
                                    NBMA of NHS
                                    
                                    .. attribute:: ipv4  <key>
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: cluster
                                    
                                    	NHS cluster number
                                    	**type**\:  int
                                    
                                    	**range:** 0..10
                                    
                                    .. attribute:: multicast
                                    
                                    	Use this NBMA mapping for broadcasts/multicasts
                                    	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: priority
                                    
                                    	NHS priority, don't specify for default priority
                                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-nhrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None
                                        self.cluster = None
                                        self.multicast = None
                                        self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority()
                                        self.priority.parent = self


                                    class Multicast(object):
                                        """
                                        Use this NBMA mapping for broadcasts/multicasts
                                        
                                        .. attribute:: cluster
                                        
                                        	NHS cluster number
                                        	**type**\:  int
                                        
                                        	**range:** 0..10
                                        
                                        .. attribute:: priority
                                        
                                        	NHS priority, don't specify for default priority
                                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.cluster = None
                                            self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority()
                                            self.priority.parent = self


                                        class Priority(object):
                                            """
                                            NHS priority, don't specify for default priority
                                            
                                            .. attribute:: dyn_pri
                                            
                                            	
                                            	**type**\: list of    :py:class:`DynPri <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority.DynPri>`
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dyn_pri = YList()
                                                self.dyn_pri.parent = self
                                                self.dyn_pri.name = 'dyn_pri'


                                            class DynPri(object):
                                                """
                                                
                                                
                                                .. attribute:: dyn_pri  <key>
                                                
                                                	NHS priority, range = 0 to 255, 0 is the highest
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: cluster
                                                
                                                	NHS cluster number
                                                	**type**\:  int
                                                
                                                	**range:** 0..10
                                                
                                                

                                                """

                                                _prefix = 'ios-nhrp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.dyn_pri = None
                                                    self.cluster = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.dyn_pri is None:
                                                        raise YPYModelError('Key property dyn_pri is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-nhrp:dyn-pri[Cisco-IOS-XE-nhrp:dyn-pri = ' + str(self.dyn_pri) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.dyn_pri is not None:
                                                        return True

                                                    if self.cluster is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority.DynPri']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:priority'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dyn_pri is not None:
                                                    for child_ref in self.dyn_pri:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:multicast'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.cluster is not None:
                                                return True

                                            if self.priority is not None and self.priority._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast']['meta_info']


                                    class Priority(object):
                                        """
                                        NHS priority, don't specify for default priority
                                        
                                        .. attribute:: n_prior
                                        
                                        	
                                        	**type**\: list of    :py:class:`NPrior <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority.NPrior>`
                                        
                                        

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.n_prior = YList()
                                            self.n_prior.parent = self
                                            self.n_prior.name = 'n_prior'


                                        class NPrior(object):
                                            """
                                            
                                            
                                            .. attribute:: n_prior  <key>
                                            
                                            	NHS priority, range = 0 to 255, 0 is the highest
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: cluster
                                            
                                            	NHS cluster number
                                            	**type**\:  int
                                            
                                            	**range:** 0..10
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.n_prior = None
                                                self.cluster = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.n_prior is None:
                                                    raise YPYModelError('Key property n_prior is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:n-prior[Cisco-IOS-XE-nhrp:n-prior = ' + str(self.n_prior) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.n_prior is not None:
                                                    return True

                                                if self.cluster is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority.NPrior']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:priority'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.n_prior is not None:
                                                for child_ref in self.n_prior:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ipv4 is None:
                                            raise YPYModelError('Key property ipv4 is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-nhrp:ipv4[Cisco-IOS-XE-nhrp:ipv4 = ' + str(self.ipv4) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        if self.cluster is not None:
                                            return True

                                        if self.multicast is not None and self.multicast._has_data():
                                            return True

                                        if self.priority is not None and self.priority._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4']['meta_info']


                                class DynFqdn(object):
                                    """
                                    
                                    
                                    .. attribute:: dyn_fqdn  <key>
                                    
                                    	NHS FQDN string
                                    	**type**\:  str
                                    
                                    .. attribute:: cluster
                                    
                                    	NHS cluster number
                                    	**type**\:  int
                                    
                                    	**range:** 0..10
                                    
                                    .. attribute:: multicast
                                    
                                    	Use this NBMA mapping for broadcasts/multicasts
                                    	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: priority
                                    
                                    	NHS priority, don't specify for default priority
                                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-nhrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dyn_fqdn = None
                                        self.cluster = None
                                        self.multicast = None
                                        self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority()
                                        self.priority.parent = self


                                    class Multicast(object):
                                        """
                                        Use this NBMA mapping for broadcasts/multicasts
                                        
                                        .. attribute:: cluster
                                        
                                        	NHS cluster number
                                        	**type**\:  int
                                        
                                        	**range:** 0..10
                                        
                                        .. attribute:: priority
                                        
                                        	NHS priority, don't specify for default priority
                                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.cluster = None
                                            self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority()
                                            self.priority.parent = self


                                        class Priority(object):
                                            """
                                            NHS priority, don't specify for default priority
                                            
                                            .. attribute:: dyn_mc_pri
                                            
                                            	
                                            	**type**\: list of    :py:class:`DynMcPri <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority.DynMcPri>`
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dyn_mc_pri = YList()
                                                self.dyn_mc_pri.parent = self
                                                self.dyn_mc_pri.name = 'dyn_mc_pri'


                                            class DynMcPri(object):
                                                """
                                                
                                                
                                                .. attribute:: dyn_mc_pri  <key>
                                                
                                                	NHS priority, range = 0 to 255, 0 is the highest
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: cluster
                                                
                                                	NHS cluster number
                                                	**type**\:  int
                                                
                                                	**range:** 0..10
                                                
                                                

                                                """

                                                _prefix = 'ios-nhrp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.dyn_mc_pri = None
                                                    self.cluster = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.dyn_mc_pri is None:
                                                        raise YPYModelError('Key property dyn_mc_pri is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-nhrp:dyn-mc-pri[Cisco-IOS-XE-nhrp:dyn-mc-pri = ' + str(self.dyn_mc_pri) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.dyn_mc_pri is not None:
                                                        return True

                                                    if self.cluster is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority.DynMcPri']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:priority'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dyn_mc_pri is not None:
                                                    for child_ref in self.dyn_mc_pri:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:multicast'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.cluster is not None:
                                                return True

                                            if self.priority is not None and self.priority._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast']['meta_info']


                                    class Priority(object):
                                        """
                                        NHS priority, don't specify for default priority
                                        
                                        .. attribute:: dp
                                        
                                        	
                                        	**type**\: list of    :py:class:`Dp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority.Dp>`
                                        
                                        

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dp = YList()
                                            self.dp.parent = self
                                            self.dp.name = 'dp'


                                        class Dp(object):
                                            """
                                            
                                            
                                            .. attribute:: dp  <key>
                                            
                                            	NHS priority, range = 0 to 255, 0 is the highest
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: cluster
                                            
                                            	NHS cluster number
                                            	**type**\:  int
                                            
                                            	**range:** 0..10
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dp = None
                                                self.cluster = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.dp is None:
                                                    raise YPYModelError('Key property dp is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:dp[Cisco-IOS-XE-nhrp:dp = ' + str(self.dp) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dp is not None:
                                                    return True

                                                if self.cluster is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority.Dp']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:priority'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dp is not None:
                                                for child_ref in self.dp:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.dyn_fqdn is None:
                                            raise YPYModelError('Key property dyn_fqdn is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-nhrp:dyn-fqdn[Cisco-IOS-XE-nhrp:dyn-fqdn = ' + str(self.dyn_fqdn) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dyn_fqdn is not None:
                                            return True

                                        if self.cluster is not None:
                                            return True

                                        if self.multicast is not None and self.multicast._has_data():
                                            return True

                                        if self.priority is not None and self.priority._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn']['meta_info']


                                class Ipv6(object):
                                    """
                                    
                                    
                                    .. attribute:: ipv6  <key>
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: cluster
                                    
                                    	NHS cluster number
                                    	**type**\:  int
                                    
                                    	**range:** 0..10
                                    
                                    .. attribute:: multicast
                                    
                                    	Use this NBMA mapping for broadcasts/multicasts
                                    	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: priority
                                    
                                    	NHS priority, don't specify for default priority
                                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-nhrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv6 = None
                                        self.cluster = None
                                        self.multicast = None
                                        self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority()
                                        self.priority.parent = self


                                    class Multicast(object):
                                        """
                                        Use this NBMA mapping for broadcasts/multicasts
                                        
                                        .. attribute:: cluster
                                        
                                        	NHS cluster number
                                        	**type**\:  int
                                        
                                        	**range:** 0..10
                                        
                                        .. attribute:: priority
                                        
                                        	NHS priority, don't specify for default priority
                                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.cluster = None
                                            self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority()
                                            self.priority.parent = self


                                        class Priority(object):
                                            """
                                            NHS priority, don't specify for default priority
                                            
                                            .. attribute:: v6_pri
                                            
                                            	
                                            	**type**\: list of    :py:class:`V6Pri <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority.V6Pri>`
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.v6_pri = YList()
                                                self.v6_pri.parent = self
                                                self.v6_pri.name = 'v6_pri'


                                            class V6Pri(object):
                                                """
                                                
                                                
                                                .. attribute:: v6_pri  <key>
                                                
                                                	NHS priority, range = 0 to 255, 0 is the highest
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: cluster
                                                
                                                	NHS cluster number
                                                	**type**\:  int
                                                
                                                	**range:** 0..10
                                                
                                                

                                                """

                                                _prefix = 'ios-nhrp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.v6_pri = None
                                                    self.cluster = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.v6_pri is None:
                                                        raise YPYModelError('Key property v6_pri is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-nhrp:v6-pri[Cisco-IOS-XE-nhrp:v6-pri = ' + str(self.v6_pri) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.v6_pri is not None:
                                                        return True

                                                    if self.cluster is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority.V6Pri']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:priority'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.v6_pri is not None:
                                                    for child_ref in self.v6_pri:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:multicast'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.cluster is not None:
                                                return True

                                            if self.priority is not None and self.priority._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast']['meta_info']


                                    class Priority(object):
                                        """
                                        NHS priority, don't specify for default priority
                                        
                                        .. attribute:: v6_pri2
                                        
                                        	
                                        	**type**\: list of    :py:class:`V6Pri2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority.V6Pri2>`
                                        
                                        

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.v6_pri2 = YList()
                                            self.v6_pri2.parent = self
                                            self.v6_pri2.name = 'v6_pri2'


                                        class V6Pri2(object):
                                            """
                                            
                                            
                                            .. attribute:: v6_pri2  <key>
                                            
                                            	NHS priority, range = 0 to 255, 0 is the highest
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: cluster
                                            
                                            	NHS cluster number
                                            	**type**\:  int
                                            
                                            	**range:** 0..10
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.v6_pri2 = None
                                                self.cluster = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.v6_pri2 is None:
                                                    raise YPYModelError('Key property v6_pri2 is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:v6-pri2[Cisco-IOS-XE-nhrp:v6-pri2 = ' + str(self.v6_pri2) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.v6_pri2 is not None:
                                                    return True

                                                if self.cluster is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority.V6Pri2']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:priority'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.v6_pri2 is not None:
                                                for child_ref in self.v6_pri2:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ipv6 is None:
                                            raise YPYModelError('Key property ipv6 is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-nhrp:ipv6[Cisco-IOS-XE-nhrp:ipv6 = ' + str(self.ipv6) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv6 is not None:
                                            return True

                                        if self.cluster is not None:
                                            return True

                                        if self.multicast is not None and self.multicast._has_data():
                                            return True

                                        if self.priority is not None and self.priority._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-nhrp:nbma'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dyn_fqdn is not None:
                                        for child_ref in self.dyn_fqdn:
                                            if child_ref._has_data():
                                                return True

                                    if self.ipv4 is not None:
                                        for child_ref in self.ipv4:
                                            if child_ref._has_data():
                                                return True

                                    if self.ipv6 is not None:
                                        for child_ref in self.ipv6:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:dynamic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.nbma is not None and self.nbma._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:nhs'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cluster is not None and self.cluster._has_data():
                                return True

                            if self.dynamic is not None and self.dynamic._has_data():
                                return True

                            if self.fallback is not None:
                                return True

                            if self.ipv4 is not None:
                                for child_ref in self.ipv4:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Nhs']['meta_info']


                    class Redirect(object):
                        """
                        Enable NHRP redirect traffic indication
                        
                        .. attribute:: timeout
                        
                        	Interval in seconds
                        	**type**\:  int
                        
                        	**range:** 2..30
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.timeout = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.timeout is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Redirect']['meta_info']


                    class Registration(object):
                        """
                        Settings for registration packets.
                        
                        .. attribute:: no_unique
                        
                        	Do not set the 'Unique' flag in registration requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: timeout
                        
                        	Number of seconds
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.no_unique = None
                            self.timeout = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:registration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.no_unique is not None:
                                return True

                            if self.timeout is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Registration']['meta_info']


                    class Reject(object):
                        """
                        NHRP resolution reject request
                        
                        .. attribute:: reqid
                        
                        	
                        	**type**\: list of    :py:class:`Reqid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Reject.Reqid>`
                        
                        

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reqid = YList()
                            self.reqid.parent = self
                            self.reqid.name = 'reqid'


                        class Reqid(object):
                            """
                            
                            
                            .. attribute:: reqid  <key>
                            
                            	reqid value
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: rej_secs
                            
                            	Number of seconds
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-nhrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.reqid = None
                                self.rej_secs = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.reqid is None:
                                    raise YPYModelError('Key property reqid is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:reqid[Cisco-IOS-XE-nhrp:reqid = ' + str(self.reqid) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.reqid is not None:
                                    return True

                                if self.rej_secs is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Reject.Reqid']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:reject'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reqid is not None:
                                for child_ref in self.reqid:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Reject']['meta_info']


                    class Responder(object):
                        """
                        Responder interface
                        
                        .. attribute:: analysis_module
                        
                        	Analysis\-Module interface number
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: fcpa
                        
                        	Fcpa interface number
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: res_int
                        
                        	Virtual ACR interface
                        	**type**\:  str
                        
                        .. attribute:: sbc
                        
                        	SBC interface number
                        	**type**\:  int
                        
                        	**range:** 0..2147483647
                        
                        .. attribute:: service_engine
                        
                        	Service\-Engine interface number
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: sonet_acr
                        
                        	SONET\_ACR interface number
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: tb_controller
                        
                        	Telecom\-Bus Clock Controller
                        	**type**\:  str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface number
                        	**type**\:  int
                        
                        	**range:** 0..2147483647
                        
                        .. attribute:: tunnel_tp
                        
                        	Tunnel\-tp interface number
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: ucse
                        
                        	ucse interface number
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: vasileft
                        
                        	vasileft interface number
                        	**type**\:  int
                        
                        	**range:** 1..2000
                        
                        .. attribute:: vasiright
                        
                        	vasiright interface number
                        	**type**\:  int
                        
                        	**range:** 1..2000
                        
                        .. attribute:: virtual_tokenring
                        
                        	Virtual\-TokenRing interface number
                        	**type**\:  int
                        
                        	**range:** 0..2147483647
                        
                        .. attribute:: virtualportgroup
                        
                        	VirtualPortGroup interface number
                        	**type**\:  int
                        
                        	**range:** 0..31
                        
                        .. attribute:: vlan
                        
                        	Vlan interface number
                        	**type**\:  int
                        
                        	**range:** 1..4095
                        
                        .. attribute:: vpn
                        
                        	VPN interface number
                        	**type**\:  int
                        
                        	**range:** 0..2147483647
                        
                        

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.analysis_module = None
                            self.fcpa = None
                            self.res_int = None
                            self.sbc = None
                            self.service_engine = None
                            self.sonet_acr = None
                            self.tb_controller = None
                            self.tunnel = None
                            self.tunnel_tp = None
                            self.ucse = None
                            self.vasileft = None
                            self.vasiright = None
                            self.virtual_tokenring = None
                            self.virtualportgroup = None
                            self.vlan = None
                            self.vpn = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:responder'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.analysis_module is not None:
                                return True

                            if self.fcpa is not None:
                                return True

                            if self.res_int is not None:
                                return True

                            if self.sbc is not None:
                                return True

                            if self.service_engine is not None:
                                return True

                            if self.sonet_acr is not None:
                                return True

                            if self.tb_controller is not None:
                                return True

                            if self.tunnel is not None:
                                return True

                            if self.tunnel_tp is not None:
                                return True

                            if self.ucse is not None:
                                return True

                            if self.vasileft is not None:
                                return True

                            if self.vasiright is not None:
                                return True

                            if self.virtual_tokenring is not None:
                                return True

                            if self.virtualportgroup is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            if self.vpn is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Responder']['meta_info']


                    class ServerOnly(object):
                        """
                        Disable NHRP requests
                        
                        .. attribute:: non_caching
                        
                        	Do not create NHRP cache entries
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.non_caching = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:server-only'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.non_caching is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.ServerOnly']['meta_info']


                    class Shortcut(object):
                        """
                        Enable shortcut switching
                        
                        .. attribute:: virtual_template
                        
                        	Virtual template number
                        	**type**\:  int
                        
                        	**range:** 1..4095
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.virtual_template = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:shortcut'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.virtual_template is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.Shortcut']['meta_info']


                    class TriggerSvc(object):
                        """
                        Create NHRP cut\-through based on traffic load
                        
                        .. attribute:: kbps
                        
                        	
                        	**type**\: list of    :py:class:`Kbps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc.Kbps>`
                        
                        

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.kbps = YList()
                            self.kbps.parent = self
                            self.kbps.name = 'kbps'


                        class Kbps(object):
                            """
                            
                            
                            .. attribute:: kbps  <key>
                            
                            	Trigger rate in kbps
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: tear_kbps
                            
                            	Teardown rate in kbps
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-nhrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.kbps = None
                                self.tear_kbps = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.kbps is None:
                                    raise YPYModelError('Key property kbps is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-nhrp:kbps[Cisco-IOS-XE-nhrp:kbps = ' + str(self.kbps) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.kbps is not None:
                                    return True

                                if self.tear_kbps is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc.Kbps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nhrp:trigger-svc'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.kbps is not None:
                                for child_ref in self.kbps:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-nhrp:nhrp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.attribute is not None and self.attribute._has_data():
                            return True

                        if self.authentication is not None:
                            return True

                        if self.cache is not None and self.cache._has_data():
                            return True

                        if self.connect is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.holdtime is not None:
                            return True

                        if self.interest is not None and self.interest._has_data():
                            return True

                        if self.map is not None and self.map._has_data():
                            return True

                        if self.max_send is not None and self.max_send._has_data():
                            return True

                        if self.network_id is not None:
                            return True

                        if self.nhs is not None and self.nhs._has_data():
                            return True

                        if self.record is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.registration is not None and self.registration._has_data():
                            return True

                        if self.reject is not None and self.reject._has_data():
                            return True

                        if self.responder is not None and self.responder._has_data():
                            return True

                        if self.server_only is not None and self.server_only._has_data():
                            return True

                        if self.shortcut is not None and self.shortcut._has_data():
                            return True

                        if self.trigger_svc is not None and self.trigger_svc._has_data():
                            return True

                        if self.use is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.Nhrp']['meta_info']


                class Ospf(object):
                    """
                    OSPF interface commands
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.Authentication>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: authentication_key
                    
                    	Set authentication key
                    	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.AuthenticationKey>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:   :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.DeadInterval>`
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF Demand Circuit
                    	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: fast_reroute
                    
                    	LFA FastReroute parameters
                    	**type**\:   :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.FastReroute>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: lls
                    
                    	Link\-local Signaling (LLS) support
                    	**type**\:   :py:class:`Lls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.Lls>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: message_digest_key
                    
                    	Set message digest key
                    	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.MultiArea>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:   :py:class:`NetworkEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.NetworkEnum>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: process_id
                    
                    	
                    	**type**\: list of    :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.ProcessId>`
                    
                    .. attribute:: resync_timeout
                    
                    	Interval after which adjacency is reset if oob\-resync is not started
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Set OSPF protocol's state to disable under current interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ttl_security
                    
                    	TTL security check
                    	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.TtlSecurity>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authentication = None
                        self.authentication_key = Native.Interface.Tunnel.Ip.Ospf.AuthenticationKey()
                        self.authentication_key.parent = self
                        self.bfd = None
                        self.cost = None
                        self.database_filter = Native.Interface.Tunnel.Ip.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self.dead_interval = Native.Interface.Tunnel.Ip.Ospf.DeadInterval()
                        self.dead_interval.parent = self
                        self.demand_circuit = None
                        self.fast_reroute = Native.Interface.Tunnel.Ip.Ospf.FastReroute()
                        self.fast_reroute.parent = self
                        self.flood_reduction = None
                        self.hello_interval = None
                        self.lls = None
                        self.message_digest_key = YList()
                        self.message_digest_key.parent = self
                        self.message_digest_key.name = 'message_digest_key'
                        self.mtu_ignore = None
                        self.multi_area = Native.Interface.Tunnel.Ip.Ospf.MultiArea()
                        self.multi_area.parent = self
                        self.network = None
                        self.prefix_suppression = None
                        self.priority = None
                        self.process_id = YList()
                        self.process_id.parent = self
                        self.process_id.name = 'process_id'
                        self.resync_timeout = None
                        self.retransmit_interval = None
                        self.shutdown = None
                        self.transmit_delay = None
                        self.ttl_security = None

                    class NetworkEnum(Enum):
                        """
                        NetworkEnum

                        Network type

                        .. data:: broadcast = 0

                        .. data:: non_broadcast = 1

                        .. data:: point_to_multipoint = 2

                        .. data:: point_to_point = 3

                        """

                        broadcast = 0

                        non_broadcast = 1

                        point_to_multipoint = 2

                        point_to_point = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Ospf.NetworkEnum']



                    class ProcessId(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: area
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: none
                        
                        	Do not include secondary IP addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secondaries
                        
                        	Include or exclude secondary IP addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.area = None
                            self.none = None
                            self.secondaries = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:process-id[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.area is not None:
                                return True

                            if self.none is not None:
                                return True

                            if self.secondaries is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Ospf.ProcessId']['meta_info']


                    class Authentication(object):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.Authentication.KeyChain>`
                        
                        .. attribute:: message_digest
                        
                        	Use message\-digest authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.key_chain = Native.Interface.Tunnel.Ip.Ospf.Authentication.KeyChain()
                            self.key_chain.parent = self
                            self.message_digest = None
                            self.null = None


                        class KeyChain(object):
                            """
                            Use a key\-chain for cryptographic authentication keys
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-chain'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Ospf.Authentication.KeyChain']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.key_chain is not None and self.key_chain._has_data():
                                return True

                            if self.message_digest is not None:
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Ospf.Authentication']['meta_info']


                    class AuthenticationKey(object):
                        """
                        Set authentication key
                        
                        .. attribute:: auth_key
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: auth_type
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.auth_key = None
                            self.auth_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication-key'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.auth_key is not None:
                                return True

                            if self.auth_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Ospf.AuthenticationKey']['meta_info']


                    class Bfd(object):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Ospf.Bfd']['meta_info']


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Outgoing LSA
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.out = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.out is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Ospf.DatabaseFilter']['meta_info']


                    class DeadInterval(object):
                        """
                        Interval after which a neighbor is declared dead
                        
                        .. attribute:: minimal
                        
                        	Set to 1 second
                        	**type**\:   :py:class:`Minimal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.DeadInterval.Minimal>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.minimal = Native.Interface.Tunnel.Ip.Ospf.DeadInterval.Minimal()
                            self.minimal.parent = self
                            self.value = None


                        class Minimal(object):
                            """
                            Set to 1 second
                            
                            .. attribute:: hello_multiplier
                            
                            	Set multiplier for Hellos
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hello_multiplier = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:minimal'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hello_multiplier is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Ospf.DeadInterval.Minimal']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:dead-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.minimal is not None and self.minimal._has_data():
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Ospf.DeadInterval']['meta_info']


                    class DemandCircuit(object):
                        """
                        OSPF Demand Circuit
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:demand-circuit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Ospf.DemandCircuit']['meta_info']


                    class FastReroute(object):
                        """
                        LFA FastReroute parameters
                        
                        .. attribute:: per_prefix
                        
                        	Per\-prefix LFA FRR parameters
                        	**type**\:   :py:class:`PerPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.per_prefix = Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix()
                            self.per_prefix.parent = self


                        class PerPrefix(object):
                            """
                            Per\-prefix LFA FRR parameters
                            
                            .. attribute:: candidate
                            
                            	If interface can be protecting
                            	**type**\:   :py:class:`Candidate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix.Candidate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: protection
                            
                            	If interface can be protected
                            	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix.Protection>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.candidate = None
                                self.protection = None


                            class Candidate(object):
                                """
                                If interface can be protecting
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:candidate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix.Candidate']['meta_info']


                            class Protection(object):
                                """
                                If interface can be protected
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:protection'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix.Protection']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:per-prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.candidate is not None and self.candidate._has_data():
                                    return True

                                if self.protection is not None and self.protection._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:fast-reroute'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.per_prefix is not None and self.per_prefix._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Ospf.FastReroute']['meta_info']


                    class Lls(object):
                        """
                        Link\-local Signaling (LLS) support
                        
                        .. attribute:: disable
                        
                        	disable LLS
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:lls'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Ospf.Lls']['meta_info']


                    class MessageDigestKey(object):
                        """
                        Set message digest key
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: md5
                        
                        	Use MD5 algorithm
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey.Md5>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.md5 = Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey.Md5()
                            self.md5.parent = self


                        class Md5(object):
                            """
                            Use MD5 algorithm
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.auth_key = None
                                self.auth_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.auth_key is not None:
                                    return True

                                if self.auth_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:message-digest-key[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.md5 is not None and self.md5._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey']['meta_info']


                    class MultiArea(object):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cost = None
                            self.id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:multi-area'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cost is not None:
                                return True

                            if self.id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Ospf.MultiArea']['meta_info']


                    class PrefixSuppression(object):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:prefix-suppression'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Ospf.PrefixSuppression']['meta_info']


                    class TtlSecurity(object):
                        """
                        TTL security check
                        
                        .. attribute:: diable
                        
                        	disable TTL security check
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hops
                        
                        	IP hops
                        	**type**\:  int
                        
                        	**range:** 1..254
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.diable = None
                            self.hops = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:ttl-security'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.diable is not None:
                                return True

                            if self.hops is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Ospf.TtlSecurity']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ospf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.authentication_key is not None and self.authentication_key._has_data():
                            return True

                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        if self.cost is not None:
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.dead_interval is not None and self.dead_interval._has_data():
                            return True

                        if self.demand_circuit is not None and self.demand_circuit._has_data():
                            return True

                        if self.fast_reroute is not None and self.fast_reroute._has_data():
                            return True

                        if self.flood_reduction is not None:
                            return True

                        if self.hello_interval is not None:
                            return True

                        if self.lls is not None and self.lls._has_data():
                            return True

                        if self.message_digest_key is not None:
                            for child_ref in self.message_digest_key:
                                if child_ref._has_data():
                                    return True

                        if self.mtu_ignore is not None:
                            return True

                        if self.multi_area is not None and self.multi_area._has_data():
                            return True

                        if self.network is not None:
                            return True

                        if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.process_id is not None:
                            for child_ref in self.process_id:
                                if child_ref._has_data():
                                    return True

                        if self.resync_timeout is not None:
                            return True

                        if self.retransmit_interval is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.transmit_delay is not None:
                            return True

                        if self.ttl_security is not None and self.ttl_security._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.Ospf']['meta_info']


                class Wccp(object):
                    """
                    WCCP IPv4 interface commands
                    
                    .. attribute:: redirect
                    
                    	Set packet redirection options
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.Redirect>`
                    
                    .. attribute:: vrf
                    
                    	Configure WCCP for a VRF
                    	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.Vrf>`
                    
                    .. attribute:: wccp_list
                    
                    	
                    	**type**\: list of    :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.WccpList>`
                    
                    .. attribute:: web_cache
                    
                    	Standard web caching service
                    	**type**\:   :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.WebCache>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.redirect = Native.Interface.Tunnel.Ip.Wccp.Redirect()
                        self.redirect.parent = self
                        self.vrf = YList()
                        self.vrf.parent = self
                        self.vrf.name = 'vrf'
                        self.wccp_list = YList()
                        self.wccp_list.parent = self
                        self.wccp_list.name = 'wccp_list'
                        self.web_cache = Native.Interface.Tunnel.Ip.Wccp.WebCache()
                        self.web_cache.parent = self


                    class WccpList(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..254
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.WccpList.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.group_listen = None
                            self.redirect = Native.Interface.Tunnel.Ip.Wccp.WccpList.Redirect()
                            self.redirect.parent = self


                        class Redirect(object):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Wccp.WccpList.Redirect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp-list[Cisco-IOS-XE-wccp:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.group_listen is not None:
                                return True

                            if self.redirect is not None and self.redirect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Wccp.WccpList']['meta_info']


                    class WebCache(object):
                        """
                        Standard web caching service
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.WebCache.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.group_listen = None
                            self.redirect = Native.Interface.Tunnel.Ip.Wccp.WebCache.Redirect()
                            self.redirect.parent = self


                        class Redirect(object):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Wccp.WebCache.Redirect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:web-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.group_listen is not None:
                                return True

                            if self.redirect is not None and self.redirect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Wccp.WebCache']['meta_info']


                    class Redirect(object):
                        """
                        Set packet redirection options
                        
                        .. attribute:: exclude
                        
                        	Exclude packets from redirection
                        	**type**\:   :py:class:`Exclude <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.Redirect.Exclude>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.exclude = Native.Interface.Tunnel.Ip.Wccp.Redirect.Exclude()
                            self.exclude.parent = self


                        class Exclude(object):
                            """
                            Exclude packets from redirection
                            
                            .. attribute:: in_
                            
                            	Exclude inbound packets from outbound redirection
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:exclude'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Wccp.Redirect.Exclude']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.exclude is not None and self.exclude._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Wccp.Redirect']['meta_info']


                    class Vrf(object):
                        """
                        Configure WCCP for a VRF
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: wccp_list
                        
                        	
                        	**type**\: list of    :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList>`
                        
                        .. attribute:: web_cache
                        
                        	Standard web caching service
                        	**type**\:   :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.wccp_list = YList()
                            self.wccp_list.parent = self
                            self.wccp_list.name = 'wccp_list'
                            self.web_cache = Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache()
                            self.web_cache.parent = self


                        class WccpList(object):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..254
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.group_listen = None
                                self.redirect = Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList.Redirect()
                                self.redirect.parent = self


                            class Redirect(object):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList.Redirect']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp-list[Cisco-IOS-XE-wccp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.group_listen is not None:
                                    return True

                                if self.redirect is not None and self.redirect._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList']['meta_info']


                        class WebCache(object):
                            """
                            Standard web caching service
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group_listen = None
                                self.redirect = Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache.Redirect()
                                self.redirect.parent = self


                            class Redirect(object):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache.Redirect']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:web-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group_listen is not None:
                                    return True

                                if self.redirect is not None and self.redirect._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:vrf[Cisco-IOS-XE-wccp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.wccp_list is not None:
                                for child_ref in self.wccp_list:
                                    if child_ref._has_data():
                                        return True

                            if self.web_cache is not None and self.web_cache._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ip.Wccp.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.vrf is not None:
                            for child_ref in self.vrf:
                                if child_ref._has_data():
                                    return True

                        if self.wccp_list is not None:
                            for child_ref in self.wccp_list:
                                if child_ref._has_data():
                                    return True

                        if self.web_cache is not None and self.web_cache._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ip.Wccp']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.flow is not None and self.flow._has_data():
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.igmp is not None and self.igmp._has_data():
                        return True

                    if self.lisp is not None and self.lisp._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nbar is not None and self.nbar._has_data():
                        return True

                    if self.nhrp is not None and self.nhrp._has_data():
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.ospf is not None and self.ospf._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.unreachables is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    if self.wccp is not None and self.wccp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Flow>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Nd>`
                
                .. attribute:: no_pim
                
                	
                	**type**\:   :py:class:`NoPim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.NoPim>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:   :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Pim>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: rip
                
                	Configure RIP routing protocol
                	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Rip>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.TrafficFilter>`
                
                .. attribute:: unreachables
                
                	Enable sending ICMP Unreachable messages
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.Tunnel.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.Tunnel.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.flow = Native.Interface.Tunnel.Ipv6.Flow()
                    self.flow.parent = self
                    self.mtu = None
                    self.nd = Native.Interface.Tunnel.Ipv6.Nd()
                    self.nd.parent = self
                    self.no_pim = Native.Interface.Tunnel.Ipv6.NoPim()
                    self.no_pim.parent = self
                    self.ospf = Native.Interface.Tunnel.Ipv6.Ospf()
                    self.ospf.parent = self
                    self.pim = Native.Interface.Tunnel.Ipv6.Pim()
                    self.pim.parent = self
                    self.redirects = None
                    self.rip = YList()
                    self.rip.parent = self
                    self.rip.name = 'rip'
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'
                    self.unreachables = None


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    .. attribute:: guard
                    
                    	Configure IPv6 DHCP guard on the interface
                    	**type**\:   :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Dhcp.Guard>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: server
                    
                    	Act as an IPv6 DHCP server
                    	**type**\: list of    :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Dhcp.Server>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.guard = None
                        self.server = YList()
                        self.server.parent = self
                        self.server.name = 'server'


                    class Server(object):
                        """
                        Act as an IPv6 DHCP server
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: preference
                        
                        	Preference
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.word = None
                            self.preference = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.word is None:
                                raise YPYModelError('Key property word is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:server[Cisco-IOS-XE-dhcp:word = ' + str(self.word) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.word is not None:
                                return True

                            if self.preference is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Dhcp.Server']['meta_info']


                    class Guard(object):
                        """
                        Configure IPv6 DHCP guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature DHCP Guard
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.attach_policy = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:guard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.attach_policy is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Dhcp.Guard']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.guard is not None and self.guard._has_data():
                            return True

                        if self.server is not None:
                            for child_ref in self.server:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Nd.Autoconfig>`
                    
                    .. attribute:: managed_config_flag
                    
                    	Use DHCP for IPv6 address configuration
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ra
                    
                    	IPv6 nd router alert configuration
                    	**type**\:   :py:class:`Ra <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Nd.Ra>`
                    
                    .. attribute:: raguard
                    
                    	Configure RA guard on the interface
                    	**type**\:   :py:class:`Raguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Nd.Raguard>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = Native.Interface.Tunnel.Ipv6.Nd.Autoconfig()
                        self.autoconfig.parent = self
                        self.managed_config_flag = None
                        self.ra = Native.Interface.Tunnel.Ipv6.Nd.Ra()
                        self.ra.parent = self
                        self.raguard = Native.Interface.Tunnel.Ipv6.Nd.Raguard()
                        self.raguard.parent = self


                    class Raguard(object):
                        """
                        Configure RA guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature RA guard
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.attach_policy = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:raguard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.attach_policy is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Nd.Raguard']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default_route
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefix
                        
                        	Insert auto\-configured prefix
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.default_route = None
                            self.prefix = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.default_route is not None:
                                return True

                            if self.prefix is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Nd.Autoconfig']['meta_info']


                    class Ra(object):
                        """
                        IPv6 nd router alert configuration
                        
                        .. attribute:: suppress
                        
                        	Suppress IPv6 router\-alert configuration
                        	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Nd.Ra.Suppress>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.suppress = None


                        class Suppress(object):
                            """
                            Suppress IPv6 router\-alert configuration
                            
                            .. attribute:: all
                            
                            	Suppress all IPv6 RA
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-nd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.all = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-nd:suppress'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.all is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ipv6.Nd.Ra.Suppress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:ra'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.suppress is not None and self.suppress._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Nd.Ra']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.managed_config_flag is not None:
                            return True

                        if self.ra is not None and self.ra._has_data():
                            return True

                        if self.raguard is not None and self.raguard._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ipv6.TrafficFilter']['meta_info']


                class Flow(object):
                    """
                    NetFlow related commands
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of    :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.egress = None
                        self.ingress = None
                        self.monitor = YList()
                        self.monitor.parent = self
                        self.monitor.name = 'monitor'


                    class Monitor(object):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\:  str
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of    :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Flow.Monitor.Sampler>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.input = None
                            self.multicast = None
                            self.output = None
                            self.sampler = YList()
                            self.sampler.parent = self
                            self.sampler.name = 'sampler'
                            self.unicast = None


                        class Sampler(object):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Flow.Monitor.Sampler.DirectionEnum>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.direction = None
                                self.name = None

                            class DirectionEnum(Enum):
                                """
                                DirectionEnum

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = 0

                                output = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ipv6.Flow.Monitor.Sampler.DirectionEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.direction is None:
                                    raise YPYModelError('Key property direction is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-flow:sampler[Cisco-IOS-XE-flow:direction = ' + str(self.direction) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.direction is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ipv6.Flow.Monitor.Sampler']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-flow:monitor[Cisco-IOS-XE-flow:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.input is not None:
                                return True

                            if self.multicast is not None:
                                return True

                            if self.output is not None:
                                return True

                            if self.sampler is not None:
                                for child_ref in self.sampler:
                                    if child_ref._has_data():
                                        return True

                            if self.unicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Flow.Monitor']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-flow:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.egress is not None:
                            return True

                        if self.ingress is not None:
                            return True

                        if self.monitor is not None:
                            for child_ref in self.monitor:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ipv6.Flow']['meta_info']


                class NoPim(object):
                    """
                    
                    
                    .. attribute:: pim
                    
                    	PIM interface commands
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.pim = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:no-pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.pim is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ipv6.NoPim']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    .. attribute:: bfd
                    
                    	Configure BFD
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bsr
                    
                    	Configure BSR
                    	**type**\:   :py:class:`Bsr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Pim.Bsr>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM Hello DR priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bfd = None
                        self.bsr = Native.Interface.Tunnel.Ipv6.Pim.Bsr()
                        self.bsr.parent = self
                        self.dr_priority = None


                    class Bsr(object):
                        """
                        Configure BSR
                        
                        .. attribute:: border
                        
                        	Border of PIM BSR domain
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.border = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-multicast:bsr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.border is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Pim.Bsr']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-multicast:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bfd is not None:
                            return True

                        if self.bsr is not None and self.bsr._has_data():
                            return True

                        if self.dr_priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ipv6.Pim']['meta_info']


                class Ospf(object):
                    """
                    OSPF interface commands
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: encryption
                    
                    	Enable encryption
                    	**type**\:   :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Network>`
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: process
                    
                    	
                    	**type**\: list of    :py:class:`Process <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Process>`
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authentication = Native.Interface.Tunnel.Ipv6.Ospf.Authentication()
                        self.authentication.parent = self
                        self.bfd = None
                        self.cost = None
                        self.database_filter = Native.Interface.Tunnel.Ipv6.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self.dead_interval = None
                        self.demand_circuit = None
                        self.encryption = Native.Interface.Tunnel.Ipv6.Ospf.Encryption()
                        self.encryption.parent = self
                        self.flood_reduction = None
                        self.hello_interval = None
                        self.mtu_ignore = None
                        self.neighbor = YList()
                        self.neighbor.parent = self
                        self.neighbor.name = 'neighbor'
                        self.network = Native.Interface.Tunnel.Ipv6.Ospf.Network()
                        self.network.parent = self
                        self.priority = None
                        self.process = YList()
                        self.process.parent = self
                        self.process.name = 'process'
                        self.retransmit_interval = None
                        self.shutdown = None
                        self.transmit_delay = None


                    class Process(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: instance
                        
                        	Set the OSPF instance
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..31
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 32..255
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.area = None
                            self.instance = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:process[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.area is not None:
                                return True

                            if self.instance is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Process']['meta_info']


                    class Authentication(object):
                        """
                        Enable authentication
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec authentication
                        	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec>`
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipsec = Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec()
                            self.ipsec.parent = self
                            self.null = None


                        class Ipsec(object):
                            """
                            Use IPsec authentication
                            
                            .. attribute:: md5
                            
                            	Use MD5 authentication
                            	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5>`
                            
                            .. attribute:: sha1
                            
                            	Use SHA\-1 authentication
                            	**type**\:   :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1>`
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\:  int
                            
                            	**range:** 256..4294967295
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.md5 = Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5()
                                self.md5.parent = self
                                self.sha1 = Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1()
                                self.sha1.parent = self
                                self.spi = None


                            class Md5(object):
                                """
                                Use MD5 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:md5'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5']['meta_info']


                            class Sha1(object):
                                """
                                Use SHA\-1 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:sha1'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipsec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.md5 is not None and self.md5._has_data():
                                    return True

                                if self.sha1 is not None and self.sha1._has_data():
                                    return True

                                if self.spi is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipsec is not None and self.ipsec._has_data():
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Authentication']['meta_info']


                    class Bfd(object):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Bfd']['meta_info']


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.DatabaseFilter.AllEnum>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.disable = None

                        class AllEnum(Enum):
                            """
                            AllEnum

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.DatabaseFilter.AllEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.DatabaseFilter']['meta_info']


                    class DemandCircuit(object):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None
                            self.ignore = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:demand-circuit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.DemandCircuit']['meta_info']


                    class Encryption(object):
                        """
                        Enable encryption
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec encryption
                        	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec>`
                        
                        .. attribute:: null
                        
                        	No IPsec encryption on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipsec = Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec()
                            self.ipsec.parent = self
                            self.null = None


                        class Ipsec(object):
                            """
                            Use IPsec encryption
                            
                            .. attribute:: aes_cbc
                            
                            	Use AES\-CBC encryption
                            	**type**\:   :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc>`
                            
                            .. attribute:: esp
                            
                            	Use ESP encapsulation
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipsec_3des
                            
                            	Use 3DES encryption
                            	**type**\:   :py:class:`Ipsec_3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des>`
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aes_cbc = Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc()
                                self.aes_cbc.parent = self
                                self.esp = None
                                self.ipsec_3des = Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des()
                                self.ipsec_3des.parent = self
                                self.spi = None


                            class Ipsec_3Des(object):
                                """
                                Use 3DES encryption
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipsec_3des'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec_3Des']['meta_info']


                            class AesCbc(object):
                                """
                                Use AES\-CBC encryption
                                
                                .. attribute:: aes_192
                                
                                	Use 192 bit key
                                	**type**\:   :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192>`
                                
                                .. attribute:: aes_256
                                
                                	Use 256 bit key
                                	**type**\:   :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256>`
                                
                                .. attribute:: aes_cbc_128
                                
                                	Use 128 bit key
                                	**type**\:   :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.aes_192 = Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192()
                                    self.aes_192.parent = self
                                    self.aes_256 = Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256()
                                    self.aes_256.parent = self
                                    self.aes_cbc_128 = Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128()
                                    self.aes_cbc_128.parent = self


                                class AesCbc128(object):
                                    """
                                    Use 128 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_string = Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-cbc-128'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']


                                class Aes192(object):
                                    """
                                    Use 192 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_string = Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-192'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192']['meta_info']


                                class Aes256(object):
                                    """
                                    Use 256 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_string = Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-256'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:aes-cbc'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.aes_192 is not None and self.aes_192._has_data():
                                        return True

                                    if self.aes_256 is not None and self.aes_256._has_data():
                                        return True

                                    if self.aes_cbc_128 is not None and self.aes_cbc_128._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipsec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aes_cbc is not None and self.aes_cbc._has_data():
                                    return True

                                if self.esp is not None:
                                    return True

                                if self.ipsec_3des is not None and self.ipsec_3des._has_data():
                                    return True

                                if self.spi is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:encryption'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipsec is not None and self.ipsec._has_data():
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Encryption']['meta_info']


                    class FloodReduction(object):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	Disable Flood Reduction on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:flood-reduction'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.FloodReduction']['meta_info']


                    class MtuIgnore(object):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:mtu-ignore'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.MtuIgnore']['meta_info']


                    class Neighbor(object):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.cost = None
                            self.database_filter = Native.Interface.Tunnel.Ipv6.Ospf.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self.poll_interval = None
                            self.priority = None


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Neighbor.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Neighbor.DatabaseFilter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:neighbor[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.cost is not None:
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.poll_interval is not None:
                                return True

                            if self.priority is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Neighbor']['meta_info']


                    class Network(object):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.broadcast = None
                            self.manet = None
                            self.non_broadcast = None
                            self.point_to_multipoint = None
                            self.point_to_point = None


                        class PointToMultipoint(object):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.non_broadcast = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:point-to-multipoint'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.non_broadcast is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Network.PointToMultipoint']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:network'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.broadcast is not None:
                                return True

                            if self.manet is not None:
                                return True

                            if self.non_broadcast is not None:
                                return True

                            if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                return True

                            if self.point_to_point is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Network']['meta_info']


                    class Shutdown(object):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:shutdown'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf.Shutdown']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ospf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        if self.cost is not None:
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.dead_interval is not None:
                            return True

                        if self.demand_circuit is not None and self.demand_circuit._has_data():
                            return True

                        if self.encryption is not None and self.encryption._has_data():
                            return True

                        if self.flood_reduction is not None and self.flood_reduction._has_data():
                            return True

                        if self.hello_interval is not None:
                            return True

                        if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                            return True

                        if self.neighbor is not None:
                            for child_ref in self.neighbor:
                                if child_ref._has_data():
                                    return True

                        if self.network is not None and self.network._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.process is not None:
                            for child_ref in self.process:
                                if child_ref._has_data():
                                    return True

                        if self.retransmit_interval is not None:
                            return True

                        if self.shutdown is not None and self.shutdown._has_data():
                            return True

                        if self.transmit_delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ipv6.Ospf']['meta_info']


                class Rip(object):
                    """
                    Configure RIP routing protocol
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: default_information
                    
                    	Configure handling of default route
                    	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Rip.DefaultInformation>`
                    
                    .. attribute:: enable
                    
                    	Enable/disable RIP routing
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.default_information = Native.Interface.Tunnel.Ipv6.Rip.DefaultInformation()
                        self.default_information.parent = self
                        self.enable = None


                    class DefaultInformation(object):
                        """
                        Configure handling of default route
                        
                        .. attribute:: metric
                        
                        	Default route metric
                        	**type**\:  int
                        
                        	**range:** 1..15
                        
                        .. attribute:: route
                        
                        	
                        	**type**\:   :py:class:`RouteEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Rip.DefaultInformation.RouteEnum>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = None
                            self.route = None

                        class RouteEnum(Enum):
                            """
                            RouteEnum

                            .. data:: only = 0

                            .. data:: originate = 1

                            """

                            only = 0

                            originate = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ipv6.Rip.DefaultInformation.RouteEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:default-information'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None:
                                return True

                            if self.route is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ipv6.Rip.DefaultInformation']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip[Cisco-IOS-XE-rip:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.default_information is not None and self.default_information._has_data():
                            return True

                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ipv6.Rip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.flow is not None and self.flow._has_data():
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.no_pim is not None and self.no_pim._has_data():
                        return True

                    if self.ospf is not None and self.ospf._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.rip is not None:
                        for child_ref in self.rip:
                            if child_ref._has_data():
                                return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    if self.unreachables is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.Tunnel.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.Tunnel.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.Tunnel.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.Tunnel.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.Tunnel.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.Tunnel.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.Tunnel.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.Tunnel.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.Tunnel.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.Tunnel.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.Tunnel.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.Tunnel.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.Tunnel.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.Tunnel.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.Tunnel.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.Tunnel.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.Tunnel.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.Tunnel.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Tunnel.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Tunnel.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Tunnel.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Tunnel.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Tunnel.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Tunnel.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Tunnel.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Tunnel.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.Tunnel.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.Tunnel.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.Tunnel.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.Tunnel.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.Tunnel.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.PmPath']['meta_info']


            class Qos(object):
                """
                Quality of Service related commands
                
                .. attribute:: pre_classify
                
                	Enable QOS classification before packets are tunnel encapsulated
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.pre_classify = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.pre_classify is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Qos']['meta_info']


            class Cdp(object):
                """
                CDP interface subcommands
                
                .. attribute:: enable
                
                	Enable CDP on interface
                	**type**\:  bool
                
                .. attribute:: tlv
                
                	Enable exchange of specific tlv information
                	**type**\:   :py:class:`Tlv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cdp.Tlv>`
                
                

                """

                _prefix = 'ios-cdp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None
                    self.tlv = Native.Interface.Tunnel.Cdp.Tlv()
                    self.tlv.parent = self


                class Tlv(object):
                    """
                    Enable exchange of specific tlv information
                    
                    .. attribute:: app
                    
                    	Enable/Configure Application TLV
                    	**type**\:   :py:class:`App <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cdp.Tlv.App>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: location
                    
                    	Exchange location information
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: server_location
                    
                    	Enable CDP location server on interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-cdp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.app = None
                        self.location = None
                        self.server_location = None


                    class App(object):
                        """
                        Enable/Configure Application TLV
                        
                        .. attribute:: tlvtype
                        
                        	Configure APP TLV
                        	**type**\:  int
                        
                        	**range:** 1001..65535
                        
                        .. attribute:: value
                        
                        	Configure App TLV Value information
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-cdp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tlvtype = None
                            self.value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cdp:app'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tlvtype is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Cdp.Tlv.App']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-cdp:tlv'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.app is not None and self.app._has_data():
                            return True

                        if self.location is not None:
                            return True

                        if self.server_location is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Cdp.Tlv']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-cdp:cdp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    if self.tlv is not None and self.tlv._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Cdp']['meta_info']


            class Nhrp(object):
                """
                NHRP Interface commands
                
                .. attribute:: event_publisher
                
                	Enable NHRP smart spoke feature
                	**type**\:   :py:class:`EventPublisher <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Nhrp.EventPublisher>`
                
                .. attribute:: group
                
                	group name string
                	**type**\:  str
                
                .. attribute:: map
                
                	Map group name to QoS service policy
                	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Nhrp.Map>`
                
                .. attribute:: route_watch
                
                	Enable NHRP route watch
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-tun'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event_publisher = Native.Interface.Tunnel.Nhrp.EventPublisher()
                    self.event_publisher.parent = self
                    self.group = None
                    self.map = Native.Interface.Tunnel.Nhrp.Map()
                    self.map.parent = self
                    self.route_watch = None


                class EventPublisher(object):
                    """
                    Enable NHRP smart spoke feature
                    
                    .. attribute:: max_event_timeout
                    
                    	Number of seconds
                    	**type**\:  int
                    
                    	**range:** 1..22
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.max_event_timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:event-publisher'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.max_event_timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Nhrp.EventPublisher']['meta_info']


                class Map(object):
                    """
                    Map group name to QoS service policy
                    
                    .. attribute:: group
                    
                    	NHRP group mapping
                    	**type**\:   :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Nhrp.Map.Group>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group = Native.Interface.Tunnel.Nhrp.Map.Group()
                        self.group.parent = self


                    class Group(object):
                        """
                        NHRP group mapping
                        
                        .. attribute:: nhrp_name
                        
                        	
                        	**type**\: list of    :py:class:`NhrpName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName>`
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.nhrp_name = YList()
                            self.nhrp_name.parent = self
                            self.nhrp_name.name = 'nhrp_name'


                        class NhrpName(object):
                            """
                            
                            
                            .. attribute:: nhrp_name  <key>
                            
                            	NHRP group name
                            	**type**\:  str
                            
                            .. attribute:: service_policy
                            
                            	QoS service\-policy
                            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName.ServicePolicy>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.nhrp_name = None
                                self.service_policy = Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName.ServicePolicy()
                                self.service_policy.parent = self


                            class ServicePolicy(object):
                                """
                                QoS service\-policy
                                
                                .. attribute:: output
                                
                                	QoS policy\-map name
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.output = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-tunnel:service-policy'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.output is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName.ServicePolicy']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.nhrp_name is None:
                                    raise YPYModelError('Key property nhrp_name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:nhrp-name[Cisco-IOS-XE-tunnel:nhrp-name = ' + str(self.nhrp_name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.nhrp_name is not None:
                                    return True

                                if self.service_policy is not None and self.service_policy._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.nhrp_name is not None:
                                for child_ref in self.nhrp_name:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Nhrp.Map.Group']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group is not None and self.group._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Nhrp.Map']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-tunnel:nhrp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event_publisher is not None and self.event_publisher._has_data():
                        return True

                    if self.group is not None:
                        return True

                    if self.map is not None and self.map._has_data():
                        return True

                    if self.route_watch is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Nhrp']['meta_info']


            class Tunnel_(object):
                """
                protocol\-over\-protocol tunneling
                
                .. attribute:: bandwidth
                
                	Set tunnel bandwidth informational parameter
                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Bandwidth>`
                
                .. attribute:: checksum
                
                	enable end to end checksumming of packets
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: destination
                
                	destination of tunnel
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                
                ----
                	**type**\:  str
                
                	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                
                
                ----
                .. attribute:: dst_port
                
                	tunnel destination port
                	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.DstPort>`
                
                .. attribute:: endpoint
                
                	Set endpoint parameter
                	**type**\:   :py:class:`Endpoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Endpoint>`
                
                .. attribute:: entropy
                
                	Compute hash (entropy) on payload and propagate to tunnel header
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: fixup
                
                	fixup on tunnel interface
                	**type**\:   :py:class:`Fixup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Fixup>`
                
                .. attribute:: flow
                
                	flow options
                	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Flow>`
                
                .. attribute:: key
                
                	security or selector key
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: mode
                
                	tunnel encapsulation method
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mode>`
                
                .. attribute:: mpls
                
                	
                	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls>`
                
                .. attribute:: network_id
                
                	Set network\-id
                	**type**\:   :py:class:`NetworkId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.NetworkId>`
                
                .. attribute:: path_mtu_discovery
                
                	Enable Path MTU Discovery on tunnel
                	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.PathMtuDiscovery>`
                
                	**presence node**\: True
                
                .. attribute:: protection
                
                	Enable tunnel protection
                	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Protection>`
                
                .. attribute:: raw_packet_interface
                
                	physical interface for all packets entering itto be tunneled and for all packets entering the tunnel to exit
                	**type**\:  str
                
                .. attribute:: rbscp
                
                	Set tunnel RBSCP parameters
                	**type**\:   :py:class:`Rbscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Rbscp>`
                
                .. attribute:: snooping
                
                	Snooping on tunnel
                	**type**\:   :py:class:`SnoopingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.SnoopingEnum>`
                
                .. attribute:: source
                
                	source of tunnel packets
                	**type**\:  str
                
                .. attribute:: src_port
                
                	tunnel source port
                	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.SrcPort>`
                
                .. attribute:: tos
                
                	set type of sevice byte
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: ttl
                
                	set time to live
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: tun_6rd
                
                	set tunnel 6rd parameters
                	**type**\:   :py:class:`Tun6Rd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Tun6Rd>`
                
                .. attribute:: udlr
                
                	associate tunnel with unidirectional interface
                	**type**\:   :py:class:`Udlr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Udlr>`
                
                .. attribute:: vlan
                
                	Set vlan\-id for ethernet over gre mode
                	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Vlan>`
                
                .. attribute:: vrf
                
                	set tunnel vrf membership
                	**type**\:  str
                
                

                """

                _prefix = 'ios-tun'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bandwidth = Native.Interface.Tunnel.Tunnel_.Bandwidth()
                    self.bandwidth.parent = self
                    self.checksum = None
                    self.destination = None
                    self.dst_port = Native.Interface.Tunnel.Tunnel_.DstPort()
                    self.dst_port.parent = self
                    self.endpoint = Native.Interface.Tunnel.Tunnel_.Endpoint()
                    self.endpoint.parent = self
                    self.entropy = None
                    self.fixup = Native.Interface.Tunnel.Tunnel_.Fixup()
                    self.fixup.parent = self
                    self.flow = Native.Interface.Tunnel.Tunnel_.Flow()
                    self.flow.parent = self
                    self.key = None
                    self.mode = Native.Interface.Tunnel.Tunnel_.Mode()
                    self.mode.parent = self
                    self.mpls = Native.Interface.Tunnel.Tunnel_.Mpls()
                    self.mpls.parent = self
                    self.network_id = Native.Interface.Tunnel.Tunnel_.NetworkId()
                    self.network_id.parent = self
                    self.path_mtu_discovery = None
                    self.protection = Native.Interface.Tunnel.Tunnel_.Protection()
                    self.protection.parent = self
                    self.raw_packet_interface = None
                    self.rbscp = Native.Interface.Tunnel.Tunnel_.Rbscp()
                    self.rbscp.parent = self
                    self.snooping = None
                    self.source = None
                    self.src_port = Native.Interface.Tunnel.Tunnel_.SrcPort()
                    self.src_port.parent = self
                    self.tos = None
                    self.ttl = None
                    self.tun_6rd = Native.Interface.Tunnel.Tunnel_.Tun6Rd()
                    self.tun_6rd.parent = self
                    self.udlr = Native.Interface.Tunnel.Tunnel_.Udlr()
                    self.udlr.parent = self
                    self.vlan = Native.Interface.Tunnel.Tunnel_.Vlan()
                    self.vlan.parent = self
                    self.vrf = None

                class SnoopingEnum(Enum):
                    """
                    SnoopingEnum

                    Snooping on tunnel

                    .. data:: enable = 0

                    """

                    enable = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.SnoopingEnum']



                class Tun6Rd(object):
                    """
                    set tunnel 6rd parameters
                    
                    .. attribute:: br
                    
                    	Border Relay parameters
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: ipv4
                    
                    	Common IPv4 transport source parameters
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Tun6Rd.Ipv4>`
                    
                    .. attribute:: prefix
                    
                    	Provider selected common IPv6 prefix
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    .. attribute:: reverse_map_check
                    
                    	Enable source IP address and port verification
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.br = None
                        self.ipv4 = Native.Interface.Tunnel.Tunnel_.Tun6Rd.Ipv4()
                        self.ipv4.parent = self
                        self.prefix = None
                        self.reverse_map_check = None


                    class Ipv4(object):
                        """
                        Common IPv4 transport source parameters
                        
                        .. attribute:: prefix_len
                        
                        	Common IPv4 transport source prefix length
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: suffix_len
                        
                        	Common IPv4 transport source suffix length
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix_len = None
                            self.suffix_len = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix_len is not None:
                                return True

                            if self.suffix_len is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Tun6Rd.Ipv4']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:tun-6rd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.br is not None:
                            return True

                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        if self.prefix is not None:
                            return True

                        if self.reverse_map_check is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Tun6Rd']['meta_info']


                class Bandwidth(object):
                    """
                    Set tunnel bandwidth informational parameter
                    
                    .. attribute:: receive
                    
                    	Receive bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: transmit
                    
                    	Transmit bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.receive = None
                        self.transmit = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:bandwidth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.receive is not None:
                            return True

                        if self.transmit is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Bandwidth']['meta_info']


                class DstPort(object):
                    """
                    tunnel destination port
                    
                    .. attribute:: dynamic
                    
                    	Set Destination Port Dynamically
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: port_num
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dynamic = None
                        self.port_num = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:dst-port'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dynamic is not None:
                            return True

                        if self.port_num is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.DstPort']['meta_info']


                class Endpoint(object):
                    """
                    Set endpoint parameter
                    
                    .. attribute:: service_policy
                    
                    	Set service\-policy
                    	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Endpoint.ServicePolicy>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.service_policy = Native.Interface.Tunnel.Tunnel_.Endpoint.ServicePolicy()
                        self.service_policy.parent = self


                    class ServicePolicy(object):
                        """
                        Set service\-policy
                        
                        .. attribute:: output
                        
                        	apply QoS service policy in the output direction
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.output = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:service-policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.output is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Endpoint.ServicePolicy']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:endpoint'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.service_policy is not None and self.service_policy._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Endpoint']['meta_info']


                class Fixup(object):
                    """
                    fixup on tunnel interface
                    
                    .. attribute:: nat
                    
                    	enable post nat fixup 
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.nat = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:fixup'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.nat is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Fixup']['meta_info']


                class Flow(object):
                    """
                    flow options
                    
                    .. attribute:: egress_records
                    
                    	enable egress flow records 
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.egress_records = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.egress_records is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Flow']['meta_info']


                class Mode(object):
                    """
                    tunnel encapsulation method
                    
                    .. attribute:: ethernet
                    
                    	Ethernet over gre
                    	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mode.Ethernet>`
                    
                    .. attribute:: gre
                    
                    	generic route encapsulation protocol
                    	**type**\:   :py:class:`Gre <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mode.Gre>`
                    
                    .. attribute:: ipip
                    
                    	IP over IP encapsulation
                    	**type**\:   :py:class:`Ipip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mode.Ipip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipsec
                    
                    	IPSec tunnel encapsulation
                    	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mode.Ipsec>`
                    
                    .. attribute:: ipv6
                    
                    	Generic packet tunneling in IPv6
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipv6ip
                    
                    	IPv6 over IP encapsulation
                    	**type**\:   :py:class:`Ipv6Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mode.Ipv6Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: mpls
                    
                    	MPLS encapsulations
                    	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mode.Mpls>`
                    
                    .. attribute:: udp
                    
                    	UDP encapsulation protocol
                    	**type**\:   :py:class:`UdpEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mode.UdpEnum>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ethernet = Native.Interface.Tunnel.Tunnel_.Mode.Ethernet()
                        self.ethernet.parent = self
                        self.gre = Native.Interface.Tunnel.Tunnel_.Mode.Gre()
                        self.gre.parent = self
                        self.ipip = None
                        self.ipsec = Native.Interface.Tunnel.Tunnel_.Mode.Ipsec()
                        self.ipsec.parent = self
                        self.ipv6 = None
                        self.ipv6ip = None
                        self.mpls = Native.Interface.Tunnel.Tunnel_.Mode.Mpls()
                        self.mpls.parent = self
                        self.udp = None

                    class UdpEnum(Enum):
                        """
                        UdpEnum

                        UDP encapsulation protocol

                        .. data:: ip = 0

                        .. data:: multipoint = 1

                        """

                        ip = 0

                        multipoint = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mode.UdpEnum']



                    class Ipsec(object):
                        """
                        IPSec tunnel encapsulation
                        
                        .. attribute:: ipv4
                        
                        	over IPv4
                        	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mode.Ipsec.Ipv4>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ipv6
                        
                        	over IPv6
                        	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mode.Ipsec.Ipv6>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None
                            self.ipv6 = None


                        class Ipv4(object):
                            """
                            over IPv4
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:ipv4'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Ipsec.Ipv4']['meta_info']


                        class Ipv6(object):
                            """
                            over IPv6
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:ipv6'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Ipsec.Ipv6']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:ipsec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None and self.ipv4._has_data():
                                return True

                            if self.ipv6 is not None and self.ipv6._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Ipsec']['meta_info']


                    class Mpls(object):
                        """
                        MPLS encapsulations
                        
                        .. attribute:: traffic_eng
                        
                        	Traffic engineering tunnels
                        	**type**\:   :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mode.Mpls.TrafficEng>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.traffic_eng = None


                        class TrafficEng(object):
                            """
                            Traffic engineering tunnels
                            
                            .. attribute:: gre_ip
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.gre_ip = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:traffic-eng'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.gre_ip is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Mpls.TrafficEng']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:mpls'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.traffic_eng is not None and self.traffic_eng._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Mpls']['meta_info']


                    class Ethernet(object):
                        """
                        Ethernet over gre
                        
                        .. attribute:: gre
                        
                        	Ethernet over gre
                        	**type**\:   :py:class:`GreEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mode.Ethernet.GreEnum>`
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.gre = None

                        class GreEnum(Enum):
                            """
                            GreEnum

                            Ethernet over gre

                            .. data:: ipv4 = 0

                            .. data:: ipv6 = 1

                            """

                            ipv4 = 0

                            ipv6 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Ethernet.GreEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:ethernet'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.gre is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Ethernet']['meta_info']


                    class Gre(object):
                        """
                        generic route encapsulation protocol
                        
                        .. attribute:: ip
                        
                        	over IP
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6
                        
                        	over IPv6
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multipoint
                        
                        	over IPv4 (multipoint)
                        	**type**\:   :py:class:`Multipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mode.Gre.Multipoint>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = None
                            self.ipv6 = None
                            self.multipoint = None


                        class Multipoint(object):
                            """
                            over IPv4 (multipoint)
                            
                            .. attribute:: ipv6
                            
                            	over IPv6
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.ipv6 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:multipoint'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.ipv6 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Gre.Multipoint']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:gre'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None:
                                return True

                            if self.ipv6 is not None:
                                return True

                            if self.multipoint is not None and self.multipoint._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Gre']['meta_info']


                    class Ipip(object):
                        """
                        IP over IP encapsulation
                        
                        .. attribute:: decapsulate_any
                        
                        	Incoming traffic only
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.decapsulate_any = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:ipip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.decapsulate_any is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Ipip']['meta_info']


                    class Ipv6Ip(object):
                        """
                        IPv6 over IP encapsulation
                        
                        .. attribute:: auto_6rd
                        
                        	IPv6 automatic tunnelling using 6rd
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: auto_6to4
                        
                        	IPv6 automatic tunnelling using 6to4
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: isatap
                        
                        	IPv6 automatic tunnelling using ISATAP
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.auto_6rd = None
                            self.auto_6to4 = None
                            self.isatap = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:ipv6ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.auto_6rd is not None:
                                return True

                            if self.auto_6to4 is not None:
                                return True

                            if self.isatap is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mode.Ipv6Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ethernet is not None and self.ethernet._has_data():
                            return True

                        if self.gre is not None and self.gre._has_data():
                            return True

                        if self.ipip is not None and self.ipip._has_data():
                            return True

                        if self.ipsec is not None and self.ipsec._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.ipv6ip is not None and self.ipv6ip._has_data():
                            return True

                        if self.mpls is not None and self.mpls._has_data():
                            return True

                        if self.udp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mode']['meta_info']


                class NetworkId(object):
                    """
                    Set network\-id
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nexthop
                    
                    	nexthop
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: qos
                    
                    	QoS profile
                    	**type**\:  str
                    
                    .. attribute:: weight
                    
                    	weight
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.nexthop = None
                        self.qos = None
                        self.weight = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:network-id'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.nexthop is not None:
                            return True

                        if self.qos is not None:
                            return True

                        if self.weight is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.NetworkId']['meta_info']


                class PathMtuDiscovery(object):
                    """
                    Enable Path MTU Discovery on tunnel
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:path-mtu-discovery'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.PathMtuDiscovery']['meta_info']


                class Protection(object):
                    """
                    Enable tunnel protection
                    
                    .. attribute:: ipsec
                    
                    	Use ipsec to protect this tunnel interface
                    	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Protection.Ipsec>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipsec = Native.Interface.Tunnel.Tunnel_.Protection.Ipsec()
                        self.ipsec.parent = self


                    class Ipsec(object):
                        """
                        Use ipsec to protect this tunnel interface
                        
                        .. attribute:: ikev2_profile
                        
                        	ikev2 policy profile
                        	**type**\:  str
                        
                        .. attribute:: profile
                        
                        	Determine the ipsec policy profile to use
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ikev2_profile = None
                            self.profile = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:ipsec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ikev2_profile is not None:
                                return True

                            if self.profile is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Protection.Ipsec']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:protection'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipsec is not None and self.ipsec._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Protection']['meta_info']


                class Mpls(object):
                    """
                    
                    
                    .. attribute:: traffic_eng
                    
                    	
                    	**type**\:   :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.traffic_eng = Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng()
                        self.traffic_eng.parent = self


                    class TrafficEng(object):
                        """
                        
                        
                        .. attribute:: affinity
                        
                        	
                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Affinity>`
                        
                        .. attribute:: auto_bw
                        
                        	Specify mpls tunnel should automatically change bw
                        	**type**\:   :py:class:`AutoBw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.AutoBw>`
                        
                        .. attribute:: autoroute
                        
                        	
                        	**type**\:   :py:class:`Autoroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Autoroute>`
                        
                        .. attribute:: bandwidth
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: fast_reroute
                        
                        	
                        	**type**\:   :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.FastReroute>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: path_option
                        
                        	
                        	**type**\:   :py:class:`PathOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption>`
                        
                        .. attribute:: path_selection
                        
                        	Path Selection Configuration
                        	**type**\:   :py:class:`PathSelection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection>`
                        
                        .. attribute:: priority
                        
                        	
                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Priority>`
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.affinity = Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Affinity()
                            self.affinity.parent = self
                            self.auto_bw = Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.AutoBw()
                            self.auto_bw.parent = self
                            self.autoroute = Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Autoroute()
                            self.autoroute.parent = self
                            self.bandwidth = None
                            self.fast_reroute = None
                            self.path_option = Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption()
                            self.path_option.parent = self
                            self.path_selection = Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection()
                            self.path_selection.parent = self
                            self.priority = Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Priority()
                            self.priority.parent = self


                        class Affinity(object):
                            """
                            
                            
                            .. attribute:: attributes
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.attributes = None
                                self.mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:affinity'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.attributes is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Affinity']['meta_info']


                        class AutoBw(object):
                            """
                            Specify mpls tunnel should automatically change bw
                            
                            .. attribute:: max_bw
                            
                            	Set the Maximum Bandwidth for auto\-bw on this tunnel
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max_bw = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:auto-bw'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max_bw is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.AutoBw']['meta_info']


                        class Autoroute(object):
                            """
                            
                            
                            .. attribute:: announce
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: destination
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: metric
                            
                            	
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Autoroute.Metric>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.announce = None
                                self.destination = None
                                self.metric = Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Autoroute.Metric()
                                self.metric.parent = self


                            class Metric(object):
                                """
                                
                                
                                .. attribute:: absolute
                                
                                	Absolute metric value
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: range
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: relative
                                
                                	
                                	**type**\:  int
                                
                                	**range:** \-10..10
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.absolute = None
                                    self.range = None
                                    self.relative = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-tunnel:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.absolute is not None:
                                        return True

                                    if self.range is not None:
                                        return True

                                    if self.relative is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Autoroute.Metric']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:autoroute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.announce is not None:
                                    return True

                                if self.destination is not None:
                                    return True

                                if self.metric is not None and self.metric._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Autoroute']['meta_info']


                        class Priority(object):
                            """
                            
                            
                            .. attribute:: hold_priority
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            .. attribute:: setup_priority
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hold_priority = None
                                self.setup_priority = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:priority'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hold_priority is not None:
                                    return True

                                if self.setup_priority is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.Priority']['meta_info']


                        class PathOption(object):
                            """
                            
                            
                            .. attribute:: protect
                            
                            	
                            	**type**\: list of    :py:class:`Protect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Protect>`
                            
                            .. attribute:: working
                            
                            	
                            	**type**\: list of    :py:class:`Working <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.protect = YList()
                                self.protect.parent = self
                                self.protect.name = 'protect'
                                self.working = YList()
                                self.working.parent = self
                                self.working.name = 'working'


                            class Working(object):
                                """
                                
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: dynamic
                                
                                	setup based on dynamically calculcated path
                                	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: explicit
                                
                                	
                                	**type**\:   :py:class:`Explicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Explicit>`
                                
                                .. attribute:: lockdown
                                
                                	
                                	**type**\:   :py:class:`Lockdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Lockdown>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.dynamic = None
                                    self.explicit = Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Explicit()
                                    self.explicit.parent = self
                                    self.lockdown = None


                                class Dynamic(object):
                                    """
                                    setup based on dynamically calculcated path
                                    
                                    .. attribute:: pce
                                    
                                    	Use PCE for path computation
                                    	**type**\:   :py:class:`Pce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic.Pce>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: segment_routing
                                    
                                    	specify segment\-routing for this pathoption
                                    	**type**\:   :py:class:`SegmentRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.pce = None
                                        self.segment_routing = None


                                    class Pce(object):
                                        """
                                        Use PCE for path computation
                                        
                                        .. attribute:: address
                                        
                                        	IPv4 PCE address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: segment_routing
                                        
                                        	specify segment\-routing for this pathoption
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.address = None
                                            self.segment_routing = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:pce'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.address is not None:
                                                return True

                                            if self.segment_routing is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic.Pce']['meta_info']


                                    class SegmentRouting(object):
                                        """
                                        specify segment\-routing for this pathoption
                                        
                                        .. attribute:: pce
                                        
                                        	Use PCE for path computation
                                        	**type**\:   :py:class:`Pce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting.Pce>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.pce = None


                                        class Pce(object):
                                            """
                                            Use PCE for path computation
                                            
                                            .. attribute:: address
                                            
                                            	PCE IPv4 address
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-tun'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.address = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:pce'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.address is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting.Pce']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:segment-routing'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.pce is not None and self.pce._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:dynamic'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.pce is not None and self.pce._has_data():
                                            return True

                                        if self.segment_routing is not None and self.segment_routing._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Dynamic']['meta_info']


                                class Explicit(object):
                                    """
                                    
                                    
                                    .. attribute:: identifier
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\:   :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Explicit.Name>`
                                    
                                    

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.identifier = None
                                        self.name = Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Explicit.Name()
                                        self.name.parent = self


                                    class Name(object):
                                        """
                                        
                                        
                                        .. attribute:: exp_name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: segment_routing
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exp_name = None
                                            self.segment_routing = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exp_name is not None:
                                                return True

                                            if self.segment_routing is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Explicit.Name']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:explicit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.identifier is not None:
                                            return True

                                        if self.name is not None and self.name._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Explicit']['meta_info']


                                class Lockdown(object):
                                    """
                                    
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:lockdown'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working.Lockdown']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-tunnel:working[Cisco-IOS-XE-tunnel:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.dynamic is not None and self.dynamic._has_data():
                                        return True

                                    if self.explicit is not None and self.explicit._has_data():
                                        return True

                                    if self.lockdown is not None and self.lockdown._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working']['meta_info']


                            class Protect(object):
                                """
                                
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**refers to**\:  :py:class:`id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Working>`
                                
                                .. attribute:: explicit
                                
                                	
                                	**type**\:   :py:class:`Explicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Protect.Explicit>`
                                
                                .. attribute:: lockdown
                                
                                	
                                	**type**\:   :py:class:`Lockdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Protect.Lockdown>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.explicit = Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Protect.Explicit()
                                    self.explicit.parent = self
                                    self.lockdown = None


                                class Explicit(object):
                                    """
                                    
                                    
                                    .. attribute:: identifier
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.identifier = None
                                        self.name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:explicit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.identifier is not None:
                                            return True

                                        if self.name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Protect.Explicit']['meta_info']


                                class Lockdown(object):
                                    """
                                    
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:lockdown'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Protect.Lockdown']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-tunnel:protect[Cisco-IOS-XE-tunnel:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.explicit is not None and self.explicit._has_data():
                                        return True

                                    if self.lockdown is not None and self.lockdown._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption.Protect']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.protect is not None:
                                    for child_ref in self.protect:
                                        if child_ref._has_data():
                                            return True

                                if self.working is not None:
                                    for child_ref in self.working:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathOption']['meta_info']


                        class FastReroute(object):
                            """
                            
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:fast-reroute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.FastReroute']['meta_info']


                        class PathSelection(object):
                            """
                            Path Selection Configuration
                            
                            .. attribute:: invalidation
                            
                            	Path invalidation configuration
                            	**type**\:   :py:class:`Invalidation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.Invalidation>`
                            
                            .. attribute:: metric
                            
                            	Metric Type Configuration
                            	**type**\:   :py:class:`MetricEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.MetricEnum>`
                            
                            .. attribute:: segment_routing
                            
                            	Segment\-routing path\-selection options
                            	**type**\:   :py:class:`SegmentRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.SegmentRouting>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.invalidation = Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.Invalidation()
                                self.invalidation.parent = self
                                self.metric = None
                                self.segment_routing = Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.SegmentRouting()
                                self.segment_routing.parent = self

                            class MetricEnum(Enum):
                                """
                                MetricEnum

                                Metric Type Configuration

                                .. data:: igp = 0

                                .. data:: te = 1

                                """

                                igp = 0

                                te = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.MetricEnum']



                            class Invalidation(object):
                                """
                                Path invalidation configuration
                                
                                .. attribute:: drop
                                
                                	Drop Tunnel Traffic
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: value
                                
                                	Enter path invalidation timer value in milliseconds
                                	**type**\:  int
                                
                                	**range:** 0..60000
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.drop = None
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-tunnel:invalidation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.drop is not None:
                                        return True

                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.Invalidation']['meta_info']


                            class SegmentRouting(object):
                                """
                                Segment\-routing path\-selection options
                                
                                .. attribute:: adjacency
                                
                                	Segment\-routing adjacency path\-selection type
                                	**type**\:   :py:class:`Adjacency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.SegmentRouting.Adjacency>`
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.adjacency = Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.SegmentRouting.Adjacency()
                                    self.adjacency.parent = self


                                class Adjacency(object):
                                    """
                                    Segment\-routing adjacency path\-selection type
                                    
                                    .. attribute:: protected
                                    
                                    	Use only protected adjacencies
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: unprotected
                                    
                                    	Use only unprotected adjacencies
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.protected = None
                                        self.unprotected = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:adjacency'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.protected is not None:
                                            return True

                                        if self.unprotected is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.SegmentRouting.Adjacency']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-tunnel:segment-routing'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.adjacency is not None and self.adjacency._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection.SegmentRouting']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:path-selection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.invalidation is not None and self.invalidation._has_data():
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.segment_routing is not None and self.segment_routing._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng.PathSelection']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:traffic-eng'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.affinity is not None and self.affinity._has_data():
                                return True

                            if self.auto_bw is not None and self.auto_bw._has_data():
                                return True

                            if self.autoroute is not None and self.autoroute._has_data():
                                return True

                            if self.bandwidth is not None:
                                return True

                            if self.fast_reroute is not None and self.fast_reroute._has_data():
                                return True

                            if self.path_option is not None and self.path_option._has_data():
                                return True

                            if self.path_selection is not None and self.path_selection._has_data():
                                return True

                            if self.priority is not None and self.priority._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls.TrafficEng']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:mpls'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.traffic_eng is not None and self.traffic_eng._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Mpls']['meta_info']


                class Rbscp(object):
                    """
                    Set tunnel RBSCP parameters
                    
                    .. attribute:: ack_split
                    
                    	ACK splitting
                    	**type**\:  int
                    
                    	**range:** 1..32
                    
                    .. attribute:: delay
                    
                    	enable delay
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: input_drop
                    
                    	max tunnel queue size (number of bw\*delay)
                    	**type**\:  int
                    
                    	**range:** 1..10
                    
                    .. attribute:: long_drop
                    
                    	Drop non\-transmitted packets w/excessive delay
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: report
                    
                    	enable SCTP report chunk
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: window_stuff
                    
                    	Window stuffing
                    	**type**\:  int
                    
                    	**range:** 1..20
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ack_split = None
                        self.delay = None
                        self.input_drop = None
                        self.long_drop = None
                        self.report = None
                        self.window_stuff = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:rbscp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ack_split is not None:
                            return True

                        if self.delay is not None:
                            return True

                        if self.input_drop is not None:
                            return True

                        if self.long_drop is not None:
                            return True

                        if self.report is not None:
                            return True

                        if self.window_stuff is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Rbscp']['meta_info']


                class SrcPort(object):
                    """
                    tunnel source port
                    
                    .. attribute:: dynamic
                    
                    	Set Source Port Dynamically
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: port_num
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dynamic = None
                        self.port_num = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:src-port'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dynamic is not None:
                            return True

                        if self.port_num is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.SrcPort']['meta_info']


                class Udlr(object):
                    """
                    associate tunnel with unidirectional interface
                    
                    .. attribute:: address_resolution
                    
                    	Enable ARP and NHRP over a UDLR Tunnel
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: receive_only
                    
                    	Tunnel is receive\-only capable
                    	**type**\:  str
                    
                    .. attribute:: send_only
                    
                    	Tunnel is send\-only capable
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address_resolution = None
                        self.receive_only = None
                        self.send_only = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:udlr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address_resolution is not None:
                            return True

                        if self.receive_only is not None:
                            return True

                        if self.send_only is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Udlr']['meta_info']


                class Vlan(object):
                    """
                    Set vlan\-id for ethernet over gre mode
                    
                    .. attribute:: hyphen
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: id1
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: id2
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hyphen = None
                        self.id1 = None
                        self.id2 = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:vlan'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hyphen is not None:
                            return True

                        if self.id1 is not None:
                            return True

                        if self.id2 is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Tunnel_.Vlan']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-tunnel:tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bandwidth is not None and self.bandwidth._has_data():
                        return True

                    if self.checksum is not None:
                        return True

                    if self.destination is not None:
                        return True

                    if self.dst_port is not None and self.dst_port._has_data():
                        return True

                    if self.endpoint is not None and self.endpoint._has_data():
                        return True

                    if self.entropy is not None:
                        return True

                    if self.fixup is not None and self.fixup._has_data():
                        return True

                    if self.flow is not None and self.flow._has_data():
                        return True

                    if self.key is not None:
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.mpls is not None and self.mpls._has_data():
                        return True

                    if self.network_id is not None and self.network_id._has_data():
                        return True

                    if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                        return True

                    if self.protection is not None and self.protection._has_data():
                        return True

                    if self.raw_packet_interface is not None:
                        return True

                    if self.rbscp is not None and self.rbscp._has_data():
                        return True

                    if self.snooping is not None:
                        return True

                    if self.source is not None:
                        return True

                    if self.src_port is not None and self.src_port._has_data():
                        return True

                    if self.tos is not None:
                        return True

                    if self.ttl is not None:
                        return True

                    if self.tun_6rd is not None and self.tun_6rd._has_data():
                        return True

                    if self.udlr is not None and self.udlr._has_data():
                        return True

                    if self.vlan is not None and self.vlan._has_data():
                        return True

                    if self.vrf is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Tunnel_']['meta_info']


            class Crypto(object):
                """
                Encryption/Decryption commands
                
                .. attribute:: ipsec
                
                	Set IPSec parameters
                	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Crypto.Ipsec>`
                
                .. attribute:: map
                
                	Assign a Crypto Map
                	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Crypto.Map>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipsec = Native.Interface.Tunnel.Crypto.Ipsec()
                    self.ipsec.parent = self
                    self.map = Native.Interface.Tunnel.Crypto.Map()
                    self.map.parent = self


                class Map(object):
                    """
                    Assign a Crypto Map
                    
                    .. attribute:: redundancy
                    
                    	enable redundancy
                    	**type**\:  str
                    
                    .. attribute:: stateful
                    
                    	enable stateful failover
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: tag
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.redundancy = None
                        self.stateful = None
                        self.tag = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.redundancy is not None:
                            return True

                        if self.stateful is not None:
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Crypto.Map']['meta_info']


                class Ipsec(object):
                    """
                    Set IPSec parameters
                    
                    .. attribute:: df_bit
                    
                    	Handling of encapsulated DF bit
                    	**type**\:   :py:class:`DfBitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Crypto.Ipsec.DfBitEnum>`
                    
                    .. attribute:: fragmentation
                    
                    	Handling of fragmentation of near\-MTU sized packets
                    	**type**\:   :py:class:`FragmentationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Crypto.Ipsec.FragmentationEnum>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.df_bit = None
                        self.fragmentation = None

                    class DfBitEnum(Enum):
                        """
                        DfBitEnum

                        Handling of encapsulated DF bit.

                        .. data:: clear = 0

                        .. data:: copy = 1

                        .. data:: set = 2

                        """

                        clear = 0

                        copy = 1

                        set = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Crypto.Ipsec.DfBitEnum']


                    class FragmentationEnum(Enum):
                        """
                        FragmentationEnum

                        Handling of fragmentation of near\-MTU sized packets

                        .. data:: after_encryption = 0

                        .. data:: before_encryption = 1

                        """

                        after_encryption = 0

                        before_encryption = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Crypto.Ipsec.FragmentationEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:ipsec'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.df_bit is not None:
                            return True

                        if self.fragmentation is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Crypto.Ipsec']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:crypto'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipsec is not None and self.ipsec._has_data():
                        return True

                    if self.map is not None and self.map._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Crypto']['meta_info']


            class Cts(object):
                """
                Configure Cisco Trusted Security
                
                .. attribute:: manual
                
                	Supply local configuration for CTS parameters
                	**type**\:   :py:class:`Manual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.manual = None


                class Manual(object):
                    """
                    Supply local configuration for CTS parameters
                    
                    .. attribute:: policy
                    
                    	CTS policy for manual mode
                    	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual.Policy>`
                    
                    .. attribute:: propagate
                    
                    	CTS SGT Propagation configuration for manual mode
                    	**type**\:   :py:class:`Propagate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual.Propagate>`
                    
                    .. attribute:: sap
                    
                    	CTS SAP configuration for manual mode
                    	**type**\:   :py:class:`Sap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual.Sap>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.policy = Native.Interface.Tunnel.Cts.Manual.Policy()
                        self.policy.parent = self
                        self.propagate = Native.Interface.Tunnel.Cts.Manual.Propagate()
                        self.propagate.parent = self
                        self.sap = Native.Interface.Tunnel.Cts.Manual.Sap()
                        self.sap.parent = self


                    class Policy(object):
                        """
                        CTS policy for manual mode
                        
                        .. attribute:: static
                        
                        	Configure policy to be applied on the link
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual.Policy.Static>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = Native.Interface.Tunnel.Cts.Manual.Policy.Static()
                            self.static.parent = self


                        class Static(object):
                            """
                            Configure policy to be applied on the link
                            
                            .. attribute:: sgt
                            
                            	Source Security Group Tag to apply to untagged or non\-trusted incoming traffic
                            	**type**\:  int
                            
                            	**range:** 2..65519
                            
                            .. attribute:: trusted
                            
                            	Trust the Source Group Tags (SGT) that the peer uses for sending
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.sgt = None
                                self.trusted = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-cts:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.sgt is not None:
                                    return True

                                if self.trusted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Cts.Manual.Policy.Static']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Cts.Manual.Policy']['meta_info']


                    class Sap(object):
                        """
                        CTS SAP configuration for manual mode
                        
                        .. attribute:: pmk
                        
                        	Pre\-Master Key (PMK) to use for CTS SAP
                        	**type**\: list of    :py:class:`Pmk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual.Sap.Pmk>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.pmk = YList()
                            self.pmk.parent = self
                            self.pmk.name = 'pmk'


                        class Pmk(object):
                            """
                            Pre\-Master Key (PMK) to use for CTS SAP
                            
                            .. attribute:: word  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: mode_list
                            
                            	List of advertised modes (prioritized from highest to lowest)
                            	**type**\:   :py:class:`ModeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.word = None
                                self.mode_list = Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList()
                                self.mode_list.parent = self


                            class ModeList(object):
                                """
                                List of advertised modes (prioritized from highest to lowest)
                                
                                .. attribute:: gcm_encrypt
                                
                                	GCM authentication, GCM encryption
                                	**type**\:   :py:class:`GcmEncrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_encap
                                
                                	No encapsulation
                                	**type**\:   :py:class:`NoEncap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.NoEncap>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.gcm_encrypt = None
                                    self.no_encap = None


                                class GcmEncrypt(object):
                                    """
                                    GCM authentication, GCM encryption
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:   :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.gmac = None


                                    class Gmac(object):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: null
                                        
                                        	Encapsulation present, no authentication,       no encryption
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.null = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:gmac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.null is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:gcm-encrypt'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.gmac is not None and self.gmac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info']


                                class NoEncap(object):
                                    """
                                    No encapsulation
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:   :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.gmac = None


                                    class Gmac(object):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: gcm_encrypt
                                        
                                        	GCM authentication, GCM encryption
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.gcm_encrypt = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:gmac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.gcm_encrypt is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:no-encap'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.gmac is not None and self.gmac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-cts:mode-list'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.gcm_encrypt is not None and self.gcm_encrypt._has_data():
                                        return True

                                    if self.no_encap is not None and self.no_encap._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.word is None:
                                    raise YPYModelError('Key property word is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-cts:pmk[Cisco-IOS-XE-cts:word = ' + str(self.word) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.word is not None:
                                    return True

                                if self.mode_list is not None and self.mode_list._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Cts.Manual.Sap.Pmk']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:sap'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.pmk is not None:
                                for child_ref in self.pmk:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Cts.Manual.Sap']['meta_info']


                    class Propagate(object):
                        """
                        CTS SGT Propagation configuration for manual mode
                        
                        .. attribute:: sgt
                        
                        	CTS SGT Propagation configuration
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.sgt = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:propagate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.sgt is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Cts.Manual.Propagate']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-cts:manual'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.policy is not None and self.policy._has_data():
                            return True

                        if self.propagate is not None and self.propagate._has_data():
                            return True

                        if self.sap is not None and self.sap._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Cts.Manual']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-cts:cts'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.manual is not None and self.manual._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Cts']['meta_info']


            class Performance(object):
                """
                Global performance monitor configuration
                
                .. attribute:: monitor
                
                	monitor
                	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Performance.Monitor>`
                
                

                """

                _prefix = 'ios-ezpm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.monitor = Native.Interface.Tunnel.Performance.Monitor()
                    self.monitor.parent = self


                class Monitor(object):
                    """
                    monitor
                    
                    .. attribute:: context
                    
                    	Select ezPM context
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-ezpm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.context = YLeafList()
                        self.context.parent = self
                        self.context.name = 'context'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ezpm:monitor'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.context is not None:
                            for child in self.context:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Performance.Monitor']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ezpm:performance'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.monitor is not None and self.monitor._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Performance']['meta_info']


            class ServicePolicy(object):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.history = None
                    self.input = None
                    self.output = None
                    self.type = Native.Interface.Tunnel.ServicePolicy.Type()
                    self.type.parent = self


                class Type(object):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:   :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:   :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:   :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.control = Native.Interface.Tunnel.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self.performance_monitor = Native.Interface.Tunnel.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self.service_chain = Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self


                    class Control(object):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.subscriber = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:control'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.subscriber is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.ServicePolicy.Type.Control']['meta_info']


                    class PerformanceMonitor(object):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.ServicePolicy.Type.PerformanceMonitor.DirectionEnum>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.direction = None
                            self.name = None

                        class DirectionEnum(Enum):
                            """
                            DirectionEnum

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = 0

                            output = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.ServicePolicy.Type.PerformanceMonitor.DirectionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:performance-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.direction is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.ServicePolicy.Type.PerformanceMonitor']['meta_info']


                    class ServiceChain(object):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self.output = Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self


                        class Input(object):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Input']['meta_info']


                        class Output(object):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:output'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:service-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None and self.input._has_data():
                                return True

                            if self.output is not None and self.output._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.control is not None and self.control._has_data():
                            return True

                        if self.performance_monitor is not None and self.performance_monitor._has_data():
                            return True

                        if self.service_chain is not None and self.service_chain._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.ServicePolicy.Type']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.history is not None:
                        return True

                    if self.input is not None:
                        return True

                    if self.output is not None:
                        return True

                    if self.type is not None and self.type._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.ServicePolicy']['meta_info']


            class Snmp(object):
                """
                Modify SNMP interface parameters
                
                .. attribute:: ifindex
                
                	Persist ifindex for the interface
                	**type**\:   :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Snmp.Ifindex>`
                
                .. attribute:: trap
                
                	Allow a specific SNMP trap
                	**type**\:   :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Snmp.Trap>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ifindex = Native.Interface.Tunnel.Snmp.Ifindex()
                    self.ifindex.parent = self
                    self.trap = Native.Interface.Tunnel.Snmp.Trap()
                    self.trap.parent = self


                class Ifindex(object):
                    """
                    Persist ifindex for the interface
                    
                    .. attribute:: clear
                    
                    	Clear Enable/Disable ifIndex persistence
                    	**type**\:  bool
                    
                    .. attribute:: persist
                    
                    	Enable/Disable ifIndex persistence 
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.clear = None
                        self.persist = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-snmp:ifindex'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.clear is not None:
                            return True

                        if self.persist is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Snmp.Ifindex']['meta_info']


                class Trap(object):
                    """
                    Allow a specific SNMP trap
                    
                    .. attribute:: link_status
                    
                    	Allow SNMP LINKUP and LINKDOWN traps
                    	**type**\:  bool
                    
                    .. attribute:: link_status_capas
                    
                    	
                    	**type**\:   :py:class:`LinkStatusCapas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.link_status = None
                        self.link_status_capas = Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas()
                        self.link_status_capas.parent = self


                    class LinkStatusCapas(object):
                        """
                        
                        
                        .. attribute:: link_status
                        
                        	Allow SNMP LINKUP and LINKDOWN traps
                        	**type**\:   :py:class:`LinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.link_status = Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus()
                            self.link_status.parent = self


                        class LinkStatus(object):
                            """
                            Allow SNMP LINKUP and LINKDOWN traps
                            
                            .. attribute:: permit
                            
                            	Permit the following capability
                            	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.permit = Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit()
                                self.permit.parent = self


                            class Permit(object):
                                """
                                Permit the following capability
                                
                                .. attribute:: duplicates
                                
                                	Permit duplicate SNMP LINKUP and LINKDOWN traps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.duplicates = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:permit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.duplicates is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-snmp:link-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.permit is not None and self.permit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-snmp:link-status-capas'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.link_status is not None and self.link_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-snmp:trap'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.link_status is not None:
                            return True

                        if self.link_status_capas is not None and self.link_status_capas._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Snmp.Trap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:snmp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ifindex is not None and self.ifindex._has_data():
                        return True

                    if self.trap is not None and self.trap._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Snmp']['meta_info']


            class Lisp(object):
                """
                Locator/ID Separation Protocol
                
                .. attribute:: extended_subnet_mode
                
                	Configures to enable extended subnet mode on the interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mobility
                
                	Configures to allow EID mobility on interface
                	**type**\:   :py:class:`Mobility <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Lisp.Mobility>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.extended_subnet_mode = None
                    self.mobility = Native.Interface.Tunnel.Lisp.Mobility()
                    self.mobility.parent = self


                class Mobility(object):
                    """
                    Configures to allow EID mobility on interface
                    
                    .. attribute:: discover
                    
                    	Configure mobility dynamic EID discover settings
                    	**type**\:   :py:class:`Discover <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Lisp.Mobility.Discover>`
                    
                    .. attribute:: dynamic_eid
                    
                    	
                    	**type**\:   :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Lisp.Mobility.DynamicEid>`
                    
                    .. attribute:: liveness
                    
                    	Configure mobility liveness settings
                    	**type**\:   :py:class:`Liveness <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Lisp.Mobility.Liveness>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.discover = Native.Interface.Tunnel.Lisp.Mobility.Discover()
                        self.discover.parent = self
                        self.dynamic_eid = Native.Interface.Tunnel.Lisp.Mobility.DynamicEid()
                        self.dynamic_eid.parent = self
                        self.liveness = Native.Interface.Tunnel.Lisp.Mobility.Liveness()
                        self.liveness.parent = self


                    class DynamicEid(object):
                        """
                        
                        
                        .. attribute:: dynamic_eid_name
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: nbr_proxy_reply
                        
                        	Neighbor proxy reply behavior for dynamic EID group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: requests
                        
                        	Send neighbor proxy reply after reaching request threshold
                        	**type**\:  int
                        
                        	**range:** 0..5
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dynamic_eid_name = None
                            self.nbr_proxy_reply = None
                            self.requests = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:dynamic-eid'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dynamic_eid_name is not None:
                                return True

                            if self.nbr_proxy_reply is not None:
                                return True

                            if self.requests is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Lisp.Mobility.DynamicEid']['meta_info']


                    class Discover(object):
                        """
                        Configure mobility dynamic EID discover settings
                        
                        .. attribute:: arp
                        
                        	Dynamic EID discover through ARP events on this interface
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.arp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:discover'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.arp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Lisp.Mobility.Discover']['meta_info']


                    class Liveness(object):
                        """
                        Configure mobility liveness settings
                        
                        .. attribute:: test
                        
                        	Perform liveness test on dynamic\-EID discovered on this interface
                        	**type**\:  bool
                        
                        .. attribute:: ttl
                        
                        	Configures the TTL in the liveness test packet
                        	**type**\:  int
                        
                        	**range:** 2..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.test = None
                            self.ttl = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:liveness'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.test is not None:
                                return True

                            if self.ttl is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Lisp.Mobility.Liveness']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:mobility'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.discover is not None and self.discover._has_data():
                            return True

                        if self.dynamic_eid is not None and self.dynamic_eid._has_data():
                            return True

                        if self.liveness is not None and self.liveness._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Lisp.Mobility']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.extended_subnet_mode is not None:
                        return True

                    if self.mobility is not None and self.mobility._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Lisp']['meta_info']


            class Ospfv3(object):
                """
                OSPFv3 interface commands
                
                .. attribute:: authentication
                
                	Enable authentication
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Authentication>`
                
                .. attribute:: bfd
                
                	Enable BFD on this interface
                	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Bfd>`
                
                	**presence node**\: True
                
                .. attribute:: cost
                
                	Route cost of this interface
                	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Cost>`
                
                .. attribute:: database_filter
                
                	Filter OSPF LSA during synchronization and flooding
                	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.DatabaseFilter>`
                
                .. attribute:: dead_interval
                
                	Interval after which a neighbor is declared dead
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: demand_circuit
                
                	OSPF Demand Circuit
                	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.DemandCircuit>`
                
                	**presence node**\: True
                
                .. attribute:: encryption
                
                	Enable encryption
                	**type**\:   :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption>`
                
                .. attribute:: flood_reduction
                
                	OSPF Flood Reduction
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hello_interval
                
                	Time between HELLO packets
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: manet
                
                	Mobile Adhoc Networking options
                	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Manet>`
                
                .. attribute:: mtu_ignore
                
                	Ignores the MTU in DBD packets
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: multi_area
                
                	Set the OSPF multi\-area ID
                	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.MultiArea>`
                
                .. attribute:: neighbor
                
                	OSPF neighbor
                	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Neighbor>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Network>`
                
                .. attribute:: prefix_suppression
                
                	OSPF prefix suppression
                	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.PrefixSuppression>`
                
                	**presence node**\: True
                
                .. attribute:: priority
                
                	Router priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: process_id
                
                	
                	**type**\: list of    :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId>`
                
                .. attribute:: retransmit_interval
                
                	Time between retransmitting lost link state advertisements
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: shutdown
                
                	Shut down the interface in OSPFv3
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: transmit_delay
                
                	Link state transmit delay
                	**type**\:  int
                
                	**range:** 1..65535
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.authentication = Native.Interface.Tunnel.Ospfv3.Authentication()
                    self.authentication.parent = self
                    self.bfd = None
                    self.cost = Native.Interface.Tunnel.Ospfv3.Cost()
                    self.cost.parent = self
                    self.database_filter = Native.Interface.Tunnel.Ospfv3.DatabaseFilter()
                    self.database_filter.parent = self
                    self.dead_interval = None
                    self.demand_circuit = None
                    self.encryption = Native.Interface.Tunnel.Ospfv3.Encryption()
                    self.encryption.parent = self
                    self.flood_reduction = None
                    self.hello_interval = None
                    self.manet = Native.Interface.Tunnel.Ospfv3.Manet()
                    self.manet.parent = self
                    self.mtu_ignore = None
                    self.multi_area = Native.Interface.Tunnel.Ospfv3.MultiArea()
                    self.multi_area.parent = self
                    self.neighbor = YList()
                    self.neighbor.parent = self
                    self.neighbor.name = 'neighbor'
                    self.network = Native.Interface.Tunnel.Ospfv3.Network()
                    self.network.parent = self
                    self.prefix_suppression = None
                    self.priority = None
                    self.process_id = YList()
                    self.process_id.parent = self
                    self.process_id.name = 'process_id'
                    self.retransmit_interval = None
                    self.shutdown = None
                    self.transmit_delay = None


                class ProcessId(object):
                    """
                    
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Cost>`
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ipv4
                    
                    	Specify parameters for IPv4
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	Specify parameters for IPv6
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6>`
                    
                    .. attribute:: manet
                    
                    	Mobile Adhoc Networking options
                    	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Manet>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.MultiArea>`
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Network>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.authentication = Native.Interface.Tunnel.Ospfv3.ProcessId.Authentication()
                        self.authentication.parent = self
                        self.bfd = None
                        self.cost = Native.Interface.Tunnel.Ospfv3.ProcessId.Cost()
                        self.cost.parent = self
                        self.database_filter = Native.Interface.Tunnel.Ospfv3.ProcessId.DatabaseFilter()
                        self.database_filter.parent = self
                        self.dead_interval = None
                        self.demand_circuit = None
                        self.flood_reduction = None
                        self.hello_interval = None
                        self.ipv4 = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4()
                        self.ipv4.parent = self
                        self.ipv6 = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6()
                        self.ipv6.parent = self
                        self.manet = Native.Interface.Tunnel.Ospfv3.ProcessId.Manet()
                        self.manet.parent = self
                        self.mtu_ignore = None
                        self.multi_area = Native.Interface.Tunnel.Ospfv3.ProcessId.MultiArea()
                        self.multi_area.parent = self
                        self.neighbor = YList()
                        self.neighbor.parent = self
                        self.neighbor.name = 'neighbor'
                        self.network = Native.Interface.Tunnel.Ospfv3.ProcessId.Network()
                        self.network.parent = self
                        self.prefix_suppression = None
                        self.priority = None
                        self.retransmit_interval = None
                        self.shutdown = None
                        self.transmit_delay = None


                    class Authentication(object):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:  str
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_chain = None
                            self.null = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_chain is not None:
                                return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Authentication']['meta_info']


                    class Bfd(object):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Bfd']['meta_info']


                    class Cost(object):
                        """
                        Route cost of this interface
                        
                        .. attribute:: dynamic
                        
                        	Specify dynamic cost options
                        	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dynamic = None
                            self.value = None


                        class Dynamic(object):
                            """
                            Specify dynamic cost options
                            
                            .. attribute:: default
                            
                            	Specify default link metric value
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: hysteresis
                            
                            	Specify hysteresis value for LSA dampening
                            	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: weight
                            
                            	Specify weight to be placed on individual metrics
                            	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.default = None
                                self.hysteresis = None
                                self.weight = Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight()
                                self.weight.parent = self


                            class Hysteresis(object):
                                """
                                Specify hysteresis value for LSA dampening
                                
                                .. attribute:: percent
                                
                                	Specify hysteresis percent changed
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold
                                
                                	Specify hysteresis threshold value
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.percent = None
                                    self.threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.percent is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis']['meta_info']


                            class Weight(object):
                                """
                                Specify weight to be placed on individual metrics
                                
                                .. attribute:: l2_factor
                                
                                	Specify weight to be given to L2\-factor metric
                                	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: latency
                                
                                	Specify weight to be given to latency metric
                                	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: resources
                                
                                	Specify weight to be given to resources metric
                                	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: throughput
                                
                                	Specify weight to be given to throughput metric
                                	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.l2_factor = None
                                    self.latency = None
                                    self.resources = None
                                    self.throughput = None


                                class L2Factor(object):
                                    """
                                    Specify weight to be given to L2\-factor metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor']['meta_info']


                                class Latency(object):
                                    """
                                    Specify weight to be given to latency metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency']['meta_info']


                                class Resources(object):
                                    """
                                    Specify weight to be given to resources metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources']['meta_info']


                                class Throughput(object):
                                    """
                                    Specify weight to be given to throughput metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.l2_factor is not None and self.l2_factor._has_data():
                                        return True

                                    if self.latency is not None and self.latency._has_data():
                                        return True

                                    if self.resources is not None and self.resources._has_data():
                                        return True

                                    if self.throughput is not None and self.throughput._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.default is not None:
                                    return True

                                if self.hysteresis is not None and self.hysteresis._has_data():
                                    return True

                                if self.weight is not None and self.weight._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dynamic is not None and self.dynamic._has_data():
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Cost']['meta_info']


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.DatabaseFilter.AllEnum>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.disable = None

                        class AllEnum(Enum):
                            """
                            AllEnum

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.DatabaseFilter.AllEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.DatabaseFilter']['meta_info']


                    class DemandCircuit(object):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None
                            self.ignore = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.DemandCircuit']['meta_info']


                    class FloodReduction(object):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:flood-reduction'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.FloodReduction']['meta_info']


                    class Manet(object):
                        """
                        Mobile Adhoc Networking options
                        
                        .. attribute:: peering
                        
                        	MANET Peering options
                        	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.peering = Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering()
                            self.peering.parent = self


                        class Peering(object):
                            """
                            MANET Peering options
                            
                            .. attribute:: cost
                            
                            	Redundant path cost improvement required to peer
                            	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering.Cost>`
                            
                            .. attribute:: link_metrics
                            
                            	Require link metrics
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cost = Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering.Cost()
                                self.cost.parent = self
                                self.link_metrics = None


                            class Cost(object):
                                """
                                Redundant path cost improvement required to peer
                                
                                .. attribute:: percent
                                
                                	Relative incremental path cost
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: threshold
                                
                                	Absolute incremental path cost
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.percent = None
                                    self.threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.percent is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering.Cost']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cost is not None and self.cost._has_data():
                                    return True

                                if self.link_metrics is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.peering is not None and self.peering._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Manet']['meta_info']


                    class MtuIgnore(object):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mtu-ignore'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.MtuIgnore']['meta_info']


                    class MultiArea(object):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: disable
                        
                        	disable OSPF multi\-area
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cost = None
                            self.disable = None
                            self.id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cost is not None:
                                return True

                            if self.disable is not None:
                                return True

                            if self.id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.MultiArea']['meta_info']


                    class Neighbor(object):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.cost = None
                            self.database_filter = Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self.poll_interval = None
                            self.priority = None


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor.DatabaseFilter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.cost is not None:
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.poll_interval is not None:
                                return True

                            if self.priority is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor']['meta_info']


                    class Network(object):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.broadcast = None
                            self.manet = None
                            self.non_broadcast = None
                            self.point_to_multipoint = None
                            self.point_to_point = None


                        class PointToMultipoint(object):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.non_broadcast = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.non_broadcast is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Network.PointToMultipoint']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.broadcast is not None:
                                return True

                            if self.manet is not None:
                                return True

                            if self.non_broadcast is not None:
                                return True

                            if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                return True

                            if self.point_to_point is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Network']['meta_info']


                    class PrefixSuppression(object):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.PrefixSuppression']['meta_info']


                    class Shutdown(object):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:shutdown'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Shutdown']['meta_info']


                    class Ipv4(object):
                        """
                        Specify parameters for IPv4
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.area = YList()
                            self.area.parent = self
                            self.area.name = 'area'
                            self.authentication = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Authentication()
                            self.authentication.parent = self
                            self.bfd = None
                            self.cost = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost()
                            self.cost.parent = self
                            self.database_filter = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DatabaseFilter()
                            self.database_filter.parent = self
                            self.dead_interval = None
                            self.demand_circuit = None
                            self.flood_reduction = None
                            self.hello_interval = None
                            self.manet = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet()
                            self.manet.parent = self
                            self.mtu_ignore = None
                            self.multi_area = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MultiArea()
                            self.multi_area.parent = self
                            self.neighbor = YList()
                            self.neighbor.parent = self
                            self.neighbor.name = 'neighbor'
                            self.network = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network()
                            self.network.parent = self
                            self.prefix_suppression = None
                            self.priority = None
                            self.retransmit_interval = None
                            self.shutdown = None
                            self.transmit_delay = None


                        class Area(object):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\:  int
                            
                            	**range:** 64..95
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.instance = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.instance is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Area']['meta_info']


                        class Authentication(object):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\:  str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.null = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.null is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Authentication']['meta_info']


                        class Bfd(object):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Bfd']['meta_info']


                        class Cost(object):
                            """
                            Route cost of this interface
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.value = None


                            class Dynamic(object):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.default = None
                                    self.hysteresis = None
                                    self.weight = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight()
                                    self.weight.parent = self


                                class Hysteresis(object):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis']['meta_info']


                                class Weight(object):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.l2_factor = None
                                        self.latency = None
                                        self.resources = None
                                        self.throughput = None


                                    class L2Factor(object):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor']['meta_info']


                                    class Latency(object):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency']['meta_info']


                                    class Resources(object):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources']['meta_info']


                                    class Throughput(object):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.l2_factor is not None and self.l2_factor._has_data():
                                            return True

                                        if self.latency is not None and self.latency._has_data():
                                            return True

                                        if self.resources is not None and self.resources._has_data():
                                            return True

                                        if self.throughput is not None and self.throughput._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.default is not None:
                                        return True

                                    if self.hysteresis is not None and self.hysteresis._has_data():
                                        return True

                                    if self.weight is not None and self.weight._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None and self.dynamic._has_data():
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost']['meta_info']


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None
                                self.disable = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DatabaseFilter']['meta_info']


                        class DemandCircuit(object):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None
                                self.ignore = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                if self.ignore is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DemandCircuit']['meta_info']


                        class FloodReduction(object):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:flood-reduction'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.FloodReduction']['meta_info']


                        class Manet(object):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.peering = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering()
                                self.peering.parent = self


                            class Peering(object):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cost = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self.link_metrics = None


                                class Cost(object):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cost is not None and self.cost._has_data():
                                        return True

                                    if self.link_metrics is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.peering is not None and self.peering._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet']['meta_info']


                        class MtuIgnore(object):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mtu-ignore'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MtuIgnore']['meta_info']


                        class MultiArea(object):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cost = None
                                self.disable = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cost is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MultiArea']['meta_info']


                        class Neighbor(object):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.cost = None
                                self.database_filter = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self.poll_interval = None
                                self.priority = None


                            class DatabaseFilter(object):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.all = None

                                class AllEnum(Enum):
                                    """
                                    AllEnum

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.AllEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.all is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.cost is not None:
                                    return True

                                if self.database_filter is not None and self.database_filter._has_data():
                                    return True

                                if self.poll_interval is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor']['meta_info']


                        class Network(object):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.broadcast = None
                                self.manet = None
                                self.non_broadcast = None
                                self.point_to_multipoint = None
                                self.point_to_point = None


                            class PointToMultipoint(object):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.non_broadcast = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.non_broadcast is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.broadcast is not None:
                                    return True

                                if self.manet is not None:
                                    return True

                                if self.non_broadcast is not None:
                                    return True

                                if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                    return True

                                if self.point_to_point is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network']['meta_info']


                        class PrefixSuppression(object):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.PrefixSuppression']['meta_info']


                        class Shutdown(object):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:shutdown'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Shutdown']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.area is not None:
                                for child_ref in self.area:
                                    if child_ref._has_data():
                                        return True

                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.bfd is not None and self.bfd._has_data():
                                return True

                            if self.cost is not None and self.cost._has_data():
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.dead_interval is not None:
                                return True

                            if self.demand_circuit is not None and self.demand_circuit._has_data():
                                return True

                            if self.flood_reduction is not None and self.flood_reduction._has_data():
                                return True

                            if self.hello_interval is not None:
                                return True

                            if self.manet is not None and self.manet._has_data():
                                return True

                            if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                                return True

                            if self.multi_area is not None and self.multi_area._has_data():
                                return True

                            if self.neighbor is not None:
                                for child_ref in self.neighbor:
                                    if child_ref._has_data():
                                        return True

                            if self.network is not None and self.network._has_data():
                                return True

                            if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                                return True

                            if self.priority is not None:
                                return True

                            if self.retransmit_interval is not None:
                                return True

                            if self.shutdown is not None and self.shutdown._has_data():
                                return True

                            if self.transmit_delay is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4']['meta_info']


                    class Ipv6(object):
                        """
                        Specify parameters for IPv6
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:   :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:   :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:   :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:   :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:   :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:   :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.area = YList()
                            self.area.parent = self
                            self.area.name = 'area'
                            self.authentication = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Authentication()
                            self.authentication.parent = self
                            self.bfd = None
                            self.cost = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost()
                            self.cost.parent = self
                            self.database_filter = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DatabaseFilter()
                            self.database_filter.parent = self
                            self.dead_interval = None
                            self.demand_circuit = None
                            self.flood_reduction = None
                            self.hello_interval = None
                            self.manet = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet()
                            self.manet.parent = self
                            self.mtu_ignore = None
                            self.multi_area = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MultiArea()
                            self.multi_area.parent = self
                            self.neighbor = YList()
                            self.neighbor.parent = self
                            self.neighbor.name = 'neighbor'
                            self.network = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network()
                            self.network.parent = self
                            self.prefix_suppression = None
                            self.priority = None
                            self.retransmit_interval = None
                            self.shutdown = None
                            self.transmit_delay = None


                        class Area(object):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\:  int
                            
                            	**range:** 0..31
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.instance = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.instance is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Area']['meta_info']


                        class Authentication(object):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\:  str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.null = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.null is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Authentication']['meta_info']


                        class Bfd(object):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Bfd']['meta_info']


                        class Cost(object):
                            """
                            Route cost of this interface
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.value = None


                            class Dynamic(object):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.default = None
                                    self.hysteresis = None
                                    self.weight = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight()
                                    self.weight.parent = self


                                class Hysteresis(object):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis']['meta_info']


                                class Weight(object):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.l2_factor = None
                                        self.latency = None
                                        self.resources = None
                                        self.throughput = None


                                    class L2Factor(object):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor']['meta_info']


                                    class Latency(object):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency']['meta_info']


                                    class Resources(object):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources']['meta_info']


                                    class Throughput(object):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.l2_factor is not None and self.l2_factor._has_data():
                                            return True

                                        if self.latency is not None and self.latency._has_data():
                                            return True

                                        if self.resources is not None and self.resources._has_data():
                                            return True

                                        if self.throughput is not None and self.throughput._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.default is not None:
                                        return True

                                    if self.hysteresis is not None and self.hysteresis._has_data():
                                        return True

                                    if self.weight is not None and self.weight._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None and self.dynamic._has_data():
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost']['meta_info']


                        class DatabaseFilter(object):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None
                                self.disable = None

                            class AllEnum(Enum):
                                """
                                AllEnum

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DatabaseFilter.AllEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DatabaseFilter']['meta_info']


                        class DemandCircuit(object):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None
                                self.ignore = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                if self.ignore is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DemandCircuit']['meta_info']


                        class FloodReduction(object):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:flood-reduction'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.FloodReduction']['meta_info']


                        class Manet(object):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.peering = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering()
                                self.peering.parent = self


                            class Peering(object):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cost = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self.link_metrics = None


                                class Cost(object):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.percent = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.percent is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cost is not None and self.cost._has_data():
                                        return True

                                    if self.link_metrics is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.peering is not None and self.peering._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet']['meta_info']


                        class MtuIgnore(object):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mtu-ignore'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MtuIgnore']['meta_info']


                        class MultiArea(object):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cost = None
                                self.disable = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cost is not None:
                                    return True

                                if self.disable is not None:
                                    return True

                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MultiArea']['meta_info']


                        class Neighbor(object):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.cost = None
                                self.database_filter = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self.poll_interval = None
                                self.priority = None


                            class DatabaseFilter(object):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.all = None

                                class AllEnum(Enum):
                                    """
                                    AllEnum

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.AllEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.all is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.cost is not None:
                                    return True

                                if self.database_filter is not None and self.database_filter._has_data():
                                    return True

                                if self.poll_interval is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor']['meta_info']


                        class Network(object):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.broadcast = None
                                self.manet = None
                                self.non_broadcast = None
                                self.point_to_multipoint = None
                                self.point_to_point = None


                            class PointToMultipoint(object):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.non_broadcast = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.non_broadcast is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.broadcast is not None:
                                    return True

                                if self.manet is not None:
                                    return True

                                if self.non_broadcast is not None:
                                    return True

                                if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                                    return True

                                if self.point_to_point is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network']['meta_info']


                        class PrefixSuppression(object):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.PrefixSuppression']['meta_info']


                        class Shutdown(object):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:shutdown'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Shutdown']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.area is not None:
                                for child_ref in self.area:
                                    if child_ref._has_data():
                                        return True

                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.bfd is not None and self.bfd._has_data():
                                return True

                            if self.cost is not None and self.cost._has_data():
                                return True

                            if self.database_filter is not None and self.database_filter._has_data():
                                return True

                            if self.dead_interval is not None:
                                return True

                            if self.demand_circuit is not None and self.demand_circuit._has_data():
                                return True

                            if self.flood_reduction is not None and self.flood_reduction._has_data():
                                return True

                            if self.hello_interval is not None:
                                return True

                            if self.manet is not None and self.manet._has_data():
                                return True

                            if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                                return True

                            if self.multi_area is not None and self.multi_area._has_data():
                                return True

                            if self.neighbor is not None:
                                for child_ref in self.neighbor:
                                    if child_ref._has_data():
                                        return True

                            if self.network is not None and self.network._has_data():
                                return True

                            if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                                return True

                            if self.priority is not None:
                                return True

                            if self.retransmit_interval is not None:
                                return True

                            if self.shutdown is not None and self.shutdown._has_data():
                                return True

                            if self.transmit_delay is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:process-id[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        if self.cost is not None and self.cost._has_data():
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.dead_interval is not None:
                            return True

                        if self.demand_circuit is not None and self.demand_circuit._has_data():
                            return True

                        if self.flood_reduction is not None and self.flood_reduction._has_data():
                            return True

                        if self.hello_interval is not None:
                            return True

                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        if self.manet is not None and self.manet._has_data():
                            return True

                        if self.mtu_ignore is not None and self.mtu_ignore._has_data():
                            return True

                        if self.multi_area is not None and self.multi_area._has_data():
                            return True

                        if self.neighbor is not None:
                            for child_ref in self.neighbor:
                                if child_ref._has_data():
                                    return True

                        if self.network is not None and self.network._has_data():
                            return True

                        if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.retransmit_interval is not None:
                            return True

                        if self.shutdown is not None and self.shutdown._has_data():
                            return True

                        if self.transmit_delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.ProcessId']['meta_info']


                class Authentication(object):
                    """
                    Enable authentication
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec authentication
                    	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec>`
                    
                    .. attribute:: key_chain
                    
                    	Use a key\-chain for cryptographic authentication keys
                    	**type**\:  str
                    
                    .. attribute:: null
                    
                    	Use no authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipsec = Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec()
                        self.ipsec.parent = self
                        self.key_chain = None
                        self.null = None


                    class Ipsec(object):
                        """
                        Use IPsec authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5>`
                        
                        .. attribute:: sha1
                        
                        	Use SHA\-1 authentication
                        	**type**\:   :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1>`
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\:  int
                        
                        	**range:** 256..4294967295
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5()
                            self.md5.parent = self
                            self.sha1 = Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1()
                            self.sha1.parent = self
                            self.spi = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_string = Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5']['meta_info']


                        class Sha1(object):
                            """
                            Use SHA\-1 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_string = Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:sha1'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipsec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.sha1 is not None and self.sha1._has_data():
                                return True

                            if self.spi is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipsec is not None and self.ipsec._has_data():
                            return True

                        if self.key_chain is not None:
                            return True

                        if self.null is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Authentication']['meta_info']


                class Bfd(object):
                    """
                    Enable BFD on this interface
                    
                    .. attribute:: disable
                    
                    	Disable BFD on this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Bfd']['meta_info']


                class Cost(object):
                    """
                    Route cost of this interface
                    
                    .. attribute:: dynamic
                    
                    	Specify dynamic cost options
                    	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Cost.Dynamic>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dynamic = None
                        self.value = None


                    class Dynamic(object):
                        """
                        Specify dynamic cost options
                        
                        .. attribute:: default
                        
                        	Specify default link metric value
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: hysteresis
                        
                        	Specify hysteresis value for LSA dampening
                        	**type**\:   :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Hysteresis>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: weight
                        
                        	Specify weight to be placed on individual metrics
                        	**type**\:   :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None
                            self.hysteresis = None
                            self.weight = Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight()
                            self.weight.parent = self


                        class Hysteresis(object):
                            """
                            Specify hysteresis value for LSA dampening
                            
                            .. attribute:: percent
                            
                            	Specify hysteresis percent changed
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold
                            
                            	Specify hysteresis threshold value
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.percent = None
                                self.threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hysteresis'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.percent is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Hysteresis']['meta_info']


                        class Weight(object):
                            """
                            Specify weight to be placed on individual metrics
                            
                            .. attribute:: l2_factor
                            
                            	Specify weight to be given to L2\-factor metric
                            	**type**\:   :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.L2Factor>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: latency
                            
                            	Specify weight to be given to latency metric
                            	**type**\:   :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Latency>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: resources
                            
                            	Specify weight to be given to resources metric
                            	**type**\:   :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Resources>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: throughput
                            
                            	Specify weight to be given to throughput metric
                            	**type**\:   :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Throughput>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.l2_factor = None
                                self.latency = None
                                self.resources = None
                                self.throughput = None


                            class L2Factor(object):
                                """
                                Specify weight to be given to L2\-factor metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:L2-factor'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.L2Factor']['meta_info']


                            class Latency(object):
                                """
                                Specify weight to be given to latency metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:latency'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Latency']['meta_info']


                            class Resources(object):
                                """
                                Specify weight to be given to resources metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:resources'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Resources']['meta_info']


                            class Throughput(object):
                                """
                                Specify weight to be given to throughput metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throughput'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Throughput']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:weight'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.l2_factor is not None and self.l2_factor._has_data():
                                    return True

                                if self.latency is not None and self.latency._has_data():
                                    return True

                                if self.resources is not None and self.resources._has_data():
                                    return True

                                if self.throughput is not None and self.throughput._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dynamic'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            if self.hysteresis is not None and self.hysteresis._has_data():
                                return True

                            if self.weight is not None and self.weight._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Cost.Dynamic']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dynamic is not None and self.dynamic._has_data():
                            return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Cost']['meta_info']


                class DatabaseFilter(object):
                    """
                    Filter OSPF LSA during synchronization and flooding
                    
                    .. attribute:: all
                    
                    	Filter all LSA
                    	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.DatabaseFilter.AllEnum>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.all = None

                    class AllEnum(Enum):
                        """
                        AllEnum

                        Filter all LSA

                        .. data:: out = 0

                        """

                        out = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.DatabaseFilter.AllEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.all is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.DatabaseFilter']['meta_info']


                class DemandCircuit(object):
                    """
                    OSPF Demand Circuit
                    
                    .. attribute:: ignore
                    
                    	Ignore demand circuit auto\-negotiation requests
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ignore = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:demand-circuit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ignore is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.DemandCircuit']['meta_info']


                class Encryption(object):
                    """
                    Enable encryption
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec encryption
                    	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec>`
                    
                    .. attribute:: null
                    
                    	No IPsec encryption on this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipsec = Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec()
                        self.ipsec.parent = self
                        self.null = None


                    class Ipsec(object):
                        """
                        Use IPsec encryption
                        
                        .. attribute:: aes_cbc
                        
                        	Use AES\-CBC encryption
                        	**type**\:   :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc>`
                        
                        .. attribute:: esp
                        
                        	Use ESP encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec_3des
                        
                        	Use 3DES encryption
                        	**type**\:   :py:class:`Ipsec_3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec_3Des>`
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.aes_cbc = Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc()
                            self.aes_cbc.parent = self
                            self.esp = None
                            self.ipsec_3des = Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec_3Des()
                            self.ipsec_3des.parent = self
                            self.spi = None


                        class Ipsec_3Des(object):
                            """
                            Use 3DES encryption
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_string = Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec_3Des.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipsec_3des'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec_3Des']['meta_info']


                        class AesCbc(object):
                            """
                            Use AES\-CBC encryption
                            
                            .. attribute:: aes_192
                            
                            	Use 192 bit key
                            	**type**\:   :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192>`
                            
                            .. attribute:: aes_256
                            
                            	Use 256 bit key
                            	**type**\:   :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256>`
                            
                            .. attribute:: aes_cbc_128
                            
                            	Use 128 bit key
                            	**type**\:   :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aes_192 = Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192()
                                self.aes_192.parent = self
                                self.aes_256 = Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256()
                                self.aes_256.parent = self
                                self.aes_cbc_128 = Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128()
                                self.aes_cbc_128.parent = self


                            class AesCbc128(object):
                                """
                                Use 128 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-cbc-128'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128']['meta_info']


                            class Aes192(object):
                                """
                                Use 192 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-192'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192']['meta_info']


                            class Aes256(object):
                                """
                                Use 256 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_string = Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                    self.key_string.parent = self


                                class KeyString(object):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encrypt = None
                                        self.string = None

                                    class EncryptEnum(Enum):
                                        """
                                        EncryptEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = 0

                                        Y_7 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.EncryptEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-string'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encrypt is not None:
                                            return True

                                        if self.string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-256'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_string is not None and self.key_string._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:aes-cbc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aes_192 is not None and self.aes_192._has_data():
                                    return True

                                if self.aes_256 is not None and self.aes_256._has_data():
                                    return True

                                if self.aes_cbc_128 is not None and self.aes_cbc_128._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipsec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.aes_cbc is not None and self.aes_cbc._has_data():
                                return True

                            if self.esp is not None:
                                return True

                            if self.ipsec_3des is not None and self.ipsec_3des._has_data():
                                return True

                            if self.spi is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:encryption'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipsec is not None and self.ipsec._has_data():
                            return True

                        if self.null is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Encryption']['meta_info']


                class Manet(object):
                    """
                    Mobile Adhoc Networking options
                    
                    .. attribute:: peering
                    
                    	MANET Peering options
                    	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Manet.Peering>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.peering = Native.Interface.Tunnel.Ospfv3.Manet.Peering()
                        self.peering.parent = self


                    class Peering(object):
                        """
                        MANET Peering options
                        
                        .. attribute:: cost
                        
                        	Redundant path cost improvement required to peer
                        	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Manet.Peering.Cost>`
                        
                        .. attribute:: link_metrics
                        
                        	Require link metrics
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cost = Native.Interface.Tunnel.Ospfv3.Manet.Peering.Cost()
                            self.cost.parent = self
                            self.link_metrics = None


                        class Cost(object):
                            """
                            Redundant path cost improvement required to peer
                            
                            .. attribute:: percent
                            
                            	Relative incremental path cost
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            .. attribute:: threshold
                            
                            	Absolute incremental path cost
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.percent = None
                                self.threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.percent is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Manet.Peering.Cost']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cost is not None and self.cost._has_data():
                                return True

                            if self.link_metrics is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Manet.Peering']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.peering is not None and self.peering._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Manet']['meta_info']


                class MultiArea(object):
                    """
                    Set the OSPF multi\-area ID
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cost = None
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:multi-area'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cost is not None:
                            return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.MultiArea']['meta_info']


                class Neighbor(object):
                    """
                    OSPF neighbor
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	OSPF cost for point\-to\-multipoint neighbor
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                    	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Neighbor.DatabaseFilter>`
                    
                    .. attribute:: poll_interval
                    
                    	OSPF dead\-router polling interval
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: priority
                    
                    	OSPF priority of non\-broadcast neighbor
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.cost = None
                        self.database_filter = Native.Interface.Tunnel.Ospfv3.Neighbor.DatabaseFilter()
                        self.database_filter.parent = self
                        self.poll_interval = None
                        self.priority = None


                    class DatabaseFilter(object):
                        """
                        Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:   :py:class:`AllEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Neighbor.DatabaseFilter.AllEnum>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None

                        class AllEnum(Enum):
                            """
                            AllEnum

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Neighbor.DatabaseFilter.AllEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:database-filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Neighbor.DatabaseFilter']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:neighbor[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.cost is not None:
                            return True

                        if self.database_filter is not None and self.database_filter._has_data():
                            return True

                        if self.poll_interval is not None:
                            return True

                        if self.priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Neighbor']['meta_info']


                class Network(object):
                    """
                    Network type
                    
                    .. attribute:: broadcast
                    
                    	Specify OSPF broadcast multi\-access network
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: manet
                    
                    	Specify MANET OSPF interface type
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: non_broadcast
                    
                    	Specify OSPF NBMA network
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: point_to_multipoint
                    
                    	Specify OSPF point\-to\-multipoint network
                    	**type**\:   :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Network.PointToMultipoint>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: point_to_point
                    
                    	Specify OSPF point\-to\-point network
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.broadcast = None
                        self.manet = None
                        self.non_broadcast = None
                        self.point_to_multipoint = None
                        self.point_to_point = None


                    class PointToMultipoint(object):
                        """
                        Specify OSPF point\-to\-multipoint network
                        
                        .. attribute:: non_broadcast
                        
                        	Specify non\-broadcast point\-to\-mpoint network
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.non_broadcast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:point-to-multipoint'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.non_broadcast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Network.PointToMultipoint']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:network'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.broadcast is not None:
                            return True

                        if self.manet is not None:
                            return True

                        if self.non_broadcast is not None:
                            return True

                        if self.point_to_multipoint is not None and self.point_to_multipoint._has_data():
                            return True

                        if self.point_to_point is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.Network']['meta_info']


                class PrefixSuppression(object):
                    """
                    OSPF prefix suppression
                    
                    .. attribute:: disable
                    
                    	Disable prefix suppression
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:prefix-suppression'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Ospfv3.PrefixSuppression']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospfv3'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.bfd is not None and self.bfd._has_data():
                        return True

                    if self.cost is not None and self.cost._has_data():
                        return True

                    if self.database_filter is not None and self.database_filter._has_data():
                        return True

                    if self.dead_interval is not None:
                        return True

                    if self.demand_circuit is not None and self.demand_circuit._has_data():
                        return True

                    if self.encryption is not None and self.encryption._has_data():
                        return True

                    if self.flood_reduction is not None:
                        return True

                    if self.hello_interval is not None:
                        return True

                    if self.manet is not None and self.manet._has_data():
                        return True

                    if self.mtu_ignore is not None:
                        return True

                    if self.multi_area is not None and self.multi_area._has_data():
                        return True

                    if self.neighbor is not None:
                        for child_ref in self.neighbor:
                            if child_ref._has_data():
                                return True

                    if self.network is not None and self.network._has_data():
                        return True

                    if self.prefix_suppression is not None and self.prefix_suppression._has_data():
                        return True

                    if self.priority is not None:
                        return True

                    if self.process_id is not None:
                        for child_ref in self.process_id:
                            if child_ref._has_data():
                                return True

                    if self.retransmit_interval is not None:
                        return True

                    if self.shutdown is not None:
                        return True

                    if self.transmit_delay is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Ospfv3']['meta_info']


            class Udld(object):
                """
                Configure UDLD enabled or disabled and ignore global UDLD setting
                
                .. attribute:: port
                
                	Enable UDLD protocol on this interface despite global UDLD setting
                	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Udld.Port>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-udld'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.port = None


                class Port(object):
                    """
                    Enable UDLD protocol on this interface despite global UDLD setting
                    
                    .. attribute:: aggressive
                    
                    	Enable UDLD protocol in aggressive mode on this interface despite global UDLD setting
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: disable
                    
                    	Disable UDLD protocol on this interface despite global UDLD setting
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-udld'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aggressive = None
                        self.disable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-udld:port'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aggressive is not None:
                            return True

                        if self.disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Tunnel.Udld.Port']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-udld:udld'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.port is not None and self.port._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.Udld']['meta_info']


            class ZoneMember(object):
                """
                Apply zone name
                
                .. attribute:: security
                
                	Security zone
                	**type**\:  str
                
                

                """

                _prefix = 'ios-zone'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.security = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-zone:zone-member'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.security is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Tunnel.ZoneMember']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:Tunnel[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.cdp is not None and self.cdp._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.crypto is not None and self.crypto._has_data():
                    return True

                if self.cts is not None and self.cts._has_data():
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.lisp is not None and self.lisp._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.nhrp is not None and self.nhrp._has_data():
                    return True

                if self.ospfv3 is not None and self.ospfv3._has_data():
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.performance is not None and self.performance._has_data():
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.qos is not None and self.qos._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.shutdown is not None:
                    return True

                if self.snmp is not None and self.snmp._has_data():
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.tunnel is not None and self.tunnel._has_data():
                    return True

                if self.udld is not None and self.udld._has_data():
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                if self.zone_member is not None and self.zone_member._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.Tunnel']['meta_info']


        class VirtualTemplate(object):
            """
            Virtual Template interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  int
            
            	**range:** 1..4095
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Bfd>`
            
            .. attribute:: carrier_delay
            
            	Specify delay for interface transitions
            	**type**\:   :py:class:`CarrierDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.CarrierDelay>`
            
            .. attribute:: cdp
            
            	CDP interface subcommands
            	**type**\:   :py:class:`Cdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cdp>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cemoudp>`
            
            .. attribute:: channel_group
            
            	Add this interface to an Etherchannel group
            	**type**\:   :py:class:`ChannelGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ChannelGroup>`
            
            .. attribute:: channel_protocol
            
            	Select the channel protocol (LACP, PAgP)
            	**type**\:   :py:class:`ChannelProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ChannelProtocolEnum>`
            
            .. attribute:: crypto
            
            	Encryption/Decryption commands
            	**type**\:   :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Crypto>`
            
            .. attribute:: cts
            
            	Configure Cisco Trusted Security
            	**type**\:   :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Domain>`
            
            .. attribute:: duplex
            
            	Configure duplex operation
            	**type**\:   :py:class:`DuplexEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.DuplexEnum>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Encapsulation>`
            
            .. attribute:: ethernet
            
            	Ethernet interface parameters
            	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Logging>`
            
            .. attribute:: mab
            
            	
            	**type**\:   :py:class:`Mab <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Mab>`
            
            	**presence node**\: True
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: negotiation
            
            	Select autonegotiation mode
            	**type**\:   :py:class:`Negotiation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Negotiation>`
            
            .. attribute:: nhrp
            
            	NHRP Interface commands
            	**type**\:   :py:class:`Nhrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Nhrp>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Peer>`
            
            .. attribute:: plim
            
            	Configure features on the PLIM
            	**type**\:   :py:class:`Plim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.PmPath>`
            
            .. attribute:: ppp
            
            	Point\-to\-Point Protocol
            	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp>`
            
            .. attribute:: pppoe
            
            	pppoe interface subcommands
            	**type**\:   :py:class:`Pppoe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Pppoe>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.RcvQueue>`
            
            .. attribute:: service
            
            	Configure Ether Service
            	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ServiceInsertionEnum>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ServicePolicy>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: snmp
            
            	Modify SNMP interface parameters
            	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Snmp>`
            
            .. attribute:: speed
            
            	Configure speed operation
            	**type**\:   :py:class:`Speed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Speed>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.SwitchportConf>`
            
            .. attribute:: synchronous
            
            	Synchronous
            	**type**\:   :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Synchronous>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Trust>`
            
            .. attribute:: tunnel
            
            	protocol\-over\-protocol tunneling
            	**type**\:   :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel>`
            
            .. attribute:: type
            
            	type of the virtual\-template
            	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.TypeEnum>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Utd>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Vrf>`
            
            .. attribute:: zone_member
            
            	Apply zone name
            	**type**\:   :py:class:`ZoneMember <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ZoneMember>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.VirtualTemplate.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.VirtualTemplate.Arp()
                self.arp.parent = self
                self.backup = Native.Interface.VirtualTemplate.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.VirtualTemplate.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.VirtualTemplate.Bfd()
                self.bfd.parent = self
                self.carrier_delay = Native.Interface.VirtualTemplate.CarrierDelay()
                self.carrier_delay.parent = self
                self.cdp = Native.Interface.VirtualTemplate.Cdp()
                self.cdp.parent = self
                self.cemoudp = Native.Interface.VirtualTemplate.Cemoudp()
                self.cemoudp.parent = self
                self.channel_group = Native.Interface.VirtualTemplate.ChannelGroup()
                self.channel_group.parent = self
                self.channel_protocol = None
                self.crypto = Native.Interface.VirtualTemplate.Crypto()
                self.crypto.parent = self
                self.cts = Native.Interface.VirtualTemplate.Cts()
                self.cts.parent = self
                self.cws_tunnel = Native.Interface.VirtualTemplate.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.delay = None
                self.description = None
                self.domain = Native.Interface.VirtualTemplate.Domain()
                self.domain.parent = self
                self.duplex = None
                self.encapsulation = Native.Interface.VirtualTemplate.Encapsulation()
                self.encapsulation.parent = self
                self.ethernet = Native.Interface.VirtualTemplate.Ethernet()
                self.ethernet.parent = self
                self.fair_queue = Native.Interface.VirtualTemplate.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.VirtualTemplate.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.VirtualTemplate.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.VirtualTemplate.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.VirtualTemplate.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.VirtualTemplate.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.VirtualTemplate.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.VirtualTemplate.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.VirtualTemplate.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.VirtualTemplate.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.load_interval = None
                self.logging = Native.Interface.VirtualTemplate.Logging()
                self.logging.parent = self
                self.mab = None
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.VirtualTemplate.Mdix()
                self.mdix.parent = self
                self.mop = Native.Interface.VirtualTemplate.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.VirtualTemplate.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.negotiation = Native.Interface.VirtualTemplate.Negotiation()
                self.negotiation.parent = self
                self.nhrp = Native.Interface.VirtualTemplate.Nhrp()
                self.nhrp.parent = self
                self.peer = Native.Interface.VirtualTemplate.Peer()
                self.peer.parent = self
                self.plim = Native.Interface.VirtualTemplate.Plim()
                self.plim.parent = self
                self.pm_path = Native.Interface.VirtualTemplate.PmPath()
                self.pm_path.parent = self
                self.ppp = Native.Interface.VirtualTemplate.Ppp()
                self.ppp.parent = self
                self.pppoe = Native.Interface.VirtualTemplate.Pppoe()
                self.pppoe.parent = self
                self.priority_queue = Native.Interface.VirtualTemplate.PriorityQueue()
                self.priority_queue.parent = self
                self.rcv_queue = Native.Interface.VirtualTemplate.RcvQueue()
                self.rcv_queue.parent = self
                self.service = Native.Interface.VirtualTemplate.Service()
                self.service.parent = self
                self.service_insertion = None
                self.service_policy = Native.Interface.VirtualTemplate.ServicePolicy()
                self.service_policy.parent = self
                self.shutdown = None
                self.snmp = Native.Interface.VirtualTemplate.Snmp()
                self.snmp.parent = self
                self.speed = Native.Interface.VirtualTemplate.Speed()
                self.speed.parent = self
                self.standby = Native.Interface.VirtualTemplate.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.VirtualTemplate.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Interface.VirtualTemplate.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.VirtualTemplate.SwitchportConf()
                self.switchport_conf.parent = self
                self.synchronous = Native.Interface.VirtualTemplate.Synchronous()
                self.synchronous.parent = self
                self.trust = Native.Interface.VirtualTemplate.Trust()
                self.trust.parent = self
                self.tunnel = Native.Interface.VirtualTemplate.Tunnel()
                self.tunnel.parent = self
                self.type = None
                self.utd = Native.Interface.VirtualTemplate.Utd()
                self.utd.parent = self
                self.vrf = Native.Interface.VirtualTemplate.Vrf()
                self.vrf.parent = self
                self.zone_member = Native.Interface.VirtualTemplate.ZoneMember()
                self.zone_member.parent = self

            class ChannelProtocolEnum(Enum):
                """
                ChannelProtocolEnum

                Select the channel protocol (LACP, PAgP)

                .. data:: lacp = 0

                .. data:: pagp = 1

                """

                lacp = 0

                pagp = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.ChannelProtocolEnum']


            class DuplexEnum(Enum):
                """
                DuplexEnum

                Configure duplex operation.

                .. data:: auto = 0

                .. data:: full = 1

                .. data:: half = 2

                """

                auto = 0

                full = 1

                half = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.DuplexEnum']


            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.IfStateEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.ServiceInsertionEnum']


            class TypeEnum(Enum):
                """
                TypeEnum

                type of the virtual\-template

                .. data:: ethernet = 0

                .. data:: serial = 1

                .. data:: tunnel = 2

                .. data:: vpn = 3

                """

                ethernet = 0

                serial = 1

                tunnel = 2

                vpn = 3


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.TypeEnum']



            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.VirtualTemplate.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.VirtualTemplate.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.VirtualTemplate.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.VirtualTemplate.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.VirtualTemplate.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.VirtualTemplate.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.VirtualTemplate.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.VirtualTemplate.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.VirtualTemplate.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.VirtualTemplate.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.VirtualTemplate.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.VirtualTemplate.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.VirtualTemplate.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                .. attribute:: adjacency_filter
                
                	Filter IS\-IS adjacencies
                	**type**\:   :py:class:`AdjacencyFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.AdjacencyFilter>`
                
                .. attribute:: advertise
                
                	Control addresses advertisements in LSPs
                	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Advertise>`
                
                .. attribute:: authentication
                
                	ISIS authentication for interface related PDUs
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Authentication>`
                
                .. attribute:: circuit_type
                
                	Configure circuit type for interface
                	**type**\:   :py:class:`CircuitType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.CircuitType>`
                
                	**presence node**\: True
                
                .. attribute:: csnp_interval
                
                	Set CSNP interval in seconds
                	**type**\:   :py:class:`CsnpInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.CsnpInterval>`
                
                .. attribute:: hello
                
                	Add padding to IS\-IS hello packets
                	**type**\:   :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Hello>`
                
                .. attribute:: hello_interval
                
                	Set Hello interval in seconds
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval>`
                
                .. attribute:: hello_multiplier
                
                	Set multiplier for Hello holding time
                	**type**\:   :py:class:`HelloMultiplier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloMultiplier>`
                
                .. attribute:: ipv6
                
                	IPv6 interface configuration
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Ipv6>`
                
                .. attribute:: lsp_interval
                
                	Set LSP transmission interval
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                .. attribute:: mesh_group
                
                	Set ISIS mesh group
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                
                ----
                	**type**\:   :py:class:`MeshGroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.MeshGroupEnum>`
                
                
                ----
                .. attribute:: metric
                
                	Configure the metric for interface
                	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:   :py:class:`NetworkEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.NetworkEnum>`
                
                .. attribute:: password
                
                	Configure the authentication password for interface
                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Password>`
                
                .. attribute:: priority
                
                	Set priority for Designated Router election
                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Priority>`
                
                .. attribute:: protocol
                
                	Set ISIS protocol's state under current interface
                	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.ProtocolEnum>`
                
                .. attribute:: retransmit_interval
                
                	Set per\-LSP retransmission interval
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: retransmit_throttle_interval
                
                	Set interface LSP retransmission interval
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tag
                
                	Assign an admin tag to an ISIS interface IP route
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                .. attribute:: three_way_handshake
                
                	Select Cisco or IETF three\-way handshake
                	**type**\:   :py:class:`ThreeWayHandshake <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.ThreeWayHandshake>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.adjacency_filter = Native.Interface.VirtualTemplate.Isis.AdjacencyFilter()
                    self.adjacency_filter.parent = self
                    self.advertise = Native.Interface.VirtualTemplate.Isis.Advertise()
                    self.advertise.parent = self
                    self.authentication = Native.Interface.VirtualTemplate.Isis.Authentication()
                    self.authentication.parent = self
                    self.circuit_type = None
                    self.csnp_interval = Native.Interface.VirtualTemplate.Isis.CsnpInterval()
                    self.csnp_interval.parent = self
                    self.hello = Native.Interface.VirtualTemplate.Isis.Hello()
                    self.hello.parent = self
                    self.hello_interval = Native.Interface.VirtualTemplate.Isis.HelloInterval()
                    self.hello_interval.parent = self
                    self.hello_multiplier = Native.Interface.VirtualTemplate.Isis.HelloMultiplier()
                    self.hello_multiplier.parent = self
                    self.ipv6 = Native.Interface.VirtualTemplate.Isis.Ipv6()
                    self.ipv6.parent = self
                    self.lsp_interval = None
                    self.mesh_group = None
                    self.metric = Native.Interface.VirtualTemplate.Isis.Metric()
                    self.metric.parent = self
                    self.network = None
                    self.password = Native.Interface.VirtualTemplate.Isis.Password()
                    self.password.parent = self
                    self.priority = Native.Interface.VirtualTemplate.Isis.Priority()
                    self.priority.parent = self
                    self.protocol = None
                    self.retransmit_interval = None
                    self.retransmit_throttle_interval = None
                    self.tag = None
                    self.three_way_handshake = None

                class MeshGroupEnum(Enum):
                    """
                    MeshGroupEnum

                    Set ISIS mesh group

                    .. data:: blocked = 0

                    """

                    blocked = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Isis.MeshGroupEnum']


                class NetworkEnum(Enum):
                    """
                    NetworkEnum

                    Network type

                    .. data:: point_to_point = 0

                    """

                    point_to_point = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Isis.NetworkEnum']


                class ProtocolEnum(Enum):
                    """
                    ProtocolEnum

                    Set ISIS protocol's state under current interface

                    .. data:: shutdown = 0

                    """

                    shutdown = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Isis.ProtocolEnum']



                class AdjacencyFilter(object):
                    """
                    Filter IS\-IS adjacencies
                    
                    .. attribute:: match_all
                    
                    	Match all area addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: name
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.match_all = None
                        self.name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:adjacency-filter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.match_all is not None:
                            return True

                        if self.name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Isis.AdjacencyFilter']['meta_info']


                class Advertise(object):
                    """
                    Control addresses advertisements in LSPs
                    
                    .. attribute:: prefix
                    
                    	Interface IP address
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.prefix = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:advertise'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.prefix is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Advertise']['meta_info']


                class Authentication(object):
                    """
                    ISIS authentication for interface related PDUs
                    
                    .. attribute:: key_chain
                    
                    	Authentication key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	Authentication mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Authentication.Mode>`
                    
                    .. attribute:: send_only
                    
                    	Authentication send only, receive ignore
                    	**type**\:   :py:class:`SendOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Authentication.SendOnly>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.VirtualTemplate.Isis.Authentication.Mode()
                        self.mode.parent = self
                        self.send_only = None


                    class Mode(object):
                        """
                        Authentication mode
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Authentication.Mode.Md5>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: text
                        
                        	Clear text password
                        	**type**\:   :py:class:`Text <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Authentication.Mode.Text>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = None
                            self.text = None


                        class Md5(object):
                            """
                            Keyed message digest
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Authentication.Mode.Md5']['meta_info']


                        class Text(object):
                            """
                            Clear text password
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:text'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Authentication.Mode.Text']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None and self.text._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Authentication.Mode']['meta_info']


                    class KeyChain(object):
                        """
                        Authentication key\-chain
                        
                        .. attribute:: key_chain_list
                        
                        	
                        	**type**\: list of    :py:class:`KeyChainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain.KeyChainList>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_chain_list = YList()
                            self.key_chain_list.parent = self
                            self.key_chain_list.name = 'key_chain_list'
                            self.name = None


                        class KeyChainList(object):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.levels = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.levels is None:
                                    raise YPYModelError('Key property levels is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:key-chain-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.levels is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain.KeyChainList']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_chain_list is not None:
                                for child_ref in self.key_chain_list:
                                    if child_ref._has_data():
                                        return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain']['meta_info']


                    class SendOnly(object):
                        """
                        Authentication send only, receive ignore
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.levels = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:send-only'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.levels is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Authentication.SendOnly']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        if self.send_only is not None and self.send_only._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Authentication']['meta_info']


                class CircuitType(object):
                    """
                    Configure circuit type for interface
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.CircuitType.LevelsEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.levels = None

                    class LevelsEnum(Enum):
                        """
                        LevelsEnum

                        .. data:: level_1 = 0

                        .. data:: level_1_2 = 1

                        .. data:: level_2_only = 2

                        """

                        level_1 = 0

                        level_1_2 = 1

                        level_2_only = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Isis.CircuitType.LevelsEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:circuit-type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.levels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Isis.CircuitType']['meta_info']


                class CsnpInterval(object):
                    """
                    Set CSNP interval in seconds
                    
                    .. attribute:: csnp_interval_list
                    
                    	
                    	**type**\: list of    :py:class:`CsnpIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.CsnpInterval.CsnpIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.csnp_interval_list = YList()
                        self.csnp_interval_list.parent = self
                        self.csnp_interval_list.name = 'csnp_interval_list'
                        self.value = None


                    class CsnpIntervalList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Isis.CsnpInterval.CsnpIntervalList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:csnp-interval-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Isis.CsnpInterval.CsnpIntervalList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:csnp-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.csnp_interval_list is not None:
                            for child_ref in self.csnp_interval_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Isis.CsnpInterval']['meta_info']


                class Hello(object):
                    """
                    Add padding to IS\-IS hello packets
                    
                    .. attribute:: padding
                    
                    	Pad hello packets
                    	**type**\:   :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Hello.Padding>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.padding = None


                    class Padding(object):
                        """
                        Pad hello packets
                        
                        .. attribute:: always
                        
                        	Never pad hello packets if no prefix present
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.always = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:padding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.always is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Hello.Padding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.padding is not None and self.padding._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Hello']['meta_info']


                class HelloInterval(object):
                    """
                    Set Hello interval in seconds
                    
                    .. attribute:: hello_interval_list
                    
                    	
                    	**type**\: list of    :py:class:`HelloIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    
                    ----
                    	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hello_interval_list = YList()
                        self.hello_interval_list.parent = self
                        self.hello_interval_list.name = 'hello_interval_list'
                        self.value = None

                    class ValueEnum(Enum):
                        """
                        ValueEnum

                        .. data:: minimal = 0

                        """

                        minimal = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Isis.HelloInterval.ValueEnum']



                    class HelloIntervalList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.LevelsEnum']


                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: minimal = 0

                            """

                            minimal = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.ValueEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-interval-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hello_interval_list is not None:
                            for child_ref in self.hello_interval_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Isis.HelloInterval']['meta_info']


                class HelloMultiplier(object):
                    """
                    Set multiplier for Hello holding time
                    
                    .. attribute:: hello_multiplier_list
                    
                    	
                    	**type**\: list of    :py:class:`HelloMultiplierList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloMultiplier.HelloMultiplierList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 3..1000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hello_multiplier_list = YList()
                        self.hello_multiplier_list.parent = self
                        self.hello_multiplier_list.name = 'hello_multiplier_list'
                        self.value = None


                    class HelloMultiplierList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 3..1000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Isis.HelloMultiplier.HelloMultiplierList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-multiplier-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Isis.HelloMultiplier.HelloMultiplierList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello-multiplier'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hello_multiplier_list is not None:
                            for child_ref in self.hello_multiplier_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Isis.HelloMultiplier']['meta_info']


                class Ipv6(object):
                    """
                    IPv6 interface configuration
                    
                    .. attribute:: metric
                    
                    	Configure the metric for interface
                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Ipv6.Metric>`
                    
                    .. attribute:: tag
                    
                    	Assign an admin tag to an ISIS interface IPv6 route
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.metric = Native.Interface.VirtualTemplate.Isis.Ipv6.Metric()
                        self.metric.parent = self
                        self.tag = None


                    class Metric(object):
                        """
                        Configure the metric for interface
                        
                        .. attribute:: metric_list
                        
                        	
                        	**type**\: list of    :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Ipv6.Metric.MetricList>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric_list = YList()
                            self.metric_list.parent = self
                            self.metric_list.name = 'metric_list'
                            self.value = None

                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: maximum = 0

                            """

                            maximum = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Ipv6.Metric.ValueEnum']



                        class MetricList(object):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Ipv6.Metric.MetricList.LevelsEnum>`
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..16777214
                            
                            
                            ----
                            	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.levels = None
                                self.value = None

                            class LevelsEnum(Enum):
                                """
                                LevelsEnum

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = 0

                                level_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Ipv6.Metric.MetricList.LevelsEnum']


                            class ValueEnum(Enum):
                                """
                                ValueEnum

                                .. data:: maximum = 0

                                """

                                maximum = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Ipv6.Metric.MetricList.ValueEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.levels is None:
                                    raise YPYModelError('Key property levels is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:metric-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.levels is not None:
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Ipv6.Metric.MetricList']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:metric'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric_list is not None:
                                for child_ref in self.metric_list:
                                    if child_ref._has_data():
                                        return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Ipv6.Metric']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.metric is not None and self.metric._has_data():
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Ipv6']['meta_info']


                class Metric(object):
                    """
                    Configure the metric for interface
                    
                    .. attribute:: metric_list
                    
                    	
                    	**type**\: list of    :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..16777214
                    
                    
                    ----
                    	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.metric_list = YList()
                        self.metric_list.parent = self
                        self.metric_list.name = 'metric_list'
                        self.value = None

                    class ValueEnum(Enum):
                        """
                        ValueEnum

                        .. data:: maximum = 0

                        """

                        maximum = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Metric.ValueEnum']



                    class MetricList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        
                        ----
                        	**type**\:   :py:class:`ValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Metric.MetricList.LevelsEnum']


                        class ValueEnum(Enum):
                            """
                            ValueEnum

                            .. data:: maximum = 0

                            """

                            maximum = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Metric.MetricList.ValueEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:metric-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Metric.MetricList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:metric'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.metric_list is not None:
                            for child_ref in self.metric_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Metric']['meta_info']


                class Password(object):
                    """
                    Configure the authentication password for interface
                    
                    .. attribute:: password
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: password_list
                    
                    	
                    	**type**\: list of    :py:class:`PasswordList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Password.PasswordList>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.password = None
                        self.password_list = YList()
                        self.password_list.parent = self
                        self.password_list.name = 'password_list'


                    class PasswordList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Password.PasswordList.LevelsEnum>`
                        
                        .. attribute:: password
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.password = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Password.PasswordList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:password-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.password is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Password.PasswordList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:password'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.password is not None:
                            return True

                        if self.password_list is not None:
                            for child_ref in self.password_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Password']['meta_info']


                class Priority(object):
                    """
                    Set priority for Designated Router election
                    
                    .. attribute:: priority_list
                    
                    	
                    	**type**\: list of    :py:class:`PriorityList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Priority.PriorityList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..127
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.priority_list = YList()
                        self.priority_list.parent = self
                        self.priority_list.name = 'priority_list'
                        self.value = None


                    class PriorityList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Priority.PriorityList.LevelsEnum>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..127
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.value = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Priority.PriorityList.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:priority-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Priority.PriorityList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:priority'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.priority_list is not None:
                            for child_ref in self.priority_list:
                                if child_ref._has_data():
                                    return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Isis.Priority']['meta_info']


                class ThreeWayHandshake(object):
                    """
                    Select Cisco or IETF three\-way handshake
                    
                    .. attribute:: implementor
                    
                    	
                    	**type**\:   :py:class:`ImplementorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.ThreeWayHandshake.ImplementorEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.implementor = None

                    class ImplementorEnum(Enum):
                        """
                        ImplementorEnum

                        .. data:: cisco = 0

                        .. data:: ietf = 1

                        """

                        cisco = 0

                        ietf = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Isis.ThreeWayHandshake.ImplementorEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:three-way-handshake'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.implementor is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Isis.ThreeWayHandshake']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.adjacency_filter is not None and self.adjacency_filter._has_data():
                        return True

                    if self.advertise is not None and self.advertise._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.circuit_type is not None and self.circuit_type._has_data():
                        return True

                    if self.csnp_interval is not None and self.csnp_interval._has_data():
                        return True

                    if self.hello is not None and self.hello._has_data():
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.hello_multiplier is not None and self.hello_multiplier._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    if self.lsp_interval is not None:
                        return True

                    if self.mesh_group is not None:
                        return True

                    if self.metric is not None and self.metric._has_data():
                        return True

                    if self.network is not None:
                        return True

                    if self.password is not None and self.password._has_data():
                        return True

                    if self.priority is not None and self.priority._has_data():
                        return True

                    if self.protocol is not None:
                        return True

                    if self.retransmit_interval is not None:
                        return True

                    if self.retransmit_throttle_interval is not None:
                        return True

                    if self.tag is not None:
                        return True

                    if self.three_way_handshake is not None and self.three_way_handshake._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.VirtualTemplate.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.VirtualTemplate.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.VirtualTemplate.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.VirtualTemplate.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.HoldTime>`
                
                .. attribute:: igmp
                
                	IGMP interface commands
                	**type**\:   :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Igmp>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.NoAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Vrf>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.VirtualTemplate.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.VirtualTemplate.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.VirtualTemplate.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.VirtualTemplate.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.VirtualTemplate.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.hello_interval = Native.Interface.VirtualTemplate.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.VirtualTemplate.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.igmp = Native.Interface.VirtualTemplate.Ip.Igmp()
                    self.igmp.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.no_address = Native.Interface.VirtualTemplate.Ip.NoAddress()
                    self.no_address.parent = self
                    self.pim = Native.Interface.VirtualTemplate.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.VirtualTemplate.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.VirtualTemplate.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.VirtualTemplate.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.VirtualTemplate.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.VirtualTemplate.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.verify = Native.Interface.VirtualTemplate.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.VirtualTemplate.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.VirtualTemplate.Ip.Vrf()
                    self.vrf.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.VirtualTemplate.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.VirtualTemplate.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.VirtualTemplate.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.VirtualTemplate.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.VirtualTemplate.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.VirtualTemplate.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.VirtualTemplate.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.VirtualTemplate.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.VirtualTemplate.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.VirtualTemplate.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.VirtualTemplate.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Verify']['meta_info']


                class Igmp(object):
                    """
                    IGMP interface commands
                    
                    .. attribute:: join_group
                    
                    	IGMP join multicast group
                    	**type**\: list of    :py:class:`JoinGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Igmp.JoinGroup>`
                    
                    .. attribute:: static_group
                    
                    	IGMP static multicast group
                    	**type**\:   :py:class:`StaticGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup>`
                    
                    .. attribute:: version
                    
                    	IGMP version
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.join_group = YList()
                        self.join_group.parent = self
                        self.join_group.name = 'join_group'
                        self.static_group = Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup()
                        self.static_group.parent = self
                        self.version = None


                    class StaticGroup(object):
                        """
                        IGMP static multicast group
                        
                        .. attribute:: class_map
                        
                        	Class map of type multicast\-flows
                        	**type**\: list of    :py:class:`ClassMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.ClassMap>`
                        
                        .. attribute:: groups
                        
                        	
                        	**type**\: list of    :py:class:`Groups <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.Groups>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.class_map = YList()
                            self.class_map.parent = self
                            self.class_map.name = 'class_map'
                            self.groups = YList()
                            self.groups.parent = self
                            self.groups.name = 'groups'


                        class Groups(object):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:   :py:class:`NameEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            class NameEnum(Enum):
                                """
                                NameEnum

                                .. data:: Y__STAR__ = 0

                                """

                                Y__STAR__ = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.Groups.NameEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-igmp:groups[Cisco-IOS-XE-igmp:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.Groups']['meta_info']


                        class ClassMap(object):
                            """
                            Class map of type multicast\-flows
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-igmp:class-map[Cisco-IOS-XE-igmp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.ClassMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-igmp:static-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.class_map is not None:
                                for child_ref in self.class_map:
                                    if child_ref._has_data():
                                        return True

                            if self.groups is not None:
                                for child_ref in self.groups:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup']['meta_info']


                    class JoinGroup(object):
                        """
                        IGMP join multicast group
                        
                        .. attribute:: ip_group_address  <key>
                        
                        	IP group address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source
                        
                        	IP source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip_group_address = None
                            self.source = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ip_group_address is None:
                                raise YPYModelError('Key property ip_group_address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-igmp:join-group[Cisco-IOS-XE-igmp:ip-group-address = ' + str(self.ip_group_address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip_group_address is not None:
                                return True

                            if self.source is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Igmp.JoinGroup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-igmp:igmp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.join_group is not None:
                            for child_ref in self.join_group:
                                if child_ref._has_data():
                                    return True

                        if self.static_group is not None and self.static_group._has_data():
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ip.Igmp']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.igmp is not None and self.igmp._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.VirtualTemplate.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.VirtualTemplate.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.mtu = None
                    self.nd = Native.Interface.VirtualTemplate.Ipv6.Nd()
                    self.nd.parent = self
                    self.redirects = None
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ipv6.TrafficFilter']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.VirtualTemplate.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.VirtualTemplate.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.VirtualTemplate.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.VirtualTemplate.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.VirtualTemplate.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.VirtualTemplate.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.VirtualTemplate.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.VirtualTemplate.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.VirtualTemplate.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.VirtualTemplate.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.VirtualTemplate.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.VirtualTemplate.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.VirtualTemplate.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.VirtualTemplate.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.VirtualTemplate.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.VirtualTemplate.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.VirtualTemplate.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.VirtualTemplate.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.PmPath']['meta_info']


            class CarrierDelay(object):
                """
                Specify delay for interface transitions
                
                .. attribute:: down
                
                	Carrier Down Transitions
                	**type**\:   :py:class:`Down <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.CarrierDelay.Down>`
                
                .. attribute:: msec
                
                	delay specified in milliseconds
                	**type**\:  int
                
                	**range:** 0..1000
                
                .. attribute:: seconds
                
                	
                	**type**\:  int
                
                	**range:** 0..60
                
                .. attribute:: up
                
                	Carrier Up Transitions
                	**type**\:   :py:class:`Up <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.CarrierDelay.Up>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.down = Native.Interface.VirtualTemplate.CarrierDelay.Down()
                    self.down.parent = self
                    self.msec = None
                    self.seconds = None
                    self.up = Native.Interface.VirtualTemplate.CarrierDelay.Up()
                    self.up.parent = self


                class Down(object):
                    """
                    Carrier Down Transitions
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..1000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..60
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.msec = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:down'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.msec is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.CarrierDelay.Down']['meta_info']


                class Up(object):
                    """
                    Carrier Up Transitions
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..1000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..60
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.msec = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:up'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.msec is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.CarrierDelay.Up']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:carrier-delay'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.down is not None and self.down._has_data():
                        return True

                    if self.msec is not None:
                        return True

                    if self.seconds is not None:
                        return True

                    if self.up is not None and self.up._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.CarrierDelay']['meta_info']


            class ChannelGroup(object):
                """
                Add this interface to an Etherchannel group
                
                .. attribute:: auto
                
                	LACP auto
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link
                
                	Assign a link identifier used for load\-balancing
                	**type**\:  int
                
                	**range:** 1..4
                
                .. attribute:: mode
                
                	Etherchannel Mode of the interface
                	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ChannelGroup.ModeEnum>`
                
                .. attribute:: non_silent
                
                	Start negotiation only after data packets received
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: number
                
                	
                	**type**\:  int
                
                	**range:** 1..512
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None
                    self.link = None
                    self.mode = None
                    self.non_silent = None
                    self.number = None

                class ModeEnum(Enum):
                    """
                    ModeEnum

                    Etherchannel Mode of the interface

                    .. data:: active = 0

                    .. data:: auto = 1

                    .. data:: desirable = 2

                    .. data:: on = 3

                    .. data:: passive = 4

                    """

                    active = 0

                    auto = 1

                    desirable = 2

                    on = 3

                    passive = 4


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.ChannelGroup.ModeEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:channel-group'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    if self.link is not None:
                        return True

                    if self.mode is not None:
                        return True

                    if self.non_silent is not None:
                        return True

                    if self.number is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.ChannelGroup']['meta_info']


            class Ethernet(object):
                """
                Ethernet interface parameters
                
                .. attribute:: oam
                
                	To enable Ethernet Link OAM
                	**type**\:   :py:class:`Oam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.oam = None


                class Oam(object):
                    """
                    To enable Ethernet Link OAM
                    
                    .. attribute:: link_monitor
                    
                    	Ethernet OAM Link Monitor
                    	**type**\:   :py:class:`LinkMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor>`
                    
                    .. attribute:: max_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10
                    
                    .. attribute:: min_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10
                    
                    .. attribute:: mode
                    
                    	
                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.ModeEnum>`
                    
                    .. attribute:: remote_failure
                    
                    	Ethernet OAM remote failure indication
                    	**type**\:   :py:class:`RemoteFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure>`
                    
                    .. attribute:: remote_loopback
                    
                    	Ethernet OAM Remote Loopback
                    	**type**\:   :py:class:`RemoteLoopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteLoopback>`
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 2..30
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.link_monitor = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor()
                        self.link_monitor.parent = self
                        self.max_rate = None
                        self.min_rate = None
                        self.mode = None
                        self.remote_failure = Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure()
                        self.remote_failure.parent = self
                        self.remote_loopback = Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteLoopback()
                        self.remote_loopback.parent = self
                        self.timeout = None

                    class ModeEnum(Enum):
                        """
                        ModeEnum

                        .. data:: active = 0

                        .. data:: passive = 1

                        """

                        active = 0

                        passive = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.ModeEnum']



                    class LinkMonitor(object):
                        """
                        Ethernet OAM Link Monitor
                        
                        .. attribute:: frame
                        
                        	Errored frames in a period measured by time
                        	**type**\:   :py:class:`Frame <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame>`
                        
                        .. attribute:: frame_period
                        
                        	Errored frames in a period measured by number of frames
                        	**type**\:   :py:class:`FramePeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod>`
                        
                        .. attribute:: frame_seconds
                        
                        	Errored frame seconds in a period
                        	**type**\:   :py:class:`FrameSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds>`
                        
                        .. attribute:: high_threshold
                        
                        	Additional high threshold configuration
                        	**type**\:   :py:class:`HighThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold>`
                        
                        .. attribute:: on
                        
                        	Enable link monitoring on the interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: receive_crc
                        
                        	Received frames with CRC errors in a period
                        	**type**\:   :py:class:`ReceiveCrc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc>`
                        
                        .. attribute:: supported
                        
                        	Support link monitoring on the interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: symbol_period
                        
                        	Errored symbols in a period
                        	**type**\:   :py:class:`SymbolPeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.frame = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame()
                            self.frame.parent = self
                            self.frame_period = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod()
                            self.frame_period.parent = self
                            self.frame_seconds = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds()
                            self.frame_seconds.parent = self
                            self.high_threshold = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold()
                            self.high_threshold.parent = self
                            self.on = None
                            self.receive_crc = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc()
                            self.receive_crc.parent = self
                            self.supported = None
                            self.symbol_period = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod()
                            self.symbol_period.parent = self


                        class Frame(object):
                            """
                            Errored frames in a period measured by time
                            
                            .. attribute:: threshold
                            
                            	Errored frame threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 10..600
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: thresh
                                    
                                    	Set the high errored frame threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.none = None
                                        self.thresh = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.none is not None:
                                            return True

                                        if self.thresh is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame']['meta_info']


                        class FramePeriod(object):
                            """
                            Errored frames in a period measured by number of frames
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-period threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 10000 frames
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-period threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: f_thresh
                                    
                                    	Set the high errored frame\-period threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.f_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.f_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame-period'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info']


                        class FrameSeconds(object):
                            """
                            Errored frame seconds in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 100..9000
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-seconds threshold in number of seconds
                                	**type**\:  int
                                
                                	**range:** 1..900
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: e_thresh
                                    
                                    	Set the high errored frame\-seconds threshold in number of seconds
                                    	**type**\:  int
                                    
                                    	**range:** 1..900
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.e_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.e_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame-seconds'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info']


                        class HighThreshold(object):
                            """
                            Additional high threshold configuration
                            
                            .. attribute:: action
                            
                            	Specifiy an action when the high threshold is crossed
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Specifiy an action when the high threshold is crossed
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high-threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info']


                        class ReceiveCrc(object):
                            """
                            Received frames with CRC errors in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 10..1800
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low received crc error threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: crc_thresh
                                    
                                    	Set the high received crc error threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.crc_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.crc_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:receive-crc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info']


                        class SymbolPeriod(object):
                            """
                            Errored symbols in a period
                            
                            .. attribute:: threshold
                            
                            	Error symbol\-period threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 1048576 symbols
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Error symbol\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low error symbol\-period threshold in number of symbols
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: err_thresh
                                    
                                    	Set the high error symbol\-period threshold in number of symbols
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.err_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.err_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:symbol-period'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:link-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.frame is not None and self.frame._has_data():
                                return True

                            if self.frame_period is not None and self.frame_period._has_data():
                                return True

                            if self.frame_seconds is not None and self.frame_seconds._has_data():
                                return True

                            if self.high_threshold is not None and self.high_threshold._has_data():
                                return True

                            if self.on is not None:
                                return True

                            if self.receive_crc is not None and self.receive_crc._has_data():
                                return True

                            if self.supported is not None:
                                return True

                            if self.symbol_period is not None and self.symbol_period._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor']['meta_info']


                    class RemoteFailure(object):
                        """
                        Ethernet OAM remote failure indication
                        
                        .. attribute:: critical_event
                        
                        	Critical event
                        	**type**\:   :py:class:`CriticalEvent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent>`
                        
                        .. attribute:: dying_gasp
                        
                        	Dying gasp
                        	**type**\:   :py:class:`DyingGasp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp>`
                        
                        .. attribute:: link_fault
                        
                        	Link fault
                        	**type**\:   :py:class:`LinkFault <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.critical_event = Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent()
                            self.critical_event.parent = self
                            self.dying_gasp = Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp()
                            self.dying_gasp.parent = self
                            self.link_fault = Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault()
                            self.link_fault.parent = self


                        class CriticalEvent(object):
                            """
                            Critical event
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:critical-event'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info']


                        class DyingGasp(object):
                            """
                            Dying gasp
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = None


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dying-gasp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info']


                        class LinkFault(object):
                            """
                            Link fault
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = None


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:link-fault'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:remote-failure'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.critical_event is not None and self.critical_event._has_data():
                                return True

                            if self.dying_gasp is not None and self.dying_gasp._has_data():
                                return True

                            if self.link_fault is not None and self.link_fault._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure']['meta_info']


                    class RemoteLoopback(object):
                        """
                        Ethernet OAM Remote Loopback
                        
                        .. attribute:: supported
                        
                        	Support remote loopback functionality
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: timeout
                        
                        	Set timeout value in number of seconds
                        	**type**\:  int
                        
                        	**range:** 1..10
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None
                            self.timeout = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:remote-loopback'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            if self.timeout is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteLoopback']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:oam'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.link_monitor is not None and self.link_monitor._has_data():
                            return True

                        if self.max_rate is not None:
                            return True

                        if self.min_rate is not None:
                            return True

                        if self.mode is not None:
                            return True

                        if self.remote_failure is not None and self.remote_failure._has_data():
                            return True

                        if self.remote_loopback is not None and self.remote_loopback._has_data():
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet.Oam']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.oam is not None and self.oam._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Ethernet']['meta_info']


            class Negotiation(object):
                """
                Select autonegotiation mode
                
                .. attribute:: auto
                
                	Enable link autonegotiation
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:negotiation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Negotiation']['meta_info']


            class Synchronous(object):
                """
                Synchronous
                
                .. attribute:: mode
                
                	Mode
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.mode = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:synchronous'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.mode is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Synchronous']['meta_info']


            class Speed(object):
                """
                Configure speed operation
                
                .. attribute:: auto
                
                	Enable AUTO speed configuration
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: nonegotiate
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10
                
                	10 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_100
                
                	100 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_1000
                
                	1000 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10000
                
                	10000 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None
                    self.nonegotiate = None
                    self.value_10 = None
                    self.value_100 = None
                    self.value_1000 = None
                    self.value_10000 = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:speed'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.value_10 is not None:
                        return True

                    if self.value_100 is not None:
                        return True

                    if self.value_1000 is not None:
                        return True

                    if self.value_10000 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Speed']['meta_info']


            class Plim(object):
                """
                Configure features on the PLIM
                
                .. attribute:: ethernet
                
                	Configure features on the ethernet interface
                	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim.Ethernet>`
                
                .. attribute:: qos
                
                	QoS on the PLIM
                	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim.Qos>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ethernet = Native.Interface.VirtualTemplate.Plim.Ethernet()
                    self.ethernet.parent = self
                    self.qos = Native.Interface.VirtualTemplate.Plim.Qos()
                    self.qos.parent = self


                class Ethernet(object):
                    """
                    Configure features on the ethernet interface
                    
                    .. attribute:: vlan
                    
                    	vlan specific features
                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan()
                        self.vlan.parent = self


                    class Vlan(object):
                        """
                        vlan specific features
                        
                        .. attribute:: filter
                        
                        	Configure VLAN filtering
                        	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan.Filter>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.filter = Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan.Filter()
                            self.filter.parent = self


                        class Filter(object):
                            """
                            Configure VLAN filtering
                            
                            .. attribute:: disable
                            
                            	Configure the interface to accept all VLAN traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan.Filter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.filter is not None and self.filter._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None and self.vlan._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Plim.Ethernet']['meta_info']


                class Qos(object):
                    """
                    QoS on the PLIM
                    
                    .. attribute:: input
                    
                    	Configure PLIM QoS at the input of an interface
                    	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim.Qos.Input>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.input = Native.Interface.VirtualTemplate.Plim.Qos.Input()
                        self.input.parent = self


                    class Input(object):
                        """
                        Configure PLIM QoS at the input of an interface
                        
                        .. attribute:: queue
                        
                        	Queue number
                        	**type**\:   :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.queue = Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue()
                            self.queue.parent = self


                        class Queue(object):
                            """
                            Queue number
                            
                            .. attribute:: strict_priority
                            
                            	High priority queue
                            	**type**\:   :py:class:`StrictPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority>`
                            
                            .. attribute:: zero
                            
                            	Low priority queue
                            	**type**\:   :py:class:`Zero <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.strict_priority = Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority()
                                self.strict_priority.parent = self
                                self.zero = Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero()
                                self.zero.parent = self


                            class Zero(object):
                                """
                                Low priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:   :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pause = Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero.Pause()
                                    self.pause.parent = self


                                class Pause(object):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\:  bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.enable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pause'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.enable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero.Pause']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:zero'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pause is not None and self.pause._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero']['meta_info']


                            class StrictPriority(object):
                                """
                                High priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:   :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pause = Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority.Pause()
                                    self.pause.parent = self


                                class Pause(object):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\:  bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.enable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pause'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.enable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority.Pause']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:strict-priority'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pause is not None and self.pause._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:queue'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.strict_priority is not None and self.strict_priority._has_data():
                                    return True

                                if self.zero is not None and self.zero._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:input'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.queue is not None and self.queue._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Plim.Qos.Input']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:qos'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.input is not None and self.input._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Plim.Qos']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:plim'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ethernet is not None and self.ethernet._has_data():
                        return True

                    if self.qos is not None and self.qos._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Plim']['meta_info']


            class Pppoe(object):
                """
                pppoe interface subcommands
                
                .. attribute:: enable
                
                	Enable pppoe
                	**type**\:   :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Pppoe.Enable>`
                
                	**presence node**\: True
                
                .. attribute:: max_sessions
                
                	Maximum PPPOE sessions
                	**type**\:  int
                
                	**range:** 1..4085
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None
                    self.max_sessions = None


                class Enable(object):
                    """
                    Enable pppoe
                    
                    .. attribute:: group
                    
                    	attach a BBA group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        attach a BBA group

                        .. data:: global_ = 0

                        """

                        global_ = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Pppoe.Enable.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:enable'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Pppoe.Enable']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pppoe'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None and self.enable._has_data():
                        return True

                    if self.max_sessions is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Pppoe']['meta_info']


            class Service(object):
                """
                Configure Ether Service
                
                .. attribute:: instance
                
                	Configure Ether Service Instance
                	**type**\: list of    :py:class:`Instance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.instance = YList()
                    self.instance.parent = self
                    self.instance.name = 'instance'


                class Instance(object):
                    """
                    Configure Ether Service Instance
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4000
                    
                    .. attribute:: bridge_domain
                    
                    	Bridge\-domain
                    	**type**\:   :py:class:`BridgeDomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain>`
                    
                    .. attribute:: cfm
                    
                    	Ethernet CFM EFP subcommands
                    	**type**\:   :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Cfm>`
                    
                    .. attribute:: description
                    
                    	Service instance specific description
                    	**type**\:  str
                    
                    	**length:** 0..240
                    
                    .. attribute:: encapsulation
                    
                    	Configure ethernet frame match criteria
                    	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation>`
                    
                    .. attribute:: errdisable
                    
                    	Configure error disable
                    	**type**\:   :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Errdisable>`
                    
                    .. attribute:: ethernet
                    
                    	Configure an Ethernet Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet_container
                    
                    	
                    	**type**\:   :py:class:`EthernetContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer>`
                    
                    .. attribute:: ethernet_evc_name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: evc_name
                    
                    	
                    	**type**\:  str
                    
                    	**length:** 1..100
                    
                    .. attribute:: gigabitethernet
                    
                    	Configure an GigabitEthernet Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Ip>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 interface subcommands
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Ipv6>`
                    
                    .. attribute:: l2protocol
                    
                    	Configure l2 control protocol processing
                    	**type**\:   :py:class:`L2Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.L2Protocol>`
                    
                    .. attribute:: mac
                    
                    	Commands for MAC Address\-based features
                    	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Mac>`
                    
                    .. attribute:: rewrite
                    
                    	Configure ethernet rewrite criteria
                    	**type**\:   :py:class:`Rewrite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite>`
                    
                    .. attribute:: service_policy
                    
                    	Attach a policy\-map to an EFP
                    	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy>`
                    
                    .. attribute:: shutdown
                    
                    	Take the Service Instance out of Service
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: snmp
                    
                    	Modify SNMP service instance parameters
                    	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Snmp>`
                    
                    .. attribute:: trunk
                    
                    	Trunk Service Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.bridge_domain = Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain()
                        self.bridge_domain.parent = self
                        self.cfm = Native.Interface.VirtualTemplate.Service.Instance.Cfm()
                        self.cfm.parent = self
                        self.description = None
                        self.encapsulation = Native.Interface.VirtualTemplate.Service.Instance.Encapsulation()
                        self.encapsulation.parent = self
                        self.errdisable = Native.Interface.VirtualTemplate.Service.Instance.Errdisable()
                        self.errdisable.parent = self
                        self.ethernet = None
                        self.ethernet_container = Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer()
                        self.ethernet_container.parent = self
                        self.ethernet_evc_name = None
                        self.evc_name = None
                        self.gigabitethernet = None
                        self.group = None
                        self.ip = Native.Interface.VirtualTemplate.Service.Instance.Ip()
                        self.ip.parent = self
                        self.ipv6 = Native.Interface.VirtualTemplate.Service.Instance.Ipv6()
                        self.ipv6.parent = self
                        self.l2protocol = Native.Interface.VirtualTemplate.Service.Instance.L2Protocol()
                        self.l2protocol.parent = self
                        self.mac = Native.Interface.VirtualTemplate.Service.Instance.Mac()
                        self.mac.parent = self
                        self.rewrite = Native.Interface.VirtualTemplate.Service.Instance.Rewrite()
                        self.rewrite.parent = self
                        self.service_policy = Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy()
                        self.service_policy.parent = self
                        self.shutdown = None
                        self.snmp = Native.Interface.VirtualTemplate.Service.Instance.Snmp()
                        self.snmp.parent = self
                        self.trunk = None


                    class Encapsulation(object):
                        """
                        Configure ethernet frame match criteria
                        
                        .. attribute:: default
                        
                        	catch\-all unconfigured encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dot1ad
                        
                        	802.1ad \- Provider Bridges
                        	**type**\:   :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad>`
                        
                        .. attribute:: dot1q
                        
                        	IEEE 802.1Q Virtual LAN or S\-VLAN
                        	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q>`
                        
                        .. attribute:: priority_tagged
                        
                        	Priority tagged EFP
                        	**type**\:   :py:class:`PriorityTagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged>`
                        
                        .. attribute:: untagged
                        
                        	Untagged encapsulation
                        	**type**\:   :py:class:`Untagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Untagged>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.default = None
                            self.dot1ad = Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad()
                            self.dot1ad.parent = self
                            self.dot1q = Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q()
                            self.dot1q.parent = self
                            self.priority_tagged = Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged()
                            self.priority_tagged.parent = self
                            self.untagged = None


                        class Dot1Ad(object):
                            """
                            802.1ad \- Provider Bridges
                            
                            .. attribute:: cos
                            
                            	CoS value to use for CFM packets
                            	**type**\:  list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:   :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad.Cos2>`
                            
                            .. attribute:: dot1q
                            
                            	Second tag (dot1q)
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`Dot1QEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos = YLeafList()
                                self.cos.parent = self
                                self.cos.name = 'cos'
                                self.cos2 = Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad.Cos2()
                                self.cos2.parent = self
                                self.dot1q = YLeafList()
                                self.dot1q.parent = self
                                self.dot1q.name = 'dot1q'
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'
                                self.exact = None
                                self.id = YLeafList()
                                self.id.parent = self
                                self.id.name = 'id'

                            class Dot1QEnum(Enum):
                                """
                                Dot1QEnum

                                Second tag (dot1q)

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum']


                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum']


                            class IdEnum(Enum):
                                """
                                IdEnum

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad.IdEnum']



                            class Cos2(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos2'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad.Cos2']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1ad'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos is not None:
                                    for child in self.cos:
                                        if child is not None:
                                            return True

                                if self.cos2 is not None and self.cos2._has_data():
                                    return True

                                if self.dot1q is not None:
                                    for child in self.dot1q:
                                        if child is not None:
                                            return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                if self.exact is not None:
                                    return True

                                if self.id is not None:
                                    for child in self.id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad']['meta_info']


                        class Dot1Q(object):
                            """
                            IEEE 802.1Q Virtual LAN or S\-VLAN
                            
                            .. attribute:: cos
                            
                            	cos Vlan
                            	**type**\:  list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:   :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.EtypeEnum>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: second_dot1q
                            
                            	inner 802.1Q Virtual LAN or C\-VLAN
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`SecondDot1QEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: vlan_type
                            
                            	Vlan Protocol Type
                            	**type**\:   :py:class:`VlanTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos = YLeafList()
                                self.cos.parent = self
                                self.cos.name = 'cos'
                                self.cos2 = Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.Cos2()
                                self.cos2.parent = self
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'
                                self.exact = None
                                self.id = YLeafList()
                                self.id.parent = self
                                self.id.name = 'id'
                                self.second_dot1q = YLeafList()
                                self.second_dot1q.parent = self
                                self.second_dot1q.name = 'second_dot1q'
                                self.vlan_type = None

                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.EtypeEnum']


                            class IdEnum(Enum):
                                """
                                IdEnum

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.IdEnum']


                            class SecondDot1QEnum(Enum):
                                """
                                SecondDot1QEnum

                                inner 802.1Q Virtual LAN or C\-VLAN

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum']


                            class VlanTypeEnum(Enum):
                                """
                                VlanTypeEnum

                                Vlan Protocol Type

                                .. data:: Y_0x88A8 = 0

                                .. data:: Y_0x9100 = 1

                                .. data:: Y_0x9200 = 2

                                """

                                Y_0x88A8 = 0

                                Y_0x9100 = 1

                                Y_0x9200 = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum']



                            class Cos2(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos2'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.Cos2']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1q'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos is not None:
                                    for child in self.cos:
                                        if child is not None:
                                            return True

                                if self.cos2 is not None and self.cos2._has_data():
                                    return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                if self.exact is not None:
                                    return True

                                if self.id is not None:
                                    for child in self.id:
                                        if child is not None:
                                            return True

                                if self.second_dot1q is not None:
                                    for child in self.second_dot1q:
                                        if child is not None:
                                            return True

                                if self.vlan_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q']['meta_info']


                        class PriorityTagged(object):
                            """
                            Priority tagged EFP
                            
                            .. attribute:: cos_container
                            
                            	
                            	**type**\:   :py:class:`CosContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged.CosContainer>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos_container = Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged.CosContainer()
                                self.cos_container.parent = self
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'

                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum']



                            class CosContainer(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged.CosContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:priority-tagged'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos_container is not None and self.cos_container._has_data():
                                    return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged']['meta_info']


                        class Untagged(object):
                            """
                            Untagged encapsulation
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:untagged'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Untagged']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:encapsulation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.default is not None:
                                return True

                            if self.dot1ad is not None and self.dot1ad._has_data():
                                return True

                            if self.dot1q is not None and self.dot1q._has_data():
                                return True

                            if self.priority_tagged is not None and self.priority_tagged._has_data():
                                return True

                            if self.untagged is not None and self.untagged._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Encapsulation']['meta_info']


                    class Ip(object):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Ip.Acl>`
                        
                        .. attribute:: dhcp
                        
                        	DHCP
                        	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp>`
                        
                        .. attribute:: verify
                        
                        	verify
                        	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Ip.Verify>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.VirtualTemplate.Service.Instance.Ip.Acl()
                            self.acl.parent = self
                            self.dhcp = Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp()
                            self.dhcp.parent = self
                            self.verify = Native.Interface.VirtualTemplate.Service.Instance.Ip.Verify()
                            self.verify.parent = self


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: access_group
                            
                            	Specify access control for packets
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.access_group = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.access_group is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ip.Acl']['meta_info']


                        class Dhcp(object):
                            """
                            DHCP
                            
                            .. attribute:: relay
                            
                            	DHCP relay
                            	**type**\:   :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.relay = Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay()
                                self.relay.parent = self


                            class Relay(object):
                                """
                                DHCP relay
                                
                                .. attribute:: information
                                
                                	DHCP relay information
                                	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.information = Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information()
                                    self.information.parent = self


                                class Information(object):
                                    """
                                    DHCP relay information
                                    
                                    .. attribute:: option
                                    
                                    	DHCP relay information option
                                    	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information.Option>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.option = Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information.Option()
                                        self.option.parent = self


                                    class Option(object):
                                        """
                                        DHCP relay information option
                                        
                                        .. attribute:: subscriber_id
                                        
                                        	DHCP relay information option subscriber\-id
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.subscriber_id = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.subscriber_id is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information.Option']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:information'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.option is not None and self.option._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:relay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.information is not None and self.information._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dhcp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.relay is not None and self.relay._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp']['meta_info']


                        class Verify(object):
                            """
                            verify
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: port_security
                            
                            	port security
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: source
                            
                            	source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan
                            
                            	vlan specification
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None
                                self.port_security = None
                                self.source = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:verify'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None:
                                    return True

                                if self.port_security is not None:
                                    return True

                                if self.source is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ip.Verify']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.dhcp is not None and self.dhcp._has_data():
                                return True

                            if self.verify is not None and self.verify._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ip']['meta_info']


                    class Ipv6(object):
                        """
                        IPv6 interface subcommands
                        
                        .. attribute:: in_
                        
                        	inbound packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	outbound packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: traffic_filter
                        
                        	Access control list for packets
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.in_ = None
                            self.out = None
                            self.traffic_filter = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.in_ is not None:
                                return True

                            if self.out is not None:
                                return True

                            if self.traffic_filter is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Ipv6']['meta_info']


                    class Rewrite(object):
                        """
                        Configure ethernet rewrite criteria
                        
                        .. attribute:: ingress
                        
                        	Ingress Rewrite
                        	**type**\:   :py:class:`Ingress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ingress = Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress()
                            self.ingress.parent = self


                        class Ingress(object):
                            """
                            Ingress Rewrite
                            
                            .. attribute:: tag
                            
                            	Configure Rewrite Tag
                            	**type**\:   :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.tag = Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag()
                                self.tag.parent = self


                            class Tag(object):
                                """
                                Configure Rewrite Tag
                                
                                .. attribute:: pop
                                
                                	Pop the tag
                                	**type**\:   :py:class:`Pop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop>`
                                
                                .. attribute:: push
                                
                                	Rewrite Operation of push
                                	**type**\:   :py:class:`Push <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Push>`
                                
                                .. attribute:: translate
                                
                                	Translate Tag
                                	**type**\:   :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pop = Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop()
                                    self.pop.parent = self
                                    self.push = Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Push()
                                    self.push.parent = self
                                    self.translate = Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate()
                                    self.translate.parent = self


                                class Pop(object):
                                    """
                                    Pop the tag
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum>`
                                    
                                    .. attribute:: way
                                    
                                    	
                                    	**type**\:   :py:class:`WayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mode = None
                                        self.way = None

                                    class ModeEnum(Enum):
                                        """
                                        ModeEnum

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = 0


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum']


                                    class WayEnum(Enum):
                                        """
                                        WayEnum

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mode is not None:
                                            return True

                                        if self.way is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop']['meta_info']


                                class Push(object):
                                    """
                                    Rewrite Operation of push
                                    
                                    .. attribute:: dot1q
                                    
                                    	Push dot1q tag
                                    	**type**\:  int
                                    
                                    	**range:** 1..4094
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dot1q = None
                                        self.mode = None

                                    class ModeEnum(Enum):
                                        """
                                        ModeEnum

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = 0


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:push'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dot1q is not None:
                                            return True

                                        if self.mode is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Push']['meta_info']


                                class Translate(object):
                                    """
                                    Translate Tag
                                    
                                    .. attribute:: t1_to_1
                                    
                                    	Translate 1\-to\-1
                                    	**type**\:   :py:class:`T1To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1>`
                                    
                                    .. attribute:: t1_to_2
                                    
                                    	Translate 1\-to\-2
                                    	**type**\:   :py:class:`T1To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2>`
                                    
                                    .. attribute:: t2_to_1
                                    
                                    	Translate 2\-to\-1
                                    	**type**\:   :py:class:`T2To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1>`
                                    
                                    .. attribute:: t2_to_2
                                    
                                    	Translate 2\-to\-2
                                    	**type**\:   :py:class:`T2To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.t1_to_1 = Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1()
                                        self.t1_to_1.parent = self
                                        self.t1_to_2 = Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2()
                                        self.t1_to_2.parent = self
                                        self.t2_to_1 = Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1()
                                        self.t2_to_1.parent = self
                                        self.t2_to_2 = Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2()
                                        self.t2_to_2.parent = self


                                    class T1To1(object):
                                        """
                                        Translate 1\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t1-to-1'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1']['meta_info']


                                    class T1To2(object):
                                        """
                                        Translate 1\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum>`
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None
                                            self.second_dot1q = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t1-to-2'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            if self.second_dot1q is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2']['meta_info']


                                    class T2To1(object):
                                        """
                                        Translate 2\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t2-to-1'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1']['meta_info']


                                    class T2To2(object):
                                        """
                                        Translate 2\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum>`
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None
                                            self.second_dot1q = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t2-to-2'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            if self.second_dot1q is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:translate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.t1_to_1 is not None and self.t1_to_1._has_data():
                                            return True

                                        if self.t1_to_2 is not None and self.t1_to_2._has_data():
                                            return True

                                        if self.t2_to_1 is not None and self.t2_to_1._has_data():
                                            return True

                                        if self.t2_to_2 is not None and self.t2_to_2._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:tag'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pop is not None and self.pop._has_data():
                                        return True

                                    if self.push is not None and self.push._has_data():
                                        return True

                                    if self.translate is not None and self.translate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ingress'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.tag is not None and self.tag._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:rewrite'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ingress is not None and self.ingress._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Rewrite']['meta_info']


                    class Errdisable(object):
                        """
                        Configure error disable
                        
                        .. attribute:: recovery
                        
                        	enable auto recovery
                        	**type**\:   :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.recovery = Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery()
                            self.recovery.parent = self


                        class Recovery(object):
                            """
                            enable auto recovery
                            
                            .. attribute:: cause
                            
                            	error disable cause
                            	**type**\:   :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery.Cause>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cause = Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery.Cause()
                                self.cause.parent = self


                            class Cause(object):
                                """
                                error disable cause
                                
                                .. attribute:: mac_security
                                
                                	mac\-security violation
                                	**type**\:  int
                                
                                	**range:** 30..86400
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mac_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cause'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mac_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery.Cause']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:recovery'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cause is not None and self.cause._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:errdisable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.recovery is not None and self.recovery._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Errdisable']['meta_info']


                    class EthernetContainer(object):
                        """
                        
                        
                        .. attribute:: ethernet
                        
                        	ethernet
                        	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ethernet = Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet()
                            self.ethernet.parent = self


                        class Ethernet(object):
                            """
                            ethernet
                            
                            .. attribute:: lmi
                            
                            	Configure ether lmi parameters
                            	**type**\:   :py:class:`Lmi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi>`
                            
                            .. attribute:: loopback
                            
                            	Ethernet Dataplane Loopback
                            	**type**\:   :py:class:`Loopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lmi = Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi()
                                self.lmi.parent = self
                                self.loopback = Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback()
                                self.loopback.parent = self


                            class Lmi(object):
                                """
                                Configure ether lmi parameters
                                
                                .. attribute:: ce_vlan
                                
                                	Configure ether lmi customer vlans
                                	**type**\:   :py:class:`CeVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ce_vlan = Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan()
                                    self.ce_vlan.parent = self


                                class CeVlan(object):
                                    """
                                    Configure ether lmi customer vlans
                                    
                                    .. attribute:: map
                                    
                                    	Configure ether lmi ce\-vlan/evc map
                                    	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map = Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map()
                                        self.map.parent = self


                                    class Map(object):
                                        """
                                        Configure ether lmi ce\-vlan/evc map
                                        
                                        .. attribute:: any
                                        
                                        	For all VLANS [untagged,1\-4094]
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: default
                                        
                                        	Default EFP
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: untagged
                                        
                                        	Untagged frames
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vlan_range
                                        
                                        	
                                        	**type**\:   :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.any = None
                                            self.default = None
                                            self.untagged = None
                                            self.vlan_range = Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange()
                                            self.vlan_range.parent = self


                                        class VlanRange(object):
                                            """
                                            
                                            
                                            .. attribute:: comma
                                            
                                            	comma
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: hyphen
                                            
                                            	hyphen
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: vlan_id
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.comma = None
                                                self.hyphen = None
                                                self.vlan_id = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:vlan-range'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.comma is not None:
                                                    return True

                                                if self.hyphen is not None:
                                                    return True

                                                if self.vlan_id is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:map'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.any is not None:
                                                return True

                                            if self.default is not None:
                                                return True

                                            if self.untagged is not None:
                                                return True

                                            if self.vlan_range is not None and self.vlan_range._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ce-vlan'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map is not None and self.map._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:lmi'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ce_vlan is not None and self.ce_vlan._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info']


                            class Loopback(object):
                                """
                                Ethernet Dataplane Loopback
                                
                                .. attribute:: permit
                                
                                	Allow data plane loopback to be activated
                                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.permit = Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit()
                                    self.permit.parent = self


                                class Permit(object):
                                    """
                                    Allow data plane loopback to be activated
                                    
                                    .. attribute:: external
                                    
                                    	Allow to loopback the traffic from the wire
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: internal
                                    
                                    	Allow to loopback the traffic from the relay
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.internal = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:permit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None:
                                            return True

                                        if self.internal is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:loopback'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.permit is not None and self.permit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lmi is not None and self.lmi._has_data():
                                    return True

                                if self.loopback is not None and self.loopback._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet-container'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ethernet is not None and self.ethernet._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer']['meta_info']


                    class Snmp(object):
                        """
                        Modify SNMP service instance parameters
                        
                        .. attribute:: ifindex
                        
                        	Persist ifindex for the service instance
                        	**type**\:   :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Snmp.Ifindex>`
                        
                        .. attribute:: trap
                        
                        	Allow a specific SNMP trap
                        	**type**\:   :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Snmp.Trap>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ifindex = Native.Interface.VirtualTemplate.Service.Instance.Snmp.Ifindex()
                            self.ifindex.parent = self
                            self.trap = Native.Interface.VirtualTemplate.Service.Instance.Snmp.Trap()
                            self.trap.parent = self


                        class Trap(object):
                            """
                            Allow a specific SNMP trap
                            
                            .. attribute:: link_status
                            
                            	Allow SNMP LINKUP and LINKDOWN traps
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.link_status = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:trap'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.link_status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Snmp.Trap']['meta_info']


                        class Ifindex(object):
                            """
                            Persist ifindex for the service instance
                            
                            .. attribute:: persist
                            
                            	Enable/Disable ifIndex persistence
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.persist = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ifindex'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.persist is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Snmp.Ifindex']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:snmp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ifindex is not None and self.ifindex._has_data():
                                return True

                            if self.trap is not None and self.trap._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Snmp']['meta_info']


                    class BridgeDomain(object):
                        """
                        Bridge\-domain
                        
                        .. attribute:: bridge_id
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: from_encapsulation
                        
                        	from\-encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: split_horizon
                        
                        	Configure this port as a member of a split horizon group
                        	**type**\:   :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain.SplitHorizon>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bridge_id = None
                            self.from_encapsulation = None
                            self.split_horizon = Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain.SplitHorizon()
                            self.split_horizon.parent = self


                        class SplitHorizon(object):
                            """
                            Configure this port as a member of a split horizon group
                            
                            .. attribute:: group
                            
                            	Split\-horizon group
                            	**type**\:  int
                            
                            	**range:** 0..13
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:split-horizon'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain.SplitHorizon']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:bridge-domain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bridge_id is not None:
                                return True

                            if self.from_encapsulation is not None:
                                return True

                            if self.split_horizon is not None and self.split_horizon._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain']['meta_info']


                    class Mac(object):
                        """
                        Commands for MAC Address\-based features
                        
                        .. attribute:: security
                        
                        	MAC Security commands
                        	**type**\:   :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Mac.Security>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.security = None


                        class Security(object):
                            """
                            MAC Security commands
                            
                            .. attribute:: maximum
                            
                            	Configure an upper bound
                            	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Mac.Security.Maximum>`
                            
                            .. attribute:: violation
                            
                            	Configure the response when a MAC security policy is violated
                            	**type**\:   :py:class:`ViolationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Mac.Security.ViolationEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.maximum = Native.Interface.VirtualTemplate.Service.Instance.Mac.Security.Maximum()
                                self.maximum.parent = self
                                self.violation = None

                            class ViolationEnum(Enum):
                                """
                                ViolationEnum

                                Configure the response when a MAC security policy is violated

                                .. data:: protect = 0

                                .. data:: restrict = 1

                                """

                                protect = 0

                                restrict = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Mac.Security.ViolationEnum']



                            class Maximum(object):
                                """
                                Configure an upper bound
                                
                                .. attribute:: addresses
                                
                                	Maximum addresses that can be learnt on this service instance
                                	**type**\:  int
                                
                                	**range:** 1..1000
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.addresses = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:maximum'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.addresses is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Mac.Security.Maximum']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:security'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.maximum is not None and self.maximum._has_data():
                                    return True

                                if self.violation is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Mac.Security']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mac'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.security is not None and self.security._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Mac']['meta_info']


                    class ServicePolicy(object):
                        """
                        Attach a policy\-map to an EFP
                        
                        .. attribute:: input
                        
                        	service policy input
                        	**type**\: list of    :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy.Input>`
                        
                        .. attribute:: output
                        
                        	service policy output
                        	**type**\: list of    :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy.Output>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = YList()
                            self.input.parent = self
                            self.input.name = 'input'
                            self.output = YList()
                            self.output.parent = self
                            self.output.name = 'output'


                        class Input(object):
                            """
                            service policy input
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:input[Cisco-IOS-XE-ethernet:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy.Input']['meta_info']


                        class Output(object):
                            """
                            service policy output
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:output[Cisco-IOS-XE-ethernet:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:service-policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None:
                                for child_ref in self.input:
                                    if child_ref._has_data():
                                        return True

                            if self.output is not None:
                                for child_ref in self.output:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy']['meta_info']


                    class Cfm(object):
                        """
                        Ethernet CFM EFP subcommands
                        
                        .. attribute:: encapsulation
                        
                        	Configure CFM ethernet frame encapsulation
                        	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation>`
                        
                        .. attribute:: mep
                        
                        	Maintenance End Point
                        	**type**\:   :py:class:`Mep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mep>`
                        
                        .. attribute:: mip
                        
                        	Maintenance Intermediate Point
                        	**type**\:   :py:class:`Mip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mip>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.encapsulation = Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation()
                            self.encapsulation.parent = self
                            self.mep = Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mep()
                            self.mep.parent = self
                            self.mip = Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mip()
                            self.mip.parent = self


                        class Encapsulation(object):
                            """
                            Configure CFM ethernet frame encapsulation
                            
                            .. attribute:: dot1ad
                            
                            	802.1ad \- Provider Bridges
                            	**type**\:   :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Ad>`
                            
                            .. attribute:: dot1q
                            
                            	IEEE 802.1Q Virtual LAN or S\-VLAN
                            	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Q>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dot1ad = Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Ad()
                                self.dot1ad.parent = self
                                self.dot1q = Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Q()
                                self.dot1q.parent = self


                            class Dot1Ad(object):
                                """
                                802.1ad \- Provider Bridges
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: dot1q
                                
                                	Second tag (dot1q)
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = None
                                    self.dot1q = None
                                    self.vlan_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1ad'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        return True

                                    if self.dot1q is not None:
                                        return True

                                    if self.vlan_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Ad']['meta_info']


                            class Dot1Q(object):
                                """
                                IEEE 802.1Q Virtual LAN or S\-VLAN
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: second_dot1q
                                
                                	inner 802.1Q Virtual LAN or C\-VLAN
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = None
                                    self.second_dot1q = None
                                    self.vlan_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1q'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        return True

                                    if self.second_dot1q is not None:
                                        return True

                                    if self.vlan_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Q']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:encapsulation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dot1ad is not None and self.dot1ad._has_data():
                                    return True

                                if self.dot1q is not None and self.dot1q._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation']['meta_info']


                        class Mep(object):
                            """
                            Maintenance End Point
                            
                            .. attribute:: domain
                            
                            	Configure a domain for this mep
                            	**type**\:  str
                            
                            .. attribute:: mpid
                            
                            	Maintenance End Point Identifier
                            	**type**\:  int
                            
                            	**range:** 1..8191
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.domain = None
                                self.mpid = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mep'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.domain is not None:
                                    return True

                                if self.mpid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mep']['meta_info']


                        class Mip(object):
                            """
                            Maintenance Intermediate Point
                            
                            .. attribute:: level
                            
                            	Maintenance Level
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.level = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.level is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cfm'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.encapsulation is not None and self.encapsulation._has_data():
                                return True

                            if self.mep is not None and self.mep._has_data():
                                return True

                            if self.mip is not None and self.mip._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.Cfm']['meta_info']


                    class L2Protocol(object):
                        """
                        Configure l2 control protocol processing
                        
                        .. attribute:: forward
                        
                        	forward L2 control protocol packets as data
                        	**type**\:   :py:class:`Forward <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Forward>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: peer
                        
                        	peer L2 control protocol packets as data
                        	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Peer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: tunnel
                        
                        	tunnel L2 control protocol packets as data
                        	**type**\:   :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Tunnel>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forward = None
                            self.peer = None
                            self.tunnel = None


                        class Peer(object):
                            """
                            peer L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Peer.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Peer.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:peer'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Peer']['meta_info']


                        class Forward(object):
                            """
                            forward L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Forward.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Forward.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:forward'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Forward']['meta_info']


                        class Tunnel(object):
                            """
                            tunnel L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Tunnel.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Tunnel.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:tunnel'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Tunnel']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:l2protocol'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forward is not None and self.forward._has_data():
                                return True

                            if self.peer is not None and self.peer._has_data():
                                return True

                            if self.tunnel is not None and self.tunnel._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance.L2Protocol']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:instance[Cisco-IOS-XE-ethernet:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.bridge_domain is not None and self.bridge_domain._has_data():
                            return True

                        if self.cfm is not None and self.cfm._has_data():
                            return True

                        if self.description is not None:
                            return True

                        if self.encapsulation is not None and self.encapsulation._has_data():
                            return True

                        if self.errdisable is not None and self.errdisable._has_data():
                            return True

                        if self.ethernet is not None:
                            return True

                        if self.ethernet_container is not None and self.ethernet_container._has_data():
                            return True

                        if self.ethernet_evc_name is not None:
                            return True

                        if self.evc_name is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        if self.l2protocol is not None and self.l2protocol._has_data():
                            return True

                        if self.mac is not None and self.mac._has_data():
                            return True

                        if self.rewrite is not None and self.rewrite._has_data():
                            return True

                        if self.service_policy is not None and self.service_policy._has_data():
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.snmp is not None and self.snmp._has_data():
                            return True

                        if self.trunk is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Service.Instance']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:service'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.instance is not None:
                        for child_ref in self.instance:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Service']['meta_info']


            class Cdp(object):
                """
                CDP interface subcommands
                
                .. attribute:: enable
                
                	Enable CDP on interface
                	**type**\:  bool
                
                .. attribute:: tlv
                
                	Enable exchange of specific tlv information
                	**type**\:   :py:class:`Tlv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cdp.Tlv>`
                
                

                """

                _prefix = 'ios-cdp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None
                    self.tlv = Native.Interface.VirtualTemplate.Cdp.Tlv()
                    self.tlv.parent = self


                class Tlv(object):
                    """
                    Enable exchange of specific tlv information
                    
                    .. attribute:: app
                    
                    	Enable/Configure Application TLV
                    	**type**\:   :py:class:`App <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cdp.Tlv.App>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: location
                    
                    	Exchange location information
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: server_location
                    
                    	Enable CDP location server on interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-cdp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.app = None
                        self.location = None
                        self.server_location = None


                    class App(object):
                        """
                        Enable/Configure Application TLV
                        
                        .. attribute:: tlvtype
                        
                        	Configure APP TLV
                        	**type**\:  int
                        
                        	**range:** 1001..65535
                        
                        .. attribute:: value
                        
                        	Configure App TLV Value information
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-cdp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tlvtype = None
                            self.value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cdp:app'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tlvtype is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Cdp.Tlv.App']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-cdp:tlv'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.app is not None and self.app._has_data():
                            return True

                        if self.location is not None:
                            return True

                        if self.server_location is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Cdp.Tlv']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-cdp:cdp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    if self.tlv is not None and self.tlv._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Cdp']['meta_info']


            class Nhrp(object):
                """
                NHRP Interface commands
                
                .. attribute:: event_publisher
                
                	Enable NHRP smart spoke feature
                	**type**\:   :py:class:`EventPublisher <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Nhrp.EventPublisher>`
                
                .. attribute:: group
                
                	group name string
                	**type**\:  str
                
                .. attribute:: map
                
                	Map group name to QoS service policy
                	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Nhrp.Map>`
                
                .. attribute:: route_watch
                
                	Enable NHRP route watch
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-tun'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event_publisher = Native.Interface.VirtualTemplate.Nhrp.EventPublisher()
                    self.event_publisher.parent = self
                    self.group = None
                    self.map = Native.Interface.VirtualTemplate.Nhrp.Map()
                    self.map.parent = self
                    self.route_watch = None


                class EventPublisher(object):
                    """
                    Enable NHRP smart spoke feature
                    
                    .. attribute:: max_event_timeout
                    
                    	Number of seconds
                    	**type**\:  int
                    
                    	**range:** 1..22
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.max_event_timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:event-publisher'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.max_event_timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Nhrp.EventPublisher']['meta_info']


                class Map(object):
                    """
                    Map group name to QoS service policy
                    
                    .. attribute:: group
                    
                    	NHRP group mapping
                    	**type**\:   :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Nhrp.Map.Group>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group = Native.Interface.VirtualTemplate.Nhrp.Map.Group()
                        self.group.parent = self


                    class Group(object):
                        """
                        NHRP group mapping
                        
                        .. attribute:: nhrp_name
                        
                        	
                        	**type**\: list of    :py:class:`NhrpName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName>`
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.nhrp_name = YList()
                            self.nhrp_name.parent = self
                            self.nhrp_name.name = 'nhrp_name'


                        class NhrpName(object):
                            """
                            
                            
                            .. attribute:: nhrp_name  <key>
                            
                            	NHRP group name
                            	**type**\:  str
                            
                            .. attribute:: service_policy
                            
                            	QoS service\-policy
                            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName.ServicePolicy>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.nhrp_name = None
                                self.service_policy = Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName.ServicePolicy()
                                self.service_policy.parent = self


                            class ServicePolicy(object):
                                """
                                QoS service\-policy
                                
                                .. attribute:: output
                                
                                	QoS policy\-map name
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.output = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-tunnel:service-policy'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.output is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName.ServicePolicy']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.nhrp_name is None:
                                    raise YPYModelError('Key property nhrp_name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:nhrp-name[Cisco-IOS-XE-tunnel:nhrp-name = ' + str(self.nhrp_name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.nhrp_name is not None:
                                    return True

                                if self.service_policy is not None and self.service_policy._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.nhrp_name is not None:
                                for child_ref in self.nhrp_name:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Nhrp.Map.Group']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group is not None and self.group._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Nhrp.Map']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-tunnel:nhrp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event_publisher is not None and self.event_publisher._has_data():
                        return True

                    if self.group is not None:
                        return True

                    if self.map is not None and self.map._has_data():
                        return True

                    if self.route_watch is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Nhrp']['meta_info']


            class Tunnel(object):
                """
                protocol\-over\-protocol tunneling
                
                .. attribute:: bandwidth
                
                	Set tunnel bandwidth informational parameter
                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Bandwidth>`
                
                .. attribute:: checksum
                
                	enable end to end checksumming of packets
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: destination
                
                	destination of tunnel
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                
                ----
                	**type**\:  str
                
                	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                
                
                ----
                .. attribute:: dst_port
                
                	tunnel destination port
                	**type**\:   :py:class:`DstPort <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.DstPort>`
                
                .. attribute:: endpoint
                
                	Set endpoint parameter
                	**type**\:   :py:class:`Endpoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Endpoint>`
                
                .. attribute:: entropy
                
                	Compute hash (entropy) on payload and propagate to tunnel header
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: fixup
                
                	fixup on tunnel interface
                	**type**\:   :py:class:`Fixup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Fixup>`
                
                .. attribute:: flow
                
                	flow options
                	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Flow>`
                
                .. attribute:: key
                
                	security or selector key
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: mode
                
                	tunnel encapsulation method
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode>`
                
                .. attribute:: mpls
                
                	
                	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls>`
                
                .. attribute:: network_id
                
                	Set network\-id
                	**type**\:   :py:class:`NetworkId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.NetworkId>`
                
                .. attribute:: path_mtu_discovery
                
                	Enable Path MTU Discovery on tunnel
                	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.PathMtuDiscovery>`
                
                	**presence node**\: True
                
                .. attribute:: protection
                
                	Enable tunnel protection
                	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Protection>`
                
                .. attribute:: raw_packet_interface
                
                	physical interface for all packets entering itto be tunneled and for all packets entering the tunnel to exit
                	**type**\:  str
                
                .. attribute:: rbscp
                
                	Set tunnel RBSCP parameters
                	**type**\:   :py:class:`Rbscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Rbscp>`
                
                .. attribute:: snooping
                
                	Snooping on tunnel
                	**type**\:   :py:class:`SnoopingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.SnoopingEnum>`
                
                .. attribute:: source
                
                	source of tunnel packets
                	**type**\:  str
                
                .. attribute:: src_port
                
                	tunnel source port
                	**type**\:   :py:class:`SrcPort <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.SrcPort>`
                
                .. attribute:: tos
                
                	set type of sevice byte
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: ttl
                
                	set time to live
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: tun_6rd
                
                	set tunnel 6rd parameters
                	**type**\:   :py:class:`Tun6Rd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Tun6Rd>`
                
                .. attribute:: udlr
                
                	associate tunnel with unidirectional interface
                	**type**\:   :py:class:`Udlr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Udlr>`
                
                .. attribute:: vlan
                
                	Set vlan\-id for ethernet over gre mode
                	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Vlan>`
                
                .. attribute:: vrf
                
                	set tunnel vrf membership
                	**type**\:  str
                
                

                """

                _prefix = 'ios-tun'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bandwidth = Native.Interface.VirtualTemplate.Tunnel.Bandwidth()
                    self.bandwidth.parent = self
                    self.checksum = None
                    self.destination = None
                    self.dst_port = Native.Interface.VirtualTemplate.Tunnel.DstPort()
                    self.dst_port.parent = self
                    self.endpoint = Native.Interface.VirtualTemplate.Tunnel.Endpoint()
                    self.endpoint.parent = self
                    self.entropy = None
                    self.fixup = Native.Interface.VirtualTemplate.Tunnel.Fixup()
                    self.fixup.parent = self
                    self.flow = Native.Interface.VirtualTemplate.Tunnel.Flow()
                    self.flow.parent = self
                    self.key = None
                    self.mode = Native.Interface.VirtualTemplate.Tunnel.Mode()
                    self.mode.parent = self
                    self.mpls = Native.Interface.VirtualTemplate.Tunnel.Mpls()
                    self.mpls.parent = self
                    self.network_id = Native.Interface.VirtualTemplate.Tunnel.NetworkId()
                    self.network_id.parent = self
                    self.path_mtu_discovery = None
                    self.protection = Native.Interface.VirtualTemplate.Tunnel.Protection()
                    self.protection.parent = self
                    self.raw_packet_interface = None
                    self.rbscp = Native.Interface.VirtualTemplate.Tunnel.Rbscp()
                    self.rbscp.parent = self
                    self.snooping = None
                    self.source = None
                    self.src_port = Native.Interface.VirtualTemplate.Tunnel.SrcPort()
                    self.src_port.parent = self
                    self.tos = None
                    self.ttl = None
                    self.tun_6rd = Native.Interface.VirtualTemplate.Tunnel.Tun6Rd()
                    self.tun_6rd.parent = self
                    self.udlr = Native.Interface.VirtualTemplate.Tunnel.Udlr()
                    self.udlr.parent = self
                    self.vlan = Native.Interface.VirtualTemplate.Tunnel.Vlan()
                    self.vlan.parent = self
                    self.vrf = None

                class SnoopingEnum(Enum):
                    """
                    SnoopingEnum

                    Snooping on tunnel

                    .. data:: enable = 0

                    """

                    enable = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.SnoopingEnum']



                class Tun6Rd(object):
                    """
                    set tunnel 6rd parameters
                    
                    .. attribute:: br
                    
                    	Border Relay parameters
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: ipv4
                    
                    	Common IPv4 transport source parameters
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Tun6Rd.Ipv4>`
                    
                    .. attribute:: prefix
                    
                    	Provider selected common IPv6 prefix
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    .. attribute:: reverse_map_check
                    
                    	Enable source IP address and port verification
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.br = None
                        self.ipv4 = Native.Interface.VirtualTemplate.Tunnel.Tun6Rd.Ipv4()
                        self.ipv4.parent = self
                        self.prefix = None
                        self.reverse_map_check = None


                    class Ipv4(object):
                        """
                        Common IPv4 transport source parameters
                        
                        .. attribute:: prefix_len
                        
                        	Common IPv4 transport source prefix length
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: suffix_len
                        
                        	Common IPv4 transport source suffix length
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix_len = None
                            self.suffix_len = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix_len is not None:
                                return True

                            if self.suffix_len is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Tun6Rd.Ipv4']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:tun-6rd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.br is not None:
                            return True

                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        if self.prefix is not None:
                            return True

                        if self.reverse_map_check is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Tun6Rd']['meta_info']


                class Bandwidth(object):
                    """
                    Set tunnel bandwidth informational parameter
                    
                    .. attribute:: receive
                    
                    	Receive bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: transmit
                    
                    	Transmit bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.receive = None
                        self.transmit = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:bandwidth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.receive is not None:
                            return True

                        if self.transmit is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Bandwidth']['meta_info']


                class DstPort(object):
                    """
                    tunnel destination port
                    
                    .. attribute:: dynamic
                    
                    	Set Destination Port Dynamically
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: port_num
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dynamic = None
                        self.port_num = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:dst-port'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dynamic is not None:
                            return True

                        if self.port_num is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.DstPort']['meta_info']


                class Endpoint(object):
                    """
                    Set endpoint parameter
                    
                    .. attribute:: service_policy
                    
                    	Set service\-policy
                    	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Endpoint.ServicePolicy>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.service_policy = Native.Interface.VirtualTemplate.Tunnel.Endpoint.ServicePolicy()
                        self.service_policy.parent = self


                    class ServicePolicy(object):
                        """
                        Set service\-policy
                        
                        .. attribute:: output
                        
                        	apply QoS service policy in the output direction
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.output = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:service-policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.output is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Endpoint.ServicePolicy']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:endpoint'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.service_policy is not None and self.service_policy._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Endpoint']['meta_info']


                class Fixup(object):
                    """
                    fixup on tunnel interface
                    
                    .. attribute:: nat
                    
                    	enable post nat fixup 
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.nat = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:fixup'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.nat is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Fixup']['meta_info']


                class Flow(object):
                    """
                    flow options
                    
                    .. attribute:: egress_records
                    
                    	enable egress flow records 
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.egress_records = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:flow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.egress_records is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Flow']['meta_info']


                class Mode(object):
                    """
                    tunnel encapsulation method
                    
                    .. attribute:: ethernet
                    
                    	Ethernet over gre
                    	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Ethernet>`
                    
                    .. attribute:: gre
                    
                    	generic route encapsulation protocol
                    	**type**\:   :py:class:`Gre <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Gre>`
                    
                    .. attribute:: ipip
                    
                    	IP over IP encapsulation
                    	**type**\:   :py:class:`Ipip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Ipip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipsec
                    
                    	IPSec tunnel encapsulation
                    	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec>`
                    
                    .. attribute:: ipv6
                    
                    	Generic packet tunneling in IPv6
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipv6ip
                    
                    	IPv6 over IP encapsulation
                    	**type**\:   :py:class:`Ipv6Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Ipv6Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: mpls
                    
                    	MPLS encapsulations
                    	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls>`
                    
                    .. attribute:: udp
                    
                    	UDP encapsulation protocol
                    	**type**\:   :py:class:`UdpEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.UdpEnum>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ethernet = Native.Interface.VirtualTemplate.Tunnel.Mode.Ethernet()
                        self.ethernet.parent = self
                        self.gre = Native.Interface.VirtualTemplate.Tunnel.Mode.Gre()
                        self.gre.parent = self
                        self.ipip = None
                        self.ipsec = Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec()
                        self.ipsec.parent = self
                        self.ipv6 = None
                        self.ipv6ip = None
                        self.mpls = Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls()
                        self.mpls.parent = self
                        self.udp = None

                    class UdpEnum(Enum):
                        """
                        UdpEnum

                        UDP encapsulation protocol

                        .. data:: ip = 0

                        .. data:: multipoint = 1

                        """

                        ip = 0

                        multipoint = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.UdpEnum']



                    class Ipsec(object):
                        """
                        IPSec tunnel encapsulation
                        
                        .. attribute:: ipv4
                        
                        	over IPv4
                        	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec.Ipv4>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ipv6
                        
                        	over IPv6
                        	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec.Ipv6>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None
                            self.ipv6 = None


                        class Ipv4(object):
                            """
                            over IPv4
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:ipv4'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec.Ipv4']['meta_info']


                        class Ipv6(object):
                            """
                            over IPv6
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:ipv6'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec.Ipv6']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:ipsec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None and self.ipv4._has_data():
                                return True

                            if self.ipv6 is not None and self.ipv6._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec']['meta_info']


                    class Mpls(object):
                        """
                        MPLS encapsulations
                        
                        .. attribute:: traffic_eng
                        
                        	Traffic engineering tunnels
                        	**type**\:   :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls.TrafficEng>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.traffic_eng = None


                        class TrafficEng(object):
                            """
                            Traffic engineering tunnels
                            
                            .. attribute:: gre_ip
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.gre_ip = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:traffic-eng'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.gre_ip is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls.TrafficEng']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:mpls'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.traffic_eng is not None and self.traffic_eng._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls']['meta_info']


                    class Ethernet(object):
                        """
                        Ethernet over gre
                        
                        .. attribute:: gre
                        
                        	Ethernet over gre
                        	**type**\:   :py:class:`GreEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Ethernet.GreEnum>`
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.gre = None

                        class GreEnum(Enum):
                            """
                            GreEnum

                            Ethernet over gre

                            .. data:: ipv4 = 0

                            .. data:: ipv6 = 1

                            """

                            ipv4 = 0

                            ipv6 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Ethernet.GreEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:ethernet'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.gre is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Ethernet']['meta_info']


                    class Gre(object):
                        """
                        generic route encapsulation protocol
                        
                        .. attribute:: ip
                        
                        	over IP
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6
                        
                        	over IPv6
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multipoint
                        
                        	over IPv4 (multipoint)
                        	**type**\:   :py:class:`Multipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Gre.Multipoint>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = None
                            self.ipv6 = None
                            self.multipoint = None


                        class Multipoint(object):
                            """
                            over IPv4 (multipoint)
                            
                            .. attribute:: ipv6
                            
                            	over IPv6
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.ipv6 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:multipoint'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.ipv6 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Gre.Multipoint']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:gre'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None:
                                return True

                            if self.ipv6 is not None:
                                return True

                            if self.multipoint is not None and self.multipoint._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Gre']['meta_info']


                    class Ipip(object):
                        """
                        IP over IP encapsulation
                        
                        .. attribute:: decapsulate_any
                        
                        	Incoming traffic only
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.decapsulate_any = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:ipip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.decapsulate_any is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Ipip']['meta_info']


                    class Ipv6Ip(object):
                        """
                        IPv6 over IP encapsulation
                        
                        .. attribute:: auto_6rd
                        
                        	IPv6 automatic tunnelling using 6rd
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: auto_6to4
                        
                        	IPv6 automatic tunnelling using 6to4
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: isatap
                        
                        	IPv6 automatic tunnelling using ISATAP
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.auto_6rd = None
                            self.auto_6to4 = None
                            self.isatap = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:ipv6ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.auto_6rd is not None:
                                return True

                            if self.auto_6to4 is not None:
                                return True

                            if self.isatap is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode.Ipv6Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ethernet is not None and self.ethernet._has_data():
                            return True

                        if self.gre is not None and self.gre._has_data():
                            return True

                        if self.ipip is not None and self.ipip._has_data():
                            return True

                        if self.ipsec is not None and self.ipsec._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.ipv6ip is not None and self.ipv6ip._has_data():
                            return True

                        if self.mpls is not None and self.mpls._has_data():
                            return True

                        if self.udp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mode']['meta_info']


                class NetworkId(object):
                    """
                    Set network\-id
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nexthop
                    
                    	nexthop
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: qos
                    
                    	QoS profile
                    	**type**\:  str
                    
                    .. attribute:: weight
                    
                    	weight
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.nexthop = None
                        self.qos = None
                        self.weight = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:network-id'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.nexthop is not None:
                            return True

                        if self.qos is not None:
                            return True

                        if self.weight is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.NetworkId']['meta_info']


                class PathMtuDiscovery(object):
                    """
                    Enable Path MTU Discovery on tunnel
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:path-mtu-discovery'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.PathMtuDiscovery']['meta_info']


                class Protection(object):
                    """
                    Enable tunnel protection
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:protection'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Protection']['meta_info']


                class Mpls(object):
                    """
                    
                    
                    .. attribute:: traffic_eng
                    
                    	
                    	**type**\:   :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.traffic_eng = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng()
                        self.traffic_eng.parent = self


                    class TrafficEng(object):
                        """
                        
                        
                        .. attribute:: affinity
                        
                        	
                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Affinity>`
                        
                        .. attribute:: auto_bw
                        
                        	Specify mpls tunnel should automatically change bw
                        	**type**\:   :py:class:`AutoBw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.AutoBw>`
                        
                        .. attribute:: autoroute
                        
                        	
                        	**type**\:   :py:class:`Autoroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute>`
                        
                        .. attribute:: bandwidth
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: fast_reroute
                        
                        	
                        	**type**\:   :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.FastReroute>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: path_option
                        
                        	
                        	**type**\:   :py:class:`PathOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption>`
                        
                        .. attribute:: path_selection
                        
                        	Path Selection Configuration
                        	**type**\:   :py:class:`PathSelection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection>`
                        
                        .. attribute:: priority
                        
                        	
                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Priority>`
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.affinity = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Affinity()
                            self.affinity.parent = self
                            self.auto_bw = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.AutoBw()
                            self.auto_bw.parent = self
                            self.autoroute = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute()
                            self.autoroute.parent = self
                            self.bandwidth = None
                            self.fast_reroute = None
                            self.path_option = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption()
                            self.path_option.parent = self
                            self.path_selection = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection()
                            self.path_selection.parent = self
                            self.priority = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Priority()
                            self.priority.parent = self


                        class Affinity(object):
                            """
                            
                            
                            .. attribute:: attributes
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.attributes = None
                                self.mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:affinity'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.attributes is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Affinity']['meta_info']


                        class AutoBw(object):
                            """
                            Specify mpls tunnel should automatically change bw
                            
                            .. attribute:: max_bw
                            
                            	Set the Maximum Bandwidth for auto\-bw on this tunnel
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max_bw = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:auto-bw'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max_bw is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.AutoBw']['meta_info']


                        class Autoroute(object):
                            """
                            
                            
                            .. attribute:: announce
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: destination
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: metric
                            
                            	
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute.Metric>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.announce = None
                                self.destination = None
                                self.metric = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute.Metric()
                                self.metric.parent = self


                            class Metric(object):
                                """
                                
                                
                                .. attribute:: absolute
                                
                                	Absolute metric value
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: range
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: relative
                                
                                	
                                	**type**\:  int
                                
                                	**range:** \-10..10
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.absolute = None
                                    self.range = None
                                    self.relative = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-tunnel:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.absolute is not None:
                                        return True

                                    if self.range is not None:
                                        return True

                                    if self.relative is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute.Metric']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:autoroute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.announce is not None:
                                    return True

                                if self.destination is not None:
                                    return True

                                if self.metric is not None and self.metric._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute']['meta_info']


                        class Priority(object):
                            """
                            
                            
                            .. attribute:: hold_priority
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            .. attribute:: setup_priority
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hold_priority = None
                                self.setup_priority = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:priority'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hold_priority is not None:
                                    return True

                                if self.setup_priority is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Priority']['meta_info']


                        class PathOption(object):
                            """
                            
                            
                            .. attribute:: protect
                            
                            	
                            	**type**\: list of    :py:class:`Protect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect>`
                            
                            .. attribute:: working
                            
                            	
                            	**type**\: list of    :py:class:`Working <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.protect = YList()
                                self.protect.parent = self
                                self.protect.name = 'protect'
                                self.working = YList()
                                self.working.parent = self
                                self.working.name = 'working'


                            class Working(object):
                                """
                                
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: dynamic
                                
                                	setup based on dynamically calculcated path
                                	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: explicit
                                
                                	
                                	**type**\:   :py:class:`Explicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit>`
                                
                                .. attribute:: lockdown
                                
                                	
                                	**type**\:   :py:class:`Lockdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Lockdown>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.dynamic = None
                                    self.explicit = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit()
                                    self.explicit.parent = self
                                    self.lockdown = None


                                class Dynamic(object):
                                    """
                                    setup based on dynamically calculcated path
                                    
                                    .. attribute:: pce
                                    
                                    	Use PCE for path computation
                                    	**type**\:   :py:class:`Pce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.Pce>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: segment_routing
                                    
                                    	specify segment\-routing for this pathoption
                                    	**type**\:   :py:class:`SegmentRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.pce = None
                                        self.segment_routing = None


                                    class Pce(object):
                                        """
                                        Use PCE for path computation
                                        
                                        .. attribute:: address
                                        
                                        	IPv4 PCE address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: segment_routing
                                        
                                        	specify segment\-routing for this pathoption
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.address = None
                                            self.segment_routing = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:pce'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.address is not None:
                                                return True

                                            if self.segment_routing is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.Pce']['meta_info']


                                    class SegmentRouting(object):
                                        """
                                        specify segment\-routing for this pathoption
                                        
                                        .. attribute:: pce
                                        
                                        	Use PCE for path computation
                                        	**type**\:   :py:class:`Pce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting.Pce>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.pce = None


                                        class Pce(object):
                                            """
                                            Use PCE for path computation
                                            
                                            .. attribute:: address
                                            
                                            	PCE IPv4 address
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-tun'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.address = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:pce'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.address is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting.Pce']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:segment-routing'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.pce is not None and self.pce._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:dynamic'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.pce is not None and self.pce._has_data():
                                            return True

                                        if self.segment_routing is not None and self.segment_routing._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic']['meta_info']


                                class Explicit(object):
                                    """
                                    
                                    
                                    .. attribute:: identifier
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\:   :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit.Name>`
                                    
                                    

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.identifier = None
                                        self.name = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit.Name()
                                        self.name.parent = self


                                    class Name(object):
                                        """
                                        
                                        
                                        .. attribute:: exp_name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: segment_routing
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.exp_name = None
                                            self.segment_routing = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.exp_name is not None:
                                                return True

                                            if self.segment_routing is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit.Name']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:explicit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.identifier is not None:
                                            return True

                                        if self.name is not None and self.name._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit']['meta_info']


                                class Lockdown(object):
                                    """
                                    
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:lockdown'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Lockdown']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-tunnel:working[Cisco-IOS-XE-tunnel:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.dynamic is not None and self.dynamic._has_data():
                                        return True

                                    if self.explicit is not None and self.explicit._has_data():
                                        return True

                                    if self.lockdown is not None and self.lockdown._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working']['meta_info']


                            class Protect(object):
                                """
                                
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**refers to**\:  :py:class:`id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working>`
                                
                                .. attribute:: explicit
                                
                                	
                                	**type**\:   :py:class:`Explicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit>`
                                
                                .. attribute:: lockdown
                                
                                	
                                	**type**\:   :py:class:`Lockdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Lockdown>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.explicit = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit()
                                    self.explicit.parent = self
                                    self.lockdown = None


                                class Explicit(object):
                                    """
                                    
                                    
                                    .. attribute:: identifier
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.identifier = None
                                        self.name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:explicit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.identifier is not None:
                                            return True

                                        if self.name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit']['meta_info']


                                class Lockdown(object):
                                    """
                                    
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:lockdown'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Lockdown']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-tunnel:protect[Cisco-IOS-XE-tunnel:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.explicit is not None and self.explicit._has_data():
                                        return True

                                    if self.lockdown is not None and self.lockdown._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.protect is not None:
                                    for child_ref in self.protect:
                                        if child_ref._has_data():
                                            return True

                                if self.working is not None:
                                    for child_ref in self.working:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption']['meta_info']


                        class FastReroute(object):
                            """
                            
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:fast-reroute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.FastReroute']['meta_info']


                        class PathSelection(object):
                            """
                            Path Selection Configuration
                            
                            .. attribute:: invalidation
                            
                            	Path invalidation configuration
                            	**type**\:   :py:class:`Invalidation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.Invalidation>`
                            
                            .. attribute:: metric
                            
                            	Metric Type Configuration
                            	**type**\:   :py:class:`MetricEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.MetricEnum>`
                            
                            .. attribute:: segment_routing
                            
                            	Segment\-routing path\-selection options
                            	**type**\:   :py:class:`SegmentRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.invalidation = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.Invalidation()
                                self.invalidation.parent = self
                                self.metric = None
                                self.segment_routing = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting()
                                self.segment_routing.parent = self

                            class MetricEnum(Enum):
                                """
                                MetricEnum

                                Metric Type Configuration

                                .. data:: igp = 0

                                .. data:: te = 1

                                """

                                igp = 0

                                te = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.MetricEnum']



                            class Invalidation(object):
                                """
                                Path invalidation configuration
                                
                                .. attribute:: drop
                                
                                	Drop Tunnel Traffic
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: value
                                
                                	Enter path invalidation timer value in milliseconds
                                	**type**\:  int
                                
                                	**range:** 0..60000
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.drop = None
                                    self.value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-tunnel:invalidation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.drop is not None:
                                        return True

                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.Invalidation']['meta_info']


                            class SegmentRouting(object):
                                """
                                Segment\-routing path\-selection options
                                
                                .. attribute:: adjacency
                                
                                	Segment\-routing adjacency path\-selection type
                                	**type**\:   :py:class:`Adjacency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting.Adjacency>`
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.adjacency = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting.Adjacency()
                                    self.adjacency.parent = self


                                class Adjacency(object):
                                    """
                                    Segment\-routing adjacency path\-selection type
                                    
                                    .. attribute:: protected
                                    
                                    	Use only protected adjacencies
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: unprotected
                                    
                                    	Use only unprotected adjacencies
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.protected = None
                                        self.unprotected = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:adjacency'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.protected is not None:
                                            return True

                                        if self.unprotected is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting.Adjacency']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-tunnel:segment-routing'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.adjacency is not None and self.adjacency._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-tunnel:path-selection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.invalidation is not None and self.invalidation._has_data():
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.segment_routing is not None and self.segment_routing._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-tunnel:traffic-eng'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.affinity is not None and self.affinity._has_data():
                                return True

                            if self.auto_bw is not None and self.auto_bw._has_data():
                                return True

                            if self.autoroute is not None and self.autoroute._has_data():
                                return True

                            if self.bandwidth is not None:
                                return True

                            if self.fast_reroute is not None and self.fast_reroute._has_data():
                                return True

                            if self.path_option is not None and self.path_option._has_data():
                                return True

                            if self.path_selection is not None and self.path_selection._has_data():
                                return True

                            if self.priority is not None and self.priority._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:mpls'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.traffic_eng is not None and self.traffic_eng._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Mpls']['meta_info']


                class Rbscp(object):
                    """
                    Set tunnel RBSCP parameters
                    
                    .. attribute:: ack_split
                    
                    	ACK splitting
                    	**type**\:  int
                    
                    	**range:** 1..32
                    
                    .. attribute:: delay
                    
                    	enable delay
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: input_drop
                    
                    	max tunnel queue size (number of bw\*delay)
                    	**type**\:  int
                    
                    	**range:** 1..10
                    
                    .. attribute:: long_drop
                    
                    	Drop non\-transmitted packets w/excessive delay
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: report
                    
                    	enable SCTP report chunk
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: window_stuff
                    
                    	Window stuffing
                    	**type**\:  int
                    
                    	**range:** 1..20
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ack_split = None
                        self.delay = None
                        self.input_drop = None
                        self.long_drop = None
                        self.report = None
                        self.window_stuff = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:rbscp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ack_split is not None:
                            return True

                        if self.delay is not None:
                            return True

                        if self.input_drop is not None:
                            return True

                        if self.long_drop is not None:
                            return True

                        if self.report is not None:
                            return True

                        if self.window_stuff is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Rbscp']['meta_info']


                class SrcPort(object):
                    """
                    tunnel source port
                    
                    .. attribute:: dynamic
                    
                    	Set Source Port Dynamically
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: port_num
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dynamic = None
                        self.port_num = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:src-port'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dynamic is not None:
                            return True

                        if self.port_num is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.SrcPort']['meta_info']


                class Udlr(object):
                    """
                    associate tunnel with unidirectional interface
                    
                    .. attribute:: address_resolution
                    
                    	Enable ARP and NHRP over a UDLR Tunnel
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: receive_only
                    
                    	Tunnel is receive\-only capable
                    	**type**\:  str
                    
                    .. attribute:: send_only
                    
                    	Tunnel is send\-only capable
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address_resolution = None
                        self.receive_only = None
                        self.send_only = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:udlr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address_resolution is not None:
                            return True

                        if self.receive_only is not None:
                            return True

                        if self.send_only is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Udlr']['meta_info']


                class Vlan(object):
                    """
                    Set vlan\-id for ethernet over gre mode
                    
                    .. attribute:: hyphen
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: id1
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: id2
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hyphen = None
                        self.id1 = None
                        self.id2 = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-tunnel:vlan'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hyphen is not None:
                            return True

                        if self.id1 is not None:
                            return True

                        if self.id2 is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel.Vlan']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-tunnel:tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bandwidth is not None and self.bandwidth._has_data():
                        return True

                    if self.checksum is not None:
                        return True

                    if self.destination is not None:
                        return True

                    if self.dst_port is not None and self.dst_port._has_data():
                        return True

                    if self.endpoint is not None and self.endpoint._has_data():
                        return True

                    if self.entropy is not None:
                        return True

                    if self.fixup is not None and self.fixup._has_data():
                        return True

                    if self.flow is not None and self.flow._has_data():
                        return True

                    if self.key is not None:
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.mpls is not None and self.mpls._has_data():
                        return True

                    if self.network_id is not None and self.network_id._has_data():
                        return True

                    if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                        return True

                    if self.protection is not None and self.protection._has_data():
                        return True

                    if self.raw_packet_interface is not None:
                        return True

                    if self.rbscp is not None and self.rbscp._has_data():
                        return True

                    if self.snooping is not None:
                        return True

                    if self.source is not None:
                        return True

                    if self.src_port is not None and self.src_port._has_data():
                        return True

                    if self.tos is not None:
                        return True

                    if self.ttl is not None:
                        return True

                    if self.tun_6rd is not None and self.tun_6rd._has_data():
                        return True

                    if self.udlr is not None and self.udlr._has_data():
                        return True

                    if self.vlan is not None and self.vlan._has_data():
                        return True

                    if self.vrf is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Tunnel']['meta_info']


            class Crypto(object):
                """
                Encryption/Decryption commands
                
                .. attribute:: ipsec
                
                	Set IPSec parameters
                	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Crypto.Ipsec>`
                
                .. attribute:: map
                
                	Assign a Crypto Map
                	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Crypto.Map>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipsec = Native.Interface.VirtualTemplate.Crypto.Ipsec()
                    self.ipsec.parent = self
                    self.map = Native.Interface.VirtualTemplate.Crypto.Map()
                    self.map.parent = self


                class Map(object):
                    """
                    Assign a Crypto Map
                    
                    .. attribute:: redundancy
                    
                    	enable redundancy
                    	**type**\:  str
                    
                    .. attribute:: stateful
                    
                    	enable stateful failover
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: tag
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.redundancy = None
                        self.stateful = None
                        self.tag = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.redundancy is not None:
                            return True

                        if self.stateful is not None:
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Crypto.Map']['meta_info']


                class Ipsec(object):
                    """
                    Set IPSec parameters
                    
                    .. attribute:: df_bit
                    
                    	Handling of encapsulated DF bit
                    	**type**\:   :py:class:`DfBitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Crypto.Ipsec.DfBitEnum>`
                    
                    .. attribute:: fragmentation
                    
                    	Handling of fragmentation of near\-MTU sized packets
                    	**type**\:   :py:class:`FragmentationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Crypto.Ipsec.FragmentationEnum>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.df_bit = None
                        self.fragmentation = None

                    class DfBitEnum(Enum):
                        """
                        DfBitEnum

                        Handling of encapsulated DF bit.

                        .. data:: clear = 0

                        .. data:: copy = 1

                        .. data:: set = 2

                        """

                        clear = 0

                        copy = 1

                        set = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Crypto.Ipsec.DfBitEnum']


                    class FragmentationEnum(Enum):
                        """
                        FragmentationEnum

                        Handling of fragmentation of near\-MTU sized packets

                        .. data:: after_encryption = 0

                        .. data:: before_encryption = 1

                        """

                        after_encryption = 0

                        before_encryption = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Crypto.Ipsec.FragmentationEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:ipsec'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.df_bit is not None:
                            return True

                        if self.fragmentation is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Crypto.Ipsec']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:crypto'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipsec is not None and self.ipsec._has_data():
                        return True

                    if self.map is not None and self.map._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Crypto']['meta_info']


            class Cts(object):
                """
                Configure Cisco Trusted Security
                
                .. attribute:: manual
                
                	Supply local configuration for CTS parameters
                	**type**\:   :py:class:`Manual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.manual = None


                class Manual(object):
                    """
                    Supply local configuration for CTS parameters
                    
                    .. attribute:: policy
                    
                    	CTS policy for manual mode
                    	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual.Policy>`
                    
                    .. attribute:: propagate
                    
                    	CTS SGT Propagation configuration for manual mode
                    	**type**\:   :py:class:`Propagate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual.Propagate>`
                    
                    .. attribute:: sap
                    
                    	CTS SAP configuration for manual mode
                    	**type**\:   :py:class:`Sap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual.Sap>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.policy = Native.Interface.VirtualTemplate.Cts.Manual.Policy()
                        self.policy.parent = self
                        self.propagate = Native.Interface.VirtualTemplate.Cts.Manual.Propagate()
                        self.propagate.parent = self
                        self.sap = Native.Interface.VirtualTemplate.Cts.Manual.Sap()
                        self.sap.parent = self


                    class Policy(object):
                        """
                        CTS policy for manual mode
                        
                        .. attribute:: static
                        
                        	Configure policy to be applied on the link
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual.Policy.Static>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = Native.Interface.VirtualTemplate.Cts.Manual.Policy.Static()
                            self.static.parent = self


                        class Static(object):
                            """
                            Configure policy to be applied on the link
                            
                            .. attribute:: sgt
                            
                            	Source Security Group Tag to apply to untagged or non\-trusted incoming traffic
                            	**type**\:  int
                            
                            	**range:** 2..65519
                            
                            .. attribute:: trusted
                            
                            	Trust the Source Group Tags (SGT) that the peer uses for sending
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.sgt = None
                                self.trusted = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-cts:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.sgt is not None:
                                    return True

                                if self.trusted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Policy.Static']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Policy']['meta_info']


                    class Sap(object):
                        """
                        CTS SAP configuration for manual mode
                        
                        .. attribute:: pmk
                        
                        	Pre\-Master Key (PMK) to use for CTS SAP
                        	**type**\: list of    :py:class:`Pmk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.pmk = YList()
                            self.pmk.parent = self
                            self.pmk.name = 'pmk'


                        class Pmk(object):
                            """
                            Pre\-Master Key (PMK) to use for CTS SAP
                            
                            .. attribute:: word  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: mode_list
                            
                            	List of advertised modes (prioritized from highest to lowest)
                            	**type**\:   :py:class:`ModeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.word = None
                                self.mode_list = Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList()
                                self.mode_list.parent = self


                            class ModeList(object):
                                """
                                List of advertised modes (prioritized from highest to lowest)
                                
                                .. attribute:: gcm_encrypt
                                
                                	GCM authentication, GCM encryption
                                	**type**\:   :py:class:`GcmEncrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_encap
                                
                                	No encapsulation
                                	**type**\:   :py:class:`NoEncap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.NoEncap>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.gcm_encrypt = None
                                    self.no_encap = None


                                class GcmEncrypt(object):
                                    """
                                    GCM authentication, GCM encryption
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:   :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.gmac = None


                                    class Gmac(object):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: null
                                        
                                        	Encapsulation present, no authentication,       no encryption
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.null = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:gmac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.null is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:gcm-encrypt'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.gmac is not None and self.gmac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info']


                                class NoEncap(object):
                                    """
                                    No encapsulation
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:   :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.gmac = None


                                    class Gmac(object):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: gcm_encrypt
                                        
                                        	GCM authentication, GCM encryption
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.gcm_encrypt = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:gmac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.gcm_encrypt is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:no-encap'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.gmac is not None and self.gmac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-cts:mode-list'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.gcm_encrypt is not None and self.gcm_encrypt._has_data():
                                        return True

                                    if self.no_encap is not None and self.no_encap._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.word is None:
                                    raise YPYModelError('Key property word is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-cts:pmk[Cisco-IOS-XE-cts:word = ' + str(self.word) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.word is not None:
                                    return True

                                if self.mode_list is not None and self.mode_list._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:sap'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.pmk is not None:
                                for child_ref in self.pmk:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Sap']['meta_info']


                    class Propagate(object):
                        """
                        CTS SGT Propagation configuration for manual mode
                        
                        .. attribute:: sgt
                        
                        	CTS SGT Propagation configuration
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.sgt = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:propagate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.sgt is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Cts.Manual.Propagate']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-cts:manual'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.policy is not None and self.policy._has_data():
                            return True

                        if self.propagate is not None and self.propagate._has_data():
                            return True

                        if self.sap is not None and self.sap._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Cts.Manual']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-cts:cts'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.manual is not None and self.manual._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Cts']['meta_info']


            class ServicePolicy(object):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.history = None
                    self.input = None
                    self.output = None
                    self.type = Native.Interface.VirtualTemplate.ServicePolicy.Type()
                    self.type.parent = self


                class Type(object):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:   :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:   :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:   :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.control = Native.Interface.VirtualTemplate.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self.performance_monitor = Native.Interface.VirtualTemplate.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self.service_chain = Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self


                    class Control(object):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.subscriber = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:control'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.subscriber is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.ServicePolicy.Type.Control']['meta_info']


                    class PerformanceMonitor(object):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ServicePolicy.Type.PerformanceMonitor.DirectionEnum>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.direction = None
                            self.name = None

                        class DirectionEnum(Enum):
                            """
                            DirectionEnum

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = 0

                            output = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.ServicePolicy.Type.PerformanceMonitor.DirectionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:performance-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.direction is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.ServicePolicy.Type.PerformanceMonitor']['meta_info']


                    class ServiceChain(object):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self.output = Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self


                        class Input(object):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Input']['meta_info']


                        class Output(object):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:output'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:service-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None and self.input._has_data():
                                return True

                            if self.output is not None and self.output._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.control is not None and self.control._has_data():
                            return True

                        if self.performance_monitor is not None and self.performance_monitor._has_data():
                            return True

                        if self.service_chain is not None and self.service_chain._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.ServicePolicy.Type']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.history is not None:
                        return True

                    if self.input is not None:
                        return True

                    if self.output is not None:
                        return True

                    if self.type is not None and self.type._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.ServicePolicy']['meta_info']


            class Snmp(object):
                """
                Modify SNMP interface parameters
                
                .. attribute:: ifindex
                
                	Persist ifindex for the interface
                	**type**\:   :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Snmp.Ifindex>`
                
                .. attribute:: trap
                
                	Allow a specific SNMP trap
                	**type**\:   :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Snmp.Trap>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ifindex = Native.Interface.VirtualTemplate.Snmp.Ifindex()
                    self.ifindex.parent = self
                    self.trap = Native.Interface.VirtualTemplate.Snmp.Trap()
                    self.trap.parent = self


                class Ifindex(object):
                    """
                    Persist ifindex for the interface
                    
                    .. attribute:: clear
                    
                    	Clear Enable/Disable ifIndex persistence
                    	**type**\:  bool
                    
                    .. attribute:: persist
                    
                    	Enable/Disable ifIndex persistence 
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.clear = None
                        self.persist = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-snmp:ifindex'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.clear is not None:
                            return True

                        if self.persist is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Snmp.Ifindex']['meta_info']


                class Trap(object):
                    """
                    Allow a specific SNMP trap
                    
                    .. attribute:: link_status
                    
                    	Allow SNMP LINKUP and LINKDOWN traps
                    	**type**\:  bool
                    
                    .. attribute:: link_status_capas
                    
                    	
                    	**type**\:   :py:class:`LinkStatusCapas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.link_status = None
                        self.link_status_capas = Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas()
                        self.link_status_capas.parent = self


                    class LinkStatusCapas(object):
                        """
                        
                        
                        .. attribute:: link_status
                        
                        	Allow SNMP LINKUP and LINKDOWN traps
                        	**type**\:   :py:class:`LinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.link_status = Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus()
                            self.link_status.parent = self


                        class LinkStatus(object):
                            """
                            Allow SNMP LINKUP and LINKDOWN traps
                            
                            .. attribute:: permit
                            
                            	Permit the following capability
                            	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.permit = Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit()
                                self.permit.parent = self


                            class Permit(object):
                                """
                                Permit the following capability
                                
                                .. attribute:: duplicates
                                
                                	Permit duplicate SNMP LINKUP and LINKDOWN traps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.duplicates = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:permit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.duplicates is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-snmp:link-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.permit is not None and self.permit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-snmp:link-status-capas'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.link_status is not None and self.link_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-snmp:trap'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.link_status is not None:
                            return True

                        if self.link_status_capas is not None and self.link_status_capas._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Snmp.Trap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:snmp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ifindex is not None and self.ifindex._has_data():
                        return True

                    if self.trap is not None and self.trap._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Snmp']['meta_info']


            class Ppp(object):
                """
                Point\-to\-Point Protocol
                
                .. attribute:: accounting
                
                	Set PPP network accounting method
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:   :py:class:`AccountingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.AccountingEnum>`
                
                
                ----
                .. attribute:: authentication
                
                	Set PPP link authentication method
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Authentication>`
                
                .. attribute:: authorization
                
                	Set PPP network authorization method
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:   :py:class:`AuthorizationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.AuthorizationEnum>`
                
                
                ----
                .. attribute:: chap
                
                	Set CHAP authentication parameters
                	**type**\:   :py:class:`Chap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Chap>`
                
                .. attribute:: ipcp
                
                	Set IPCP negotiation options
                	**type**\:   :py:class:`Ipcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Ipcp>`
                
                .. attribute:: multilink
                
                	Make interface multilink capable
                	**type**\:   :py:class:`Multilink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Multilink>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-ppp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.accounting = None
                    self.authentication = Native.Interface.VirtualTemplate.Ppp.Authentication()
                    self.authentication.parent = self
                    self.authorization = None
                    self.chap = Native.Interface.VirtualTemplate.Ppp.Chap()
                    self.chap.parent = self
                    self.ipcp = Native.Interface.VirtualTemplate.Ppp.Ipcp()
                    self.ipcp.parent = self
                    self.multilink = None

                class AccountingEnum(Enum):
                    """
                    AccountingEnum

                    Set PPP network accounting method

                    .. data:: default = 0

                    """

                    default = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ppp.AccountingEnum']


                class AuthorizationEnum(Enum):
                    """
                    AuthorizationEnum

                    Set PPP network authorization method

                    .. data:: default = 0

                    """

                    default = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ppp.AuthorizationEnum']



                class Chap(object):
                    """
                    Set CHAP authentication parameters
                    
                    .. attribute:: challenge_length
                    
                    	Challenge Length for CHAP
                    	**type**\:  int
                    
                    	**range:** 16..63
                    
                    .. attribute:: hostname
                    
                    	Set alternate CHAP hostname
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.challenge_length = None
                        self.hostname = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ppp:chap'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.challenge_length is not None:
                            return True

                        if self.hostname is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ppp.Chap']['meta_info']


                class Authentication(object):
                    """
                    Set PPP link authentication method
                    
                    .. attribute:: callback
                    
                    	Authenticate remote on callback only
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: callin
                    
                    	Authenticate remote on incoming call only
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: callout
                    
                    	Authenticate remote on outgoing call only
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: chap
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: default
                    
                    	Use the default authentication list
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: eap
                    
                    	Extensible Authentication Protocol (EAP)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: list_name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: method
                    
                    	
                    	**type**\:   :py:class:`MethodEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Authentication.MethodEnum>`
                    
                    .. attribute:: ms_chap
                    
                    	Microsoft Challenge Handshake Authentication Protocol (MS\-CHAP)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ms_chap_v2
                    
                    	Microsoft CHAP Version 2 (MS\-CHAP\-V2)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: one_time
                    
                    	Allow use of username\*OTP for one\-time passwords
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: optional
                    
                    	Allow peer to refuse to authenticate
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pap
                    
                    	Password Authentication Protocol (PAP)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.callback = None
                        self.callin = None
                        self.callout = None
                        self.chap = None
                        self.default = None
                        self.eap = None
                        self.list_name = None
                        self.method = None
                        self.ms_chap = None
                        self.ms_chap_v2 = None
                        self.one_time = None
                        self.optional = None
                        self.pap = None

                    class MethodEnum(Enum):
                        """
                        MethodEnum

                        .. data:: chap = 0

                        .. data:: eap = 1

                        .. data:: ms_chap = 2

                        .. data:: ms_chap_v2 = 3

                        .. data:: pap = 4

                        """

                        chap = 0

                        eap = 1

                        ms_chap = 2

                        ms_chap_v2 = 3

                        pap = 4


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ppp.Authentication.MethodEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ppp:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.callback is not None:
                            return True

                        if self.callin is not None:
                            return True

                        if self.callout is not None:
                            return True

                        if self.chap is not None:
                            return True

                        if self.default is not None:
                            return True

                        if self.eap is not None:
                            return True

                        if self.list_name is not None:
                            return True

                        if self.method is not None:
                            return True

                        if self.ms_chap is not None:
                            return True

                        if self.ms_chap_v2 is not None:
                            return True

                        if self.one_time is not None:
                            return True

                        if self.optional is not None:
                            return True

                        if self.pap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ppp.Authentication']['meta_info']


                class Ipcp(object):
                    """
                    Set IPCP negotiation options
                    
                    .. attribute:: dns
                    
                    	Specify DNS negotiation options
                    	**type**\:   :py:class:`Dns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Ipcp.Dns>`
                    
                    

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dns = Native.Interface.VirtualTemplate.Ppp.Ipcp.Dns()
                        self.dns.parent = self


                    class Dns(object):
                        """
                        Specify DNS negotiation options
                        
                        .. attribute:: primary
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.primary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ppp:dns'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.primary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ppp.Ipcp.Dns']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ppp:ipcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dns is not None and self.dns._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ppp.Ipcp']['meta_info']


                class Multilink(object):
                    """
                    Make interface multilink capable
                    
                    .. attribute:: endpoint
                    
                    	Configure the local Endpoint Discriminator
                    	**type**\:   :py:class:`Endpoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Multilink.Endpoint>`
                    
                    .. attribute:: fragment
                    
                    	Specify fragmentation parameters
                    	**type**\:   :py:class:`Fragment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment>`
                    
                    .. attribute:: group
                    
                    	Put interface in a multilink bundle
                    	**type**\:  int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: links
                    
                    	Specify the limits on the number of links in a bundle
                    	**type**\:   :py:class:`Links <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Multilink.Links>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.endpoint = Native.Interface.VirtualTemplate.Ppp.Multilink.Endpoint()
                        self.endpoint.parent = self
                        self.fragment = Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment()
                        self.fragment.parent = self
                        self.group = None
                        self.links = Native.Interface.VirtualTemplate.Ppp.Multilink.Links()
                        self.links.parent = self


                    class Links(object):
                        """
                        Specify the limits on the number of links in a bundle
                        
                        .. attribute:: minimum
                        
                        	Minimum number of links desired in the bundle
                        	**type**\:   :py:class:`Minimum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Multilink.Links.Minimum>`
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.minimum = Native.Interface.VirtualTemplate.Ppp.Multilink.Links.Minimum()
                            self.minimum.parent = self


                        class Minimum(object):
                            """
                            Minimum number of links desired in the bundle
                            
                            .. attribute:: mandatory
                            
                            	Disable network layer until minimum number of links is reach
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum_value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ppp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mandatory = None
                                self.minimum_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ppp:minimum'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mandatory is not None:
                                    return True

                                if self.minimum_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ppp.Multilink.Links.Minimum']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ppp:links'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.minimum is not None and self.minimum._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ppp.Multilink.Links']['meta_info']


                    class Endpoint(object):
                        """
                        Configure the local Endpoint Discriminator
                        
                        .. attribute:: string
                        
                        	Use specified string
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.string = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ppp:endpoint'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.string is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ppp.Multilink.Endpoint']['meta_info']


                    class Fragment(object):
                        """
                        Specify fragmentation parameters
                        
                        .. attribute:: delay
                        
                        	Specify the maximum delay for each fragment
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment.Delay>`
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.delay = Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Specify the maximum delay for each fragment
                            
                            .. attribute:: additional_delay_value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..999
                            
                            .. attribute:: delay_value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..1000
                            
                            

                            """

                            _prefix = 'ios-ppp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.additional_delay_value = None
                                self.delay_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ppp:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.additional_delay_value is not None:
                                    return True

                                if self.delay_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ppp:fragment'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ppp:multilink'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.endpoint is not None and self.endpoint._has_data():
                            return True

                        if self.fragment is not None and self.fragment._has_data():
                            return True

                        if self.group is not None:
                            return True

                        if self.links is not None and self.links._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.VirtualTemplate.Ppp.Multilink']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ppp:ppp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.accounting is not None:
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.authorization is not None:
                        return True

                    if self.chap is not None and self.chap._has_data():
                        return True

                    if self.ipcp is not None and self.ipcp._has_data():
                        return True

                    if self.multilink is not None and self.multilink._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Ppp']['meta_info']


            class Mab(object):
                """
                
                
                .. attribute:: eap
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.eap = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:mab'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.eap is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.Mab']['meta_info']


            class ZoneMember(object):
                """
                Apply zone name
                
                .. attribute:: security
                
                	Security zone
                	**type**\:  str
                
                

                """

                _prefix = 'ios-zone'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.security = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-zone:zone-member'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.security is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.VirtualTemplate.ZoneMember']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:Virtual-Template[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.carrier_delay is not None and self.carrier_delay._has_data():
                    return True

                if self.cdp is not None and self.cdp._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.channel_group is not None and self.channel_group._has_data():
                    return True

                if self.channel_protocol is not None:
                    return True

                if self.crypto is not None and self.crypto._has_data():
                    return True

                if self.cts is not None and self.cts._has_data():
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.duplex is not None:
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.ethernet is not None and self.ethernet._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.mab is not None and self.mab._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.negotiation is not None and self.negotiation._has_data():
                    return True

                if self.nhrp is not None and self.nhrp._has_data():
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.plim is not None and self.plim._has_data():
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.ppp is not None and self.ppp._has_data():
                    return True

                if self.pppoe is not None and self.pppoe._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service is not None and self.service._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.shutdown is not None:
                    return True

                if self.snmp is not None and self.snmp._has_data():
                    return True

                if self.speed is not None and self.speed._has_data():
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.synchronous is not None and self.synchronous._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.tunnel is not None and self.tunnel._has_data():
                    return True

                if self.type is not None:
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                if self.zone_member is not None and self.zone_member._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.VirtualTemplate']['meta_info']


        class Virtualportgroup(object):
            """
            Virtual Port Group
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  int
            
            	**range:** 0..31
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Bfd>`
            
            .. attribute:: carrier_delay
            
            	Specify delay for interface transitions
            	**type**\:   :py:class:`CarrierDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.CarrierDelay>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Cemoudp>`
            
            .. attribute:: channel_group
            
            	Add this interface to an Etherchannel group
            	**type**\:   :py:class:`ChannelGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.ChannelGroup>`
            
            .. attribute:: channel_protocol
            
            	Select the channel protocol (LACP, PAgP)
            	**type**\:   :py:class:`ChannelProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.ChannelProtocolEnum>`
            
            .. attribute:: cts
            
            	Configure Cisco Trusted Security
            	**type**\:   :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Cts>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Domain>`
            
            .. attribute:: duplex
            
            	Configure duplex operation
            	**type**\:   :py:class:`DuplexEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.DuplexEnum>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Encapsulation>`
            
            .. attribute:: ethernet
            
            	Ethernet interface parameters
            	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Logging>`
            
            .. attribute:: mab
            
            	
            	**type**\:   :py:class:`Mab <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Mab>`
            
            	**presence node**\: True
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: negotiation
            
            	Select autonegotiation mode
            	**type**\:   :py:class:`Negotiation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Negotiation>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Peer>`
            
            .. attribute:: plim
            
            	Configure features on the PLIM
            	**type**\:   :py:class:`Plim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Plim>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.PmPath>`
            
            .. attribute:: pppoe
            
            	pppoe interface subcommands
            	**type**\:   :py:class:`Pppoe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Pppoe>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.RcvQueue>`
            
            .. attribute:: service
            
            	Configure Ether Service
            	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.ServiceInsertionEnum>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.ServicePolicy>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: snmp
            
            	Modify SNMP interface parameters
            	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Snmp>`
            
            .. attribute:: speed
            
            	Configure speed operation
            	**type**\:   :py:class:`Speed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Speed>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.SwitchportConf>`
            
            .. attribute:: synchronous
            
            	Synchronous
            	**type**\:   :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Synchronous>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Trust>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Utd>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.Virtualportgroup.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.Virtualportgroup.Arp()
                self.arp.parent = self
                self.backup = Native.Interface.Virtualportgroup.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.Virtualportgroup.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.Virtualportgroup.Bfd()
                self.bfd.parent = self
                self.carrier_delay = Native.Interface.Virtualportgroup.CarrierDelay()
                self.carrier_delay.parent = self
                self.cemoudp = Native.Interface.Virtualportgroup.Cemoudp()
                self.cemoudp.parent = self
                self.channel_group = Native.Interface.Virtualportgroup.ChannelGroup()
                self.channel_group.parent = self
                self.channel_protocol = None
                self.cts = Native.Interface.Virtualportgroup.Cts()
                self.cts.parent = self
                self.cws_tunnel = Native.Interface.Virtualportgroup.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.delay = None
                self.description = None
                self.domain = Native.Interface.Virtualportgroup.Domain()
                self.domain.parent = self
                self.duplex = None
                self.encapsulation = Native.Interface.Virtualportgroup.Encapsulation()
                self.encapsulation.parent = self
                self.ethernet = Native.Interface.Virtualportgroup.Ethernet()
                self.ethernet.parent = self
                self.fair_queue = Native.Interface.Virtualportgroup.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.Virtualportgroup.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.Virtualportgroup.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.Virtualportgroup.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.Virtualportgroup.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.Virtualportgroup.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.Virtualportgroup.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.Virtualportgroup.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.Virtualportgroup.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.Virtualportgroup.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.load_interval = None
                self.logging = Native.Interface.Virtualportgroup.Logging()
                self.logging.parent = self
                self.mab = None
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.Virtualportgroup.Mdix()
                self.mdix.parent = self
                self.mop = Native.Interface.Virtualportgroup.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.Virtualportgroup.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.negotiation = Native.Interface.Virtualportgroup.Negotiation()
                self.negotiation.parent = self
                self.peer = Native.Interface.Virtualportgroup.Peer()
                self.peer.parent = self
                self.plim = Native.Interface.Virtualportgroup.Plim()
                self.plim.parent = self
                self.pm_path = Native.Interface.Virtualportgroup.PmPath()
                self.pm_path.parent = self
                self.pppoe = Native.Interface.Virtualportgroup.Pppoe()
                self.pppoe.parent = self
                self.priority_queue = Native.Interface.Virtualportgroup.PriorityQueue()
                self.priority_queue.parent = self
                self.rcv_queue = Native.Interface.Virtualportgroup.RcvQueue()
                self.rcv_queue.parent = self
                self.service = Native.Interface.Virtualportgroup.Service()
                self.service.parent = self
                self.service_insertion = None
                self.service_policy = Native.Interface.Virtualportgroup.ServicePolicy()
                self.service_policy.parent = self
                self.shutdown = None
                self.snmp = Native.Interface.Virtualportgroup.Snmp()
                self.snmp.parent = self
                self.speed = Native.Interface.Virtualportgroup.Speed()
                self.speed.parent = self
                self.standby = Native.Interface.Virtualportgroup.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.Virtualportgroup.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Interface.Virtualportgroup.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.Virtualportgroup.SwitchportConf()
                self.switchport_conf.parent = self
                self.synchronous = Native.Interface.Virtualportgroup.Synchronous()
                self.synchronous.parent = self
                self.trust = Native.Interface.Virtualportgroup.Trust()
                self.trust.parent = self
                self.utd = Native.Interface.Virtualportgroup.Utd()
                self.utd.parent = self
                self.vrf = Native.Interface.Virtualportgroup.Vrf()
                self.vrf.parent = self

            class ChannelProtocolEnum(Enum):
                """
                ChannelProtocolEnum

                Select the channel protocol (LACP, PAgP)

                .. data:: lacp = 0

                .. data:: pagp = 1

                """

                lacp = 0

                pagp = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.ChannelProtocolEnum']


            class DuplexEnum(Enum):
                """
                DuplexEnum

                Configure duplex operation.

                .. data:: auto = 0

                .. data:: full = 1

                .. data:: half = 2

                """

                auto = 0

                full = 1

                half = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.DuplexEnum']


            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.IfStateEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.ServiceInsertionEnum']



            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.Virtualportgroup.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.Virtualportgroup.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.Virtualportgroup.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.Virtualportgroup.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.Virtualportgroup.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.Virtualportgroup.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.Virtualportgroup.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.Virtualportgroup.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.Virtualportgroup.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.Virtualportgroup.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.Virtualportgroup.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.Virtualportgroup.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.Virtualportgroup.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                .. attribute:: echo
                
                	Use echo adjunct as bfd detection mechanism
                	**type**\:  bool
                
                .. attribute:: interval
                
                	Transmit interval between BFD packets
                	**type**\:   :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Bfd.Interval>`
                
                .. attribute:: template
                
                	BFD template
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.echo = None
                    self.interval = Native.Interface.Virtualportgroup.Bfd.Interval()
                    self.interval.parent = self
                    self.template = None


                class Interval(object):
                    """
                    Transmit interval between BFD packets
                    
                    .. attribute:: min_rx
                    
                    	Minimum receive interval capability
                    	**type**\:  int
                    
                    	**range:** 100..999
                    
                    .. attribute:: msecs
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 100..999
                    
                    .. attribute:: multiplier
                    
                    	Multiplier value used to compute holddown
                    	**type**\:  int
                    
                    	**range:** 3..50
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.min_rx = None
                        self.msecs = None
                        self.multiplier = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bfd:interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.min_rx is not None:
                            return True

                        if self.msecs is not None:
                            return True

                        if self.multiplier is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Bfd.Interval']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.echo is not None:
                        return True

                    if self.interval is not None and self.interval._has_data():
                        return True

                    if self.template is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.Virtualportgroup.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.Virtualportgroup.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.Virtualportgroup.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.Virtualportgroup.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.HoldTime>`
                
                .. attribute:: igmp
                
                	IGMP interface commands
                	**type**\:   :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Igmp>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.NoAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Vrf>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Virtualportgroup.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.Virtualportgroup.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.Virtualportgroup.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.Virtualportgroup.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.Virtualportgroup.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.hello_interval = Native.Interface.Virtualportgroup.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.Virtualportgroup.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.igmp = Native.Interface.Virtualportgroup.Ip.Igmp()
                    self.igmp.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.no_address = Native.Interface.Virtualportgroup.Ip.NoAddress()
                    self.no_address.parent = self
                    self.pim = Native.Interface.Virtualportgroup.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.Virtualportgroup.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.Virtualportgroup.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.Virtualportgroup.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.Virtualportgroup.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.Virtualportgroup.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.verify = Native.Interface.Virtualportgroup.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.Virtualportgroup.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.Virtualportgroup.Ip.Vrf()
                    self.vrf.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.Virtualportgroup.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.Virtualportgroup.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Virtualportgroup.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Virtualportgroup.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Virtualportgroup.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Virtualportgroup.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.Virtualportgroup.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Virtualportgroup.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.Virtualportgroup.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.Virtualportgroup.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.Virtualportgroup.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Virtualportgroup.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Virtualportgroup.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.Virtualportgroup.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.Virtualportgroup.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.Virtualportgroup.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Verify']['meta_info']


                class Igmp(object):
                    """
                    IGMP interface commands
                    
                    .. attribute:: join_group
                    
                    	IGMP join multicast group
                    	**type**\: list of    :py:class:`JoinGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Igmp.JoinGroup>`
                    
                    .. attribute:: static_group
                    
                    	IGMP static multicast group
                    	**type**\:   :py:class:`StaticGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup>`
                    
                    .. attribute:: version
                    
                    	IGMP version
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.join_group = YList()
                        self.join_group.parent = self
                        self.join_group.name = 'join_group'
                        self.static_group = Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup()
                        self.static_group.parent = self
                        self.version = None


                    class StaticGroup(object):
                        """
                        IGMP static multicast group
                        
                        .. attribute:: class_map
                        
                        	Class map of type multicast\-flows
                        	**type**\: list of    :py:class:`ClassMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.ClassMap>`
                        
                        .. attribute:: groups
                        
                        	
                        	**type**\: list of    :py:class:`Groups <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.class_map = YList()
                            self.class_map.parent = self
                            self.class_map.name = 'class_map'
                            self.groups = YList()
                            self.groups.parent = self
                            self.groups.name = 'groups'


                        class Groups(object):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:   :py:class:`NameEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            class NameEnum(Enum):
                                """
                                NameEnum

                                .. data:: Y__STAR__ = 0

                                """

                                Y__STAR__ = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups.NameEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-igmp:groups[Cisco-IOS-XE-igmp:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.Groups']['meta_info']


                        class ClassMap(object):
                            """
                            Class map of type multicast\-flows
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-igmp:class-map[Cisco-IOS-XE-igmp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup.ClassMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-igmp:static-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.class_map is not None:
                                for child_ref in self.class_map:
                                    if child_ref._has_data():
                                        return True

                            if self.groups is not None:
                                for child_ref in self.groups:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Igmp.StaticGroup']['meta_info']


                    class JoinGroup(object):
                        """
                        IGMP join multicast group
                        
                        .. attribute:: ip_group_address  <key>
                        
                        	IP group address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source
                        
                        	IP source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip_group_address = None
                            self.source = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ip_group_address is None:
                                raise YPYModelError('Key property ip_group_address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-igmp:join-group[Cisco-IOS-XE-igmp:ip-group-address = ' + str(self.ip_group_address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip_group_address is not None:
                                return True

                            if self.source is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Igmp.JoinGroup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-igmp:igmp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.join_group is not None:
                            for child_ref in self.join_group:
                                if child_ref._has_data():
                                    return True

                        if self.static_group is not None and self.static_group._has_data():
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ip.Igmp']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.igmp is not None and self.igmp._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.Virtualportgroup.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.Virtualportgroup.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.mtu = None
                    self.nd = Native.Interface.Virtualportgroup.Ipv6.Nd()
                    self.nd.parent = self
                    self.redirects = None
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ipv6.TrafficFilter']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.Virtualportgroup.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.Virtualportgroup.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.Virtualportgroup.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.Virtualportgroup.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.Virtualportgroup.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.Virtualportgroup.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.Virtualportgroup.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.Virtualportgroup.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.Virtualportgroup.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.Virtualportgroup.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.Virtualportgroup.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.Virtualportgroup.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.Virtualportgroup.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.Virtualportgroup.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.Virtualportgroup.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Virtualportgroup.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Virtualportgroup.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Virtualportgroup.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Virtualportgroup.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Virtualportgroup.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Virtualportgroup.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Virtualportgroup.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Virtualportgroup.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.Virtualportgroup.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.Virtualportgroup.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.Virtualportgroup.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.Virtualportgroup.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.Virtualportgroup.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.PmPath']['meta_info']


            class CarrierDelay(object):
                """
                Specify delay for interface transitions
                
                .. attribute:: down
                
                	Carrier Down Transitions
                	**type**\:   :py:class:`Down <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.CarrierDelay.Down>`
                
                .. attribute:: msec
                
                	delay specified in milliseconds
                	**type**\:  int
                
                	**range:** 0..1000
                
                .. attribute:: seconds
                
                	
                	**type**\:  int
                
                	**range:** 0..60
                
                .. attribute:: up
                
                	Carrier Up Transitions
                	**type**\:   :py:class:`Up <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.CarrierDelay.Up>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.down = Native.Interface.Virtualportgroup.CarrierDelay.Down()
                    self.down.parent = self
                    self.msec = None
                    self.seconds = None
                    self.up = Native.Interface.Virtualportgroup.CarrierDelay.Up()
                    self.up.parent = self


                class Down(object):
                    """
                    Carrier Down Transitions
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..1000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..60
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.msec = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:down'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.msec is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.CarrierDelay.Down']['meta_info']


                class Up(object):
                    """
                    Carrier Up Transitions
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..1000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..60
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.msec = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:up'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.msec is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.CarrierDelay.Up']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:carrier-delay'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.down is not None and self.down._has_data():
                        return True

                    if self.msec is not None:
                        return True

                    if self.seconds is not None:
                        return True

                    if self.up is not None and self.up._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.CarrierDelay']['meta_info']


            class ChannelGroup(object):
                """
                Add this interface to an Etherchannel group
                
                .. attribute:: auto
                
                	LACP auto
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link
                
                	Assign a link identifier used for load\-balancing
                	**type**\:  int
                
                	**range:** 1..4
                
                .. attribute:: mode
                
                	Etherchannel Mode of the interface
                	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.ChannelGroup.ModeEnum>`
                
                .. attribute:: non_silent
                
                	Start negotiation only after data packets received
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: number
                
                	
                	**type**\:  int
                
                	**range:** 1..512
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None
                    self.link = None
                    self.mode = None
                    self.non_silent = None
                    self.number = None

                class ModeEnum(Enum):
                    """
                    ModeEnum

                    Etherchannel Mode of the interface

                    .. data:: active = 0

                    .. data:: auto = 1

                    .. data:: desirable = 2

                    .. data:: on = 3

                    .. data:: passive = 4

                    """

                    active = 0

                    auto = 1

                    desirable = 2

                    on = 3

                    passive = 4


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.ChannelGroup.ModeEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:channel-group'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    if self.link is not None:
                        return True

                    if self.mode is not None:
                        return True

                    if self.non_silent is not None:
                        return True

                    if self.number is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.ChannelGroup']['meta_info']


            class Ethernet(object):
                """
                Ethernet interface parameters
                
                .. attribute:: oam
                
                	To enable Ethernet Link OAM
                	**type**\:   :py:class:`Oam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.oam = None


                class Oam(object):
                    """
                    To enable Ethernet Link OAM
                    
                    .. attribute:: link_monitor
                    
                    	Ethernet OAM Link Monitor
                    	**type**\:   :py:class:`LinkMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor>`
                    
                    .. attribute:: max_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10
                    
                    .. attribute:: min_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10
                    
                    .. attribute:: mode
                    
                    	
                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.ModeEnum>`
                    
                    .. attribute:: remote_failure
                    
                    	Ethernet OAM remote failure indication
                    	**type**\:   :py:class:`RemoteFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure>`
                    
                    .. attribute:: remote_loopback
                    
                    	Ethernet OAM Remote Loopback
                    	**type**\:   :py:class:`RemoteLoopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteLoopback>`
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 2..30
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.link_monitor = Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor()
                        self.link_monitor.parent = self
                        self.max_rate = None
                        self.min_rate = None
                        self.mode = None
                        self.remote_failure = Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure()
                        self.remote_failure.parent = self
                        self.remote_loopback = Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteLoopback()
                        self.remote_loopback.parent = self
                        self.timeout = None

                    class ModeEnum(Enum):
                        """
                        ModeEnum

                        .. data:: active = 0

                        .. data:: passive = 1

                        """

                        active = 0

                        passive = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.ModeEnum']



                    class LinkMonitor(object):
                        """
                        Ethernet OAM Link Monitor
                        
                        .. attribute:: frame
                        
                        	Errored frames in a period measured by time
                        	**type**\:   :py:class:`Frame <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame>`
                        
                        .. attribute:: frame_period
                        
                        	Errored frames in a period measured by number of frames
                        	**type**\:   :py:class:`FramePeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod>`
                        
                        .. attribute:: frame_seconds
                        
                        	Errored frame seconds in a period
                        	**type**\:   :py:class:`FrameSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds>`
                        
                        .. attribute:: high_threshold
                        
                        	Additional high threshold configuration
                        	**type**\:   :py:class:`HighThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.HighThreshold>`
                        
                        .. attribute:: on
                        
                        	Enable link monitoring on the interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: receive_crc
                        
                        	Received frames with CRC errors in a period
                        	**type**\:   :py:class:`ReceiveCrc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc>`
                        
                        .. attribute:: supported
                        
                        	Support link monitoring on the interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: symbol_period
                        
                        	Errored symbols in a period
                        	**type**\:   :py:class:`SymbolPeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.frame = Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame()
                            self.frame.parent = self
                            self.frame_period = Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod()
                            self.frame_period.parent = self
                            self.frame_seconds = Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds()
                            self.frame_seconds.parent = self
                            self.high_threshold = Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.HighThreshold()
                            self.high_threshold.parent = self
                            self.on = None
                            self.receive_crc = Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc()
                            self.receive_crc.parent = self
                            self.supported = None
                            self.symbol_period = Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod()
                            self.symbol_period.parent = self


                        class Frame(object):
                            """
                            Errored frames in a period measured by time
                            
                            .. attribute:: threshold
                            
                            	Errored frame threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 10..600
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: thresh
                                    
                                    	Set the high errored frame threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.none = None
                                        self.thresh = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.none is not None:
                                            return True

                                        if self.thresh is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.Frame']['meta_info']


                        class FramePeriod(object):
                            """
                            Errored frames in a period measured by number of frames
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-period threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 10000 frames
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-period threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: f_thresh
                                    
                                    	Set the high errored frame\-period threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.f_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.f_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame-period'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FramePeriod']['meta_info']


                        class FrameSeconds(object):
                            """
                            Errored frame seconds in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 100..9000
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-seconds threshold in number of seconds
                                	**type**\:  int
                                
                                	**range:** 1..900
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: e_thresh
                                    
                                    	Set the high errored frame\-seconds threshold in number of seconds
                                    	**type**\:  int
                                    
                                    	**range:** 1..900
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.e_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.e_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:frame-seconds'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.FrameSeconds']['meta_info']


                        class HighThreshold(object):
                            """
                            Additional high threshold configuration
                            
                            .. attribute:: action
                            
                            	Specifiy an action when the high threshold is crossed
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.HighThreshold.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.HighThreshold.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Specifiy an action when the high threshold is crossed
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.HighThreshold.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high-threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.HighThreshold']['meta_info']


                        class ReceiveCrc(object):
                            """
                            Received frames with CRC errors in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\:  int
                            
                            	**range:** 10..1800
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low received crc error threshold in number of frames
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: crc_thresh
                                    
                                    	Set the high received crc error threshold in number of frames
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.crc_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.crc_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:receive-crc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.ReceiveCrc']['meta_info']


                        class SymbolPeriod(object):
                            """
                            Errored symbols in a period
                            
                            .. attribute:: threshold
                            
                            	Error symbol\-period threshold
                            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 1048576 symbols
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold()
                                self.threshold.parent = self
                                self.window = None


                            class Threshold(object):
                                """
                                Error symbol\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low error symbol\-period threshold in number of symbols
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High()
                                    self.high.parent = self
                                    self.low = None


                                class High(object):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: err_thresh
                                    
                                    	Set the high error symbol\-period threshold in number of symbols
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.err_thresh = None
                                        self.none = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.err_thresh is not None:
                                            return True

                                        if self.none is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:threshold'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    if self.low is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:symbol-period'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None and self.threshold._has_data():
                                    return True

                                if self.window is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor.SymbolPeriod']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:link-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.frame is not None and self.frame._has_data():
                                return True

                            if self.frame_period is not None and self.frame_period._has_data():
                                return True

                            if self.frame_seconds is not None and self.frame_seconds._has_data():
                                return True

                            if self.high_threshold is not None and self.high_threshold._has_data():
                                return True

                            if self.on is not None:
                                return True

                            if self.receive_crc is not None and self.receive_crc._has_data():
                                return True

                            if self.supported is not None:
                                return True

                            if self.symbol_period is not None and self.symbol_period._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.LinkMonitor']['meta_info']


                    class RemoteFailure(object):
                        """
                        Ethernet OAM remote failure indication
                        
                        .. attribute:: critical_event
                        
                        	Critical event
                        	**type**\:   :py:class:`CriticalEvent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.CriticalEvent>`
                        
                        .. attribute:: dying_gasp
                        
                        	Dying gasp
                        	**type**\:   :py:class:`DyingGasp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.DyingGasp>`
                        
                        .. attribute:: link_fault
                        
                        	Link fault
                        	**type**\:   :py:class:`LinkFault <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.LinkFault>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.critical_event = Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.CriticalEvent()
                            self.critical_event.parent = self
                            self.dying_gasp = Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.DyingGasp()
                            self.dying_gasp.parent = self
                            self.link_fault = Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.LinkFault()
                            self.link_fault.parent = self


                        class CriticalEvent(object):
                            """
                            Critical event
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.CriticalEvent.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.CriticalEvent.Action()
                                self.action.parent = self


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.CriticalEvent.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:critical-event'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.CriticalEvent']['meta_info']


                        class DyingGasp(object):
                            """
                            Dying gasp
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.DyingGasp.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = None


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.DyingGasp.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dying-gasp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.DyingGasp']['meta_info']


                        class LinkFault(object):
                            """
                            Link fault
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.LinkFault.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.action = None


                            class Action(object):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.error_disable_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:action'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.error_disable_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.LinkFault.Action']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:link-fault'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.action is not None and self.action._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure.LinkFault']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:remote-failure'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.critical_event is not None and self.critical_event._has_data():
                                return True

                            if self.dying_gasp is not None and self.dying_gasp._has_data():
                                return True

                            if self.link_fault is not None and self.link_fault._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteFailure']['meta_info']


                    class RemoteLoopback(object):
                        """
                        Ethernet OAM Remote Loopback
                        
                        .. attribute:: supported
                        
                        	Support remote loopback functionality
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: timeout
                        
                        	Set timeout value in number of seconds
                        	**type**\:  int
                        
                        	**range:** 1..10
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None
                            self.timeout = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:remote-loopback'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            if self.timeout is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam.RemoteLoopback']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:oam'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.link_monitor is not None and self.link_monitor._has_data():
                            return True

                        if self.max_rate is not None:
                            return True

                        if self.min_rate is not None:
                            return True

                        if self.mode is not None:
                            return True

                        if self.remote_failure is not None and self.remote_failure._has_data():
                            return True

                        if self.remote_loopback is not None and self.remote_loopback._has_data():
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet.Oam']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.oam is not None and self.oam._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Ethernet']['meta_info']


            class Negotiation(object):
                """
                Select autonegotiation mode
                
                .. attribute:: auto
                
                	Enable link autonegotiation
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:negotiation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Negotiation']['meta_info']


            class Synchronous(object):
                """
                Synchronous
                
                .. attribute:: mode
                
                	Mode
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.mode = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:synchronous'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.mode is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Synchronous']['meta_info']


            class Speed(object):
                """
                Configure speed operation
                
                .. attribute:: auto
                
                	Enable AUTO speed configuration
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: nonegotiate
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10
                
                	10 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_100
                
                	100 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_1000
                
                	1000 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10000
                
                	10000 Mbps operation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None
                    self.nonegotiate = None
                    self.value_10 = None
                    self.value_100 = None
                    self.value_1000 = None
                    self.value_10000 = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:speed'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.value_10 is not None:
                        return True

                    if self.value_100 is not None:
                        return True

                    if self.value_1000 is not None:
                        return True

                    if self.value_10000 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Speed']['meta_info']


            class Plim(object):
                """
                Configure features on the PLIM
                
                .. attribute:: ethernet
                
                	Configure features on the ethernet interface
                	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Plim.Ethernet>`
                
                .. attribute:: qos
                
                	QoS on the PLIM
                	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Plim.Qos>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ethernet = Native.Interface.Virtualportgroup.Plim.Ethernet()
                    self.ethernet.parent = self
                    self.qos = Native.Interface.Virtualportgroup.Plim.Qos()
                    self.qos.parent = self


                class Ethernet(object):
                    """
                    Configure features on the ethernet interface
                    
                    .. attribute:: vlan
                    
                    	vlan specific features
                    	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Plim.Ethernet.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = Native.Interface.Virtualportgroup.Plim.Ethernet.Vlan()
                        self.vlan.parent = self


                    class Vlan(object):
                        """
                        vlan specific features
                        
                        .. attribute:: filter
                        
                        	Configure VLAN filtering
                        	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Plim.Ethernet.Vlan.Filter>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.filter = Native.Interface.Virtualportgroup.Plim.Ethernet.Vlan.Filter()
                            self.filter.parent = self


                        class Filter(object):
                            """
                            Configure VLAN filtering
                            
                            .. attribute:: disable
                            
                            	Configure the interface to accept all VLAN traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Plim.Ethernet.Vlan.Filter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:vlan'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.filter is not None and self.filter._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Plim.Ethernet.Vlan']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None and self.vlan._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Plim.Ethernet']['meta_info']


                class Qos(object):
                    """
                    QoS on the PLIM
                    
                    .. attribute:: input
                    
                    	Configure PLIM QoS at the input of an interface
                    	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Plim.Qos.Input>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.input = Native.Interface.Virtualportgroup.Plim.Qos.Input()
                        self.input.parent = self


                    class Input(object):
                        """
                        Configure PLIM QoS at the input of an interface
                        
                        .. attribute:: queue
                        
                        	Queue number
                        	**type**\:   :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.queue = Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue()
                            self.queue.parent = self


                        class Queue(object):
                            """
                            Queue number
                            
                            .. attribute:: strict_priority
                            
                            	High priority queue
                            	**type**\:   :py:class:`StrictPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.StrictPriority>`
                            
                            .. attribute:: zero
                            
                            	Low priority queue
                            	**type**\:   :py:class:`Zero <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.Zero>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.strict_priority = Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.StrictPriority()
                                self.strict_priority.parent = self
                                self.zero = Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.Zero()
                                self.zero.parent = self


                            class Zero(object):
                                """
                                Low priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:   :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.Zero.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pause = Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.Zero.Pause()
                                    self.pause.parent = self


                                class Pause(object):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\:  bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.enable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pause'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.enable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.Zero.Pause']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:zero'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pause is not None and self.pause._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.Zero']['meta_info']


                            class StrictPriority(object):
                                """
                                High priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:   :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.StrictPriority.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pause = Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.StrictPriority.Pause()
                                    self.pause.parent = self


                                class Pause(object):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\:  bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.enable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pause'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.enable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.StrictPriority.Pause']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:strict-priority'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pause is not None and self.pause._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue.StrictPriority']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:queue'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.strict_priority is not None and self.strict_priority._has_data():
                                    return True

                                if self.zero is not None and self.zero._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Plim.Qos.Input.Queue']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:input'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.queue is not None and self.queue._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Plim.Qos.Input']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:qos'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.input is not None and self.input._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Plim.Qos']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:plim'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ethernet is not None and self.ethernet._has_data():
                        return True

                    if self.qos is not None and self.qos._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Plim']['meta_info']


            class Pppoe(object):
                """
                pppoe interface subcommands
                
                .. attribute:: enable
                
                	Enable pppoe
                	**type**\:   :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Pppoe.Enable>`
                
                	**presence node**\: True
                
                .. attribute:: max_sessions
                
                	Maximum PPPOE sessions
                	**type**\:  int
                
                	**range:** 1..4085
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None
                    self.max_sessions = None


                class Enable(object):
                    """
                    Enable pppoe
                    
                    .. attribute:: group
                    
                    	attach a BBA group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        attach a BBA group

                        .. data:: global_ = 0

                        """

                        global_ = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Pppoe.Enable.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:enable'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Pppoe.Enable']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pppoe'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None and self.enable._has_data():
                        return True

                    if self.max_sessions is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Pppoe']['meta_info']


            class Service(object):
                """
                Configure Ether Service
                
                .. attribute:: instance
                
                	Configure Ether Service Instance
                	**type**\: list of    :py:class:`Instance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.instance = YList()
                    self.instance.parent = self
                    self.instance.name = 'instance'


                class Instance(object):
                    """
                    Configure Ether Service Instance
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4000
                    
                    .. attribute:: bridge_domain
                    
                    	Bridge\-domain
                    	**type**\:   :py:class:`BridgeDomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.BridgeDomain>`
                    
                    .. attribute:: cfm
                    
                    	Ethernet CFM EFP subcommands
                    	**type**\:   :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Cfm>`
                    
                    .. attribute:: description
                    
                    	Service instance specific description
                    	**type**\:  str
                    
                    	**length:** 0..240
                    
                    .. attribute:: encapsulation
                    
                    	Configure ethernet frame match criteria
                    	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation>`
                    
                    .. attribute:: errdisable
                    
                    	Configure error disable
                    	**type**\:   :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Errdisable>`
                    
                    .. attribute:: ethernet
                    
                    	Configure an Ethernet Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet_container
                    
                    	
                    	**type**\:   :py:class:`EthernetContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer>`
                    
                    .. attribute:: ethernet_evc_name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: evc_name
                    
                    	
                    	**type**\:  str
                    
                    	**length:** 1..100
                    
                    .. attribute:: gigabitethernet
                    
                    	Configure an GigabitEthernet Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Ip>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 interface subcommands
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Ipv6>`
                    
                    .. attribute:: l2protocol
                    
                    	Configure l2 control protocol processing
                    	**type**\:   :py:class:`L2Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.L2Protocol>`
                    
                    .. attribute:: mac
                    
                    	Commands for MAC Address\-based features
                    	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Mac>`
                    
                    .. attribute:: rewrite
                    
                    	Configure ethernet rewrite criteria
                    	**type**\:   :py:class:`Rewrite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Rewrite>`
                    
                    .. attribute:: service_policy
                    
                    	Attach a policy\-map to an EFP
                    	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.ServicePolicy>`
                    
                    .. attribute:: shutdown
                    
                    	Take the Service Instance out of Service
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: snmp
                    
                    	Modify SNMP service instance parameters
                    	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Snmp>`
                    
                    .. attribute:: trunk
                    
                    	Trunk Service Instance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.bridge_domain = Native.Interface.Virtualportgroup.Service.Instance.BridgeDomain()
                        self.bridge_domain.parent = self
                        self.cfm = Native.Interface.Virtualportgroup.Service.Instance.Cfm()
                        self.cfm.parent = self
                        self.description = None
                        self.encapsulation = Native.Interface.Virtualportgroup.Service.Instance.Encapsulation()
                        self.encapsulation.parent = self
                        self.errdisable = Native.Interface.Virtualportgroup.Service.Instance.Errdisable()
                        self.errdisable.parent = self
                        self.ethernet = None
                        self.ethernet_container = Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer()
                        self.ethernet_container.parent = self
                        self.ethernet_evc_name = None
                        self.evc_name = None
                        self.gigabitethernet = None
                        self.group = None
                        self.ip = Native.Interface.Virtualportgroup.Service.Instance.Ip()
                        self.ip.parent = self
                        self.ipv6 = Native.Interface.Virtualportgroup.Service.Instance.Ipv6()
                        self.ipv6.parent = self
                        self.l2protocol = Native.Interface.Virtualportgroup.Service.Instance.L2Protocol()
                        self.l2protocol.parent = self
                        self.mac = Native.Interface.Virtualportgroup.Service.Instance.Mac()
                        self.mac.parent = self
                        self.rewrite = Native.Interface.Virtualportgroup.Service.Instance.Rewrite()
                        self.rewrite.parent = self
                        self.service_policy = Native.Interface.Virtualportgroup.Service.Instance.ServicePolicy()
                        self.service_policy.parent = self
                        self.shutdown = None
                        self.snmp = Native.Interface.Virtualportgroup.Service.Instance.Snmp()
                        self.snmp.parent = self
                        self.trunk = None


                    class Encapsulation(object):
                        """
                        Configure ethernet frame match criteria
                        
                        .. attribute:: default
                        
                        	catch\-all unconfigured encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dot1ad
                        
                        	802.1ad \- Provider Bridges
                        	**type**\:   :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad>`
                        
                        .. attribute:: dot1q
                        
                        	IEEE 802.1Q Virtual LAN or S\-VLAN
                        	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q>`
                        
                        .. attribute:: priority_tagged
                        
                        	Priority tagged EFP
                        	**type**\:   :py:class:`PriorityTagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.PriorityTagged>`
                        
                        .. attribute:: untagged
                        
                        	Untagged encapsulation
                        	**type**\:   :py:class:`Untagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Untagged>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.default = None
                            self.dot1ad = Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad()
                            self.dot1ad.parent = self
                            self.dot1q = Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q()
                            self.dot1q.parent = self
                            self.priority_tagged = Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.PriorityTagged()
                            self.priority_tagged.parent = self
                            self.untagged = None


                        class Dot1Ad(object):
                            """
                            802.1ad \- Provider Bridges
                            
                            .. attribute:: cos
                            
                            	CoS value to use for CFM packets
                            	**type**\:  list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:   :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Cos2>`
                            
                            .. attribute:: dot1q
                            
                            	Second tag (dot1q)
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`Dot1QEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos = YLeafList()
                                self.cos.parent = self
                                self.cos.name = 'cos'
                                self.cos2 = Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Cos2()
                                self.cos2.parent = self
                                self.dot1q = YLeafList()
                                self.dot1q.parent = self
                                self.dot1q.name = 'dot1q'
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'
                                self.exact = None
                                self.id = YLeafList()
                                self.id.parent = self
                                self.id.name = 'id'

                            class Dot1QEnum(Enum):
                                """
                                Dot1QEnum

                                Second tag (dot1q)

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Dot1QEnum']


                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.EtypeEnum']


                            class IdEnum(Enum):
                                """
                                IdEnum

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.IdEnum']



                            class Cos2(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos2'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad.Cos2']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1ad'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos is not None:
                                    for child in self.cos:
                                        if child is not None:
                                            return True

                                if self.cos2 is not None and self.cos2._has_data():
                                    return True

                                if self.dot1q is not None:
                                    for child in self.dot1q:
                                        if child is not None:
                                            return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                if self.exact is not None:
                                    return True

                                if self.id is not None:
                                    for child in self.id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Ad']['meta_info']


                        class Dot1Q(object):
                            """
                            IEEE 802.1Q Virtual LAN or S\-VLAN
                            
                            .. attribute:: cos
                            
                            	cos Vlan
                            	**type**\:  list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:   :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.EtypeEnum>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: second_dot1q
                            
                            	inner 802.1Q Virtual LAN or C\-VLAN
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..4094
                            
                            
                            ----
                            	**type**\:  list of   :py:class:`SecondDot1QEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum>`
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            
                            ----
                            .. attribute:: vlan_type
                            
                            	Vlan Protocol Type
                            	**type**\:   :py:class:`VlanTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos = YLeafList()
                                self.cos.parent = self
                                self.cos.name = 'cos'
                                self.cos2 = Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.Cos2()
                                self.cos2.parent = self
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'
                                self.exact = None
                                self.id = YLeafList()
                                self.id.parent = self
                                self.id.name = 'id'
                                self.second_dot1q = YLeafList()
                                self.second_dot1q.parent = self
                                self.second_dot1q.name = 'second_dot1q'
                                self.vlan_type = None

                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.EtypeEnum']


                            class IdEnum(Enum):
                                """
                                IdEnum

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.IdEnum']


                            class SecondDot1QEnum(Enum):
                                """
                                SecondDot1QEnum

                                inner 802.1Q Virtual LAN or C\-VLAN

                                .. data:: any = 0

                                """

                                any = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1QEnum']


                            class VlanTypeEnum(Enum):
                                """
                                VlanTypeEnum

                                Vlan Protocol Type

                                .. data:: Y_0x88A8 = 0

                                .. data:: Y_0x9100 = 1

                                .. data:: Y_0x9200 = 2

                                """

                                Y_0x88A8 = 0

                                Y_0x9100 = 1

                                Y_0x9200 = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.VlanTypeEnum']



                            class Cos2(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos2'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q.Cos2']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1q'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos is not None:
                                    for child in self.cos:
                                        if child is not None:
                                            return True

                                if self.cos2 is not None and self.cos2._has_data():
                                    return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                if self.exact is not None:
                                    return True

                                if self.id is not None:
                                    for child in self.id:
                                        if child is not None:
                                            return True

                                if self.second_dot1q is not None:
                                    for child in self.second_dot1q:
                                        if child is not None:
                                            return True

                                if self.vlan_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Dot1Q']['meta_info']


                        class PriorityTagged(object):
                            """
                            Priority tagged EFP
                            
                            .. attribute:: cos_container
                            
                            	
                            	**type**\:   :py:class:`CosContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.PriorityTagged.CosContainer>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\:  list of   :py:class:`EtypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cos_container = Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.PriorityTagged.CosContainer()
                                self.cos_container.parent = self
                                self.etype = YLeafList()
                                self.etype.parent = self
                                self.etype.name = 'etype'

                            class EtypeEnum(Enum):
                                """
                                EtypeEnum

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = 0

                                ipv6 = 1

                                pppoe_all = 2

                                pppoe_discovery = 3

                                pppoe_session = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.PriorityTagged.EtypeEnum']



                            class CosContainer(object):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\:  list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = YLeafList()
                                    self.cos.parent = self
                                    self.cos.name = 'cos'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cos-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        for child in self.cos:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.PriorityTagged.CosContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:priority-tagged'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cos_container is not None and self.cos_container._has_data():
                                    return True

                                if self.etype is not None:
                                    for child in self.etype:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.PriorityTagged']['meta_info']


                        class Untagged(object):
                            """
                            Untagged encapsulation
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:untagged'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation.Untagged']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:encapsulation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.default is not None:
                                return True

                            if self.dot1ad is not None and self.dot1ad._has_data():
                                return True

                            if self.dot1q is not None and self.dot1q._has_data():
                                return True

                            if self.priority_tagged is not None and self.priority_tagged._has_data():
                                return True

                            if self.untagged is not None and self.untagged._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Encapsulation']['meta_info']


                    class Ip(object):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Ip.Acl>`
                        
                        .. attribute:: dhcp
                        
                        	DHCP
                        	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp>`
                        
                        .. attribute:: verify
                        
                        	verify
                        	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Ip.Verify>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Virtualportgroup.Service.Instance.Ip.Acl()
                            self.acl.parent = self
                            self.dhcp = Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp()
                            self.dhcp.parent = self
                            self.verify = Native.Interface.Virtualportgroup.Service.Instance.Ip.Verify()
                            self.verify.parent = self


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: access_group
                            
                            	Specify access control for packets
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.access_group = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.access_group is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ip.Acl']['meta_info']


                        class Dhcp(object):
                            """
                            DHCP
                            
                            .. attribute:: relay
                            
                            	DHCP relay
                            	**type**\:   :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.relay = Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay()
                                self.relay.parent = self


                            class Relay(object):
                                """
                                DHCP relay
                                
                                .. attribute:: information
                                
                                	DHCP relay information
                                	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay.Information>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.information = Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay.Information()
                                    self.information.parent = self


                                class Information(object):
                                    """
                                    DHCP relay information
                                    
                                    .. attribute:: option
                                    
                                    	DHCP relay information option
                                    	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay.Information.Option>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.option = Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay.Information.Option()
                                        self.option.parent = self


                                    class Option(object):
                                        """
                                        DHCP relay information option
                                        
                                        .. attribute:: subscriber_id
                                        
                                        	DHCP relay information option subscriber\-id
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.subscriber_id = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.subscriber_id is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay.Information.Option']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:information'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.option is not None and self.option._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay.Information']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:relay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.information is not None and self.information._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp.Relay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dhcp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.relay is not None and self.relay._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ip.Dhcp']['meta_info']


                        class Verify(object):
                            """
                            verify
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: port_security
                            
                            	port security
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: source
                            
                            	source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan
                            
                            	vlan specification
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None
                                self.port_security = None
                                self.source = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:verify'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None:
                                    return True

                                if self.port_security is not None:
                                    return True

                                if self.source is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ip.Verify']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.dhcp is not None and self.dhcp._has_data():
                                return True

                            if self.verify is not None and self.verify._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ip']['meta_info']


                    class Ipv6(object):
                        """
                        IPv6 interface subcommands
                        
                        .. attribute:: in_
                        
                        	inbound packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	outbound packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: traffic_filter
                        
                        	Access control list for packets
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.in_ = None
                            self.out = None
                            self.traffic_filter = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.in_ is not None:
                                return True

                            if self.out is not None:
                                return True

                            if self.traffic_filter is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Ipv6']['meta_info']


                    class Rewrite(object):
                        """
                        Configure ethernet rewrite criteria
                        
                        .. attribute:: ingress
                        
                        	Ingress Rewrite
                        	**type**\:   :py:class:`Ingress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ingress = Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress()
                            self.ingress.parent = self


                        class Ingress(object):
                            """
                            Ingress Rewrite
                            
                            .. attribute:: tag
                            
                            	Configure Rewrite Tag
                            	**type**\:   :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.tag = Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag()
                                self.tag.parent = self


                            class Tag(object):
                                """
                                Configure Rewrite Tag
                                
                                .. attribute:: pop
                                
                                	Pop the tag
                                	**type**\:   :py:class:`Pop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Pop>`
                                
                                .. attribute:: push
                                
                                	Rewrite Operation of push
                                	**type**\:   :py:class:`Push <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Push>`
                                
                                .. attribute:: translate
                                
                                	Translate Tag
                                	**type**\:   :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pop = Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Pop()
                                    self.pop.parent = self
                                    self.push = Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Push()
                                    self.push.parent = self
                                    self.translate = Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate()
                                    self.translate.parent = self


                                class Pop(object):
                                    """
                                    Pop the tag
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum>`
                                    
                                    .. attribute:: way
                                    
                                    	
                                    	**type**\:   :py:class:`WayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mode = None
                                        self.way = None

                                    class ModeEnum(Enum):
                                        """
                                        ModeEnum

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = 0


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Pop.ModeEnum']


                                    class WayEnum(Enum):
                                        """
                                        WayEnum

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Pop.WayEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:pop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mode is not None:
                                            return True

                                        if self.way is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Pop']['meta_info']


                                class Push(object):
                                    """
                                    Rewrite Operation of push
                                    
                                    .. attribute:: dot1q
                                    
                                    	Push dot1q tag
                                    	**type**\:  int
                                    
                                    	**range:** 1..4094
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dot1q = None
                                        self.mode = None

                                    class ModeEnum(Enum):
                                        """
                                        ModeEnum

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = 0


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Push.ModeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:push'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dot1q is not None:
                                            return True

                                        if self.mode is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Push']['meta_info']


                                class Translate(object):
                                    """
                                    Translate Tag
                                    
                                    .. attribute:: t1_to_1
                                    
                                    	Translate 1\-to\-1
                                    	**type**\:   :py:class:`T1To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1>`
                                    
                                    .. attribute:: t1_to_2
                                    
                                    	Translate 1\-to\-2
                                    	**type**\:   :py:class:`T1To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2>`
                                    
                                    .. attribute:: t2_to_1
                                    
                                    	Translate 2\-to\-1
                                    	**type**\:   :py:class:`T2To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1>`
                                    
                                    .. attribute:: t2_to_2
                                    
                                    	Translate 2\-to\-2
                                    	**type**\:   :py:class:`T2To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.t1_to_1 = Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1()
                                        self.t1_to_1.parent = self
                                        self.t1_to_2 = Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2()
                                        self.t1_to_2.parent = self
                                        self.t2_to_1 = Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1()
                                        self.t2_to_1.parent = self
                                        self.t2_to_2 = Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2()
                                        self.t2_to_2.parent = self


                                    class T1To1(object):
                                        """
                                        Translate 1\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t1-to-1'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1']['meta_info']


                                    class T1To2(object):
                                        """
                                        Translate 1\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum>`
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None
                                            self.second_dot1q = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t1-to-2'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            if self.second_dot1q is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2']['meta_info']


                                    class T2To1(object):
                                        """
                                        Translate 2\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t2-to-1'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1']['meta_info']


                                    class T2To2(object):
                                        """
                                        Translate 2\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum>`
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dot1q = None
                                            self.mode = None
                                            self.second_dot1q = None

                                        class ModeEnum(Enum):
                                            """
                                            ModeEnum

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = 0


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.ModeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:t2-to-2'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dot1q is not None:
                                                return True

                                            if self.mode is not None:
                                                return True

                                            if self.second_dot1q is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:translate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.t1_to_1 is not None and self.t1_to_1._has_data():
                                            return True

                                        if self.t1_to_2 is not None and self.t1_to_2._has_data():
                                            return True

                                        if self.t2_to_1 is not None and self.t2_to_1._has_data():
                                            return True

                                        if self.t2_to_2 is not None and self.t2_to_2._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag.Translate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:tag'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pop is not None and self.pop._has_data():
                                        return True

                                    if self.push is not None and self.push._has_data():
                                        return True

                                    if self.translate is not None and self.translate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress.Tag']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ingress'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.tag is not None and self.tag._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite.Ingress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:rewrite'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ingress is not None and self.ingress._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Rewrite']['meta_info']


                    class Errdisable(object):
                        """
                        Configure error disable
                        
                        .. attribute:: recovery
                        
                        	enable auto recovery
                        	**type**\:   :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Errdisable.Recovery>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.recovery = Native.Interface.Virtualportgroup.Service.Instance.Errdisable.Recovery()
                            self.recovery.parent = self


                        class Recovery(object):
                            """
                            enable auto recovery
                            
                            .. attribute:: cause
                            
                            	error disable cause
                            	**type**\:   :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Errdisable.Recovery.Cause>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cause = Native.Interface.Virtualportgroup.Service.Instance.Errdisable.Recovery.Cause()
                                self.cause.parent = self


                            class Cause(object):
                                """
                                error disable cause
                                
                                .. attribute:: mac_security
                                
                                	mac\-security violation
                                	**type**\:  int
                                
                                	**range:** 30..86400
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mac_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cause'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mac_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Errdisable.Recovery.Cause']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:recovery'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cause is not None and self.cause._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Errdisable.Recovery']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:errdisable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.recovery is not None and self.recovery._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Errdisable']['meta_info']


                    class EthernetContainer(object):
                        """
                        
                        
                        .. attribute:: ethernet
                        
                        	ethernet
                        	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ethernet = Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet()
                            self.ethernet.parent = self


                        class Ethernet(object):
                            """
                            ethernet
                            
                            .. attribute:: lmi
                            
                            	Configure ether lmi parameters
                            	**type**\:   :py:class:`Lmi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi>`
                            
                            .. attribute:: loopback
                            
                            	Ethernet Dataplane Loopback
                            	**type**\:   :py:class:`Loopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Loopback>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lmi = Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi()
                                self.lmi.parent = self
                                self.loopback = Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Loopback()
                                self.loopback.parent = self


                            class Lmi(object):
                                """
                                Configure ether lmi parameters
                                
                                .. attribute:: ce_vlan
                                
                                	Configure ether lmi customer vlans
                                	**type**\:   :py:class:`CeVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ce_vlan = Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan()
                                    self.ce_vlan.parent = self


                                class CeVlan(object):
                                    """
                                    Configure ether lmi customer vlans
                                    
                                    .. attribute:: map
                                    
                                    	Configure ether lmi ce\-vlan/evc map
                                    	**type**\:   :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map = Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map()
                                        self.map.parent = self


                                    class Map(object):
                                        """
                                        Configure ether lmi ce\-vlan/evc map
                                        
                                        .. attribute:: any
                                        
                                        	For all VLANS [untagged,1\-4094]
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: default
                                        
                                        	Default EFP
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: untagged
                                        
                                        	Untagged frames
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vlan_range
                                        
                                        	
                                        	**type**\:   :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.any = None
                                            self.default = None
                                            self.untagged = None
                                            self.vlan_range = Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange()
                                            self.vlan_range.parent = self


                                        class VlanRange(object):
                                            """
                                            
                                            
                                            .. attribute:: comma
                                            
                                            	comma
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: hyphen
                                            
                                            	hyphen
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: vlan_id
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.comma = None
                                                self.hyphen = None
                                                self.vlan_id = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:vlan-range'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.comma is not None:
                                                    return True

                                                if self.hyphen is not None:
                                                    return True

                                                if self.vlan_id is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:map'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.any is not None:
                                                return True

                                            if self.default is not None:
                                                return True

                                            if self.untagged is not None:
                                                return True

                                            if self.vlan_range is not None and self.vlan_range._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ce-vlan'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map is not None and self.map._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:lmi'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ce_vlan is not None and self.ce_vlan._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Lmi']['meta_info']


                            class Loopback(object):
                                """
                                Ethernet Dataplane Loopback
                                
                                .. attribute:: permit
                                
                                	Allow data plane loopback to be activated
                                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.permit = Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit()
                                    self.permit.parent = self


                                class Permit(object):
                                    """
                                    Allow data plane loopback to be activated
                                    
                                    .. attribute:: external
                                    
                                    	Allow to loopback the traffic from the wire
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: internal
                                    
                                    	Allow to loopback the traffic from the relay
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.internal = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:permit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None:
                                            return True

                                        if self.internal is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:loopback'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.permit is not None and self.permit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet.Loopback']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lmi is not None and self.lmi._has_data():
                                    return True

                                if self.loopback is not None and self.loopback._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer.Ethernet']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ethernet-container'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ethernet is not None and self.ethernet._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.EthernetContainer']['meta_info']


                    class Snmp(object):
                        """
                        Modify SNMP service instance parameters
                        
                        .. attribute:: ifindex
                        
                        	Persist ifindex for the service instance
                        	**type**\:   :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Snmp.Ifindex>`
                        
                        .. attribute:: trap
                        
                        	Allow a specific SNMP trap
                        	**type**\:   :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Snmp.Trap>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ifindex = Native.Interface.Virtualportgroup.Service.Instance.Snmp.Ifindex()
                            self.ifindex.parent = self
                            self.trap = Native.Interface.Virtualportgroup.Service.Instance.Snmp.Trap()
                            self.trap.parent = self


                        class Trap(object):
                            """
                            Allow a specific SNMP trap
                            
                            .. attribute:: link_status
                            
                            	Allow SNMP LINKUP and LINKDOWN traps
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.link_status = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:trap'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.link_status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Snmp.Trap']['meta_info']


                        class Ifindex(object):
                            """
                            Persist ifindex for the service instance
                            
                            .. attribute:: persist
                            
                            	Enable/Disable ifIndex persistence
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.persist = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:ifindex'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.persist is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Snmp.Ifindex']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:snmp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ifindex is not None and self.ifindex._has_data():
                                return True

                            if self.trap is not None and self.trap._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Snmp']['meta_info']


                    class BridgeDomain(object):
                        """
                        Bridge\-domain
                        
                        .. attribute:: bridge_id
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: from_encapsulation
                        
                        	from\-encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: split_horizon
                        
                        	Configure this port as a member of a split horizon group
                        	**type**\:   :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.BridgeDomain.SplitHorizon>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bridge_id = None
                            self.from_encapsulation = None
                            self.split_horizon = Native.Interface.Virtualportgroup.Service.Instance.BridgeDomain.SplitHorizon()
                            self.split_horizon.parent = self


                        class SplitHorizon(object):
                            """
                            Configure this port as a member of a split horizon group
                            
                            .. attribute:: group
                            
                            	Split\-horizon group
                            	**type**\:  int
                            
                            	**range:** 0..13
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:split-horizon'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.BridgeDomain.SplitHorizon']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:bridge-domain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bridge_id is not None:
                                return True

                            if self.from_encapsulation is not None:
                                return True

                            if self.split_horizon is not None and self.split_horizon._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.BridgeDomain']['meta_info']


                    class Mac(object):
                        """
                        Commands for MAC Address\-based features
                        
                        .. attribute:: security
                        
                        	MAC Security commands
                        	**type**\:   :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Mac.Security>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.security = None


                        class Security(object):
                            """
                            MAC Security commands
                            
                            .. attribute:: maximum
                            
                            	Configure an upper bound
                            	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Mac.Security.Maximum>`
                            
                            .. attribute:: violation
                            
                            	Configure the response when a MAC security policy is violated
                            	**type**\:   :py:class:`ViolationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Mac.Security.ViolationEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.maximum = Native.Interface.Virtualportgroup.Service.Instance.Mac.Security.Maximum()
                                self.maximum.parent = self
                                self.violation = None

                            class ViolationEnum(Enum):
                                """
                                ViolationEnum

                                Configure the response when a MAC security policy is violated

                                .. data:: protect = 0

                                .. data:: restrict = 1

                                """

                                protect = 0

                                restrict = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Mac.Security.ViolationEnum']



                            class Maximum(object):
                                """
                                Configure an upper bound
                                
                                .. attribute:: addresses
                                
                                	Maximum addresses that can be learnt on this service instance
                                	**type**\:  int
                                
                                	**range:** 1..1000
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.addresses = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:maximum'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.addresses is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Mac.Security.Maximum']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:security'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.maximum is not None and self.maximum._has_data():
                                    return True

                                if self.violation is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Mac.Security']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mac'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.security is not None and self.security._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Mac']['meta_info']


                    class ServicePolicy(object):
                        """
                        Attach a policy\-map to an EFP
                        
                        .. attribute:: input
                        
                        	service policy input
                        	**type**\: list of    :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.ServicePolicy.Input>`
                        
                        .. attribute:: output
                        
                        	service policy output
                        	**type**\: list of    :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.ServicePolicy.Output>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = YList()
                            self.input.parent = self
                            self.input.name = 'input'
                            self.output = YList()
                            self.output.parent = self
                            self.output.name = 'output'


                        class Input(object):
                            """
                            service policy input
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:input[Cisco-IOS-XE-ethernet:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.ServicePolicy.Input']['meta_info']


                        class Output(object):
                            """
                            service policy output
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:output[Cisco-IOS-XE-ethernet:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.ServicePolicy.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:service-policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None:
                                for child_ref in self.input:
                                    if child_ref._has_data():
                                        return True

                            if self.output is not None:
                                for child_ref in self.output:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.ServicePolicy']['meta_info']


                    class Cfm(object):
                        """
                        Ethernet CFM EFP subcommands
                        
                        .. attribute:: encapsulation
                        
                        	Configure CFM ethernet frame encapsulation
                        	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation>`
                        
                        .. attribute:: mep
                        
                        	Maintenance End Point
                        	**type**\:   :py:class:`Mep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Cfm.Mep>`
                        
                        .. attribute:: mip
                        
                        	Maintenance Intermediate Point
                        	**type**\:   :py:class:`Mip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Cfm.Mip>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.encapsulation = Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation()
                            self.encapsulation.parent = self
                            self.mep = Native.Interface.Virtualportgroup.Service.Instance.Cfm.Mep()
                            self.mep.parent = self
                            self.mip = Native.Interface.Virtualportgroup.Service.Instance.Cfm.Mip()
                            self.mip.parent = self


                        class Encapsulation(object):
                            """
                            Configure CFM ethernet frame encapsulation
                            
                            .. attribute:: dot1ad
                            
                            	802.1ad \- Provider Bridges
                            	**type**\:   :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation.Dot1Ad>`
                            
                            .. attribute:: dot1q
                            
                            	IEEE 802.1Q Virtual LAN or S\-VLAN
                            	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation.Dot1Q>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dot1ad = Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation.Dot1Ad()
                                self.dot1ad.parent = self
                                self.dot1q = Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation.Dot1Q()
                                self.dot1q.parent = self


                            class Dot1Ad(object):
                                """
                                802.1ad \- Provider Bridges
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: dot1q
                                
                                	Second tag (dot1q)
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = None
                                    self.dot1q = None
                                    self.vlan_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1ad'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        return True

                                    if self.dot1q is not None:
                                        return True

                                    if self.vlan_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation.Dot1Ad']['meta_info']


                            class Dot1Q(object):
                                """
                                IEEE 802.1Q Virtual LAN or S\-VLAN
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: second_dot1q
                                
                                	inner 802.1Q Virtual LAN or C\-VLAN
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cos = None
                                    self.second_dot1q = None
                                    self.vlan_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:dot1q'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cos is not None:
                                        return True

                                    if self.second_dot1q is not None:
                                        return True

                                    if self.vlan_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation.Dot1Q']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:encapsulation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dot1ad is not None and self.dot1ad._has_data():
                                    return True

                                if self.dot1q is not None and self.dot1q._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Cfm.Encapsulation']['meta_info']


                        class Mep(object):
                            """
                            Maintenance End Point
                            
                            .. attribute:: domain
                            
                            	Configure a domain for this mep
                            	**type**\:  str
                            
                            .. attribute:: mpid
                            
                            	Maintenance End Point Identifier
                            	**type**\:  int
                            
                            	**range:** 1..8191
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.domain = None
                                self.mpid = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mep'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.domain is not None:
                                    return True

                                if self.mpid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Cfm.Mep']['meta_info']


                        class Mip(object):
                            """
                            Maintenance Intermediate Point
                            
                            .. attribute:: level
                            
                            	Maintenance Level
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.level = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:mip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.level is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Cfm.Mip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:cfm'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.encapsulation is not None and self.encapsulation._has_data():
                                return True

                            if self.mep is not None and self.mep._has_data():
                                return True

                            if self.mip is not None and self.mip._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.Cfm']['meta_info']


                    class L2Protocol(object):
                        """
                        Configure l2 control protocol processing
                        
                        .. attribute:: forward
                        
                        	forward L2 control protocol packets as data
                        	**type**\:   :py:class:`Forward <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Forward>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: peer
                        
                        	peer L2 control protocol packets as data
                        	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Peer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: tunnel
                        
                        	tunnel L2 control protocol packets as data
                        	**type**\:   :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Tunnel>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forward = None
                            self.peer = None
                            self.tunnel = None


                        class Peer(object):
                            """
                            peer L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Peer.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Peer.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:peer'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Peer']['meta_info']


                        class Forward(object):
                            """
                            forward L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Forward.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Forward.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:forward'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Forward']['meta_info']


                        class Tunnel(object):
                            """
                            tunnel L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  list of   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Tunnel.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = YLeafList()
                                self.protocol.parent = self
                                self.protocol.name = 'protocol'

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = 0

                                R5 = 1

                                R6 = 2

                                R8 = 3

                                R9 = 4

                                RA = 5

                                RB = 6

                                RC = 7

                                RD = 8

                                RF = 9

                                cdp = 10

                                dtp = 11

                                elmi = 12

                                esmc = 13

                                lacp = 14

                                lldp = 15

                                loam = 16

                                pagp = 17

                                ptppd = 18

                                stp = 19

                                udld = 20

                                vtp = 21


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Tunnel.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ethernet:tunnel'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    for child in self.protocol:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.L2Protocol.Tunnel']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:l2protocol'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forward is not None and self.forward._has_data():
                                return True

                            if self.peer is not None and self.peer._has_data():
                                return True

                            if self.tunnel is not None and self.tunnel._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance.L2Protocol']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:instance[Cisco-IOS-XE-ethernet:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.bridge_domain is not None and self.bridge_domain._has_data():
                            return True

                        if self.cfm is not None and self.cfm._has_data():
                            return True

                        if self.description is not None:
                            return True

                        if self.encapsulation is not None and self.encapsulation._has_data():
                            return True

                        if self.errdisable is not None and self.errdisable._has_data():
                            return True

                        if self.ethernet is not None:
                            return True

                        if self.ethernet_container is not None and self.ethernet_container._has_data():
                            return True

                        if self.ethernet_evc_name is not None:
                            return True

                        if self.evc_name is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        if self.l2protocol is not None and self.l2protocol._has_data():
                            return True

                        if self.mac is not None and self.mac._has_data():
                            return True

                        if self.rewrite is not None and self.rewrite._has_data():
                            return True

                        if self.service_policy is not None and self.service_policy._has_data():
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.snmp is not None and self.snmp._has_data():
                            return True

                        if self.trunk is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Service.Instance']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ethernet:service'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.instance is not None:
                        for child_ref in self.instance:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Service']['meta_info']


            class Cts(object):
                """
                Configure Cisco Trusted Security
                
                .. attribute:: manual
                
                	Supply local configuration for CTS parameters
                	**type**\:   :py:class:`Manual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Cts.Manual>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.manual = None


                class Manual(object):
                    """
                    Supply local configuration for CTS parameters
                    
                    .. attribute:: policy
                    
                    	CTS policy for manual mode
                    	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Cts.Manual.Policy>`
                    
                    .. attribute:: propagate
                    
                    	CTS SGT Propagation configuration for manual mode
                    	**type**\:   :py:class:`Propagate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Cts.Manual.Propagate>`
                    
                    .. attribute:: sap
                    
                    	CTS SAP configuration for manual mode
                    	**type**\:   :py:class:`Sap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Cts.Manual.Sap>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.policy = Native.Interface.Virtualportgroup.Cts.Manual.Policy()
                        self.policy.parent = self
                        self.propagate = Native.Interface.Virtualportgroup.Cts.Manual.Propagate()
                        self.propagate.parent = self
                        self.sap = Native.Interface.Virtualportgroup.Cts.Manual.Sap()
                        self.sap.parent = self


                    class Policy(object):
                        """
                        CTS policy for manual mode
                        
                        .. attribute:: static
                        
                        	Configure policy to be applied on the link
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Cts.Manual.Policy.Static>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = Native.Interface.Virtualportgroup.Cts.Manual.Policy.Static()
                            self.static.parent = self


                        class Static(object):
                            """
                            Configure policy to be applied on the link
                            
                            .. attribute:: sgt
                            
                            	Source Security Group Tag to apply to untagged or non\-trusted incoming traffic
                            	**type**\:  int
                            
                            	**range:** 2..65519
                            
                            .. attribute:: trusted
                            
                            	Trust the Source Group Tags (SGT) that the peer uses for sending
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.sgt = None
                                self.trusted = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-cts:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.sgt is not None:
                                    return True

                                if self.trusted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Policy.Static']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Policy']['meta_info']


                    class Sap(object):
                        """
                        CTS SAP configuration for manual mode
                        
                        .. attribute:: pmk
                        
                        	Pre\-Master Key (PMK) to use for CTS SAP
                        	**type**\: list of    :py:class:`Pmk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.pmk = YList()
                            self.pmk.parent = self
                            self.pmk.name = 'pmk'


                        class Pmk(object):
                            """
                            Pre\-Master Key (PMK) to use for CTS SAP
                            
                            .. attribute:: word  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: mode_list
                            
                            	List of advertised modes (prioritized from highest to lowest)
                            	**type**\:   :py:class:`ModeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.word = None
                                self.mode_list = Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList()
                                self.mode_list.parent = self


                            class ModeList(object):
                                """
                                List of advertised modes (prioritized from highest to lowest)
                                
                                .. attribute:: gcm_encrypt
                                
                                	GCM authentication, GCM encryption
                                	**type**\:   :py:class:`GcmEncrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_encap
                                
                                	No encapsulation
                                	**type**\:   :py:class:`NoEncap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.NoEncap>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.gcm_encrypt = None
                                    self.no_encap = None


                                class GcmEncrypt(object):
                                    """
                                    GCM authentication, GCM encryption
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:   :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.gmac = None


                                    class Gmac(object):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: null
                                        
                                        	Encapsulation present, no authentication,       no encryption
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.null = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:gmac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.null is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:gcm-encrypt'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.gmac is not None and self.gmac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt']['meta_info']


                                class NoEncap(object):
                                    """
                                    No encapsulation
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:   :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.gmac = None


                                    class Gmac(object):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: gcm_encrypt
                                        
                                        	GCM authentication, GCM encryption
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.gcm_encrypt = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:gmac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.gcm_encrypt is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:no-encap'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.gmac is not None and self.gmac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList.NoEncap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-cts:mode-list'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.gcm_encrypt is not None and self.gcm_encrypt._has_data():
                                        return True

                                    if self.no_encap is not None and self.no_encap._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk.ModeList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.word is None:
                                    raise YPYModelError('Key property word is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-cts:pmk[Cisco-IOS-XE-cts:word = ' + str(self.word) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.word is not None:
                                    return True

                                if self.mode_list is not None and self.mode_list._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Sap.Pmk']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:sap'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.pmk is not None:
                                for child_ref in self.pmk:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Sap']['meta_info']


                    class Propagate(object):
                        """
                        CTS SGT Propagation configuration for manual mode
                        
                        .. attribute:: sgt
                        
                        	CTS SGT Propagation configuration
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.sgt = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-cts:propagate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.sgt is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Cts.Manual.Propagate']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-cts:manual'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.policy is not None and self.policy._has_data():
                            return True

                        if self.propagate is not None and self.propagate._has_data():
                            return True

                        if self.sap is not None and self.sap._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Cts.Manual']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-cts:cts'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.manual is not None and self.manual._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Cts']['meta_info']


            class ServicePolicy(object):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.history = None
                    self.input = None
                    self.output = None
                    self.type = Native.Interface.Virtualportgroup.ServicePolicy.Type()
                    self.type.parent = self


                class Type(object):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:   :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:   :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:   :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.control = Native.Interface.Virtualportgroup.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self.performance_monitor = Native.Interface.Virtualportgroup.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self.service_chain = Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self


                    class Control(object):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.subscriber = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:control'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.subscriber is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.ServicePolicy.Type.Control']['meta_info']


                    class PerformanceMonitor(object):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.ServicePolicy.Type.PerformanceMonitor.DirectionEnum>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.direction = None
                            self.name = None

                        class DirectionEnum(Enum):
                            """
                            DirectionEnum

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = 0

                            output = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.ServicePolicy.Type.PerformanceMonitor.DirectionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:performance-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.direction is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.ServicePolicy.Type.PerformanceMonitor']['meta_info']


                    class ServiceChain(object):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self.output = Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self


                        class Input(object):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain.Input']['meta_info']


                        class Output(object):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:output'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:service-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None and self.input._has_data():
                                return True

                            if self.output is not None and self.output._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.ServicePolicy.Type.ServiceChain']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.control is not None and self.control._has_data():
                            return True

                        if self.performance_monitor is not None and self.performance_monitor._has_data():
                            return True

                        if self.service_chain is not None and self.service_chain._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.ServicePolicy.Type']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.history is not None:
                        return True

                    if self.input is not None:
                        return True

                    if self.output is not None:
                        return True

                    if self.type is not None and self.type._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.ServicePolicy']['meta_info']


            class Snmp(object):
                """
                Modify SNMP interface parameters
                
                .. attribute:: ifindex
                
                	Persist ifindex for the interface
                	**type**\:   :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Snmp.Ifindex>`
                
                .. attribute:: trap
                
                	Allow a specific SNMP trap
                	**type**\:   :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Snmp.Trap>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ifindex = Native.Interface.Virtualportgroup.Snmp.Ifindex()
                    self.ifindex.parent = self
                    self.trap = Native.Interface.Virtualportgroup.Snmp.Trap()
                    self.trap.parent = self


                class Ifindex(object):
                    """
                    Persist ifindex for the interface
                    
                    .. attribute:: clear
                    
                    	Clear Enable/Disable ifIndex persistence
                    	**type**\:  bool
                    
                    .. attribute:: persist
                    
                    	Enable/Disable ifIndex persistence 
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.clear = None
                        self.persist = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-snmp:ifindex'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.clear is not None:
                            return True

                        if self.persist is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Snmp.Ifindex']['meta_info']


                class Trap(object):
                    """
                    Allow a specific SNMP trap
                    
                    .. attribute:: link_status
                    
                    	Allow SNMP LINKUP and LINKDOWN traps
                    	**type**\:  bool
                    
                    .. attribute:: link_status_capas
                    
                    	
                    	**type**\:   :py:class:`LinkStatusCapas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.link_status = None
                        self.link_status_capas = Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas()
                        self.link_status_capas.parent = self


                    class LinkStatusCapas(object):
                        """
                        
                        
                        .. attribute:: link_status
                        
                        	Allow SNMP LINKUP and LINKDOWN traps
                        	**type**\:   :py:class:`LinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas.LinkStatus>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.link_status = Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas.LinkStatus()
                            self.link_status.parent = self


                        class LinkStatus(object):
                            """
                            Allow SNMP LINKUP and LINKDOWN traps
                            
                            .. attribute:: permit
                            
                            	Permit the following capability
                            	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.permit = Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit()
                                self.permit.parent = self


                            class Permit(object):
                                """
                                Permit the following capability
                                
                                .. attribute:: duplicates
                                
                                	Permit duplicate SNMP LINKUP and LINKDOWN traps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.duplicates = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:permit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.duplicates is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-snmp:link-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.permit is not None and self.permit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas.LinkStatus']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-snmp:link-status-capas'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.link_status is not None and self.link_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Virtualportgroup.Snmp.Trap.LinkStatusCapas']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-snmp:trap'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.link_status is not None:
                            return True

                        if self.link_status_capas is not None and self.link_status_capas._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Virtualportgroup.Snmp.Trap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:snmp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ifindex is not None and self.ifindex._has_data():
                        return True

                    if self.trap is not None and self.trap._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Snmp']['meta_info']


            class Mab(object):
                """
                
                
                .. attribute:: eap
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.eap = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-sanet:mab'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.eap is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Virtualportgroup.Mab']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:VirtualPortGroup[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.carrier_delay is not None and self.carrier_delay._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.channel_group is not None and self.channel_group._has_data():
                    return True

                if self.channel_protocol is not None:
                    return True

                if self.cts is not None and self.cts._has_data():
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.duplex is not None:
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.ethernet is not None and self.ethernet._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.mab is not None and self.mab._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.negotiation is not None and self.negotiation._has_data():
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.plim is not None and self.plim._has_data():
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.pppoe is not None and self.pppoe._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service is not None and self.service._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.shutdown is not None:
                    return True

                if self.snmp is not None and self.snmp._has_data():
                    return True

                if self.speed is not None and self.speed._has_data():
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.synchronous is not None and self.synchronous._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.Virtualportgroup']['meta_info']


        class Vasileft(object):
            """
            vasileft
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  int
            
            	**range:** 1..2000
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Bfd>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Domain>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Encapsulation>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Logging>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.PmPath>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.RcvQueue>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.ServiceInsertionEnum>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.ServicePolicy>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.SwitchportConf>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Trust>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Utd>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.Vasileft.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.Vasileft.Arp()
                self.arp.parent = self
                self.backup = Native.Interface.Vasileft.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.Vasileft.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.Vasileft.Bfd()
                self.bfd.parent = self
                self.cemoudp = Native.Interface.Vasileft.Cemoudp()
                self.cemoudp.parent = self
                self.cws_tunnel = Native.Interface.Vasileft.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.delay = None
                self.description = None
                self.domain = Native.Interface.Vasileft.Domain()
                self.domain.parent = self
                self.encapsulation = Native.Interface.Vasileft.Encapsulation()
                self.encapsulation.parent = self
                self.fair_queue = Native.Interface.Vasileft.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.Vasileft.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.Vasileft.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.Vasileft.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.Vasileft.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.Vasileft.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.Vasileft.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.Vasileft.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.Vasileft.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.Vasileft.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.load_interval = None
                self.logging = Native.Interface.Vasileft.Logging()
                self.logging.parent = self
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.Vasileft.Mdix()
                self.mdix.parent = self
                self.mop = Native.Interface.Vasileft.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.Vasileft.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.peer = Native.Interface.Vasileft.Peer()
                self.peer.parent = self
                self.pm_path = Native.Interface.Vasileft.PmPath()
                self.pm_path.parent = self
                self.priority_queue = Native.Interface.Vasileft.PriorityQueue()
                self.priority_queue.parent = self
                self.rcv_queue = Native.Interface.Vasileft.RcvQueue()
                self.rcv_queue.parent = self
                self.service_insertion = None
                self.service_policy = Native.Interface.Vasileft.ServicePolicy()
                self.service_policy.parent = self
                self.shutdown = None
                self.standby = Native.Interface.Vasileft.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.Vasileft.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Interface.Vasileft.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.Vasileft.SwitchportConf()
                self.switchport_conf.parent = self
                self.trust = Native.Interface.Vasileft.Trust()
                self.trust.parent = self
                self.utd = Native.Interface.Vasileft.Utd()
                self.utd.parent = self
                self.vrf = Native.Interface.Vasileft.Vrf()
                self.vrf.parent = self

            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.IfStateEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.ServiceInsertionEnum']



            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.Vasileft.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.Vasileft.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.Vasileft.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.Vasileft.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.Vasileft.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.Vasileft.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.Vasileft.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.Vasileft.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.Vasileft.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.Vasileft.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.Vasileft.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.Vasileft.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.Vasileft.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.Vasileft.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.Vasileft.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.Vasileft.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.Vasileft.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.HoldTime>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.NoAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Vrf>`
                
                .. attribute:: wccp
                
                	WCCP IPv4 interface commands
                	**type**\:   :py:class:`Wccp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Vasileft.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.Vasileft.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.Vasileft.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.Vasileft.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.Vasileft.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.hello_interval = Native.Interface.Vasileft.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.Vasileft.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.no_address = Native.Interface.Vasileft.Ip.NoAddress()
                    self.no_address.parent = self
                    self.pim = Native.Interface.Vasileft.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.Vasileft.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.Vasileft.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.Vasileft.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.Vasileft.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.Vasileft.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.verify = Native.Interface.Vasileft.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.Vasileft.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.Vasileft.Ip.Vrf()
                    self.vrf.parent = self
                    self.wccp = Native.Interface.Vasileft.Ip.Wccp()
                    self.wccp.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.Vasileft.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.Vasileft.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Vasileft.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Vasileft.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Vasileft.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Vasileft.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.Vasileft.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Vasileft.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.Vasileft.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.Vasileft.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.Vasileft.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Vasileft.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Vasileft.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    .. attribute:: client
                    
                    	DHCP client configuration
                    	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Client>`
                    
                    .. attribute:: relay
                    
                    	DHCP relay configuration parameters
                    	**type**\:   :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Relay>`
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.client = Native.Interface.Vasileft.Ip.Dhcp.Client()
                        self.client.parent = self
                        self.relay = Native.Interface.Vasileft.Ip.Dhcp.Relay()
                        self.relay.parent = self
                        self.snooping = Native.Interface.Vasileft.Ip.Dhcp.Snooping()
                        self.snooping.parent = self


                    class Client(object):
                        """
                        DHCP client configuration
                        
                        .. attribute:: hostname
                        
                        	Specify hostname to use
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hostname = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:client'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ip.Dhcp.Client']['meta_info']


                    class Relay(object):
                        """
                        DHCP relay configuration parameters
                        
                        .. attribute:: information
                        
                        	DHCP relay information option
                        	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Relay.Information>`
                        
                        .. attribute:: source_interface
                        
                        	Set source interface for relayed messages
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.information = Native.Interface.Vasileft.Ip.Dhcp.Relay.Information()
                            self.information.parent = self
                            self.source_interface = None


                        class Information(object):
                            """
                            DHCP relay information option
                            
                            .. attribute:: check_reply
                            
                            	Validate relay information in BOOTREPLY
                            	**type**\:   :py:class:`CheckReply <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.CheckReply>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: option
                            
                            	DHCP relay information option
                            	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.Option>`
                            
                            .. attribute:: option_insert
                            
                            	Insert relay information in BOOTREQUEST
                            	**type**\:   :py:class:`OptionInsert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.OptionInsert>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: policy_action
                            
                            	Define reforwarding policy
                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.PolicyActionEnum>`
                            
                            .. attribute:: trusted
                            
                            	Received DHCP packet may contain relay info option with zero giaddr
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.check_reply = None
                                self.option = Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.Option()
                                self.option.parent = self
                                self.option_insert = None
                                self.policy_action = None
                                self.trusted = None

                            class PolicyActionEnum(Enum):
                                """
                                PolicyActionEnum

                                Define reforwarding policy

                                .. data:: drop = 0

                                .. data:: encapsulate = 1

                                .. data:: keep = 2

                                .. data:: replace = 3

                                """

                                drop = 0

                                encapsulate = 1

                                keep = 2

                                replace = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.PolicyActionEnum']



                            class CheckReply(object):
                                """
                                Validate relay information in BOOTREPLY
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.none = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:check-reply'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.none is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.CheckReply']['meta_info']


                            class Option(object):
                                """
                                DHCP relay information option
                                
                                .. attribute:: subscriber_id
                                
                                	Subscriber identifier sub option
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.subscriber_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.subscriber_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.Option']['meta_info']


                            class OptionInsert(object):
                                """
                                Insert relay information in BOOTREQUEST
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.none = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option-insert'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.none is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.OptionInsert']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.check_reply is not None and self.check_reply._has_data():
                                    return True

                                if self.option is not None and self.option._has_data():
                                    return True

                                if self.option_insert is not None and self.option_insert._has_data():
                                    return True

                                if self.policy_action is not None:
                                    return True

                                if self.trusted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Ip.Dhcp.Relay.Information']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:relay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.information is not None and self.information._has_data():
                                return True

                            if self.source_interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ip.Dhcp.Relay']['meta_info']


                    class Snooping(object):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Snooping.Limit>`
                        
                        .. attribute:: trust
                        
                        	DHCP Snooping trust config
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	DHCP Snooping vlan
                        	**type**\: list of    :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Vasileft.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self.trust = None
                            self.vlan = YList()
                            self.vlan.parent = self
                            self.vlan.name = 'vlan'


                        class Limit(object):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP Snooping limit
                            	**type**\:  int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Ip.Dhcp.Snooping.Limit']['meta_info']


                        class Vlan(object):
                            """
                            DHCP Snooping vlan
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            .. attribute:: information
                            
                            	DHCP Snooping information
                            	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.information = Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information()
                                self.information.parent = self


                            class Information(object):
                                """
                                DHCP Snooping information
                                
                                .. attribute:: option
                                
                                	DHCP Snooping information option
                                	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option>`
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.option = Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option()
                                    self.option.parent = self


                                class Option(object):
                                    """
                                    DHCP Snooping information option
                                    
                                    .. attribute:: format_type
                                    
                                    	Option 82 information format
                                    	**type**\:   :py:class:`FormatType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-dhcp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.format_type = Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType()
                                        self.format_type.parent = self


                                    class FormatType(object):
                                        """
                                        Option 82 information format
                                        
                                        .. attribute:: circuit_id
                                        
                                        	Circuit id option 82 format
                                        	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId>`
                                        
                                        

                                        """

                                        _prefix = 'ios-dhcp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.circuit_id = Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId()
                                            self.circuit_id.parent = self


                                        class CircuitId(object):
                                            """
                                            Circuit id option 82 format
                                            
                                            .. attribute:: string
                                            
                                            	User defined string for circuit id
                                            	**type**\:  str
                                            
                                            	**length:** 3..63
                                            
                                            

                                            """

                                            _prefix = 'ios-dhcp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.string = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:circuit-id'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.string is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:format-type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.circuit_id is not None and self.circuit_id._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.format_type is not None and self.format_type._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:information'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.option is not None and self.option._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:vlan[Cisco-IOS-XE-dhcp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.information is not None and self.information._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:snooping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            if self.vlan is not None:
                                for child_ref in self.vlan:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ip.Dhcp.Snooping']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.client is not None and self.client._has_data():
                            return True

                        if self.relay is not None and self.relay._has_data():
                            return True

                        if self.snooping is not None and self.snooping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.Vasileft.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.Vasileft.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasileft.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.Vasileft.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasileft.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ip.Verify']['meta_info']


                class Wccp(object):
                    """
                    WCCP IPv4 interface commands
                    
                    .. attribute:: redirect
                    
                    	Set packet redirection options
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.Redirect>`
                    
                    .. attribute:: vrf
                    
                    	Configure WCCP for a VRF
                    	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.Vrf>`
                    
                    .. attribute:: wccp_list
                    
                    	
                    	**type**\: list of    :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.WccpList>`
                    
                    .. attribute:: web_cache
                    
                    	Standard web caching service
                    	**type**\:   :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.WebCache>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.redirect = Native.Interface.Vasileft.Ip.Wccp.Redirect()
                        self.redirect.parent = self
                        self.vrf = YList()
                        self.vrf.parent = self
                        self.vrf.name = 'vrf'
                        self.wccp_list = YList()
                        self.wccp_list.parent = self
                        self.wccp_list.name = 'wccp_list'
                        self.web_cache = Native.Interface.Vasileft.Ip.Wccp.WebCache()
                        self.web_cache.parent = self


                    class WccpList(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..254
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.WccpList.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.group_listen = None
                            self.redirect = Native.Interface.Vasileft.Ip.Wccp.WccpList.Redirect()
                            self.redirect.parent = self


                        class Redirect(object):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Ip.Wccp.WccpList.Redirect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp-list[Cisco-IOS-XE-wccp:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.group_listen is not None:
                                return True

                            if self.redirect is not None and self.redirect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ip.Wccp.WccpList']['meta_info']


                    class WebCache(object):
                        """
                        Standard web caching service
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.WebCache.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.group_listen = None
                            self.redirect = Native.Interface.Vasileft.Ip.Wccp.WebCache.Redirect()
                            self.redirect.parent = self


                        class Redirect(object):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Ip.Wccp.WebCache.Redirect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:web-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.group_listen is not None:
                                return True

                            if self.redirect is not None and self.redirect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ip.Wccp.WebCache']['meta_info']


                    class Redirect(object):
                        """
                        Set packet redirection options
                        
                        .. attribute:: exclude
                        
                        	Exclude packets from redirection
                        	**type**\:   :py:class:`Exclude <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.Redirect.Exclude>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.exclude = Native.Interface.Vasileft.Ip.Wccp.Redirect.Exclude()
                            self.exclude.parent = self


                        class Exclude(object):
                            """
                            Exclude packets from redirection
                            
                            .. attribute:: in_
                            
                            	Exclude inbound packets from outbound redirection
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:exclude'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Ip.Wccp.Redirect.Exclude']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.exclude is not None and self.exclude._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ip.Wccp.Redirect']['meta_info']


                    class Vrf(object):
                        """
                        Configure WCCP for a VRF
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: wccp_list
                        
                        	
                        	**type**\: list of    :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList>`
                        
                        .. attribute:: web_cache
                        
                        	Standard web caching service
                        	**type**\:   :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.wccp_list = YList()
                            self.wccp_list.parent = self
                            self.wccp_list.name = 'wccp_list'
                            self.web_cache = Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache()
                            self.web_cache.parent = self


                        class WccpList(object):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..254
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.group_listen = None
                                self.redirect = Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList.Redirect()
                                self.redirect.parent = self


                            class Redirect(object):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList.Redirect']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp-list[Cisco-IOS-XE-wccp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.group_listen is not None:
                                    return True

                                if self.redirect is not None and self.redirect._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList']['meta_info']


                        class WebCache(object):
                            """
                            Standard web caching service
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group_listen = None
                                self.redirect = Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache.Redirect()
                                self.redirect.parent = self


                            class Redirect(object):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache.Redirect']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:web-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group_listen is not None:
                                    return True

                                if self.redirect is not None and self.redirect._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:vrf[Cisco-IOS-XE-wccp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.wccp_list is not None:
                                for child_ref in self.wccp_list:
                                    if child_ref._has_data():
                                        return True

                            if self.web_cache is not None and self.web_cache._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ip.Wccp.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.vrf is not None:
                            for child_ref in self.vrf:
                                if child_ref._has_data():
                                    return True

                        if self.wccp_list is not None:
                            for child_ref in self.wccp_list:
                                if child_ref._has_data():
                                    return True

                        if self.web_cache is not None and self.web_cache._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ip.Wccp']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    if self.wccp is not None and self.wccp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.Vasileft.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.Vasileft.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.mtu = None
                    self.nd = Native.Interface.Vasileft.Ipv6.Nd()
                    self.nd.parent = self
                    self.redirects = None
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    .. attribute:: guard
                    
                    	Configure IPv6 DHCP guard on the interface
                    	**type**\:   :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Dhcp.Guard>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: server
                    
                    	Act as an IPv6 DHCP server
                    	**type**\: list of    :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Dhcp.Server>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.guard = None
                        self.server = YList()
                        self.server.parent = self
                        self.server.name = 'server'


                    class Server(object):
                        """
                        Act as an IPv6 DHCP server
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: preference
                        
                        	Preference
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.word = None
                            self.preference = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.word is None:
                                raise YPYModelError('Key property word is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:server[Cisco-IOS-XE-dhcp:word = ' + str(self.word) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.word is not None:
                                return True

                            if self.preference is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ipv6.Dhcp.Server']['meta_info']


                    class Guard(object):
                        """
                        Configure IPv6 DHCP guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature DHCP Guard
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.attach_policy = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:guard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.attach_policy is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ipv6.Dhcp.Guard']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.guard is not None and self.guard._has_data():
                            return True

                        if self.server is not None:
                            for child_ref in self.server:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Nd.Autoconfig>`
                    
                    .. attribute:: managed_config_flag
                    
                    	Use DHCP for IPv6 address configuration
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ra
                    
                    	IPv6 nd router alert configuration
                    	**type**\:   :py:class:`Ra <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Nd.Ra>`
                    
                    .. attribute:: raguard
                    
                    	Configure RA guard on the interface
                    	**type**\:   :py:class:`Raguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Nd.Raguard>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = Native.Interface.Vasileft.Ipv6.Nd.Autoconfig()
                        self.autoconfig.parent = self
                        self.managed_config_flag = None
                        self.ra = Native.Interface.Vasileft.Ipv6.Nd.Ra()
                        self.ra.parent = self
                        self.raguard = Native.Interface.Vasileft.Ipv6.Nd.Raguard()
                        self.raguard.parent = self


                    class Raguard(object):
                        """
                        Configure RA guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature RA guard
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.attach_policy = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:raguard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.attach_policy is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ipv6.Nd.Raguard']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default_route
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefix
                        
                        	Insert auto\-configured prefix
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.default_route = None
                            self.prefix = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.default_route is not None:
                                return True

                            if self.prefix is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ipv6.Nd.Autoconfig']['meta_info']


                    class Ra(object):
                        """
                        IPv6 nd router alert configuration
                        
                        .. attribute:: suppress
                        
                        	Suppress IPv6 router\-alert configuration
                        	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Nd.Ra.Suppress>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.suppress = None


                        class Suppress(object):
                            """
                            Suppress IPv6 router\-alert configuration
                            
                            .. attribute:: all
                            
                            	Suppress all IPv6 RA
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-nd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.all = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-nd:suppress'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.all is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Ipv6.Nd.Ra.Suppress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:ra'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.suppress is not None and self.suppress._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ipv6.Nd.Ra']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.managed_config_flag is not None:
                            return True

                        if self.ra is not None and self.ra._has_data():
                            return True

                        if self.raguard is not None and self.raguard._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Ipv6.TrafficFilter']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.Vasileft.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.Vasileft.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.Vasileft.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.Vasileft.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.Vasileft.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.Vasileft.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.Vasileft.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.Vasileft.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.Vasileft.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.Vasileft.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.Vasileft.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.Vasileft.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.Vasileft.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.Vasileft.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.Vasileft.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.Vasileft.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.Vasileft.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.Vasileft.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Vasileft.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Vasileft.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Vasileft.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Vasileft.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Vasileft.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Vasileft.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Vasileft.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Vasileft.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.Vasileft.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.Vasileft.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.Vasileft.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.Vasileft.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.Vasileft.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasileft.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasileft.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.PmPath']['meta_info']


            class ServicePolicy(object):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.history = None
                    self.input = None
                    self.output = None
                    self.type = Native.Interface.Vasileft.ServicePolicy.Type()
                    self.type.parent = self


                class Type(object):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:   :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:   :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:   :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.control = Native.Interface.Vasileft.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self.performance_monitor = Native.Interface.Vasileft.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self.service_chain = Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self


                    class Control(object):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.subscriber = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:control'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.subscriber is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.ServicePolicy.Type.Control']['meta_info']


                    class PerformanceMonitor(object):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.ServicePolicy.Type.PerformanceMonitor.DirectionEnum>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.direction = None
                            self.name = None

                        class DirectionEnum(Enum):
                            """
                            DirectionEnum

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = 0

                            output = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.ServicePolicy.Type.PerformanceMonitor.DirectionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:performance-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.direction is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.ServicePolicy.Type.PerformanceMonitor']['meta_info']


                    class ServiceChain(object):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self.output = Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self


                        class Input(object):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Input']['meta_info']


                        class Output(object):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:output'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:service-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None and self.input._has_data():
                                return True

                            if self.output is not None and self.output._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.control is not None and self.control._has_data():
                            return True

                        if self.performance_monitor is not None and self.performance_monitor._has_data():
                            return True

                        if self.service_chain is not None and self.service_chain._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasileft.ServicePolicy.Type']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.history is not None:
                        return True

                    if self.input is not None:
                        return True

                    if self.output is not None:
                        return True

                    if self.type is not None and self.type._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasileft.ServicePolicy']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:vasileft[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.shutdown is not None:
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.Vasileft']['meta_info']


        class Vasiright(object):
            """
            vasiright
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  int
            
            	**range:** 1..2000
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:   :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.AccessSession>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Bandwidth>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Bfd>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:   :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:   :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.CwsTunnel>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Dampening>`
            
            	**presence node**\: True
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\:  int
            
            	**range:** 1..16777215
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\:  str
            
            	**length:** 0..240
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Domain>`
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Encapsulation>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:   :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.FairQueue>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:   :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.FairQueueConf>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Flowcontrol>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\:   :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.HoldQueue>`
            
            .. attribute:: if_state
            
            	
            	**type**\:   :py:class:`IfStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.IfStateEnum>`
            
            .. attribute:: interface_qos
            
            	
            	**type**\:   :py:class:`Interface_Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Interface_Qos>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:   :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.IpVrf>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\:  bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:   :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.KeepaliveSettings>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:   :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\:  int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Logging>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:   :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:   :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Mop>`
            
            .. attribute:: mpls
            
            	
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Mpls>`
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\:  int
            
            	**range:** 64..18000
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:   :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.PmPath>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:   :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:   :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.RcvQueue>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:   :py:class:`ServiceInsertionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.ServiceInsertionEnum>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.ServicePolicy>`
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Switchport>`
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:   :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.SwitchportConf>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Trust>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Utd>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_session = Native.Interface.Vasiright.AccessSession()
                self.access_session.parent = self
                self.arp = Native.Interface.Vasiright.Arp()
                self.arp.parent = self
                self.backup = Native.Interface.Vasiright.Backup()
                self.backup.parent = self
                self.bandwidth = Native.Interface.Vasiright.Bandwidth()
                self.bandwidth.parent = self
                self.bfd = Native.Interface.Vasiright.Bfd()
                self.bfd.parent = self
                self.cemoudp = Native.Interface.Vasiright.Cemoudp()
                self.cemoudp.parent = self
                self.cws_tunnel = Native.Interface.Vasiright.CwsTunnel()
                self.cws_tunnel.parent = self
                self.dampening = None
                self.delay = None
                self.description = None
                self.domain = Native.Interface.Vasiright.Domain()
                self.domain.parent = self
                self.encapsulation = Native.Interface.Vasiright.Encapsulation()
                self.encapsulation.parent = self
                self.fair_queue = Native.Interface.Vasiright.FairQueue()
                self.fair_queue.parent = self
                self.fair_queue_conf = Native.Interface.Vasiright.FairQueueConf()
                self.fair_queue_conf.parent = self
                self.flowcontrol = Native.Interface.Vasiright.Flowcontrol()
                self.flowcontrol.parent = self
                self.hold_queue = Native.Interface.Vasiright.HoldQueue()
                self.hold_queue.parent = self
                self.if_state = None
                self.interface_qos = Native.Interface.Vasiright.Interface_Qos()
                self.interface_qos.parent = self
                self.ip = Native.Interface.Vasiright.Ip()
                self.ip.parent = self
                self.ip_vrf = Native.Interface.Vasiright.IpVrf()
                self.ip_vrf.parent = self
                self.ipv6 = Native.Interface.Vasiright.Ipv6()
                self.ipv6.parent = self
                self.isis = Native.Interface.Vasiright.Isis()
                self.isis.parent = self
                self.keepalive = None
                self.keepalive_settings = Native.Interface.Vasiright.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self.l2protocol_tunnel = None
                self.load_interval = None
                self.logging = Native.Interface.Vasiright.Logging()
                self.logging.parent = self
                self.max_reserved_bandwidth = None
                self.mdix = Native.Interface.Vasiright.Mdix()
                self.mdix.parent = self
                self.mop = Native.Interface.Vasiright.Mop()
                self.mop.parent = self
                self.mpls = Native.Interface.Vasiright.Mpls()
                self.mpls.parent = self
                self.mtu = None
                self.peer = Native.Interface.Vasiright.Peer()
                self.peer.parent = self
                self.pm_path = Native.Interface.Vasiright.PmPath()
                self.pm_path.parent = self
                self.priority_queue = Native.Interface.Vasiright.PriorityQueue()
                self.priority_queue.parent = self
                self.rcv_queue = Native.Interface.Vasiright.RcvQueue()
                self.rcv_queue.parent = self
                self.service_insertion = None
                self.service_policy = Native.Interface.Vasiright.ServicePolicy()
                self.service_policy.parent = self
                self.shutdown = None
                self.standby = Native.Interface.Vasiright.Standby()
                self.standby.parent = self
                self.storm_control = Native.Interface.Vasiright.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Interface.Vasiright.Switchport()
                self.switchport.parent = self
                self.switchport_conf = Native.Interface.Vasiright.SwitchportConf()
                self.switchport_conf.parent = self
                self.trust = Native.Interface.Vasiright.Trust()
                self.trust.parent = self
                self.utd = Native.Interface.Vasiright.Utd()
                self.utd.parent = self
                self.vrf = Native.Interface.Vasiright.Vrf()
                self.vrf.parent = self

            class IfStateEnum(Enum):
                """
                IfStateEnum

                .. data:: nhrp = 0

                """

                nhrp = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.IfStateEnum']


            class ServiceInsertionEnum(Enum):
                """
                ServiceInsertionEnum

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.ServiceInsertionEnum']



            class SwitchportConf(object):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switchport = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switchport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.SwitchportConf']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Switchport']['meta_info']


            class Arp(object):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\:  int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Arp']['meta_info']


            class Backup(object):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:   :py:class:`Interface_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Interface_>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:   :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = Native.Interface.Vasiright.Backup.Delay()
                    self.delay.parent = self
                    self.interface = Native.Interface.Vasiright.Backup.Interface_()
                    self.interface.parent = self
                    self.load = Native.Interface.Vasiright.Backup.Load()
                    self.load.parent = self


                class Delay(object):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`FailureEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.FailureEnum>`
                    
                    
                    ----
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967294
                    
                    
                    ----
                    	**type**\:   :py:class:`SecondaryDisableEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.failure = None
                        self.secondary_disable = None

                    class FailureEnum(Enum):
                        """
                        FailureEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Backup.Delay.FailureEnum']


                    class SecondaryDisableEnum(Enum):
                        """
                        SecondaryDisableEnum

                        Seconds

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Backup.Delay.SecondaryDisableEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.failure is not None:
                            return True

                        if self.secondary_disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Backup.Delay']['meta_info']


                class Interface_(object):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Interface_.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Interface_.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Interface_.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Interface_.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Interface.Vasiright.Backup.Interface_.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Interface.Vasiright.Backup.Interface_.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Interface.Vasiright.Backup.Interface_.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Interface.Vasiright.Backup.Interface_.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Backup.Interface_.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Backup.Interface_.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Backup.Interface_.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Backup.Interface_.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Backup.Interface_']['meta_info']


                class Load(object):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickinEnum>`
                    
                    
                    ----
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    
                    ----
                    	**type**\:   :py:class:`KickoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.KickoutEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.kickin = None
                        self.kickout = None

                    class KickinEnum(Enum):
                        """
                        KickinEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Backup.Load.KickinEnum']


                    class KickoutEnum(Enum):
                        """
                        KickoutEnum

                        Percentage

                        .. data:: never = 0

                        """

                        never = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Backup.Load.KickoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:load'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.kickin is not None:
                            return True

                        if self.kickout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Backup.Load']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:backup'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.load is not None and self.load._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Backup']['meta_info']


            class Cemoudp(object):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:   :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reserve = Native.Interface.Vasiright.Cemoudp.Reserve()
                    self.reserve.parent = self


                class Reserve(object):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:reserve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Cemoudp.Reserve']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cemoudp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reserve is not None and self.reserve._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Cemoudp']['meta_info']


            class CwsTunnel(object):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = Native.Interface.Vasiright.CwsTunnel.Out()
                    self.out.parent = self


                class Out(object):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tunnel_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tunnel_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.CwsTunnel.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:cws-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None:
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.CwsTunnel']['meta_info']


            class L2ProtocolTunnel(object):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:   :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:   :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cdp = None
                    self.drop_threshold = Native.Interface.Vasiright.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self.shutdown_threshold = Native.Interface.Vasiright.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self.stp = None
                    self.vtp = None


                class DropThreshold(object):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:drop-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.L2ProtocolTunnel.DropThreshold']['meta_info']


                class ShutdownThreshold(object):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\:  int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cdp = None
                        self.packet_rate = None
                        self.stp = None
                        self.vtp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:shutdown-threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cdp is not None:
                            return True

                        if self.packet_rate is not None:
                            return True

                        if self.stp is not None:
                            return True

                        if self.vtp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.L2ProtocolTunnel.ShutdownThreshold']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:l2protocol-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cdp is not None:
                        return True

                    if self.drop_threshold is not None and self.drop_threshold._has_data():
                        return True

                    if self.shutdown_threshold is not None and self.shutdown_threshold._has_data():
                        return True

                    if self.stp is not None:
                        return True

                    if self.vtp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.L2ProtocolTunnel']['meta_info']


            class Encapsulation(object):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Encapsulation.Dot1Q>`
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:   :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:   :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:   :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dot1q = Native.Interface.Vasiright.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self.frame_relay = None
                    self.isl = Native.Interface.Vasiright.Encapsulation.Isl()
                    self.isl.parent = self
                    self.ppp = None
                    self.slip = None


                class Dot1Q(object):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.native = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dot1Q'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.native is not None:
                            return True

                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Encapsulation.Dot1Q']['meta_info']


                class Isl(object):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:isl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Encapsulation.Isl']['meta_info']


                class Ppp(object):
                    """
                    Point\-to\-Point protocol
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ppp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Encapsulation.Ppp']['meta_info']


                class Slip(object):
                    """
                    Serial Line IP
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:slip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Encapsulation.Slip']['meta_info']


                class FrameRelay(object):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ietf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:frame-relay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ietf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Encapsulation.FrameRelay']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dot1q is not None and self.dot1q._has_data():
                        return True

                    if self.frame_relay is not None and self.frame_relay._has_data():
                        return True

                    if self.isl is not None and self.isl._has_data():
                        return True

                    if self.ppp is not None and self.ppp._has_data():
                        return True

                    if self.slip is not None and self.slip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Encapsulation']['meta_info']


            class FairQueueConf(object):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fair_queue = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue-conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fair_queue is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.FairQueueConf']['meta_info']


            class FairQueue(object):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.incomplete = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:fair-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.incomplete is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.FairQueue']['meta_info']


            class Flowcontrol(object):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:   :py:class:`ReceiveEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Flowcontrol.ReceiveEnum>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Flowcontrol.SendEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.receive = None
                    self.send = None

                class ReceiveEnum(Enum):
                    """
                    ReceiveEnum

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Flowcontrol.ReceiveEnum']


                class SendEnum(Enum):
                    """
                    SendEnum

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = 0

                    off = 1

                    on = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Flowcontrol.SendEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.receive is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Flowcontrol']['meta_info']


            class Isis(object):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Isis']['meta_info']


            class KeepaliveSettings(object):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None


                class Keepalive(object):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.period = None
                        self.retries = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.period is not None:
                            return True

                        if self.retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.KeepaliveSettings.Keepalive']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:keepalive-settings'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.KeepaliveSettings']['meta_info']


            class Bfd(object):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Bfd']['meta_info']


            class Bandwidth(object):
                """
                Set bandwidth informational parameter
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: kilobits
                
                	
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\:  int
                
                	**range:** 1..10000000
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Bandwidth.Receive>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.inherit = None
                    self.kilobits = None
                    self.qos_reference = None
                    self.receive = Native.Interface.Vasiright.Bandwidth.Receive()
                    self.receive.parent = self


                class Receive(object):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inherit = None
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:receive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inherit is not None:
                            return True

                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Bandwidth.Receive']['meta_info']


                class Inherit(object):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10000000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.kilobits = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.kilobits is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Bandwidth.Inherit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:bandwidth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.kilobits is not None:
                        return True

                    if self.qos_reference is not None:
                        return True

                    if self.receive is not None and self.receive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Bandwidth']['meta_info']


            class Dampening(object):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\:  int
                
                	**range:** 1..30
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Dampening.Restart>`
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\:  int
                
                	**range:** 1..20000
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.dampening_time = None
                    self.maximum_supressing_time = None
                    self.restart = Native.Interface.Vasiright.Dampening.Restart()
                    self.restart.parent = self
                    self.start_reusing_time = None
                    self.start_supressing_time = None


                class Restart(object):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\:  int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.restart = None
                        self.restart_penalty = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.restart is not None:
                            return True

                        if self.restart_penalty is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Dampening.Restart']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:dampening'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.dampening_time is not None:
                        return True

                    if self.maximum_supressing_time is not None:
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    if self.start_reusing_time is not None:
                        return True

                    if self.start_supressing_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Dampening']['meta_info']


            class Domain(object):
                """
                Specify a domain
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\:  str
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.internet_bound = None
                    self.name = None
                    self.path = None
                    self.path_id = None
                    self.path_last_resort = None
                    self.zero_sla = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:domain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.internet_bound is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.path is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_last_resort is not None:
                        return True

                    if self.zero_sla is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Domain']['meta_info']


            class HoldQueue(object):
                """
                Set hold queue depth
                
                .. attribute:: direction
                
                	
                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.HoldQueue.DirectionEnum>`
                
                .. attribute:: queue_length
                
                	
                	**type**\:  int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.direction = None
                    self.queue_length = None

                class DirectionEnum(Enum):
                    """
                    DirectionEnum

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = 0

                    out = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.HoldQueue.DirectionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:hold-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.direction is not None:
                        return True

                    if self.queue_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.HoldQueue']['meta_info']


            class Mpls(object):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Mpls']['meta_info']


            class IpVrf(object):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Interface.Vasiright.IpVrf.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = Native.Interface.Vasiright.IpVrf.Ip.Vrf()
                        self.vrf.parent = self


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.IpVrf.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.IpVrf.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip-vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.IpVrf']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Vrf']['meta_info']


            class Ip(object):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.AccessGroup>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Address>`
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\:  str
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:   :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Arp>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Authentication>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..199 \| 1300..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.HelloInterval>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of    :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.HelperAddress>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.HoldTime>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\:  bool
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 68..9198
                
                .. attribute:: no_address
                
                	
                	**type**\:   :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.NoAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Policy>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\:  bool
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:   :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:   :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.RouteCacheConf>`
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:   :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Router>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.SummaryAddress>`
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Tcp>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\:  str
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Verify>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:   :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.VirtualReassembly>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Vrf>`
                
                .. attribute:: wccp
                
                	WCCP IPv4 interface commands
                	**type**\:   :py:class:`Wccp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_group = Native.Interface.Vasiright.Ip.AccessGroup()
                    self.access_group.parent = self
                    self.address = Native.Interface.Vasiright.Ip.Address()
                    self.address.parent = self
                    self.admission = None
                    self.arp = Native.Interface.Vasiright.Ip.Arp()
                    self.arp.parent = self
                    self.authentication = Native.Interface.Vasiright.Ip.Authentication()
                    self.authentication.parent = self
                    self.dhcp = Native.Interface.Vasiright.Ip.Dhcp()
                    self.dhcp.parent = self
                    self.directed_broadcast = None
                    self.hello_interval = Native.Interface.Vasiright.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self.helper_address = YList()
                    self.helper_address.parent = self
                    self.helper_address.name = 'helper_address'
                    self.hold_time = Native.Interface.Vasiright.Ip.HoldTime()
                    self.hold_time.parent = self
                    self.local_proxy_arp = None
                    self.mroute_cache = None
                    self.mtu = None
                    self.no_address = Native.Interface.Vasiright.Ip.NoAddress()
                    self.no_address.parent = self
                    self.pim = Native.Interface.Vasiright.Ip.Pim()
                    self.pim.parent = self
                    self.policy = Native.Interface.Vasiright.Ip.Policy()
                    self.policy.parent = self
                    self.proxy_arp = None
                    self.redirects = None
                    self.route_cache = None
                    self.route_cache_conf = Native.Interface.Vasiright.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self.router = Native.Interface.Vasiright.Ip.Router()
                    self.router.parent = self
                    self.summary_address = Native.Interface.Vasiright.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self.tcp = Native.Interface.Vasiright.Ip.Tcp()
                    self.tcp.parent = self
                    self.unnumbered = None
                    self.verify = Native.Interface.Vasiright.Ip.Verify()
                    self.verify.parent = self
                    self.virtual_reassembly = Native.Interface.Vasiright.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self.vrf = Native.Interface.Vasiright.Ip.Vrf()
                    self.vrf.parent = self
                    self.wccp = Native.Interface.Vasiright.Ip.Wccp()
                    self.wccp.parent = self


                class AccessGroup(object):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_ = Native.Interface.Vasiright.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self.out = Native.Interface.Vasiright.Ip.AccessGroup.Out()
                        self.out.parent = self


                    class In_(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.AccessGroup.In_.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.AccessGroup.In_.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Vasiright.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Vasiright.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Ip.AccessGroup.In_.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Ip.AccessGroup.In_.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ip.AccessGroup.In_']['meta_info']


                    class Out(object):
                        """
                        
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.AccessGroup.Out.Acl>`
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:   :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.AccessGroup.Out.CommonAcl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl = Native.Interface.Vasiright.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self.common_acl = Native.Interface.Vasiright.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self


                        class CommonAcl(object):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.common = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:common-acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.common is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Ip.AccessGroup.Out.CommonAcl']['meta_info']


                        class Acl(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            
                            ----
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:acl'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Ip.AccessGroup.Out.Acl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl is not None and self.acl._has_data():
                                return True

                            if self.common_acl is not None and self.common_acl._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ip.AccessGroup.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ip.AccessGroup']['meta_info']


                class Arp(object):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:   :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspection = Native.Interface.Vasiright.Ip.Arp.Inspection()
                        self.inspection.parent = self


                    class Inspection(object):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Vasiright.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self.trust = None


                        class Limit(object):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.none = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.none is not None:
                                    return True

                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Ip.Arp.Inspection.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:inspection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ip.Arp.Inspection']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:arp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspection is not None and self.inspection._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ip.Arp']['meta_info']


                class Vrf(object):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Vrf.Forwarding>`
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\:  str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarding = Native.Interface.Vasiright.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self.receive = None
                        self.sitemap = None


                    class Forwarding(object):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.liin_vrf = None
                            self.mgmtvrf = None
                            self.word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:forwarding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.liin_vrf is not None:
                                return True

                            if self.mgmtvrf is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ip.Vrf.Forwarding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarding is not None and self.forwarding._has_data():
                            return True

                        if self.receive is not None:
                            return True

                        if self.sitemap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ip.Vrf']['meta_info']


                class NoAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ip.NoAddress']['meta_info']


                class Address(object):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of    :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Address.Secondary>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dhcp = None
                        self.negotiated = None
                        self.primary = Native.Interface.Vasiright.Ip.Address.Primary()
                        self.primary.parent = self
                        self.secondary = YList()
                        self.secondary.parent = self
                        self.secondary.name = 'secondary'


                    class Primary(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:primary'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ip.Address.Primary']['meta_info']


                    class Secondary(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:secondary[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ip.Address.Secondary']['meta_info']


                    class Dhcp(object):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:   :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.client_id = Native.Interface.Vasiright.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self.hostname = None


                        class ClientId(object):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fastethernet = None
                                self.fortygigabitethernet = None
                                self.gigabitethernet = None
                                self.port_channel = None
                                self.tengigabitethernet = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:client-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fastethernet is not None:
                                    return True

                                if self.fortygigabitethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Ip.Address.Dhcp.ClientId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.client_id is not None and self.client_id._has_data():
                                return True

                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ip.Address.Dhcp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.negotiated is not None:
                            return True

                        if self.primary is not None and self.primary._has_data():
                            return True

                        if self.secondary is not None:
                            for child_ref in self.secondary:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ip.Address']['meta_info']


                class HelloInterval(object):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ip.HelloInterval']['meta_info']


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Interface.Vasiright.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Interface.Vasiright.Ip.Authentication.Mode()
                        self.mode.parent = self


                    class KeyChain(object):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ip.Authentication.KeyChain']['meta_info']


                    class Mode(object):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = None
                            self.md5 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None:
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ip.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ip.Authentication']['meta_info']


                class HoldTime(object):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ip.HoldTime']['meta_info']


                class HelperAddress(object):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.global_ = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.address is None:
                            raise YPYModelError('Key property address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:helper-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ip.HelperAddress']['meta_info']


                class Pim(object):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:pim'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ip.Pim']['meta_info']


                class Policy(object):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:policy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ip.Policy']['meta_info']


                class RouteCacheConf(object):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_cache = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache-conf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_cache is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ip.RouteCacheConf']['meta_info']


                class RouteCache(object):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\:  bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\:  bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\:  bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\:  bool
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.cef = None
                        self.flow = None
                        self.policy = None
                        self.same_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:route-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.cef is not None:
                            return True

                        if self.flow is not None:
                            return True

                        if self.policy is not None:
                            return True

                        if self.same_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ip.RouteCache']['meta_info']


                class Router(object):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = None


                    class Isis(object):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ip.Router.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:router'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ip.Router']['meta_info']


                class Tcp(object):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\:  int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjust_mss = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjust_mss is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ip.Tcp']['meta_info']


                class VirtualReassembly(object):
                    """
                    
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop_fragments = None
                        self.in_ = None
                        self.max_fragments = None
                        self.max_reassemblies = None
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:virtual-reassembly'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop_fragments is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.max_fragments is not None:
                            return True

                        if self.max_reassemblies is not None:
                            return True

                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ip.VirtualReassembly']['meta_info']


                class Dhcp(object):
                    """
                    Configure DHCP parameters for this interface
                    
                    .. attribute:: client
                    
                    	DHCP client configuration
                    	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Client>`
                    
                    .. attribute:: relay
                    
                    	DHCP relay configuration parameters
                    	**type**\:   :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Relay>`
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.client = Native.Interface.Vasiright.Ip.Dhcp.Client()
                        self.client.parent = self
                        self.relay = Native.Interface.Vasiright.Ip.Dhcp.Relay()
                        self.relay.parent = self
                        self.snooping = Native.Interface.Vasiright.Ip.Dhcp.Snooping()
                        self.snooping.parent = self


                    class Client(object):
                        """
                        DHCP client configuration
                        
                        .. attribute:: hostname
                        
                        	Specify hostname to use
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hostname = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:client'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hostname is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ip.Dhcp.Client']['meta_info']


                    class Relay(object):
                        """
                        DHCP relay configuration parameters
                        
                        .. attribute:: information
                        
                        	DHCP relay information option
                        	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Relay.Information>`
                        
                        .. attribute:: source_interface
                        
                        	Set source interface for relayed messages
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.information = Native.Interface.Vasiright.Ip.Dhcp.Relay.Information()
                            self.information.parent = self
                            self.source_interface = None


                        class Information(object):
                            """
                            DHCP relay information option
                            
                            .. attribute:: check_reply
                            
                            	Validate relay information in BOOTREPLY
                            	**type**\:   :py:class:`CheckReply <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.CheckReply>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: option
                            
                            	DHCP relay information option
                            	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.Option>`
                            
                            .. attribute:: option_insert
                            
                            	Insert relay information in BOOTREQUEST
                            	**type**\:   :py:class:`OptionInsert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.OptionInsert>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: policy_action
                            
                            	Define reforwarding policy
                            	**type**\:   :py:class:`PolicyActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.PolicyActionEnum>`
                            
                            .. attribute:: trusted
                            
                            	Received DHCP packet may contain relay info option with zero giaddr
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.check_reply = None
                                self.option = Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.Option()
                                self.option.parent = self
                                self.option_insert = None
                                self.policy_action = None
                                self.trusted = None

                            class PolicyActionEnum(Enum):
                                """
                                PolicyActionEnum

                                Define reforwarding policy

                                .. data:: drop = 0

                                .. data:: encapsulate = 1

                                .. data:: keep = 2

                                .. data:: replace = 3

                                """

                                drop = 0

                                encapsulate = 1

                                keep = 2

                                replace = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.PolicyActionEnum']



                            class CheckReply(object):
                                """
                                Validate relay information in BOOTREPLY
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.none = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:check-reply'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.none is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.CheckReply']['meta_info']


                            class Option(object):
                                """
                                DHCP relay information option
                                
                                .. attribute:: subscriber_id
                                
                                	Subscriber identifier sub option
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.subscriber_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.subscriber_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.Option']['meta_info']


                            class OptionInsert(object):
                                """
                                Insert relay information in BOOTREQUEST
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.none = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option-insert'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.none is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.OptionInsert']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.check_reply is not None and self.check_reply._has_data():
                                    return True

                                if self.option is not None and self.option._has_data():
                                    return True

                                if self.option_insert is not None and self.option_insert._has_data():
                                    return True

                                if self.policy_action is not None:
                                    return True

                                if self.trusted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Ip.Dhcp.Relay.Information']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:relay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.information is not None and self.information._has_data():
                                return True

                            if self.source_interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ip.Dhcp.Relay']['meta_info']


                    class Snooping(object):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Snooping.Limit>`
                        
                        .. attribute:: trust
                        
                        	DHCP Snooping trust config
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	DHCP Snooping vlan
                        	**type**\: list of    :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Interface.Vasiright.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self.trust = None
                            self.vlan = YList()
                            self.vlan.parent = self
                            self.vlan.name = 'vlan'


                        class Limit(object):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP Snooping limit
                            	**type**\:  int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Ip.Dhcp.Snooping.Limit']['meta_info']


                        class Vlan(object):
                            """
                            DHCP Snooping vlan
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            .. attribute:: information
                            
                            	DHCP Snooping information
                            	**type**\:   :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.information = Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information()
                                self.information.parent = self


                            class Information(object):
                                """
                                DHCP Snooping information
                                
                                .. attribute:: option
                                
                                	DHCP Snooping information option
                                	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option>`
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.option = Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option()
                                    self.option.parent = self


                                class Option(object):
                                    """
                                    DHCP Snooping information option
                                    
                                    .. attribute:: format_type
                                    
                                    	Option 82 information format
                                    	**type**\:   :py:class:`FormatType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-dhcp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.format_type = Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType()
                                        self.format_type.parent = self


                                    class FormatType(object):
                                        """
                                        Option 82 information format
                                        
                                        .. attribute:: circuit_id
                                        
                                        	Circuit id option 82 format
                                        	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId>`
                                        
                                        

                                        """

                                        _prefix = 'ios-dhcp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.circuit_id = Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId()
                                            self.circuit_id.parent = self


                                        class CircuitId(object):
                                            """
                                            Circuit id option 82 format
                                            
                                            .. attribute:: string
                                            
                                            	User defined string for circuit id
                                            	**type**\:  str
                                            
                                            	**length:** 3..63
                                            
                                            

                                            """

                                            _prefix = 'ios-dhcp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.string = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:circuit-id'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.string is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:format-type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.circuit_id is not None and self.circuit_id._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-dhcp:option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.format_type is not None and self.format_type._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-dhcp:information'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.option is not None and self.option._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-dhcp:vlan[Cisco-IOS-XE-dhcp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.information is not None and self.information._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:snooping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            if self.trust is not None:
                                return True

                            if self.vlan is not None:
                                for child_ref in self.vlan:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ip.Dhcp.Snooping']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.client is not None and self.client._has_data():
                            return True

                        if self.relay is not None and self.relay._has_data():
                            return True

                        if self.snooping is not None and self.snooping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ip.Dhcp']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'


                    class Eigrp(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.ip = None
                            self.mask = None
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:eigrp[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ip.SummaryAddress.Eigrp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ip.SummaryAddress']['meta_info']


                class Verify(object):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.unicast = Native.Interface.Vasiright.Ip.Verify.Unicast()
                        self.unicast.parent = self


                    class Source(object):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Verify.Source.Vlan>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vlan = Native.Interface.Vasiright.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self


                        class Vlan(object):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:   :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp_snooping = None


                            class DhcpSnooping(object):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.port_security = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-snooping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.port_security is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasiright.Ip.Verify.Source.Vlan.DhcpSnooping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp_snooping is not None and self.dhcp_snooping._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Ip.Verify.Source.Vlan']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vlan is not None and self.vlan._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ip.Verify.Source']['meta_info']


                    class Unicast(object):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:   :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reverse_path = None
                            self.source = Native.Interface.Vasiright.Ip.Verify.Unicast.Source()
                            self.source.parent = self


                        class ReversePath(object):
                            """
                            Reverse path validation of source address (old command format)
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:reverse-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Ip.Verify.Unicast.ReversePath']['meta_info']


                        class Source(object):
                            """
                            Validation of source address
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:   :py:class:`ReachableViaEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Verify.Unicast.Source.ReachableViaEnum>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.allow_default = None
                                self.allow_self_ping = None
                                self.reachable_via = None

                            class ReachableViaEnum(Enum):
                                """
                                ReachableViaEnum

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = 0

                                rx = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasiright.Ip.Verify.Unicast.Source.ReachableViaEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.allow_default is not None:
                                    return True

                                if self.allow_self_ping is not None:
                                    return True

                                if self.reachable_via is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Ip.Verify.Unicast.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reverse_path is not None and self.reverse_path._has_data():
                                return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ip.Verify.Unicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:verify'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None and self.source._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ip.Verify']['meta_info']


                class Wccp(object):
                    """
                    WCCP IPv4 interface commands
                    
                    .. attribute:: redirect
                    
                    	Set packet redirection options
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.Redirect>`
                    
                    .. attribute:: vrf
                    
                    	Configure WCCP for a VRF
                    	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.Vrf>`
                    
                    .. attribute:: wccp_list
                    
                    	
                    	**type**\: list of    :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.WccpList>`
                    
                    .. attribute:: web_cache
                    
                    	Standard web caching service
                    	**type**\:   :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.WebCache>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.redirect = Native.Interface.Vasiright.Ip.Wccp.Redirect()
                        self.redirect.parent = self
                        self.vrf = YList()
                        self.vrf.parent = self
                        self.vrf.name = 'vrf'
                        self.wccp_list = YList()
                        self.wccp_list.parent = self
                        self.wccp_list.name = 'wccp_list'
                        self.web_cache = Native.Interface.Vasiright.Ip.Wccp.WebCache()
                        self.web_cache.parent = self


                    class WccpList(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..254
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.WccpList.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.group_listen = None
                            self.redirect = Native.Interface.Vasiright.Ip.Wccp.WccpList.Redirect()
                            self.redirect.parent = self


                        class Redirect(object):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Ip.Wccp.WccpList.Redirect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp-list[Cisco-IOS-XE-wccp:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.group_listen is not None:
                                return True

                            if self.redirect is not None and self.redirect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ip.Wccp.WccpList']['meta_info']


                    class WebCache(object):
                        """
                        Standard web caching service
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.WebCache.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.group_listen = None
                            self.redirect = Native.Interface.Vasiright.Ip.Wccp.WebCache.Redirect()
                            self.redirect.parent = self


                        class Redirect(object):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Ip.Wccp.WebCache.Redirect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:web-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.group_listen is not None:
                                return True

                            if self.redirect is not None and self.redirect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ip.Wccp.WebCache']['meta_info']


                    class Redirect(object):
                        """
                        Set packet redirection options
                        
                        .. attribute:: exclude
                        
                        	Exclude packets from redirection
                        	**type**\:   :py:class:`Exclude <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.Redirect.Exclude>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.exclude = Native.Interface.Vasiright.Ip.Wccp.Redirect.Exclude()
                            self.exclude.parent = self


                        class Exclude(object):
                            """
                            Exclude packets from redirection
                            
                            .. attribute:: in_
                            
                            	Exclude inbound packets from outbound redirection
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:exclude'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Ip.Wccp.Redirect.Exclude']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.exclude is not None and self.exclude._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ip.Wccp.Redirect']['meta_info']


                    class Vrf(object):
                        """
                        Configure WCCP for a VRF
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: wccp_list
                        
                        	
                        	**type**\: list of    :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList>`
                        
                        .. attribute:: web_cache
                        
                        	Standard web caching service
                        	**type**\:   :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.wccp_list = YList()
                            self.wccp_list.parent = self
                            self.wccp_list.name = 'wccp_list'
                            self.web_cache = Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache()
                            self.web_cache.parent = self


                        class WccpList(object):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..254
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.group_listen = None
                                self.redirect = Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList.Redirect()
                                self.redirect.parent = self


                            class Redirect(object):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList.Redirect']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp-list[Cisco-IOS-XE-wccp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.group_listen is not None:
                                    return True

                                if self.redirect is not None and self.redirect._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList']['meta_info']


                        class WebCache(object):
                            """
                            Standard web caching service
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group_listen = None
                                self.redirect = Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache.Redirect()
                                self.redirect.parent = self


                            class Redirect(object):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-wccp:redirect'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache.Redirect']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-wccp:web-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group_listen is not None:
                                    return True

                                if self.redirect is not None and self.redirect._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-wccp:vrf[Cisco-IOS-XE-wccp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.wccp_list is not None:
                                for child_ref in self.wccp_list:
                                    if child_ref._has_data():
                                        return True

                            if self.web_cache is not None and self.web_cache._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ip.Wccp.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-wccp:wccp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.vrf is not None:
                            for child_ref in self.vrf:
                                if child_ref._has_data():
                                    return True

                        if self.wccp_list is not None:
                            for child_ref in self.wccp_list:
                                if child_ref._has_data():
                                    return True

                        if self.web_cache is not None and self.web_cache._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ip.Wccp']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_group is not None and self.access_group._has_data():
                        return True

                    if self.address is not None and self.address._has_data():
                        return True

                    if self.admission is not None:
                        return True

                    if self.arp is not None and self.arp._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.directed_broadcast is not None:
                        return True

                    if self.hello_interval is not None and self.hello_interval._has_data():
                        return True

                    if self.helper_address is not None:
                        for child_ref in self.helper_address:
                            if child_ref._has_data():
                                return True

                    if self.hold_time is not None and self.hold_time._has_data():
                        return True

                    if self.local_proxy_arp is not None:
                        return True

                    if self.mroute_cache is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.no_address is not None and self.no_address._has_data():
                        return True

                    if self.pim is not None and self.pim._has_data():
                        return True

                    if self.policy is not None and self.policy._has_data():
                        return True

                    if self.proxy_arp is not None:
                        return True

                    if self.redirects is not None:
                        return True

                    if self.route_cache is not None and self.route_cache._has_data():
                        return True

                    if self.route_cache_conf is not None and self.route_cache_conf._has_data():
                        return True

                    if self.router is not None and self.router._has_data():
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.unnumbered is not None:
                        return True

                    if self.verify is not None and self.verify._has_data():
                        return True

                    if self.virtual_reassembly is not None and self.virtual_reassembly._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    if self.wccp is not None and self.wccp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 interface subcommands
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Address>`
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:   :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Dhcp>`
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\:  int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\:  bool
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of    :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Interface.Vasiright.Ipv6.Address()
                    self.address.parent = self
                    self.destination_guard = None
                    self.dhcp = Native.Interface.Vasiright.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self.enable = None
                    self.mtu = None
                    self.nd = Native.Interface.Vasiright.Ipv6.Nd()
                    self.nd.parent = self
                    self.redirects = None
                    self.traffic_filter = YList()
                    self.traffic_filter.parent = self
                    self.traffic_filter.name = 'traffic_filter'


                class DestinationGuard(object):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.attach_policy = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:destination-guard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.attach_policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ipv6.DestinationGuard']['meta_info']


                class Dhcp(object):
                    """
                    IPv6 DHCP interface subcommands
                    
                    .. attribute:: guard
                    
                    	Configure IPv6 DHCP guard on the interface
                    	**type**\:   :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Dhcp.Guard>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: server
                    
                    	Act as an IPv6 DHCP server
                    	**type**\: list of    :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Dhcp.Server>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.guard = None
                        self.server = YList()
                        self.server.parent = self
                        self.server.name = 'server'


                    class Server(object):
                        """
                        Act as an IPv6 DHCP server
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: preference
                        
                        	Preference
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.word = None
                            self.preference = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.word is None:
                                raise YPYModelError('Key property word is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:server[Cisco-IOS-XE-dhcp:word = ' + str(self.word) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.word is not None:
                                return True

                            if self.preference is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ipv6.Dhcp.Server']['meta_info']


                    class Guard(object):
                        """
                        Configure IPv6 DHCP guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature DHCP Guard
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.attach_policy = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-dhcp:guard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.attach_policy is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ipv6.Dhcp.Guard']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.guard is not None and self.guard._has_data():
                            return True

                        if self.server is not None:
                            for child_ref in self.server:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ipv6.Dhcp']['meta_info']


                class Address(object):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of    :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Address.LinkLocalAddress>`
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Address.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.dhcp = None
                        self.link_local_address = YList()
                        self.link_local_address.parent = self
                        self.link_local_address.name = 'link_local_address'
                        self.prefix_list = YList()
                        self.prefix_list.parent = self
                        self.prefix_list.name = 'prefix_list'


                    class Dhcp(object):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rapid_commit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rapid_commit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ipv6.Address.Dhcp']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ipv6.Address.Autoconfig']['meta_info']


                    class PrefixList(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.anycast = None
                            self.eui_64 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:prefix-list[Cisco-IOS-XE-native:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.anycast is not None:
                                return True

                            if self.eui_64 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ipv6.Address.PrefixList']['meta_info']


                    class LinkLocalAddress(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.link_local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:link-local-address[Cisco-IOS-XE-native:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.link_local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ipv6.Address.LinkLocalAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.dhcp is not None and self.dhcp._has_data():
                            return True

                        if self.link_local_address is not None:
                            for child_ref in self.link_local_address:
                                if child_ref._has_data():
                                    return True

                        if self.prefix_list is not None:
                            for child_ref in self.prefix_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ipv6.Address']['meta_info']


                class Nd(object):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Nd.Autoconfig>`
                    
                    .. attribute:: managed_config_flag
                    
                    	Use DHCP for IPv6 address configuration
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ra
                    
                    	IPv6 nd router alert configuration
                    	**type**\:   :py:class:`Ra <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Nd.Ra>`
                    
                    .. attribute:: raguard
                    
                    	Configure RA guard on the interface
                    	**type**\:   :py:class:`Raguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Nd.Raguard>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = Native.Interface.Vasiright.Ipv6.Nd.Autoconfig()
                        self.autoconfig.parent = self
                        self.managed_config_flag = None
                        self.ra = Native.Interface.Vasiright.Ipv6.Nd.Ra()
                        self.ra.parent = self
                        self.raguard = Native.Interface.Vasiright.Ipv6.Nd.Raguard()
                        self.raguard.parent = self


                    class Raguard(object):
                        """
                        Configure RA guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature RA guard
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.attach_policy = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:raguard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.attach_policy is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ipv6.Nd.Raguard']['meta_info']


                    class Autoconfig(object):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default_route
                        
                        	Insert default route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefix
                        
                        	Insert auto\-configured prefix
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.default_route = None
                            self.prefix = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.default_route is not None:
                                return True

                            if self.prefix is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ipv6.Nd.Autoconfig']['meta_info']


                    class Ra(object):
                        """
                        IPv6 nd router alert configuration
                        
                        .. attribute:: suppress
                        
                        	Suppress IPv6 router\-alert configuration
                        	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Nd.Ra.Suppress>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.suppress = None


                        class Suppress(object):
                            """
                            Suppress IPv6 router\-alert configuration
                            
                            .. attribute:: all
                            
                            	Suppress all IPv6 RA
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-nd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.all = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-nd:suppress'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.all is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Ipv6.Nd.Ra.Suppress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-nd:ra'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.suppress is not None and self.suppress._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ipv6.Nd.Ra']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.managed_config_flag is not None:
                            return True

                        if self.ra is not None and self.ra._has_data():
                            return True

                        if self.raguard is not None and self.raguard._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ipv6.Nd']['meta_info']


                class TrafficFilter(object):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.TrafficFilter.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Ipv6.TrafficFilter.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:traffic-filter[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Ipv6.TrafficFilter']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.destination_guard is not None and self.destination_guard._has_data():
                        return True

                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.mtu is not None:
                        return True

                    if self.nd is not None and self.nd._has_data():
                        return True

                    if self.redirects is not None:
                        return True

                    if self.traffic_filter is not None:
                        for child_ref in self.traffic_filter:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Ipv6']['meta_info']


            class Logging(object):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.event = Native.Interface.Vasiright.Logging.Event()
                    self.event.parent = self


                class Event(object):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:   :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bundle_status = None
                        self.link_status = None
                        self.nfas_status = None
                        self.power_inline_status = None
                        self.spanning_tree = None
                        self.status = None
                        self.subif_link_status = None
                        self.trunk_status = None


                    class SpanningTree(object):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:spanning-tree'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Logging.Event.SpanningTree']['meta_info']


                    class SubifLinkStatus(object):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ignore_bulk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:subif-link-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ignore_bulk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Logging.Event.SubifLinkStatus']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bundle_status is not None:
                            return True

                        if self.link_status is not None:
                            return True

                        if self.nfas_status is not None:
                            return True

                        if self.power_inline_status is not None:
                            return True

                        if self.spanning_tree is not None and self.spanning_tree._has_data():
                            return True

                        if self.status is not None:
                            return True

                        if self.subif_link_status is not None and self.subif_link_status._has_data():
                            return True

                        if self.trunk_status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Logging.Event']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.event is not None and self.event._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Logging']['meta_info']


            class Mdix(object):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mdix'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Mdix']['meta_info']


            class Mop(object):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enabled = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:mop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Mop']['meta_info']


            class Interface_Qos(object):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Interface_Qos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.trust = Native.Interface.Vasiright.Interface_Qos.Trust()
                    self.trust.parent = self


                class Trust(object):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Interface_Qos.Trust.DeviceEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device = None

                    class DeviceEnum(Enum):
                        """
                        DeviceEnum

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Interface_Qos.Trust.DeviceEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Interface_Qos.Trust']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:interface_qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.trust is not None and self.trust._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Interface_Qos']['meta_info']


            class Standby(object):
                """
                HSRP interface configuration commands
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of    :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList>`
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:   :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.VersionEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None
                    self.delay = Native.Interface.Vasiright.Standby.Delay()
                    self.delay.parent = self
                    self.mac_refresh = None
                    self.standby_list = YList()
                    self.standby_list.parent = self
                    self.standby_list.name = 'standby_list'
                    self.use_bia = None
                    self.version = None

                class VersionEnum(Enum):
                    """
                    VersionEnum

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = 0

                    Y_2 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Standby.VersionEnum']



                class Delay(object):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\:  int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.minimum = None
                        self.reload = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.minimum is not None:
                            return True

                        if self.reload is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Standby.Delay']['meta_info']


                class UseBia(object):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:   :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.UseBia.Scope>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.scope = Native.Interface.Vasiright.Standby.UseBia.Scope()
                        self.scope.parent = self


                    class Scope(object):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:scope'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Standby.UseBia.Scope']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:use-bia'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.scope is not None and self.scope._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Standby.UseBia']['meta_info']


                class StandbyList(object):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    	**type**\:   :py:class:`Ipv6Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum>`
                    
                    
                    ----
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\:  str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:   :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of    :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group_number = None
                        self.authentication = Native.Interface.Vasiright.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self.follow = None
                        self.ip = None
                        self.ipv6 = None
                        self.mac_address = None
                        self.name = None
                        self.preempt = None
                        self.priority = None
                        self.redirect = Native.Interface.Vasiright.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self.timers = Native.Interface.Vasiright.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self.track = YList()
                        self.track.parent = self
                        self.track.name = 'track'

                    class Ipv6Enum(Enum):
                        """
                        Ipv6Enum

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Standby.StandbyList.Ipv6Enum']



                    class Authentication(object):
                        """
                        Authentication
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\:  str
                        
                        .. attribute:: word
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self.text = None
                            self.word = None


                        class Md5(object):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\:  str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.key_string = Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self


                            class KeyString(object):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\:  int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encrypt = None
                                    self.string = None
                                    self.timeout = None

                                class EncryptEnum(Enum):
                                    """
                                    EncryptEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = 0

                                    Y_7 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5.KeyString.EncryptEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encrypt is not None:
                                        return True

                                    if self.string is not None:
                                        return True

                                    if self.timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None:
                                return True

                            if self.word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Standby.StandbyList.Authentication']['meta_info']


                    class Ip(object):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.address = None
                            self.secondary = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.address is not None:
                                return True

                            if self.secondary is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Standby.StandbyList.Ip']['meta_info']


                    class Preempt(object):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Preempt.Delay>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.delay = Native.Interface.Vasiright.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self


                        class Delay(object):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimum = None
                                self.reload = None
                                self.sync = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimum is not None:
                                    return True

                                if self.reload is not None:
                                    return True

                                if self.sync is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Standby.StandbyList.Preempt.Delay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:preempt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.delay is not None and self.delay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Standby.StandbyList.Preempt']['meta_info']


                    class Redirect(object):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:   :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertisement = Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self.timers = Native.Interface.Vasiright.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self.unknown = None


                        class Advertisement(object):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication = Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self


                            class Authentication(object):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\:  str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_chain = None
                                        self.key_string = Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self


                                    class KeyString(object):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\:  int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encrypt = None
                                            self.string = None
                                            self.timeout = None

                                        class EncryptEnum(Enum):
                                            """
                                            EncryptEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = 0

                                            Y_7 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.EncryptEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:key-string'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encrypt is not None:
                                                return True

                                            if self.string is not None:
                                                return True

                                            if self.timeout is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_chain is not None:
                                            return True

                                        if self.key_string is not None and self.key_string._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:advertisement'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement']['meta_info']


                        class Timers(object):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertisement = None
                                self.holddown = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertisement is not None:
                                    return True

                                if self.holddown is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Standby.StandbyList.Redirect.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:redirect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertisement is not None and self.advertisement._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.unknown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Standby.StandbyList.Redirect']['meta_info']


                    class Timers(object):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval = Native.Interface.Vasiright.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self.hold_time = Native.Interface.Vasiright.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self


                        class HelloInterval(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\:  int
                            
                            	**range:** 15..999
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Standby.StandbyList.Timers.HelloInterval']['meta_info']


                        class HoldTime(object):
                            """
                            
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\:  int
                            
                            	**range:** 50..3000
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.msec = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:hold-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.msec is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Standby.StandbyList.Timers.HoldTime']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hold_time is not None and self.hold_time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Standby.StandbyList.Timers']['meta_info']


                    class Track(object):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.decrement = None
                            self.shutdown = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:track[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.decrement is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Standby.StandbyList.Track']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.group_number is None:
                            raise YPYModelError('Key property group_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:standby-list[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group_number is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.follow is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.mac_address is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.preempt is not None and self.preempt._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.redirect is not None and self.redirect._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.track is not None:
                            for child_ref in self.track:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Standby.StandbyList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.mac_refresh is not None:
                        return True

                    if self.standby_list is not None:
                        for child_ref in self.standby_list:
                            if child_ref._has_data():
                                return True

                    if self.use_bia is not None and self.use_bia._has_data():
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Standby']['meta_info']


            class AccessSession(object):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:   :py:class:`HostModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.AccessSession.HostModeEnum>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:   :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.AccessSession.PortControl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.closed = None
                    self.host_mode = None
                    self.port_control = Native.Interface.Vasiright.AccessSession.PortControl()
                    self.port_control.parent = self

                class HostModeEnum(Enum):
                    """
                    HostModeEnum

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = 0

                    multi_domain = 1

                    multi_host = 2

                    single_host = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.AccessSession.HostModeEnum']



                class PortControl(object):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:port-control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.AccessSession.PortControl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.closed is not None:
                        return True

                    if self.host_mode is not None:
                        return True

                    if self.port_control is not None and self.port_control._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.AccessSession']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Interface.Vasiright.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Interface.Vasiright.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self.multicast = Native.Interface.Vasiright.StormControl.Multicast()
                    self.multicast.parent = self
                    self.unicast = Native.Interface.Vasiright.StormControl.Unicast()
                    self.unicast.parent = self


                class Action(object):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.StormControl.Action']['meta_info']


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:   :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.include = Native.Interface.Vasiright.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self.level = Native.Interface.Vasiright.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Include(object):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:include'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.StormControl.Broadcast.Include']['meta_info']


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Vasiright.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Vasiright.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.StormControl.Broadcast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.StormControl.Broadcast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.include is not None and self.include._has_data():
                            return True

                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.StormControl.Broadcast']['meta_info']


                class Multicast(object):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Vasiright.StormControl.Multicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Multicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  Decimal64
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Vasiright.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Vasiright.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.StormControl.Multicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.StormControl.Multicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.StormControl.Multicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:multicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.StormControl.Multicast']['meta_info']


                class Unicast(object):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Interface.Vasiright.StormControl.Unicast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Unicast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Unicast.Level.Threshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Interface.Vasiright.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Interface.Vasiright.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = Native.Interface.Vasiright.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self


                        class Threshold(object):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:threshold'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.StormControl.Unicast.Level.Threshold']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.StormControl.Unicast.Level.Bps']['meta_info']


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.falling_threshold = None
                                self.rising_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.falling_threshold is not None:
                                    return True

                                if self.rising_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.StormControl.Unicast.Level.Pps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None and self.threshold._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.StormControl.Unicast.Level']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:unicast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.StormControl.Unicast']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    if self.multicast is not None and self.multicast._has_data():
                        return True

                    if self.unicast is not None and self.unicast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.StormControl']['meta_info']


            class Trust(object):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:   :py:class:`DeviceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Trust.DeviceEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.device = None

                class DeviceEnum(Enum):
                    """
                    DeviceEnum

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = 0

                    cts = 1

                    ip_camera = 2

                    media_player = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Trust.DeviceEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:trust'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.device is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Trust']['meta_info']


            class Utd(object):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:utd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Utd']['meta_info']


            class PriorityQueue(object):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:   :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = Native.Interface.Vasiright.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self.out = None


                class CosMap(object):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.PriorityQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:priority-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None and self.cos_map._has_data():
                        return True

                    if self.out is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.PriorityQueue']['meta_info']


            class RcvQueue(object):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of    :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cos_map = YList()
                    self.cos_map.parent = self
                    self.cos_map.name = 'cos_map'


                class CosMap(object):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\:  list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.queue_id = None
                        self.threshold_id = None
                        self.cos_values = YLeafList()
                        self.cos_values.parent = self
                        self.cos_values.name = 'cos_values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.queue_id is None:
                            raise YPYModelError('Key property queue_id is None')
                        if self.threshold_id is None:
                            raise YPYModelError('Key property threshold_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:cos-map[Cisco-IOS-XE-native:queue-id = ' + str(self.queue_id) + '][Cisco-IOS-XE-native:threshold-id = ' + str(self.threshold_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.queue_id is not None:
                            return True

                        if self.threshold_id is not None:
                            return True

                        if self.cos_values is not None:
                            for child in self.cos_values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.RcvQueue.CosMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:rcv-queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cos_map is not None:
                        for child_ref in self.cos_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.RcvQueue']['meta_info']


            class Peer(object):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Interface.Vasiright.Peer.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Interface.Vasiright.Peer.Default.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Interface.Vasiright.Peer.Default.Ip.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:   :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:   :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None
                                self.dhcp_pool = None
                                self.pool = None


                            class DhcpPool(object):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:dhcp-pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasiright.Peer.Default.Ip.Address.DhcpPool']['meta_info']


                            class Pool(object):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pools = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-native:pool'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pools is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Interface.Vasiright.Peer.Default.Ip.Address.Pool']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                if self.dhcp_pool is not None and self.dhcp_pool._has_data():
                                    return True

                                if self.pool is not None and self.pool._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.Peer.Default.Ip.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.Peer.Default.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.Peer.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.Peer']['meta_info']


            class PmPath(object):
                """
                Global pm\-path configuration
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface_id = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:pm-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface_id is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.PmPath']['meta_info']


            class ServicePolicy(object):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.history = None
                    self.input = None
                    self.output = None
                    self.type = Native.Interface.Vasiright.ServicePolicy.Type()
                    self.type.parent = self


                class Type(object):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:   :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:   :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:   :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.control = Native.Interface.Vasiright.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self.performance_monitor = Native.Interface.Vasiright.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self.service_chain = Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self


                    class Control(object):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.subscriber = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:control'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.subscriber is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.ServicePolicy.Type.Control']['meta_info']


                    class PerformanceMonitor(object):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.ServicePolicy.Type.PerformanceMonitor.DirectionEnum>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.direction = None
                            self.name = None

                        class DirectionEnum(Enum):
                            """
                            DirectionEnum

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = 0

                            output = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.ServicePolicy.Type.PerformanceMonitor.DirectionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:performance-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.direction is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.ServicePolicy.Type.PerformanceMonitor']['meta_info']


                    class ServiceChain(object):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.input = Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self.output = Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self


                        class Input(object):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Input']['meta_info']


                        class Output(object):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:output'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:service-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.input is not None and self.input._has_data():
                                return True

                            if self.output is not None and self.output._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.control is not None and self.control._has_data():
                            return True

                        if self.performance_monitor is not None and self.performance_monitor._has_data():
                            return True

                        if self.service_chain is not None and self.service_chain._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Interface.Vasiright.ServicePolicy.Type']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.history is not None:
                        return True

                    if self.input is not None:
                        return True

                    if self.output is not None:
                        return True

                    if self.type is not None and self.type._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Interface.Vasiright.ServicePolicy']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:vasiright[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_session is not None and self.access_session._has_data():
                    return True

                if self.arp is not None and self.arp._has_data():
                    return True

                if self.backup is not None and self.backup._has_data():
                    return True

                if self.bandwidth is not None and self.bandwidth._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.cemoudp is not None and self.cemoudp._has_data():
                    return True

                if self.cws_tunnel is not None and self.cws_tunnel._has_data():
                    return True

                if self.dampening is not None and self.dampening._has_data():
                    return True

                if self.delay is not None:
                    return True

                if self.description is not None:
                    return True

                if self.domain is not None and self.domain._has_data():
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.fair_queue is not None and self.fair_queue._has_data():
                    return True

                if self.fair_queue_conf is not None and self.fair_queue_conf._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.hold_queue is not None and self.hold_queue._has_data():
                    return True

                if self.if_state is not None:
                    return True

                if self.interface_qos is not None and self.interface_qos._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_vrf is not None and self.ip_vrf._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.isis is not None and self.isis._has_data():
                    return True

                if self.keepalive is not None:
                    return True

                if self.keepalive_settings is not None and self.keepalive_settings._has_data():
                    return True

                if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.max_reserved_bandwidth is not None:
                    return True

                if self.mdix is not None and self.mdix._has_data():
                    return True

                if self.mop is not None and self.mop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.mtu is not None:
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.pm_path is not None and self.pm_path._has_data():
                    return True

                if self.priority_queue is not None and self.priority_queue._has_data():
                    return True

                if self.rcv_queue is not None and self.rcv_queue._has_data():
                    return True

                if self.service_insertion is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.shutdown is not None:
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                if self.switchport_conf is not None and self.switchport_conf._has_data():
                    return True

                if self.trust is not None and self.trust._has_data():
                    return True

                if self.utd is not None and self.utd._has_data():
                    return True

                if self.vrf is not None and self.vrf._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Interface.Vasiright']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:interface'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.appnav_compress is not None:
                for child_ref in self.appnav_compress:
                    if child_ref._has_data():
                        return True

            if self.appnav_uncompress is not None:
                for child_ref in self.appnav_uncompress:
                    if child_ref._has_data():
                        return True

            if self.atm is not None:
                for child_ref in self.atm:
                    if child_ref._has_data():
                        return True

            if self.atm_acr is not None:
                for child_ref in self.atm_acr:
                    if child_ref._has_data():
                        return True

            if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                return True

            if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                return True

            if self.bdi is not None:
                for child_ref in self.bdi:
                    if child_ref._has_data():
                        return True

            if self.cellular is not None:
                for child_ref in self.cellular:
                    if child_ref._has_data():
                        return True

            if self.cem is not None:
                for child_ref in self.cem:
                    if child_ref._has_data():
                        return True

            if self.cem_acr is not None:
                for child_ref in self.cem_acr:
                    if child_ref._has_data():
                        return True

            if self.embedded_service_engine is not None:
                for child_ref in self.embedded_service_engine:
                    if child_ref._has_data():
                        return True

            if self.fastethernet is not None:
                for child_ref in self.fastethernet:
                    if child_ref._has_data():
                        return True

            if self.fortygigabitethernet is not None:
                for child_ref in self.fortygigabitethernet:
                    if child_ref._has_data():
                        return True

            if self.gigabitethernet is not None:
                for child_ref in self.gigabitethernet:
                    if child_ref._has_data():
                        return True

            if self.group_async is not None:
                for child_ref in self.group_async:
                    if child_ref._has_data():
                        return True

            if self.lisp is not None:
                for child_ref in self.lisp:
                    if child_ref._has_data():
                        return True

            if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                return True

            if self.loopback is not None:
                for child_ref in self.loopback:
                    if child_ref._has_data():
                        return True

            if self.multilink is not None:
                for child_ref in self.multilink:
                    if child_ref._has_data():
                        return True

            if self.nve is not None:
                for child_ref in self.nve:
                    if child_ref._has_data():
                        return True

            if self.overlay is not None:
                for child_ref in self.overlay:
                    if child_ref._has_data():
                        return True

            if self.port_channel is not None:
                for child_ref in self.port_channel:
                    if child_ref._has_data():
                        return True

            if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                return True

            if self.pseudowire is not None:
                for child_ref in self.pseudowire:
                    if child_ref._has_data():
                        return True

            if self.serial is not None:
                for child_ref in self.serial:
                    if child_ref._has_data():
                        return True

            if self.sm is not None:
                for child_ref in self.sm:
                    if child_ref._has_data():
                        return True

            if self.tengigabitethernet is not None:
                for child_ref in self.tengigabitethernet:
                    if child_ref._has_data():
                        return True

            if self.tunnel is not None:
                for child_ref in self.tunnel:
                    if child_ref._has_data():
                        return True

            if self.vasileft is not None:
                for child_ref in self.vasileft:
                    if child_ref._has_data():
                        return True

            if self.vasiright is not None:
                for child_ref in self.vasiright:
                    if child_ref._has_data():
                        return True

            if self.virtual_template is not None:
                for child_ref in self.virtual_template:
                    if child_ref._has_data():
                        return True

            if self.virtualportgroup is not None:
                for child_ref in self.virtualportgroup:
                    if child_ref._has_data():
                        return True

            if self.vlan is not None:
                for child_ref in self.vlan:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Interface']['meta_info']


    class RouteMap(object):
        """
        Route map tag
        
        .. attribute:: name  <key>
        
        	WORD;;Route map tag
        	**type**\:  str
        
        .. attribute:: route_map_seq
        
        	
        	**type**\: list of    :py:class:`RouteMapSeq <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.name = None
            self.route_map_seq = YList()
            self.route_map_seq.parent = self
            self.route_map_seq.name = 'route_map_seq'


        class RouteMapSeq(object):
            """
            
            
            .. attribute:: sequence  <key>
            
            	
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: description
            
            	Route\-map comment
            	**type**\:  str
            
            .. attribute:: match
            
            	Match values from routing table
            	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match>`
            
            .. attribute:: operation
            
            	
            	**type**\:   :py:class:`OperationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.OperationEnum>`
            
            .. attribute:: set
            
            	Set values in destination routing protocol
            	**type**\:   :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set>`
            
            

            """

            _prefix = 'ios-route-map'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.sequence = None
                self.description = None
                self.match = Native.RouteMap.RouteMapSeq.Match()
                self.match.parent = self
                self.operation = None
                self.set = Native.RouteMap.RouteMapSeq.Set()
                self.set.parent = self

            class OperationEnum(Enum):
                """
                OperationEnum

                .. data:: deny = 0

                .. data:: permit = 1

                """

                deny = 0

                permit = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.RouteMap.RouteMapSeq.OperationEnum']



            class Set(object):
                """
                Set values in destination routing protocol
                
                .. attribute:: aigp_metric
                
                	accumulated metric value
                	**type**\:   :py:class:`AigpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.AigpMetric>`
                
                .. attribute:: as_path
                
                	Prepend string for a BGP AS\-path attribute
                	**type**\:   :py:class:`AsPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.AsPath>`
                
                .. attribute:: automatic_tag
                
                	Automatically compute TAG value
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: clns
                
                	OSI summary address
                	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Clns>`
                
                .. attribute:: comm_list
                
                	set BGP community list (for deletion)
                	**type**\:   :py:class:`CommList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.CommList>`
                
                .. attribute:: community
                
                	BGP community attribute
                	**type**\:   :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Community>`
                
                .. attribute:: dampening
                
                	Set BGP route flap dampening parameters
                	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Dampening>`
                
                .. attribute:: default
                
                	
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Default>`
                
                .. attribute:: extcomm_list
                
                	Set BGP/VPN extended community list (for deletion)
                	**type**\:   :py:class:`ExtcommList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.ExtcommList>`
                
                .. attribute:: extcommunity
                
                	BGP extended community attribute
                	**type**\:   :py:class:`Extcommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity>`
                
                .. attribute:: global_
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: interface
                
                	
                	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Interface>`
                
                .. attribute:: ip
                
                	IP specific information
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip>`
                
                .. attribute:: ipv6
                
                	IPv6 specific information
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6>`
                
                .. attribute:: level
                
                	Where to import route
                	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Level>`
                
                .. attribute:: lisp
                
                	Locator ID Separation Protocol specific information
                	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Lisp>`
                
                .. attribute:: local_preference
                
                	Preference value
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: metric
                
                	Metric value for destination routing protocol
                	**type**\:  str
                
                .. attribute:: metric_type
                
                	Type of metric for destination routing protocol
                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.MetricTypeEnum>`
                
                .. attribute:: mpls_label
                
                	Set MPLS label for prefix
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: origin
                
                	BGP origin code
                	**type**\:   :py:class:`Origin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Origin>`
                
                .. attribute:: tag
                
                	Tag value for destination routing protocol
                	**type**\:   :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Tag>`
                
                .. attribute:: traffic_index
                
                	Bucket number
                	**type**\:  int
                
                	**range:** 1..64
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding instance name
                	**type**\:  str
                
                .. attribute:: weight
                
                	BGP weight for routing table
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-route-map'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.aigp_metric = Native.RouteMap.RouteMapSeq.Set.AigpMetric()
                    self.aigp_metric.parent = self
                    self.as_path = Native.RouteMap.RouteMapSeq.Set.AsPath()
                    self.as_path.parent = self
                    self.automatic_tag = None
                    self.clns = Native.RouteMap.RouteMapSeq.Set.Clns()
                    self.clns.parent = self
                    self.comm_list = Native.RouteMap.RouteMapSeq.Set.CommList()
                    self.comm_list.parent = self
                    self.community = Native.RouteMap.RouteMapSeq.Set.Community()
                    self.community.parent = self
                    self.dampening = Native.RouteMap.RouteMapSeq.Set.Dampening()
                    self.dampening.parent = self
                    self.default = Native.RouteMap.RouteMapSeq.Set.Default()
                    self.default.parent = self
                    self.extcomm_list = Native.RouteMap.RouteMapSeq.Set.ExtcommList()
                    self.extcomm_list.parent = self
                    self.extcommunity = Native.RouteMap.RouteMapSeq.Set.Extcommunity()
                    self.extcommunity.parent = self
                    self.global_ = None
                    self.interface = Native.RouteMap.RouteMapSeq.Set.Interface()
                    self.interface.parent = self
                    self.ip = Native.RouteMap.RouteMapSeq.Set.Ip()
                    self.ip.parent = self
                    self.ipv6 = Native.RouteMap.RouteMapSeq.Set.Ipv6()
                    self.ipv6.parent = self
                    self.level = Native.RouteMap.RouteMapSeq.Set.Level()
                    self.level.parent = self
                    self.lisp = Native.RouteMap.RouteMapSeq.Set.Lisp()
                    self.lisp.parent = self
                    self.local_preference = None
                    self.metric = None
                    self.metric_type = None
                    self.mpls_label = None
                    self.origin = Native.RouteMap.RouteMapSeq.Set.Origin()
                    self.origin.parent = self
                    self.tag = Native.RouteMap.RouteMapSeq.Set.Tag()
                    self.tag.parent = self
                    self.traffic_index = None
                    self.vrf = None
                    self.weight = None

                class MetricTypeEnum(Enum):
                    """
                    MetricTypeEnum

                    Type of metric for destination routing protocol

                    .. data:: external = 0

                    .. data:: internal = 1

                    .. data:: type_1 = 2

                    .. data:: type_2 = 3

                    """

                    external = 0

                    internal = 1

                    type_1 = 2

                    type_2 = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.MetricTypeEnum']



                class AigpMetric(object):
                    """
                    accumulated metric value
                    
                    .. attribute:: igp_metric
                    
                    	metric value from rib
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: value
                    
                    	manual value
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.igp_metric = None
                        self.value = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:aigp-metric'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.igp_metric is not None:
                            return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.AigpMetric']['meta_info']


                class AsPath(object):
                    """
                    Prepend string for a BGP AS\-path attribute
                    
                    .. attribute:: prepend
                    
                    	Prepend to the as\-path
                    	**type**\:   :py:class:`Prepend <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend>`
                    
                    .. attribute:: tag
                    
                    	Set the tag as an AS\-path attribute
                    	**type**\:   :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.AsPath.Tag>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.prepend = Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend()
                        self.prepend.parent = self
                        self.tag = None


                    class Prepend(object):
                        """
                        Prepend to the as\-path
                        
                        .. attribute:: as_container
                        
                        	
                        	**type**\:   :py:class:`AsContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.AsContainer>`
                        
                        .. attribute:: last_as_cont
                        
                        	
                        	**type**\:   :py:class:`LastAsCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.LastAsCont>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.as_container = Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.AsContainer()
                            self.as_container.parent = self
                            self.last_as_cont = Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.LastAsCont()
                            self.last_as_cont.parent = self


                        class AsContainer(object):
                            """
                            
                            
                            .. attribute:: as_number
                            
                            	<1\-65535>;;AS number
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.as_number = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:as-container'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.as_number is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.AsContainer']['meta_info']


                        class LastAsCont(object):
                            """
                            
                            
                            .. attribute:: last_as
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..10
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.last_as = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:last-as-cont'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.last_as is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.LastAsCont']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:prepend'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.as_container is not None and self.as_container._has_data():
                                return True

                            if self.last_as_cont is not None and self.last_as_cont._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend']['meta_info']


                    class Tag(object):
                        """
                        Set the tag as an AS\-path attribute
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:tag'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.AsPath.Tag']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:as-path'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.prepend is not None and self.prepend._has_data():
                            return True

                        if self.tag is not None and self.tag._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.AsPath']['meta_info']


                class Clns(object):
                    """
                    OSI summary address
                    
                    .. attribute:: next_hop
                    
                    	Next hop along path
                    	**type**\:   :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Clns.NextHop>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.next_hop = Native.RouteMap.RouteMapSeq.Set.Clns.NextHop()
                        self.next_hop.parent = self


                    class NextHop(object):
                        """
                        Next hop along path
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  list of str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = YLeafList()
                            self.address.parent = self
                            self.address.name = 'address'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:next-hop'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                for child in self.address:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Clns.NextHop']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:clns'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.next_hop is not None and self.next_hop._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Clns']['meta_info']


                class Community(object):
                    """
                    BGP community attribute
                    
                    .. attribute:: community_well_known
                    
                    	
                    	**type**\:   :py:class:`CommunityWellKnown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Community.CommunityWellKnown>`
                    
                    .. attribute:: none
                    
                    	No community attribute
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.community_well_known = Native.RouteMap.RouteMapSeq.Set.Community.CommunityWellKnown()
                        self.community_well_known.parent = self
                        self.none = None


                    class CommunityWellKnown(object):
                        """
                        
                        
                        .. attribute:: additive
                        
                        	Add to the existing community
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: community_list
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  list of int
                        
                        	**range:** 1..4294967295
                        
                        
                        ----
                        	**type**\:  list of str
                        
                        	**pattern:** (\\d+\:\\d+)
                        
                        
                        ----
                        
                        ----
                        	**type**\:  list of   :py:class:`CommunityWellKnownTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CommunityWellKnownTypeEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.additive = None
                            self.community_list = YLeafList()
                            self.community_list.parent = self
                            self.community_list.name = 'community_list'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:community-well-known'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.additive is not None:
                                return True

                            if self.community_list is not None:
                                for child in self.community_list:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Community.CommunityWellKnown']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:community'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.community_well_known is not None and self.community_well_known._has_data():
                            return True

                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Community']['meta_info']


                class CommList(object):
                    """
                    set BGP community list (for deletion)
                    
                    .. attribute:: comm_list_expanded
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 100..500
                    
                    .. attribute:: comm_list_name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: comm_list_standard
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..99
                    
                    .. attribute:: delete
                    
                    	Delete matching communities
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.comm_list_expanded = None
                        self.comm_list_name = None
                        self.comm_list_standard = None
                        self.delete = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:comm-list'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.comm_list_expanded is not None:
                            return True

                        if self.comm_list_name is not None:
                            return True

                        if self.comm_list_standard is not None:
                            return True

                        if self.delete is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.CommList']['meta_info']


                class Dampening(object):
                    """
                    Set BGP route flap dampening parameters
                    
                    .. attribute:: dampening_list
                    
                    	
                    	**type**\: list of    :py:class:`DampeningList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Dampening.DampeningList>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dampening_list = YList()
                        self.dampening_list.parent = self
                        self.dampening_list.name = 'dampening_list'


                    class DampeningList(object):
                        """
                        
                        
                        .. attribute:: half_life_penalty  <key>
                        
                        	half\-life time for the penalty
                        	**type**\:  int
                        
                        	**range:** 1..45
                        
                        .. attribute:: restart_penalty  <key>
                        
                        	penalty to start reusing a route
                        	**type**\:  int
                        
                        	**range:** 1..20000
                        
                        .. attribute:: suppress_penalty  <key>
                        
                        	penalty to start suppressing a route
                        	**type**\:  int
                        
                        	**range:** 1..20000
                        
                        .. attribute:: max_suppress_penalty  <key>
                        
                        	Maximum duration to suppress a stable route
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.half_life_penalty = None
                            self.restart_penalty = None
                            self.suppress_penalty = None
                            self.max_suppress_penalty = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.half_life_penalty is None:
                                raise YPYModelError('Key property half_life_penalty is None')
                            if self.restart_penalty is None:
                                raise YPYModelError('Key property restart_penalty is None')
                            if self.suppress_penalty is None:
                                raise YPYModelError('Key property suppress_penalty is None')
                            if self.max_suppress_penalty is None:
                                raise YPYModelError('Key property max_suppress_penalty is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:dampening-list[Cisco-IOS-XE-route-map:half-life-penalty = ' + str(self.half_life_penalty) + '][Cisco-IOS-XE-route-map:restart-penalty = ' + str(self.restart_penalty) + '][Cisco-IOS-XE-route-map:suppress-penalty = ' + str(self.suppress_penalty) + '][Cisco-IOS-XE-route-map:max-suppress-penalty = ' + str(self.max_suppress_penalty) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.half_life_penalty is not None:
                                return True

                            if self.restart_penalty is not None:
                                return True

                            if self.suppress_penalty is not None:
                                return True

                            if self.max_suppress_penalty is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Dampening.DampeningList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:dampening'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dampening_list is not None:
                            for child_ref in self.dampening_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Dampening']['meta_info']


                class Default(object):
                    """
                    
                    
                    .. attribute:: interface
                    
                    	SPAN source interface
                    	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Default.Interface>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interface = Native.RouteMap.RouteMapSeq.Set.Default.Interface()
                        self.interface.parent = self


                    class Interface(object):
                        """
                        SPAN source interface
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Default.Interface.AtmAcrsubinterface>`
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Default.Interface.AtmSubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\:  str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\:  str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\:  str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\:  str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\:  str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  int
                        
                        	**range:** 0..65520
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Default.Interface.LispSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Default.Interface.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\:  str
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\:  str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\:  str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.appnav_compress = None
                            self.appnav_uncompress = None
                            self.atm = None
                            self.atm_acr = None
                            self.atm_acrsubinterface = Native.RouteMap.RouteMapSeq.Set.Default.Interface.AtmAcrsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self.atm_subinterface = Native.RouteMap.RouteMapSeq.Set.Default.Interface.AtmSubinterface()
                            self.atm_subinterface.parent = self
                            self.bdi = None
                            self.cellular = None
                            self.cem = None
                            self.cem_acr = None
                            self.embedded_service_engine = None
                            self.fastethernet = None
                            self.gigabitethernet = None
                            self.lisp = None
                            self.lisp_subinterface = Native.RouteMap.RouteMapSeq.Set.Default.Interface.LispSubinterface()
                            self.lisp_subinterface.parent = self
                            self.loopback = None
                            self.multilink = None
                            self.nve = None
                            self.overlay = None
                            self.port_channel = None
                            self.port_channel_subinterface = Native.RouteMap.RouteMapSeq.Set.Default.Interface.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self.pseudowire = None
                            self.serial = None
                            self.sm = None
                            self.tengigabitethernet = None
                            self.tunnel = None
                            self.vasileft = None
                            self.vasiright = None
                            self.virtual_template = None
                            self.virtualportgroup = None
                            self.vlan = None


                        class AtmSubinterface(object):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:ATM-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Default.Interface.AtmSubinterface']['meta_info']


                        class AtmAcrsubinterface(object):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm_acr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:ATM-ACRsubinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm_acr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Default.Interface.AtmAcrsubinterface']['meta_info']


                        class LispSubinterface(object):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:LISP-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Default.Interface.LispSubinterface']['meta_info']


                        class PortChannelSubinterface(object):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port_channel = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:Port-channel-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port_channel is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Default.Interface.PortChannelSubinterface']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:interface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.appnav_compress is not None:
                                return True

                            if self.appnav_uncompress is not None:
                                return True

                            if self.atm is not None:
                                return True

                            if self.atm_acr is not None:
                                return True

                            if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                return True

                            if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                return True

                            if self.bdi is not None:
                                return True

                            if self.cellular is not None:
                                return True

                            if self.cem is not None:
                                return True

                            if self.cem_acr is not None:
                                return True

                            if self.embedded_service_engine is not None:
                                return True

                            if self.fastethernet is not None:
                                return True

                            if self.gigabitethernet is not None:
                                return True

                            if self.lisp is not None:
                                return True

                            if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                return True

                            if self.loopback is not None:
                                return True

                            if self.multilink is not None:
                                return True

                            if self.nve is not None:
                                return True

                            if self.overlay is not None:
                                return True

                            if self.port_channel is not None:
                                return True

                            if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                return True

                            if self.pseudowire is not None:
                                return True

                            if self.serial is not None:
                                return True

                            if self.sm is not None:
                                return True

                            if self.tengigabitethernet is not None:
                                return True

                            if self.tunnel is not None:
                                return True

                            if self.vasileft is not None:
                                return True

                            if self.vasiright is not None:
                                return True

                            if self.virtual_template is not None:
                                return True

                            if self.virtualportgroup is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Default.Interface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interface is not None and self.interface._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Default']['meta_info']


                class ExtcommList(object):
                    """
                    Set BGP/VPN extended community list (for deletion)
                    
                    .. attribute:: excomm_list_name
                    
                    	
                    	**type**\: list of    :py:class:`ExcommListName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.ExtcommList.ExcommListName>`
                    
                    .. attribute:: ext_range
                    
                    	
                    	**type**\: list of    :py:class:`ExtRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.ExtcommList.ExtRange>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.excomm_list_name = YList()
                        self.excomm_list_name.parent = self
                        self.excomm_list_name.name = 'excomm_list_name'
                        self.ext_range = YList()
                        self.ext_range.parent = self
                        self.ext_range.name = 'ext_range'


                    class ExtRange(object):
                        """
                        
                        
                        .. attribute:: comm_list_num  <key>
                        
                        	Extended community\-list number (expanded)
                        	**type**\:  int
                        
                        	**range:** 1..500
                        
                        .. attribute:: delete
                        
                        	Delete matching extended communities
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.comm_list_num = None
                            self.delete = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.comm_list_num is None:
                                raise YPYModelError('Key property comm_list_num is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:ext-range[Cisco-IOS-XE-route-map:comm-list-num = ' + str(self.comm_list_num) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.comm_list_num is not None:
                                return True

                            if self.delete is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.ExtcommList.ExtRange']['meta_info']


                    class ExcommListName(object):
                        """
                        
                        
                        .. attribute:: name  <key>
                        
                        	extcommunity\-list name
                        	**type**\:  str
                        
                        .. attribute:: delete
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.delete = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:excomm-list-name[Cisco-IOS-XE-route-map:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.delete is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.ExtcommList.ExcommListName']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:extcomm-list'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.excomm_list_name is not None:
                            for child_ref in self.excomm_list_name:
                                if child_ref._has_data():
                                    return True

                        if self.ext_range is not None:
                            for child_ref in self.ext_range:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.ExtcommList']['meta_info']


                class Extcommunity(object):
                    """
                    BGP extended community attribute
                    
                    .. attribute:: cost
                    
                    	Cost extended community
                    	**type**\:   :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost>`
                    
                    .. attribute:: rt
                    
                    	Route Target extended community
                    	**type**\:   :py:class:`Rt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt>`
                    
                    .. attribute:: soo
                    
                    	Site\-of\-Origin extended community
                    	**type**\:   :py:class:`Soo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.Soo>`
                    
                    .. attribute:: vpn_distinguisher
                    
                    	VPN Distinguisher
                    	**type**\:   :py:class:`VpnDistinguisher <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cost = Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost()
                        self.cost.parent = self
                        self.rt = Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt()
                        self.rt.parent = self
                        self.soo = Native.RouteMap.RouteMapSeq.Set.Extcommunity.Soo()
                        self.soo.parent = self
                        self.vpn_distinguisher = Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher()
                        self.vpn_distinguisher.parent = self


                    class Cost(object):
                        """
                        Cost extended community
                        
                        .. attribute:: community_id
                        
                        	
                        	**type**\: list of    :py:class:`CommunityId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.CommunityId>`
                        
                        .. attribute:: igp
                        
                        	Compare following IGP cost comparison
                        	**type**\:   :py:class:`Igp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp>`
                        
                        .. attribute:: pre_bestpath
                        
                        	Compare before all other steps in bestpath calculation
                        	**type**\:   :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.community_id = YList()
                            self.community_id.parent = self
                            self.community_id.name = 'community_id'
                            self.igp = Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp()
                            self.igp.parent = self
                            self.pre_bestpath = Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath()
                            self.pre_bestpath.parent = self


                        class CommunityId(object):
                            """
                            
                            
                            .. attribute:: community_id  <key>
                            
                            	Community ID
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: cost_value  <key>
                            
                            	Cost Value (No\-preference Cost = 2147483647)
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.community_id = None
                                self.cost_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.community_id is None:
                                    raise YPYModelError('Key property community_id is None')
                                if self.cost_value is None:
                                    raise YPYModelError('Key property cost_value is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:community-id[Cisco-IOS-XE-route-map:community-id = ' + str(self.community_id) + '][Cisco-IOS-XE-route-map:cost-value = ' + str(self.cost_value) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.community_id is not None:
                                    return True

                                if self.cost_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.CommunityId']['meta_info']


                        class Igp(object):
                            """
                            Compare following IGP cost comparison
                            
                            .. attribute:: community_id
                            
                            	
                            	**type**\: list of    :py:class:`CommunityId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp.CommunityId>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.community_id = YList()
                                self.community_id.parent = self
                                self.community_id.name = 'community_id'


                            class CommunityId(object):
                                """
                                
                                
                                .. attribute:: community_id  <key>
                                
                                	Community ID
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: cost_value  <key>
                                
                                	Cost Value (No\-preference Cost = 2147483647)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.community_id = None
                                    self.cost_value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.community_id is None:
                                        raise YPYModelError('Key property community_id is None')
                                    if self.cost_value is None:
                                        raise YPYModelError('Key property cost_value is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-route-map:community-id[Cisco-IOS-XE-route-map:community-id = ' + str(self.community_id) + '][Cisco-IOS-XE-route-map:cost-value = ' + str(self.cost_value) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.community_id is not None:
                                        return True

                                    if self.cost_value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp.CommunityId']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:igp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.community_id is not None:
                                    for child_ref in self.community_id:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp']['meta_info']


                        class PreBestpath(object):
                            """
                            Compare before all other steps in bestpath calculation
                            
                            .. attribute:: community_id
                            
                            	
                            	**type**\: list of    :py:class:`CommunityId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath.CommunityId>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.community_id = YList()
                                self.community_id.parent = self
                                self.community_id.name = 'community_id'


                            class CommunityId(object):
                                """
                                
                                
                                .. attribute:: community_id  <key>
                                
                                	Community ID
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: cost_value  <key>
                                
                                	Cost Value (No\-preference Cost = 2147483647)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.community_id = None
                                    self.cost_value = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.community_id is None:
                                        raise YPYModelError('Key property community_id is None')
                                    if self.cost_value is None:
                                        raise YPYModelError('Key property cost_value is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-route-map:community-id[Cisco-IOS-XE-route-map:community-id = ' + str(self.community_id) + '][Cisco-IOS-XE-route-map:cost-value = ' + str(self.cost_value) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.community_id is not None:
                                        return True

                                    if self.cost_value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath.CommunityId']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:pre-bestpath'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.community_id is not None:
                                    for child_ref in self.community_id:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:cost'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.community_id is not None:
                                for child_ref in self.community_id:
                                    if child_ref._has_data():
                                        return True

                            if self.igp is not None and self.igp._has_data():
                                return True

                            if self.pre_bestpath is not None and self.pre_bestpath._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost']['meta_info']


                    class Rt(object):
                        """
                        Route Target extended community
                        
                        .. attribute:: additive
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: asn_nn
                        
                        	
                        	**type**\:  list of str
                        
                        	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                        
                        .. attribute:: range
                        
                        	Specify a range of extended community
                        	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt.Range>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.additive = None
                            self.asn_nn = YLeafList()
                            self.asn_nn.parent = self
                            self.asn_nn.name = 'asn_nn'
                            self.range = Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt.Range()
                            self.range.parent = self


                        class Range(object):
                            """
                            Specify a range of extended community
                            
                            .. attribute:: additive
                            
                            	Add to the existing extcommunity
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: high_limit
                            
                            	VPN extended community high limit
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                            
                            .. attribute:: lower_limit
                            
                            	VPN extended community lower limit
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.additive = None
                                self.high_limit = None
                                self.lower_limit = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:range'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.additive is not None:
                                    return True

                                if self.high_limit is not None:
                                    return True

                                if self.lower_limit is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt.Range']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:rt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.additive is not None:
                                return True

                            if self.asn_nn is not None:
                                for child in self.asn_nn:
                                    if child is not None:
                                        return True

                            if self.range is not None and self.range._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt']['meta_info']


                    class Soo(object):
                        """
                        Site\-of\-Origin extended community
                        
                        .. attribute:: asn_nn
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.asn_nn = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:soo'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.asn_nn is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.Soo']['meta_info']


                    class VpnDistinguisher(object):
                        """
                        VPN Distinguisher
                        
                        .. attribute:: asn_nn
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                        
                        .. attribute:: range
                        
                        	Specify a range of extended community
                        	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher.Range>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.asn_nn = None
                            self.range = Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher.Range()
                            self.range.parent = self


                        class Range(object):
                            """
                            Specify a range of extended community
                            
                            .. attribute:: additive
                            
                            	Add to the existing extcommunity
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: high_limit
                            
                            	VPN extended community high limit
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                            
                            .. attribute:: lower_limit
                            
                            	VPN extended community lower limit
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.additive = None
                                self.high_limit = None
                                self.lower_limit = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:range'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.additive is not None:
                                    return True

                                if self.high_limit is not None:
                                    return True

                                if self.lower_limit is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher.Range']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:vpn-distinguisher'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.asn_nn is not None:
                                return True

                            if self.range is not None and self.range._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:extcommunity'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cost is not None and self.cost._has_data():
                            return True

                        if self.rt is not None and self.rt._has_data():
                            return True

                        if self.soo is not None and self.soo._has_data():
                            return True

                        if self.vpn_distinguisher is not None and self.vpn_distinguisher._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Extcommunity']['meta_info']


                class Interface(object):
                    """
                    
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Interface.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Interface.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Interface.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.RouteMap.RouteMapSeq.Set.Interface.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.RouteMap.RouteMapSeq.Set.Interface.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.RouteMap.RouteMapSeq.Set.Interface.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.RouteMap.RouteMapSeq.Set.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Interface.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Interface.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Interface.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Interface.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Interface']['meta_info']


                class Ip(object):
                    """
                    IP specific information
                    
                    .. attribute:: address
                    
                    	Specify IP address
                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Address>`
                    
                    .. attribute:: default
                    
                    	Set default information
                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Default>`
                    
                    .. attribute:: df
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..1
                    
                    .. attribute:: global_
                    
                    	global routing table
                    	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Global_>`
                    
                    .. attribute:: next_hop
                    
                    	Next hop address
                    	**type**\:   :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.NextHop>`
                    
                    .. attribute:: precedence
                    
                    	Set precedence field
                    	**type**\:   :py:class:`Precedence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Precedence>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: qos_group
                    
                    	Set QOS Group ID
                    	**type**\:   :py:class:`QosGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.QosGroup>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: tos
                    
                    	Set type of service field
                    	**type**\:   :py:class:`Tos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Tos>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: vrf
                    
                    	VRF name
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = Native.RouteMap.RouteMapSeq.Set.Ip.Address()
                        self.address.parent = self
                        self.default = Native.RouteMap.RouteMapSeq.Set.Ip.Default()
                        self.default.parent = self
                        self.df = None
                        self.global_ = Native.RouteMap.RouteMapSeq.Set.Ip.Global_()
                        self.global_.parent = self
                        self.next_hop = Native.RouteMap.RouteMapSeq.Set.Ip.NextHop()
                        self.next_hop.parent = self
                        self.precedence = None
                        self.qos_group = None
                        self.tos = None
                        self.vrf = Native.RouteMap.RouteMapSeq.Set.Ip.Vrf()
                        self.vrf.parent = self


                    class Address(object):
                        """
                        Specify IP address
                        
                        .. attribute:: prefix_list
                        
                        	Specify prefix\-list
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix_list = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix_list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Address']['meta_info']


                    class Default(object):
                        """
                        Set default information
                        
                        .. attribute:: global_
                        
                        	global routing table
                        	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_>`
                        
                        .. attribute:: next_hop
                        
                        	Next hop along path
                        	**type**\:   :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Default.NextHop>`
                        
                        .. attribute:: vrf
                        
                        	VRF name
                        	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.global_ = Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_()
                            self.global_.parent = self
                            self.next_hop = Native.RouteMap.RouteMapSeq.Set.Ip.Default.NextHop()
                            self.next_hop.parent = self
                            self.vrf = Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf()
                            self.vrf.parent = self


                        class Global_(object):
                            """
                            global routing table
                            
                            .. attribute:: next_hop
                            
                            	Next hop along path
                            	**type**\:   :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_.NextHop>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.next_hop = Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_.NextHop()
                                self.next_hop.parent = self


                            class NextHop(object):
                                """
                                Next hop along path
                                
                                .. attribute:: address
                                
                                	
                                	**type**\:  list of str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = YLeafList()
                                    self.address.parent = self
                                    self.address.name = 'address'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-route-map:next-hop'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None:
                                        for child in self.address:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_.NextHop']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:global'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.next_hop is not None and self.next_hop._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_']['meta_info']


                        class NextHop(object):
                            """
                            Next hop along path
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  list of str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = YLeafList()
                                self.address.parent = self
                                self.address.name = 'address'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:next-hop'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    for child in self.address:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Default.NextHop']['meta_info']


                        class Vrf(object):
                            """
                            VRF name
                            
                            .. attribute:: vrfs
                            
                            	
                            	**type**\: list of    :py:class:`Vrfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.vrfs = YList()
                                self.vrfs.parent = self
                                self.vrfs.name = 'vrfs'


                            class Vrfs(object):
                                """
                                
                                
                                .. attribute:: vrf  <key>
                                
                                	WORD;;VRF name
                                	**type**\:  str
                                
                                .. attribute:: next_hop
                                
                                	Next hop along path
                                	**type**\:   :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs.NextHop>`
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.vrf = None
                                    self.next_hop = Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs.NextHop()
                                    self.next_hop.parent = self


                                class NextHop(object):
                                    """
                                    Next hop along path
                                    
                                    .. attribute:: address
                                    
                                    	
                                    	**type**\:  list of str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-route-map'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = YLeafList()
                                        self.address.parent = self
                                        self.address.name = 'address'

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:next-hop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.address is not None:
                                            for child in self.address:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs.NextHop']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.vrf is None:
                                        raise YPYModelError('Key property vrf is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-route-map:vrfs[Cisco-IOS-XE-route-map:vrf = ' + str(self.vrf) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.vrf is not None:
                                        return True

                                    if self.next_hop is not None and self.next_hop._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:vrf'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.vrfs is not None:
                                    for child_ref in self.vrfs:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:default'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.global_ is not None and self.global_._has_data():
                                return True

                            if self.next_hop is not None and self.next_hop._has_data():
                                return True

                            if self.vrf is not None and self.vrf._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Default']['meta_info']


                    class Global_(object):
                        """
                        global routing table
                        
                        .. attribute:: next_hop
                        
                        	Next hop along path
                        	**type**\:   :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Global_.NextHop>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.next_hop = Native.RouteMap.RouteMapSeq.Set.Ip.Global_.NextHop()
                            self.next_hop.parent = self


                        class NextHop(object):
                            """
                            Next hop along path
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  list of str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = YLeafList()
                                self.address.parent = self
                                self.address.name = 'address'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:next-hop'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    for child in self.address:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Global_.NextHop']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:global'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.next_hop is not None and self.next_hop._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Global_']['meta_info']


                    class NextHop(object):
                        """
                        Next hop address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: dynamic
                        
                        	application dynamically sets next hop
                        	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Dynamic>`
                        
                        .. attribute:: encapsulate
                        
                        	Encapsulation profile for VPN nexthop
                        	**type**\:   :py:class:`Encapsulate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Encapsulate>`
                        
                        .. attribute:: peer_address
                        
                        	Use peer address (for BGP only)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: recursive
                        
                        	Recursive next\-hop
                        	**type**\:   :py:class:`Recursive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive>`
                        
                        .. attribute:: self
                        
                        	Use self address (for BGP only)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: verify_availability
                        
                        	Verify if nexthop is reachable
                        	**type**\:   :py:class:`VerifyAvailability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.VerifyAvailability>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.dynamic = Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Dynamic()
                            self.dynamic.parent = self
                            self.encapsulate = Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Encapsulate()
                            self.encapsulate.parent = self
                            self.peer_address = None
                            self.recursive = Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive()
                            self.recursive.parent = self
                            self.self = None
                            self.verify_availability = None


                        class Dynamic(object):
                            """
                            application dynamically sets next hop
                            
                            .. attribute:: dhcp
                            
                            	DHCP learned next hop
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dhcp = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:dynamic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dhcp is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Dynamic']['meta_info']


                        class Encapsulate(object):
                            """
                            Encapsulation profile for VPN nexthop
                            
                            .. attribute:: l3vpn
                            
                            	L3VPN
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.l3vpn = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:encapsulate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.l3vpn is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Encapsulate']['meta_info']


                        class Recursive(object):
                            """
                            Recursive next\-hop
                            
                            .. attribute:: global_
                            
                            	IP address of recursive next hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv4
                            
                            	IP address of recursive next hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vrf
                            
                            	VRF name
                            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.global_ = None
                                self.ipv4 = None
                                self.vrf = Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf()
                                self.vrf.parent = self


                            class Vrf(object):
                                """
                                VRF name
                                
                                .. attribute:: vrfs
                                
                                	
                                	**type**\: list of    :py:class:`Vrfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf.Vrfs>`
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.vrfs = YList()
                                    self.vrfs.parent = self
                                    self.vrfs.name = 'vrfs'


                                class Vrfs(object):
                                    """
                                    
                                    
                                    .. attribute:: vrf  <key>
                                    
                                    	VRF name
                                    	**type**\:  str
                                    
                                    .. attribute:: ipv4
                                    
                                    	IP address of recursive next hop
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-route-map'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.vrf = None
                                        self.ipv4 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.vrf is None:
                                            raise YPYModelError('Key property vrf is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:vrfs[Cisco-IOS-XE-route-map:vrf = ' + str(self.vrf) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.vrf is not None:
                                            return True

                                        if self.ipv4 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf.Vrfs']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-route-map:vrf'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.vrfs is not None:
                                        for child_ref in self.vrfs:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:recursive'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.global_ is not None:
                                    return True

                                if self.ipv4 is not None:
                                    return True

                                if self.vrf is not None and self.vrf._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive']['meta_info']


                        class VerifyAvailability(object):
                            """
                            Verify if nexthop is reachable
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.VerifyAvailability.Ipv4>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.ipv4 = YList()
                                self.ipv4.parent = self
                                self.ipv4.name = 'ipv4'


                            class Ipv4(object):
                                """
                                
                                
                                .. attribute:: ipv4  <key>
                                
                                	IP address of next hop
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: range
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None
                                    self.range = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ipv4 is None:
                                        raise YPYModelError('Key property ipv4 is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-route-map:ipv4[Cisco-IOS-XE-route-map:ipv4 = ' + str(self.ipv4) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    if self.range is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.VerifyAvailability.Ipv4']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:verify-availability'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.ipv4 is not None:
                                    for child_ref in self.ipv4:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.VerifyAvailability']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:next-hop'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.dynamic is not None and self.dynamic._has_data():
                                return True

                            if self.encapsulate is not None and self.encapsulate._has_data():
                                return True

                            if self.peer_address is not None:
                                return True

                            if self.recursive is not None and self.recursive._has_data():
                                return True

                            if self.self is not None:
                                return True

                            if self.verify_availability is not None and self.verify_availability._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.NextHop']['meta_info']


                    class Precedence(object):
                        """
                        Set precedence field
                        
                        .. attribute:: precedence_fields
                        
                        	
                        	**type**\:   :py:class:`PrecedenceFieldsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Precedence.PrecedenceFieldsEnum>`
                        
                        .. attribute:: precedence_value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..7
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.precedence_fields = None
                            self.precedence_value = None

                        class PrecedenceFieldsEnum(Enum):
                            """
                            PrecedenceFieldsEnum

                            .. data:: critical = 0

                            .. data:: flash = 1

                            .. data:: flash_override = 2

                            .. data:: immediate = 3

                            .. data:: internet = 4

                            .. data:: network = 5

                            .. data:: priority = 6

                            .. data:: routine = 7

                            """

                            critical = 0

                            flash = 1

                            flash_override = 2

                            immediate = 3

                            internet = 4

                            network = 5

                            priority = 6

                            routine = 7


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Precedence.PrecedenceFieldsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:precedence'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.precedence_fields is not None:
                                return True

                            if self.precedence_value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Precedence']['meta_info']


                    class QosGroup(object):
                        """
                        Set QOS Group ID
                        
                        .. attribute:: qos_id
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..99
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.qos_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:qos-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.qos_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.QosGroup']['meta_info']


                    class Tos(object):
                        """
                        Set type of service field
                        
                        .. attribute:: service_value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..15
                        
                        .. attribute:: tos_fields
                        
                        	
                        	**type**\:   :py:class:`TosFieldsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Tos.TosFieldsEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.service_value = None
                            self.tos_fields = None

                        class TosFieldsEnum(Enum):
                            """
                            TosFieldsEnum

                            .. data:: max_reliability = 0

                            .. data:: max_throughput = 1

                            .. data:: min_delay = 2

                            .. data:: min_monetary_cost = 3

                            .. data:: normal = 4

                            """

                            max_reliability = 0

                            max_throughput = 1

                            min_delay = 2

                            min_monetary_cost = 3

                            normal = 4


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Tos.TosFieldsEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:tos'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.service_value is not None:
                                return True

                            if self.tos_fields is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Tos']['meta_info']


                    class Vrf(object):
                        """
                        VRF name
                        
                        .. attribute:: vrfs
                        
                        	
                        	**type**\: list of    :py:class:`Vrfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vrfs = YList()
                            self.vrfs.parent = self
                            self.vrfs.name = 'vrfs'


                        class Vrfs(object):
                            """
                            
                            
                            .. attribute:: vrf  <key>
                            
                            	WORD;;VRF name
                            	**type**\:  str
                            
                            .. attribute:: next_hop
                            
                            	Next hop along path
                            	**type**\:   :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs.NextHop>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.vrf = None
                                self.next_hop = Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs.NextHop()
                                self.next_hop.parent = self


                            class NextHop(object):
                                """
                                Next hop along path
                                
                                .. attribute:: address
                                
                                	
                                	**type**\:  list of str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = YLeafList()
                                    self.address.parent = self
                                    self.address.name = 'address'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-route-map:next-hop'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None:
                                        for child in self.address:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs.NextHop']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.vrf is None:
                                    raise YPYModelError('Key property vrf is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:vrfs[Cisco-IOS-XE-route-map:vrf = ' + str(self.vrf) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.vrf is not None:
                                    return True

                                if self.next_hop is not None and self.next_hop._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vrfs is not None:
                                for child_ref in self.vrfs:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None and self.address._has_data():
                            return True

                        if self.default is not None and self.default._has_data():
                            return True

                        if self.df is not None:
                            return True

                        if self.global_ is not None and self.global_._has_data():
                            return True

                        if self.next_hop is not None and self.next_hop._has_data():
                            return True

                        if self.precedence is not None and self.precedence._has_data():
                            return True

                        if self.qos_group is not None and self.qos_group._has_data():
                            return True

                        if self.tos is not None and self.tos._has_data():
                            return True

                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ip']['meta_info']


                class Ipv6(object):
                    """
                    IPv6 specific information
                    
                    .. attribute:: address
                    
                    	IPv6 address
                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Address>`
                    
                    .. attribute:: bvrf
                    
                    	
                    	**type**\: list of    :py:class:`Bvrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf>`
                    
                    .. attribute:: default
                    
                    	Set default information
                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Default>`
                    
                    .. attribute:: global_
                    
                    	global routing table
                    	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_>`
                    
                    .. attribute:: next_hop
                    
                    	IPv6 Next hop
                    	**type**\:   :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop>`
                    
                    .. attribute:: precedence
                    
                    	Precedence value
                    	**type**\:  int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = Native.RouteMap.RouteMapSeq.Set.Ipv6.Address()
                        self.address.parent = self
                        self.bvrf = YList()
                        self.bvrf.parent = self
                        self.bvrf.name = 'bvrf'
                        self.default = Native.RouteMap.RouteMapSeq.Set.Ipv6.Default()
                        self.default.parent = self
                        self.global_ = Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_()
                        self.global_.parent = self
                        self.next_hop = Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop()
                        self.next_hop.parent = self
                        self.precedence = None


                    class Address(object):
                        """
                        IPv6 address
                        
                        .. attribute:: prefix_list
                        
                        	IPv6 prefix\-list
                        	**type**\:  list of str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix_list = YLeafList()
                            self.prefix_list.parent = self
                            self.prefix_list.name = 'prefix_list'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix_list is not None:
                                for child in self.prefix_list:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Address']['meta_info']


                    class Default(object):
                        """
                        Set default information
                        
                        .. attribute:: dvrf
                        
                        	
                        	**type**\: list of    :py:class:`Dvrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Dvrf>`
                        
                        .. attribute:: global_
                        
                        	global routing table
                        	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Global_>`
                        
                        .. attribute:: next_hop
                        
                        	Next hop along path
                        	**type**\:   :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dvrf = YList()
                            self.dvrf.parent = self
                            self.dvrf.name = 'dvrf'
                            self.global_ = Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Global_()
                            self.global_.parent = self
                            self.next_hop = Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop()
                            self.next_hop.parent = self


                        class Global_(object):
                            """
                            global routing table
                            
                            .. attribute:: next_hop
                            
                            	Next hop along path
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.next_hop = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:global'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.next_hop is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Global_']['meta_info']


                        class NextHop(object):
                            """
                            Next hop along path
                            
                            .. attribute:: ipv6s
                            
                            	
                            	**type**\: list of    :py:class:`Ipv6S <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop.Ipv6S>`
                            
                            .. attribute:: next_hop_address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv6s = YList()
                                self.ipv6s.parent = self
                                self.ipv6s.name = 'ipv6s'
                                self.next_hop_address = None


                            class Ipv6S(object):
                                """
                                
                                
                                .. attribute:: ipv6  <key>
                                
                                	Default next hop IPv6 address
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv6 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ipv6 is None:
                                        raise YPYModelError('Key property ipv6 is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-route-map:ipv6s[Cisco-IOS-XE-route-map:ipv6 = ' + str(self.ipv6) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv6 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop.Ipv6S']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:next-hop'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv6s is not None:
                                    for child_ref in self.ipv6s:
                                        if child_ref._has_data():
                                            return True

                                if self.next_hop_address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop']['meta_info']


                        class Dvrf(object):
                            """
                            
                            
                            .. attribute:: dvrf  <key>
                            
                            	VRF name
                            	**type**\:  str
                            
                            .. attribute:: dvrf0
                            
                            	
                            	**type**\: list of    :py:class:`Dvrf0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Dvrf.Dvrf0>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dvrf = None
                                self.dvrf0 = YList()
                                self.dvrf0.parent = self
                                self.dvrf0.name = 'dvrf0'


                            class Dvrf0(object):
                                """
                                
                                
                                .. attribute:: dvrf0  <key>
                                
                                	VRF name
                                	**type**\:  str
                                
                                .. attribute:: next_hop
                                
                                	Next hop along path
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dvrf0 = None
                                    self.next_hop = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.dvrf0 is None:
                                        raise YPYModelError('Key property dvrf0 is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-route-map:dvrf0[Cisco-IOS-XE-route-map:dvrf0 = ' + str(self.dvrf0) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dvrf0 is not None:
                                        return True

                                    if self.next_hop is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Dvrf.Dvrf0']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.dvrf is None:
                                    raise YPYModelError('Key property dvrf is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:dvrf[Cisco-IOS-XE-route-map:dvrf = ' + str(self.dvrf) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dvrf is not None:
                                    return True

                                if self.dvrf0 is not None:
                                    for child_ref in self.dvrf0:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Dvrf']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:default'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dvrf is not None:
                                for child_ref in self.dvrf:
                                    if child_ref._has_data():
                                        return True

                            if self.global_ is not None and self.global_._has_data():
                                return True

                            if self.next_hop is not None and self.next_hop._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Default']['meta_info']


                    class Global_(object):
                        """
                        global routing table
                        
                        .. attribute:: next_hop
                        
                        	IPv6 Next hop
                        	**type**\:   :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.next_hop = Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop()
                            self.next_hop.parent = self


                        class NextHop(object):
                            """
                            IPv6 Next hop
                            
                            .. attribute:: nh_ipv6
                            
                            	
                            	**type**\: list of    :py:class:`NhIpv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop.NhIpv6>`
                            
                            .. attribute:: verify_availability
                            
                            	Next hop address
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.nh_ipv6 = YList()
                                self.nh_ipv6.parent = self
                                self.nh_ipv6.name = 'nh_ipv6'
                                self.verify_availability = None


                            class NhIpv6(object):
                                """
                                
                                
                                .. attribute:: nh_ipv6  <key>
                                
                                	Next hop address
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: nh_ipv60
                                
                                	Next hop address
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.nh_ipv6 = None
                                    self.nh_ipv60 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.nh_ipv6 is None:
                                        raise YPYModelError('Key property nh_ipv6 is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-route-map:nh-ipv6[Cisco-IOS-XE-route-map:nh-ipv6 = ' + str(self.nh_ipv6) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.nh_ipv6 is not None:
                                        return True

                                    if self.nh_ipv60 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop.NhIpv6']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:next-hop'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.nh_ipv6 is not None:
                                    for child_ref in self.nh_ipv6:
                                        if child_ref._has_data():
                                            return True

                                if self.verify_availability is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:global'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.next_hop is not None and self.next_hop._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_']['meta_info']


                    class NextHop(object):
                        """
                        IPv6 Next hop
                        
                        .. attribute:: encapsulate
                        
                        	Encapsulation profile for VPN nexthop
                        	**type**\:   :py:class:`Encapsulate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.Encapsulate>`
                        
                        .. attribute:: nha_ipv6
                        
                        	
                        	**type**\: list of    :py:class:`NhaIpv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.NhaIpv6>`
                        
                        .. attribute:: peer_address
                        
                        	Use peer address (for BGP only)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: recursive
                        
                        	IPv6 address of recursive next\-hop
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: verify_availability
                        
                        	Verify if nexthop is reachable
                        	**type**\:   :py:class:`VerifyAvailability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.encapsulate = Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.Encapsulate()
                            self.encapsulate.parent = self
                            self.nha_ipv6 = YList()
                            self.nha_ipv6.parent = self
                            self.nha_ipv6.name = 'nha_ipv6'
                            self.peer_address = None
                            self.recursive = None
                            self.verify_availability = Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability()
                            self.verify_availability.parent = self


                        class NhaIpv6(object):
                            """
                            
                            
                            .. attribute:: nha_ipv6  <key>
                            
                            	Next hop address
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: nha_ipv60
                            
                            	
                            	**type**\: list of    :py:class:`NhaIpv60 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.NhaIpv6.NhaIpv60>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.nha_ipv6 = None
                                self.nha_ipv60 = YList()
                                self.nha_ipv60.parent = self
                                self.nha_ipv60.name = 'nha_ipv60'


                            class NhaIpv60(object):
                                """
                                
                                
                                .. attribute:: nha_ipv60  <key>
                                
                                	Next hop address
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: nh_ipv6
                                
                                	Next hop address
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.nha_ipv60 = None
                                    self.nh_ipv6 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.nha_ipv60 is None:
                                        raise YPYModelError('Key property nha_ipv60 is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-route-map:nha-ipv60[Cisco-IOS-XE-route-map:nha-ipv60 = ' + str(self.nha_ipv60) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.nha_ipv60 is not None:
                                        return True

                                    if self.nh_ipv6 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.NhaIpv6.NhaIpv60']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.nha_ipv6 is None:
                                    raise YPYModelError('Key property nha_ipv6 is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:nha-ipv6[Cisco-IOS-XE-route-map:nha-ipv6 = ' + str(self.nha_ipv6) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.nha_ipv6 is not None:
                                    return True

                                if self.nha_ipv60 is not None:
                                    for child_ref in self.nha_ipv60:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.NhaIpv6']['meta_info']


                        class Encapsulate(object):
                            """
                            Encapsulation profile for VPN nexthop
                            
                            .. attribute:: l3vpn
                            
                            	Encapsulation profile name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.l3vpn = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:encapsulate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.l3vpn is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.Encapsulate']['meta_info']


                        class VerifyAvailability(object):
                            """
                            Verify if nexthop is reachable
                            
                            .. attribute:: va_ipv6
                            
                            	
                            	**type**\: list of    :py:class:`VaIpv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability.VaIpv6>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.va_ipv6 = YList()
                                self.va_ipv6.parent = self
                                self.va_ipv6.name = 'va_ipv6'


                            class VaIpv6(object):
                                """
                                
                                
                                .. attribute:: va_ipv6  <key>
                                
                                	Next hop address
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: seq_nh
                                
                                	Sequence to insert into next\-hop list
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.va_ipv6 = None
                                    self.seq_nh = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.va_ipv6 is None:
                                        raise YPYModelError('Key property va_ipv6 is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-route-map:va-ipv6[Cisco-IOS-XE-route-map:va-ipv6 = ' + str(self.va_ipv6) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.va_ipv6 is not None:
                                        return True

                                    if self.seq_nh is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability.VaIpv6']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:verify-availability'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.va_ipv6 is not None:
                                    for child_ref in self.va_ipv6:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:next-hop'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.encapsulate is not None and self.encapsulate._has_data():
                                return True

                            if self.nha_ipv6 is not None:
                                for child_ref in self.nha_ipv6:
                                    if child_ref._has_data():
                                        return True

                            if self.peer_address is not None:
                                return True

                            if self.recursive is not None:
                                return True

                            if self.verify_availability is not None and self.verify_availability._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop']['meta_info']


                    class Bvrf(object):
                        """
                        
                        
                        .. attribute:: bvrf  <key>
                        
                        	VRF name
                        	**type**\:  str
                        
                        .. attribute:: bvrf0
                        
                        	
                        	**type**\: list of    :py:class:`Bvrf0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bvrf = None
                            self.bvrf0 = YList()
                            self.bvrf0.parent = self
                            self.bvrf0.name = 'bvrf0'


                        class Bvrf0(object):
                            """
                            
                            
                            .. attribute:: bvrf0  <key>
                            
                            	VRF name
                            	**type**\:  str
                            
                            .. attribute:: next_hop
                            
                            	IPv6 Next hop
                            	**type**\:   :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0.NextHop>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bvrf0 = None
                                self.next_hop = Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0.NextHop()
                                self.next_hop.parent = self


                            class NextHop(object):
                                """
                                IPv6 Next hop
                                
                                .. attribute:: bipv6
                                
                                	Next hop address
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: verify_availability
                                
                                	Verify if nexthop is reachable
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bipv6 = None
                                    self.verify_availability = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-route-map:next-hop'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bipv6 is not None:
                                        return True

                                    if self.verify_availability is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0.NextHop']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.bvrf0 is None:
                                    raise YPYModelError('Key property bvrf0 is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:bvrf0[Cisco-IOS-XE-route-map:bvrf0 = ' + str(self.bvrf0) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bvrf0 is not None:
                                    return True

                                if self.next_hop is not None and self.next_hop._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.bvrf is None:
                                raise YPYModelError('Key property bvrf is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:bvrf[Cisco-IOS-XE-route-map:bvrf = ' + str(self.bvrf) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bvrf is not None:
                                return True

                            if self.bvrf0 is not None:
                                for child_ref in self.bvrf0:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None and self.address._has_data():
                            return True

                        if self.bvrf is not None:
                            for child_ref in self.bvrf:
                                if child_ref._has_data():
                                    return True

                        if self.default is not None and self.default._has_data():
                            return True

                        if self.global_ is not None and self.global_._has_data():
                            return True

                        if self.next_hop is not None and self.next_hop._has_data():
                            return True

                        if self.precedence is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Ipv6']['meta_info']


                class Level(object):
                    """
                    Where to import route
                    
                    .. attribute:: level_1
                    
                    	Import into a level\-1 area
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: level_1_2
                    
                    	Import into level\-1 and level\-2
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: level_2
                    
                    	Import into level\-2 sub\-domain
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nssa_only
                    
                    	Import only into OSPF NSSA areas and don't propagate
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level_1 = None
                        self.level_1_2 = None
                        self.level_2 = None
                        self.nssa_only = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:level'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level_1 is not None:
                            return True

                        if self.level_1_2 is not None:
                            return True

                        if self.level_2 is not None:
                            return True

                        if self.nssa_only is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Level']['meta_info']


                class Lisp(object):
                    """
                    Locator ID Separation Protocol specific information
                    
                    .. attribute:: locator_set
                    
                    	The name of the locator set
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.locator_set = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:lisp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.locator_set is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Lisp']['meta_info']


                class Origin(object):
                    """
                    BGP origin code
                    
                    .. attribute:: egp
                    
                    	remote EGP
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: origin_value
                    
                    	
                    	**type**\:   :py:class:`OriginValueEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Origin.OriginValueEnum>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.egp = None
                        self.origin_value = None

                    class OriginValueEnum(Enum):
                        """
                        OriginValueEnum

                        .. data:: igp = 0

                        .. data:: incomplete = 1

                        """

                        igp = 0

                        incomplete = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Origin.OriginValueEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:origin'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.egp is not None:
                            return True

                        if self.origin_value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Origin']['meta_info']


                class Tag(object):
                    """
                    Tag value for destination routing protocol
                    
                    .. attribute:: tag_ipv4
                    
                    	Tag value(dotted decimal format)
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: tag_val
                    
                    	Tag value
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tag_ipv4 = None
                        self.tag_val = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:tag'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tag_ipv4 is not None:
                            return True

                        if self.tag_val is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Set.Tag']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-route-map:set'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.aigp_metric is not None and self.aigp_metric._has_data():
                        return True

                    if self.as_path is not None and self.as_path._has_data():
                        return True

                    if self.automatic_tag is not None:
                        return True

                    if self.clns is not None and self.clns._has_data():
                        return True

                    if self.comm_list is not None and self.comm_list._has_data():
                        return True

                    if self.community is not None and self.community._has_data():
                        return True

                    if self.dampening is not None and self.dampening._has_data():
                        return True

                    if self.default is not None and self.default._has_data():
                        return True

                    if self.extcomm_list is not None and self.extcomm_list._has_data():
                        return True

                    if self.extcommunity is not None and self.extcommunity._has_data():
                        return True

                    if self.global_ is not None:
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.ip is not None and self.ip._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    if self.level is not None and self.level._has_data():
                        return True

                    if self.lisp is not None and self.lisp._has_data():
                        return True

                    if self.local_preference is not None:
                        return True

                    if self.metric is not None:
                        return True

                    if self.metric_type is not None:
                        return True

                    if self.mpls_label is not None:
                        return True

                    if self.origin is not None and self.origin._has_data():
                        return True

                    if self.tag is not None and self.tag._has_data():
                        return True

                    if self.traffic_index is not None:
                        return True

                    if self.vrf is not None:
                        return True

                    if self.weight is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.RouteMap.RouteMapSeq.Set']['meta_info']


            class Match(object):
                """
                Match values from routing table
                
                .. attribute:: additional_paths
                
                	BGP Add\-Path match policies
                	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.AdditionalPaths>`
                
                .. attribute:: as_path
                
                	Match BGP AS path list
                	**type**\:   :py:class:`AsPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.AsPath>`
                
                .. attribute:: clns
                
                	CLNS information
                	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Clns>`
                
                .. attribute:: community
                
                	Match BGP community list
                	**type**\:   :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Community>`
                
                .. attribute:: extcommunity
                
                	Match BGP/VPN extended community list
                	**type**\:   :py:class:`Extcommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Extcommunity>`
                
                .. attribute:: interface
                
                	SPAN source interface
                	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Interface>`
                
                .. attribute:: ip
                
                	IP specific information
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ip>`
                
                .. attribute:: ipv6
                
                	IPv6 specific information
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ipv6>`
                
                .. attribute:: length
                
                	Packet length
                	**type**\:   :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Length>`
                
                .. attribute:: local_preference
                
                	Local preference for route
                	**type**\:   :py:class:`LocalPreference <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.LocalPreference>`
                
                .. attribute:: mdt_group
                
                	Match routes corresponding to MDT group
                	**type**\:   :py:class:`MdtGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.MdtGroup>`
                
                .. attribute:: metric
                
                	Match metric of route
                	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Metric>`
                
                .. attribute:: mpls_label
                
                	Match routes which have MPLS labels
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: policy_list
                
                	Match IP policy list
                	**type**\:   :py:class:`PolicyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.PolicyList>`
                
                .. attribute:: route_type
                
                	Match route\-type of route
                	**type**\:   :py:class:`RouteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.RouteType>`
                
                .. attribute:: rpki
                
                	Match RPKI state of route
                	**type**\:   :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Rpki>`
                
                .. attribute:: source_protocol
                
                	Match source\-protocol of route
                	**type**\:   :py:class:`SourceProtocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.SourceProtocol>`
                
                	**presence node**\: True
                
                .. attribute:: tag
                
                	Match tag of route
                	**type**\:   :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Tag>`
                
                .. attribute:: track
                
                	tracking object
                	**type**\:  int
                
                	**range:** 1..1000
                
                

                """

                _prefix = 'ios-route-map'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.additional_paths = Native.RouteMap.RouteMapSeq.Match.AdditionalPaths()
                    self.additional_paths.parent = self
                    self.as_path = Native.RouteMap.RouteMapSeq.Match.AsPath()
                    self.as_path.parent = self
                    self.clns = Native.RouteMap.RouteMapSeq.Match.Clns()
                    self.clns.parent = self
                    self.community = Native.RouteMap.RouteMapSeq.Match.Community()
                    self.community.parent = self
                    self.extcommunity = Native.RouteMap.RouteMapSeq.Match.Extcommunity()
                    self.extcommunity.parent = self
                    self.interface = Native.RouteMap.RouteMapSeq.Match.Interface()
                    self.interface.parent = self
                    self.ip = Native.RouteMap.RouteMapSeq.Match.Ip()
                    self.ip.parent = self
                    self.ipv6 = Native.RouteMap.RouteMapSeq.Match.Ipv6()
                    self.ipv6.parent = self
                    self.length = Native.RouteMap.RouteMapSeq.Match.Length()
                    self.length.parent = self
                    self.local_preference = Native.RouteMap.RouteMapSeq.Match.LocalPreference()
                    self.local_preference.parent = self
                    self.mdt_group = Native.RouteMap.RouteMapSeq.Match.MdtGroup()
                    self.mdt_group.parent = self
                    self.metric = Native.RouteMap.RouteMapSeq.Match.Metric()
                    self.metric.parent = self
                    self.mpls_label = None
                    self.policy_list = Native.RouteMap.RouteMapSeq.Match.PolicyList()
                    self.policy_list.parent = self
                    self.route_type = Native.RouteMap.RouteMapSeq.Match.RouteType()
                    self.route_type.parent = self
                    self.rpki = Native.RouteMap.RouteMapSeq.Match.Rpki()
                    self.rpki.parent = self
                    self.source_protocol = None
                    self.tag = Native.RouteMap.RouteMapSeq.Match.Tag()
                    self.tag.parent = self
                    self.track = None


                class AdditionalPaths(object):
                    """
                    BGP Add\-Path match policies
                    
                    .. attribute:: advertise_set
                    
                    	BGP Add\-Path advertise\-set policy
                    	**type**\:   :py:class:`AdvertiseSet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.advertise_set = Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet()
                        self.advertise_set.parent = self


                    class AdvertiseSet(object):
                        """
                        BGP Add\-Path advertise\-set policy
                        
                        .. attribute:: all
                        
                        	BGP Add\-Path advertise all paths
                        	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.All>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: best
                        
                        	BGP Add\-Path advertise best n paths
                        	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best>`
                        
                        .. attribute:: best_range
                        
                        	BGP Add\-Path advertise best paths (range m to n)
                        	**type**\:   :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange>`
                        
                        .. attribute:: group_best
                        
                        	BGP Add\-Path advertise group\-best path
                        	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.GroupBest>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.best = Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best()
                            self.best.parent = self
                            self.best_range = Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange()
                            self.best_range.parent = self
                            self.group_best = None


                        class All(object):
                            """
                            BGP Add\-Path advertise all paths
                            
                            .. attribute:: best
                            
                            	BGP Add\-Path best n paths to advertise
                            	**type**\:  int
                            
                            	**range:** 1..3
                            
                            .. attribute:: best_range
                            
                            	BGP Add\-Path best paths to advertise (lower limit)
                            	**type**\:  int
                            
                            	**range:** 1..3
                            
                            .. attribute:: group_best
                            
                            	BGP Add\-Path advertise group\-best path
                            	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.All.GroupBest>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.best = None
                                self.best_range = None
                                self.group_best = None


                            class GroupBest(object):
                                """
                                BGP Add\-Path advertise group\-best path
                                
                                .. attribute:: best
                                
                                	BGP Add\-Path advertise best n paths
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: best_range
                                
                                	BGP Add\-Path advertise best paths (range m to n)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.best = None
                                    self.best_range = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-route-map:group-best'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.best is not None:
                                        return True

                                    if self.best_range is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.All.GroupBest']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:all'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.best is not None:
                                    return True

                                if self.best_range is not None:
                                    return True

                                if self.group_best is not None and self.group_best._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.All']['meta_info']


                        class Best(object):
                            """
                            BGP Add\-Path advertise best n paths
                            
                            .. attribute:: best_range
                            
                            	
                            	**type**\: list of    :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best.BestRange>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.best_range = YList()
                                self.best_range.parent = self
                                self.best_range.name = 'best_range'


                            class BestRange(object):
                                """
                                
                                
                                .. attribute:: best_range  <key>
                                
                                	BGP Add\-Path best n paths to advertise
                                	**type**\:  int
                                
                                	**range:** 1..3
                                
                                .. attribute:: all
                                
                                	BGP Add\-Path advertise all paths
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: group_best
                                
                                	BGP Add\-Path advertise group\-best path
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.best_range = None
                                    self.all = None
                                    self.group_best = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.best_range is None:
                                        raise YPYModelError('Key property best_range is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-route-map:best-range[Cisco-IOS-XE-route-map:best-range = ' + str(self.best_range) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.best_range is not None:
                                        return True

                                    if self.all is not None:
                                        return True

                                    if self.group_best is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best.BestRange']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:best'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.best_range is not None:
                                    for child_ref in self.best_range:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best']['meta_info']


                        class BestRange(object):
                            """
                            BGP Add\-Path advertise best paths (range m to n)
                            
                            .. attribute:: adv_path
                            
                            	
                            	**type**\: list of    :py:class:`AdvPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange.AdvPath>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.adv_path = YList()
                                self.adv_path.parent = self
                                self.adv_path.name = 'adv_path'


                            class AdvPath(object):
                                """
                                
                                
                                .. attribute:: adv_path  <key>
                                
                                	BGP Add\-Path best paths to advertise (lower limit)
                                	**type**\:  int
                                
                                	**range:** 1..3
                                
                                .. attribute:: adv_path0
                                
                                	BGP Add\-Path best paths to advertise (upper limit)
                                	**type**\:  int
                                
                                	**range:** 1..3
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.adv_path = None
                                    self.adv_path0 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.adv_path is None:
                                        raise YPYModelError('Key property adv_path is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-route-map:adv-path[Cisco-IOS-XE-route-map:adv-path = ' + str(self.adv_path) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.adv_path is not None:
                                        return True

                                    if self.adv_path0 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange.AdvPath']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:best-range'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.adv_path is not None:
                                    for child_ref in self.adv_path:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange']['meta_info']


                        class GroupBest(object):
                            """
                            BGP Add\-Path advertise group\-best path
                            
                            .. attribute:: all
                            
                            	BGP Add\-Path advertise all paths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: best
                            
                            	BGP Add\-Path best n paths to advertise
                            	**type**\:  int
                            
                            	**range:** 1..3
                            
                            .. attribute:: best_range
                            
                            	BGP Add\-Path best paths to advertise (lower limit)
                            	**type**\:  int
                            
                            	**range:** 1..3
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.all = None
                                self.best = None
                                self.best_range = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:group-best'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.all is not None:
                                    return True

                                if self.best is not None:
                                    return True

                                if self.best_range is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.GroupBest']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:advertise-set'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None and self.all._has_data():
                                return True

                            if self.best is not None and self.best._has_data():
                                return True

                            if self.best_range is not None and self.best_range._has_data():
                                return True

                            if self.group_best is not None and self.group_best._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:additional-paths'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.advertise_set is not None and self.advertise_set._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.AdditionalPaths']['meta_info']


                class AsPath(object):
                    """
                    Match BGP AS path list
                    
                    .. attribute:: access_list
                    
                    	AS path access\-list
                    	**type**\:  list of int
                    
                    	**range:** 1..500
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access_list = YLeafList()
                        self.access_list.parent = self
                        self.access_list.name = 'access_list'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:as-path'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access_list is not None:
                            for child in self.access_list:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.AsPath']['meta_info']


                class Clns(object):
                    """
                    CLNS information
                    
                    .. attribute:: name
                    
                    	Named clna list
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = YLeafList()
                        self.name.parent = self
                        self.name.name = 'name'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:clns'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            for child in self.name:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Clns']['meta_info']


                class Community(object):
                    """
                    Match BGP community list
                    
                    .. attribute:: name
                    
                    	Named Access List
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = YLeafList()
                        self.name.parent = self
                        self.name.name = 'name'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:community'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            for child in self.name:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Community']['meta_info']


                class Extcommunity(object):
                    """
                    Match BGP/VPN extended community list
                    
                    .. attribute:: name
                    
                    	Named Access List
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = YLeafList()
                        self.name.parent = self
                        self.name.name = 'name'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:extcommunity'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            for child in self.name:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Extcommunity']['meta_info']


                class Interface(object):
                    """
                    SPAN source interface
                    
                    .. attribute:: interface
                    
                    	
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interface = YLeafList()
                        self.interface.parent = self
                        self.interface.name = 'interface'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interface is not None:
                            for child in self.interface:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Interface']['meta_info']


                class Ip(object):
                    """
                    IP specific information
                    
                    .. attribute:: address
                    
                    	Match address of route or match packet
                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ip.Address>`
                    
                    .. attribute:: flowspec
                    
                    	Match address of route
                    	**type**\:   :py:class:`Flowspec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec>`
                    
                    .. attribute:: next_hop
                    
                    	Match next\-hop address of route
                    	**type**\:   :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ip.NextHop>`
                    
                    .. attribute:: redistribution_source
                    
                    	route redistribution source (EIGRP only)
                    	**type**\:   :py:class:`RedistributionSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ip.RedistributionSource>`
                    
                    .. attribute:: route_source
                    
                    	Match advertising source address of route
                    	**type**\:   :py:class:`RouteSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ip.RouteSource>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = Native.RouteMap.RouteMapSeq.Match.Ip.Address()
                        self.address.parent = self
                        self.flowspec = Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec()
                        self.flowspec.parent = self
                        self.next_hop = Native.RouteMap.RouteMapSeq.Match.Ip.NextHop()
                        self.next_hop.parent = self
                        self.redistribution_source = Native.RouteMap.RouteMapSeq.Match.Ip.RedistributionSource()
                        self.redistribution_source.parent = self
                        self.route_source = Native.RouteMap.RouteMapSeq.Match.Ip.RouteSource()
                        self.route_source.parent = self


                    class Address(object):
                        """
                        Match address of route or match packet
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  list of int
                        
                        	**range:** 1..199 \| 1300..2699
                        
                        
                        ----
                        	**type**\:  list of str
                        
                        	**pattern:** [a\-zA\-Z].\*
                        
                        
                        ----
                        .. attribute:: prefix_list
                        
                        	Match entries of prefix\-lists
                        	**type**\:  list of str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.access_list = YLeafList()
                            self.access_list.parent = self
                            self.access_list.name = 'access_list'
                            self.prefix_list = YLeafList()
                            self.prefix_list.parent = self
                            self.prefix_list.name = 'prefix_list'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.access_list is not None:
                                for child in self.access_list:
                                    if child is not None:
                                        return True

                            if self.prefix_list is not None:
                                for child in self.prefix_list:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Ip.Address']['meta_info']


                    class Flowspec(object):
                        """
                        Match address of route
                        
                        .. attribute:: dest_pfx
                        
                        	Match dest prefix component of flowspec prefix
                        	**type**\:   :py:class:`DestPfx <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.DestPfx>`
                        
                        .. attribute:: src_pfx
                        
                        	Match source prefix component of flowspec prefix
                        	**type**\:   :py:class:`SrcPfx <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.SrcPfx>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dest_pfx = Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.DestPfx()
                            self.dest_pfx.parent = self
                            self.src_pfx = Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.SrcPfx()
                            self.src_pfx.parent = self


                        class DestPfx(object):
                            """
                            Match dest prefix component of flowspec prefix
                            
                            .. attribute:: access_list
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            
                            ----
                            .. attribute:: prefix_list
                            
                            	Match entries of prefix\-lists
                            	**type**\:  list of str
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.access_list = YLeafList()
                                self.access_list.parent = self
                                self.access_list.name = 'access_list'
                                self.prefix_list = YLeafList()
                                self.prefix_list.parent = self
                                self.prefix_list.name = 'prefix_list'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:dest-pfx'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.access_list is not None:
                                    for child in self.access_list:
                                        if child is not None:
                                            return True

                                if self.prefix_list is not None:
                                    for child in self.prefix_list:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.DestPfx']['meta_info']


                        class SrcPfx(object):
                            """
                            Match source prefix component of flowspec prefix
                            
                            .. attribute:: access_list
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            
                            ----
                            .. attribute:: prefix_list
                            
                            	Match entries of prefix\-lists
                            	**type**\:  list of str
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.access_list = YLeafList()
                                self.access_list.parent = self
                                self.access_list.name = 'access_list'
                                self.prefix_list = YLeafList()
                                self.prefix_list.parent = self
                                self.prefix_list.name = 'prefix_list'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:src-pfx'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.access_list is not None:
                                    for child in self.access_list:
                                        if child is not None:
                                            return True

                                if self.prefix_list is not None:
                                    for child in self.prefix_list:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.SrcPfx']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:flowspec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dest_pfx is not None and self.dest_pfx._has_data():
                                return True

                            if self.src_pfx is not None and self.src_pfx._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec']['meta_info']


                    class NextHop(object):
                        """
                        Match next\-hop address of route
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  list of int
                        
                        	**range:** 1..199 \| 1300..2699
                        
                        
                        ----
                        	**type**\:  list of str
                        
                        	**pattern:** [a\-zA\-Z].\*
                        
                        
                        ----
                        .. attribute:: prefix_list
                        
                        	Match entries of prefix\-lists
                        	**type**\:  list of str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.access_list = YLeafList()
                            self.access_list.parent = self
                            self.access_list.name = 'access_list'
                            self.prefix_list = YLeafList()
                            self.prefix_list.parent = self
                            self.prefix_list.name = 'prefix_list'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:next-hop'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.access_list is not None:
                                for child in self.access_list:
                                    if child is not None:
                                        return True

                            if self.prefix_list is not None:
                                for child in self.prefix_list:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Ip.NextHop']['meta_info']


                    class RedistributionSource(object):
                        """
                        route redistribution source (EIGRP only)
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  list of int
                        
                        	**range:** 1..199 \| 1300..2699
                        
                        
                        ----
                        	**type**\:  list of str
                        
                        	**pattern:** [a\-zA\-Z].\*
                        
                        
                        ----
                        .. attribute:: prefix_list
                        
                        	Match entries of prefix\-lists
                        	**type**\:  list of str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.access_list = YLeafList()
                            self.access_list.parent = self
                            self.access_list.name = 'access_list'
                            self.prefix_list = YLeafList()
                            self.prefix_list.parent = self
                            self.prefix_list.name = 'prefix_list'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:redistribution-source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.access_list is not None:
                                for child in self.access_list:
                                    if child is not None:
                                        return True

                            if self.prefix_list is not None:
                                for child in self.prefix_list:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Ip.RedistributionSource']['meta_info']


                    class RouteSource(object):
                        """
                        Match advertising source address of route
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  list of int
                        
                        	**range:** 1..199 \| 1300..2699
                        
                        
                        ----
                        	**type**\:  list of str
                        
                        	**pattern:** [a\-zA\-Z].\*
                        
                        
                        ----
                        .. attribute:: prefix_list
                        
                        	Match entries of prefix\-lists
                        	**type**\:  list of str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.access_list = YLeafList()
                            self.access_list.parent = self
                            self.access_list.name = 'access_list'
                            self.prefix_list = YLeafList()
                            self.prefix_list.parent = self
                            self.prefix_list.name = 'prefix_list'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:route-source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.access_list is not None:
                                for child in self.access_list:
                                    if child is not None:
                                        return True

                            if self.prefix_list is not None:
                                for child in self.prefix_list:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Ip.RouteSource']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None and self.address._has_data():
                            return True

                        if self.flowspec is not None and self.flowspec._has_data():
                            return True

                        if self.next_hop is not None and self.next_hop._has_data():
                            return True

                        if self.redistribution_source is not None and self.redistribution_source._has_data():
                            return True

                        if self.route_source is not None and self.route_source._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Ip']['meta_info']


                class Ipv6(object):
                    """
                    IPv6 specific information
                    
                    .. attribute:: address
                    
                    	Match address of route
                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ipv6.Address>`
                    
                    .. attribute:: flowspec
                    
                    	Match address of route
                    	**type**\:   :py:class:`Flowspec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec>`
                    
                    .. attribute:: next_hop
                    
                    	Match next\-hop address of route
                    	**type**\:   :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ipv6.NextHop>`
                    
                    .. attribute:: route_source
                    
                    	Match advertising source address of route
                    	**type**\:   :py:class:`RouteSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ipv6.RouteSource>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = Native.RouteMap.RouteMapSeq.Match.Ipv6.Address()
                        self.address.parent = self
                        self.flowspec = Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec()
                        self.flowspec.parent = self
                        self.next_hop = Native.RouteMap.RouteMapSeq.Match.Ipv6.NextHop()
                        self.next_hop.parent = self
                        self.route_source = Native.RouteMap.RouteMapSeq.Match.Ipv6.RouteSource()
                        self.route_source.parent = self


                    class Address(object):
                        """
                        Match address of route
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [a\-zA\-Z].\*
                        
                        .. attribute:: prefix_list
                        
                        	IPv6 prefix\-list
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.access_list = None
                            self.prefix_list = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.access_list is not None:
                                return True

                            if self.prefix_list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Ipv6.Address']['meta_info']


                    class Flowspec(object):
                        """
                        Match address of route
                        
                        .. attribute:: dest_pfx
                        
                        	Match dest prefix component of flowspec prefix
                        	**type**\:   :py:class:`DestPfx <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.DestPfx>`
                        
                        .. attribute:: src_pfx
                        
                        	Match source prefix component of flowspec prefix
                        	**type**\:   :py:class:`SrcPfx <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.SrcPfx>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dest_pfx = Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.DestPfx()
                            self.dest_pfx.parent = self
                            self.src_pfx = Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.SrcPfx()
                            self.src_pfx.parent = self


                        class DestPfx(object):
                            """
                            Match dest prefix component of flowspec prefix
                            
                            .. attribute:: access_list
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: prefix_list
                            
                            	IPv6 prefix\-list
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.access_list = None
                                self.prefix_list = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:dest-pfx'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.access_list is not None:
                                    return True

                                if self.prefix_list is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.DestPfx']['meta_info']


                        class SrcPfx(object):
                            """
                            Match source prefix component of flowspec prefix
                            
                            .. attribute:: access_list
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: prefix_list
                            
                            	IPv6 prefix\-list
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.access_list = None
                                self.prefix_list = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-route-map:src-pfx'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.access_list is not None:
                                    return True

                                if self.prefix_list is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.SrcPfx']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:flowspec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dest_pfx is not None and self.dest_pfx._has_data():
                                return True

                            if self.src_pfx is not None and self.src_pfx._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec']['meta_info']


                    class NextHop(object):
                        """
                        Match next\-hop address of route
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [a\-zA\-Z].\*
                        
                        .. attribute:: prefix_list
                        
                        	IPv6 prefix\-list
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.access_list = None
                            self.prefix_list = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:next-hop'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.access_list is not None:
                                return True

                            if self.prefix_list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Ipv6.NextHop']['meta_info']


                    class RouteSource(object):
                        """
                        Match advertising source address of route
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [a\-zA\-Z].\*
                        
                        .. attribute:: prefix_list
                        
                        	IPv6 prefix\-list
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.access_list = None
                            self.prefix_list = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:route-source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.access_list is not None:
                                return True

                            if self.prefix_list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Ipv6.RouteSource']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None and self.address._has_data():
                            return True

                        if self.flowspec is not None and self.flowspec._has_data():
                            return True

                        if self.next_hop is not None and self.next_hop._has_data():
                            return True

                        if self.route_source is not None and self.route_source._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Ipv6']['meta_info']


                class Length(object):
                    """
                    Packet length
                    
                    .. attribute:: lengths
                    
                    	
                    	**type**\: list of    :py:class:`Lengths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Length.Lengths>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.lengths = YList()
                        self.lengths.parent = self
                        self.lengths.name = 'lengths'


                    class Lengths(object):
                        """
                        
                        
                        .. attribute:: min_len  <key>
                        
                        	Minimum packet length
                        	**type**\:  int
                        
                        	**range:** 0..2147483647
                        
                        .. attribute:: max_len  <key>
                        
                        	Maximum packet length
                        	**type**\:  int
                        
                        	**range:** 0..2147483647
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.min_len = None
                            self.max_len = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.min_len is None:
                                raise YPYModelError('Key property min_len is None')
                            if self.max_len is None:
                                raise YPYModelError('Key property max_len is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:lengths[Cisco-IOS-XE-route-map:min-len = ' + str(self.min_len) + '][Cisco-IOS-XE-route-map:max-len = ' + str(self.max_len) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.min_len is not None:
                                return True

                            if self.max_len is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Length.Lengths']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:length'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.lengths is not None:
                            for child_ref in self.lengths:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Length']['meta_info']


                class LocalPreference(object):
                    """
                    Local preference for route
                    
                    .. attribute:: values
                    
                    	
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.values = YLeafList()
                        self.values.parent = self
                        self.values.name = 'values'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:local-preference'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.values is not None:
                            for child in self.values:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.LocalPreference']['meta_info']


                class MdtGroup(object):
                    """
                    Match routes corresponding to MDT group
                    
                    .. attribute:: name
                    
                    	IP Access List
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = YLeafList()
                        self.name.parent = self
                        self.name.name = 'name'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:mdt-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            for child in self.name:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.MdtGroup']['meta_info']


                class Metric(object):
                    """
                    Match metric of route
                    
                    .. attribute:: external
                    
                    	match route using external protocol metric
                    	**type**\:  str
                    
                    .. attribute:: metric_value
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.external = None
                        self.metric_value = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:metric'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.external is not None:
                            return True

                        if self.metric_value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Metric']['meta_info']


                class PolicyList(object):
                    """
                    Match IP policy list
                    
                    .. attribute:: policy_map_names
                    
                    	IP Policy map name
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_names = YLeafList()
                        self.policy_map_names.parent = self
                        self.policy_map_names.name = 'policy_map_names'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:policy-list'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_names is not None:
                            for child in self.policy_map_names:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.PolicyList']['meta_info']


                class RouteType(object):
                    """
                    Match route\-type of route
                    
                    .. attribute:: external
                    
                    	external route (BGP, EIGRP and OSPF type 1/2)
                    	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.RouteType.External>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: internal
                    
                    	internal route (including OSPF intra/inter area)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: level_1
                    
                    	IS\-IS level\-1 route
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: level_2
                    
                    	IS\-IS level\-2 route
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	locally generated route
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nssa_external
                    
                    	nssa\-external route (OSPF type 1/2)
                    	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.RouteType.NssaExternal>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.external = None
                        self.internal = None
                        self.level_1 = None
                        self.level_2 = None
                        self.local = None
                        self.nssa_external = None


                    class External(object):
                        """
                        external route (BGP, EIGRP and OSPF type 1/2)
                        
                        .. attribute:: type_1
                        
                        	OSPF external type 1 route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: type_2
                        
                        	OSPF external type 2 route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.type_1 = None
                            self.type_2 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:external'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.type_1 is not None:
                                return True

                            if self.type_2 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.RouteType.External']['meta_info']


                    class NssaExternal(object):
                        """
                        nssa\-external route (OSPF type 1/2)
                        
                        .. attribute:: type_1
                        
                        	OSPF external type 1 route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: type_2
                        
                        	OSPF external type 2 route
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.type_1 = None
                            self.type_2 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:nssa-external'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.type_1 is not None:
                                return True

                            if self.type_2 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.RouteType.NssaExternal']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:route-type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.external is not None and self.external._has_data():
                            return True

                        if self.internal is not None:
                            return True

                        if self.level_1 is not None:
                            return True

                        if self.level_2 is not None:
                            return True

                        if self.local is not None:
                            return True

                        if self.nssa_external is not None and self.nssa_external._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.RouteType']['meta_info']


                class Rpki(object):
                    """
                    Match RPKI state of route
                    
                    .. attribute:: invalid
                    
                    	RPKI Invalid State
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: not_found
                    
                    	RPKI Not Found State
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: valid
                    
                    	RPKI Valid State
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.invalid = None
                        self.not_found = None
                        self.valid = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:rpki'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.invalid is not None:
                            return True

                        if self.not_found is not None:
                            return True

                        if self.valid is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Rpki']['meta_info']


                class SourceProtocol(object):
                    """
                    Match source\-protocol of route
                    
                    .. attribute:: bgp
                    
                    	Border Gateway Protocol (BGP)
                    	**type**\: one of the below types:
                    
                    	**type**\:  list of int
                    
                    	**range:** 1..4294967295
                    
                    
                    ----
                    	**type**\:  list of str
                    
                    
                    ----
                    .. attribute:: connected
                    
                    	Connected
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: eigrp
                    
                    	Border Gateway Protocol (BGP)
                    	**type**\:  list of str
                    
                    .. attribute:: isis
                    
                    	ISO IS\-IS
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: lisp
                    
                    	Locator ID Separation Protocol (LISP)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mobile
                    
                    	Mobile routes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ospf
                    
                    	Open Shortest Path First (OSPF)
                    	**type**\:  list of str
                    
                    .. attribute:: ospfv3
                    
                    	OSPFv3
                    	**type**\:  list of str
                    
                    .. attribute:: rip
                    
                    	Routing Information Protocol (RIP)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: static
                    
                    	Static routes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.bgp = YLeafList()
                        self.bgp.parent = self
                        self.bgp.name = 'bgp'
                        self.connected = None
                        self.eigrp = YLeafList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'
                        self.isis = None
                        self.lisp = None
                        self.mobile = None
                        self.ospf = YLeafList()
                        self.ospf.parent = self
                        self.ospf.name = 'ospf'
                        self.ospfv3 = YLeafList()
                        self.ospfv3.parent = self
                        self.ospfv3.name = 'ospfv3'
                        self.rip = None
                        self.static = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:source-protocol'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.bgp is not None:
                            for child in self.bgp:
                                if child is not None:
                                    return True

                        if self.connected is not None:
                            return True

                        if self.eigrp is not None:
                            for child in self.eigrp:
                                if child is not None:
                                    return True

                        if self.isis is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.mobile is not None:
                            return True

                        if self.ospf is not None:
                            for child in self.ospf:
                                if child is not None:
                                    return True

                        if self.ospfv3 is not None:
                            for child in self.ospfv3:
                                if child is not None:
                                    return True

                        if self.rip is not None:
                            return True

                        if self.static is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.SourceProtocol']['meta_info']


                class Tag(object):
                    """
                    Match tag of route
                    
                    .. attribute:: ipv4_address
                    
                    	<A.B.C.D>;;Tag value(dotted decimal format)
                    	**type**\:  list of str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: list
                    
                    	Route Tag List
                    	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Tag.List>`
                    
                    .. attribute:: tag_value
                    
                    	Tag value
                    	**type**\:  list of int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4_address = YLeafList()
                        self.ipv4_address.parent = self
                        self.ipv4_address.name = 'ipv4_address'
                        self.list = Native.RouteMap.RouteMapSeq.Match.Tag.List()
                        self.list.parent = self
                        self.tag_value = YLeafList()
                        self.tag_value.parent = self
                        self.tag_value.name = 'tag_value'


                    class List(object):
                        """
                        Route Tag List
                        
                        .. attribute:: tag_names
                        
                        	Tag list name
                        	**type**\:  list of str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.tag_names = YLeafList()
                            self.tag_names.parent = self
                            self.tag_names.name = 'tag_names'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-route-map:list'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.tag_names is not None:
                                for child in self.tag_names:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Tag.List']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-route-map:tag'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4_address is not None:
                            for child in self.ipv4_address:
                                if child is not None:
                                    return True

                        if self.list is not None and self.list._has_data():
                            return True

                        if self.tag_value is not None:
                            for child in self.tag_value:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteMap.RouteMapSeq.Match.Tag']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-route-map:match'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.additional_paths is not None and self.additional_paths._has_data():
                        return True

                    if self.as_path is not None and self.as_path._has_data():
                        return True

                    if self.clns is not None and self.clns._has_data():
                        return True

                    if self.community is not None and self.community._has_data():
                        return True

                    if self.extcommunity is not None and self.extcommunity._has_data():
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.ip is not None and self.ip._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    if self.length is not None and self.length._has_data():
                        return True

                    if self.local_preference is not None and self.local_preference._has_data():
                        return True

                    if self.mdt_group is not None and self.mdt_group._has_data():
                        return True

                    if self.metric is not None and self.metric._has_data():
                        return True

                    if self.mpls_label is not None:
                        return True

                    if self.policy_list is not None and self.policy_list._has_data():
                        return True

                    if self.route_type is not None and self.route_type._has_data():
                        return True

                    if self.rpki is not None and self.rpki._has_data():
                        return True

                    if self.source_protocol is not None and self.source_protocol._has_data():
                        return True

                    if self.tag is not None and self.tag._has_data():
                        return True

                    if self.track is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.RouteMap.RouteMapSeq.Match']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')
                if self.sequence is None:
                    raise YPYModelError('Key property sequence is None')

                return self.parent._common_path +'/Cisco-IOS-XE-route-map:route-map-seq[Cisco-IOS-XE-route-map:sequence = ' + str(self.sequence) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.sequence is not None:
                    return True

                if self.description is not None:
                    return True

                if self.match is not None and self.match._has_data():
                    return True

                if self.operation is not None:
                    return True

                if self.set is not None and self.set._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.RouteMap.RouteMapSeq']['meta_info']

        @property
        def _common_path(self):
            if self.name is None:
                raise YPYModelError('Key property name is None')

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:route-map[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.name is not None:
                return True

            if self.route_map_seq is not None:
                for child_ref in self.route_map_seq:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.RouteMap']['meta_info']


    class RouteTag(object):
        """
        
        
        .. attribute:: list
        
        	
        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.List>`
        
        .. attribute:: notation
        
        	
        	**type**\:   :py:class:`Notation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.Notation>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.list = Native.RouteTag.List()
            self.list.parent = self
            self.notation = Native.RouteTag.Notation()
            self.notation.parent = self


        class List(object):
            """
            
            
            .. attribute:: rt_name
            
            	
            	**type**\: list of    :py:class:`RtName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.List.RtName>`
            
            

            """

            _prefix = 'ios-eigrp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.rt_name = YList()
                self.rt_name.parent = self
                self.rt_name.name = 'rt_name'


            class RtName(object):
                """
                
                
                .. attribute:: rt_name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: deny
                
                	
                	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.List.RtName.Deny>`
                
                .. attribute:: permit
                
                	
                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.List.RtName.Permit>`
                
                .. attribute:: seq
                
                	
                	**type**\:   :py:class:`Seq <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.List.RtName.Seq>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.rt_name = None
                    self.deny = Native.RouteTag.List.RtName.Deny()
                    self.deny.parent = self
                    self.permit = Native.RouteTag.List.RtName.Permit()
                    self.permit.parent = self
                    self.seq = Native.RouteTag.List.RtName.Seq()
                    self.seq.parent = self


                class Deny(object):
                    """
                    
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.List.RtName.Deny.Ipv4>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = YList()
                        self.ipv4.parent = self
                        self.ipv4.name = 'ipv4'


                    class Ipv4(object):
                        """
                        
                        
                        .. attribute:: ipv4  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ipv4 is None:
                                raise YPYModelError('Key property ipv4 is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ipv4[Cisco-IOS-XE-eigrp:ipv4 = ' + str(self.ipv4) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteTag.List.RtName.Deny.Ipv4']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:deny'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None:
                            for child_ref in self.ipv4:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteTag.List.RtName.Deny']['meta_info']


                class Permit(object):
                    """
                    
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.List.RtName.Permit.Ipv4>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = YList()
                        self.ipv4.parent = self
                        self.ipv4.name = 'ipv4'


                    class Ipv4(object):
                        """
                        
                        
                        .. attribute:: ipv4  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None
                            self.mask = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ipv4 is None:
                                raise YPYModelError('Key property ipv4 is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ipv4[Cisco-IOS-XE-eigrp:ipv4 = ' + str(self.ipv4) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None:
                                return True

                            if self.mask is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteTag.List.RtName.Permit.Ipv4']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:permit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None:
                            for child_ref in self.ipv4:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteTag.List.RtName.Permit']['meta_info']


                class Seq(object):
                    """
                    
                    
                    .. attribute:: seq_num
                    
                    	
                    	**type**\: list of    :py:class:`SeqNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.List.RtName.Seq.SeqNum>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.seq_num = YList()
                        self.seq_num.parent = self
                        self.seq_num.name = 'seq_num'


                    class SeqNum(object):
                        """
                        
                        
                        .. attribute:: seq_num  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967294
                        
                        .. attribute:: deny
                        
                        	
                        	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.List.RtName.Seq.SeqNum.Deny>`
                        
                        .. attribute:: permit
                        
                        	
                        	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.List.RtName.Seq.SeqNum.Permit>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.seq_num = None
                            self.deny = Native.RouteTag.List.RtName.Seq.SeqNum.Deny()
                            self.deny.parent = self
                            self.permit = Native.RouteTag.List.RtName.Seq.SeqNum.Permit()
                            self.permit.parent = self


                        class Deny(object):
                            """
                            
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = None
                                self.mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:deny'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteTag.List.RtName.Seq.SeqNum.Deny']['meta_info']


                        class Permit(object):
                            """
                            
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = None
                                self.mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:permit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RouteTag.List.RtName.Seq.SeqNum.Permit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.seq_num is None:
                                raise YPYModelError('Key property seq_num is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:seq-num[Cisco-IOS-XE-eigrp:seq-num = ' + str(self.seq_num) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.seq_num is not None:
                                return True

                            if self.deny is not None and self.deny._has_data():
                                return True

                            if self.permit is not None and self.permit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RouteTag.List.RtName.Seq.SeqNum']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:seq'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.seq_num is not None:
                            for child_ref in self.seq_num:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RouteTag.List.RtName.Seq']['meta_info']

                @property
                def _common_path(self):
                    if self.rt_name is None:
                        raise YPYModelError('Key property rt_name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:route-tag/Cisco-IOS-XE-eigrp:list/Cisco-IOS-XE-eigrp:rt-name[Cisco-IOS-XE-eigrp:rt-name = ' + str(self.rt_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.rt_name is not None:
                        return True

                    if self.deny is not None and self.deny._has_data():
                        return True

                    if self.permit is not None and self.permit._has_data():
                        return True

                    if self.seq is not None and self.seq._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.RouteTag.List.RtName']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:route-tag/Cisco-IOS-XE-eigrp:list'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.rt_name is not None:
                    for child_ref in self.rt_name:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.RouteTag.List']['meta_info']


        class Notation(object):
            """
            
            
            .. attribute:: dotted_decimal
            
            	
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-eigrp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.dotted_decimal = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:route-tag/Cisco-IOS-XE-eigrp:notation'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.dotted_decimal is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.RouteTag.Notation']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:route-tag'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.list is not None and self.list._has_data():
                return True

            if self.notation is not None and self.notation._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.RouteTag']['meta_info']


    class Banner(object):
        """
        Define a login banner
        
        .. attribute:: exec_
        
        	Set EXEC process creation banner
        	**type**\:   :py:class:`Exec_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Banner.Exec_>`
        
        .. attribute:: login
        
        	Set login banner
        	**type**\:   :py:class:`Login <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Banner.Login>`
        
        .. attribute:: motd
        
        	Set Message of the Day banner
        	**type**\:   :py:class:`Motd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Banner.Motd>`
        
        .. attribute:: prompt_timeout
        
        	Set Message for login authentication timeout
        	**type**\:   :py:class:`PromptTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Banner.PromptTimeout>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.exec_ = Native.Banner.Exec_()
            self.exec_.parent = self
            self.login = Native.Banner.Login()
            self.login.parent = self
            self.motd = Native.Banner.Motd()
            self.motd.parent = self
            self.prompt_timeout = Native.Banner.PromptTimeout()
            self.prompt_timeout.parent = self


        class Exec_(object):
            """
            Set EXEC process creation banner
            
            .. attribute:: end_marker
            
            	
            	**type**\:  str
            
            .. attribute:: message
            
            	
            	**type**\:  str
            
            .. attribute:: start_marker
            
            	
            	**type**\:  str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.end_marker = None
                self.message = None
                self.start_marker = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:banner/Cisco-IOS-XE-native:exec'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.end_marker is not None:
                    return True

                if self.message is not None:
                    return True

                if self.start_marker is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Banner.Exec_']['meta_info']


        class Login(object):
            """
            Set login banner
            
            .. attribute:: end_marker
            
            	
            	**type**\:  str
            
            .. attribute:: message
            
            	
            	**type**\:  str
            
            .. attribute:: start_marker
            
            	
            	**type**\:  str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.end_marker = None
                self.message = None
                self.start_marker = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:banner/Cisco-IOS-XE-native:login'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.end_marker is not None:
                    return True

                if self.message is not None:
                    return True

                if self.start_marker is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Banner.Login']['meta_info']


        class PromptTimeout(object):
            """
            Set Message for login authentication timeout
            
            .. attribute:: end_marker
            
            	
            	**type**\:  str
            
            .. attribute:: message
            
            	
            	**type**\:  str
            
            .. attribute:: start_marker
            
            	
            	**type**\:  str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.end_marker = None
                self.message = None
                self.start_marker = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:banner/Cisco-IOS-XE-native:prompt-timeout'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.end_marker is not None:
                    return True

                if self.message is not None:
                    return True

                if self.start_marker is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Banner.PromptTimeout']['meta_info']


        class Motd(object):
            """
            Set Message of the Day banner
            
            .. attribute:: end_marker
            
            	
            	**type**\:  str
            
            .. attribute:: message
            
            	
            	**type**\:  str
            
            .. attribute:: start_marker
            
            	
            	**type**\:  str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.end_marker = None
                self.message = None
                self.start_marker = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:banner/Cisco-IOS-XE-native:motd'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.end_marker is not None:
                    return True

                if self.message is not None:
                    return True

                if self.start_marker is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Banner.Motd']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:banner'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.exec_ is not None and self.exec_._has_data():
                return True

            if self.login is not None and self.login._has_data():
                return True

            if self.motd is not None and self.motd._has_data():
                return True

            if self.prompt_timeout is not None and self.prompt_timeout._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Banner']['meta_info']


    class TableMap(object):
        """
        Configure Table Map
        
        .. attribute:: name  <key>
        
        	
        	**type**\:  str
        
        .. attribute:: default
        
        	the default behavior for setting value not found in the table map
        	**type**\: one of the below types:
        
        	**type**\:  int
        
        	**range:** 0..63
        
        
        ----
        	**type**\:   :py:class:`DefaultEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap.DefaultEnum>`
        
        
        ----
        .. attribute:: map
        
        	map to\_value from from\_value
        	**type**\: list of    :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap.Map>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.name = None
            self.default = None
            self.map = YList()
            self.map.parent = self
            self.map.name = 'map'

        class DefaultEnum(Enum):
            """
            DefaultEnum

            the default behavior for setting value not found in the table map

            .. data:: copy = 0

            .. data:: ignore = 1

            """

            copy = 0

            ignore = 1


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.TableMap.DefaultEnum']



        class Map(object):
            """
            map to\_value from from\_value
            
            .. attribute:: from_  <key>
            
            	map from value
            	**type**\:  int
            
            	**range:** 0..63
            
            .. attribute:: to  <key>
            
            	map to value
            	**type**\:  int
            
            	**range:** 0..63
            
            

            """

            _prefix = 'ios-qos'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.from_ = None
                self.to = None

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')
                if self.from_ is None:
                    raise YPYModelError('Key property from_ is None')
                if self.to is None:
                    raise YPYModelError('Key property to is None')

                return self.parent._common_path +'/Cisco-IOS-XE-qos:map[Cisco-IOS-XE-qos:from = ' + str(self.from_) + '][Cisco-IOS-XE-qos:to = ' + str(self.to) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.from_ is not None:
                    return True

                if self.to is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.TableMap.Map']['meta_info']

        @property
        def _common_path(self):
            if self.name is None:
                raise YPYModelError('Key property name is None')

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:table-map[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.name is not None:
                return True

            if self.default is not None:
                return True

            if self.map is not None:
                for child_ref in self.map:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.TableMap']['meta_info']


    class Sdm(object):
        """
        Switch database management
        
        .. attribute:: prefer
        
        	Config TCAM and ASIC RAM size. Warning\: need to reset switch for configuration to take effect
        	**type**\:   :py:class:`Prefer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Sdm.Prefer>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.prefer = None


        class Prefer(object):
            """
            Config TCAM and ASIC RAM size. Warning\: need to reset switch for configuration to take effect
            
            .. attribute:: default
            
            	
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: qos
            
            	
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.default = None
                self.qos = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:sdm/Cisco-IOS-XE-switch:prefer'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.default is not None:
                    return True

                if self.qos is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Sdm.Prefer']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:sdm'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.prefer is not None and self.prefer._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Sdm']['meta_info']


    class Mls(object):
        """
        mls global commands
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mls'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Mls']['meta_info']


    class ObjectGroup(object):
        """
        Configure Object group
        
        .. attribute:: network
        
        	network group
        	**type**\: list of    :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Network>`
        
        .. attribute:: security
        
        	security group
        	**type**\: list of    :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Security>`
        
        .. attribute:: service
        
        	service group
        	**type**\: list of    :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.network = YList()
            self.network.parent = self
            self.network.name = 'network'
            self.security = YList()
            self.security.parent = self
            self.security.name = 'security'
            self.service = YList()
            self.service.parent = self
            self.service.name = 'service'


        class Network(object):
            """
            network group
            
            .. attribute:: name  <key>
            
            	WORD;;object\-group name
            	**type**\:  str
            
            .. attribute:: obj_mode_config_network_group
            
            	
            	**type**\:   :py:class:`ObjModeConfigNetworkGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Network.ObjModeConfigNetworkGroup>`
            
            

            """

            _prefix = 'ios-og'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.obj_mode_config_network_group = Native.ObjectGroup.Network.ObjModeConfigNetworkGroup()
                self.obj_mode_config_network_group.parent = self


            class ObjModeConfigNetworkGroup(object):
                """
                
                
                .. attribute:: description
                
                	Network object group description
                	**type**\:  str
                
                	**length:** 1..200
                
                .. attribute:: group_object
                
                	Nested object group
                	**type**\:  str
                
                .. attribute:: host
                
                	Host address of the object\-group member
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                
                ----
                	**type**\:  str
                
                	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                
                
                ----
                .. attribute:: network_address
                
                	
                	**type**\: list of    :py:class:`Network_Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.Network_Address>`
                
                .. attribute:: range
                
                	
                	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.Range>`
                
                

                """

                _prefix = 'ios-og'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.description = None
                    self.group_object = None
                    self.host = None
                    self.network_address = YList()
                    self.network_address.parent = self
                    self.network_address.name = 'network_address'
                    self.range = Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.Range()
                    self.range.parent = self


                class Network_Address(object):
                    """
                    
                    
                    .. attribute:: ipv4_addr  <key>
                    
                    	A.B.C.D;;Network address of the group members
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: ipv4_mask  <key>
                    
                    	A.B.C.D;;Network mask
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-og'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4_addr = None
                        self.ipv4_mask = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.ipv4_addr is None:
                            raise YPYModelError('Key property ipv4_addr is None')
                        if self.ipv4_mask is None:
                            raise YPYModelError('Key property ipv4_mask is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-object-group:network_address[Cisco-IOS-XE-object-group:ipv4_addr = ' + str(self.ipv4_addr) + '][Cisco-IOS-XE-object-group:ipv4_mask = ' + str(self.ipv4_mask) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4_addr is not None:
                            return True

                        if self.ipv4_mask is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.Network_Address']['meta_info']


                class Range(object):
                    """
                    
                    
                    .. attribute:: ip_addr_max
                    
                    	Ending IPv4 Address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: ip_addr_min
                    
                    	Starting IPv4 Address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-og'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip_addr_max = None
                        self.ip_addr_min = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-object-group:range'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip_addr_max is not None:
                            return True

                        if self.ip_addr_min is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.Range']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-object-group:obj-Mode-config-network-group'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.description is not None:
                        return True

                    if self.group_object is not None:
                        return True

                    if self.host is not None:
                        return True

                    if self.network_address is not None:
                        for child_ref in self.network_address:
                            if child_ref._has_data():
                                return True

                    if self.range is not None and self.range._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ObjectGroup.Network.ObjModeConfigNetworkGroup']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:object-group/Cisco-IOS-XE-object-group:network[Cisco-IOS-XE-object-group:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.obj_mode_config_network_group is not None and self.obj_mode_config_network_group._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ObjectGroup.Network']['meta_info']


        class Security(object):
            """
            security group
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: security_group
            
            	
            	**type**\:   :py:class:`SecurityGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Security.SecurityGroup>`
            
            

            """

            _prefix = 'ios-og'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.security_group = Native.ObjectGroup.Security.SecurityGroup()
                self.security_group.parent = self


            class SecurityGroup(object):
                """
                
                
                .. attribute:: description
                
                	Network object group description
                	**type**\:  str
                
                	**length:** 1..200
                
                .. attribute:: group_object
                
                	Nested object group
                	**type**\:  str
                
                .. attribute:: security_group
                
                	Security Group Tag
                	**type**\:   :py:class:`SecurityGroup_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Security.SecurityGroup.SecurityGroup_>`
                
                

                """

                _prefix = 'ios-og'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.description = None
                    self.group_object = None
                    self.security_group = Native.ObjectGroup.Security.SecurityGroup.SecurityGroup_()
                    self.security_group.parent = self


                class SecurityGroup_(object):
                    """
                    Security Group Tag
                    
                    .. attribute:: tag
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-og'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tag = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-object-group:security-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ObjectGroup.Security.SecurityGroup.SecurityGroup_']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-object-group:security-group'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.description is not None:
                        return True

                    if self.group_object is not None:
                        return True

                    if self.security_group is not None and self.security_group._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ObjectGroup.Security.SecurityGroup']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:object-group/Cisco-IOS-XE-object-group:security[Cisco-IOS-XE-object-group:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.security_group is not None and self.security_group._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ObjectGroup.Security']['meta_info']


        class Service(object):
            """
            service group
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: ahp
            
            	Authentication Header Protocol
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: description
            
            	Service object group description
            	**type**\:  str
            
            .. attribute:: eigrp
            
            	Cisco's EIGRP routing protocol
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: esp
            
            	Encapsulation Security Payload
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: gre
            
            	Cisco's GRE tunneling
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: group_object
            
            	Nested object group
            	**type**\:  str
            
            .. attribute:: icmp
            
            	Internet Control Message Protocol
            	**type**\:   :py:class:`Icmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service.Icmp>`
            
            	**presence node**\: True
            
            .. attribute:: igmp
            
            	Internet Gateway Message Protocol
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: ip
            
            	Any Internet Protocol
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: ipinip
            
            	IP in IP tunneling
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: nos
            
            	KA9Q NOS compatible IP over IP tunneling
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: ospf
            
            	OSPF routing protocol
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: pcp
            
            	Payload Compression Protocol
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: pim
            
            	Protocol Independent Multicast
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: protocal_number
            
            	
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: tcp
            
            	Transmission Control Protocol
            	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service.Tcp>`
            
            	**presence node**\: True
            
            .. attribute:: tcp_udp
            
            	TCP or UDP protocol
            	**type**\:   :py:class:`TcpUdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service.TcpUdp>`
            
            	**presence node**\: True
            
            .. attribute:: udp
            
            	User Datagram Protocol
            	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service.Udp>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios-og'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.ahp = None
                self.description = None
                self.eigrp = None
                self.esp = None
                self.gre = None
                self.group_object = None
                self.icmp = None
                self.igmp = None
                self.ip = None
                self.ipinip = None
                self.nos = None
                self.ospf = None
                self.pcp = None
                self.pim = None
                self.protocal_number = None
                self.tcp = None
                self.tcp_udp = None
                self.udp = None


            class Icmp(object):
                """
                Internet Control Message Protocol
                
                .. attribute:: alternate_address
                
                	Alternate address
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: conversion_error
                
                	Datagram conversion
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: echo
                
                	Echo (ping)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: echo_reply
                
                	Echo reply
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: information_reply
                
                	Information replies
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: information_request
                
                	Information requests
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mask_reply
                
                	Mask replies
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mask_request
                
                	Mask requests
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mobile_redirect
                
                	Mobile host redirect
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: parameter_problem
                
                	All parameter problems
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_number
                
                	
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: redirect
                
                	All redirects
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: router_advertisement
                
                	Router discovery advertisements
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: router_solicitation
                
                	Router discovery solicitations
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: source_quench
                
                	Source quenches
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: time_exceeded
                
                	All time exceededs
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: timestamp_reply
                
                	Timestamp replies
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: timestamp_request
                
                	Timestamp requests
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: traceroute
                
                	Traceroute
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: unreachable
                
                	All unreachables
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-og'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.alternate_address = None
                    self.conversion_error = None
                    self.echo = None
                    self.echo_reply = None
                    self.information_reply = None
                    self.information_request = None
                    self.mask_reply = None
                    self.mask_request = None
                    self.mobile_redirect = None
                    self.parameter_problem = None
                    self.port_number = None
                    self.redirect = None
                    self.router_advertisement = None
                    self.router_solicitation = None
                    self.source_quench = None
                    self.time_exceeded = None
                    self.timestamp_reply = None
                    self.timestamp_request = None
                    self.traceroute = None
                    self.unreachable = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-object-group:icmp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.alternate_address is not None:
                        return True

                    if self.conversion_error is not None:
                        return True

                    if self.echo is not None:
                        return True

                    if self.echo_reply is not None:
                        return True

                    if self.information_reply is not None:
                        return True

                    if self.information_request is not None:
                        return True

                    if self.mask_reply is not None:
                        return True

                    if self.mask_request is not None:
                        return True

                    if self.mobile_redirect is not None:
                        return True

                    if self.parameter_problem is not None:
                        return True

                    if self.port_number is not None:
                        return True

                    if self.redirect is not None:
                        return True

                    if self.router_advertisement is not None:
                        return True

                    if self.router_solicitation is not None:
                        return True

                    if self.source_quench is not None:
                        return True

                    if self.time_exceeded is not None:
                        return True

                    if self.timestamp_reply is not None:
                        return True

                    if self.timestamp_request is not None:
                        return True

                    if self.traceroute is not None:
                        return True

                    if self.unreachable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ObjectGroup.Service.Icmp']['meta_info']


            class Tcp(object):
                """
                Transmission Control Protocol
                
                .. attribute:: tcp_port_list
                
                	
                	**type**\: list of    :py:class:`TcpPortList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service.Tcp.TcpPortList>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-og'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.tcp_port_list = YList()
                    self.tcp_port_list.parent = self
                    self.tcp_port_list.name = 'tcp_port_list'


                class TcpPortList(object):
                    """
                    
                    
                    .. attribute:: tcp_port  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    
                    ----
                    	**type**\:   :py:class:`AclTcpPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AclTcpPortTypeEnum>`
                    
                    
                    ----
                    .. attribute:: max_tcp_port
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    
                    ----
                    	**type**\:   :py:class:`AclTcpPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AclTcpPortTypeEnum>`
                    
                    
                    ----
                    .. attribute:: operator
                    
                    	
                    	**type**\:   :py:class:`OperatorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service.Tcp.TcpPortList.OperatorEnum>`
                    
                    

                    """

                    _prefix = 'ios-og'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tcp_port = None
                        self.max_tcp_port = None
                        self.operator = None

                    class OperatorEnum(Enum):
                        """
                        OperatorEnum

                        .. data:: eq = 0

                        .. data:: gt = 1

                        .. data:: lt = 2

                        .. data:: range = 3

                        """

                        eq = 0

                        gt = 1

                        lt = 2

                        range = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.ObjectGroup.Service.Tcp.TcpPortList.OperatorEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.tcp_port is None:
                            raise YPYModelError('Key property tcp_port is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-object-group:tcp-port-list[Cisco-IOS-XE-object-group:tcp-port = ' + str(self.tcp_port) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tcp_port is not None:
                            return True

                        if self.max_tcp_port is not None:
                            return True

                        if self.operator is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ObjectGroup.Service.Tcp.TcpPortList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-object-group:tcp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.tcp_port_list is not None:
                        for child_ref in self.tcp_port_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ObjectGroup.Service.Tcp']['meta_info']


            class TcpUdp(object):
                """
                TCP or UDP protocol
                
                .. attribute:: udp_port_list
                
                	
                	**type**\: list of    :py:class:`UdpPortList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service.TcpUdp.UdpPortList>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-og'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.udp_port_list = YList()
                    self.udp_port_list.parent = self
                    self.udp_port_list.name = 'udp_port_list'


                class UdpPortList(object):
                    """
                    
                    
                    .. attribute:: udp_port  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    
                    ----
                    	**type**\:   :py:class:`AclUdpPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AclUdpPortTypeEnum>`
                    
                    
                    ----
                    .. attribute:: max_udp_port
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    
                    ----
                    	**type**\:   :py:class:`AclUdpPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AclUdpPortTypeEnum>`
                    
                    
                    ----
                    .. attribute:: operator
                    
                    	
                    	**type**\:   :py:class:`OperatorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service.TcpUdp.UdpPortList.OperatorEnum>`
                    
                    

                    """

                    _prefix = 'ios-og'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.udp_port = None
                        self.max_udp_port = None
                        self.operator = None

                    class OperatorEnum(Enum):
                        """
                        OperatorEnum

                        .. data:: eq = 0

                        .. data:: gt = 1

                        .. data:: lt = 2

                        .. data:: range = 3

                        """

                        eq = 0

                        gt = 1

                        lt = 2

                        range = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.ObjectGroup.Service.TcpUdp.UdpPortList.OperatorEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.udp_port is None:
                            raise YPYModelError('Key property udp_port is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-object-group:udp-port-list[Cisco-IOS-XE-object-group:udp-port = ' + str(self.udp_port) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.udp_port is not None:
                            return True

                        if self.max_udp_port is not None:
                            return True

                        if self.operator is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ObjectGroup.Service.TcpUdp.UdpPortList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-object-group:tcp-udp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.udp_port_list is not None:
                        for child_ref in self.udp_port_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ObjectGroup.Service.TcpUdp']['meta_info']


            class Udp(object):
                """
                User Datagram Protocol
                
                .. attribute:: udp_port_list
                
                	
                	**type**\: list of    :py:class:`UdpPortList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service.Udp.UdpPortList>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-og'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.udp_port_list = YList()
                    self.udp_port_list.parent = self
                    self.udp_port_list.name = 'udp_port_list'


                class UdpPortList(object):
                    """
                    
                    
                    .. attribute:: udp_port  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    
                    ----
                    	**type**\:   :py:class:`AclUdpPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AclUdpPortTypeEnum>`
                    
                    
                    ----
                    .. attribute:: max_udp_port
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    
                    ----
                    	**type**\:   :py:class:`AclUdpPortTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AclUdpPortTypeEnum>`
                    
                    
                    ----
                    .. attribute:: operator
                    
                    	
                    	**type**\:   :py:class:`OperatorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service.Udp.UdpPortList.OperatorEnum>`
                    
                    

                    """

                    _prefix = 'ios-og'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.udp_port = None
                        self.max_udp_port = None
                        self.operator = None

                    class OperatorEnum(Enum):
                        """
                        OperatorEnum

                        .. data:: eq = 0

                        .. data:: gt = 1

                        .. data:: lt = 2

                        .. data:: range = 3

                        """

                        eq = 0

                        gt = 1

                        lt = 2

                        range = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.ObjectGroup.Service.Udp.UdpPortList.OperatorEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.udp_port is None:
                            raise YPYModelError('Key property udp_port is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-object-group:udp-port-list[Cisco-IOS-XE-object-group:udp-port = ' + str(self.udp_port) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.udp_port is not None:
                            return True

                        if self.max_udp_port is not None:
                            return True

                        if self.operator is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ObjectGroup.Service.Udp.UdpPortList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-object-group:udp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.udp_port_list is not None:
                        for child_ref in self.udp_port_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ObjectGroup.Service.Udp']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:object-group/Cisco-IOS-XE-object-group:service[Cisco-IOS-XE-object-group:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.ahp is not None:
                    return True

                if self.description is not None:
                    return True

                if self.eigrp is not None:
                    return True

                if self.esp is not None:
                    return True

                if self.gre is not None:
                    return True

                if self.group_object is not None:
                    return True

                if self.icmp is not None and self.icmp._has_data():
                    return True

                if self.igmp is not None:
                    return True

                if self.ip is not None:
                    return True

                if self.ipinip is not None:
                    return True

                if self.nos is not None:
                    return True

                if self.ospf is not None:
                    return True

                if self.pcp is not None:
                    return True

                if self.pim is not None:
                    return True

                if self.protocal_number is not None:
                    return True

                if self.tcp is not None and self.tcp._has_data():
                    return True

                if self.tcp_udp is not None and self.tcp_udp._has_data():
                    return True

                if self.udp is not None and self.udp._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ObjectGroup.Service']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:object-group'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.network is not None:
                for child_ref in self.network:
                    if child_ref._has_data():
                        return True

            if self.security is not None:
                for child_ref in self.security:
                    if child_ref._has_data():
                        return True

            if self.service is not None:
                for child_ref in self.service:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.ObjectGroup']['meta_info']


    class PseudowireClass(object):
        """
        Pseudowire\-class configuration
        
        .. attribute:: name  <key>
        
        	
        	**type**\:  str
        
        .. attribute:: control_word
        
        	Include control\-word in pseudowire packets
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: encapsulation
        
        	Data encapsulation method
        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.EncapsulationEnum>`
        
        .. attribute:: interworking
        
        	Interworking options for pseudowire
        	**type**\:   :py:class:`InterworkingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.InterworkingEnum>`
        
        .. attribute:: ip
        
        	Specify IP parameters
        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip>`
        
        .. attribute:: load_balance
        
        	Loadbalancing for pseudowire
        	**type**\:   :py:class:`LoadBalance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.LoadBalance>`
        
        .. attribute:: monitor
        
        	Active monitoring of xconnect peer
        	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Monitor>`
        
        .. attribute:: preferred_path
        
        	Preferred path
        	**type**\:   :py:class:`PreferredPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.PreferredPath>`
        
        .. attribute:: protocol_l2tpv2
        
        	
        	**type**\:   :py:class:`ProtocolL2Tpv2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.ProtocolL2Tpv2>`
        
        .. attribute:: protocol_l2tpv3
        
        	
        	**type**\:   :py:class:`ProtocolL2Tpv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.ProtocolL2Tpv3>`
        
        .. attribute:: protocol_mpls
        
        	
        	**type**\:   :py:class:`ProtocolMpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.ProtocolMpls>`
        
        .. attribute:: sequencing
        
        	Sequencing options for pseudowire
        	**type**\:   :py:class:`SequencingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.SequencingEnum>`
        
        .. attribute:: status
        
        	Pseudowire status capabilities
        	**type**\:   :py:class:`Status <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Status>`
        
        	**presence node**\: True
        
        .. attribute:: switching
        
        	Switching TLV on/off for pseudowire
        	**type**\:   :py:class:`Switching <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Switching>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.name = None
            self.control_word = None
            self.encapsulation = None
            self.interworking = None
            self.ip = Native.PseudowireClass.Ip()
            self.ip.parent = self
            self.load_balance = Native.PseudowireClass.LoadBalance()
            self.load_balance.parent = self
            self.monitor = Native.PseudowireClass.Monitor()
            self.monitor.parent = self
            self.preferred_path = Native.PseudowireClass.PreferredPath()
            self.preferred_path.parent = self
            self.protocol_l2tpv2 = Native.PseudowireClass.ProtocolL2Tpv2()
            self.protocol_l2tpv2.parent = self
            self.protocol_l2tpv3 = Native.PseudowireClass.ProtocolL2Tpv3()
            self.protocol_l2tpv3.parent = self
            self.protocol_mpls = Native.PseudowireClass.ProtocolMpls()
            self.protocol_mpls.parent = self
            self.sequencing = None
            self.status = None
            self.switching = Native.PseudowireClass.Switching()
            self.switching.parent = self

        class EncapsulationEnum(Enum):
            """
            EncapsulationEnum

            Data encapsulation method

            .. data:: l2tpv2 = 0

            .. data:: l2tpv3 = 1

            .. data:: mpls = 2

            .. data:: udp = 3

            """

            l2tpv2 = 0

            l2tpv3 = 1

            mpls = 2

            udp = 3


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.PseudowireClass.EncapsulationEnum']


        class InterworkingEnum(Enum):
            """
            InterworkingEnum

            Interworking options for pseudowire

            .. data:: ethernet = 0

            .. data:: ip = 1

            .. data:: vlan = 2

            """

            ethernet = 0

            ip = 1

            vlan = 2


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.PseudowireClass.InterworkingEnum']


        class SequencingEnum(Enum):
            """
            SequencingEnum

            Sequencing options for pseudowire

            .. data:: both = 0

            .. data:: receive = 1

            .. data:: resync = 2

            .. data:: transmit = 3

            """

            both = 0

            receive = 1

            resync = 2

            transmit = 3


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.PseudowireClass.SequencingEnum']



        class Ip(object):
            """
            Specify IP parameters
            
            .. attribute:: dfbit
            
            	DF bit options for tunnel
            	**type**\:   :py:class:`Dfbit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip.Dfbit>`
            
            .. attribute:: local
            
            	Specify local information
            	**type**\:   :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip.Local>`
            
            .. attribute:: pmtu
            
            	Enable Path MTU for tunnel
            	**type**\:   :py:class:`Pmtu <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip.Pmtu>`
            
            	**presence node**\: True
            
            .. attribute:: protocol
            
            	Specific IP protocol number to use
            	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip.ProtocolEnum>`
            
            .. attribute:: tos
            
            	Specify ToS options for IP tunnel header
            	**type**\:   :py:class:`Tos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip.Tos>`
            
            .. attribute:: ttl
            
            	Specify TTL value for IP tunnel header
            	**type**\:  int
            
            	**range:** 0..255
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.dfbit = Native.PseudowireClass.Ip.Dfbit()
                self.dfbit.parent = self
                self.local = Native.PseudowireClass.Ip.Local()
                self.local.parent = self
                self.pmtu = None
                self.protocol = None
                self.tos = Native.PseudowireClass.Ip.Tos()
                self.tos.parent = self
                self.ttl = None

            class ProtocolEnum(Enum):
                """
                ProtocolEnum

                Specific IP protocol number to use

                .. data:: l2tp = 0

                .. data:: uti = 1

                """

                l2tp = 0

                uti = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PseudowireClass.Ip.ProtocolEnum']



            class Dfbit(object):
                """
                DF bit options for tunnel
                
                .. attribute:: set
                
                	Set the DF bit in the tunnel header
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.set = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:dfbit'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.set is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PseudowireClass.Ip.Dfbit']['meta_info']


            class Local(object):
                """
                Specify local information
                
                .. attribute:: interface
                
                	Source interface for pseudowire
                	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip.Local.Interface>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface = Native.PseudowireClass.Ip.Local.Interface()
                    self.interface.parent = self


                class Interface(object):
                    """
                    Source interface for pseudowire
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip.Local.Interface.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip.Local.Interface.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip.Local.Interface.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip.Local.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.PseudowireClass.Ip.Local.Interface.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.PseudowireClass.Ip.Local.Interface.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.PseudowireClass.Ip.Local.Interface.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.PseudowireClass.Ip.Local.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.PseudowireClass.Ip.Local.Interface.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.PseudowireClass.Ip.Local.Interface.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.PseudowireClass.Ip.Local.Interface.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.PseudowireClass.Ip.Local.Interface.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.PseudowireClass.Ip.Local.Interface']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:local'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface is not None and self.interface._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PseudowireClass.Ip.Local']['meta_info']


            class Pmtu(object):
                """
                Enable Path MTU for tunnel
                
                .. attribute:: max
                
                	Maximum Path MTU for session
                	**type**\:  int
                
                	**range:** 68..65535
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.max = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:pmtu'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.max is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PseudowireClass.Ip.Pmtu']['meta_info']


            class Tos(object):
                """
                Specify ToS options for IP tunnel header
                
                .. attribute:: reflect
                
                	Reflect IP payload ToS on tunnel
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value
                
                	IP ToS value
                	**type**\:  int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.reflect = None
                    self.value = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:tos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.reflect is not None:
                        return True

                    if self.value is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PseudowireClass.Ip.Tos']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:ip'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.dfbit is not None and self.dfbit._has_data():
                    return True

                if self.local is not None and self.local._has_data():
                    return True

                if self.pmtu is not None and self.pmtu._has_data():
                    return True

                if self.protocol is not None:
                    return True

                if self.tos is not None and self.tos._has_data():
                    return True

                if self.ttl is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.PseudowireClass.Ip']['meta_info']


        class LoadBalance(object):
            """
            Loadbalancing for pseudowire
            
            .. attribute:: flow
            
            	Enable flow based load balancing for pseudowire
            	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.LoadBalance.Flow>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.flow = None


            class Flow(object):
                """
                Enable flow based load balancing for pseudowire
                
                .. attribute:: ethernet
                
                	Ethernet pseudowire flow classification
                	**type**\:   :py:class:`EthernetEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.LoadBalance.Flow.EthernetEnum>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.ethernet = None

                class EthernetEnum(Enum):
                    """
                    EthernetEnum

                    Ethernet pseudowire flow classification

                    .. data:: dst_mac = 0

                    .. data:: src_dst_mac = 1

                    .. data:: src_mac = 2

                    """

                    dst_mac = 0

                    src_dst_mac = 1

                    src_mac = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.PseudowireClass.LoadBalance.Flow.EthernetEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:flow'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.ethernet is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PseudowireClass.LoadBalance.Flow']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:load-balance'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.flow is not None and self.flow._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.PseudowireClass.LoadBalance']['meta_info']


        class Monitor(object):
            """
            Active monitoring of xconnect peer
            
            .. attribute:: peer
            
            	Active monitoring of xconnect peer
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Monitor.Peer>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.peer = Native.PseudowireClass.Monitor.Peer()
                self.peer.parent = self


            class Peer(object):
                """
                Active monitoring of xconnect peer
                
                .. attribute:: bfd
                
                	BFD active monitoring for the xconnect peer
                	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Monitor.Peer.Bfd>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bfd = None


                class Bfd(object):
                    """
                    BFD active monitoring for the xconnect peer
                    
                    .. attribute:: local
                    
                    	Specify local endpoint information to map to a BFD session
                    	**type**\:   :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Monitor.Peer.Bfd.Local>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.local = Native.PseudowireClass.Monitor.Peer.Bfd.Local()
                        self.local.parent = self


                    class Local(object):
                        """
                        Specify local endpoint information to map to a BFD session
                        
                        .. attribute:: interface
                        
                        	Source interface for pseudowire
                        	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface()
                            self.interface.parent = self


                        class Interface(object):
                            """
                            Source interface for pseudowire
                            
                            .. attribute:: appnav_compress
                            
                            	Service\-Context Virtual Interface Compress
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: appnav_uncompress
                            
                            	Service\-Context Virtual Interface UnCompress
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: atm
                            
                            	ATM interface
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                            
                            .. attribute:: atm_acr
                            
                            	ATM\-ACR interface
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]
                            
                            .. attribute:: atm_acrsubinterface
                            
                            	
                            	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.AtmAcrsubinterface>`
                            
                            .. attribute:: atm_subinterface
                            
                            	
                            	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.AtmSubinterface>`
                            
                            .. attribute:: bdi
                            
                            	Bridge\-Domain interface
                            	**type**\:  str
                            
                            .. attribute:: cellular
                            
                            	Cellular Interface
                            	**type**\:  str
                            
                            .. attribute:: cem
                            
                            	CEM interface
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]
                            
                            .. attribute:: cem_acr
                            
                            	CEM\-ACR interface
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: embedded_service_engine
                            
                            	cisco embedded service engine module
                            	**type**\:  str
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:  int
                            
                            	**range:** 0..65520
                            
                            .. attribute:: lisp_subinterface
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.LispSubinterface>`
                            
                            .. attribute:: loopback
                            
                            	Loopback interface
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: multilink
                            
                            	Multilink\-group interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nve
                            
                            	Network virtualization endpoint interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: overlay
                            
                            	Overlay interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: port_channel_subinterface
                            
                            	
                            	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.PortChannelSubinterface>`
                            
                            .. attribute:: pseudowire
                            
                            	Pseudowire Interface
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: serial
                            
                            	Serial interface
                            	**type**\:  str
                            
                            .. attribute:: sm
                            
                            	SM Interface
                            	**type**\:  str
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: tunnel
                            
                            	Tunnel interface
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: vasileft
                            
                            	vasileft
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasiright
                            
                            	vasiright
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtual_template
                            
                            	Virtual Template interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtualportgroup
                            
                            	Virtual Port Group
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vlan
                            
                            	Iosxr Vlans
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.appnav_compress = None
                                self.appnav_uncompress = None
                                self.atm = None
                                self.atm_acr = None
                                self.atm_acrsubinterface = Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.AtmAcrsubinterface()
                                self.atm_acrsubinterface.parent = self
                                self.atm_subinterface = Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.AtmSubinterface()
                                self.atm_subinterface.parent = self
                                self.bdi = None
                                self.cellular = None
                                self.cem = None
                                self.cem_acr = None
                                self.embedded_service_engine = None
                                self.fastethernet = None
                                self.gigabitethernet = None
                                self.lisp = None
                                self.lisp_subinterface = Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.LispSubinterface()
                                self.lisp_subinterface.parent = self
                                self.loopback = None
                                self.multilink = None
                                self.nve = None
                                self.overlay = None
                                self.port_channel = None
                                self.port_channel_subinterface = Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.PortChannelSubinterface()
                                self.port_channel_subinterface.parent = self
                                self.pseudowire = None
                                self.serial = None
                                self.sm = None
                                self.tengigabitethernet = None
                                self.tunnel = None
                                self.vasileft = None
                                self.vasiright = None
                                self.virtual_template = None
                                self.virtualportgroup = None
                                self.vlan = None


                            class AtmSubinterface(object):
                                """
                                
                                
                                .. attribute:: atm
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.atm = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:ATM-subinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.atm is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.AtmSubinterface']['meta_info']


                            class AtmAcrsubinterface(object):
                                """
                                
                                
                                .. attribute:: atm_acr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.atm_acr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:ATM-ACRsubinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.atm_acr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.AtmAcrsubinterface']['meta_info']


                            class LispSubinterface(object):
                                """
                                Locator/ID Separation Protocol Virtual Interface
                                
                                .. attribute:: lisp
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lisp = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:LISP-subinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lisp is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.LispSubinterface']['meta_info']


                            class PortChannelSubinterface(object):
                                """
                                
                                
                                .. attribute:: port_channel
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port_channel = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:Port-channel-subinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port_channel is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.PortChannelSubinterface']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:interface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.appnav_compress is not None:
                                    return True

                                if self.appnav_uncompress is not None:
                                    return True

                                if self.atm is not None:
                                    return True

                                if self.atm_acr is not None:
                                    return True

                                if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                    return True

                                if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                    return True

                                if self.bdi is not None:
                                    return True

                                if self.cellular is not None:
                                    return True

                                if self.cem is not None:
                                    return True

                                if self.cem_acr is not None:
                                    return True

                                if self.embedded_service_engine is not None:
                                    return True

                                if self.fastethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.lisp is not None:
                                    return True

                                if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                    return True

                                if self.loopback is not None:
                                    return True

                                if self.multilink is not None:
                                    return True

                                if self.nve is not None:
                                    return True

                                if self.overlay is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                    return True

                                if self.pseudowire is not None:
                                    return True

                                if self.serial is not None:
                                    return True

                                if self.sm is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.tunnel is not None:
                                    return True

                                if self.vasileft is not None:
                                    return True

                                if self.vasiright is not None:
                                    return True

                                if self.virtual_template is not None:
                                    return True

                                if self.virtualportgroup is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:local'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None and self.interface._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.PseudowireClass.Monitor.Peer.Bfd.Local']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:bfd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.local is not None and self.local._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.PseudowireClass.Monitor.Peer.Bfd']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bfd is not None and self.bfd._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PseudowireClass.Monitor.Peer']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:monitor'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.peer is not None and self.peer._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.PseudowireClass.Monitor']['meta_info']


        class PreferredPath(object):
            """
            Preferred path
            
            .. attribute:: interface
            
            	Output Interface
            	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.PreferredPath.Interface>`
            
            .. attribute:: peer_container
            
            	
            	**type**\:   :py:class:`PeerContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.PreferredPath.PeerContainer>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.interface = Native.PseudowireClass.PreferredPath.Interface()
                self.interface.parent = self
                self.peer_container = Native.PseudowireClass.PreferredPath.PeerContainer()
                self.peer_container.parent = self


            class Interface(object):
                """
                Output Interface
                
                .. attribute:: disable_fallback
                
                	disable fall back to alternative route
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\:  int
                
                	**range:** 0..2147483647
                
                .. attribute:: tunnel_tp
                
                	MPLS Transport Profile interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.disable_fallback = None
                    self.tunnel = None
                    self.tunnel_tp = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:interface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.disable_fallback is not None:
                        return True

                    if self.tunnel is not None:
                        return True

                    if self.tunnel_tp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PseudowireClass.PreferredPath.Interface']['meta_info']


            class PeerContainer(object):
                """
                
                
                .. attribute:: disable_fallback
                
                	disable fall back to alternative route
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: peer
                
                	Peer Address
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.disable_fallback = None
                    self.peer = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:peer-container'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.disable_fallback is not None:
                        return True

                    if self.peer is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PseudowireClass.PreferredPath.PeerContainer']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:preferred-path'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.interface is not None and self.interface._has_data():
                    return True

                if self.peer_container is not None and self.peer_container._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.PseudowireClass.PreferredPath']['meta_info']


        class ProtocolMpls(object):
            """
            
            
            .. attribute:: protocol
            
            	Signaling protocol to use
            	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.ProtocolMpls.ProtocolEnum>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.protocol = None

            class ProtocolEnum(Enum):
                """
                ProtocolEnum

                Signaling protocol to use

                .. data:: ldp = 0

                .. data:: none = 1

                """

                ldp = 0

                none = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PseudowireClass.ProtocolMpls.ProtocolEnum']


            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:protocol-mpls'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.protocol is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.PseudowireClass.ProtocolMpls']['meta_info']


        class ProtocolL2Tpv2(object):
            """
            
            
            .. attribute:: protocol
            
            	Signaling protocol to use
            	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.ProtocolL2Tpv2.ProtocolEnum>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.protocol = None

            class ProtocolEnum(Enum):
                """
                ProtocolEnum

                Signaling protocol to use

                .. data:: l2tpv2 = 0

                .. data:: none = 1

                """

                l2tpv2 = 0

                none = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PseudowireClass.ProtocolL2Tpv2.ProtocolEnum']


            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:protocol-l2tpv2'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.protocol is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.PseudowireClass.ProtocolL2Tpv2']['meta_info']


        class ProtocolL2Tpv3(object):
            """
            
            
            .. attribute:: protocol
            
            	Signaling protocol to use
            	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.ProtocolL2Tpv3.ProtocolEnum>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.protocol = None

            class ProtocolEnum(Enum):
                """
                ProtocolEnum

                Signaling protocol to use

                .. data:: l2tpv3 = 0

                .. data:: l2tpv3ietf = 1

                .. data:: none = 2

                """

                l2tpv3 = 0

                l2tpv3ietf = 1

                none = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PseudowireClass.ProtocolL2Tpv3.ProtocolEnum']


            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:protocol-l2tpv3'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.protocol is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.PseudowireClass.ProtocolL2Tpv3']['meta_info']


        class Status(object):
            """
            Pseudowire status capabilities
            
            .. attribute:: admin_down
            
            	Admin down of Attachment Circuit
            	**type**\:   :py:class:`AdminDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Status.AdminDown>`
            
            .. attribute:: control_plane
            
            	control plane status events
            	**type**\:   :py:class:`ControlPlane <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Status.ControlPlane>`
            
            .. attribute:: decoupled
            
            	Reflect standby status of the attachment circuit as up on the pseudowire
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: peer
            
            	peer status configuration
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Status.Peer>`
            
            .. attribute:: redundancy
            
            	Xconnect redundancy configuration
            	**type**\:   :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Status.Redundancy>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.admin_down = Native.PseudowireClass.Status.AdminDown()
                self.admin_down.parent = self
                self.control_plane = Native.PseudowireClass.Status.ControlPlane()
                self.control_plane.parent = self
                self.decoupled = None
                self.peer = Native.PseudowireClass.Status.Peer()
                self.peer.parent = self
                self.redundancy = Native.PseudowireClass.Status.Redundancy()
                self.redundancy.parent = self


            class AdminDown(object):
                """
                Admin down of Attachment Circuit
                
                .. attribute:: disconnect
                
                	Disconnect the session
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.disconnect = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:admin-down'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.disconnect is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PseudowireClass.Status.AdminDown']['meta_info']


            class ControlPlane(object):
                """
                control plane status events
                
                .. attribute:: route_watch
                
                	listen on the control plane to route\-watch events
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.route_watch = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:control-plane'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.route_watch is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PseudowireClass.Status.ControlPlane']['meta_info']


            class Peer(object):
                """
                peer status configuration
                
                .. attribute:: topology
                
                	change status behaviour based on peer topology
                	**type**\:   :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Status.Peer.Topology>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.topology = Native.PseudowireClass.Status.Peer.Topology()
                    self.topology.parent = self


                class Topology(object):
                    """
                    change status behaviour based on peer topology
                    
                    .. attribute:: dual_homed
                    
                    	Our peer(s) are participating in a redundant solution with some form of redundancyprotocol running between the peer routers, Only one of the remote peers will advertise astatus of UP at a time. The other will advertise standby. Change our configuration so wecan send a status of UP on both active and redundant pseudowires
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dual_homed = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:topology'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dual_homed is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.PseudowireClass.Status.Peer.Topology']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.topology is not None and self.topology._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PseudowireClass.Status.Peer']['meta_info']


            class Redundancy(object):
                """
                Xconnect redundancy configuration
                
                .. attribute:: master
                
                	Put the xconnect redundancy group on this node in master mode
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.master = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:redundancy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.master is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PseudowireClass.Status.Redundancy']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:status'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.admin_down is not None and self.admin_down._has_data():
                    return True

                if self.control_plane is not None and self.control_plane._has_data():
                    return True

                if self.decoupled is not None:
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.redundancy is not None and self.redundancy._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.PseudowireClass.Status']['meta_info']


        class Switching(object):
            """
            Switching TLV on/off for pseudowire
            
            .. attribute:: tlv
            
            	Switching TLV on/off for pseudowire
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.tlv = None

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:switching'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.tlv is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.PseudowireClass.Switching']['meta_info']

        @property
        def _common_path(self):
            if self.name is None:
                raise YPYModelError('Key property name is None')

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pseudowire-class[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.name is not None:
                return True

            if self.control_word is not None:
                return True

            if self.encapsulation is not None:
                return True

            if self.interworking is not None:
                return True

            if self.ip is not None and self.ip._has_data():
                return True

            if self.load_balance is not None and self.load_balance._has_data():
                return True

            if self.monitor is not None and self.monitor._has_data():
                return True

            if self.preferred_path is not None and self.preferred_path._has_data():
                return True

            if self.protocol_l2tpv2 is not None and self.protocol_l2tpv2._has_data():
                return True

            if self.protocol_l2tpv3 is not None and self.protocol_l2tpv3._has_data():
                return True

            if self.protocol_mpls is not None and self.protocol_mpls._has_data():
                return True

            if self.sequencing is not None:
                return True

            if self.status is not None and self.status._has_data():
                return True

            if self.switching is not None and self.switching._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.PseudowireClass']['meta_info']


    class ControlPlane(object):
        """
        Configure control plane services
        
        .. attribute:: service_policy
        
        	
        	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ControlPlane.ServicePolicy>`
        
        .. attribute:: _is_presence
        
        	Is present if this instance represents presence container else not
        	**type**\: bool
        
        

        This class is a :ref:`presence class<presence-class>`

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self._is_presence = True
            self.service_policy = Native.ControlPlane.ServicePolicy()
            self.service_policy.parent = self


        class ServicePolicy(object):
            """
            
            
            .. attribute:: input
            
            	Assign policy\-map to the input of an interface
            	**type**\:  str
            
            .. attribute:: output
            
            	Assign policy\-map to the output of an interface
            	**type**\:  str
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.input = None
                self.output = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:control-plane/Cisco-IOS-XE-policy:service-policy'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.input is not None:
                    return True

                if self.output is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ControlPlane.ServicePolicy']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:control-plane'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self._is_presence:
                return True
            if self.service_policy is not None and self.service_policy._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.ControlPlane']['meta_info']


    class Clock(object):
        """
        Configure time\-of\-day clock
        
        .. attribute:: calendar_valid
        
        	Calendar time is authoritative
        	**type**\:   :py:class:`CalendarValid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Clock.CalendarValid>`
        
        	**presence node**\: True
        
        .. attribute:: summer_time
        
        	Configure summer (daylight savings) time
        	**type**\:   :py:class:`SummerTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Clock.SummerTime>`
        
        .. attribute:: timezone
        
        	Configure time zone
        	**type**\:   :py:class:`Timezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Clock.Timezone>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.calendar_valid = None
            self.summer_time = Native.Clock.SummerTime()
            self.summer_time.parent = self
            self.timezone = Native.Clock.Timezone()
            self.timezone.parent = self


        class CalendarValid(object):
            """
            Calendar time is authoritative
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:clock/Cisco-IOS-XE-native:calendar-valid'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Clock.CalendarValid']['meta_info']


        class SummerTime(object):
            """
            Configure summer (daylight savings) time
            
            .. attribute:: date
            
            	Configure absolute summer time
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: date_end_day
            
            	
            	**type**\:  int
            
            	**range:** 1..31
            
            .. attribute:: date_end_month
            
            	
            	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
            
            .. attribute:: date_end_time
            
            	
            	**type**\:  str
            
            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
            
            .. attribute:: date_end_year
            
            	
            	**type**\:  int
            
            	**range:** 1993..2035
            
            .. attribute:: offset
            
            	
            	**type**\:  int
            
            	**range:** 1..1440
            
            .. attribute:: recurring
            
            	Configure recurring summer time
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: recurring_end
            
            	
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 1..4
            
            
            ----
            	**type**\:   :py:class:`RecurringEndEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Clock.SummerTime.RecurringEndEnum>`
            
            
            ----
            .. attribute:: recurring_end_day
            
            	
            	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
            
            .. attribute:: recurring_end_month
            
            	
            	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
            
            .. attribute:: recurring_end_time
            
            	
            	**type**\:  str
            
            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
            
            .. attribute:: recurring_offset
            
            	
            	**type**\:  int
            
            	**range:** 1..1440
            
            .. attribute:: recurring_start
            
            	
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 1..4
            
            
            ----
            	**type**\:   :py:class:`RecurringStartEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Clock.SummerTime.RecurringStartEnum>`
            
            
            ----
            .. attribute:: recurring_start_day
            
            	
            	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
            
            .. attribute:: recurring_start_month
            
            	
            	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
            
            .. attribute:: recurring_start_time
            
            	
            	**type**\:  str
            
            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
            
            .. attribute:: start_day
            
            	
            	**type**\:  int
            
            	**range:** 1..31
            
            .. attribute:: start_month
            
            	
            	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
            
            .. attribute:: start_time
            
            	
            	**type**\:  str
            
            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
            
            .. attribute:: start_year
            
            	
            	**type**\:  int
            
            	**range:** 1993..2035
            
            .. attribute:: zone
            
            	
            	**type**\:  str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.date = None
                self.date_end_day = None
                self.date_end_month = None
                self.date_end_time = None
                self.date_end_year = None
                self.offset = None
                self.recurring = None
                self.recurring_end = None
                self.recurring_end_day = None
                self.recurring_end_month = None
                self.recurring_end_time = None
                self.recurring_offset = None
                self.recurring_start = None
                self.recurring_start_day = None
                self.recurring_start_month = None
                self.recurring_start_time = None
                self.start_day = None
                self.start_month = None
                self.start_time = None
                self.start_year = None
                self.zone = None

            class RecurringEndEnum(Enum):
                """
                RecurringEndEnum

                .. data:: first = 0

                .. data:: last = 1

                """

                first = 0

                last = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Clock.SummerTime.RecurringEndEnum']


            class RecurringStartEnum(Enum):
                """
                RecurringStartEnum

                .. data:: first = 0

                .. data:: last = 1

                """

                first = 0

                last = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Clock.SummerTime.RecurringStartEnum']


            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:clock/Cisco-IOS-XE-native:summer-time'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.date is not None:
                    return True

                if self.date_end_day is not None:
                    return True

                if self.date_end_month is not None:
                    return True

                if self.date_end_time is not None:
                    return True

                if self.date_end_year is not None:
                    return True

                if self.offset is not None:
                    return True

                if self.recurring is not None:
                    return True

                if self.recurring_end is not None:
                    return True

                if self.recurring_end_day is not None:
                    return True

                if self.recurring_end_month is not None:
                    return True

                if self.recurring_end_time is not None:
                    return True

                if self.recurring_offset is not None:
                    return True

                if self.recurring_start is not None:
                    return True

                if self.recurring_start_day is not None:
                    return True

                if self.recurring_start_month is not None:
                    return True

                if self.recurring_start_time is not None:
                    return True

                if self.start_day is not None:
                    return True

                if self.start_month is not None:
                    return True

                if self.start_time is not None:
                    return True

                if self.start_year is not None:
                    return True

                if self.zone is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Clock.SummerTime']['meta_info']


        class Timezone(object):
            """
            Configure time zone
            
            .. attribute:: hours
            
            	
            	**type**\:  int
            
            	**range:** \-23..23
            
            .. attribute:: minutes
            
            	
            	**type**\:  int
            
            	**range:** 0..59
            
            .. attribute:: offset
            
            	
            	**type**\:   :py:class:`OffsetEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Clock.Timezone.OffsetEnum>`
            
            .. attribute:: zone
            
            	
            	**type**\:  str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.hours = None
                self.minutes = None
                self.offset = None
                self.zone = None

            class OffsetEnum(Enum):
                """
                OffsetEnum

                .. data:: Y__PLUS__ = 0

                .. data:: Y_ = 1

                """

                Y__PLUS__ = 0

                Y_ = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Clock.Timezone.OffsetEnum']


            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:clock/Cisco-IOS-XE-native:timezone'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.hours is not None:
                    return True

                if self.minutes is not None:
                    return True

                if self.offset is not None:
                    return True

                if self.zone is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Clock.Timezone']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:clock'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.calendar_valid is not None and self.calendar_valid._has_data():
                return True

            if self.summer_time is not None and self.summer_time._has_data():
                return True

            if self.timezone is not None and self.timezone._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Clock']['meta_info']


    class Logging(object):
        """
        Modify message logging facilities
        
        .. attribute:: alarm
        
        	Configure syslog for alarms
        	**type**\: one of the below types:
        
        	**type**\:  int
        
        	**range:** 1..4
        
        
        ----
        	**type**\:   :py:class:`AlarmEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.AlarmEnum>`
        
        
        ----
        .. attribute:: buffered
        
        	Set buffered logging parameters
        	**type**\:   :py:class:`Buffered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Buffered>`
        
        	**presence node**\: True
        
        .. attribute:: buginf
        
        	Enable buginf logging for debugging
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: console
        
        	Set console logging parameters
        	**type**\:   :py:class:`Console <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Console>`
        
        	**presence node**\: True
        
        .. attribute:: console_conf
        
        	
        	**type**\:   :py:class:`ConsoleConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.ConsoleConf>`
        
        .. attribute:: discriminator
        
        	Create or modify a message discriminator
        	**type**\: list of    :py:class:`Discriminator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Discriminator>`
        
        .. attribute:: esm
        
        	Set ESM filter restrictions
        	**type**\:   :py:class:`Esm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Esm>`
        
        .. attribute:: event
        
        	Global interface events
        	**type**\:   :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Event>`
        
        .. attribute:: facility
        
        	Facility parameter for syslog messages
        	**type**\:   :py:class:`FacilityEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.FacilityEnum>`
        
        .. attribute:: file
        
        	Set logging file parameters
        	**type**\:   :py:class:`File <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.File>`
        
        .. attribute:: history
        
        	Configure syslog history table
        	**type**\:   :py:class:`History <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.History>`
        
        .. attribute:: host
        
        	Set syslog server IP address and parameters
        	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host>`
        
        .. attribute:: hostip
        
        	
        	**type**\: one of the below types:
        
        	**type**\:  str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        
        ----
        	**type**\:  str
        
        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
        
        
        ----
        
        ----
        	**type**\:  str
        
        	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
        
        
        ----
        .. attribute:: monitor
        
        	Set terminal line (monitor) logging parameters
        	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Monitor>`
        
        	**presence node**\: True
        
        .. attribute:: monitor_conf
        
        	
        	**type**\:   :py:class:`MonitorConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.MonitorConf>`
        
        .. attribute:: persistent
        
        	Set persistent logging parameters
        	**type**\:   :py:class:`Persistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Persistent>`
        
        	**presence node**\: True
        
        .. attribute:: rate_limit
        
        	Set messages per second limit
        	**type**\:   :py:class:`RateLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.RateLimit>`
        
        	**presence node**\: True
        
        .. attribute:: rate_limit_conf
        
        	
        	**type**\:   :py:class:`RateLimitConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.RateLimitConf>`
        
        .. attribute:: snmp_authfail
        
        	
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: snmp_trap
        
        	Set SNMP trap logging level
        	**type**\:   :py:class:`SnmpTrap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.SnmpTrap>`
        
        .. attribute:: source_interface
        
        	Specify interface for source address in logging transactions
        	**type**\:   :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.SourceInterface>`
        
        .. attribute:: trap
        
        	Set trap server logging level
        	**type**\:   :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Trap>`
        
        	**presence node**\: True
        
        .. attribute:: userinfo
        
        	Enable logging of user info on privileged mode enabling
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.alarm = None
            self.buffered = None
            self.buginf = None
            self.console = None
            self.console_conf = Native.Logging.ConsoleConf()
            self.console_conf.parent = self
            self.discriminator = YList()
            self.discriminator.parent = self
            self.discriminator.name = 'discriminator'
            self.esm = Native.Logging.Esm()
            self.esm.parent = self
            self.event = Native.Logging.Event()
            self.event.parent = self
            self.facility = None
            self.file = Native.Logging.File()
            self.file.parent = self
            self.history = Native.Logging.History()
            self.history.parent = self
            self.host = Native.Logging.Host()
            self.host.parent = self
            self.hostip = None
            self.monitor = None
            self.monitor_conf = Native.Logging.MonitorConf()
            self.monitor_conf.parent = self
            self.persistent = None
            self.rate_limit = None
            self.rate_limit_conf = Native.Logging.RateLimitConf()
            self.rate_limit_conf.parent = self
            self.snmp_authfail = None
            self.snmp_trap = Native.Logging.SnmpTrap()
            self.snmp_trap.parent = self
            self.source_interface = Native.Logging.SourceInterface()
            self.source_interface.parent = self
            self.trap = None
            self.userinfo = None

        class AlarmEnum(Enum):
            """
            AlarmEnum

            Configure syslog for alarms

            .. data:: critical = 0

            .. data:: informational = 1

            .. data:: major = 2

            .. data:: minor = 3

            """

            critical = 0

            informational = 1

            major = 2

            minor = 3


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Logging.AlarmEnum']


        class FacilityEnum(Enum):
            """
            FacilityEnum

            Facility parameter for syslog messages

            .. data:: auth = 0

            .. data:: cron = 1

            .. data:: daemon = 2

            .. data:: kern = 3

            .. data:: local0 = 4

            .. data:: local1 = 5

            .. data:: local2 = 6

            .. data:: local3 = 7

            .. data:: local4 = 8

            .. data:: local5 = 9

            .. data:: local6 = 10

            .. data:: local7 = 11

            .. data:: lpr = 12

            .. data:: mail = 13

            .. data:: news = 14

            .. data:: sys10 = 15

            .. data:: sys11 = 16

            .. data:: sys12 = 17

            .. data:: sys13 = 18

            .. data:: sys14 = 19

            .. data:: sys9 = 20

            .. data:: syslog = 21

            .. data:: user = 22

            .. data:: uucp = 23

            """

            auth = 0

            cron = 1

            daemon = 2

            kern = 3

            local0 = 4

            local1 = 5

            local2 = 6

            local3 = 7

            local4 = 8

            local5 = 9

            local6 = 10

            local7 = 11

            lpr = 12

            mail = 13

            news = 14

            sys10 = 15

            sys11 = 16

            sys12 = 17

            sys13 = 18

            sys14 = 19

            sys9 = 20

            syslog = 21

            user = 22

            uucp = 23


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Logging.FacilityEnum']



        class Discriminator(object):
            """
            Create or modify a message discriminator
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: msg_body
            
            	Msg\-body pattern for messsage filtering
            	**type**\:   :py:class:`MsgBody <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Discriminator.MsgBody>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.msg_body = Native.Logging.Discriminator.MsgBody()
                self.msg_body.parent = self


            class MsgBody(object):
                """
                Msg\-body pattern for messsage filtering
                
                .. attribute:: includes
                
                	To deliver messages including the specified regular expression string
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.includes = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:msg-body'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.includes is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Logging.Discriminator.MsgBody']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:discriminator[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.msg_body is not None and self.msg_body._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Logging.Discriminator']['meta_info']


        class Persistent(object):
            """
            Set persistent logging parameters
            
            .. attribute:: file
            
            	
            	**type**\:   :py:class:`File <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Persistent.File>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.file = Native.Logging.Persistent.File()
                self.file.parent = self


            class File(object):
                """
                
                
                .. attribute:: protected
                
                	Eliminates manipulation on logging\-persistent files
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: size
                
                	Set disk space for writing log messages
                	**type**\:  str
                
                .. attribute:: threshold
                
                	Set threshold for logging persistent
                	**type**\:  str
                
                .. attribute:: url
                
                	URL to store logging messages
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.protected = None
                    self.size = None
                    self.threshold = None
                    self.url = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:persistent/Cisco-IOS-XE-native:file'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.protected is not None:
                        return True

                    if self.size is not None:
                        return True

                    if self.threshold is not None:
                        return True

                    if self.url is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Logging.Persistent.File']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:persistent'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.file is not None and self.file._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Logging.Persistent']['meta_info']


        class MonitorConf(object):
            """
            
            
            .. attribute:: monitor
            
            	
            	**type**\:  bool
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.monitor = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:monitor-conf'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.monitor is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Logging.MonitorConf']['meta_info']


        class Monitor(object):
            """
            Set terminal line (monitor) logging parameters
            
            .. attribute:: discriminator
            
            	Establish MD\-Console association
            	**type**\: list of    :py:class:`Discriminator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Monitor.Discriminator>`
            
            .. attribute:: severity
            
            	
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 0..7
            
            
            ----
            	**type**\:   :py:class:`LoggingLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelTypeEnum>`
            
            
            ----
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.discriminator = YList()
                self.discriminator.parent = self
                self.discriminator.name = 'discriminator'
                self.severity = None


            class Discriminator(object):
                """
                Establish MD\-Console association
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: severity
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 0..7
                
                
                ----
                	**type**\:   :py:class:`LoggingLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelTypeEnum>`
                
                
                ----
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.severity = None

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:monitor/Cisco-IOS-XE-native:discriminator[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.severity is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Logging.Monitor.Discriminator']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:monitor'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.discriminator is not None:
                    for child_ref in self.discriminator:
                        if child_ref._has_data():
                            return True

                if self.severity is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Logging.Monitor']['meta_info']


        class Buffered(object):
            """
            Set buffered logging parameters
            
            .. attribute:: discriminator
            
            	
            	**type**\: list of    :py:class:`Discriminator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Buffered.Discriminator>`
            
            .. attribute:: severity
            
            	
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 0..7
            
            
            ----
            	**type**\:   :py:class:`LoggingLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelTypeEnum>`
            
            
            ----
            .. attribute:: size
            
            	
            	**type**\:  int
            
            	**range:** 4096..2147483647
            
            .. attribute:: xxml
            
            	Enable logging in XML to XML logging buffer
            	**type**\:  int
            
            	**range:** 4096..2147483647
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.discriminator = YList()
                self.discriminator.parent = self
                self.discriminator.name = 'discriminator'
                self.severity = None
                self.size = None
                self.xxml = None


            class Discriminator(object):
                """
                
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: severity
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 0..7
                
                
                ----
                	**type**\:   :py:class:`LoggingLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelTypeEnum>`
                
                
                ----
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.severity = None

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:buffered/Cisco-IOS-XE-native:discriminator[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.severity is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Logging.Buffered.Discriminator']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:buffered'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.discriminator is not None:
                    for child_ref in self.discriminator:
                        if child_ref._has_data():
                            return True

                if self.severity is not None:
                    return True

                if self.size is not None:
                    return True

                if self.xxml is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Logging.Buffered']['meta_info']


        class ConsoleConf(object):
            """
            
            
            .. attribute:: console
            
            	Set console logging parameters
            	**type**\:  bool
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.console = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:console-conf'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.console is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Logging.ConsoleConf']['meta_info']


        class Console(object):
            """
            Set console logging parameters
            
            .. attribute:: discriminator
            
            	Establish MD\-Console association
            	**type**\: list of    :py:class:`Discriminator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Console.Discriminator>`
            
            .. attribute:: filtered
            
            	Enable filtered logging
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: guaranteed
            
            	Guarantee console messages
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: severity
            
            	
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 0..7
            
            
            ----
            	**type**\:   :py:class:`LoggingLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelTypeEnum>`
            
            
            ----
            .. attribute:: xxml
            
            	Enable logging in XML
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 0..7
            
            
            ----
            	**type**\:   :py:class:`LoggingLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelTypeEnum>`
            
            
            ----
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.discriminator = YList()
                self.discriminator.parent = self
                self.discriminator.name = 'discriminator'
                self.filtered = None
                self.guaranteed = None
                self.severity = None
                self.xxml = None


            class Discriminator(object):
                """
                Establish MD\-Console association
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: severity
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 0..7
                
                
                ----
                	**type**\:   :py:class:`LoggingLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelTypeEnum>`
                
                
                ----
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.severity = None

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:console/Cisco-IOS-XE-native:discriminator[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.severity is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Logging.Console.Discriminator']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:console'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.discriminator is not None:
                    for child_ref in self.discriminator:
                        if child_ref._has_data():
                            return True

                if self.filtered is not None:
                    return True

                if self.guaranteed is not None:
                    return True

                if self.severity is not None:
                    return True

                if self.xxml is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Logging.Console']['meta_info']


        class Event(object):
            """
            Global interface events
            
            .. attribute:: link_status
            
            	Globally enable/disable link UPDOWN message
            	**type**\:   :py:class:`LinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Event.LinkStatus>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.link_status = Native.Logging.Event.LinkStatus()
                self.link_status.parent = self


            class LinkStatus(object):
                """
                Globally enable/disable link UPDOWN message
                
                .. attribute:: boot
                
                	Supress/Allow link UPDOWN messages during boot
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: default
                
                	Link UPDOWN messages for all interfaces
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: global_
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.boot = None
                    self.default = None
                    self.global_ = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:event/Cisco-IOS-XE-native:link-status'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.boot is not None:
                        return True

                    if self.default is not None:
                        return True

                    if self.global_ is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Logging.Event.LinkStatus']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:event'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.link_status is not None and self.link_status._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Logging.Event']['meta_info']


        class Esm(object):
            """
            Set ESM filter restrictions
            
            .. attribute:: config
            
            	Permit/Deny configuration changes from ESM filters
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.config = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:esm'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.config is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Logging.Esm']['meta_info']


        class History(object):
            """
            Configure syslog history table
            
            .. attribute:: severity_level
            
            	
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 0..7
            
            
            ----
            	**type**\:   :py:class:`SeverityLevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.History.SeverityLevelEnum>`
            
            
            ----
            .. attribute:: size
            
            	Set history table size
            	**type**\:  int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.severity_level = None
                self.size = None

            class SeverityLevelEnum(Enum):
                """
                SeverityLevelEnum

                .. data:: alerts = 0

                .. data:: critical = 1

                .. data:: debugging = 2

                .. data:: emergencies = 3

                .. data:: errors = 4

                .. data:: informational = 5

                .. data:: notifications = 6

                .. data:: warnings = 7

                """

                alerts = 0

                critical = 1

                debugging = 2

                emergencies = 3

                errors = 4

                informational = 5

                notifications = 6

                warnings = 7


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Logging.History.SeverityLevelEnum']


            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:history'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.severity_level is not None:
                    return True

                if self.size is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Logging.History']['meta_info']


        class Host(object):
            """
            Set syslog server IP address and parameters
            
            .. attribute:: ipv4_host_list
            
            	
            	**type**\: list of    :py:class:`Ipv4HostList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv4HostList>`
            
            .. attribute:: ipv6
            
            	Set syslog server IPv6 address
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv6>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ipv4_host_list = YList()
                self.ipv4_host_list.parent = self
                self.ipv4_host_list.name = 'ipv4_host_list'
                self.ipv6 = Native.Logging.Host.Ipv6()
                self.ipv6.parent = self


            class Ipv4HostList(object):
                """
                
                
                .. attribute:: ipv4_host  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                
                ----
                	**type**\:  str
                
                	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                
                
                ----
                .. attribute:: discriminator
                
                	Specify a message discriminator identifier for this logging session
                	**type**\:  str
                
                .. attribute:: vrf
                
                	Set VRF option
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipv4_host = None
                    self.discriminator = None
                    self.vrf = None

                @property
                def _common_path(self):
                    if self.ipv4_host is None:
                        raise YPYModelError('Key property ipv4_host is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:host/Cisco-IOS-XE-native:ipv4-host-list[Cisco-IOS-XE-native:ipv4-host = ' + str(self.ipv4_host) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipv4_host is not None:
                        return True

                    if self.discriminator is not None:
                        return True

                    if self.vrf is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Logging.Host.Ipv4HostList']['meta_info']


            class Ipv6(object):
                """
                Set syslog server IPv6 address
                
                .. attribute:: ipv6_host_list
                
                	
                	**type**\: list of    :py:class:`Ipv6HostList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv6.Ipv6HostList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipv6_host_list = YList()
                    self.ipv6_host_list.parent = self
                    self.ipv6_host_list.name = 'ipv6_host_list'


                class Ipv6HostList(object):
                    """
                    
                    
                    .. attribute:: ipv6_host  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv6_host = None

                    @property
                    def _common_path(self):
                        if self.ipv6_host is None:
                            raise YPYModelError('Key property ipv6_host is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:host/Cisco-IOS-XE-native:ipv6/Cisco-IOS-XE-native:ipv6-host-list[Cisco-IOS-XE-native:ipv6-host = ' + str(self.ipv6_host) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv6_host is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Logging.Host.Ipv6.Ipv6HostList']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:host/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipv6_host_list is not None:
                        for child_ref in self.ipv6_host_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Logging.Host.Ipv6']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:host'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ipv4_host_list is not None:
                    for child_ref in self.ipv4_host_list:
                        if child_ref._has_data():
                            return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Logging.Host']['meta_info']


        class RateLimitConf(object):
            """
            
            
            .. attribute:: rate_limit
            
            	
            	**type**\:  bool
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.rate_limit = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:rate-limit-conf'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.rate_limit is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Logging.RateLimitConf']['meta_info']


        class RateLimit(object):
            """
            Set messages per second limit
            
            .. attribute:: console
            
            	Rate limit only console messages
            	**type**\:   :py:class:`Console <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.RateLimit.Console>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.console = Native.Logging.RateLimit.Console()
                self.console.parent = self


            class Console(object):
                """
                Rate limit only console messages
                
                .. attribute:: all
                
                	Rate limit all messages, including debug messages
                	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.RateLimit.Console.All>`
                
                .. attribute:: range
                
                	
                	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.RateLimit.Console.Range>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.all = Native.Logging.RateLimit.Console.All()
                    self.all.parent = self
                    self.range = YList()
                    self.range.parent = self
                    self.range.name = 'range'


                class Range(object):
                    """
                    
                    
                    .. attribute:: range  <key>
                    
                    	Messages per second
                    	**type**\:  int
                    
                    	**range:** 1..10000
                    
                    .. attribute:: except_
                    
                    	Messages of this severity or higher
                    	**type**\:   :py:class:`Except_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.RateLimit.Console.Range.Except_>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.range = None
                        self.except_ = None


                    class Except_(object):
                        """
                        Messages of this severity or higher
                        
                        .. attribute:: alerts
                        
                        	Immediate action needed           (severity=1)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: critical
                        
                        	Critical conditions               (severity=2)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: debugging
                        
                        	Debugging messages                (severity=7)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: emergencies
                        
                        	System is unusable                (severity=0)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: errors
                        
                        	Error conditions                  (severity=3)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: informational
                        
                        	Informational messages            (severity=6)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: notifications
                        
                        	Normal but significant conditions (severity=5)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: range
                        
                        	Logging severity level
                        	**type**\:  int
                        
                        	**range:** 0..7
                        
                        .. attribute:: warnings
                        
                        	Warning conditions (severity=4)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.alerts = None
                            self.critical = None
                            self.debugging = None
                            self.emergencies = None
                            self.errors = None
                            self.informational = None
                            self.notifications = None
                            self.range = None
                            self.warnings = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:except'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.alerts is not None:
                                return True

                            if self.critical is not None:
                                return True

                            if self.debugging is not None:
                                return True

                            if self.emergencies is not None:
                                return True

                            if self.errors is not None:
                                return True

                            if self.informational is not None:
                                return True

                            if self.notifications is not None:
                                return True

                            if self.range is not None:
                                return True

                            if self.warnings is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Logging.RateLimit.Console.Range.Except_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.range is None:
                            raise YPYModelError('Key property range is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:rate-limit/Cisco-IOS-XE-native:console/Cisco-IOS-XE-native:range[Cisco-IOS-XE-native:range = ' + str(self.range) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.range is not None:
                            return True

                        if self.except_ is not None and self.except_._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Logging.RateLimit.Console.Range']['meta_info']


                class All(object):
                    """
                    Rate limit all messages, including debug messages
                    
                    .. attribute:: range
                    
                    	
                    	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.RateLimit.Console.All.Range>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.range = YList()
                        self.range.parent = self
                        self.range.name = 'range'


                    class Range(object):
                        """
                        
                        
                        .. attribute:: range  <key>
                        
                        	Messages per second
                        	**type**\:  int
                        
                        	**range:** 1..10000
                        
                        .. attribute:: except_
                        
                        	Messages of this severity or higher
                        	**type**\:   :py:class:`Except_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.RateLimit.Console.All.Range.Except_>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.range = None
                            self.except_ = None


                        class Except_(object):
                            """
                            Messages of this severity or higher
                            
                            .. attribute:: alerts
                            
                            	Immediate action needed (severity=1)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: critical
                            
                            	Critical conditions  (severity=2)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: debugging
                            
                            	Debugging messages (severity=7)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: emergencies
                            
                            	System is unusable (severity=0)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: errors
                            
                            	Error conditions (severity=3)
                            	**type**\:  bool
                            
                            .. attribute:: informational
                            
                            	Informational messages (severity=6)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: notifications
                            
                            	Normal but significant conditions (severity=5)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: range
                            
                            	Logging severity level
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            .. attribute:: warnings
                            
                            	Warning conditions (severity=4)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.alerts = None
                                self.critical = None
                                self.debugging = None
                                self.emergencies = None
                                self.errors = None
                                self.informational = None
                                self.notifications = None
                                self.range = None
                                self.warnings = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:except'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.alerts is not None:
                                    return True

                                if self.critical is not None:
                                    return True

                                if self.debugging is not None:
                                    return True

                                if self.emergencies is not None:
                                    return True

                                if self.errors is not None:
                                    return True

                                if self.informational is not None:
                                    return True

                                if self.notifications is not None:
                                    return True

                                if self.range is not None:
                                    return True

                                if self.warnings is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Logging.RateLimit.Console.All.Range.Except_']['meta_info']

                        @property
                        def _common_path(self):
                            if self.range is None:
                                raise YPYModelError('Key property range is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:rate-limit/Cisco-IOS-XE-native:console/Cisco-IOS-XE-native:all/Cisco-IOS-XE-native:range[Cisco-IOS-XE-native:range = ' + str(self.range) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.range is not None:
                                return True

                            if self.except_ is not None and self.except_._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Logging.RateLimit.Console.All.Range']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:rate-limit/Cisco-IOS-XE-native:console/Cisco-IOS-XE-native:all'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.range is not None:
                            for child_ref in self.range:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Logging.RateLimit.Console.All']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:rate-limit/Cisco-IOS-XE-native:console'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.all is not None and self.all._has_data():
                        return True

                    if self.range is not None:
                        for child_ref in self.range:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Logging.RateLimit.Console']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:rate-limit'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.console is not None and self.console._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Logging.RateLimit']['meta_info']


        class SourceInterface(object):
            """
            Specify interface for source address in logging transactions
            
            .. attribute:: appnav_compress
            
            	Service\-Context Virtual Interface Compress
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: appnav_uncompress
            
            	Service\-Context Virtual Interface UnCompress
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: atm
            
            	ATM interface
            	**type**\:  str
            
            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
            
            .. attribute:: atm_acr
            
            	ATM\-ACR interface
            	**type**\:  str
            
            	**pattern:** [0\-9]
            
            .. attribute:: atm_acrsubinterface
            
            	
            	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.SourceInterface.AtmAcrsubinterface>`
            
            .. attribute:: atm_subinterface
            
            	
            	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.SourceInterface.AtmSubinterface>`
            
            .. attribute:: bdi
            
            	Bridge\-Domain interface
            	**type**\:  str
            
            .. attribute:: cellular
            
            	Cellular Interface
            	**type**\:  str
            
            .. attribute:: cem
            
            	CEM interface
            	**type**\:  str
            
            	**pattern:** ([0\-9]/){2}[0\-9]
            
            .. attribute:: cem_acr
            
            	CEM\-ACR interface
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: embedded_service_engine
            
            	cisco embedded service engine module
            	**type**\:  str
            
            .. attribute:: fastethernet
            
            	FastEthernet IEEE 802.3
            	**type**\:  str
            
            .. attribute:: gigabitethernet
            
            	GigabitEthernet IEEE 802.3z
            	**type**\:  str
            
            .. attribute:: lisp
            
            	Locator/ID Separation Protocol Virtual Interface
            	**type**\:  int
            
            	**range:** 0..65520
            
            .. attribute:: lisp_subinterface
            
            	Locator/ID Separation Protocol Virtual Interface
            	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.SourceInterface.LispSubinterface>`
            
            .. attribute:: loopback
            
            	Loopback interface
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: multilink
            
            	Multilink\-group interface
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: nve
            
            	Network virtualization endpoint interface
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: overlay
            
            	Overlay interface
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: port_channel
            
            	Ethernet Channel of interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: port_channel_subinterface
            
            	
            	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.SourceInterface.PortChannelSubinterface>`
            
            .. attribute:: pseudowire
            
            	Pseudowire Interface
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: serial
            
            	Serial interface
            	**type**\:  str
            
            .. attribute:: sm
            
            	SM Interface
            	**type**\:  str
            
            .. attribute:: tengigabitethernet
            
            	Ten Gigabit Ethernet
            	**type**\:  str
            
            .. attribute:: tunnel
            
            	Tunnel interface
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: vasileft
            
            	vasileft
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: vasiright
            
            	vasiright
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: virtual_template
            
            	Virtual Template interface
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: virtualportgroup
            
            	Virtual Port Group
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: vlan
            
            	Iosxr Vlans
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: vrf
            
            	Specify the vrf of source interface for logging transactions
            	**type**\:  str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.appnav_compress = None
                self.appnav_uncompress = None
                self.atm = None
                self.atm_acr = None
                self.atm_acrsubinterface = Native.Logging.SourceInterface.AtmAcrsubinterface()
                self.atm_acrsubinterface.parent = self
                self.atm_subinterface = Native.Logging.SourceInterface.AtmSubinterface()
                self.atm_subinterface.parent = self
                self.bdi = None
                self.cellular = None
                self.cem = None
                self.cem_acr = None
                self.embedded_service_engine = None
                self.fastethernet = None
                self.gigabitethernet = None
                self.lisp = None
                self.lisp_subinterface = Native.Logging.SourceInterface.LispSubinterface()
                self.lisp_subinterface.parent = self
                self.loopback = None
                self.multilink = None
                self.nve = None
                self.overlay = None
                self.port_channel = None
                self.port_channel_subinterface = Native.Logging.SourceInterface.PortChannelSubinterface()
                self.port_channel_subinterface.parent = self
                self.pseudowire = None
                self.serial = None
                self.sm = None
                self.tengigabitethernet = None
                self.tunnel = None
                self.vasileft = None
                self.vasiright = None
                self.virtual_template = None
                self.virtualportgroup = None
                self.vlan = None
                self.vrf = None


            class AtmSubinterface(object):
                """
                
                
                .. attribute:: atm
                
                	
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.atm = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:source-interface/Cisco-IOS-XE-native:ATM-subinterface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.atm is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Logging.SourceInterface.AtmSubinterface']['meta_info']


            class AtmAcrsubinterface(object):
                """
                
                
                .. attribute:: atm_acr
                
                	
                	**type**\:  str
                
                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.atm_acr = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:source-interface/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.atm_acr is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Logging.SourceInterface.AtmAcrsubinterface']['meta_info']


            class LispSubinterface(object):
                """
                Locator/ID Separation Protocol Virtual Interface
                
                .. attribute:: lisp
                
                	
                	**type**\:  str
                
                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.lisp = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:source-interface/Cisco-IOS-XE-native:LISP-subinterface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.lisp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Logging.SourceInterface.LispSubinterface']['meta_info']


            class PortChannelSubinterface(object):
                """
                
                
                .. attribute:: port_channel
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.port_channel = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:source-interface/Cisco-IOS-XE-native:Port-channel-subinterface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.port_channel is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Logging.SourceInterface.PortChannelSubinterface']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:source-interface'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.appnav_compress is not None:
                    return True

                if self.appnav_uncompress is not None:
                    return True

                if self.atm is not None:
                    return True

                if self.atm_acr is not None:
                    return True

                if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                    return True

                if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                    return True

                if self.bdi is not None:
                    return True

                if self.cellular is not None:
                    return True

                if self.cem is not None:
                    return True

                if self.cem_acr is not None:
                    return True

                if self.embedded_service_engine is not None:
                    return True

                if self.fastethernet is not None:
                    return True

                if self.gigabitethernet is not None:
                    return True

                if self.lisp is not None:
                    return True

                if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                    return True

                if self.loopback is not None:
                    return True

                if self.multilink is not None:
                    return True

                if self.nve is not None:
                    return True

                if self.overlay is not None:
                    return True

                if self.port_channel is not None:
                    return True

                if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                    return True

                if self.pseudowire is not None:
                    return True

                if self.serial is not None:
                    return True

                if self.sm is not None:
                    return True

                if self.tengigabitethernet is not None:
                    return True

                if self.tunnel is not None:
                    return True

                if self.vasileft is not None:
                    return True

                if self.vasiright is not None:
                    return True

                if self.virtual_template is not None:
                    return True

                if self.virtualportgroup is not None:
                    return True

                if self.vlan is not None:
                    return True

                if self.vrf is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Logging.SourceInterface']['meta_info']


        class SnmpTrap(object):
            """
            Set SNMP trap logging level
            
            .. attribute:: alerts
            
            	Immediate action needed           (severity=1)
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: critical
            
            	Critical conditions               (severity=2)
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: debugging
            
            	Debugging messages                (severity=7)
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: emergencies
            
            	System is unusable                (severity=0)
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: errors
            
            	Error conditions                  (severity=3)
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: informational
            
            	Informational messages            (severity=6)
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: notifications
            
            	Normal but significant conditions (severity=5)
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: warnings
            
            	Warning conditions                (severity=4)
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.alerts = None
                self.critical = None
                self.debugging = None
                self.emergencies = None
                self.errors = None
                self.informational = None
                self.notifications = None
                self.warnings = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:snmp-trap'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.alerts is not None:
                    return True

                if self.critical is not None:
                    return True

                if self.debugging is not None:
                    return True

                if self.emergencies is not None:
                    return True

                if self.errors is not None:
                    return True

                if self.informational is not None:
                    return True

                if self.notifications is not None:
                    return True

                if self.warnings is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Logging.SnmpTrap']['meta_info']


        class Trap(object):
            """
            Set trap server logging level
            
            .. attribute:: severity
            
            	
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 0..7
            
            	**default value**\: informational
            
            
            ----
            	**type**\:   :py:class:`SeverityEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Trap.SeverityEnum>`
            
            	**default value**\: informational
            
            
            ----
            .. attribute:: trap_default
            
            	
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.severity = None
                self.trap_default = None

            class SeverityEnum(Enum):
                """
                SeverityEnum

                .. data:: alerts = 0

                .. data:: critical = 1

                .. data:: debugging = 2

                .. data:: emergencies = 3

                .. data:: errors = 4

                .. data:: informational = 5

                .. data:: notifications = 6

                .. data:: warnings = 7

                """

                alerts = 0

                critical = 1

                debugging = 2

                emergencies = 3

                errors = 4

                informational = 5

                notifications = 6

                warnings = 7


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Logging.Trap.SeverityEnum']


            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:trap'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.severity is not None:
                    return True

                if self.trap_default is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Logging.Trap']['meta_info']


        class File(object):
            """
            Set logging file parameters
            
            .. attribute:: max_size
            
            	
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: min_size
            
            	
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: name
            
            	
            	**type**\:  str
            
            .. attribute:: severity
            
            	
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 0..7
            
            
            ----
            	**type**\:   :py:class:`LoggingLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelTypeEnum>`
            
            
            ----
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.max_size = None
                self.min_size = None
                self.name = None
                self.severity = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging/Cisco-IOS-XE-native:file'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.max_size is not None:
                    return True

                if self.min_size is not None:
                    return True

                if self.name is not None:
                    return True

                if self.severity is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Logging.File']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:logging'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.alarm is not None:
                return True

            if self.buffered is not None and self.buffered._has_data():
                return True

            if self.buginf is not None:
                return True

            if self.console is not None and self.console._has_data():
                return True

            if self.console_conf is not None and self.console_conf._has_data():
                return True

            if self.discriminator is not None:
                for child_ref in self.discriminator:
                    if child_ref._has_data():
                        return True

            if self.esm is not None and self.esm._has_data():
                return True

            if self.event is not None and self.event._has_data():
                return True

            if self.facility is not None:
                return True

            if self.file is not None and self.file._has_data():
                return True

            if self.history is not None and self.history._has_data():
                return True

            if self.host is not None and self.host._has_data():
                return True

            if self.hostip is not None:
                return True

            if self.monitor is not None and self.monitor._has_data():
                return True

            if self.monitor_conf is not None and self.monitor_conf._has_data():
                return True

            if self.persistent is not None and self.persistent._has_data():
                return True

            if self.rate_limit is not None and self.rate_limit._has_data():
                return True

            if self.rate_limit_conf is not None and self.rate_limit_conf._has_data():
                return True

            if self.snmp_authfail is not None:
                return True

            if self.snmp_trap is not None and self.snmp_trap._has_data():
                return True

            if self.source_interface is not None and self.source_interface._has_data():
                return True

            if self.trap is not None and self.trap._has_data():
                return True

            if self.userinfo is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Logging']['meta_info']


    class Aaa(object):
        """
        Authentication, Authorization and Accounting.
        
        .. attribute:: accounting
        
        	Accounting configurations parameters
        	**type**\:   :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting>`
        
        .. attribute:: authentication
        
        	Authentication configurations parameters
        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication>`
        
        .. attribute:: authorization
        
        	Authorization configurations parameters
        	**type**\:   :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization>`
        
        .. attribute:: group
        
        	AAA group definitions
        	**type**\:   :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group>`
        
        .. attribute:: new_model
        
        	Enable NEW access control commands and functions.(Disables OLD commands.)
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: server
        
        	Local AAA server
        	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server>`
        
        .. attribute:: session_id
        
        	AAA Session ID
        	**type**\:   :py:class:`SessionIdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.SessionIdEnum>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.accounting = Native.Aaa.Accounting()
            self.accounting.parent = self
            self.authentication = Native.Aaa.Authentication()
            self.authentication.parent = self
            self.authorization = Native.Aaa.Authorization()
            self.authorization.parent = self
            self.group = Native.Aaa.Group()
            self.group.parent = self
            self.new_model = None
            self.server = Native.Aaa.Server()
            self.server.parent = self
            self.session_id = None

        class SessionIdEnum(Enum):
            """
            SessionIdEnum

            AAA Session ID

            .. data:: common = 0

            .. data:: unique = 1

            """

            common = 0

            unique = 1


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Aaa.SessionIdEnum']



        class Group(object):
            """
            AAA group definitions
            
            .. attribute:: server
            
            	AAA Server group definitions
            	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.server = Native.Aaa.Group.Server()
                self.server.parent = self


            class Server(object):
                """
                AAA Server group definitions
                
                .. attribute:: radius
                
                	Radius server\-group definition
                	**type**\: list of    :py:class:`Radius <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Radius>`
                
                .. attribute:: tacacs
                
                	Tacacs+ server\-group definition
                	**type**\: list of    :py:class:`Tacacs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacs>`
                
                .. attribute:: tacacsplus
                
                	Tacacs+ server\-group definition
                	**type**\: list of    :py:class:`Tacacsplus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.radius = YList()
                    self.radius.parent = self
                    self.radius.name = 'radius'
                    self.tacacs = YList()
                    self.tacacs.parent = self
                    self.tacacs.name = 'tacacs'
                    self.tacacsplus = YList()
                    self.tacacsplus.parent = self
                    self.tacacsplus.name = 'tacacsplus'


                class Tacacsplus(object):
                    """
                    Tacacs+ server\-group definition
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Internet Protocol config commands
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.Ip>`
                    
                    .. attribute:: server
                    
                    	Specify a TACACS server
                    	**type**\:   :py:class:`Server_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.Server_>`
                    
                    .. attribute:: server_private
                    
                    	Define a private TACACS server (per group)
                    	**type**\: list of    :py:class:`ServerPrivate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.ServerPrivate>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.ip = Native.Aaa.Group.Server.Tacacsplus.Ip()
                        self.ip.parent = self
                        self.server = Native.Aaa.Group.Server.Tacacsplus.Server_()
                        self.server.parent = self
                        self.server_private = YList()
                        self.server_private.parent = self
                        self.server_private.name = 'server_private'


                    class Server_(object):
                        """
                        Specify a TACACS server
                        
                        .. attribute:: name
                        
                        	Name of tacacs server
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-aaa:server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Group.Server.Tacacsplus.Server_']['meta_info']


                    class ServerPrivate(object):
                        """
                        Define a private TACACS server (per group)
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        
                        ----
                        .. attribute:: key
                        
                        	per\-server encryption key (overrides default)
                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.ServerPrivate.Key>`
                        
                        .. attribute:: timeout
                        
                        	Time to wait for this TACACS server to reply (overrides default)
                        	**type**\:  int
                        
                        	**range:** 1..1000
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.key = Native.Aaa.Group.Server.Tacacsplus.ServerPrivate.Key()
                            self.key.parent = self
                            self.timeout = None


                        class Key(object):
                            """
                            per\-server encryption key (overrides default)
                            
                            .. attribute:: encryption
                            
                            	
                            	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.ServerPrivate.Key.EncryptionEnum>`
                            
                            .. attribute:: key
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.encryption = None
                                self.key = None

                            class EncryptionEnum(Enum):
                                """
                                EncryptionEnum

                                .. data:: Y_0 = 0

                                .. data:: Y_7 = 1

                                """

                                Y_0 = 0

                                Y_7 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Aaa.Group.Server.Tacacsplus.ServerPrivate.Key.EncryptionEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-aaa:key'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.encryption is not None:
                                    return True

                                if self.key is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Aaa.Group.Server.Tacacsplus.ServerPrivate.Key']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-aaa:server-private[Cisco-IOS-XE-aaa:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.key is not None and self.key._has_data():
                                return True

                            if self.timeout is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Group.Server.Tacacsplus.ServerPrivate']['meta_info']


                    class Ip(object):
                        """
                        Internet Protocol config commands
                        
                        .. attribute:: tacacs
                        
                        	TACACS configuration commands
                        	**type**\:   :py:class:`Tacacs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs>`
                        
                        .. attribute:: vrf
                        
                        	Set VPN Routing Forwarding to use with the servers
                        	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.Ip.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.tacacs = Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs()
                            self.tacacs.parent = self
                            self.vrf = Native.Aaa.Group.Server.Tacacsplus.Ip.Vrf()
                            self.vrf.parent = self


                        class Tacacs(object):
                            """
                            TACACS configuration commands
                            
                            .. attribute:: source_interface
                            
                            	Specify interface for source address in TACACS packets
                            	**type**\:   :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface>`
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.source_interface = Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface()
                                self.source_interface.parent = self


                            class SourceInterface(object):
                                """
                                Specify interface for source address in TACACS packets
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.AtmAcrsubinterface>`
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.AtmSubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\:  str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\:  str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\:  str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\:  str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\:  str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  int
                                
                                	**range:** 0..65520
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.LispSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\:  str
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\:  str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\:  str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.appnav_compress = None
                                    self.appnav_uncompress = None
                                    self.atm = None
                                    self.atm_acr = None
                                    self.atm_acrsubinterface = Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.AtmAcrsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self.atm_subinterface = Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.AtmSubinterface()
                                    self.atm_subinterface.parent = self
                                    self.bdi = None
                                    self.cellular = None
                                    self.cem = None
                                    self.cem_acr = None
                                    self.embedded_service_engine = None
                                    self.fastethernet = None
                                    self.gigabitethernet = None
                                    self.lisp = None
                                    self.lisp_subinterface = Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.LispSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self.loopback = None
                                    self.multilink = None
                                    self.nve = None
                                    self.overlay = None
                                    self.port_channel = None
                                    self.port_channel_subinterface = Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self.pseudowire = None
                                    self.serial = None
                                    self.sm = None
                                    self.tengigabitethernet = None
                                    self.tunnel = None
                                    self.vasileft = None
                                    self.vasiright = None
                                    self.virtual_template = None
                                    self.virtualportgroup = None
                                    self.vlan = None


                                class AtmSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:ATM-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.AtmSubinterface']['meta_info']


                                class AtmAcrsubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm_acr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:ATM-ACRsubinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm_acr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.AtmAcrsubinterface']['meta_info']


                                class LispSubinterface(object):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:LISP-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.LispSubinterface']['meta_info']


                                class PortChannelSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.port_channel = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:Port-channel-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.port_channel is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.PortChannelSubinterface']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-aaa:source-interface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.appnav_compress is not None:
                                        return True

                                    if self.appnav_uncompress is not None:
                                        return True

                                    if self.atm is not None:
                                        return True

                                    if self.atm_acr is not None:
                                        return True

                                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                        return True

                                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                        return True

                                    if self.bdi is not None:
                                        return True

                                    if self.cellular is not None:
                                        return True

                                    if self.cem is not None:
                                        return True

                                    if self.cem_acr is not None:
                                        return True

                                    if self.embedded_service_engine is not None:
                                        return True

                                    if self.fastethernet is not None:
                                        return True

                                    if self.gigabitethernet is not None:
                                        return True

                                    if self.lisp is not None:
                                        return True

                                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                        return True

                                    if self.loopback is not None:
                                        return True

                                    if self.multilink is not None:
                                        return True

                                    if self.nve is not None:
                                        return True

                                    if self.overlay is not None:
                                        return True

                                    if self.port_channel is not None:
                                        return True

                                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                        return True

                                    if self.pseudowire is not None:
                                        return True

                                    if self.serial is not None:
                                        return True

                                    if self.sm is not None:
                                        return True

                                    if self.tengigabitethernet is not None:
                                        return True

                                    if self.tunnel is not None:
                                        return True

                                    if self.vasileft is not None:
                                        return True

                                    if self.vasiright is not None:
                                        return True

                                    if self.virtual_template is not None:
                                        return True

                                    if self.virtualportgroup is not None:
                                        return True

                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-aaa:tacacs'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.source_interface is not None and self.source_interface._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs']['meta_info']


                        class Vrf(object):
                            """
                            Set VPN Routing Forwarding to use with the servers
                            
                            .. attribute:: forwarding
                            
                            	Configure forwarding table
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.forwarding = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-aaa:vrf'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.forwarding is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip.Vrf']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-aaa:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.tacacs is not None and self.tacacs._has_data():
                                return True

                            if self.vrf is not None and self.vrf._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Group.Server.Tacacsplus.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:group/Cisco-IOS-XE-aaa:server/Cisco-IOS-XE-aaa:tacacsplus[Cisco-IOS-XE-aaa:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.server is not None and self.server._has_data():
                            return True

                        if self.server_private is not None:
                            for child_ref in self.server_private:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Group.Server.Tacacsplus']['meta_info']


                class Tacacs(object):
                    """
                    Tacacs+ server\-group definition
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None

                    @property
                    def _common_path(self):
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:group/Cisco-IOS-XE-aaa:server/Cisco-IOS-XE-aaa:tacacs[Cisco-IOS-XE-aaa:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Group.Server.Tacacs']['meta_info']


                class Radius(object):
                    """
                    Radius server\-group definition
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Internet Protocol config commands
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Radius.Ip>`
                    
                    .. attribute:: load_balance
                    
                    	Server group load\-balancing options
                    	**type**\:   :py:class:`LoadBalance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Radius.LoadBalance>`
                    
                    .. attribute:: server
                    
                    	Specify a RADIUS server
                    	**type**\:   :py:class:`Server_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Radius.Server_>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.ip = Native.Aaa.Group.Server.Radius.Ip()
                        self.ip.parent = self
                        self.load_balance = Native.Aaa.Group.Server.Radius.LoadBalance()
                        self.load_balance.parent = self
                        self.server = Native.Aaa.Group.Server.Radius.Server_()
                        self.server.parent = self


                    class Server_(object):
                        """
                        Specify a RADIUS server
                        
                        .. attribute:: direct
                        
                        	
                        	**type**\: list of    :py:class:`Direct <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Radius.Server_.Direct>`
                        
                        .. attribute:: name
                        
                        	Name of radius server
                        	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Radius.Server_.Name>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.direct = YList()
                            self.direct.parent = self
                            self.direct.name = 'direct'
                            self.name = YList()
                            self.name.parent = self
                            self.name.name = 'name'


                        class Name(object):
                            """
                            Name of radius server
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-aaa:name[Cisco-IOS-XE-aaa:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Aaa.Group.Server.Radius.Server_.Name']['meta_info']


                        class Direct(object):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            
                            ----
                            .. attribute:: acct_port
                            
                            	UDP port for RADIUS accounting server (default is 1646)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: auth_port
                            
                            	UDP port for RADIUS authentication server (default is 1645)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.acct_port = None
                                self.auth_port = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-aaa:direct[Cisco-IOS-XE-aaa:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.acct_port is not None:
                                    return True

                                if self.auth_port is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Aaa.Group.Server.Radius.Server_.Direct']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-aaa:server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.direct is not None:
                                for child_ref in self.direct:
                                    if child_ref._has_data():
                                        return True

                            if self.name is not None:
                                for child_ref in self.name:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Group.Server.Radius.Server_']['meta_info']


                    class Ip(object):
                        """
                        Internet Protocol config commands
                        
                        .. attribute:: radius
                        
                        	RADIUS configuration commands
                        	**type**\:   :py:class:`Radius_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Radius.Ip.Radius_>`
                        
                        .. attribute:: vrf
                        
                        	Set VPN Routing Forwarding to use with the servers
                        	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Radius.Ip.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.radius = Native.Aaa.Group.Server.Radius.Ip.Radius_()
                            self.radius.parent = self
                            self.vrf = Native.Aaa.Group.Server.Radius.Ip.Vrf()
                            self.vrf.parent = self


                        class Radius_(object):
                            """
                            RADIUS configuration commands
                            
                            .. attribute:: source_interface
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.source_interface = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-aaa:radius'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.source_interface is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Aaa.Group.Server.Radius.Ip.Radius_']['meta_info']


                        class Vrf(object):
                            """
                            Set VPN Routing Forwarding to use with the servers
                            
                            .. attribute:: forwarding
                            
                            	Configure forwarding table
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.forwarding = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-aaa:vrf'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.forwarding is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Aaa.Group.Server.Radius.Ip.Vrf']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-aaa:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.radius is not None and self.radius._has_data():
                                return True

                            if self.vrf is not None and self.vrf._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Group.Server.Radius.Ip']['meta_info']


                    class LoadBalance(object):
                        """
                        Server group load\-balancing options.
                        
                        .. attribute:: method
                        
                        	Method by which the next host will be picked
                        	**type**\:   :py:class:`Method <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Radius.LoadBalance.Method>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.method = Native.Aaa.Group.Server.Radius.LoadBalance.Method()
                            self.method.parent = self


                        class Method(object):
                            """
                            Method by which the next host will be picked.
                            
                            .. attribute:: least_outstanding
                            
                            	Pick the server with the least transactions outstanding
                            	**type**\:   :py:class:`LeastOutstanding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Radius.LoadBalance.Method.LeastOutstanding>`
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.least_outstanding = Native.Aaa.Group.Server.Radius.LoadBalance.Method.LeastOutstanding()
                                self.least_outstanding.parent = self


                            class LeastOutstanding(object):
                                """
                                Pick the server with the least transactions outstanding.
                                
                                .. attribute:: batch_size
                                
                                	Size of the transaction batch that should be load\-balanced
                                	**type**\:  int
                                
                                	**range:** 1..2147483647
                                
                                .. attribute:: ignore_preferred_server
                                
                                	Should the preferred\-server be ignored
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.batch_size = None
                                    self.ignore_preferred_server = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-aaa:least-outstanding'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.batch_size is not None:
                                        return True

                                    if self.ignore_preferred_server is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Aaa.Group.Server.Radius.LoadBalance.Method.LeastOutstanding']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-aaa:method'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.least_outstanding is not None and self.least_outstanding._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Aaa.Group.Server.Radius.LoadBalance.Method']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-aaa:load-balance'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.method is not None and self.method._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Group.Server.Radius.LoadBalance']['meta_info']

                    @property
                    def _common_path(self):
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:group/Cisco-IOS-XE-aaa:server/Cisco-IOS-XE-aaa:radius[Cisco-IOS-XE-aaa:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.load_balance is not None and self.load_balance._has_data():
                            return True

                        if self.server is not None and self.server._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Group.Server.Radius']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:group/Cisco-IOS-XE-aaa:server'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.radius is not None:
                        for child_ref in self.radius:
                            if child_ref._has_data():
                                return True

                    if self.tacacs is not None:
                        for child_ref in self.tacacs:
                            if child_ref._has_data():
                                return True

                    if self.tacacsplus is not None:
                        for child_ref in self.tacacsplus:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Group.Server']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:group'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.server is not None and self.server._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Aaa.Group']['meta_info']


        class Authentication(object):
            """
            Authentication configurations parameters.
            
            .. attribute:: attempts
            
            	Set the maximum number of authentication attempts
            	**type**\:   :py:class:`Attempts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Attempts>`
            
            .. attribute:: banner
            
            	Message to use when starting login/authentication
            	**type**\:   :py:class:`Banner <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Banner>`
            
            .. attribute:: dot1x
            
            	Set authentication lists for IEEE 802.1x
            	**type**\:   :py:class:`Dot1X <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Dot1X>`
            
            .. attribute:: enable
            
            	Set authentication list for enable
            	**type**\:   :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Enable>`
            
            .. attribute:: eou
            
            	Set authentication lists for EAPoUDP
            	**type**\:   :py:class:`Eou <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Eou>`
            
            .. attribute:: fail_message
            
            	Message to use for failed login/authentication
            	**type**\:   :py:class:`FailMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.FailMessage>`
            
            .. attribute:: login
            
            	Set authentication lists for logins
            	**type**\: list of    :py:class:`Login <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login>`
            
            .. attribute:: onep
            
            	Set authentication lists for ONEP
            	**type**\:   :py:class:`Onep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Onep>`
            
            .. attribute:: ppp
            
            	Set authentication lists for ppp
            	**type**\: list of    :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.attempts = Native.Aaa.Authentication.Attempts()
                self.attempts.parent = self
                self.banner = Native.Aaa.Authentication.Banner()
                self.banner.parent = self
                self.dot1x = Native.Aaa.Authentication.Dot1X()
                self.dot1x.parent = self
                self.enable = Native.Aaa.Authentication.Enable()
                self.enable.parent = self
                self.eou = Native.Aaa.Authentication.Eou()
                self.eou.parent = self
                self.fail_message = Native.Aaa.Authentication.FailMessage()
                self.fail_message.parent = self
                self.login = YList()
                self.login.parent = self
                self.login.name = 'login'
                self.onep = Native.Aaa.Authentication.Onep()
                self.onep.parent = self
                self.ppp = YList()
                self.ppp.parent = self
                self.ppp.name = 'ppp'


            class Attempts(object):
                """
                Set the maximum number of authentication attempts
                
                .. attribute:: login
                
                	Set the max. number of attempts for login service
                	**type**\:  int
                
                	**range:** 1..25
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.login = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authentication/Cisco-IOS-XE-aaa:attempts'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.login is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Authentication.Attempts']['meta_info']


            class Banner(object):
                """
                Message to use when starting login/authentication.
                
                .. attribute:: end_marker
                
                	
                	**type**\:  str
                
                .. attribute:: message
                
                	
                	**type**\:  str
                
                .. attribute:: start_marker
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.end_marker = None
                    self.message = None
                    self.start_marker = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authentication/Cisco-IOS-XE-aaa:banner'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.end_marker is not None:
                        return True

                    if self.message is not None:
                        return True

                    if self.start_marker is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Authentication.Banner']['meta_info']


            class Dot1X(object):
                """
                Set authentication lists for IEEE 802.1x.
                
                .. attribute:: default
                
                	The default authentication list
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Dot1X.Default>`
                
                .. attribute:: dot1x_list
                
                	
                	**type**\: list of    :py:class:`Dot1XList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Dot1X.Dot1XList>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Aaa.Authentication.Dot1X.Default()
                    self.default.parent = self
                    self.dot1x_list = YList()
                    self.dot1x_list.parent = self
                    self.dot1x_list.name = 'dot1x_list'


                class Dot1XList(object):
                    """
                    
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Dot1X.Default.GroupEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authentication.Dot1X.Dot1XList.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authentication/Cisco-IOS-XE-aaa:dot1x/Cisco-IOS-XE-aaa:dot1x-list[Cisco-IOS-XE-aaa:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authentication.Dot1X.Dot1XList']['meta_info']


                class Default(object):
                    """
                    The default authentication list.
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Dot1X.Default.GroupEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authentication.Dot1X.Default.GroupEnum']


                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authentication/Cisco-IOS-XE-aaa:dot1x/Cisco-IOS-XE-aaa:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authentication.Dot1X.Default']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authentication/Cisco-IOS-XE-aaa:dot1x'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    if self.dot1x_list is not None:
                        for child_ref in self.dot1x_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Authentication.Dot1X']['meta_info']


            class Enable(object):
                """
                Set authentication list for enable.
                
                .. attribute:: default
                
                	The default authentication list
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Enable.Default>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Aaa.Authentication.Enable.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    The default authentication list.
                    
                    .. attribute:: enable
                    
                    	Use enable password for authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Enable.Default.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: line
                    
                    	Use line password for authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	No authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enable = None
                        self.group = None
                        self.line = None
                        self.none = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authentication.Enable.Default.GroupEnum']


                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authentication/Cisco-IOS-XE-aaa:enable/Cisco-IOS-XE-aaa:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enable is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.line is not None:
                            return True

                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authentication.Enable.Default']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authentication/Cisco-IOS-XE-aaa:enable'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Authentication.Enable']['meta_info']


            class Eou(object):
                """
                Set authentication lists for EAPoUDP
                
                .. attribute:: default
                
                	The default authentication list
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Eou.Default>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Aaa.Authentication.Eou.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    The default authentication list
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\:   :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Eou.Default.Group>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group = Native.Aaa.Authentication.Eou.Default.Group()
                        self.group.parent = self


                    class Group(object):
                        """
                        Use Server\-group
                        
                        .. attribute:: radius
                        
                        	Use list of all Radius hosts
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.radius = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authentication/Cisco-IOS-XE-aaa:eou/Cisco-IOS-XE-aaa:default/Cisco-IOS-XE-aaa:group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.radius is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authentication.Eou.Default.Group']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authentication/Cisco-IOS-XE-aaa:eou/Cisco-IOS-XE-aaa:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group is not None and self.group._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authentication.Eou.Default']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authentication/Cisco-IOS-XE-aaa:eou'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Authentication.Eou']['meta_info']


            class FailMessage(object):
                """
                Message to use for failed login/authentication.
                
                .. attribute:: end_marker
                
                	
                	**type**\:  str
                
                .. attribute:: message
                
                	
                	**type**\:  str
                
                .. attribute:: start_marker
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.end_marker = None
                    self.message = None
                    self.start_marker = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authentication/Cisco-IOS-XE-aaa:fail-message'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.end_marker is not None:
                        return True

                    if self.message is not None:
                        return True

                    if self.start_marker is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Authentication.FailMessage']['meta_info']


            class Login(object):
                """
                Set authentication lists for logins.
                
                .. attribute:: name  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:   :py:class:`NameEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.NameEnum>`
                
                
                ----
                	**type**\:  str
                
                	**length:** 1..31
                
                
                ----
                .. attribute:: a1
                
                	
                	**type**\:   :py:class:`A1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A1>`
                
                .. attribute:: a2
                
                	
                	**type**\:   :py:class:`A2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A2>`
                
                .. attribute:: a3
                
                	
                	**type**\:   :py:class:`A3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A3>`
                
                .. attribute:: a4
                
                	
                	**type**\:   :py:class:`A4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A4>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.a1 = Native.Aaa.Authentication.Login.A1()
                    self.a1.parent = self
                    self.a2 = Native.Aaa.Authentication.Login.A2()
                    self.a2.parent = self
                    self.a3 = Native.Aaa.Authentication.Login.A3()
                    self.a3.parent = self
                    self.a4 = Native.Aaa.Authentication.Login.A4()
                    self.a4.parent = self

                class NameEnum(Enum):
                    """
                    NameEnum

                    .. data:: default = 0

                    """

                    default = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authentication.Login.NameEnum']



                class A1(object):
                    """
                    
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`CacheEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A1.CacheEnum>`
                    
                    
                    ----
                    .. attribute:: enable
                    
                    	Use enable password for authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A1.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: krb5
                    
                    	Use Kerberos 5 authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5_telnet
                    
                    	Allow logins only if already authenticated via Kerbero
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: line
                    
                    	Use line password for authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	Use local username authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local_case
                    
                    	Use case\-sensitive local username authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cache = None
                        self.enable = None
                        self.group = None
                        self.krb5 = None
                        self.krb5_telnet = None
                        self.line = None
                        self.local = None
                        self.local_case = None
                        self.none = None

                    class CacheEnum(Enum):
                        """
                        CacheEnum

                        Use Cached\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = 0

                        radius = 1

                        tacacs__PLUS__ = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authentication.Login.A1.CacheEnum']


                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = 0

                        radius = 1

                        tacacs__PLUS__ = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authentication.Login.A1.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:a1'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cache is not None:
                            return True

                        if self.enable is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.krb5 is not None:
                            return True

                        if self.krb5_telnet is not None:
                            return True

                        if self.line is not None:
                            return True

                        if self.local is not None:
                            return True

                        if self.local_case is not None:
                            return True

                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authentication.Login.A1']['meta_info']


                class A2(object):
                    """
                    
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`CacheEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A2.CacheEnum>`
                    
                    
                    ----
                    .. attribute:: enable
                    
                    	Use enable password for authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A2.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: krb5
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5_telnet
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: line
                    
                    	Use line password for authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local_case
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cache = None
                        self.enable = None
                        self.group = None
                        self.krb5 = None
                        self.krb5_telnet = None
                        self.line = None
                        self.local = None
                        self.local_case = None
                        self.none = None

                    class CacheEnum(Enum):
                        """
                        CacheEnum

                        Use Cached\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = 0

                        radius = 1

                        tacacs__PLUS__ = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authentication.Login.A2.CacheEnum']


                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = 0

                        radius = 1

                        tacacs__PLUS__ = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authentication.Login.A2.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:a2'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cache is not None:
                            return True

                        if self.enable is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.krb5 is not None:
                            return True

                        if self.krb5_telnet is not None:
                            return True

                        if self.line is not None:
                            return True

                        if self.local is not None:
                            return True

                        if self.local_case is not None:
                            return True

                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authentication.Login.A2']['meta_info']


                class A3(object):
                    """
                    
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`CacheEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A3.CacheEnum>`
                    
                    
                    ----
                    .. attribute:: enable
                    
                    	Use enable password for authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A3.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: krb5
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5_telnet
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: line
                    
                    	Use line password for authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local_case
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cache = None
                        self.enable = None
                        self.group = None
                        self.krb5 = None
                        self.krb5_telnet = None
                        self.line = None
                        self.local = None
                        self.local_case = None
                        self.none = None

                    class CacheEnum(Enum):
                        """
                        CacheEnum

                        Use Cached\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = 0

                        radius = 1

                        tacacs__PLUS__ = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authentication.Login.A3.CacheEnum']


                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = 0

                        radius = 1

                        tacacs__PLUS__ = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authentication.Login.A3.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:a3'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cache is not None:
                            return True

                        if self.enable is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.krb5 is not None:
                            return True

                        if self.krb5_telnet is not None:
                            return True

                        if self.line is not None:
                            return True

                        if self.local is not None:
                            return True

                        if self.local_case is not None:
                            return True

                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authentication.Login.A3']['meta_info']


                class A4(object):
                    """
                    
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`CacheEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A4.CacheEnum>`
                    
                    
                    ----
                    .. attribute:: enable
                    
                    	Use enable password for authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A4.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: krb5
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5_telnet
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: line
                    
                    	Use line password for authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local_case
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cache = None
                        self.enable = None
                        self.group = None
                        self.krb5 = None
                        self.krb5_telnet = None
                        self.line = None
                        self.local = None
                        self.local_case = None
                        self.none = None

                    class CacheEnum(Enum):
                        """
                        CacheEnum

                        Use Cached\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = 0

                        radius = 1

                        tacacs__PLUS__ = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authentication.Login.A4.CacheEnum']


                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = 0

                        radius = 1

                        tacacs__PLUS__ = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authentication.Login.A4.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:a4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cache is not None:
                            return True

                        if self.enable is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.krb5 is not None:
                            return True

                        if self.krb5_telnet is not None:
                            return True

                        if self.line is not None:
                            return True

                        if self.local is not None:
                            return True

                        if self.local_case is not None:
                            return True

                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authentication.Login.A4']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authentication/Cisco-IOS-XE-aaa:login[Cisco-IOS-XE-aaa:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.a1 is not None and self.a1._has_data():
                        return True

                    if self.a2 is not None and self.a2._has_data():
                        return True

                    if self.a3 is not None and self.a3._has_data():
                        return True

                    if self.a4 is not None and self.a4._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Authentication.Login']['meta_info']


            class Onep(object):
                """
                Set authentication lists for ONEP
                
                .. attribute:: default
                
                	The default authentication list
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Onep.Default>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Aaa.Authentication.Onep.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    The default authentication list.
                    
                    .. attribute:: local
                    
                    	Use local username authentication
                    	**type**\:   :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Onep.Default.Local>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.local = None


                    class Local(object):
                        """
                        Use local username authentication.
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authentication/Cisco-IOS-XE-aaa:onep/Cisco-IOS-XE-aaa:default/Cisco-IOS-XE-aaa:local'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authentication.Onep.Default.Local']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authentication/Cisco-IOS-XE-aaa:onep/Cisco-IOS-XE-aaa:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.local is not None and self.local._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authentication.Onep.Default']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authentication/Cisco-IOS-XE-aaa:onep'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Authentication.Onep']['meta_info']


            class Ppp(object):
                """
                Set authentication lists for ppp.
                
                .. attribute:: id  <key>
                
                	
                	**type**\:  str
                
                	**length:** 1..31
                
                .. attribute:: a1
                
                	
                	**type**\:   :py:class:`A1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A1>`
                
                .. attribute:: a2
                
                	
                	**type**\:   :py:class:`A2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A2>`
                
                .. attribute:: a3
                
                	
                	**type**\:   :py:class:`A3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A3>`
                
                .. attribute:: a4
                
                	
                	**type**\:   :py:class:`A4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A4>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.a1 = Native.Aaa.Authentication.Ppp.A1()
                    self.a1.parent = self
                    self.a2 = Native.Aaa.Authentication.Ppp.A2()
                    self.a2.parent = self
                    self.a3 = Native.Aaa.Authentication.Ppp.A3()
                    self.a3.parent = self
                    self.a4 = Native.Aaa.Authentication.Ppp.A4()
                    self.a4.parent = self


                class A1(object):
                    """
                    
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`CacheEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A1.CacheEnum>`
                    
                    
                    ----
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A1.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: if_needed
                    
                    	Only authenticate if needed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5
                    
                    	Use Kerberos 5 authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	Use local username authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local_case
                    
                    	Use case\-sensitive local username authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cache = None
                        self.group = None
                        self.if_needed = None
                        self.krb5 = None
                        self.local = None
                        self.local_case = None
                        self.none = None

                    class CacheEnum(Enum):
                        """
                        CacheEnum

                        Use Cached\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authentication.Ppp.A1.CacheEnum']


                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authentication.Ppp.A1.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:a1'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cache is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.if_needed is not None:
                            return True

                        if self.krb5 is not None:
                            return True

                        if self.local is not None:
                            return True

                        if self.local_case is not None:
                            return True

                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authentication.Ppp.A1']['meta_info']


                class A2(object):
                    """
                    
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`CacheEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A2.CacheEnum>`
                    
                    
                    ----
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A2.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: krb5
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local_case
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cache = None
                        self.group = None
                        self.krb5 = None
                        self.local = None
                        self.local_case = None
                        self.none = None

                    class CacheEnum(Enum):
                        """
                        CacheEnum

                        Use Cached\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authentication.Ppp.A2.CacheEnum']


                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authentication.Ppp.A2.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:a2'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cache is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.krb5 is not None:
                            return True

                        if self.local is not None:
                            return True

                        if self.local_case is not None:
                            return True

                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authentication.Ppp.A2']['meta_info']


                class A3(object):
                    """
                    
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`CacheEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A3.CacheEnum>`
                    
                    
                    ----
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A3.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: krb5
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local_case
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cache = None
                        self.group = None
                        self.krb5 = None
                        self.local = None
                        self.local_case = None
                        self.none = None

                    class CacheEnum(Enum):
                        """
                        CacheEnum

                        Use Cached\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authentication.Ppp.A3.CacheEnum']


                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authentication.Ppp.A3.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:a3'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cache is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.krb5 is not None:
                            return True

                        if self.local is not None:
                            return True

                        if self.local_case is not None:
                            return True

                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authentication.Ppp.A3']['meta_info']


                class A4(object):
                    """
                    
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`CacheEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A4.CacheEnum>`
                    
                    
                    ----
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A4.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: krb5
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local_case
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cache = None
                        self.group = None
                        self.krb5 = None
                        self.local = None
                        self.local_case = None
                        self.none = None

                    class CacheEnum(Enum):
                        """
                        CacheEnum

                        Use Cached\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authentication.Ppp.A4.CacheEnum']


                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authentication.Ppp.A4.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:a4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cache is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.krb5 is not None:
                            return True

                        if self.local is not None:
                            return True

                        if self.local_case is not None:
                            return True

                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authentication.Ppp.A4']['meta_info']

                @property
                def _common_path(self):
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authentication/Cisco-IOS-XE-aaa:ppp[Cisco-IOS-XE-aaa:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.a1 is not None and self.a1._has_data():
                        return True

                    if self.a2 is not None and self.a2._has_data():
                        return True

                    if self.a3 is not None and self.a3._has_data():
                        return True

                    if self.a4 is not None and self.a4._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Authentication.Ppp']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authentication'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.attempts is not None and self.attempts._has_data():
                    return True

                if self.banner is not None and self.banner._has_data():
                    return True

                if self.dot1x is not None and self.dot1x._has_data():
                    return True

                if self.enable is not None and self.enable._has_data():
                    return True

                if self.eou is not None and self.eou._has_data():
                    return True

                if self.fail_message is not None and self.fail_message._has_data():
                    return True

                if self.login is not None:
                    for child_ref in self.login:
                        if child_ref._has_data():
                            return True

                if self.onep is not None and self.onep._has_data():
                    return True

                if self.ppp is not None:
                    for child_ref in self.ppp:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Aaa.Authentication']['meta_info']


        class Authorization(object):
            """
            Authorization configurations parameters.
            
            .. attribute:: auth_proxy
            
            	For Authentication Proxy Services
            	**type**\:   :py:class:`AuthProxy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.AuthProxy>`
            
            .. attribute:: auth_type
            
            	For Authentication Proxy Services
            	**type**\:   :py:class:`AuthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.AuthType>`
            
            .. attribute:: commands
            
            	For exec (shell) commands
            	**type**\: list of    :py:class:`Commands <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Commands>`
            
            .. attribute:: config_commands
            
            	For configuration mode commands
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: console
            
            	
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: eventmanager
            
            	For starting an exec (shell)
            	**type**\: list of    :py:class:`Eventmanager <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Eventmanager>`
            
            .. attribute:: exec_
            
            	For starting an exec (shell)
            	**type**\: list of    :py:class:`Exec_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_>`
            
            .. attribute:: network
            
            	For network services. (PPP, SLIP, ARAP)
            	**type**\: list of    :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network>`
            
            .. attribute:: onep
            
            	Set authorization lists for ONEP
            	**type**\:   :py:class:`Onep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Onep>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.auth_proxy = Native.Aaa.Authorization.AuthProxy()
                self.auth_proxy.parent = self
                self.auth_type = Native.Aaa.Authorization.AuthType()
                self.auth_type.parent = self
                self.commands = YList()
                self.commands.parent = self
                self.commands.name = 'commands'
                self.config_commands = None
                self.console = None
                self.eventmanager = YList()
                self.eventmanager.parent = self
                self.eventmanager.name = 'eventmanager'
                self.exec_ = YList()
                self.exec_.parent = self
                self.exec_.name = 'exec_'
                self.network = YList()
                self.network.parent = self
                self.network.name = 'network'
                self.onep = Native.Aaa.Authorization.Onep()
                self.onep.parent = self


            class AuthType(object):
                """
                For Authentication Proxy Services
                
                .. attribute:: default
                
                	The default authorization list
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.AuthType.Default>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Aaa.Authorization.AuthType.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    The default authorization list.
                    
                    .. attribute:: group
                    
                    	Use server\-group
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.AuthType.Default.GroupEnum>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use server\-group.

                        .. data:: radius = 0

                        """

                        radius = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authorization.AuthType.Default.GroupEnum']


                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authorization/Cisco-IOS-XE-aaa:auth-type/Cisco-IOS-XE-aaa:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authorization.AuthType.Default']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authorization/Cisco-IOS-XE-aaa:auth-type'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Authorization.AuthType']['meta_info']


            class Commands(object):
                """
                For exec (shell) commands.
                
                .. attribute:: level  <key>
                
                	Enable level
                	**type**\:  int
                
                	**range:** 0..15
                
                .. attribute:: list_name  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:   :py:class:`ListNameEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Commands.ListNameEnum>`
                
                
                ----
                	**type**\:  str
                
                
                ----
                .. attribute:: group
                
                	Use server\-group
                	**type**\: one of the below types:
                
                	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Commands.GroupEnum>`
                
                
                ----
                	**type**\:  str
                
                
                ----
                .. attribute:: if_authenticated
                
                	Succeed if user has authenticated
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: local
                
                	Use local database
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: none
                
                	No authorization (always succeeds)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.level = None
                    self.list_name = None
                    self.group = None
                    self.if_authenticated = None
                    self.local = None
                    self.none = None

                class GroupEnum(Enum):
                    """
                    GroupEnum

                    Use server\-group.

                    .. data:: tacacs__PLUS__ = 0

                    """

                    tacacs__PLUS__ = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authorization.Commands.GroupEnum']


                class ListNameEnum(Enum):
                    """
                    ListNameEnum

                    .. data:: default = 0

                    """

                    default = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authorization.Commands.ListNameEnum']


                @property
                def _common_path(self):
                    if self.level is None:
                        raise YPYModelError('Key property level is None')
                    if self.list_name is None:
                        raise YPYModelError('Key property list_name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authorization/Cisco-IOS-XE-aaa:commands[Cisco-IOS-XE-aaa:level = ' + str(self.level) + '][Cisco-IOS-XE-aaa:list-name = ' + str(self.list_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.level is not None:
                        return True

                    if self.list_name is not None:
                        return True

                    if self.group is not None:
                        return True

                    if self.if_authenticated is not None:
                        return True

                    if self.local is not None:
                        return True

                    if self.none is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Authorization.Commands']['meta_info']


            class Exec_(object):
                """
                For starting an exec (shell).
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: a1
                
                	
                	**type**\:   :py:class:`A1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A1>`
                
                .. attribute:: a2
                
                	
                	**type**\:   :py:class:`A2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A2>`
                
                .. attribute:: a3
                
                	
                	**type**\:   :py:class:`A3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A3>`
                
                .. attribute:: a4
                
                	
                	**type**\:   :py:class:`A4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A4>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.a1 = Native.Aaa.Authorization.Exec_.A1()
                    self.a1.parent = self
                    self.a2 = Native.Aaa.Authorization.Exec_.A2()
                    self.a2.parent = self
                    self.a3 = Native.Aaa.Authorization.Exec_.A3()
                    self.a3.parent = self
                    self.a4 = Native.Aaa.Authorization.Exec_.A4()
                    self.a4.parent = self


                class A1(object):
                    """
                    
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`CacheEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A1.CacheEnum>`
                    
                    
                    ----
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A1.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: if_authenticated
                    
                    	Succeed if user has authenticated
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5_instance
                    
                    	Use Kerberos instance privilege maps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	Use local database
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	No authorization (always succeeds)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cache = None
                        self.group = None
                        self.if_authenticated = None
                        self.krb5_instance = None
                        self.local = None
                        self.none = None

                    class CacheEnum(Enum):
                        """
                        CacheEnum

                        Use Cached\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = 0

                        radius = 1

                        tacacs__PLUS__ = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authorization.Exec_.A1.CacheEnum']


                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = 0

                        radius = 1

                        tacacs__PLUS__ = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authorization.Exec_.A1.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:a1'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cache is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.if_authenticated is not None:
                            return True

                        if self.krb5_instance is not None:
                            return True

                        if self.local is not None:
                            return True

                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authorization.Exec_.A1']['meta_info']


                class A2(object):
                    """
                    
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`CacheEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A2.CacheEnum>`
                    
                    
                    ----
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A2.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: if_authenticated
                    
                    	Succeed if user has authenticated
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5_instance
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	No authorization (always succeeds)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cache = None
                        self.group = None
                        self.if_authenticated = None
                        self.krb5_instance = None
                        self.local = None
                        self.none = None

                    class CacheEnum(Enum):
                        """
                        CacheEnum

                        Use Cached\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = 0

                        radius = 1

                        tacacs__PLUS__ = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authorization.Exec_.A2.CacheEnum']


                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = 0

                        radius = 1

                        tacacs__PLUS__ = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authorization.Exec_.A2.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:a2'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cache is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.if_authenticated is not None:
                            return True

                        if self.krb5_instance is not None:
                            return True

                        if self.local is not None:
                            return True

                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authorization.Exec_.A2']['meta_info']


                class A3(object):
                    """
                    
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`CacheEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A3.CacheEnum>`
                    
                    
                    ----
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A3.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: if_authenticated
                    
                    	Succeed if user has authenticated
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5_instance
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	No authorization (always succeeds)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cache = None
                        self.group = None
                        self.if_authenticated = None
                        self.krb5_instance = None
                        self.local = None
                        self.none = None

                    class CacheEnum(Enum):
                        """
                        CacheEnum

                        Use Cached\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = 0

                        radius = 1

                        tacacs__PLUS__ = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authorization.Exec_.A3.CacheEnum']


                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = 0

                        radius = 1

                        tacacs__PLUS__ = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authorization.Exec_.A3.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:a3'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cache is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.if_authenticated is not None:
                            return True

                        if self.krb5_instance is not None:
                            return True

                        if self.local is not None:
                            return True

                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authorization.Exec_.A3']['meta_info']


                class A4(object):
                    """
                    
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`CacheEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A4.CacheEnum>`
                    
                    
                    ----
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A4.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: if_authenticated
                    
                    	Succeed if user has authenticated
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5_instance
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	No authorization (always succeeds)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cache = None
                        self.group = None
                        self.if_authenticated = None
                        self.krb5_instance = None
                        self.local = None
                        self.none = None

                    class CacheEnum(Enum):
                        """
                        CacheEnum

                        Use Cached\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = 0

                        radius = 1

                        tacacs__PLUS__ = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authorization.Exec_.A4.CacheEnum']


                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = 0

                        radius = 1

                        tacacs__PLUS__ = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authorization.Exec_.A4.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:a4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cache is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.if_authenticated is not None:
                            return True

                        if self.krb5_instance is not None:
                            return True

                        if self.local is not None:
                            return True

                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authorization.Exec_.A4']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authorization/Cisco-IOS-XE-aaa:exec[Cisco-IOS-XE-aaa:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.a1 is not None and self.a1._has_data():
                        return True

                    if self.a2 is not None and self.a2._has_data():
                        return True

                    if self.a3 is not None and self.a3._has_data():
                        return True

                    if self.a4 is not None and self.a4._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Authorization.Exec_']['meta_info']


            class Eventmanager(object):
                """
                For starting an exec (shell).
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: group
                
                	Use server\-group
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Eventmanager.GroupEnum>`
                
                
                ----
                .. attribute:: local
                
                	Use local database
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: none
                
                	No authorization (always succeeds)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.group = None
                    self.local = None
                    self.none = None

                class GroupEnum(Enum):
                    """
                    GroupEnum

                    Use server\-group.

                    .. data:: ldap = 0

                    .. data:: radius = 1

                    .. data:: tacacs = 2

                    """

                    ldap = 0

                    radius = 1

                    tacacs = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authorization.Eventmanager.GroupEnum']


                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authorization/Cisco-IOS-XE-aaa:eventmanager[Cisco-IOS-XE-aaa:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.group is not None:
                        return True

                    if self.local is not None:
                        return True

                    if self.none is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Authorization.Eventmanager']['meta_info']


            class Network(object):
                """
                For network services. (PPP, SLIP, ARAP)
                
                .. attribute:: id  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.IdEnum>`
                
                
                ----
                	**type**\:  str
                
                	**length:** 1..31
                
                
                ----
                .. attribute:: a1
                
                	
                	**type**\:   :py:class:`A1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A1>`
                
                .. attribute:: a2
                
                	
                	**type**\:   :py:class:`A2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A2>`
                
                .. attribute:: a3
                
                	
                	**type**\:   :py:class:`A3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A3>`
                
                .. attribute:: a4
                
                	
                	**type**\:   :py:class:`A4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A4>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.a1 = Native.Aaa.Authorization.Network.A1()
                    self.a1.parent = self
                    self.a2 = Native.Aaa.Authorization.Network.A2()
                    self.a2.parent = self
                    self.a3 = Native.Aaa.Authorization.Network.A3()
                    self.a3.parent = self
                    self.a4 = Native.Aaa.Authorization.Network.A4()
                    self.a4.parent = self

                class IdEnum(Enum):
                    """
                    IdEnum

                    .. data:: default = 0

                    """

                    default = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authorization.Network.IdEnum']



                class A1(object):
                    """
                    
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`CacheEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A1.CacheEnum>`
                    
                    
                    ----
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A1.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: if_authenticated
                    
                    	Succeed if user has authenticated
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	Use local username authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cache = None
                        self.group = None
                        self.if_authenticated = None
                        self.local = None
                        self.none = None

                    class CacheEnum(Enum):
                        """
                        CacheEnum

                        Use Cached\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authorization.Network.A1.CacheEnum']


                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authorization.Network.A1.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:a1'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cache is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.if_authenticated is not None:
                            return True

                        if self.local is not None:
                            return True

                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authorization.Network.A1']['meta_info']


                class A2(object):
                    """
                    
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`CacheEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A2.CacheEnum>`
                    
                    
                    ----
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A2.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: if_authenticated
                    
                    	Succeed if user has authenticated
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cache = None
                        self.group = None
                        self.if_authenticated = None
                        self.local = None
                        self.none = None

                    class CacheEnum(Enum):
                        """
                        CacheEnum

                        Use Cached\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authorization.Network.A2.CacheEnum']


                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authorization.Network.A2.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:a2'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cache is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.if_authenticated is not None:
                            return True

                        if self.local is not None:
                            return True

                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authorization.Network.A2']['meta_info']


                class A3(object):
                    """
                    
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`CacheEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A3.CacheEnum>`
                    
                    
                    ----
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A3.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: if_authenticated
                    
                    	Succeed if user has authenticated
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cache = None
                        self.group = None
                        self.if_authenticated = None
                        self.local = None
                        self.none = None

                    class CacheEnum(Enum):
                        """
                        CacheEnum

                        Use Cached\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authorization.Network.A3.CacheEnum']


                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authorization.Network.A3.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:a3'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cache is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.if_authenticated is not None:
                            return True

                        if self.local is not None:
                            return True

                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authorization.Network.A3']['meta_info']


                class A4(object):
                    """
                    
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`CacheEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A4.CacheEnum>`
                    
                    
                    ----
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A4.GroupEnum>`
                    
                    
                    ----
                    .. attribute:: if_authenticated
                    
                    	Succeed if user has authenticated
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cache = None
                        self.group = None
                        self.if_authenticated = None
                        self.local = None
                        self.none = None

                    class CacheEnum(Enum):
                        """
                        CacheEnum

                        Use Cached\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authorization.Network.A4.CacheEnum']


                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authorization.Network.A4.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:a4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cache is not None:
                            return True

                        if self.group is not None:
                            return True

                        if self.if_authenticated is not None:
                            return True

                        if self.local is not None:
                            return True

                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authorization.Network.A4']['meta_info']

                @property
                def _common_path(self):
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authorization/Cisco-IOS-XE-aaa:network[Cisco-IOS-XE-aaa:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.a1 is not None and self.a1._has_data():
                        return True

                    if self.a2 is not None and self.a2._has_data():
                        return True

                    if self.a3 is not None and self.a3._has_data():
                        return True

                    if self.a4 is not None and self.a4._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Authorization.Network']['meta_info']


            class AuthProxy(object):
                """
                For Authentication Proxy Services
                
                .. attribute:: default
                
                	The default authorization list
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.AuthProxy.Default>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Aaa.Authorization.AuthProxy.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    The default authorization list.
                    
                    .. attribute:: group
                    
                    	Use server\-group
                    	**type**\:   :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.AuthProxy.Default.Group>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group = Native.Aaa.Authorization.AuthProxy.Default.Group()
                        self.group.parent = self


                    class Group(object):
                        """
                        Use server\-group.
                        
                        .. attribute:: group_name
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: radius
                        
                        	Use list of all Radius hosts
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.group_name = None
                            self.radius = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authorization/Cisco-IOS-XE-aaa:auth-proxy/Cisco-IOS-XE-aaa:default/Cisco-IOS-XE-aaa:group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.group_name is not None:
                                return True

                            if self.radius is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authorization.AuthProxy.Default.Group']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authorization/Cisco-IOS-XE-aaa:auth-proxy/Cisco-IOS-XE-aaa:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group is not None and self.group._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authorization.AuthProxy.Default']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authorization/Cisco-IOS-XE-aaa:auth-proxy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Authorization.AuthProxy']['meta_info']


            class Onep(object):
                """
                Set authorization lists for ONEP
                
                .. attribute:: default
                
                	The default authorization list
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Onep.Default>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Aaa.Authorization.Onep.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    The default authorization list.
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\:   :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Onep.Default.Group>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group = Native.Aaa.Authorization.Onep.Default.Group()
                        self.group.parent = self


                    class Group(object):
                        """
                        Use Server\-group
                        
                        .. attribute:: group_word
                        
                        	
                        	**type**\: list of    :py:class:`GroupWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Onep.Default.Group.GroupWord>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.group_word = YList()
                            self.group_word.parent = self
                            self.group_word.name = 'group_word'


                        class GroupWord(object):
                            """
                            
                            
                            .. attribute:: group_word  <key>
                            
                            	Server\-group name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group_word = None

                            @property
                            def _common_path(self):
                                if self.group_word is None:
                                    raise YPYModelError('Key property group_word is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authorization/Cisco-IOS-XE-aaa:onep/Cisco-IOS-XE-aaa:default/Cisco-IOS-XE-aaa:group/Cisco-IOS-XE-aaa:group-word[Cisco-IOS-XE-aaa:group-word = ' + str(self.group_word) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group_word is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Aaa.Authorization.Onep.Default.Group.GroupWord']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authorization/Cisco-IOS-XE-aaa:onep/Cisco-IOS-XE-aaa:default/Cisco-IOS-XE-aaa:group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.group_word is not None:
                                for child_ref in self.group_word:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Authorization.Onep.Default.Group']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authorization/Cisco-IOS-XE-aaa:onep/Cisco-IOS-XE-aaa:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group is not None and self.group._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Authorization.Onep.Default']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authorization/Cisco-IOS-XE-aaa:onep'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Authorization.Onep']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:authorization'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.auth_proxy is not None and self.auth_proxy._has_data():
                    return True

                if self.auth_type is not None and self.auth_type._has_data():
                    return True

                if self.commands is not None:
                    for child_ref in self.commands:
                        if child_ref._has_data():
                            return True

                if self.config_commands is not None:
                    return True

                if self.console is not None:
                    return True

                if self.eventmanager is not None:
                    for child_ref in self.eventmanager:
                        if child_ref._has_data():
                            return True

                if self.exec_ is not None:
                    for child_ref in self.exec_:
                        if child_ref._has_data():
                            return True

                if self.network is not None:
                    for child_ref in self.network:
                        if child_ref._has_data():
                            return True

                if self.onep is not None and self.onep._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Aaa.Authorization']['meta_info']


        class Accounting(object):
            """
            Accounting configurations parameters.
            
            .. attribute:: auth_proxy
            
            	For Authentication Proxy Services
            	**type**\:   :py:class:`AuthProxy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.AuthProxy>`
            
            .. attribute:: commands
            
            	For exec (shell) commands
            	**type**\: list of    :py:class:`Commands <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Commands>`
            
            .. attribute:: connection
            
            	For outbound connections. (telnet, rlogin)
            	**type**\: list of    :py:class:`Connection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Connection>`
            
            .. attribute:: delay_start
            
            	Delay PPP Network start record until peer IP address is known
            	**type**\:   :py:class:`DelayStart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.DelayStart>`
            
            .. attribute:: dot1x
            
            	For dot1x sessions
            	**type**\: list of    :py:class:`Dot1X <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Dot1X>`
            
            .. attribute:: exec_
            
            	For starting an exec (shell)
            	**type**\: list of    :py:class:`Exec_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Exec_>`
            
            .. attribute:: exec_submode
            
            	
            	**type**\:   :py:class:`ExecSubmode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode>`
            
            .. attribute:: network
            
            	For network services. (PPP, SLIP, ARAP)
            	**type**\: list of    :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network>`
            
            .. attribute:: send
            
            	Send records to accounting server
            	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Send>`
            
            .. attribute:: system
            
            	For system events
            	**type**\:   :py:class:`System <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.System>`
            
            .. attribute:: update
            
            	Enable accounting update records
            	**type**\:   :py:class:`Update <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Update>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.auth_proxy = Native.Aaa.Accounting.AuthProxy()
                self.auth_proxy.parent = self
                self.commands = YList()
                self.commands.parent = self
                self.commands.name = 'commands'
                self.connection = YList()
                self.connection.parent = self
                self.connection.name = 'connection'
                self.delay_start = Native.Aaa.Accounting.DelayStart()
                self.delay_start.parent = self
                self.dot1x = YList()
                self.dot1x.parent = self
                self.dot1x.name = 'dot1x'
                self.exec_ = YList()
                self.exec_.parent = self
                self.exec_.name = 'exec_'
                self.exec_submode = Native.Aaa.Accounting.ExecSubmode()
                self.exec_submode.parent = self
                self.network = YList()
                self.network.parent = self
                self.network.name = 'network'
                self.send = Native.Aaa.Accounting.Send()
                self.send.parent = self
                self.system = Native.Aaa.Accounting.System()
                self.system.parent = self
                self.update = Native.Aaa.Accounting.Update()
                self.update.parent = self


            class Commands(object):
                """
                For exec (shell) commands.
                
                .. attribute:: level  <key>
                
                	Enable level
                	**type**\:  int
                
                	**range:** 0..15
                
                .. attribute:: list_name  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:   :py:class:`ListNameEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Commands.ListNameEnum>`
                
                
                ----
                	**type**\:  str
                
                	**length:** 1..31
                
                
                ----
                .. attribute:: action_type
                
                	
                	**type**\:   :py:class:`ActionTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Commands.ActionTypeEnum>`
                
                .. attribute:: broadcast
                
                	Use Broadcast for Accounting
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: group
                
                	Use Server\-group
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Commands.GroupEnum>`
                
                
                ----
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.level = None
                    self.list_name = None
                    self.action_type = None
                    self.broadcast = None
                    self.group = None

                class ActionTypeEnum(Enum):
                    """
                    ActionTypeEnum

                    .. data:: none = 0

                    .. data:: start_stop = 1

                    .. data:: stop_only = 2

                    """

                    none = 0

                    start_stop = 1

                    stop_only = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Accounting.Commands.ActionTypeEnum']


                class GroupEnum(Enum):
                    """
                    GroupEnum

                    Use Server\-group

                    .. data:: tacacs__PLUS__ = 0

                    """

                    tacacs__PLUS__ = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Accounting.Commands.GroupEnum']


                class ListNameEnum(Enum):
                    """
                    ListNameEnum

                    .. data:: default = 0

                    """

                    default = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Accounting.Commands.ListNameEnum']


                @property
                def _common_path(self):
                    if self.level is None:
                        raise YPYModelError('Key property level is None')
                    if self.list_name is None:
                        raise YPYModelError('Key property list_name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:commands[Cisco-IOS-XE-aaa:level = ' + str(self.level) + '][Cisco-IOS-XE-aaa:list-name = ' + str(self.list_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.level is not None:
                        return True

                    if self.list_name is not None:
                        return True

                    if self.action_type is not None:
                        return True

                    if self.broadcast is not None:
                        return True

                    if self.group is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Accounting.Commands']['meta_info']


            class Connection(object):
                """
                For outbound connections. (telnet, rlogin)
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: none
                
                	No accounting
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: start_stop
                
                	Record start and stop without waiting
                	**type**\:   :py:class:`StartStop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Connection.StartStop>`
                
                .. attribute:: stop_only
                
                	Record stop when service terminates
                	**type**\:   :py:class:`StopOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Connection.StopOnly>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.none = None
                    self.start_stop = Native.Aaa.Accounting.Connection.StartStop()
                    self.start_stop.parent = self
                    self.stop_only = Native.Aaa.Accounting.Connection.StopOnly()
                    self.stop_only.parent = self


                class StartStop(object):
                    """
                    Record start and stop without waiting
                    
                    .. attribute:: broadcast
                    
                    	Use Broadcast for Accounting
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop.GroupEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.broadcast = None
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Accounting.Connection.StartStop.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:start-stop'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.broadcast is not None:
                            return True

                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Accounting.Connection.StartStop']['meta_info']


                class StopOnly(object):
                    """
                    Record stop when service terminates.
                    
                    .. attribute:: broadcast
                    
                    	Use Broadcast for Accounting
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly.GroupEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.broadcast = None
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Accounting.Connection.StopOnly.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:stop-only'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.broadcast is not None:
                            return True

                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Accounting.Connection.StopOnly']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:connection[Cisco-IOS-XE-aaa:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.none is not None:
                        return True

                    if self.start_stop is not None and self.start_stop._has_data():
                        return True

                    if self.stop_only is not None and self.stop_only._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Accounting.Connection']['meta_info']


            class DelayStart(object):
                """
                Delay PPP Network start record until peer IP address is known.
                
                .. attribute:: all
                
                	Delay start records for all vrf and non\-vrf users
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: extended_delay
                
                	
                	**type**\:  int
                
                	**range:** 1..2
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.all = None
                    self.extended_delay = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:delay-start'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.all is not None:
                        return True

                    if self.extended_delay is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Accounting.DelayStart']['meta_info']


            class Dot1X(object):
                """
                For dot1x sessions.
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: start_stop
                
                	Record start and stop without waiting
                	**type**\:   :py:class:`StartStop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Dot1X.StartStop>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.start_stop = Native.Aaa.Accounting.Dot1X.StartStop()
                    self.start_stop.parent = self


                class StartStop(object):
                    """
                    Record start and stop without waiting
                    
                    .. attribute:: broadcast
                    
                    	Use Broadcast for Accounting
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Dot1X.StartStop.GroupEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.broadcast = None
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Accounting.Dot1X.StartStop.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:start-stop'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.broadcast is not None:
                            return True

                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Accounting.Dot1X.StartStop']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:dot1x[Cisco-IOS-XE-aaa:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.start_stop is not None and self.start_stop._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Accounting.Dot1X']['meta_info']


            class Exec_(object):
                """
                For starting an exec (shell).
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: none
                
                	No accounting
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: start_stop
                
                	Record start and stop without waiting
                	**type**\:   :py:class:`StartStop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Exec_.StartStop>`
                
                .. attribute:: stop_only
                
                	Record stop when service terminates
                	**type**\:   :py:class:`StopOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Exec_.StopOnly>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.none = None
                    self.start_stop = Native.Aaa.Accounting.Exec_.StartStop()
                    self.start_stop.parent = self
                    self.stop_only = Native.Aaa.Accounting.Exec_.StopOnly()
                    self.stop_only.parent = self


                class StartStop(object):
                    """
                    Record start and stop without waiting
                    
                    .. attribute:: broadcast
                    
                    	Use Broadcast for Accounting
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop.GroupEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.broadcast = None
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Accounting.Exec_.StartStop.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:start-stop'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.broadcast is not None:
                            return True

                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Accounting.Exec_.StartStop']['meta_info']


                class StopOnly(object):
                    """
                    Record stop when service terminates.
                    
                    .. attribute:: broadcast
                    
                    	Use Broadcast for Accounting
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly.GroupEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.broadcast = None
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = 0

                        tacacs__PLUS__ = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Accounting.Exec_.StopOnly.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:stop-only'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.broadcast is not None:
                            return True

                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Accounting.Exec_.StopOnly']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:exec[Cisco-IOS-XE-aaa:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.none is not None:
                        return True

                    if self.start_stop is not None and self.start_stop._has_data():
                        return True

                    if self.stop_only is not None and self.stop_only._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Accounting.Exec_']['meta_info']


            class ExecSubmode(object):
                """
                
                
                .. attribute:: exec_
                
                	For starting an exec (shell)
                	**type**\: list of    :py:class:`Exec_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode.Exec_>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.exec_ = YList()
                    self.exec_.parent = self
                    self.exec_.name = 'exec_'


                class Exec_(object):
                    """
                    For starting an exec (shell).
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: action_type
                    
                    	Type of action to be performed on accounting records
                    	**type**\:   :py:class:`ActionType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.action_type = Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType()
                        self.action_type.parent = self


                    class ActionType(object):
                        """
                        Type of action to be performed on accounting records
                        
                        .. attribute:: none
                        
                        	No accounting
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: start_stop
                        
                        	Record start and stop without waiting
                        	**type**\:   :py:class:`StartStop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop>`
                        
                        .. attribute:: stop_only
                        
                        	Record stop when service terminates
                        	**type**\:   :py:class:`StopOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.none = None
                            self.start_stop = Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop()
                            self.start_stop.parent = self
                            self.stop_only = Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly()
                            self.stop_only.parent = self


                        class StartStop(object):
                            """
                            Record start and stop without waiting
                            
                            .. attribute:: broadcast
                            
                            	Use Broadcast for Accounting
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: group
                            
                            	Use Server\-group
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            
                            ----
                            	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop.GroupEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.broadcast = None
                                self.group = None

                            class GroupEnum(Enum):
                                """
                                GroupEnum

                                Use Server\-group

                                .. data:: radius = 0

                                .. data:: tacacs__PLUS__ = 1

                                """

                                radius = 0

                                tacacs__PLUS__ = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop.GroupEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-aaa:start-stop'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.broadcast is not None:
                                    return True

                                if self.group is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop']['meta_info']


                        class StopOnly(object):
                            """
                            Record stop when service terminates.
                            
                            .. attribute:: broadcast
                            
                            	Use Broadcast for Accounting
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: group
                            
                            	Use Server\-group
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            
                            ----
                            	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly.GroupEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.broadcast = None
                                self.group = None

                            class GroupEnum(Enum):
                                """
                                GroupEnum

                                Use Server\-group

                                .. data:: radius = 0

                                .. data:: tacacs__PLUS__ = 1

                                """

                                radius = 0

                                tacacs__PLUS__ = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly.GroupEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-aaa:stop-only'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.broadcast is not None:
                                    return True

                                if self.group is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-aaa:action-type'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.none is not None:
                                return True

                            if self.start_stop is not None and self.start_stop._has_data():
                                return True

                            if self.stop_only is not None and self.stop_only._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType']['meta_info']

                    @property
                    def _common_path(self):
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:exec-submode/Cisco-IOS-XE-aaa:exec[Cisco-IOS-XE-aaa:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.action_type is not None and self.action_type._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Accounting.ExecSubmode.Exec_']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:exec-submode'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.exec_ is not None:
                        for child_ref in self.exec_:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Accounting.ExecSubmode']['meta_info']


            class Network(object):
                """
                For network services. (PPP, SLIP, ARAP)
                
                .. attribute:: id  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.IdEnum>`
                
                
                ----
                	**type**\:  str
                
                	**length:** 1..31
                
                
                ----
                .. attribute:: a1
                
                	
                	**type**\:   :py:class:`A1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.A1>`
                
                .. attribute:: a2
                
                	
                	**type**\:   :py:class:`A2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.A2>`
                
                .. attribute:: a3
                
                	
                	**type**\:   :py:class:`A3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.A3>`
                
                .. attribute:: a4
                
                	
                	**type**\:   :py:class:`A4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.A4>`
                
                .. attribute:: broadcast
                
                	Use Broadcast for Accounting
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mode
                
                	
                	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.ModeEnum>`
                
                .. attribute:: none
                
                	No accounting
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: start_stop
                
                	Record start and stop without waiting
                	**type**\:   :py:class:`StartStop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.StartStop>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.a1 = Native.Aaa.Accounting.Network.A1()
                    self.a1.parent = self
                    self.a2 = Native.Aaa.Accounting.Network.A2()
                    self.a2.parent = self
                    self.a3 = Native.Aaa.Accounting.Network.A3()
                    self.a3.parent = self
                    self.a4 = Native.Aaa.Accounting.Network.A4()
                    self.a4.parent = self
                    self.broadcast = None
                    self.mode = None
                    self.none = None
                    self.start_stop = Native.Aaa.Accounting.Network.StartStop()
                    self.start_stop.parent = self

                class IdEnum(Enum):
                    """
                    IdEnum

                    .. data:: default = 0

                    """

                    default = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Accounting.Network.IdEnum']


                class ModeEnum(Enum):
                    """
                    ModeEnum

                    .. data:: start_stop = 0

                    .. data:: stop_only = 1

                    """

                    start_stop = 0

                    stop_only = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Accounting.Network.ModeEnum']



                class StartStop(object):
                    """
                    Record start and stop without waiting
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.StartStop.GroupEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use Server\-group

                        .. data:: radius = 0

                        """

                        radius = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Accounting.Network.StartStop.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:start-stop'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Accounting.Network.StartStop']['meta_info']


                class A1(object):
                    """
                    
                    
                    .. attribute:: group
                    
                    	Use server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.A1.GroupEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use server\-group.

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs = 2

                        """

                        ldap = 0

                        radius = 1

                        tacacs = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Accounting.Network.A1.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:a1'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Accounting.Network.A1']['meta_info']


                class A2(object):
                    """
                    
                    
                    .. attribute:: group
                    
                    	Use server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.A2.GroupEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use server\-group.

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs = 2

                        """

                        ldap = 0

                        radius = 1

                        tacacs = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Accounting.Network.A2.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:a2'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Accounting.Network.A2']['meta_info']


                class A3(object):
                    """
                    
                    
                    .. attribute:: group
                    
                    	Use server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.A3.GroupEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use server\-group.

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs = 2

                        """

                        ldap = 0

                        radius = 1

                        tacacs = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Accounting.Network.A3.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:a3'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Accounting.Network.A3']['meta_info']


                class A4(object):
                    """
                    
                    
                    .. attribute:: group
                    
                    	Use server\-group
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.A4.GroupEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Use server\-group.

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs = 2

                        """

                        ldap = 0

                        radius = 1

                        tacacs = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Accounting.Network.A4.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:a4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Accounting.Network.A4']['meta_info']

                @property
                def _common_path(self):
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:network[Cisco-IOS-XE-aaa:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.a1 is not None and self.a1._has_data():
                        return True

                    if self.a2 is not None and self.a2._has_data():
                        return True

                    if self.a3 is not None and self.a3._has_data():
                        return True

                    if self.a4 is not None and self.a4._has_data():
                        return True

                    if self.broadcast is not None:
                        return True

                    if self.mode is not None:
                        return True

                    if self.none is not None:
                        return True

                    if self.start_stop is not None and self.start_stop._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Accounting.Network']['meta_info']


            class Send(object):
                """
                Send records to accounting server
                
                .. attribute:: counters
                
                	Enable specific counters in the Stop record
                	**type**\:   :py:class:`Counters <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Send.Counters>`
                
                .. attribute:: stop_record
                
                	Generate STOP records for a specified event
                	**type**\:   :py:class:`StopRecord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Send.StopRecord>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.counters = Native.Aaa.Accounting.Send.Counters()
                    self.counters.parent = self
                    self.stop_record = Native.Aaa.Accounting.Send.StopRecord()
                    self.stop_record.parent = self


                class Counters(object):
                    """
                    Enable specific counters in the Stop record
                    
                    .. attribute:: ipv6
                    
                    	Send IPv6 counters in the Stop Record
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv6 = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:send/Cisco-IOS-XE-aaa:counters'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv6 is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Accounting.Send.Counters']['meta_info']


                class StopRecord(object):
                    """
                    Generate STOP records for a specified event
                    
                    .. attribute:: always
                    
                    	Generate STOP records always, even if the START record is not sent
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: authentication
                    
                    	Generate STOP records for authentication failures
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Send.StopRecord.Authentication>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.always = None
                        self.authentication = Native.Aaa.Accounting.Send.StopRecord.Authentication()
                        self.authentication.parent = self


                    class Authentication(object):
                        """
                        Generate STOP records for authentication failures
                        
                        .. attribute:: failure
                        
                        	Generate STOP records for authentication failures
                        	**type**\:   :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Send.StopRecord.Authentication.Failure>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: success
                        
                        	Generate STOP records for authenticated users
                        	**type**\:   :py:class:`Success <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Send.StopRecord.Authentication.Success>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.failure = None
                            self.success = Native.Aaa.Accounting.Send.StopRecord.Authentication.Success()
                            self.success.parent = self


                        class Failure(object):
                            """
                            Generate STOP records for authentication failures
                            
                            .. attribute:: vrf
                            
                            	VPN Routing/Forwarding parameters
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.vrf = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:send/Cisco-IOS-XE-aaa:stop-record/Cisco-IOS-XE-aaa:authentication/Cisco-IOS-XE-aaa:failure'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Aaa.Accounting.Send.StopRecord.Authentication.Failure']['meta_info']


                        class Success(object):
                            """
                            Generate STOP records for authenticated users
                            
                            .. attribute:: remote_server
                            
                            	Successfully authenticated, through access\-accept, by a remote AAA server
                            	**type**\:   :py:class:`RemoteServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Send.StopRecord.Authentication.Success.RemoteServer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.remote_server = None


                            class RemoteServer(object):
                                """
                                Successfully authenticated, through access\-accept, by a remote AAA server
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding parameters
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.vrf = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:send/Cisco-IOS-XE-aaa:stop-record/Cisco-IOS-XE-aaa:authentication/Cisco-IOS-XE-aaa:success/Cisco-IOS-XE-aaa:remote-server'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Aaa.Accounting.Send.StopRecord.Authentication.Success.RemoteServer']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:send/Cisco-IOS-XE-aaa:stop-record/Cisco-IOS-XE-aaa:authentication/Cisco-IOS-XE-aaa:success'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.remote_server is not None and self.remote_server._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Aaa.Accounting.Send.StopRecord.Authentication.Success']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:send/Cisco-IOS-XE-aaa:stop-record/Cisco-IOS-XE-aaa:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.failure is not None and self.failure._has_data():
                                return True

                            if self.success is not None and self.success._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Accounting.Send.StopRecord.Authentication']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:send/Cisco-IOS-XE-aaa:stop-record'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.always is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Accounting.Send.StopRecord']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:send'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.counters is not None and self.counters._has_data():
                        return True

                    if self.stop_record is not None and self.stop_record._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Accounting.Send']['meta_info']


            class System(object):
                """
                For system events.
                
                .. attribute:: default
                
                	The default accounting list
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.System.Default>`
                
                	**presence node**\: True
                
                .. attribute:: guarantee_first
                
                	Guarantee system accounting as first record
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = None
                    self.guarantee_first = None


                class Default(object):
                    """
                    The default accounting list.
                    
                    .. attribute:: none
                    
                    	No accounting
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: start_stop
                    
                    	Record start and stop without waiting
                    	**type**\:   :py:class:`StartStop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.System.Default.StartStop>`
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding parameters
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.none = None
                        self.start_stop = Native.Aaa.Accounting.System.Default.StartStop()
                        self.start_stop.parent = self
                        self.vrf = None


                    class StartStop(object):
                        """
                        Record start and stop without waiting
                        
                        .. attribute:: broadcast
                        
                        	Use Broadcast for Accounting
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: group
                        
                        	Use Server\-group
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        
                        ----
                        	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.System.Default.StartStop.GroupEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.broadcast = None
                            self.group = None

                        class GroupEnum(Enum):
                            """
                            GroupEnum

                            Use Server\-group

                            .. data:: radius = 0

                            .. data:: tacacs__PLUS__ = 1

                            """

                            radius = 0

                            tacacs__PLUS__ = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Aaa.Accounting.System.Default.StartStop.GroupEnum']


                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:system/Cisco-IOS-XE-aaa:default/Cisco-IOS-XE-aaa:start-stop'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.broadcast is not None:
                                return True

                            if self.group is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Accounting.System.Default.StartStop']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:system/Cisco-IOS-XE-aaa:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.none is not None:
                            return True

                        if self.start_stop is not None and self.start_stop._has_data():
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Accounting.System.Default']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:system'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    if self.guarantee_first is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Accounting.System']['meta_info']


            class Update(object):
                """
                Enable accounting update records
                
                .. attribute:: periodic
                
                	Periodic intervals to send accounting update records(in minutes)
                	**type**\:  int
                
                	**range:** 1..71582
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.periodic = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:update'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.periodic is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Accounting.Update']['meta_info']


            class AuthProxy(object):
                """
                For Authentication Proxy Services
                
                .. attribute:: default
                
                	The default authorization list
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.AuthProxy.Default>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Aaa.Accounting.AuthProxy.Default()
                    self.default.parent = self


                class Default(object):
                    """
                    The default authorization list.
                    
                    .. attribute:: start_stop
                    
                    	Record start and stop without waiting
                    	**type**\:   :py:class:`StartStop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.AuthProxy.Default.StartStop>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.start_stop = Native.Aaa.Accounting.AuthProxy.Default.StartStop()
                        self.start_stop.parent = self


                    class StartStop(object):
                        """
                        Record start and stop without waiting
                        
                        .. attribute:: group
                        
                        	Use server\-group
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.group = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:auth-proxy/Cisco-IOS-XE-aaa:default/Cisco-IOS-XE-aaa:start-stop'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.group is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Accounting.AuthProxy.Default.StartStop']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:auth-proxy/Cisco-IOS-XE-aaa:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.start_stop is not None and self.start_stop._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Accounting.AuthProxy.Default']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting/Cisco-IOS-XE-aaa:auth-proxy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Accounting.AuthProxy']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:accounting'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.auth_proxy is not None and self.auth_proxy._has_data():
                    return True

                if self.commands is not None:
                    for child_ref in self.commands:
                        if child_ref._has_data():
                            return True

                if self.connection is not None:
                    for child_ref in self.connection:
                        if child_ref._has_data():
                            return True

                if self.delay_start is not None and self.delay_start._has_data():
                    return True

                if self.dot1x is not None:
                    for child_ref in self.dot1x:
                        if child_ref._has_data():
                            return True

                if self.exec_ is not None:
                    for child_ref in self.exec_:
                        if child_ref._has_data():
                            return True

                if self.exec_submode is not None and self.exec_submode._has_data():
                    return True

                if self.network is not None:
                    for child_ref in self.network:
                        if child_ref._has_data():
                            return True

                if self.send is not None and self.send._has_data():
                    return True

                if self.system is not None and self.system._has_data():
                    return True

                if self.update is not None and self.update._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Aaa.Accounting']['meta_info']


        class Server(object):
            """
            Local AAA server
            
            .. attribute:: radius
            
            	Profile for local radius server
            	**type**\:   :py:class:`Radius <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.radius = Native.Aaa.Server.Radius()
                self.radius.parent = self


            class Radius(object):
                """
                Profile for local radius server
                
                .. attribute:: dynamic_author
                
                	Local server profile for RFC 3576 support
                	**type**\:   :py:class:`DynamicAuthor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dynamic_author = None


                class DynamicAuthor(object):
                    """
                    Local server profile for RFC 3576 support
                    
                    .. attribute:: auth_type
                    
                    	Specify the server authorization type
                    	**type**\:   :py:class:`AuthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor.AuthTypeEnum>`
                    
                    .. attribute:: client
                    
                    	Specify a RADIUS client
                    	**type**\: list of    :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor.Client>`
                    
                    .. attribute:: domain
                    
                    	Username domain options
                    	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor.Domain>`
                    
                    .. attribute:: server_key
                    
                    	Specify a RADIUS client server\-key
                    	**type**\:   :py:class:`ServerKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor.ServerKey>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.auth_type = None
                        self.client = YList()
                        self.client.parent = self
                        self.client.name = 'client'
                        self.domain = Native.Aaa.Server.Radius.DynamicAuthor.Domain()
                        self.domain.parent = self
                        self.server_key = Native.Aaa.Server.Radius.DynamicAuthor.ServerKey()
                        self.server_key.parent = self

                    class AuthTypeEnum(Enum):
                        """
                        AuthTypeEnum

                        Specify the server authorization type

                        .. data:: all = 0

                        .. data:: any = 1

                        .. data:: session_key = 2

                        """

                        all = 0

                        any = 1

                        session_key = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Server.Radius.DynamicAuthor.AuthTypeEnum']



                    class Client(object):
                        """
                        Specify a RADIUS client
                        
                        .. attribute:: ip  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        
                        ----
                        .. attribute:: server_key
                        
                        	Specify a RADIUS client server\-key
                        	**type**\:   :py:class:`ServerKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor.Client.ServerKey>`
                        
                        .. attribute:: vrf
                        
                        	 Virtual Routing/Forwarding parameters
                        	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor.Client.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = None
                            self.server_key = Native.Aaa.Server.Radius.DynamicAuthor.Client.ServerKey()
                            self.server_key.parent = self
                            self.vrf = YList()
                            self.vrf.parent = self
                            self.vrf.name = 'vrf'


                        class Vrf(object):
                            """
                             Virtual Routing/Forwarding parameters
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-aaa:vrf[Cisco-IOS-XE-aaa:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Aaa.Server.Radius.DynamicAuthor.Client.Vrf']['meta_info']


                        class ServerKey(object):
                            """
                            Specify a RADIUS client server\-key
                            
                            .. attribute:: key
                            
                            	
                            	**type**\:   :py:class:`KeyEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor.Client.ServerKey.KeyEnum>`
                            
                            .. attribute:: string
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key = None
                                self.string = None

                            class KeyEnum(Enum):
                                """
                                KeyEnum

                                .. data:: Y_0 = 0

                                .. data:: Y_6 = 1

                                .. data:: Y_7 = 2

                                """

                                Y_0 = 0

                                Y_6 = 1

                                Y_7 = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Aaa.Server.Radius.DynamicAuthor.Client.ServerKey.KeyEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-aaa:server-key'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key is not None:
                                    return True

                                if self.string is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Aaa.Server.Radius.DynamicAuthor.Client.ServerKey']['meta_info']

                        @property
                        def _common_path(self):
                            if self.ip is None:
                                raise YPYModelError('Key property ip is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:server/Cisco-IOS-XE-aaa:radius/Cisco-IOS-XE-aaa:dynamic-author/Cisco-IOS-XE-aaa:client[Cisco-IOS-XE-aaa:ip = ' + str(self.ip) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None:
                                return True

                            if self.server_key is not None and self.server_key._has_data():
                                return True

                            if self.vrf is not None:
                                for child_ref in self.vrf:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Server.Radius.DynamicAuthor.Client']['meta_info']


                    class ServerKey(object):
                        """
                        Specify a RADIUS client server\-key
                        
                        .. attribute:: key
                        
                        	
                        	**type**\:   :py:class:`KeyEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor.ServerKey.KeyEnum>`
                        
                        .. attribute:: string
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key = None
                            self.string = None

                        class KeyEnum(Enum):
                            """
                            KeyEnum

                            .. data:: Y_0 = 0

                            .. data:: Y_6 = 1

                            .. data:: Y_7 = 2

                            """

                            Y_0 = 0

                            Y_6 = 1

                            Y_7 = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Aaa.Server.Radius.DynamicAuthor.ServerKey.KeyEnum']


                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:server/Cisco-IOS-XE-aaa:radius/Cisco-IOS-XE-aaa:dynamic-author/Cisco-IOS-XE-aaa:server-key'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key is not None:
                                return True

                            if self.string is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Server.Radius.DynamicAuthor.ServerKey']['meta_info']


                    class Domain(object):
                        """
                        Username domain options
                        
                        .. attribute:: delimiter
                        
                        	Domain delimiter, Choose from {@, /, $, %, \\, #, \-}
                        	**type**\:  str
                        
                        .. attribute:: stripping
                        
                        	Match incoming username left oriented of the @ domain delimiter
                        	**type**\:   :py:class:`Stripping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor.Domain.Stripping>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.delimiter = None
                            self.stripping = None


                        class Stripping(object):
                            """
                            Match incoming username left oriented of the @ domain delimiter
                            
                            .. attribute:: right_to_left
                            
                            	Terminate the string at the first delimiter going from right to left
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.right_to_left = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:server/Cisco-IOS-XE-aaa:radius/Cisco-IOS-XE-aaa:dynamic-author/Cisco-IOS-XE-aaa:domain/Cisco-IOS-XE-aaa:stripping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.right_to_left is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Aaa.Server.Radius.DynamicAuthor.Domain.Stripping']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:server/Cisco-IOS-XE-aaa:radius/Cisco-IOS-XE-aaa:dynamic-author/Cisco-IOS-XE-aaa:domain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.delimiter is not None:
                                return True

                            if self.stripping is not None and self.stripping._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Aaa.Server.Radius.DynamicAuthor.Domain']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:server/Cisco-IOS-XE-aaa:radius/Cisco-IOS-XE-aaa:dynamic-author'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.auth_type is not None:
                            return True

                        if self.client is not None:
                            for child_ref in self.client:
                                if child_ref._has_data():
                                    return True

                        if self.domain is not None and self.domain._has_data():
                            return True

                        if self.server_key is not None and self.server_key._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Aaa.Server.Radius.DynamicAuthor']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:server/Cisco-IOS-XE-aaa:radius'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dynamic_author is not None and self.dynamic_author._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Aaa.Server.Radius']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa/Cisco-IOS-XE-aaa:server'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.radius is not None and self.radius._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Aaa.Server']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:aaa'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.accounting is not None and self.accounting._has_data():
                return True

            if self.authentication is not None and self.authentication._has_data():
                return True

            if self.authorization is not None and self.authorization._has_data():
                return True

            if self.group is not None and self.group._has_data():
                return True

            if self.new_model is not None:
                return True

            if self.server is not None and self.server._has_data():
                return True

            if self.session_id is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Aaa']['meta_info']


    class Privilege(object):
        """
        Command privilege parameters
        
        .. attribute:: exec_
        
        	Exec mode
        	**type**\:   :py:class:`Exec_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Privilege.Exec_>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.exec_ = Native.Privilege.Exec_()
            self.exec_.parent = self


        class Exec_(object):
            """
            Exec mode
            
            .. attribute:: level
            
            	Set privilege level of command
            	**type**\: list of    :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Privilege.Exec_.Level>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.level = YList()
                self.level.parent = self
                self.level.name = 'level'


            class Level(object):
                """
                Set privilege level of command
                
                .. attribute:: privilege  <key>
                
                	
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: command_list
                
                	
                	**type**\: list of    :py:class:`CommandList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Privilege.Exec_.Level.CommandList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.privilege = None
                    self.command_list = YList()
                    self.command_list.parent = self
                    self.command_list.name = 'command_list'


                class CommandList(object):
                    """
                    
                    
                    .. attribute:: command  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (show.\*)\|(write.\*)
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.command = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.command is None:
                            raise YPYModelError('Key property command is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:command-list[Cisco-IOS-XE-native:command = ' + str(self.command) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.command is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Privilege.Exec_.Level.CommandList']['meta_info']

                @property
                def _common_path(self):
                    if self.privilege is None:
                        raise YPYModelError('Key property privilege is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:privilege/Cisco-IOS-XE-native:exec/Cisco-IOS-XE-native:level[Cisco-IOS-XE-native:privilege = ' + str(self.privilege) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.privilege is not None:
                        return True

                    if self.command_list is not None:
                        for child_ref in self.command_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Privilege.Exec_.Level']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:privilege/Cisco-IOS-XE-native:exec'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.level is not None:
                    for child_ref in self.level:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Privilege.Exec_']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:privilege'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.exec_ is not None and self.exec_._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Privilege']['meta_info']


    class Login(object):
        """
        Enable secure login checking
        
        .. attribute:: delay
        
        	Set delay between successive fail login
        	**type**\:  int
        
        	**range:** 1..10
        
        .. attribute:: on_failure
        
        	Set options for failed login attempt
        	**type**\:   :py:class:`OnFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Login.OnFailure>`
        
        	**presence node**\: True
        
        .. attribute:: on_success
        
        	Set options for successful login attempt
        	**type**\:   :py:class:`OnSuccess <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Login.OnSuccess>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.delay = None
            self.on_failure = None
            self.on_success = None


        class OnFailure(object):
            """
            Set options for failed login attempt
            
            .. attribute:: log
            
            	Generate syslogs on failure logins
            	**type**\:   :py:class:`Log <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Login.OnFailure.Log>`
            
            	**presence node**\: True
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.log = None


            class Log(object):
                """
                Generate syslogs on failure logins
                
                .. attribute:: every
                
                	Periodicity for logs generated
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.every = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:login/Cisco-IOS-XE-native:on-failure/Cisco-IOS-XE-native:log'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.every is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Login.OnFailure.Log']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:login/Cisco-IOS-XE-native:on-failure'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.log is not None and self.log._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Login.OnFailure']['meta_info']


        class OnSuccess(object):
            """
            Set options for successful login attempt
            
            .. attribute:: log
            
            	Generate syslogs on successful logins
            	**type**\:   :py:class:`Log <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Login.OnSuccess.Log>`
            
            	**presence node**\: True
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.log = None


            class Log(object):
                """
                Generate syslogs on successful logins
                
                .. attribute:: every
                
                	Periodicity for logs generated
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.every = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:login/Cisco-IOS-XE-native:on-success/Cisco-IOS-XE-native:log'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.every is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Login.OnSuccess.Log']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:login/Cisco-IOS-XE-native:on-success'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.log is not None and self.log._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Login.OnSuccess']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:login'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.delay is not None:
                return True

            if self.on_failure is not None and self.on_failure._has_data():
                return True

            if self.on_success is not None and self.on_success._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Login']['meta_info']


    class Multilink(object):
        """
        PPP multilink global configuration
        
        .. attribute:: bundle_name
        
        	Select method for naming multilink bundles
        	**type**\:   :py:class:`BundleNameEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Multilink.BundleNameEnum>`
        
        .. attribute:: virtual_template
        
        	virtual\-template interface
        	**type**\:  int
        
        	**range:** 1..4095
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.bundle_name = None
            self.virtual_template = None

        class BundleNameEnum(Enum):
            """
            BundleNameEnum

            Select method for naming multilink bundles

            .. data:: authenticated = 0

            .. data:: both = 1

            .. data:: endpoint = 2

            .. data:: rfc = 3

            """

            authenticated = 0

            both = 1

            endpoint = 2

            rfc = 3


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Multilink.BundleNameEnum']


        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:multilink'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.bundle_name is not None:
                return True

            if self.virtual_template is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Multilink']['meta_info']


    class MacAddressTable(object):
        """
        Configure the MAC address table
        
        .. attribute:: evc_xconnect
        
        	All ethernet virtual connections xconnect
        	**type**\:   :py:class:`EvcXconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MacAddressTable.EvcXconnect>`
        
        .. attribute:: learning
        
        	Enable a MAC table learning feature
        	**type**\:   :py:class:`Learning <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MacAddressTable.Learning>`
        
        .. attribute:: limit
        
        	Enter parameters for mac limit feature
        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MacAddressTable.Limit>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.evc_xconnect = Native.MacAddressTable.EvcXconnect()
            self.evc_xconnect.parent = self
            self.learning = Native.MacAddressTable.Learning()
            self.learning.parent = self
            self.limit = Native.MacAddressTable.Limit()
            self.limit.parent = self


        class EvcXconnect(object):
            """
            All ethernet virtual connections xconnect
            
            .. attribute:: l2pt_forward_all
            
            	Layer 2 Protocol Forward All
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.l2pt_forward_all = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mac-address-table/Cisco-IOS-XE-native:evc-xconnect'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.l2pt_forward_all is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.MacAddressTable.EvcXconnect']['meta_info']


        class Limit(object):
            """
            Enter parameters for mac limit feature
            
            .. attribute:: bdomain
            
            	bdomain number for  mac limit feature
            	**type**\: list of    :py:class:`Bdomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MacAddressTable.Limit.Bdomain>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.bdomain = YList()
                self.bdomain.parent = self
                self.bdomain.name = 'bdomain'


            class Bdomain(object):
                """
                bdomain number for  mac limit feature
                
                .. attribute:: number  <key>
                
                	
                	**type**\:  int
                
                	**range:** 1..4095
                
                .. attribute:: action
                
                	Enter action
                	**type**\:   :py:class:`ActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MacAddressTable.Limit.Bdomain.ActionEnum>`
                
                .. attribute:: maximum
                
                	Enter max allowed entries
                	**type**\:  int
                
                	**range:** 0..16000
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.action = None
                    self.maximum = None

                class ActionEnum(Enum):
                    """
                    ActionEnum

                    Enter action

                    .. data:: warning = 0

                    .. data:: limit = 1

                    .. data:: shutdown = 2

                    """

                    warning = 0

                    limit = 1

                    shutdown = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.MacAddressTable.Limit.Bdomain.ActionEnum']


                @property
                def _common_path(self):
                    if self.number is None:
                        raise YPYModelError('Key property number is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mac-address-table/Cisco-IOS-XE-native:limit/Cisco-IOS-XE-native:bdomain[Cisco-IOS-XE-native:number = ' + str(self.number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.action is not None:
                        return True

                    if self.maximum is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.MacAddressTable.Limit.Bdomain']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mac-address-table/Cisco-IOS-XE-native:limit'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.bdomain is not None:
                    for child_ref in self.bdomain:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.MacAddressTable.Limit']['meta_info']


        class Learning(object):
            """
            Enable a MAC table learning feature
            
            .. attribute:: vlan
            
            	Layer 2 table learning per VLAN
            	**type**\: list of    :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MacAddressTable.Learning.Vlan>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.vlan = YList()
                self.vlan.parent = self
                self.vlan.name = 'vlan'


            class Vlan(object):
                """
                Layer 2 table learning per VLAN
                
                .. attribute:: id  <key>
                
                	
                	**type**\:  int
                
                	**range:** 1..4094
                
                .. attribute:: module
                
                	Layer 2 table learning per VLAN per module
                	**type**\:  int
                
                	**range:** 1..9
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.module = None

                @property
                def _common_path(self):
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mac-address-table/Cisco-IOS-XE-native:learning/Cisco-IOS-XE-native:vlan[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.module is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.MacAddressTable.Learning.Vlan']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mac-address-table/Cisco-IOS-XE-native:learning'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.vlan is not None:
                    for child_ref in self.vlan:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.MacAddressTable.Learning']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mac-address-table'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.evc_xconnect is not None and self.evc_xconnect._has_data():
                return True

            if self.learning is not None and self.learning._has_data():
                return True

            if self.limit is not None and self.limit._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.MacAddressTable']['meta_info']


    class Redundancy(object):
        """
        Enter redundancy mode
        
        .. attribute:: interchassis
        
        	Enter interchassis mode
        	**type**\:   :py:class:`Interchassis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Interchassis>`
        
        .. attribute:: main_cpu
        
        	Enter main\-cpu mode
        	**type**\:   :py:class:`MainCpu <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.MainCpu>`
        
        	**presence node**\: True
        
        .. attribute:: maintenance_mode
        
        	Enable/Disable maintenance mode 
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: mode
        
        	redundancy mode for this chassis
        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.ModeEnum>`
        
        .. attribute:: policy
        
        	redundancy policy enforcement
        	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Policy>`
        
        .. attribute:: timer
        
        	Select a timer to configure
        	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Timer>`
        
        .. attribute:: _is_presence
        
        	Is present if this instance represents presence container else not
        	**type**\: bool
        
        

        This class is a :ref:`presence class<presence-class>`

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self._is_presence = True
            self.interchassis = Native.Redundancy.Interchassis()
            self.interchassis.parent = self
            self.main_cpu = None
            self.maintenance_mode = None
            self.mode = None
            self.policy = Native.Redundancy.Policy()
            self.policy.parent = self
            self.timer = Native.Redundancy.Timer()
            self.timer.parent = self

        class ModeEnum(Enum):
            """
            ModeEnum

            redundancy mode for this chassis

            .. data:: rpr = 0

            .. data:: rpr_plus = 1

            .. data:: sso = 2

            .. data:: none = 3

            """

            rpr = 0

            rpr_plus = 1

            sso = 2

            none = 3


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Redundancy.ModeEnum']



        class MainCpu(object):
            """
            Enter main\-cpu mode
            
            .. attribute:: auto_sync
            
            	
            	**type**\:   :py:class:`AutoSync <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.MainCpu.AutoSync>`
            
            .. attribute:: standby
            
            	Standby
            	**type**\:   :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.MainCpu.Standby>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.auto_sync = Native.Redundancy.MainCpu.AutoSync()
                self.auto_sync.parent = self
                self.standby = Native.Redundancy.MainCpu.Standby()
                self.standby.parent = self


            class AutoSync(object):
                """
                
                
                .. attribute:: bootvar
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: config_register
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: running_config
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: standard
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bootvar = None
                    self.config_register = None
                    self.running_config = None
                    self.standard = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:redundancy/Cisco-IOS-XE-native:main-cpu/Cisco-IOS-XE-native:auto-sync'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bootvar is not None:
                        return True

                    if self.config_register is not None:
                        return True

                    if self.running_config is not None:
                        return True

                    if self.standard is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Redundancy.MainCpu.AutoSync']['meta_info']


            class Standby(object):
                """
                Standby
                
                .. attribute:: console
                
                	Console
                	**type**\:   :py:class:`Console <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.MainCpu.Standby.Console>`
                
                .. attribute:: initialization
                
                	Initialization
                	**type**\:   :py:class:`Initialization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.MainCpu.Standby.Initialization>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.console = Native.Redundancy.MainCpu.Standby.Console()
                    self.console.parent = self
                    self.initialization = Native.Redundancy.MainCpu.Standby.Initialization()
                    self.initialization.parent = self


                class Console(object):
                    """
                    Console
                    
                    .. attribute:: enable
                    
                    	Enable
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enable = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:redundancy/Cisco-IOS-XE-native:main-cpu/Cisco-IOS-XE-native:standby/Cisco-IOS-XE-native:console'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Redundancy.MainCpu.Standby.Console']['meta_info']


                class Initialization(object):
                    """
                    Initialization
                    
                    .. attribute:: delay
                    
                    	Delay
                    	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.MainCpu.Standby.Initialization.Delay>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.delay = Native.Redundancy.MainCpu.Standby.Initialization.Delay()
                        self.delay.parent = self


                    class Delay(object):
                        """
                        Delay
                        
                        .. attribute:: boot_only
                        
                        	Delay effective only on system boot
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: second
                        
                        	Delay value in seconds
                        	**type**\:  int
                        
                        	**range:** 30..1800
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.boot_only = None
                            self.second = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:redundancy/Cisco-IOS-XE-native:main-cpu/Cisco-IOS-XE-native:standby/Cisco-IOS-XE-native:initialization/Cisco-IOS-XE-native:delay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.boot_only is not None:
                                return True

                            if self.second is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Redundancy.MainCpu.Standby.Initialization.Delay']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:redundancy/Cisco-IOS-XE-native:main-cpu/Cisco-IOS-XE-native:standby/Cisco-IOS-XE-native:initialization'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.delay is not None and self.delay._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Redundancy.MainCpu.Standby.Initialization']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:redundancy/Cisco-IOS-XE-native:main-cpu/Cisco-IOS-XE-native:standby'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.console is not None and self.console._has_data():
                        return True

                    if self.initialization is not None and self.initialization._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Redundancy.MainCpu.Standby']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:redundancy/Cisco-IOS-XE-native:main-cpu'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.auto_sync is not None and self.auto_sync._has_data():
                    return True

                if self.standby is not None and self.standby._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Redundancy.MainCpu']['meta_info']


        class Policy(object):
            """
            redundancy policy enforcement
            
            .. attribute:: config_sync
            
            	config sync parameters
            	**type**\:   :py:class:`ConfigSync <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Policy.ConfigSync>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.config_sync = Native.Redundancy.Policy.ConfigSync()
                self.config_sync.parent = self


            class ConfigSync(object):
                """
                config sync parameters
                
                .. attribute:: bulk
                
                	bulk configuration mode
                	**type**\:   :py:class:`Bulk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Policy.ConfigSync.Bulk>`
                
                .. attribute:: lbl
                
                	line\-by\-line configuration mode
                	**type**\:   :py:class:`Lbl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Policy.ConfigSync.Lbl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bulk = Native.Redundancy.Policy.ConfigSync.Bulk()
                    self.bulk.parent = self
                    self.lbl = Native.Redundancy.Policy.ConfigSync.Lbl()
                    self.lbl.parent = self


                class Bulk(object):
                    """
                    bulk configuration mode
                    
                    .. attribute:: prc
                    
                    	prc policy enforcement
                    	**type**\:   :py:class:`Prc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Policy.ConfigSync.Bulk.Prc>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.prc = Native.Redundancy.Policy.ConfigSync.Bulk.Prc()
                        self.prc.parent = self


                    class Prc(object):
                        """
                        prc policy enforcement
                        
                        .. attribute:: reload
                        
                        	reload standby
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reload = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:redundancy/Cisco-IOS-XE-native:policy/Cisco-IOS-XE-native:config-sync/Cisco-IOS-XE-native:bulk/Cisco-IOS-XE-native:prc'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reload is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Redundancy.Policy.ConfigSync.Bulk.Prc']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:redundancy/Cisco-IOS-XE-native:policy/Cisco-IOS-XE-native:config-sync/Cisco-IOS-XE-native:bulk'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.prc is not None and self.prc._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Redundancy.Policy.ConfigSync.Bulk']['meta_info']


                class Lbl(object):
                    """
                    line\-by\-line configuration mode
                    
                    .. attribute:: prc
                    
                    	prc policy enforcement
                    	**type**\:   :py:class:`Prc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Policy.ConfigSync.Lbl.Prc>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.prc = Native.Redundancy.Policy.ConfigSync.Lbl.Prc()
                        self.prc.parent = self


                    class Prc(object):
                        """
                        prc policy enforcement
                        
                        .. attribute:: reload
                        
                        	reload standby
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reload = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:redundancy/Cisco-IOS-XE-native:policy/Cisco-IOS-XE-native:config-sync/Cisco-IOS-XE-native:lbl/Cisco-IOS-XE-native:prc'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reload is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Redundancy.Policy.ConfigSync.Lbl.Prc']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:redundancy/Cisco-IOS-XE-native:policy/Cisco-IOS-XE-native:config-sync/Cisco-IOS-XE-native:lbl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.prc is not None and self.prc._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Redundancy.Policy.ConfigSync.Lbl']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:redundancy/Cisco-IOS-XE-native:policy/Cisco-IOS-XE-native:config-sync'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bulk is not None and self.bulk._has_data():
                        return True

                    if self.lbl is not None and self.lbl._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Redundancy.Policy.ConfigSync']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:redundancy/Cisco-IOS-XE-native:policy'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.config_sync is not None and self.config_sync._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Redundancy.Policy']['meta_info']


        class Timer(object):
            """
            Select a timer to configure
            
            .. attribute:: rpso
            
            	Delay value in seconds
            	**type**\:  int
            
            	**range:** 120..1200
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.rpso = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:redundancy/Cisco-IOS-XE-native:timer'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.rpso is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Redundancy.Timer']['meta_info']


        class Interchassis(object):
            """
            Enter interchassis mode
            
            .. attribute:: group
            
            	Enter the redundancy group number
            	**type**\: list of    :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Interchassis.Group>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.group = YList()
                self.group.parent = self
                self.group.name = 'group'


            class Group(object):
                """
                Enter the redundancy group number
                
                .. attribute:: group_number  <key>
                
                	
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                .. attribute:: backbone
                
                	specify a redundancy group member
                	**type**\:   :py:class:`Backbone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Interchassis.Group.Backbone>`
                
                .. attribute:: member
                
                	specify a redundancy group member
                	**type**\:   :py:class:`Member <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Interchassis.Group.Member>`
                
                .. attribute:: monitor
                
                	define the peer monitoring method
                	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Interchassis.Group.Monitor>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.group_number = None
                    self.backbone = Native.Redundancy.Interchassis.Group.Backbone()
                    self.backbone.parent = self
                    self.member = Native.Redundancy.Interchassis.Group.Member()
                    self.member.parent = self
                    self.monitor = Native.Redundancy.Interchassis.Group.Monitor()
                    self.monitor.parent = self


                class Monitor(object):
                    """
                    define the peer monitoring method
                    
                    .. attribute:: bfd
                    
                    	set peer monitoring method to bfd
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: peer
                    
                    	the peer method
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bfd = None
                        self.peer = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:monitor'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bfd is not None:
                            return True

                        if self.peer is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Redundancy.Interchassis.Group.Monitor']['meta_info']


                class Member(object):
                    """
                    specify a redundancy group member
                    
                    .. attribute:: ip
                    
                    	specify the redundancy group member using an ip address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:member'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Redundancy.Interchassis.Group.Member']['meta_info']


                class Backbone(object):
                    """
                    specify a redundancy group member
                    
                    .. attribute:: interface
                    
                    	
                    	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Interchassis.Group.Backbone.Interface>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interface = Native.Redundancy.Interchassis.Group.Backbone.Interface()
                        self.interface.parent = self


                    class Interface(object):
                        """
                        
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Interchassis.Group.Backbone.Interface.AtmAcrsubinterface>`
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Interchassis.Group.Backbone.Interface.AtmSubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\:  str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\:  str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\:  str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\:  str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\:  str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  int
                        
                        	**range:** 0..65520
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Interchassis.Group.Backbone.Interface.LispSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Interchassis.Group.Backbone.Interface.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\:  str
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\:  str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\:  str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.appnav_compress = None
                            self.appnav_uncompress = None
                            self.atm = None
                            self.atm_acr = None
                            self.atm_acrsubinterface = Native.Redundancy.Interchassis.Group.Backbone.Interface.AtmAcrsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self.atm_subinterface = Native.Redundancy.Interchassis.Group.Backbone.Interface.AtmSubinterface()
                            self.atm_subinterface.parent = self
                            self.bdi = None
                            self.cellular = None
                            self.cem = None
                            self.cem_acr = None
                            self.embedded_service_engine = None
                            self.fastethernet = None
                            self.gigabitethernet = None
                            self.lisp = None
                            self.lisp_subinterface = Native.Redundancy.Interchassis.Group.Backbone.Interface.LispSubinterface()
                            self.lisp_subinterface.parent = self
                            self.loopback = None
                            self.multilink = None
                            self.nve = None
                            self.overlay = None
                            self.port_channel = None
                            self.port_channel_subinterface = Native.Redundancy.Interchassis.Group.Backbone.Interface.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self.pseudowire = None
                            self.serial = None
                            self.sm = None
                            self.tengigabitethernet = None
                            self.tunnel = None
                            self.vasileft = None
                            self.vasiright = None
                            self.virtual_template = None
                            self.virtualportgroup = None
                            self.vlan = None


                        class AtmSubinterface(object):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Redundancy.Interchassis.Group.Backbone.Interface.AtmSubinterface']['meta_info']


                        class AtmAcrsubinterface(object):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm_acr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm_acr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Redundancy.Interchassis.Group.Backbone.Interface.AtmAcrsubinterface']['meta_info']


                        class LispSubinterface(object):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:LISP-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Redundancy.Interchassis.Group.Backbone.Interface.LispSubinterface']['meta_info']


                        class PortChannelSubinterface(object):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port_channel = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-native:Port-channel-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port_channel is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Redundancy.Interchassis.Group.Backbone.Interface.PortChannelSubinterface']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:interface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.appnav_compress is not None:
                                return True

                            if self.appnav_uncompress is not None:
                                return True

                            if self.atm is not None:
                                return True

                            if self.atm_acr is not None:
                                return True

                            if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                return True

                            if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                return True

                            if self.bdi is not None:
                                return True

                            if self.cellular is not None:
                                return True

                            if self.cem is not None:
                                return True

                            if self.cem_acr is not None:
                                return True

                            if self.embedded_service_engine is not None:
                                return True

                            if self.fastethernet is not None:
                                return True

                            if self.gigabitethernet is not None:
                                return True

                            if self.lisp is not None:
                                return True

                            if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                return True

                            if self.loopback is not None:
                                return True

                            if self.multilink is not None:
                                return True

                            if self.nve is not None:
                                return True

                            if self.overlay is not None:
                                return True

                            if self.port_channel is not None:
                                return True

                            if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                return True

                            if self.pseudowire is not None:
                                return True

                            if self.serial is not None:
                                return True

                            if self.sm is not None:
                                return True

                            if self.tengigabitethernet is not None:
                                return True

                            if self.tunnel is not None:
                                return True

                            if self.vasileft is not None:
                                return True

                            if self.vasiright is not None:
                                return True

                            if self.virtual_template is not None:
                                return True

                            if self.virtualportgroup is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Redundancy.Interchassis.Group.Backbone.Interface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:backbone'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interface is not None and self.interface._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Redundancy.Interchassis.Group.Backbone']['meta_info']

                @property
                def _common_path(self):
                    if self.group_number is None:
                        raise YPYModelError('Key property group_number is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:redundancy/Cisco-IOS-XE-native:interchassis/Cisco-IOS-XE-native:group[Cisco-IOS-XE-native:group-number = ' + str(self.group_number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.group_number is not None:
                        return True

                    if self.backbone is not None and self.backbone._has_data():
                        return True

                    if self.member is not None and self.member._has_data():
                        return True

                    if self.monitor is not None and self.monitor._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Redundancy.Interchassis.Group']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:redundancy/Cisco-IOS-XE-native:interchassis'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.group is not None:
                    for child_ref in self.group:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Redundancy.Interchassis']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:redundancy'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self._is_presence:
                return True
            if self.interchassis is not None and self.interchassis._has_data():
                return True

            if self.main_cpu is not None and self.main_cpu._has_data():
                return True

            if self.maintenance_mode is not None:
                return True

            if self.mode is not None:
                return True

            if self.policy is not None and self.policy._has_data():
                return True

            if self.timer is not None and self.timer._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Redundancy']['meta_info']


    class Scheduler(object):
        """
        Scheduler parameters
        
        .. attribute:: allocate
        
        	Guarantee CPU time for processes
        	**type**\:   :py:class:`Allocate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Scheduler.Allocate>`
        
        .. attribute:: runtime
        
        	Process runtime controls
        	**type**\:   :py:class:`Runtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Scheduler.Runtime>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.allocate = Native.Scheduler.Allocate()
            self.allocate.parent = self
            self.runtime = Native.Scheduler.Runtime()
            self.runtime.parent = self


        class Runtime(object):
            """
            Process runtime controls
            
            .. attribute:: netinput
            
            	Process\-switching run time (in milliseconds)
            	**type**\:  int
            
            	**range:** 100..40000
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.netinput = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:scheduler/Cisco-IOS-XE-native:runtime'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.netinput is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Scheduler.Runtime']['meta_info']


        class Allocate(object):
            """
            Guarantee CPU time for processes
            
            .. attribute:: interrupt_time
            
            	
            	**type**\:  int
            
            	**range:** 400..60000
            
            .. attribute:: process_time
            
            	
            	**type**\:  int
            
            	**range:** 100..4000
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.interrupt_time = None
                self.process_time = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:scheduler/Cisco-IOS-XE-native:allocate'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.interrupt_time is not None:
                    return True

                if self.process_time is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Scheduler.Allocate']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:scheduler'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.allocate is not None and self.allocate._has_data():
                return True

            if self.runtime is not None and self.runtime._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Scheduler']['meta_info']


    class Epm(object):
        """
        EPM Global Configuration Commands
        
        .. attribute:: logging
        
        	Enable EPM logging
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.logging = None

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:epm'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.logging is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Epm']['meta_info']


    class SpanningTree(object):
        """
        Spanning Tree Subsystem
        
        .. attribute:: backbonefast
        
        	Enable BackboneFast Feature
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: bridge
        
        	
        	**type**\:   :py:class:`Bridge <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Bridge>`
        
        .. attribute:: etherchannel
        
        	Spanning tree etherchannel specific configuration
        	**type**\:   :py:class:`Etherchannel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Etherchannel>`
        
        .. attribute:: extend
        
        	Spanning Tree 802.1t extensions
        	**type**\:   :py:class:`Extend <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Extend>`
        
        .. attribute:: logging
        
        	Enable Spanning tree logging
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: loopguard
        
        	Spanning tree loopguard options
        	**type**\:   :py:class:`Loopguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Loopguard>`
        
        .. attribute:: mode
        
        	Spanning tree operating mode
        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.ModeEnum>`
        
        .. attribute:: mst
        
        	Multiple spanning tree configuration
        	**type**\:   :py:class:`Mst <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Mst>`
        
        .. attribute:: optimize
        
        	
        	**type**\:   :py:class:`Optimize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Optimize>`
        
        .. attribute:: pathcost
        
        	Spanning tree pathcost options
        	**type**\:   :py:class:`Pathcost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Pathcost>`
        
        .. attribute:: portfast
        
        	Spanning tree portfast options
        	**type**\:   :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Portfast>`
        
        .. attribute:: transmit
        
        	STP transmit parameters
        	**type**\:   :py:class:`Transmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Transmit>`
        
        .. attribute:: uplinkfast
        
        	Enable UplinkFast Feature
        	**type**\:   :py:class:`Uplinkfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Uplinkfast>`
        
        	**presence node**\: True
        
        .. attribute:: vlan
        
        	VLAN Switch Spanning Tree
        	**type**\: list of    :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Vlan>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.backbonefast = None
            self.bridge = Native.SpanningTree.Bridge()
            self.bridge.parent = self
            self.etherchannel = Native.SpanningTree.Etherchannel()
            self.etherchannel.parent = self
            self.extend = Native.SpanningTree.Extend()
            self.extend.parent = self
            self.logging = None
            self.loopguard = Native.SpanningTree.Loopguard()
            self.loopguard.parent = self
            self.mode = None
            self.mst = Native.SpanningTree.Mst()
            self.mst.parent = self
            self.optimize = Native.SpanningTree.Optimize()
            self.optimize.parent = self
            self.pathcost = Native.SpanningTree.Pathcost()
            self.pathcost.parent = self
            self.portfast = Native.SpanningTree.Portfast()
            self.portfast.parent = self
            self.transmit = Native.SpanningTree.Transmit()
            self.transmit.parent = self
            self.uplinkfast = None
            self.vlan = YList()
            self.vlan.parent = self
            self.vlan.name = 'vlan'

        class ModeEnum(Enum):
            """
            ModeEnum

            Spanning tree operating mode

            .. data:: mst = 0

            .. data:: pvst = 1

            .. data:: rapid_pvst = 2

            """

            mst = 0

            pvst = 1

            rapid_pvst = 2


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SpanningTree.ModeEnum']



        class Bridge(object):
            """
            
            
            .. attribute:: id
            
            	
            	**type**\:  str
            
            .. attribute:: priority
            
            	
            	**type**\:  int
            
            	**range:** 0..255
            
            

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.id = None
                self.priority = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:spanning-tree/Cisco-IOS-XE-spanning-tree:bridge'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.id is not None:
                    return True

                if self.priority is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SpanningTree.Bridge']['meta_info']


        class Etherchannel(object):
            """
            Spanning tree etherchannel specific configuration
            
            .. attribute:: guard
            
            	Configure guard features for etherchannel
            	**type**\:   :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Etherchannel.Guard>`
            
            

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.guard = Native.SpanningTree.Etherchannel.Guard()
                self.guard.parent = self


            class Guard(object):
                """
                Configure guard features for etherchannel
                
                .. attribute:: misconfig
                
                	Enable guard to protect against etherchannel misconfiguration
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-stp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.misconfig = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:spanning-tree/Cisco-IOS-XE-spanning-tree:etherchannel/Cisco-IOS-XE-spanning-tree:guard'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.misconfig is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SpanningTree.Etherchannel.Guard']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:spanning-tree/Cisco-IOS-XE-spanning-tree:etherchannel'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.guard is not None and self.guard._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SpanningTree.Etherchannel']['meta_info']


        class Extend(object):
            """
            Spanning Tree 802.1t extensions
            
            .. attribute:: system_id
            
            	Extend system\-id into priority portion of the bridge id (PVST & Rapid PVST only)
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.system_id = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:spanning-tree/Cisco-IOS-XE-spanning-tree:extend'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.system_id is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SpanningTree.Extend']['meta_info']


        class Loopguard(object):
            """
            Spanning tree loopguard options
            
            .. attribute:: default
            
            	Enable loopguard by default on all ports
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.default = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:spanning-tree/Cisco-IOS-XE-spanning-tree:loopguard'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.default is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SpanningTree.Loopguard']['meta_info']


        class Mst(object):
            """
            Multiple spanning tree configuration
            
            .. attribute:: configuration
            
            	Enter MST configuration submode
            	**type**\:   :py:class:`Configuration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Mst.Configuration>`
            
            .. attribute:: forward_time
            
            	number of seconds for the forward delay timer
            	**type**\:  int
            
            	**range:** 4..30
            
            .. attribute:: hello_time
            
            	number of seconds between generation of config BPDUs
            	**type**\:  int
            
            	**range:** 1..10
            
            .. attribute:: instance_range
            
            	
            	**type**\: list of    :py:class:`InstanceRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Mst.InstanceRange>`
            
            .. attribute:: max_age
            
            	maximum number of seconds the information in a BPDU is valid
            	**type**\:  int
            
            	**range:** 6..40
            
            .. attribute:: max_hops
            
            	maximum number of hops a BPDU is valid
            	**type**\:  int
            
            	**range:** 1..255
            
            

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.configuration = Native.SpanningTree.Mst.Configuration()
                self.configuration.parent = self
                self.forward_time = None
                self.hello_time = None
                self.instance_range = YList()
                self.instance_range.parent = self
                self.instance_range.name = 'instance_range'
                self.max_age = None
                self.max_hops = None


            class InstanceRange(object):
                """
                
                
                .. attribute:: id  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 0..65535
                
                
                ----
                	**type**\:  str
                
                
                ----
                .. attribute:: priority
                
                	Set the bridge priority for the spanning tree
                	**type**\:  int
                
                	**range:** 0..61440
                
                .. attribute:: root
                
                	Configure switch as root
                	**type**\:   :py:class:`RootEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Mst.InstanceRange.RootEnum>`
                
                

                """

                _prefix = 'ios-stp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.priority = None
                    self.root = None

                class RootEnum(Enum):
                    """
                    RootEnum

                    Configure switch as root

                    .. data:: primary = 0

                    .. data:: secondary = 1

                    """

                    primary = 0

                    secondary = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SpanningTree.Mst.InstanceRange.RootEnum']


                @property
                def _common_path(self):
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:spanning-tree/Cisco-IOS-XE-spanning-tree:mst/Cisco-IOS-XE-spanning-tree:instance-range[Cisco-IOS-XE-spanning-tree:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.priority is not None:
                        return True

                    if self.root is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SpanningTree.Mst.InstanceRange']['meta_info']


            class Configuration(object):
                """
                Enter MST configuration submode
                
                .. attribute:: instance
                
                	Map vlans to an MST instance
                	**type**\: list of    :py:class:`Instance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Mst.Configuration.Instance>`
                
                .. attribute:: name
                
                	Set configuration name
                	**type**\:  str
                
                .. attribute:: private_vlan
                
                	Set private\-vlan synchronization
                	**type**\:   :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Mst.Configuration.PrivateVlan>`
                
                .. attribute:: revision
                
                	Set configuration revision number
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-stp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.instance = YList()
                    self.instance.parent = self
                    self.instance.name = 'instance'
                    self.name = None
                    self.private_vlan = Native.SpanningTree.Mst.Configuration.PrivateVlan()
                    self.private_vlan.parent = self
                    self.revision = None


                class Instance(object):
                    """
                    Map vlans to an MST instance
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4094
                    
                    .. attribute:: vlan
                    
                    	Range of vlans to add to the instance mapping
                    	**type**\: one of the below types:
                    
                    	**type**\:  list of int
                    
                    	**range:** 0..65535
                    
                    
                    ----
                    	**type**\:  list of str
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.vlan = YLeafList()
                        self.vlan.parent = self
                        self.vlan.name = 'vlan'

                    @property
                    def _common_path(self):
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:spanning-tree/Cisco-IOS-XE-spanning-tree:mst/Cisco-IOS-XE-spanning-tree:configuration/Cisco-IOS-XE-spanning-tree:instance[Cisco-IOS-XE-spanning-tree:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.vlan is not None:
                            for child in self.vlan:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SpanningTree.Mst.Configuration.Instance']['meta_info']


                class PrivateVlan(object):
                    """
                    Set private\-vlan synchronization
                    
                    .. attribute:: synchronize
                    
                    	Synchronize vlans
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.synchronize = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:spanning-tree/Cisco-IOS-XE-spanning-tree:mst/Cisco-IOS-XE-spanning-tree:configuration/Cisco-IOS-XE-spanning-tree:private-vlan'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.synchronize is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SpanningTree.Mst.Configuration.PrivateVlan']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:spanning-tree/Cisco-IOS-XE-spanning-tree:mst/Cisco-IOS-XE-spanning-tree:configuration'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.instance is not None:
                        for child_ref in self.instance:
                            if child_ref._has_data():
                                return True

                    if self.name is not None:
                        return True

                    if self.private_vlan is not None and self.private_vlan._has_data():
                        return True

                    if self.revision is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SpanningTree.Mst.Configuration']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:spanning-tree/Cisco-IOS-XE-spanning-tree:mst'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.configuration is not None and self.configuration._has_data():
                    return True

                if self.forward_time is not None:
                    return True

                if self.hello_time is not None:
                    return True

                if self.instance_range is not None:
                    for child_ref in self.instance_range:
                        if child_ref._has_data():
                            return True

                if self.max_age is not None:
                    return True

                if self.max_hops is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SpanningTree.Mst']['meta_info']


        class Optimize(object):
            """
            
            
            .. attribute:: bpdu
            
            	
            	**type**\:   :py:class:`Bpdu <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Optimize.Bpdu>`
            
            

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.bpdu = Native.SpanningTree.Optimize.Bpdu()
                self.bpdu.parent = self


            class Bpdu(object):
                """
                
                
                .. attribute:: transmission
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-stp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.transmission = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:spanning-tree/Cisco-IOS-XE-spanning-tree:optimize/Cisco-IOS-XE-spanning-tree:bpdu'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.transmission is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SpanningTree.Optimize.Bpdu']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:spanning-tree/Cisco-IOS-XE-spanning-tree:optimize'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.bpdu is not None and self.bpdu._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SpanningTree.Optimize']['meta_info']


        class Pathcost(object):
            """
            Spanning tree pathcost options
            
            .. attribute:: method
            
            	Method to calculate default port path cost
            	**type**\:   :py:class:`Method <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Pathcost.Method>`
            
            

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.method = Native.SpanningTree.Pathcost.Method()
                self.method.parent = self


            class Method(object):
                """
                Method to calculate default port path cost
                
                .. attribute:: long
                
                	Use 32 bit based values for default port path costs
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: short
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-stp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.long = None
                    self.short = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:spanning-tree/Cisco-IOS-XE-spanning-tree:pathcost/Cisco-IOS-XE-spanning-tree:method'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.long is not None:
                        return True

                    if self.short is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SpanningTree.Pathcost.Method']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:spanning-tree/Cisco-IOS-XE-spanning-tree:pathcost'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.method is not None and self.method._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SpanningTree.Pathcost']['meta_info']


        class Portfast(object):
            """
            Spanning tree portfast options
            
            .. attribute:: bdpu
            
            	
            	**type**\:   :py:class:`BdpuEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Portfast.BdpuEnum>`
            
            .. attribute:: default
            
            	Enable portfast by default on all access ports
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.bdpu = None
                self.default = None

            class BdpuEnum(Enum):
                """
                BdpuEnum

                .. data:: bpdufilter = 0

                .. data:: bpduguard = 1

                """

                bpdufilter = 0

                bpduguard = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SpanningTree.Portfast.BdpuEnum']


            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:spanning-tree/Cisco-IOS-XE-spanning-tree:portfast'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.bdpu is not None:
                    return True

                if self.default is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SpanningTree.Portfast']['meta_info']


        class Transmit(object):
            """
            STP transmit parameters
            
            .. attribute:: hold_count
            
            	Value for txholdcount parameter
            	**type**\:  int
            
            	**range:** 1..20
            
            

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.hold_count = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:spanning-tree/Cisco-IOS-XE-spanning-tree:transmit'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.hold_count is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SpanningTree.Transmit']['meta_info']


        class Uplinkfast(object):
            """
            Enable UplinkFast Feature
            
            .. attribute:: max_update_rate
            
            	Rate at which station address updates are sent
            	**type**\:  int
            
            	**range:** 0..32000
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.max_update_rate = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:spanning-tree/Cisco-IOS-XE-spanning-tree:uplinkfast'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.max_update_rate is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SpanningTree.Uplinkfast']['meta_info']


        class Vlan(object):
            """
            VLAN Switch Spanning Tree
            
            .. attribute:: id  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: forward_time
            
            	Set the forward delay for the spanning tree
            	**type**\:  int
            
            	**range:** 4..30
            
            .. attribute:: hello_time
            
            	Set the hello interval for the spanning tree
            	**type**\:  int
            
            	**range:** 1..10
            
            .. attribute:: max_age
            
            	Set the max age interval for the spanning tree
            	**type**\:  int
            
            	**range:** 6..40
            
            .. attribute:: priority
            
            	Set the bridge priority for the spanning tree
            	**type**\:  int
            
            	**range:** 0..61440
            
            .. attribute:: root
            
            	Configure switch as root
            	**type**\:   :py:class:`Root <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Vlan.Root>`
            
            

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.id = None
                self.forward_time = None
                self.hello_time = None
                self.max_age = None
                self.priority = None
                self.root = Native.SpanningTree.Vlan.Root()
                self.root.parent = self


            class Root(object):
                """
                Configure switch as root
                
                .. attribute:: primary
                
                	Configure this switch as primary root for this spanning tree
                	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Vlan.Root.Primary>`
                
                .. attribute:: secondary
                
                	Configure switch as secondary root
                	**type**\:   :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Vlan.Root.Secondary>`
                
                

                """

                _prefix = 'ios-stp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.primary = Native.SpanningTree.Vlan.Root.Primary()
                    self.primary.parent = self
                    self.secondary = Native.SpanningTree.Vlan.Root.Secondary()
                    self.secondary.parent = self


                class Primary(object):
                    """
                    Configure this switch as primary root for this spanning tree
                    
                    .. attribute:: diameter
                    
                    	Network diameter of this spanning tree
                    	**type**\:  int
                    
                    	**range:** 2..7
                    
                    .. attribute:: hello_time
                    
                    	Hello interval for this spanning tree
                    	**type**\:  int
                    
                    	**range:** 1..10
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.diameter = None
                        self.hello_time = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:primary'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.diameter is not None:
                            return True

                        if self.hello_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SpanningTree.Vlan.Root.Primary']['meta_info']


                class Secondary(object):
                    """
                    Configure switch as secondary root
                    
                    .. attribute:: diameter
                    
                    	Network diameter of this spanning tree
                    	**type**\:  int
                    
                    	**range:** 2..7
                    
                    .. attribute:: hello_time
                    
                    	Hello interval for this spanning tree
                    	**type**\:  int
                    
                    	**range:** 1..10
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.diameter = None
                        self.hello_time = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:secondary'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.diameter is not None:
                            return True

                        if self.hello_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SpanningTree.Vlan.Root.Secondary']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-spanning-tree:root'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.primary is not None and self.primary._has_data():
                        return True

                    if self.secondary is not None and self.secondary._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SpanningTree.Vlan.Root']['meta_info']

            @property
            def _common_path(self):
                if self.id is None:
                    raise YPYModelError('Key property id is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:spanning-tree/Cisco-IOS-XE-spanning-tree:vlan[Cisco-IOS-XE-spanning-tree:id = ' + str(self.id) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.id is not None:
                    return True

                if self.forward_time is not None:
                    return True

                if self.hello_time is not None:
                    return True

                if self.max_age is not None:
                    return True

                if self.priority is not None:
                    return True

                if self.root is not None and self.root._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SpanningTree.Vlan']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:spanning-tree'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.backbonefast is not None:
                return True

            if self.bridge is not None and self.bridge._has_data():
                return True

            if self.etherchannel is not None and self.etherchannel._has_data():
                return True

            if self.extend is not None and self.extend._has_data():
                return True

            if self.logging is not None:
                return True

            if self.loopguard is not None and self.loopguard._has_data():
                return True

            if self.mode is not None:
                return True

            if self.mst is not None and self.mst._has_data():
                return True

            if self.optimize is not None and self.optimize._has_data():
                return True

            if self.pathcost is not None and self.pathcost._has_data():
                return True

            if self.portfast is not None and self.portfast._has_data():
                return True

            if self.transmit is not None and self.transmit._has_data():
                return True

            if self.uplinkfast is not None and self.uplinkfast._has_data():
                return True

            if self.vlan is not None:
                for child_ref in self.vlan:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.SpanningTree']['meta_info']


    class Subscriber(object):
        """
        Subscriber configuration
        
        .. attribute:: templating
        
        	Configure subscriber templating
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.templating = None

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:subscriber'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.templating is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Subscriber']['meta_info']


    class Track(object):
        """
        Object tracking configuration commands
        
        .. attribute:: resolution
        
        	Tracking resolution parameters
        	**type**\:   :py:class:`Resolution <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Resolution>`
        
        .. attribute:: timer
        
        	Polling interval timers
        	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Timer>`
        
        .. attribute:: tracked_object
        
        	
        	**type**\: list of    :py:class:`TrackedObject <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.resolution = Native.Track.Resolution()
            self.resolution.parent = self
            self.timer = Native.Track.Timer()
            self.timer.parent = self
            self.tracked_object = YList()
            self.tracked_object.parent = self
            self.tracked_object.name = 'tracked_object'


        class TrackedObject(object):
            """
            
            
            .. attribute:: object_number  <key>
            
            	
            	**type**\:  int
            
            	**range:** 1..1000
            
            .. attribute:: default
            
            	Set a command to its defaults
            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Default>`
            
            .. attribute:: default_state
            
            	default object state
            	**type**\:   :py:class:`DefaultStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.DefaultStateEnum>`
            
            .. attribute:: delay
            
            	Tracking delay
            	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Delay>`
            
            .. attribute:: interface
            
            	Select an interface to track
            	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Interface>`
            
            .. attribute:: ip
            
            	IP protocol
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Ip>`
            
            .. attribute:: ip_object
            
            	Tracking IP object configuration
            	**type**\:   :py:class:`IpObject <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.IpObject>`
            
            .. attribute:: ipv6
            
            	IPv6 protocol
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Ipv6>`
            
            .. attribute:: ipv6_object
            
            	Tracking IPv6 object configuration
            	**type**\:   :py:class:`Ipv6Object <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Ipv6Object>`
            
            .. attribute:: list
            
            	Group objects in a list
            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.List>`
            
            .. attribute:: object
            
            	Add a tracked object to list
            	**type**\: list of    :py:class:`Object <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Object>`
            
            .. attribute:: stub_object
            
            	Stub tracking object
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-track'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.object_number = None
                self.default = Native.Track.TrackedObject.Default()
                self.default.parent = self
                self.default_state = None
                self.delay = Native.Track.TrackedObject.Delay()
                self.delay.parent = self
                self.interface = Native.Track.TrackedObject.Interface()
                self.interface.parent = self
                self.ip = Native.Track.TrackedObject.Ip()
                self.ip.parent = self
                self.ip_object = Native.Track.TrackedObject.IpObject()
                self.ip_object.parent = self
                self.ipv6 = Native.Track.TrackedObject.Ipv6()
                self.ipv6.parent = self
                self.ipv6_object = Native.Track.TrackedObject.Ipv6Object()
                self.ipv6_object.parent = self
                self.list = Native.Track.TrackedObject.List()
                self.list.parent = self
                self.object = YList()
                self.object.parent = self
                self.object.name = 'object'
                self.stub_object = None

            class DefaultStateEnum(Enum):
                """
                DefaultStateEnum

                default object state

                .. data:: down = 0

                .. data:: up = 1

                """

                down = 0

                up = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Track.TrackedObject.DefaultStateEnum']



            class Interface(object):
                """
                Select an interface to track
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: protocol
                
                	
                	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Interface.ProtocolEnum>`
                
                .. attribute:: routing
                
                	Track interface IPv6 routing capability
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.protocol = None
                    self.routing = None

                class ProtocolEnum(Enum):
                    """
                    ProtocolEnum

                    .. data:: ip = 0

                    .. data:: ipv6 = 1

                    .. data:: line_protocol = 2

                    """

                    ip = 0

                    ipv6 = 1

                    line_protocol = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Track.TrackedObject.Interface.ProtocolEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-track:interface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.protocol is not None:
                        return True

                    if self.routing is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Track.TrackedObject.Interface']['meta_info']


            class Ip(object):
                """
                IP protocol
                
                .. attribute:: route
                
                	
                	**type**\:   :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Ip.Route>`
                
                .. attribute:: sla
                
                	IP Service Level Agreement
                	**type**\:   :py:class:`Sla <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Ip.Sla>`
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.route = Native.Track.TrackedObject.Ip.Route()
                    self.route.parent = self
                    self.sla = Native.Track.TrackedObject.Ip.Sla()
                    self.sla.parent = self


                class Route(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: mask
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: metric
                    
                    	Route metric
                    	**type**\:   :py:class:`MetricEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Ip.Route.MetricEnum>`
                    
                    .. attribute:: reachability
                    
                    	Route reachability state
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-track'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.mask = None
                        self.metric = None
                        self.reachability = None

                    class MetricEnum(Enum):
                        """
                        MetricEnum

                        Route metric

                        .. data:: threshold = 0

                        """

                        threshold = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Track.TrackedObject.Ip.Route.MetricEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-track:route'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.mask is not None:
                            return True

                        if self.metric is not None:
                            return True

                        if self.reachability is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Track.TrackedObject.Ip.Route']['meta_info']


                class Sla(object):
                    """
                    IP Service Level Agreement
                    
                    .. attribute:: number
                    
                    	Entry number
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: reachability
                    
                    	Reachability
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: state
                    
                    	Return code state
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-track'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.number = None
                        self.reachability = None
                        self.state = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-track:sla'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.number is not None:
                            return True

                        if self.reachability is not None:
                            return True

                        if self.state is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Track.TrackedObject.Ip.Sla']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-track:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.route is not None and self.route._has_data():
                        return True

                    if self.sla is not None and self.sla._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Track.TrackedObject.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 protocol
                
                .. attribute:: route
                
                	IPv6 route
                	**type**\:   :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Ipv6.Route>`
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.route = Native.Track.TrackedObject.Ipv6.Route()
                    self.route.parent = self


                class Route(object):
                    """
                    IPv6 route
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    .. attribute:: metric
                    
                    	Route metric
                    	**type**\:   :py:class:`MetricEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Ipv6.Route.MetricEnum>`
                    
                    .. attribute:: reachability
                    
                    	Route reachability state
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-track'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.metric = None
                        self.reachability = None

                    class MetricEnum(Enum):
                        """
                        MetricEnum

                        Route metric

                        .. data:: threshold = 0

                        """

                        threshold = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Track.TrackedObject.Ipv6.Route.MetricEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-track:route'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.metric is not None:
                            return True

                        if self.reachability is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Track.TrackedObject.Ipv6.Route']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-track:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.route is not None and self.route._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Track.TrackedObject.Ipv6']['meta_info']


            class List(object):
                """
                Group objects in a list
                
                .. attribute:: boolean
                
                	List state based on a boolean calculation on objects
                	**type**\:   :py:class:`BooleanEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.List.BooleanEnum>`
                
                .. attribute:: threshold
                
                	List state based on a threshold of UP and DOWN objects
                	**type**\:   :py:class:`ThresholdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.List.ThresholdEnum>`
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.boolean = None
                    self.threshold = None

                class BooleanEnum(Enum):
                    """
                    BooleanEnum

                    List state based on a boolean calculation on objects

                    .. data:: and_ = 0

                    .. data:: or_ = 1

                    """

                    and_ = 0

                    or_ = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Track.TrackedObject.List.BooleanEnum']


                class ThresholdEnum(Enum):
                    """
                    ThresholdEnum

                    List state based on a threshold of UP and DOWN objects

                    .. data:: percentage = 0

                    .. data:: weight = 1

                    """

                    percentage = 0

                    weight = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Track.TrackedObject.List.ThresholdEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-track:list'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.boolean is not None:
                        return True

                    if self.threshold is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Track.TrackedObject.List']['meta_info']


            class Default(object):
                """
                Set a command to its defaults
                
                .. attribute:: default_state
                
                	default object state
                	**type**\:   :py:class:`DefaultStateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Default.DefaultStateEnum>`
                
                .. attribute:: delay
                
                	Tracking delay
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Default.Delay>`
                
                	**presence node**\: True
                
                .. attribute:: ip
                
                	Tracking IP object configuration
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Default.Ip>`
                
                .. attribute:: ipv6
                
                	Tracking IPv6 object configuration
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Default.Ipv6>`
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default_state = None
                    self.delay = None
                    self.ip = Native.Track.TrackedObject.Default.Ip()
                    self.ip.parent = self
                    self.ipv6 = Native.Track.TrackedObject.Default.Ipv6()
                    self.ipv6.parent = self

                class DefaultStateEnum(Enum):
                    """
                    DefaultStateEnum

                    default object state

                    .. data:: down = 0

                    .. data:: up = 1

                    """

                    down = 0

                    up = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Track.TrackedObject.Default.DefaultStateEnum']



                class Delay(object):
                    """
                    Tracking delay
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-track'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-track:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Track.TrackedObject.Default.Delay']['meta_info']


                class Ip(object):
                    """
                    Tracking IP object configuration
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding table
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-track'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-track:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Track.TrackedObject.Default.Ip']['meta_info']


                class Ipv6(object):
                    """
                    Tracking IPv6 object configuration
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding table
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-track'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-track:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Track.TrackedObject.Default.Ipv6']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-track:default'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default_state is not None:
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.ip is not None and self.ip._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Track.TrackedObject.Default']['meta_info']


            class Delay(object):
                """
                Tracking delay
                
                .. attribute:: down
                
                	Delay down change notification
                	**type**\:  int
                
                	**range:** 0..180
                
                .. attribute:: up
                
                	Delay up change notification
                	**type**\:  int
                
                	**range:** 0..180
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.down = None
                    self.up = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-track:delay'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.down is not None:
                        return True

                    if self.up is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Track.TrackedObject.Delay']['meta_info']


            class Object(object):
                """
                Add a tracked object to list
                
                .. attribute:: number  <key>
                
                	
                	**type**\:  int
                
                	**range:** 1..1000
                
                .. attribute:: not_
                
                	Negate the state of object
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.not_ = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.number is None:
                        raise YPYModelError('Key property number is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-track:object[Cisco-IOS-XE-track:number = ' + str(self.number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.not_ is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Track.TrackedObject.Object']['meta_info']


            class Ipv6Object(object):
                """
                Tracking IPv6 object configuration
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding table name
                	**type**\:  str
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.vrf = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-track:ipv6-object'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.vrf is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Track.TrackedObject.Ipv6Object']['meta_info']


            class IpObject(object):
                """
                Tracking IP object configuration
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding table name
                	**type**\:  str
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.vrf = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-track:ip-object'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.vrf is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Track.TrackedObject.IpObject']['meta_info']

            @property
            def _common_path(self):
                if self.object_number is None:
                    raise YPYModelError('Key property object_number is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:track/Cisco-IOS-XE-track:tracked-object[Cisco-IOS-XE-track:object-number = ' + str(self.object_number) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.object_number is not None:
                    return True

                if self.default is not None and self.default._has_data():
                    return True

                if self.default_state is not None:
                    return True

                if self.delay is not None and self.delay._has_data():
                    return True

                if self.interface is not None and self.interface._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ip_object is not None and self.ip_object._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.ipv6_object is not None and self.ipv6_object._has_data():
                    return True

                if self.list is not None and self.list._has_data():
                    return True

                if self.object is not None:
                    for child_ref in self.object:
                        if child_ref._has_data():
                            return True

                if self.stub_object is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Track.TrackedObject']['meta_info']


        class Resolution(object):
            """
            Tracking resolution parameters
            
            .. attribute:: ip
            
            	IP protocol
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Resolution.Ip>`
            
            

            """

            _prefix = 'ios-track'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ip = Native.Track.Resolution.Ip()
                self.ip.parent = self


            class Ip(object):
                """
                IP protocol
                
                .. attribute:: route
                
                	Route metric resolution
                	**type**\:   :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Resolution.Ip.Route>`
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.route = Native.Track.Resolution.Ip.Route()
                    self.route.parent = self


                class Route(object):
                    """
                    Route metric resolution
                    
                    .. attribute:: bgp
                    
                    	BGP route metric resolution
                    	**type**\:  int
                    
                    	**range:** 256..40000000
                    
                    .. attribute:: eigrp
                    
                    	EIGRP route metric resolution
                    	**type**\:  int
                    
                    	**range:** 256..40000000
                    
                    .. attribute:: isis
                    
                    	ISIS route metric resolution
                    	**type**\:  int
                    
                    	**range:** 1..1000
                    
                    .. attribute:: ospf
                    
                    	OSPF route metric resolution
                    	**type**\:  int
                    
                    	**range:** 1..1562
                    
                    .. attribute:: static
                    
                    	Static route metric resolution
                    	**type**\:  int
                    
                    	**range:** 1..100000
                    
                    

                    """

                    _prefix = 'ios-track'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bgp = None
                        self.eigrp = None
                        self.isis = None
                        self.ospf = None
                        self.static = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:track/Cisco-IOS-XE-track:resolution/Cisco-IOS-XE-track:ip/Cisco-IOS-XE-track:route'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bgp is not None:
                            return True

                        if self.eigrp is not None:
                            return True

                        if self.isis is not None:
                            return True

                        if self.ospf is not None:
                            return True

                        if self.static is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Track.Resolution.Ip.Route']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:track/Cisco-IOS-XE-track:resolution/Cisco-IOS-XE-track:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.route is not None and self.route._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Track.Resolution.Ip']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:track/Cisco-IOS-XE-track:resolution'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ip is not None and self.ip._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Track.Resolution']['meta_info']


        class Timer(object):
            """
            Polling interval timers
            
            .. attribute:: interface
            
            	Interface polling timer
            	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Timer.Interface>`
            
            .. attribute:: ip
            
            	IP protocol
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Timer.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 protocol
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Timer.Ipv6>`
            
            .. attribute:: list
            
            	Boolean list polling timer
            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Timer.List>`
            
            .. attribute:: stub_object
            
            	EEM stub polling timer
            	**type**\:   :py:class:`StubObject <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Timer.StubObject>`
            
            

            """

            _prefix = 'ios-track'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.interface = Native.Track.Timer.Interface()
                self.interface.parent = self
                self.ip = Native.Track.Timer.Ip()
                self.ip.parent = self
                self.ipv6 = Native.Track.Timer.Ipv6()
                self.ipv6.parent = self
                self.list = Native.Track.Timer.List()
                self.list.parent = self
                self.stub_object = Native.Track.Timer.StubObject()
                self.stub_object.parent = self


            class Interface(object):
                """
                Interface polling timer
                
                .. attribute:: ms
                
                	Specify polling interval in milliseconds
                	**type**\:  int
                
                	**range:** 500..5000
                
                .. attribute:: seconds
                
                	
                	**type**\:  int
                
                	**range:** 1..3000
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ms = None
                    self.seconds = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:track/Cisco-IOS-XE-track:timer/Cisco-IOS-XE-track:interface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ms is not None:
                        return True

                    if self.seconds is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Track.Timer.Interface']['meta_info']


            class Ip(object):
                """
                IP protocol
                
                .. attribute:: route
                
                	IP route polling timer
                	**type**\:   :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Timer.Ip.Route>`
                
                .. attribute:: sla
                
                	IP SLA polling timer
                	**type**\:   :py:class:`Sla <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Timer.Ip.Sla>`
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.route = Native.Track.Timer.Ip.Route()
                    self.route.parent = self
                    self.sla = Native.Track.Timer.Ip.Sla()
                    self.sla.parent = self


                class Route(object):
                    """
                    IP route polling timer
                    
                    .. attribute:: ms
                    
                    	Specify polling interval in milliseconds
                    	**type**\:  int
                    
                    	**range:** 500..5000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3000
                    
                    

                    """

                    _prefix = 'ios-track'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ms = None
                        self.seconds = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:track/Cisco-IOS-XE-track:timer/Cisco-IOS-XE-track:ip/Cisco-IOS-XE-track:route'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ms is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Track.Timer.Ip.Route']['meta_info']


                class Sla(object):
                    """
                    IP SLA polling timer
                    
                    .. attribute:: ms
                    
                    	Specify polling interval in milliseconds
                    	**type**\:  int
                    
                    	**range:** 500..5000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3000
                    
                    

                    """

                    _prefix = 'ios-track'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ms = None
                        self.seconds = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:track/Cisco-IOS-XE-track:timer/Cisco-IOS-XE-track:ip/Cisco-IOS-XE-track:sla'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ms is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Track.Timer.Ip.Sla']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:track/Cisco-IOS-XE-track:timer/Cisco-IOS-XE-track:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.route is not None and self.route._has_data():
                        return True

                    if self.sla is not None and self.sla._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Track.Timer.Ip']['meta_info']


            class Ipv6(object):
                """
                IPv6 protocol
                
                .. attribute:: route
                
                	IPv6 route polling timer
                	**type**\:   :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Timer.Ipv6.Route>`
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.route = Native.Track.Timer.Ipv6.Route()
                    self.route.parent = self


                class Route(object):
                    """
                    IPv6 route polling timer
                    
                    .. attribute:: ms
                    
                    	Specify polling interval in milliseconds
                    	**type**\:  int
                    
                    	**range:** 500..5000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..3000
                    
                    

                    """

                    _prefix = 'ios-track'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ms = None
                        self.seconds = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:track/Cisco-IOS-XE-track:timer/Cisco-IOS-XE-track:ipv6/Cisco-IOS-XE-track:route'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ms is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Track.Timer.Ipv6.Route']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:track/Cisco-IOS-XE-track:timer/Cisco-IOS-XE-track:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.route is not None and self.route._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Track.Timer.Ipv6']['meta_info']


            class List(object):
                """
                Boolean list polling timer
                
                .. attribute:: ms
                
                	Specify polling interval in milliseconds
                	**type**\:  int
                
                	**range:** 500..5000
                
                .. attribute:: seconds
                
                	
                	**type**\:  int
                
                	**range:** 1..3000
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ms = None
                    self.seconds = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:track/Cisco-IOS-XE-track:timer/Cisco-IOS-XE-track:list'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ms is not None:
                        return True

                    if self.seconds is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Track.Timer.List']['meta_info']


            class StubObject(object):
                """
                EEM stub polling timer
                
                .. attribute:: ms
                
                	Specify polling interval in milliseconds
                	**type**\:  int
                
                	**range:** 500..5000
                
                .. attribute:: seconds
                
                	
                	**type**\:  int
                
                	**range:** 1..3000
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ms = None
                    self.seconds = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:track/Cisco-IOS-XE-track:timer/Cisco-IOS-XE-track:stub-object'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ms is not None:
                        return True

                    if self.seconds is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Track.Timer.StubObject']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:track/Cisco-IOS-XE-track:timer'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.interface is not None and self.interface._has_data():
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.list is not None and self.list._has_data():
                    return True

                if self.stub_object is not None and self.stub_object._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Track.Timer']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:track'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.resolution is not None and self.resolution._has_data():
                return True

            if self.timer is not None and self.timer._has_data():
                return True

            if self.tracked_object is not None:
                for child_ref in self.tracked_object:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Track']['meta_info']


    class Dot1X(object):
        """
        IEEE 802.1X Global Configuration Commands
        
        .. attribute:: credentials
        
        	Configure 802.1X credentials profiles
        	**type**\: list of    :py:class:`Credentials <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Dot1X.Credentials>`
        
        .. attribute:: critical
        
        	Set 802.1x Critical Authentication parameters
        	**type**\:   :py:class:`Critical <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Dot1X.Critical>`
        
        .. attribute:: supplicant
        
        	802.1X supplicant configuration
        	**type**\:   :py:class:`Supplicant <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Dot1X.Supplicant>`
        
        .. attribute:: system_auth_control
        
        	Enable or Disable SysAuthControl
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: test
        
        	Configure dot1x test related parameters
        	**type**\:   :py:class:`Test <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Dot1X.Test>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.credentials = YList()
            self.credentials.parent = self
            self.credentials.name = 'credentials'
            self.critical = Native.Dot1X.Critical()
            self.critical.parent = self
            self.supplicant = Native.Dot1X.Supplicant()
            self.supplicant.parent = self
            self.system_auth_control = None
            self.test = Native.Dot1X.Test()
            self.test.parent = self


        class Credentials(object):
            """
            Configure 802.1X credentials profiles
            
            .. attribute:: profile_name  <key>
            
            	Specify a profile name
            	**type**\:  str
            
            .. attribute:: password
            
            	Set the authentication password
            	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Dot1X.Credentials.Password>`
            
            .. attribute:: pki_trustpoint
            
            	Set the default pki trustpoint
            	**type**\:  str
            
            .. attribute:: username
            
            	Set the authentication userid
            	**type**\:  str
            
            

            """

            _prefix = 'ios-dot1x'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.profile_name = None
                self.password = Native.Dot1X.Credentials.Password()
                self.password.parent = self
                self.pki_trustpoint = None
                self.username = None


            class Password(object):
                """
                Set the authentication password
                
                .. attribute:: secret
                
                	
                	**type**\:  str
                
                .. attribute:: type
                
                	
                	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Dot1X.Credentials.Password.TypeEnum>`
                
                

                """

                _prefix = 'ios-dot1x'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.secret = None
                    self.type = None

                class TypeEnum(Enum):
                    """
                    TypeEnum

                    .. data:: Y_0 = 0

                    .. data:: Y_7 = 1

                    """

                    Y_0 = 0

                    Y_7 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Dot1X.Credentials.Password.TypeEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-dot1x:password'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.secret is not None:
                        return True

                    if self.type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Dot1X.Credentials.Password']['meta_info']

            @property
            def _common_path(self):
                if self.profile_name is None:
                    raise YPYModelError('Key property profile_name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:dot1x/Cisco-IOS-XE-dot1x:credentials[Cisco-IOS-XE-dot1x:profile-name = ' + str(self.profile_name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.profile_name is not None:
                    return True

                if self.password is not None and self.password._has_data():
                    return True

                if self.pki_trustpoint is not None:
                    return True

                if self.username is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Dot1X.Credentials']['meta_info']


        class Critical(object):
            """
            Set 802.1x Critical Authentication parameters
            
            .. attribute:: eapol
            
            	Send EAPOL\-Success on successful Critical Authentication
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: recovery
            
            	Set 802.1x Critical Authentication Recovery parameters
            	**type**\:   :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Dot1X.Critical.Recovery>`
            
            

            """

            _prefix = 'ios-dot1x'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.eapol = None
                self.recovery = Native.Dot1X.Critical.Recovery()
                self.recovery.parent = self


            class Recovery(object):
                """
                Set 802.1x Critical Authentication Recovery parameters
                
                .. attribute:: delay
                
                	Set 802.1x Critical Authentication Recovery Delay period
                	**type**\:  int
                
                	**range:** 1..10000
                
                

                """

                _prefix = 'ios-dot1x'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:dot1x/Cisco-IOS-XE-dot1x:critical/Cisco-IOS-XE-dot1x:recovery'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Dot1X.Critical.Recovery']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:dot1x/Cisco-IOS-XE-dot1x:critical'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.eapol is not None:
                    return True

                if self.recovery is not None and self.recovery._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Dot1X.Critical']['meta_info']


        class Test(object):
            """
            Configure dot1x test related parameters
            
            .. attribute:: timeout
            
            	Seconds
            	**type**\:  int
            
            	**range:** 1..65535
            
            

            """

            _prefix = 'ios-dot1x'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.timeout = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:dot1x/Cisco-IOS-XE-dot1x:test'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.timeout is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Dot1X.Test']['meta_info']


        class Supplicant(object):
            """
            802.1X supplicant configuration
            
            .. attribute:: force_multicast
            
            	Force 802.1X supplicant to send multicast packets
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-dot1x'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.force_multicast = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:dot1x/Cisco-IOS-XE-dot1x:supplicant'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.force_multicast is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Dot1X.Supplicant']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:dot1x'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.credentials is not None:
                for child_ref in self.credentials:
                    if child_ref._has_data():
                        return True

            if self.critical is not None and self.critical._has_data():
                return True

            if self.supplicant is not None and self.supplicant._has_data():
                return True

            if self.system_auth_control is not None:
                return True

            if self.test is not None and self.test._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Dot1X']['meta_info']


    class Fallback(object):
        """
        Fallback configuration commands
        
        .. attribute:: profile
        
        	Create a Fallback profile
        	**type**\:   :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fallback.Profile>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.profile = Native.Fallback.Profile()
            self.profile.parent = self


        class Profile(object):
            """
            Create a Fallback profile
            
            .. attribute:: fallback_list
            
            	Specify a policy name
            	**type**\: list of    :py:class:`FallbackList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fallback.Profile.FallbackList>`
            
            

            """

            _prefix = 'ios-dot1x'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.fallback_list = YList()
                self.fallback_list.parent = self
                self.fallback_list.name = 'fallback_list'


            class FallbackList(object):
                """
                Specify a policy name
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: description
                
                	Any textual description
                	**type**\:  str
                
                .. attribute:: ip
                
                	Internet Protocol configuration commands
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fallback.Profile.FallbackList.Ip>`
                
                

                """

                _prefix = 'ios-dot1x'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.description = None
                    self.ip = Native.Fallback.Profile.FallbackList.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    Internet Protocol configuration commands
                    
                    .. attribute:: access_group
                    
                    	Specify access control for packets
                    	**type**\: list of    :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fallback.Profile.FallbackList.Ip.AccessGroup>`
                    
                    .. attribute:: admission
                    
                    	Name of IP admission rule
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access_group = YList()
                        self.access_group.parent = self
                        self.access_group.name = 'access_group'
                        self.admission = None


                    class AccessGroup(object):
                        """
                        Specify access control for packets
                        
                        .. attribute:: name  <key>
                        
                        	IP expanded access list (standard or extended)
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1300..2699
                        
                        
                        ----
                        	**type**\:  str
                        
                        
                        ----
                        .. attribute:: in_
                        
                        	inbound packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-dot1x'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.in_ = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-dot1x:access-group[Cisco-IOS-XE-dot1x:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.in_ is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Fallback.Profile.FallbackList.Ip.AccessGroup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-dot1x:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access_group is not None:
                            for child_ref in self.access_group:
                                if child_ref._has_data():
                                    return True

                        if self.admission is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Fallback.Profile.FallbackList.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:fallback/Cisco-IOS-XE-dot1x:profile/Cisco-IOS-XE-dot1x:fallback-list[Cisco-IOS-XE-dot1x:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.description is not None:
                        return True

                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Fallback.Profile.FallbackList']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:fallback/Cisco-IOS-XE-dot1x:profile'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.fallback_list is not None:
                    for child_ref in self.fallback_list:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Fallback.Profile']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:fallback'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.profile is not None and self.profile._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Fallback']['meta_info']


    class ParameterMap(object):
        """
        parameter map
        
        .. attribute:: name  <key>
        
        	cws\_tunnel global parameter\-map
        	**type**\: one of the below types:
        
        	**type**\:  str
        
        
        ----
        	**type**\:   :py:class:`NameEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.NameEnum>`
        
        
        ----
        .. attribute:: aggressive_aging
        
        	Aggressive Aging parameters
        	**type**\:   :py:class:`AggressiveAging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.AggressiveAging>`
        
        .. attribute:: alert
        
        	Turn on/off alert
        	**type**\:   :py:class:`AlertEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.AlertEnum>`
        
        .. attribute:: application_inspect
        
        	Turn on application inspection
        	**type**\:   :py:class:`ApplicationInspectEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.ApplicationInspectEnum>`
        
        .. attribute:: audit_trail
        
        	Turn on/off audit trail
        	**type**\:   :py:class:`AuditTrailEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.AuditTrailEnum>`
        
        .. attribute:: dns_timeout
        
        	Specify timeout for DNS
        	**type**\:  int
        
        	**range:** 1..2147483
        
        .. attribute:: global_
        
        	cws\_tunnel global parameter\-map
        	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_>`
        
        .. attribute:: icmp
        
        	Config timeout values for icmp
        	**type**\:   :py:class:`Icmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Icmp>`
        
        .. attribute:: lisp
        
        	Turn on LISP options
        	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Lisp>`
        
        .. attribute:: log
        
        	Configure inspect logging parameters
        	**type**\:   :py:class:`Log <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Log>`
        
        .. attribute:: max_destination
        
        	config maximum destination
        	**type**\:  int
        
        	**range:** 1..4294967295
        
        .. attribute:: max_incomplete
        
        	Specify maximum number of incomplete connections before clamping
        	**type**\:   :py:class:`MaxIncomplete <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.MaxIncomplete>`
        
        .. attribute:: one_minute
        
        	Specify one\-minute\-sample watermarks for clamping
        	**type**\:   :py:class:`OneMinute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.OneMinute>`
        
        .. attribute:: parameter_map_type
        
        	type \- web\-auth, consent or both
        	**type**\:   :py:class:`ParameterMapTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.ParameterMapTypeEnum>`
        
        .. attribute:: sessions
        
        	Maximum number of inspect sessions
        	**type**\:   :py:class:`Sessions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Sessions>`
        
        .. attribute:: tcp_inspect
        
        	
        	**type**\:   :py:class:`TcpInspect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.TcpInspect>`
        
        .. attribute:: tcp_inspect_zone
        
        	
        	**type**\:   :py:class:`TcpInspectZone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.TcpInspectZone>`
        
        .. attribute:: threat_detection
        
        	Configure Threat Detection
        	**type**\:   :py:class:`ThreatDetection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.ThreatDetection>`
        
        .. attribute:: timeout
        
        	timeout for the webauth session
        	**type**\:   :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Timeout>`
        
        .. attribute:: type
        
        	parameter map type
        	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.TypeEnum>`
        
        .. attribute:: udp
        
        	Config timeout values for udp flows
        	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Udp>`
        
        .. attribute:: vrf
        
        	vrf binding with parameter map
        	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Vrf>`
        
        .. attribute:: watch_list
        
        	Watch List of webauth clients
        	**type**\:   :py:class:`WatchList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.WatchList>`
        
        .. attribute:: zone_mismatch
        
        	Config zone\-mismatch option
        	**type**\:   :py:class:`ZoneMismatchEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.ZoneMismatchEnum>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.name = None
            self.aggressive_aging = Native.ParameterMap.AggressiveAging()
            self.aggressive_aging.parent = self
            self.alert = None
            self.application_inspect = None
            self.audit_trail = None
            self.dns_timeout = None
            self.global_ = Native.ParameterMap.Global_()
            self.global_.parent = self
            self.icmp = Native.ParameterMap.Icmp()
            self.icmp.parent = self
            self.lisp = Native.ParameterMap.Lisp()
            self.lisp.parent = self
            self.log = Native.ParameterMap.Log()
            self.log.parent = self
            self.max_destination = None
            self.max_incomplete = Native.ParameterMap.MaxIncomplete()
            self.max_incomplete.parent = self
            self.one_minute = Native.ParameterMap.OneMinute()
            self.one_minute.parent = self
            self.parameter_map_type = None
            self.sessions = Native.ParameterMap.Sessions()
            self.sessions.parent = self
            self.tcp_inspect = Native.ParameterMap.TcpInspect()
            self.tcp_inspect.parent = self
            self.tcp_inspect_zone = Native.ParameterMap.TcpInspectZone()
            self.tcp_inspect_zone.parent = self
            self.threat_detection = Native.ParameterMap.ThreatDetection()
            self.threat_detection.parent = self
            self.timeout = Native.ParameterMap.Timeout()
            self.timeout.parent = self
            self.type = None
            self.udp = Native.ParameterMap.Udp()
            self.udp.parent = self
            self.vrf = Native.ParameterMap.Vrf()
            self.vrf.parent = self
            self.watch_list = Native.ParameterMap.WatchList()
            self.watch_list.parent = self
            self.zone_mismatch = None

        class AlertEnum(Enum):
            """
            AlertEnum

            Turn on/off alert

            .. data:: off = 0

            .. data:: on = 1

            """

            off = 0

            on = 1


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.AlertEnum']


        class ApplicationInspectEnum(Enum):
            """
            ApplicationInspectEnum

            Turn on application inspection

            .. data:: all = 0

            .. data:: dns = 1

            .. data:: exec_ = 2

            .. data:: ftp = 3

            .. data:: gtp = 4

            .. data:: h323 = 5

            .. data:: http = 6

            .. data:: imap = 7

            .. data:: login = 8

            .. data:: msrpc = 9

            .. data:: netbios = 10

            .. data:: pop3 = 11

            .. data:: rtsp = 12

            .. data:: shell = 13

            .. data:: sip = 14

            .. data:: skinny = 15

            .. data:: smtp = 16

            .. data:: sunrpc = 17

            .. data:: tftp = 18

            """

            all = 0

            dns = 1

            exec_ = 2

            ftp = 3

            gtp = 4

            h323 = 5

            http = 6

            imap = 7

            login = 8

            msrpc = 9

            netbios = 10

            pop3 = 11

            rtsp = 12

            shell = 13

            sip = 14

            skinny = 15

            smtp = 16

            sunrpc = 17

            tftp = 18


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.ApplicationInspectEnum']


        class AuditTrailEnum(Enum):
            """
            AuditTrailEnum

            Turn on/off audit trail

            .. data:: off = 0

            .. data:: on = 1

            """

            off = 0

            on = 1


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.AuditTrailEnum']


        class NameEnum(Enum):
            """
            NameEnum

            cws\_tunnel global parameter\-map

            .. data:: global_ = 0

            .. data:: gtp = 1

            """

            global_ = 0

            gtp = 1


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.NameEnum']


        class ParameterMapTypeEnum(Enum):
            """
            ParameterMapTypeEnum

            type \- web\-auth, consent or both

            .. data:: webauth = 0

            .. data:: authbypass = 1

            """

            webauth = 0

            authbypass = 1


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.ParameterMapTypeEnum']


        class TypeEnum(Enum):
            """
            TypeEnum

            parameter map type

            .. data:: cws_tunnel = 0

            .. data:: inspect = 1

            .. data:: inspect_global = 2

            .. data:: webauth = 3

            .. data:: inspect_vrf = 4

            .. data:: inspect_zone = 5

            .. data:: regex = 6

            .. data:: authbypass = 7

            """

            cws_tunnel = 0

            inspect = 1

            inspect_global = 2

            webauth = 3

            inspect_vrf = 4

            inspect_zone = 5

            regex = 6

            authbypass = 7


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.TypeEnum']


        class ZoneMismatchEnum(Enum):
            """
            ZoneMismatchEnum

            Config zone\-mismatch option

            .. data:: drop = 0

            """

            drop = 0


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.ZoneMismatchEnum']



        class Timeout(object):
            """
            timeout for the webauth session
            
            .. attribute:: fin_wait
            
            	fin\-wait timeout
            	**type**\:   :py:class:`FinWait <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Timeout.FinWait>`
            
            .. attribute:: init_state
            
            	init\-state timeout
            	**type**\:   :py:class:`InitState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Timeout.InitState>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.fin_wait = Native.ParameterMap.Timeout.FinWait()
                self.fin_wait.parent = self
                self.init_state = None


            class InitState(object):
                """
                init\-state timeout
                
                .. attribute:: sec
                
                	WEBAUTH Timeout in Seconds
                	**type**\:  int
                
                	**range:** 60..3932100
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.sec = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:init-state'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.sec is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ParameterMap.Timeout.InitState']['meta_info']


            class FinWait(object):
                """
                fin\-wait timeout
                
                .. attribute:: msec
                
                	WEBAUTH Timeout in milliseconds
                	**type**\:  int
                
                	**range:** 1..2147483647
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.msec = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:fin-wait'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.msec is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ParameterMap.Timeout.FinWait']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-policy:timeout'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.fin_wait is not None and self.fin_wait._has_data():
                    return True

                if self.init_state is not None and self.init_state._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.Timeout']['meta_info']


        class WatchList(object):
            """
            Watch List of webauth clients
            
            .. attribute:: add_item
            
            	Add item to Watch\-list
            	**type**\:   :py:class:`AddItem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.WatchList.AddItem>`
            
            .. attribute:: dynamic_expiry_timeout
            
            	dynamic\_expiry\_timeout
            	**type**\:  int
            
            	**range:** 0..2147483
            
            .. attribute:: enabled
            
            	Enable Watchlist
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.add_item = Native.ParameterMap.WatchList.AddItem()
                self.add_item.parent = self
                self.dynamic_expiry_timeout = None
                self.enabled = None


            class AddItem(object):
                """
                Add item to Watch\-list
                
                .. attribute:: ipv4
                
                	IPv4 Watch List Entry
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: ipv6
                
                	IPv6 Watch List Entry
                	**type**\:  str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipv4 = None
                    self.ipv6 = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:add-item'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipv4 is not None:
                        return True

                    if self.ipv6 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ParameterMap.WatchList.AddItem']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-policy:watch-list'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.add_item is not None and self.add_item._has_data():
                    return True

                if self.dynamic_expiry_timeout is not None:
                    return True

                if self.enabled is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.WatchList']['meta_info']


        class AggressiveAging(object):
            """
            Aggressive Aging parameters
            
            .. attribute:: high
            
            	Specify the high watermark for aggressive\-aging
            	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.AggressiveAging.High>`
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.high = Native.ParameterMap.AggressiveAging.High()
                self.high.parent = self


            class High(object):
                """
                Specify the high watermark for aggressive\-aging
                
                .. attribute:: absolute
                
                	
                	**type**\:   :py:class:`Absolute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.AggressiveAging.High.Absolute>`
                
                .. attribute:: percent
                
                	high watermark in percentage of max\-incomplete value
                	**type**\:   :py:class:`Percent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.AggressiveAging.High.Percent>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.absolute = Native.ParameterMap.AggressiveAging.High.Absolute()
                    self.absolute.parent = self
                    self.percent = Native.ParameterMap.AggressiveAging.High.Percent()
                    self.percent.parent = self


                class Absolute(object):
                    """
                    
                    
                    .. attribute:: low
                    
                    	Specify the low watermark for aggressive\-aging
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.low = None
                        self.value = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:absolute'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.low is not None:
                            return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ParameterMap.AggressiveAging.High.Absolute']['meta_info']


                class Percent(object):
                    """
                    high watermark in percentage of max\-incomplete value
                    
                    .. attribute:: low_percent
                    
                    	Specify the low watermark for aggressive\-aging in percents
                    	**type**\:  int
                    
                    	**range:** 1..100
                    
                    .. attribute:: value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..100
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.low_percent = None
                        self.value = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:percent'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.low_percent is not None:
                            return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ParameterMap.AggressiveAging.High.Percent']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:high'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.absolute is not None and self.absolute._has_data():
                        return True

                    if self.percent is not None and self.percent._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ParameterMap.AggressiveAging.High']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-policy:aggressive-aging'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.high is not None and self.high._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.AggressiveAging']['meta_info']


        class Global_(object):
            """
            cws\_tunnel global parameter\-map
            
            .. attribute:: fail_open
            
            	Allow traffic to go in clear if CWS Towers are unreachable
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: license
            
            	License Key
            	**type**\:   :py:class:`License <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.License>`
            
            .. attribute:: logging
            
            	CWS syslogs
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: primary
            
            	Primary tower
            	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.Primary>`
            
            	**presence node**\: True
            
            .. attribute:: redirect_list
            
            	Set access\-list for reverse route from CWS Tower Standard IP access\-list number <1\-199> Standard IP access\-list number (expanded range) <1300\-2699>
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 1..199
            
            
            ----
            	**type**\:  int
            
            	**range:** 1300..2699
            
            
            ----
            .. attribute:: secondary
            
            	Secondary tower
            	**type**\:   :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.Secondary>`
            
            	**presence node**\: True
            
            .. attribute:: whitelist
            
            	Disable redirection to CWS Access list (standard) <1\-199> Access list (extended) <1300\-2699> Access list name
            	**type**\:   :py:class:`Whitelist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.Whitelist>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.fail_open = None
                self.license = Native.ParameterMap.Global_.License()
                self.license.parent = self
                self.logging = None
                self.primary = None
                self.redirect_list = None
                self.secondary = None
                self.whitelist = None


            class License(object):
                """
                License Key
                
                .. attribute:: encrypted
                
                	Encrypted License
                	**type**\:   :py:class:`Encrypted <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.License.Encrypted>`
                
                .. attribute:: unencypted
                
                	Unencrypted License
                	**type**\:   :py:class:`Unencypted <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.License.Unencypted>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.encrypted = Native.ParameterMap.Global_.License.Encrypted()
                    self.encrypted.parent = self
                    self.unencypted = Native.ParameterMap.Global_.License.Unencypted()
                    self.unencypted.parent = self


                class Unencypted(object):
                    """
                    Unencrypted License
                    
                    .. attribute:: hex_string
                    
                    	32 char non encrypted hex key
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hex_string = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:Unencypted'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hex_string is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ParameterMap.Global_.License.Unencypted']['meta_info']


                class Encrypted(object):
                    """
                    Encrypted License
                    
                    .. attribute:: hex_string
                    
                    	66 char encrypted hex key
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hex_string = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:Encrypted'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hex_string is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ParameterMap.Global_.License.Encrypted']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:license'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.encrypted is not None and self.encrypted._has_data():
                        return True

                    if self.unencypted is not None and self.unencypted._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ParameterMap.Global_.License']['meta_info']


            class Primary(object):
                """
                Primary tower
                
                .. attribute:: tower
                
                	Tower configuration for CWS
                	**type**\:   :py:class:`Tower <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.Primary.Tower>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.tower = Native.ParameterMap.Global_.Primary.Tower()
                    self.tower.parent = self


                class Tower(object):
                    """
                    Tower configuration for CWS
                    
                    .. attribute:: ipv4
                    
                    	IPv4 address of the tower
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: name
                    
                    	Fully Qualified Domain Name of tower
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = None
                        self.name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:tower'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None:
                            return True

                        if self.name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ParameterMap.Global_.Primary.Tower']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:primary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.tower is not None and self.tower._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ParameterMap.Global_.Primary']['meta_info']


            class Secondary(object):
                """
                Secondary tower
                
                .. attribute:: tower
                
                	Tower configuration for CWS
                	**type**\:   :py:class:`Tower <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.Secondary.Tower>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.tower = Native.ParameterMap.Global_.Secondary.Tower()
                    self.tower.parent = self


                class Tower(object):
                    """
                    Tower configuration for CWS
                    
                    .. attribute:: ipv4
                    
                    	IPv4 address of the tower
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: name
                    
                    	Fully Qualified Domain Name of tower
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = None
                        self.name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:tower'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None:
                            return True

                        if self.name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ParameterMap.Global_.Secondary.Tower']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:secondary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.tower is not None and self.tower._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ParameterMap.Global_.Secondary']['meta_info']


            class Whitelist(object):
                """
                Disable redirection to CWS
                Access list (standard) <1\-199>
                Access list (extended) <1300\-2699>
                Access list name
                
                .. attribute:: acl
                
                	Access list
                	**type**\:   :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.Whitelist.Acl>`
                
                .. attribute:: domain_name
                
                	Domain name based Whitelist
                	**type**\:   :py:class:`DomainName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.Whitelist.DomainName>`
                
                .. attribute:: download
                
                	whitelist download command
                	**type**\:   :py:class:`Download <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.Whitelist.Download>`
                
                	**presence node**\: True
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.acl = Native.ParameterMap.Global_.Whitelist.Acl()
                    self.acl.parent = self
                    self.domain_name = Native.ParameterMap.Global_.Whitelist.DomainName()
                    self.domain_name.parent = self
                    self.download = None


                class Acl(object):
                    """
                    Access list
                    
                    .. attribute:: acl_number
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..199
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 1300..2699
                    
                    
                    ----
                    .. attribute:: name
                    
                    	Access list name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acl_number = None
                        self.name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:acl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acl_number is not None:
                            return True

                        if self.name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ParameterMap.Global_.Whitelist.Acl']['meta_info']


                class DomainName(object):
                    """
                    Domain name based Whitelist
                    
                    .. attribute:: regex
                    
                    	Domain name regex parameter map
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.regex = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:domain-name'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.regex is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ParameterMap.Global_.Whitelist.DomainName']['meta_info']


                class Download(object):
                    """
                    whitelist download command
                    
                    .. attribute:: interval
                    
                    	Download interval in minutes
                    	**type**\:  int
                    
                    	**range:** 5..10080
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.interval = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:download'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.interval is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ParameterMap.Global_.Whitelist.Download']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:whitelist'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.acl is not None and self.acl._has_data():
                        return True

                    if self.domain_name is not None and self.domain_name._has_data():
                        return True

                    if self.download is not None and self.download._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ParameterMap.Global_.Whitelist']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-policy:global'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.fail_open is not None:
                    return True

                if self.license is not None and self.license._has_data():
                    return True

                if self.logging is not None:
                    return True

                if self.primary is not None and self.primary._has_data():
                    return True

                if self.redirect_list is not None:
                    return True

                if self.secondary is not None and self.secondary._has_data():
                    return True

                if self.whitelist is not None and self.whitelist._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.Global_']['meta_info']


        class Icmp(object):
            """
            Config timeout values for icmp
            
            .. attribute:: idle_time
            
            	Specify timeout for icmp
            	**type**\:  int
            
            	**range:** 1..2147483
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.idle_time = None

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-policy:icmp'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.idle_time is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.Icmp']['meta_info']


        class Lisp(object):
            """
            Turn on LISP options
            
            .. attribute:: inner_packet_inspection
            
            	inner\-packet\-inspection
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.inner_packet_inspection = None

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-policy:lisp'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.inner_packet_inspection is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.Lisp']['meta_info']


        class Log(object):
            """
            Configure inspect logging parameters
            
            .. attribute:: dropped_packets
            
            	Log dropped packets
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: flow_export
            
            	Configure inspect external logging parameters
            	**type**\:   :py:class:`FlowExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Log.FlowExport>`
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.dropped_packets = None
                self.flow_export = Native.ParameterMap.Log.FlowExport()
                self.flow_export.parent = self


            class FlowExport(object):
                """
                Configure inspect external logging parameters
                
                .. attribute:: template
                
                	Configure record template parameters
                	**type**\:   :py:class:`Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Log.FlowExport.Template>`
                
                .. attribute:: v9
                
                	Netflow version 9
                	**type**\:   :py:class:`V9 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Log.FlowExport.V9>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.template = Native.ParameterMap.Log.FlowExport.Template()
                    self.template.parent = self
                    self.v9 = Native.ParameterMap.Log.FlowExport.V9()
                    self.v9.parent = self


                class Template(object):
                    """
                    Configure record template parameters
                    
                    .. attribute:: timeout_rate
                    
                    	Rate to resend the template in seconds
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.timeout_rate = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:template'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.timeout_rate is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ParameterMap.Log.FlowExport.Template']['meta_info']


                class V9(object):
                    """
                    Netflow version 9
                    
                    .. attribute:: udp
                    
                    	Use UDP to export records
                    	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Log.FlowExport.V9.Udp>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.udp = Native.ParameterMap.Log.FlowExport.V9.Udp()
                        self.udp.parent = self


                    class Udp(object):
                        """
                        Use UDP to export records
                        
                        .. attribute:: destination
                        
                        	Specify the flow\-export destination
                        	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Log.FlowExport.V9.Udp.Destination>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination = Native.ParameterMap.Log.FlowExport.V9.Udp.Destination()
                            self.destination.parent = self


                        class Destination(object):
                            """
                            Specify the flow\-export destination
                            
                            .. attribute:: dst_ip
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: dst_port
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dst_ip = None
                                self.dst_port = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-policy:destination'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dst_ip is not None:
                                    return True

                                if self.dst_port is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.ParameterMap.Log.FlowExport.V9.Udp.Destination']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:udp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination is not None and self.destination._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.ParameterMap.Log.FlowExport.V9.Udp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:v9'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.udp is not None and self.udp._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ParameterMap.Log.FlowExport.V9']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:flow-export'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.template is not None and self.template._has_data():
                        return True

                    if self.v9 is not None and self.v9._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ParameterMap.Log.FlowExport']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-policy:log'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.dropped_packets is not None:
                    return True

                if self.flow_export is not None and self.flow_export._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.Log']['meta_info']


        class MaxIncomplete(object):
            """
            Specify maximum number of incomplete connections before clamping
            
            .. attribute:: high
            
            	Specify high\-watermark for clamping
            	**type**\:  int
            
            	**range:** 1..2147483647
            
            .. attribute:: low
            
            	Specify low\-watermark for clamping
            	**type**\:  int
            
            	**range:** 1..2147483647
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.high = None
                self.low = None

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-policy:max-incomplete'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.high is not None:
                    return True

                if self.low is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.MaxIncomplete']['meta_info']


        class OneMinute(object):
            """
            Specify one\-minute\-sample watermarks for clamping
            
            .. attribute:: high
            
            	Specify high\-watermark for clamping
            	**type**\:  int
            
            	**range:** 1..2147483647
            
            .. attribute:: low
            
            	Specify low\-watermark for clamping
            	**type**\:  int
            
            	**range:** 1..2147483647
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.high = None
                self.low = None

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-policy:one-minute'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.high is not None:
                    return True

                if self.low is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.OneMinute']['meta_info']


        class Sessions(object):
            """
            Maximum number of inspect sessions
            
            .. attribute:: maximum
            
            	Maximum sessions
            	**type**\:  int
            
            	**range:** 1..2147483647
            
            .. attribute:: queue
            
            	queue
            	**type**\:   :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Sessions.Queue>`
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.maximum = None
                self.queue = Native.ParameterMap.Sessions.Queue()
                self.queue.parent = self


            class Queue(object):
                """
                queue
                
                .. attribute:: max_threshold
                
                	
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: min_threshold
                
                	
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.max_threshold = None
                    self.min_threshold = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:queue'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.max_threshold is not None:
                        return True

                    if self.min_threshold is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ParameterMap.Sessions.Queue']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-policy:sessions'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.maximum is not None:
                    return True

                if self.queue is not None and self.queue._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.Sessions']['meta_info']


        class TcpInspect(object):
            """
            
            
            .. attribute:: tcp
            
            	Config timeout values for tcp connections
            	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.TcpInspect.Tcp>`
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.tcp = Native.ParameterMap.TcpInspect.Tcp()
                self.tcp.parent = self


            class Tcp(object):
                """
                Config timeout values for tcp connections
                
                .. attribute:: finwait_time
                
                	Specify timeout for TCP connections after a FIN
                	**type**\:  int
                
                	**range:** 1..2147483
                
                .. attribute:: idle_time
                
                	Specify idle timeout for tcp connections
                	**type**\:  int
                
                	**range:** 1..2147483
                
                .. attribute:: max_incomplete
                
                	Specify max half\-open connection per host
                	**type**\:   :py:class:`MaxIncomplete <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.TcpInspect.Tcp.MaxIncomplete>`
                
                .. attribute:: synwait_time
                
                	Specify timeout for TCP connections after a SYN and no
                	**type**\:  int
                
                	**range:** 1..2147483
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.finwait_time = None
                    self.idle_time = None
                    self.max_incomplete = Native.ParameterMap.TcpInspect.Tcp.MaxIncomplete()
                    self.max_incomplete.parent = self
                    self.synwait_time = None


                class MaxIncomplete(object):
                    """
                    Specify max half\-open connection per host
                    
                    .. attribute:: host
                    
                    	Specify max half\-open connection per host
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.host = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:max-incomplete'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.host is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ParameterMap.TcpInspect.Tcp.MaxIncomplete']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:tcp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.finwait_time is not None:
                        return True

                    if self.idle_time is not None:
                        return True

                    if self.max_incomplete is not None and self.max_incomplete._has_data():
                        return True

                    if self.synwait_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ParameterMap.TcpInspect.Tcp']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-policy:tcp-inspect'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.tcp is not None and self.tcp._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.TcpInspect']['meta_info']


        class TcpInspectZone(object):
            """
            
            
            .. attribute:: tcp
            
            	Configure tcp syn\-flood per\-destination rate
            	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.TcpInspectZone.Tcp>`
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.tcp = Native.ParameterMap.TcpInspectZone.Tcp()
                self.tcp.parent = self


            class Tcp(object):
                """
                Configure tcp syn\-flood per\-destination rate
                
                .. attribute:: syn_flood
                
                	maximum syn packet
                	**type**\:   :py:class:`SynFlood <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.TcpInspectZone.Tcp.SynFlood>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.syn_flood = Native.ParameterMap.TcpInspectZone.Tcp.SynFlood()
                    self.syn_flood.parent = self


                class SynFlood(object):
                    """
                    maximum syn packet
                    
                    .. attribute:: rate
                    
                    	maximum syn packet rate
                    	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.TcpInspectZone.Tcp.SynFlood.Rate>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.rate = Native.ParameterMap.TcpInspectZone.Tcp.SynFlood.Rate()
                        self.rate.parent = self


                    class Rate(object):
                        """
                        maximum syn packet rate
                        
                        .. attribute:: per_destination
                        
                        	per destination maximum rate of TCP SYN packets
                        	**type**\:  int
                        
                        	**range:** 1..1000000000
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.per_destination = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-policy:rate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.per_destination is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.ParameterMap.TcpInspectZone.Tcp.SynFlood.Rate']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:syn-flood'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.rate is not None and self.rate._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ParameterMap.TcpInspectZone.Tcp.SynFlood']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:tcp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.syn_flood is not None and self.syn_flood._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ParameterMap.TcpInspectZone.Tcp']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-policy:tcp-inspect-zone'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.tcp is not None and self.tcp._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.TcpInspectZone']['meta_info']


        class ThreatDetection(object):
            """
            Configure Threat Detection
            
            .. attribute:: basic_threat
            
            	Enable Threat Detection
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: rate
            
            	Configure Threat Detection rate
            	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.ThreatDetection.Rate>`
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.basic_threat = None
                self.rate = Native.ParameterMap.ThreatDetection.Rate()
                self.rate.parent = self


            class Rate(object):
                """
                Configure Threat Detection rate
                
                .. attribute:: fw_drop
                
                	Configure Threat Detection rate for firewall drop events
                	**type**\:   :py:class:`FwDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.ThreatDetection.Rate.FwDrop>`
                
                .. attribute:: inspect_drop
                
                	Configure Threat Detection rate for firewall inspection based drop events
                	**type**\:   :py:class:`InspectDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.ThreatDetection.Rate.InspectDrop>`
                
                .. attribute:: syn_attack
                
                	Configure Threat Detection rate for syn attack events
                	**type**\:   :py:class:`SynAttack <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.ThreatDetection.Rate.SynAttack>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.fw_drop = Native.ParameterMap.ThreatDetection.Rate.FwDrop()
                    self.fw_drop.parent = self
                    self.inspect_drop = Native.ParameterMap.ThreatDetection.Rate.InspectDrop()
                    self.inspect_drop.parent = self
                    self.syn_attack = Native.ParameterMap.ThreatDetection.Rate.SynAttack()
                    self.syn_attack.parent = self


                class FwDrop(object):
                    """
                    Configure Threat Detection rate for firewall drop events
                    
                    .. attribute:: average_threshold
                    
                    	Configure Threat Detection average threshold
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: average_time_frame
                    
                    	Configure Threat Detection average time frame
                    	**type**\:  int
                    
                    	**range:** 600..3600
                    
                    .. attribute:: burst_threshold
                    
                    	 Configure Threat Detection burst threshold
                    	**type**\:  int
                    
                    	**range:** 1..1000000000
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.average_threshold = None
                        self.average_time_frame = None
                        self.burst_threshold = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:fw-drop'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.average_threshold is not None:
                            return True

                        if self.average_time_frame is not None:
                            return True

                        if self.burst_threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ParameterMap.ThreatDetection.Rate.FwDrop']['meta_info']


                class InspectDrop(object):
                    """
                    Configure Threat Detection rate for firewall inspection based drop events
                    
                    .. attribute:: average_threshold
                    
                    	Configure Threat Detection average threshold
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: average_time_frame
                    
                    	Configure Threat Detection average time frame
                    	**type**\:  int
                    
                    	**range:** 600..3600
                    
                    .. attribute:: burst_threshold
                    
                    	 Configure Threat Detection burst threshold
                    	**type**\:  int
                    
                    	**range:** 1..1000000000
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.average_threshold = None
                        self.average_time_frame = None
                        self.burst_threshold = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:inspect-drop'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.average_threshold is not None:
                            return True

                        if self.average_time_frame is not None:
                            return True

                        if self.burst_threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ParameterMap.ThreatDetection.Rate.InspectDrop']['meta_info']


                class SynAttack(object):
                    """
                    Configure Threat Detection rate for syn attack events
                    
                    .. attribute:: average_threshold
                    
                    	Configure Threat Detection average threshold
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: average_time_frame
                    
                    	Configure Threat Detection average time frame
                    	**type**\:  int
                    
                    	**range:** 600..3600
                    
                    .. attribute:: burst_threshold
                    
                    	 Configure Threat Detection burst threshold
                    	**type**\:  int
                    
                    	**range:** 1..1000000000
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.average_threshold = None
                        self.average_time_frame = None
                        self.burst_threshold = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-policy:syn-attack'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.average_threshold is not None:
                            return True

                        if self.average_time_frame is not None:
                            return True

                        if self.burst_threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ParameterMap.ThreatDetection.Rate.SynAttack']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-policy:rate'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.fw_drop is not None and self.fw_drop._has_data():
                        return True

                    if self.inspect_drop is not None and self.inspect_drop._has_data():
                        return True

                    if self.syn_attack is not None and self.syn_attack._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ParameterMap.ThreatDetection.Rate']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-policy:threat-detection'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.basic_threat is not None:
                    return True

                if self.rate is not None and self.rate._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.ThreatDetection']['meta_info']


        class Udp(object):
            """
            Config timeout values for udp flows
            
            .. attribute:: idle_time
            
            	Specify idle timeout for udp
            	**type**\:  int
            
            	**range:** 1..2147483
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.idle_time = None

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-policy:udp'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.idle_time is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.Udp']['meta_info']


        class Vrf(object):
            """
            vrf binding with parameter map
            
            .. attribute:: inspect
            
            	vrf binding with parameter map
            	**type**\:  str
            
            .. attribute:: name
            
            	
            	**type**\:  str
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.inspect = None
                self.name = None

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-policy:vrf'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.inspect is not None:
                    return True

                if self.name is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ParameterMap.Vrf']['meta_info']

        @property
        def _common_path(self):
            if self.name is None:
                raise YPYModelError('Key property name is None')

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:parameter-map[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.name is not None:
                return True

            if self.aggressive_aging is not None and self.aggressive_aging._has_data():
                return True

            if self.alert is not None:
                return True

            if self.application_inspect is not None:
                return True

            if self.audit_trail is not None:
                return True

            if self.dns_timeout is not None:
                return True

            if self.global_ is not None and self.global_._has_data():
                return True

            if self.icmp is not None and self.icmp._has_data():
                return True

            if self.lisp is not None and self.lisp._has_data():
                return True

            if self.log is not None and self.log._has_data():
                return True

            if self.max_destination is not None:
                return True

            if self.max_incomplete is not None and self.max_incomplete._has_data():
                return True

            if self.one_minute is not None and self.one_minute._has_data():
                return True

            if self.parameter_map_type is not None:
                return True

            if self.sessions is not None and self.sessions._has_data():
                return True

            if self.tcp_inspect is not None and self.tcp_inspect._has_data():
                return True

            if self.tcp_inspect_zone is not None and self.tcp_inspect_zone._has_data():
                return True

            if self.threat_detection is not None and self.threat_detection._has_data():
                return True

            if self.timeout is not None and self.timeout._has_data():
                return True

            if self.type is not None:
                return True

            if self.udp is not None and self.udp._has_data():
                return True

            if self.vrf is not None and self.vrf._has_data():
                return True

            if self.watch_list is not None and self.watch_list._has_data():
                return True

            if self.zone_mismatch is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.ParameterMap']['meta_info']


    class Ppp(object):
        """
        PPP global configuration
        
        .. attribute:: packet
        
        	Configure control packet rate throttling
        	**type**\:   :py:class:`Packet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ppp.Packet>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.packet = Native.Ppp.Packet()
            self.packet.parent = self


        class Packet(object):
            """
            Configure control packet rate throttling
            
            .. attribute:: allow_time
            
            	
            	**type**\:  int
            
            	**range:** 1..3600
            
            .. attribute:: block_time
            
            	
            	**type**\:  int
            
            	**range:** 2..3600
            
            .. attribute:: throttle
            
            	Configure control packet rate throttling
            	**type**\:  int
            
            	**range:** 1..100000
            
            

            """

            _prefix = 'ios-ppp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.allow_time = None
                self.block_time = None
                self.throttle = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ppp/Cisco-IOS-XE-ppp:packet'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.allow_time is not None:
                    return True

                if self.block_time is not None:
                    return True

                if self.throttle is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ppp.Packet']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ppp'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.packet is not None and self.packet._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Ppp']['meta_info']


    class Mac(object):
        """
        Global MAC configuration subcommands
        
        .. attribute:: access_list
        
        	Named access\-list
        	**type**\:   :py:class:`AccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AccessList>`
        
        .. attribute:: address_table
        
        	Configure the MAC address table
        	**type**\:   :py:class:`AddressTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AddressTable>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.access_list = Native.Mac.AccessList()
            self.access_list.parent = self
            self.address_table = Native.Mac.AddressTable()
            self.address_table.parent = self


        class AddressTable(object):
            """
            Configure the MAC address table
            
            .. attribute:: aging_time
            
            	Set MAC address table entry maximum age
            	**type**\:  int
            
            	**range:** 0..None \| 10..1000000
            
            .. attribute:: control_packet_learn
            
            	Enable/Disable learning from Control Packets
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: learning
            
            	Enable MAC table learning feature
            	**type**\:   :py:class:`Learning <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AddressTable.Learning>`
            
            .. attribute:: notification
            
            	Enable/Disable MAC Notification on the switch
            	**type**\:   :py:class:`Notification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AddressTable.Notification>`
            
            .. attribute:: routed_mac
            
            	Set RM Aging interval
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: static
            
            	Static MAC entry
            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AddressTable.Static>`
            
            .. attribute:: vlan
            
            	VLAN Keyword
            	**type**\:  int
            
            	**range:** 1..4094
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.aging_time = None
                self.control_packet_learn = None
                self.learning = Native.Mac.AddressTable.Learning()
                self.learning.parent = self
                self.notification = Native.Mac.AddressTable.Notification()
                self.notification.parent = self
                self.routed_mac = None
                self.static = Native.Mac.AddressTable.Static()
                self.static.parent = self
                self.vlan = None


            class Learning(object):
                """
                Enable MAC table learning feature
                
                .. attribute:: vlan
                
                	<1\-4094>;;VLAN id to enable MAC Address learning
                	**type**\:  int
                
                	**range:** 1..4094
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.vlan = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mac/Cisco-IOS-XE-native:address-table/Cisco-IOS-XE-native:learning'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mac.AddressTable.Learning']['meta_info']


            class Notification(object):
                """
                Enable/Disable MAC Notification on the switch
                
                .. attribute:: change
                
                	Enable/Disable MAC Notification feature on the switch
                	**type**\:   :py:class:`Change <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AddressTable.Notification.Change>`
                
                	**presence node**\: True
                
                .. attribute:: mac_move
                
                	Enable Mac Move Notification
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: threshold
                
                	Configure L2 Table monitoring
                	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AddressTable.Notification.Threshold>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.change = None
                    self.mac_move = None
                    self.threshold = None


                class Change(object):
                    """
                    Enable/Disable MAC Notification feature on the switch
                    
                    .. attribute:: history_size
                    
                    	Number of entries in history table (0\-500)
                    	**type**\:  int
                    
                    	**range:** 0..500
                    
                    .. attribute:: interval
                    
                    	Notification interval in seconds (0\-2147483647)
                    	**type**\:  int
                    
                    	**range:** 0..2147483647
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.history_size = None
                        self.interval = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mac/Cisco-IOS-XE-native:address-table/Cisco-IOS-XE-native:notification/Cisco-IOS-XE-native:change'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.history_size is not None:
                            return True

                        if self.interval is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mac.AddressTable.Notification.Change']['meta_info']


                class Threshold(object):
                    """
                    Configure L2 Table monitoring
                    
                    .. attribute:: interval
                    
                    	<120\-1000000> Interval time in seconds
                    	**type**\:  int
                    
                    	**range:** 120..1000000
                    
                    .. attribute:: limit
                    
                    	Limit percentage
                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AddressTable.Notification.Threshold.Limit>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.interval = None
                        self.limit = Native.Mac.AddressTable.Notification.Threshold.Limit()
                        self.limit.parent = self


                    class Limit(object):
                        """
                        Limit percentage
                        
                        .. attribute:: interval
                        
                        	<120\-1000000> Interval time in seconds
                        	**type**\:  int
                        
                        	**range:** 120..1000000
                        
                        .. attribute:: percentage
                        
                        	Percentage (0\-100)
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interval = None
                            self.percentage = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mac/Cisco-IOS-XE-native:address-table/Cisco-IOS-XE-native:notification/Cisco-IOS-XE-native:threshold/Cisco-IOS-XE-native:limit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interval is not None:
                                return True

                            if self.percentage is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mac.AddressTable.Notification.Threshold.Limit']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mac/Cisco-IOS-XE-native:address-table/Cisco-IOS-XE-native:notification/Cisco-IOS-XE-native:threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.interval is not None:
                            return True

                        if self.limit is not None and self.limit._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mac.AddressTable.Notification.Threshold']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mac/Cisco-IOS-XE-native:address-table/Cisco-IOS-XE-native:notification'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.change is not None and self.change._has_data():
                        return True

                    if self.mac_move is not None:
                        return True

                    if self.threshold is not None and self.threshold._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mac.AddressTable.Notification']['meta_info']


            class Static(object):
                """
                Static MAC entry
                
                .. attribute:: drop
                
                	drop frames
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: interface
                
                	Output interface exact long name
                	**type**\:  str
                
                .. attribute:: mac_address
                
                	xxxx.xxxx.xxxx 48 bit mac address
                	**type**\:  str
                
                	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                
                .. attribute:: vlan
                
                	<1\-4094> VLAN id of mac address table (1\-4094)
                	**type**\:  int
                
                	**range:** 1..4094
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.drop = None
                    self.interface = None
                    self.mac_address = None
                    self.vlan = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mac/Cisco-IOS-XE-native:address-table/Cisco-IOS-XE-native:static'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.drop is not None:
                        return True

                    if self.interface is not None:
                        return True

                    if self.mac_address is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mac.AddressTable.Static']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mac/Cisco-IOS-XE-native:address-table'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.aging_time is not None:
                    return True

                if self.control_packet_learn is not None:
                    return True

                if self.learning is not None and self.learning._has_data():
                    return True

                if self.notification is not None and self.notification._has_data():
                    return True

                if self.routed_mac is not None:
                    return True

                if self.static is not None and self.static._has_data():
                    return True

                if self.vlan is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Mac.AddressTable']['meta_info']


        class AccessList(object):
            """
            Named access\-list
            
            .. attribute:: extended
            
            	Extended Access List
            	**type**\: list of    :py:class:`Extended <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AccessList.Extended>`
            
            

            """

            _prefix = 'ios-acl'
            _revision = '2017-03-22'

            def __init__(self):
                self.parent = None
                self.extended = YList()
                self.extended.parent = self
                self.extended.name = 'extended'


            class Extended(object):
                """
                Extended Access List
                
                .. attribute:: id  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: deny
                
                	Specify packets to reject
                	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AccessList.Extended.Deny>`
                
                .. attribute:: permit
                
                	Specify packets to forward
                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AccessList.Extended.Permit>`
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-03-22'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.deny = Native.Mac.AccessList.Extended.Deny()
                    self.deny.parent = self
                    self.permit = Native.Mac.AccessList.Extended.Permit()
                    self.permit.parent = self


                class Deny(object):
                    """
                    Specify packets to reject
                    
                    .. attribute:: dest
                    
                    	
                    	**type**\:   :py:class:`Dest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AccessList.Extended.Deny.Dest>`
                    
                    .. attribute:: ethertype
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: source
                    
                    	
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AccessList.Extended.Deny.Source>`
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-03-22'

                    def __init__(self):
                        self.parent = None
                        self.dest = Native.Mac.AccessList.Extended.Deny.Dest()
                        self.dest.parent = self
                        self.ethertype = None
                        self.source = Native.Mac.AccessList.Extended.Deny.Source()
                        self.source.parent = self


                    class Source(object):
                        """
                        
                        
                        .. attribute:: any
                        
                        	any source MAC address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: host
                        
                        	A single source host
                        	**type**\:  str
                        
                        .. attribute:: mac_address
                        
                        	48\-bit source MAC address
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-03-22'

                        def __init__(self):
                            self.parent = None
                            self.any = None
                            self.host = None
                            self.mac_address = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-acl:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any is not None:
                                return True

                            if self.host is not None:
                                return True

                            if self.mac_address is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mac.AccessList.Extended.Deny.Source']['meta_info']


                    class Dest(object):
                        """
                        
                        
                        .. attribute:: any
                        
                        	any destination MAC address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: host
                        
                        	A single destination host
                        	**type**\:  str
                        
                        .. attribute:: mac_address
                        
                        	48\-bit destination MAC address
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-03-22'

                        def __init__(self):
                            self.parent = None
                            self.any = None
                            self.host = None
                            self.mac_address = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-acl:dest'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any is not None:
                                return True

                            if self.host is not None:
                                return True

                            if self.mac_address is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mac.AccessList.Extended.Deny.Dest']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-acl:deny'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dest is not None and self.dest._has_data():
                            return True

                        if self.ethertype is not None:
                            return True

                        if self.source is not None and self.source._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mac.AccessList.Extended.Deny']['meta_info']


                class Permit(object):
                    """
                    Specify packets to forward
                    
                    .. attribute:: dest
                    
                    	
                    	**type**\:   :py:class:`Dest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AccessList.Extended.Permit.Dest>`
                    
                    .. attribute:: ethertype
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: source
                    
                    	
                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AccessList.Extended.Permit.Source>`
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-03-22'

                    def __init__(self):
                        self.parent = None
                        self.dest = Native.Mac.AccessList.Extended.Permit.Dest()
                        self.dest.parent = self
                        self.ethertype = None
                        self.source = Native.Mac.AccessList.Extended.Permit.Source()
                        self.source.parent = self


                    class Source(object):
                        """
                        
                        
                        .. attribute:: any
                        
                        	any source MAC address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: host
                        
                        	A single source host
                        	**type**\:  str
                        
                        .. attribute:: mac_address
                        
                        	48\-bit source MAC address
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-03-22'

                        def __init__(self):
                            self.parent = None
                            self.any = None
                            self.host = None
                            self.mac_address = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-acl:source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any is not None:
                                return True

                            if self.host is not None:
                                return True

                            if self.mac_address is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mac.AccessList.Extended.Permit.Source']['meta_info']


                    class Dest(object):
                        """
                        
                        
                        .. attribute:: any
                        
                        	any destination MAC address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: host
                        
                        	A single destination host
                        	**type**\:  str
                        
                        .. attribute:: mac_address
                        
                        	48\-bit destination MAC address
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-03-22'

                        def __init__(self):
                            self.parent = None
                            self.any = None
                            self.host = None
                            self.mac_address = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-acl:dest'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any is not None:
                                return True

                            if self.host is not None:
                                return True

                            if self.mac_address is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mac.AccessList.Extended.Permit.Dest']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-acl:permit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dest is not None and self.dest._has_data():
                            return True

                        if self.ethertype is not None:
                            return True

                        if self.source is not None and self.source._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mac.AccessList.Extended.Permit']['meta_info']

                @property
                def _common_path(self):
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mac/Cisco-IOS-XE-acl:access-list/Cisco-IOS-XE-acl:extended[Cisco-IOS-XE-acl:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.deny is not None and self.deny._has_data():
                        return True

                    if self.permit is not None and self.permit._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mac.AccessList.Extended']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mac/Cisco-IOS-XE-acl:access-list'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.extended is not None:
                    for child_ref in self.extended:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Mac.AccessList']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mac'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.access_list is not None and self.access_list._has_data():
                return True

            if self.address_table is not None and self.address_table._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Mac']['meta_info']


    class Tacacs(object):
        """
        TACACS server configuration command
        
        .. attribute:: server
        
        	Server configuration
        	**type**\: list of    :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Tacacs.Server>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.server = YList()
            self.server.parent = self
            self.server.name = 'server'


        class Server(object):
            """
            Server configuration
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: address
            
            	Specify ip address for tacacs server
            	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Tacacs.Server.Address>`
            
            .. attribute:: key
            
            	per\-server encryption key (overrides default)
            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Tacacs.Server.Key>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.address = Native.Tacacs.Server.Address()
                self.address.parent = self
                self.key = Native.Tacacs.Server.Key()
                self.key.parent = self


            class Address(object):
                """
                Specify ip address for tacacs server
                
                .. attribute:: ipv4
                
                	Configure ipv4 address for tacacs server
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipv4 = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-aaa:address'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipv4 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Tacacs.Server.Address']['meta_info']


            class Key(object):
                """
                per\-server encryption key (overrides default)
                
                .. attribute:: encryption
                
                	
                	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Tacacs.Server.Key.EncryptionEnum>`
                
                .. attribute:: key
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.encryption = None
                    self.key = None

                class EncryptionEnum(Enum):
                    """
                    EncryptionEnum

                    .. data:: Y_0 = 0

                    .. data:: Y_7 = 1

                    """

                    Y_0 = 0

                    Y_7 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Tacacs.Server.Key.EncryptionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-aaa:key'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.encryption is not None:
                        return True

                    if self.key is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Tacacs.Server.Key']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:tacacs/Cisco-IOS-XE-aaa:server[Cisco-IOS-XE-aaa:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.address is not None and self.address._has_data():
                    return True

                if self.key is not None and self.key._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Tacacs.Server']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:tacacs'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.server is not None:
                for child_ref in self.server:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Tacacs']['meta_info']


    class TacacsServer(object):
        """
        Modify TACACS query parameters
        
        .. attribute:: directed_request
        
        	Allow user to specify tacacs server to use with `@server'
        	**type**\:   :py:class:`DirectedRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TacacsServer.DirectedRequest>`
        
        	**presence node**\: True
        
        .. attribute:: host
        
        	Specify a TACACS server
        	**type**\: list of    :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TacacsServer.Host>`
        
        .. attribute:: key
        
        	Set TACACS+ encryption key
        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TacacsServer.Key>`
        
        .. attribute:: timeout
        
        	Time to wait for a TACACS server to reply
        	**type**\:  int
        
        	**range:** 1..1000
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.directed_request = None
            self.host = YList()
            self.host.parent = self
            self.host.name = 'host'
            self.key = Native.TacacsServer.Key()
            self.key.parent = self
            self.timeout = None


        class Host(object):
            """
            Specify a TACACS server
            
            .. attribute:: name  <key>
            
            	
            	**type**\: one of the below types:
            
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            
            ----
            	**type**\:  str
            
            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
            
            
            ----
            
            ----
            	**type**\:  str
            
            	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
            
            
            ----
            .. attribute:: encryption_key
            
            	
            	**type**\:  str
            
            .. attribute:: key
            
            	Set TACACS+ encryption key
            	**type**\: one of the below types:
            
            	**type**\:   :py:class:`KeyEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TacacsServer.Host.KeyEnum>`
            
            
            ----
            	**type**\:  str
            
            
            ----
            .. attribute:: port
            
            	TCP port for TACACS+ server (default is 49)
            	**type**\:  int
            
            	**range:** 1..65535
            
            .. attribute:: timeout
            
            	Time to wait for this TACACS server to reply (overrides default)
            	**type**\:  int
            
            	**range:** 1..1000
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.encryption_key = None
                self.key = None
                self.port = None
                self.timeout = None

            class KeyEnum(Enum):
                """
                KeyEnum

                Set TACACS+ encryption key.

                .. data:: Y_0 = 0

                .. data:: Y_7 = 1

                """

                Y_0 = 0

                Y_7 = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.TacacsServer.Host.KeyEnum']


            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:tacacs-server/Cisco-IOS-XE-aaa:host[Cisco-IOS-XE-aaa:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.encryption_key is not None:
                    return True

                if self.key is not None:
                    return True

                if self.port is not None:
                    return True

                if self.timeout is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.TacacsServer.Host']['meta_info']


        class DirectedRequest(object):
            """
            Allow user to specify tacacs server to use with `@server'
            
            .. attribute:: no_truncate
            
            	Do not truncate the @hostname from username
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: restricted
            
            	restrict queries to directed request servers only
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-aaa'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.no_truncate = None
                self.restricted = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:tacacs-server/Cisco-IOS-XE-aaa:directed-request'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.no_truncate is not None:
                    return True

                if self.restricted is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.TacacsServer.DirectedRequest']['meta_info']


        class Key(object):
            """
            Set TACACS+ encryption key.
            
            .. attribute:: encryption
            
            	
            	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TacacsServer.Key.EncryptionEnum>`
            
            .. attribute:: key
            
            	
            	**type**\:  str
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.encryption = None
                self.key = None

            class EncryptionEnum(Enum):
                """
                EncryptionEnum

                .. data:: Y_0 = 0

                .. data:: Y_7 = 1

                """

                Y_0 = 0

                Y_7 = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.TacacsServer.Key.EncryptionEnum']


            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:tacacs-server/Cisco-IOS-XE-aaa:key'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.encryption is not None:
                    return True

                if self.key is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.TacacsServer.Key']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:tacacs-server'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.directed_request is not None and self.directed_request._has_data():
                return True

            if self.host is not None:
                for child_ref in self.host:
                    if child_ref._has_data():
                        return True

            if self.key is not None and self.key._has_data():
                return True

            if self.timeout is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.TacacsServer']['meta_info']


    class Upgrade(object):
        """
        Global upgrade configuration subcommands
        
        .. attribute:: fpd
        
        	Configure field programmable devices upgrade options
        	**type**\:   :py:class:`Fpd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Upgrade.Fpd>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.fpd = Native.Upgrade.Fpd()
            self.fpd.parent = self


        class Fpd(object):
            """
            Configure field programmable devices upgrade options
            
            .. attribute:: auto
            
            	Auto upgrade all FPD images
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: path
            
            	Set path to locate the FPD image package file for auto upgrade
            	**type**\:  str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.auto = None
                self.path = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:upgrade/Cisco-IOS-XE-native:fpd'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.auto is not None:
                    return True

                if self.path is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Upgrade.Fpd']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:upgrade'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.fpd is not None and self.fpd._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Upgrade']['meta_info']


    class Vtp(object):
        """
        Configure global VTP state
        
        .. attribute:: domain
        
        	Set the name of the VTP administrative domain
        	**type**\:  str
        
        .. attribute:: file
        
        	Configure IFS filesystem file where VTP configuration is stored
        	**type**\:  str
        
        .. attribute:: interface
        
        	Configure Interface as the preferred source for the VTP IP updater address
        	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vtp.Interface>`
        
        .. attribute:: mode
        
        	Configure VTP device mode
        	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vtp.Mode>`
        
        .. attribute:: password
        
        	Set the password for the VTP administrative domain
        	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vtp.Password>`
        
        .. attribute:: pruning
        
        	Set the adminstrative domain to permit pruning
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: version
        
        	Set the adminstrative domain to VTP version
        	**type**\:  int
        
        	**range:** 1..3
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.domain = None
            self.file = None
            self.interface = Native.Vtp.Interface()
            self.interface.parent = self
            self.mode = Native.Vtp.Mode()
            self.mode.parent = self
            self.password = Native.Vtp.Password()
            self.password.parent = self
            self.pruning = None
            self.version = None


        class Interface(object):
            """
            Configure Interface as the preferred source for the VTP IP updater address
            
            .. attribute:: interface_name
            
            	The name of the interface providing the VTP updater ID for this device
            	**type**\:  str
            
            .. attribute:: only
            
            	Use only this interface's IP address as the VTP IP updater address
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-vtp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.interface_name = None
                self.only = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:vtp/Cisco-IOS-XE-vtp:interface'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.interface_name is not None:
                    return True

                if self.only is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Vtp.Interface']['meta_info']


        class Password(object):
            """
            Set the password for the VTP administrative domain
            
            .. attribute:: hidden
            
            	Set the VTP password hidden option
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: password
            
            	The ascii password for the VTP administrative domain
            	**type**\:  str
            
            .. attribute:: secret
            
            	Specify the vtp password in encrypted form
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-vtp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.hidden = None
                self.password = None
                self.secret = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:vtp/Cisco-IOS-XE-vtp:password'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.hidden is not None:
                    return True

                if self.password is not None:
                    return True

                if self.secret is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Vtp.Password']['meta_info']


        class Mode(object):
            """
            Configure VTP device mode
            
            .. attribute:: client
            
            	Set the device to client mode
            	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vtp.Mode.Client>`
            
            	**presence node**\: True
            
            .. attribute:: off
            
            	Set the device to off mode
            	**type**\:   :py:class:`Off <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vtp.Mode.Off>`
            
            	**presence node**\: True
            
            .. attribute:: server
            
            	Set the device to server mode
            	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vtp.Mode.Server>`
            
            	**presence node**\: True
            
            .. attribute:: transparent
            
            	Set the device to transparent mode
            	**type**\:   :py:class:`Transparent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vtp.Mode.Transparent>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios-vtp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.client = None
                self.off = None
                self.server = None
                self.transparent = None


            class Client(object):
                """
                Set the device to client mode
                
                .. attribute:: mst
                
                	Set the mode for MST VTP instance
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: unknown
                
                	Set the mode for unknown VTP instances
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vlan
                
                	Set the mode for VLAN VTP instance
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-vtp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.mst = None
                    self.unknown = None
                    self.vlan = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:vtp/Cisco-IOS-XE-vtp:mode/Cisco-IOS-XE-vtp:client'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.mst is not None:
                        return True

                    if self.unknown is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Vtp.Mode.Client']['meta_info']


            class Off(object):
                """
                Set the device to off mode
                
                .. attribute:: mst
                
                	Set the mode for MST VTP instance
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: unknown
                
                	Set the mode for unknown VTP instances
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vlan
                
                	Set the mode for VLAN VTP instance
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-vtp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.mst = None
                    self.unknown = None
                    self.vlan = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:vtp/Cisco-IOS-XE-vtp:mode/Cisco-IOS-XE-vtp:off'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.mst is not None:
                        return True

                    if self.unknown is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Vtp.Mode.Off']['meta_info']


            class Server(object):
                """
                Set the device to server mode
                
                .. attribute:: mst
                
                	Set the mode for MST VTP instance
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: unknown
                
                	Set the mode for unknown VTP instances
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vlan
                
                	Set the mode for VLAN VTP instance
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-vtp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.mst = None
                    self.unknown = None
                    self.vlan = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:vtp/Cisco-IOS-XE-vtp:mode/Cisco-IOS-XE-vtp:server'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.mst is not None:
                        return True

                    if self.unknown is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Vtp.Mode.Server']['meta_info']


            class Transparent(object):
                """
                Set the device to transparent mode
                
                .. attribute:: mst
                
                	Set the mode for MST VTP instance
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: unknown
                
                	Set the mode for unknown VTP instances
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vlan
                
                	Set the mode for VLAN VTP instance
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-vtp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.mst = None
                    self.unknown = None
                    self.vlan = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:vtp/Cisco-IOS-XE-vtp:mode/Cisco-IOS-XE-vtp:transparent'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.mst is not None:
                        return True

                    if self.unknown is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Vtp.Mode.Transparent']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:vtp/Cisco-IOS-XE-vtp:mode'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.client is not None and self.client._has_data():
                    return True

                if self.off is not None and self.off._has_data():
                    return True

                if self.server is not None and self.server._has_data():
                    return True

                if self.transparent is not None and self.transparent._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Vtp.Mode']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:vtp'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.domain is not None:
                return True

            if self.file is not None:
                return True

            if self.interface is not None and self.interface._has_data():
                return True

            if self.mode is not None and self.mode._has_data():
                return True

            if self.password is not None and self.password._has_data():
                return True

            if self.pruning is not None:
                return True

            if self.version is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Vtp']['meta_info']


    class Xconnect(object):
        """
        
        
        .. attribute:: logging
        
        	
        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Xconnect.Logging>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.logging = Native.Xconnect.Logging()
            self.logging.parent = self


        class Logging(object):
            """
            
            
            .. attribute:: pseudowire
            
            	
            	**type**\:   :py:class:`Pseudowire <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Xconnect.Logging.Pseudowire>`
            
            .. attribute:: redundancy
            
            	
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.pseudowire = Native.Xconnect.Logging.Pseudowire()
                self.pseudowire.parent = self
                self.redundancy = None


            class Pseudowire(object):
                """
                
                
                .. attribute:: status
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.status = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:xconnect/Cisco-IOS-XE-l2vpn:logging/Cisco-IOS-XE-l2vpn:pseudowire'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.status is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Xconnect.Logging.Pseudowire']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:xconnect/Cisco-IOS-XE-l2vpn:logging'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.pseudowire is not None and self.pseudowire._has_data():
                    return True

                if self.redundancy is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Xconnect.Logging']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:xconnect'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.logging is not None and self.logging._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Xconnect']['meta_info']


    class Fabric(object):
        """
        Catalyst 6000 crossbar fabric configuration commands
        
        .. attribute:: switching_mode
        
        	Switching mode settings
        	**type**\:   :py:class:`SwitchingMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fabric.SwitchingMode>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.switching_mode = Native.Fabric.SwitchingMode()
            self.switching_mode.parent = self


        class SwitchingMode(object):
            """
            Switching mode settings
            
            .. attribute:: allow
            
            	Allow settings
            	**type**\:   :py:class:`Allow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fabric.SwitchingMode.Allow>`
            
            .. attribute:: force
            
            	Force modules to different switching modes
            	**type**\:   :py:class:`Force <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fabric.SwitchingMode.Force>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.allow = Native.Fabric.SwitchingMode.Allow()
                self.allow.parent = self
                self.force = Native.Fabric.SwitchingMode.Force()
                self.force.parent = self


            class Allow(object):
                """
                Allow settings
                
                .. attribute:: bus_mode
                
                	Allow switching in bus mode for modules
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: truncated
                
                	Truncated switching mode
                	**type**\:   :py:class:`Truncated <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fabric.SwitchingMode.Allow.Truncated>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bus_mode = None
                    self.truncated = None


                class Truncated(object):
                    """
                    Truncated switching mode
                    
                    .. attribute:: threshold
                    
                    	Number of SFM\-capable modules for truncated switching mode. Switch applies the threshold only when the mode is disallowed. Switch ignores the threshold when the truncated mode is allowed
                    	**type**\:  int
                    
                    	**range:** 1..9
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.threshold = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:fabric/Cisco-IOS-XE-native:switching-mode/Cisco-IOS-XE-native:allow/Cisco-IOS-XE-native:truncated'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Fabric.SwitchingMode.Allow.Truncated']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:fabric/Cisco-IOS-XE-native:switching-mode/Cisco-IOS-XE-native:allow'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bus_mode is not None:
                        return True

                    if self.truncated is not None and self.truncated._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Fabric.SwitchingMode.Allow']['meta_info']


            class Force(object):
                """
                Force modules to different switching modes
                
                .. attribute:: bus_mode
                
                	Switching mode of service modules will be forced to bus\-mode by powercycling it
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bus_mode = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:fabric/Cisco-IOS-XE-native:switching-mode/Cisco-IOS-XE-native:force'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bus_mode is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Fabric.SwitchingMode.Force']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:fabric/Cisco-IOS-XE-native:switching-mode'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.allow is not None and self.allow._has_data():
                    return True

                if self.force is not None and self.force._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Fabric.SwitchingMode']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:fabric'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.switching_mode is not None and self.switching_mode._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Fabric']['meta_info']


    class PortChannel(object):
        """
        EtherChannel configuration
        
        .. attribute:: auto
        
        	LACP auto for the system
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: load_balance
        
        	Load Balancing method
        	**type**\:   :py:class:`LoadBalance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PortChannel.LoadBalance>`
        
        .. attribute:: load_balancing
        
        	Load Balance method
        	**type**\:   :py:class:`LoadBalancing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PortChannel.LoadBalancing>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.auto = None
            self.load_balance = Native.PortChannel.LoadBalance()
            self.load_balance.parent = self
            self.load_balancing = Native.PortChannel.LoadBalancing()
            self.load_balancing.parent = self


        class LoadBalance(object):
            """
            Load Balancing method
            
            .. attribute:: extended
            
            	Extended Load Balance Methods
            	**type**\:   :py:class:`Extended <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PortChannel.LoadBalance.Extended>`
            
            	**presence node**\: True
            
            .. attribute:: load_balance
            
            	
            	**type**\:   :py:class:`LoadBalanceEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PortChannel.LoadBalance.LoadBalanceEnum>`
            
            

            """

            _prefix = 'ios-eth'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.extended = None
                self.load_balance = None

            class LoadBalanceEnum(Enum):
                """
                LoadBalanceEnum

                .. data:: dst_ip = 0

                .. data:: dst_mac = 1

                .. data:: dst_mixed_ip_port = 2

                .. data:: dst_port = 3

                .. data:: mpls = 4

                .. data:: src_dst_ip = 5

                .. data:: src_dst_mac = 6

                .. data:: src_dst_mixed_ip_port = 7

                .. data:: src_dst_port = 8

                .. data:: src_ip = 9

                .. data:: src_mac = 10

                .. data:: src_mixed_ip_port = 11

                .. data:: src_port = 12

                """

                dst_ip = 0

                dst_mac = 1

                dst_mixed_ip_port = 2

                dst_port = 3

                mpls = 4

                src_dst_ip = 5

                src_dst_mac = 6

                src_dst_mixed_ip_port = 7

                src_dst_port = 8

                src_ip = 9

                src_mac = 10

                src_mixed_ip_port = 11

                src_port = 12


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PortChannel.LoadBalance.LoadBalanceEnum']



            class Extended(object):
                """
                Extended Load Balance Methods
                
                .. attribute:: extended
                
                	
                	**type**\:  list of   :py:class:`ExtendedEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PortChannel.LoadBalance.Extended.ExtendedEnum>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.extended = YLeafList()
                    self.extended.parent = self
                    self.extended.name = 'extended'

                class ExtendedEnum(Enum):
                    """
                    ExtendedEnum

                    .. data:: dst_ip = 0

                    .. data:: dst_mac = 1

                    .. data:: dst_port = 2

                    .. data:: ipv6_label = 3

                    .. data:: l3_proto = 4

                    .. data:: src_ip = 5

                    .. data:: src_mac = 6

                    .. data:: src_port = 7

                    """

                    dst_ip = 0

                    dst_mac = 1

                    dst_port = 2

                    ipv6_label = 3

                    l3_proto = 4

                    src_ip = 5

                    src_mac = 6

                    src_port = 7


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.PortChannel.LoadBalance.Extended.ExtendedEnum']


                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:port-channel/Cisco-IOS-XE-ethernet:load-balance/Cisco-IOS-XE-ethernet:extended'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.extended is not None:
                        for child in self.extended:
                            if child is not None:
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PortChannel.LoadBalance.Extended']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:port-channel/Cisco-IOS-XE-ethernet:load-balance'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.extended is not None and self.extended._has_data():
                    return True

                if self.load_balance is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.PortChannel.LoadBalance']['meta_info']


        class LoadBalancing(object):
            """
            Load Balance method
            
            .. attribute:: vlan_manual
            
            	Manual Traffic Distribution based on VLAN id
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-eth'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.vlan_manual = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:port-channel/Cisco-IOS-XE-ethernet:load-balancing'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.vlan_manual is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.PortChannel.LoadBalancing']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:port-channel'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.auto is not None:
                return True

            if self.load_balance is not None and self.load_balance._has_data():
                return True

            if self.load_balancing is not None and self.load_balancing._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.PortChannel']['meta_info']


    class Key(object):
        """
        Key management
        
        .. attribute:: chain
        
        	Key\-chain management
        	**type**\: list of    :py:class:`Chain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Key.Chain>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.chain = YList()
            self.chain.parent = self
            self.chain.name = 'chain'


        class Chain(object):
            """
            Key\-chain management
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: key
            
            	Configure a key
            	**type**\: list of    :py:class:`Key_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Key.Chain.Key_>`
            
            .. attribute:: macsec
            
            	
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.key = YList()
                self.key.parent = self
                self.key.name = 'key'
                self.macsec = None


            class Key_(object):
                """
                Configure a key
                
                .. attribute:: id  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: cryptographic_algorithm
                
                	Set cryptographic authentication algorithm
                	**type**\:   :py:class:`CryptographicAlgorithmEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Key.Chain.Key_.CryptographicAlgorithmEnum>`
                
                .. attribute:: key_string
                
                	Set key string
                	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Key.Chain.Key_.KeyString>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.cryptographic_algorithm = None
                    self.key_string = Native.Key.Chain.Key_.KeyString()
                    self.key_string.parent = self

                class CryptographicAlgorithmEnum(Enum):
                    """
                    CryptographicAlgorithmEnum

                    Set cryptographic authentication algorithm

                    .. data:: aes_128_cmac = 0

                    .. data:: aes_256_cmac = 1

                    .. data:: hmac_sha_1 = 2

                    .. data:: hmac_sha_256 = 3

                    .. data:: hmac_sha_384 = 4

                    .. data:: hmac_sha_512 = 5

                    .. data:: md5 = 6

                    """

                    aes_128_cmac = 0

                    aes_256_cmac = 1

                    hmac_sha_1 = 2

                    hmac_sha_256 = 3

                    hmac_sha_384 = 4

                    hmac_sha_512 = 5

                    md5 = 6


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Key.Chain.Key_.CryptographicAlgorithmEnum']



                class KeyString(object):
                    """
                    Set key string
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Key.Chain.Key_.KeyString.EncryptionEnum>`
                    
                    .. attribute:: key
                    
                    	
                    	**type**\:  str
                    
                    	**length:** 0..80
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.encryption = None
                        self.key = None

                    class EncryptionEnum(Enum):
                        """
                        EncryptionEnum

                        .. data:: Y_0 = 0

                        .. data:: Y_6 = 1

                        .. data:: Y_7 = 2

                        """

                        Y_0 = 0

                        Y_6 = 1

                        Y_7 = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Key.Chain.Key_.KeyString.EncryptionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:key-string'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.encryption is not None:
                            return True

                        if self.key is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Key.Chain.Key_.KeyString']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:key[Cisco-IOS-XE-crypto:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.cryptographic_algorithm is not None:
                        return True

                    if self.key_string is not None and self.key_string._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Key.Chain.Key_']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:key/Cisco-IOS-XE-crypto:chain[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.key is not None:
                    for child_ref in self.key:
                        if child_ref._has_data():
                            return True

                if self.macsec is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Key.Chain']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:key'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.chain is not None:
                for child_ref in self.chain:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Key']['meta_info']


    class L2(object):
        """
        Layer 2 configuration
        
        .. attribute:: router_id
        
        	Configure a layer 2 identifier
        	**type**\:  str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        .. attribute:: vfi
        
        	Configure a virtual forwarding instance
        	**type**\: list of    :py:class:`Vfi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2.Vfi>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.router_id = None
            self.vfi = YList()
            self.vfi.parent = self
            self.vfi.name = 'vfi'


        class Vfi(object):
            """
            Configure a virtual forwarding instance
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: bridge_domain
            
            	bridge\-domain
            	**type**\:  int
            
            	**range:** 1..16384
            
            .. attribute:: evc
            
            	
            	**type**\:  str
            
            .. attribute:: mode
            
            	
            	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2.Vfi.ModeEnum>`
            
            .. attribute:: neighbor
            
            	VFI neighbor configuration
            	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2.Vfi.Neighbor>`
            
            .. attribute:: vpn
            
            	VPN configuration
            	**type**\:   :py:class:`Vpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2.Vfi.Vpn>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.bridge_domain = None
                self.evc = None
                self.mode = None
                self.neighbor = YList()
                self.neighbor.parent = self
                self.neighbor.name = 'neighbor'
                self.vpn = Native.L2.Vfi.Vpn()
                self.vpn.parent = self

            class ModeEnum(Enum):
                """
                ModeEnum

                .. data:: autodiscovery = 0

                .. data:: manual = 1

                .. data:: point_to_point = 2

                """

                autodiscovery = 0

                manual = 1

                point_to_point = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.L2.Vfi.ModeEnum']



            class Vpn(object):
                """
                VPN configuration
                
                .. attribute:: id
                
                	VPN id
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:vpn'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.L2.Vfi.Vpn']['meta_info']


            class Neighbor(object):
                """
                VFI neighbor configuration
                
                .. attribute:: router_id  <key>
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: encapsulation
                
                	Connection encapsulation type
                	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2.Vfi.Neighbor.EncapsulationEnum>`
                
                .. attribute:: pw_class
                
                	Pseudowire\-class configuration
                	**type**\:  str
                
                .. attribute:: vc_id
                
                	
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.router_id = None
                    self.encapsulation = None
                    self.pw_class = None
                    self.vc_id = None

                class EncapsulationEnum(Enum):
                    """
                    EncapsulationEnum

                    Connection encapsulation type

                    .. data:: l2tpv3 = 0

                    .. data:: mpls = 1

                    """

                    l2tpv3 = 0

                    mpls = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.L2.Vfi.Neighbor.EncapsulationEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.router_id is None:
                        raise YPYModelError('Key property router_id is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:neighbor[Cisco-IOS-XE-l2vpn:router-id = ' + str(self.router_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.router_id is not None:
                        return True

                    if self.encapsulation is not None:
                        return True

                    if self.pw_class is not None:
                        return True

                    if self.vc_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.L2.Vfi.Neighbor']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l2/Cisco-IOS-XE-l2vpn:vfi[Cisco-IOS-XE-l2vpn:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.bridge_domain is not None:
                    return True

                if self.evc is not None:
                    return True

                if self.mode is not None:
                    return True

                if self.neighbor is not None:
                    for child_ref in self.neighbor:
                        if child_ref._has_data():
                            return True

                if self.vpn is not None and self.vpn._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.L2.Vfi']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l2'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.router_id is not None:
                return True

            if self.vfi is not None:
                for child_ref in self.vfi:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.L2']['meta_info']


    class System(object):
        """
        Set the system configuration
        
        .. attribute:: debug
        
        	Debug Shell
        	**type**\:   :py:class:`Debug <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Debug>`
        
        .. attribute:: disable
        
        	Disable password recovery
        	**type**\:   :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Disable>`
        
        .. attribute:: environment
        
        	Set the system environment settings
        	**type**\:   :py:class:`Environment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Environment>`
        
        .. attribute:: fnf
        
        	Flexible Netflow
        	**type**\:   :py:class:`Fnf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Fnf>`
        
        .. attribute:: ignore
        
        	Ignore Startup Config
        	**type**\:   :py:class:`Ignore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Ignore>`
        
        .. attribute:: mode_button
        
        	Enable Mode button for reset
        	**type**\:   :py:class:`ModeButton <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.ModeButton>`
        
        .. attribute:: mtu
        
        	Set the system Maximum Transmission Unit (MTU)
        	**type**\:   :py:class:`Mtu <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Mtu>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.debug = Native.System.Debug()
            self.debug.parent = self
            self.disable = Native.System.Disable()
            self.disable.parent = self
            self.environment = Native.System.Environment()
            self.environment.parent = self
            self.fnf = Native.System.Fnf()
            self.fnf.parent = self
            self.ignore = Native.System.Ignore()
            self.ignore.parent = self
            self.mode_button = Native.System.ModeButton()
            self.mode_button.parent = self
            self.mtu = Native.System.Mtu()
            self.mtu.parent = self


        class Debug(object):
            """
            Debug Shell
            
            .. attribute:: shell
            
            	Debug Shell
            	**type**\:   :py:class:`Shell <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Debug.Shell>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.shell = Native.System.Debug.Shell()
                self.shell.parent = self


            class Shell(object):
                """
                Debug Shell
                
                .. attribute:: switch
                
                	Set config on switches in stack
                	**type**\:   :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Debug.Shell.Switch>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switch = Native.System.Debug.Shell.Switch()
                    self.switch.parent = self


                class Switch(object):
                    """
                    Set config on switches in stack
                    
                    .. attribute:: all
                    
                    	Set config for all switches in stack
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: switch_number
                    
                    	Switch number
                    	**type**\:  int
                    
                    	**range:** 1..9
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.all = None
                        self.switch_number = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:debug/Cisco-IOS-XE-switch:shell/Cisco-IOS-XE-switch:switch'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.all is not None:
                            return True

                        if self.switch_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.System.Debug.Shell.Switch']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:debug/Cisco-IOS-XE-switch:shell'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switch is not None and self.switch._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.System.Debug.Shell']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:debug'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.shell is not None and self.shell._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.System.Debug']['meta_info']


        class Disable(object):
            """
            Disable password recovery
            
            .. attribute:: password
            
            	Disable password recovery
            	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Disable.Password>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.password = Native.System.Disable.Password()
                self.password.parent = self


            class Password(object):
                """
                Disable password recovery
                
                .. attribute:: recovery
                
                	Disable password recovery
                	**type**\:   :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Disable.Password.Recovery>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.recovery = Native.System.Disable.Password.Recovery()
                    self.recovery.parent = self


                class Recovery(object):
                    """
                    Disable password recovery
                    
                    .. attribute:: switch
                    
                    	Set config on switches in stack
                    	**type**\:   :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Disable.Password.Recovery.Switch>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.switch = Native.System.Disable.Password.Recovery.Switch()
                        self.switch.parent = self


                    class Switch(object):
                        """
                        Set config on switches in stack
                        
                        .. attribute:: all
                        
                        	Set config for all switches in stack
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: number
                        
                        	Switch number
                        	**type**\:  int
                        
                        	**range:** 1..9
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.number = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:disable/Cisco-IOS-XE-switch:password/Cisco-IOS-XE-switch:recovery/Cisco-IOS-XE-switch:switch'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.number is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.System.Disable.Password.Recovery.Switch']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:disable/Cisco-IOS-XE-switch:password/Cisco-IOS-XE-switch:recovery'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.switch is not None and self.switch._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.System.Disable.Password.Recovery']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:disable/Cisco-IOS-XE-switch:password'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.recovery is not None and self.recovery._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.System.Disable.Password']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:disable'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.password is not None and self.password._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.System.Disable']['meta_info']


        class Environment(object):
            """
            Set the system environment settings
            
            .. attribute:: fan_fail_action
            
            	Set the FRU/PS fan fail action. 
            	**type**\:   :py:class:`FanFailAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Environment.FanFailAction>`
            
            .. attribute:: temperature
            
            	Set the system temperature settings
            	**type**\:   :py:class:`Temperature <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Environment.Temperature>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.fan_fail_action = Native.System.Environment.FanFailAction()
                self.fan_fail_action.parent = self
                self.temperature = Native.System.Environment.Temperature()
                self.temperature.parent = self


            class FanFailAction(object):
                """
                Set the FRU/PS fan fail action. 
                
                .. attribute:: shut
                
                	Shutdown the system when multiple fan fails
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.shut = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:environment/Cisco-IOS-XE-switch:fan-fail-action'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.shut is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.System.Environment.FanFailAction']['meta_info']


            class Temperature(object):
                """
                Set the system temperature settings
                
                .. attribute:: threshold
                
                	Set the system temperature thresholds
                	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Environment.Temperature.Threshold>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.threshold = Native.System.Environment.Temperature.Threshold()
                    self.threshold.parent = self


                class Threshold(object):
                    """
                    Set the system temperature thresholds
                    
                    .. attribute:: yellow
                    
                    	Set the yellow thresholds. 
                    	**type**\:   :py:class:`Yellow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Environment.Temperature.Threshold.Yellow>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.yellow = Native.System.Environment.Temperature.Threshold.Yellow()
                        self.yellow.parent = self


                    class Yellow(object):
                        """
                        Set the yellow thresholds. 
                        
                        .. attribute:: delta_value
                        
                        	Delta value from Red threshold in Degree Celcius
                        	**type**\:  int
                        
                        	**range:** 5..25
                        
                        .. attribute:: detail
                        
                        	print yellow temperature threshold
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.delta_value = None
                            self.detail = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:environment/Cisco-IOS-XE-switch:temperature/Cisco-IOS-XE-switch:threshold/Cisco-IOS-XE-switch:yellow'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.delta_value is not None:
                                return True

                            if self.detail is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.System.Environment.Temperature.Threshold.Yellow']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:environment/Cisco-IOS-XE-switch:temperature/Cisco-IOS-XE-switch:threshold'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.yellow is not None and self.yellow._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.System.Environment.Temperature.Threshold']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:environment/Cisco-IOS-XE-switch:temperature'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.threshold is not None and self.threshold._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.System.Environment.Temperature']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:environment'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.fan_fail_action is not None and self.fan_fail_action._has_data():
                    return True

                if self.temperature is not None and self.temperature._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.System.Environment']['meta_info']


        class Fnf(object):
            """
            Flexible Netflow
            
            .. attribute:: bytes_count
            
            	Bytes Count
            	**type**\:   :py:class:`BytesCount <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Fnf.BytesCount>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.bytes_count = Native.System.Fnf.BytesCount()
                self.bytes_count.parent = self


            class BytesCount(object):
                """
                Bytes Count
                
                .. attribute:: layer2
                
                	Show L2 bytes in byte count collect field
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.layer2 = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:fnf/Cisco-IOS-XE-switch:bytes-count'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.layer2 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.System.Fnf.BytesCount']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:fnf'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.bytes_count is not None and self.bytes_count._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.System.Fnf']['meta_info']


        class Ignore(object):
            """
            Ignore Startup Config
            
            .. attribute:: startupconfig
            
            	Ignore Startup Config
            	**type**\:   :py:class:`Startupconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Ignore.Startupconfig>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.startupconfig = Native.System.Ignore.Startupconfig()
                self.startupconfig.parent = self


            class Startupconfig(object):
                """
                Ignore Startup Config
                
                .. attribute:: switch
                
                	Set config on switches in stack
                	**type**\:   :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Ignore.Startupconfig.Switch>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switch = Native.System.Ignore.Startupconfig.Switch()
                    self.switch.parent = self


                class Switch(object):
                    """
                    Set config on switches in stack
                    
                    .. attribute:: all
                    
                    	Set config for all switches in stack
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: number
                    
                    	Switch number
                    	**type**\:  int
                    
                    	**range:** 1..9
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.all = None
                        self.number = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:ignore/Cisco-IOS-XE-switch:startupconfig/Cisco-IOS-XE-switch:switch'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.all is not None:
                            return True

                        if self.number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.System.Ignore.Startupconfig.Switch']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:ignore/Cisco-IOS-XE-switch:startupconfig'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switch is not None and self.switch._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.System.Ignore.Startupconfig']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:ignore'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.startupconfig is not None and self.startupconfig._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.System.Ignore']['meta_info']


        class ModeButton(object):
            """
            Enable Mode button for reset
            
            .. attribute:: reset
            
            	Enable reset
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.reset = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:mode-button'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.reset is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.System.ModeButton']['meta_info']


        class Mtu(object):
            """
            Set the system Maximum Transmission Unit (MTU)
            
            .. attribute:: jumbo
            
            	Set Jumbo MTU value for GigabitEthernet or TenGigabitEthernet interfaces
            	**type**\:  int
            
            	**range:** 1500..9000
            
            .. attribute:: routing
            
            	Set the Routing MTU for the system
            	**type**\:  int
            
            	**range:** 1500..None
            
            .. attribute:: size
            
            	
            	**type**\:  int
            
            	**range:** 1500..9198
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.jumbo = None
                self.routing = None
                self.size = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:system/Cisco-IOS-XE-switch:mtu'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.jumbo is not None:
                    return True

                if self.routing is not None:
                    return True

                if self.size is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.System.Mtu']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:system'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.debug is not None and self.debug._has_data():
                return True

            if self.disable is not None and self.disable._has_data():
                return True

            if self.environment is not None and self.environment._has_data():
                return True

            if self.fnf is not None and self.fnf._has_data():
                return True

            if self.ignore is not None and self.ignore._has_data():
                return True

            if self.mode_button is not None and self.mode_button._has_data():
                return True

            if self.mtu is not None and self.mtu._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.System']['meta_info']


    class Errdisable(object):
        """
        Error disable
        
        .. attribute:: detect
        
        	Error disable detection
        	**type**\:   :py:class:`Detect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.Detect>`
        
        .. attribute:: flap_setting
        
        	Error disable flap detection setting
        	**type**\:   :py:class:`FlapSetting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.FlapSetting>`
        
        .. attribute:: recovery
        
        	Error disable recovery
        	**type**\:   :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.Recovery>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.detect = Native.Errdisable.Detect()
            self.detect.parent = self
            self.flap_setting = Native.Errdisable.FlapSetting()
            self.flap_setting.parent = self
            self.recovery = Native.Errdisable.Recovery()
            self.recovery.parent = self


        class Detect(object):
            """
            Error disable detection
            
            .. attribute:: cause
            
            	Enable error disable detection for application
            	**type**\:   :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.Detect.Cause>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.cause = Native.Errdisable.Detect.Cause()
                self.cause.parent = self


            class Cause(object):
                """
                Enable error disable detection for application
                
                .. attribute:: all
                
                	Enable error detection on all cases
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: arp_inspection
                
                	Enable error detection for arp inspection
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: bpduguard
                
                	Enable error detection on bpdu\-guard
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dhcp_rate_limit
                
                	Enable error detection on dhcp\-rate\-limit
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dtp_flap
                
                	Enable error detection on dtp\-flapping
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: gbic_invalid
                
                	Enable error detection on gbic\-invalid
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: inline_power
                
                	Enable error detection for inline\-power
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: l2ptguard
                
                	Enable timer to recover from l2protocol\-tunnel error disable state
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link_flap
                
                	Enable error detection on linkstate\-flapping
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: loopback
                
                	Enable error detection on loopback
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mlacp_minlink
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pagp_flap
                
                	Enable error detection on pagp\-flapping
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pppoe_ia_rate_limit
                
                	Enable error detection on PPPoE IA rate\-limit
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: security_violation
                
                	Enable error detection on 802.1x\-guard
                	**type**\:   :py:class:`SecurityViolation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.Detect.Cause.SecurityViolation>`
                
                .. attribute:: sfp_config_mismatch
                
                	Enable error detection on SFP config mismatch
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: small_frame
                
                	Enable error detection on small\_frame
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.all = None
                    self.arp_inspection = None
                    self.bpduguard = None
                    self.dhcp_rate_limit = None
                    self.dtp_flap = None
                    self.gbic_invalid = None
                    self.inline_power = None
                    self.l2ptguard = None
                    self.link_flap = None
                    self.loopback = None
                    self.mlacp_minlink = None
                    self.pagp_flap = None
                    self.pppoe_ia_rate_limit = None
                    self.security_violation = Native.Errdisable.Detect.Cause.SecurityViolation()
                    self.security_violation.parent = self
                    self.sfp_config_mismatch = None
                    self.small_frame = None


                class SecurityViolation(object):
                    """
                    Enable error detection on 802.1x\-guard
                    
                    .. attribute:: shutdown
                    
                    	Specify error disable shutdown mode for 802.1x\-guard
                    	**type**\:   :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.Detect.Cause.SecurityViolation.Shutdown>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.shutdown = Native.Errdisable.Detect.Cause.SecurityViolation.Shutdown()
                        self.shutdown.parent = self


                    class Shutdown(object):
                        """
                        Specify error disable shutdown mode for 802.1x\-guard
                        
                        .. attribute:: vlan
                        
                        	Shutdown vlan on 802.1x\-guard violation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vlan = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:errdisable/Cisco-IOS-XE-native:detect/Cisco-IOS-XE-native:cause/Cisco-IOS-XE-native:security-violation/Cisco-IOS-XE-native:shutdown'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Errdisable.Detect.Cause.SecurityViolation.Shutdown']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:errdisable/Cisco-IOS-XE-native:detect/Cisco-IOS-XE-native:cause/Cisco-IOS-XE-native:security-violation'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.shutdown is not None and self.shutdown._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Errdisable.Detect.Cause.SecurityViolation']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:errdisable/Cisco-IOS-XE-native:detect/Cisco-IOS-XE-native:cause'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.all is not None:
                        return True

                    if self.arp_inspection is not None:
                        return True

                    if self.bpduguard is not None:
                        return True

                    if self.dhcp_rate_limit is not None:
                        return True

                    if self.dtp_flap is not None:
                        return True

                    if self.gbic_invalid is not None:
                        return True

                    if self.inline_power is not None:
                        return True

                    if self.l2ptguard is not None:
                        return True

                    if self.link_flap is not None:
                        return True

                    if self.loopback is not None:
                        return True

                    if self.mlacp_minlink is not None:
                        return True

                    if self.pagp_flap is not None:
                        return True

                    if self.pppoe_ia_rate_limit is not None:
                        return True

                    if self.security_violation is not None and self.security_violation._has_data():
                        return True

                    if self.sfp_config_mismatch is not None:
                        return True

                    if self.small_frame is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Errdisable.Detect.Cause']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:errdisable/Cisco-IOS-XE-native:detect'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.cause is not None and self.cause._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Errdisable.Detect']['meta_info']


        class FlapSetting(object):
            """
            Error disable flap detection setting
            
            .. attribute:: cause
            
            	Set error disable flap parameters for application
            	**type**\:   :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.FlapSetting.Cause>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.cause = Native.Errdisable.FlapSetting.Cause()
                self.cause.parent = self


            class Cause(object):
                """
                Set error disable flap parameters for application
                
                .. attribute:: dtp_flap
                
                	Set the variables related to detection of dtp flaps
                	**type**\:   :py:class:`DtpFlap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.FlapSetting.Cause.DtpFlap>`
                
                .. attribute:: link_flap
                
                	Set the variables related to detection of link flaps
                	**type**\:   :py:class:`LinkFlap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.FlapSetting.Cause.LinkFlap>`
                
                .. attribute:: pagp_flap
                
                	Set the variables related to detection of pagp flaps
                	**type**\:   :py:class:`PagpFlap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.FlapSetting.Cause.PagpFlap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dtp_flap = Native.Errdisable.FlapSetting.Cause.DtpFlap()
                    self.dtp_flap.parent = self
                    self.link_flap = Native.Errdisable.FlapSetting.Cause.LinkFlap()
                    self.link_flap.parent = self
                    self.pagp_flap = Native.Errdisable.FlapSetting.Cause.PagpFlap()
                    self.pagp_flap.parent = self


                class DtpFlap(object):
                    """
                    Set the variables related to detection of dtp flaps
                    
                    .. attribute:: max_flaps
                    
                    	maximum flaps allowed before setting to errdisable
                    	**type**\:  int
                    
                    	**range:** 1..100
                    
                    .. attribute:: time
                    
                    	time period the flaps are counted
                    	**type**\:  int
                    
                    	**range:** 1..120
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.max_flaps = None
                        self.time = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:errdisable/Cisco-IOS-XE-native:flap-setting/Cisco-IOS-XE-native:cause/Cisco-IOS-XE-native:dtp-flap'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.max_flaps is not None:
                            return True

                        if self.time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Errdisable.FlapSetting.Cause.DtpFlap']['meta_info']


                class LinkFlap(object):
                    """
                    Set the variables related to detection of link flaps
                    
                    .. attribute:: max_flaps
                    
                    	maximum flaps allowed before setting to errdisable
                    	**type**\:  int
                    
                    	**range:** 1..100
                    
                    .. attribute:: time
                    
                    	time period the flaps are counted
                    	**type**\:  int
                    
                    	**range:** 1..120
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.max_flaps = None
                        self.time = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:errdisable/Cisco-IOS-XE-native:flap-setting/Cisco-IOS-XE-native:cause/Cisco-IOS-XE-native:link-flap'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.max_flaps is not None:
                            return True

                        if self.time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Errdisable.FlapSetting.Cause.LinkFlap']['meta_info']


                class PagpFlap(object):
                    """
                    Set the variables related to detection of pagp flaps
                    
                    .. attribute:: max_flaps
                    
                    	maximum flaps allowed before setting to errdisable
                    	**type**\:  int
                    
                    	**range:** 1..100
                    
                    .. attribute:: time
                    
                    	time period the flaps are counted
                    	**type**\:  int
                    
                    	**range:** 1..120
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.max_flaps = None
                        self.time = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:errdisable/Cisco-IOS-XE-native:flap-setting/Cisco-IOS-XE-native:cause/Cisco-IOS-XE-native:pagp-flap'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.max_flaps is not None:
                            return True

                        if self.time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Errdisable.FlapSetting.Cause.PagpFlap']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:errdisable/Cisco-IOS-XE-native:flap-setting/Cisco-IOS-XE-native:cause'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dtp_flap is not None and self.dtp_flap._has_data():
                        return True

                    if self.link_flap is not None and self.link_flap._has_data():
                        return True

                    if self.pagp_flap is not None and self.pagp_flap._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Errdisable.FlapSetting.Cause']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:errdisable/Cisco-IOS-XE-native:flap-setting'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.cause is not None and self.cause._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Errdisable.FlapSetting']['meta_info']


        class Recovery(object):
            """
            Error disable recovery
            
            .. attribute:: cause
            
            	Enable error disable recovery for application
            	**type**\:   :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.Recovery.Cause>`
            
            .. attribute:: interval
            
            	Error disable recovery timer value
            	**type**\:  int
            
            	**range:** 30..86400
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.cause = Native.Errdisable.Recovery.Cause()
                self.cause.parent = self
                self.interval = None


            class Cause(object):
                """
                Enable error disable recovery for application
                
                .. attribute:: all
                
                	Enable timer to recover from all error causes
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: arp_inspection
                
                	Enable timer to recover from arp inspection error disable state
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: bpduguard
                
                	Enable timer to recover from BPDU Guard error
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: channel_misconfig
                
                	(STP)  Enable timer to recover from channel misconfig error
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dhcp_rate_limit
                
                	Enable timer to recover from dhcp\-rate\-limit error
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dtp_flap
                
                	Enable timer to recover from dtp\-flap error
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: gbic_invalid
                
                	Enable timer to recover from invalid GBIC error
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: inline_power
                
                	Enable timer to recover from inline\-power error
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: l2ptguard
                
                	Enable timer to recover from l2protocol\-tunnel error disable state
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link_flap
                
                	Enable timer to recover from link\-flap error
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link_monitor_failure
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: loopback
                
                	Enable timer to recover from loopback error
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mac_limit
                
                	Enable timer to recover from mac limit disable state
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mlacp_minlink
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: oam_remote_failure
                
                	
                	**type**\:   :py:class:`OamRemoteFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.Recovery.Cause.OamRemoteFailure>`
                
                	**presence node**\: True
                
                .. attribute:: pagp_flap
                
                	Enable timer to recover from pagp\-flap error
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_mode_failure
                
                	Enable timer to recover from port mode change failure
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pppoe_ia_rate_limit
                
                	Enable timer to recover from PPPoE IA rate\-limit error
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: psecure_violation
                
                	Enable timer to recover from psecure violation error
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: psp
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: security_violation
                
                	Enable timer to recover from 802.1x violation error
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: sfp_config_mismatch
                
                	Enable timer to recover from SFP config mismatch error
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: small_frame
                
                	Enable timer to recover from small frame error
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: storm_control
                
                	Enable timer to recover from storm\-control error
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: udld
                
                	Enable timer to recover from udld error
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: unicast_flood
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vmps
                
                	Enable timer to recover from vmps shutdown error
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.all = None
                    self.arp_inspection = None
                    self.bpduguard = None
                    self.channel_misconfig = None
                    self.dhcp_rate_limit = None
                    self.dtp_flap = None
                    self.gbic_invalid = None
                    self.inline_power = None
                    self.l2ptguard = None
                    self.link_flap = None
                    self.link_monitor_failure = None
                    self.loopback = None
                    self.mac_limit = None
                    self.mlacp_minlink = None
                    self.oam_remote_failure = None
                    self.pagp_flap = None
                    self.port_mode_failure = None
                    self.pppoe_ia_rate_limit = None
                    self.psecure_violation = None
                    self.psp = None
                    self.security_violation = None
                    self.sfp_config_mismatch = None
                    self.small_frame = None
                    self.storm_control = None
                    self.udld = None
                    self.unicast_flood = None
                    self.vmps = None


                class OamRemoteFailure(object):
                    """
                    
                    
                    .. attribute:: critical_event
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dying_gasp
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_fault
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.critical_event = None
                        self.dying_gasp = None
                        self.link_fault = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:errdisable/Cisco-IOS-XE-native:recovery/Cisco-IOS-XE-native:cause/Cisco-IOS-XE-native:oam-remote-failure'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.critical_event is not None:
                            return True

                        if self.dying_gasp is not None:
                            return True

                        if self.link_fault is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Errdisable.Recovery.Cause.OamRemoteFailure']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:errdisable/Cisco-IOS-XE-native:recovery/Cisco-IOS-XE-native:cause'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.all is not None:
                        return True

                    if self.arp_inspection is not None:
                        return True

                    if self.bpduguard is not None:
                        return True

                    if self.channel_misconfig is not None:
                        return True

                    if self.dhcp_rate_limit is not None:
                        return True

                    if self.dtp_flap is not None:
                        return True

                    if self.gbic_invalid is not None:
                        return True

                    if self.inline_power is not None:
                        return True

                    if self.l2ptguard is not None:
                        return True

                    if self.link_flap is not None:
                        return True

                    if self.link_monitor_failure is not None:
                        return True

                    if self.loopback is not None:
                        return True

                    if self.mac_limit is not None:
                        return True

                    if self.mlacp_minlink is not None:
                        return True

                    if self.oam_remote_failure is not None and self.oam_remote_failure._has_data():
                        return True

                    if self.pagp_flap is not None:
                        return True

                    if self.port_mode_failure is not None:
                        return True

                    if self.pppoe_ia_rate_limit is not None:
                        return True

                    if self.psecure_violation is not None:
                        return True

                    if self.psp is not None:
                        return True

                    if self.security_violation is not None:
                        return True

                    if self.sfp_config_mismatch is not None:
                        return True

                    if self.small_frame is not None:
                        return True

                    if self.storm_control is not None:
                        return True

                    if self.udld is not None:
                        return True

                    if self.unicast_flood is not None:
                        return True

                    if self.vmps is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Errdisable.Recovery.Cause']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:errdisable/Cisco-IOS-XE-native:recovery'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.cause is not None and self.cause._has_data():
                    return True

                if self.interval is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Errdisable.Recovery']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:errdisable'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.detect is not None and self.detect._has_data():
                return True

            if self.flap_setting is not None and self.flap_setting._has_data():
                return True

            if self.recovery is not None and self.recovery._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Errdisable']['meta_info']


    class Identity(object):
        """
        Identity Configuration Commands
        
        .. attribute:: profile
        
        	Create an Identity profile
        	**type**\:   :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Identity.Profile>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.profile = Native.Identity.Profile()
            self.profile.parent = self


        class Profile(object):
            """
            Create an Identity profile
            
            .. attribute:: default
            
            	Service type default
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: dot1x
            
            	Service type for 802.1x
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.default = None
                self.dot1x = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:identity/Cisco-IOS-XE-native:profile'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.default is not None:
                    return True

                if self.dot1x is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Identity.Profile']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:identity'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.profile is not None and self.profile._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Identity']['meta_info']


    class Monitor(object):
        """
        Monitoring different system events
        
        .. attribute:: event_trace
        
        	Tracing of system events
        	**type**\:   :py:class:`EventTrace <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.EventTrace>`
        
        .. attribute:: session
        
        	Configure a SPAN session
        	**type**\: list of    :py:class:`Session <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.event_trace = Native.Monitor.EventTrace()
            self.event_trace.parent = self
            self.session = YList()
            self.session.parent = self
            self.session.name = 'session'


        class EventTrace(object):
            """
            Tracing of system events
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:monitor/Cisco-IOS-XE-native:event-trace'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Monitor.EventTrace']['meta_info']


        class Session(object):
            """
            Configure a SPAN session
            
            .. attribute:: id  <key>
            
            	
            	**type**\:  int
            
            	**range:** 1..66
            
            .. attribute:: destination
            
            	SPAN destination interface or VLAN
            	**type**\:   :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Destination>`
            
            .. attribute:: filter
            
            	SPAN filter VLAN
            	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Filter>`
            
            .. attribute:: source
            
            	SPAN source interface, VLAN 
            	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Source>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.id = None
                self.destination = Native.Monitor.Session.Destination()
                self.destination.parent = self
                self.filter = Native.Monitor.Session.Filter()
                self.filter.parent = self
                self.source = Native.Monitor.Session.Source()
                self.source.parent = self


            class Destination(object):
                """
                SPAN destination interface or VLAN
                
                .. attribute:: interface
                
                	SPAN destination interface
                	**type**\: list of    :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Destination.Interface>`
                
                .. attribute:: remote
                
                	SPAN destination Remote
                	**type**\:   :py:class:`Remote <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Destination.Remote>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface = YList()
                    self.interface.parent = self
                    self.interface.name = 'interface'
                    self.remote = Native.Monitor.Session.Destination.Remote()
                    self.remote.parent = self


                class Interface(object):
                    """
                    SPAN destination interface
                    
                    .. attribute:: name  <key>
                    
                    	Interface Name
                    	**type**\:  str
                    
                    .. attribute:: encapsulation
                    
                    	Set encapsulation for destination interface
                    	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Destination.Interface.EncapsulationEnum>`
                    
                    .. attribute:: ingress
                    
                    	Enable ingress traffic forwarding
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ingress_encap
                    
                    	
                    	**type**\:   :py:class:`IngressEncapEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Destination.Interface.IngressEncapEnum>`
                    
                    .. attribute:: vlan
                    
                    	Set default VLAN for untagged ingress traffic
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.encapsulation = None
                        self.ingress = None
                        self.ingress_encap = None
                        self.vlan = None

                    class EncapsulationEnum(Enum):
                        """
                        EncapsulationEnum

                        Set encapsulation for destination interface

                        .. data:: dot1q = 0

                        .. data:: isl = 1

                        .. data:: replicate = 2

                        """

                        dot1q = 0

                        isl = 1

                        replicate = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Monitor.Session.Destination.Interface.EncapsulationEnum']


                    class IngressEncapEnum(Enum):
                        """
                        IngressEncapEnum

                        .. data:: dot1q = 0

                        .. data:: isl = 1

                        .. data:: untagged = 2

                        """

                        dot1q = 0

                        isl = 1

                        untagged = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Monitor.Session.Destination.Interface.IngressEncapEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.encapsulation is not None:
                            return True

                        if self.ingress is not None:
                            return True

                        if self.ingress_encap is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Monitor.Session.Destination.Interface']['meta_info']


                class Remote(object):
                    """
                    SPAN destination Remote
                    
                    .. attribute:: vlan
                    
                    	Remote SPAN destination RSPAN VLAN
                    	**type**\:  int
                    
                    	**range:** 1006..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:remote'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Monitor.Session.Destination.Remote']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:destination'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface is not None:
                        for child_ref in self.interface:
                            if child_ref._has_data():
                                return True

                    if self.remote is not None and self.remote._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Monitor.Session.Destination']['meta_info']


            class Filter(object):
                """
                SPAN filter VLAN
                
                .. attribute:: ip
                
                	Specify IP Access control rules
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Filter.Ip>`
                
                .. attribute:: packet_type
                
                	
                	**type**\:   :py:class:`PacketType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Filter.PacketType>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Monitor.Session.Filter.Ip()
                    self.ip.parent = self
                    self.packet_type = Native.Monitor.Session.Filter.PacketType()
                    self.packet_type.parent = self


                class PacketType(object):
                    """
                    
                    
                    .. attribute:: direction
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Filter.PacketType.DirectionEnum>`
                    
                    .. attribute:: status
                    
                    	
                    	**type**\:   :py:class:`StatusEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Filter.PacketType.StatusEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.status = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: rx = 0

                        .. data:: tx = 1

                        """

                        rx = 0

                        tx = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Monitor.Session.Filter.PacketType.DirectionEnum']


                    class StatusEnum(Enum):
                        """
                        StatusEnum

                        .. data:: good = 0

                        .. data:: bad = 1

                        """

                        good = 0

                        bad = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Monitor.Session.Filter.PacketType.StatusEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:packet-type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Monitor.Session.Filter.PacketType']['meta_info']


                class Ip(object):
                    """
                    Specify IP Access control rules
                    
                    .. attribute:: access_group
                    
                    	Specify access control group
                    	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Filter.Ip.AccessGroup>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access_group = Native.Monitor.Session.Filter.Ip.AccessGroup()
                        self.access_group.parent = self


                    class AccessGroup(object):
                        """
                        Specify access control group
                        
                        .. attribute:: acl_name
                        
                        	Access\-list name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl_name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:access-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Monitor.Session.Filter.Ip.AccessGroup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access_group is not None and self.access_group._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Monitor.Session.Filter.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:filter'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    if self.packet_type is not None and self.packet_type._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Monitor.Session.Filter']['meta_info']


            class Source(object):
                """
                SPAN source interface, VLAN 
                
                .. attribute:: interface
                
                	SPAN source interface
                	**type**\: list of    :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Source.Interface>`
                
                .. attribute:: remote
                
                	SPAN source Remote
                	**type**\:   :py:class:`Remote <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Source.Remote>`
                
                .. attribute:: vlan
                
                	SPAN source VLAN
                	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Source.Vlan>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interface = YList()
                    self.interface.parent = self
                    self.interface.name = 'interface'
                    self.remote = Native.Monitor.Session.Source.Remote()
                    self.remote.parent = self
                    self.vlan = Native.Monitor.Session.Source.Vlan()
                    self.vlan.parent = self


                class Interface(object):
                    """
                    SPAN source interface
                    
                    .. attribute:: name  <key>
                    
                    	Interface Name
                    	**type**\:  str
                    
                    .. attribute:: direction
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Source.Interface.DirectionEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.direction = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: both = 0

                        .. data:: rx = 1

                        .. data:: tx = 2

                        """

                        both = 0

                        rx = 1

                        tx = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Monitor.Session.Source.Interface.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:interface[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.direction is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Monitor.Session.Source.Interface']['meta_info']


                class Vlan(object):
                    """
                    SPAN source VLAN
                    
                    .. attribute:: direction
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Source.Vlan.DirectionEnum>`
                    
                    .. attribute:: vlan
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.vlan = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: both = 0

                        .. data:: rx = 1

                        .. data:: tx = 2

                        """

                        both = 0

                        rx = 1

                        tx = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Monitor.Session.Source.Vlan.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:vlan'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Monitor.Session.Source.Vlan']['meta_info']


                class Remote(object):
                    """
                    SPAN source Remote
                    
                    .. attribute:: vlan
                    
                    	Remote SPAN source RSPAN VLAN <1\-1001>\|<1006\-4094>
                    	**type**\:  int
                    
                    	**range:** 1..1001 \| 1006..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:remote'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Monitor.Session.Source.Remote']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:source'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interface is not None:
                        for child_ref in self.interface:
                            if child_ref._has_data():
                                return True

                    if self.remote is not None and self.remote._has_data():
                        return True

                    if self.vlan is not None and self.vlan._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Monitor.Session.Source']['meta_info']

            @property
            def _common_path(self):
                if self.id is None:
                    raise YPYModelError('Key property id is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:monitor/Cisco-IOS-XE-native:session[Cisco-IOS-XE-native:id = ' + str(self.id) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.id is not None:
                    return True

                if self.destination is not None and self.destination._has_data():
                    return True

                if self.filter is not None and self.filter._has_data():
                    return True

                if self.source is not None and self.source._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Monitor.Session']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:monitor'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.event_trace is not None and self.event_trace._has_data():
                return True

            if self.session is not None:
                for child_ref in self.session:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Monitor']['meta_info']


    class TftpServer(object):
        """
        Provide TFTP service for netload requests
        
        .. attribute:: name  <key>
        
        	
        	**type**\:  str
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.name = None

        @property
        def _common_path(self):
            if self.name is None:
                raise YPYModelError('Key property name is None')

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:tftp-server[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.name is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.TftpServer']['meta_info']


    class RadiusServer(object):
        """
        Modify RADIUS query parameters
        
        .. attribute:: attribute
        
        	Customize selected radius attributes
        	**type**\: list of    :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Attribute>`
        
        .. attribute:: dead_criteria
        
        	Set the criteria used to decide when a radius server ismarked dead
        	**type**\:   :py:class:`DeadCriteria <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.DeadCriteria>`
        
        .. attribute:: deadtime
        
        	Time to stop using a server that doesn't respond
        	**type**\:  int
        
        	**range:** 1..1440
        
        .. attribute:: host
        
        	Specify a RADIUS server
        	**type**\: list of    :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Host>`
        
        .. attribute:: key
        
        	encryption key shared with the radius servers
        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Key>`
        
        .. attribute:: retransmit
        
        	Specify the number of retries to active server
        	**type**\:  int
        
        	**range:** 1..100
        
        .. attribute:: source_ports
        
        	source ports used for sending out RADIUS requests
        	**type**\:   :py:class:`SourcePorts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.SourcePorts>`
        
        .. attribute:: timeout
        
        	Time to wait for a RADIUS server to reply
        	**type**\:  int
        
        	**range:** 1..1000
        
        .. attribute:: vsa
        
        	Vendor specific attribute configuration
        	**type**\:   :py:class:`Vsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Vsa>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.attribute = YList()
            self.attribute.parent = self
            self.attribute.name = 'attribute'
            self.dead_criteria = Native.RadiusServer.DeadCriteria()
            self.dead_criteria.parent = self
            self.deadtime = None
            self.host = YList()
            self.host.parent = self
            self.host.name = 'host'
            self.key = Native.RadiusServer.Key()
            self.key.parent = self
            self.retransmit = None
            self.source_ports = Native.RadiusServer.SourcePorts()
            self.source_ports.parent = self
            self.timeout = None
            self.vsa = Native.RadiusServer.Vsa()
            self.vsa.parent = self


        class Attribute(object):
            """
            Customize selected radius attributes
            
            .. attribute:: number  <key>
            
            	
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: access_request
            
            	Access\-Request packet
            	**type**\:   :py:class:`AccessRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Attribute.AccessRequest>`
            
            .. attribute:: send_attribute
            
            	
            	**type**\:  list of   :py:class:`SendAttributeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Attribute.SendAttributeEnum>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.number = None
                self.access_request = Native.RadiusServer.Attribute.AccessRequest()
                self.access_request.parent = self
                self.send_attribute = YLeafList()
                self.send_attribute.parent = self
                self.send_attribute.name = 'send_attribute'

            class SendAttributeEnum(Enum):
                """
                SendAttributeEnum

                .. data:: on_for_login_auth = 0

                .. data:: include_in_access_req = 1

                .. data:: support_multiple = 2

                """

                on_for_login_auth = 0

                include_in_access_req = 1

                support_multiple = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.RadiusServer.Attribute.SendAttributeEnum']



            class AccessRequest(object):
                """
                Access\-Request packet
                
                .. attribute:: include
                
                	Include attribute
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.include = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-aaa:access-request'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.include is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.RadiusServer.Attribute.AccessRequest']['meta_info']

            @property
            def _common_path(self):
                if self.number is None:
                    raise YPYModelError('Key property number is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:radius-server/Cisco-IOS-XE-aaa:attribute[Cisco-IOS-XE-aaa:number = ' + str(self.number) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.number is not None:
                    return True

                if self.access_request is not None and self.access_request._has_data():
                    return True

                if self.send_attribute is not None:
                    for child in self.send_attribute:
                        if child is not None:
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.RadiusServer.Attribute']['meta_info']


        class DeadCriteria(object):
            """
            Set the criteria used to decide when a radius server ismarked dead
            
            .. attribute:: time
            
            	The time during which no properly formed response must be recievedfrom the RADIUS server
            	**type**\:  int
            
            	**range:** 1..120
            
            .. attribute:: tries
            
            	The number of times the router must fail to recieve a response fromthe radius server to mark it as dead
            	**type**\:  int
            
            	**range:** 1..100
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.time = None
                self.tries = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:radius-server/Cisco-IOS-XE-aaa:dead-criteria'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.time is not None:
                    return True

                if self.tries is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.RadiusServer.DeadCriteria']['meta_info']


        class Host(object):
            """
            Specify a RADIUS server
            
            .. attribute:: id  <key>
            
            	
            	**type**\: one of the below types:
            
            	**type**\:  str
            
            
            ----
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            
            ----
            .. attribute:: acct_port
            
            	UDP port for RADIUS accounting server (default is 1646)
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: auth_port
            
            	UDP port for RADIUS authentication server (default is 1645)
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: clear_key
            
            	
            	**type**\:  str
            
            .. attribute:: key
            
            	per\-server encryption key (overrides default)
            	**type**\: one of the below types:
            
            	**type**\:   :py:class:`KeyEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Host.KeyEnum>`
            
            
            ----
            	**type**\:  str
            
            
            ----
            .. attribute:: retransmit
            
            	Specify the number of retries to active server
            	**type**\:  int
            
            	**range:** 1..100
            
            .. attribute:: test
            
            	Configure server automated testing
            	**type**\:   :py:class:`Test <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Host.Test>`
            
            .. attribute:: timeout
            
            	Time to wait for a RADIUS server to reply (overrides default)
            	**type**\:  int
            
            	**range:** 1..1000
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.id = None
                self.acct_port = None
                self.auth_port = None
                self.clear_key = None
                self.key = None
                self.retransmit = None
                self.test = Native.RadiusServer.Host.Test()
                self.test.parent = self
                self.timeout = None

            class KeyEnum(Enum):
                """
                KeyEnum

                per\-server encryption key (overrides default)

                .. data:: Y_0 = 0

                .. data:: Y_7 = 1

                """

                Y_0 = 0

                Y_7 = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.RadiusServer.Host.KeyEnum']



            class Test(object):
                """
                Configure server automated testing
                
                .. attribute:: username
                
                	A name (from local database) that should be used to send requests
                	**type**\: list of    :py:class:`Username <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Host.Test.Username>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.username = YList()
                    self.username.parent = self
                    self.username.name = 'username'


                class Username(object):
                    """
                    A name (from local database) that should be used to send requests.
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: key
                    
                    	per\-server encryption key (overrides default)
                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Host.Test.Username.Key>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.key = Native.RadiusServer.Host.Test.Username.Key()
                        self.key.parent = self


                    class Key(object):
                        """
                        per\-server encryption key (overrides default)
                        
                        .. attribute:: clear_key
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: encryption
                        
                        	
                        	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Host.Test.Username.Key.EncryptionEnum>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.clear_key = None
                            self.encryption = None

                        class EncryptionEnum(Enum):
                            """
                            EncryptionEnum

                            .. data:: Y_0 = 0

                            .. data:: Y_7 = 1

                            """

                            Y_0 = 0

                            Y_7 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.RadiusServer.Host.Test.Username.Key.EncryptionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-aaa:key'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.clear_key is not None:
                                return True

                            if self.encryption is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.RadiusServer.Host.Test.Username.Key']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:username[Cisco-IOS-XE-aaa:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.key is not None and self.key._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RadiusServer.Host.Test.Username']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-aaa:test'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.username is not None:
                        for child_ref in self.username:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.RadiusServer.Host.Test']['meta_info']

            @property
            def _common_path(self):
                if self.id is None:
                    raise YPYModelError('Key property id is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:radius-server/Cisco-IOS-XE-aaa:host[Cisco-IOS-XE-aaa:id = ' + str(self.id) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.id is not None:
                    return True

                if self.acct_port is not None:
                    return True

                if self.auth_port is not None:
                    return True

                if self.clear_key is not None:
                    return True

                if self.key is not None:
                    return True

                if self.retransmit is not None:
                    return True

                if self.test is not None and self.test._has_data():
                    return True

                if self.timeout is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.RadiusServer.Host']['meta_info']


        class Key(object):
            """
            encryption key shared with the radius servers
            
            .. attribute:: clear_key
            
            	
            	**type**\:  str
            
            .. attribute:: encryption
            
            	
            	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Key.EncryptionEnum>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.clear_key = None
                self.encryption = None

            class EncryptionEnum(Enum):
                """
                EncryptionEnum

                .. data:: Y_0 = 0

                .. data:: Y_7 = 1

                """

                Y_0 = 0

                Y_7 = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.RadiusServer.Key.EncryptionEnum']


            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:radius-server/Cisco-IOS-XE-aaa:key'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.clear_key is not None:
                    return True

                if self.encryption is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.RadiusServer.Key']['meta_info']


        class SourcePorts(object):
            """
            source ports used for sending out RADIUS requests
            
            .. attribute:: extended
            
            	Use 200 source\-ports between 21645\-21844
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.extended = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:radius-server/Cisco-IOS-XE-aaa:source-ports'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.extended is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.RadiusServer.SourcePorts']['meta_info']


        class Vsa(object):
            """
            Vendor specific attribute configuration
            
            .. attribute:: disallow
            
            	Forbid certain VSA behaviour
            	**type**\:   :py:class:`Disallow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Vsa.Disallow>`
            
            .. attribute:: send
            
            	Send vendor\-specific attributes in requests
            	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Vsa.Send>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.disallow = Native.RadiusServer.Vsa.Disallow()
                self.disallow.parent = self
                self.send = None


            class Disallow(object):
                """
                Forbid certain VSA behaviour
                
                .. attribute:: unknown
                
                	Forbid unknown VSAs
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.unknown = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:radius-server/Cisco-IOS-XE-aaa:vsa/Cisco-IOS-XE-aaa:disallow'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.unknown is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.RadiusServer.Vsa.Disallow']['meta_info']


            class Send(object):
                """
                Send vendor\-specific attributes in requests
                
                .. attribute:: accounting
                
                	Send in accounting requests
                	**type**\:   :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Vsa.Send.Accounting>`
                
                	**presence node**\: True
                
                .. attribute:: authentication
                
                	Send in access requests
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Vsa.Send.Authentication>`
                
                	**presence node**\: True
                
                .. attribute:: cisco_nas_port
                
                	Send cisco\-nas\-port VSA(2)
                	**type**\:   :py:class:`CiscoNasPort <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Vsa.Send.CiscoNasPort>`
                
                	**presence node**\: True
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.accounting = None
                    self.authentication = None
                    self.cisco_nas_port = None


                class Accounting(object):
                    """
                    Send in accounting requests
                    
                    .. attribute:: threegpp2
                    
                    	Send 3GPP2 VSAs in accounting requests
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.threegpp2 = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:radius-server/Cisco-IOS-XE-aaa:vsa/Cisco-IOS-XE-aaa:send/Cisco-IOS-XE-aaa:accounting'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.threegpp2 is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RadiusServer.Vsa.Send.Accounting']['meta_info']


                class Authentication(object):
                    """
                    Send in access requests
                    
                    .. attribute:: threegpp2
                    
                    	Send 3GPP2 VSAs in accounting requests
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.threegpp2 = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:radius-server/Cisco-IOS-XE-aaa:vsa/Cisco-IOS-XE-aaa:send/Cisco-IOS-XE-aaa:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.threegpp2 is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RadiusServer.Vsa.Send.Authentication']['meta_info']


                class CiscoNasPort(object):
                    """
                    Send cisco\-nas\-port VSA(2)
                    
                    .. attribute:: threegpp2
                    
                    	Send 3GPP2 VSAs in accounting requests
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.threegpp2 = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:radius-server/Cisco-IOS-XE-aaa:vsa/Cisco-IOS-XE-aaa:send/Cisco-IOS-XE-aaa:cisco-nas-port'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.threegpp2 is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.RadiusServer.Vsa.Send.CiscoNasPort']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:radius-server/Cisco-IOS-XE-aaa:vsa/Cisco-IOS-XE-aaa:send'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.accounting is not None and self.accounting._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.cisco_nas_port is not None and self.cisco_nas_port._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.RadiusServer.Vsa.Send']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:radius-server/Cisco-IOS-XE-aaa:vsa'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.disallow is not None and self.disallow._has_data():
                    return True

                if self.send is not None and self.send._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.RadiusServer.Vsa']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:radius-server'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.attribute is not None:
                for child_ref in self.attribute:
                    if child_ref._has_data():
                        return True

            if self.dead_criteria is not None and self.dead_criteria._has_data():
                return True

            if self.deadtime is not None:
                return True

            if self.host is not None:
                for child_ref in self.host:
                    if child_ref._has_data():
                        return True

            if self.key is not None and self.key._has_data():
                return True

            if self.retransmit is not None:
                return True

            if self.source_ports is not None and self.source_ports._has_data():
                return True

            if self.timeout is not None:
                return True

            if self.vsa is not None and self.vsa._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.RadiusServer']['meta_info']


    class Radius(object):
        """
        RADIUS server configuration command
        
        .. attribute:: filter
        
        	Packet filter configuration
        	**type**\: list of    :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Filter>`
        
        .. attribute:: server
        
        	Server configuration
        	**type**\: list of    :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.filter = YList()
            self.filter.parent = self
            self.filter.name = 'filter'
            self.server = YList()
            self.server.parent = self
            self.server.name = 'server'


        class Filter(object):
            """
            Packet filter configuration
            
            .. attribute:: id  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: match
            
            	
            	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Filter.MatchEnum>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.id = None
                self.match = None

            class MatchEnum(Enum):
                """
                MatchEnum

                .. data:: match_all = 0

                .. data:: match_any = 1

                """

                match_all = 0

                match_any = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Radius.Filter.MatchEnum']


            @property
            def _common_path(self):
                if self.id is None:
                    raise YPYModelError('Key property id is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:radius/Cisco-IOS-XE-aaa:filter[Cisco-IOS-XE-aaa:id = ' + str(self.id) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.id is not None:
                    return True

                if self.match is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Radius.Filter']['meta_info']


        class Server(object):
            """
            Server configuration
            
            .. attribute:: id  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: address
            
            	Specify the radius server address
            	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server.Address>`
            
            .. attribute:: backoff
            
            	Retry backoff pattern(Default is retransmits with constant delay)
            	**type**\:   :py:class:`Backoff <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server.Backoff>`
            
            .. attribute:: key
            
            	Per\-server encryption key
            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server.Key>`
            
            .. attribute:: pac
            
            	Protected Access Credential key
            	**type**\:   :py:class:`Pac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server.Pac>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.id = None
                self.address = Native.Radius.Server.Address()
                self.address.parent = self
                self.backoff = Native.Radius.Server.Backoff()
                self.backoff.parent = self
                self.key = Native.Radius.Server.Key()
                self.key.parent = self
                self.pac = Native.Radius.Server.Pac()
                self.pac.parent = self


            class Address(object):
                """
                Specify the radius server address
                
                .. attribute:: ipv4
                
                	IPv4 Address
                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server.Address.Ipv4>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipv4 = Native.Radius.Server.Address.Ipv4()
                    self.ipv4.parent = self


                class Ipv4(object):
                    """
                    IPv4 Address
                    
                    .. attribute:: acct_port
                    
                    	UDP port for RADIUS accounting server (default is 1646)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: auth_port
                    
                    	UDP port for RADIUS authentication server (default is 1645)
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: host
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acct_port = None
                        self.auth_port = None
                        self.host = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:ipv4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acct_port is not None:
                            return True

                        if self.auth_port is not None:
                            return True

                        if self.host is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Radius.Server.Address.Ipv4']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-aaa:address'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipv4 is not None and self.ipv4._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Radius.Server.Address']['meta_info']


            class Backoff(object):
                """
                Retry backoff pattern(Default is retransmits with constant delay)
                
                .. attribute:: exponential
                
                	Exponential retransmit backoff
                	**type**\:   :py:class:`Exponential <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server.Backoff.Exponential>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.exponential = None


                class Exponential(object):
                    """
                    Exponential retransmit backoff
                    
                    .. attribute:: backoff_retry
                    
                    	Exponential backoff retry number(default is 8)
                    	**type**\:  int
                    
                    	**range:** 1..50
                    
                    .. attribute:: max_delay
                    
                    	Max delay between retransmits(default is 3 min)
                    	**type**\:  int
                    
                    	**range:** 1..120
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.backoff_retry = None
                        self.max_delay = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:exponential'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.backoff_retry is not None:
                            return True

                        if self.max_delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Radius.Server.Backoff.Exponential']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-aaa:backoff'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.exponential is not None and self.exponential._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Radius.Server.Backoff']['meta_info']


            class Key(object):
                """
                Per\-server encryption key
                
                .. attribute:: encryption
                
                	
                	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server.Key.EncryptionEnum>`
                
                .. attribute:: key
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.encryption = None
                    self.key = None

                class EncryptionEnum(Enum):
                    """
                    EncryptionEnum

                    .. data:: Y_0 = 0

                    .. data:: Y_5 = 1

                    """

                    Y_0 = 0

                    Y_5 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Radius.Server.Key.EncryptionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-aaa:key'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.encryption is not None:
                        return True

                    if self.key is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Radius.Server.Key']['meta_info']


            class Pac(object):
                """
                Protected Access Credential key
                
                .. attribute:: key
                
                	Per\-server encryption key
                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server.Pac.Key>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.key = Native.Radius.Server.Pac.Key()
                    self.key.parent = self


                class Key(object):
                    """
                    Per\-server encryption key
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server.Pac.Key.EncryptionEnum>`
                    
                    .. attribute:: key
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.encryption = None
                        self.key = None

                    class EncryptionEnum(Enum):
                        """
                        EncryptionEnum

                        .. data:: Y_0 = 0

                        .. data:: Y_6 = 1

                        .. data:: Y_7 = 2

                        """

                        Y_0 = 0

                        Y_6 = 1

                        Y_7 = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Radius.Server.Pac.Key.EncryptionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-aaa:key'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.encryption is not None:
                            return True

                        if self.key is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Radius.Server.Pac.Key']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-aaa:pac'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.key is not None and self.key._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Radius.Server.Pac']['meta_info']

            @property
            def _common_path(self):
                if self.id is None:
                    raise YPYModelError('Key property id is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:radius/Cisco-IOS-XE-aaa:server[Cisco-IOS-XE-aaa:id = ' + str(self.id) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.id is not None:
                    return True

                if self.address is not None and self.address._has_data():
                    return True

                if self.backoff is not None and self.backoff._has_data():
                    return True

                if self.key is not None and self.key._has_data():
                    return True

                if self.pac is not None and self.pac._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Radius.Server']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:radius'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.filter is not None:
                for child_ref in self.filter:
                    if child_ref._has_data():
                        return True

            if self.server is not None:
                for child_ref in self.server:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Radius']['meta_info']


    class Zone(object):
        """
        FW with zoning
        
        .. attribute:: security
        
        	Security zone
        	**type**\: list of    :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Zone.Security>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.security = YList()
            self.security.parent = self
            self.security.name = 'security'


        class Security(object):
            """
            Security zone
            
            .. attribute:: id  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: description
            
            	Zone description
            	**type**\:  str
            
            .. attribute:: protection
            
            	config sync cookie protection against sync flood
            	**type**\:  str
            
            

            """

            _prefix = 'ios-zone'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.id = None
                self.description = None
                self.protection = None

            @property
            def _common_path(self):
                if self.id is None:
                    raise YPYModelError('Key property id is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:zone/Cisco-IOS-XE-zone:security[Cisco-IOS-XE-zone:id = ' + str(self.id) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.id is not None:
                    return True

                if self.description is not None:
                    return True

                if self.protection is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Zone.Security']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:zone'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.security is not None:
                for child_ref in self.security:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Zone']['meta_info']


    class ZonePair(object):
        """
        Zone pair command
        
        .. attribute:: security
        
        	Zone\-pair name
        	**type**\: list of    :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ZonePair.Security>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.security = YList()
            self.security.parent = self
            self.security.name = 'security'


        class Security(object):
            """
            Zone\-pair name
            
            .. attribute:: id  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: description
            
            	Zone description
            	**type**\:  str
            
            	**length:** 1..200
            
            .. attribute:: destination
            
            	Destination zone
            	**type**\:  str
            
            .. attribute:: service_policy
            
            	Configure CBAC Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ZonePair.Security.ServicePolicy>`
            
            .. attribute:: source
            
            	Source zone
            	**type**\:  str
            
            

            """

            _prefix = 'ios-zone'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.id = None
                self.description = None
                self.destination = None
                self.service_policy = Native.ZonePair.Security.ServicePolicy()
                self.service_policy.parent = self
                self.source = None


            class ServicePolicy(object):
                """
                Configure CBAC Service Policy
                
                .. attribute:: type
                
                	Service Policy type
                	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ZonePair.Security.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-zone'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.type = Native.ZonePair.Security.ServicePolicy.Type()
                    self.type.parent = self


                class Type(object):
                    """
                    Service Policy type
                    
                    .. attribute:: inspect
                    
                    	Configure CBAC Service Policy type inspect
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-zone'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inspect = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-zone:type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inspect is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ZonePair.Security.ServicePolicy.Type']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-zone:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.type is not None and self.type._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ZonePair.Security.ServicePolicy']['meta_info']

            @property
            def _common_path(self):
                if self.id is None:
                    raise YPYModelError('Key property id is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:zone-pair/Cisco-IOS-XE-zone:security[Cisco-IOS-XE-zone:id = ' + str(self.id) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.id is not None:
                    return True

                if self.description is not None:
                    return True

                if self.destination is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.source is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ZonePair.Security']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:zone-pair'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.security is not None:
                for child_ref in self.security:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.ZonePair']['meta_info']


    class AlarmContact(object):
        """
        
        
        .. attribute:: name  <key>
        
        	
        	**type**\:  int
        
        	**range:** 1..4
        
        .. attribute:: description
        
        	
        	**type**\:  str
        
        	**length:** 1..80
        
        .. attribute:: severity
        
        	
        	**type**\:   :py:class:`SeverityEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AlarmContact.SeverityEnum>`
        
        .. attribute:: trigger
        
        	
        	**type**\:   :py:class:`TriggerEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AlarmContact.TriggerEnum>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.name = None
            self.description = None
            self.severity = None
            self.trigger = None

        class SeverityEnum(Enum):
            """
            SeverityEnum

            .. data:: critical = 0

            .. data:: major = 1

            .. data:: minor = 2

            """

            critical = 0

            major = 1

            minor = 2


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.AlarmContact.SeverityEnum']


        class TriggerEnum(Enum):
            """
            TriggerEnum

            .. data:: open = 0

            .. data:: closed = 1

            """

            open = 0

            closed = 1


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.AlarmContact.TriggerEnum']


        @property
        def _common_path(self):
            if self.name is None:
                raise YPYModelError('Key property name is None')

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:alarm-contact[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.name is not None:
                return True

            if self.description is not None:
                return True

            if self.severity is not None:
                return True

            if self.trigger is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.AlarmContact']['meta_info']


    class Ethernet(object):
        """
        Ethernet configuration
        
        .. attribute:: cfm
        
        	Connectivity Fault Management
        	**type**\:   :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm>`
        
        .. attribute:: evc
        
        	define an Ethernet virtual connection (EVC)
        	**type**\: list of    :py:class:`Evc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Evc>`
        
        .. attribute:: lmi
        
        	Local Management Interface
        	**type**\:   :py:class:`Lmi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Lmi>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.cfm = Native.Ethernet.Cfm()
            self.cfm.parent = self
            self.evc = YList()
            self.evc.parent = self
            self.evc.name = 'evc'
            self.lmi = Native.Ethernet.Lmi()
            self.lmi.parent = self


        class Evc(object):
            """
            define an Ethernet virtual connection (EVC)
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            	**length:** 1..100
            
            

            """

            _prefix = 'ios-eth'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet/Cisco-IOS-XE-ethernet:evc[Cisco-IOS-XE-ethernet:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ethernet.Evc']['meta_info']


        class Lmi(object):
            """
            Local Management Interface
            
            .. attribute:: ce
            
            	Ethernet LMI Customer Edge
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: global_
            
            	Ethernet LMI is enabled on all supported Interfaces
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-eth'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ce = None
                self.global_ = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet/Cisco-IOS-XE-ethernet:lmi'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ce is not None:
                    return True

                if self.global_ is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ethernet.Lmi']['meta_info']


        class Cfm(object):
            """
            Connectivity Fault Management
            
            .. attribute:: ais
            
            	AIS Maintenance Condition
            	**type**\:   :py:class:`Ais <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Ais>`
            
            .. attribute:: alarm
            
            	CFM Alarm
            	**type**\:   :py:class:`Alarm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Alarm>`
            
            .. attribute:: domain
            
            	Configure a domain
            	**type**\: list of    :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Domain>`
            
            .. attribute:: global_
            
            	CFM global enable
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: ieee
            
            	CFM IEEE enable
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: logging
            
            	Enable CFM syslog messages
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Logging>`
            
            	**presence node**\: True
            
            .. attribute:: mep
            
            	Maintenance End Point
            	**type**\:   :py:class:`Mep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Mep>`
            
            .. attribute:: mip
            
            	CFM MIP commands
            	**type**\:   :py:class:`Mip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Mip>`
            
            .. attribute:: traceroute
            
            	CFM Traceroute
            	**type**\:   :py:class:`Traceroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Traceroute>`
            
            

            """

            _prefix = 'ios-eth'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ais = Native.Ethernet.Cfm.Ais()
                self.ais.parent = self
                self.alarm = Native.Ethernet.Cfm.Alarm()
                self.alarm.parent = self
                self.domain = YList()
                self.domain.parent = self
                self.domain.name = 'domain'
                self.global_ = None
                self.ieee = None
                self.logging = None
                self.mep = Native.Ethernet.Cfm.Mep()
                self.mep.parent = self
                self.mip = Native.Ethernet.Cfm.Mip()
                self.mip.parent = self
                self.traceroute = Native.Ethernet.Cfm.Traceroute()
                self.traceroute.parent = self


            class Ais(object):
                """
                AIS Maintenance Condition
                
                .. attribute:: link_status
                
                	8023ah SMEP or link state up/down
                	**type**\:   :py:class:`LinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Ais.LinkStatus>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.link_status = Native.Ethernet.Cfm.Ais.LinkStatus()
                    self.link_status.parent = self


                class LinkStatus(object):
                    """
                    8023ah SMEP or link state up/down
                    
                    .. attribute:: global_
                    
                    	8023ah SMEP or link state state up/down AIS global configuration
                    	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Ais.LinkStatus.Global_>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.global_ = None


                    class Global_(object):
                        """
                        8023ah SMEP or link state state up/down AIS global configuration
                        
                        .. attribute:: cfm_mode__config_ais_link_cfm
                        
                        	
                        	**type**\:   :py:class:`CfmMode__ConfigAisLinkCfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmMode__ConfigAisLinkCfm>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.cfm_mode__config_ais_link_cfm = Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmMode__ConfigAisLinkCfm()
                            self.cfm_mode__config_ais_link_cfm.parent = self


                        class CfmMode__ConfigAisLinkCfm(object):
                            """
                            
                            
                            .. attribute:: disable
                            
                            	Disable AIS transmission
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: level
                            
                            	Maintenance Level
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            .. attribute:: period
                            
                            	AIS Transmission period
                            	**type**\:   :py:class:`Period <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmMode__ConfigAisLinkCfm.Period>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.disable = None
                                self.level = None
                                self.period = Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmMode__ConfigAisLinkCfm.Period()
                                self.period.parent = self


                            class Period(object):
                                """
                                AIS Transmission period
                                
                                .. attribute:: tp_1
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tp_60
                                
                                	Seconds
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.tp_1 = None
                                    self.tp_60 = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet/Cisco-IOS-XE-ethernet:cfm/Cisco-IOS-XE-ethernet:ais/Cisco-IOS-XE-ethernet:link-status/Cisco-IOS-XE-ethernet:global/Cisco-IOS-XE-ethernet:cfm-Mode__config-ais-link-cfm/Cisco-IOS-XE-ethernet:period'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.tp_1 is not None:
                                        return True

                                    if self.tp_60 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmMode__ConfigAisLinkCfm.Period']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet/Cisco-IOS-XE-ethernet:cfm/Cisco-IOS-XE-ethernet:ais/Cisco-IOS-XE-ethernet:link-status/Cisco-IOS-XE-ethernet:global/Cisco-IOS-XE-ethernet:cfm-Mode__config-ais-link-cfm'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.disable is not None:
                                    return True

                                if self.level is not None:
                                    return True

                                if self.period is not None and self.period._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmMode__ConfigAisLinkCfm']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet/Cisco-IOS-XE-ethernet:cfm/Cisco-IOS-XE-ethernet:ais/Cisco-IOS-XE-ethernet:link-status/Cisco-IOS-XE-ethernet:global'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.cfm_mode__config_ais_link_cfm is not None and self.cfm_mode__config_ais_link_cfm._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ethernet.Cfm.Ais.LinkStatus.Global_']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet/Cisco-IOS-XE-ethernet:cfm/Cisco-IOS-XE-ethernet:ais/Cisco-IOS-XE-ethernet:link-status'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.global_ is not None and self.global_._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ethernet.Cfm.Ais.LinkStatus']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet/Cisco-IOS-XE-ethernet:cfm/Cisco-IOS-XE-ethernet:ais'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.link_status is not None and self.link_status._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ethernet.Cfm.Ais']['meta_info']


            class Alarm(object):
                """
                CFM Alarm
                
                .. attribute:: delay
                
                	msec (default 2500 msec)
                	**type**\:  int
                
                	**range:** 2500..10000
                
                .. attribute:: notification
                
                	CFM alarm notification
                	**type**\:   :py:class:`Notification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Alarm.Notification>`
                
                .. attribute:: packet
                
                	max DefError and DefXcon packets
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: reset
                
                	msec (default 10000 msec)
                	**type**\:  int
                
                	**range:** 2500..10000
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = None
                    self.notification = Native.Ethernet.Cfm.Alarm.Notification()
                    self.notification.parent = self
                    self.packet = None
                    self.reset = None


                class Notification(object):
                    """
                    CFM alarm notification
                    
                    .. attribute:: all
                    
                    	Report all defects\: DefRDI, DefMACStatus, DefRemote, DefError, DefXcon
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: error_xcon
                    
                    	Report only\: DefError and DefXcon
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mac_remote_error_xcon
                    
                    	Report only\: DefMACStatus, DefRemote, DefError and DefXcon (default)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	No defects to be reported
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: remote_error_xcon
                    
                    	Report only\: DefRemote, DefError and DefXcon
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: xcon
                    
                    	Report only\: DefXcon
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.all = None
                        self.error_xcon = None
                        self.mac_remote_error_xcon = None
                        self.none = None
                        self.remote_error_xcon = None
                        self.xcon = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet/Cisco-IOS-XE-ethernet:cfm/Cisco-IOS-XE-ethernet:alarm/Cisco-IOS-XE-ethernet:notification'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.all is not None:
                            return True

                        if self.error_xcon is not None:
                            return True

                        if self.mac_remote_error_xcon is not None:
                            return True

                        if self.none is not None:
                            return True

                        if self.remote_error_xcon is not None:
                            return True

                        if self.xcon is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ethernet.Cfm.Alarm.Notification']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet/Cisco-IOS-XE-ethernet:cfm/Cisco-IOS-XE-ethernet:alarm'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None:
                        return True

                    if self.notification is not None and self.notification._has_data():
                        return True

                    if self.packet is not None:
                        return True

                    if self.reset is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ethernet.Cfm.Alarm']['meta_info']


            class Domain(object):
                """
                Configure a domain
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: level
                
                	Maintenance Level
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: service
                
                	Maintenance Association within Domain
                	**type**\: list of    :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Domain.Service>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.level = None
                    self.service = YList()
                    self.service.parent = self
                    self.service.name = 'service'


                class Service(object):
                    """
                    Maintenance Association within Domain
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: continuity_check
                    
                    	Enable Continuity Check for Maintenance Association
                    	**type**\:   :py:class:`ContinuityCheck <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Domain.Service.ContinuityCheck>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: evc
                    
                    	Specify EVC
                    	**type**\:  str
                    
                    .. attribute:: vlan
                    
                    	VLAN id
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.continuity_check = None
                        self.evc = None
                        self.vlan = None


                    class ContinuityCheck(object):
                        """
                        Enable Continuity Check for Maintenance Association
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ethernet:continuity-check'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ethernet.Cfm.Domain.Service.ContinuityCheck']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ethernet:service[Cisco-IOS-XE-ethernet:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.continuity_check is not None and self.continuity_check._has_data():
                            return True

                        if self.evc is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ethernet.Cfm.Domain.Service']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet/Cisco-IOS-XE-ethernet:cfm/Cisco-IOS-XE-ethernet:domain[Cisco-IOS-XE-ethernet:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.level is not None:
                        return True

                    if self.service is not None:
                        for child_ref in self.service:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ethernet.Cfm.Domain']['meta_info']


            class Logging(object):
                """
                Enable CFM syslog messages
                
                .. attribute:: ais
                
                	AIS logging
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: alarm
                
                	Alarm logging
                	**type**\:   :py:class:`Alarm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Logging.Alarm>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.ais = None
                    self.alarm = Native.Ethernet.Cfm.Logging.Alarm()
                    self.alarm.parent = self


                class Alarm(object):
                    """
                    Alarm logging
                    
                    .. attribute:: cisco
                    
                    	Cisco MIB syslogs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ieee
                    
                    	IEEE MIB syslogs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cisco = None
                        self.ieee = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet/Cisco-IOS-XE-ethernet:cfm/Cisco-IOS-XE-ethernet:logging/Cisco-IOS-XE-ethernet:alarm'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cisco is not None:
                            return True

                        if self.ieee is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ethernet.Cfm.Logging.Alarm']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet/Cisco-IOS-XE-ethernet:cfm/Cisco-IOS-XE-ethernet:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.ais is not None:
                        return True

                    if self.alarm is not None and self.alarm._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ethernet.Cfm.Logging']['meta_info']


            class Mep(object):
                """
                Maintenance End Point
                
                .. attribute:: crosscheck
                
                	Cross Check remote MEPs
                	**type**\:   :py:class:`Crosscheck <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Mep.Crosscheck>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.crosscheck = Native.Ethernet.Cfm.Mep.Crosscheck()
                    self.crosscheck.parent = self


                class Crosscheck(object):
                    """
                    Cross Check remote MEPs
                    
                    .. attribute:: start_delay
                    
                    	seconds (30 seconds default)
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.start_delay = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet/Cisco-IOS-XE-ethernet:cfm/Cisco-IOS-XE-ethernet:mep/Cisco-IOS-XE-ethernet:crosscheck'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.start_delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ethernet.Cfm.Mep.Crosscheck']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet/Cisco-IOS-XE-ethernet:cfm/Cisco-IOS-XE-ethernet:mep'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.crosscheck is not None and self.crosscheck._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ethernet.Cfm.Mep']['meta_info']


            class Mip(object):
                """
                CFM MIP commands
                
                .. attribute:: auto_create
                
                	CFM MIP auto creation
                	**type**\:   :py:class:`AutoCreate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Mip.AutoCreate>`
                
                .. attribute:: filter
                
                	CFM MIP filter
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.auto_create = Native.Ethernet.Cfm.Mip.AutoCreate()
                    self.auto_create.parent = self
                    self.filter = None


                class AutoCreate(object):
                    """
                    CFM MIP auto creation
                    
                    .. attribute:: level
                    
                    	Maintenance Level
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Mip.AutoCreate.Level>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Ethernet.Cfm.Mip.AutoCreate.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Maintenance Level
                        
                        .. attribute:: mef_num
                        
                        	
                        	**type**\: list of    :py:class:`MefNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Mip.AutoCreate.Level.MefNum>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.mef_num = YList()
                            self.mef_num.parent = self
                            self.mef_num.name = 'mef_num'


                        class MefNum(object):
                            """
                            
                            
                            .. attribute:: mef_num  <key>
                            
                            	maintenance level number
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            .. attribute:: evc
                            
                            	EVC name
                            	**type**\:  str
                            
                            .. attribute:: vlan
                            
                            	VLAN id
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mef_num = None
                                self.evc = None
                                self.vlan = None

                            @property
                            def _common_path(self):
                                if self.mef_num is None:
                                    raise YPYModelError('Key property mef_num is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet/Cisco-IOS-XE-ethernet:cfm/Cisco-IOS-XE-ethernet:mip/Cisco-IOS-XE-ethernet:auto-create/Cisco-IOS-XE-ethernet:level/Cisco-IOS-XE-ethernet:mef-num[Cisco-IOS-XE-ethernet:mef-num = ' + str(self.mef_num) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mef_num is not None:
                                    return True

                                if self.evc is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ethernet.Cfm.Mip.AutoCreate.Level.MefNum']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet/Cisco-IOS-XE-ethernet:cfm/Cisco-IOS-XE-ethernet:mip/Cisco-IOS-XE-ethernet:auto-create/Cisco-IOS-XE-ethernet:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.mef_num is not None:
                                for child_ref in self.mef_num:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ethernet.Cfm.Mip.AutoCreate.Level']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet/Cisco-IOS-XE-ethernet:cfm/Cisco-IOS-XE-ethernet:mip/Cisco-IOS-XE-ethernet:auto-create'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ethernet.Cfm.Mip.AutoCreate']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet/Cisco-IOS-XE-ethernet:cfm/Cisco-IOS-XE-ethernet:mip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.auto_create is not None and self.auto_create._has_data():
                        return True

                    if self.filter is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ethernet.Cfm.Mip']['meta_info']


            class Traceroute(object):
                """
                CFM Traceroute
                
                .. attribute:: cache
                
                	CFM Traceroute Cache
                	**type**\:   :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Traceroute.Cache>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cache = None


                class Cache(object):
                    """
                    CFM Traceroute Cache
                    
                    .. attribute:: hold_time
                    
                    	minutes (default 100)
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: size
                    
                    	Number of cached lines (default 100)
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.hold_time = None
                        self.size = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet/Cisco-IOS-XE-ethernet:cfm/Cisco-IOS-XE-ethernet:traceroute/Cisco-IOS-XE-ethernet:cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.hold_time is not None:
                            return True

                        if self.size is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ethernet.Cfm.Traceroute.Cache']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet/Cisco-IOS-XE-ethernet:cfm/Cisco-IOS-XE-ethernet:traceroute'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cache is not None and self.cache._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ethernet.Cfm.Traceroute']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet/Cisco-IOS-XE-ethernet:cfm'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ais is not None and self.ais._has_data():
                    return True

                if self.alarm is not None and self.alarm._has_data():
                    return True

                if self.domain is not None:
                    for child_ref in self.domain:
                        if child_ref._has_data():
                            return True

                if self.global_ is not None:
                    return True

                if self.ieee is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.mep is not None and self.mep._has_data():
                    return True

                if self.mip is not None and self.mip._has_data():
                    return True

                if self.traceroute is not None and self.traceroute._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ethernet.Cfm']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ethernet'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.cfm is not None and self.cfm._has_data():
                return True

            if self.evc is not None:
                for child_ref in self.evc:
                    if child_ref._has_data():
                        return True

            if self.lmi is not None and self.lmi._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Ethernet']['meta_info']


    class AccessList(object):
        """
        Add an access list entry
        
        .. attribute:: access_list_expanded_range
        
        	
        	**type**\: list of    :py:class:`AccessListExpandedRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListExpandedRange>`
        
        .. attribute:: access_list_extended_range
        
        	
        	**type**\: list of    :py:class:`AccessListExtendedRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListExtendedRange>`
        
        .. attribute:: access_list_standard_range
        
        	
        	**type**\: list of    :py:class:`AccessListStandardRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListStandardRange>`
        
        .. attribute:: hardware
        
        	
        	**type**\:   :py:class:`Hardware <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.Hardware>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.access_list_expanded_range = YList()
            self.access_list_expanded_range.parent = self
            self.access_list_expanded_range.name = 'access_list_expanded_range'
            self.access_list_extended_range = YList()
            self.access_list_extended_range.parent = self
            self.access_list_extended_range.name = 'access_list_extended_range'
            self.access_list_standard_range = YList()
            self.access_list_standard_range.parent = self
            self.access_list_standard_range.name = 'access_list_standard_range'
            self.hardware = Native.AccessList.Hardware()
            self.hardware.parent = self


        class AccessListStandardRange(object):
            """
            
            
            .. attribute:: listnumber  <key>
            
            	
            	**type**\:  int
            
            	**range:** 1..99
            
            .. attribute:: permit
            
            	Specify packets to forward
            	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListStandardRange.Permit>`
            
            .. attribute:: std_access_list_rule
            
            	
            	**type**\: list of    :py:class:`StdAccessListRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListStandardRange.StdAccessListRule>`
            
            

            """

            _prefix = 'ios-acl'
            _revision = '2017-03-22'

            def __init__(self):
                self.parent = None
                self.listnumber = None
                self.permit = Native.AccessList.AccessListStandardRange.Permit()
                self.permit.parent = self
                self.std_access_list_rule = YList()
                self.std_access_list_rule.parent = self
                self.std_access_list_rule.name = 'std_access_list_rule'


            class StdAccessListRule(object):
                """
                
                
                .. attribute:: rule  <key>
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-03-22'

                def __init__(self):
                    self.parent = None
                    self.rule = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.rule is None:
                        raise YPYModelError('Key property rule is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-acl:std-access-list-rule[Cisco-IOS-XE-acl:rule = ' + str(self.rule) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.rule is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.AccessList.AccessListStandardRange.StdAccessListRule']['meta_info']


            class Permit(object):
                """
                Specify packets to forward
                
                .. attribute:: ipv4_or_hostname
                
                	
                	**type**\: list of    :py:class:`Ipv4OrHostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListStandardRange.Permit.Ipv4OrHostname>`
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-03-22'

                def __init__(self):
                    self.parent = None
                    self.ipv4_or_hostname = YList()
                    self.ipv4_or_hostname.parent = self
                    self.ipv4_or_hostname.name = 'ipv4_or_hostname'


                class Ipv4OrHostname(object):
                    """
                    
                    
                    .. attribute:: ipv4_or_hostname  <key>
                    
                    	Address to match
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                    
                    
                    ----
                    .. attribute:: log
                    
                    	Log matches against this entry
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: wildcard
                    
                    	Wildcard bits
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-03-22'

                    def __init__(self):
                        self.parent = None
                        self.ipv4_or_hostname = None
                        self.log = None
                        self.wildcard = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.ipv4_or_hostname is None:
                            raise YPYModelError('Key property ipv4_or_hostname is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-acl:ipv4-or-hostname[Cisco-IOS-XE-acl:ipv4-or-hostname = ' + str(self.ipv4_or_hostname) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4_or_hostname is not None:
                            return True

                        if self.log is not None:
                            return True

                        if self.wildcard is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.AccessList.AccessListStandardRange.Permit.Ipv4OrHostname']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-acl:permit'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipv4_or_hostname is not None:
                        for child_ref in self.ipv4_or_hostname:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.AccessList.AccessListStandardRange.Permit']['meta_info']

            @property
            def _common_path(self):
                if self.listnumber is None:
                    raise YPYModelError('Key property listnumber is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:access-list/Cisco-IOS-XE-acl:access-list-standard-range[Cisco-IOS-XE-acl:listnumber = ' + str(self.listnumber) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.listnumber is not None:
                    return True

                if self.permit is not None and self.permit._has_data():
                    return True

                if self.std_access_list_rule is not None:
                    for child_ref in self.std_access_list_rule:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.AccessList.AccessListStandardRange']['meta_info']


        class AccessListExtendedRange(object):
            """
            
            
            .. attribute:: listnumber  <key>
            
            	
            	**type**\:  int
            
            	**range:** 100..199
            
            .. attribute:: ext_access_list_rule
            
            	
            	**type**\: list of    :py:class:`ExtAccessListRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListExtendedRange.ExtAccessListRule>`
            
            

            """

            _prefix = 'ios-acl'
            _revision = '2017-03-22'

            def __init__(self):
                self.parent = None
                self.listnumber = None
                self.ext_access_list_rule = YList()
                self.ext_access_list_rule.parent = self
                self.ext_access_list_rule.name = 'ext_access_list_rule'


            class ExtAccessListRule(object):
                """
                
                
                .. attribute:: rule  <key>
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-03-22'

                def __init__(self):
                    self.parent = None
                    self.rule = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.rule is None:
                        raise YPYModelError('Key property rule is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-acl:ext-access-list-rule[Cisco-IOS-XE-acl:rule = ' + str(self.rule) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.rule is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.AccessList.AccessListExtendedRange.ExtAccessListRule']['meta_info']

            @property
            def _common_path(self):
                if self.listnumber is None:
                    raise YPYModelError('Key property listnumber is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:access-list/Cisco-IOS-XE-acl:access-list-extended-range[Cisco-IOS-XE-acl:listnumber = ' + str(self.listnumber) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.listnumber is not None:
                    return True

                if self.ext_access_list_rule is not None:
                    for child_ref in self.ext_access_list_rule:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.AccessList.AccessListExtendedRange']['meta_info']


        class Hardware(object):
            """
            
            
            .. attribute:: capture
            
            	
            	**type**\:   :py:class:`Capture <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.Hardware.Capture>`
            
            

            """

            _prefix = 'ios-acl'
            _revision = '2017-03-22'

            def __init__(self):
                self.parent = None
                self.capture = Native.AccessList.Hardware.Capture()
                self.capture.parent = self


            class Capture(object):
                """
                
                
                .. attribute:: mode
                
                	
                	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.Hardware.Capture.ModeEnum>`
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-03-22'

                def __init__(self):
                    self.parent = None
                    self.mode = None

                class ModeEnum(Enum):
                    """
                    ModeEnum

                    .. data:: vlan = 0

                    """

                    vlan = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.AccessList.Hardware.Capture.ModeEnum']


                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:access-list/Cisco-IOS-XE-acl:hardware/Cisco-IOS-XE-acl:capture'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.mode is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.AccessList.Hardware.Capture']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:access-list/Cisco-IOS-XE-acl:hardware'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.capture is not None and self.capture._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.AccessList.Hardware']['meta_info']


        class AccessListExpandedRange(object):
            """
            
            
            .. attribute:: ip_extended_range  <key>
            
            	IP extended access list (expanded range)
            	**type**\:  int
            
            	**range:** 2000..2699
            
            .. attribute:: deny
            
            	Specify packets to reject
            	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListExpandedRange.Deny>`
            
            .. attribute:: permit
            
            	Specify packets to forward
            	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListExpandedRange.Permit>`
            
            

            """

            _prefix = 'ios-acl'
            _revision = '2017-03-22'

            def __init__(self):
                self.parent = None
                self.ip_extended_range = None
                self.deny = Native.AccessList.AccessListExpandedRange.Deny()
                self.deny.parent = self
                self.permit = Native.AccessList.AccessListExpandedRange.Permit()
                self.permit.parent = self


            class Permit(object):
                """
                Specify packets to forward
                
                .. attribute:: ip
                
                	Any Internet Protocol
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListExpandedRange.Permit.Ip>`
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-03-22'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.AccessList.AccessListExpandedRange.Permit.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    Any Internet Protocol
                    
                    .. attribute:: host
                    
                    	A single source host
                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListExpandedRange.Permit.Ip.Host>`
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-03-22'

                    def __init__(self):
                        self.parent = None
                        self.host = Native.AccessList.AccessListExpandedRange.Permit.Ip.Host()
                        self.host.parent = self


                    class Host(object):
                        """
                        A single source host
                        
                        .. attribute:: ipv4_or_hostname
                        
                        	
                        	**type**\: list of    :py:class:`Ipv4OrHostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname>`
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-03-22'

                        def __init__(self):
                            self.parent = None
                            self.ipv4_or_hostname = YList()
                            self.ipv4_or_hostname.parent = self
                            self.ipv4_or_hostname.name = 'ipv4_or_hostname'


                        class Ipv4OrHostname(object):
                            """
                            
                            
                            .. attribute:: ipv4_or_hostname  <key>
                            
                            	Source address
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            
                            ----
                            .. attribute:: host
                            
                            	A single destination host
                            	**type**\:   :py:class:`Host_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-03-22'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_or_hostname = None
                                self.host = Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_()
                                self.host.parent = self


                            class Host_(object):
                                """
                                A single destination host
                                
                                .. attribute:: ipv4_or_hostname
                                
                                	
                                	**type**\: list of    :py:class:`Ipv4OrHostname_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_>`
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-03-22'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_or_hostname = YList()
                                    self.ipv4_or_hostname.parent = self
                                    self.ipv4_or_hostname.name = 'ipv4_or_hostname'


                                class Ipv4OrHostname_(object):
                                    """
                                    
                                    
                                    .. attribute:: ipv4_or_hostname  <key>
                                    
                                    	Destination address
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                                    
                                    
                                    ----
                                    .. attribute:: dscp
                                    
                                    	Match packets with given dscp value
                                    	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Dscp>`
                                    
                                    .. attribute:: time_range
                                    
                                    	Time\-range entry name
                                    	**type**\:  str
                                    
                                    .. attribute:: tos
                                    
                                    	Match packets with given TOS value
                                    	**type**\:   :py:class:`Tos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Tos>`
                                    
                                    

                                    """

                                    _prefix = 'ios-acl'
                                    _revision = '2017-03-22'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_or_hostname = None
                                        self.dscp = Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Dscp()
                                        self.dscp.parent = self
                                        self.time_range = None
                                        self.tos = Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Tos()
                                        self.tos.parent = self


                                    class Dscp(object):
                                        """
                                        Match packets with given dscp value
                                        
                                        .. attribute:: dscp_val
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..63
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-acl'
                                        _revision = '2017-03-22'

                                        def __init__(self):
                                            self.parent = None
                                            self.dscp_val = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-acl:dscp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dscp_val is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Dscp']['meta_info']


                                    class Tos(object):
                                        """
                                        Match packets with given TOS value
                                        
                                        .. attribute:: max_reliability
                                        
                                        	Match packets with max reliable TOS (2)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_throughput
                                        
                                        	Match packets with max throughput TOS (4)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: min_delay
                                        
                                        	Match packets with min delay TOS (8)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: min_monetary_cost
                                        
                                        	Match packets with min monetary cost TOS (1)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: normal
                                        
                                        	Match packets with normal TOS (0)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: range
                                        
                                        	Type of service value
                                        	**type**\:  int
                                        
                                        	**range:** 0..15
                                        
                                        

                                        """

                                        _prefix = 'ios-acl'
                                        _revision = '2017-03-22'

                                        def __init__(self):
                                            self.parent = None
                                            self.max_reliability = None
                                            self.max_throughput = None
                                            self.min_delay = None
                                            self.min_monetary_cost = None
                                            self.normal = None
                                            self.range = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-acl:tos'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max_reliability is not None:
                                                return True

                                            if self.max_throughput is not None:
                                                return True

                                            if self.min_delay is not None:
                                                return True

                                            if self.min_monetary_cost is not None:
                                                return True

                                            if self.normal is not None:
                                                return True

                                            if self.range is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Tos']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ipv4_or_hostname is None:
                                            raise YPYModelError('Key property ipv4_or_hostname is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-acl:ipv4-or-hostname[Cisco-IOS-XE-acl:ipv4-or-hostname = ' + str(self.ipv4_or_hostname) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_or_hostname is not None:
                                            return True

                                        if self.dscp is not None and self.dscp._has_data():
                                            return True

                                        if self.time_range is not None:
                                            return True

                                        if self.tos is not None and self.tos._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-acl:host'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_or_hostname is not None:
                                        for child_ref in self.ipv4_or_hostname:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname.Host_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ipv4_or_hostname is None:
                                    raise YPYModelError('Key property ipv4_or_hostname is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-acl:ipv4-or-hostname[Cisco-IOS-XE-acl:ipv4-or-hostname = ' + str(self.ipv4_or_hostname) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4_or_hostname is not None:
                                    return True

                                if self.host is not None and self.host._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.AccessList.AccessListExpandedRange.Permit.Ip.Host.Ipv4OrHostname']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-acl:host'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4_or_hostname is not None:
                                for child_ref in self.ipv4_or_hostname:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.AccessList.AccessListExpandedRange.Permit.Ip.Host']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-acl:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.host is not None and self.host._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.AccessList.AccessListExpandedRange.Permit.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-acl:permit'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.AccessList.AccessListExpandedRange.Permit']['meta_info']


            class Deny(object):
                """
                Specify packets to reject
                
                .. attribute:: ip
                
                	Any Internet Protocol
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListExpandedRange.Deny.Ip>`
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-03-22'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.AccessList.AccessListExpandedRange.Deny.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    Any Internet Protocol
                    
                    .. attribute:: host
                    
                    	A single source host
                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListExpandedRange.Deny.Ip.Host>`
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-03-22'

                    def __init__(self):
                        self.parent = None
                        self.host = Native.AccessList.AccessListExpandedRange.Deny.Ip.Host()
                        self.host.parent = self


                    class Host(object):
                        """
                        A single source host
                        
                        .. attribute:: ipv4_or_hostname
                        
                        	
                        	**type**\: list of    :py:class:`Ipv4OrHostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname>`
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-03-22'

                        def __init__(self):
                            self.parent = None
                            self.ipv4_or_hostname = YList()
                            self.ipv4_or_hostname.parent = self
                            self.ipv4_or_hostname.name = 'ipv4_or_hostname'


                        class Ipv4OrHostname(object):
                            """
                            
                            
                            .. attribute:: ipv4_or_hostname  <key>
                            
                            	Source address
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            
                            ----
                            .. attribute:: host
                            
                            	A single destination host
                            	**type**\:   :py:class:`Host_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-03-22'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_or_hostname = None
                                self.host = Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_()
                                self.host.parent = self


                            class Host_(object):
                                """
                                A single destination host
                                
                                .. attribute:: ipv4_or_hostname
                                
                                	
                                	**type**\: list of    :py:class:`Ipv4OrHostname_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_>`
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-03-22'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_or_hostname = YList()
                                    self.ipv4_or_hostname.parent = self
                                    self.ipv4_or_hostname.name = 'ipv4_or_hostname'


                                class Ipv4OrHostname_(object):
                                    """
                                    
                                    
                                    .. attribute:: ipv4_or_hostname  <key>
                                    
                                    	Destination address
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                                    
                                    
                                    ----
                                    .. attribute:: dscp
                                    
                                    	Match packets with given dscp value
                                    	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Dscp>`
                                    
                                    .. attribute:: time_range
                                    
                                    	Time\-range entry name
                                    	**type**\:  str
                                    
                                    .. attribute:: tos
                                    
                                    	Match packets with given TOS value
                                    	**type**\:   :py:class:`Tos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Tos>`
                                    
                                    

                                    """

                                    _prefix = 'ios-acl'
                                    _revision = '2017-03-22'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_or_hostname = None
                                        self.dscp = Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Dscp()
                                        self.dscp.parent = self
                                        self.time_range = None
                                        self.tos = Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Tos()
                                        self.tos.parent = self


                                    class Dscp(object):
                                        """
                                        Match packets with given dscp value
                                        
                                        .. attribute:: dscp_val
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 0..63
                                        
                                        
                                        ----
                                        	**type**\:   :py:class:`DscpTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpTypeEnum>`
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-acl'
                                        _revision = '2017-03-22'

                                        def __init__(self):
                                            self.parent = None
                                            self.dscp_val = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-acl:dscp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dscp_val is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Dscp']['meta_info']


                                    class Tos(object):
                                        """
                                        Match packets with given TOS value
                                        
                                        .. attribute:: max_reliability
                                        
                                        	Match packets with max reliable TOS (2)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_throughput
                                        
                                        	Match packets with max throughput TOS (4)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: min_delay
                                        
                                        	Match packets with min delay TOS (8)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: min_monetary_cost
                                        
                                        	Match packets with min monetary cost TOS (1)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: normal
                                        
                                        	Match packets with normal TOS (0)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: range
                                        
                                        	Type of service value
                                        	**type**\:  int
                                        
                                        	**range:** 0..15
                                        
                                        

                                        """

                                        _prefix = 'ios-acl'
                                        _revision = '2017-03-22'

                                        def __init__(self):
                                            self.parent = None
                                            self.max_reliability = None
                                            self.max_throughput = None
                                            self.min_delay = None
                                            self.min_monetary_cost = None
                                            self.normal = None
                                            self.range = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-acl:tos'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max_reliability is not None:
                                                return True

                                            if self.max_throughput is not None:
                                                return True

                                            if self.min_delay is not None:
                                                return True

                                            if self.min_monetary_cost is not None:
                                                return True

                                            if self.normal is not None:
                                                return True

                                            if self.range is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_.Tos']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ipv4_or_hostname is None:
                                            raise YPYModelError('Key property ipv4_or_hostname is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-acl:ipv4-or-hostname[Cisco-IOS-XE-acl:ipv4-or-hostname = ' + str(self.ipv4_or_hostname) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_or_hostname is not None:
                                            return True

                                        if self.dscp is not None and self.dscp._has_data():
                                            return True

                                        if self.time_range is not None:
                                            return True

                                        if self.tos is not None and self.tos._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_.Ipv4OrHostname_']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-acl:host'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_or_hostname is not None:
                                        for child_ref in self.ipv4_or_hostname:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname.Host_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ipv4_or_hostname is None:
                                    raise YPYModelError('Key property ipv4_or_hostname is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-acl:ipv4-or-hostname[Cisco-IOS-XE-acl:ipv4-or-hostname = ' + str(self.ipv4_or_hostname) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4_or_hostname is not None:
                                    return True

                                if self.host is not None and self.host._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.AccessList.AccessListExpandedRange.Deny.Ip.Host.Ipv4OrHostname']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-acl:host'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4_or_hostname is not None:
                                for child_ref in self.ipv4_or_hostname:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.AccessList.AccessListExpandedRange.Deny.Ip.Host']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-acl:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.host is not None and self.host._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.AccessList.AccessListExpandedRange.Deny.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-acl:deny'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.AccessList.AccessListExpandedRange.Deny']['meta_info']

            @property
            def _common_path(self):
                if self.ip_extended_range is None:
                    raise YPYModelError('Key property ip_extended_range is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:access-list/Cisco-IOS-XE-acl:access-list-expanded-range[Cisco-IOS-XE-acl:IP-extended-range = ' + str(self.ip_extended_range) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ip_extended_range is not None:
                    return True

                if self.deny is not None and self.deny._has_data():
                    return True

                if self.permit is not None and self.permit._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.AccessList.AccessListExpandedRange']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:access-list'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.access_list_expanded_range is not None:
                for child_ref in self.access_list_expanded_range:
                    if child_ref._has_data():
                        return True

            if self.access_list_extended_range is not None:
                for child_ref in self.access_list_extended_range:
                    if child_ref._has_data():
                        return True

            if self.access_list_standard_range is not None:
                for child_ref in self.access_list_standard_range:
                    if child_ref._has_data():
                        return True

            if self.hardware is not None and self.hardware._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.AccessList']['meta_info']


    class BridgeDomain(object):
        """
        Bridge\-domain global configuration commands
        
        .. attribute:: brd_id
        
        	
        	**type**\: list of    :py:class:`BrdId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId>`
        
        .. attribute:: c_mac
        
        	Configure c\-mac global commands
        	**type**\:   :py:class:`CMac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.CMac>`
        
        .. attribute:: otv
        
        	Configure overlay bridge domains
        	**type**\:   :py:class:`Otv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Otv>`
        
        .. attribute:: parameterized
        
        	bridge\-domain is derived from parameters
        	**type**\:   :py:class:`Parameterized <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.brd_id = YList()
            self.brd_id.parent = self
            self.brd_id.name = 'brd_id'
            self.c_mac = Native.BridgeDomain.CMac()
            self.c_mac.parent = self
            self.otv = Native.BridgeDomain.Otv()
            self.otv.parent = self
            self.parameterized = Native.BridgeDomain.Parameterized()
            self.parameterized.parent = self


        class BrdId(object):
            """
            
            
            .. attribute:: bridge_domain_id  <key>
            
            	<1..8192>;;bridge\-domain ID
            	**type**\:  int
            
            	**range:** 1..8192
            
            .. attribute:: ip
            
            	IP related commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Ip>`
            
            .. attribute:: mac
            
            	MAC Address related commands
            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Mac>`
            
            .. attribute:: member
            
            	bridge\-domain member
            	**type**\:   :py:class:`Member <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member>`
            
            .. attribute:: shutdown
            
            	Take the bridge domain admin down
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-bd'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.bridge_domain_id = None
                self.ip = Native.BridgeDomain.BrdId.Ip()
                self.ip.parent = self
                self.mac = Native.BridgeDomain.BrdId.Mac()
                self.mac.parent = self
                self.member = Native.BridgeDomain.BrdId.Member()
                self.member.parent = self
                self.shutdown = None


            class Ip(object):
                """
                IP related commands
                
                .. attribute:: igmp
                
                	IP igmp commands
                	**type**\:   :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Ip.Igmp>`
                
                

                """

                _prefix = 'ios-bd'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.igmp = Native.BridgeDomain.BrdId.Ip.Igmp()
                    self.igmp.parent = self


                class Igmp(object):
                    """
                    IP igmp commands
                    
                    .. attribute:: snooping
                    
                    	IP igmp snooping commands
                    	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Ip.Igmp.Snooping>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-bd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.snooping = None


                    class Snooping(object):
                        """
                        IP igmp snooping commands
                        
                        .. attribute:: check
                        
                        	enforce TTL or Rtr\-Alert Option checking
                        	**type**\:   :py:class:`Check <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Check>`
                        
                        .. attribute:: explicit_tracking
                        
                        	IGMP explicit host tracking configuration
                        	**type**\:   :py:class:`ExplicitTracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.ExplicitTracking>`
                        
                        .. attribute:: immediate_leave
                        
                        	Enable IGMPv2 immediate leave processing
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: last_member_query_count
                        
                        	Last member query count
                        	**type**\:  int
                        
                        	**range:** 1..7
                        
                        .. attribute:: last_member_query_interval
                        
                        	Last member query interval
                        	**type**\:  int
                        
                        	**range:** 100..32767
                        
                        .. attribute:: mrouter
                        
                        	Configure an L2 port as a multicast router port
                        	**type**\:   :py:class:`Mrouter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Mrouter>`
                        
                        .. attribute:: querier
                        
                        	Enable IGMP querier for this Bdomain
                        	**type**\:   :py:class:`Querier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Querier>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: report_suppression
                        
                        	Enable IGMP report suppression
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: robustness_variable
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..3
                        
                        .. attribute:: static
                        
                        	Configure an L2 port as a member of a group
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.check = Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Check()
                            self.check.parent = self
                            self.explicit_tracking = Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.ExplicitTracking()
                            self.explicit_tracking.parent = self
                            self.immediate_leave = None
                            self.last_member_query_count = None
                            self.last_member_query_interval = None
                            self.mrouter = Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Mrouter()
                            self.mrouter.parent = self
                            self.querier = None
                            self.report_suppression = None
                            self.robustness_variable = None
                            self.static = None


                        class Check(object):
                            """
                            enforce TTL or Rtr\-Alert Option checking
                            
                            .. attribute:: rtr_alert_option
                            
                            	Only accept IGMP packets with router\-alert option
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ttl
                            
                            	Only accept IGMP packets with TTL=1
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rtr_alert_option = None
                                self.ttl = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:check'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rtr_alert_option is not None:
                                    return True

                                if self.ttl is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Check']['meta_info']


                        class ExplicitTracking(object):
                            """
                            IGMP explicit host tracking configuration
                            
                            .. attribute:: limit
                            
                            	Explicit Host Tracking DB limit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:explicit-tracking'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.ExplicitTracking']['meta_info']


                        class Mrouter(object):
                            """
                            Configure an L2 port as a multicast router port
                            
                            .. attribute:: interface
                            
                            	next\-hop interface to mrouter
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interface = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:mrouter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interface is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Mrouter']['meta_info']


                        class Querier(object):
                            """
                            Enable IGMP querier for this Bdomain
                            
                            .. attribute:: address
                            
                            	IGMP querier source IP address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_response_time
                            
                            	IGMP querier maximum response time (sec)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: query_interval
                            
                            	IGMP querier query interval (sec)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tcn
                            
                            	IGMP querier TCN related parameters
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: timer
                            
                            	IGMP other querier timer
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: version
                            
                            	IGMP version
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.address = None
                                self.max_response_time = None
                                self.query_interval = None
                                self.tcn = None
                                self.timer = None
                                self.version = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:querier'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.address is not None:
                                    return True

                                if self.max_response_time is not None:
                                    return True

                                if self.query_interval is not None:
                                    return True

                                if self.tcn is not None:
                                    return True

                                if self.timer is not None:
                                    return True

                                if self.version is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Querier']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:snooping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.check is not None and self.check._has_data():
                                return True

                            if self.explicit_tracking is not None and self.explicit_tracking._has_data():
                                return True

                            if self.immediate_leave is not None:
                                return True

                            if self.last_member_query_count is not None:
                                return True

                            if self.last_member_query_interval is not None:
                                return True

                            if self.mrouter is not None and self.mrouter._has_data():
                                return True

                            if self.querier is not None and self.querier._has_data():
                                return True

                            if self.report_suppression is not None:
                                return True

                            if self.robustness_variable is not None:
                                return True

                            if self.static is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.BridgeDomain.BrdId.Ip.Igmp.Snooping']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:igmp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.snooping is not None and self.snooping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.BridgeDomain.BrdId.Ip.Igmp']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.igmp is not None and self.igmp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.BridgeDomain.BrdId.Ip']['meta_info']


            class Mac(object):
                """
                MAC Address related commands
                
                .. attribute:: aging_time
                
                	Set age time of mac addresses per bridge domain
                	**type**\:  int
                
                	**range:** 30..3600
                
                .. attribute:: learning
                
                	Disable mac learning on bridge domain
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: limit
                
                	Limit the MAC Addresses learnt
                	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Mac.Limit>`
                
                

                """

                _prefix = 'ios-bd'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.aging_time = None
                    self.learning = None
                    self.limit = Native.BridgeDomain.BrdId.Mac.Limit()
                    self.limit.parent = self


                class Limit(object):
                    """
                    Limit the MAC Addresses learnt
                    
                    .. attribute:: action
                    
                    	action when exceeding the limit
                    	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Mac.Limit.Action>`
                    
                    .. attribute:: maximum
                    
                    	Maximum
                    	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Mac.Limit.Maximum>`
                    
                    

                    """

                    _prefix = 'ios-bd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.action = Native.BridgeDomain.BrdId.Mac.Limit.Action()
                        self.action.parent = self
                        self.maximum = Native.BridgeDomain.BrdId.Mac.Limit.Maximum()
                        self.maximum.parent = self


                    class Action(object):
                        """
                        action when exceeding the limit
                        
                        .. attribute:: flooding
                        
                        	Mac flooding
                        	**type**\:   :py:class:`Flooding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Mac.Limit.Action.Flooding>`
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.flooding = Native.BridgeDomain.BrdId.Mac.Limit.Action.Flooding()
                            self.flooding.parent = self


                        class Flooding(object):
                            """
                            Mac flooding
                            
                            .. attribute:: disable
                            
                            	disable
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:flooding'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.BridgeDomain.BrdId.Mac.Limit.Action.Flooding']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:action'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.flooding is not None and self.flooding._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.BridgeDomain.BrdId.Mac.Limit.Action']['meta_info']


                    class Maximum(object):
                        """
                        Maximum
                        
                        .. attribute:: addresses
                        
                        	Addresses
                        	**type**\:  int
                        
                        	**range:** 1..65536
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.addresses = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:maximum'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.addresses is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.BridgeDomain.BrdId.Mac.Limit.Maximum']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:limit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.action is not None and self.action._has_data():
                            return True

                        if self.maximum is not None and self.maximum._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.BridgeDomain.BrdId.Mac.Limit']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:mac'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.aging_time is not None:
                        return True

                    if self.learning is not None:
                        return True

                    if self.limit is not None and self.limit._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.BridgeDomain.BrdId.Mac']['meta_info']


            class Member(object):
                """
                bridge\-domain member
                
                .. attribute:: acr
                
                	
                	**type**\: list of    :py:class:`Acr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member.Acr>`
                
                .. attribute:: analysis_module
                
                	Cisco network analysis service module
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: fcpa
                
                	Fiber Channel
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: mem_ipv4
                
                	
                	**type**\: list of    :py:class:`MemIpv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member.MemIpv4>`
                
                .. attribute:: member_interface
                
                	
                	**type**\: list of    :py:class:`MemberInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member.MemberInterface>`
                
                .. attribute:: sbc
                
                	Session Border Controller
                	**type**\:  int
                
                	**range:** 0..2147483647
                
                .. attribute:: service_engine
                
                	Cisco service engine module
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: sonet_acr
                
                	Virtual SONET\-ACR controller
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: tunnel_tp
                
                	MPLS Transport Profile interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: ucse
                
                	Cisco ucse server
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: vasileft
                
                	VasiLeft interface
                	**type**\:  int
                
                	**range:** 1..2000
                
                .. attribute:: vasiright
                
                	VasiRight interface
                	**type**\:  int
                
                	**range:** 1..2000
                
                .. attribute:: vfi
                
                	Enter VFI name
                	**type**\:  str
                
                .. attribute:: virtual_tokenring
                
                	Virtual TokenRing
                	**type**\:  int
                
                	**range:** 0..2147483647
                
                .. attribute:: vni
                
                	
                	**type**\:  int
                
                	**range:** 4096..16777215
                
                .. attribute:: vpn
                
                	VPN interface
                	**type**\:  int
                
                	**range:** 0..2147483647
                
                .. attribute:: y_controller
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-bd'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.acr = YList()
                    self.acr.parent = self
                    self.acr.name = 'acr'
                    self.analysis_module = None
                    self.fcpa = None
                    self.mem_ipv4 = YList()
                    self.mem_ipv4.parent = self
                    self.mem_ipv4.name = 'mem_ipv4'
                    self.member_interface = YList()
                    self.member_interface.parent = self
                    self.member_interface.name = 'member_interface'
                    self.sbc = None
                    self.service_engine = None
                    self.sonet_acr = None
                    self.tunnel_tp = None
                    self.ucse = None
                    self.vasileft = None
                    self.vasiright = None
                    self.vfi = None
                    self.virtual_tokenring = None
                    self.vni = None
                    self.vpn = None
                    self.y_controller = None


                class MemIpv4(object):
                    """
                    
                    
                    .. attribute:: mem_ipv4  <key>
                    
                    	IP address of the peer
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: encapsulation
                    
                    	Data encapsulation method
                    	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member.MemIpv4.Encapsulation>`
                    
                    .. attribute:: mem_vcid
                    
                    	
                    	**type**\: list of    :py:class:`MemVcid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid>`
                    
                    .. attribute:: template
                    
                    	Template to use for encapsulation and protocol configuration
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-bd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.mem_ipv4 = None
                        self.encapsulation = Native.BridgeDomain.BrdId.Member.MemIpv4.Encapsulation()
                        self.encapsulation.parent = self
                        self.mem_vcid = YList()
                        self.mem_vcid.parent = self
                        self.mem_vcid.name = 'mem_vcid'
                        self.template = None


                    class MemVcid(object):
                        """
                        
                        
                        .. attribute:: mem_vcid  <key>
                        
                        	<1..4294967295>;;Enter VC ID value
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid.Encapsulation>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: template
                        
                        	Template to use for encapsulation and protocol configuration
                        	**type**\:   :py:class:`Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid.Template>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.mem_vcid = None
                            self.encapsulation = None
                            self.template = None


                        class Encapsulation(object):
                            """
                            Data encapsulation method
                            
                            .. attribute:: mpls
                            
                            	Use MPLS encapsulation
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.mpls = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:encapsulation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.mpls is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid.Encapsulation']['meta_info']


                        class Template(object):
                            """
                            Template to use for encapsulation and protocol configuration
                            
                            .. attribute:: template
                            
                            	<WORD>;;template name (Max size 32)
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.template = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:template'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.template is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid.Template']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.mem_vcid is None:
                                raise YPYModelError('Key property mem_vcid is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:mem-vcid[Cisco-IOS-XE-bridge-domain:mem-vcid = ' + str(self.mem_vcid) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.mem_vcid is not None:
                                return True

                            if self.encapsulation is not None and self.encapsulation._has_data():
                                return True

                            if self.template is not None and self.template._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid']['meta_info']


                    class Encapsulation(object):
                        """
                        Data encapsulation method
                        
                        .. attribute:: mpls
                        
                        	Use MPLS encapsulation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.mpls = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:encapsulation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.mpls is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.BridgeDomain.BrdId.Member.MemIpv4.Encapsulation']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.mem_ipv4 is None:
                            raise YPYModelError('Key property mem_ipv4 is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:mem-ipv4[Cisco-IOS-XE-bridge-domain:mem-ipv4 = ' + str(self.mem_ipv4) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.mem_ipv4 is not None:
                            return True

                        if self.encapsulation is not None and self.encapsulation._has_data():
                            return True

                        if self.mem_vcid is not None:
                            for child_ref in self.mem_vcid:
                                if child_ref._has_data():
                                    return True

                        if self.template is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.BridgeDomain.BrdId.Member.MemIpv4']['meta_info']


                class Acr(object):
                    """
                    
                    
                    .. attribute:: acr_int  <key>
                    
                    	<WORD>;;Virtual ACR interface
                    	**type**\:  str
                    
                    .. attribute:: service_instance
                    
                    	ethernt serivce instance
                    	**type**\:   :py:class:`ServiceInstance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member.Acr.ServiceInstance>`
                    
                    

                    """

                    _prefix = 'ios-bd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr_int = None
                        self.service_instance = Native.BridgeDomain.BrdId.Member.Acr.ServiceInstance()
                        self.service_instance.parent = self


                    class ServiceInstance(object):
                        """
                        ethernt serivce instance
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: list of    :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member.Acr.ServiceInstance.Id>`
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = YList()
                            self.id.parent = self
                            self.id.name = 'id'


                        class Id(object):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	<1..8000>;;Service Instance Identifier
                            	**type**\:  int
                            
                            	**range:** 1..8000
                            
                            .. attribute:: split_horizon
                            
                            	Configure this port as a member of a split horizon group
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.split_horizon = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:id[Cisco-IOS-XE-bridge-domain:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.split_horizon is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.BridgeDomain.BrdId.Member.Acr.ServiceInstance.Id']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:service-instance'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                for child_ref in self.id:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.BridgeDomain.BrdId.Member.Acr.ServiceInstance']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.acr_int is None:
                            raise YPYModelError('Key property acr_int is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:ACR[Cisco-IOS-XE-bridge-domain:acr-int = ' + str(self.acr_int) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr_int is not None:
                            return True

                        if self.service_instance is not None and self.service_instance._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.BridgeDomain.BrdId.Member.Acr']['meta_info']


                class MemberInterface(object):
                    """
                    
                    
                    .. attribute:: interface  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: interface_id
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    
                    ----
                    .. attribute:: service_instance
                    
                    	ethernt serivce instance
                    	**type**\:  int
                    
                    	**range:** 1..8000
                    
                    .. attribute:: split_horizon
                    
                    	Configure this port as a member of a split horizon group
                    	**type**\:   :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member.MemberInterface.SplitHorizon>`
                    
                    

                    """

                    _prefix = 'ios-bd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interface = None
                        self.interface_id = None
                        self.service_instance = None
                        self.split_horizon = Native.BridgeDomain.BrdId.Member.MemberInterface.SplitHorizon()
                        self.split_horizon.parent = self


                    class SplitHorizon(object):
                        """
                        Configure this port as a member of a split horizon group
                        
                        .. attribute:: group
                        
                        	Split\-horizon group
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.group = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:split-horizon'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.group is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.BridgeDomain.BrdId.Member.MemberInterface.SplitHorizon']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.interface is None:
                            raise YPYModelError('Key property interface is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:member-interface[Cisco-IOS-XE-bridge-domain:interface = ' + str(self.interface) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interface is not None:
                            return True

                        if self.interface_id is not None:
                            return True

                        if self.service_instance is not None:
                            return True

                        if self.split_horizon is not None and self.split_horizon._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.BridgeDomain.BrdId.Member.MemberInterface']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:member'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.acr is not None:
                        for child_ref in self.acr:
                            if child_ref._has_data():
                                return True

                    if self.analysis_module is not None:
                        return True

                    if self.fcpa is not None:
                        return True

                    if self.mem_ipv4 is not None:
                        for child_ref in self.mem_ipv4:
                            if child_ref._has_data():
                                return True

                    if self.member_interface is not None:
                        for child_ref in self.member_interface:
                            if child_ref._has_data():
                                return True

                    if self.sbc is not None:
                        return True

                    if self.service_engine is not None:
                        return True

                    if self.sonet_acr is not None:
                        return True

                    if self.tunnel_tp is not None:
                        return True

                    if self.ucse is not None:
                        return True

                    if self.vasileft is not None:
                        return True

                    if self.vasiright is not None:
                        return True

                    if self.vfi is not None:
                        return True

                    if self.virtual_tokenring is not None:
                        return True

                    if self.vni is not None:
                        return True

                    if self.vpn is not None:
                        return True

                    if self.y_controller is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.BridgeDomain.BrdId.Member']['meta_info']

            @property
            def _common_path(self):
                if self.bridge_domain_id is None:
                    raise YPYModelError('Key property bridge_domain_id is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:brd-id[Cisco-IOS-XE-bridge-domain:bridge-domain-id = ' + str(self.bridge_domain_id) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.bridge_domain_id is not None:
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.mac is not None and self.mac._has_data():
                    return True

                if self.member is not None and self.member._has_data():
                    return True

                if self.shutdown is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.BridgeDomain.BrdId']['meta_info']


        class CMac(object):
            """
            Configure c\-mac global commands
            
            .. attribute:: aging_time
            
            	Configure aging time for c\-mac bridge domains
            	**type**\:  int
            
            	**range:** 30..3600
            
            

            """

            _prefix = 'ios-bd'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.aging_time = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:c-mac'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.aging_time is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.BridgeDomain.CMac']['meta_info']


        class Otv(object):
            """
            Configure overlay bridge domains
            
            .. attribute:: default
            
            	Change default setting of overlay bridge domains
            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Otv.Default>`
            
            

            """

            _prefix = 'ios-bd'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.default = Native.BridgeDomain.Otv.Default()
                self.default.parent = self


            class Default(object):
                """
                Change default setting of overlay bridge domains
                
                .. attribute:: age_time
                
                	Configure default mac aging time of overlay bridge domains
                	**type**\:  int
                
                	**range:** 30..3600
                
                

                """

                _prefix = 'ios-bd'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.age_time = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:otv/Cisco-IOS-XE-bridge-domain:default'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.age_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.BridgeDomain.Otv.Default']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:otv'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.default is not None and self.default._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.BridgeDomain.Otv']['meta_info']


        class Parameterized(object):
            """
            bridge\-domain is derived from parameters
            
            .. attribute:: vlan
            
            	bridge\-domain from service instance vlan
            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios-bd'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.vlan = None


            class Vlan(object):
                """
                bridge\-domain from service instance vlan
                
                .. attribute:: ip
                
                	IP related commands
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Ip>`
                
                .. attribute:: mac
                
                	MAC Address related commands
                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Mac>`
                
                .. attribute:: member
                
                	bridge\-domain member
                	**type**\:   :py:class:`Member <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member>`
                
                .. attribute:: shutdown
                
                	Take the bridge domain admin down
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-bd'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.ip = Native.BridgeDomain.Parameterized.Vlan.Ip()
                    self.ip.parent = self
                    self.mac = Native.BridgeDomain.Parameterized.Vlan.Mac()
                    self.mac.parent = self
                    self.member = Native.BridgeDomain.Parameterized.Vlan.Member()
                    self.member.parent = self
                    self.shutdown = None


                class Ip(object):
                    """
                    IP related commands
                    
                    .. attribute:: igmp
                    
                    	IP igmp commands
                    	**type**\:   :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp>`
                    
                    

                    """

                    _prefix = 'ios-bd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.igmp = Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp()
                        self.igmp.parent = self


                    class Igmp(object):
                        """
                        IP igmp commands
                        
                        .. attribute:: snooping
                        
                        	IP igmp snooping commands
                        	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.snooping = None


                        class Snooping(object):
                            """
                            IP igmp snooping commands
                            
                            .. attribute:: check
                            
                            	enforce TTL or Rtr\-Alert Option checking
                            	**type**\:   :py:class:`Check <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Check>`
                            
                            .. attribute:: explicit_tracking
                            
                            	IGMP explicit host tracking configuration
                            	**type**\:   :py:class:`ExplicitTracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.ExplicitTracking>`
                            
                            .. attribute:: immediate_leave
                            
                            	Enable IGMPv2 immediate leave processing
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: last_member_query_count
                            
                            	Last member query count
                            	**type**\:  int
                            
                            	**range:** 1..7
                            
                            .. attribute:: last_member_query_interval
                            
                            	Last member query interval
                            	**type**\:  int
                            
                            	**range:** 100..32767
                            
                            .. attribute:: mrouter
                            
                            	Configure an L2 port as a multicast router port
                            	**type**\:   :py:class:`Mrouter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Mrouter>`
                            
                            .. attribute:: querier
                            
                            	Enable IGMP querier for this Bdomain
                            	**type**\:   :py:class:`Querier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Querier>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: report_suppression
                            
                            	Enable IGMP report suppression
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: robustness_variable
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..3
                            
                            .. attribute:: static
                            
                            	Configure an L2 port as a member of a group
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.check = Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Check()
                                self.check.parent = self
                                self.explicit_tracking = Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.ExplicitTracking()
                                self.explicit_tracking.parent = self
                                self.immediate_leave = None
                                self.last_member_query_count = None
                                self.last_member_query_interval = None
                                self.mrouter = Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Mrouter()
                                self.mrouter.parent = self
                                self.querier = None
                                self.report_suppression = None
                                self.robustness_variable = None
                                self.static = None


                            class Check(object):
                                """
                                enforce TTL or Rtr\-Alert Option checking
                                
                                .. attribute:: rtr_alert_option
                                
                                	Only accept IGMP packets with router\-alert option
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ttl
                                
                                	Only accept IGMP packets with TTL=1
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bd'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.rtr_alert_option = None
                                    self.ttl = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/Cisco-IOS-XE-bridge-domain:vlan/Cisco-IOS-XE-bridge-domain:ip/Cisco-IOS-XE-bridge-domain:igmp/Cisco-IOS-XE-bridge-domain:snooping/Cisco-IOS-XE-bridge-domain:check'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.rtr_alert_option is not None:
                                        return True

                                    if self.ttl is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Check']['meta_info']


                            class ExplicitTracking(object):
                                """
                                IGMP explicit host tracking configuration
                                
                                .. attribute:: limit
                                
                                	Explicit Host Tracking DB limit
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bd'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/Cisco-IOS-XE-bridge-domain:vlan/Cisco-IOS-XE-bridge-domain:ip/Cisco-IOS-XE-bridge-domain:igmp/Cisco-IOS-XE-bridge-domain:snooping/Cisco-IOS-XE-bridge-domain:explicit-tracking'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.ExplicitTracking']['meta_info']


                            class Mrouter(object):
                                """
                                Configure an L2 port as a multicast router port
                                
                                .. attribute:: interface
                                
                                	next\-hop interface to mrouter
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bd'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interface = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/Cisco-IOS-XE-bridge-domain:vlan/Cisco-IOS-XE-bridge-domain:ip/Cisco-IOS-XE-bridge-domain:igmp/Cisco-IOS-XE-bridge-domain:snooping/Cisco-IOS-XE-bridge-domain:mrouter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Mrouter']['meta_info']


                            class Querier(object):
                                """
                                Enable IGMP querier for this Bdomain
                                
                                .. attribute:: address
                                
                                	IGMP querier source IP address
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_response_time
                                
                                	IGMP querier maximum response time (sec)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: query_interval
                                
                                	IGMP querier query interval (sec)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tcn
                                
                                	IGMP querier TCN related parameters
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: timer
                                
                                	IGMP other querier timer
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: version
                                
                                	IGMP version
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bd'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.address = None
                                    self.max_response_time = None
                                    self.query_interval = None
                                    self.tcn = None
                                    self.timer = None
                                    self.version = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/Cisco-IOS-XE-bridge-domain:vlan/Cisco-IOS-XE-bridge-domain:ip/Cisco-IOS-XE-bridge-domain:igmp/Cisco-IOS-XE-bridge-domain:snooping/Cisco-IOS-XE-bridge-domain:querier'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.address is not None:
                                        return True

                                    if self.max_response_time is not None:
                                        return True

                                    if self.query_interval is not None:
                                        return True

                                    if self.tcn is not None:
                                        return True

                                    if self.timer is not None:
                                        return True

                                    if self.version is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Querier']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/Cisco-IOS-XE-bridge-domain:vlan/Cisco-IOS-XE-bridge-domain:ip/Cisco-IOS-XE-bridge-domain:igmp/Cisco-IOS-XE-bridge-domain:snooping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.check is not None and self.check._has_data():
                                    return True

                                if self.explicit_tracking is not None and self.explicit_tracking._has_data():
                                    return True

                                if self.immediate_leave is not None:
                                    return True

                                if self.last_member_query_count is not None:
                                    return True

                                if self.last_member_query_interval is not None:
                                    return True

                                if self.mrouter is not None and self.mrouter._has_data():
                                    return True

                                if self.querier is not None and self.querier._has_data():
                                    return True

                                if self.report_suppression is not None:
                                    return True

                                if self.robustness_variable is not None:
                                    return True

                                if self.static is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/Cisco-IOS-XE-bridge-domain:vlan/Cisco-IOS-XE-bridge-domain:ip/Cisco-IOS-XE-bridge-domain:igmp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.snooping is not None and self.snooping._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/Cisco-IOS-XE-bridge-domain:vlan/Cisco-IOS-XE-bridge-domain:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.igmp is not None and self.igmp._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Ip']['meta_info']


                class Mac(object):
                    """
                    MAC Address related commands
                    
                    .. attribute:: aging_time
                    
                    	Set age time of mac addresses per bridge domain
                    	**type**\:  int
                    
                    	**range:** 30..3600
                    
                    .. attribute:: learning
                    
                    	Disable mac learning on bridge domain
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: limit
                    
                    	Limit the MAC Addresses learnt
                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Mac.Limit>`
                    
                    

                    """

                    _prefix = 'ios-bd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.aging_time = None
                        self.learning = None
                        self.limit = Native.BridgeDomain.Parameterized.Vlan.Mac.Limit()
                        self.limit.parent = self


                    class Limit(object):
                        """
                        Limit the MAC Addresses learnt
                        
                        .. attribute:: action
                        
                        	action when exceeding the limit
                        	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action>`
                        
                        .. attribute:: maximum
                        
                        	Maximum
                        	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Maximum>`
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.action = Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action()
                            self.action.parent = self
                            self.maximum = Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Maximum()
                            self.maximum.parent = self


                        class Action(object):
                            """
                            action when exceeding the limit
                            
                            .. attribute:: flooding
                            
                            	Mac flooding
                            	**type**\:   :py:class:`Flooding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action.Flooding>`
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.flooding = Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action.Flooding()
                                self.flooding.parent = self


                            class Flooding(object):
                                """
                                Mac flooding
                                
                                .. attribute:: disable
                                
                                	disable
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bd'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.disable = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/Cisco-IOS-XE-bridge-domain:vlan/Cisco-IOS-XE-bridge-domain:mac/Cisco-IOS-XE-bridge-domain:limit/Cisco-IOS-XE-bridge-domain:action/Cisco-IOS-XE-bridge-domain:flooding'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action.Flooding']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/Cisco-IOS-XE-bridge-domain:vlan/Cisco-IOS-XE-bridge-domain:mac/Cisco-IOS-XE-bridge-domain:limit/Cisco-IOS-XE-bridge-domain:action'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.flooding is not None and self.flooding._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action']['meta_info']


                        class Maximum(object):
                            """
                            Maximum
                            
                            .. attribute:: addresses
                            
                            	Addresses
                            	**type**\:  int
                            
                            	**range:** 1..65536
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.addresses = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/Cisco-IOS-XE-bridge-domain:vlan/Cisco-IOS-XE-bridge-domain:mac/Cisco-IOS-XE-bridge-domain:limit/Cisco-IOS-XE-bridge-domain:maximum'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.addresses is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Maximum']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/Cisco-IOS-XE-bridge-domain:vlan/Cisco-IOS-XE-bridge-domain:mac/Cisco-IOS-XE-bridge-domain:limit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.action is not None and self.action._has_data():
                                return True

                            if self.maximum is not None and self.maximum._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Mac.Limit']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/Cisco-IOS-XE-bridge-domain:vlan/Cisco-IOS-XE-bridge-domain:mac'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.aging_time is not None:
                            return True

                        if self.learning is not None:
                            return True

                        if self.limit is not None and self.limit._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Mac']['meta_info']


                class Member(object):
                    """
                    bridge\-domain member
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: list of    :py:class:`Acr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member.Acr>`
                    
                    .. attribute:: analysis_module
                    
                    	Cisco network analysis service module
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: fcpa
                    
                    	Fiber Channel
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: mem_ipv4
                    
                    	
                    	**type**\: list of    :py:class:`MemIpv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4>`
                    
                    .. attribute:: member_interface
                    
                    	
                    	**type**\: list of    :py:class:`MemberInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface>`
                    
                    .. attribute:: sbc
                    
                    	Session Border Controller
                    	**type**\:  int
                    
                    	**range:** 0..2147483647
                    
                    .. attribute:: service_engine
                    
                    	Cisco service engine module
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: sonet_acr
                    
                    	Virtual SONET\-ACR controller
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: tunnel_tp
                    
                    	MPLS Transport Profile interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: ucse
                    
                    	Cisco ucse server
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: vasileft
                    
                    	VasiLeft interface
                    	**type**\:  int
                    
                    	**range:** 1..2000
                    
                    .. attribute:: vasiright
                    
                    	VasiRight interface
                    	**type**\:  int
                    
                    	**range:** 1..2000
                    
                    .. attribute:: vfi
                    
                    	Enter VFI name
                    	**type**\:  str
                    
                    .. attribute:: virtual_tokenring
                    
                    	Virtual TokenRing
                    	**type**\:  int
                    
                    	**range:** 0..2147483647
                    
                    .. attribute:: vni
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 4096..16777215
                    
                    .. attribute:: vpn
                    
                    	VPN interface
                    	**type**\:  int
                    
                    	**range:** 0..2147483647
                    
                    .. attribute:: y_controller
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-bd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acr = YList()
                        self.acr.parent = self
                        self.acr.name = 'acr'
                        self.analysis_module = None
                        self.fcpa = None
                        self.mem_ipv4 = YList()
                        self.mem_ipv4.parent = self
                        self.mem_ipv4.name = 'mem_ipv4'
                        self.member_interface = YList()
                        self.member_interface.parent = self
                        self.member_interface.name = 'member_interface'
                        self.sbc = None
                        self.service_engine = None
                        self.sonet_acr = None
                        self.tunnel_tp = None
                        self.ucse = None
                        self.vasileft = None
                        self.vasiright = None
                        self.vfi = None
                        self.virtual_tokenring = None
                        self.vni = None
                        self.vpn = None
                        self.y_controller = None


                    class MemIpv4(object):
                        """
                        
                        
                        .. attribute:: mem_ipv4  <key>
                        
                        	IP address of the peer
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.Encapsulation>`
                        
                        .. attribute:: mem_vcid
                        
                        	
                        	**type**\: list of    :py:class:`MemVcid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid>`
                        
                        .. attribute:: template
                        
                        	Template to use for encapsulation and protocol configuration
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.mem_ipv4 = None
                            self.encapsulation = Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.Encapsulation()
                            self.encapsulation.parent = self
                            self.mem_vcid = YList()
                            self.mem_vcid.parent = self
                            self.mem_vcid.name = 'mem_vcid'
                            self.template = None


                        class MemVcid(object):
                            """
                            
                            
                            .. attribute:: mem_vcid  <key>
                            
                            	<1..4294967295>;;Enter VC ID value
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: encapsulation
                            
                            	Data encapsulation method
                            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid.Encapsulation>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: template
                            
                            	Template to use for encapsulation and protocol configuration
                            	**type**\:   :py:class:`Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid.Template>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mem_vcid = None
                                self.encapsulation = None
                                self.template = None


                            class Encapsulation(object):
                                """
                                Data encapsulation method
                                
                                .. attribute:: mpls
                                
                                	Use MPLS encapsulation
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bd'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.mpls = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:encapsulation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.mpls is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid.Encapsulation']['meta_info']


                            class Template(object):
                                """
                                Template to use for encapsulation and protocol configuration
                                
                                .. attribute:: template
                                
                                	<WORD>;;template name (Max size 32)
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bd'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.template = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:template'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.template is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid.Template']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.mem_vcid is None:
                                    raise YPYModelError('Key property mem_vcid is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:mem-vcid[Cisco-IOS-XE-bridge-domain:mem-vcid = ' + str(self.mem_vcid) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mem_vcid is not None:
                                    return True

                                if self.encapsulation is not None and self.encapsulation._has_data():
                                    return True

                                if self.template is not None and self.template._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid']['meta_info']


                        class Encapsulation(object):
                            """
                            Data encapsulation method
                            
                            .. attribute:: mpls
                            
                            	Use MPLS encapsulation
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mpls = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:encapsulation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mpls is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.Encapsulation']['meta_info']

                        @property
                        def _common_path(self):
                            if self.mem_ipv4 is None:
                                raise YPYModelError('Key property mem_ipv4 is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/Cisco-IOS-XE-bridge-domain:vlan/Cisco-IOS-XE-bridge-domain:member/Cisco-IOS-XE-bridge-domain:mem-ipv4[Cisco-IOS-XE-bridge-domain:mem-ipv4 = ' + str(self.mem_ipv4) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.mem_ipv4 is not None:
                                return True

                            if self.encapsulation is not None and self.encapsulation._has_data():
                                return True

                            if self.mem_vcid is not None:
                                for child_ref in self.mem_vcid:
                                    if child_ref._has_data():
                                        return True

                            if self.template is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4']['meta_info']


                    class Acr(object):
                        """
                        
                        
                        .. attribute:: acr_int  <key>
                        
                        	<WORD>;;Virtual ACR interface
                        	**type**\:  str
                        
                        .. attribute:: service_instance
                        
                        	ethernt serivce instance
                        	**type**\:   :py:class:`ServiceInstance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member.Acr.ServiceInstance>`
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acr_int = None
                            self.service_instance = Native.BridgeDomain.Parameterized.Vlan.Member.Acr.ServiceInstance()
                            self.service_instance.parent = self


                        class ServiceInstance(object):
                            """
                            ethernt serivce instance
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: list of    :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member.Acr.ServiceInstance.Id>`
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = YList()
                                self.id.parent = self
                                self.id.name = 'id'


                            class Id(object):
                                """
                                
                                
                                .. attribute:: id  <key>
                                
                                	<1..8000>;;Service Instance Identifier
                                	**type**\:  int
                                
                                	**range:** 1..8000
                                
                                .. attribute:: split_horizon
                                
                                	Configure this port as a member of a split horizon group
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bd'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.split_horizon = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:id[Cisco-IOS-XE-bridge-domain:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.split_horizon is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.Acr.ServiceInstance.Id']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:service-instance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    for child_ref in self.id:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.Acr.ServiceInstance']['meta_info']

                        @property
                        def _common_path(self):
                            if self.acr_int is None:
                                raise YPYModelError('Key property acr_int is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/Cisco-IOS-XE-bridge-domain:vlan/Cisco-IOS-XE-bridge-domain:member/Cisco-IOS-XE-bridge-domain:ACR[Cisco-IOS-XE-bridge-domain:acr-int = ' + str(self.acr_int) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acr_int is not None:
                                return True

                            if self.service_instance is not None and self.service_instance._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.Acr']['meta_info']


                    class MemberInterface(object):
                        """
                        
                        
                        .. attribute:: interface  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: interface_id
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        .. attribute:: service_instance
                        
                        	ethernt serivce instance
                        	**type**\:  int
                        
                        	**range:** 1..8000
                        
                        .. attribute:: split_horizon
                        
                        	Configure this port as a member of a split horizon group
                        	**type**\:   :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface.SplitHorizon>`
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None
                            self.interface_id = None
                            self.service_instance = None
                            self.split_horizon = Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface.SplitHorizon()
                            self.split_horizon.parent = self


                        class SplitHorizon(object):
                            """
                            Configure this port as a member of a split horizon group
                            
                            .. attribute:: group
                            
                            	Split\-horizon group
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.group = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bridge-domain:split-horizon'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.group is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface.SplitHorizon']['meta_info']

                        @property
                        def _common_path(self):
                            if self.interface is None:
                                raise YPYModelError('Key property interface is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/Cisco-IOS-XE-bridge-domain:vlan/Cisco-IOS-XE-bridge-domain:member/Cisco-IOS-XE-bridge-domain:member-interface[Cisco-IOS-XE-bridge-domain:interface = ' + str(self.interface) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            if self.interface_id is not None:
                                return True

                            if self.service_instance is not None:
                                return True

                            if self.split_horizon is not None and self.split_horizon._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/Cisco-IOS-XE-bridge-domain:vlan/Cisco-IOS-XE-bridge-domain:member'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acr is not None:
                            for child_ref in self.acr:
                                if child_ref._has_data():
                                    return True

                        if self.analysis_module is not None:
                            return True

                        if self.fcpa is not None:
                            return True

                        if self.mem_ipv4 is not None:
                            for child_ref in self.mem_ipv4:
                                if child_ref._has_data():
                                    return True

                        if self.member_interface is not None:
                            for child_ref in self.member_interface:
                                if child_ref._has_data():
                                    return True

                        if self.sbc is not None:
                            return True

                        if self.service_engine is not None:
                            return True

                        if self.sonet_acr is not None:
                            return True

                        if self.tunnel_tp is not None:
                            return True

                        if self.ucse is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.vfi is not None:
                            return True

                        if self.virtual_tokenring is not None:
                            return True

                        if self.vni is not None:
                            return True

                        if self.vpn is not None:
                            return True

                        if self.y_controller is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan.Member']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/Cisco-IOS-XE-bridge-domain:vlan'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.ip is not None and self.ip._has_data():
                        return True

                    if self.mac is not None and self.mac._has_data():
                        return True

                    if self.member is not None and self.member._has_data():
                        return True

                    if self.shutdown is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.BridgeDomain.Parameterized.Vlan']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.vlan is not None and self.vlan._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.BridgeDomain.Parameterized']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bridge-domain'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.brd_id is not None:
                for child_ref in self.brd_id:
                    if child_ref._has_data():
                        return True

            if self.c_mac is not None and self.c_mac._has_data():
                return True

            if self.otv is not None and self.otv._has_data():
                return True

            if self.parameterized is not None and self.parameterized._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.BridgeDomain']['meta_info']


    class Crypto(object):
        """
        Encryption module
        
        .. attribute:: call
        
        	Configure Crypto Call Admission Control
        	**type**\:   :py:class:`Call <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Call>`
        
        .. attribute:: dynamic_map
        
        	Specify a dynamic crypto map template
        	**type**\: list of    :py:class:`DynamicMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap>`
        
        .. attribute:: engine
        
        	Enter a crypto engine configurable menu
        	**type**\:   :py:class:`Engine <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Engine>`
        
        .. attribute:: gdoi
        
        	Configure GKM (Group Key Management, GDOI or G\-IKEv2) Policy
        	**type**\:   :py:class:`Gdoi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi>`
        
        .. attribute:: gkm
        
        	Configure GKM (Group Key Management, GDOI or G\-IKEv2) Policy
        	**type**\:   :py:class:`Gkm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm>`
        
        .. attribute:: identity
        
        	Enter a crypto identity list
        	**type**\: list of    :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Identity>`
        
        .. attribute:: ikev2
        
        	Configure IKEv2 Options
        	**type**\:   :py:class:`Ikev2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2>`
        
        .. attribute:: ipsec
        
        	Configure IPSEC policy
        	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec>`
        
        .. attribute:: isakmp
        
        	Configure ISAKMP policy
        	**type**\:   :py:class:`Isakmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp>`
        
        .. attribute:: key
        
        	Long term key operations
        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key>`
        
        .. attribute:: keyring
        
        	Key ring commands
        	**type**\: list of    :py:class:`Keyring <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring>`
        
        .. attribute:: logging
        
        	logging messages
        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Logging>`
        
        .. attribute:: map_client
        
        	
        	**type**\:   :py:class:`MapClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapClient>`
        
        .. attribute:: map_ipv6
        
        	
        	**type**\:   :py:class:`MapIpv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6>`
        
        .. attribute:: map_ipv6_gdoi
        
        	
        	**type**\:   :py:class:`MapIpv6Gdoi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6Gdoi>`
        
        .. attribute:: mib
        
        	Configure Crypto\-related MIB Parameters
        	**type**\:   :py:class:`Mib <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Mib>`
        
        .. attribute:: pki
        
        	Public Key components
        	**type**\:   :py:class:`Pki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki>`
        
        .. attribute:: ssl
        
        	Configure Crypto SSL Options
        	**type**\:   :py:class:`Ssl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ssl>`
        
        .. attribute:: tls_tunnel
        
        	
        	**type**\:   :py:class:`TlsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel>`
        
        .. attribute:: vpn
        
        	Configure crypto vpn commands
        	**type**\:   :py:class:`Vpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Vpn>`
        
        .. attribute:: xauth
        
        	X\-Auth parameters
        	**type**\:  str
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.call = Native.Crypto.Call()
            self.call.parent = self
            self.dynamic_map = YList()
            self.dynamic_map.parent = self
            self.dynamic_map.name = 'dynamic_map'
            self.engine = Native.Crypto.Engine()
            self.engine.parent = self
            self.gdoi = Native.Crypto.Gdoi()
            self.gdoi.parent = self
            self.gkm = Native.Crypto.Gkm()
            self.gkm.parent = self
            self.identity = YList()
            self.identity.parent = self
            self.identity.name = 'identity'
            self.ikev2 = Native.Crypto.Ikev2()
            self.ikev2.parent = self
            self.ipsec = Native.Crypto.Ipsec()
            self.ipsec.parent = self
            self.isakmp = Native.Crypto.Isakmp()
            self.isakmp.parent = self
            self.key = Native.Crypto.Key()
            self.key.parent = self
            self.keyring = YList()
            self.keyring.parent = self
            self.keyring.name = 'keyring'
            self.logging = Native.Crypto.Logging()
            self.logging.parent = self
            self.map_client = Native.Crypto.MapClient()
            self.map_client.parent = self
            self.map_ipv6 = Native.Crypto.MapIpv6()
            self.map_ipv6.parent = self
            self.map_ipv6_gdoi = Native.Crypto.MapIpv6Gdoi()
            self.map_ipv6_gdoi.parent = self
            self.mib = Native.Crypto.Mib()
            self.mib.parent = self
            self.pki = Native.Crypto.Pki()
            self.pki.parent = self
            self.ssl = Native.Crypto.Ssl()
            self.ssl.parent = self
            self.tls_tunnel = Native.Crypto.TlsTunnel()
            self.tls_tunnel.parent = self
            self.vpn = Native.Crypto.Vpn()
            self.vpn.parent = self
            self.xauth = None


        class Call(object):
            """
            Configure Crypto Call Admission Control
            
            .. attribute:: admission
            
            	Configure Crypto Call Admission Control
            	**type**\:   :py:class:`Admission <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Call.Admission>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.admission = Native.Crypto.Call.Admission()
                self.admission.parent = self


            class Admission(object):
                """
                Configure Crypto Call Admission Control
                
                .. attribute:: limit
                
                	Configure Crypto Call Admission Control limits
                	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Call.Admission.Limit>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.limit = Native.Crypto.Call.Admission.Limit()
                    self.limit.parent = self


                class Limit(object):
                    """
                    Configure Crypto Call Admission Control limits
                    
                    .. attribute:: all
                    
                    	onfigure Crypto Call Admission Control total in\-negotiation SA limit
                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Call.Admission.Limit.All>`
                    
                    .. attribute:: ike
                    
                    	Configure Crypto Call Admission Control active IKE SA limit
                    	**type**\:   :py:class:`Ike <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Call.Admission.Limit.Ike>`
                    
                    .. attribute:: ipsec
                    
                    	Configure Crypto Call Admission Control active IPSec SA limit
                    	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Call.Admission.Limit.Ipsec>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.all = Native.Crypto.Call.Admission.Limit.All()
                        self.all.parent = self
                        self.ike = Native.Crypto.Call.Admission.Limit.Ike()
                        self.ike.parent = self
                        self.ipsec = Native.Crypto.Call.Admission.Limit.Ipsec()
                        self.ipsec.parent = self


                    class All(object):
                        """
                        onfigure Crypto Call Admission Control total in\-negotiation SA limit
                        
                        .. attribute:: in_negotiation_sa
                        
                        	Maximum number of in\-negotiation SAs allowed
                        	**type**\:  int
                        
                        	**range:** 10..99999
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.in_negotiation_sa = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:call/Cisco-IOS-XE-crypto:admission/Cisco-IOS-XE-crypto:limit/Cisco-IOS-XE-crypto:all'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.in_negotiation_sa is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Call.Admission.Limit.All']['meta_info']


                    class Ike(object):
                        """
                        Configure Crypto Call Admission Control active IKE SA limit
                        
                        .. attribute:: in_negotiation_sa
                        
                        	Maximum number of in\-negotiation IKE SAs allowed
                        	**type**\:  int
                        
                        	**range:** 10..99999
                        
                        .. attribute:: sa
                        
                        	Maximum active IKE SAs allowed
                        	**type**\:  int
                        
                        	**range:** 0..99999
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.in_negotiation_sa = None
                            self.sa = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:call/Cisco-IOS-XE-crypto:admission/Cisco-IOS-XE-crypto:limit/Cisco-IOS-XE-crypto:ike'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.in_negotiation_sa is not None:
                                return True

                            if self.sa is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Call.Admission.Limit.Ike']['meta_info']


                    class Ipsec(object):
                        """
                        Configure Crypto Call Admission Control active IPSec SA limit
                        
                        .. attribute:: sa
                        
                        	Maximum active IPSec SAs allowed
                        	**type**\:  int
                        
                        	**range:** 0..99999
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.sa = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:call/Cisco-IOS-XE-crypto:admission/Cisco-IOS-XE-crypto:limit/Cisco-IOS-XE-crypto:ipsec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.sa is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Call.Admission.Limit.Ipsec']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:call/Cisco-IOS-XE-crypto:admission/Cisco-IOS-XE-crypto:limit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.all is not None and self.all._has_data():
                            return True

                        if self.ike is not None and self.ike._has_data():
                            return True

                        if self.ipsec is not None and self.ipsec._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Call.Admission.Limit']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:call/Cisco-IOS-XE-crypto:admission'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.limit is not None and self.limit._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Call.Admission']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:call'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.admission is not None and self.admission._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Crypto.Call']['meta_info']


        class DynamicMap(object):
            """
            Specify a dynamic crypto map template
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: sequence  <key>
            
            	
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: default
            
            	Set a command to its defaults
            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default>`
            
            .. attribute:: description
            
            	Description of the crypto map statement policy
            	**type**\:  str
            
            .. attribute:: dialer
            
            	Dialer related commands
            	**type**\:   :py:class:`Dialer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Dialer>`
            
            .. attribute:: match
            
            	Match values
            	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Match>`
            
            .. attribute:: qos
            
            	Quality of Service related commands
            	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Qos>`
            
            .. attribute:: reverse_route
            
            	Reverse Route Injection
            	**type**\:   :py:class:`ReverseRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.ReverseRoute>`
            
            	**presence node**\: True
            
            .. attribute:: set
            
            	Set values for encryption/decryption
            	**type**\:   :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.sequence = None
                self.default = Native.Crypto.DynamicMap.Default()
                self.default.parent = self
                self.description = None
                self.dialer = Native.Crypto.DynamicMap.Dialer()
                self.dialer.parent = self
                self.match = Native.Crypto.DynamicMap.Match()
                self.match.parent = self
                self.qos = Native.Crypto.DynamicMap.Qos()
                self.qos.parent = self
                self.reverse_route = None
                self.set = Native.Crypto.DynamicMap.Set()
                self.set.parent = self


            class Default(object):
                """
                Set a command to its defaults
                
                .. attribute:: description
                
                	Description of the crypto map statement policy
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dialer
                
                	Dialer related commands
                	**type**\:   :py:class:`Dialer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Dialer>`
                
                .. attribute:: match
                
                	Match values
                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Match>`
                
                .. attribute:: qos
                
                	Quality of Service related commands
                	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Qos>`
                
                .. attribute:: reverse_route
                
                	Reverse Route Injection
                	**type**\:   :py:class:`ReverseRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.ReverseRoute>`
                
                	**presence node**\: True
                
                .. attribute:: set
                
                	Set values for encryption/decryption
                	**type**\:   :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.description = None
                    self.dialer = Native.Crypto.DynamicMap.Default.Dialer()
                    self.dialer.parent = self
                    self.match = Native.Crypto.DynamicMap.Default.Match()
                    self.match.parent = self
                    self.qos = Native.Crypto.DynamicMap.Default.Qos()
                    self.qos.parent = self
                    self.reverse_route = None
                    self.set = Native.Crypto.DynamicMap.Default.Set()
                    self.set.parent = self


                class Dialer(object):
                    """
                    Dialer related commands
                    
                    .. attribute:: pre_classify
                    
                    	Enable dialer list classification before initiating IKE
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.pre_classify = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:dialer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.pre_classify is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.DynamicMap.Default.Dialer']['meta_info']


                class Match(object):
                    """
                    Match values
                    
                    .. attribute:: address
                    
                    	Match address of packets to encrypt
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:match'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.DynamicMap.Default.Match']['meta_info']


                class Qos(object):
                    """
                    Quality of Service related commands
                    
                    .. attribute:: pre_classify
                    
                    	Enable QOS classification before packets are tunnel encapsulated
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.pre_classify = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:qos'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.pre_classify is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.DynamicMap.Default.Qos']['meta_info']


                class ReverseRoute(object):
                    """
                    Reverse Route Injection.
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:reverse-route'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.DynamicMap.Default.ReverseRoute']['meta_info']


                class Set(object):
                    """
                    Set values for encryption/decryption
                    
                    .. attribute:: group
                    
                    	Set the san group parameters
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: identity
                    
                    	Identity restriction
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ikev2_profile
                    
                    	Specify ikev2 Profile
                    	**type**\:  str
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.Ip>`
                    
                    .. attribute:: isakmp_profile
                    
                    	Specify isakmp Profile
                    	**type**\:  str
                    
                    .. attribute:: nat
                    
                    	Set NAT translation
                    	**type**\:   :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.Nat>`
                    
                    .. attribute:: peer_container
                    
                    	
                    	**type**\:   :py:class:`PeerContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.PeerContainer>`
                    
                    .. attribute:: pfs
                    
                    	Specify pfs settings
                    	**type**\:   :py:class:`Pfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.Pfs>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: reverse_route
                    
                    	Reverse Route Injection
                    	**type**\:   :py:class:`ReverseRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.ReverseRoute>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: security_association
                    
                    	Security association parameters
                    	**type**\:   :py:class:`SecurityAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.SecurityAssociation>`
                    
                    .. attribute:: transform_set
                    
                    	Specify list of transform sets in priority order
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group = None
                        self.identity = None
                        self.ikev2_profile = None
                        self.ip = Native.Crypto.DynamicMap.Default.Set.Ip()
                        self.ip.parent = self
                        self.isakmp_profile = None
                        self.nat = Native.Crypto.DynamicMap.Default.Set.Nat()
                        self.nat.parent = self
                        self.peer_container = Native.Crypto.DynamicMap.Default.Set.PeerContainer()
                        self.peer_container.parent = self
                        self.pfs = None
                        self.reverse_route = None
                        self.security_association = Native.Crypto.DynamicMap.Default.Set.SecurityAssociation()
                        self.security_association.parent = self
                        self.transform_set = None


                    class Ip(object):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: access_group
                        
                        	Specify access control for packets
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..199 \| 1300..2699
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** [a\-zA\-Z].\*
                        
                        
                        ----
                        .. attribute:: direction
                        
                        	
                        	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.Ip.DirectionEnum>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.access_group = None
                            self.direction = None

                        class DirectionEnum(Enum):
                            """
                            DirectionEnum

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = 0

                            out = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.DynamicMap.Default.Set.Ip.DirectionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.access_group is not None:
                                return True

                            if self.direction is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.DynamicMap.Default.Set.Ip']['meta_info']


                    class Nat(object):
                        """
                        Set NAT translation
                        
                        .. attribute:: demux
                        
                        	Set NAT demultiplexing
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.demux = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:nat'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.demux is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.DynamicMap.Default.Set.Nat']['meta_info']


                    class PeerContainer(object):
                        """
                        
                        
                        .. attribute:: default
                        
                        	Reset to default peer in list in the event of a failure
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: peer
                        
                        	Allowed Encryption/Decryption peer
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.default = None
                            self.peer = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:peer-container'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.default is not None:
                                return True

                            if self.peer is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.DynamicMap.Default.Set.PeerContainer']['meta_info']


                    class Pfs(object):
                        """
                        Specify pfs settings
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:pfs'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.DynamicMap.Default.Set.Pfs']['meta_info']


                    class ReverseRoute(object):
                        """
                        Reverse Route Injection
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:reverse-route'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.DynamicMap.Default.Set.ReverseRoute']['meta_info']


                    class SecurityAssociation(object):
                        """
                        Security association parameters
                        
                        .. attribute:: dfbit
                        
                        	Handling of encapsulated DF bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dummy
                        
                        	Enable transmitting dummy packets
                        	**type**\:   :py:class:`Dummy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Dummy>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ecn
                        
                        	Handling of ECN bit
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: idle_time_container
                        
                        	
                        	**type**\:   :py:class:`IdleTimeContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.IdleTimeContainer>`
                        
                        .. attribute:: lifetime
                        
                        	security association lifetime
                        	**type**\:   :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Lifetime>`
                        
                        .. attribute:: replay
                        
                        	Set replay checking
                        	**type**\:   :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Replay>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dfbit = None
                            self.dummy = None
                            self.ecn = None
                            self.idle_time_container = Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.IdleTimeContainer()
                            self.idle_time_container.parent = self
                            self.lifetime = Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Lifetime()
                            self.lifetime.parent = self
                            self.replay = Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Replay()
                            self.replay.parent = self


                        class Dummy(object):
                            """
                            Enable transmitting dummy packets
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:dummy'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Dummy']['meta_info']


                        class IdleTimeContainer(object):
                            """
                            
                            
                            .. attribute:: default
                            
                            	All SAs idle\-out reset to default peer
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: idle_time
                            
                            	Automatically delete IPSec SAs after a given idle period
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.default = None
                                self.idle_time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:idle-time-container'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.default is not None:
                                    return True

                                if self.idle_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.IdleTimeContainer']['meta_info']


                        class Lifetime(object):
                            """
                            security association lifetime
                            
                            .. attribute:: days
                            
                            	Time\-based key duration in days
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: kilobytes
                            
                            	Volume\-based key duration
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: seconds
                            
                            	Time\-based key duration in seconds
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.days = None
                                self.kilobytes = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:lifetime'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.days is not None:
                                    return True

                                if self.kilobytes is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Lifetime']['meta_info']


                        class Replay(object):
                            """
                            Set replay checking.
                            
                            .. attribute:: disable
                            
                            	Disable replay checking
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: window_size
                            
                            	Set replay window size
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.disable = None
                                self.window_size = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:replay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.disable is not None:
                                    return True

                                if self.window_size is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Replay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:security-association'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dfbit is not None:
                                return True

                            if self.dummy is not None and self.dummy._has_data():
                                return True

                            if self.ecn is not None:
                                return True

                            if self.idle_time_container is not None and self.idle_time_container._has_data():
                                return True

                            if self.lifetime is not None and self.lifetime._has_data():
                                return True

                            if self.replay is not None and self.replay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.DynamicMap.Default.Set.SecurityAssociation']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:set'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group is not None:
                            return True

                        if self.identity is not None:
                            return True

                        if self.ikev2_profile is not None:
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.isakmp_profile is not None:
                            return True

                        if self.nat is not None and self.nat._has_data():
                            return True

                        if self.peer_container is not None and self.peer_container._has_data():
                            return True

                        if self.pfs is not None and self.pfs._has_data():
                            return True

                        if self.reverse_route is not None and self.reverse_route._has_data():
                            return True

                        if self.security_association is not None and self.security_association._has_data():
                            return True

                        if self.transform_set is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.DynamicMap.Default.Set']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.description is not None:
                        return True

                    if self.dialer is not None and self.dialer._has_data():
                        return True

                    if self.match is not None and self.match._has_data():
                        return True

                    if self.qos is not None and self.qos._has_data():
                        return True

                    if self.reverse_route is not None and self.reverse_route._has_data():
                        return True

                    if self.set is not None and self.set._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.DynamicMap.Default']['meta_info']


            class Dialer(object):
                """
                Dialer related commands
                
                .. attribute:: pre_classify
                
                	Enable dialer list classification before initiating IKE
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.pre_classify = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:dialer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.pre_classify is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.DynamicMap.Dialer']['meta_info']


            class Match(object):
                """
                Match values
                
                .. attribute:: address
                
                	Match address of packets to encrypt
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 100..199
                
                
                ----
                	**type**\:  int
                
                	**range:** 2000..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:match'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.DynamicMap.Match']['meta_info']


            class Qos(object):
                """
                Quality of Service related commands
                
                .. attribute:: pre_classify
                
                	Enable QOS classification before packets are tunnel encapsulated
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.pre_classify = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:qos'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.pre_classify is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.DynamicMap.Qos']['meta_info']


            class ReverseRoute(object):
                """
                Reverse Route Injection.
                
                .. attribute:: remote_peer_conatiner
                
                	
                	**type**\:   :py:class:`RemotePeerConatiner <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.ReverseRoute.RemotePeerConatiner>`
                
                .. attribute:: static
                
                	Create routes based on static ACLs permanently
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.remote_peer_conatiner = Native.Crypto.DynamicMap.ReverseRoute.RemotePeerConatiner()
                    self.remote_peer_conatiner.parent = self
                    self.static = None


                class RemotePeerConatiner(object):
                    """
                    
                    
                    .. attribute:: gateway
                    
                    	Force encrypted traffic via this preferred gateway
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: remote_peer
                    
                    	Create route in route table for remote tunnel endpoint
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: static
                    
                    	Create routes based on static ACLs permanently
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.gateway = None
                        self.remote_peer = None
                        self.static = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:remote-peer-conatiner'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.gateway is not None:
                            return True

                        if self.remote_peer is not None:
                            return True

                        if self.static is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.DynamicMap.ReverseRoute.RemotePeerConatiner']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:reverse-route'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.remote_peer_conatiner is not None and self.remote_peer_conatiner._has_data():
                        return True

                    if self.static is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.DynamicMap.ReverseRoute']['meta_info']


            class Set(object):
                """
                Set values for encryption/decryption
                
                .. attribute:: group
                
                	Set the san group parameters
                	**type**\:  str
                
                .. attribute:: identity
                
                	Identity restriction
                	**type**\:  str
                
                .. attribute:: ikev2_profile
                
                	Specify ikev2 Profile
                	**type**\:  str
                
                .. attribute:: ip_in
                
                	
                	**type**\:   :py:class:`IpIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.IpIn>`
                
                .. attribute:: ip_out
                
                	
                	**type**\:   :py:class:`IpOut <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.IpOut>`
                
                .. attribute:: isakmp_profile
                
                	Specify isakmp Profile
                	**type**\:  str
                
                .. attribute:: nat
                
                	Set NAT translation
                	**type**\:   :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.Nat>`
                
                .. attribute:: peer
                
                	Allowed Encryption/Decryption peer
                	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.Peer>`
                
                .. attribute:: peer_container
                
                	
                	**type**\:   :py:class:`PeerContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.PeerContainer>`
                
                .. attribute:: pfs
                
                	Specify pfs settings
                	**type**\:   :py:class:`Pfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.Pfs>`
                
                	**presence node**\: True
                
                .. attribute:: reverse_route
                
                	Reverse Route Injection
                	**type**\:   :py:class:`ReverseRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.ReverseRoute>`
                
                .. attribute:: security_association
                
                	Security association parameters
                	**type**\:   :py:class:`SecurityAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.SecurityAssociation>`
                
                .. attribute:: transform_set
                
                	Specify list of transform sets in priority order
                	**type**\:  list of str
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.group = None
                    self.identity = None
                    self.ikev2_profile = None
                    self.ip_in = Native.Crypto.DynamicMap.Set.IpIn()
                    self.ip_in.parent = self
                    self.ip_out = Native.Crypto.DynamicMap.Set.IpOut()
                    self.ip_out.parent = self
                    self.isakmp_profile = None
                    self.nat = Native.Crypto.DynamicMap.Set.Nat()
                    self.nat.parent = self
                    self.peer = Native.Crypto.DynamicMap.Set.Peer()
                    self.peer.parent = self
                    self.peer_container = Native.Crypto.DynamicMap.Set.PeerContainer()
                    self.peer_container.parent = self
                    self.pfs = None
                    self.reverse_route = Native.Crypto.DynamicMap.Set.ReverseRoute()
                    self.reverse_route.parent = self
                    self.security_association = Native.Crypto.DynamicMap.Set.SecurityAssociation()
                    self.security_association.parent = self
                    self.transform_set = YLeafList()
                    self.transform_set.parent = self
                    self.transform_set.name = 'transform_set'


                class Peer(object):
                    """
                    Allowed Encryption/Decryption peer.
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: default
                    
                    	Reset to default peer in list in the event of a failure
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dynamic
                    
                    	Resolve the peer address at the time of negotiation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.default = None
                        self.dynamic = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:peer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.default is not None:
                            return True

                        if self.dynamic is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.DynamicMap.Set.Peer']['meta_info']


                class Pfs(object):
                    """
                    Specify pfs settings
                    
                    .. attribute:: group
                    
                    	
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.Pfs.GroupEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.group = None

                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        .. data:: group1 = 0

                        .. data:: group14 = 1

                        .. data:: group15 = 2

                        .. data:: group16 = 3

                        .. data:: group19 = 4

                        .. data:: group2 = 5

                        .. data:: group20 = 6

                        .. data:: group21 = 7

                        .. data:: group24 = 8

                        .. data:: group5 = 9

                        """

                        group1 = 0

                        group14 = 1

                        group15 = 2

                        group16 = 3

                        group19 = 4

                        group2 = 5

                        group20 = 6

                        group21 = 7

                        group24 = 8

                        group5 = 9


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.DynamicMap.Set.Pfs.GroupEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:pfs'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.group is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.DynamicMap.Set.Pfs']['meta_info']


                class ReverseRoute(object):
                    """
                    Reverse Route Injection
                    
                    .. attribute:: distance
                    
                    	Distance metric for this static route
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: tag
                    
                    	Create route and tag it
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.distance = None
                        self.tag = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:reverse-route'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.distance is not None:
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.DynamicMap.Set.ReverseRoute']['meta_info']


                class IpIn(object):
                    """
                    
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.IpIn.Ip>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Crypto.DynamicMap.Set.IpIn.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: access_group
                        
                        	Specify access control for packets
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..199 \| 1300..2699
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** [a\-zA\-Z].\*
                        
                        
                        ----
                        .. attribute:: in_
                        
                        	inbound packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.access_group = None
                            self.in_ = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.access_group is not None:
                                return True

                            if self.in_ is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.DynamicMap.Set.IpIn.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:ip-in'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.DynamicMap.Set.IpIn']['meta_info']


                class IpOut(object):
                    """
                    
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.IpOut.Ip>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Crypto.DynamicMap.Set.IpOut.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: access_group
                        
                        	Specify access control for packets
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..199 \| 1300..2699
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** [a\-zA\-Z].\*
                        
                        
                        ----
                        .. attribute:: out
                        
                        	outbound packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.access_group = None
                            self.out = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.access_group is not None:
                                return True

                            if self.out is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.DynamicMap.Set.IpOut.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:ip-out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.DynamicMap.Set.IpOut']['meta_info']


                class Nat(object):
                    """
                    Set NAT translation
                    
                    .. attribute:: demux
                    
                    	Set NAT demultiplexing
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.demux = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:nat'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.demux is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.DynamicMap.Set.Nat']['meta_info']


                class PeerContainer(object):
                    """
                    
                    
                    .. attribute:: default
                    
                    	Reset to default peer in list in the event of a failure
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: peer
                    
                    	Allowed Encryption/Decryption peer
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.default = None
                        self.peer = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:peer-container'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.default is not None:
                            return True

                        if self.peer is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.DynamicMap.Set.PeerContainer']['meta_info']


                class SecurityAssociation(object):
                    """
                    Security association parameters
                    
                    .. attribute:: dfbit
                    
                    	Handling of encapsulated DF bit
                    	**type**\:   :py:class:`DfbitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.SecurityAssociation.DfbitEnum>`
                    
                    .. attribute:: dummy
                    
                    	Enable transmitting dummy packets
                    	**type**\:   :py:class:`Dummy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.SecurityAssociation.Dummy>`
                    
                    .. attribute:: ecn
                    
                    	Handling of ECN bit
                    	**type**\:   :py:class:`EcnEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.SecurityAssociation.EcnEnum>`
                    
                    .. attribute:: idle_time_container
                    
                    	
                    	**type**\:   :py:class:`IdleTimeContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.SecurityAssociation.IdleTimeContainer>`
                    
                    .. attribute:: lifetime
                    
                    	security association lifetime
                    	**type**\:   :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.SecurityAssociation.Lifetime>`
                    
                    .. attribute:: replay
                    
                    	Set replay checking
                    	**type**\:   :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.SecurityAssociation.Replay>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dfbit = None
                        self.dummy = Native.Crypto.DynamicMap.Set.SecurityAssociation.Dummy()
                        self.dummy.parent = self
                        self.ecn = None
                        self.idle_time_container = Native.Crypto.DynamicMap.Set.SecurityAssociation.IdleTimeContainer()
                        self.idle_time_container.parent = self
                        self.lifetime = Native.Crypto.DynamicMap.Set.SecurityAssociation.Lifetime()
                        self.lifetime.parent = self
                        self.replay = Native.Crypto.DynamicMap.Set.SecurityAssociation.Replay()
                        self.replay.parent = self

                    class DfbitEnum(Enum):
                        """
                        DfbitEnum

                        Handling of encapsulated DF bit.

                        .. data:: clear = 0

                        .. data:: copy = 1

                        .. data:: set = 2

                        """

                        clear = 0

                        copy = 1

                        set = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.DynamicMap.Set.SecurityAssociation.DfbitEnum']


                    class EcnEnum(Enum):
                        """
                        EcnEnum

                        Handling of ECN bit

                        .. data:: discard = 0

                        .. data:: propagate = 1

                        """

                        discard = 0

                        propagate = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.DynamicMap.Set.SecurityAssociation.EcnEnum']



                    class Dummy(object):
                        """
                        Enable transmitting dummy packets
                        
                        .. attribute:: pps
                        
                        	Simulated traffic rate (in pps)
                        	**type**\:  int
                        
                        	**range:** 0..25
                        
                        .. attribute:: seconds
                        
                        	Simulated traffic rate (in seconds)
                        	**type**\:  int
                        
                        	**range:** 1..3600
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.pps = None
                            self.seconds = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:dummy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.pps is not None:
                                return True

                            if self.seconds is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.DynamicMap.Set.SecurityAssociation.Dummy']['meta_info']


                    class IdleTimeContainer(object):
                        """
                        
                        
                        .. attribute:: default
                        
                        	All SAs idle\-out reset to default peer
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: idle_time
                        
                        	Automatically delete IPSec SAs after a given idle period
                        	**type**\:  int
                        
                        	**range:** 60..86400
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.default = None
                            self.idle_time = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:idle-time-container'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.default is not None:
                                return True

                            if self.idle_time is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.DynamicMap.Set.SecurityAssociation.IdleTimeContainer']['meta_info']


                    class Lifetime(object):
                        """
                        security association lifetime
                        
                        .. attribute:: days
                        
                        	Time\-based key duration in days
                        	**type**\:  int
                        
                        	**range:** 1..30
                        
                        .. attribute:: kilobytes
                        
                        	Volume\-based key duration
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 2560..4294967295
                        
                        
                        ----
                        	**type**\:   :py:class:`KilobytesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Lifetime.KilobytesEnum>`
                        
                        
                        ----
                        .. attribute:: seconds
                        
                        	Time\-based key duration in seconds
                        	**type**\:  int
                        
                        	**range:** 120..2592000
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.days = None
                            self.kilobytes = None
                            self.seconds = None

                        class KilobytesEnum(Enum):
                            """
                            KilobytesEnum

                            Volume\-based key duration

                            .. data:: disable = 0

                            """

                            disable = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.DynamicMap.Set.SecurityAssociation.Lifetime.KilobytesEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:lifetime'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.days is not None:
                                return True

                            if self.kilobytes is not None:
                                return True

                            if self.seconds is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.DynamicMap.Set.SecurityAssociation.Lifetime']['meta_info']


                    class Replay(object):
                        """
                        Set replay checking.
                        
                        .. attribute:: disable
                        
                        	Disable replay checking
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: window_size
                        
                        	Set replay window size
                        	**type**\:   :py:class:`WindowSizeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.SecurityAssociation.Replay.WindowSizeEnum>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.disable = None
                            self.window_size = None

                        class WindowSizeEnum(Enum):
                            """
                            WindowSizeEnum

                            Set replay window size.

                            .. data:: Y_1024 = 0

                            .. data:: Y_128 = 1

                            .. data:: Y_256 = 2

                            .. data:: Y_512 = 3

                            .. data:: Y_64 = 4

                            """

                            Y_1024 = 0

                            Y_128 = 1

                            Y_256 = 2

                            Y_512 = 3

                            Y_64 = 4


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.DynamicMap.Set.SecurityAssociation.Replay.WindowSizeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:replay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.disable is not None:
                                return True

                            if self.window_size is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.DynamicMap.Set.SecurityAssociation.Replay']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:security-association'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dfbit is not None:
                            return True

                        if self.dummy is not None and self.dummy._has_data():
                            return True

                        if self.ecn is not None:
                            return True

                        if self.idle_time_container is not None and self.idle_time_container._has_data():
                            return True

                        if self.lifetime is not None and self.lifetime._has_data():
                            return True

                        if self.replay is not None and self.replay._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.DynamicMap.Set.SecurityAssociation']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:set'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.group is not None:
                        return True

                    if self.identity is not None:
                        return True

                    if self.ikev2_profile is not None:
                        return True

                    if self.ip_in is not None and self.ip_in._has_data():
                        return True

                    if self.ip_out is not None and self.ip_out._has_data():
                        return True

                    if self.isakmp_profile is not None:
                        return True

                    if self.nat is not None and self.nat._has_data():
                        return True

                    if self.peer is not None and self.peer._has_data():
                        return True

                    if self.peer_container is not None and self.peer_container._has_data():
                        return True

                    if self.pfs is not None and self.pfs._has_data():
                        return True

                    if self.reverse_route is not None and self.reverse_route._has_data():
                        return True

                    if self.security_association is not None and self.security_association._has_data():
                        return True

                    if self.transform_set is not None:
                        for child in self.transform_set:
                            if child is not None:
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.DynamicMap.Set']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')
                if self.sequence is None:
                    raise YPYModelError('Key property sequence is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:dynamic-map[Cisco-IOS-XE-crypto:name = ' + str(self.name) + '][Cisco-IOS-XE-crypto:sequence = ' + str(self.sequence) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.sequence is not None:
                    return True

                if self.default is not None and self.default._has_data():
                    return True

                if self.description is not None:
                    return True

                if self.dialer is not None and self.dialer._has_data():
                    return True

                if self.match is not None and self.match._has_data():
                    return True

                if self.qos is not None and self.qos._has_data():
                    return True

                if self.reverse_route is not None and self.reverse_route._has_data():
                    return True

                if self.set is not None and self.set._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Crypto.DynamicMap']['meta_info']


        class Engine(object):
            """
            Enter a crypto engine configurable menu
            
            .. attribute:: software
            
            	Software crypto engine
            	**type**\:   :py:class:`SoftwareEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Engine.SoftwareEnum>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.software = None

            class SoftwareEnum(Enum):
                """
                SoftwareEnum

                Software crypto engine

                .. data:: ipsec = 0

                .. data:: isakmp = 1

                """

                ipsec = 0

                isakmp = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Engine.SoftwareEnum']


            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:engine'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.software is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Crypto.Engine']['meta_info']


        class Gdoi(object):
            """
            Configure GKM (Group Key Management, GDOI or G\-IKEv2) Policy
            
            .. attribute:: group
            
            	Configure a GKM (Group Key Management, GDOI or G\-IKEv2) Group
            	**type**\: list of    :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.group = YList()
                self.group.parent = self
                self.group.name = 'group'


            class Group(object):
                """
                Configure a GKM (Group Key Management, GDOI or G\-IKEv2) Group
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: client
                
                	Set the group client parameters
                	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Client>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default>`
                
                .. attribute:: identity
                
                	Set the identity of the group
                	**type**\:   :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Identity>`
                
                .. attribute:: ipv6
                
                	IPv6 GKM (Group Key Management) Group
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: passive
                
                	Set the group in passive mode
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: server
                
                	Set the group server for of the group
                	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.client = Native.Crypto.Gdoi.Group.Client()
                    self.client.parent = self
                    self.default = Native.Crypto.Gdoi.Group.Default()
                    self.default.parent = self
                    self.identity = Native.Crypto.Gdoi.Group.Identity()
                    self.identity.parent = self
                    self.ipv6 = None
                    self.passive = None
                    self.server = Native.Crypto.Gdoi.Group.Server()
                    self.server.parent = self


                class Client(object):
                    """
                    Set the group client parameters
                    
                    .. attribute:: bypass_policy
                    
                    	Allow group\-key management traffic sent to this GM only
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: protocol
                    
                    	Group Member Registration & Rekey Protocol
                    	**type**\:   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Client.Protocol>`
                    
                    .. attribute:: recovery_check
                    
                    	Specify GM recovery check parameters
                    	**type**\:   :py:class:`RecoveryCheck <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Client.RecoveryCheck>`
                    
                    .. attribute:: registration
                    
                    	Set the group client management/register interface
                    	**type**\:   :py:class:`Registration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Client.Registration>`
                    
                    .. attribute:: rekey
                    
                    	Set the group client acceptable rekey ciphers and hashs
                    	**type**\:   :py:class:`Rekey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Client.Rekey>`
                    
                    .. attribute:: status
                    
                    	group\-member status
                    	**type**\:   :py:class:`Status <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Client.Status>`
                    
                    .. attribute:: transform_sets
                    
                    	Specify list of group client acceptable transform sets
                    	**type**\:  list of str
                    
                    .. attribute:: transport_encrypt_key
                    
                    	Enforce group or pair\-wise keying
                    	**type**\:   :py:class:`TransportEncryptKeyEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Client.TransportEncryptKeyEnum>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bypass_policy = None
                        self.protocol = Native.Crypto.Gdoi.Group.Client.Protocol()
                        self.protocol.parent = self
                        self.recovery_check = Native.Crypto.Gdoi.Group.Client.RecoveryCheck()
                        self.recovery_check.parent = self
                        self.registration = Native.Crypto.Gdoi.Group.Client.Registration()
                        self.registration.parent = self
                        self.rekey = Native.Crypto.Gdoi.Group.Client.Rekey()
                        self.rekey.parent = self
                        self.status = Native.Crypto.Gdoi.Group.Client.Status()
                        self.status.parent = self
                        self.transform_sets = YLeafList()
                        self.transform_sets.parent = self
                        self.transform_sets.name = 'transform_sets'
                        self.transport_encrypt_key = None

                    class TransportEncryptKeyEnum(Enum):
                        """
                        TransportEncryptKeyEnum

                        Enforce group or pair\-wise keying

                        .. data:: group_key = 0

                        .. data:: pair_wise_key = 1

                        """

                        group_key = 0

                        pair_wise_key = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gdoi.Group.Client.TransportEncryptKeyEnum']



                    class Protocol(object):
                        """
                        Group Member Registration & Rekey Protocol
                        
                        .. attribute:: gdoi
                        
                        	Use GDOI (ISAKMP) Protocol for Registration & Rekey
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: gikev2
                        
                        	Use G\-IKEv2 Protocol for Registration & Rekey
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.gdoi = None
                            self.gikev2 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:protocol'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.gdoi is not None:
                                return True

                            if self.gikev2 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gdoi.Group.Client.Protocol']['meta_info']


                    class RecoveryCheck(object):
                        """
                        Specify GM recovery check parameters
                        
                        .. attribute:: interval
                        
                        	Waiting period(sec) between consecutive recovery registrations
                        	**type**\:  int
                        
                        	**range:** 100..1000
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interval = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:recovery-check'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gdoi.Group.Client.RecoveryCheck']['meta_info']


                    class Registration(object):
                        """
                        Set the group client management/register interface
                        
                        .. attribute:: interface
                        
                        	Set the group client management/register interface
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:registration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gdoi.Group.Client.Registration']['meta_info']


                    class Rekey(object):
                        """
                        Set the group client acceptable rekey ciphers and hashs
                        
                        .. attribute:: encryption
                        
                        	Set the group client acceptable rekey ciphers
                        	**type**\:   :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Client.Rekey.Encryption>`
                        
                        .. attribute:: hash
                        
                        	Set the group client acceptable rekey hash
                        	**type**\:   :py:class:`Hash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Client.Rekey.Hash>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.encryption = Native.Crypto.Gdoi.Group.Client.Rekey.Encryption()
                            self.encryption.parent = self
                            self.hash = Native.Crypto.Gdoi.Group.Client.Rekey.Hash()
                            self.hash.parent = self


                        class Encryption(object):
                            """
                            Set the group client acceptable rekey ciphers
                            
                            .. attribute:: aes_128
                            
                            	128 bit AES
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aes_192
                            
                            	192 bit AES
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aes_256
                            
                            	256 bit AES
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: des_cbc
                            
                            	DES in CBC mode
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rekey_3des_cbc
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aes_128 = None
                                self.aes_192 = None
                                self.aes_256 = None
                                self.des_cbc = None
                                self.rekey_3des_cbc = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:encryption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aes_128 is not None:
                                    return True

                                if self.aes_192 is not None:
                                    return True

                                if self.aes_256 is not None:
                                    return True

                                if self.des_cbc is not None:
                                    return True

                                if self.rekey_3des_cbc is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gdoi.Group.Client.Rekey.Encryption']['meta_info']


                        class Hash(object):
                            """
                            Set the group client acceptable rekey hash
                            
                            .. attribute:: sha
                            
                            	Secure Hash Standard
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sha256
                            
                            	Secure Hash Standard 2 (256 bit)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sha384
                            
                            	Secure Hash Standard 2 (384 bit)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sha512
                            
                            	Secure Hash Standard 2 (512 bit)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.sha = None
                                self.sha256 = None
                                self.sha384 = None
                                self.sha512 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:hash'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.sha is not None:
                                    return True

                                if self.sha256 is not None:
                                    return True

                                if self.sha384 is not None:
                                    return True

                                if self.sha512 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gdoi.Group.Client.Rekey.Hash']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:rekey'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.encryption is not None and self.encryption._has_data():
                                return True

                            if self.hash is not None and self.hash._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gdoi.Group.Client.Rekey']['meta_info']


                    class Status(object):
                        """
                        group\-member status
                        
                        .. attribute:: active_sa
                        
                        	TEK SA with positive remaining lifetime
                        	**type**\:   :py:class:`ActiveSa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Client.Status.ActiveSa>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.active_sa = Native.Crypto.Gdoi.Group.Client.Status.ActiveSa()
                            self.active_sa.parent = self


                        class ActiveSa(object):
                            """
                            TEK SA with positive remaining lifetime
                            
                            .. attribute:: track
                            
                            	enable stub tracking object
                            	**type**\:  int
                            
                            	**range:** 1..1000
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.track = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:active-sa'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.track is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gdoi.Group.Client.Status.ActiveSa']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.active_sa is not None and self.active_sa._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gdoi.Group.Client.Status']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:client'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bypass_policy is not None:
                            return True

                        if self.protocol is not None and self.protocol._has_data():
                            return True

                        if self.recovery_check is not None and self.recovery_check._has_data():
                            return True

                        if self.registration is not None and self.registration._has_data():
                            return True

                        if self.rekey is not None and self.rekey._has_data():
                            return True

                        if self.status is not None and self.status._has_data():
                            return True

                        if self.transform_sets is not None:
                            for child in self.transform_sets:
                                if child is not None:
                                    return True

                        if self.transport_encrypt_key is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Gdoi.Group.Client']['meta_info']


                class Identity(object):
                    """
                    Set the identity of the group
                    
                    .. attribute:: address
                    
                    	Set the identity of the group as an address
                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Identity.Address>`
                    
                    .. attribute:: number
                    
                    	Set the identity of the group as a number
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = Native.Crypto.Gdoi.Group.Identity.Address()
                        self.address.parent = self
                        self.number = None


                    class Address(object):
                        """
                        Set the identity of the group as an address
                        
                        .. attribute:: ipv4
                        
                        	Set the identity of the group as an IPv4 address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gdoi.Group.Identity.Address']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:identity'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None and self.address._has_data():
                            return True

                        if self.number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Gdoi.Group.Identity']['meta_info']


                class Server(object):
                    """
                    Set the group server for of the group
                    
                    .. attribute:: address
                    
                    	Identify the group server by address
                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Address>`
                    
                    .. attribute:: hostname
                    
                    	Identify the group server by hostname
                    	**type**\:   :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Hostname>`
                    
                    .. attribute:: local
                    
                    	Configure GKM group server defined locally
                    	**type**\:   :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = Native.Crypto.Gdoi.Group.Server.Address()
                        self.address.parent = self
                        self.hostname = Native.Crypto.Gdoi.Group.Server.Hostname()
                        self.hostname.parent = self
                        self.local = Native.Crypto.Gdoi.Group.Server.Local()
                        self.local.parent = self


                    class Address(object):
                        """
                        Identify the group server by address
                        
                        .. attribute:: ipv4
                        
                        	Set the IPv4 address of the group server
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ipv6
                        
                        	Set the IPv6 address of the group server
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None
                            self.ipv6 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None:
                                return True

                            if self.ipv6 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Address']['meta_info']


                    class Hostname(object):
                        """
                        Identify the group server by hostname
                        
                        .. attribute:: ipv4
                        
                        	Set the IPv4 hostname of the group server
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:hostname'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Hostname']['meta_info']


                    class Local(object):
                        """
                        Configure GKM group server defined locally
                        
                        .. attribute:: address
                        
                        	Configure server source address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Address>`
                        
                        .. attribute:: authorization
                        
                        	Configure authorization for the group
                        	**type**\:   :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Authorization>`
                        
                        .. attribute:: default
                        
                        	Set a command to its defaults
                        	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default>`
                        
                        .. attribute:: gdoi
                        
                        	Enable GDOI (ISAKMP) Protocol for Registration & Rekey
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: gikev2
                        
                        	Enable G\-IKEv2 (IKEv2) Protocol for Registration & Rekey
                        	**type**\:  str
                        
                        .. attribute:: group
                        
                        	Configure parameters for the group (e.g. Suite\-B)
                        	**type**\:   :py:class:`Group_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Group_>`
                        
                        .. attribute:: identifier
                        
                        	Enter Suite\-B KSSID (Key Server Sender ID) config mode
                        	**type**\:   :py:class:`Identifier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Identifier>`
                        
                        .. attribute:: redundancy
                        
                        	Enter cooperative key server configuration mode
                        	**type**\:   :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy>`
                        
                        .. attribute:: registration
                        
                        	Configure registration for the group
                        	**type**\:   :py:class:`Registration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Registration>`
                        
                        .. attribute:: rekey
                        
                        	Configure rekey policy for the group
                        	**type**\:   :py:class:`Rekey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey>`
                        
                        .. attribute:: sa
                        
                        	Configure a security association
                        	**type**\:   :py:class:`Sa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Crypto.Gdoi.Group.Server.Local.Address()
                            self.address.parent = self
                            self.authorization = Native.Crypto.Gdoi.Group.Server.Local.Authorization()
                            self.authorization.parent = self
                            self.default = Native.Crypto.Gdoi.Group.Server.Local.Default()
                            self.default.parent = self
                            self.gdoi = None
                            self.gikev2 = None
                            self.group = Native.Crypto.Gdoi.Group.Server.Local.Group_()
                            self.group.parent = self
                            self.identifier = Native.Crypto.Gdoi.Group.Server.Local.Identifier()
                            self.identifier.parent = self
                            self.redundancy = Native.Crypto.Gdoi.Group.Server.Local.Redundancy()
                            self.redundancy.parent = self
                            self.registration = Native.Crypto.Gdoi.Group.Server.Local.Registration()
                            self.registration.parent = self
                            self.rekey = Native.Crypto.Gdoi.Group.Server.Local.Rekey()
                            self.rekey.parent = self
                            self.sa = Native.Crypto.Gdoi.Group.Server.Local.Sa()
                            self.sa.parent = self


                        class Address(object):
                            """
                            Configure server source address
                            
                            .. attribute:: ipv4
                            
                            	Set ipv4 address of local server
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Address']['meta_info']


                        class Authorization(object):
                            """
                            Configure authorization for the group
                            
                            .. attribute:: address
                            
                            	Set authorization by address
                            	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Authorization.Address>`
                            
                            .. attribute:: identity
                            
                            	Set authorization by identity
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = Native.Crypto.Gdoi.Group.Server.Local.Authorization.Address()
                                self.address.parent = self
                                self.identity = None


                            class Address(object):
                                """
                                Set authorization by address
                                
                                .. attribute:: ipv4
                                
                                	Set authorization by address
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..99
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Authorization.Address']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:authorization'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None and self.address._has_data():
                                    return True

                                if self.identity is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Authorization']['meta_info']


                        class Group_(object):
                            """
                            Configure parameters for the group (e.g. Suite\-B)
                            
                            .. attribute:: size
                            
                            	Set Group Size for Suite\-B counter transforms (SID length)
                            	**type**\:   :py:class:`Size <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Group_.Size>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.size = Native.Crypto.Gdoi.Group.Server.Local.Group_.Size()
                                self.size.parent = self


                            class Size(object):
                                """
                                Set Group Size for Suite\-B counter transforms (SID length)
                                
                                .. attribute:: large
                                
                                	32\-bit Sender ID (FIPS 140\-2 Operating Mode)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: medium
                                
                                	24\-bit Sender ID (Default)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: small
                                
                                	Interoperable with GDOI / G\-IKEv2 Standard
                                	**type**\:   :py:class:`SmallEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Group_.Size.SmallEnum>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.large = None
                                    self.medium = None
                                    self.small = None

                                class SmallEnum(Enum):
                                    """
                                    SmallEnum

                                    Interoperable with GDOI / G\-IKEv2 Standard

                                    .. data:: Y_12 = 0

                                    .. data:: Y_16 = 1

                                    .. data:: Y_8 = 2

                                    """

                                    Y_12 = 0

                                    Y_16 = 1

                                    Y_8 = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Group_.Size.SmallEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:size'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.large is not None:
                                        return True

                                    if self.medium is not None:
                                        return True

                                    if self.small is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Group_.Size']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.size is not None and self.size._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Group_']['meta_info']


                        class Identifier(object):
                            """
                            Enter Suite\-B KSSID (Key Server Sender ID) config mode
                            
                            .. attribute:: default
                            
                            	Set a command to its defaults
                            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default>`
                            
                            .. attribute:: range
                            
                            	Assign range of Key Server Sender IDs (unique in entire group)
                            	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Identifier.Range>`
                            
                            .. attribute:: value
                            
                            	Assign Key Server Sender ID (unique in entire group)
                            	**type**\:  int
                            
                            	**range:** 0..1
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.default = Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default()
                                self.default.parent = self
                                self.range = Native.Crypto.Gdoi.Group.Server.Local.Identifier.Range()
                                self.range.parent = self
                                self.value = None


                            class Default(object):
                                """
                                Set a command to its defaults
                                
                                .. attribute:: range
                                
                                	Assign range of Key Server Sender IDs (unique in entire group)
                                	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default.Range>`
                                
                                .. attribute:: value
                                
                                	Assign Key Server Sender ID (unique in entire group)
                                	**type**\:  int
                                
                                	**range:** 0..1
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.range = Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default.Range()
                                    self.range.parent = self
                                    self.value = None


                                class Range(object):
                                    """
                                    Assign range of Key Server Sender IDs (unique in entire group)
                                    
                                    .. attribute:: highest
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..1
                                    
                                    .. attribute:: hyphen
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: lowest
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..1
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.highest = None
                                        self.hyphen = None
                                        self.lowest = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:range'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.highest is not None:
                                            return True

                                        if self.hyphen is not None:
                                            return True

                                        if self.lowest is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default.Range']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.range is not None and self.range._has_data():
                                        return True

                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default']['meta_info']


                            class Range(object):
                                """
                                Assign range of Key Server Sender IDs (unique in entire group)
                                
                                .. attribute:: highest
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..1
                                
                                .. attribute:: hyphen
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: lowest
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..1
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.highest = None
                                    self.hyphen = None
                                    self.lowest = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:range'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.highest is not None:
                                        return True

                                    if self.hyphen is not None:
                                        return True

                                    if self.lowest is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Identifier.Range']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:identifier'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.default is not None and self.default._has_data():
                                    return True

                                if self.range is not None and self.range._has_data():
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Identifier']['meta_info']


                        class Redundancy(object):
                            """
                            Enter cooperative key server configuration mode
                            
                            .. attribute:: default
                            
                            	Set a command to its defaults
                            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default>`
                            
                            .. attribute:: local
                            
                            	Local key server configurations
                            	**type**\:   :py:class:`Local_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Local_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: peer
                            
                            	Peer server configurations
                            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer>`
                            
                            .. attribute:: protocol
                            
                            	Specify various protocol operational values
                            	**type**\:   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Protocol>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.default = Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default()
                                self.default.parent = self
                                self.local = None
                                self.peer = Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer()
                                self.peer.parent = self
                                self.protocol = None


                            class Default(object):
                                """
                                Set a command to its defaults
                                
                                .. attribute:: local
                                
                                	Local key server configurations
                                	**type**\:   :py:class:`Local_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Local_>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: peer
                                
                                	Peer server configurations
                                	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer>`
                                
                                .. attribute:: protocol
                                
                                	Specify various protocol operational values
                                	**type**\:   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Protocol>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.local = None
                                    self.peer = Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer()
                                    self.peer.parent = self
                                    self.protocol = None


                                class Local_(object):
                                    """
                                    Local key server configurations
                                    
                                    .. attribute:: priority
                                    
                                    	Set local server priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.priority = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:local'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.priority is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Local_']['meta_info']


                                class Peer(object):
                                    """
                                    Peer server configurations
                                    
                                    .. attribute:: address
                                    
                                    	Peer server address
                                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer.Address>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer.Address()
                                        self.address.parent = self


                                    class Address(object):
                                        """
                                        Peer server address
                                        
                                        .. attribute:: ipv4
                                        
                                        	Set peer server ipv4 address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer.Address']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:peer'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.address is not None and self.address._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer']['meta_info']


                                class Protocol(object):
                                    """
                                    Specify various protocol operational values
                                    
                                    .. attribute:: pdu
                                    
                                    	Maximum size of COOP messages
                                    	**type**\:  int
                                    
                                    	**range:** 1..65000
                                    
                                    .. attribute:: version
                                    
                                    	Set COOP ANN version
                                    	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Protocol.VersionEnum>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.pdu = None
                                        self.version = None

                                    class VersionEnum(Enum):
                                        """
                                        VersionEnum

                                        Set COOP ANN version

                                        .. data:: base = 0

                                        .. data:: optimize = 1

                                        """

                                        base = 0

                                        optimize = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Protocol.VersionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:protocol'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.pdu is not None:
                                            return True

                                        if self.version is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Protocol']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.local is not None and self.local._has_data():
                                        return True

                                    if self.peer is not None and self.peer._has_data():
                                        return True

                                    if self.protocol is not None and self.protocol._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default']['meta_info']


                            class Local_(object):
                                """
                                Local key server configurations
                                
                                .. attribute:: priority
                                
                                	Set local server priority
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.priority = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:local'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.priority is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Local_']['meta_info']


                            class Peer(object):
                                """
                                Peer server configurations
                                
                                .. attribute:: address
                                
                                	Peer server address
                                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer.Address>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer.Address()
                                    self.address.parent = self


                                class Address(object):
                                    """
                                    Peer server address
                                    
                                    .. attribute:: ipv4
                                    
                                    	Set peer server ipv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer.Address']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None and self.address._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer']['meta_info']


                            class Protocol(object):
                                """
                                Specify various protocol operational values
                                
                                .. attribute:: pdu
                                
                                	Maximum size of COOP messages
                                	**type**\:  int
                                
                                	**range:** 1..65000
                                
                                .. attribute:: version
                                
                                	Set COOP ANN version
                                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Protocol.VersionEnum>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pdu = None
                                    self.version = None

                                class VersionEnum(Enum):
                                    """
                                    VersionEnum

                                    Set COOP ANN version

                                    .. data:: base = 0

                                    .. data:: optimize = 1

                                    """

                                    base = 0

                                    optimize = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Protocol.VersionEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:protocol'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pdu is not None:
                                        return True

                                    if self.version is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Protocol']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:redundancy'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.default is not None and self.default._has_data():
                                    return True

                                if self.local is not None and self.local._has_data():
                                    return True

                                if self.peer is not None and self.peer._has_data():
                                    return True

                                if self.protocol is not None and self.protocol._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Redundancy']['meta_info']


                        class Registration(object):
                            """
                            Configure registration for the group
                            
                            .. attribute:: interface
                            
                            	Identify an interface on which to respond to GKM registrations
                            	**type**\:  str
                            
                            .. attribute:: periodic
                            
                            	Define periodic registrations for the group
                            	**type**\:   :py:class:`Periodic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interface = None
                                self.periodic = Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic()
                                self.periodic.parent = self


                            class Periodic(object):
                                """
                                Define periodic registrations for the group
                                
                                .. attribute:: crl
                                
                                	On every new CRL
                                	**type**\:   :py:class:`Crl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic.Crl>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.crl = Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic.Crl()
                                    self.crl.parent = self


                                class Crl(object):
                                    """
                                    On every new CRL
                                    
                                    .. attribute:: trustpoint
                                    
                                    	For a PKI trustpoint
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.trustpoint = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:crl'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.trustpoint is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic.Crl']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:periodic'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.crl is not None and self.crl._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interface is not None:
                                    return True

                                if self.periodic is not None and self.periodic._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Registration']['meta_info']


                        class Rekey(object):
                            """
                            Configure rekey policy for the group
                            
                            .. attribute:: acknowledgement
                            
                            	Request group members to acknowledge rekeys
                            	**type**\:   :py:class:`AcknowledgementEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey.AcknowledgementEnum>`
                            
                            .. attribute:: address
                            
                            	Define the rekey packet format
                            	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey.Address>`
                            
                            .. attribute:: algorithm
                            
                            	Set the rekey encryption algorithm
                            	**type**\:   :py:class:`Algorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey.Algorithm>`
                            
                            .. attribute:: authentication
                            
                            	Identify the rekey authentication keypair
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication>`
                            
                            .. attribute:: lifetime
                            
                            	Define the rekey lifetime
                            	**type**\:   :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey.Lifetime>`
                            
                            .. attribute:: retransmit
                            
                            	Define the rekey retransmission parameters
                            	**type**\:   :py:class:`Retransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey.Retransmit>`
                            
                            .. attribute:: sig_hash
                            
                            	Set rekey signature\-hash parameters
                            	**type**\:   :py:class:`SigHash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey.SigHash>`
                            
                            .. attribute:: transport
                            
                            	Specify the rekey distribution method
                            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey.Transport>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acknowledgement = None
                                self.address = Native.Crypto.Gdoi.Group.Server.Local.Rekey.Address()
                                self.address.parent = self
                                self.algorithm = Native.Crypto.Gdoi.Group.Server.Local.Rekey.Algorithm()
                                self.algorithm.parent = self
                                self.authentication = Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication()
                                self.authentication.parent = self
                                self.lifetime = Native.Crypto.Gdoi.Group.Server.Local.Rekey.Lifetime()
                                self.lifetime.parent = self
                                self.retransmit = Native.Crypto.Gdoi.Group.Server.Local.Rekey.Retransmit()
                                self.retransmit.parent = self
                                self.sig_hash = Native.Crypto.Gdoi.Group.Server.Local.Rekey.SigHash()
                                self.sig_hash.parent = self
                                self.transport = Native.Crypto.Gdoi.Group.Server.Local.Rekey.Transport()
                                self.transport.parent = self

                            class AcknowledgementEnum(Enum):
                                """
                                AcknowledgementEnum

                                Request group members to acknowledge rekeys

                                .. data:: any = 0

                                .. data:: cisco = 1

                                .. data:: interoperable = 2

                                """

                                any = 0

                                cisco = 1

                                interoperable = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey.AcknowledgementEnum']



                            class Address(object):
                                """
                                Define the rekey packet format
                                
                                .. attribute:: ipv4
                                
                                	Match ipv4 packets
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 100..199
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 2000..2699
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey.Address']['meta_info']


                            class Algorithm(object):
                                """
                                Set the rekey encryption algorithm
                                
                                .. attribute:: a3des_cbc
                                
                                	Triple DES in CBC mode
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: aes_128
                                
                                	128 bit AES
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: aes_192
                                
                                	192 bit AES
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: aes_256
                                
                                	256 bit AES
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: des_cbc
                                
                                	DES in CBC mode
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.a3des_cbc = None
                                    self.aes_128 = None
                                    self.aes_192 = None
                                    self.aes_256 = None
                                    self.des_cbc = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:algorithm'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.a3des_cbc is not None:
                                        return True

                                    if self.aes_128 is not None:
                                        return True

                                    if self.aes_192 is not None:
                                        return True

                                    if self.aes_256 is not None:
                                        return True

                                    if self.des_cbc is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey.Algorithm']['meta_info']


                            class Authentication(object):
                                """
                                Identify the rekey authentication keypair
                                
                                .. attribute:: mypubkey
                                
                                	Identify a keypair associated with this device
                                	**type**\:   :py:class:`Mypubkey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication.Mypubkey>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mypubkey = Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication.Mypubkey()
                                    self.mypubkey.parent = self


                                class Mypubkey(object):
                                    """
                                    Identify a keypair associated with this device
                                    
                                    .. attribute:: rsa
                                    
                                    	Identify an RSA keypair
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.rsa = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:mypubkey'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.rsa is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication.Mypubkey']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mypubkey is not None and self.mypubkey._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication']['meta_info']


                            class Lifetime(object):
                                """
                                Define the rekey lifetime
                                
                                .. attribute:: days
                                
                                	Time\-based key duration in days
                                	**type**\:  int
                                
                                	**range:** 1..30
                                
                                .. attribute:: seconds
                                
                                	Time\-based key duration in seconds
                                	**type**\:  int
                                
                                	**range:** 300..2592000
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.days = None
                                    self.seconds = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:lifetime'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.days is not None:
                                        return True

                                    if self.seconds is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey.Lifetime']['meta_info']


                            class Retransmit(object):
                                """
                                Define the rekey retransmission parameters
                                
                                .. attribute:: number
                                
                                	Retransmit this many times
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: periodic
                                
                                	Periodically send retransmit rekeys
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: seconds
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 10..60
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.periodic = None
                                    self.seconds = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:retransmit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.periodic is not None:
                                        return True

                                    if self.seconds is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey.Retransmit']['meta_info']


                            class SigHash(object):
                                """
                                Set rekey signature\-hash parameters
                                
                                .. attribute:: algorithm
                                
                                	Set the rekey signature\-hash algorithm
                                	**type**\:   :py:class:`AlgorithmEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey.SigHash.AlgorithmEnum>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.algorithm = None

                                class AlgorithmEnum(Enum):
                                    """
                                    AlgorithmEnum

                                    Set the rekey signature\-hash algorithm

                                    .. data:: sha = 0

                                    .. data:: sha256 = 1

                                    .. data:: sha384 = 2

                                    .. data:: sha512 = 3

                                    """

                                    sha = 0

                                    sha256 = 1

                                    sha384 = 2

                                    sha512 = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey.SigHash.AlgorithmEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:sig-hash'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.algorithm is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey.SigHash']['meta_info']


                            class Transport(object):
                                """
                                Specify the rekey distribution method
                                
                                .. attribute:: unicast
                                
                                	specify unicast rekey distribution
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.unicast = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:transport'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.unicast is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey.Transport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:rekey'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acknowledgement is not None:
                                    return True

                                if self.address is not None and self.address._has_data():
                                    return True

                                if self.algorithm is not None and self.algorithm._has_data():
                                    return True

                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                if self.lifetime is not None and self.lifetime._has_data():
                                    return True

                                if self.retransmit is not None and self.retransmit._has_data():
                                    return True

                                if self.sig_hash is not None and self.sig_hash._has_data():
                                    return True

                                if self.transport is not None and self.transport._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Rekey']['meta_info']


                        class Sa(object):
                            """
                            Configure a security association
                            
                            .. attribute:: d3p
                            
                            	Enable IP delivery delay detection protocol for all SAs within the group
                            	**type**\:   :py:class:`D3P <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P>`
                            
                            .. attribute:: ipsec
                            
                            	Configure an IPsec SA
                            	**type**\: list of    :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec>`
                            
                            .. attribute:: pair_wise_keying
                            
                            	Enable KGS pair\-wise\-keying
                            	**type**\:   :py:class:`PairWiseKeying <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.PairWiseKeying>`
                            
                            .. attribute:: receive_only
                            
                            	Configure SA to work only in inbound direction
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.d3p = Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P()
                                self.d3p.parent = self
                                self.ipsec = YList()
                                self.ipsec.parent = self
                                self.ipsec.name = 'ipsec'
                                self.pair_wise_keying = Native.Crypto.Gdoi.Group.Server.Local.Sa.PairWiseKeying()
                                self.pair_wise_keying.parent = self
                                self.receive_only = None


                            class D3P(object):
                                """
                                Enable IP delivery delay detection protocol for all SAs within the group
                                
                                .. attribute:: window
                                
                                	IP\-D3P window size
                                	**type**\:   :py:class:`Window <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P.Window>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.window = Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P.Window()
                                    self.window.parent = self


                                class Window(object):
                                    """
                                    IP\-D3P window size
                                    
                                    .. attribute:: msec
                                    
                                    	IP\-D3P window size in milliseconds
                                    	**type**\:  int
                                    
                                    	**range:** 1000..100000
                                    
                                    .. attribute:: sec
                                    
                                    	IP\-D3P window size in seconds
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.msec = None
                                        self.sec = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:window'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.msec is not None:
                                            return True

                                        if self.sec is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P.Window']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:d3p'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.window is not None and self.window._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P']['meta_info']


                            class Ipsec(object):
                                """
                                Configure an IPsec SA
                                
                                .. attribute:: sequence  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: default
                                
                                	Set a command to its defaults
                                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default>`
                                
                                .. attribute:: match
                                
                                	Match characteristics of packets to encrypt
                                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match>`
                                
                                .. attribute:: profile
                                
                                	Configure an ipsec profile for the SA
                                	**type**\:  str
                                
                                .. attribute:: replay
                                
                                	Set replay method
                                	**type**\:   :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay>`
                                
                                .. attribute:: tag
                                
                                	Set inline tagging method
                                	**type**\:   :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.sequence = None
                                    self.default = Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default()
                                    self.default.parent = self
                                    self.match = Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match()
                                    self.match.parent = self
                                    self.profile = None
                                    self.replay = Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay()
                                    self.replay.parent = self
                                    self.tag = Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag()
                                    self.tag.parent = self


                                class Default(object):
                                    """
                                    Set a command to its defaults
                                    
                                    .. attribute:: match
                                    
                                    	Match characteristics of packets to encrypt
                                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Match>`
                                    
                                    .. attribute:: profile
                                    
                                    	Configure an ipsec profile for the SA
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: replay
                                    
                                    	Set replay method
                                    	**type**\:   :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Replay>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: tag
                                    
                                    	Set inline tagging method
                                    	**type**\:   :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Tag>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.match = Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Match()
                                        self.match.parent = self
                                        self.profile = None
                                        self.replay = None
                                        self.tag = None


                                    class Match(object):
                                        """
                                        Match characteristics of packets to encrypt
                                        
                                        .. attribute:: address
                                        
                                        	Match addresses of packets to encrypt
                                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Match.Address>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None


                                        class Address(object):
                                            """
                                            Match addresses of packets to encrypt
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-crypto'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Match.Address']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:match'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.address is not None and self.address._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Match']['meta_info']


                                    class Replay(object):
                                        """
                                        Set replay method
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:replay'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Replay']['meta_info']


                                    class Tag(object):
                                        """
                                        Set inline tagging method
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:tag'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Tag']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.match is not None and self.match._has_data():
                                            return True

                                        if self.profile is not None:
                                            return True

                                        if self.replay is not None and self.replay._has_data():
                                            return True

                                        if self.tag is not None and self.tag._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default']['meta_info']


                                class Match(object):
                                    """
                                    Match characteristics of packets to encrypt
                                    
                                    .. attribute:: address
                                    
                                    	Match addresses of packets to encrypt
                                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match.Address>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match.Address()
                                        self.address.parent = self


                                    class Address(object):
                                        """
                                        Match addresses of packets to encrypt
                                        
                                        .. attribute:: ipv4
                                        
                                        	Match ipv4 packets
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 100..199
                                        
                                        
                                        ----
                                        	**type**\:  int
                                        
                                        	**range:** 2000..2699
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** [a\-zA\-Z].\*
                                        
                                        
                                        ----
                                        .. attribute:: ipv6
                                        
                                        	Match ipv6 packets
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4 = None
                                            self.ipv6 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4 is not None:
                                                return True

                                            if self.ipv6 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match.Address']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:match'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.address is not None and self.address._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match']['meta_info']


                                class Replay(object):
                                    """
                                    Set replay method
                                    
                                    .. attribute:: counter
                                    
                                    	Enable anti\-replay check for single source traffic by using sequence number
                                    	**type**\:   :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Counter>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: time
                                    
                                    	Enable anti\-replay check for any traffic by using time
                                    	**type**\:   :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Time>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.counter = None
                                        self.time = None


                                    class Counter(object):
                                        """
                                        Enable anti\-replay check for single source traffic by using sequence number
                                        
                                        .. attribute:: window_size
                                        
                                        	Set replay window size
                                        	**type**\:   :py:class:`WindowSizeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Counter.WindowSizeEnum>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.window_size = None

                                        class WindowSizeEnum(Enum):
                                            """
                                            WindowSizeEnum

                                            Set replay window size.

                                            .. data:: Y_1024 = 0

                                            .. data:: Y_128 = 1

                                            .. data:: Y_256 = 2

                                            .. data:: Y_512 = 3

                                            .. data:: Y_64 = 4

                                            """

                                            Y_1024 = 0

                                            Y_128 = 1

                                            Y_256 = 2

                                            Y_512 = 3

                                            Y_64 = 4


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Counter.WindowSizeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:counter'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.window_size is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Counter']['meta_info']


                                    class Time(object):
                                        """
                                        Enable anti\-replay check for any traffic by using time
                                        
                                        .. attribute:: window_size
                                        
                                        	Time based replay window size
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.window_size = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:time'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.window_size is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Time']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:replay'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.counter is not None and self.counter._has_data():
                                            return True

                                        if self.time is not None and self.time._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay']['meta_info']


                                class Tag(object):
                                    """
                                    Set inline tagging method
                                    
                                    .. attribute:: cts
                                    
                                    	Cisco Trust Security
                                    	**type**\:   :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag.Cts>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.cts = Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag.Cts()
                                        self.cts.parent = self


                                    class Cts(object):
                                        """
                                        Cisco Trust Security
                                        
                                        .. attribute:: sgt
                                        
                                        	Security Group Tag
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sgt = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:cts'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sgt is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag.Cts']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:tag'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.cts is not None and self.cts._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.sequence is None:
                                        raise YPYModelError('Key property sequence is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:ipsec[Cisco-IOS-XE-crypto:sequence = ' + str(self.sequence) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.sequence is not None:
                                        return True

                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.match is not None and self.match._has_data():
                                        return True

                                    if self.profile is not None:
                                        return True

                                    if self.replay is not None and self.replay._has_data():
                                        return True

                                    if self.tag is not None and self.tag._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec']['meta_info']


                            class PairWiseKeying(object):
                                """
                                Enable KGS pair\-wise\-keying
                                
                                .. attribute:: safety_limit
                                
                                	KGS safety limit
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.safety_limit = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:pair-wise-keying'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.safety_limit is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa.PairWiseKeying']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:sa'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.d3p is not None and self.d3p._has_data():
                                    return True

                                if self.ipsec is not None:
                                    for child_ref in self.ipsec:
                                        if child_ref._has_data():
                                            return True

                                if self.pair_wise_keying is not None and self.pair_wise_keying._has_data():
                                    return True

                                if self.receive_only is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Sa']['meta_info']


                        class Default(object):
                            """
                            Set a command to its defaults
                            
                            .. attribute:: address
                            
                            	Configure server source address
                            	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Address>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: authorization
                            
                            	Configure authorization for the group
                            	**type**\:   :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization>`
                            
                            .. attribute:: gdoi
                            
                            	Enable GDOI (ISAKMP) Protocol for Registration & Rekey
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: gikev2
                            
                            	Enable G\-IKEv2 (IKEv2) Protocol for Registration & Rekey
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: group
                            
                            	Configure parameters for the group (e.g. Suite\-B)
                            	**type**\:   :py:class:`Group_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Group_>`
                            
                            .. attribute:: identifier
                            
                            	Enter Suite\-B KSSID (Key Server Sender ID) config mode
                            	**type**\:   :py:class:`Identifier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Identifier>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: redundancy
                            
                            	Enter cooperative key server configuration mode
                            	**type**\:   :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Redundancy>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: registration
                            
                            	Configure registration for the group
                            	**type**\:   :py:class:`Registration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Registration>`
                            
                            .. attribute:: rekey
                            
                            	Configure rekey policy for the group
                            	**type**\:   :py:class:`Rekey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey>`
                            
                            .. attribute:: sa
                            
                            	Configure a security association
                            	**type**\:   :py:class:`Sa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Sa>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.authorization = Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization()
                                self.authorization.parent = self
                                self.gdoi = None
                                self.gikev2 = None
                                self.group = Native.Crypto.Gdoi.Group.Server.Local.Default.Group_()
                                self.group.parent = self
                                self.identifier = None
                                self.redundancy = None
                                self.registration = Native.Crypto.Gdoi.Group.Server.Local.Default.Registration()
                                self.registration.parent = self
                                self.rekey = Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey()
                                self.rekey.parent = self
                                self.sa = Native.Crypto.Gdoi.Group.Server.Local.Default.Sa()
                                self.sa.parent = self


                            class Address(object):
                                """
                                Configure server source address
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Address']['meta_info']


                            class Authorization(object):
                                """
                                Configure authorization for the group
                                
                                .. attribute:: address
                                
                                	Set authorization by address
                                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization.Address>`
                                
                                .. attribute:: identity
                                
                                	Set authorization by identity
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization.Address()
                                    self.address.parent = self
                                    self.identity = None


                                class Address(object):
                                    """
                                    Set authorization by address
                                    
                                    .. attribute:: ipv4
                                    
                                    	Set authorization by address
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization.Address']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:authorization'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None and self.address._has_data():
                                        return True

                                    if self.identity is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization']['meta_info']


                            class Group_(object):
                                """
                                Configure parameters for the group (e.g. Suite\-B)
                                
                                .. attribute:: size
                                
                                	Set Group Size for Suite\-B counter transforms (SID length)
                                	**type**\:   :py:class:`Size <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Group_.Size>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.size = None


                                class Size(object):
                                    """
                                    Set Group Size for Suite\-B counter transforms (SID length)
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:size'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Group_.Size']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:group'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.size is not None and self.size._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Group_']['meta_info']


                            class Identifier(object):
                                """
                                Enter Suite\-B KSSID (Key Server Sender ID) config mode
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:identifier'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Identifier']['meta_info']


                            class Redundancy(object):
                                """
                                Enter cooperative key server configuration mode
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:redundancy'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Redundancy']['meta_info']


                            class Registration(object):
                                """
                                Configure registration for the group
                                
                                .. attribute:: interface
                                
                                	Identify an interface on which to respond to GKM registrations
                                	**type**\:  str
                                
                                .. attribute:: periodic
                                
                                	Define periodic registrations for the group
                                	**type**\:   :py:class:`Periodic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interface = None
                                    self.periodic = Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic()
                                    self.periodic.parent = self


                                class Periodic(object):
                                    """
                                    Define periodic registrations for the group
                                    
                                    .. attribute:: crl
                                    
                                    	On every new CRL
                                    	**type**\:   :py:class:`Crl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic.Crl>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.crl = Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic.Crl()
                                        self.crl.parent = self


                                    class Crl(object):
                                        """
                                        On every new CRL
                                        
                                        .. attribute:: trustpoint
                                        
                                        	For a PKI trustpoint
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.trustpoint = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:crl'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.trustpoint is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic.Crl']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:periodic'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.crl is not None and self.crl._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interface is not None:
                                        return True

                                    if self.periodic is not None and self.periodic._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Registration']['meta_info']


                            class Rekey(object):
                                """
                                Configure rekey policy for the group
                                
                                .. attribute:: acknowledgement
                                
                                	Request group members to acknowledge rekeys
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: address
                                
                                	Define the rekey packet format
                                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Address>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: algorithm
                                
                                	Set the rekey encryption algorithm
                                	**type**\:   :py:class:`Algorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Algorithm>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: authentication
                                
                                	Identify the rekey authentication keypair
                                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Authentication>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: lifetime
                                
                                	Define the rekey lifetime
                                	**type**\:   :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Lifetime>`
                                
                                .. attribute:: retransmit
                                
                                	Define the rekey retransmission parameters
                                	**type**\:   :py:class:`Retransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Retransmit>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: sig_hash
                                
                                	Set rekey signature\-hash parameters
                                	**type**\:   :py:class:`SigHash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.SigHash>`
                                
                                .. attribute:: transport
                                
                                	Specify the rekey distribution method
                                	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Transport>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.acknowledgement = None
                                    self.address = None
                                    self.algorithm = None
                                    self.authentication = None
                                    self.lifetime = Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Lifetime()
                                    self.lifetime.parent = self
                                    self.retransmit = None
                                    self.sig_hash = Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.SigHash()
                                    self.sig_hash.parent = self
                                    self.transport = Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Transport()
                                    self.transport.parent = self


                                class Address(object):
                                    """
                                    Define the rekey packet format
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Address']['meta_info']


                                class Algorithm(object):
                                    """
                                    Set the rekey encryption algorithm
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:algorithm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Algorithm']['meta_info']


                                class Authentication(object):
                                    """
                                    Identify the rekey authentication keypair
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:authentication'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Authentication']['meta_info']


                                class Lifetime(object):
                                    """
                                    Define the rekey lifetime
                                    
                                    .. attribute:: days
                                    
                                    	Time\-based key duration in days
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: seconds
                                    
                                    	Time\-based key duration in seconds
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.days = None
                                        self.seconds = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:lifetime'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.days is not None:
                                            return True

                                        if self.seconds is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Lifetime']['meta_info']


                                class Retransmit(object):
                                    """
                                    Define the rekey retransmission parameters
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:retransmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Retransmit']['meta_info']


                                class SigHash(object):
                                    """
                                    Set rekey signature\-hash parameters
                                    
                                    .. attribute:: algorithm
                                    
                                    	Set the rekey signature\-hash algorithm
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.algorithm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:sig-hash'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.algorithm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.SigHash']['meta_info']


                                class Transport(object):
                                    """
                                    Specify the rekey distribution method
                                    
                                    .. attribute:: unicast
                                    
                                    	specify unicast rekey distribution
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.unicast = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:transport'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.unicast is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Transport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:rekey'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.acknowledgement is not None:
                                        return True

                                    if self.address is not None and self.address._has_data():
                                        return True

                                    if self.algorithm is not None and self.algorithm._has_data():
                                        return True

                                    if self.authentication is not None and self.authentication._has_data():
                                        return True

                                    if self.lifetime is not None and self.lifetime._has_data():
                                        return True

                                    if self.retransmit is not None and self.retransmit._has_data():
                                        return True

                                    if self.sig_hash is not None and self.sig_hash._has_data():
                                        return True

                                    if self.transport is not None and self.transport._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey']['meta_info']


                            class Sa(object):
                                """
                                Configure a security association
                                
                                .. attribute:: d3p
                                
                                	Enable IP delivery delay detection protocol for all SAs within the group
                                	**type**\:   :py:class:`D3P <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.D3P>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ipsec
                                
                                	Configure an IPsec SA
                                	**type**\: list of    :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.Ipsec>`
                                
                                .. attribute:: pair_wise_keying
                                
                                	Enable KGS pair\-wise\-keying
                                	**type**\:   :py:class:`PairWiseKeying <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.PairWiseKeying>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: receive_only
                                
                                	Configure SA to work only in inbound direction
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.d3p = None
                                    self.ipsec = YList()
                                    self.ipsec.parent = self
                                    self.ipsec.name = 'ipsec'
                                    self.pair_wise_keying = None
                                    self.receive_only = None


                                class D3P(object):
                                    """
                                    Enable IP delivery delay detection protocol for all SAs within the group
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:d3p'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.D3P']['meta_info']


                                class Ipsec(object):
                                    """
                                    Configure an IPsec SA
                                    
                                    .. attribute:: sequence  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sequence = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.sequence is None:
                                            raise YPYModelError('Key property sequence is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:ipsec[Cisco-IOS-XE-crypto:sequence = ' + str(self.sequence) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sequence is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.Ipsec']['meta_info']


                                class PairWiseKeying(object):
                                    """
                                    Enable KGS pair\-wise\-keying
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:pair-wise-keying'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.PairWiseKeying']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:sa'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.d3p is not None and self.d3p._has_data():
                                        return True

                                    if self.ipsec is not None:
                                        for child_ref in self.ipsec:
                                            if child_ref._has_data():
                                                return True

                                    if self.pair_wise_keying is not None and self.pair_wise_keying._has_data():
                                        return True

                                    if self.receive_only is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default.Sa']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None and self.address._has_data():
                                    return True

                                if self.authorization is not None and self.authorization._has_data():
                                    return True

                                if self.gdoi is not None:
                                    return True

                                if self.gikev2 is not None:
                                    return True

                                if self.group is not None and self.group._has_data():
                                    return True

                                if self.identifier is not None and self.identifier._has_data():
                                    return True

                                if self.redundancy is not None and self.redundancy._has_data():
                                    return True

                                if self.registration is not None and self.registration._has_data():
                                    return True

                                if self.rekey is not None and self.rekey._has_data():
                                    return True

                                if self.sa is not None and self.sa._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local.Default']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:local'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            if self.authorization is not None and self.authorization._has_data():
                                return True

                            if self.default is not None and self.default._has_data():
                                return True

                            if self.gdoi is not None:
                                return True

                            if self.gikev2 is not None:
                                return True

                            if self.group is not None and self.group._has_data():
                                return True

                            if self.identifier is not None and self.identifier._has_data():
                                return True

                            if self.redundancy is not None and self.redundancy._has_data():
                                return True

                            if self.registration is not None and self.registration._has_data():
                                return True

                            if self.rekey is not None and self.rekey._has_data():
                                return True

                            if self.sa is not None and self.sa._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gdoi.Group.Server.Local']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:server'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None and self.address._has_data():
                            return True

                        if self.hostname is not None and self.hostname._has_data():
                            return True

                        if self.local is not None and self.local._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Gdoi.Group.Server']['meta_info']


                class Default(object):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: client
                    
                    	Set the group client parameters
                    	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Client>`
                    
                    .. attribute:: identity
                    
                    	Set the identity of the group
                    	**type**\:   :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Identity>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: passive
                    
                    	Set the group in passive mode
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: server
                    
                    	Set the group server for of the group
                    	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Server>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.client = Native.Crypto.Gdoi.Group.Default.Client()
                        self.client.parent = self
                        self.identity = None
                        self.passive = None
                        self.server = Native.Crypto.Gdoi.Group.Default.Server()
                        self.server.parent = self


                    class Client(object):
                        """
                        Set the group client parameters
                        
                        .. attribute:: bypass_policy
                        
                        	Allow group\-key management traffic sent to this GM only
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: protocol
                        
                        	Group Member Registration & Rekey Protocol
                        	**type**\:   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Client.Protocol>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: recovery_check
                        
                        	Specify GM recovery check parameters
                        	**type**\:   :py:class:`RecoveryCheck <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Client.RecoveryCheck>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: registration
                        
                        	Set the group client management/register interface
                        	**type**\:   :py:class:`Registration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Client.Registration>`
                        
                        .. attribute:: rekey
                        
                        	Set the group client acceptable rekey ciphers and hashs
                        	**type**\:   :py:class:`Rekey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Client.Rekey>`
                        
                        .. attribute:: status
                        
                        	group\-member status
                        	**type**\:   :py:class:`Status <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Client.Status>`
                        
                        .. attribute:: transform_sets
                        
                        	Specify list of group client acceptable transform sets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: transport_encrypt_key
                        
                        	Enforce group or pair\-wise keying
                        	**type**\:   :py:class:`TransportEncryptKeyEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Client.TransportEncryptKeyEnum>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bypass_policy = None
                            self.protocol = None
                            self.recovery_check = None
                            self.registration = Native.Crypto.Gdoi.Group.Default.Client.Registration()
                            self.registration.parent = self
                            self.rekey = Native.Crypto.Gdoi.Group.Default.Client.Rekey()
                            self.rekey.parent = self
                            self.status = Native.Crypto.Gdoi.Group.Default.Client.Status()
                            self.status.parent = self
                            self.transform_sets = None
                            self.transport_encrypt_key = None

                        class TransportEncryptKeyEnum(Enum):
                            """
                            TransportEncryptKeyEnum

                            Enforce group or pair\-wise keying

                            .. data:: group_key = 0

                            .. data:: pair_wise_key = 1

                            """

                            group_key = 0

                            pair_wise_key = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gdoi.Group.Default.Client.TransportEncryptKeyEnum']



                        class Protocol(object):
                            """
                            Group Member Registration & Rekey Protocol
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:protocol'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gdoi.Group.Default.Client.Protocol']['meta_info']


                        class RecoveryCheck(object):
                            """
                            Specify GM recovery check parameters
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:recovery-check'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gdoi.Group.Default.Client.RecoveryCheck']['meta_info']


                        class Registration(object):
                            """
                            Set the group client management/register interface
                            
                            .. attribute:: interface
                            
                            	Set the group client management/register interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interface = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interface is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gdoi.Group.Default.Client.Registration']['meta_info']


                        class Rekey(object):
                            """
                            Set the group client acceptable rekey ciphers and hashs
                            
                            .. attribute:: encryption
                            
                            	Set the group client acceptable rekey ciphers
                            	**type**\:   :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Client.Rekey.Encryption>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: hash
                            
                            	Set the group client acceptable rekey hash
                            	**type**\:   :py:class:`Hash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Client.Rekey.Hash>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.encryption = None
                                self.hash = None


                            class Encryption(object):
                                """
                                Set the group client acceptable rekey ciphers
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:encryption'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Default.Client.Rekey.Encryption']['meta_info']


                            class Hash(object):
                                """
                                Set the group client acceptable rekey hash
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:hash'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Default.Client.Rekey.Hash']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:rekey'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.encryption is not None and self.encryption._has_data():
                                    return True

                                if self.hash is not None and self.hash._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gdoi.Group.Default.Client.Rekey']['meta_info']


                        class Status(object):
                            """
                            group\-member status
                            
                            .. attribute:: active_sa
                            
                            	TEK SA with positive remaining lifetime
                            	**type**\:   :py:class:`ActiveSa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Client.Status.ActiveSa>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.active_sa = None


                            class ActiveSa(object):
                                """
                                TEK SA with positive remaining lifetime
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:active-sa'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gdoi.Group.Default.Client.Status.ActiveSa']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.active_sa is not None and self.active_sa._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gdoi.Group.Default.Client.Status']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:client'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bypass_policy is not None:
                                return True

                            if self.protocol is not None and self.protocol._has_data():
                                return True

                            if self.recovery_check is not None and self.recovery_check._has_data():
                                return True

                            if self.registration is not None and self.registration._has_data():
                                return True

                            if self.rekey is not None and self.rekey._has_data():
                                return True

                            if self.status is not None and self.status._has_data():
                                return True

                            if self.transform_sets is not None:
                                return True

                            if self.transport_encrypt_key is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gdoi.Group.Default.Client']['meta_info']


                    class Identity(object):
                        """
                        Set the identity of the group
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:identity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gdoi.Group.Default.Identity']['meta_info']


                    class Server(object):
                        """
                        Set the group server for of the group
                        
                        .. attribute:: address
                        
                        	Identify the group server by address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Server.Address>`
                        
                        .. attribute:: hostname
                        
                        	Identify the group server by hostname
                        	**type**\:   :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Server.Hostname>`
                        
                        .. attribute:: local
                        
                        	Configure GKM group server defined locally
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Crypto.Gdoi.Group.Default.Server.Address()
                            self.address.parent = self
                            self.hostname = Native.Crypto.Gdoi.Group.Default.Server.Hostname()
                            self.hostname.parent = self
                            self.local = None


                        class Address(object):
                            """
                            Identify the group server by address
                            
                            .. attribute:: ipv4
                            
                            	Set the IPv4 address of the group server
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gdoi.Group.Default.Server.Address']['meta_info']


                        class Hostname(object):
                            """
                            Identify the group server by hostname
                            
                            .. attribute:: ipv4
                            
                            	Set the IPv4 hostname of the group server
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:hostname'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gdoi.Group.Default.Server.Hostname']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            if self.hostname is not None and self.hostname._has_data():
                                return True

                            if self.local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gdoi.Group.Default.Server']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.client is not None and self.client._has_data():
                            return True

                        if self.identity is not None and self.identity._has_data():
                            return True

                        if self.passive is not None:
                            return True

                        if self.server is not None and self.server._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Gdoi.Group.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:gdoi/Cisco-IOS-XE-crypto:group[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.client is not None and self.client._has_data():
                        return True

                    if self.default is not None and self.default._has_data():
                        return True

                    if self.identity is not None and self.identity._has_data():
                        return True

                    if self.ipv6 is not None:
                        return True

                    if self.passive is not None:
                        return True

                    if self.server is not None and self.server._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Gdoi.Group']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:gdoi'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.group is not None:
                    for child_ref in self.group:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Crypto.Gdoi']['meta_info']


        class Ikev2(object):
            """
            Configure IKEv2 Options
            
            .. attribute:: authorization
            
            	IKEv2 authorization
            	**type**\:   :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Authorization>`
            
            .. attribute:: certificate_cache
            
            	Cache for storing certs fetched from HTTP URLs
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: client
            
            	IKEv2 client configuration
            	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client>`
            
            .. attribute:: cluster
            
            	Cluster load\-balancer settings
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: cookie_challenge
            
            	Set Cookie\-challenge watermark
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: cts
            
            	Cisco Trust Security
            	**type**\:   :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Cts>`
            
            .. attribute:: diagnose
            
            	IKEV2 diagnose
            	**type**\:   :py:class:`Diagnose <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Diagnose>`
            
            .. attribute:: disconnect_revoked_peers
            
            	Disconnect Crypto Session with Cert Revoked Peer
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: dpd_container
            
            	
            	**type**\:   :py:class:`DpdContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.DpdContainer>`
            
            .. attribute:: fragmentation
            
            	Enable fragmentation of ikev2 packets
            	**type**\:   :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Fragmentation>`
            
            	**presence node**\: True
            
            .. attribute:: http_url
            
            	Enable http URL lookup
            	**type**\:   :py:class:`HttpUrl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.HttpUrl>`
            
            .. attribute:: keyring
            
            	Define IKEv2 Keyring
            	**type**\: list of    :py:class:`Keyring <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Keyring>`
            
            .. attribute:: limit
            
            	Limit the number of maximum and negotiating sa
            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Limit>`
            
            .. attribute:: name_mangler
            
            	Name mangler
            	**type**\:  str
            
            .. attribute:: nat
            
            	NAT\-transparency
            	**type**\:   :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Nat>`
            
            .. attribute:: policy
            
            	Define IKEV2 policies
            	**type**\: list of    :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Policy>`
            
            .. attribute:: profile
            
            	Define IKEV2 profiles
            	**type**\: list of    :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile>`
            
            .. attribute:: proposal
            
            	Define IKEV2 proposals
            	**type**\: list of    :py:class:`Proposal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Proposal>`
            
            .. attribute:: reconnect
            
            	Cluster Reconnect
            	**type**\:   :py:class:`Reconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Reconnect>`
            
            .. attribute:: redirect
            
            	IKEv2 Redirect Mechanism for load\-balancing
            	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Redirect>`
            
            .. attribute:: window
            
            	IKEV2 window size
            	**type**\:  int
            
            	**range:** 0..255
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.authorization = Native.Crypto.Ikev2.Authorization()
                self.authorization.parent = self
                self.certificate_cache = None
                self.client = Native.Crypto.Ikev2.Client()
                self.client.parent = self
                self.cluster = None
                self.cookie_challenge = None
                self.cts = Native.Crypto.Ikev2.Cts()
                self.cts.parent = self
                self.diagnose = Native.Crypto.Ikev2.Diagnose()
                self.diagnose.parent = self
                self.disconnect_revoked_peers = None
                self.dpd_container = Native.Crypto.Ikev2.DpdContainer()
                self.dpd_container.parent = self
                self.fragmentation = None
                self.http_url = Native.Crypto.Ikev2.HttpUrl()
                self.http_url.parent = self
                self.keyring = YList()
                self.keyring.parent = self
                self.keyring.name = 'keyring'
                self.limit = Native.Crypto.Ikev2.Limit()
                self.limit.parent = self
                self.name_mangler = None
                self.nat = Native.Crypto.Ikev2.Nat()
                self.nat.parent = self
                self.policy = YList()
                self.policy.parent = self
                self.policy.name = 'policy'
                self.profile = YList()
                self.profile.parent = self
                self.profile.name = 'profile'
                self.proposal = YList()
                self.proposal.parent = self
                self.proposal.name = 'proposal'
                self.reconnect = Native.Crypto.Ikev2.Reconnect()
                self.reconnect.parent = self
                self.redirect = Native.Crypto.Ikev2.Redirect()
                self.redirect.parent = self
                self.window = None


            class Authorization(object):
                """
                IKEv2 authorization
                
                .. attribute:: policy
                
                	IKEv2 authorization policy
                	**type**\: list of    :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Authorization.Policy>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.policy = YList()
                    self.policy.parent = self
                    self.policy.name = 'policy'


                class Policy(object):
                    """
                    IKEv2 authorization policy
                    
                    .. attribute:: policy_name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: route
                    
                    	
                    	**type**\:   :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Authorization.Policy.Route>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_name = None
                        self.route = Native.Crypto.Ikev2.Authorization.Policy.Route()
                        self.route.parent = self


                    class Route(object):
                        """
                        
                        
                        .. attribute:: set
                        
                        	
                        	**type**\:   :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Authorization.Policy.Route.Set>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.set = Native.Crypto.Ikev2.Authorization.Policy.Route.Set()
                            self.set.parent = self


                        class Set(object):
                            """
                            
                            
                            .. attribute:: interface
                            
                            	
                            	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interface = Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface()
                                self.interface.parent = self


                            class Interface(object):
                                """
                                
                                
                                .. attribute:: interface_default
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: interface_list
                                
                                	
                                	**type**\: list of    :py:class:`InterfaceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface.InterfaceList>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interface_default = None
                                    self.interface_list = YList()
                                    self.interface_list.parent = self
                                    self.interface_list.name = 'interface_list'


                                class InterfaceList(object):
                                    """
                                    
                                    
                                    .. attribute:: interface_name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.interface_name is None:
                                            raise YPYModelError('Key property interface_name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:interface-list[Cisco-IOS-XE-crypto:interface-name = ' + str(self.interface_name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.interface_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface.InterfaceList']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:interface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interface_default is not None:
                                        return True

                                    if self.interface_list is not None:
                                        for child_ref in self.interface_list:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interface is not None and self.interface._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ikev2.Authorization.Policy.Route.Set']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:route'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.set is not None and self.set._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Authorization.Policy.Route']['meta_info']

                    @property
                    def _common_path(self):
                        if self.policy_name is None:
                            raise YPYModelError('Key property policy_name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ikev2/Cisco-IOS-XE-crypto:authorization/Cisco-IOS-XE-crypto:policy[Cisco-IOS-XE-crypto:policy-name = ' + str(self.policy_name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_name is not None:
                            return True

                        if self.route is not None and self.route._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Authorization.Policy']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ikev2/Cisco-IOS-XE-crypto:authorization'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.policy is not None:
                        for child_ref in self.policy:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ikev2.Authorization']['meta_info']


            class Client(object):
                """
                IKEv2 client configuration
                
                .. attribute:: flexvpn
                
                	
                	**type**\: list of    :py:class:`Flexvpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client.Flexvpn>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.flexvpn = YList()
                    self.flexvpn.parent = self
                    self.flexvpn.name = 'flexvpn'


                class Flexvpn(object):
                    """
                    
                    
                    .. attribute:: flexvpn_name  <key>
                    
                    	Configure an IKEv2 FlexVPN client
                    	**type**\:  str
                    
                    .. attribute:: client
                    
                    	
                    	**type**\:   :py:class:`Client_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client.Flexvpn.Client_>`
                    
                    .. attribute:: connect
                    
                    	
                    	**type**\:   :py:class:`Connect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client.Flexvpn.Connect>`
                    
                    .. attribute:: peer
                    
                    	
                    	**type**\: list of    :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client.Flexvpn.Peer>`
                    
                    .. attribute:: source
                    
                    	
                    	**type**\: list of    :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client.Flexvpn.Source>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.flexvpn_name = None
                        self.client = Native.Crypto.Ikev2.Client.Flexvpn.Client_()
                        self.client.parent = self
                        self.connect = Native.Crypto.Ikev2.Client.Flexvpn.Connect()
                        self.connect.parent = self
                        self.peer = YList()
                        self.peer.parent = self
                        self.peer.name = 'peer'
                        self.source = YList()
                        self.source.parent = self
                        self.source.name = 'source'


                    class Peer(object):
                        """
                        
                        
                        .. attribute:: peer_id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: peer_id_container
                        
                        	
                        	**type**\:   :py:class:`PeerIdContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client.Flexvpn.Peer.PeerIdContainer>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.peer_id = None
                            self.peer_id_container = Native.Crypto.Ikev2.Client.Flexvpn.Peer.PeerIdContainer()
                            self.peer_id_container.parent = self


                        class PeerIdContainer(object):
                            """
                            
                            
                            .. attribute:: peer_address
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: track
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..1000
                            
                            .. attribute:: up_down
                            
                            	
                            	**type**\:   :py:class:`UpDownEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client.Flexvpn.Peer.PeerIdContainer.UpDownEnum>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.peer_address = None
                                self.track = None
                                self.up_down = None

                            class UpDownEnum(Enum):
                                """
                                UpDownEnum

                                .. data:: up = 0

                                .. data:: down = 1

                                """

                                up = 0

                                down = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ikev2.Client.Flexvpn.Peer.PeerIdContainer.UpDownEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:peer-id-container'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.peer_address is not None:
                                    return True

                                if self.track is not None:
                                    return True

                                if self.up_down is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ikev2.Client.Flexvpn.Peer.PeerIdContainer']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.peer_id is None:
                                raise YPYModelError('Key property peer_id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:peer[Cisco-IOS-XE-crypto:peer-id = ' + str(self.peer_id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.peer_id is not None:
                                return True

                            if self.peer_id_container is not None and self.peer_id_container._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Client.Flexvpn.Peer']['meta_info']


                    class Connect(object):
                        """
                        
                        
                        .. attribute:: track
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..1000
                        
                        .. attribute:: up_down
                        
                        	
                        	**type**\:   :py:class:`UpDownEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client.Flexvpn.Connect.UpDownEnum>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.track = None
                            self.up_down = None

                        class UpDownEnum(Enum):
                            """
                            UpDownEnum

                            .. data:: up = 0

                            .. data:: down = 1

                            """

                            up = 0

                            down = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ikev2.Client.Flexvpn.Connect.UpDownEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:connect'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.track is not None:
                                return True

                            if self.up_down is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Client.Flexvpn.Connect']['meta_info']


                    class Source(object):
                        """
                        
                        
                        .. attribute:: source_id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: source_id_container
                        
                        	
                        	**type**\:   :py:class:`SourceIdContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client.Flexvpn.Source.SourceIdContainer>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.source_id = None
                            self.source_id_container = Native.Crypto.Ikev2.Client.Flexvpn.Source.SourceIdContainer()
                            self.source_id_container.parent = self


                        class SourceIdContainer(object):
                            """
                            
                            
                            .. attribute:: interface_name
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: track
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..1000
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interface_name = None
                                self.track = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:source-id-container'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interface_name is not None:
                                    return True

                                if self.track is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ikev2.Client.Flexvpn.Source.SourceIdContainer']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.source_id is None:
                                raise YPYModelError('Key property source_id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:source[Cisco-IOS-XE-crypto:source-id = ' + str(self.source_id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.source_id is not None:
                                return True

                            if self.source_id_container is not None and self.source_id_container._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Client.Flexvpn.Source']['meta_info']


                    class Client_(object):
                        """
                        
                        
                        .. attribute:: connect
                        
                        	
                        	**type**\:   :py:class:`Connect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client.Flexvpn.Client_.Connect>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.connect = Native.Crypto.Ikev2.Client.Flexvpn.Client_.Connect()
                            self.connect.parent = self


                        class Connect(object):
                            """
                            
                            
                            .. attribute:: tunnel
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..2147483647
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.tunnel = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:connect'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.tunnel is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ikev2.Client.Flexvpn.Client_.Connect']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:client'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.connect is not None and self.connect._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Client.Flexvpn.Client_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.flexvpn_name is None:
                            raise YPYModelError('Key property flexvpn_name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ikev2/Cisco-IOS-XE-crypto:client/Cisco-IOS-XE-crypto:flexvpn[Cisco-IOS-XE-crypto:flexvpn-name = ' + str(self.flexvpn_name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.flexvpn_name is not None:
                            return True

                        if self.client is not None and self.client._has_data():
                            return True

                        if self.connect is not None and self.connect._has_data():
                            return True

                        if self.peer is not None:
                            for child_ref in self.peer:
                                if child_ref._has_data():
                                    return True

                        if self.source is not None:
                            for child_ref in self.source:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Client.Flexvpn']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ikev2/Cisco-IOS-XE-crypto:client'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.flexvpn is not None:
                        for child_ref in self.flexvpn:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ikev2.Client']['meta_info']


            class Cts(object):
                """
                Cisco Trust Security
                
                .. attribute:: sgt
                
                	Security Group Tag
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.sgt = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ikev2/Cisco-IOS-XE-crypto:cts'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.sgt is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ikev2.Cts']['meta_info']


            class Diagnose(object):
                """
                IKEV2 diagnose
                
                .. attribute:: error
                
                	Start IKEv2 error trace debug
                	**type**\:  int
                
                	**range:** 1..1000
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.error = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ikev2/Cisco-IOS-XE-crypto:diagnose'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.error is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ikev2.Diagnose']['meta_info']


            class DpdContainer(object):
                """
                
                
                .. attribute:: dpd
                
                	Enable IKE liveness check for peers
                	**type**\:  int
                
                	**range:** 10..3600
                
                .. attribute:: dpd_query
                
                	
                	**type**\:   :py:class:`DpdQueryEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.DpdContainer.DpdQueryEnum>`
                
                .. attribute:: retry_interval
                
                	
                	**type**\:  int
                
                	**range:** 2..60
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dpd = None
                    self.dpd_query = None
                    self.retry_interval = None

                class DpdQueryEnum(Enum):
                    """
                    DpdQueryEnum

                    .. data:: on_demand = 0

                    .. data:: periodic = 1

                    """

                    on_demand = 0

                    periodic = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.DpdContainer.DpdQueryEnum']


                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ikev2/Cisco-IOS-XE-crypto:dpd-container'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dpd is not None:
                        return True

                    if self.dpd_query is not None:
                        return True

                    if self.retry_interval is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ikev2.DpdContainer']['meta_info']


            class Fragmentation(object):
                """
                Enable fragmentation of ikev2 packets
                
                .. attribute:: mtu
                
                	MTU size for fragmentation
                	**type**\:  int
                
                	**range:** 68..1500
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.mtu = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ikev2/Cisco-IOS-XE-crypto:fragmentation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.mtu is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ikev2.Fragmentation']['meta_info']


            class HttpUrl(object):
                """
                Enable http URL lookup
                
                .. attribute:: cert
                
                	Enable certificate lookup based on HTTP\-based URL
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cert = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ikev2/Cisco-IOS-XE-crypto:http-url'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cert is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ikev2.HttpUrl']['meta_info']


            class Keyring(object):
                """
                Define IKEv2 Keyring
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: peer
                
                	Configure a Peer and associated keys
                	**type**\: list of    :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Keyring.Peer>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.peer = YList()
                    self.peer.parent = self
                    self.peer.name = 'peer'


                class Peer(object):
                    """
                    Configure a Peer and associated keys
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: address
                    
                    	Specify IPv4/IPv6 address of peer
                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Keyring.Peer.Address>`
                    
                    .. attribute:: description
                    
                    	Specify a description of this peer
                    	**type**\:  str
                    
                    .. attribute:: hostname
                    
                    	Hostname of peer
                    	**type**\:  str
                    
                    .. attribute:: identity
                    
                    	Specify IKE identity to use
                    	**type**\:   :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Keyring.Peer.Identity>`
                    
                    .. attribute:: pre_shared_key
                    
                    	specify the pre\-shared key
                    	**type**\:   :py:class:`PreSharedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Keyring.Peer.PreSharedKey>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.address = Native.Crypto.Ikev2.Keyring.Peer.Address()
                        self.address.parent = self
                        self.description = None
                        self.hostname = None
                        self.identity = Native.Crypto.Ikev2.Keyring.Peer.Identity()
                        self.identity.parent = self
                        self.pre_shared_key = Native.Crypto.Ikev2.Keyring.Peer.PreSharedKey()
                        self.pre_shared_key.parent = self


                    class Address(object):
                        """
                        Specify IPv4/IPv6 address of peer
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Keyring.Peer.Address.Ipv4>`
                        
                        .. attribute:: ipv6_prefix
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = Native.Crypto.Ikev2.Keyring.Peer.Address.Ipv4()
                            self.ipv4.parent = self
                            self.ipv6_prefix = None


                        class Ipv4(object):
                            """
                            
                            
                            .. attribute:: ipv4_address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv4_mask
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_address = None
                                self.ipv4_mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:ipv4'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4_address is not None:
                                    return True

                                if self.ipv4_mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ikev2.Keyring.Peer.Address.Ipv4']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None and self.ipv4._has_data():
                                return True

                            if self.ipv6_prefix is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Keyring.Peer.Address']['meta_info']


                    class Identity(object):
                        """
                        Specify IKE identity to use
                        
                        .. attribute:: address
                        
                        	IP address
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: email
                        
                        	Use email address
                        	**type**\:   :py:class:`Email <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Keyring.Peer.Identity.Email>`
                        
                        .. attribute:: fqdn
                        
                        	Use FQDN
                        	**type**\:   :py:class:`Fqdn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Keyring.Peer.Identity.Fqdn>`
                        
                        .. attribute:: key_id
                        
                        	proprietary types of identification (ID KEY ID)
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.email = Native.Crypto.Ikev2.Keyring.Peer.Identity.Email()
                            self.email.parent = self
                            self.fqdn = Native.Crypto.Ikev2.Keyring.Peer.Identity.Fqdn()
                            self.fqdn.parent = self
                            self.key_id = None


                        class Email(object):
                            """
                            Use email address
                            
                            .. attribute:: domain
                            
                            	email Domain Name
                            	**type**\:  str
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.domain = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:email'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.domain is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ikev2.Keyring.Peer.Identity.Email']['meta_info']


                        class Fqdn(object):
                            """
                            Use FQDN
                            
                            .. attribute:: domain
                            
                            	email Domain Name
                            	**type**\:  str
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.domain = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:fqdn'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.domain is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ikev2.Keyring.Peer.Identity.Fqdn']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:identity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.email is not None and self.email._has_data():
                                return True

                            if self.fqdn is not None and self.fqdn._has_data():
                                return True

                            if self.key_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Keyring.Peer.Identity']['meta_info']


                    class PreSharedKey(object):
                        """
                        specify the pre\-shared key
                        
                        .. attribute:: encryption
                        
                        	
                        	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Keyring.Peer.PreSharedKey.EncryptionEnum>`
                        
                        .. attribute:: hex
                        
                        	Key entered in hex string
                        	**type**\:  str
                        
                        .. attribute:: key
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: local
                        
                        	specify signing key
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: remote
                        
                        	specify verifying key
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.encryption = None
                            self.hex = None
                            self.key = None
                            self.local = None
                            self.remote = None

                        class EncryptionEnum(Enum):
                            """
                            EncryptionEnum

                            .. data:: Y_0 = 0

                            .. data:: Y_6 = 1

                            """

                            Y_0 = 0

                            Y_6 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ikev2.Keyring.Peer.PreSharedKey.EncryptionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:pre-shared-key'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.encryption is not None:
                                return True

                            if self.hex is not None:
                                return True

                            if self.key is not None:
                                return True

                            if self.local is not None:
                                return True

                            if self.remote is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Keyring.Peer.PreSharedKey']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:peer[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.address is not None and self.address._has_data():
                            return True

                        if self.description is not None:
                            return True

                        if self.hostname is not None:
                            return True

                        if self.identity is not None and self.identity._has_data():
                            return True

                        if self.pre_shared_key is not None and self.pre_shared_key._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Keyring.Peer']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ikev2/Cisco-IOS-XE-crypto:keyring[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.peer is not None:
                        for child_ref in self.peer:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ikev2.Keyring']['meta_info']


            class Limit(object):
                """
                Limit the number of maximum and negotiating sa
                
                .. attribute:: max_neg_sa
                
                	
                	**type**\:   :py:class:`MaxNegSa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Limit.MaxNegSa>`
                
                .. attribute:: max_sa
                
                	Limit the maximum number of SA allowed
                	**type**\:  int
                
                	**range:** 1..9999
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.max_neg_sa = Native.Crypto.Ikev2.Limit.MaxNegSa()
                    self.max_neg_sa.parent = self
                    self.max_sa = None


                class MaxNegSa(object):
                    """
                    
                    
                    .. attribute:: direction
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Limit.MaxNegSa.DirectionEnum>`
                    
                    .. attribute:: max_in_negotation_sa
                    
                    	Limit the maximum number of negotiating SA
                    	**type**\:  int
                    
                    	**range:** 1..9999
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.max_in_negotation_sa = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: incoming = 0

                        .. data:: outgoing = 1

                        """

                        incoming = 0

                        outgoing = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Limit.MaxNegSa.DirectionEnum']


                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ikev2/Cisco-IOS-XE-crypto:limit/Cisco-IOS-XE-crypto:max-neg-sa'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.max_in_negotation_sa is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Limit.MaxNegSa']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ikev2/Cisco-IOS-XE-crypto:limit'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.max_neg_sa is not None and self.max_neg_sa._has_data():
                        return True

                    if self.max_sa is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ikev2.Limit']['meta_info']


            class Nat(object):
                """
                NAT\-transparency
                
                .. attribute:: keepalive
                
                	Set NAT keepalive interval
                	**type**\:  int
                
                	**range:** 5..3600
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ikev2/Cisco-IOS-XE-crypto:nat'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ikev2.Nat']['meta_info']


            class Policy(object):
                """
                Define IKEV2 policies
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: match
                
                	Match values of local fields
                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Policy.Match>`
                
                .. attribute:: proposal
                
                	Specify Proposal
                	**type**\:  str
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.match = Native.Crypto.Ikev2.Policy.Match()
                    self.match.parent = self
                    self.proposal = None


                class Match(object):
                    """
                    Match values of local fields
                    
                    .. attribute:: address
                    
                    	Specify the address to match
                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Policy.Match.Address>`
                    
                    .. attribute:: fvrf
                    
                    	Specify fvrf
                    	**type**\:   :py:class:`Fvrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Policy.Match.Fvrf>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = Native.Crypto.Ikev2.Policy.Match.Address()
                        self.address.parent = self
                        self.fvrf = Native.Crypto.Ikev2.Policy.Match.Fvrf()
                        self.fvrf.parent = self


                    class Address(object):
                        """
                        Specify the address to match
                        
                        .. attribute:: local
                        
                        	Local address
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.local = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Policy.Match.Address']['meta_info']


                    class Fvrf(object):
                        """
                        Specify fvrf
                        
                        .. attribute:: any
                        
                        	Any fvrf
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.any = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:fvrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Policy.Match.Fvrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:match'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None and self.address._has_data():
                            return True

                        if self.fvrf is not None and self.fvrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Policy.Match']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ikev2/Cisco-IOS-XE-crypto:policy[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.match is not None and self.match._has_data():
                        return True

                    if self.proposal is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ikev2.Policy']['meta_info']


            class Profile(object):
                """
                Define IKEV2 profiles
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: aaa
                
                	Specify AAA related configs
                	**type**\:   :py:class:`Aaa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa>`
                
                .. attribute:: authentication
                
                	Set authentication method
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication>`
                
                .. attribute:: config_exchange
                
                	config\-exchange options
                	**type**\:   :py:class:`ConfigExchange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.ConfigExchange>`
                
                .. attribute:: description
                
                	Specify a description of this profile
                	**type**\:  str
                
                .. attribute:: dpd
                
                	Enable IKE liveness check for peers
                	**type**\:   :py:class:`Dpd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Dpd>`
                
                .. attribute:: identity
                
                	Specify IKE identity to use
                	**type**\:   :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Identity>`
                
                .. attribute:: initial_contact
                
                	initial\-contact processing options
                	**type**\:   :py:class:`InitialContact <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.InitialContact>`
                
                .. attribute:: ivrf
                
                	I\-VRF of the profile
                	**type**\:  str
                
                .. attribute:: keyring
                
                	Specify keyring to use
                	**type**\:   :py:class:`Keyring <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Keyring>`
                
                .. attribute:: lifetime
                
                	Set lifetime for ISAKMP security association
                	**type**\:   :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Lifetime>`
                
                .. attribute:: match
                
                	Match values of peer
                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Match>`
                
                .. attribute:: nat
                
                	NAT\-transparency
                	**type**\:   :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Nat>`
                
                .. attribute:: pki
                
                	Specify certificate authorities to trust
                	**type**\:   :py:class:`Pki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Pki>`
                
                .. attribute:: reconnect
                
                	Enable profile for auto re\-connect
                	**type**\:   :py:class:`Reconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Reconnect>`
                
                	**presence node**\: True
                
                .. attribute:: redirect
                
                	IKEv2 Redirect Mechanism for load\-balancing
                	**type**\:   :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Redirect>`
                
                .. attribute:: shutdown
                
                	shutdown the IKEv2 profile
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: virtual_template
                
                	Specify the virtual\-template for dynamic interface creation
                	**type**\:   :py:class:`VirtualTemplate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.VirtualTemplate>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.aaa = Native.Crypto.Ikev2.Profile.Aaa()
                    self.aaa.parent = self
                    self.authentication = Native.Crypto.Ikev2.Profile.Authentication()
                    self.authentication.parent = self
                    self.config_exchange = Native.Crypto.Ikev2.Profile.ConfigExchange()
                    self.config_exchange.parent = self
                    self.description = None
                    self.dpd = Native.Crypto.Ikev2.Profile.Dpd()
                    self.dpd.parent = self
                    self.identity = Native.Crypto.Ikev2.Profile.Identity()
                    self.identity.parent = self
                    self.initial_contact = Native.Crypto.Ikev2.Profile.InitialContact()
                    self.initial_contact.parent = self
                    self.ivrf = None
                    self.keyring = Native.Crypto.Ikev2.Profile.Keyring()
                    self.keyring.parent = self
                    self.lifetime = Native.Crypto.Ikev2.Profile.Lifetime()
                    self.lifetime.parent = self
                    self.match = Native.Crypto.Ikev2.Profile.Match()
                    self.match.parent = self
                    self.nat = Native.Crypto.Ikev2.Profile.Nat()
                    self.nat.parent = self
                    self.pki = Native.Crypto.Ikev2.Profile.Pki()
                    self.pki.parent = self
                    self.reconnect = None
                    self.redirect = Native.Crypto.Ikev2.Profile.Redirect()
                    self.redirect.parent = self
                    self.shutdown = None
                    self.virtual_template = Native.Crypto.Ikev2.Profile.VirtualTemplate()
                    self.virtual_template.parent = self


                class Aaa(object):
                    """
                    Specify AAA related configs
                    
                    .. attribute:: accounting
                    
                    	AAA accounting
                    	**type**\:   :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Accounting>`
                    
                    .. attribute:: authentication
                    
                    	AAA authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authentication>`
                    
                    .. attribute:: authorization
                    
                    	AAA authorization
                    	**type**\:   :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.accounting = Native.Crypto.Ikev2.Profile.Aaa.Accounting()
                        self.accounting.parent = self
                        self.authentication = Native.Crypto.Ikev2.Profile.Aaa.Authentication()
                        self.authentication.parent = self
                        self.authorization = Native.Crypto.Ikev2.Profile.Aaa.Authorization()
                        self.authorization.parent = self


                    class Accounting(object):
                        """
                        AAA accounting
                        
                        .. attribute:: anyconnect_eap
                        
                        	AAA list to use when IKEv2 remote auth method is AnyConnect EAP
                        	**type**\:  str
                        
                        .. attribute:: cert
                        
                        	AAA list to use when IKEv2 remote auth method is certificate based
                        	**type**\:  str
                        
                        .. attribute:: eap
                        
                        	AAA list to use when IKEv2 remote auth method is EAP
                        	**type**\:  str
                        
                        .. attribute:: psk
                        
                        	AAA list to use when IKEv2 remote auth method is PSK
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.anyconnect_eap = None
                            self.cert = None
                            self.eap = None
                            self.psk = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:accounting'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.anyconnect_eap is not None:
                                return True

                            if self.cert is not None:
                                return True

                            if self.eap is not None:
                                return True

                            if self.psk is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Accounting']['meta_info']


                    class Authentication(object):
                        """
                        AAA authentication
                        
                        .. attribute:: anyconnect_eap
                        
                        	AAA AnyConnect EAP authentication
                        	**type**\:  str
                        
                        .. attribute:: eap
                        
                        	AAA EAP authentication
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.anyconnect_eap = None
                            self.eap = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.anyconnect_eap is not None:
                                return True

                            if self.eap is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authentication']['meta_info']


                    class Authorization(object):
                        """
                        AAA authorization
                        
                        .. attribute:: group
                        
                        	AAA group authorization
                        	**type**\:   :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group>`
                        
                        .. attribute:: user
                        
                        	AAA user authorization
                        	**type**\:   :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.group = Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group()
                            self.group.parent = self
                            self.user = Native.Crypto.Ikev2.Profile.Aaa.Authorization.User()
                            self.user.parent = self


                        class Group(object):
                            """
                            AAA group authorization
                            
                            .. attribute:: anyconnect_eap
                            
                            	AAA list to use when IKEv2 remote auth method is anyconnect eap based
                            	**type**\:   :py:class:`AnyconnectEap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap>`
                            
                            .. attribute:: cert
                            
                            	AAA list to use when IKEv2 remote auth method is certificate based
                            	**type**\:   :py:class:`Cert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert>`
                            
                            .. attribute:: eap
                            
                            	AAA list to use when IKEv2 remote auth method is EAP
                            	**type**\:   :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap>`
                            
                            .. attribute:: override
                            
                            	Override user authorization with group authorization.By default, group authorization isoverridden with user authorization
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: psk
                            
                            	AAA list to use when IKEv2 remote auth method is PSK
                            	**type**\:   :py:class:`Psk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.anyconnect_eap = Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap()
                                self.anyconnect_eap.parent = self
                                self.cert = Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert()
                                self.cert.parent = self
                                self.eap = Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap()
                                self.eap.parent = self
                                self.override = None
                                self.psk = Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk()
                                self.psk.parent = self


                            class AnyconnectEap(object):
                                """
                                AAA list to use when IKEv2 remote auth method is anyconnect eap based
                                
                                .. attribute:: list
                                
                                	AAA method list
                                	**type**\: list of    :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.list = YList()
                                    self.list.parent = self
                                    self.list.name = 'list'


                                class List(object):
                                    """
                                    AAA method list
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: local
                                    
                                    	Local AAA Authorization
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: name_mangler
                                    
                                    	Specify the name\-mangler to derive AAA username
                                    	**type**\:  str
                                    
                                    .. attribute:: password
                                    
                                    	Specify the AAA password
                                    	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List.Password>`
                                    
                                    .. attribute:: username
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.local = None
                                        self.name_mangler = None
                                        self.password = Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List.Password()
                                        self.password.parent = self
                                        self.username = None


                                    class Password(object):
                                        """
                                        Specify the AAA password
                                        
                                        .. attribute:: encryption
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List.Password.EncryptionEnum>`
                                        
                                        .. attribute:: key
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encryption = None
                                            self.key = None

                                        class EncryptionEnum(Enum):
                                            """
                                            EncryptionEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_6 = 1

                                            """

                                            Y_0 = 0

                                            Y_6 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List.Password.EncryptionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:password'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encryption is not None:
                                                return True

                                            if self.key is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List.Password']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:list[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.local is not None:
                                            return True

                                        if self.name_mangler is not None:
                                            return True

                                        if self.password is not None and self.password._has_data():
                                            return True

                                        if self.username is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:anyconnect-eap'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.list is not None:
                                        for child_ref in self.list:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap']['meta_info']


                            class Cert(object):
                                """
                                AAA list to use when IKEv2 remote auth method is certificate based
                                
                                .. attribute:: list
                                
                                	AAA method list
                                	**type**\: list of    :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.list = YList()
                                    self.list.parent = self
                                    self.list.name = 'list'


                                class List(object):
                                    """
                                    AAA method list
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: local
                                    
                                    	Local AAA Authorization
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: name_mangler
                                    
                                    	Specify the name\-mangler to derive AAA username
                                    	**type**\:  str
                                    
                                    .. attribute:: password
                                    
                                    	Specify the AAA password
                                    	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List.Password>`
                                    
                                    .. attribute:: username
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.local = None
                                        self.name_mangler = None
                                        self.password = Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List.Password()
                                        self.password.parent = self
                                        self.username = None


                                    class Password(object):
                                        """
                                        Specify the AAA password
                                        
                                        .. attribute:: encryption
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List.Password.EncryptionEnum>`
                                        
                                        .. attribute:: key
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encryption = None
                                            self.key = None

                                        class EncryptionEnum(Enum):
                                            """
                                            EncryptionEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_6 = 1

                                            """

                                            Y_0 = 0

                                            Y_6 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List.Password.EncryptionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:password'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encryption is not None:
                                                return True

                                            if self.key is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List.Password']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:list[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.local is not None:
                                            return True

                                        if self.name_mangler is not None:
                                            return True

                                        if self.password is not None and self.password._has_data():
                                            return True

                                        if self.username is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:cert'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.list is not None:
                                        for child_ref in self.list:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert']['meta_info']


                            class Eap(object):
                                """
                                AAA list to use when IKEv2 remote auth method is EAP
                                
                                .. attribute:: list
                                
                                	AAA method list
                                	**type**\: list of    :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.list = YList()
                                    self.list.parent = self
                                    self.list.name = 'list'


                                class List(object):
                                    """
                                    AAA method list
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: local
                                    
                                    	Local AAA Authorization
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: name_mangler
                                    
                                    	Specify the name\-mangler to derive AAA username
                                    	**type**\:  str
                                    
                                    .. attribute:: password
                                    
                                    	Specify the AAA password
                                    	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List.Password>`
                                    
                                    .. attribute:: username
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.local = None
                                        self.name_mangler = None
                                        self.password = Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List.Password()
                                        self.password.parent = self
                                        self.username = None


                                    class Password(object):
                                        """
                                        Specify the AAA password
                                        
                                        .. attribute:: encryption
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List.Password.EncryptionEnum>`
                                        
                                        .. attribute:: key
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encryption = None
                                            self.key = None

                                        class EncryptionEnum(Enum):
                                            """
                                            EncryptionEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_6 = 1

                                            """

                                            Y_0 = 0

                                            Y_6 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List.Password.EncryptionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:password'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encryption is not None:
                                                return True

                                            if self.key is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List.Password']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:list[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.local is not None:
                                            return True

                                        if self.name_mangler is not None:
                                            return True

                                        if self.password is not None and self.password._has_data():
                                            return True

                                        if self.username is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:eap'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.list is not None:
                                        for child_ref in self.list:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap']['meta_info']


                            class Psk(object):
                                """
                                AAA list to use when IKEv2 remote auth method is PSK
                                
                                .. attribute:: list
                                
                                	AAA method list
                                	**type**\: list of    :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.list = YList()
                                    self.list.parent = self
                                    self.list.name = 'list'


                                class List(object):
                                    """
                                    AAA method list
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: local
                                    
                                    	Local AAA Authorization
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: name_mangler
                                    
                                    	Specify the name\-mangler to derive AAA username
                                    	**type**\:  str
                                    
                                    .. attribute:: password
                                    
                                    	Specify the AAA password
                                    	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List.Password>`
                                    
                                    .. attribute:: username
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.local = None
                                        self.name_mangler = None
                                        self.password = Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List.Password()
                                        self.password.parent = self
                                        self.username = None


                                    class Password(object):
                                        """
                                        Specify the AAA password
                                        
                                        .. attribute:: encryption
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List.Password.EncryptionEnum>`
                                        
                                        .. attribute:: key
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encryption = None
                                            self.key = None

                                        class EncryptionEnum(Enum):
                                            """
                                            EncryptionEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_6 = 1

                                            """

                                            Y_0 = 0

                                            Y_6 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List.Password.EncryptionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:password'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encryption is not None:
                                                return True

                                            if self.key is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List.Password']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:list[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.local is not None:
                                            return True

                                        if self.name_mangler is not None:
                                            return True

                                        if self.password is not None and self.password._has_data():
                                            return True

                                        if self.username is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:psk'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.list is not None:
                                        for child_ref in self.list:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.anyconnect_eap is not None and self.anyconnect_eap._has_data():
                                    return True

                                if self.cert is not None and self.cert._has_data():
                                    return True

                                if self.eap is not None and self.eap._has_data():
                                    return True

                                if self.override is not None:
                                    return True

                                if self.psk is not None and self.psk._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group']['meta_info']


                        class User(object):
                            """
                            AAA user authorization
                            
                            .. attribute:: anyconnect_eap
                            
                            	AAA list to use when IKEv2 remote auth method is anyconnect eap based
                            	**type**\:   :py:class:`AnyconnectEap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap>`
                            
                            .. attribute:: cert
                            
                            	AAA list to use when IKEv2 remote auth method is certificate based
                            	**type**\:   :py:class:`Cert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert>`
                            
                            .. attribute:: eap
                            
                            	AAA list to use when IKEv2 remote auth method is EAP
                            	**type**\:   :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap>`
                            
                            .. attribute:: psk
                            
                            	AAA list to use when IKEv2 remote auth method is PSK
                            	**type**\:   :py:class:`Psk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.anyconnect_eap = Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap()
                                self.anyconnect_eap.parent = self
                                self.cert = Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert()
                                self.cert.parent = self
                                self.eap = Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap()
                                self.eap.parent = self
                                self.psk = Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk()
                                self.psk.parent = self


                            class AnyconnectEap(object):
                                """
                                AAA list to use when IKEv2 remote auth method is anyconnect eap based
                                
                                .. attribute:: cached
                                
                                	Use cached attributes from EAP authentication or AAA pre\-shared key fetch
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: list
                                
                                	AAA method list
                                	**type**\: list of    :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cached = None
                                    self.list = YList()
                                    self.list.parent = self
                                    self.list.name = 'list'


                                class List(object):
                                    """
                                    AAA method list
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: local
                                    
                                    	Local AAA Authorization
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: name_mangler
                                    
                                    	Specify the name\-mangler to derive AAA username
                                    	**type**\:  str
                                    
                                    .. attribute:: password
                                    
                                    	Specify the AAA password
                                    	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List.Password>`
                                    
                                    .. attribute:: username
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.local = None
                                        self.name_mangler = None
                                        self.password = Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List.Password()
                                        self.password.parent = self
                                        self.username = None


                                    class Password(object):
                                        """
                                        Specify the AAA password
                                        
                                        .. attribute:: encryption
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List.Password.EncryptionEnum>`
                                        
                                        .. attribute:: key
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encryption = None
                                            self.key = None

                                        class EncryptionEnum(Enum):
                                            """
                                            EncryptionEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_6 = 1

                                            """

                                            Y_0 = 0

                                            Y_6 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List.Password.EncryptionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:password'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encryption is not None:
                                                return True

                                            if self.key is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List.Password']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:list[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.local is not None:
                                            return True

                                        if self.name_mangler is not None:
                                            return True

                                        if self.password is not None and self.password._has_data():
                                            return True

                                        if self.username is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:anyconnect-eap'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cached is not None:
                                        return True

                                    if self.list is not None:
                                        for child_ref in self.list:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap']['meta_info']


                            class Cert(object):
                                """
                                AAA list to use when IKEv2 remote auth method is certificate based
                                
                                .. attribute:: list
                                
                                	AAA method list
                                	**type**\: list of    :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.list = YList()
                                    self.list.parent = self
                                    self.list.name = 'list'


                                class List(object):
                                    """
                                    AAA method list
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: local
                                    
                                    	Local AAA Authorization
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: name_mangler
                                    
                                    	Specify the name\-mangler to derive AAA username
                                    	**type**\:  str
                                    
                                    .. attribute:: password
                                    
                                    	Specify the AAA password
                                    	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List.Password>`
                                    
                                    .. attribute:: username
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.local = None
                                        self.name_mangler = None
                                        self.password = Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List.Password()
                                        self.password.parent = self
                                        self.username = None


                                    class Password(object):
                                        """
                                        Specify the AAA password
                                        
                                        .. attribute:: encryption
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List.Password.EncryptionEnum>`
                                        
                                        .. attribute:: key
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encryption = None
                                            self.key = None

                                        class EncryptionEnum(Enum):
                                            """
                                            EncryptionEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_6 = 1

                                            """

                                            Y_0 = 0

                                            Y_6 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List.Password.EncryptionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:password'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encryption is not None:
                                                return True

                                            if self.key is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List.Password']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:list[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.local is not None:
                                            return True

                                        if self.name_mangler is not None:
                                            return True

                                        if self.password is not None and self.password._has_data():
                                            return True

                                        if self.username is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:cert'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.list is not None:
                                        for child_ref in self.list:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert']['meta_info']


                            class Eap(object):
                                """
                                AAA list to use when IKEv2 remote auth method is EAP
                                
                                .. attribute:: cached
                                
                                	Use cached attributes from EAP authentication or AAA pre\-shared key fetch
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: list
                                
                                	AAA method list
                                	**type**\: list of    :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cached = None
                                    self.list = YList()
                                    self.list.parent = self
                                    self.list.name = 'list'


                                class List(object):
                                    """
                                    AAA method list
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: local
                                    
                                    	Local AAA Authorization
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: name_mangler
                                    
                                    	Specify the name\-mangler to derive AAA username
                                    	**type**\:  str
                                    
                                    .. attribute:: password
                                    
                                    	Specify the AAA password
                                    	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List.Password>`
                                    
                                    .. attribute:: username
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.local = None
                                        self.name_mangler = None
                                        self.password = Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List.Password()
                                        self.password.parent = self
                                        self.username = None


                                    class Password(object):
                                        """
                                        Specify the AAA password
                                        
                                        .. attribute:: encryption
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List.Password.EncryptionEnum>`
                                        
                                        .. attribute:: key
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encryption = None
                                            self.key = None

                                        class EncryptionEnum(Enum):
                                            """
                                            EncryptionEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_6 = 1

                                            """

                                            Y_0 = 0

                                            Y_6 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List.Password.EncryptionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:password'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encryption is not None:
                                                return True

                                            if self.key is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List.Password']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:list[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.local is not None:
                                            return True

                                        if self.name_mangler is not None:
                                            return True

                                        if self.password is not None and self.password._has_data():
                                            return True

                                        if self.username is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:eap'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cached is not None:
                                        return True

                                    if self.list is not None:
                                        for child_ref in self.list:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap']['meta_info']


                            class Psk(object):
                                """
                                AAA list to use when IKEv2 remote auth method is PSK
                                
                                .. attribute:: cached
                                
                                	Use cached attributes from EAP authentication or AAA pre\-shared key fetch
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: list
                                
                                	AAA method list
                                	**type**\: list of    :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cached = None
                                    self.list = YList()
                                    self.list.parent = self
                                    self.list.name = 'list'


                                class List(object):
                                    """
                                    AAA method list
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: local
                                    
                                    	Local AAA Authorization
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: name_mangler
                                    
                                    	Specify the name\-mangler to derive AAA username
                                    	**type**\:  str
                                    
                                    .. attribute:: password
                                    
                                    	Specify the AAA password
                                    	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List.Password>`
                                    
                                    .. attribute:: username
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.local = None
                                        self.name_mangler = None
                                        self.password = Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List.Password()
                                        self.password.parent = self
                                        self.username = None


                                    class Password(object):
                                        """
                                        Specify the AAA password
                                        
                                        .. attribute:: encryption
                                        
                                        	
                                        	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List.Password.EncryptionEnum>`
                                        
                                        .. attribute:: key
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.encryption = None
                                            self.key = None

                                        class EncryptionEnum(Enum):
                                            """
                                            EncryptionEnum

                                            .. data:: Y_0 = 0

                                            .. data:: Y_6 = 1

                                            """

                                            Y_0 = 0

                                            Y_6 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List.Password.EncryptionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:password'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.encryption is not None:
                                                return True

                                            if self.key is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List.Password']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:list[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.local is not None:
                                            return True

                                        if self.name_mangler is not None:
                                            return True

                                        if self.password is not None and self.password._has_data():
                                            return True

                                        if self.username is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:psk'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cached is not None:
                                        return True

                                    if self.list is not None:
                                        for child_ref in self.list:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:user'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.anyconnect_eap is not None and self.anyconnect_eap._has_data():
                                    return True

                                if self.cert is not None and self.cert._has_data():
                                    return True

                                if self.eap is not None and self.eap._has_data():
                                    return True

                                if self.psk is not None and self.psk._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization.User']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:authorization'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.group is not None and self.group._has_data():
                                return True

                            if self.user is not None and self.user._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa.Authorization']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:aaa'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.accounting is not None and self.accounting._has_data():
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.authorization is not None and self.authorization._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Aaa']['meta_info']


                class Authentication(object):
                    """
                    Set authentication method
                    
                    .. attribute:: local
                    
                    	Set local authentication method
                    	**type**\:   :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local>`
                    
                    .. attribute:: remote
                    
                    	Set remote authentication method
                    	**type**\:   :py:class:`Remote <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Remote>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.local = Native.Crypto.Ikev2.Profile.Authentication.Local()
                        self.local.parent = self
                        self.remote = Native.Crypto.Ikev2.Profile.Authentication.Remote()
                        self.remote.parent = self


                    class Local(object):
                        """
                        Set local authentication method
                        
                        .. attribute:: eap
                        
                        	Extended Authentication Protocol
                        	**type**\:   :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.Eap>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ecdsa_sig
                        
                        	ECDSA Signature
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pre_share
                        
                        	Pre\-Shared Key
                        	**type**\:   :py:class:`PreShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: rsa_sig
                        
                        	Rivest\-Shamir\-Adleman Signature
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eap = None
                            self.ecdsa_sig = None
                            self.pre_share = None
                            self.rsa_sig = None


                        class Eap(object):
                            """
                            Extended Authentication Protocol
                            
                            .. attribute:: gtc
                            
                            	eap method gtc credentials
                            	**type**\:   :py:class:`Gtc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc>`
                            
                            .. attribute:: md5
                            
                            	eap method md5 credentials
                            	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5>`
                            
                            .. attribute:: mschapv2
                            
                            	eap method mschapv2 credentials
                            	**type**\:   :py:class:`Mschapv2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.gtc = Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc()
                                self.gtc.parent = self
                                self.md5 = Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5()
                                self.md5.parent = self
                                self.mschapv2 = Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2()
                                self.mschapv2.parent = self


                            class Gtc(object):
                                """
                                eap method gtc credentials
                                
                                .. attribute:: password
                                
                                	EAP password
                                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc.Password>`
                                
                                .. attribute:: username
                                
                                	EAP username
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.password = Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc.Password()
                                    self.password.parent = self
                                    self.username = None


                                class Password(object):
                                    """
                                    EAP password
                                    
                                    .. attribute:: encryption
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc.Password.EncryptionEnum>`
                                    
                                    .. attribute:: key
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encryption = None
                                        self.key = None

                                    class EncryptionEnum(Enum):
                                        """
                                        EncryptionEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_6 = 1

                                        """

                                        Y_0 = 0

                                        Y_6 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc.Password.EncryptionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:password'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encryption is not None:
                                            return True

                                        if self.key is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc.Password']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:gtc'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.password is not None and self.password._has_data():
                                        return True

                                    if self.username is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc']['meta_info']


                            class Md5(object):
                                """
                                eap method md5 credentials
                                
                                .. attribute:: password
                                
                                	EAP password
                                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5.Password>`
                                
                                .. attribute:: username
                                
                                	EAP username
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.password = Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5.Password()
                                    self.password.parent = self
                                    self.username = None


                                class Password(object):
                                    """
                                    EAP password
                                    
                                    .. attribute:: encryption
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5.Password.EncryptionEnum>`
                                    
                                    .. attribute:: key
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encryption = None
                                        self.key = None

                                    class EncryptionEnum(Enum):
                                        """
                                        EncryptionEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_6 = 1

                                        """

                                        Y_0 = 0

                                        Y_6 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5.Password.EncryptionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:password'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encryption is not None:
                                            return True

                                        if self.key is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5.Password']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:md5'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.password is not None and self.password._has_data():
                                        return True

                                    if self.username is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5']['meta_info']


                            class Mschapv2(object):
                                """
                                eap method mschapv2 credentials
                                
                                .. attribute:: password
                                
                                	EAP password
                                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2.Password>`
                                
                                .. attribute:: username
                                
                                	EAP username
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.password = Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2.Password()
                                    self.password.parent = self
                                    self.username = None


                                class Password(object):
                                    """
                                    EAP password
                                    
                                    .. attribute:: encryption
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2.Password.EncryptionEnum>`
                                    
                                    .. attribute:: key
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encryption = None
                                        self.key = None

                                    class EncryptionEnum(Enum):
                                        """
                                        EncryptionEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_6 = 1

                                        """

                                        Y_0 = 0

                                        Y_6 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2.Password.EncryptionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:password'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encryption is not None:
                                            return True

                                        if self.key is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2.Password']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:mschapv2'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.password is not None and self.password._has_data():
                                        return True

                                    if self.username is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:eap'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.gtc is not None and self.gtc._has_data():
                                    return True

                                if self.md5 is not None and self.md5._has_data():
                                    return True

                                if self.mschapv2 is not None and self.mschapv2._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.Eap']['meta_info']


                        class PreShare(object):
                            """
                            Pre\-Shared Key
                            
                            .. attribute:: key
                            
                            	specify key
                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare.Key>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.key = Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare.Key()
                                self.key.parent = self


                            class Key(object):
                                """
                                specify key
                                
                                .. attribute:: encryption
                                
                                	
                                	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare.Key.EncryptionEnum>`
                                
                                .. attribute:: key
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encryption = None
                                    self.key = None

                                class EncryptionEnum(Enum):
                                    """
                                    EncryptionEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_6 = 1

                                    """

                                    Y_0 = 0

                                    Y_6 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare.Key.EncryptionEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encryption is not None:
                                        return True

                                    if self.key is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare.Key']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:pre-share'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.key is not None and self.key._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:local'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eap is not None and self.eap._has_data():
                                return True

                            if self.ecdsa_sig is not None:
                                return True

                            if self.pre_share is not None and self.pre_share._has_data():
                                return True

                            if self.rsa_sig is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication.Local']['meta_info']


                    class Remote(object):
                        """
                        Set remote authentication method
                        
                        .. attribute:: anyconnect_eap
                        
                        	AnyConnect EAP
                        	**type**\:   :py:class:`AnyconnectEap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap>`
                        
                        .. attribute:: eap
                        
                        	Extended Authentication Protocol
                        	**type**\:   :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Remote.Eap>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ecdsa_sig
                        
                        	ECDSA Signature
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pre_share
                        
                        	Pre\-Shared Key
                        	**type**\:   :py:class:`PreShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: rsa_sig
                        
                        	Rivest\-Shamir\-Adleman Signature
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.anyconnect_eap = Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap()
                            self.anyconnect_eap.parent = self
                            self.eap = None
                            self.ecdsa_sig = None
                            self.pre_share = None
                            self.rsa_sig = None


                        class AnyconnectEap(object):
                            """
                            AnyConnect EAP
                            
                            .. attribute:: aggregate
                            
                            	use aggregate auth for anyconnect eap
                            	**type**\:   :py:class:`Aggregate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap.Aggregate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aggregate = None


                            class Aggregate(object):
                                """
                                use aggregate auth for anyconnect eap
                                
                                .. attribute:: cert_request
                                
                                	use double authentication during anyconnect eap
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.cert_request = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:aggregate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.cert_request is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap.Aggregate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:anyconnect-eap'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aggregate is not None and self.aggregate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap']['meta_info']


                        class Eap(object):
                            """
                            Extended Authentication Protocol
                            
                            .. attribute:: query_identity
                            
                            	query EAP identity from peer
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: timeout
                            
                            	timeout
                            	**type**\:  int
                            
                            	**range:** 45..180
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.query_identity = None
                                self.timeout = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:eap'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.query_identity is not None:
                                    return True

                                if self.timeout is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication.Remote.Eap']['meta_info']


                        class PreShare(object):
                            """
                            Pre\-Shared Key
                            
                            .. attribute:: key
                            
                            	specify key
                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare.Key>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.key = Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare.Key()
                                self.key.parent = self


                            class Key(object):
                                """
                                specify key
                                
                                .. attribute:: encryption
                                
                                	
                                	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare.Key.EncryptionEnum>`
                                
                                .. attribute:: key
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encryption = None
                                    self.key = None

                                class EncryptionEnum(Enum):
                                    """
                                    EncryptionEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_6 = 1

                                    """

                                    Y_0 = 0

                                    Y_6 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare.Key.EncryptionEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encryption is not None:
                                        return True

                                    if self.key is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare.Key']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:pre-share'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.key is not None and self.key._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:remote'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.anyconnect_eap is not None and self.anyconnect_eap._has_data():
                                return True

                            if self.eap is not None and self.eap._has_data():
                                return True

                            if self.ecdsa_sig is not None:
                                return True

                            if self.pre_share is not None and self.pre_share._has_data():
                                return True

                            if self.rsa_sig is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication.Remote']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.local is not None and self.local._has_data():
                            return True

                        if self.remote is not None and self.remote._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Authentication']['meta_info']


                class ConfigExchange(object):
                    """
                    config\-exchange options
                    
                    .. attribute:: request
                    
                    	enable config\-exchange request
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: set
                    
                    	config\-exchange set options
                    	**type**\:   :py:class:`SetEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.ConfigExchange.SetEnum>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.request = None
                        self.set = None

                    class SetEnum(Enum):
                        """
                        SetEnum

                        config\-exchange set options

                        .. data:: accept = 0

                        .. data:: send = 1

                        """

                        accept = 0

                        send = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Profile.ConfigExchange.SetEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:config-exchange'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.request is not None:
                            return True

                        if self.set is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Profile.ConfigExchange']['meta_info']


                class Dpd(object):
                    """
                    Enable IKE liveness check for peers
                    
                    .. attribute:: interval
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 10..3600
                    
                    .. attribute:: query
                    
                    	
                    	**type**\:   :py:class:`QueryEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Dpd.QueryEnum>`
                    
                    .. attribute:: retry
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 2..60
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interval = None
                        self.query = None
                        self.retry = None

                    class QueryEnum(Enum):
                        """
                        QueryEnum

                        .. data:: on_demand = 0

                        .. data:: periodic = 1

                        """

                        on_demand = 0

                        periodic = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Dpd.QueryEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:dpd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interval is not None:
                            return True

                        if self.query is not None:
                            return True

                        if self.retry is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Dpd']['meta_info']


                class Identity(object):
                    """
                    Specify IKE identity to use
                    
                    .. attribute:: local
                    
                    	Specify the local IKE identity to use for the negotiation
                    	**type**\:   :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Identity.Local>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.local = Native.Crypto.Ikev2.Profile.Identity.Local()
                        self.local.parent = self


                    class Local(object):
                        """
                        Specify the local IKE identity to use for the negotiation
                        
                        .. attribute:: address
                        
                        	address
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: dn
                        
                        	Distinguished Name
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: email
                        
                        	Fully qualified email string email <user@domain>
                        	**type**\:  str
                        
                        .. attribute:: fqdn
                        
                        	Fully qualified domain name string FQDN <host.domain>
                        	**type**\:  str
                        
                        .. attribute:: key_id
                        
                        	key\-id opaque string \- proprietary types of identification key\-id string
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.dn = None
                            self.email = None
                            self.fqdn = None
                            self.key_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:local'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.dn is not None:
                                return True

                            if self.email is not None:
                                return True

                            if self.fqdn is not None:
                                return True

                            if self.key_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Identity.Local']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:identity'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.local is not None and self.local._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Identity']['meta_info']


                class InitialContact(object):
                    """
                    initial\-contact processing options
                    
                    .. attribute:: force
                    
                    	Enforces initial\-contact based clean\-up
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.force = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:initial-contact'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.force is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Profile.InitialContact']['meta_info']


                class Keyring(object):
                    """
                    Specify keyring to use
                    
                    .. attribute:: aaa
                    
                    	AAA based keyring
                    	**type**\: list of    :py:class:`Aaa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Keyring.Aaa>`
                    
                    .. attribute:: local
                    
                    	Local keyring
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.aaa = YList()
                        self.aaa.parent = self
                        self.aaa.name = 'aaa'
                        self.local = None


                    class Aaa(object):
                        """
                        AAA based keyring
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: name_mangler
                        
                        	Specify the name\-mangler to derive username
                        	**type**\:  str
                        
                        .. attribute:: password
                        
                        	Specify the AAA password
                        	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Keyring.Aaa.Password>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.name_mangler = None
                            self.password = Native.Crypto.Ikev2.Profile.Keyring.Aaa.Password()
                            self.password.parent = self


                        class Password(object):
                            """
                            Specify the AAA password
                            
                            .. attribute:: encryption
                            
                            	
                            	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Keyring.Aaa.Password.EncryptionEnum>`
                            
                            .. attribute:: key
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.encryption = None
                                self.key = None

                            class EncryptionEnum(Enum):
                                """
                                EncryptionEnum

                                .. data:: Y_0 = 0

                                .. data:: Y_6 = 1

                                """

                                Y_0 = 0

                                Y_6 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ikev2.Profile.Keyring.Aaa.Password.EncryptionEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:password'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.encryption is not None:
                                    return True

                                if self.key is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ikev2.Profile.Keyring.Aaa.Password']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:aaa[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.name_mangler is not None:
                                return True

                            if self.password is not None and self.password._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Keyring.Aaa']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:keyring'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.aaa is not None:
                            for child_ref in self.aaa:
                                if child_ref._has_data():
                                    return True

                        if self.local is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Keyring']['meta_info']


                class Lifetime(object):
                    """
                    Set lifetime for ISAKMP security association
                    
                    .. attribute:: certificate
                    
                    	Enable certificate based lifetime
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 120..86400
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.certificate = None
                        self.seconds = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:lifetime'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.certificate is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Lifetime']['meta_info']


                class Match(object):
                    """
                    Match values of peer
                    
                    .. attribute:: address
                    
                    	IP address
                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Match.Address>`
                    
                    .. attribute:: certificate
                    
                    	Peer certificate attributes
                    	**type**\:  str
                    
                    .. attribute:: fvrf
                    
                    	fvrf of the profile
                    	**type**\:   :py:class:`Fvrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Match.Fvrf>`
                    
                    .. attribute:: identity
                    
                    	IKE identity
                    	**type**\:   :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Match.Identity>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = Native.Crypto.Ikev2.Profile.Match.Address()
                        self.address.parent = self
                        self.certificate = None
                        self.fvrf = Native.Crypto.Ikev2.Profile.Match.Fvrf()
                        self.fvrf.parent = self
                        self.identity = Native.Crypto.Ikev2.Profile.Match.Identity()
                        self.identity.parent = self


                    class Address(object):
                        """
                        IP address
                        
                        .. attribute:: local
                        
                        	Local address
                        	**type**\:   :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Match.Address.Local>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.local = Native.Crypto.Ikev2.Profile.Match.Address.Local()
                            self.local.parent = self


                        class Local(object):
                            """
                            Local address
                            
                            .. attribute:: interface
                            
                            	Specify an interface
                            	**type**\:  str
                            
                            .. attribute:: ip
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interface = None
                                self.ip = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:local'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interface is not None:
                                    return True

                                if self.ip is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ikev2.Profile.Match.Address.Local']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.local is not None and self.local._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Match.Address']['meta_info']


                    class Fvrf(object):
                        """
                        fvrf of the profile
                        
                        .. attribute:: any
                        
                        	Any fvrf
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.any = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:fvrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Match.Fvrf']['meta_info']


                    class Identity(object):
                        """
                        IKE identity
                        
                        .. attribute:: remote
                        
                        	Remote identity
                        	**type**\:   :py:class:`Remote <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Match.Identity.Remote>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.remote = Native.Crypto.Ikev2.Profile.Match.Identity.Remote()
                            self.remote.parent = self


                        class Remote(object):
                            """
                            Remote identity
                            
                            .. attribute:: address
                            
                            	IP address(es)
                            	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address>`
                            
                            .. attribute:: any
                            
                            	match any peer identity
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: email
                            
                            	Fully qualified email string [Max. 255 char(s)]
                            	**type**\:   :py:class:`Email <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Email>`
                            
                            .. attribute:: fqdn
                            
                            	Fully qualified domain name string [Max. 255 char(s)]
                            	**type**\:   :py:class:`Fqdn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Fqdn>`
                            
                            .. attribute:: key_id
                            
                            	key\-id opaque string
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address()
                                self.address.parent = self
                                self.any = None
                                self.email = Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Email()
                                self.email.parent = self
                                self.fqdn = Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Fqdn()
                                self.fqdn.parent = self
                                self.key_id = None


                            class Address(object):
                                """
                                IP address(es)
                                
                                .. attribute:: ipv4
                                
                                	
                                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address.Ipv4>`
                                
                                .. attribute:: ipv6_prefix
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address.Ipv4()
                                    self.ipv4.parent = self
                                    self.ipv6_prefix = None


                                class Ipv4(object):
                                    """
                                    
                                    
                                    .. attribute:: ipv4_address
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv4_mask
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_address = None
                                        self.ipv4_mask = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:ipv4'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_address is not None:
                                            return True

                                        if self.ipv4_mask is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address.Ipv4']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None and self.ipv4._has_data():
                                        return True

                                    if self.ipv6_prefix is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address']['meta_info']


                            class Email(object):
                                """
                                Fully qualified email string [Max. 255 char(s)]
                                
                                .. attribute:: domain
                                
                                	match domain instead of exact
                                	**type**\:  str
                                
                                .. attribute:: name
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.domain = None
                                    self.name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:email'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.domain is not None:
                                        return True

                                    if self.name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Email']['meta_info']


                            class Fqdn(object):
                                """
                                Fully qualified domain name string [Max. 255 char(s)]
                                
                                .. attribute:: domain
                                
                                	match domain instead of exact
                                	**type**\:  str
                                
                                .. attribute:: name
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.domain = None
                                    self.name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:fqdn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.domain is not None:
                                        return True

                                    if self.name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Fqdn']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:remote'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None and self.address._has_data():
                                    return True

                                if self.any is not None:
                                    return True

                                if self.email is not None and self.email._has_data():
                                    return True

                                if self.fqdn is not None and self.fqdn._has_data():
                                    return True

                                if self.key_id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ikev2.Profile.Match.Identity.Remote']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:identity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.remote is not None and self.remote._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Match.Identity']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:match'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None and self.address._has_data():
                            return True

                        if self.certificate is not None:
                            return True

                        if self.fvrf is not None and self.fvrf._has_data():
                            return True

                        if self.identity is not None and self.identity._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Match']['meta_info']


                class Nat(object):
                    """
                    NAT\-transparency
                    
                    .. attribute:: keepalive
                    
                    	NAT keepalive interval
                    	**type**\:  int
                    
                    	**range:** 5..3600
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.keepalive = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:nat'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.keepalive is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Nat']['meta_info']


                class Pki(object):
                    """
                    Specify certificate authorities to trust
                    
                    .. attribute:: trustpoint
                    
                    	Cert authority trustpoint for RSA sig
                    	**type**\:  str
                    
                    .. attribute:: use
                    
                    	
                    	**type**\:   :py:class:`UseEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Pki.UseEnum>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.trustpoint = None
                        self.use = None

                    class UseEnum(Enum):
                        """
                        UseEnum

                        .. data:: sign = 0

                        .. data:: verify = 1

                        """

                        sign = 0

                        verify = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Pki.UseEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:pki'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.trustpoint is not None:
                            return True

                        if self.use is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Pki']['meta_info']


                class Reconnect(object):
                    """
                    Enable profile for auto re\-connect
                    
                    .. attribute:: timeout
                    
                    	timeout value for session in reconnect state
                    	**type**\:  int
                    
                    	**range:** 600..86400
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.timeout = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:reconnect'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Reconnect']['meta_info']


                class Redirect(object):
                    """
                    IKEv2 Redirect Mechanism for load\-balancing
                    
                    .. attribute:: gateway
                    
                    	Enables Redirect Mechanism on Gateway
                    	**type**\:   :py:class:`Gateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Redirect.Gateway>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.gateway = Native.Crypto.Ikev2.Profile.Redirect.Gateway()
                        self.gateway.parent = self


                    class Gateway(object):
                        """
                        Enables Redirect Mechanism on Gateway
                        
                        .. attribute:: auth
                        
                        	Redirect at SA authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.auth = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:gateway'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.auth is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Profile.Redirect.Gateway']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:redirect'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.gateway is not None and self.gateway._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Profile.Redirect']['meta_info']


                class VirtualTemplate(object):
                    """
                    Specify the virtual\-template for dynamic interface creation.
                    
                    .. attribute:: mode
                    
                    	Enabling Tunnel Auto Mode
                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.VirtualTemplate.ModeEnum>`
                    
                    .. attribute:: number
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.mode = None
                        self.number = None

                    class ModeEnum(Enum):
                        """
                        ModeEnum

                        Enabling Tunnel Auto Mode

                        .. data:: auto = 0

                        """

                        auto = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ikev2.Profile.VirtualTemplate.ModeEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:virtual-template'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.mode is not None:
                            return True

                        if self.number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Profile.VirtualTemplate']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ikev2/Cisco-IOS-XE-crypto:profile[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.aaa is not None and self.aaa._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.config_exchange is not None and self.config_exchange._has_data():
                        return True

                    if self.description is not None:
                        return True

                    if self.dpd is not None and self.dpd._has_data():
                        return True

                    if self.identity is not None and self.identity._has_data():
                        return True

                    if self.initial_contact is not None and self.initial_contact._has_data():
                        return True

                    if self.ivrf is not None:
                        return True

                    if self.keyring is not None and self.keyring._has_data():
                        return True

                    if self.lifetime is not None and self.lifetime._has_data():
                        return True

                    if self.match is not None and self.match._has_data():
                        return True

                    if self.nat is not None and self.nat._has_data():
                        return True

                    if self.pki is not None and self.pki._has_data():
                        return True

                    if self.reconnect is not None and self.reconnect._has_data():
                        return True

                    if self.redirect is not None and self.redirect._has_data():
                        return True

                    if self.shutdown is not None:
                        return True

                    if self.virtual_template is not None and self.virtual_template._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ikev2.Profile']['meta_info']


            class Proposal(object):
                """
                Define IKEV2 proposals
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: encryption
                
                	Set encryption algorithm(s) for proposal
                	**type**\:   :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Proposal.Encryption>`
                
                .. attribute:: group
                
                	Set the Diffie\-Hellman group(s)
                	**type**\:   :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Proposal.Group>`
                
                .. attribute:: integrity
                
                	Set integrity hash algorithm(s) for proposal
                	**type**\:   :py:class:`Integrity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Proposal.Integrity>`
                
                .. attribute:: prf
                
                	Set prf algorithm(s) for proposal
                	**type**\:   :py:class:`Prf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Proposal.Prf>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.encryption = Native.Crypto.Ikev2.Proposal.Encryption()
                    self.encryption.parent = self
                    self.group = Native.Crypto.Ikev2.Proposal.Group()
                    self.group.parent = self
                    self.integrity = Native.Crypto.Ikev2.Proposal.Integrity()
                    self.integrity.parent = self
                    self.prf = Native.Crypto.Ikev2.Proposal.Prf()
                    self.prf.parent = self


                class Encryption(object):
                    """
                    Set encryption algorithm(s) for proposal
                    
                    .. attribute:: aes_cbc_128
                    
                    	AES\-CBC\-128
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: aes_cbc_192
                    
                    	AES\-CBC\-192
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: aes_cbc_256
                    
                    	AES\-CBC\-256
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: aes_gcm_128
                    
                    	Combined\-mode,128 bit key,16 byte ICV(Authentication Tag)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: aes_gcm_256
                    
                    	Combined\-mode,256 bit key,16 byte ICV(Authentication Tag)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: des
                    
                    	DES
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: en_3des
                    
                    	3DES
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.aes_cbc_128 = None
                        self.aes_cbc_192 = None
                        self.aes_cbc_256 = None
                        self.aes_gcm_128 = None
                        self.aes_gcm_256 = None
                        self.des = None
                        self.en_3des = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:encryption'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.aes_cbc_128 is not None:
                            return True

                        if self.aes_cbc_192 is not None:
                            return True

                        if self.aes_cbc_256 is not None:
                            return True

                        if self.aes_gcm_128 is not None:
                            return True

                        if self.aes_gcm_256 is not None:
                            return True

                        if self.des is not None:
                            return True

                        if self.en_3des is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Proposal.Encryption']['meta_info']


                class Group(object):
                    """
                    Set the Diffie\-Hellman group(s)
                    
                    .. attribute:: fifteen
                    
                    	DH 3072 MODP
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: five
                    
                    	DH 1536 MODP
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: fourteen
                    
                    	DH 2048 MODP
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nineteen
                    
                    	DH 256 ECP
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: one
                    
                    	DH 768 MODP
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sixteen
                    
                    	DH 4096 MODP
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: twenty
                    
                    	DH 384 ECP
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: twenty_four
                    
                    	DH 2048 (256 subgroup) MODP
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: twenty_one
                    
                    	DH 521 ECP
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: two
                    
                    	DH 1024 MODP
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.fifteen = None
                        self.five = None
                        self.fourteen = None
                        self.nineteen = None
                        self.one = None
                        self.sixteen = None
                        self.twenty = None
                        self.twenty_four = None
                        self.twenty_one = None
                        self.two = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.fifteen is not None:
                            return True

                        if self.five is not None:
                            return True

                        if self.fourteen is not None:
                            return True

                        if self.nineteen is not None:
                            return True

                        if self.one is not None:
                            return True

                        if self.sixteen is not None:
                            return True

                        if self.twenty is not None:
                            return True

                        if self.twenty_four is not None:
                            return True

                        if self.twenty_one is not None:
                            return True

                        if self.two is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Proposal.Group']['meta_info']


                class Integrity(object):
                    """
                    Set integrity hash algorithm(s) for proposal
                    
                    .. attribute:: md5
                    
                    	Message Digest 5
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sha1
                    
                    	Secure Hash Standard
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sha256
                    
                    	Secure Hash Standard 2 (256 bit)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sha384
                    
                    	Secure Hash Standard 2 (384 bit)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sha512
                    
                    	Secure Hash Standard 2 (512 bit)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.md5 = None
                        self.sha1 = None
                        self.sha256 = None
                        self.sha384 = None
                        self.sha512 = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:integrity'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.md5 is not None:
                            return True

                        if self.sha1 is not None:
                            return True

                        if self.sha256 is not None:
                            return True

                        if self.sha384 is not None:
                            return True

                        if self.sha512 is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Proposal.Integrity']['meta_info']


                class Prf(object):
                    """
                    Set prf algorithm(s) for proposal
                    
                    .. attribute:: md5
                    
                    	Message Digest 5
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sha1
                    
                    	Secure Hash Standard
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sha256
                    
                    	Secure Hash Standard 2 (256 bit)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sha384
                    
                    	Secure Hash Standard 2 (384 bit)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sha512
                    
                    	Secure Hash Standard 2 (512 bit)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.md5 = None
                        self.sha1 = None
                        self.sha256 = None
                        self.sha384 = None
                        self.sha512 = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:prf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.md5 is not None:
                            return True

                        if self.sha1 is not None:
                            return True

                        if self.sha256 is not None:
                            return True

                        if self.sha384 is not None:
                            return True

                        if self.sha512 is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Proposal.Prf']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ikev2/Cisco-IOS-XE-crypto:proposal[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.encryption is not None and self.encryption._has_data():
                        return True

                    if self.group is not None and self.group._has_data():
                        return True

                    if self.integrity is not None and self.integrity._has_data():
                        return True

                    if self.prf is not None and self.prf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ikev2.Proposal']['meta_info']


            class Reconnect(object):
                """
                Cluster Reconnect
                
                .. attribute:: active
                
                	Current active cluster reconnect key
                	**type**\:  str
                
                	**length:** 1..128
                
                .. attribute:: key
                
                	Cluster Reconnect key
                	**type**\:  int
                
                	**range:** 1..2
                
                .. attribute:: value
                
                	
                	**type**\:  str
                
                	**length:** 1..128
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.active = None
                    self.key = None
                    self.value = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ikev2/Cisco-IOS-XE-crypto:reconnect'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.active is not None:
                        return True

                    if self.key is not None:
                        return True

                    if self.value is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ikev2.Reconnect']['meta_info']


            class Redirect(object):
                """
                IKEv2 Redirect Mechanism for load\-balancing
                
                .. attribute:: client
                
                	Enables Redirect Mechanism on Client
                	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Redirect.Client>`
                
                	**presence node**\: True
                
                .. attribute:: gateway
                
                	Enables Redirect Mechanism on Gateway
                	**type**\:   :py:class:`GatewayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Redirect.GatewayEnum>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.client = None
                    self.gateway = None

                class GatewayEnum(Enum):
                    """
                    GatewayEnum

                    Enables Redirect Mechanism on Gateway

                    .. data:: auth = 0

                    .. data:: init = 1

                    """

                    auth = 0

                    init = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Redirect.GatewayEnum']



                class Client(object):
                    """
                    Enables Redirect Mechanism on Client
                    
                    .. attribute:: max_redirects
                    
                    	Redirect loop detection
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.max_redirects = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ikev2/Cisco-IOS-XE-crypto:redirect/Cisco-IOS-XE-crypto:client'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.max_redirects is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ikev2.Redirect.Client']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ikev2/Cisco-IOS-XE-crypto:redirect'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.client is not None and self.client._has_data():
                        return True

                    if self.gateway is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ikev2.Redirect']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ikev2'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.authorization is not None and self.authorization._has_data():
                    return True

                if self.certificate_cache is not None:
                    return True

                if self.client is not None and self.client._has_data():
                    return True

                if self.cluster is not None:
                    return True

                if self.cookie_challenge is not None:
                    return True

                if self.cts is not None and self.cts._has_data():
                    return True

                if self.diagnose is not None and self.diagnose._has_data():
                    return True

                if self.disconnect_revoked_peers is not None:
                    return True

                if self.dpd_container is not None and self.dpd_container._has_data():
                    return True

                if self.fragmentation is not None and self.fragmentation._has_data():
                    return True

                if self.http_url is not None and self.http_url._has_data():
                    return True

                if self.keyring is not None:
                    for child_ref in self.keyring:
                        if child_ref._has_data():
                            return True

                if self.limit is not None and self.limit._has_data():
                    return True

                if self.name_mangler is not None:
                    return True

                if self.nat is not None and self.nat._has_data():
                    return True

                if self.policy is not None:
                    for child_ref in self.policy:
                        if child_ref._has_data():
                            return True

                if self.profile is not None:
                    for child_ref in self.profile:
                        if child_ref._has_data():
                            return True

                if self.proposal is not None:
                    for child_ref in self.proposal:
                        if child_ref._has_data():
                            return True

                if self.reconnect is not None and self.reconnect._has_data():
                    return True

                if self.redirect is not None and self.redirect._has_data():
                    return True

                if self.window is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Crypto.Ikev2']['meta_info']


        class Gkm(object):
            """
            Configure GKM (Group Key Management, GDOI or G\-IKEv2) Policy
            
            .. attribute:: group
            
            	Configure a GKM (Group Key Management, GDOI or G\-IKEv2) Group
            	**type**\: list of    :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.group = YList()
                self.group.parent = self
                self.group.name = 'group'


            class Group(object):
                """
                Configure a GKM (Group Key Management, GDOI or G\-IKEv2) Group
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: client
                
                	Set the group client parameters
                	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Client>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default>`
                
                .. attribute:: identity
                
                	Set the identity of the group
                	**type**\:   :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Identity>`
                
                .. attribute:: ipv6
                
                	IPv6 GKM (Group Key Management) Group
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: passive
                
                	Set the group in passive mode
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: server
                
                	Set the group server for of the group
                	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.client = Native.Crypto.Gkm.Group.Client()
                    self.client.parent = self
                    self.default = Native.Crypto.Gkm.Group.Default()
                    self.default.parent = self
                    self.identity = Native.Crypto.Gkm.Group.Identity()
                    self.identity.parent = self
                    self.ipv6 = None
                    self.passive = None
                    self.server = Native.Crypto.Gkm.Group.Server()
                    self.server.parent = self


                class Client(object):
                    """
                    Set the group client parameters
                    
                    .. attribute:: bypass_policy
                    
                    	Allow group\-key management traffic sent to this GM only
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: protocol
                    
                    	Group Member Registration & Rekey Protocol
                    	**type**\:   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Client.Protocol>`
                    
                    .. attribute:: recovery_check
                    
                    	Specify GM recovery check parameters
                    	**type**\:   :py:class:`RecoveryCheck <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Client.RecoveryCheck>`
                    
                    .. attribute:: registration
                    
                    	Set the group client management/register interface
                    	**type**\:   :py:class:`Registration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Client.Registration>`
                    
                    .. attribute:: rekey
                    
                    	Set the group client acceptable rekey ciphers and hashs
                    	**type**\:   :py:class:`Rekey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Client.Rekey>`
                    
                    .. attribute:: status
                    
                    	group\-member status
                    	**type**\:   :py:class:`Status <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Client.Status>`
                    
                    .. attribute:: transform_sets
                    
                    	Specify list of group client acceptable transform sets
                    	**type**\:  list of str
                    
                    .. attribute:: transport_encrypt_key
                    
                    	Enforce group or pair\-wise keying
                    	**type**\:   :py:class:`TransportEncryptKeyEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Client.TransportEncryptKeyEnum>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bypass_policy = None
                        self.protocol = Native.Crypto.Gkm.Group.Client.Protocol()
                        self.protocol.parent = self
                        self.recovery_check = Native.Crypto.Gkm.Group.Client.RecoveryCheck()
                        self.recovery_check.parent = self
                        self.registration = Native.Crypto.Gkm.Group.Client.Registration()
                        self.registration.parent = self
                        self.rekey = Native.Crypto.Gkm.Group.Client.Rekey()
                        self.rekey.parent = self
                        self.status = Native.Crypto.Gkm.Group.Client.Status()
                        self.status.parent = self
                        self.transform_sets = YLeafList()
                        self.transform_sets.parent = self
                        self.transform_sets.name = 'transform_sets'
                        self.transport_encrypt_key = None

                    class TransportEncryptKeyEnum(Enum):
                        """
                        TransportEncryptKeyEnum

                        Enforce group or pair\-wise keying

                        .. data:: group_key = 0

                        .. data:: pair_wise_key = 1

                        """

                        group_key = 0

                        pair_wise_key = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gkm.Group.Client.TransportEncryptKeyEnum']



                    class Protocol(object):
                        """
                        Group Member Registration & Rekey Protocol
                        
                        .. attribute:: gdoi
                        
                        	Use GDOI (ISAKMP) Protocol for Registration & Rekey
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: gikev2
                        
                        	Use G\-IKEv2 Protocol for Registration & Rekey
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.gdoi = None
                            self.gikev2 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:protocol'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.gdoi is not None:
                                return True

                            if self.gikev2 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gkm.Group.Client.Protocol']['meta_info']


                    class RecoveryCheck(object):
                        """
                        Specify GM recovery check parameters
                        
                        .. attribute:: interval
                        
                        	Waiting period(sec) between consecutive recovery registrations
                        	**type**\:  int
                        
                        	**range:** 100..1000
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interval = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:recovery-check'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gkm.Group.Client.RecoveryCheck']['meta_info']


                    class Registration(object):
                        """
                        Set the group client management/register interface
                        
                        .. attribute:: interface
                        
                        	Set the group client management/register interface
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:registration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gkm.Group.Client.Registration']['meta_info']


                    class Rekey(object):
                        """
                        Set the group client acceptable rekey ciphers and hashs
                        
                        .. attribute:: encryption
                        
                        	Set the group client acceptable rekey ciphers
                        	**type**\:   :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Client.Rekey.Encryption>`
                        
                        .. attribute:: hash
                        
                        	Set the group client acceptable rekey hash
                        	**type**\:   :py:class:`Hash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Client.Rekey.Hash>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.encryption = Native.Crypto.Gkm.Group.Client.Rekey.Encryption()
                            self.encryption.parent = self
                            self.hash = Native.Crypto.Gkm.Group.Client.Rekey.Hash()
                            self.hash.parent = self


                        class Encryption(object):
                            """
                            Set the group client acceptable rekey ciphers
                            
                            .. attribute:: aes_128
                            
                            	128 bit AES
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aes_192
                            
                            	192 bit AES
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aes_256
                            
                            	256 bit AES
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: des_cbc
                            
                            	DES in CBC mode
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rekey_3des_cbc
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aes_128 = None
                                self.aes_192 = None
                                self.aes_256 = None
                                self.des_cbc = None
                                self.rekey_3des_cbc = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:encryption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aes_128 is not None:
                                    return True

                                if self.aes_192 is not None:
                                    return True

                                if self.aes_256 is not None:
                                    return True

                                if self.des_cbc is not None:
                                    return True

                                if self.rekey_3des_cbc is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gkm.Group.Client.Rekey.Encryption']['meta_info']


                        class Hash(object):
                            """
                            Set the group client acceptable rekey hash
                            
                            .. attribute:: sha
                            
                            	Secure Hash Standard
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sha256
                            
                            	Secure Hash Standard 2 (256 bit)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sha384
                            
                            	Secure Hash Standard 2 (384 bit)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sha512
                            
                            	Secure Hash Standard 2 (512 bit)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.sha = None
                                self.sha256 = None
                                self.sha384 = None
                                self.sha512 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:hash'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.sha is not None:
                                    return True

                                if self.sha256 is not None:
                                    return True

                                if self.sha384 is not None:
                                    return True

                                if self.sha512 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gkm.Group.Client.Rekey.Hash']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:rekey'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.encryption is not None and self.encryption._has_data():
                                return True

                            if self.hash is not None and self.hash._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gkm.Group.Client.Rekey']['meta_info']


                    class Status(object):
                        """
                        group\-member status
                        
                        .. attribute:: active_sa
                        
                        	TEK SA with positive remaining lifetime
                        	**type**\:   :py:class:`ActiveSa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Client.Status.ActiveSa>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.active_sa = Native.Crypto.Gkm.Group.Client.Status.ActiveSa()
                            self.active_sa.parent = self


                        class ActiveSa(object):
                            """
                            TEK SA with positive remaining lifetime
                            
                            .. attribute:: track
                            
                            	enable stub tracking object
                            	**type**\:  int
                            
                            	**range:** 1..1000
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.track = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:active-sa'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.track is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gkm.Group.Client.Status.ActiveSa']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.active_sa is not None and self.active_sa._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gkm.Group.Client.Status']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:client'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bypass_policy is not None:
                            return True

                        if self.protocol is not None and self.protocol._has_data():
                            return True

                        if self.recovery_check is not None and self.recovery_check._has_data():
                            return True

                        if self.registration is not None and self.registration._has_data():
                            return True

                        if self.rekey is not None and self.rekey._has_data():
                            return True

                        if self.status is not None and self.status._has_data():
                            return True

                        if self.transform_sets is not None:
                            for child in self.transform_sets:
                                if child is not None:
                                    return True

                        if self.transport_encrypt_key is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Gkm.Group.Client']['meta_info']


                class Identity(object):
                    """
                    Set the identity of the group
                    
                    .. attribute:: address
                    
                    	Set the identity of the group as an address
                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Identity.Address>`
                    
                    .. attribute:: number
                    
                    	Set the identity of the group as a number
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = Native.Crypto.Gkm.Group.Identity.Address()
                        self.address.parent = self
                        self.number = None


                    class Address(object):
                        """
                        Set the identity of the group as an address
                        
                        .. attribute:: ipv4
                        
                        	Set the identity of the group as an IPv4 address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gkm.Group.Identity.Address']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:identity'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None and self.address._has_data():
                            return True

                        if self.number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Gkm.Group.Identity']['meta_info']


                class Server(object):
                    """
                    Set the group server for of the group
                    
                    .. attribute:: address
                    
                    	Identify the group server by address
                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Address>`
                    
                    .. attribute:: hostname
                    
                    	Identify the group server by hostname
                    	**type**\:   :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Hostname>`
                    
                    .. attribute:: local
                    
                    	Configure GKM group server defined locally
                    	**type**\:   :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = Native.Crypto.Gkm.Group.Server.Address()
                        self.address.parent = self
                        self.hostname = Native.Crypto.Gkm.Group.Server.Hostname()
                        self.hostname.parent = self
                        self.local = Native.Crypto.Gkm.Group.Server.Local()
                        self.local.parent = self


                    class Address(object):
                        """
                        Identify the group server by address
                        
                        .. attribute:: ipv4
                        
                        	Set the IPv4 address of the group server
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ipv6
                        
                        	Set the IPv6 address of the group server
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None
                            self.ipv6 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None:
                                return True

                            if self.ipv6 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gkm.Group.Server.Address']['meta_info']


                    class Hostname(object):
                        """
                        Identify the group server by hostname
                        
                        .. attribute:: ipv4
                        
                        	Set the IPv4 hostname of the group server
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:hostname'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gkm.Group.Server.Hostname']['meta_info']


                    class Local(object):
                        """
                        Configure GKM group server defined locally
                        
                        .. attribute:: address
                        
                        	Configure server source address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Address>`
                        
                        .. attribute:: authorization
                        
                        	Configure authorization for the group
                        	**type**\:   :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Authorization>`
                        
                        .. attribute:: default
                        
                        	Set a command to its defaults
                        	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default>`
                        
                        .. attribute:: gdoi
                        
                        	Enable GDOI (ISAKMP) Protocol for Registration & Rekey
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: gikev2
                        
                        	Enable G\-IKEv2 (IKEv2) Protocol for Registration & Rekey
                        	**type**\:  str
                        
                        .. attribute:: group
                        
                        	Configure parameters for the group (e.g. Suite\-B)
                        	**type**\:   :py:class:`Group_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Group_>`
                        
                        .. attribute:: identifier
                        
                        	Enter Suite\-B KSSID (Key Server Sender ID) config mode
                        	**type**\:   :py:class:`Identifier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Identifier>`
                        
                        .. attribute:: redundancy
                        
                        	Enter cooperative key server configuration mode
                        	**type**\:   :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy>`
                        
                        .. attribute:: registration
                        
                        	Configure registration for the group
                        	**type**\:   :py:class:`Registration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Registration>`
                        
                        .. attribute:: rekey
                        
                        	Configure rekey policy for the group
                        	**type**\:   :py:class:`Rekey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey>`
                        
                        .. attribute:: sa
                        
                        	Configure a security association
                        	**type**\:   :py:class:`Sa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Crypto.Gkm.Group.Server.Local.Address()
                            self.address.parent = self
                            self.authorization = Native.Crypto.Gkm.Group.Server.Local.Authorization()
                            self.authorization.parent = self
                            self.default = Native.Crypto.Gkm.Group.Server.Local.Default()
                            self.default.parent = self
                            self.gdoi = None
                            self.gikev2 = None
                            self.group = Native.Crypto.Gkm.Group.Server.Local.Group_()
                            self.group.parent = self
                            self.identifier = Native.Crypto.Gkm.Group.Server.Local.Identifier()
                            self.identifier.parent = self
                            self.redundancy = Native.Crypto.Gkm.Group.Server.Local.Redundancy()
                            self.redundancy.parent = self
                            self.registration = Native.Crypto.Gkm.Group.Server.Local.Registration()
                            self.registration.parent = self
                            self.rekey = Native.Crypto.Gkm.Group.Server.Local.Rekey()
                            self.rekey.parent = self
                            self.sa = Native.Crypto.Gkm.Group.Server.Local.Sa()
                            self.sa.parent = self


                        class Address(object):
                            """
                            Configure server source address
                            
                            .. attribute:: ipv4
                            
                            	Set ipv4 address of local server
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Address']['meta_info']


                        class Authorization(object):
                            """
                            Configure authorization for the group
                            
                            .. attribute:: address
                            
                            	Set authorization by address
                            	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Authorization.Address>`
                            
                            .. attribute:: identity
                            
                            	Set authorization by identity
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = Native.Crypto.Gkm.Group.Server.Local.Authorization.Address()
                                self.address.parent = self
                                self.identity = None


                            class Address(object):
                                """
                                Set authorization by address
                                
                                .. attribute:: ipv4
                                
                                	Set authorization by address
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..99
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Authorization.Address']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:authorization'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None and self.address._has_data():
                                    return True

                                if self.identity is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Authorization']['meta_info']


                        class Group_(object):
                            """
                            Configure parameters for the group (e.g. Suite\-B)
                            
                            .. attribute:: size
                            
                            	Set Group Size for Suite\-B counter transforms (SID length)
                            	**type**\:   :py:class:`Size <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Group_.Size>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.size = Native.Crypto.Gkm.Group.Server.Local.Group_.Size()
                                self.size.parent = self


                            class Size(object):
                                """
                                Set Group Size for Suite\-B counter transforms (SID length)
                                
                                .. attribute:: large
                                
                                	32\-bit Sender ID (FIPS 140\-2 Operating Mode)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: medium
                                
                                	24\-bit Sender ID (Default)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: small
                                
                                	Interoperable with GDOI / G\-IKEv2 Standard
                                	**type**\:   :py:class:`SmallEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Group_.Size.SmallEnum>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.large = None
                                    self.medium = None
                                    self.small = None

                                class SmallEnum(Enum):
                                    """
                                    SmallEnum

                                    Interoperable with GDOI / G\-IKEv2 Standard

                                    .. data:: Y_12 = 0

                                    .. data:: Y_16 = 1

                                    .. data:: Y_8 = 2

                                    """

                                    Y_12 = 0

                                    Y_16 = 1

                                    Y_8 = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Group_.Size.SmallEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:size'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.large is not None:
                                        return True

                                    if self.medium is not None:
                                        return True

                                    if self.small is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Group_.Size']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.size is not None and self.size._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Group_']['meta_info']


                        class Identifier(object):
                            """
                            Enter Suite\-B KSSID (Key Server Sender ID) config mode
                            
                            .. attribute:: default
                            
                            	Set a command to its defaults
                            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Identifier.Default>`
                            
                            .. attribute:: range
                            
                            	Assign range of Key Server Sender IDs (unique in entire group)
                            	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Identifier.Range>`
                            
                            .. attribute:: value
                            
                            	Assign Key Server Sender ID (unique in entire group)
                            	**type**\:  int
                            
                            	**range:** 0..1
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.default = Native.Crypto.Gkm.Group.Server.Local.Identifier.Default()
                                self.default.parent = self
                                self.range = Native.Crypto.Gkm.Group.Server.Local.Identifier.Range()
                                self.range.parent = self
                                self.value = None


                            class Default(object):
                                """
                                Set a command to its defaults
                                
                                .. attribute:: range
                                
                                	Assign range of Key Server Sender IDs (unique in entire group)
                                	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Identifier.Default.Range>`
                                
                                .. attribute:: value
                                
                                	Assign Key Server Sender ID (unique in entire group)
                                	**type**\:  int
                                
                                	**range:** 0..1
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.range = Native.Crypto.Gkm.Group.Server.Local.Identifier.Default.Range()
                                    self.range.parent = self
                                    self.value = None


                                class Range(object):
                                    """
                                    Assign range of Key Server Sender IDs (unique in entire group)
                                    
                                    .. attribute:: highest
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..1
                                    
                                    .. attribute:: hyphen
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: lowest
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..1
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.highest = None
                                        self.hyphen = None
                                        self.lowest = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:range'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.highest is not None:
                                            return True

                                        if self.hyphen is not None:
                                            return True

                                        if self.lowest is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Identifier.Default.Range']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.range is not None and self.range._has_data():
                                        return True

                                    if self.value is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Identifier.Default']['meta_info']


                            class Range(object):
                                """
                                Assign range of Key Server Sender IDs (unique in entire group)
                                
                                .. attribute:: highest
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..1
                                
                                .. attribute:: hyphen
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: lowest
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..1
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.highest = None
                                    self.hyphen = None
                                    self.lowest = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:range'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.highest is not None:
                                        return True

                                    if self.hyphen is not None:
                                        return True

                                    if self.lowest is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Identifier.Range']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:identifier'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.default is not None and self.default._has_data():
                                    return True

                                if self.range is not None and self.range._has_data():
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Identifier']['meta_info']


                        class Redundancy(object):
                            """
                            Enter cooperative key server configuration mode
                            
                            .. attribute:: default
                            
                            	Set a command to its defaults
                            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default>`
                            
                            .. attribute:: local
                            
                            	Local key server configurations
                            	**type**\:   :py:class:`Local_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Local_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: peer
                            
                            	Peer server configurations
                            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer>`
                            
                            .. attribute:: protocol
                            
                            	Specify various protocol operational values
                            	**type**\:   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Protocol>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.default = Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default()
                                self.default.parent = self
                                self.local = None
                                self.peer = Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer()
                                self.peer.parent = self
                                self.protocol = None


                            class Default(object):
                                """
                                Set a command to its defaults
                                
                                .. attribute:: local
                                
                                	Local key server configurations
                                	**type**\:   :py:class:`Local_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Local_>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: peer
                                
                                	Peer server configurations
                                	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer>`
                                
                                .. attribute:: protocol
                                
                                	Specify various protocol operational values
                                	**type**\:   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Protocol>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.local = None
                                    self.peer = Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer()
                                    self.peer.parent = self
                                    self.protocol = None


                                class Local_(object):
                                    """
                                    Local key server configurations
                                    
                                    .. attribute:: priority
                                    
                                    	Set local server priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.priority = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:local'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.priority is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Local_']['meta_info']


                                class Peer(object):
                                    """
                                    Peer server configurations
                                    
                                    .. attribute:: address
                                    
                                    	Peer server address
                                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer.Address>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer.Address()
                                        self.address.parent = self


                                    class Address(object):
                                        """
                                        Peer server address
                                        
                                        .. attribute:: ipv4
                                        
                                        	Set peer server ipv4 address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer.Address']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:peer'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.address is not None and self.address._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer']['meta_info']


                                class Protocol(object):
                                    """
                                    Specify various protocol operational values
                                    
                                    .. attribute:: pdu
                                    
                                    	Maximum size of COOP messages
                                    	**type**\:  int
                                    
                                    	**range:** 1..65000
                                    
                                    .. attribute:: version
                                    
                                    	Set COOP ANN version
                                    	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Protocol.VersionEnum>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.pdu = None
                                        self.version = None

                                    class VersionEnum(Enum):
                                        """
                                        VersionEnum

                                        Set COOP ANN version

                                        .. data:: base = 0

                                        .. data:: optimize = 1

                                        """

                                        base = 0

                                        optimize = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Protocol.VersionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:protocol'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.pdu is not None:
                                            return True

                                        if self.version is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Protocol']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.local is not None and self.local._has_data():
                                        return True

                                    if self.peer is not None and self.peer._has_data():
                                        return True

                                    if self.protocol is not None and self.protocol._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default']['meta_info']


                            class Local_(object):
                                """
                                Local key server configurations
                                
                                .. attribute:: priority
                                
                                	Set local server priority
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.priority = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:local'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.priority is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Local_']['meta_info']


                            class Peer(object):
                                """
                                Peer server configurations
                                
                                .. attribute:: address
                                
                                	Peer server address
                                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer.Address>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer.Address()
                                    self.address.parent = self


                                class Address(object):
                                    """
                                    Peer server address
                                    
                                    .. attribute:: ipv4
                                    
                                    	Set peer server ipv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer.Address']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None and self.address._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer']['meta_info']


                            class Protocol(object):
                                """
                                Specify various protocol operational values
                                
                                .. attribute:: pdu
                                
                                	Maximum size of COOP messages
                                	**type**\:  int
                                
                                	**range:** 1..65000
                                
                                .. attribute:: version
                                
                                	Set COOP ANN version
                                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Protocol.VersionEnum>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.pdu = None
                                    self.version = None

                                class VersionEnum(Enum):
                                    """
                                    VersionEnum

                                    Set COOP ANN version

                                    .. data:: base = 0

                                    .. data:: optimize = 1

                                    """

                                    base = 0

                                    optimize = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Protocol.VersionEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:protocol'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.pdu is not None:
                                        return True

                                    if self.version is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy.Protocol']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:redundancy'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.default is not None and self.default._has_data():
                                    return True

                                if self.local is not None and self.local._has_data():
                                    return True

                                if self.peer is not None and self.peer._has_data():
                                    return True

                                if self.protocol is not None and self.protocol._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Redundancy']['meta_info']


                        class Registration(object):
                            """
                            Configure registration for the group
                            
                            .. attribute:: interface
                            
                            	Identify an interface on which to respond to GKM registrations
                            	**type**\:  str
                            
                            .. attribute:: periodic
                            
                            	Define periodic registrations for the group
                            	**type**\:   :py:class:`Periodic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interface = None
                                self.periodic = Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic()
                                self.periodic.parent = self


                            class Periodic(object):
                                """
                                Define periodic registrations for the group
                                
                                .. attribute:: crl
                                
                                	On every new CRL
                                	**type**\:   :py:class:`Crl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic.Crl>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.crl = Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic.Crl()
                                    self.crl.parent = self


                                class Crl(object):
                                    """
                                    On every new CRL
                                    
                                    .. attribute:: trustpoint
                                    
                                    	For a PKI trustpoint
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.trustpoint = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:crl'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.trustpoint is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic.Crl']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:periodic'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.crl is not None and self.crl._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interface is not None:
                                    return True

                                if self.periodic is not None and self.periodic._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Registration']['meta_info']


                        class Rekey(object):
                            """
                            Configure rekey policy for the group
                            
                            .. attribute:: acknowledgement
                            
                            	Request group members to acknowledge rekeys
                            	**type**\:   :py:class:`AcknowledgementEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey.AcknowledgementEnum>`
                            
                            .. attribute:: address
                            
                            	Define the rekey packet format
                            	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey.Address>`
                            
                            .. attribute:: algorithm
                            
                            	Set the rekey encryption algorithm
                            	**type**\:   :py:class:`Algorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey.Algorithm>`
                            
                            .. attribute:: authentication
                            
                            	Identify the rekey authentication keypair
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication>`
                            
                            .. attribute:: lifetime
                            
                            	Define the rekey lifetime
                            	**type**\:   :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey.Lifetime>`
                            
                            .. attribute:: retransmit
                            
                            	Define the rekey retransmission parameters
                            	**type**\:   :py:class:`Retransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey.Retransmit>`
                            
                            .. attribute:: sig_hash
                            
                            	Set rekey signature\-hash parameters
                            	**type**\:   :py:class:`SigHash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey.SigHash>`
                            
                            .. attribute:: transport
                            
                            	Specify the rekey distribution method
                            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey.Transport>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acknowledgement = None
                                self.address = Native.Crypto.Gkm.Group.Server.Local.Rekey.Address()
                                self.address.parent = self
                                self.algorithm = Native.Crypto.Gkm.Group.Server.Local.Rekey.Algorithm()
                                self.algorithm.parent = self
                                self.authentication = Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication()
                                self.authentication.parent = self
                                self.lifetime = Native.Crypto.Gkm.Group.Server.Local.Rekey.Lifetime()
                                self.lifetime.parent = self
                                self.retransmit = Native.Crypto.Gkm.Group.Server.Local.Rekey.Retransmit()
                                self.retransmit.parent = self
                                self.sig_hash = Native.Crypto.Gkm.Group.Server.Local.Rekey.SigHash()
                                self.sig_hash.parent = self
                                self.transport = Native.Crypto.Gkm.Group.Server.Local.Rekey.Transport()
                                self.transport.parent = self

                            class AcknowledgementEnum(Enum):
                                """
                                AcknowledgementEnum

                                Request group members to acknowledge rekeys

                                .. data:: any = 0

                                .. data:: cisco = 1

                                .. data:: interoperable = 2

                                """

                                any = 0

                                cisco = 1

                                interoperable = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey.AcknowledgementEnum']



                            class Address(object):
                                """
                                Define the rekey packet format
                                
                                .. attribute:: ipv4
                                
                                	Match ipv4 packets
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 100..199
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 2000..2699
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey.Address']['meta_info']


                            class Algorithm(object):
                                """
                                Set the rekey encryption algorithm
                                
                                .. attribute:: a3des_cbc
                                
                                	Triple DES in CBC mode
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: aes_128
                                
                                	128 bit AES
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: aes_192
                                
                                	192 bit AES
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: aes_256
                                
                                	256 bit AES
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: des_cbc
                                
                                	DES in CBC mode
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.a3des_cbc = None
                                    self.aes_128 = None
                                    self.aes_192 = None
                                    self.aes_256 = None
                                    self.des_cbc = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:algorithm'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.a3des_cbc is not None:
                                        return True

                                    if self.aes_128 is not None:
                                        return True

                                    if self.aes_192 is not None:
                                        return True

                                    if self.aes_256 is not None:
                                        return True

                                    if self.des_cbc is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey.Algorithm']['meta_info']


                            class Authentication(object):
                                """
                                Identify the rekey authentication keypair
                                
                                .. attribute:: mypubkey
                                
                                	Identify a keypair associated with this device
                                	**type**\:   :py:class:`Mypubkey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication.Mypubkey>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mypubkey = Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication.Mypubkey()
                                    self.mypubkey.parent = self


                                class Mypubkey(object):
                                    """
                                    Identify a keypair associated with this device
                                    
                                    .. attribute:: rsa
                                    
                                    	Identify an RSA keypair
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.rsa = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:mypubkey'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.rsa is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication.Mypubkey']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mypubkey is not None and self.mypubkey._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication']['meta_info']


                            class Lifetime(object):
                                """
                                Define the rekey lifetime
                                
                                .. attribute:: days
                                
                                	Time\-based key duration in days
                                	**type**\:  int
                                
                                	**range:** 1..30
                                
                                .. attribute:: seconds
                                
                                	Time\-based key duration in seconds
                                	**type**\:  int
                                
                                	**range:** 300..2592000
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.days = None
                                    self.seconds = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:lifetime'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.days is not None:
                                        return True

                                    if self.seconds is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey.Lifetime']['meta_info']


                            class Retransmit(object):
                                """
                                Define the rekey retransmission parameters
                                
                                .. attribute:: number
                                
                                	Retransmit this many times
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: periodic
                                
                                	Periodically send retransmit rekeys
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: seconds
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 10..60
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.periodic = None
                                    self.seconds = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:retransmit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.periodic is not None:
                                        return True

                                    if self.seconds is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey.Retransmit']['meta_info']


                            class SigHash(object):
                                """
                                Set rekey signature\-hash parameters
                                
                                .. attribute:: algorithm
                                
                                	Set the rekey signature\-hash algorithm
                                	**type**\:   :py:class:`AlgorithmEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey.SigHash.AlgorithmEnum>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.algorithm = None

                                class AlgorithmEnum(Enum):
                                    """
                                    AlgorithmEnum

                                    Set the rekey signature\-hash algorithm

                                    .. data:: sha = 0

                                    .. data:: sha256 = 1

                                    .. data:: sha384 = 2

                                    .. data:: sha512 = 3

                                    """

                                    sha = 0

                                    sha256 = 1

                                    sha384 = 2

                                    sha512 = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey.SigHash.AlgorithmEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:sig-hash'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.algorithm is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey.SigHash']['meta_info']


                            class Transport(object):
                                """
                                Specify the rekey distribution method
                                
                                .. attribute:: unicast
                                
                                	specify unicast rekey distribution
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.unicast = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:transport'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.unicast is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey.Transport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:rekey'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acknowledgement is not None:
                                    return True

                                if self.address is not None and self.address._has_data():
                                    return True

                                if self.algorithm is not None and self.algorithm._has_data():
                                    return True

                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                if self.lifetime is not None and self.lifetime._has_data():
                                    return True

                                if self.retransmit is not None and self.retransmit._has_data():
                                    return True

                                if self.sig_hash is not None and self.sig_hash._has_data():
                                    return True

                                if self.transport is not None and self.transport._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Rekey']['meta_info']


                        class Sa(object):
                            """
                            Configure a security association
                            
                            .. attribute:: d3p
                            
                            	Enable IP delivery delay detection protocol for all SAs within the group
                            	**type**\:   :py:class:`D3P <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.D3P>`
                            
                            .. attribute:: ipsec
                            
                            	Configure an IPsec SA
                            	**type**\: list of    :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec>`
                            
                            .. attribute:: pair_wise_keying
                            
                            	Enable KGS pair\-wise\-keying
                            	**type**\:   :py:class:`PairWiseKeying <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.PairWiseKeying>`
                            
                            .. attribute:: receive_only
                            
                            	Configure SA to work only in inbound direction
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.d3p = Native.Crypto.Gkm.Group.Server.Local.Sa.D3P()
                                self.d3p.parent = self
                                self.ipsec = YList()
                                self.ipsec.parent = self
                                self.ipsec.name = 'ipsec'
                                self.pair_wise_keying = Native.Crypto.Gkm.Group.Server.Local.Sa.PairWiseKeying()
                                self.pair_wise_keying.parent = self
                                self.receive_only = None


                            class D3P(object):
                                """
                                Enable IP delivery delay detection protocol for all SAs within the group
                                
                                .. attribute:: window
                                
                                	IP\-D3P window size
                                	**type**\:   :py:class:`Window <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.D3P.Window>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.window = Native.Crypto.Gkm.Group.Server.Local.Sa.D3P.Window()
                                    self.window.parent = self


                                class Window(object):
                                    """
                                    IP\-D3P window size
                                    
                                    .. attribute:: msec
                                    
                                    	IP\-D3P window size in milliseconds
                                    	**type**\:  int
                                    
                                    	**range:** 1000..100000
                                    
                                    .. attribute:: sec
                                    
                                    	IP\-D3P window size in seconds
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.msec = None
                                        self.sec = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:window'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.msec is not None:
                                            return True

                                        if self.sec is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.D3P.Window']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:d3p'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.window is not None and self.window._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.D3P']['meta_info']


                            class Ipsec(object):
                                """
                                Configure an IPsec SA
                                
                                .. attribute:: sequence  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: default
                                
                                	Set a command to its defaults
                                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default>`
                                
                                .. attribute:: match
                                
                                	Match characteristics of packets to encrypt
                                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match>`
                                
                                .. attribute:: profile
                                
                                	Configure an ipsec profile for the SA
                                	**type**\:  str
                                
                                .. attribute:: replay
                                
                                	Set replay method
                                	**type**\:   :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay>`
                                
                                .. attribute:: tag
                                
                                	Set inline tagging method
                                	**type**\:   :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.sequence = None
                                    self.default = Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default()
                                    self.default.parent = self
                                    self.match = Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match()
                                    self.match.parent = self
                                    self.profile = None
                                    self.replay = Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay()
                                    self.replay.parent = self
                                    self.tag = Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag()
                                    self.tag.parent = self


                                class Default(object):
                                    """
                                    Set a command to its defaults
                                    
                                    .. attribute:: match
                                    
                                    	Match characteristics of packets to encrypt
                                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Match>`
                                    
                                    .. attribute:: profile
                                    
                                    	Configure an ipsec profile for the SA
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: replay
                                    
                                    	Set replay method
                                    	**type**\:   :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Replay>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: tag
                                    
                                    	Set inline tagging method
                                    	**type**\:   :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Tag>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.match = Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Match()
                                        self.match.parent = self
                                        self.profile = None
                                        self.replay = None
                                        self.tag = None


                                    class Match(object):
                                        """
                                        Match characteristics of packets to encrypt
                                        
                                        .. attribute:: address
                                        
                                        	Match addresses of packets to encrypt
                                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Match.Address>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None


                                        class Address(object):
                                            """
                                            Match addresses of packets to encrypt
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-crypto'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Match.Address']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:match'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.address is not None and self.address._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Match']['meta_info']


                                    class Replay(object):
                                        """
                                        Set replay method
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:replay'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Replay']['meta_info']


                                    class Tag(object):
                                        """
                                        Set inline tagging method
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:tag'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Tag']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.match is not None and self.match._has_data():
                                            return True

                                        if self.profile is not None:
                                            return True

                                        if self.replay is not None and self.replay._has_data():
                                            return True

                                        if self.tag is not None and self.tag._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default']['meta_info']


                                class Match(object):
                                    """
                                    Match characteristics of packets to encrypt
                                    
                                    .. attribute:: address
                                    
                                    	Match addresses of packets to encrypt
                                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match.Address>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match.Address()
                                        self.address.parent = self


                                    class Address(object):
                                        """
                                        Match addresses of packets to encrypt
                                        
                                        .. attribute:: ipv4
                                        
                                        	Match ipv4 packets
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 100..199
                                        
                                        
                                        ----
                                        	**type**\:  int
                                        
                                        	**range:** 2000..2699
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** [a\-zA\-Z].\*
                                        
                                        
                                        ----
                                        .. attribute:: ipv6
                                        
                                        	Match ipv6 packets
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4 = None
                                            self.ipv6 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4 is not None:
                                                return True

                                            if self.ipv6 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match.Address']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:match'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.address is not None and self.address._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match']['meta_info']


                                class Replay(object):
                                    """
                                    Set replay method
                                    
                                    .. attribute:: counter
                                    
                                    	Enable anti\-replay check for single source traffic by using sequence number
                                    	**type**\:   :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Counter>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: time
                                    
                                    	Enable anti\-replay check for any traffic by using time
                                    	**type**\:   :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Time>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.counter = None
                                        self.time = None


                                    class Counter(object):
                                        """
                                        Enable anti\-replay check for single source traffic by using sequence number
                                        
                                        .. attribute:: window_size
                                        
                                        	Set replay window size
                                        	**type**\:   :py:class:`WindowSizeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Counter.WindowSizeEnum>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.window_size = None

                                        class WindowSizeEnum(Enum):
                                            """
                                            WindowSizeEnum

                                            Set replay window size.

                                            .. data:: Y_1024 = 0

                                            .. data:: Y_128 = 1

                                            .. data:: Y_256 = 2

                                            .. data:: Y_512 = 3

                                            .. data:: Y_64 = 4

                                            """

                                            Y_1024 = 0

                                            Y_128 = 1

                                            Y_256 = 2

                                            Y_512 = 3

                                            Y_64 = 4


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Counter.WindowSizeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:counter'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.window_size is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Counter']['meta_info']


                                    class Time(object):
                                        """
                                        Enable anti\-replay check for any traffic by using time
                                        
                                        .. attribute:: window_size
                                        
                                        	Time based replay window size
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.window_size = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:time'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.window_size is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Time']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:replay'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.counter is not None and self.counter._has_data():
                                            return True

                                        if self.time is not None and self.time._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay']['meta_info']


                                class Tag(object):
                                    """
                                    Set inline tagging method
                                    
                                    .. attribute:: cts
                                    
                                    	Cisco Trust Security
                                    	**type**\:   :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag.Cts>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.cts = Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag.Cts()
                                        self.cts.parent = self


                                    class Cts(object):
                                        """
                                        Cisco Trust Security
                                        
                                        .. attribute:: sgt
                                        
                                        	Security Group Tag
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sgt = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:cts'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sgt is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag.Cts']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:tag'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.cts is not None and self.cts._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.sequence is None:
                                        raise YPYModelError('Key property sequence is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:ipsec[Cisco-IOS-XE-crypto:sequence = ' + str(self.sequence) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.sequence is not None:
                                        return True

                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.match is not None and self.match._has_data():
                                        return True

                                    if self.profile is not None:
                                        return True

                                    if self.replay is not None and self.replay._has_data():
                                        return True

                                    if self.tag is not None and self.tag._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec']['meta_info']


                            class PairWiseKeying(object):
                                """
                                Enable KGS pair\-wise\-keying
                                
                                .. attribute:: safety_limit
                                
                                	KGS safety limit
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.safety_limit = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:pair-wise-keying'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.safety_limit is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa.PairWiseKeying']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:sa'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.d3p is not None and self.d3p._has_data():
                                    return True

                                if self.ipsec is not None:
                                    for child_ref in self.ipsec:
                                        if child_ref._has_data():
                                            return True

                                if self.pair_wise_keying is not None and self.pair_wise_keying._has_data():
                                    return True

                                if self.receive_only is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Sa']['meta_info']


                        class Default(object):
                            """
                            Set a command to its defaults
                            
                            .. attribute:: address
                            
                            	Configure server source address
                            	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Address>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: authorization
                            
                            	Configure authorization for the group
                            	**type**\:   :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Authorization>`
                            
                            .. attribute:: gdoi
                            
                            	Enable GDOI (ISAKMP) Protocol for Registration & Rekey
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: gikev2
                            
                            	Enable G\-IKEv2 (IKEv2) Protocol for Registration & Rekey
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: group
                            
                            	Configure parameters for the group (e.g. Suite\-B)
                            	**type**\:   :py:class:`Group_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Group_>`
                            
                            .. attribute:: identifier
                            
                            	Enter Suite\-B KSSID (Key Server Sender ID) config mode
                            	**type**\:   :py:class:`Identifier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Identifier>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: redundancy
                            
                            	Enter cooperative key server configuration mode
                            	**type**\:   :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Redundancy>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: registration
                            
                            	Configure registration for the group
                            	**type**\:   :py:class:`Registration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Registration>`
                            
                            .. attribute:: rekey
                            
                            	Configure rekey policy for the group
                            	**type**\:   :py:class:`Rekey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Rekey>`
                            
                            .. attribute:: sa
                            
                            	Configure a security association
                            	**type**\:   :py:class:`Sa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Sa>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.authorization = Native.Crypto.Gkm.Group.Server.Local.Default.Authorization()
                                self.authorization.parent = self
                                self.gdoi = None
                                self.gikev2 = None
                                self.group = Native.Crypto.Gkm.Group.Server.Local.Default.Group_()
                                self.group.parent = self
                                self.identifier = None
                                self.redundancy = None
                                self.registration = Native.Crypto.Gkm.Group.Server.Local.Default.Registration()
                                self.registration.parent = self
                                self.rekey = Native.Crypto.Gkm.Group.Server.Local.Default.Rekey()
                                self.rekey.parent = self
                                self.sa = Native.Crypto.Gkm.Group.Server.Local.Default.Sa()
                                self.sa.parent = self


                            class Address(object):
                                """
                                Configure server source address
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Address']['meta_info']


                            class Authorization(object):
                                """
                                Configure authorization for the group
                                
                                .. attribute:: address
                                
                                	Set authorization by address
                                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Authorization.Address>`
                                
                                .. attribute:: identity
                                
                                	Set authorization by identity
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = Native.Crypto.Gkm.Group.Server.Local.Default.Authorization.Address()
                                    self.address.parent = self
                                    self.identity = None


                                class Address(object):
                                    """
                                    Set authorization by address
                                    
                                    .. attribute:: ipv4
                                    
                                    	Set authorization by address
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Authorization.Address']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:authorization'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None and self.address._has_data():
                                        return True

                                    if self.identity is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Authorization']['meta_info']


                            class Group_(object):
                                """
                                Configure parameters for the group (e.g. Suite\-B)
                                
                                .. attribute:: size
                                
                                	Set Group Size for Suite\-B counter transforms (SID length)
                                	**type**\:   :py:class:`Size <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Group_.Size>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.size = None


                                class Size(object):
                                    """
                                    Set Group Size for Suite\-B counter transforms (SID length)
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:size'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Group_.Size']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:group'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.size is not None and self.size._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Group_']['meta_info']


                            class Identifier(object):
                                """
                                Enter Suite\-B KSSID (Key Server Sender ID) config mode
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:identifier'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Identifier']['meta_info']


                            class Redundancy(object):
                                """
                                Enter cooperative key server configuration mode
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:redundancy'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Redundancy']['meta_info']


                            class Registration(object):
                                """
                                Configure registration for the group
                                
                                .. attribute:: interface
                                
                                	Identify an interface on which to respond to GKM registrations
                                	**type**\:  str
                                
                                .. attribute:: periodic
                                
                                	Define periodic registrations for the group
                                	**type**\:   :py:class:`Periodic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interface = None
                                    self.periodic = Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic()
                                    self.periodic.parent = self


                                class Periodic(object):
                                    """
                                    Define periodic registrations for the group
                                    
                                    .. attribute:: crl
                                    
                                    	On every new CRL
                                    	**type**\:   :py:class:`Crl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic.Crl>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.crl = Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic.Crl()
                                        self.crl.parent = self


                                    class Crl(object):
                                        """
                                        On every new CRL
                                        
                                        .. attribute:: trustpoint
                                        
                                        	For a PKI trustpoint
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.trustpoint = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:crl'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.trustpoint is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic.Crl']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:periodic'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.crl is not None and self.crl._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interface is not None:
                                        return True

                                    if self.periodic is not None and self.periodic._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Registration']['meta_info']


                            class Rekey(object):
                                """
                                Configure rekey policy for the group
                                
                                .. attribute:: acknowledgement
                                
                                	Request group members to acknowledge rekeys
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: address
                                
                                	Define the rekey packet format
                                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Address>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: algorithm
                                
                                	Set the rekey encryption algorithm
                                	**type**\:   :py:class:`Algorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Algorithm>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: authentication
                                
                                	Identify the rekey authentication keypair
                                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Authentication>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: lifetime
                                
                                	Define the rekey lifetime
                                	**type**\:   :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Lifetime>`
                                
                                .. attribute:: retransmit
                                
                                	Define the rekey retransmission parameters
                                	**type**\:   :py:class:`Retransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Retransmit>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: sig_hash
                                
                                	Set rekey signature\-hash parameters
                                	**type**\:   :py:class:`SigHash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.SigHash>`
                                
                                .. attribute:: transport
                                
                                	Specify the rekey distribution method
                                	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Transport>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.acknowledgement = None
                                    self.address = None
                                    self.algorithm = None
                                    self.authentication = None
                                    self.lifetime = Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Lifetime()
                                    self.lifetime.parent = self
                                    self.retransmit = None
                                    self.sig_hash = Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.SigHash()
                                    self.sig_hash.parent = self
                                    self.transport = Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Transport()
                                    self.transport.parent = self


                                class Address(object):
                                    """
                                    Define the rekey packet format
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Address']['meta_info']


                                class Algorithm(object):
                                    """
                                    Set the rekey encryption algorithm
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:algorithm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Algorithm']['meta_info']


                                class Authentication(object):
                                    """
                                    Identify the rekey authentication keypair
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:authentication'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Authentication']['meta_info']


                                class Lifetime(object):
                                    """
                                    Define the rekey lifetime
                                    
                                    .. attribute:: days
                                    
                                    	Time\-based key duration in days
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: seconds
                                    
                                    	Time\-based key duration in seconds
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.days = None
                                        self.seconds = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:lifetime'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.days is not None:
                                            return True

                                        if self.seconds is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Lifetime']['meta_info']


                                class Retransmit(object):
                                    """
                                    Define the rekey retransmission parameters
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:retransmit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Retransmit']['meta_info']


                                class SigHash(object):
                                    """
                                    Set rekey signature\-hash parameters
                                    
                                    .. attribute:: algorithm
                                    
                                    	Set the rekey signature\-hash algorithm
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.algorithm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:sig-hash'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.algorithm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.SigHash']['meta_info']


                                class Transport(object):
                                    """
                                    Specify the rekey distribution method
                                    
                                    .. attribute:: unicast
                                    
                                    	specify unicast rekey distribution
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.unicast = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:transport'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.unicast is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Transport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:rekey'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.acknowledgement is not None:
                                        return True

                                    if self.address is not None and self.address._has_data():
                                        return True

                                    if self.algorithm is not None and self.algorithm._has_data():
                                        return True

                                    if self.authentication is not None and self.authentication._has_data():
                                        return True

                                    if self.lifetime is not None and self.lifetime._has_data():
                                        return True

                                    if self.retransmit is not None and self.retransmit._has_data():
                                        return True

                                    if self.sig_hash is not None and self.sig_hash._has_data():
                                        return True

                                    if self.transport is not None and self.transport._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Rekey']['meta_info']


                            class Sa(object):
                                """
                                Configure a security association
                                
                                .. attribute:: d3p
                                
                                	Enable IP delivery delay detection protocol for all SAs within the group
                                	**type**\:   :py:class:`D3P <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Sa.D3P>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ipsec
                                
                                	Configure an IPsec SA
                                	**type**\: list of    :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Sa.Ipsec>`
                                
                                .. attribute:: pair_wise_keying
                                
                                	Enable KGS pair\-wise\-keying
                                	**type**\:   :py:class:`PairWiseKeying <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Sa.PairWiseKeying>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: receive_only
                                
                                	Configure SA to work only in inbound direction
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.d3p = None
                                    self.ipsec = YList()
                                    self.ipsec.parent = self
                                    self.ipsec.name = 'ipsec'
                                    self.pair_wise_keying = None
                                    self.receive_only = None


                                class D3P(object):
                                    """
                                    Enable IP delivery delay detection protocol for all SAs within the group
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:d3p'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Sa.D3P']['meta_info']


                                class Ipsec(object):
                                    """
                                    Configure an IPsec SA
                                    
                                    .. attribute:: sequence  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sequence = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.sequence is None:
                                            raise YPYModelError('Key property sequence is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:ipsec[Cisco-IOS-XE-crypto:sequence = ' + str(self.sequence) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sequence is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Sa.Ipsec']['meta_info']


                                class PairWiseKeying(object):
                                    """
                                    Enable KGS pair\-wise\-keying
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:pair-wise-keying'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Sa.PairWiseKeying']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:sa'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.d3p is not None and self.d3p._has_data():
                                        return True

                                    if self.ipsec is not None:
                                        for child_ref in self.ipsec:
                                            if child_ref._has_data():
                                                return True

                                    if self.pair_wise_keying is not None and self.pair_wise_keying._has_data():
                                        return True

                                    if self.receive_only is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default.Sa']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None and self.address._has_data():
                                    return True

                                if self.authorization is not None and self.authorization._has_data():
                                    return True

                                if self.gdoi is not None:
                                    return True

                                if self.gikev2 is not None:
                                    return True

                                if self.group is not None and self.group._has_data():
                                    return True

                                if self.identifier is not None and self.identifier._has_data():
                                    return True

                                if self.redundancy is not None and self.redundancy._has_data():
                                    return True

                                if self.registration is not None and self.registration._has_data():
                                    return True

                                if self.rekey is not None and self.rekey._has_data():
                                    return True

                                if self.sa is not None and self.sa._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local.Default']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:local'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            if self.authorization is not None and self.authorization._has_data():
                                return True

                            if self.default is not None and self.default._has_data():
                                return True

                            if self.gdoi is not None:
                                return True

                            if self.gikev2 is not None:
                                return True

                            if self.group is not None and self.group._has_data():
                                return True

                            if self.identifier is not None and self.identifier._has_data():
                                return True

                            if self.redundancy is not None and self.redundancy._has_data():
                                return True

                            if self.registration is not None and self.registration._has_data():
                                return True

                            if self.rekey is not None and self.rekey._has_data():
                                return True

                            if self.sa is not None and self.sa._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gkm.Group.Server.Local']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:server'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None and self.address._has_data():
                            return True

                        if self.hostname is not None and self.hostname._has_data():
                            return True

                        if self.local is not None and self.local._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Gkm.Group.Server']['meta_info']


                class Default(object):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: client
                    
                    	Set the group client parameters
                    	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Client>`
                    
                    .. attribute:: identity
                    
                    	Set the identity of the group
                    	**type**\:   :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Identity>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: passive
                    
                    	Set the group in passive mode
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: server
                    
                    	Set the group server for of the group
                    	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Server>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.client = Native.Crypto.Gkm.Group.Default.Client()
                        self.client.parent = self
                        self.identity = None
                        self.passive = None
                        self.server = Native.Crypto.Gkm.Group.Default.Server()
                        self.server.parent = self


                    class Client(object):
                        """
                        Set the group client parameters
                        
                        .. attribute:: bypass_policy
                        
                        	Allow group\-key management traffic sent to this GM only
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: protocol
                        
                        	Group Member Registration & Rekey Protocol
                        	**type**\:   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Client.Protocol>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: recovery_check
                        
                        	Specify GM recovery check parameters
                        	**type**\:   :py:class:`RecoveryCheck <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Client.RecoveryCheck>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: registration
                        
                        	Set the group client management/register interface
                        	**type**\:   :py:class:`Registration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Client.Registration>`
                        
                        .. attribute:: rekey
                        
                        	Set the group client acceptable rekey ciphers and hashs
                        	**type**\:   :py:class:`Rekey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Client.Rekey>`
                        
                        .. attribute:: status
                        
                        	group\-member status
                        	**type**\:   :py:class:`Status <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Client.Status>`
                        
                        .. attribute:: transform_sets
                        
                        	Specify list of group client acceptable transform sets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: transport_encrypt_key
                        
                        	Enforce group or pair\-wise keying
                        	**type**\:   :py:class:`TransportEncryptKeyEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Client.TransportEncryptKeyEnum>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bypass_policy = None
                            self.protocol = None
                            self.recovery_check = None
                            self.registration = Native.Crypto.Gkm.Group.Default.Client.Registration()
                            self.registration.parent = self
                            self.rekey = Native.Crypto.Gkm.Group.Default.Client.Rekey()
                            self.rekey.parent = self
                            self.status = Native.Crypto.Gkm.Group.Default.Client.Status()
                            self.status.parent = self
                            self.transform_sets = None
                            self.transport_encrypt_key = None

                        class TransportEncryptKeyEnum(Enum):
                            """
                            TransportEncryptKeyEnum

                            Enforce group or pair\-wise keying

                            .. data:: group_key = 0

                            .. data:: pair_wise_key = 1

                            """

                            group_key = 0

                            pair_wise_key = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gkm.Group.Default.Client.TransportEncryptKeyEnum']



                        class Protocol(object):
                            """
                            Group Member Registration & Rekey Protocol
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:protocol'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gkm.Group.Default.Client.Protocol']['meta_info']


                        class RecoveryCheck(object):
                            """
                            Specify GM recovery check parameters
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:recovery-check'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gkm.Group.Default.Client.RecoveryCheck']['meta_info']


                        class Registration(object):
                            """
                            Set the group client management/register interface
                            
                            .. attribute:: interface
                            
                            	Set the group client management/register interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interface = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interface is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gkm.Group.Default.Client.Registration']['meta_info']


                        class Rekey(object):
                            """
                            Set the group client acceptable rekey ciphers and hashs
                            
                            .. attribute:: encryption
                            
                            	Set the group client acceptable rekey ciphers
                            	**type**\:   :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Client.Rekey.Encryption>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: hash
                            
                            	Set the group client acceptable rekey hash
                            	**type**\:   :py:class:`Hash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Client.Rekey.Hash>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.encryption = None
                                self.hash = None


                            class Encryption(object):
                                """
                                Set the group client acceptable rekey ciphers
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:encryption'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Default.Client.Rekey.Encryption']['meta_info']


                            class Hash(object):
                                """
                                Set the group client acceptable rekey hash
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:hash'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Default.Client.Rekey.Hash']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:rekey'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.encryption is not None and self.encryption._has_data():
                                    return True

                                if self.hash is not None and self.hash._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gkm.Group.Default.Client.Rekey']['meta_info']


                        class Status(object):
                            """
                            group\-member status
                            
                            .. attribute:: active_sa
                            
                            	TEK SA with positive remaining lifetime
                            	**type**\:   :py:class:`ActiveSa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Client.Status.ActiveSa>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.active_sa = None


                            class ActiveSa(object):
                                """
                                TEK SA with positive remaining lifetime
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:active-sa'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Gkm.Group.Default.Client.Status.ActiveSa']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.active_sa is not None and self.active_sa._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gkm.Group.Default.Client.Status']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:client'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bypass_policy is not None:
                                return True

                            if self.protocol is not None and self.protocol._has_data():
                                return True

                            if self.recovery_check is not None and self.recovery_check._has_data():
                                return True

                            if self.registration is not None and self.registration._has_data():
                                return True

                            if self.rekey is not None and self.rekey._has_data():
                                return True

                            if self.status is not None and self.status._has_data():
                                return True

                            if self.transform_sets is not None:
                                return True

                            if self.transport_encrypt_key is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gkm.Group.Default.Client']['meta_info']


                    class Identity(object):
                        """
                        Set the identity of the group
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:identity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gkm.Group.Default.Identity']['meta_info']


                    class Server(object):
                        """
                        Set the group server for of the group
                        
                        .. attribute:: address
                        
                        	Identify the group server by address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Server.Address>`
                        
                        .. attribute:: hostname
                        
                        	Identify the group server by hostname
                        	**type**\:   :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Server.Hostname>`
                        
                        .. attribute:: local
                        
                        	Configure GKM group server defined locally
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Crypto.Gkm.Group.Default.Server.Address()
                            self.address.parent = self
                            self.hostname = Native.Crypto.Gkm.Group.Default.Server.Hostname()
                            self.hostname.parent = self
                            self.local = None


                        class Address(object):
                            """
                            Identify the group server by address
                            
                            .. attribute:: ipv4
                            
                            	Set the IPv4 address of the group server
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gkm.Group.Default.Server.Address']['meta_info']


                        class Hostname(object):
                            """
                            Identify the group server by hostname
                            
                            .. attribute:: ipv4
                            
                            	Set the IPv4 hostname of the group server
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:hostname'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Gkm.Group.Default.Server.Hostname']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            if self.hostname is not None and self.hostname._has_data():
                                return True

                            if self.local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Gkm.Group.Default.Server']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.client is not None and self.client._has_data():
                            return True

                        if self.identity is not None and self.identity._has_data():
                            return True

                        if self.passive is not None:
                            return True

                        if self.server is not None and self.server._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Gkm.Group.Default']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:gkm/Cisco-IOS-XE-crypto:group[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.client is not None and self.client._has_data():
                        return True

                    if self.default is not None and self.default._has_data():
                        return True

                    if self.identity is not None and self.identity._has_data():
                        return True

                    if self.ipv6 is not None:
                        return True

                    if self.passive is not None:
                        return True

                    if self.server is not None and self.server._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Gkm.Group']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:gkm'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.group is not None:
                    for child_ref in self.group:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Crypto.Gkm']['meta_info']


        class Identity(object):
            """
            Enter a crypto identity list
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: default
            
            	Set a command to its defaults
            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Identity.Default>`
            
            .. attribute:: description
            
            	Description of the crypto identity
            	**type**\:  str
            
            .. attribute:: dn
            
            	Distinguished name identifier
            	**type**\:  str
            
            .. attribute:: fqdn
            
            	Fully qualified distinguished name identifier
            	**type**\:  str
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.default = Native.Crypto.Identity.Default()
                self.default.parent = self
                self.description = None
                self.dn = None
                self.fqdn = None


            class Default(object):
                """
                Set a command to its defaults
                
                .. attribute:: description
                
                	Description of the crypto identity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dn
                
                	Distinguished name identifier
                	**type**\:  str
                
                .. attribute:: fqdn
                
                	Fully qualified distinguished name identifier
                	**type**\:  str
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.description = None
                    self.dn = None
                    self.fqdn = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.description is not None:
                        return True

                    if self.dn is not None:
                        return True

                    if self.fqdn is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Identity.Default']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:identity[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.default is not None and self.default._has_data():
                    return True

                if self.description is not None:
                    return True

                if self.dn is not None:
                    return True

                if self.fqdn is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Crypto.Identity']['meta_info']


        class Ipsec(object):
            """
            Configure IPSEC policy
            
            .. attribute:: df_bit
            
            	Handling of encapsulated DF bit
            	**type**\:   :py:class:`DfBitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.DfBitEnum>`
            
            .. attribute:: fragmentation
            
            	Handling of fragmentation of near\-MTU sized packets
            	**type**\:   :py:class:`FragmentationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.FragmentationEnum>`
            
            .. attribute:: ipv4_deny
            
            	Configure global ipv4 deny policy
            	**type**\:   :py:class:`Ipv4DenyEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Ipv4DenyEnum>`
            
            .. attribute:: nat_transparency
            
            	IPsec NAT transparency model
            	**type**\:   :py:class:`NatTransparencyEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.NatTransparencyEnum>`
            
            .. attribute:: optional
            
            	Enable optional encryption for IPSec
            	**type**\:   :py:class:`Optional <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Optional>`
            
            	**presence node**\: True
            
            .. attribute:: profile
            
            	Configure an ipsec policy profile
            	**type**\: list of    :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile>`
            
            .. attribute:: security_association
            
            	Security association parameters
            	**type**\:   :py:class:`SecurityAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.SecurityAssociation>`
            
            .. attribute:: transform_set
            
            	Define transform and settings
            	**type**\: list of    :py:class:`TransformSet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.TransformSet>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.df_bit = None
                self.fragmentation = None
                self.ipv4_deny = None
                self.nat_transparency = None
                self.optional = None
                self.profile = YList()
                self.profile.parent = self
                self.profile.name = 'profile'
                self.security_association = Native.Crypto.Ipsec.SecurityAssociation()
                self.security_association.parent = self
                self.transform_set = YList()
                self.transform_set.parent = self
                self.transform_set.name = 'transform_set'

            class DfBitEnum(Enum):
                """
                DfBitEnum

                Handling of encapsulated DF bit.

                .. data:: clear = 0

                .. data:: copy = 1

                .. data:: set = 2

                """

                clear = 0

                copy = 1

                set = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ipsec.DfBitEnum']


            class FragmentationEnum(Enum):
                """
                FragmentationEnum

                Handling of fragmentation of near\-MTU sized packets

                .. data:: after_encryption = 0

                .. data:: before_encryption = 1

                """

                after_encryption = 0

                before_encryption = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ipsec.FragmentationEnum']


            class Ipv4DenyEnum(Enum):
                """
                Ipv4DenyEnum

                Configure global ipv4 deny policy.

                .. data:: clear = 0

                .. data:: drop = 1

                .. data:: jump = 2

                """

                clear = 0

                drop = 1

                jump = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ipsec.Ipv4DenyEnum']


            class NatTransparencyEnum(Enum):
                """
                NatTransparencyEnum

                IPsec NAT transparency model

                .. data:: spi_matching = 0

                .. data:: udp_encapsulation = 1

                """

                spi_matching = 0

                udp_encapsulation = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ipsec.NatTransparencyEnum']



            class Optional(object):
                """
                Enable optional encryption for IPSec
                
                .. attribute:: retry
                
                	Configure length of IPSec retry interval
                	**type**\:  int
                
                	**range:** 60..86400
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.retry = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ipsec/Cisco-IOS-XE-crypto:optional'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.retry is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ipsec.Optional']['meta_info']


            class Profile(object):
                """
                Configure an ipsec policy profile
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default>`
                
                .. attribute:: description
                
                	Description of the crypto map statement policy
                	**type**\:  str
                
                .. attribute:: dialer
                
                	Dialer related commands
                	**type**\:   :py:class:`Dialer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Dialer>`
                
                .. attribute:: redundancy
                
                	Configure HA for this ipsec profile
                	**type**\:   :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Redundancy>`
                
                .. attribute:: responder_only
                
                	Do not initiate SAs from this device
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set
                
                	Set values for encryption/decryption
                	**type**\:   :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.default = Native.Crypto.Ipsec.Profile.Default()
                    self.default.parent = self
                    self.description = None
                    self.dialer = Native.Crypto.Ipsec.Profile.Dialer()
                    self.dialer.parent = self
                    self.redundancy = Native.Crypto.Ipsec.Profile.Redundancy()
                    self.redundancy.parent = self
                    self.responder_only = None
                    self.set = Native.Crypto.Ipsec.Profile.Set()
                    self.set.parent = self


                class Default(object):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: description
                    
                    	Description of the crypto map statement policy
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dialer
                    
                    	Dialer related commands
                    	**type**\:   :py:class:`Dialer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Dialer>`
                    
                    .. attribute:: redundancy
                    
                    	Configure HA for this ipsec profile
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: responder_only
                    
                    	Do not initiate SAs from this device
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: set
                    
                    	Set values for encryption/decryption
                    	**type**\:   :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Set>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.description = None
                        self.dialer = Native.Crypto.Ipsec.Profile.Default.Dialer()
                        self.dialer.parent = self
                        self.redundancy = None
                        self.responder_only = None
                        self.set = Native.Crypto.Ipsec.Profile.Default.Set()
                        self.set.parent = self


                    class Dialer(object):
                        """
                        Dialer related commands
                        
                        .. attribute:: pre_classify
                        
                        	Enable dialer list classification before initiating IKE
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.pre_classify = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:dialer'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.pre_classify is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ipsec.Profile.Default.Dialer']['meta_info']


                    class Set(object):
                        """
                        Set values for encryption/decryption
                        
                        .. attribute:: group
                        
                        	Set the san group parameters
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: identity
                        
                        	Identity restriction
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ikev2_profile
                        
                        	Specify ikev2 Profile
                        	**type**\:  str
                        
                        .. attribute:: isakmp_profile
                        
                        	Specify isakmp Profile
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mixed_mode
                        
                        	Turn on IPSec mixed\-mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pfs
                        
                        	Specify pfs settings
                        	**type**\:   :py:class:`Pfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Set.Pfs>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: reverse_route
                        
                        	Reverse Route Injection
                        	**type**\:   :py:class:`ReverseRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Set.ReverseRoute>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: security_association
                        
                        	Security association parameters
                        	**type**\:   :py:class:`SecurityAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation>`
                        
                        .. attribute:: security_policy
                        
                        	Maximum number of Security Policy entries that can be negotiated with the peer
                        	**type**\:   :py:class:`SecurityPolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Set.SecurityPolicy>`
                        
                        .. attribute:: transform_set
                        
                        	Specify list of transform sets in priority order
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.group = None
                            self.identity = None
                            self.ikev2_profile = None
                            self.isakmp_profile = None
                            self.mixed_mode = None
                            self.pfs = None
                            self.reverse_route = None
                            self.security_association = Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation()
                            self.security_association.parent = self
                            self.security_policy = Native.Crypto.Ipsec.Profile.Default.Set.SecurityPolicy()
                            self.security_policy.parent = self
                            self.transform_set = None


                        class Pfs(object):
                            """
                            Specify pfs settings
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:pfs'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ipsec.Profile.Default.Set.Pfs']['meta_info']


                        class ReverseRoute(object):
                            """
                            Reverse Route Injection
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:reverse-route'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ipsec.Profile.Default.Set.ReverseRoute']['meta_info']


                        class SecurityAssociation(object):
                            """
                            Security association parameters
                            
                            .. attribute:: dfbit
                            
                            	Handling of encapsulated DF bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dummy
                            
                            	Enable transmitting dummy packets
                            	**type**\:   :py:class:`Dummy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Dummy>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ecn
                            
                            	Handling of ECN bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: idle_time_container
                            
                            	
                            	**type**\:   :py:class:`IdleTimeContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.IdleTimeContainer>`
                            
                            .. attribute:: level
                            
                            	specify a security association granularity level for identities
                            	**type**\:   :py:class:`LevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.LevelEnum>`
                            
                            .. attribute:: lifetime
                            
                            	security association lifetime
                            	**type**\:   :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Lifetime>`
                            
                            .. attribute:: replay
                            
                            	Set replay checking
                            	**type**\:   :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Replay>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dfbit = None
                                self.dummy = None
                                self.ecn = None
                                self.idle_time_container = Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.IdleTimeContainer()
                                self.idle_time_container.parent = self
                                self.level = None
                                self.lifetime = Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Lifetime()
                                self.lifetime.parent = self
                                self.replay = Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Replay()
                                self.replay.parent = self

                            class LevelEnum(Enum):
                                """
                                LevelEnum

                                specify a security association granularity level for identities

                                .. data:: per_host = 0

                                """

                                per_host = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.LevelEnum']



                            class Dummy(object):
                                """
                                Enable transmitting dummy packets
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:dummy'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Dummy']['meta_info']


                            class IdleTimeContainer(object):
                                """
                                
                                
                                .. attribute:: default
                                
                                	All SAs idle\-out reset to default peer
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: idle_time
                                
                                	Automatically delete IPSec SAs after a given idle period
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default = None
                                    self.idle_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:idle-time-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default is not None:
                                        return True

                                    if self.idle_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.IdleTimeContainer']['meta_info']


                            class Lifetime(object):
                                """
                                security association lifetime
                                
                                .. attribute:: days
                                
                                	Time\-based key duration in days
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: kilobytes
                                
                                	Volume\-based key duration
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: seconds
                                
                                	Time\-based key duration in seconds
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.days = None
                                    self.kilobytes = None
                                    self.seconds = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:lifetime'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.days is not None:
                                        return True

                                    if self.kilobytes is not None:
                                        return True

                                    if self.seconds is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Lifetime']['meta_info']


                            class Replay(object):
                                """
                                Set replay checking.
                                
                                .. attribute:: disable
                                
                                	Disable replay checking
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: window_size
                                
                                	Set replay window size
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.disable = None
                                    self.window_size = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:replay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.disable is not None:
                                        return True

                                    if self.window_size is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Replay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:security-association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dfbit is not None:
                                    return True

                                if self.dummy is not None and self.dummy._has_data():
                                    return True

                                if self.ecn is not None:
                                    return True

                                if self.idle_time_container is not None and self.idle_time_container._has_data():
                                    return True

                                if self.level is not None:
                                    return True

                                if self.lifetime is not None and self.lifetime._has_data():
                                    return True

                                if self.replay is not None and self.replay._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation']['meta_info']


                        class SecurityPolicy(object):
                            """
                            Maximum number of Security Policy entries that can be negotiated with the peer
                            
                            .. attribute:: limit
                            
                            	limit  0 \- 50000
                            	**type**\:  int
                            
                            	**range:** 0..50000
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:security-policy'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ipsec.Profile.Default.Set.SecurityPolicy']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:set'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.group is not None:
                                return True

                            if self.identity is not None:
                                return True

                            if self.ikev2_profile is not None:
                                return True

                            if self.isakmp_profile is not None:
                                return True

                            if self.mixed_mode is not None:
                                return True

                            if self.pfs is not None and self.pfs._has_data():
                                return True

                            if self.reverse_route is not None and self.reverse_route._has_data():
                                return True

                            if self.security_association is not None and self.security_association._has_data():
                                return True

                            if self.security_policy is not None and self.security_policy._has_data():
                                return True

                            if self.transform_set is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ipsec.Profile.Default.Set']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.description is not None:
                            return True

                        if self.dialer is not None and self.dialer._has_data():
                            return True

                        if self.redundancy is not None:
                            return True

                        if self.responder_only is not None:
                            return True

                        if self.set is not None and self.set._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ipsec.Profile.Default']['meta_info']


                class Dialer(object):
                    """
                    Dialer related commands
                    
                    .. attribute:: pre_classify
                    
                    	Enable dialer list classification before initiating IKE
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.pre_classify = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:dialer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.pre_classify is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ipsec.Profile.Dialer']['meta_info']


                class Redundancy(object):
                    """
                    Configure HA for this ipsec profile
                    
                    .. attribute:: name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: stateful
                    
                    	enable stateful failover
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.stateful = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:redundancy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.stateful is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ipsec.Profile.Redundancy']['meta_info']


                class Set(object):
                    """
                    Set values for encryption/decryption
                    
                    .. attribute:: group
                    
                    	Set the san group parameters
                    	**type**\:  str
                    
                    .. attribute:: identity
                    
                    	Identity restriction
                    	**type**\:  str
                    
                    .. attribute:: ikev2_profile
                    
                    	Specify ikev2 Profile
                    	**type**\:  str
                    
                    .. attribute:: isakmp_profile
                    
                    	Specify isakmp Profile
                    	**type**\:  str
                    
                    .. attribute:: mixed_mode
                    
                    	Turn on IPSec mixed\-mode
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: peer
                    
                    	Allowed Encryption/Decryption peer
                    	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.Peer>`
                    
                    .. attribute:: pfs
                    
                    	Specify pfs settings
                    	**type**\:   :py:class:`Pfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.Pfs>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: reverse_route
                    
                    	Reverse Route Injection
                    	**type**\:   :py:class:`ReverseRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.ReverseRoute>`
                    
                    .. attribute:: security_association
                    
                    	Security association parameters
                    	**type**\:   :py:class:`SecurityAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.SecurityAssociation>`
                    
                    .. attribute:: security_policy
                    
                    	Maximum number of Security Policy entries that can be negotiated with the peer
                    	**type**\:   :py:class:`SecurityPolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.SecurityPolicy>`
                    
                    .. attribute:: transform_set
                    
                    	Specify list of transform sets in priority order
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group = None
                        self.identity = None
                        self.ikev2_profile = None
                        self.isakmp_profile = None
                        self.mixed_mode = None
                        self.peer = Native.Crypto.Ipsec.Profile.Set.Peer()
                        self.peer.parent = self
                        self.pfs = None
                        self.reverse_route = Native.Crypto.Ipsec.Profile.Set.ReverseRoute()
                        self.reverse_route.parent = self
                        self.security_association = Native.Crypto.Ipsec.Profile.Set.SecurityAssociation()
                        self.security_association.parent = self
                        self.security_policy = Native.Crypto.Ipsec.Profile.Set.SecurityPolicy()
                        self.security_policy.parent = self
                        self.transform_set = YLeafList()
                        self.transform_set.parent = self
                        self.transform_set.name = 'transform_set'


                    class Peer(object):
                        """
                        Allowed Encryption/Decryption peer.
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: default
                        
                        	Reset to default peer in list in the event of a failure
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dynamic
                        
                        	Resolve the peer address at the time of negotiation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.default = None
                            self.dynamic = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:peer'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.default is not None:
                                return True

                            if self.dynamic is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ipsec.Profile.Set.Peer']['meta_info']


                    class Pfs(object):
                        """
                        Specify pfs settings
                        
                        .. attribute:: group
                        
                        	
                        	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.Pfs.GroupEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.group = None

                        class GroupEnum(Enum):
                            """
                            GroupEnum

                            .. data:: group1 = 0

                            .. data:: group14 = 1

                            .. data:: group15 = 2

                            .. data:: group16 = 3

                            .. data:: group19 = 4

                            .. data:: group2 = 5

                            .. data:: group20 = 6

                            .. data:: group21 = 7

                            .. data:: group24 = 8

                            .. data:: group5 = 9

                            """

                            group1 = 0

                            group14 = 1

                            group15 = 2

                            group16 = 3

                            group19 = 4

                            group2 = 5

                            group20 = 6

                            group21 = 7

                            group24 = 8

                            group5 = 9


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ipsec.Profile.Set.Pfs.GroupEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:pfs'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.group is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ipsec.Profile.Set.Pfs']['meta_info']


                    class ReverseRoute(object):
                        """
                        Reverse Route Injection
                        
                        .. attribute:: distance
                        
                        	Distance metric for this static route
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: tag
                        
                        	Create route and tag it
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.distance = None
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:reverse-route'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.distance is not None:
                                return True

                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ipsec.Profile.Set.ReverseRoute']['meta_info']


                    class SecurityAssociation(object):
                        """
                        Security association parameters
                        
                        .. attribute:: dfbit
                        
                        	Handling of encapsulated DF bit
                        	**type**\:   :py:class:`DfbitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.DfbitEnum>`
                        
                        .. attribute:: dummy
                        
                        	Enable transmitting dummy packets
                        	**type**\:   :py:class:`Dummy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Dummy>`
                        
                        .. attribute:: ecn
                        
                        	Handling of ECN bit
                        	**type**\:   :py:class:`EcnEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.EcnEnum>`
                        
                        .. attribute:: idle_time_container
                        
                        	
                        	**type**\:   :py:class:`IdleTimeContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.IdleTimeContainer>`
                        
                        .. attribute:: level
                        
                        	specify a security association granularity level for identities
                        	**type**\:   :py:class:`LevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.LevelEnum>`
                        
                        .. attribute:: lifetime
                        
                        	security association lifetime
                        	**type**\:   :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Lifetime>`
                        
                        .. attribute:: replay
                        
                        	Set replay checking
                        	**type**\:   :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Replay>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dfbit = None
                            self.dummy = Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Dummy()
                            self.dummy.parent = self
                            self.ecn = None
                            self.idle_time_container = Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.IdleTimeContainer()
                            self.idle_time_container.parent = self
                            self.level = None
                            self.lifetime = Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Lifetime()
                            self.lifetime.parent = self
                            self.replay = Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Replay()
                            self.replay.parent = self

                        class DfbitEnum(Enum):
                            """
                            DfbitEnum

                            Handling of encapsulated DF bit.

                            .. data:: clear = 0

                            .. data:: copy = 1

                            .. data:: set = 2

                            """

                            clear = 0

                            copy = 1

                            set = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.DfbitEnum']


                        class EcnEnum(Enum):
                            """
                            EcnEnum

                            Handling of ECN bit

                            .. data:: discard = 0

                            .. data:: propagate = 1

                            """

                            discard = 0

                            propagate = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.EcnEnum']


                        class LevelEnum(Enum):
                            """
                            LevelEnum

                            specify a security association granularity level for identities

                            .. data:: per_host = 0

                            """

                            per_host = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.LevelEnum']



                        class Dummy(object):
                            """
                            Enable transmitting dummy packets
                            
                            .. attribute:: pps
                            
                            	Simulated traffic rate (in pps)
                            	**type**\:  int
                            
                            	**range:** 0..25
                            
                            .. attribute:: seconds
                            
                            	Simulated traffic rate (in seconds)
                            	**type**\:  int
                            
                            	**range:** 1..3600
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.pps = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:dummy'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.pps is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Dummy']['meta_info']


                        class IdleTimeContainer(object):
                            """
                            
                            
                            .. attribute:: default
                            
                            	All SAs idle\-out reset to default peer
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: idle_time
                            
                            	Automatically delete IPSec SAs after a given idle period
                            	**type**\:  int
                            
                            	**range:** 60..86400
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.default = None
                                self.idle_time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:idle-time-container'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.default is not None:
                                    return True

                                if self.idle_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.IdleTimeContainer']['meta_info']


                        class Lifetime(object):
                            """
                            security association lifetime
                            
                            .. attribute:: days
                            
                            	Time\-based key duration in days
                            	**type**\:  int
                            
                            	**range:** 1..30
                            
                            .. attribute:: kilobytes
                            
                            	Volume\-based key duration
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 2560..4294967295
                            
                            
                            ----
                            	**type**\:   :py:class:`KilobytesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Lifetime.KilobytesEnum>`
                            
                            
                            ----
                            .. attribute:: seconds
                            
                            	Time\-based key duration in seconds
                            	**type**\:  int
                            
                            	**range:** 120..2592000
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.days = None
                                self.kilobytes = None
                                self.seconds = None

                            class KilobytesEnum(Enum):
                                """
                                KilobytesEnum

                                Volume\-based key duration

                                .. data:: disable = 0

                                """

                                disable = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Lifetime.KilobytesEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:lifetime'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.days is not None:
                                    return True

                                if self.kilobytes is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Lifetime']['meta_info']


                        class Replay(object):
                            """
                            Set replay checking.
                            
                            .. attribute:: disable
                            
                            	Disable replay checking
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: window_size
                            
                            	Set replay window size
                            	**type**\:   :py:class:`WindowSizeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Replay.WindowSizeEnum>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.disable = None
                                self.window_size = None

                            class WindowSizeEnum(Enum):
                                """
                                WindowSizeEnum

                                Set replay window size.

                                .. data:: Y_1024 = 0

                                .. data:: Y_128 = 1

                                .. data:: Y_256 = 2

                                .. data:: Y_512 = 3

                                .. data:: Y_64 = 4

                                """

                                Y_1024 = 0

                                Y_128 = 1

                                Y_256 = 2

                                Y_512 = 3

                                Y_64 = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Replay.WindowSizeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:replay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.disable is not None:
                                    return True

                                if self.window_size is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Replay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:security-association'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dfbit is not None:
                                return True

                            if self.dummy is not None and self.dummy._has_data():
                                return True

                            if self.ecn is not None:
                                return True

                            if self.idle_time_container is not None and self.idle_time_container._has_data():
                                return True

                            if self.level is not None:
                                return True

                            if self.lifetime is not None and self.lifetime._has_data():
                                return True

                            if self.replay is not None and self.replay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ipsec.Profile.Set.SecurityAssociation']['meta_info']


                    class SecurityPolicy(object):
                        """
                        Maximum number of Security Policy entries that can be negotiated with the peer
                        
                        .. attribute:: limit
                        
                        	limit  0 \- 50000
                        	**type**\:  int
                        
                        	**range:** 0..50000
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:security-policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ipsec.Profile.Set.SecurityPolicy']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:set'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group is not None:
                            return True

                        if self.identity is not None:
                            return True

                        if self.ikev2_profile is not None:
                            return True

                        if self.isakmp_profile is not None:
                            return True

                        if self.mixed_mode is not None:
                            return True

                        if self.peer is not None and self.peer._has_data():
                            return True

                        if self.pfs is not None and self.pfs._has_data():
                            return True

                        if self.reverse_route is not None and self.reverse_route._has_data():
                            return True

                        if self.security_association is not None and self.security_association._has_data():
                            return True

                        if self.security_policy is not None and self.security_policy._has_data():
                            return True

                        if self.transform_set is not None:
                            for child in self.transform_set:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ipsec.Profile.Set']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ipsec/Cisco-IOS-XE-crypto:profile[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.default is not None and self.default._has_data():
                        return True

                    if self.description is not None:
                        return True

                    if self.dialer is not None and self.dialer._has_data():
                        return True

                    if self.redundancy is not None and self.redundancy._has_data():
                        return True

                    if self.responder_only is not None:
                        return True

                    if self.set is not None and self.set._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ipsec.Profile']['meta_info']


            class SecurityAssociation(object):
                """
                Security association parameters
                
                .. attribute:: dummy
                
                	Enable transmitting dummy packets
                	**type**\:   :py:class:`Dummy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.SecurityAssociation.Dummy>`
                
                .. attribute:: ecn
                
                	Handling of ECN bit
                	**type**\:   :py:class:`EcnEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.SecurityAssociation.EcnEnum>`
                
                .. attribute:: idle_time
                
                	Automatically delete IPSec SAs after a given idle period
                	**type**\:  int
                
                	**range:** 60..86400
                
                .. attribute:: lifetime
                
                	security association lifetime
                	**type**\:   :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.SecurityAssociation.Lifetime>`
                
                .. attribute:: replay
                
                	Set replay checking
                	**type**\:   :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.SecurityAssociation.Replay>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dummy = Native.Crypto.Ipsec.SecurityAssociation.Dummy()
                    self.dummy.parent = self
                    self.ecn = None
                    self.idle_time = None
                    self.lifetime = Native.Crypto.Ipsec.SecurityAssociation.Lifetime()
                    self.lifetime.parent = self
                    self.replay = Native.Crypto.Ipsec.SecurityAssociation.Replay()
                    self.replay.parent = self

                class EcnEnum(Enum):
                    """
                    EcnEnum

                    Handling of ECN bit

                    .. data:: discard = 0

                    .. data:: propagate = 1

                    """

                    discard = 0

                    propagate = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ipsec.SecurityAssociation.EcnEnum']



                class Dummy(object):
                    """
                    Enable transmitting dummy packets
                    
                    .. attribute:: pps
                    
                    	Simulated traffic rate (in pps)
                    	**type**\:  int
                    
                    	**range:** 0..25
                    
                    .. attribute:: seconds
                    
                    	Simulated traffic rate (in seconds)
                    	**type**\:  int
                    
                    	**range:** 1..3600
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.pps = None
                        self.seconds = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ipsec/Cisco-IOS-XE-crypto:security-association/Cisco-IOS-XE-crypto:dummy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.pps is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ipsec.SecurityAssociation.Dummy']['meta_info']


                class Lifetime(object):
                    """
                    security association lifetime
                    
                    .. attribute:: days
                    
                    	Time\-based key duration in days
                    	**type**\:  int
                    
                    	**range:** 1..30
                    
                    .. attribute:: kilobytes
                    
                    	Volume\-based key duration
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 2560..4294967295
                    
                    
                    ----
                    	**type**\:   :py:class:`KilobytesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.SecurityAssociation.Lifetime.KilobytesEnum>`
                    
                    
                    ----
                    .. attribute:: seconds
                    
                    	Time\-based key duration in seconds
                    	**type**\:  int
                    
                    	**range:** 120..2592000
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.days = None
                        self.kilobytes = None
                        self.seconds = None

                    class KilobytesEnum(Enum):
                        """
                        KilobytesEnum

                        Volume\-based key duration

                        .. data:: disable = 0

                        """

                        disable = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ipsec.SecurityAssociation.Lifetime.KilobytesEnum']


                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ipsec/Cisco-IOS-XE-crypto:security-association/Cisco-IOS-XE-crypto:lifetime'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.days is not None:
                            return True

                        if self.kilobytes is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ipsec.SecurityAssociation.Lifetime']['meta_info']


                class Replay(object):
                    """
                    Set replay checking.
                    
                    .. attribute:: disable
                    
                    	Disable replay checking
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: window_size
                    
                    	Set replay window size
                    	**type**\:   :py:class:`WindowSizeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.SecurityAssociation.Replay.WindowSizeEnum>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.disable = None
                        self.window_size = None

                    class WindowSizeEnum(Enum):
                        """
                        WindowSizeEnum

                        Set replay window size.

                        .. data:: Y_1024 = 0

                        .. data:: Y_128 = 1

                        .. data:: Y_256 = 2

                        .. data:: Y_512 = 3

                        .. data:: Y_64 = 4

                        """

                        Y_1024 = 0

                        Y_128 = 1

                        Y_256 = 2

                        Y_512 = 3

                        Y_64 = 4


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ipsec.SecurityAssociation.Replay.WindowSizeEnum']


                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ipsec/Cisco-IOS-XE-crypto:security-association/Cisco-IOS-XE-crypto:replay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.disable is not None:
                            return True

                        if self.window_size is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ipsec.SecurityAssociation.Replay']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ipsec/Cisco-IOS-XE-crypto:security-association'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dummy is not None and self.dummy._has_data():
                        return True

                    if self.ecn is not None:
                        return True

                    if self.idle_time is not None:
                        return True

                    if self.lifetime is not None and self.lifetime._has_data():
                        return True

                    if self.replay is not None and self.replay._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ipsec.SecurityAssociation']['meta_info']


            class TransformSet(object):
                """
                Define transform and settings
                
                .. attribute:: tag  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: ah_hmac
                
                	
                	**type**\:   :py:class:`AhHmacEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.TransformSet.AhHmacEnum>`
                
                .. attribute:: comp_lzs
                
                	IP Compression using the LZS compression algorithm
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.TransformSet.Default>`
                
                .. attribute:: esp
                
                	
                	**type**\:   :py:class:`EspEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.TransformSet.EspEnum>`
                
                .. attribute:: esp_hmac
                
                	
                	**type**\:   :py:class:`EspHmacEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.TransformSet.EspHmacEnum>`
                
                .. attribute:: key_bit
                
                	
                	**type**\:   :py:class:`KeyBitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.TransformSet.KeyBitEnum>`
                
                .. attribute:: mode
                
                	encapsulation mode (transport/tunnel)
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.TransformSet.Mode>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.tag = None
                    self.ah_hmac = None
                    self.comp_lzs = None
                    self.default = Native.Crypto.Ipsec.TransformSet.Default()
                    self.default.parent = self
                    self.esp = None
                    self.esp_hmac = None
                    self.key_bit = None
                    self.mode = Native.Crypto.Ipsec.TransformSet.Mode()
                    self.mode.parent = self

                class AhHmacEnum(Enum):
                    """
                    AhHmacEnum

                    .. data:: ah_md5_hmac = 0

                    .. data:: ah_sha_hmac = 1

                    .. data:: ah_sha256_hmac = 2

                    .. data:: ah_sha384_hmac = 3

                    .. data:: ah_sha512_hmac = 4

                    """

                    ah_md5_hmac = 0

                    ah_sha_hmac = 1

                    ah_sha256_hmac = 2

                    ah_sha384_hmac = 3

                    ah_sha512_hmac = 4


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ipsec.TransformSet.AhHmacEnum']


                class EspEnum(Enum):
                    """
                    EspEnum

                    .. data:: esp_3des = 0

                    .. data:: esp_aes = 1

                    .. data:: esp_des = 2

                    .. data:: esp_gcm = 3

                    .. data:: esp_gmac = 4

                    .. data:: esp_null = 5

                    .. data:: esp_seal = 6

                    """

                    esp_3des = 0

                    esp_aes = 1

                    esp_des = 2

                    esp_gcm = 3

                    esp_gmac = 4

                    esp_null = 5

                    esp_seal = 6


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ipsec.TransformSet.EspEnum']


                class EspHmacEnum(Enum):
                    """
                    EspHmacEnum

                    .. data:: esp_md5_hmac = 0

                    .. data:: esp_sha_hmac = 1

                    .. data:: esp_sha256_hmac = 2

                    .. data:: esp_sha384_hmac = 3

                    .. data:: esp_sha512_hmac = 4

                    """

                    esp_md5_hmac = 0

                    esp_sha_hmac = 1

                    esp_sha256_hmac = 2

                    esp_sha384_hmac = 3

                    esp_sha512_hmac = 4


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ipsec.TransformSet.EspHmacEnum']


                class KeyBitEnum(Enum):
                    """
                    KeyBitEnum

                    .. data:: Y_128 = 0

                    .. data:: Y_192 = 1

                    .. data:: Y_256 = 2

                    """

                    Y_128 = 0

                    Y_192 = 1

                    Y_256 = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ipsec.TransformSet.KeyBitEnum']



                class Default(object):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: mode
                    
                    	encapsulation mode (transport/tunnel)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.mode = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.mode is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ipsec.TransformSet.Default']['meta_info']


                class Mode(object):
                    """
                    encapsulation mode (transport/tunnel)
                    
                    .. attribute:: transport
                    
                    	transport (payload encapsulation) mode
                    	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.TransformSet.Mode.Transport>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: tunnel
                    
                    	tunnel (datagram encapsulation) mode
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.transport = None
                        self.tunnel = None


                    class Transport(object):
                        """
                        transport (payload encapsulation) mode
                        
                        .. attribute:: require
                        
                        	Accept only the configured encapsulation mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.require = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:transport'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.require is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Ipsec.TransformSet.Mode.Transport']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.transport is not None and self.transport._has_data():
                            return True

                        if self.tunnel is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ipsec.TransformSet.Mode']['meta_info']

                @property
                def _common_path(self):
                    if self.tag is None:
                        raise YPYModelError('Key property tag is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ipsec/Cisco-IOS-XE-crypto:transform-set[Cisco-IOS-XE-crypto:tag = ' + str(self.tag) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.tag is not None:
                        return True

                    if self.ah_hmac is not None:
                        return True

                    if self.comp_lzs is not None:
                        return True

                    if self.default is not None and self.default._has_data():
                        return True

                    if self.esp is not None:
                        return True

                    if self.esp_hmac is not None:
                        return True

                    if self.key_bit is not None:
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ipsec.TransformSet']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ipsec'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.df_bit is not None:
                    return True

                if self.fragmentation is not None:
                    return True

                if self.ipv4_deny is not None:
                    return True

                if self.nat_transparency is not None:
                    return True

                if self.optional is not None and self.optional._has_data():
                    return True

                if self.profile is not None:
                    for child_ref in self.profile:
                        if child_ref._has_data():
                            return True

                if self.security_association is not None and self.security_association._has_data():
                    return True

                if self.transform_set is not None:
                    for child_ref in self.transform_set:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Crypto.Ipsec']['meta_info']


        class Isakmp(object):
            """
            Configure ISAKMP policy
            
            .. attribute:: aggressive_mode
            
            	Disable ISAKMP aggressive mode
            	**type**\:   :py:class:`AggressiveModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.AggressiveModeEnum>`
            
            .. attribute:: client
            
            	Set client configuration policy
            	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client>`
            
            .. attribute:: default
            
            	ISAKMP default policy
            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Default>`
            
            .. attribute:: disconnect_revoked_peers
            
            	Disconnect Crypto Session with Revoked Peer
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: enable
            
            	Enable ISAKMP
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: fragmentation
            
            	IKE Fragmentation enabled if required
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: identity
            
            	Set the identity which ISAKMP will use
            	**type**\:   :py:class:`IdentityEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.IdentityEnum>`
            
            .. attribute:: invalid_spi_recovery
            
            	Initiate IKE and send Invalid SPI Notify
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: keepalive
            
            	Set a keepalive interval for use with IOS peers
            	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Keepalive>`
            
            .. attribute:: key
            
            	Set pre\-shared key for remote peer
            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Key>`
            
            .. attribute:: nat
            
            	Set a nat  keepalive interval for use with IOS peers
            	**type**\:   :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Nat>`
            
            .. attribute:: peer
            
            	Set Peer Policy
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer>`
            
            .. attribute:: policy
            
            	Set policy for an ISAKMP protection suite
            	**type**\: list of    :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy>`
            
            .. attribute:: profile
            
            	Define ISAKMP Profiles
            	**type**\: list of    :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile>`
            
            .. attribute:: xauth
            
            	Set Extended Authentication values
            	**type**\:   :py:class:`Xauth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Xauth>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.aggressive_mode = None
                self.client = Native.Crypto.Isakmp.Client()
                self.client.parent = self
                self.default = Native.Crypto.Isakmp.Default()
                self.default.parent = self
                self.disconnect_revoked_peers = None
                self.enable = None
                self.fragmentation = None
                self.identity = None
                self.invalid_spi_recovery = None
                self.keepalive = Native.Crypto.Isakmp.Keepalive()
                self.keepalive.parent = self
                self.key = Native.Crypto.Isakmp.Key()
                self.key.parent = self
                self.nat = Native.Crypto.Isakmp.Nat()
                self.nat.parent = self
                self.peer = Native.Crypto.Isakmp.Peer()
                self.peer.parent = self
                self.policy = YList()
                self.policy.parent = self
                self.policy.name = 'policy'
                self.profile = YList()
                self.profile.parent = self
                self.profile.name = 'profile'
                self.xauth = Native.Crypto.Isakmp.Xauth()
                self.xauth.parent = self

            class AggressiveModeEnum(Enum):
                """
                AggressiveModeEnum

                Disable ISAKMP aggressive mode

                .. data:: disable = 0

                """

                disable = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Isakmp.AggressiveModeEnum']


            class IdentityEnum(Enum):
                """
                IdentityEnum

                Set the identity which ISAKMP will use

                .. data:: address = 0

                .. data:: dn = 1

                .. data:: hostname = 2

                """

                address = 0

                dn = 1

                hostname = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Isakmp.IdentityEnum']



            class Client(object):
                """
                Set client configuration policy
                
                .. attribute:: configuration
                
                	Set client configuration policy
                	**type**\:   :py:class:`Configuration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration>`
                
                .. attribute:: firewall
                
                	Define client firewall
                	**type**\: list of    :py:class:`Firewall <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Firewall>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.configuration = Native.Crypto.Isakmp.Client.Configuration()
                    self.configuration.parent = self
                    self.firewall = YList()
                    self.firewall.parent = self
                    self.firewall.name = 'firewall'


                class Configuration(object):
                    """
                    Set client configuration policy
                    
                    .. attribute:: address_pool
                    
                    	Set network address for client
                    	**type**\:   :py:class:`AddressPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.AddressPool>`
                    
                    .. attribute:: browser_proxy
                    
                    	Set browser proxy attributes for client
                    	**type**\:  str
                    
                    .. attribute:: group
                    
                    	Set group profile attributes for client
                    	**type**\: list of    :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address_pool = Native.Crypto.Isakmp.Client.Configuration.AddressPool()
                        self.address_pool.parent = self
                        self.browser_proxy = None
                        self.group = YList()
                        self.group.parent = self
                        self.group.name = 'group'


                    class AddressPool(object):
                        """
                        Set network address for client
                        
                        .. attribute:: local
                        
                        	Set a local address pool for clients
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.local = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:client/Cisco-IOS-XE-crypto:configuration/Cisco-IOS-XE-crypto:address-pool'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.local is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Client.Configuration.AddressPool']['meta_info']


                    class Group(object):
                        """
                        Set group profile attributes for client
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: access_restrict
                        
                        	Restrict clients in this group to an interface
                        	**type**\:  str
                        
                        .. attribute:: acl
                        
                        	Specify split tunneling inclusion access\-list number
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 100..199
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** [a\-zA\-Z].\*
                        
                        
                        ----
                        .. attribute:: auto_update
                        
                        	Configure auto\-upgrade
                        	**type**\:   :py:class:`AutoUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.AutoUpdate>`
                        
                        .. attribute:: backup_gateway
                        
                        	Specify backup gateway
                        	**type**\:  str
                        
                        .. attribute:: banner
                        
                        	Specify mode config banner
                        	**type**\:  str
                        
                        .. attribute:: browser_proxy
                        
                        	Configure browser\-proxy
                        	**type**\:  str
                        
                        .. attribute:: configuration
                        
                        	Push configuration to the client
                        	**type**\:   :py:class:`Configuration_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Configuration_>`
                        
                        .. attribute:: crypto
                        
                        	Client group crypto aaa attribute list
                        	**type**\:   :py:class:`Crypto_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_>`
                        
                        .. attribute:: dhcp
                        
                        	Configure DHCP parameters
                        	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Dhcp>`
                        
                        .. attribute:: dns
                        
                        	Specify DNS Addresses
                        	**type**\:   :py:class:`Dns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Dns>`
                        
                        .. attribute:: domain
                        
                        	Set default domain name to send to client
                        	**type**\:  str
                        
                        .. attribute:: firewall
                        
                        	Enforce group firewall feature
                        	**type**\:   :py:class:`Firewall <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Firewall>`
                        
                        .. attribute:: group_lock
                        
                        	Enforce group lock feature
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: include_local_lan
                        
                        	Enable Local LAN Access with no split tunnel
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: key
                        
                        	pre\-shared key/IKE password
                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Key>`
                        
                        .. attribute:: max_logins
                        
                        	Set maximum simultaneous logins for users in this group
                        	**type**\:  int
                        
                        	**range:** 1..10
                        
                        .. attribute:: max_users
                        
                        	Set maximum number of users for this group
                        	**type**\:  int
                        
                        	**range:** 1..5000
                        
                        .. attribute:: netmask
                        
                        	netmask used by the client for local connectivity
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: pfs
                        
                        	The client should propose PFS
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pool
                        
                        	Set name of address pool
                        	**type**\:  str
                        
                        .. attribute:: save_password
                        
                        	Allows remote client to save XAUTH password
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: smartcard_removal_disconnect
                        
                        	Enables smartcard\-removal\-disconnect
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: split_dns
                        
                        	DNS name to append for resolution
                        	**type**\:  str
                        
                        .. attribute:: wins
                        
                        	Specify WINS Addresses
                        	**type**\:   :py:class:`Wins <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Wins>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.access_restrict = None
                            self.acl = None
                            self.auto_update = Native.Crypto.Isakmp.Client.Configuration.Group.AutoUpdate()
                            self.auto_update.parent = self
                            self.backup_gateway = None
                            self.banner = None
                            self.browser_proxy = None
                            self.configuration = Native.Crypto.Isakmp.Client.Configuration.Group.Configuration_()
                            self.configuration.parent = self
                            self.crypto = Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_()
                            self.crypto.parent = self
                            self.dhcp = Native.Crypto.Isakmp.Client.Configuration.Group.Dhcp()
                            self.dhcp.parent = self
                            self.dns = Native.Crypto.Isakmp.Client.Configuration.Group.Dns()
                            self.dns.parent = self
                            self.domain = None
                            self.firewall = Native.Crypto.Isakmp.Client.Configuration.Group.Firewall()
                            self.firewall.parent = self
                            self.group_lock = None
                            self.include_local_lan = None
                            self.key = Native.Crypto.Isakmp.Client.Configuration.Group.Key()
                            self.key.parent = self
                            self.max_logins = None
                            self.max_users = None
                            self.netmask = None
                            self.pfs = None
                            self.pool = None
                            self.save_password = None
                            self.smartcard_removal_disconnect = None
                            self.split_dns = None
                            self.wins = Native.Crypto.Isakmp.Client.Configuration.Group.Wins()
                            self.wins.parent = self


                        class AutoUpdate(object):
                            """
                            Configure auto\-upgrade
                            
                            .. attribute:: client
                            
                            	Configure client
                            	**type**\:  str
                            
                            .. attribute:: rev
                            
                            	Use comma delimited list of revision strings only
                            	**type**\:  str
                            
                            .. attribute:: url
                            
                            	Configure URL to download from
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.client = None
                                self.rev = None
                                self.url = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:auto-update'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.client is not None:
                                    return True

                                if self.rev is not None:
                                    return True

                                if self.url is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.AutoUpdate']['meta_info']


                        class Configuration_(object):
                            """
                            Push configuration to the client
                            
                            .. attribute:: url
                            
                            	URL for the client to fetch configuration
                            	**type**\:   :py:class:`UrlEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Configuration_.UrlEnum>`
                            
                            .. attribute:: version
                            
                            	version of the configuration available at the URL
                            	**type**\:  int
                            
                            	**range:** 1..32767
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.url = None
                                self.version = None

                            class UrlEnum(Enum):
                                """
                                UrlEnum

                                URL for the client to fetch configuration

                                .. data:: bootflash__COLON__ = 0

                                .. data:: cns__COLON__ = 1

                                .. data:: flash__COLON__ = 2

                                .. data:: ftp__COLON__ = 3

                                .. data:: http__COLON__ = 4

                                .. data:: https__COLON__ = 5

                                .. data:: null__COLON__ = 6

                                .. data:: nvram__COLON__ = 7

                                .. data:: pram__COLON__ = 8

                                .. data:: rcp__COLON__ = 9

                                .. data:: scp__COLON__ = 10

                                .. data:: system__COLON__ = 11

                                .. data:: tar__COLON__ = 12

                                .. data:: tftp__COLON__ = 13

                                .. data:: tmpsys__COLON__ = 14

                                """

                                bootflash__COLON__ = 0

                                cns__COLON__ = 1

                                flash__COLON__ = 2

                                ftp__COLON__ = 3

                                http__COLON__ = 4

                                https__COLON__ = 5

                                null__COLON__ = 6

                                nvram__COLON__ = 7

                                pram__COLON__ = 8

                                rcp__COLON__ = 9

                                scp__COLON__ = 10

                                system__COLON__ = 11

                                tar__COLON__ = 12

                                tftp__COLON__ = 13

                                tmpsys__COLON__ = 14


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Configuration_.UrlEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:configuration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.url is not None:
                                    return True

                                if self.version is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Configuration_']['meta_info']


                        class Crypto_(object):
                            """
                            Client group crypto aaa attribute list
                            
                            .. attribute:: aaa
                            
                            	AAA directive
                            	**type**\:   :py:class:`Aaa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_.Aaa>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aaa = Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_.Aaa()
                                self.aaa.parent = self


                            class Aaa(object):
                                """
                                AAA directive
                                
                                .. attribute:: attribute
                                
                                	AAA attribute directive
                                	**type**\:   :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_.Aaa.Attribute>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute = Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_.Aaa.Attribute()
                                    self.attribute.parent = self


                                class Attribute(object):
                                    """
                                    AAA attribute directive
                                    
                                    .. attribute:: list
                                    
                                    	AAA attribute list
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.list = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:attribute'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.list is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_.Aaa.Attribute']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:aaa'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.attribute is not None and self.attribute._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_.Aaa']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:crypto'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aaa is not None and self.aaa._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Crypto_']['meta_info']


                        class Dhcp(object):
                            """
                            Configure DHCP parameters
                            
                            .. attribute:: giaddr
                            
                            	Specify giaddr for dhcp scope
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: server
                            
                            	Specify dhcp server
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: timeout
                            
                            	Configure DHCP response timeout in seconds
                            	**type**\:  int
                            
                            	**range:** 4..30
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.giaddr = None
                                self.server = None
                                self.timeout = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:dhcp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.giaddr is not None:
                                    return True

                                if self.server is not None:
                                    return True

                                if self.timeout is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Dhcp']['meta_info']


                        class Dns(object):
                            """
                            Specify DNS Addresses
                            
                            .. attribute:: primary
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: secondary
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.primary = None
                                self.secondary = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:dns'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.primary is not None:
                                    return True

                                if self.secondary is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Dns']['meta_info']


                        class Firewall(object):
                            """
                            Enforce group firewall feature
                            
                            .. attribute:: are_u_there
                            
                            	firewall attribute, are\-u\-there
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: policy
                            
                            	Specify firewall policy
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.are_u_there = None
                                self.policy = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:firewall'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.are_u_there is not None:
                                    return True

                                if self.policy is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Firewall']['meta_info']


                        class Key(object):
                            """
                            pre\-shared key/IKE password
                            
                            .. attribute:: encryption
                            
                            	
                            	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Key.EncryptionEnum>`
                            
                            .. attribute:: key
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.encryption = None
                                self.key = None

                            class EncryptionEnum(Enum):
                                """
                                EncryptionEnum

                                .. data:: Y_0 = 0

                                .. data:: Y_6 = 1

                                """

                                Y_0 = 0

                                Y_6 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Key.EncryptionEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:key'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.encryption is not None:
                                    return True

                                if self.key is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Key']['meta_info']


                        class Wins(object):
                            """
                            Specify WINS Addresses
                            
                            .. attribute:: primary
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: secondary
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.primary = None
                                self.secondary = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:wins'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.primary is not None:
                                    return True

                                if self.secondary is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Client.Configuration.Group.Wins']['meta_info']

                        @property
                        def _common_path(self):
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:client/Cisco-IOS-XE-crypto:configuration/Cisco-IOS-XE-crypto:group[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.access_restrict is not None:
                                return True

                            if self.acl is not None:
                                return True

                            if self.auto_update is not None and self.auto_update._has_data():
                                return True

                            if self.backup_gateway is not None:
                                return True

                            if self.banner is not None:
                                return True

                            if self.browser_proxy is not None:
                                return True

                            if self.configuration is not None and self.configuration._has_data():
                                return True

                            if self.crypto is not None and self.crypto._has_data():
                                return True

                            if self.dhcp is not None and self.dhcp._has_data():
                                return True

                            if self.dns is not None and self.dns._has_data():
                                return True

                            if self.domain is not None:
                                return True

                            if self.firewall is not None and self.firewall._has_data():
                                return True

                            if self.group_lock is not None:
                                return True

                            if self.include_local_lan is not None:
                                return True

                            if self.key is not None and self.key._has_data():
                                return True

                            if self.max_logins is not None:
                                return True

                            if self.max_users is not None:
                                return True

                            if self.netmask is not None:
                                return True

                            if self.pfs is not None:
                                return True

                            if self.pool is not None:
                                return True

                            if self.save_password is not None:
                                return True

                            if self.smartcard_removal_disconnect is not None:
                                return True

                            if self.split_dns is not None:
                                return True

                            if self.wins is not None and self.wins._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Client.Configuration.Group']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:client/Cisco-IOS-XE-crypto:configuration'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address_pool is not None and self.address_pool._has_data():
                            return True

                        if self.browser_proxy is not None:
                            return True

                        if self.group is not None:
                            for child_ref in self.group:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Client.Configuration']['meta_info']


                class Firewall(object):
                    """
                    Define client firewall
                    
                    .. attribute:: policy_name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: optional
                    
                    	firewall policy is optional
                    	**type**\:   :py:class:`OptionalEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Firewall.OptionalEnum>`
                    
                    .. attribute:: policy
                    
                    	Define Cisco firewall Policy
                    	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Firewall.Policy>`
                    
                    .. attribute:: required
                    
                    	firewall policy is mandatory
                    	**type**\:   :py:class:`RequiredEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Firewall.RequiredEnum>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_name = None
                        self.optional = None
                        self.policy = Native.Crypto.Isakmp.Client.Firewall.Policy()
                        self.policy.parent = self
                        self.required = None

                    class OptionalEnum(Enum):
                        """
                        OptionalEnum

                        firewall policy is optional

                        .. data:: cisco_integrated_client_firewall = 0

                        .. data:: cisco_security_agent = 1

                        .. data:: zonelabs_zonealarm = 2

                        .. data:: zonelabs_zonealarmpro = 3

                        """

                        cisco_integrated_client_firewall = 0

                        cisco_security_agent = 1

                        zonelabs_zonealarm = 2

                        zonelabs_zonealarmpro = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Client.Firewall.OptionalEnum']


                    class RequiredEnum(Enum):
                        """
                        RequiredEnum

                        firewall policy is mandatory

                        .. data:: cisco_integrated_client_firewall = 0

                        .. data:: cisco_security_agent = 1

                        .. data:: zonelabs_zonealarm = 2

                        .. data:: zonelabs_zonealarmpro = 3

                        """

                        cisco_integrated_client_firewall = 0

                        cisco_security_agent = 1

                        zonelabs_zonealarm = 2

                        zonelabs_zonealarmpro = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Client.Firewall.RequiredEnum']



                    class Policy(object):
                        """
                        Define Cisco firewall Policy
                        
                        .. attribute:: central_policy_push
                        
                        	Define Cisco Protection Policy
                        	**type**\:   :py:class:`CentralPolicyPush <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush>`
                        
                        .. attribute:: check_presence
                        
                        	Define firewall are\-you\-there policy
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.central_policy_push = Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush()
                            self.central_policy_push.parent = self
                            self.check_presence = None


                        class CentralPolicyPush(object):
                            """
                            Define Cisco Protection Policy
                            
                            .. attribute:: access_list
                            
                            	Specify access list
                            	**type**\:   :py:class:`AccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush.AccessList>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.access_list = Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush.AccessList()
                                self.access_list.parent = self


                            class AccessList(object):
                                """
                                Specify access list
                                
                                .. attribute:: acl
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 100..199
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                
                                ----
                                .. attribute:: direction
                                
                                	
                                	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush.AccessList.DirectionEnum>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.acl = None
                                    self.direction = None

                                class DirectionEnum(Enum):
                                    """
                                    DirectionEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush.AccessList.DirectionEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:access-list'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.acl is not None:
                                        return True

                                    if self.direction is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush.AccessList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:central-policy-push'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.access_list is not None and self.access_list._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.central_policy_push is not None and self.central_policy_push._has_data():
                                return True

                            if self.check_presence is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Client.Firewall.Policy']['meta_info']

                    @property
                    def _common_path(self):
                        if self.policy_name is None:
                            raise YPYModelError('Key property policy_name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:client/Cisco-IOS-XE-crypto:firewall[Cisco-IOS-XE-crypto:policy-name = ' + str(self.policy_name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_name is not None:
                            return True

                        if self.optional is not None:
                            return True

                        if self.policy is not None and self.policy._has_data():
                            return True

                        if self.required is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Client.Firewall']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:client'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.configuration is not None and self.configuration._has_data():
                        return True

                    if self.firewall is not None:
                        for child_ref in self.firewall:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Isakmp.Client']['meta_info']


            class Default(object):
                """
                ISAKMP default policy
                
                .. attribute:: policy
                
                	Enable default policies for ISAKMP protection suite
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.policy = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:default'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.policy is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Isakmp.Default']['meta_info']


            class Keepalive(object):
                """
                Set a keepalive interval for use with IOS peers
                
                .. attribute:: number
                
                	
                	**type**\:  int
                
                	**range:** 10..3600
                
                .. attribute:: retry_number
                
                	
                	**type**\:  int
                
                	**range:** 2..60
                
                .. attribute:: send
                
                	
                	**type**\:   :py:class:`SendEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Keepalive.SendEnum>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.retry_number = None
                    self.send = None

                class SendEnum(Enum):
                    """
                    SendEnum

                    .. data:: on_demand = 0

                    .. data:: periodic = 1

                    """

                    on_demand = 0

                    periodic = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Keepalive.SendEnum']


                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:keepalive'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.retry_number is not None:
                        return True

                    if self.send is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Isakmp.Keepalive']['meta_info']


            class Key(object):
                """
                Set pre\-shared key for remote peer
                
                .. attribute:: key_address
                
                	
                	**type**\:   :py:class:`KeyAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Key.KeyAddress>`
                
                .. attribute:: key_host
                
                	
                	**type**\:   :py:class:`KeyHost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Key.KeyHost>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.key_address = Native.Crypto.Isakmp.Key.KeyAddress()
                    self.key_address.parent = self
                    self.key_host = Native.Crypto.Isakmp.Key.KeyHost()
                    self.key_host.parent = self


                class KeyAddress(object):
                    """
                    
                    
                    .. attribute:: addr4_container
                    
                    	
                    	**type**\:   :py:class:`Addr4Container <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Key.KeyAddress.Addr4Container>`
                    
                    .. attribute:: addr6_container
                    
                    	
                    	**type**\:   :py:class:`Addr6Container <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container>`
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Key.KeyAddress.EncryptionEnum>`
                    
                    .. attribute:: key
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.addr4_container = Native.Crypto.Isakmp.Key.KeyAddress.Addr4Container()
                        self.addr4_container.parent = self
                        self.addr6_container = Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container()
                        self.addr6_container.parent = self
                        self.encryption = None
                        self.key = None

                    class EncryptionEnum(Enum):
                        """
                        EncryptionEnum

                        .. data:: Y_0 = 0

                        .. data:: Y_6 = 1

                        """

                        Y_0 = 0

                        Y_6 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Key.KeyAddress.EncryptionEnum']



                    class Addr4Container(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	define shared key with IP address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: no_xauth
                        
                        	Bypasses XAuth for this peer
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.no_xauth = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:key-address/Cisco-IOS-XE-crypto:addr4-container'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.no_xauth is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Key.KeyAddress.Addr4Container']['meta_info']


                    class Addr6Container(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	define shared key with IP address
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container.Address>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            define shared key with IP address
                            
                            .. attribute:: ipv6
                            
                            	define shared key with IPv6 address
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: no_xauth
                            
                            	Bypasses XAuth for this peer
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv6 = None
                                self.no_xauth = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:key-address/Cisco-IOS-XE-crypto:addr6-container/Cisco-IOS-XE-crypto:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv6 is not None:
                                    return True

                                if self.no_xauth is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container.Address']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:key-address/Cisco-IOS-XE-crypto:addr6-container'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:key-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.addr4_container is not None and self.addr4_container._has_data():
                            return True

                        if self.addr6_container is not None and self.addr6_container._has_data():
                            return True

                        if self.encryption is not None:
                            return True

                        if self.key is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Key.KeyAddress']['meta_info']


                class KeyHost(object):
                    """
                    
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Key.KeyHost.EncryptionEnum>`
                    
                    .. attribute:: host_container
                    
                    	
                    	**type**\:   :py:class:`HostContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Key.KeyHost.HostContainer>`
                    
                    .. attribute:: key
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.encryption = None
                        self.host_container = Native.Crypto.Isakmp.Key.KeyHost.HostContainer()
                        self.host_container.parent = self
                        self.key = None

                    class EncryptionEnum(Enum):
                        """
                        EncryptionEnum

                        .. data:: Y_0 = 0

                        .. data:: Y_6 = 1

                        """

                        Y_0 = 0

                        Y_6 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Key.KeyHost.EncryptionEnum']



                    class HostContainer(object):
                        """
                        
                        
                        .. attribute:: hostname
                        
                        	define shared key with hostname
                        	**type**\:  str
                        
                        .. attribute:: no_xauth
                        
                        	Bypasses XAuth for this peer
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hostname = None
                            self.no_xauth = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:key-host/Cisco-IOS-XE-crypto:host-container'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hostname is not None:
                                return True

                            if self.no_xauth is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Key.KeyHost.HostContainer']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:key-host'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.encryption is not None:
                            return True

                        if self.host_container is not None and self.host_container._has_data():
                            return True

                        if self.key is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Key.KeyHost']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:key'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.key_address is not None and self.key_address._has_data():
                        return True

                    if self.key_host is not None and self.key_host._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Isakmp.Key']['meta_info']


            class Nat(object):
                """
                Set a nat  keepalive interval for use with IOS peers
                
                .. attribute:: keepalive
                
                	Set a nat keepalive interval for use with IOS peers
                	**type**\:  int
                
                	**range:** 5..3600
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keepalive = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:nat'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keepalive is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Isakmp.Nat']['meta_info']


            class Peer(object):
                """
                Set Peer Policy
                
                .. attribute:: hostname
                
                	hostname  define peer policy for hostname
                	**type**\: list of    :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Hostname>`
                
                .. attribute:: ipv4_addr
                
                	
                	**type**\:   :py:class:`Ipv4Addr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv4Addr>`
                
                .. attribute:: ipv6_addr
                
                	
                	**type**\:   :py:class:`Ipv6Addr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv6Addr>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.hostname = YList()
                    self.hostname.parent = self
                    self.hostname.name = 'hostname'
                    self.ipv4_addr = Native.Crypto.Isakmp.Peer.Ipv4Addr()
                    self.ipv4_addr.parent = self
                    self.ipv6_addr = Native.Crypto.Isakmp.Peer.Ipv6Addr()
                    self.ipv6_addr.parent = self


                class Ipv4Addr(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	define peer policy for IP address
                    	**type**\: list of    :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv4Addr.Address>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = YList()
                        self.address.parent = self
                        self.address.name = 'address'


                    class Address(object):
                        """
                        define peer policy for IP address
                        
                        .. attribute:: ipv4  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: description
                        
                        	IKE peer specific description
                        	**type**\:  str
                        
                        	**length:** 1..80
                        
                        .. attribute:: set
                        
                        	set peer policy attributes
                        	**type**\:   :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set>`
                        
                        .. attribute:: vrf
                        
                        	specify front door vrf of the peer
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None
                            self.description = None
                            self.set = Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set()
                            self.set.parent = self
                            self.vrf = None


                        class Set(object):
                            """
                            set peer policy attributes
                            
                            .. attribute:: aggressive_mode
                            
                            	aggressive mode attributes
                            	**type**\:   :py:class:`AggressiveMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aggressive_mode = Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode()
                                self.aggressive_mode.parent = self


                            class AggressiveMode(object):
                                """
                                aggressive mode attributes
                                
                                .. attribute:: client_endpoint
                                
                                	specify a tunnel\-client\-endpoint attribute
                                	**type**\:   :py:class:`ClientEndpoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.ClientEndpoint>`
                                
                                .. attribute:: password
                                
                                	specify a tunnel\-password attribute
                                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.Password>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.client_endpoint = Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.ClientEndpoint()
                                    self.client_endpoint.parent = self
                                    self.password = Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.Password()
                                    self.password.parent = self


                                class ClientEndpoint(object):
                                    """
                                    specify a tunnel\-client\-endpoint attribute
                                    
                                    .. attribute:: fqdn
                                    
                                    	Use the fqdn as tunnel\-client\-endpoint
                                    	**type**\:  str
                                    
                                    .. attribute:: ipv4_address
                                    
                                    	Use the IP address as tunnel\-client\-endpoint
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_address
                                    
                                    	Use the IPv6 address as tunnel\-client\-endpoint
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: user_fqdn
                                    
                                    	Use the user\-fqdn as tunnel\-client\-endpoint
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.fqdn = None
                                        self.ipv4_address = None
                                        self.ipv6_address = None
                                        self.user_fqdn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:client-endpoint'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.fqdn is not None:
                                            return True

                                        if self.ipv4_address is not None:
                                            return True

                                        if self.ipv6_address is not None:
                                            return True

                                        if self.user_fqdn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.ClientEndpoint']['meta_info']


                                class Password(object):
                                    """
                                    specify a tunnel\-password attribute
                                    
                                    .. attribute:: encryption
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.Password.EncryptionEnum>`
                                    
                                    .. attribute:: key
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encryption = None
                                        self.key = None

                                    class EncryptionEnum(Enum):
                                        """
                                        EncryptionEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_6 = 1

                                        """

                                        Y_0 = 0

                                        Y_6 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.Password.EncryptionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:password'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encryption is not None:
                                            return True

                                        if self.key is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.Password']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:aggressive-mode'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.client_endpoint is not None and self.client_endpoint._has_data():
                                        return True

                                    if self.password is not None and self.password._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aggressive_mode is not None and self.aggressive_mode._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set']['meta_info']

                        @property
                        def _common_path(self):
                            if self.ipv4 is None:
                                raise YPYModelError('Key property ipv4 is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:peer/Cisco-IOS-XE-crypto:ipv4-addr/Cisco-IOS-XE-crypto:address[Cisco-IOS-XE-crypto:ipv4 = ' + str(self.ipv4) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None:
                                return True

                            if self.description is not None:
                                return True

                            if self.set is not None and self.set._has_data():
                                return True

                            if self.vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Peer.Ipv4Addr.Address']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:peer/Cisco-IOS-XE-crypto:ipv4-addr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            for child_ref in self.address:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Peer.Ipv4Addr']['meta_info']


                class Ipv6Addr(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	define peer policy for IP address
                    	**type**\: list of    :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv6Addr.Address>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = YList()
                        self.address.parent = self
                        self.address.name = 'address'


                    class Address(object):
                        """
                        define peer policy for IP address
                        
                        .. attribute:: ipv6  <key>
                        
                        	define peer policy for IPv6 address
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: description
                        
                        	IKE peer specific description
                        	**type**\:  str
                        
                        	**length:** 1..80
                        
                        .. attribute:: set
                        
                        	set peer policy attributes
                        	**type**\:   :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set>`
                        
                        .. attribute:: vrf
                        
                        	specify front door vrf of the peer
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv6 = None
                            self.description = None
                            self.set = Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set()
                            self.set.parent = self
                            self.vrf = None


                        class Set(object):
                            """
                            set peer policy attributes
                            
                            .. attribute:: aggressive_mode
                            
                            	aggressive mode attributes
                            	**type**\:   :py:class:`AggressiveMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aggressive_mode = Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode()
                                self.aggressive_mode.parent = self


                            class AggressiveMode(object):
                                """
                                aggressive mode attributes
                                
                                .. attribute:: client_endpoint
                                
                                	specify a tunnel\-client\-endpoint attribute
                                	**type**\:   :py:class:`ClientEndpoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.ClientEndpoint>`
                                
                                .. attribute:: password
                                
                                	specify a tunnel\-password attribute
                                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.Password>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.client_endpoint = Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.ClientEndpoint()
                                    self.client_endpoint.parent = self
                                    self.password = Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.Password()
                                    self.password.parent = self


                                class ClientEndpoint(object):
                                    """
                                    specify a tunnel\-client\-endpoint attribute
                                    
                                    .. attribute:: fqdn
                                    
                                    	Use the fqdn as tunnel\-client\-endpoint
                                    	**type**\:  str
                                    
                                    .. attribute:: ipv4_address
                                    
                                    	Use the IP address as tunnel\-client\-endpoint
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_address
                                    
                                    	Use the IPv6 address as tunnel\-client\-endpoint
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: user_fqdn
                                    
                                    	Use the user\-fqdn as tunnel\-client\-endpoint
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.fqdn = None
                                        self.ipv4_address = None
                                        self.ipv6_address = None
                                        self.user_fqdn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:client-endpoint'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.fqdn is not None:
                                            return True

                                        if self.ipv4_address is not None:
                                            return True

                                        if self.ipv6_address is not None:
                                            return True

                                        if self.user_fqdn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.ClientEndpoint']['meta_info']


                                class Password(object):
                                    """
                                    specify a tunnel\-password attribute
                                    
                                    .. attribute:: encryption
                                    
                                    	
                                    	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.Password.EncryptionEnum>`
                                    
                                    .. attribute:: key
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.encryption = None
                                        self.key = None

                                    class EncryptionEnum(Enum):
                                        """
                                        EncryptionEnum

                                        .. data:: Y_0 = 0

                                        .. data:: Y_6 = 1

                                        """

                                        Y_0 = 0

                                        Y_6 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.Password.EncryptionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:password'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.encryption is not None:
                                            return True

                                        if self.key is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.Password']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:aggressive-mode'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.client_endpoint is not None and self.client_endpoint._has_data():
                                        return True

                                    if self.password is not None and self.password._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aggressive_mode is not None and self.aggressive_mode._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set']['meta_info']

                        @property
                        def _common_path(self):
                            if self.ipv6 is None:
                                raise YPYModelError('Key property ipv6 is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:peer/Cisco-IOS-XE-crypto:ipv6-addr/Cisco-IOS-XE-crypto:address[Cisco-IOS-XE-crypto:ipv6 = ' + str(self.ipv6) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv6 is not None:
                                return True

                            if self.description is not None:
                                return True

                            if self.set is not None and self.set._has_data():
                                return True

                            if self.vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Peer.Ipv6Addr.Address']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:peer/Cisco-IOS-XE-crypto:ipv6-addr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            for child_ref in self.address:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Peer.Ipv6Addr']['meta_info']


                class Hostname(object):
                    """
                    hostname  define peer policy for hostname
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: description
                    
                    	IKE peer specific description
                    	**type**\:  str
                    
                    	**length:** 1..80
                    
                    .. attribute:: set
                    
                    	set peer policy attributes
                    	**type**\:   :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Hostname.Set>`
                    
                    .. attribute:: vrf
                    
                    	specify front door vrf of the peer
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.description = None
                        self.set = Native.Crypto.Isakmp.Peer.Hostname.Set()
                        self.set.parent = self
                        self.vrf = None


                    class Set(object):
                        """
                        set peer policy attributes
                        
                        .. attribute:: aggressive_mode
                        
                        	aggressive mode attributes
                        	**type**\:   :py:class:`AggressiveMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.aggressive_mode = Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode()
                            self.aggressive_mode.parent = self


                        class AggressiveMode(object):
                            """
                            aggressive mode attributes
                            
                            .. attribute:: client_endpoint
                            
                            	specify a tunnel\-client\-endpoint attribute
                            	**type**\:   :py:class:`ClientEndpoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.ClientEndpoint>`
                            
                            .. attribute:: password
                            
                            	specify a tunnel\-password attribute
                            	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.Password>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.client_endpoint = Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.ClientEndpoint()
                                self.client_endpoint.parent = self
                                self.password = Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.Password()
                                self.password.parent = self


                            class ClientEndpoint(object):
                                """
                                specify a tunnel\-client\-endpoint attribute
                                
                                .. attribute:: fqdn
                                
                                	Use the fqdn as tunnel\-client\-endpoint
                                	**type**\:  str
                                
                                .. attribute:: ipv4_address
                                
                                	Use the IP address as tunnel\-client\-endpoint
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_address
                                
                                	Use the IPv6 address as tunnel\-client\-endpoint
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: user_fqdn
                                
                                	Use the user\-fqdn as tunnel\-client\-endpoint
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.fqdn = None
                                    self.ipv4_address = None
                                    self.ipv6_address = None
                                    self.user_fqdn = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:client-endpoint'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.fqdn is not None:
                                        return True

                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv6_address is not None:
                                        return True

                                    if self.user_fqdn is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.ClientEndpoint']['meta_info']


                            class Password(object):
                                """
                                specify a tunnel\-password attribute
                                
                                .. attribute:: encryption
                                
                                	
                                	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.Password.EncryptionEnum>`
                                
                                .. attribute:: key
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encryption = None
                                    self.key = None

                                class EncryptionEnum(Enum):
                                    """
                                    EncryptionEnum

                                    .. data:: Y_0 = 0

                                    .. data:: Y_6 = 1

                                    """

                                    Y_0 = 0

                                    Y_6 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.Password.EncryptionEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:password'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encryption is not None:
                                        return True

                                    if self.key is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.Password']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:aggressive-mode'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.client_endpoint is not None and self.client_endpoint._has_data():
                                    return True

                                if self.password is not None and self.password._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:set'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.aggressive_mode is not None and self.aggressive_mode._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Peer.Hostname.Set']['meta_info']

                    @property
                    def _common_path(self):
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:peer/Cisco-IOS-XE-crypto:hostname[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.description is not None:
                            return True

                        if self.set is not None and self.set._has_data():
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Peer.Hostname']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.hostname is not None:
                        for child_ref in self.hostname:
                            if child_ref._has_data():
                                return True

                    if self.ipv4_addr is not None and self.ipv4_addr._has_data():
                        return True

                    if self.ipv6_addr is not None and self.ipv6_addr._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Isakmp.Peer']['meta_info']


            class Policy(object):
                """
                Set policy for an ISAKMP protection suite
                
                .. attribute:: number  <key>
                
                	
                	**type**\:  int
                
                	**range:** 1..10000
                
                .. attribute:: authentication
                
                	Set authentication method for protection suite
                	**type**\:   :py:class:`AuthenticationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.AuthenticationEnum>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Default>`
                
                .. attribute:: encryption
                
                	Set encryption algorithm for protection suite
                	**type**\:   :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Encryption>`
                
                .. attribute:: group
                
                	Set the Diffie\-Hellman group
                	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.GroupEnum>`
                
                .. attribute:: hash
                
                	Set hash algorithm for protection suite
                	**type**\:   :py:class:`HashEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.HashEnum>`
                
                .. attribute:: lifetime
                
                	Set lifetime for ISAKMP security association
                	**type**\:  int
                
                	**range:** 60..86400
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.authentication = None
                    self.default = Native.Crypto.Isakmp.Policy.Default()
                    self.default.parent = self
                    self.encryption = Native.Crypto.Isakmp.Policy.Encryption()
                    self.encryption.parent = self
                    self.group = None
                    self.hash = None
                    self.lifetime = None

                class AuthenticationEnum(Enum):
                    """
                    AuthenticationEnum

                    Set authentication method for protection suite

                    .. data:: pre_share = 0

                    .. data:: rsa_encr = 1

                    .. data:: rsa_sig = 2

                    """

                    pre_share = 0

                    rsa_encr = 1

                    rsa_sig = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Policy.AuthenticationEnum']


                class GroupEnum(Enum):
                    """
                    GroupEnum

                    Set the Diffie\-Hellman group

                    .. data:: Y_1 = 0

                    .. data:: Y_14 = 1

                    .. data:: Y_15 = 2

                    .. data:: Y_16 = 3

                    .. data:: Y_19 = 4

                    .. data:: Y_2 = 5

                    .. data:: Y_20 = 6

                    .. data:: Y_21 = 7

                    .. data:: Y_24 = 8

                    .. data:: Y_5 = 9

                    """

                    Y_1 = 0

                    Y_14 = 1

                    Y_15 = 2

                    Y_16 = 3

                    Y_19 = 4

                    Y_2 = 5

                    Y_20 = 6

                    Y_21 = 7

                    Y_24 = 8

                    Y_5 = 9


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Policy.GroupEnum']


                class HashEnum(Enum):
                    """
                    HashEnum

                    Set hash algorithm for protection suite

                    .. data:: md5 = 0

                    .. data:: sha = 1

                    .. data:: sha256 = 2

                    .. data:: sha384 = 3

                    .. data:: sha512 = 4

                    """

                    md5 = 0

                    sha = 1

                    sha256 = 2

                    sha384 = 3

                    sha512 = 4


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Policy.HashEnum']



                class Default(object):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: authentication
                    
                    	Set authentication method for protection suite
                    	**type**\:   :py:class:`AuthenticationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Default.AuthenticationEnum>`
                    
                    .. attribute:: encryption
                    
                    	Set encryption algorithm for protection suite
                    	**type**\:   :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Default.Encryption>`
                    
                    .. attribute:: group
                    
                    	Set the Diffie\-Hellman group
                    	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Default.GroupEnum>`
                    
                    .. attribute:: hash
                    
                    	Set hash algorithm for protection suite
                    	**type**\:   :py:class:`HashEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Default.HashEnum>`
                    
                    .. attribute:: lifetime
                    
                    	Set lifetime for ISAKMP security association
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authentication = None
                        self.encryption = Native.Crypto.Isakmp.Policy.Default.Encryption()
                        self.encryption.parent = self
                        self.group = None
                        self.hash = None
                        self.lifetime = None

                    class AuthenticationEnum(Enum):
                        """
                        AuthenticationEnum

                        Set authentication method for protection suite

                        .. data:: pre_share = 0

                        .. data:: rsa_encr = 1

                        .. data:: rsa_sig = 2

                        """

                        pre_share = 0

                        rsa_encr = 1

                        rsa_sig = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Policy.Default.AuthenticationEnum']


                    class GroupEnum(Enum):
                        """
                        GroupEnum

                        Set the Diffie\-Hellman group

                        .. data:: Y_1 = 0

                        .. data:: Y_14 = 1

                        .. data:: Y_15 = 2

                        .. data:: Y_16 = 3

                        .. data:: Y_19 = 4

                        .. data:: Y_2 = 5

                        .. data:: Y_20 = 6

                        .. data:: Y_21 = 7

                        .. data:: Y_24 = 8

                        .. data:: Y_5 = 9

                        """

                        Y_1 = 0

                        Y_14 = 1

                        Y_15 = 2

                        Y_16 = 3

                        Y_19 = 4

                        Y_2 = 5

                        Y_20 = 6

                        Y_21 = 7

                        Y_24 = 8

                        Y_5 = 9


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Policy.Default.GroupEnum']


                    class HashEnum(Enum):
                        """
                        HashEnum

                        Set hash algorithm for protection suite

                        .. data:: md5 = 0

                        .. data:: sha = 1

                        .. data:: sha256 = 2

                        .. data:: sha384 = 3

                        .. data:: sha512 = 4

                        """

                        md5 = 0

                        sha = 1

                        sha256 = 2

                        sha384 = 3

                        sha512 = 4


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Policy.Default.HashEnum']



                    class Encryption(object):
                        """
                        Set encryption algorithm for protection suite
                        
                        .. attribute:: a3des
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: aes
                        
                        	AES \- Advanced Encryption Standard
                        	**type**\:   :py:class:`Aes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Default.Encryption.Aes>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: des
                        
                        	DES \- Data Encryption Standard (56 bit keys)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.a3des = None
                            self.aes = None
                            self.des = None


                        class Aes(object):
                            """
                            AES \- Advanced Encryption Standard.
                            
                            .. attribute:: key
                            
                            	
                            	**type**\:   :py:class:`KeyEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Default.Encryption.Aes.KeyEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.key = None

                            class KeyEnum(Enum):
                                """
                                KeyEnum

                                .. data:: Y_128 = 0

                                .. data:: Y_192 = 1

                                .. data:: Y_256 = 2

                                """

                                Y_128 = 0

                                Y_192 = 1

                                Y_256 = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Isakmp.Policy.Default.Encryption.Aes.KeyEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:aes'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.key is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Policy.Default.Encryption.Aes']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:encryption'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.a3des is not None:
                                return True

                            if self.aes is not None and self.aes._has_data():
                                return True

                            if self.des is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Policy.Default.Encryption']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authentication is not None:
                            return True

                        if self.encryption is not None and self.encryption._has_data():
                            return True

                        if self.group is not None:
                            return True

                        if self.hash is not None:
                            return True

                        if self.lifetime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Policy.Default']['meta_info']


                class Encryption(object):
                    """
                    Set encryption algorithm for protection suite
                    
                    .. attribute:: a3des
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: aes
                    
                    	AES \- Advanced Encryption Standard
                    	**type**\:   :py:class:`Aes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Encryption.Aes>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: des
                    
                    	DES \- Data Encryption Standard (56 bit keys)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.a3des = None
                        self.aes = None
                        self.des = None


                    class Aes(object):
                        """
                        AES \- Advanced Encryption Standard.
                        
                        .. attribute:: key
                        
                        	
                        	**type**\:   :py:class:`KeyEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Encryption.Aes.KeyEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.key = None

                        class KeyEnum(Enum):
                            """
                            KeyEnum

                            .. data:: Y_128 = 0

                            .. data:: Y_192 = 1

                            .. data:: Y_256 = 2

                            """

                            Y_128 = 0

                            Y_192 = 1

                            Y_256 = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Policy.Encryption.Aes.KeyEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:aes'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.key is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Policy.Encryption.Aes']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:encryption'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.a3des is not None:
                            return True

                        if self.aes is not None and self.aes._has_data():
                            return True

                        if self.des is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Policy.Encryption']['meta_info']

                @property
                def _common_path(self):
                    if self.number is None:
                        raise YPYModelError('Key property number is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:policy[Cisco-IOS-XE-crypto:number = ' + str(self.number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.authentication is not None:
                        return True

                    if self.default is not None and self.default._has_data():
                        return True

                    if self.encryption is not None and self.encryption._has_data():
                        return True

                    if self.group is not None:
                        return True

                    if self.hash is not None:
                        return True

                    if self.lifetime is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Isakmp.Policy']['meta_info']


            class Profile(object):
                """
                Define ISAKMP Profiles
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: accounting
                
                	Enable AAA Accounting for IPSec Sessions
                	**type**\:  str
                
                .. attribute:: ca
                
                	Specify certificate authorities to trust
                	**type**\:   :py:class:`Ca <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Ca>`
                
                .. attribute:: client
                
                	Specify client configuration settings
                	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Client>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default>`
                
                .. attribute:: description
                
                	Specify a description of this profile
                	**type**\:  str
                
                .. attribute:: initiate
                
                	Initiator property
                	**type**\:   :py:class:`Initiate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Initiate>`
                
                .. attribute:: isakmp
                
                	ISAKMP Authorization command
                	**type**\:   :py:class:`Isakmp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Isakmp_>`
                
                .. attribute:: keepalive
                
                	Set a keepalive interval for use with IOS peers
                	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Keepalive>`
                
                .. attribute:: keyring
                
                	Specify keyring to use
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:   :py:class:`KeyringEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.KeyringEnum>`
                
                
                ----
                .. attribute:: local_address
                
                	Interface to use for local address for this isakmp profile
                	**type**\:  str
                
                .. attribute:: match
                
                	Match values of peer
                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Match>`
                
                .. attribute:: qos_group
                
                	Apply a Qos policy class map for this profile
                	**type**\:  int
                
                	**range:** 1..1023
                
                .. attribute:: self_identity
                
                	Specify Identity to use
                	**type**\:   :py:class:`SelfIdentity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.SelfIdentity>`
                
                .. attribute:: virtual_template
                
                	Specify the virtual\-template for dynamic interface creation
                	**type**\:  int
                
                	**range:** 1..4095
                
                .. attribute:: vrf
                
                	Specify the VRF it is related to
                	**type**\:  str
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.accounting = None
                    self.ca = Native.Crypto.Isakmp.Profile.Ca()
                    self.ca.parent = self
                    self.client = Native.Crypto.Isakmp.Profile.Client()
                    self.client.parent = self
                    self.default = Native.Crypto.Isakmp.Profile.Default()
                    self.default.parent = self
                    self.description = None
                    self.initiate = Native.Crypto.Isakmp.Profile.Initiate()
                    self.initiate.parent = self
                    self.isakmp = Native.Crypto.Isakmp.Profile.Isakmp_()
                    self.isakmp.parent = self
                    self.keepalive = Native.Crypto.Isakmp.Profile.Keepalive()
                    self.keepalive.parent = self
                    self.keyring = None
                    self.local_address = None
                    self.match = Native.Crypto.Isakmp.Profile.Match()
                    self.match.parent = self
                    self.qos_group = None
                    self.self_identity = Native.Crypto.Isakmp.Profile.SelfIdentity()
                    self.self_identity.parent = self
                    self.virtual_template = None
                    self.vrf = None

                class KeyringEnum(Enum):
                    """
                    KeyringEnum

                    Specify keyring to use

                    .. data:: default = 0

                    """

                    default = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Profile.KeyringEnum']



                class Default(object):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: accounting
                    
                    	Enable AAA Accounting for IPSec Sessions
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ca
                    
                    	Specify certificate authorities to trust
                    	**type**\:   :py:class:`Ca <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Ca>`
                    
                    .. attribute:: client
                    
                    	Specify client configuration settings
                    	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Client>`
                    
                    .. attribute:: description
                    
                    	Specify a description of this profile
                    	**type**\:  str
                    
                    .. attribute:: initiate
                    
                    	Initiator property
                    	**type**\:   :py:class:`Initiate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Initiate>`
                    
                    .. attribute:: isakmp
                    
                    	ISAKMP Authorization command
                    	**type**\:   :py:class:`Isakmp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Isakmp_>`
                    
                    .. attribute:: keepalive
                    
                    	Set a keepalive interval for use with IOS peers
                    	**type**\:   :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Keepalive>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: keyring
                    
                    	Specify keyring to use
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`KeyringEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.KeyringEnum>`
                    
                    
                    ----
                    .. attribute:: local_address
                    
                    	Interface to use for local address for this isakmp profile
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: match
                    
                    	Match values of peer
                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Match>`
                    
                    .. attribute:: qos_group
                    
                    	Apply a Qos policy class map for this profile
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: self_identity
                    
                    	Specify Identity to use
                    	**type**\:   :py:class:`SelfIdentity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.SelfIdentity>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: virtual_template
                    
                    	Specify the virtual\-template for dynamic interface creation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	Specify the VRF it is related to
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.accounting = None
                        self.ca = Native.Crypto.Isakmp.Profile.Default.Ca()
                        self.ca.parent = self
                        self.client = Native.Crypto.Isakmp.Profile.Default.Client()
                        self.client.parent = self
                        self.description = None
                        self.initiate = Native.Crypto.Isakmp.Profile.Default.Initiate()
                        self.initiate.parent = self
                        self.isakmp = Native.Crypto.Isakmp.Profile.Default.Isakmp_()
                        self.isakmp.parent = self
                        self.keepalive = None
                        self.keyring = None
                        self.local_address = None
                        self.match = Native.Crypto.Isakmp.Profile.Default.Match()
                        self.match.parent = self
                        self.qos_group = None
                        self.self_identity = None
                        self.virtual_template = None
                        self.vrf = None

                    class KeyringEnum(Enum):
                        """
                        KeyringEnum

                        Specify keyring to use

                        .. data:: default = 0

                        """

                        default = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.KeyringEnum']



                    class Ca(object):
                        """
                        Specify certificate authorities to trust
                        
                        .. attribute:: trust_point
                        
                        	Cert authority trustpoint for RSA sig
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.trust_point = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:ca'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.trust_point is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Ca']['meta_info']


                    class Client(object):
                        """
                        Specify client configuration settings
                        
                        .. attribute:: authentication
                        
                        	Use Extended Authentication
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Client.Authentication>`
                        
                        .. attribute:: configuration
                        
                        	Specify client configuration settings
                        	**type**\:   :py:class:`Configuration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Client.Configuration>`
                        
                        .. attribute:: pki
                        
                        	Use username in the crypto certificate for authorization
                        	**type**\:   :py:class:`Pki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Client.Pki>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.authentication = Native.Crypto.Isakmp.Profile.Default.Client.Authentication()
                            self.authentication.parent = self
                            self.configuration = Native.Crypto.Isakmp.Profile.Default.Client.Configuration()
                            self.configuration.parent = self
                            self.pki = Native.Crypto.Isakmp.Profile.Default.Client.Pki()
                            self.pki.parent = self


                        class Authentication(object):
                            """
                            Use Extended Authentication
                            
                            .. attribute:: list
                            
                            	AAA authentication list to use
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.list = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.list is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Client.Authentication']['meta_info']


                        class Configuration(object):
                            """
                            Specify client configuration settings
                            
                            .. attribute:: address
                            
                            	Specify client network address configuration
                            	**type**\:   :py:class:`AddressEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Client.Configuration.AddressEnum>`
                            
                            .. attribute:: group
                            
                            	Specify group profile attributes for client
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.group = None

                            class AddressEnum(Enum):
                                """
                                AddressEnum

                                Specify client network address configuration

                                .. data:: initiate = 0

                                .. data:: respond = 1

                                """

                                initiate = 0

                                respond = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Client.Configuration.AddressEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:configuration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.group is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Client.Configuration']['meta_info']


                        class Pki(object):
                            """
                            Use username in the crypto certificate for authorization
                            
                            .. attribute:: authorization
                            
                            	User authorization parameters
                            	**type**\:   :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Client.Pki.Authorization>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authorization = None


                            class Authorization(object):
                                """
                                User authorization parameters
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:authorization'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Client.Pki.Authorization']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:pki'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authorization is not None and self.authorization._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Client.Pki']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:client'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.configuration is not None and self.configuration._has_data():
                                return True

                            if self.pki is not None and self.pki._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Client']['meta_info']


                    class Initiate(object):
                        """
                        Initiator property
                        
                        .. attribute:: mode
                        
                        	Phase 1 negotiation mode to use
                        	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Initiate.Mode>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.mode = None


                        class Mode(object):
                            """
                            Phase 1 negotiation mode to use
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:mode'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Initiate.Mode']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:initiate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.mode is not None and self.mode._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Initiate']['meta_info']


                    class Isakmp_(object):
                        """
                        ISAKMP Authorization command
                        
                        .. attribute:: authorization
                        
                        	Authorization parameters
                        	**type**\:   :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Isakmp_.Authorization>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.authorization = Native.Crypto.Isakmp.Profile.Default.Isakmp_.Authorization()
                            self.authorization.parent = self


                        class Authorization(object):
                            """
                            Authorization parameters.
                            
                            .. attribute:: list
                            
                            	AAA authorization list to use
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.list = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:authorization'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.list is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Isakmp_.Authorization']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:isakmp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.authorization is not None and self.authorization._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Isakmp_']['meta_info']


                    class Keepalive(object):
                        """
                        Set a keepalive interval for use with IOS peers
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:keepalive'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Keepalive']['meta_info']


                    class Match(object):
                        """
                        Match values of peer
                        
                        .. attribute:: certificate
                        
                        	Peer certificate attributes
                        	**type**\:  str
                        
                        .. attribute:: identity
                        
                        	Peer identity
                        	**type**\:   :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Match.Identity>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.certificate = None
                            self.identity = Native.Crypto.Isakmp.Profile.Default.Match.Identity()
                            self.identity.parent = self


                        class Identity(object):
                            """
                            Peer identity
                            
                            .. attribute:: address
                            
                            	IP Address(es)
                            	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Match.Identity.Address>`
                            
                            .. attribute:: group
                            
                            	Group name
                            	**type**\:  str
                            
                            .. attribute:: host
                            
                            	match a hostname/domain
                            	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host>`
                            
                            .. attribute:: ipv4_address
                            
                            	
                            	**type**\:   :py:class:`Ipv4Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Match.Identity.Ipv4Address>`
                            
                            .. attribute:: user_fqdn
                            
                            	match a hostname/domain
                            	**type**\:   :py:class:`UserFqdn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = Native.Crypto.Isakmp.Profile.Default.Match.Identity.Address()
                                self.address.parent = self
                                self.group = None
                                self.host = Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host()
                                self.host.parent = self
                                self.ipv4_address = Native.Crypto.Isakmp.Profile.Default.Match.Identity.Ipv4Address()
                                self.ipv4_address.parent = self
                                self.user_fqdn = Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn()
                                self.user_fqdn.parent = self


                            class Ipv4Address(object):
                                """
                                
                                
                                .. attribute:: address
                                
                                	IP Address(es)
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: mask
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: vrf
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None
                                    self.mask = None
                                    self.vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:ipv4-address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None:
                                        return True

                                    if self.mask is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity.Ipv4Address']['meta_info']


                            class Address(object):
                                """
                                IP Address(es)
                                
                                .. attribute:: ipv6
                                
                                	IPv6 Address(es)
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: vrf
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv6 = None
                                    self.vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv6 is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity.Address']['meta_info']


                            class Host(object):
                                """
                                match a hostname/domain
                                
                                .. attribute:: domain_match
                                
                                	
                                	**type**\:   :py:class:`DomainMatch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainMatch>`
                                
                                .. attribute:: domain_name
                                
                                	
                                	**type**\:   :py:class:`DomainName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainName>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.domain_match = Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainMatch()
                                    self.domain_match.parent = self
                                    self.domain_name = Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainName()
                                    self.domain_name.parent = self


                                class DomainName(object):
                                    """
                                    
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.vrf = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:domain-name'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.vrf is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainName']['meta_info']


                                class DomainMatch(object):
                                    """
                                    
                                    
                                    .. attribute:: domain
                                    
                                    	match domain instead of exact
                                    	**type**\:  str
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.domain = None
                                        self.vrf = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:domain-match'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.domain is not None:
                                            return True

                                        if self.vrf is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainMatch']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:host'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.domain_match is not None and self.domain_match._has_data():
                                        return True

                                    if self.domain_name is not None and self.domain_name._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host']['meta_info']


                            class UserFqdn(object):
                                """
                                match a hostname/domain
                                
                                .. attribute:: domain_match
                                
                                	
                                	**type**\:   :py:class:`DomainMatch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainMatch>`
                                
                                .. attribute:: domain_name
                                
                                	
                                	**type**\:   :py:class:`DomainName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainName>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.domain_match = Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainMatch()
                                    self.domain_match.parent = self
                                    self.domain_name = Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainName()
                                    self.domain_name.parent = self


                                class DomainName(object):
                                    """
                                    
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.vrf = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:domain-name'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.vrf is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainName']['meta_info']


                                class DomainMatch(object):
                                    """
                                    
                                    
                                    .. attribute:: domain
                                    
                                    	match domain instead of exact
                                    	**type**\:  str
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.domain = None
                                        self.vrf = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:domain-match'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.domain is not None:
                                            return True

                                        if self.vrf is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainMatch']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:user-fqdn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.domain_match is not None and self.domain_match._has_data():
                                        return True

                                    if self.domain_name is not None and self.domain_name._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:identity'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None and self.address._has_data():
                                    return True

                                if self.group is not None:
                                    return True

                                if self.host is not None and self.host._has_data():
                                    return True

                                if self.ipv4_address is not None and self.ipv4_address._has_data():
                                    return True

                                if self.user_fqdn is not None and self.user_fqdn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Match.Identity']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:match'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.certificate is not None:
                                return True

                            if self.identity is not None and self.identity._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.Match']['meta_info']


                    class SelfIdentity(object):
                        """
                        Specify Identity to use
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:self-identity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Profile.Default.SelfIdentity']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.accounting is not None:
                            return True

                        if self.ca is not None and self.ca._has_data():
                            return True

                        if self.client is not None and self.client._has_data():
                            return True

                        if self.description is not None:
                            return True

                        if self.initiate is not None and self.initiate._has_data():
                            return True

                        if self.isakmp is not None and self.isakmp._has_data():
                            return True

                        if self.keepalive is not None and self.keepalive._has_data():
                            return True

                        if self.keyring is not None:
                            return True

                        if self.local_address is not None:
                            return True

                        if self.match is not None and self.match._has_data():
                            return True

                        if self.qos_group is not None:
                            return True

                        if self.self_identity is not None and self.self_identity._has_data():
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Profile.Default']['meta_info']


                class Ca(object):
                    """
                    Specify certificate authorities to trust
                    
                    .. attribute:: trust_point
                    
                    	Cert authority trustpoint for RSA sig
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.trust_point = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:ca'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.trust_point is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Profile.Ca']['meta_info']


                class Client(object):
                    """
                    Specify client configuration settings
                    
                    .. attribute:: authentication
                    
                    	Use Extended Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Client.Authentication>`
                    
                    .. attribute:: configuration
                    
                    	Specify client configuration settings
                    	**type**\:   :py:class:`Configuration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Client.Configuration>`
                    
                    .. attribute:: pki
                    
                    	Use username in the crypto certificate for authorization
                    	**type**\:   :py:class:`Pki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Client.Pki>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authentication = Native.Crypto.Isakmp.Profile.Client.Authentication()
                        self.authentication.parent = self
                        self.configuration = Native.Crypto.Isakmp.Profile.Client.Configuration()
                        self.configuration.parent = self
                        self.pki = Native.Crypto.Isakmp.Profile.Client.Pki()
                        self.pki.parent = self


                    class Authentication(object):
                        """
                        Use Extended Authentication
                        
                        .. attribute:: list
                        
                        	AAA authentication list to use
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.list = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Profile.Client.Authentication']['meta_info']


                    class Configuration(object):
                        """
                        Specify client configuration settings
                        
                        .. attribute:: address
                        
                        	Specify client network address configuration
                        	**type**\:   :py:class:`AddressEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Client.Configuration.AddressEnum>`
                        
                        .. attribute:: group
                        
                        	Specify group profile attributes for client
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.group = None

                        class AddressEnum(Enum):
                            """
                            AddressEnum

                            Specify client network address configuration

                            .. data:: initiate = 0

                            .. data:: respond = 1

                            """

                            initiate = 0

                            respond = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Profile.Client.Configuration.AddressEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:configuration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.group is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Profile.Client.Configuration']['meta_info']


                    class Pki(object):
                        """
                        Use username in the crypto certificate for authorization
                        
                        .. attribute:: authorization
                        
                        	User authorization parameters
                        	**type**\:   :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Client.Pki.Authorization>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.authorization = Native.Crypto.Isakmp.Profile.Client.Pki.Authorization()
                            self.authorization.parent = self


                        class Authorization(object):
                            """
                            User authorization parameters
                            
                            .. attribute:: list
                            
                            	AAA user authorization list
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.list = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:authorization'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.list is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Profile.Client.Pki.Authorization']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:pki'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.authorization is not None and self.authorization._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Profile.Client.Pki']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:client'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.configuration is not None and self.configuration._has_data():
                            return True

                        if self.pki is not None and self.pki._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Profile.Client']['meta_info']


                class Initiate(object):
                    """
                    Initiator property
                    
                    .. attribute:: mode
                    
                    	Phase 1 negotiation mode to use
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Initiate.Mode>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.mode = None


                    class Mode(object):
                        """
                        Phase 1 negotiation mode to use
                        
                        .. attribute:: aggressive
                        
                        	Start agressive mode negotiation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.aggressive = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.aggressive is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Profile.Initiate.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:initiate'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Profile.Initiate']['meta_info']


                class Isakmp_(object):
                    """
                    ISAKMP Authorization command
                    
                    .. attribute:: authorization
                    
                    	Authorization parameters
                    	**type**\:   :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Isakmp_.Authorization>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authorization = Native.Crypto.Isakmp.Profile.Isakmp_.Authorization()
                        self.authorization.parent = self


                    class Authorization(object):
                        """
                        Authorization parameters.
                        
                        .. attribute:: list
                        
                        	AAA authorization list to use
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.list = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:authorization'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Profile.Isakmp_.Authorization']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:isakmp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authorization is not None and self.authorization._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Profile.Isakmp_']['meta_info']


                class Keepalive(object):
                    """
                    Set a keepalive interval for use with IOS peers
                    
                    .. attribute:: number
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 10..3600
                    
                    .. attribute:: retry
                    
                    	Retry interval if keepalive fails
                    	**type**\:  int
                    
                    	**range:** 2..60
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.number = None
                        self.retry = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:keepalive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.number is not None:
                            return True

                        if self.retry is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Profile.Keepalive']['meta_info']


                class Match(object):
                    """
                    Match values of peer
                    
                    .. attribute:: certificate
                    
                    	Peer certificate attributes
                    	**type**\:  str
                    
                    .. attribute:: identity
                    
                    	Peer identity
                    	**type**\:   :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Match.Identity>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.certificate = None
                        self.identity = Native.Crypto.Isakmp.Profile.Match.Identity()
                        self.identity.parent = self


                    class Identity(object):
                        """
                        Peer identity
                        
                        .. attribute:: address
                        
                        	IP Address(es)
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Match.Identity.Address>`
                        
                        .. attribute:: group
                        
                        	Group name
                        	**type**\:  str
                        
                        .. attribute:: host
                        
                        	match a hostname/domain
                        	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Match.Identity.Host>`
                        
                        .. attribute:: ipv4_address
                        
                        	
                        	**type**\:   :py:class:`Ipv4Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Match.Identity.Ipv4Address>`
                        
                        .. attribute:: user_fqdn
                        
                        	match a hostname/domain
                        	**type**\:   :py:class:`UserFqdn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Crypto.Isakmp.Profile.Match.Identity.Address()
                            self.address.parent = self
                            self.group = None
                            self.host = Native.Crypto.Isakmp.Profile.Match.Identity.Host()
                            self.host.parent = self
                            self.ipv4_address = Native.Crypto.Isakmp.Profile.Match.Identity.Ipv4Address()
                            self.ipv4_address.parent = self
                            self.user_fqdn = Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn()
                            self.user_fqdn.parent = self


                        class Ipv4Address(object):
                            """
                            
                            
                            .. attribute:: address
                            
                            	IP Address(es)
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vrf
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.mask = None
                                self.vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:ipv4-address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                if self.vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Profile.Match.Identity.Ipv4Address']['meta_info']


                        class Address(object):
                            """
                            IP Address(es)
                            
                            .. attribute:: ipv6
                            
                            	IPv6 Address(es)
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: vrf
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv6 = None
                                self.vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv6 is not None:
                                    return True

                                if self.vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Profile.Match.Identity.Address']['meta_info']


                        class Host(object):
                            """
                            match a hostname/domain
                            
                            .. attribute:: domain_match
                            
                            	
                            	**type**\:   :py:class:`DomainMatch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainMatch>`
                            
                            .. attribute:: domain_name
                            
                            	
                            	**type**\:   :py:class:`DomainName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainName>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.domain_match = Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainMatch()
                                self.domain_match.parent = self
                                self.domain_name = Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainName()
                                self.domain_name.parent = self


                            class DomainName(object):
                                """
                                
                                
                                .. attribute:: name
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vrf
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:domain-name'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainName']['meta_info']


                            class DomainMatch(object):
                                """
                                
                                
                                .. attribute:: domain
                                
                                	match domain instead of exact
                                	**type**\:  str
                                
                                .. attribute:: vrf
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.domain = None
                                    self.vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:domain-match'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.domain is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainMatch']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:host'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.domain_match is not None and self.domain_match._has_data():
                                    return True

                                if self.domain_name is not None and self.domain_name._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Profile.Match.Identity.Host']['meta_info']


                        class UserFqdn(object):
                            """
                            match a hostname/domain
                            
                            .. attribute:: domain_match
                            
                            	
                            	**type**\:   :py:class:`DomainMatch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainMatch>`
                            
                            .. attribute:: domain_name
                            
                            	
                            	**type**\:   :py:class:`DomainName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainName>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.domain_match = Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainMatch()
                                self.domain_match.parent = self
                                self.domain_name = Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainName()
                                self.domain_name.parent = self


                            class DomainName(object):
                                """
                                
                                
                                .. attribute:: name
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vrf
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:domain-name'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainName']['meta_info']


                            class DomainMatch(object):
                                """
                                
                                
                                .. attribute:: domain
                                
                                	match domain instead of exact
                                	**type**\:  str
                                
                                .. attribute:: vrf
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.domain = None
                                    self.vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:domain-match'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.domain is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainMatch']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:user-fqdn'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.domain_match is not None and self.domain_match._has_data():
                                    return True

                                if self.domain_name is not None and self.domain_name._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:identity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            if self.group is not None:
                                return True

                            if self.host is not None and self.host._has_data():
                                return True

                            if self.ipv4_address is not None and self.ipv4_address._has_data():
                                return True

                            if self.user_fqdn is not None and self.user_fqdn._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Profile.Match.Identity']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:match'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.certificate is not None:
                            return True

                        if self.identity is not None and self.identity._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Profile.Match']['meta_info']


                class SelfIdentity(object):
                    """
                    Specify Identity to use
                    
                    .. attribute:: address
                    
                    	Use IPv4 address
                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.SelfIdentity.Address>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: fqdn
                    
                    	Use FQDN
                    	**type**\:   :py:class:`Fqdn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.SelfIdentity.Fqdn>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: user_fqdn
                    
                    	Use user FQDN
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.fqdn = None
                        self.user_fqdn = None


                    class Address(object):
                        """
                        Use IPv4 address
                        
                        .. attribute:: ipv6
                        
                        	Use IPv6 address
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ipv6 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ipv6 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Profile.SelfIdentity.Address']['meta_info']


                    class Fqdn(object):
                        """
                        Use FQDN
                        
                        .. attribute:: id
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:fqdn'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Isakmp.Profile.SelfIdentity.Fqdn']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:self-identity'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None and self.address._has_data():
                            return True

                        if self.fqdn is not None and self.fqdn._has_data():
                            return True

                        if self.user_fqdn is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Isakmp.Profile.SelfIdentity']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:profile[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.accounting is not None:
                        return True

                    if self.ca is not None and self.ca._has_data():
                        return True

                    if self.client is not None and self.client._has_data():
                        return True

                    if self.default is not None and self.default._has_data():
                        return True

                    if self.description is not None:
                        return True

                    if self.initiate is not None and self.initiate._has_data():
                        return True

                    if self.isakmp is not None and self.isakmp._has_data():
                        return True

                    if self.keepalive is not None and self.keepalive._has_data():
                        return True

                    if self.keyring is not None:
                        return True

                    if self.local_address is not None:
                        return True

                    if self.match is not None and self.match._has_data():
                        return True

                    if self.qos_group is not None:
                        return True

                    if self.self_identity is not None and self.self_identity._has_data():
                        return True

                    if self.virtual_template is not None:
                        return True

                    if self.vrf is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Isakmp.Profile']['meta_info']


            class Xauth(object):
                """
                Set Extended Authentication values
                
                .. attribute:: timeout
                
                	Set Extended Authentication timeout
                	**type**\:  int
                
                	**range:** 5..90
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timeout = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp/Cisco-IOS-XE-crypto:xauth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timeout is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Isakmp.Xauth']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:isakmp'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.aggressive_mode is not None:
                    return True

                if self.client is not None and self.client._has_data():
                    return True

                if self.default is not None and self.default._has_data():
                    return True

                if self.disconnect_revoked_peers is not None:
                    return True

                if self.enable is not None:
                    return True

                if self.fragmentation is not None:
                    return True

                if self.identity is not None:
                    return True

                if self.invalid_spi_recovery is not None:
                    return True

                if self.keepalive is not None and self.keepalive._has_data():
                    return True

                if self.key is not None and self.key._has_data():
                    return True

                if self.nat is not None and self.nat._has_data():
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.policy is not None:
                    for child_ref in self.policy:
                        if child_ref._has_data():
                            return True

                if self.profile is not None:
                    for child_ref in self.profile:
                        if child_ref._has_data():
                            return True

                if self.xauth is not None and self.xauth._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Crypto.Isakmp']['meta_info']


        class Key(object):
            """
            Long term key operations
            
            .. attribute:: decrypt
            
            	Decrypt a keypair
            	**type**\:   :py:class:`Decrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Decrypt>`
            
            .. attribute:: encrypt
            
            	Encrypt a keypair
            	**type**\:   :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Encrypt>`
            
            .. attribute:: export
            
            	Export keys
            	**type**\:   :py:class:`Export <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export>`
            
            .. attribute:: generate
            
            	Generate new keys
            	**type**\:   :py:class:`Generate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Generate>`
            
            .. attribute:: import_
            
            	Import keys
            	**type**\:   :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Import_>`
            
            .. attribute:: move
            
            	Move keys
            	**type**\:   :py:class:`Move <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Move>`
            
            .. attribute:: pubkey_chain
            
            	Peer public key chain management
            	**type**\:   :py:class:`PubkeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain>`
            
            .. attribute:: storage
            
            	default storage location for keypairs
            	**type**\:  str
            
            .. attribute:: zeroize
            
            	Remove keys
            	**type**\:   :py:class:`Zeroize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Zeroize>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.decrypt = Native.Crypto.Key.Decrypt()
                self.decrypt.parent = self
                self.encrypt = Native.Crypto.Key.Encrypt()
                self.encrypt.parent = self
                self.export = Native.Crypto.Key.Export()
                self.export.parent = self
                self.generate = Native.Crypto.Key.Generate()
                self.generate.parent = self
                self.import_ = Native.Crypto.Key.Import_()
                self.import_.parent = self
                self.move = Native.Crypto.Key.Move()
                self.move.parent = self
                self.pubkey_chain = Native.Crypto.Key.PubkeyChain()
                self.pubkey_chain.parent = self
                self.storage = None
                self.zeroize = Native.Crypto.Key.Zeroize()
                self.zeroize.parent = self


            class Decrypt(object):
                """
                Decrypt a keypair.
                
                .. attribute:: ec
                
                	EC keys
                	**type**\:   :py:class:`Ec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Decrypt.Ec>`
                
                	**presence node**\: True
                
                .. attribute:: rsa
                
                	RSA keys
                	**type**\:   :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Decrypt.Rsa>`
                
                	**presence node**\: True
                
                .. attribute:: write
                
                	Will write the configuration to startup\-config
                	**type**\:   :py:class:`Write <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Decrypt.Write>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ec = None
                    self.rsa = None
                    self.write = Native.Crypto.Key.Decrypt.Write()
                    self.write.parent = self


                class Ec(object):
                    """
                    EC keys
                    
                    .. attribute:: name
                    
                    	Name of keypair to decrypt
                    	**type**\:  str
                    
                    .. attribute:: passphrase
                    
                    	decryption key
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.name = None
                        self.passphrase = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:decrypt/Cisco-IOS-XE-crypto:ec'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.name is not None:
                            return True

                        if self.passphrase is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Key.Decrypt.Ec']['meta_info']


                class Rsa(object):
                    """
                    RSA keys
                    
                    .. attribute:: name
                    
                    	Name of keypair to decrypt
                    	**type**\:  str
                    
                    .. attribute:: passphrase
                    
                    	decryption key
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.name = None
                        self.passphrase = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:decrypt/Cisco-IOS-XE-crypto:rsa'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.name is not None:
                            return True

                        if self.passphrase is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Key.Decrypt.Rsa']['meta_info']


                class Write(object):
                    """
                    Will write the configuration to startup\-config.
                    
                    .. attribute:: ec
                    
                    	EC keys
                    	**type**\:   :py:class:`Ec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Decrypt.Write.Ec>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: rsa
                    
                    	RSA keys
                    	**type**\:   :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Decrypt.Write.Rsa>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ec = None
                        self.rsa = None


                    class Ec(object):
                        """
                        EC keys
                        
                        .. attribute:: name
                        
                        	Name of keypair to decrypt
                        	**type**\:  str
                        
                        .. attribute:: passphrase
                        
                        	decryption key
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.name = None
                            self.passphrase = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:decrypt/Cisco-IOS-XE-crypto:write/Cisco-IOS-XE-crypto:ec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.name is not None:
                                return True

                            if self.passphrase is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Key.Decrypt.Write.Ec']['meta_info']


                    class Rsa(object):
                        """
                        RSA keys
                        
                        .. attribute:: name
                        
                        	Name of keypair to decrypt
                        	**type**\:  str
                        
                        .. attribute:: passphrase
                        
                        	decryption key
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.name = None
                            self.passphrase = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:decrypt/Cisco-IOS-XE-crypto:write/Cisco-IOS-XE-crypto:rsa'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.name is not None:
                                return True

                            if self.passphrase is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Key.Decrypt.Write.Rsa']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:decrypt/Cisco-IOS-XE-crypto:write'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ec is not None and self.ec._has_data():
                            return True

                        if self.rsa is not None and self.rsa._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Key.Decrypt.Write']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:decrypt'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ec is not None and self.ec._has_data():
                        return True

                    if self.rsa is not None and self.rsa._has_data():
                        return True

                    if self.write is not None and self.write._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Key.Decrypt']['meta_info']


            class Encrypt(object):
                """
                Encrypt a keypair.
                
                .. attribute:: ec
                
                	EC keys
                	**type**\:   :py:class:`Ec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Encrypt.Ec>`
                
                	**presence node**\: True
                
                .. attribute:: rsa
                
                	RSA keys
                	**type**\:   :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Encrypt.Rsa>`
                
                	**presence node**\: True
                
                .. attribute:: write
                
                	Will write the configuration to startup\-config
                	**type**\:   :py:class:`Write <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Encrypt.Write>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ec = None
                    self.rsa = None
                    self.write = Native.Crypto.Key.Encrypt.Write()
                    self.write.parent = self


                class Ec(object):
                    """
                    EC keys
                    
                    .. attribute:: name
                    
                    	Name of keypair to encrypt
                    	**type**\:  str
                    
                    .. attribute:: passphrase
                    
                    	encryption key
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.name = None
                        self.passphrase = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:encrypt/Cisco-IOS-XE-crypto:ec'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.name is not None:
                            return True

                        if self.passphrase is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Key.Encrypt.Ec']['meta_info']


                class Rsa(object):
                    """
                    RSA keys
                    
                    .. attribute:: name
                    
                    	Name of keypair to encrypt
                    	**type**\:  str
                    
                    .. attribute:: passphrase
                    
                    	encryption key
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.name = None
                        self.passphrase = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:encrypt/Cisco-IOS-XE-crypto:rsa'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.name is not None:
                            return True

                        if self.passphrase is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Key.Encrypt.Rsa']['meta_info']


                class Write(object):
                    """
                    Will write the configuration to startup\-config.
                    
                    .. attribute:: ec
                    
                    	EC keys
                    	**type**\:   :py:class:`Ec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Encrypt.Write.Ec>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: rsa
                    
                    	RSA keys
                    	**type**\:   :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Encrypt.Write.Rsa>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ec = None
                        self.rsa = None


                    class Ec(object):
                        """
                        EC keys
                        
                        .. attribute:: name
                        
                        	Name of keypair to encrypt
                        	**type**\:  str
                        
                        .. attribute:: passphrase
                        
                        	encryption key
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.name = None
                            self.passphrase = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:encrypt/Cisco-IOS-XE-crypto:write/Cisco-IOS-XE-crypto:ec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.name is not None:
                                return True

                            if self.passphrase is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Key.Encrypt.Write.Ec']['meta_info']


                    class Rsa(object):
                        """
                        RSA keys
                        
                        .. attribute:: name
                        
                        	Name of keypair to encrypt
                        	**type**\:  str
                        
                        .. attribute:: passphrase
                        
                        	encryption key
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.name = None
                            self.passphrase = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:encrypt/Cisco-IOS-XE-crypto:write/Cisco-IOS-XE-crypto:rsa'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.name is not None:
                                return True

                            if self.passphrase is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Key.Encrypt.Write.Rsa']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:encrypt/Cisco-IOS-XE-crypto:write'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ec is not None and self.ec._has_data():
                            return True

                        if self.rsa is not None and self.rsa._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Key.Encrypt.Write']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:encrypt'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ec is not None and self.ec._has_data():
                        return True

                    if self.rsa is not None and self.rsa._has_data():
                        return True

                    if self.write is not None and self.write._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Key.Encrypt']['meta_info']


            class Export(object):
                """
                Export keys
                
                .. attribute:: ec
                
                	Export EC keys
                	**type**\: list of    :py:class:`Ec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export.Ec>`
                
                .. attribute:: rsa
                
                	Export RSRA keys
                	**type**\: list of    :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export.Rsa>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ec = YList()
                    self.ec.parent = self
                    self.ec.name = 'ec'
                    self.rsa = YList()
                    self.rsa.parent = self
                    self.rsa.name = 'rsa'


                class Ec(object):
                    """
                    Export EC keys
                    
                    .. attribute:: label  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: pem
                    
                    	File type to export
                    	**type**\:   :py:class:`Pem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export.Ec.Pem>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.label = None
                        self.pem = Native.Crypto.Key.Export.Ec.Pem()
                        self.pem.parent = self


                    class Pem(object):
                        """
                        File type to export
                        
                        .. attribute:: terminal
                        
                        	Export via the terminal (cut\-and\-paste)
                        	**type**\:   :py:class:`Terminal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export.Ec.Pem.Terminal>`
                        
                        .. attribute:: url
                        
                        	Export via the file systems
                        	**type**\:   :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export.Ec.Pem.Url>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.terminal = Native.Crypto.Key.Export.Ec.Pem.Terminal()
                            self.terminal.parent = self
                            self.url = Native.Crypto.Key.Export.Ec.Pem.Url()
                            self.url.parent = self


                        class Terminal(object):
                            """
                            Export via the terminal (cut\-and\-paste)
                            
                            .. attribute:: des
                            
                            	Encrypt the private key with DES
                            	**type**\:  str
                            
                            .. attribute:: pk_3des
                            
                            	Encrypt the private key with 3DES
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.des = None
                                self.pk_3des = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:terminal'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.des is not None:
                                    return True

                                if self.pk_3des is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Key.Export.Ec.Pem.Terminal']['meta_info']


                        class Url(object):
                            """
                            Export via the file systems
                            
                            .. attribute:: des
                            
                            	Encrypt the private key with DES
                            	**type**\:  str
                            
                            .. attribute:: file
                            
                            	
                            	**type**\:   :py:class:`FileEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export.Ec.Pem.Url.FileEnum>`
                            
                            .. attribute:: url_3des
                            
                            	Encrypt the private key with 3DES
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.des = None
                                self.file = None
                                self.url_3des = None

                            class FileEnum(Enum):
                                """
                                FileEnum

                                .. data:: bootflash__COLON__ = 0

                                .. data:: flash__COLON__ = 1

                                .. data:: ftp__COLON__ = 2

                                .. data:: http__COLON__ = 3

                                .. data:: https__COLON__ = 4

                                .. data:: null__COLON__ = 5

                                .. data:: nvram__COLON__ = 6

                                .. data:: pram__COLON__ = 7

                                .. data:: rcp__COLON__ = 8

                                .. data:: scp__COLON__ = 9

                                .. data:: system__COLON__ = 10

                                .. data:: tftp__COLON__ = 11

                                .. data:: tmpsys__COLON__ = 12

                                """

                                bootflash__COLON__ = 0

                                flash__COLON__ = 1

                                ftp__COLON__ = 2

                                http__COLON__ = 3

                                https__COLON__ = 4

                                null__COLON__ = 5

                                nvram__COLON__ = 6

                                pram__COLON__ = 7

                                rcp__COLON__ = 8

                                scp__COLON__ = 9

                                system__COLON__ = 10

                                tftp__COLON__ = 11

                                tmpsys__COLON__ = 12


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Key.Export.Ec.Pem.Url.FileEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:url'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.des is not None:
                                    return True

                                if self.file is not None:
                                    return True

                                if self.url_3des is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Key.Export.Ec.Pem.Url']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:pem'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.terminal is not None and self.terminal._has_data():
                                return True

                            if self.url is not None and self.url._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Key.Export.Ec.Pem']['meta_info']

                    @property
                    def _common_path(self):
                        if self.label is None:
                            raise YPYModelError('Key property label is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:export/Cisco-IOS-XE-crypto:ec[Cisco-IOS-XE-crypto:label = ' + str(self.label) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.label is not None:
                            return True

                        if self.pem is not None and self.pem._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Key.Export.Ec']['meta_info']


                class Rsa(object):
                    """
                    Export RSRA keys
                    
                    .. attribute:: label  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: pem
                    
                    	File type to export
                    	**type**\:   :py:class:`Pem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export.Rsa.Pem>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.label = None
                        self.pem = Native.Crypto.Key.Export.Rsa.Pem()
                        self.pem.parent = self


                    class Pem(object):
                        """
                        File type to export
                        
                        .. attribute:: terminal
                        
                        	Export via the terminal (cut\-and\-paste)
                        	**type**\:   :py:class:`Terminal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export.Rsa.Pem.Terminal>`
                        
                        .. attribute:: url
                        
                        	Export via the file systems
                        	**type**\:   :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export.Rsa.Pem.Url>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.terminal = Native.Crypto.Key.Export.Rsa.Pem.Terminal()
                            self.terminal.parent = self
                            self.url = Native.Crypto.Key.Export.Rsa.Pem.Url()
                            self.url.parent = self


                        class Terminal(object):
                            """
                            Export via the terminal (cut\-and\-paste)
                            
                            .. attribute:: des
                            
                            	Encrypt the private key with DES
                            	**type**\:  str
                            
                            .. attribute:: pk_3des
                            
                            	Encrypt the private key with 3DES
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.des = None
                                self.pk_3des = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:terminal'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.des is not None:
                                    return True

                                if self.pk_3des is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Key.Export.Rsa.Pem.Terminal']['meta_info']


                        class Url(object):
                            """
                            Export via the file systems
                            
                            .. attribute:: des
                            
                            	Encrypt the private key with DES
                            	**type**\:  str
                            
                            .. attribute:: file
                            
                            	
                            	**type**\:   :py:class:`FileEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export.Rsa.Pem.Url.FileEnum>`
                            
                            .. attribute:: url_3des
                            
                            	Encrypt the private key with 3DES
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.des = None
                                self.file = None
                                self.url_3des = None

                            class FileEnum(Enum):
                                """
                                FileEnum

                                .. data:: bootflash__COLON__ = 0

                                .. data:: flash__COLON__ = 1

                                .. data:: ftp__COLON__ = 2

                                .. data:: http__COLON__ = 3

                                .. data:: https__COLON__ = 4

                                .. data:: null__COLON__ = 5

                                .. data:: nvram__COLON__ = 6

                                .. data:: pram__COLON__ = 7

                                .. data:: rcp__COLON__ = 8

                                .. data:: scp__COLON__ = 9

                                .. data:: system__COLON__ = 10

                                .. data:: tftp__COLON__ = 11

                                .. data:: tmpsys__COLON__ = 12

                                """

                                bootflash__COLON__ = 0

                                flash__COLON__ = 1

                                ftp__COLON__ = 2

                                http__COLON__ = 3

                                https__COLON__ = 4

                                null__COLON__ = 5

                                nvram__COLON__ = 6

                                pram__COLON__ = 7

                                rcp__COLON__ = 8

                                scp__COLON__ = 9

                                system__COLON__ = 10

                                tftp__COLON__ = 11

                                tmpsys__COLON__ = 12


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Key.Export.Rsa.Pem.Url.FileEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:url'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.des is not None:
                                    return True

                                if self.file is not None:
                                    return True

                                if self.url_3des is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Key.Export.Rsa.Pem.Url']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:pem'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.terminal is not None and self.terminal._has_data():
                                return True

                            if self.url is not None and self.url._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Key.Export.Rsa.Pem']['meta_info']

                    @property
                    def _common_path(self):
                        if self.label is None:
                            raise YPYModelError('Key property label is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:export/Cisco-IOS-XE-crypto:rsa[Cisco-IOS-XE-crypto:label = ' + str(self.label) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.label is not None:
                            return True

                        if self.pem is not None and self.pem._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Key.Export.Rsa']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:export'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ec is not None:
                        for child_ref in self.ec:
                            if child_ref._has_data():
                                return True

                    if self.rsa is not None:
                        for child_ref in self.rsa:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Key.Export']['meta_info']


            class Generate(object):
                """
                Generate new keys
                
                .. attribute:: ec
                
                	Generate EC keys for ECDSA
                	**type**\:   :py:class:`Ec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Generate.Ec>`
                
                .. attribute:: rsa
                
                	Generate RSA keys
                	**type**\:   :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Generate.Rsa>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ec = Native.Crypto.Key.Generate.Ec()
                    self.ec.parent = self
                    self.rsa = None


                class Ec(object):
                    """
                    Generate EC keys for ECDSA
                    
                    .. attribute:: exportable
                    
                    	Allow key to be exported
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: keysize
                    
                    	Number of bits
                    	**type**\:   :py:class:`KeysizeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Generate.Ec.KeysizeEnum>`
                    
                    .. attribute:: label
                    
                    	Provide a label
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.exportable = None
                        self.keysize = None
                        self.label = None

                    class KeysizeEnum(Enum):
                        """
                        KeysizeEnum

                        Number of bits

                        .. data:: Y_256 = 0

                        .. data:: Y_384 = 1

                        """

                        Y_256 = 0

                        Y_384 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Key.Generate.Ec.KeysizeEnum']


                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:generate/Cisco-IOS-XE-crypto:ec'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.exportable is not None:
                            return True

                        if self.keysize is not None:
                            return True

                        if self.label is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Key.Generate.Ec']['meta_info']


                class Rsa(object):
                    """
                    Generate RSA keys
                    
                    .. attribute:: encryption
                    
                    	Generate a general purpose RSA key pair for signing and encryption
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: exportable
                    
                    	Allow the key to be exported
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: general_keys
                    
                    	Generate a general purpose RSA key pair for signing and encryption
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: label
                    
                    	Provide a label
                    	**type**\:  str
                    
                    .. attribute:: modulus
                    
                    	Provide number of modulus bits on the command line
                    	**type**\:  int
                    
                    	**range:** 360..4096
                    
                    .. attribute:: on
                    
                    	create key on specified device
                    	**type**\:  str
                    
                    .. attribute:: redundancy
                    
                    	Allow the key to be synced to high\-availability peer
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: signature
                    
                    	Generate a general purpose RSA key pair for signing and encryption
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: storage
                    
                    	Store key on specified device
                    	**type**\:  str
                    
                    .. attribute:: usage_keys
                    
                    	Generate separate RSA key pairs for signing and encryption
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.encryption = None
                        self.exportable = None
                        self.general_keys = None
                        self.label = None
                        self.modulus = None
                        self.on = None
                        self.redundancy = None
                        self.signature = None
                        self.storage = None
                        self.usage_keys = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:generate/Cisco-IOS-XE-crypto:rsa'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.encryption is not None:
                            return True

                        if self.exportable is not None:
                            return True

                        if self.general_keys is not None:
                            return True

                        if self.label is not None:
                            return True

                        if self.modulus is not None:
                            return True

                        if self.on is not None:
                            return True

                        if self.redundancy is not None:
                            return True

                        if self.signature is not None:
                            return True

                        if self.storage is not None:
                            return True

                        if self.usage_keys is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Key.Generate.Rsa']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:generate'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ec is not None and self.ec._has_data():
                        return True

                    if self.rsa is not None and self.rsa._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Key.Generate']['meta_info']


            class Import_(object):
                """
                Import keys
                
                .. attribute:: ec
                
                	Import EC keys
                	**type**\: list of    :py:class:`Ec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Import_.Ec>`
                
                .. attribute:: rsa
                
                	Import RSA keys
                	**type**\: list of    :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Import_.Rsa>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ec = YList()
                    self.ec.parent = self
                    self.ec.name = 'ec'
                    self.rsa = YList()
                    self.rsa.parent = self
                    self.rsa.name = 'rsa'


                class Ec(object):
                    """
                    Import EC keys
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: exportable
                    
                    	Allow key to be exported
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: terminal
                    
                    	Import via the terminal (cut\-and\-paste)
                    	**type**\:  str
                    
                    .. attribute:: url
                    
                    	Export via the file systems
                    	**type**\:   :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Import_.Ec.Url>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.exportable = None
                        self.terminal = None
                        self.url = Native.Crypto.Key.Import_.Ec.Url()
                        self.url.parent = self


                    class Url(object):
                        """
                        Export via the file systems
                        
                        .. attribute:: file
                        
                        	
                        	**type**\:   :py:class:`FileEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Import_.Ec.Url.FileEnum>`
                        
                        .. attribute:: key
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.file = None
                            self.key = None

                        class FileEnum(Enum):
                            """
                            FileEnum

                            .. data:: bootflash__COLON__ = 0

                            .. data:: cns__COLON__ = 1

                            .. data:: flash__COLON__ = 2

                            .. data:: ftp__COLON__ = 3

                            .. data:: http__COLON__ = 4

                            .. data:: https__COLON__ = 5

                            .. data:: null__COLON__ = 6

                            .. data:: nvram__COLON__ = 7

                            .. data:: pram__COLON__ = 8

                            .. data:: rcp__COLON__ = 9

                            .. data:: scp__COLON__ = 10

                            .. data:: system__COLON__ = 11

                            .. data:: tar__COLON__ = 12

                            .. data:: tftp__COLON__ = 13

                            .. data:: tmpsys__COLON__ = 14

                            """

                            bootflash__COLON__ = 0

                            cns__COLON__ = 1

                            flash__COLON__ = 2

                            ftp__COLON__ = 3

                            http__COLON__ = 4

                            https__COLON__ = 5

                            null__COLON__ = 6

                            nvram__COLON__ = 7

                            pram__COLON__ = 8

                            rcp__COLON__ = 9

                            scp__COLON__ = 10

                            system__COLON__ = 11

                            tar__COLON__ = 12

                            tftp__COLON__ = 13

                            tmpsys__COLON__ = 14


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Key.Import_.Ec.Url.FileEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:url'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.file is not None:
                                return True

                            if self.key is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Key.Import_.Ec.Url']['meta_info']

                    @property
                    def _common_path(self):
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:import/Cisco-IOS-XE-crypto:ec[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.exportable is not None:
                            return True

                        if self.terminal is not None:
                            return True

                        if self.url is not None and self.url._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Key.Import_.Ec']['meta_info']


                class Rsa(object):
                    """
                    Import RSA keys
                    
                    .. attribute:: label  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: encryption
                    
                    	Encryption key
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: exportable
                    
                    	Allow the key to be exported
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: general_purpose
                    
                    	General Purpose key
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: on
                    
                    	Make this an on\-token key
                    	**type**\:  str
                    
                    .. attribute:: pem
                    
                    	File type to import
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: redundancy
                    
                    	Sync this key to the standby
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: signature
                    
                    	Signature key
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: storage
                    
                    	Store key on specified device
                    	**type**\:  str
                    
                    .. attribute:: terminal
                    
                    	Import via the terminal (cut\-and\-paste)
                    	**type**\:  str
                    
                    .. attribute:: url
                    
                    	Export via the file systems
                    	**type**\:   :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Import_.Rsa.Url>`
                    
                    .. attribute:: usage_keys
                    
                    	Usage key pairs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.label = None
                        self.encryption = None
                        self.exportable = None
                        self.general_purpose = None
                        self.on = None
                        self.pem = None
                        self.redundancy = None
                        self.signature = None
                        self.storage = None
                        self.terminal = None
                        self.url = Native.Crypto.Key.Import_.Rsa.Url()
                        self.url.parent = self
                        self.usage_keys = None


                    class Url(object):
                        """
                        Export via the file systems
                        
                        .. attribute:: file
                        
                        	
                        	**type**\:   :py:class:`FileEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Import_.Rsa.Url.FileEnum>`
                        
                        .. attribute:: key
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.file = None
                            self.key = None

                        class FileEnum(Enum):
                            """
                            FileEnum

                            .. data:: bootflash__COLON__ = 0

                            .. data:: cns__COLON__ = 1

                            .. data:: flash__COLON__ = 2

                            .. data:: ftp__COLON__ = 3

                            .. data:: http__COLON__ = 4

                            .. data:: https__COLON__ = 5

                            .. data:: null__COLON__ = 6

                            .. data:: nvram__COLON__ = 7

                            .. data:: pram__COLON__ = 8

                            .. data:: rcp__COLON__ = 9

                            .. data:: scp__COLON__ = 10

                            .. data:: system__COLON__ = 11

                            .. data:: tar__COLON__ = 12

                            .. data:: tftp__COLON__ = 13

                            .. data:: tmpsys__COLON__ = 14

                            """

                            bootflash__COLON__ = 0

                            cns__COLON__ = 1

                            flash__COLON__ = 2

                            ftp__COLON__ = 3

                            http__COLON__ = 4

                            https__COLON__ = 5

                            null__COLON__ = 6

                            nvram__COLON__ = 7

                            pram__COLON__ = 8

                            rcp__COLON__ = 9

                            scp__COLON__ = 10

                            system__COLON__ = 11

                            tar__COLON__ = 12

                            tftp__COLON__ = 13

                            tmpsys__COLON__ = 14


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Key.Import_.Rsa.Url.FileEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:url'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.file is not None:
                                return True

                            if self.key is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Key.Import_.Rsa.Url']['meta_info']

                    @property
                    def _common_path(self):
                        if self.label is None:
                            raise YPYModelError('Key property label is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:import/Cisco-IOS-XE-crypto:rsa[Cisco-IOS-XE-crypto:label = ' + str(self.label) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.label is not None:
                            return True

                        if self.encryption is not None:
                            return True

                        if self.exportable is not None:
                            return True

                        if self.general_purpose is not None:
                            return True

                        if self.on is not None:
                            return True

                        if self.pem is not None:
                            return True

                        if self.redundancy is not None:
                            return True

                        if self.signature is not None:
                            return True

                        if self.storage is not None:
                            return True

                        if self.terminal is not None:
                            return True

                        if self.url is not None and self.url._has_data():
                            return True

                        if self.usage_keys is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Key.Import_.Rsa']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:import'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ec is not None:
                        for child_ref in self.ec:
                            if child_ref._has_data():
                                return True

                    if self.rsa is not None:
                        for child_ref in self.rsa:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Key.Import_']['meta_info']


            class Move(object):
                """
                Move keys
                
                .. attribute:: rsa
                
                	Move RSA keys
                	**type**\:   :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Move.Rsa>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.rsa = Native.Crypto.Key.Move.Rsa()
                    self.rsa.parent = self


                class Rsa(object):
                    """
                    Move RSA keys
                    
                    .. attribute:: label
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: non_exportable
                    
                    	Do Not allow the key to be exported
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: on
                    
                    	Make this an on\-token key
                    	**type**\:  str
                    
                    .. attribute:: redundancy
                    
                    	Sync this key to the standby
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: storage
                    
                    	Store key on specified device
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.label = None
                        self.non_exportable = None
                        self.on = None
                        self.redundancy = None
                        self.storage = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:move/Cisco-IOS-XE-crypto:rsa'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.label is not None:
                            return True

                        if self.non_exportable is not None:
                            return True

                        if self.on is not None:
                            return True

                        if self.redundancy is not None:
                            return True

                        if self.storage is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Key.Move.Rsa']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:move'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.rsa is not None and self.rsa._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Key.Move']['meta_info']


            class PubkeyChain(object):
                """
                Peer public key chain management
                
                .. attribute:: rsa
                
                	Peer RSA public key chain management
                	**type**\:   :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.rsa = Native.Crypto.Key.PubkeyChain.Rsa()
                    self.rsa.parent = self


                class Rsa(object):
                    """
                    Peer RSA public key chain management
                    
                    .. attribute:: addressed_key
                    
                    	Public key associated with an address
                    	**type**\: list of    :py:class:`AddressedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey>`
                    
                    .. attribute:: default
                    
                    	Set a command to its defaults
                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.Default>`
                    
                    .. attribute:: named_key
                    
                    	Public key associated with a name
                    	**type**\: list of    :py:class:`NamedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.NamedKey>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.addressed_key = YList()
                        self.addressed_key.parent = self
                        self.addressed_key.name = 'addressed_key'
                        self.default = Native.Crypto.Key.PubkeyChain.Rsa.Default()
                        self.default.parent = self
                        self.named_key = YList()
                        self.named_key.parent = self
                        self.named_key.name = 'named_key'


                    class AddressedKey(object):
                        """
                        Public key associated with an address
                        
                        .. attribute:: ip  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: address
                        
                        	Assign an address to the key
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: default
                        
                        	Set a command to its defaults
                        	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default>`
                        
                        .. attribute:: key_string
                        
                        	Key data
                        	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.KeyString>`
                        
                        .. attribute:: serial_number
                        
                        	Serial number of the device
                        	**type**\:  str
                        
                        .. attribute:: use
                        
                        	
                        	**type**\:   :py:class:`UseEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.UseEnum>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = None
                            self.address = None
                            self.default = Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default()
                            self.default.parent = self
                            self.key_string = Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.KeyString()
                            self.key_string.parent = self
                            self.serial_number = None
                            self.use = None

                        class UseEnum(Enum):
                            """
                            UseEnum

                            .. data:: encryption = 0

                            .. data:: signature = 1

                            """

                            encryption = 0

                            signature = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.UseEnum']



                        class KeyString(object):
                            """
                            Key data
                            
                            .. attribute:: hex_data
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: quit
                            
                            	Exit data entry mode
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hex_data = None
                                self.quit = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:key-string'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hex_data is not None:
                                    return True

                                if self.quit is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.KeyString']['meta_info']


                        class Default(object):
                            """
                            Set a command to its defaults
                            
                            .. attribute:: address
                            
                            	Assign an address to the key
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: key_string
                            
                            	Key data
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default.KeyString>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: serial_number
                            
                            	Serial number of the device
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.key_string = None
                                self.serial_number = None


                            class KeyString(object):
                                """
                                Key data
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                if self.serial_number is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default']['meta_info']

                        @property
                        def _common_path(self):
                            if self.ip is None:
                                raise YPYModelError('Key property ip is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:pubkey-chain/Cisco-IOS-XE-crypto:rsa/Cisco-IOS-XE-crypto:addressed-key[Cisco-IOS-XE-crypto:ip = ' + str(self.ip) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None:
                                return True

                            if self.address is not None:
                                return True

                            if self.default is not None and self.default._has_data():
                                return True

                            if self.key_string is not None and self.key_string._has_data():
                                return True

                            if self.serial_number is not None:
                                return True

                            if self.use is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey']['meta_info']


                    class NamedKey(object):
                        """
                        Public key associated with a name
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: address
                        
                        	Assign an address to the key
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: default
                        
                        	Set a command to its defaults
                        	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default>`
                        
                        .. attribute:: key_string
                        
                        	Key data
                        	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.KeyString>`
                        
                        .. attribute:: serial_number
                        
                        	Serial number of the device
                        	**type**\:  str
                        
                        .. attribute:: use
                        
                        	
                        	**type**\:   :py:class:`UseEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.UseEnum>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.address = None
                            self.default = Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default()
                            self.default.parent = self
                            self.key_string = Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.KeyString()
                            self.key_string.parent = self
                            self.serial_number = None
                            self.use = None

                        class UseEnum(Enum):
                            """
                            UseEnum

                            .. data:: encryption = 0

                            .. data:: signature = 1

                            """

                            encryption = 0

                            signature = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.UseEnum']



                        class KeyString(object):
                            """
                            Key data
                            
                            .. attribute:: hex_data
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: quit
                            
                            	Exit data entry mode
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hex_data = None
                                self.quit = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:key-string'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hex_data is not None:
                                    return True

                                if self.quit is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.KeyString']['meta_info']


                        class Default(object):
                            """
                            Set a command to its defaults
                            
                            .. attribute:: address
                            
                            	Assign an address to the key
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: key_string
                            
                            	Key data
                            	**type**\:   :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default.KeyString>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: serial_number
                            
                            	Serial number of the device
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.key_string = None
                                self.serial_number = None


                            class KeyString(object):
                                """
                                Key data
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:key-string'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default.KeyString']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.key_string is not None and self.key_string._has_data():
                                    return True

                                if self.serial_number is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default']['meta_info']

                        @property
                        def _common_path(self):
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:pubkey-chain/Cisco-IOS-XE-crypto:rsa/Cisco-IOS-XE-crypto:named-key[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.address is not None:
                                return True

                            if self.default is not None and self.default._has_data():
                                return True

                            if self.key_string is not None and self.key_string._has_data():
                                return True

                            if self.serial_number is not None:
                                return True

                            if self.use is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Key.PubkeyChain.Rsa.NamedKey']['meta_info']


                    class Default(object):
                        """
                        Set a command to its defaults
                        
                        .. attribute:: addressed_key
                        
                        	Public key associated with an address
                        	**type**\: list of    :py:class:`AddressedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.Default.AddressedKey>`
                        
                        .. attribute:: named_key
                        
                        	Public key associated with a name
                        	**type**\: list of    :py:class:`NamedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.Default.NamedKey>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.addressed_key = YList()
                            self.addressed_key.parent = self
                            self.addressed_key.name = 'addressed_key'
                            self.named_key = YList()
                            self.named_key.parent = self
                            self.named_key.name = 'named_key'


                        class AddressedKey(object):
                            """
                            Public key associated with an address
                            
                            .. attribute:: ip  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: use
                            
                            	
                            	**type**\:   :py:class:`UseEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.Default.AddressedKey.UseEnum>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip = None
                                self.use = None

                            class UseEnum(Enum):
                                """
                                UseEnum

                                .. data:: encryption = 0

                                .. data:: signature = 1

                                """

                                encryption = 0

                                signature = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Key.PubkeyChain.Rsa.Default.AddressedKey.UseEnum']


                            @property
                            def _common_path(self):
                                if self.ip is None:
                                    raise YPYModelError('Key property ip is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:pubkey-chain/Cisco-IOS-XE-crypto:rsa/Cisco-IOS-XE-crypto:default/Cisco-IOS-XE-crypto:addressed-key[Cisco-IOS-XE-crypto:ip = ' + str(self.ip) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip is not None:
                                    return True

                                if self.use is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Key.PubkeyChain.Rsa.Default.AddressedKey']['meta_info']


                        class NamedKey(object):
                            """
                            Public key associated with a name
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: use
                            
                            	
                            	**type**\:   :py:class:`UseEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.Default.NamedKey.UseEnum>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.use = None

                            class UseEnum(Enum):
                                """
                                UseEnum

                                .. data:: encryption = 0

                                .. data:: signature = 1

                                """

                                encryption = 0

                                signature = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Key.PubkeyChain.Rsa.Default.NamedKey.UseEnum']


                            @property
                            def _common_path(self):
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:pubkey-chain/Cisco-IOS-XE-crypto:rsa/Cisco-IOS-XE-crypto:default/Cisco-IOS-XE-crypto:named-key[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.use is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Key.PubkeyChain.Rsa.Default.NamedKey']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:pubkey-chain/Cisco-IOS-XE-crypto:rsa/Cisco-IOS-XE-crypto:default'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.addressed_key is not None:
                                for child_ref in self.addressed_key:
                                    if child_ref._has_data():
                                        return True

                            if self.named_key is not None:
                                for child_ref in self.named_key:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Key.PubkeyChain.Rsa.Default']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:pubkey-chain/Cisco-IOS-XE-crypto:rsa'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.addressed_key is not None:
                            for child_ref in self.addressed_key:
                                if child_ref._has_data():
                                    return True

                        if self.default is not None and self.default._has_data():
                            return True

                        if self.named_key is not None:
                            for child_ref in self.named_key:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Key.PubkeyChain.Rsa']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:pubkey-chain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.rsa is not None and self.rsa._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Key.PubkeyChain']['meta_info']


            class Zeroize(object):
                """
                Remove keys
                
                .. attribute:: ec
                
                	Remove EC keys
                	**type**\:   :py:class:`Ec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Zeroize.Ec>`
                
                	**presence node**\: True
                
                .. attribute:: pubkey_chain
                
                	Remove peer's cached public key
                	**type**\:   :py:class:`PubkeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Zeroize.PubkeyChain>`
                
                	**presence node**\: True
                
                .. attribute:: rsa
                
                	Remove RSA keys
                	**type**\:   :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Zeroize.Rsa>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ec = None
                    self.pubkey_chain = None
                    self.rsa = None


                class Ec(object):
                    """
                    Remove EC keys
                    
                    .. attribute:: label
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.label = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:zeroize/Cisco-IOS-XE-crypto:ec'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.label is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Key.Zeroize.Ec']['meta_info']


                class PubkeyChain(object):
                    """
                    Remove peer's cached public key
                    
                    .. attribute:: index
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.index = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:zeroize/Cisco-IOS-XE-crypto:pubkey-chain'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.index is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Key.Zeroize.PubkeyChain']['meta_info']


                class Rsa(object):
                    """
                    Remove RSA keys
                    
                    .. attribute:: label
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.label = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:zeroize/Cisco-IOS-XE-crypto:rsa'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.label is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Key.Zeroize.Rsa']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key/Cisco-IOS-XE-crypto:zeroize'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ec is not None and self.ec._has_data():
                        return True

                    if self.pubkey_chain is not None and self.pubkey_chain._has_data():
                        return True

                    if self.rsa is not None and self.rsa._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Key.Zeroize']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:key'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.decrypt is not None and self.decrypt._has_data():
                    return True

                if self.encrypt is not None and self.encrypt._has_data():
                    return True

                if self.export is not None and self.export._has_data():
                    return True

                if self.generate is not None and self.generate._has_data():
                    return True

                if self.import_ is not None and self.import_._has_data():
                    return True

                if self.move is not None and self.move._has_data():
                    return True

                if self.pubkey_chain is not None and self.pubkey_chain._has_data():
                    return True

                if self.storage is not None:
                    return True

                if self.zeroize is not None and self.zeroize._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Crypto.Key']['meta_info']


        class Keyring(object):
            """
            Key ring commands
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: default
            
            	Set a command to its defaults
            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default>`
            
            .. attribute:: description
            
            	Specify a description about this keyring
            	**type**\:  str
            
            .. attribute:: local_address
            
            	Limit the keyring usage to a local address
            	**type**\:  str
            
            .. attribute:: pre_shared_key
            
            	Pre\-Shared Key
            	**type**\:   :py:class:`PreSharedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.PreSharedKey>`
            
            .. attribute:: rsa_pubkey
            
            	Peer RSA public key chain management
            	**type**\:   :py:class:`RsaPubkey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.RsaPubkey>`
            
            .. attribute:: vrf
            
            	Mention a vrf it belongs to
            	**type**\:  str
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.default = Native.Crypto.Keyring.Default()
                self.default.parent = self
                self.description = None
                self.local_address = None
                self.pre_shared_key = Native.Crypto.Keyring.PreSharedKey()
                self.pre_shared_key.parent = self
                self.rsa_pubkey = Native.Crypto.Keyring.RsaPubkey()
                self.rsa_pubkey.parent = self
                self.vrf = None


            class Default(object):
                """
                Set a command to its defaults
                
                .. attribute:: description
                
                	Specify a description about this keyring
                	**type**\:  str
                
                .. attribute:: local_address
                
                	Limit the keyring usage to a local address
                	**type**\:  str
                
                .. attribute:: pre_shared_key
                
                	Pre\-Shared Key
                	**type**\:   :py:class:`PreSharedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.PreSharedKey>`
                
                .. attribute:: rsa_pubkey
                
                	Peer RSA public key chain management
                	**type**\:   :py:class:`RsaPubkey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.RsaPubkey>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.description = None
                    self.local_address = None
                    self.pre_shared_key = Native.Crypto.Keyring.Default.PreSharedKey()
                    self.pre_shared_key.parent = self
                    self.rsa_pubkey = Native.Crypto.Keyring.Default.RsaPubkey()
                    self.rsa_pubkey.parent = self


                class PreSharedKey(object):
                    """
                    Pre\-Shared Key
                    
                    .. attribute:: address
                    
                    	pre shared key by address
                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.PreSharedKey.Address>`
                    
                    .. attribute:: hostname
                    
                    	hostname  define peer policy for hostname
                    	**type**\:   :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.PreSharedKey.Hostname>`
                    
                    .. attribute:: ipv4_addr
                    
                    	
                    	**type**\:   :py:class:`Ipv4Addr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.PreSharedKey.Ipv4Addr>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = Native.Crypto.Keyring.Default.PreSharedKey.Address()
                        self.address.parent = self
                        self.hostname = Native.Crypto.Keyring.Default.PreSharedKey.Hostname()
                        self.hostname.parent = self
                        self.ipv4_addr = Native.Crypto.Keyring.Default.PreSharedKey.Ipv4Addr()
                        self.ipv4_addr.parent = self


                    class Ipv4Addr(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	pre shared key by address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: encryption
                        
                        	
                        	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.PreSharedKey.Ipv4Addr.EncryptionEnum>`
                        
                        .. attribute:: key
                        
                        	specify the key
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mask
                        
                        	pre shared key by address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: unencryt_key
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.encryption = None
                            self.key = None
                            self.mask = None
                            self.unencryt_key = None

                        class EncryptionEnum(Enum):
                            """
                            EncryptionEnum

                            .. data:: Y_0 = 0

                            .. data:: Y_6 = 1

                            """

                            Y_0 = 0

                            Y_6 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Keyring.Default.PreSharedKey.Ipv4Addr.EncryptionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:ipv4-addr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.encryption is not None:
                                return True

                            if self.key is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.unencryt_key is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Keyring.Default.PreSharedKey.Ipv4Addr']['meta_info']


                    class Address(object):
                        """
                        pre shared key by address
                        
                        .. attribute:: encryption
                        
                        	
                        	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.PreSharedKey.Address.EncryptionEnum>`
                        
                        .. attribute:: ipv6
                        
                        	define shared key with IPv6 address
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: key
                        
                        	specify the key
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: unencryt_key
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.encryption = None
                            self.ipv6 = None
                            self.key = None
                            self.unencryt_key = None

                        class EncryptionEnum(Enum):
                            """
                            EncryptionEnum

                            .. data:: Y_0 = 0

                            .. data:: Y_6 = 1

                            """

                            Y_0 = 0

                            Y_6 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Keyring.Default.PreSharedKey.Address.EncryptionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.encryption is not None:
                                return True

                            if self.ipv6 is not None:
                                return True

                            if self.key is not None:
                                return True

                            if self.unencryt_key is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Keyring.Default.PreSharedKey.Address']['meta_info']


                    class Hostname(object):
                        """
                        hostname  define peer policy for hostname
                        
                        .. attribute:: encryption
                        
                        	
                        	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.PreSharedKey.Hostname.EncryptionEnum>`
                        
                        .. attribute:: key
                        
                        	specify the key
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: unencryt_key
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.encryption = None
                            self.key = None
                            self.name = None
                            self.unencryt_key = None

                        class EncryptionEnum(Enum):
                            """
                            EncryptionEnum

                            .. data:: Y_0 = 0

                            .. data:: Y_6 = 1

                            """

                            Y_0 = 0

                            Y_6 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Keyring.Default.PreSharedKey.Hostname.EncryptionEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:hostname'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.encryption is not None:
                                return True

                            if self.key is not None:
                                return True

                            if self.name is not None:
                                return True

                            if self.unencryt_key is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Keyring.Default.PreSharedKey.Hostname']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:pre-shared-key'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None and self.address._has_data():
                            return True

                        if self.hostname is not None and self.hostname._has_data():
                            return True

                        if self.ipv4_addr is not None and self.ipv4_addr._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Keyring.Default.PreSharedKey']['meta_info']


                class RsaPubkey(object):
                    """
                    Peer RSA public key chain management
                    
                    .. attribute:: addr
                    
                    	
                    	**type**\:   :py:class:`Addr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.RsaPubkey.Addr>`
                    
                    .. attribute:: hostname
                    
                    	
                    	**type**\:   :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.RsaPubkey.Hostname>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.addr = Native.Crypto.Keyring.Default.RsaPubkey.Addr()
                        self.addr.parent = self
                        self.hostname = Native.Crypto.Keyring.Default.RsaPubkey.Hostname()
                        self.hostname.parent = self


                    class Addr(object):
                        """
                        
                        
                        .. attribute:: address
                        
                        	Public key associated with an address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: way
                        
                        	
                        	**type**\:   :py:class:`WayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.RsaPubkey.Addr.WayEnum>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.way = None

                        class WayEnum(Enum):
                            """
                            WayEnum

                            .. data:: encryption = 0

                            .. data:: signature = 1

                            """

                            encryption = 0

                            signature = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Keyring.Default.RsaPubkey.Addr.WayEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:addr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.way is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Keyring.Default.RsaPubkey.Addr']['meta_info']


                    class Hostname(object):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Public key associated with a hostname
                        	**type**\:  str
                        
                        .. attribute:: way
                        
                        	
                        	**type**\:   :py:class:`WayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.RsaPubkey.Hostname.WayEnum>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.way = None

                        class WayEnum(Enum):
                            """
                            WayEnum

                            .. data:: encryption = 0

                            .. data:: signature = 1

                            """

                            encryption = 0

                            signature = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Keyring.Default.RsaPubkey.Hostname.WayEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:hostname'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.way is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Keyring.Default.RsaPubkey.Hostname']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:rsa-pubkey'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.addr is not None and self.addr._has_data():
                            return True

                        if self.hostname is not None and self.hostname._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Keyring.Default.RsaPubkey']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.description is not None:
                        return True

                    if self.local_address is not None:
                        return True

                    if self.pre_shared_key is not None and self.pre_shared_key._has_data():
                        return True

                    if self.rsa_pubkey is not None and self.rsa_pubkey._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Keyring.Default']['meta_info']


            class PreSharedKey(object):
                """
                Pre\-Shared Key
                
                .. attribute:: address
                
                	pre shared key by address
                	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.PreSharedKey.Address>`
                
                .. attribute:: hostname
                
                	hostname  define peer policy for hostname
                	**type**\:   :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.PreSharedKey.Hostname>`
                
                .. attribute:: ipv4_addr
                
                	
                	**type**\:   :py:class:`Ipv4Addr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.PreSharedKey.Ipv4Addr>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = Native.Crypto.Keyring.PreSharedKey.Address()
                    self.address.parent = self
                    self.hostname = Native.Crypto.Keyring.PreSharedKey.Hostname()
                    self.hostname.parent = self
                    self.ipv4_addr = Native.Crypto.Keyring.PreSharedKey.Ipv4Addr()
                    self.ipv4_addr.parent = self


                class Ipv4Addr(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	pre shared key by address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.PreSharedKey.Ipv4Addr.EncryptionEnum>`
                    
                    .. attribute:: key
                    
                    	specify the key
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mask
                    
                    	pre shared key by address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: unencryt_key
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.encryption = None
                        self.key = None
                        self.mask = None
                        self.unencryt_key = None

                    class EncryptionEnum(Enum):
                        """
                        EncryptionEnum

                        .. data:: Y_0 = 0

                        .. data:: Y_6 = 1

                        """

                        Y_0 = 0

                        Y_6 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Keyring.PreSharedKey.Ipv4Addr.EncryptionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:ipv4-addr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.encryption is not None:
                            return True

                        if self.key is not None:
                            return True

                        if self.mask is not None:
                            return True

                        if self.unencryt_key is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Keyring.PreSharedKey.Ipv4Addr']['meta_info']


                class Address(object):
                    """
                    pre shared key by address
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.PreSharedKey.Address.EncryptionEnum>`
                    
                    .. attribute:: ipv6
                    
                    	define shared key with IPv6 address
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    .. attribute:: key
                    
                    	specify the key
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: unencryt_key
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.encryption = None
                        self.ipv6 = None
                        self.key = None
                        self.unencryt_key = None

                    class EncryptionEnum(Enum):
                        """
                        EncryptionEnum

                        .. data:: Y_0 = 0

                        .. data:: Y_6 = 1

                        """

                        Y_0 = 0

                        Y_6 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Keyring.PreSharedKey.Address.EncryptionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.encryption is not None:
                            return True

                        if self.ipv6 is not None:
                            return True

                        if self.key is not None:
                            return True

                        if self.unencryt_key is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Keyring.PreSharedKey.Address']['meta_info']


                class Hostname(object):
                    """
                    hostname  define peer policy for hostname
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.PreSharedKey.Hostname.EncryptionEnum>`
                    
                    .. attribute:: key
                    
                    	specify the key
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: unencryt_key
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.encryption = None
                        self.key = None
                        self.name = None
                        self.unencryt_key = None

                    class EncryptionEnum(Enum):
                        """
                        EncryptionEnum

                        .. data:: Y_0 = 0

                        .. data:: Y_6 = 1

                        """

                        Y_0 = 0

                        Y_6 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Keyring.PreSharedKey.Hostname.EncryptionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:hostname'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.encryption is not None:
                            return True

                        if self.key is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.unencryt_key is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Keyring.PreSharedKey.Hostname']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:pre-shared-key'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None and self.address._has_data():
                        return True

                    if self.hostname is not None and self.hostname._has_data():
                        return True

                    if self.ipv4_addr is not None and self.ipv4_addr._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Keyring.PreSharedKey']['meta_info']


            class RsaPubkey(object):
                """
                Peer RSA public key chain management
                
                .. attribute:: addr
                
                	
                	**type**\:   :py:class:`Addr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.RsaPubkey.Addr>`
                
                .. attribute:: hostname
                
                	
                	**type**\:   :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.RsaPubkey.Hostname>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.addr = Native.Crypto.Keyring.RsaPubkey.Addr()
                    self.addr.parent = self
                    self.hostname = Native.Crypto.Keyring.RsaPubkey.Hostname()
                    self.hostname.parent = self


                class Addr(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	Public key associated with an address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: way
                    
                    	
                    	**type**\:   :py:class:`WayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.RsaPubkey.Addr.WayEnum>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.way = None

                    class WayEnum(Enum):
                        """
                        WayEnum

                        .. data:: encryption = 0

                        .. data:: signature = 1

                        """

                        encryption = 0

                        signature = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Keyring.RsaPubkey.Addr.WayEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:addr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.way is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Keyring.RsaPubkey.Addr']['meta_info']


                class Hostname(object):
                    """
                    
                    
                    .. attribute:: name
                    
                    	Public key associated with a hostname
                    	**type**\:  str
                    
                    .. attribute:: way
                    
                    	
                    	**type**\:   :py:class:`WayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.RsaPubkey.Hostname.WayEnum>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.way = None

                    class WayEnum(Enum):
                        """
                        WayEnum

                        .. data:: encryption = 0

                        .. data:: signature = 1

                        """

                        encryption = 0

                        signature = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Keyring.RsaPubkey.Hostname.WayEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:hostname'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.way is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Keyring.RsaPubkey.Hostname']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:rsa-pubkey'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.addr is not None and self.addr._has_data():
                        return True

                    if self.hostname is not None and self.hostname._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Keyring.RsaPubkey']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:keyring[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.default is not None and self.default._has_data():
                    return True

                if self.description is not None:
                    return True

                if self.local_address is not None:
                    return True

                if self.pre_shared_key is not None and self.pre_shared_key._has_data():
                    return True

                if self.rsa_pubkey is not None and self.rsa_pubkey._has_data():
                    return True

                if self.vrf is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Crypto.Keyring']['meta_info']


        class Logging(object):
            """
            logging messages
            
            .. attribute:: ezvpn
            
            	ezvpn logging enable/disable
            	**type**\:   :py:class:`Ezvpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Logging.Ezvpn>`
            
            	**presence node**\: True
            
            .. attribute:: ikev2
            
            	logging IKEv2 sessions
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: session
            
            	logging up/down session
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ezvpn = None
                self.ikev2 = None
                self.session = None


            class Ezvpn(object):
                """
                ezvpn logging enable/disable
                
                .. attribute:: group
                
                	ezvpn group
                	**type**\:  str
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.group = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:logging/Cisco-IOS-XE-crypto:ezvpn'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.group is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Logging.Ezvpn']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:logging'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ezvpn is not None and self.ezvpn._has_data():
                    return True

                if self.ikev2 is not None:
                    return True

                if self.session is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Crypto.Logging']['meta_info']


        class MapIpv6(object):
            """
            
            
            .. attribute:: map
            
            	Enter a crypto map
            	**type**\: list of    :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.map = YList()
                self.map.parent = self
                self.map.name = 'map'


            class Map(object):
                """
                Enter a crypto map
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Default>`
                
                .. attribute:: description
                
                	Description of the crypto map statement policy
                	**type**\:  str
                
                .. attribute:: dialer
                
                	Dialer related commands
                	**type**\:   :py:class:`Dialer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Dialer>`
                
                .. attribute:: dynamic
                
                	Enable dynamic crypto map support
                	**type**\:  str
                
                .. attribute:: ipv6
                
                	IPv6 crypto map
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: keying
                
                	
                	**type**\:   :py:class:`KeyingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.KeyingEnum>`
                
                .. attribute:: match
                
                	Match values
                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Match>`
                
                .. attribute:: profile
                
                	Enable crypto map as a crypto\-profile
                	**type**\:  str
                
                .. attribute:: qos
                
                	Quality of Service related commands
                	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Qos>`
                
                .. attribute:: reverse_route
                
                	Reverse Route Injection
                	**type**\:   :py:class:`ReverseRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.ReverseRoute>`
                
                	**presence node**\: True
                
                .. attribute:: sequence_number
                
                	
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: set
                
                	Set values for encryption/decryption
                	**type**\:   :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Set>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.default = Native.Crypto.MapIpv6.Map.Default()
                    self.default.parent = self
                    self.description = None
                    self.dialer = Native.Crypto.MapIpv6.Map.Dialer()
                    self.dialer.parent = self
                    self.dynamic = None
                    self.ipv6 = None
                    self.keying = None
                    self.match = Native.Crypto.MapIpv6.Map.Match()
                    self.match.parent = self
                    self.profile = None
                    self.qos = Native.Crypto.MapIpv6.Map.Qos()
                    self.qos.parent = self
                    self.reverse_route = None
                    self.sequence_number = None
                    self.set = Native.Crypto.MapIpv6.Map.Set()
                    self.set.parent = self

                class KeyingEnum(Enum):
                    """
                    KeyingEnum

                    .. data:: ipsec_isakmp = 0

                    .. data:: ipsec_manual = 1

                    .. data:: gdoi = 2

                    .. data:: ckm = 3

                    """

                    ipsec_isakmp = 0

                    ipsec_manual = 1

                    gdoi = 2

                    ckm = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.MapIpv6.Map.KeyingEnum']



                class Default(object):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: description
                    
                    	Description of the crypto map statement policy
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dialer
                    
                    	Dialer related commands
                    	**type**\:   :py:class:`Dialer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Default.Dialer>`
                    
                    .. attribute:: match
                    
                    	Match values
                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Default.Match>`
                    
                    .. attribute:: qos
                    
                    	Quality of Service related commands
                    	**type**\:   :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Default.Qos>`
                    
                    .. attribute:: reverse_route
                    
                    	Reverse Route Injection
                    	**type**\:   :py:class:`ReverseRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Default.ReverseRoute>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: set
                    
                    	Set values for encryption/decryption
                    	**type**\:   :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Default.Set>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.description = None
                        self.dialer = Native.Crypto.MapIpv6.Map.Default.Dialer()
                        self.dialer.parent = self
                        self.match = Native.Crypto.MapIpv6.Map.Default.Match()
                        self.match.parent = self
                        self.qos = Native.Crypto.MapIpv6.Map.Default.Qos()
                        self.qos.parent = self
                        self.reverse_route = None
                        self.set = Native.Crypto.MapIpv6.Map.Default.Set()
                        self.set.parent = self


                    class Dialer(object):
                        """
                        Dialer related commands
                        
                        .. attribute:: pre_classify
                        
                        	Enable dialer list classification before initiating IKE
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.pre_classify = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:dialer'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.pre_classify is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.MapIpv6.Map.Default.Dialer']['meta_info']


                    class Match(object):
                        """
                        Match values
                        
                        .. attribute:: address
                        
                        	Match address of packets to encrypt
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:match'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.MapIpv6.Map.Default.Match']['meta_info']


                    class Qos(object):
                        """
                        Quality of Service related commands
                        
                        .. attribute:: pre_classify
                        
                        	Enable QOS classification before packets are tunnel encapsulated
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.pre_classify = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:qos'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.pre_classify is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.MapIpv6.Map.Default.Qos']['meta_info']


                    class ReverseRoute(object):
                        """
                        Reverse Route Injection.
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:reverse-route'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.MapIpv6.Map.Default.ReverseRoute']['meta_info']


                    class Set(object):
                        """
                        Set values for encryption/decryption
                        
                        .. attribute:: group
                        
                        	Set the san group parameters
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: identity
                        
                        	Identity restriction
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ikev2_profile
                        
                        	Specify ikev2 Profile
                        	**type**\:  str
                        
                        .. attribute:: isakmp_profile
                        
                        	Specify isakmp Profile
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pfs
                        
                        	Specify pfs settings
                        	**type**\:   :py:class:`Pfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Default.Set.Pfs>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: reverse_route
                        
                        	Reverse Route Injection
                        	**type**\:   :py:class:`ReverseRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Default.Set.ReverseRoute>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: security_association
                        
                        	Security association parameters
                        	**type**\:   :py:class:`SecurityAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation>`
                        
                        .. attribute:: transform_set
                        
                        	Specify list of transform sets in priority order
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.group = None
                            self.identity = None
                            self.ikev2_profile = None
                            self.isakmp_profile = None
                            self.pfs = None
                            self.reverse_route = None
                            self.security_association = Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation()
                            self.security_association.parent = self
                            self.transform_set = None


                        class Pfs(object):
                            """
                            Specify pfs settings
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:pfs'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.MapIpv6.Map.Default.Set.Pfs']['meta_info']


                        class ReverseRoute(object):
                            """
                            Reverse Route Injection
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:reverse-route'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.MapIpv6.Map.Default.Set.ReverseRoute']['meta_info']


                        class SecurityAssociation(object):
                            """
                            Security association parameters
                            
                            .. attribute:: dfbit
                            
                            	Handling of encapsulated DF bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dummy
                            
                            	Enable transmitting dummy packets
                            	**type**\:   :py:class:`Dummy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.Dummy>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ecn
                            
                            	Handling of ECN bit
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: idle_time_container
                            
                            	
                            	**type**\:   :py:class:`IdleTimeContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.IdleTimeContainer>`
                            
                            .. attribute:: level
                            
                            	specify a security association granularity level for identities
                            	**type**\:   :py:class:`LevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.LevelEnum>`
                            
                            .. attribute:: lifetime
                            
                            	security association lifetime
                            	**type**\:   :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.Lifetime>`
                            
                            .. attribute:: replay
                            
                            	Set replay checking
                            	**type**\:   :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.Replay>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dfbit = None
                                self.dummy = None
                                self.ecn = None
                                self.idle_time_container = Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.IdleTimeContainer()
                                self.idle_time_container.parent = self
                                self.level = None
                                self.lifetime = Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.Lifetime()
                                self.lifetime.parent = self
                                self.replay = Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.Replay()
                                self.replay.parent = self

                            class LevelEnum(Enum):
                                """
                                LevelEnum

                                specify a security association granularity level for identities

                                .. data:: per_host = 0

                                """

                                per_host = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.LevelEnum']



                            class Dummy(object):
                                """
                                Enable transmitting dummy packets
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:dummy'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.Dummy']['meta_info']


                            class IdleTimeContainer(object):
                                """
                                
                                
                                .. attribute:: default
                                
                                	All SAs idle\-out reset to default peer
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: idle_time
                                
                                	Automatically delete IPSec SAs after a given idle period
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default = None
                                    self.idle_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:idle-time-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default is not None:
                                        return True

                                    if self.idle_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.IdleTimeContainer']['meta_info']


                            class Lifetime(object):
                                """
                                security association lifetime
                                
                                .. attribute:: days
                                
                                	Time\-based key duration in days
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: kilobytes
                                
                                	Volume\-based key duration
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: seconds
                                
                                	Time\-based key duration in seconds
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.days = None
                                    self.kilobytes = None
                                    self.seconds = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:lifetime'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.days is not None:
                                        return True

                                    if self.kilobytes is not None:
                                        return True

                                    if self.seconds is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.Lifetime']['meta_info']


                            class Replay(object):
                                """
                                Set replay checking.
                                
                                .. attribute:: disable
                                
                                	Disable replay checking
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: window_size
                                
                                	Set replay window size
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.disable = None
                                    self.window_size = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:replay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.disable is not None:
                                        return True

                                    if self.window_size is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation.Replay']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:security-association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dfbit is not None:
                                    return True

                                if self.dummy is not None and self.dummy._has_data():
                                    return True

                                if self.ecn is not None:
                                    return True

                                if self.idle_time_container is not None and self.idle_time_container._has_data():
                                    return True

                                if self.level is not None:
                                    return True

                                if self.lifetime is not None and self.lifetime._has_data():
                                    return True

                                if self.replay is not None and self.replay._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.MapIpv6.Map.Default.Set.SecurityAssociation']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:set'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.group is not None:
                                return True

                            if self.identity is not None:
                                return True

                            if self.ikev2_profile is not None:
                                return True

                            if self.isakmp_profile is not None:
                                return True

                            if self.pfs is not None and self.pfs._has_data():
                                return True

                            if self.reverse_route is not None and self.reverse_route._has_data():
                                return True

                            if self.security_association is not None and self.security_association._has_data():
                                return True

                            if self.transform_set is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.MapIpv6.Map.Default.Set']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.description is not None:
                            return True

                        if self.dialer is not None and self.dialer._has_data():
                            return True

                        if self.match is not None and self.match._has_data():
                            return True

                        if self.qos is not None and self.qos._has_data():
                            return True

                        if self.reverse_route is not None and self.reverse_route._has_data():
                            return True

                        if self.set is not None and self.set._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.MapIpv6.Map.Default']['meta_info']


                class Dialer(object):
                    """
                    Dialer related commands
                    
                    .. attribute:: pre_classify
                    
                    	Enable dialer list classification before initiating IKE
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.pre_classify = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:dialer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.pre_classify is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.MapIpv6.Map.Dialer']['meta_info']


                class Match(object):
                    """
                    Match values
                    
                    .. attribute:: address
                    
                    	Match address of packets to encrypt
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 100..199
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 2000..2699
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:match'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.MapIpv6.Map.Match']['meta_info']


                class Qos(object):
                    """
                    Quality of Service related commands
                    
                    .. attribute:: pre_classify
                    
                    	Enable QOS classification before packets are tunnel encapsulated
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.pre_classify = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:qos'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.pre_classify is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.MapIpv6.Map.Qos']['meta_info']


                class ReverseRoute(object):
                    """
                    Reverse Route Injection.
                    
                    .. attribute:: remote_peer_conatiner
                    
                    	
                    	**type**\:   :py:class:`RemotePeerConatiner <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.ReverseRoute.RemotePeerConatiner>`
                    
                    .. attribute:: static
                    
                    	Create routes based on static ACLs permanently
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.remote_peer_conatiner = Native.Crypto.MapIpv6.Map.ReverseRoute.RemotePeerConatiner()
                        self.remote_peer_conatiner.parent = self
                        self.static = None


                    class RemotePeerConatiner(object):
                        """
                        
                        
                        .. attribute:: gateway
                        
                        	Force encrypted traffic via this preferred gateway
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: remote_peer
                        
                        	Create route in route table for remote tunnel endpoint
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: static
                        
                        	Create routes based on static ACLs permanently
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.gateway = None
                            self.remote_peer = None
                            self.static = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:remote-peer-conatiner'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.gateway is not None:
                                return True

                            if self.remote_peer is not None:
                                return True

                            if self.static is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.MapIpv6.Map.ReverseRoute.RemotePeerConatiner']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:reverse-route'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.remote_peer_conatiner is not None and self.remote_peer_conatiner._has_data():
                            return True

                        if self.static is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.MapIpv6.Map.ReverseRoute']['meta_info']


                class Set(object):
                    """
                    Set values for encryption/decryption
                    
                    .. attribute:: group
                    
                    	Set the san group parameters
                    	**type**\:  str
                    
                    .. attribute:: identity
                    
                    	Identity restriction
                    	**type**\:  str
                    
                    .. attribute:: ikev2_profile
                    
                    	Specify ikev2 Profile
                    	**type**\:  str
                    
                    .. attribute:: isakmp_profile
                    
                    	Specify isakmp Profile
                    	**type**\:  str
                    
                    .. attribute:: peer
                    
                    	Allowed Encryption/Decryption peer
                    	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Set.Peer>`
                    
                    .. attribute:: pfs
                    
                    	Specify pfs settings
                    	**type**\:   :py:class:`Pfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Set.Pfs>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: reverse_route
                    
                    	Reverse Route Injection
                    	**type**\:   :py:class:`ReverseRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Set.ReverseRoute>`
                    
                    .. attribute:: security_association
                    
                    	Security association parameters
                    	**type**\:   :py:class:`SecurityAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Set.SecurityAssociation>`
                    
                    .. attribute:: transform_set
                    
                    	Specify list of transform sets in priority order
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.group = None
                        self.identity = None
                        self.ikev2_profile = None
                        self.isakmp_profile = None
                        self.peer = Native.Crypto.MapIpv6.Map.Set.Peer()
                        self.peer.parent = self
                        self.pfs = None
                        self.reverse_route = Native.Crypto.MapIpv6.Map.Set.ReverseRoute()
                        self.reverse_route.parent = self
                        self.security_association = Native.Crypto.MapIpv6.Map.Set.SecurityAssociation()
                        self.security_association.parent = self
                        self.transform_set = YLeafList()
                        self.transform_set.parent = self
                        self.transform_set.name = 'transform_set'


                    class Peer(object):
                        """
                        Allowed Encryption/Decryption peer.
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: default
                        
                        	Reset to default peer in list in the event of a failure
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dynamic
                        
                        	Resolve the peer address at the time of negotiation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.default = None
                            self.dynamic = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:peer'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.default is not None:
                                return True

                            if self.dynamic is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.MapIpv6.Map.Set.Peer']['meta_info']


                    class Pfs(object):
                        """
                        Specify pfs settings
                        
                        .. attribute:: group
                        
                        	
                        	**type**\:   :py:class:`GroupEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Set.Pfs.GroupEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.group = None

                        class GroupEnum(Enum):
                            """
                            GroupEnum

                            .. data:: group1 = 0

                            .. data:: group14 = 1

                            .. data:: group15 = 2

                            .. data:: group16 = 3

                            .. data:: group19 = 4

                            .. data:: group2 = 5

                            .. data:: group20 = 6

                            .. data:: group21 = 7

                            .. data:: group24 = 8

                            .. data:: group5 = 9

                            """

                            group1 = 0

                            group14 = 1

                            group15 = 2

                            group16 = 3

                            group19 = 4

                            group2 = 5

                            group20 = 6

                            group21 = 7

                            group24 = 8

                            group5 = 9


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.MapIpv6.Map.Set.Pfs.GroupEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:pfs'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.group is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.MapIpv6.Map.Set.Pfs']['meta_info']


                    class ReverseRoute(object):
                        """
                        Reverse Route Injection
                        
                        .. attribute:: distance
                        
                        	Distance metric for this static route
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: tag
                        
                        	Create route and tag it
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.distance = None
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:reverse-route'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.distance is not None:
                                return True

                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.MapIpv6.Map.Set.ReverseRoute']['meta_info']


                    class SecurityAssociation(object):
                        """
                        Security association parameters
                        
                        .. attribute:: dfbit
                        
                        	Handling of encapsulated DF bit
                        	**type**\:   :py:class:`DfbitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.DfbitEnum>`
                        
                        .. attribute:: dummy
                        
                        	Enable transmitting dummy packets
                        	**type**\:   :py:class:`Dummy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Dummy>`
                        
                        .. attribute:: ecn
                        
                        	Handling of ECN bit
                        	**type**\:   :py:class:`EcnEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.EcnEnum>`
                        
                        .. attribute:: idle_time_container
                        
                        	
                        	**type**\:   :py:class:`IdleTimeContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.IdleTimeContainer>`
                        
                        .. attribute:: level
                        
                        	specify a security association granularity level for identities
                        	**type**\:   :py:class:`LevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.LevelEnum>`
                        
                        .. attribute:: lifetime
                        
                        	security association lifetime
                        	**type**\:   :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Lifetime>`
                        
                        .. attribute:: replay
                        
                        	Set replay checking
                        	**type**\:   :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Replay>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dfbit = None
                            self.dummy = Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Dummy()
                            self.dummy.parent = self
                            self.ecn = None
                            self.idle_time_container = Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.IdleTimeContainer()
                            self.idle_time_container.parent = self
                            self.level = None
                            self.lifetime = Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Lifetime()
                            self.lifetime.parent = self
                            self.replay = Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Replay()
                            self.replay.parent = self

                        class DfbitEnum(Enum):
                            """
                            DfbitEnum

                            Handling of encapsulated DF bit.

                            .. data:: clear = 0

                            .. data:: copy = 1

                            .. data:: set = 2

                            """

                            clear = 0

                            copy = 1

                            set = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.DfbitEnum']


                        class EcnEnum(Enum):
                            """
                            EcnEnum

                            Handling of ECN bit

                            .. data:: discard = 0

                            .. data:: propagate = 1

                            """

                            discard = 0

                            propagate = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.EcnEnum']


                        class LevelEnum(Enum):
                            """
                            LevelEnum

                            specify a security association granularity level for identities

                            .. data:: per_host = 0

                            """

                            per_host = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.LevelEnum']



                        class Dummy(object):
                            """
                            Enable transmitting dummy packets
                            
                            .. attribute:: pps
                            
                            	Simulated traffic rate (in pps)
                            	**type**\:  int
                            
                            	**range:** 0..25
                            
                            .. attribute:: seconds
                            
                            	Simulated traffic rate (in seconds)
                            	**type**\:  int
                            
                            	**range:** 1..3600
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.pps = None
                                self.seconds = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:dummy'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.pps is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Dummy']['meta_info']


                        class IdleTimeContainer(object):
                            """
                            
                            
                            .. attribute:: default
                            
                            	All SAs idle\-out reset to default peer
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: idle_time
                            
                            	Automatically delete IPSec SAs after a given idle period
                            	**type**\:  int
                            
                            	**range:** 60..86400
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.default = None
                                self.idle_time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:idle-time-container'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.default is not None:
                                    return True

                                if self.idle_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.IdleTimeContainer']['meta_info']


                        class Lifetime(object):
                            """
                            security association lifetime
                            
                            .. attribute:: days
                            
                            	Time\-based key duration in days
                            	**type**\:  int
                            
                            	**range:** 1..30
                            
                            .. attribute:: kilobytes
                            
                            	Volume\-based key duration
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 2560..4294967295
                            
                            
                            ----
                            	**type**\:   :py:class:`KilobytesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Lifetime.KilobytesEnum>`
                            
                            
                            ----
                            .. attribute:: seconds
                            
                            	Time\-based key duration in seconds
                            	**type**\:  int
                            
                            	**range:** 120..2592000
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.days = None
                                self.kilobytes = None
                                self.seconds = None

                            class KilobytesEnum(Enum):
                                """
                                KilobytesEnum

                                Volume\-based key duration

                                .. data:: disable = 0

                                """

                                disable = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Lifetime.KilobytesEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:lifetime'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.days is not None:
                                    return True

                                if self.kilobytes is not None:
                                    return True

                                if self.seconds is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Lifetime']['meta_info']


                        class Replay(object):
                            """
                            Set replay checking.
                            
                            .. attribute:: disable
                            
                            	Disable replay checking
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: window_size
                            
                            	Set replay window size
                            	**type**\:   :py:class:`WindowSizeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Replay.WindowSizeEnum>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.disable = None
                                self.window_size = None

                            class WindowSizeEnum(Enum):
                                """
                                WindowSizeEnum

                                Set replay window size.

                                .. data:: Y_1024 = 0

                                .. data:: Y_128 = 1

                                .. data:: Y_256 = 2

                                .. data:: Y_512 = 3

                                .. data:: Y_64 = 4

                                """

                                Y_1024 = 0

                                Y_128 = 1

                                Y_256 = 2

                                Y_512 = 3

                                Y_64 = 4


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Replay.WindowSizeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:replay'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.disable is not None:
                                    return True

                                if self.window_size is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.MapIpv6.Map.Set.SecurityAssociation.Replay']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:security-association'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dfbit is not None:
                                return True

                            if self.dummy is not None and self.dummy._has_data():
                                return True

                            if self.ecn is not None:
                                return True

                            if self.idle_time_container is not None and self.idle_time_container._has_data():
                                return True

                            if self.level is not None:
                                return True

                            if self.lifetime is not None and self.lifetime._has_data():
                                return True

                            if self.replay is not None and self.replay._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.MapIpv6.Map.Set.SecurityAssociation']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:set'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.group is not None:
                            return True

                        if self.identity is not None:
                            return True

                        if self.ikev2_profile is not None:
                            return True

                        if self.isakmp_profile is not None:
                            return True

                        if self.peer is not None and self.peer._has_data():
                            return True

                        if self.pfs is not None and self.pfs._has_data():
                            return True

                        if self.reverse_route is not None and self.reverse_route._has_data():
                            return True

                        if self.security_association is not None and self.security_association._has_data():
                            return True

                        if self.transform_set is not None:
                            for child in self.transform_set:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.MapIpv6.Map.Set']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:map-ipv6/Cisco-IOS-XE-crypto:map[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.default is not None and self.default._has_data():
                        return True

                    if self.description is not None:
                        return True

                    if self.dialer is not None and self.dialer._has_data():
                        return True

                    if self.dynamic is not None:
                        return True

                    if self.ipv6 is not None:
                        return True

                    if self.keying is not None:
                        return True

                    if self.match is not None and self.match._has_data():
                        return True

                    if self.profile is not None:
                        return True

                    if self.qos is not None and self.qos._has_data():
                        return True

                    if self.reverse_route is not None and self.reverse_route._has_data():
                        return True

                    if self.sequence_number is not None:
                        return True

                    if self.set is not None and self.set._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.MapIpv6.Map']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:map-ipv6'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.map is not None:
                    for child_ref in self.map:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Crypto.MapIpv6']['meta_info']


        class MapIpv6Gdoi(object):
            """
            
            
            .. attribute:: map
            
            	Enter a crypto map
            	**type**\: list of    :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6Gdoi.Map>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.map = YList()
                self.map.parent = self
                self.map.name = 'map'


            class Map(object):
                """
                Enter a crypto map
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: activate
                
                	Activate the crypto map to work in fail\-close mode
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6Gdoi.Map.Default>`
                
                .. attribute:: gdoi
                
                	Configure crypto map gdoi features
                	**type**\:   :py:class:`GdoiEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6Gdoi.Map.GdoiEnum>`
                
                .. attribute:: ipv6
                
                	IPv6 crypto map
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: match
                
                	Match address of packets for fail\-close
                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6Gdoi.Map.Match>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.activate = None
                    self.default = Native.Crypto.MapIpv6Gdoi.Map.Default()
                    self.default.parent = self
                    self.gdoi = None
                    self.ipv6 = None
                    self.match = Native.Crypto.MapIpv6Gdoi.Map.Match()
                    self.match.parent = self

                class GdoiEnum(Enum):
                    """
                    GdoiEnum

                    Configure crypto map gdoi features

                    .. data:: fail_close = 0

                    """

                    fail_close = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.MapIpv6Gdoi.Map.GdoiEnum']



                class Default(object):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: activate
                    
                    	Activate the crypto map to work in fail\-close mode
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: match
                    
                    	Match address of packets for fail\-close
                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6Gdoi.Map.Default.Match>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.activate = None
                        self.match = Native.Crypto.MapIpv6Gdoi.Map.Default.Match()
                        self.match.parent = self


                    class Match(object):
                        """
                        Match address of packets for fail\-close
                        
                        .. attribute:: address
                        
                        	Match address of packets for fail\-close
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:match'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.MapIpv6Gdoi.Map.Default.Match']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.activate is not None:
                            return True

                        if self.match is not None and self.match._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.MapIpv6Gdoi.Map.Default']['meta_info']


                class Match(object):
                    """
                    Match address of packets for fail\-close
                    
                    .. attribute:: address
                    
                    	Match address of packets for fail\-close
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 100..199
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 2000..2699
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:match'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.MapIpv6Gdoi.Map.Match']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:map-ipv6-gdoi/Cisco-IOS-XE-crypto:map[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.activate is not None:
                        return True

                    if self.default is not None and self.default._has_data():
                        return True

                    if self.gdoi is not None:
                        return True

                    if self.ipv6 is not None:
                        return True

                    if self.match is not None and self.match._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.MapIpv6Gdoi.Map']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:map-ipv6-gdoi'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.map is not None:
                    for child_ref in self.map:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Crypto.MapIpv6Gdoi']['meta_info']


        class MapClient(object):
            """
            
            
            .. attribute:: map
            
            	Enter a crypto map
            	**type**\: list of    :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapClient.Map>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.map = YList()
                self.map.parent = self
                self.map.name = 'map'


            class Map(object):
                """
                Enter a crypto map
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: client
                
                	Specify client configuration settings
                	**type**\:   :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapClient.Map.Client>`
                
                .. attribute:: ipv6
                
                	IPv6 crypto map
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: isakmp
                
                	Specify isakmp configuration settings
                	**type**\:   :py:class:`Isakmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapClient.Map.Isakmp>`
                
                .. attribute:: isakmp_profile
                
                	Specify isakmp profile to use
                	**type**\:  str
                
                .. attribute:: local_address
                
                	Interface to use for local address for this crypto map
                	**type**\:  str
                
                .. attribute:: redundancy
                
                	High availability options for this map
                	**type**\:   :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapClient.Map.Redundancy>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.client = Native.Crypto.MapClient.Map.Client()
                    self.client.parent = self
                    self.ipv6 = None
                    self.isakmp = Native.Crypto.MapClient.Map.Isakmp()
                    self.isakmp.parent = self
                    self.isakmp_profile = None
                    self.local_address = None
                    self.redundancy = Native.Crypto.MapClient.Map.Redundancy()
                    self.redundancy.parent = self


                class Client(object):
                    """
                    Specify client configuration settings
                    
                    .. attribute:: accounting
                    
                    	Accounting parameters
                    	**type**\:   :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapClient.Map.Client.Accounting>`
                    
                    .. attribute:: authentication
                    
                    	Use Extended Authentication
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapClient.Map.Client.Authentication>`
                    
                    .. attribute:: configuration
                    
                    	Specify client configuration settings
                    	**type**\:   :py:class:`Configuration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapClient.Map.Client.Configuration>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.accounting = Native.Crypto.MapClient.Map.Client.Accounting()
                        self.accounting.parent = self
                        self.authentication = Native.Crypto.MapClient.Map.Client.Authentication()
                        self.authentication.parent = self
                        self.configuration = Native.Crypto.MapClient.Map.Client.Configuration()
                        self.configuration.parent = self


                    class Accounting(object):
                        """
                        Accounting parameters.
                        
                        .. attribute:: list
                        
                        	AAA accounting list to use
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.list = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:accounting'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.MapClient.Map.Client.Accounting']['meta_info']


                    class Authentication(object):
                        """
                        Use Extended Authentication
                        
                        .. attribute:: list
                        
                        	AAA authentication list to use
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.list = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.MapClient.Map.Client.Authentication']['meta_info']


                    class Configuration(object):
                        """
                        Specify client configuration settings
                        
                        .. attribute:: address
                        
                        	Specify client network address configuration
                        	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapClient.Map.Client.Configuration.Address>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = Native.Crypto.MapClient.Map.Client.Configuration.Address()
                            self.address.parent = self


                        class Address(object):
                            """
                            Specify client network address configuration
                            
                            .. attribute:: initiate
                            
                            	Push the network address to the client
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: respond
                            
                            	Respond to network address requests from the client
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.initiate = None
                                self.respond = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.initiate is not None:
                                    return True

                                if self.respond is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.MapClient.Map.Client.Configuration.Address']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:configuration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None and self.address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.MapClient.Map.Client.Configuration']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:client'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.accounting is not None and self.accounting._has_data():
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.configuration is not None and self.configuration._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.MapClient.Map.Client']['meta_info']


                class Isakmp(object):
                    """
                    Specify isakmp configuration settings
                    
                    .. attribute:: authorization
                    
                    	Authorization parameters
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: list
                    
                    	AAA Authorization list to use
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authorization = None
                        self.list = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:isakmp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authorization is not None:
                            return True

                        if self.list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.MapClient.Map.Isakmp']['meta_info']


                class Redundancy(object):
                    """
                    High availability options for this map
                    
                    .. attribute:: replay_interval
                    
                    	HA replay counter interval
                    	**type**\:   :py:class:`ReplayInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapClient.Map.Redundancy.ReplayInterval>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.replay_interval = Native.Crypto.MapClient.Map.Redundancy.ReplayInterval()
                        self.replay_interval.parent = self


                    class ReplayInterval(object):
                        """
                        HA replay counter interval
                        
                        .. attribute:: inbound
                        
                        	HA inbound replay counter interval
                        	**type**\:  int
                        
                        	**range:** 0..1000
                        
                        .. attribute:: outbound
                        
                        	HA outbound replay counter interval
                        	**type**\:  int
                        
                        	**range:** 1000..10000
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.inbound = None
                            self.outbound = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:replay-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.inbound is not None:
                                return True

                            if self.outbound is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.MapClient.Map.Redundancy.ReplayInterval']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:redundancy'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.replay_interval is not None and self.replay_interval._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.MapClient.Map.Redundancy']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:map-client/Cisco-IOS-XE-crypto:map[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.client is not None and self.client._has_data():
                        return True

                    if self.ipv6 is not None:
                        return True

                    if self.isakmp is not None and self.isakmp._has_data():
                        return True

                    if self.isakmp_profile is not None:
                        return True

                    if self.local_address is not None:
                        return True

                    if self.redundancy is not None and self.redundancy._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.MapClient.Map']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:map-client'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.map is not None:
                    for child_ref in self.map:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Crypto.MapClient']['meta_info']


        class Mib(object):
            """
            Configure Crypto\-related MIB Parameters
            
            .. attribute:: ipsec
            
            	onfigure MIB Parameters
            	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Mib.Ipsec>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ipsec = Native.Crypto.Mib.Ipsec()
                self.ipsec.parent = self


            class Ipsec(object):
                """
                onfigure MIB Parameters
                
                .. attribute:: flowmib
                
                	Configure IPSec Flow\-MIB Parameters
                	**type**\:   :py:class:`Flowmib <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Mib.Ipsec.Flowmib>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.flowmib = Native.Crypto.Mib.Ipsec.Flowmib()
                    self.flowmib.parent = self


                class Flowmib(object):
                    """
                    Configure IPSec Flow\-MIB Parameters
                    
                    .. attribute:: history
                    
                    	Configure IPSEC Flow MIB History Parameters
                    	**type**\:   :py:class:`History <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Mib.Ipsec.Flowmib.History>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.history = Native.Crypto.Mib.Ipsec.Flowmib.History()
                        self.history.parent = self


                    class History(object):
                        """
                        Configure IPSEC Flow MIB History Parameters
                        
                        .. attribute:: failure
                        
                        	Configure IPSEC Flow MIB Failure History Parameters
                        	**type**\:   :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Mib.Ipsec.Flowmib.History.Failure>`
                        
                        .. attribute:: tunnel
                        
                        	Configure IPSEC Flow MIB Tunnel History Parameters
                        	**type**\:   :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Mib.Ipsec.Flowmib.History.Tunnel>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.failure = Native.Crypto.Mib.Ipsec.Flowmib.History.Failure()
                            self.failure.parent = self
                            self.tunnel = Native.Crypto.Mib.Ipsec.Flowmib.History.Tunnel()
                            self.tunnel.parent = self


                        class Failure(object):
                            """
                            Configure IPSEC Flow MIB Failure History Parameters
                            
                            .. attribute:: size
                            
                            	Configure IPSEC Flow MIB Tunnel Failure History Window Size
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.size = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:mib/Cisco-IOS-XE-crypto:ipsec/Cisco-IOS-XE-crypto:flowmib/Cisco-IOS-XE-crypto:history/Cisco-IOS-XE-crypto:failure'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.size is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Mib.Ipsec.Flowmib.History.Failure']['meta_info']


                        class Tunnel(object):
                            """
                            Configure IPSEC Flow MIB Tunnel History Parameters
                            
                            .. attribute:: size
                            
                            	Configure IPSEC Flow MIB Tunnel Failure History Window Size
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.size = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:mib/Cisco-IOS-XE-crypto:ipsec/Cisco-IOS-XE-crypto:flowmib/Cisco-IOS-XE-crypto:history/Cisco-IOS-XE-crypto:tunnel'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.size is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Mib.Ipsec.Flowmib.History.Tunnel']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:mib/Cisco-IOS-XE-crypto:ipsec/Cisco-IOS-XE-crypto:flowmib/Cisco-IOS-XE-crypto:history'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.failure is not None and self.failure._has_data():
                                return True

                            if self.tunnel is not None and self.tunnel._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Mib.Ipsec.Flowmib.History']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:mib/Cisco-IOS-XE-crypto:ipsec/Cisco-IOS-XE-crypto:flowmib'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.history is not None and self.history._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Mib.Ipsec.Flowmib']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:mib/Cisco-IOS-XE-crypto:ipsec'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.flowmib is not None and self.flowmib._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Mib.Ipsec']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:mib'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ipsec is not None and self.ipsec._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Crypto.Mib']['meta_info']


        class Pki(object):
            """
            Public Key components
            
            .. attribute:: authenticate
            
            	Get the CA certificate
            	**type**\:  str
            
            .. attribute:: certificate
            
            	Actions on certificates
            	**type**\:   :py:class:`Certificate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate>`
            
            .. attribute:: crl
            
            	Actions on certificate revocation lists
            	**type**\:   :py:class:`Crl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Crl>`
            
            .. attribute:: default
            
            	set default values for tokens
            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Default>`
            
            .. attribute:: enroll
            
            	Request a certificate from a CA
            	**type**\:  str
            
            .. attribute:: export
            
            	Export certificate or PKCS12 file
            	**type**\: list of    :py:class:`Export <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Export>`
            
            .. attribute:: import_
            
            	Import certificate or PKCS12 file
            	**type**\: list of    :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Import_>`
            
            .. attribute:: profile
            
            	Define a certificate profile
            	**type**\:   :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile>`
            
            .. attribute:: server
            
            	Enable IOS Certificate server
            	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Server>`
            
            .. attribute:: token
            
            	Configure cryptographic token
            	**type**\:   :py:class:`Token <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Token>`
            
            .. attribute:: trustpoint
            
            	Define a CA trustpoint
            	**type**\: list of    :py:class:`Trustpoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpoint>`
            
            .. attribute:: trustpool
            
            	Define CA trustpool
            	**type**\:   :py:class:`Trustpool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpool>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.authenticate = None
                self.certificate = Native.Crypto.Pki.Certificate()
                self.certificate.parent = self
                self.crl = Native.Crypto.Pki.Crl()
                self.crl.parent = self
                self.default = Native.Crypto.Pki.Default()
                self.default.parent = self
                self.enroll = None
                self.export = YList()
                self.export.parent = self
                self.export.name = 'export'
                self.import_ = YList()
                self.import_.parent = self
                self.import_.name = 'import_'
                self.profile = Native.Crypto.Pki.Profile()
                self.profile.parent = self
                self.server = Native.Crypto.Pki.Server()
                self.server.parent = self
                self.token = Native.Crypto.Pki.Token()
                self.token.parent = self
                self.trustpoint = YList()
                self.trustpoint.parent = self
                self.trustpoint.name = 'trustpoint'
                self.trustpool = Native.Crypto.Pki.Trustpool()
                self.trustpool.parent = self


            class Certificate(object):
                """
                Actions on certificates
                
                .. attribute:: chain
                
                	Identify certificates
                	**type**\: list of    :py:class:`Chain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Chain>`
                
                .. attribute:: map
                
                	Define certificate attributes map
                	**type**\: list of    :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map>`
                
                .. attribute:: pool
                
                	Identify CA certificates in pool
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: query
                
                	Get certificates from the CA after reboot
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: storage
                
                	specify where to store certificates
                	**type**\:   :py:class:`Storage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Storage>`
                
                .. attribute:: validate
                
                	Validate a certificate chain
                	**type**\:  str
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.chain = YList()
                    self.chain.parent = self
                    self.chain.name = 'chain'
                    self.map = YList()
                    self.map.parent = self
                    self.map.name = 'map'
                    self.pool = None
                    self.query = None
                    self.storage = Native.Crypto.Pki.Certificate.Storage()
                    self.storage.parent = self
                    self.validate = None


                class Chain(object):
                    """
                    Identify certificates
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: certificate
                    
                    	Certificate issued by the CA
                    	**type**\: list of    :py:class:`Certificate_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Chain.Certificate_>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.certificate = YList()
                        self.certificate.parent = self
                        self.certificate.name = 'certificate'


                    class Certificate_(object):
                        """
                        Certificate issued by the CA
                        
                        .. attribute:: serial  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: certtype
                        
                        	
                        	**type**\:   :py:class:`CerttypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Chain.Certificate_.CerttypeEnum>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.serial = None
                            self.certtype = None

                        class CerttypeEnum(Enum):
                            """
                            CerttypeEnum

                            .. data:: ca = 0

                            .. data:: ra_encrypt = 1

                            .. data:: ra_general = 2

                            .. data:: ra_sign = 3

                            .. data:: rollover = 4

                            .. data:: self_signed = 5

                            """

                            ca = 0

                            ra_encrypt = 1

                            ra_general = 2

                            ra_sign = 3

                            rollover = 4

                            self_signed = 5


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Certificate.Chain.Certificate_.CerttypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.serial is None:
                                raise YPYModelError('Key property serial is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:certificate[Cisco-IOS-XE-crypto:serial = ' + str(self.serial) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.serial is not None:
                                return True

                            if self.certtype is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Certificate.Chain.Certificate_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:certificate/Cisco-IOS-XE-crypto:chain[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.certificate is not None:
                            for child_ref in self.certificate:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Pki.Certificate.Chain']['meta_info']


                class Map(object):
                    """
                    Define certificate attributes map
                    
                    .. attribute:: tag  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: alt_subject_name
                    
                    	Alternate subject name
                    	**type**\:   :py:class:`AltSubjectName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.AltSubjectName>`
                    
                    .. attribute:: expires_on
                    
                    	Expiration date/time
                    	**type**\:   :py:class:`ExpiresOn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ExpiresOn>`
                    
                    .. attribute:: issuer_name
                    
                    	Certificate issuer name
                    	**type**\:   :py:class:`IssuerName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.IssuerName>`
                    
                    .. attribute:: name
                    
                    	Any subject name field
                    	**type**\:   :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.Name>`
                    
                    .. attribute:: sequence
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: serial_number
                    
                    	Certificate serial number (hexidecimal)
                    	**type**\:   :py:class:`SerialNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.SerialNumber>`
                    
                    .. attribute:: subject_name
                    
                    	Certificate subject name
                    	**type**\:   :py:class:`SubjectName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.SubjectName>`
                    
                    .. attribute:: unstructured_subject_name
                    
                    	Unstructured subject name
                    	**type**\:   :py:class:`UnstructuredSubjectName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.UnstructuredSubjectName>`
                    
                    .. attribute:: valid_start
                    
                    	Valid after date/time
                    	**type**\:   :py:class:`ValidStart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ValidStart>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tag = None
                        self.alt_subject_name = Native.Crypto.Pki.Certificate.Map.AltSubjectName()
                        self.alt_subject_name.parent = self
                        self.expires_on = Native.Crypto.Pki.Certificate.Map.ExpiresOn()
                        self.expires_on.parent = self
                        self.issuer_name = Native.Crypto.Pki.Certificate.Map.IssuerName()
                        self.issuer_name.parent = self
                        self.name = Native.Crypto.Pki.Certificate.Map.Name()
                        self.name.parent = self
                        self.sequence = None
                        self.serial_number = Native.Crypto.Pki.Certificate.Map.SerialNumber()
                        self.serial_number.parent = self
                        self.subject_name = Native.Crypto.Pki.Certificate.Map.SubjectName()
                        self.subject_name.parent = self
                        self.unstructured_subject_name = Native.Crypto.Pki.Certificate.Map.UnstructuredSubjectName()
                        self.unstructured_subject_name.parent = self
                        self.valid_start = Native.Crypto.Pki.Certificate.Map.ValidStart()
                        self.valid_start.parent = self


                    class AltSubjectName(object):
                        """
                        Alternate subject name
                        
                        .. attribute:: co
                        
                        	Contains
                        	**type**\:  str
                        
                        .. attribute:: eq
                        
                        	Equal
                        	**type**\:  str
                        
                        .. attribute:: nc
                        
                        	Does not contain
                        	**type**\:  str
                        
                        .. attribute:: ne
                        
                        	Not Equal
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.co = None
                            self.eq = None
                            self.nc = None
                            self.ne = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:alt-subject-name'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.co is not None:
                                return True

                            if self.eq is not None:
                                return True

                            if self.nc is not None:
                                return True

                            if self.ne is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Certificate.Map.AltSubjectName']['meta_info']


                    class ExpiresOn(object):
                        """
                        Expiration date/time
                        
                        .. attribute:: eq
                        
                        	Equal
                        	**type**\:   :py:class:`Eq <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq>`
                        
                        .. attribute:: ge
                        
                        	Greater than or equal
                        	**type**\:   :py:class:`Ge <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge>`
                        
                        .. attribute:: lt
                        
                        	Less Than
                        	**type**\:   :py:class:`Lt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt>`
                        
                        .. attribute:: ne
                        
                        	Not Equal
                        	**type**\:   :py:class:`Ne <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eq = Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq()
                            self.eq.parent = self
                            self.ge = Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge()
                            self.ge.parent = self
                            self.lt = Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt()
                            self.lt.parent = self
                            self.ne = Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne()
                            self.ne.parent = self


                        class Eq(object):
                            """
                            Equal
                            
                            .. attribute:: time
                            
                            	
                            	**type**\:   :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq.Time>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.time = Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq.Time()
                                self.time.parent = self


                            class Time(object):
                                """
                                
                                
                                .. attribute:: clock
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: date1
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..31
                                
                                .. attribute:: date2
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month1
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: month2
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: utc
                                
                                	Time is in UTC (not local Time Zone)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: year
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1993..2035
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.clock = None
                                    self.date1 = None
                                    self.date2 = None
                                    self.month1 = None
                                    self.month2 = None
                                    self.utc = None
                                    self.year = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:time'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.clock is not None:
                                        return True

                                    if self.date1 is not None:
                                        return True

                                    if self.date2 is not None:
                                        return True

                                    if self.month1 is not None:
                                        return True

                                    if self.month2 is not None:
                                        return True

                                    if self.utc is not None:
                                        return True

                                    if self.year is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq.Time']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:eq'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.time is not None and self.time._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq']['meta_info']


                        class Ge(object):
                            """
                            Greater than or equal
                            
                            .. attribute:: time
                            
                            	
                            	**type**\:   :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge.Time>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.time = Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge.Time()
                                self.time.parent = self


                            class Time(object):
                                """
                                
                                
                                .. attribute:: clock
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: date1
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..31
                                
                                .. attribute:: date2
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month1
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: month2
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: utc
                                
                                	Time is in UTC (not local Time Zone)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: year
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1993..2035
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.clock = None
                                    self.date1 = None
                                    self.date2 = None
                                    self.month1 = None
                                    self.month2 = None
                                    self.utc = None
                                    self.year = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:time'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.clock is not None:
                                        return True

                                    if self.date1 is not None:
                                        return True

                                    if self.date2 is not None:
                                        return True

                                    if self.month1 is not None:
                                        return True

                                    if self.month2 is not None:
                                        return True

                                    if self.utc is not None:
                                        return True

                                    if self.year is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge.Time']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:ge'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.time is not None and self.time._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge']['meta_info']


                        class Lt(object):
                            """
                            Less Than
                            
                            .. attribute:: time
                            
                            	
                            	**type**\:   :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt.Time>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.time = Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt.Time()
                                self.time.parent = self


                            class Time(object):
                                """
                                
                                
                                .. attribute:: clock
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: date1
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..31
                                
                                .. attribute:: date2
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month1
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: month2
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: utc
                                
                                	Time is in UTC (not local Time Zone)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: year
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1993..2035
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.clock = None
                                    self.date1 = None
                                    self.date2 = None
                                    self.month1 = None
                                    self.month2 = None
                                    self.utc = None
                                    self.year = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:time'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.clock is not None:
                                        return True

                                    if self.date1 is not None:
                                        return True

                                    if self.date2 is not None:
                                        return True

                                    if self.month1 is not None:
                                        return True

                                    if self.month2 is not None:
                                        return True

                                    if self.utc is not None:
                                        return True

                                    if self.year is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt.Time']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:lt'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.time is not None and self.time._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt']['meta_info']


                        class Ne(object):
                            """
                            Not Equal
                            
                            .. attribute:: time
                            
                            	
                            	**type**\:   :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne.Time>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.time = Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne.Time()
                                self.time.parent = self


                            class Time(object):
                                """
                                
                                
                                .. attribute:: clock
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: date1
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..31
                                
                                .. attribute:: date2
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month1
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: month2
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: utc
                                
                                	Time is in UTC (not local Time Zone)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: year
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1993..2035
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.clock = None
                                    self.date1 = None
                                    self.date2 = None
                                    self.month1 = None
                                    self.month2 = None
                                    self.utc = None
                                    self.year = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:time'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.clock is not None:
                                        return True

                                    if self.date1 is not None:
                                        return True

                                    if self.date2 is not None:
                                        return True

                                    if self.month1 is not None:
                                        return True

                                    if self.month2 is not None:
                                        return True

                                    if self.utc is not None:
                                        return True

                                    if self.year is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne.Time']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:ne'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.time is not None and self.time._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:expires-on'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eq is not None and self.eq._has_data():
                                return True

                            if self.ge is not None and self.ge._has_data():
                                return True

                            if self.lt is not None and self.lt._has_data():
                                return True

                            if self.ne is not None and self.ne._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Certificate.Map.ExpiresOn']['meta_info']


                    class IssuerName(object):
                        """
                        Certificate issuer name
                        
                        .. attribute:: co
                        
                        	Contains
                        	**type**\:  str
                        
                        .. attribute:: eq
                        
                        	Equal
                        	**type**\:  str
                        
                        .. attribute:: nc
                        
                        	Does not contain
                        	**type**\:  str
                        
                        .. attribute:: ne
                        
                        	Not Equal
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.co = None
                            self.eq = None
                            self.nc = None
                            self.ne = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:issuer-name'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.co is not None:
                                return True

                            if self.eq is not None:
                                return True

                            if self.nc is not None:
                                return True

                            if self.ne is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Certificate.Map.IssuerName']['meta_info']


                    class Name(object):
                        """
                        Any subject name field
                        
                        .. attribute:: co
                        
                        	Contains
                        	**type**\:  str
                        
                        .. attribute:: eq
                        
                        	Equal
                        	**type**\:  str
                        
                        .. attribute:: nc
                        
                        	Does not contain
                        	**type**\:  str
                        
                        .. attribute:: ne
                        
                        	Not Equal
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.co = None
                            self.eq = None
                            self.nc = None
                            self.ne = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:name'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.co is not None:
                                return True

                            if self.eq is not None:
                                return True

                            if self.nc is not None:
                                return True

                            if self.ne is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Certificate.Map.Name']['meta_info']


                    class SerialNumber(object):
                        """
                        Certificate serial number (hexidecimal)
                        
                        .. attribute:: co
                        
                        	Contains
                        	**type**\:  str
                        
                        .. attribute:: eq
                        
                        	Equal
                        	**type**\:  str
                        
                        .. attribute:: nc
                        
                        	Does not contain
                        	**type**\:  str
                        
                        .. attribute:: ne
                        
                        	Not Equal
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.co = None
                            self.eq = None
                            self.nc = None
                            self.ne = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:serial-number'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.co is not None:
                                return True

                            if self.eq is not None:
                                return True

                            if self.nc is not None:
                                return True

                            if self.ne is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Certificate.Map.SerialNumber']['meta_info']


                    class SubjectName(object):
                        """
                        Certificate subject name
                        
                        .. attribute:: co
                        
                        	Contains
                        	**type**\:  str
                        
                        .. attribute:: eq
                        
                        	Equal
                        	**type**\:  str
                        
                        .. attribute:: nc
                        
                        	Does not contain
                        	**type**\:  str
                        
                        .. attribute:: ne
                        
                        	Not Equal
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.co = None
                            self.eq = None
                            self.nc = None
                            self.ne = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:subject-name'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.co is not None:
                                return True

                            if self.eq is not None:
                                return True

                            if self.nc is not None:
                                return True

                            if self.ne is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Certificate.Map.SubjectName']['meta_info']


                    class UnstructuredSubjectName(object):
                        """
                        Unstructured subject name
                        
                        .. attribute:: co
                        
                        	Contains
                        	**type**\:  str
                        
                        .. attribute:: eq
                        
                        	Equal
                        	**type**\:  str
                        
                        .. attribute:: nc
                        
                        	Does not contain
                        	**type**\:  str
                        
                        .. attribute:: ne
                        
                        	Not Equal
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.co = None
                            self.eq = None
                            self.nc = None
                            self.ne = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:unstructured-subject-name'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.co is not None:
                                return True

                            if self.eq is not None:
                                return True

                            if self.nc is not None:
                                return True

                            if self.ne is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Certificate.Map.UnstructuredSubjectName']['meta_info']


                    class ValidStart(object):
                        """
                        Valid after date/time
                        
                        .. attribute:: eq
                        
                        	Equal
                        	**type**\:   :py:class:`Eq <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ValidStart.Eq>`
                        
                        .. attribute:: ge
                        
                        	Greater than or equal
                        	**type**\:   :py:class:`Ge <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ValidStart.Ge>`
                        
                        .. attribute:: lt
                        
                        	Less Than
                        	**type**\:   :py:class:`Lt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ValidStart.Lt>`
                        
                        .. attribute:: ne
                        
                        	Not Equal
                        	**type**\:   :py:class:`Ne <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ValidStart.Ne>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eq = Native.Crypto.Pki.Certificate.Map.ValidStart.Eq()
                            self.eq.parent = self
                            self.ge = Native.Crypto.Pki.Certificate.Map.ValidStart.Ge()
                            self.ge.parent = self
                            self.lt = Native.Crypto.Pki.Certificate.Map.ValidStart.Lt()
                            self.lt.parent = self
                            self.ne = Native.Crypto.Pki.Certificate.Map.ValidStart.Ne()
                            self.ne.parent = self


                        class Eq(object):
                            """
                            Equal
                            
                            .. attribute:: time
                            
                            	
                            	**type**\:   :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ValidStart.Eq.Time>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.time = Native.Crypto.Pki.Certificate.Map.ValidStart.Eq.Time()
                                self.time.parent = self


                            class Time(object):
                                """
                                
                                
                                .. attribute:: clock
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: date1
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..31
                                
                                .. attribute:: date2
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month1
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: month2
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: utc
                                
                                	Time is in UTC (not local Time Zone)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: year
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1993..2035
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.clock = None
                                    self.date1 = None
                                    self.date2 = None
                                    self.month1 = None
                                    self.month2 = None
                                    self.utc = None
                                    self.year = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:time'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.clock is not None:
                                        return True

                                    if self.date1 is not None:
                                        return True

                                    if self.date2 is not None:
                                        return True

                                    if self.month1 is not None:
                                        return True

                                    if self.month2 is not None:
                                        return True

                                    if self.utc is not None:
                                        return True

                                    if self.year is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart.Eq.Time']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:eq'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.time is not None and self.time._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart.Eq']['meta_info']


                        class Ge(object):
                            """
                            Greater than or equal
                            
                            .. attribute:: time
                            
                            	
                            	**type**\:   :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ValidStart.Ge.Time>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.time = Native.Crypto.Pki.Certificate.Map.ValidStart.Ge.Time()
                                self.time.parent = self


                            class Time(object):
                                """
                                
                                
                                .. attribute:: clock
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: date1
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..31
                                
                                .. attribute:: date2
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month1
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: month2
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: utc
                                
                                	Time is in UTC (not local Time Zone)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: year
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1993..2035
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.clock = None
                                    self.date1 = None
                                    self.date2 = None
                                    self.month1 = None
                                    self.month2 = None
                                    self.utc = None
                                    self.year = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:time'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.clock is not None:
                                        return True

                                    if self.date1 is not None:
                                        return True

                                    if self.date2 is not None:
                                        return True

                                    if self.month1 is not None:
                                        return True

                                    if self.month2 is not None:
                                        return True

                                    if self.utc is not None:
                                        return True

                                    if self.year is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart.Ge.Time']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:ge'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.time is not None and self.time._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart.Ge']['meta_info']


                        class Lt(object):
                            """
                            Less Than
                            
                            .. attribute:: time
                            
                            	
                            	**type**\:   :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ValidStart.Lt.Time>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.time = Native.Crypto.Pki.Certificate.Map.ValidStart.Lt.Time()
                                self.time.parent = self


                            class Time(object):
                                """
                                
                                
                                .. attribute:: clock
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: date1
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..31
                                
                                .. attribute:: date2
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month1
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: month2
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: utc
                                
                                	Time is in UTC (not local Time Zone)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: year
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1993..2035
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.clock = None
                                    self.date1 = None
                                    self.date2 = None
                                    self.month1 = None
                                    self.month2 = None
                                    self.utc = None
                                    self.year = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:time'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.clock is not None:
                                        return True

                                    if self.date1 is not None:
                                        return True

                                    if self.date2 is not None:
                                        return True

                                    if self.month1 is not None:
                                        return True

                                    if self.month2 is not None:
                                        return True

                                    if self.utc is not None:
                                        return True

                                    if self.year is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart.Lt.Time']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:lt'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.time is not None and self.time._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart.Lt']['meta_info']


                        class Ne(object):
                            """
                            Not Equal
                            
                            .. attribute:: time
                            
                            	
                            	**type**\:   :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ValidStart.Ne.Time>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.time = Native.Crypto.Pki.Certificate.Map.ValidStart.Ne.Time()
                                self.time.parent = self


                            class Time(object):
                                """
                                
                                
                                .. attribute:: clock
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: date1
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..31
                                
                                .. attribute:: date2
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month1
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: month2
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: utc
                                
                                	Time is in UTC (not local Time Zone)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: year
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1993..2035
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.clock = None
                                    self.date1 = None
                                    self.date2 = None
                                    self.month1 = None
                                    self.month2 = None
                                    self.utc = None
                                    self.year = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:time'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.clock is not None:
                                        return True

                                    if self.date1 is not None:
                                        return True

                                    if self.date2 is not None:
                                        return True

                                    if self.month1 is not None:
                                        return True

                                    if self.month2 is not None:
                                        return True

                                    if self.utc is not None:
                                        return True

                                    if self.year is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart.Ne.Time']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:ne'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.time is not None and self.time._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart.Ne']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:valid-start'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eq is not None and self.eq._has_data():
                                return True

                            if self.ge is not None and self.ge._has_data():
                                return True

                            if self.lt is not None and self.lt._has_data():
                                return True

                            if self.ne is not None and self.ne._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Certificate.Map.ValidStart']['meta_info']

                    @property
                    def _common_path(self):
                        if self.tag is None:
                            raise YPYModelError('Key property tag is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:certificate/Cisco-IOS-XE-crypto:map[Cisco-IOS-XE-crypto:tag = ' + str(self.tag) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tag is not None:
                            return True

                        if self.alt_subject_name is not None and self.alt_subject_name._has_data():
                            return True

                        if self.expires_on is not None and self.expires_on._has_data():
                            return True

                        if self.issuer_name is not None and self.issuer_name._has_data():
                            return True

                        if self.name is not None and self.name._has_data():
                            return True

                        if self.sequence is not None:
                            return True

                        if self.serial_number is not None and self.serial_number._has_data():
                            return True

                        if self.subject_name is not None and self.subject_name._has_data():
                            return True

                        if self.unstructured_subject_name is not None and self.unstructured_subject_name._has_data():
                            return True

                        if self.valid_start is not None and self.valid_start._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Pki.Certificate.Map']['meta_info']


                class Storage(object):
                    """
                    specify where to store certificates
                    
                    .. attribute:: on
                    
                    	Create keypairs on device
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: path
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:   :py:class:`PathEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Storage.PathEnum>`
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: with_keypair
                    
                    	Store certificates with keypair
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.on = None
                        self.path = None
                        self.with_keypair = None

                    class PathEnum(Enum):
                        """
                        PathEnum

                        .. data:: bootflash__COLON__ = 0

                        .. data:: flash__COLON__ = 1

                        .. data:: nvram__COLON__ = 2

                        """

                        bootflash__COLON__ = 0

                        flash__COLON__ = 1

                        nvram__COLON__ = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Certificate.Storage.PathEnum']


                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:certificate/Cisco-IOS-XE-crypto:storage'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.on is not None:
                            return True

                        if self.path is not None:
                            return True

                        if self.with_keypair is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Pki.Certificate.Storage']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:certificate'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.chain is not None:
                        for child_ref in self.chain:
                            if child_ref._has_data():
                                return True

                    if self.map is not None:
                        for child_ref in self.map:
                            if child_ref._has_data():
                                return True

                    if self.pool is not None:
                        return True

                    if self.query is not None:
                        return True

                    if self.storage is not None and self.storage._has_data():
                        return True

                    if self.validate is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Pki.Certificate']['meta_info']


            class Crl(object):
                """
                Actions on certificate revocation lists
                
                .. attribute:: cache
                
                	Cache which holds recently parsed CRLs
                	**type**\:   :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Crl.Cache>`
                
                .. attribute:: download
                
                	auto\-download CRL
                	**type**\:   :py:class:`Download <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Crl.Download>`
                
                .. attribute:: request
                
                	Requests a current CRL
                	**type**\:  str
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cache = Native.Crypto.Pki.Crl.Cache()
                    self.cache.parent = self
                    self.download = Native.Crypto.Pki.Crl.Download()
                    self.download.parent = self
                    self.request = None


                class Cache(object):
                    """
                    Cache which holds recently parsed CRLs
                    
                    .. attribute:: size
                    
                    	Size of the recently parsed CRL cache
                    	**type**\:  int
                    
                    	**range:** 0..131072
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.size = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:crl/Cisco-IOS-XE-crypto:cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.size is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Pki.Crl.Cache']['meta_info']


                class Download(object):
                    """
                    auto\-download CRL
                    
                    .. attribute:: schedule
                    
                    	Schedule time to auto\-download CRL
                    	**type**\:   :py:class:`Schedule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Crl.Download.Schedule>`
                    
                    .. attribute:: trustpoint
                    
                    	Trustpoint to auto\-download CRL
                    	**type**\:  str
                    
                    .. attribute:: url
                    
                    	URL to auto\-download CRL
                    	**type**\:   :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Crl.Download.Url>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.schedule = Native.Crypto.Pki.Crl.Download.Schedule()
                        self.schedule.parent = self
                        self.trustpoint = None
                        self.url = Native.Crypto.Pki.Crl.Download.Url()
                        self.url.parent = self


                    class Schedule(object):
                        """
                        Schedule time to auto\-download CRL
                        
                        .. attribute:: prepublish
                        
                        	Requests CRL at prepublish time
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: retries
                        
                        	Retry request for failed CDP locations
                        	**type**\:   :py:class:`Retries <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Crl.Download.Schedule.Retries>`
                        
                        .. attribute:: time
                        
                        	Request auto\-download CRL at this time
                        	**type**\:   :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Crl.Download.Schedule.Time>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prepublish = None
                            self.retries = Native.Crypto.Pki.Crl.Download.Schedule.Retries()
                            self.retries.parent = self
                            self.time = Native.Crypto.Pki.Crl.Download.Schedule.Time()
                            self.time.parent = self


                        class Retries(object):
                            """
                            Retry request for failed CDP locations
                            
                            .. attribute:: interval
                            
                            	retry time interval for each attempt
                            	**type**\:  int
                            
                            	**range:** 15..600
                            
                            .. attribute:: number
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..15
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interval = None
                                self.number = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:crl/Cisco-IOS-XE-crypto:download/Cisco-IOS-XE-crypto:schedule/Cisco-IOS-XE-crypto:retries'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interval is not None:
                                    return True

                                if self.number is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Crl.Download.Schedule.Retries']['meta_info']


                        class Time(object):
                            """
                            Request auto\-download CRL at this time
                            
                            .. attribute:: clock
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: date
                            
                            	
                            	**type**\:   :py:class:`DateEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Crl.Download.Schedule.Time.DateEnum>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.clock = None
                                self.date = None

                            class DateEnum(Enum):
                                """
                                DateEnum

                                .. data:: Friday = 0

                                .. data:: Monday = 1

                                .. data:: Saturday = 2

                                .. data:: Sunday = 3

                                .. data:: Thursday = 4

                                .. data:: Tuesday = 5

                                .. data:: Wednesday = 6

                                """

                                Friday = 0

                                Monday = 1

                                Saturday = 2

                                Sunday = 3

                                Thursday = 4

                                Tuesday = 5

                                Wednesday = 6


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Pki.Crl.Download.Schedule.Time.DateEnum']


                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:crl/Cisco-IOS-XE-crypto:download/Cisco-IOS-XE-crypto:schedule/Cisco-IOS-XE-crypto:time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.clock is not None:
                                    return True

                                if self.date is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Crl.Download.Schedule.Time']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:crl/Cisco-IOS-XE-crypto:download/Cisco-IOS-XE-crypto:schedule'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prepublish is not None:
                                return True

                            if self.retries is not None and self.retries._has_data():
                                return True

                            if self.time is not None and self.time._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Crl.Download.Schedule']['meta_info']


                    class Url(object):
                        """
                        URL to auto\-download CRL
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: source_interface
                        
                        	Interface used as source address
                        	**type**\:  str
                        
                        .. attribute:: vrf
                        
                        	VRF to use for CRL download
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.source_interface = None
                            self.vrf = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:crl/Cisco-IOS-XE-crypto:download/Cisco-IOS-XE-crypto:url'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.source_interface is not None:
                                return True

                            if self.vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Crl.Download.Url']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:crl/Cisco-IOS-XE-crypto:download'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.schedule is not None and self.schedule._has_data():
                            return True

                        if self.trustpoint is not None:
                            return True

                        if self.url is not None and self.url._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Pki.Crl.Download']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:crl'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cache is not None and self.cache._has_data():
                        return True

                    if self.download is not None and self.download._has_data():
                        return True

                    if self.request is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Pki.Crl']['meta_info']


            class Export(object):
                """
                Export certificate or PKCS12 file
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: pem
                
                	Export to PEM files
                	**type**\:   :py:class:`Pem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Export.Pem>`
                
                .. attribute:: pkcs12
                
                	Export to PKCS12 file
                	**type**\:   :py:class:`Pkcs12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Export.Pkcs12>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.pem = Native.Crypto.Pki.Export.Pem()
                    self.pem.parent = self
                    self.pkcs12 = Native.Crypto.Pki.Export.Pkcs12()
                    self.pkcs12.parent = self


                class Pem(object):
                    """
                    Export to PEM files
                    
                    .. attribute:: terminal
                    
                    	Export via the terminal (cut\-and\-paste)
                    	**type**\:   :py:class:`Terminal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Export.Pem.Terminal>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: url
                    
                    	Export via the file systems
                    	**type**\:   :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Export.Pem.Url>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.terminal = None
                        self.url = Native.Crypto.Pki.Export.Pem.Url()
                        self.url.parent = self


                    class Terminal(object):
                        """
                        Export via the terminal (cut\-and\-paste)
                        
                        .. attribute:: des
                        
                        	Encrypt the private key with DES
                        	**type**\:   :py:class:`Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Export.Pem.Terminal.Des>`
                        
                        .. attribute:: pem_3des
                        
                        	Encrypt the private key with 3DES
                        	**type**\:   :py:class:`Pem3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Export.Pem.Terminal.Pem3Des>`
                        
                        .. attribute:: rollover
                        
                        	Export the rollover CA certificate
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.des = Native.Crypto.Pki.Export.Pem.Terminal.Des()
                            self.des.parent = self
                            self.pem_3des = Native.Crypto.Pki.Export.Pem.Terminal.Pem3Des()
                            self.pem_3des.parent = self
                            self.rollover = None


                        class Pem3Des(object):
                            """
                            Encrypt the private key with 3DES
                            
                            .. attribute:: password
                            
                            	Passphrase
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.password = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:pem-3des'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.password is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Export.Pem.Terminal.Pem3Des']['meta_info']


                        class Des(object):
                            """
                            Encrypt the private key with DES
                            
                            .. attribute:: password
                            
                            	Passphrase
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.password = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:des'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.password is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Export.Pem.Terminal.Des']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:terminal'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.des is not None and self.des._has_data():
                                return True

                            if self.pem_3des is not None and self.pem_3des._has_data():
                                return True

                            if self.rollover is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Export.Pem.Terminal']['meta_info']


                    class Url(object):
                        """
                        Export via the file systems
                        
                        .. attribute:: encrypt
                        
                        	
                        	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Export.Pem.Url.EncryptEnum>`
                        
                        .. attribute:: file
                        
                        	
                        	**type**\:   :py:class:`FileEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Export.Pem.Url.FileEnum>`
                        
                        .. attribute:: password
                        
                        	Passphrase
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.encrypt = None
                            self.file = None
                            self.password = None

                        class EncryptEnum(Enum):
                            """
                            EncryptEnum

                            .. data:: Y_3des = 0

                            .. data:: des = 1

                            """

                            Y_3des = 0

                            des = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Export.Pem.Url.EncryptEnum']


                        class FileEnum(Enum):
                            """
                            FileEnum

                            .. data:: bootflash__COLON__ = 0

                            .. data:: flash__COLON__ = 1

                            .. data:: ftp__COLON__ = 2

                            .. data:: http__COLON__ = 3

                            .. data:: https__COLON__ = 4

                            .. data:: null__COLON__ = 5

                            .. data:: nvram__COLON__ = 6

                            .. data:: pram__COLON__ = 7

                            .. data:: rcp__COLON__ = 8

                            .. data:: scp__COLON__ = 9

                            .. data:: system__COLON__ = 10

                            .. data:: tftp__COLON__ = 11

                            .. data:: tmpsys__COLON__ = 12

                            """

                            bootflash__COLON__ = 0

                            flash__COLON__ = 1

                            ftp__COLON__ = 2

                            http__COLON__ = 3

                            https__COLON__ = 4

                            null__COLON__ = 5

                            nvram__COLON__ = 6

                            pram__COLON__ = 7

                            rcp__COLON__ = 8

                            scp__COLON__ = 9

                            system__COLON__ = 10

                            tftp__COLON__ = 11

                            tmpsys__COLON__ = 12


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Export.Pem.Url.FileEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:url'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.encrypt is not None:
                                return True

                            if self.file is not None:
                                return True

                            if self.password is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Export.Pem.Url']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:pem'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.terminal is not None and self.terminal._has_data():
                            return True

                        if self.url is not None and self.url._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Pki.Export.Pem']['meta_info']


                class Pkcs12(object):
                    """
                    Export to PKCS12 file
                    
                    .. attribute:: file
                    
                    	
                    	**type**\:   :py:class:`FileEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Export.Pkcs12.FileEnum>`
                    
                    .. attribute:: password
                    
                    	Passphrase
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.file = None
                        self.password = None

                    class FileEnum(Enum):
                        """
                        FileEnum

                        .. data:: bootflash__COLON__ = 0

                        .. data:: flash__COLON__ = 1

                        .. data:: ftp__COLON__ = 2

                        .. data:: http__COLON__ = 3

                        .. data:: https__COLON__ = 4

                        .. data:: null__COLON__ = 5

                        .. data:: nvram__COLON__ = 6

                        .. data:: pram__COLON__ = 7

                        .. data:: rcp__COLON__ = 8

                        .. data:: scp__COLON__ = 9

                        .. data:: system__COLON__ = 10

                        .. data:: tftp__COLON__ = 11

                        .. data:: tmpsys__COLON__ = 12

                        """

                        bootflash__COLON__ = 0

                        flash__COLON__ = 1

                        ftp__COLON__ = 2

                        http__COLON__ = 3

                        https__COLON__ = 4

                        null__COLON__ = 5

                        nvram__COLON__ = 6

                        pram__COLON__ = 7

                        rcp__COLON__ = 8

                        scp__COLON__ = 9

                        system__COLON__ = 10

                        tftp__COLON__ = 11

                        tmpsys__COLON__ = 12


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Export.Pkcs12.FileEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:pkcs12'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.file is not None:
                            return True

                        if self.password is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Pki.Export.Pkcs12']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:export[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.pem is not None and self.pem._has_data():
                        return True

                    if self.pkcs12 is not None and self.pkcs12._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Pki.Export']['meta_info']


            class Import_(object):
                """
                Import certificate or PKCS12 file
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: certificate
                
                	Import a certificate from a TFTP server or the terminal
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pem
                
                	Import from PEM files
                	**type**\:   :py:class:`Pem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Import_.Pem>`
                
                .. attribute:: pkcs12
                
                	Import from PKCS12 file
                	**type**\:   :py:class:`Pkcs12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Import_.Pkcs12>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.certificate = None
                    self.pem = Native.Crypto.Pki.Import_.Pem()
                    self.pem.parent = self
                    self.pkcs12 = Native.Crypto.Pki.Import_.Pkcs12()
                    self.pkcs12.parent = self


                class Pem(object):
                    """
                    Import from PEM files
                    
                    .. attribute:: check
                    
                    	Validate certificate on input
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: exportable
                    
                    	Allow the key as to be exported
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: terminal
                    
                    	Import via the terminal (cut\-and\-paste)
                    	**type**\:   :py:class:`Terminal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Import_.Pem.Terminal>`
                    
                    .. attribute:: url
                    
                    	Export via the file systems
                    	**type**\:   :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Import_.Pem.Url>`
                    
                    .. attribute:: usage_keys
                    
                    	Usage key pairs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.check = None
                        self.exportable = None
                        self.terminal = Native.Crypto.Pki.Import_.Pem.Terminal()
                        self.terminal.parent = self
                        self.url = Native.Crypto.Pki.Import_.Pem.Url()
                        self.url.parent = self
                        self.usage_keys = None


                    class Terminal(object):
                        """
                        Import via the terminal (cut\-and\-paste)
                        
                        .. attribute:: password
                        
                        	Passphrase
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.password = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:terminal'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.password is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Import_.Pem.Terminal']['meta_info']


                    class Url(object):
                        """
                        Export via the file systems
                        
                        .. attribute:: file
                        
                        	
                        	**type**\:   :py:class:`FileEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Import_.Pem.Url.FileEnum>`
                        
                        .. attribute:: password
                        
                        	Passphrase
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.file = None
                            self.password = None

                        class FileEnum(Enum):
                            """
                            FileEnum

                            .. data:: bootflash__COLON__ = 0

                            .. data:: flash__COLON__ = 1

                            .. data:: ftp__COLON__ = 2

                            .. data:: http__COLON__ = 3

                            .. data:: https__COLON__ = 4

                            .. data:: null__COLON__ = 5

                            .. data:: nvram__COLON__ = 6

                            .. data:: pram__COLON__ = 7

                            .. data:: rcp__COLON__ = 8

                            .. data:: scp__COLON__ = 9

                            .. data:: system__COLON__ = 10

                            .. data:: tftp__COLON__ = 11

                            .. data:: tmpsys__COLON__ = 12

                            """

                            bootflash__COLON__ = 0

                            flash__COLON__ = 1

                            ftp__COLON__ = 2

                            http__COLON__ = 3

                            https__COLON__ = 4

                            null__COLON__ = 5

                            nvram__COLON__ = 6

                            pram__COLON__ = 7

                            rcp__COLON__ = 8

                            scp__COLON__ = 9

                            system__COLON__ = 10

                            tftp__COLON__ = 11

                            tmpsys__COLON__ = 12


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Import_.Pem.Url.FileEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:url'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.file is not None:
                                return True

                            if self.password is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Import_.Pem.Url']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:pem'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.check is not None:
                            return True

                        if self.exportable is not None:
                            return True

                        if self.terminal is not None and self.terminal._has_data():
                            return True

                        if self.url is not None and self.url._has_data():
                            return True

                        if self.usage_keys is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Pki.Import_.Pem']['meta_info']


                class Pkcs12(object):
                    """
                    Import from PKCS12 file
                    
                    .. attribute:: file
                    
                    	
                    	**type**\:   :py:class:`FileEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Import_.Pkcs12.FileEnum>`
                    
                    .. attribute:: password
                    
                    	Passphrase
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.file = None
                        self.password = None

                    class FileEnum(Enum):
                        """
                        FileEnum

                        .. data:: bootflash__COLON__ = 0

                        .. data:: flash__COLON__ = 1

                        .. data:: ftp__COLON__ = 2

                        .. data:: http__COLON__ = 3

                        .. data:: https__COLON__ = 4

                        .. data:: null__COLON__ = 5

                        .. data:: nvram__COLON__ = 6

                        .. data:: pram__COLON__ = 7

                        .. data:: rcp__COLON__ = 8

                        .. data:: scp__COLON__ = 9

                        .. data:: system__COLON__ = 10

                        .. data:: tftp__COLON__ = 11

                        .. data:: tmpsys__COLON__ = 12

                        """

                        bootflash__COLON__ = 0

                        flash__COLON__ = 1

                        ftp__COLON__ = 2

                        http__COLON__ = 3

                        https__COLON__ = 4

                        null__COLON__ = 5

                        nvram__COLON__ = 6

                        pram__COLON__ = 7

                        rcp__COLON__ = 8

                        scp__COLON__ = 9

                        system__COLON__ = 10

                        tftp__COLON__ = 11

                        tmpsys__COLON__ = 12


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Import_.Pkcs12.FileEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:pkcs12'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.file is not None:
                            return True

                        if self.password is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Pki.Import_.Pkcs12']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:import[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.certificate is not None:
                        return True

                    if self.pem is not None and self.pem._has_data():
                        return True

                    if self.pkcs12 is not None and self.pkcs12._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Pki.Import_']['meta_info']


            class Profile(object):
                """
                Define a certificate profile
                
                .. attribute:: enrollment
                
                	Define an enrollment profile
                	**type**\: list of    :py:class:`Enrollment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enrollment = YList()
                    self.enrollment.parent = self
                    self.enrollment.name = 'enrollment'


                class Enrollment(object):
                    """
                    Define an enrollment profile
                    
                    .. attribute:: tag  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: authentication
                    
                    	Retrieve CA certificate(s)
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Authentication>`
                    
                    .. attribute:: default
                    
                    	Set a command to its defaults
                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Default>`
                    
                    .. attribute:: enrollment
                    
                    	Enroll router with a CA
                    	**type**\:   :py:class:`Enrollment_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Enrollment_>`
                    
                    .. attribute:: method_est
                    
                    	Use EST for this profile
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: parameter
                    
                    	Define a parameter value or prompt
                    	**type**\: list of    :py:class:`Parameter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Parameter>`
                    
                    .. attribute:: reenrollment
                    
                    	Re\-enroll router with a CA
                    	**type**\:   :py:class:`Reenrollment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Reenrollment>`
                    
                    .. attribute:: source_interface
                    
                    	Interface used as source address
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tag = None
                        self.authentication = Native.Crypto.Pki.Profile.Enrollment.Authentication()
                        self.authentication.parent = self
                        self.default = Native.Crypto.Pki.Profile.Enrollment.Default()
                        self.default.parent = self
                        self.enrollment = Native.Crypto.Pki.Profile.Enrollment.Enrollment_()
                        self.enrollment.parent = self
                        self.method_est = None
                        self.parameter = YList()
                        self.parameter.parent = self
                        self.parameter.name = 'parameter'
                        self.reenrollment = Native.Crypto.Pki.Profile.Enrollment.Reenrollment()
                        self.reenrollment.parent = self
                        self.source_interface = None


                    class Authentication(object):
                        """
                        Retrieve CA certificate(s)
                        
                        .. attribute:: command
                        
                        	command to authenticate or enroll
                        	**type**\:  str
                        
                        .. attribute:: terminal
                        
                        	authenticate or enroll using terminal
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: url
                        
                        	url to authenticate/enroll
                        	**type**\:   :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Authentication.Url>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.command = None
                            self.terminal = None
                            self.url = Native.Crypto.Pki.Profile.Enrollment.Authentication.Url()
                            self.url.parent = self


                        class Url(object):
                            """
                            url to authenticate/enroll
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: vrf
                            
                            	VRF to use for certificate enrollment 
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:url'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Profile.Enrollment.Authentication.Url']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.command is not None:
                                return True

                            if self.terminal is not None:
                                return True

                            if self.url is not None and self.url._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Profile.Enrollment.Authentication']['meta_info']


                    class Enrollment_(object):
                        """
                        Enroll router with a CA
                        
                        .. attribute:: command
                        
                        	command to authenticate or enroll
                        	**type**\:  str
                        
                        .. attribute:: credential
                        
                        	Use existing router cert for new enrollment
                        	**type**\:  str
                        
                        .. attribute:: terminal
                        
                        	authenticate or enroll using terminal
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: url
                        
                        	url to authenticate/enroll
                        	**type**\:   :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Enrollment_.Url>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.command = None
                            self.credential = None
                            self.terminal = None
                            self.url = Native.Crypto.Pki.Profile.Enrollment.Enrollment_.Url()
                            self.url.parent = self


                        class Url(object):
                            """
                            url to authenticate/enroll
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: vrf
                            
                            	VRF to use for certificate enrollment 
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:url'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Profile.Enrollment.Enrollment_.Url']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:enrollment'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.command is not None:
                                return True

                            if self.credential is not None:
                                return True

                            if self.terminal is not None:
                                return True

                            if self.url is not None and self.url._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Profile.Enrollment.Enrollment_']['meta_info']


                    class Parameter(object):
                        """
                        Define a parameter value or prompt
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..8
                        
                        .. attribute:: prompt
                        
                        	Define a parameter prompt
                        	**type**\:  str
                        
                        .. attribute:: value
                        
                        	Define a parameter value
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.prompt = None
                            self.value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:parameter[Cisco-IOS-XE-crypto:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.prompt is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Profile.Enrollment.Parameter']['meta_info']


                    class Reenrollment(object):
                        """
                        Re\-enroll router with a CA
                        
                        .. attribute:: command
                        
                        	command to authenticate or enroll
                        	**type**\:  str
                        
                        .. attribute:: terminal
                        
                        	authenticate or enroll using terminal
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: url
                        
                        	url to authenticate/enroll
                        	**type**\:   :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Reenrollment.Url>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.command = None
                            self.terminal = None
                            self.url = Native.Crypto.Pki.Profile.Enrollment.Reenrollment.Url()
                            self.url.parent = self


                        class Url(object):
                            """
                            url to authenticate/enroll
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: vrf
                            
                            	VRF to use for certificate enrollment 
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:url'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Profile.Enrollment.Reenrollment.Url']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:reenrollment'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.command is not None:
                                return True

                            if self.terminal is not None:
                                return True

                            if self.url is not None and self.url._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Profile.Enrollment.Reenrollment']['meta_info']


                    class Default(object):
                        """
                        Set a command to its defaults
                        
                        .. attribute:: authentication
                        
                        	Retrieve CA certificate(s)
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Default.Authentication>`
                        
                        .. attribute:: enrollment
                        
                        	Enroll router with a CA
                        	**type**\:   :py:class:`Enrollment_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment_>`
                        
                        .. attribute:: method_est
                        
                        	Use EST for this profile
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: parameter
                        
                        	Define a parameter value or prompt
                        	**type**\: list of    :py:class:`Parameter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Default.Parameter>`
                        
                        .. attribute:: reenrollment
                        
                        	Re\-enroll router with a CA
                        	**type**\:   :py:class:`Reenrollment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment>`
                        
                        .. attribute:: source_interface
                        
                        	Interface used as source address
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.authentication = Native.Crypto.Pki.Profile.Enrollment.Default.Authentication()
                            self.authentication.parent = self
                            self.enrollment = Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment_()
                            self.enrollment.parent = self
                            self.method_est = None
                            self.parameter = YList()
                            self.parameter.parent = self
                            self.parameter.name = 'parameter'
                            self.reenrollment = Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment()
                            self.reenrollment.parent = self
                            self.source_interface = None


                        class Authentication(object):
                            """
                            Retrieve CA certificate(s)
                            
                            .. attribute:: command
                            
                            	command to authenticate or enroll
                            	**type**\:  str
                            
                            .. attribute:: terminal
                            
                            	authenticate or enroll using terminal
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: url
                            
                            	url to authenticate/enroll
                            	**type**\:   :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Default.Authentication.Url>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.command = None
                                self.terminal = None
                                self.url = Native.Crypto.Pki.Profile.Enrollment.Default.Authentication.Url()
                                self.url.parent = self


                            class Url(object):
                                """
                                url to authenticate/enroll
                                
                                .. attribute:: name
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vrf
                                
                                	VRF to use for certificate enrollment 
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:url'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Pki.Profile.Enrollment.Default.Authentication.Url']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.command is not None:
                                    return True

                                if self.terminal is not None:
                                    return True

                                if self.url is not None and self.url._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Profile.Enrollment.Default.Authentication']['meta_info']


                        class Enrollment_(object):
                            """
                            Enroll router with a CA
                            
                            .. attribute:: command
                            
                            	command to authenticate or enroll
                            	**type**\:  str
                            
                            .. attribute:: credential
                            
                            	Use existing router cert for new enrollment
                            	**type**\:  str
                            
                            .. attribute:: terminal
                            
                            	authenticate or enroll using terminal
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: url
                            
                            	url to authenticate/enroll
                            	**type**\:   :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment_.Url>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.command = None
                                self.credential = None
                                self.terminal = None
                                self.url = Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment_.Url()
                                self.url.parent = self


                            class Url(object):
                                """
                                url to authenticate/enroll
                                
                                .. attribute:: name
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vrf
                                
                                	VRF to use for certificate enrollment 
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:url'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment_.Url']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:enrollment'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.command is not None:
                                    return True

                                if self.credential is not None:
                                    return True

                                if self.terminal is not None:
                                    return True

                                if self.url is not None and self.url._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment_']['meta_info']


                        class Parameter(object):
                            """
                            Define a parameter value or prompt
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..8
                            
                            .. attribute:: prompt
                            
                            	Define a parameter prompt
                            	**type**\:  str
                            
                            .. attribute:: value
                            
                            	Define a parameter value
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.number = None
                                self.prompt = None
                                self.value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.number is None:
                                    raise YPYModelError('Key property number is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:parameter[Cisco-IOS-XE-crypto:number = ' + str(self.number) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.number is not None:
                                    return True

                                if self.prompt is not None:
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Profile.Enrollment.Default.Parameter']['meta_info']


                        class Reenrollment(object):
                            """
                            Re\-enroll router with a CA
                            
                            .. attribute:: command
                            
                            	command to authenticate or enroll
                            	**type**\:  str
                            
                            .. attribute:: terminal
                            
                            	authenticate or enroll using terminal
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: url
                            
                            	url to authenticate/enroll
                            	**type**\:   :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment.Url>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.command = None
                                self.terminal = None
                                self.url = Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment.Url()
                                self.url.parent = self


                            class Url(object):
                                """
                                url to authenticate/enroll
                                
                                .. attribute:: name
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vrf
                                
                                	VRF to use for certificate enrollment 
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-crypto:url'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment.Url']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:reenrollment'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.command is not None:
                                    return True

                                if self.terminal is not None:
                                    return True

                                if self.url is not None and self.url._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:default'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.enrollment is not None and self.enrollment._has_data():
                                return True

                            if self.method_est is not None:
                                return True

                            if self.parameter is not None:
                                for child_ref in self.parameter:
                                    if child_ref._has_data():
                                        return True

                            if self.reenrollment is not None and self.reenrollment._has_data():
                                return True

                            if self.source_interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Profile.Enrollment.Default']['meta_info']

                    @property
                    def _common_path(self):
                        if self.tag is None:
                            raise YPYModelError('Key property tag is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:profile/Cisco-IOS-XE-crypto:enrollment[Cisco-IOS-XE-crypto:tag = ' + str(self.tag) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tag is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.default is not None and self.default._has_data():
                            return True

                        if self.enrollment is not None and self.enrollment._has_data():
                            return True

                        if self.method_est is not None:
                            return True

                        if self.parameter is not None:
                            for child_ref in self.parameter:
                                if child_ref._has_data():
                                    return True

                        if self.reenrollment is not None and self.reenrollment._has_data():
                            return True

                        if self.source_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Pki.Profile.Enrollment']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:profile'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enrollment is not None:
                        for child_ref in self.enrollment:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Pki.Profile']['meta_info']


            class Server(object):
                """
                Enable IOS Certificate server
                
                .. attribute:: cancel
                
                	Cancel a pending rollover
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: rollover
                
                	Rollover the server's key and certificate
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cancel = None
                    self.name = None
                    self.rollover = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:server'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cancel is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.rollover is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Pki.Server']['meta_info']


            class Trustpoint(object):
                """
                Define a CA trustpoint
                
                .. attribute:: id  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: auto_enroll
                
                	Automatically enroll this router identity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: enrollment
                
                	Enrollment parameters
                	**type**\:   :py:class:`Enrollment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpoint.Enrollment>`
                
                .. attribute:: ip_address
                
                	include ip address
                	**type**\:   :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpoint.IpAddress>`
                
                .. attribute:: password
                
                	revocation password
                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpoint.Password>`
                
                	**presence node**\: True
                
                .. attribute:: revocation_check
                
                	Revocation checking options
                	**type**\:   :py:class:`RevocationCheckEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpoint.RevocationCheckEnum>`
                
                .. attribute:: rsakeypair
                
                	Specify rsakeypair for this identity
                	**type**\:   :py:class:`Rsakeypair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpoint.Rsakeypair>`
                
                .. attribute:: serial_number
                
                	help
                	**type**\:   :py:class:`SerialNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpoint.SerialNumber>`
                
                	**presence node**\: True
                
                .. attribute:: subject_name
                
                	Subject Name
                	**type**\:  str
                
                .. attribute:: vrf
                
                	Name of VRF to use with trustpoint
                	**type**\:  str
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.auto_enroll = None
                    self.enrollment = Native.Crypto.Pki.Trustpoint.Enrollment()
                    self.enrollment.parent = self
                    self.ip_address = Native.Crypto.Pki.Trustpoint.IpAddress()
                    self.ip_address.parent = self
                    self.password = None
                    self.revocation_check = None
                    self.rsakeypair = Native.Crypto.Pki.Trustpoint.Rsakeypair()
                    self.rsakeypair.parent = self
                    self.serial_number = None
                    self.subject_name = None
                    self.vrf = None

                class RevocationCheckEnum(Enum):
                    """
                    RevocationCheckEnum

                    Revocation checking options

                    .. data:: crl = 0

                    .. data:: none = 1

                    .. data:: ocsp = 2

                    """

                    crl = 0

                    none = 1

                    ocsp = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Pki.Trustpoint.RevocationCheckEnum']



                class Enrollment(object):
                    """
                    Enrollment parameters
                    
                    .. attribute:: http_proxy
                    
                    	HTTP proxy server for enrollment
                    	**type**\:  str
                    
                    .. attribute:: mode
                    
                    	Mode supported by the Certificate Authority
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpoint.Enrollment.Mode>`
                    
                    .. attribute:: pkcs12
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: profile
                    
                    	Specify an profile for enrollment
                    	**type**\:  str
                    
                    .. attribute:: retry
                    
                    	Polling parameters
                    	**type**\:   :py:class:`Retry <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpoint.Enrollment.Retry>`
                    
                    .. attribute:: selfsigned
                    
                    	Generate a Self Signed Certificate
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: terminal
                    
                    	Enroll via the terminal (cut\-and\-paste)
                    	**type**\:   :py:class:`Terminal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpoint.Enrollment.Terminal>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: url
                    
                    	CA server enrollment URL
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.http_proxy = None
                        self.mode = Native.Crypto.Pki.Trustpoint.Enrollment.Mode()
                        self.mode.parent = self
                        self.pkcs12 = None
                        self.profile = None
                        self.retry = Native.Crypto.Pki.Trustpoint.Enrollment.Retry()
                        self.retry.parent = self
                        self.selfsigned = None
                        self.terminal = None
                        self.url = None


                    class Mode(object):
                        """
                        Mode supported by the Certificate Authority
                        
                        .. attribute:: ra
                        
                        	Registration Authority mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ra = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ra is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Trustpoint.Enrollment.Mode']['meta_info']


                    class Retry(object):
                        """
                        Polling parameters
                        
                        .. attribute:: count
                        
                        	How many times to poll CA for our certificate
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        .. attribute:: period
                        
                        	How long to wait between requests to CA for our certificate
                        	**type**\:  int
                        
                        	**range:** 1..60
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.count = None
                            self.period = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:retry'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.count is not None:
                                return True

                            if self.period is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Trustpoint.Enrollment.Retry']['meta_info']


                    class Terminal(object):
                        """
                        Enroll via the terminal (cut\-and\-paste)
                        
                        .. attribute:: pem
                        
                        	Include PEM encapsulation boundaries
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.pem = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:terminal'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.pem is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Trustpoint.Enrollment.Terminal']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:enrollment'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.http_proxy is not None:
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        if self.pkcs12 is not None:
                            return True

                        if self.profile is not None:
                            return True

                        if self.retry is not None and self.retry._has_data():
                            return True

                        if self.selfsigned is not None:
                            return True

                        if self.terminal is not None and self.terminal._has_data():
                            return True

                        if self.url is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Pki.Trustpoint.Enrollment']['meta_info']


                class Password(object):
                    """
                    revocation password
                    
                    .. attribute:: clear_password
                    
                    	revocation password
                    	**type**\:  str
                    
                    .. attribute:: encryption_type
                    
                    	Encryption type
                    	**type**\:  int
                    
                    	**range:** 0..9
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.clear_password = None
                        self.encryption_type = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:password'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.clear_password is not None:
                            return True

                        if self.encryption_type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Pki.Trustpoint.Password']['meta_info']


                class Rsakeypair(object):
                    """
                    Specify rsakeypair for this identity
                    
                    .. attribute:: encrypt_key
                    
                    	Encryption Key length
                    	**type**\:  int
                    
                    	**range:** 360..4096
                    
                    .. attribute:: gen_key
                    
                    	General Purpose or Signature Key length
                    	**type**\:  int
                    
                    	**range:** 360..4096
                    
                    .. attribute:: key_label
                    
                    	RSA keypair label
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.encrypt_key = None
                        self.gen_key = None
                        self.key_label = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:rsakeypair'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.encrypt_key is not None:
                            return True

                        if self.gen_key is not None:
                            return True

                        if self.key_label is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Pki.Trustpoint.Rsakeypair']['meta_info']


                class SerialNumber(object):
                    """
                    help
                    
                    .. attribute:: none
                    
                    	do not include serial number
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.none = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:serial-number'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Pki.Trustpoint.SerialNumber']['meta_info']


                class IpAddress(object):
                    """
                    include ip address
                    
                    .. attribute:: address_line
                    
                    	interface name or ip address
                    	**type**\:  str
                    
                    .. attribute:: none
                    
                    	do not include ip address
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address_line = None
                        self.none = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:ip-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address_line is not None:
                            return True

                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Pki.Trustpoint.IpAddress']['meta_info']

                @property
                def _common_path(self):
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:trustpoint[Cisco-IOS-XE-crypto:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.auto_enroll is not None:
                        return True

                    if self.enrollment is not None and self.enrollment._has_data():
                        return True

                    if self.ip_address is not None and self.ip_address._has_data():
                        return True

                    if self.password is not None and self.password._has_data():
                        return True

                    if self.revocation_check is not None:
                        return True

                    if self.rsakeypair is not None and self.rsakeypair._has_data():
                        return True

                    if self.serial_number is not None and self.serial_number._has_data():
                        return True

                    if self.subject_name is not None:
                        return True

                    if self.vrf is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Pki.Trustpoint']['meta_info']


            class Token(object):
                """
                Configure cryptographic token
                
                .. attribute:: token_name
                
                	
                	**type**\: list of    :py:class:`TokenName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Token.TokenName>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.token_name = YList()
                    self.token_name.parent = self
                    self.token_name.name = 'token_name'


                class TokenName(object):
                    """
                    
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: removal
                    
                    	actions to take after token removal
                    	**type**\:   :py:class:`Removal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Token.TokenName.Removal>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.removal = Native.Crypto.Pki.Token.TokenName.Removal()
                        self.removal.parent = self


                    class Removal(object):
                        """
                        actions to take after token removal
                        
                        .. attribute:: timeout
                        
                        	seconds after token removal at which keys from the token are cleared
                        	**type**\:  int
                        
                        	**range:** 0..480
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.timeout = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:removal'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.timeout is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Token.TokenName.Removal']['meta_info']

                    @property
                    def _common_path(self):
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:token/Cisco-IOS-XE-crypto:token-name[Cisco-IOS-XE-crypto:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.removal is not None and self.removal._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Pki.Token.TokenName']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:token'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.token_name is not None:
                        for child_ref in self.token_name:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Pki.Token']['meta_info']


            class Trustpool(object):
                """
                Define CA trustpool
                
                .. attribute:: import_
                
                	Import a trustpool bundle
                	**type**\:   :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpool.Import_>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.import_ = None


                class Import_(object):
                    """
                    Import a trustpool bundle
                    
                    .. attribute:: clean
                    
                    	Remove all downloaded trustpool certificates prior to import
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: terminal
                    
                    	Import bundle via the terminal (cut\-and\-paste) in PEM format
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: url
                    
                    	Import via the file systems
                    	**type**\:   :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpool.Import_.Url>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.clean = None
                        self.terminal = None
                        self.url = Native.Crypto.Pki.Trustpool.Import_.Url()
                        self.url.parent = self


                    class Url(object):
                        """
                        Import via the file systems
                        
                        .. attribute:: file
                        
                        	
                        	**type**\:   :py:class:`FileEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpool.Import_.Url.FileEnum>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.file = None

                        class FileEnum(Enum):
                            """
                            FileEnum

                            .. data:: bootflash__COLON__ = 0

                            .. data:: cns__COLON__ = 1

                            .. data:: flash__COLON__ = 2

                            .. data:: ftp__COLON__ = 3

                            .. data:: http__COLON__ = 4

                            .. data:: https__COLON__ = 5

                            .. data:: null__COLON__ = 6

                            .. data:: nvram__COLON__ = 7

                            .. data:: pram__COLON__ = 8

                            .. data:: rcp__COLON__ = 9

                            .. data:: scp__COLON__ = 10

                            .. data:: system__COLON__ = 11

                            .. data:: tar__COLON__ = 12

                            .. data:: tftp__COLON__ = 13

                            .. data:: tmpsys__COLON__ = 14

                            """

                            bootflash__COLON__ = 0

                            cns__COLON__ = 1

                            flash__COLON__ = 2

                            ftp__COLON__ = 3

                            http__COLON__ = 4

                            https__COLON__ = 5

                            null__COLON__ = 6

                            nvram__COLON__ = 7

                            pram__COLON__ = 8

                            rcp__COLON__ = 9

                            scp__COLON__ = 10

                            system__COLON__ = 11

                            tar__COLON__ = 12

                            tftp__COLON__ = 13

                            tmpsys__COLON__ = 14


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.Pki.Trustpool.Import_.Url.FileEnum']


                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:trustpool/Cisco-IOS-XE-crypto:import/Cisco-IOS-XE-crypto:url'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.file is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.Pki.Trustpool.Import_.Url']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:trustpool/Cisco-IOS-XE-crypto:import'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.clean is not None:
                            return True

                        if self.terminal is not None:
                            return True

                        if self.url is not None and self.url._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Pki.Trustpool.Import_']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:trustpool'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.import_ is not None and self.import_._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Pki.Trustpool']['meta_info']


            class Default(object):
                """
                set default values for tokens
                
                .. attribute:: removal
                
                	actions to take after token removal
                	**type**\:   :py:class:`Removal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Default.Removal>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.removal = Native.Crypto.Pki.Default.Removal()
                    self.removal.parent = self


                class Removal(object):
                    """
                    actions to take after token removal
                    
                    .. attribute:: timeout
                    
                    	seconds after token removal at which keys from the token are cleared
                    	**type**\:  int
                    
                    	**range:** 0..480
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.timeout = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:default/Cisco-IOS-XE-crypto:removal'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.timeout is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Pki.Default.Removal']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki/Cisco-IOS-XE-crypto:default'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.removal is not None and self.removal._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Pki.Default']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:pki'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.authenticate is not None:
                    return True

                if self.certificate is not None and self.certificate._has_data():
                    return True

                if self.crl is not None and self.crl._has_data():
                    return True

                if self.default is not None and self.default._has_data():
                    return True

                if self.enroll is not None:
                    return True

                if self.export is not None:
                    for child_ref in self.export:
                        if child_ref._has_data():
                            return True

                if self.import_ is not None:
                    for child_ref in self.import_:
                        if child_ref._has_data():
                            return True

                if self.profile is not None and self.profile._has_data():
                    return True

                if self.server is not None and self.server._has_data():
                    return True

                if self.token is not None and self.token._has_data():
                    return True

                if self.trustpoint is not None:
                    for child_ref in self.trustpoint:
                        if child_ref._has_data():
                            return True

                if self.trustpool is not None and self.trustpool._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Crypto.Pki']['meta_info']


        class TlsTunnel(object):
            """
            
            
            .. attribute:: tls_tunnel_list
            
            	Configure Crypto TLS\-Tunnel Options
            	**type**\: list of    :py:class:`TlsTunnelList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.tls_tunnel_list = YList()
                self.tls_tunnel_list.parent = self
                self.tls_tunnel_list.name = 'tls_tunnel_list'


            class TlsTunnelList(object):
                """
                Configure Crypto TLS\-Tunnel Options
                
                .. attribute:: tunnel_name  <key>
                
                	Name of TLS\-Tunnel
                	**type**\:  str
                
                .. attribute:: local_interface
                
                	Specify the WAN interfaces
                	**type**\:   :py:class:`LocalInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface>`
                
                .. attribute:: overlay_address
                
                	Specify the Overlay Address
                	**type**\:   :py:class:`OverlayAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.OverlayAddress>`
                
                .. attribute:: protection
                
                	Cipher\-Suite
                	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.Protection>`
                
                .. attribute:: psk
                
                	Specify the Pre\-Shared Key
                	**type**\:   :py:class:`Psk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.Psk>`
                
                .. attribute:: server
                
                	Specify the Server Address
                	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.Server>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.tunnel_name = None
                    self.local_interface = Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface()
                    self.local_interface.parent = self
                    self.overlay_address = Native.Crypto.TlsTunnel.TlsTunnelList.OverlayAddress()
                    self.overlay_address.parent = self
                    self.protection = Native.Crypto.TlsTunnel.TlsTunnelList.Protection()
                    self.protection.parent = self
                    self.psk = Native.Crypto.TlsTunnel.TlsTunnelList.Psk()
                    self.psk.parent = self
                    self.server = Native.Crypto.TlsTunnel.TlsTunnelList.Server()
                    self.server.parent = self


                class LocalInterface(object):
                    """
                    Specify the WAN interfaces
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.PortChannelSubinterface>`
                    
                    .. attribute:: priority
                    
                    	priority level
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.priority = None
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:local-interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.priority is not None:
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface']['meta_info']


                class OverlayAddress(object):
                    """
                    Specify the Overlay Address
                    
                    .. attribute:: addresses
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: vrf
                    
                    	VRF name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.addresses = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:overlay-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.addresses is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.OverlayAddress']['meta_info']


                class Protection(object):
                    """
                    Cipher\-Suite
                    
                    .. attribute:: protection
                    
                    	
                    	**type**\:   :py:class:`ProtectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.Protection.ProtectionEnum>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.protection = None

                    class ProtectionEnum(Enum):
                        """
                        ProtectionEnum

                        .. data:: dhe_psk_aes128_cbc_sha1 = 0

                        .. data:: dhe_psk_aes256_cbc_sha1 = 1

                        .. data:: psk_aes128_cbc_sha1 = 2

                        .. data:: psk_aes256_cbc_sha1 = 3

                        """

                        dhe_psk_aes128_cbc_sha1 = 0

                        dhe_psk_aes256_cbc_sha1 = 1

                        psk_aes128_cbc_sha1 = 2

                        psk_aes256_cbc_sha1 = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.Protection.ProtectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:protection'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.protection is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.Protection']['meta_info']


                class Psk(object):
                    """
                    Specify the Pre\-Shared Key
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: list of    :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = YList()
                        self.id.parent = self
                        self.id.name = 'id'


                    class Id(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: key
                        
                        	
                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id.Key>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.key = Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id.Key()
                            self.key.parent = self


                        class Key(object):
                            """
                            
                            
                            .. attribute:: encryption
                            
                            	
                            	**type**\:   :py:class:`EncryptionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id.Key.EncryptionEnum>`
                            
                            .. attribute:: key
                            
                            	specify the key
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: unencryt_key
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.encryption = None
                                self.key = None
                                self.unencryt_key = None

                            class EncryptionEnum(Enum):
                                """
                                EncryptionEnum

                                .. data:: Y_0 = 0

                                .. data:: Y_6 = 1

                                """

                                Y_0 = 0

                                Y_6 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id.Key.EncryptionEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-crypto:key'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.encryption is not None:
                                    return True

                                if self.key is not None:
                                    return True

                                if self.unencryt_key is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id.Key']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:id[Cisco-IOS-XE-crypto:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.key is not None and self.key._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:psk'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            for child_ref in self.id:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.Psk']['meta_info']


                class Server(object):
                    """
                    Specify the Server Address
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.Server.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	
                    	**type**\: list of    :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.Server.Ipv6>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = YList()
                        self.ipv4.parent = self
                        self.ipv4.name = 'ipv4'
                        self.ipv6 = YList()
                        self.ipv6.parent = self
                        self.ipv6.name = 'ipv6'


                    class Ipv4(object):
                        """
                        
                        
                        .. attribute:: ipv4  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: port
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None
                            self.port = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ipv4 is None:
                                raise YPYModelError('Key property ipv4 is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:ipv4[Cisco-IOS-XE-crypto:ipv4 = ' + str(self.ipv4) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None:
                                return True

                            if self.port is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.Server.Ipv4']['meta_info']


                    class Ipv6(object):
                        """
                        
                        
                        .. attribute:: ipv6  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: port
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv6 = None
                            self.port = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ipv6 is None:
                                raise YPYModelError('Key property ipv6 is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-crypto:ipv6[Cisco-IOS-XE-crypto:ipv6 = ' + str(self.ipv6) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv6 is not None:
                                return True

                            if self.port is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.Server.Ipv6']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-crypto:server'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None:
                            for child_ref in self.ipv4:
                                if child_ref._has_data():
                                    return True

                        if self.ipv6 is not None:
                            for child_ref in self.ipv6:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.TlsTunnel.TlsTunnelList.Server']['meta_info']

                @property
                def _common_path(self):
                    if self.tunnel_name is None:
                        raise YPYModelError('Key property tunnel_name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:tls-tunnel/Cisco-IOS-XE-crypto:tls-tunnel-list[Cisco-IOS-XE-crypto:tunnel-name = ' + str(self.tunnel_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.tunnel_name is not None:
                        return True

                    if self.local_interface is not None and self.local_interface._has_data():
                        return True

                    if self.overlay_address is not None and self.overlay_address._has_data():
                        return True

                    if self.protection is not None and self.protection._has_data():
                        return True

                    if self.psk is not None and self.psk._has_data():
                        return True

                    if self.server is not None and self.server._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.TlsTunnel.TlsTunnelList']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:tls-tunnel'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.tls_tunnel_list is not None:
                    for child_ref in self.tls_tunnel_list:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Crypto.TlsTunnel']['meta_info']


        class Ssl(object):
            """
            Configure Crypto SSL Options
            
            .. attribute:: authorization
            
            	ssl authorization
            	**type**\:   :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ssl.Authorization>`
            
            .. attribute:: diagnose
            
            	SSLVPN diagnose
            	**type**\:   :py:class:`Diagnose <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ssl.Diagnose>`
            
            .. attribute:: policy
            
            	Define SSL policies
            	**type**\:  str
            
            .. attribute:: profile
            
            	Define SSL profiles
            	**type**\:  str
            
            .. attribute:: proposal
            
            	Define ssl Proposal
            	**type**\:   :py:class:`Proposal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ssl.Proposal>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.authorization = Native.Crypto.Ssl.Authorization()
                self.authorization.parent = self
                self.diagnose = Native.Crypto.Ssl.Diagnose()
                self.diagnose.parent = self
                self.policy = None
                self.profile = None
                self.proposal = Native.Crypto.Ssl.Proposal()
                self.proposal.parent = self


            class Authorization(object):
                """
                ssl authorization
                
                .. attribute:: policy
                
                	Crypto SSL authorization policy
                	**type**\:  str
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.policy = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ssl/Cisco-IOS-XE-crypto:authorization'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.policy is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ssl.Authorization']['meta_info']


            class Diagnose(object):
                """
                SSLVPN diagnose
                
                .. attribute:: error
                
                	Start error trace debug
                	**type**\:  int
                
                	**range:** 1..1000
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.error = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ssl/Cisco-IOS-XE-crypto:diagnose'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.error is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ssl.Diagnose']['meta_info']


            class Proposal(object):
                """
                Define ssl Proposal
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: protection
                
                	Specify the protection algorithms
                	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ssl.Proposal.Protection>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.protection = Native.Crypto.Ssl.Proposal.Protection()
                    self.protection.parent = self


                class Protection(object):
                    """
                    Specify the protection algorithms
                    
                    .. attribute:: rsa_3des_ede_sha1
                    
                    	RSA, 3DES and SHA1
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rsa_aes128_sha1
                    
                    	RSA, AES128 and SHA1
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rsa_aes256_sha1
                    
                    	RSA, AES256 and SHA1
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rsa_rc4128_md5
                    
                    	RSA, RC4 and MD5
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.rsa_3des_ede_sha1 = None
                        self.rsa_aes128_sha1 = None
                        self.rsa_aes256_sha1 = None
                        self.rsa_rc4128_md5 = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ssl/Cisco-IOS-XE-crypto:proposal/Cisco-IOS-XE-crypto:protection'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.rsa_3des_ede_sha1 is not None:
                            return True

                        if self.rsa_aes128_sha1 is not None:
                            return True

                        if self.rsa_aes256_sha1 is not None:
                            return True

                        if self.rsa_rc4128_md5 is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Ssl.Proposal.Protection']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ssl/Cisco-IOS-XE-crypto:proposal'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.protection is not None and self.protection._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Ssl.Proposal']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:ssl'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.authorization is not None and self.authorization._has_data():
                    return True

                if self.diagnose is not None and self.diagnose._has_data():
                    return True

                if self.policy is not None:
                    return True

                if self.profile is not None:
                    return True

                if self.proposal is not None and self.proposal._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Crypto.Ssl']['meta_info']


        class Vpn(object):
            """
            Configure crypto vpn commands
            
            .. attribute:: anyconnect
            
            	Configure anyconnect client package
            	**type**\:   :py:class:`Anyconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Vpn.Anyconnect>`
            
            .. attribute:: csd
            
            	Configure Secure Desktop package
            	**type**\:  str
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.anyconnect = Native.Crypto.Vpn.Anyconnect()
                self.anyconnect.parent = self
                self.csd = None


            class Anyconnect(object):
                """
                Configure anyconnect client package
                
                .. attribute:: file
                
                	
                	**type**\:   :py:class:`File <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Vpn.Anyconnect.File>`
                
                .. attribute:: profile_container
                
                	
                	**type**\:   :py:class:`ProfileContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Vpn.Anyconnect.ProfileContainer>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.file = Native.Crypto.Vpn.Anyconnect.File()
                    self.file.parent = self
                    self.profile_container = Native.Crypto.Vpn.Anyconnect.ProfileContainer()
                    self.profile_container.parent = self


                class File(object):
                    """
                    
                    
                    .. attribute:: filename
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: sequence
                    
                    	client\-side download sequence num (priority) of this package
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.filename = None
                        self.sequence = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:vpn/Cisco-IOS-XE-crypto:anyconnect/Cisco-IOS-XE-crypto:file'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.filename is not None:
                            return True

                        if self.sequence is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Vpn.Anyconnect.File']['meta_info']


                class ProfileContainer(object):
                    """
                    
                    
                    .. attribute:: filename
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: profile
                    
                    	Configure anyconnect client profile
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.filename = None
                        self.profile = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:vpn/Cisco-IOS-XE-crypto:anyconnect/Cisco-IOS-XE-crypto:profile-container'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.filename is not None:
                            return True

                        if self.profile is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Crypto.Vpn.Anyconnect.ProfileContainer']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:vpn/Cisco-IOS-XE-crypto:anyconnect'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.file is not None and self.file._has_data():
                        return True

                    if self.profile_container is not None and self.profile_container._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Crypto.Vpn.Anyconnect']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto/Cisco-IOS-XE-crypto:vpn'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.anyconnect is not None and self.anyconnect._has_data():
                    return True

                if self.csd is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Crypto.Vpn']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:crypto'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.call is not None and self.call._has_data():
                return True

            if self.dynamic_map is not None:
                for child_ref in self.dynamic_map:
                    if child_ref._has_data():
                        return True

            if self.engine is not None and self.engine._has_data():
                return True

            if self.gdoi is not None and self.gdoi._has_data():
                return True

            if self.gkm is not None and self.gkm._has_data():
                return True

            if self.identity is not None:
                for child_ref in self.identity:
                    if child_ref._has_data():
                        return True

            if self.ikev2 is not None and self.ikev2._has_data():
                return True

            if self.ipsec is not None and self.ipsec._has_data():
                return True

            if self.isakmp is not None and self.isakmp._has_data():
                return True

            if self.key is not None and self.key._has_data():
                return True

            if self.keyring is not None:
                for child_ref in self.keyring:
                    if child_ref._has_data():
                        return True

            if self.logging is not None and self.logging._has_data():
                return True

            if self.map_client is not None and self.map_client._has_data():
                return True

            if self.map_ipv6 is not None and self.map_ipv6._has_data():
                return True

            if self.map_ipv6_gdoi is not None and self.map_ipv6_gdoi._has_data():
                return True

            if self.mib is not None and self.mib._has_data():
                return True

            if self.pki is not None and self.pki._has_data():
                return True

            if self.ssl is not None and self.ssl._has_data():
                return True

            if self.tls_tunnel is not None and self.tls_tunnel._has_data():
                return True

            if self.vpn is not None and self.vpn._has_data():
                return True

            if self.xauth is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Crypto']['meta_info']


    class Cts(object):
        """
        Configures Cisco TrustSec
        
        .. attribute:: authorization
        
        	CTS global authorization configuration
        	**type**\:   :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Authorization>`
        
        .. attribute:: cache
        
        	CTS cache configuration
        	**type**\:   :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Cache>`
        
        .. attribute:: critical_authentication
        
        	Critical\-Auth configuration commands
        	**type**\:   :py:class:`CriticalAuthentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.CriticalAuthentication>`
        
        	**presence node**\: True
        
        .. attribute:: critical_authentication_conf
        
        	
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: dot1x_server_timeout
        
        	Timeout for Radius Retries
        	**type**\:  int
        
        	**range:** 30..65535
        
        .. attribute:: dot1x_supp_timeout
        
        	Timeout for supplicant reply
        	**type**\:  int
        
        	**range:** 30..65535
        
        .. attribute:: logging
        
        	Set logging parameters
        	**type**\:   :py:class:`LoggingEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.LoggingEnum>`
        
        .. attribute:: role_based
        
        	Role\-based Access Control configuration commands
        	**type**\:   :py:class:`RoleBased <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased>`
        
        .. attribute:: server
        
        	CTS server list configuration
        	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Server>`
        
        .. attribute:: sgt
        
        	Local device security group
        	**type**\:  int
        
        	**range:** 2..65519
        
        .. attribute:: sxp
        
        	CTS sxp configuration
        	**type**\:   :py:class:`Sxp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.authorization = Native.Cts.Authorization()
            self.authorization.parent = self
            self.cache = Native.Cts.Cache()
            self.cache.parent = self
            self.critical_authentication = None
            self.critical_authentication_conf = None
            self.dot1x_server_timeout = None
            self.dot1x_supp_timeout = None
            self.logging = None
            self.role_based = Native.Cts.RoleBased()
            self.role_based.parent = self
            self.server = Native.Cts.Server()
            self.server.parent = self
            self.sgt = None
            self.sxp = Native.Cts.Sxp()
            self.sxp.parent = self

        class LoggingEnum(Enum):
            """
            LoggingEnum

            Set logging parameters

            .. data:: verbose = 0

            """

            verbose = 0


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Cts.LoggingEnum']



        class Cache(object):
            """
            CTS cache configuration
            
            .. attribute:: enable
            
            	Enable CTS cache support
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: nv_storage
            
            	CTS nv\-storage options
            	**type**\:   :py:class:`NvStorage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Cache.NvStorage>`
            
            

            """

            _prefix = 'ios-cts'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.enable = None
                self.nv_storage = Native.Cts.Cache.NvStorage()
                self.nv_storage.parent = self


            class NvStorage(object):
                """
                CTS nv\-storage options
                
                .. attribute:: nv_storage
                
                	
                	**type**\:   :py:class:`NvStorageEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Cache.NvStorage.NvStorageEnum>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.nv_storage = None

                class NvStorageEnum(Enum):
                    """
                    NvStorageEnum

                    .. data:: bootflash__COLON__ = 0

                    .. data:: crashinfo__COLON__ = 1

                    .. data:: kinfo__COLON__ = 2

                    .. data:: slot0__COLON__ = 3

                    .. data:: usb0__COLON__ = 4

                    """

                    bootflash__COLON__ = 0

                    crashinfo__COLON__ = 1

                    kinfo__COLON__ = 2

                    slot0__COLON__ = 3

                    usb0__COLON__ = 4


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Cts.Cache.NvStorage.NvStorageEnum']


                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:cache/Cisco-IOS-XE-cts:nv-storage'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.nv_storage is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Cts.Cache.NvStorage']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:cache'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.enable is not None:
                    return True

                if self.nv_storage is not None and self.nv_storage._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Cts.Cache']['meta_info']


        class CriticalAuthentication(object):
            """
            Critical\-Auth configuration commands
            
            .. attribute:: default
            
            	Enter default value
            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.CriticalAuthentication.Default>`
            
            .. attribute:: fallback
            
            	Access policy to be applied in Critical\-Auth
            	**type**\:   :py:class:`Fallback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.CriticalAuthentication.Fallback>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-cts'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.default = Native.Cts.CriticalAuthentication.Default()
                self.default.parent = self
                self.fallback = Native.Cts.CriticalAuthentication.Fallback()
                self.fallback.parent = self


            class Default(object):
                """
                Enter default value
                
                .. attribute:: peer_sgt
                
                	Default Peer SGT value
                	**type**\:   :py:class:`PeerSgt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.CriticalAuthentication.Default.PeerSgt>`
                
                .. attribute:: pmk
                
                	Default PMK value to be used for all SAP
                	**type**\:   :py:class:`Pmk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.CriticalAuthentication.Default.Pmk>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.peer_sgt = Native.Cts.CriticalAuthentication.Default.PeerSgt()
                    self.peer_sgt.parent = self
                    self.pmk = Native.Cts.CriticalAuthentication.Default.Pmk()
                    self.pmk.parent = self


                class PeerSgt(object):
                    """
                    Default Peer SGT value
                    
                    .. attribute:: range
                    
                    	
                    	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.CriticalAuthentication.Default.PeerSgt.Range>`
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.range = YList()
                        self.range.parent = self
                        self.range.name = 'range'


                    class Range(object):
                        """
                        
                        
                        .. attribute:: range  <key>
                        
                        	Enter default peer\-sgt value
                        	**type**\:  int
                        
                        	**range:** 2..65519
                        
                        .. attribute:: trusted
                        
                        	Trust the Source Group Tags that peer uses for sending
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.range = None
                            self.trusted = None

                        @property
                        def _common_path(self):
                            if self.range is None:
                                raise YPYModelError('Key property range is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:critical-authentication/Cisco-IOS-XE-cts:default/Cisco-IOS-XE-cts:peer-sgt/Cisco-IOS-XE-cts:range[Cisco-IOS-XE-cts:range = ' + str(self.range) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.range is not None:
                                return True

                            if self.trusted is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Cts.CriticalAuthentication.Default.PeerSgt.Range']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:critical-authentication/Cisco-IOS-XE-cts:default/Cisco-IOS-XE-cts:peer-sgt'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.range is not None:
                            for child_ref in self.range:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Cts.CriticalAuthentication.Default.PeerSgt']['meta_info']


                class Pmk(object):
                    """
                    Default PMK value to be used for all SAP
                    
                    .. attribute:: secret
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: type
                    
                    	
                    	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.CriticalAuthentication.Default.Pmk.TypeEnum>`
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.secret = None
                        self.type = None

                    class TypeEnum(Enum):
                        """
                        TypeEnum

                        .. data:: Y_0 = 0

                        .. data:: Y_6 = 1

                        """

                        Y_0 = 0

                        Y_6 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Cts.CriticalAuthentication.Default.Pmk.TypeEnum']


                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:critical-authentication/Cisco-IOS-XE-cts:default/Cisco-IOS-XE-cts:pmk'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.secret is not None:
                            return True

                        if self.type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Cts.CriticalAuthentication.Default.Pmk']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:critical-authentication/Cisco-IOS-XE-cts:default'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.peer_sgt is not None and self.peer_sgt._has_data():
                        return True

                    if self.pmk is not None and self.pmk._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Cts.CriticalAuthentication.Default']['meta_info']


            class Fallback(object):
                """
                Access policy to be applied in Critical\-Auth
                
                .. attribute:: cached
                
                	Cached values to be used for existing sessions
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: default
                
                	Configured values to be applied for existing sessions
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cached = None
                    self.default = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:critical-authentication/Cisco-IOS-XE-cts:fallback'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cached is not None:
                        return True

                    if self.default is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Cts.CriticalAuthentication.Fallback']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:critical-authentication'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.default is not None and self.default._has_data():
                    return True

                if self.fallback is not None and self.fallback._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Cts.CriticalAuthentication']['meta_info']


        class Authorization(object):
            """
            CTS global authorization configuration
            
            .. attribute:: list
            
            	Local authorization list to use for CTS
            	**type**\:  str
            
            

            """

            _prefix = 'ios-cts'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.list = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:authorization'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.list is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Cts.Authorization']['meta_info']


        class RoleBased(object):
            """
            Role\-based Access Control configuration commands
            
            .. attribute:: enforcement
            
            	Enable Role\-based Access Control enforcement
            	**type**\:   :py:class:`Enforcement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.Enforcement>`
            
            	**presence node**\: True
            
            .. attribute:: permissions
            
            	Permissions from a source group to a destination group
            	**type**\:   :py:class:`Permissions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.Permissions>`
            
            .. attribute:: sgt_caching
            
            	Enable SGT caching
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: sgt_map
            
            	Assign Security Group Tag (SGT) to IP host or network address
            	**type**\: list of    :py:class:`SgtMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.SgtMap>`
            
            .. attribute:: sgt_map_vlan_list
            
            	VLANs on which Role\-based ACLs are enforced
            	**type**\:   :py:class:`SgtMapVlanList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.SgtMapVlanList>`
            
            

            """

            _prefix = 'ios-cts'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.enforcement = None
                self.permissions = Native.Cts.RoleBased.Permissions()
                self.permissions.parent = self
                self.sgt_caching = None
                self.sgt_map = YList()
                self.sgt_map.parent = self
                self.sgt_map.name = 'sgt_map'
                self.sgt_map_vlan_list = Native.Cts.RoleBased.SgtMapVlanList()
                self.sgt_map_vlan_list.parent = self


            class Permissions(object):
                """
                Permissions from a source group to a destination group
                
                .. attribute:: default
                
                	Default Permission list
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.Permissions.Default>`
                
                .. attribute:: from_
                
                	Source Group Tag (SGT) of filtered traffic
                	**type**\:   :py:class:`From_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.Permissions.From_>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Cts.RoleBased.Permissions.Default()
                    self.default.parent = self
                    self.from_ = Native.Cts.RoleBased.Permissions.From_()
                    self.from_.parent = self


                class Default(object):
                    """
                    Default Permission list
                    
                    .. attribute:: name
                    
                    	Role\-based Access\-list name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:role-based/Cisco-IOS-XE-cts:permissions/Cisco-IOS-XE-cts:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Cts.RoleBased.Permissions.Default']['meta_info']


                class From_(object):
                    """
                    Source Group Tag (SGT) of filtered traffic
                    
                    .. attribute:: range
                    
                    	
                    	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.Permissions.From_.Range>`
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.range = YList()
                        self.range.parent = self
                        self.range.name = 'range'


                    class Range(object):
                        """
                        
                        
                        .. attribute:: range  <key>
                        
                        	Security Group Tag
                        	**type**\:  int
                        
                        	**range:** 0..65519
                        
                        .. attribute:: to
                        
                        	Destination Group Tag (DGT) of filtered traffic
                        	**type**\:   :py:class:`To <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.Permissions.From_.Range.To>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.range = None
                            self.to = Native.Cts.RoleBased.Permissions.From_.Range.To()
                            self.to.parent = self


                        class To(object):
                            """
                            Destination Group Tag (DGT) of filtered traffic
                            
                            .. attribute:: range
                            
                            	
                            	**type**\: list of    :py:class:`Range_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.Permissions.From_.Range.To.Range_>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.range = YList()
                                self.range.parent = self
                                self.range.name = 'range'


                            class Range_(object):
                                """
                                
                                
                                .. attribute:: range  <key>
                                
                                	Security Group Tag
                                	**type**\:  int
                                
                                	**range:** 0..65519
                                
                                .. attribute:: name
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.range = None
                                    self.name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.range is None:
                                        raise YPYModelError('Key property range is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-cts:range[Cisco-IOS-XE-cts:range = ' + str(self.range) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.range is not None:
                                        return True

                                    if self.name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Cts.RoleBased.Permissions.From_.Range.To.Range_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-cts:to'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.range is not None:
                                    for child_ref in self.range:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Cts.RoleBased.Permissions.From_.Range.To']['meta_info']

                        @property
                        def _common_path(self):
                            if self.range is None:
                                raise YPYModelError('Key property range is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:role-based/Cisco-IOS-XE-cts:permissions/Cisco-IOS-XE-cts:from/Cisco-IOS-XE-cts:range[Cisco-IOS-XE-cts:range = ' + str(self.range) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.range is not None:
                                return True

                            if self.to is not None and self.to._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Cts.RoleBased.Permissions.From_.Range']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:role-based/Cisco-IOS-XE-cts:permissions/Cisco-IOS-XE-cts:from'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.range is not None:
                            for child_ref in self.range:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Cts.RoleBased.Permissions.From_']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:role-based/Cisco-IOS-XE-cts:permissions'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    if self.from_ is not None and self.from_._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Cts.RoleBased.Permissions']['meta_info']


            class Enforcement(object):
                """
                Enable Role\-based Access Control enforcement
                
                .. attribute:: logging_interval
                
                	Configure sgacl logging interval
                	**type**\:  int
                
                	**range:** 5..86400
                
                .. attribute:: vlan_list
                
                	VLANs on which Role\-based ACLs are enforced
                	**type**\: list of    :py:class:`VlanList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.Enforcement.VlanList>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-cts'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.logging_interval = None
                    self.vlan_list = YList()
                    self.vlan_list.parent = self
                    self.vlan_list.name = 'vlan_list'


                class VlanList(object):
                    """
                    VLANs on which Role\-based ACLs are enforced
                    
                    .. attribute:: id  <key>
                    
                    	VLAN id
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.Enforcement.VlanList.IdEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None

                    class IdEnum(Enum):
                        """
                        IdEnum

                        VLAN id

                        .. data:: all = 0

                        """

                        all = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Cts.RoleBased.Enforcement.VlanList.IdEnum']


                    @property
                    def _common_path(self):
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:role-based/Cisco-IOS-XE-cts:enforcement/Cisco-IOS-XE-cts:vlan-list[Cisco-IOS-XE-cts:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Cts.RoleBased.Enforcement.VlanList']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:role-based/Cisco-IOS-XE-cts:enforcement'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.logging_interval is not None:
                        return True

                    if self.vlan_list is not None:
                        for child_ref in self.vlan_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Cts.RoleBased.Enforcement']['meta_info']


            class SgtMap(object):
                """
                Assign Security Group Tag (SGT) to IP host or network address
                
                .. attribute:: ip  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                
                
                ----
                	**type**\:  str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                
                
                ----
                .. attribute:: sgt  <key>
                
                	Security Group Tag (SGT)
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: host
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vrf
                
                	Select VPN Routing/Forwarding instance for the binding
                	**type**\:  str
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = None
                    self.sgt = None
                    self.host = None
                    self.vrf = None

                @property
                def _common_path(self):
                    if self.ip is None:
                        raise YPYModelError('Key property ip is None')
                    if self.sgt is None:
                        raise YPYModelError('Key property sgt is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:role-based/Cisco-IOS-XE-cts:sgt-map[Cisco-IOS-XE-cts:ip = ' + str(self.ip) + '][Cisco-IOS-XE-cts:sgt = ' + str(self.sgt) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None:
                        return True

                    if self.sgt is not None:
                        return True

                    if self.host is not None:
                        return True

                    if self.vrf is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Cts.RoleBased.SgtMap']['meta_info']


            class SgtMapVlanList(object):
                """
                VLANs on which Role\-based ACLs are enforced
                
                .. attribute:: sgt_map
                
                	
                	**type**\: list of    :py:class:`SgtMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.SgtMapVlanList.SgtMap>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.sgt_map = YList()
                    self.sgt_map.parent = self
                    self.sgt_map.name = 'sgt_map'


                class SgtMap(object):
                    """
                    
                    
                    .. attribute:: vlan_list  <key>
                    
                    	VLANs id
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:   :py:class:`VlanListEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.SgtMapVlanList.SgtMap.VlanListEnum>`
                    
                    
                    ----
                    .. attribute:: sgt
                    
                    	Security Group Tag value
                    	**type**\:  int
                    
                    	**range:** \-32768..32767
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan_list = None
                        self.sgt = None

                    class VlanListEnum(Enum):
                        """
                        VlanListEnum

                        VLANs id

                        .. data:: all = 0

                        """

                        all = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Cts.RoleBased.SgtMapVlanList.SgtMap.VlanListEnum']


                    @property
                    def _common_path(self):
                        if self.vlan_list is None:
                            raise YPYModelError('Key property vlan_list is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:role-based/Cisco-IOS-XE-cts:sgt-map-vlan-list/Cisco-IOS-XE-cts:sgt-map[Cisco-IOS-XE-cts:vlan-list = ' + str(self.vlan_list) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan_list is not None:
                            return True

                        if self.sgt is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Cts.RoleBased.SgtMapVlanList.SgtMap']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:role-based/Cisco-IOS-XE-cts:sgt-map-vlan-list'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.sgt_map is not None:
                        for child_ref in self.sgt_map:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Cts.RoleBased.SgtMapVlanList']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:role-based'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.enforcement is not None and self.enforcement._has_data():
                    return True

                if self.permissions is not None and self.permissions._has_data():
                    return True

                if self.sgt_caching is not None:
                    return True

                if self.sgt_map is not None:
                    for child_ref in self.sgt_map:
                        if child_ref._has_data():
                            return True

                if self.sgt_map_vlan_list is not None and self.sgt_map_vlan_list._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Cts.RoleBased']['meta_info']


        class Server(object):
            """
            CTS server list configuration
            
            .. attribute:: deadtime
            
            	Configure server group deadtime to specify how long a servermarked as dead should not be used
            	**type**\:  int
            
            	**range:** 0..864000
            
            .. attribute:: key_wrap
            
            	CTS key\-wrap configuration
            	**type**\:   :py:class:`KeyWrap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Server.KeyWrap>`
            
            .. attribute:: load_balance
            
            	CTS Server group load\-balancing options
            	**type**\:   :py:class:`LoadBalance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Server.LoadBalance>`
            
            .. attribute:: test
            
            	Configure server automated test for liveness check
            	**type**\:   :py:class:`Test <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Server.Test>`
            
            

            """

            _prefix = 'ios-cts'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.deadtime = None
                self.key_wrap = Native.Cts.Server.KeyWrap()
                self.key_wrap.parent = self
                self.load_balance = Native.Cts.Server.LoadBalance()
                self.load_balance.parent = self
                self.test = Native.Cts.Server.Test()
                self.test.parent = self


            class KeyWrap(object):
                """
                CTS key\-wrap configuration
                
                .. attribute:: enable
                
                	Enable CTS key\-wrap for Private server\-list
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.enable = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:server/Cisco-IOS-XE-cts:key-wrap'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.enable is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Cts.Server.KeyWrap']['meta_info']


            class LoadBalance(object):
                """
                CTS Server group load\-balancing options
                
                .. attribute:: method
                
                	Method by which the next server will be picked
                	**type**\:   :py:class:`Method <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Server.LoadBalance.Method>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.method = Native.Cts.Server.LoadBalance.Method()
                    self.method.parent = self


                class Method(object):
                    """
                    Method by which the next server will be picked
                    
                    .. attribute:: least_outstanding
                    
                    	Pick the server with the least transactions outstanding
                    	**type**\:   :py:class:`LeastOutstanding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Server.LoadBalance.Method.LeastOutstanding>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.least_outstanding = None


                    class LeastOutstanding(object):
                        """
                        Pick the server with the least transactions outstanding
                        
                        .. attribute:: batch_size
                        
                        	Size of the transaction batch that should be load\-balanced
                        	**type**\:  int
                        
                        	**range:** 1..2147483647
                        
                        .. attribute:: ignore_preferred_server
                        
                        	Do not attempt to stick with the same server throughout a session
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.batch_size = None
                            self.ignore_preferred_server = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:server/Cisco-IOS-XE-cts:load-balance/Cisco-IOS-XE-cts:method/Cisco-IOS-XE-cts:least-outstanding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.batch_size is not None:
                                return True

                            if self.ignore_preferred_server is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Cts.Server.LoadBalance.Method.LeastOutstanding']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:server/Cisco-IOS-XE-cts:load-balance/Cisco-IOS-XE-cts:method'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.least_outstanding is not None and self.least_outstanding._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Cts.Server.LoadBalance.Method']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:server/Cisco-IOS-XE-cts:load-balance'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.method is not None and self.method._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Cts.Server.LoadBalance']['meta_info']


            class Test(object):
                """
                Configure server automated test for liveness check
                
                .. attribute:: all
                
                	Configure for all servers
                	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Server.Test.All>`
                
                .. attribute:: server
                
                	
                	**type**\: list of    :py:class:`Server_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Server.Test.Server_>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.all = Native.Cts.Server.Test.All()
                    self.all.parent = self
                    self.server = YList()
                    self.server.parent = self
                    self.server.name = 'server'


                class Server_(object):
                    """
                    
                    
                    .. attribute:: ip  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: deadtime
                    
                    	Configure how long a server marked as dead should not be used
                    	**type**\:  int
                    
                    	**range:** 0..864000
                    
                    .. attribute:: enable
                    
                    	Enable server liveness automated test
                    	**type**\:  bool
                    
                    .. attribute:: idle_time
                    
                    	Configure how often to send an automated test message
                    	**type**\:  int
                    
                    	**range:** 0..14400
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = None
                        self.deadtime = None
                        self.enable = None
                        self.idle_time = None

                    @property
                    def _common_path(self):
                        if self.ip is None:
                            raise YPYModelError('Key property ip is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:server/Cisco-IOS-XE-cts:test/Cisco-IOS-XE-cts:server[Cisco-IOS-XE-cts:ip = ' + str(self.ip) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None:
                            return True

                        if self.deadtime is not None:
                            return True

                        if self.enable is not None:
                            return True

                        if self.idle_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Cts.Server.Test.Server_']['meta_info']


                class All(object):
                    """
                    Configure for all servers
                    
                    .. attribute:: deadtime
                    
                    	Configure how long a server marked as dead should not be used
                    	**type**\:  int
                    
                    	**range:** 0..864000
                    
                    .. attribute:: enable
                    
                    	Enable server liveness automated test
                    	**type**\:  bool
                    
                    .. attribute:: idle_time
                    
                    	Configure how often to send an automated test message
                    	**type**\:  int
                    
                    	**range:** 0..14400
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.deadtime = None
                        self.enable = None
                        self.idle_time = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:server/Cisco-IOS-XE-cts:test/Cisco-IOS-XE-cts:all'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.deadtime is not None:
                            return True

                        if self.enable is not None:
                            return True

                        if self.idle_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Cts.Server.Test.All']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:server/Cisco-IOS-XE-cts:test'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.all is not None and self.all._has_data():
                        return True

                    if self.server is not None:
                        for child_ref in self.server:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Cts.Server.Test']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:server'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.deadtime is not None:
                    return True

                if self.key_wrap is not None and self.key_wrap._has_data():
                    return True

                if self.load_balance is not None and self.load_balance._has_data():
                    return True

                if self.test is not None and self.test._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Cts.Server']['meta_info']


        class Sxp(object):
            """
            CTS sxp configuration
            
            .. attribute:: connection
            
            	CTS SXP Connection Configuration
            	**type**\:   :py:class:`Connection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection>`
            
            .. attribute:: default
            
            	Enter default value
            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Default>`
            
            .. attribute:: enable
            
            	Enable CTS SXP support
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-cts'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.connection = Native.Cts.Sxp.Connection()
                self.connection.parent = self
                self.default = Native.Cts.Sxp.Default()
                self.default.parent = self
                self.enable = None


            class Default(object):
                """
                Enter default value
                
                .. attribute:: password
                
                	
                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Default.Password>`
                
                .. attribute:: source_ip
                
                	Enter Source IPv4 Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.password = Native.Cts.Sxp.Default.Password()
                    self.password.parent = self
                    self.source_ip = None


                class Password(object):
                    """
                    
                    
                    .. attribute:: secret
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: type
                    
                    	
                    	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Default.Password.TypeEnum>`
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.secret = None
                        self.type = None

                    class TypeEnum(Enum):
                        """
                        TypeEnum

                        .. data:: Y_0 = 0

                        .. data:: Y_6 = 1

                        .. data:: Y_7 = 2

                        """

                        Y_0 = 0

                        Y_6 = 1

                        Y_7 = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Cts.Sxp.Default.Password.TypeEnum']


                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:sxp/Cisco-IOS-XE-cts:default/Cisco-IOS-XE-cts:password'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.secret is not None:
                            return True

                        if self.type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Cts.Sxp.Default.Password']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:sxp/Cisco-IOS-XE-cts:default'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.password is not None and self.password._has_data():
                        return True

                    if self.source_ip is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Cts.Sxp.Default']['meta_info']


            class Connection(object):
                """
                CTS SXP Connection Configuration
                
                .. attribute:: peer
                
                	SXP Peer IP address
                	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.peer = Native.Cts.Sxp.Connection.Peer()
                    self.peer.parent = self


                class Peer(object):
                    """
                    SXP Peer IP address
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4>`
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = YList()
                        self.ipv4.parent = self
                        self.ipv4.name = 'ipv4'


                    class Ipv4(object):
                        """
                        
                        
                        .. attribute:: ipv4  <key>
                        
                        	Enter SXP Peer IP address (IPv4)
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: password
                        
                        	password details
                        	**type**\: list of    :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password>`
                        
                        .. attribute:: source
                        
                        	Source IP address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None
                            self.password = YList()
                            self.password.parent = self
                            self.password.name = 'password'
                            self.source = Native.Cts.Sxp.Connection.Peer.Ipv4.Source()
                            self.source.parent = self


                        class Source(object):
                            """
                            Source IP address
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\: list of    :py:class:`Ipv4_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = YList()
                                self.ipv4.parent = self
                                self.ipv4.name = 'ipv4'


                            class Ipv4_(object):
                                """
                                
                                
                                .. attribute:: ipv4  <key>
                                
                                	Enter SXP Source IP address (IPv4)
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: password
                                
                                	password details
                                	**type**\: list of    :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password>`
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None
                                    self.password = YList()
                                    self.password.parent = self
                                    self.password.name = 'password'


                                class Password(object):
                                    """
                                    password details
                                    
                                    .. attribute:: password_type  <key>
                                    
                                    	
                                    	**type**\:   :py:class:`PasswordTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.PasswordTypeEnum>`
                                    
                                    .. attribute:: mode
                                    
                                    	Specify SXP connection mode
                                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.password_type = None
                                        self.mode = Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode()
                                        self.mode.parent = self

                                    class PasswordTypeEnum(Enum):
                                        """
                                        PasswordTypeEnum

                                        .. data:: default = 0

                                        .. data:: none = 1

                                        """

                                        default = 0

                                        none = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.PasswordTypeEnum']



                                    class Mode(object):
                                        """
                                        Specify SXP connection mode
                                        
                                        .. attribute:: local
                                        
                                        	Configure the mode on the local device
                                        	**type**\:   :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: peer
                                        
                                        	Configure the mode on the peer device
                                        	**type**\:   :py:class:`Peer_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.local = None
                                            self.peer = None


                                        class Local(object):
                                            """
                                            Configure the mode on the local device
                                            
                                            .. attribute:: both
                                            
                                            	Configure the mode as both
                                            	**type**\:   :py:class:`Both <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Both>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: listener
                                            
                                            	Receive SXP messages on the conn
                                            	**type**\:   :py:class:`Listener <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Listener>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: speaker
                                            
                                            	Send SXP messages on the conn
                                            	**type**\:   :py:class:`Speaker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Speaker>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-cts'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.both = None
                                                self.listener = None
                                                self.speaker = None


                                            class Both(object):
                                                """
                                                Configure the mode as both
                                                
                                                .. attribute:: vrf
                                                
                                                	Name of the vrf this connection is in
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-cts'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.vrf = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-cts:both'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.vrf is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Both']['meta_info']


                                            class Listener(object):
                                                """
                                                Receive SXP messages on the conn
                                                
                                                .. attribute:: hold_time
                                                
                                                	Connection hold time period
                                                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Listener.HoldTime>`
                                                
                                                .. attribute:: vrf
                                                
                                                	Name of the vrf this connection is in
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-cts'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.hold_time = Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Listener.HoldTime()
                                                    self.hold_time.parent = self
                                                    self.vrf = None


                                                class HoldTime(object):
                                                    """
                                                    Connection hold time period
                                                    
                                                    .. attribute:: max_time
                                                    
                                                    	Enter maximum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: min_time
                                                    
                                                    	Enter minimum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: vrf
                                                    
                                                    	Name of the vrf this connection is in
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-cts'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max_time = None
                                                        self.min_time = None
                                                        self.vrf = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:hold-time'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.max_time is not None:
                                                            return True

                                                        if self.min_time is not None:
                                                            return True

                                                        if self.vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Listener.HoldTime']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-cts:listener'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.hold_time is not None and self.hold_time._has_data():
                                                        return True

                                                    if self.vrf is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Listener']['meta_info']


                                            class Speaker(object):
                                                """
                                                Send SXP messages on the conn
                                                
                                                .. attribute:: hold_time
                                                
                                                	Connection hold time period
                                                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Speaker.HoldTime>`
                                                
                                                .. attribute:: vrf
                                                
                                                	Name of the vrf this connection is in
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-cts'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.hold_time = Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Speaker.HoldTime()
                                                    self.hold_time.parent = self
                                                    self.vrf = None


                                                class HoldTime(object):
                                                    """
                                                    Connection hold time period
                                                    
                                                    .. attribute:: min_time
                                                    
                                                    	Enter minimum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: vrf
                                                    
                                                    	Name of the vrf this connection is in
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-cts'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.min_time = None
                                                        self.vrf = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:hold-time'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.min_time is not None:
                                                            return True

                                                        if self.vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Speaker.HoldTime']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-cts:speaker'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.hold_time is not None and self.hold_time._has_data():
                                                        return True

                                                    if self.vrf is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local.Speaker']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-cts:local'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.both is not None and self.both._has_data():
                                                    return True

                                                if self.listener is not None and self.listener._has_data():
                                                    return True

                                                if self.speaker is not None and self.speaker._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Local']['meta_info']


                                        class Peer_(object):
                                            """
                                            Configure the mode on the peer device
                                            
                                            .. attribute:: both
                                            
                                            	Configure the mode as both
                                            	**type**\:   :py:class:`Both <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Both>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: listener
                                            
                                            	Receive SXP messages on the conn
                                            	**type**\:   :py:class:`Listener <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Listener>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: speaker
                                            
                                            	Send SXP messages on the conn
                                            	**type**\:   :py:class:`Speaker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Speaker>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-cts'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.both = None
                                                self.listener = None
                                                self.speaker = None


                                            class Both(object):
                                                """
                                                Configure the mode as both
                                                
                                                .. attribute:: vrf
                                                
                                                	Name of the vrf this connection is in
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-cts'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.vrf = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-cts:both'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.vrf is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Both']['meta_info']


                                            class Listener(object):
                                                """
                                                Receive SXP messages on the conn
                                                
                                                .. attribute:: hold_time
                                                
                                                	Connection hold time period
                                                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Listener.HoldTime>`
                                                
                                                .. attribute:: vrf
                                                
                                                	Name of the vrf this connection is in
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-cts'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.hold_time = Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Listener.HoldTime()
                                                    self.hold_time.parent = self
                                                    self.vrf = None


                                                class HoldTime(object):
                                                    """
                                                    Connection hold time period
                                                    
                                                    .. attribute:: min_time
                                                    
                                                    	Enter minimum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: vrf
                                                    
                                                    	Name of the vrf this connection is in
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-cts'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.min_time = None
                                                        self.vrf = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:hold-time'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.min_time is not None:
                                                            return True

                                                        if self.vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Listener.HoldTime']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-cts:listener'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.hold_time is not None and self.hold_time._has_data():
                                                        return True

                                                    if self.vrf is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Listener']['meta_info']


                                            class Speaker(object):
                                                """
                                                Send SXP messages on the conn
                                                
                                                .. attribute:: hold_time
                                                
                                                	Connection hold time period
                                                	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Speaker.HoldTime>`
                                                
                                                .. attribute:: vrf
                                                
                                                	Name of the vrf this connection is in
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-cts'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.hold_time = Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Speaker.HoldTime()
                                                    self.hold_time.parent = self
                                                    self.vrf = None


                                                class HoldTime(object):
                                                    """
                                                    Connection hold time period
                                                    
                                                    .. attribute:: max_time
                                                    
                                                    	Enter maximum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: min_time
                                                    
                                                    	Enter minimum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: vrf
                                                    
                                                    	Name of the vrf this connection is in
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-cts'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.max_time = None
                                                        self.min_time = None
                                                        self.vrf = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:hold-time'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.max_time is not None:
                                                            return True

                                                        if self.min_time is not None:
                                                            return True

                                                        if self.vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Speaker.HoldTime']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-cts:speaker'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.hold_time is not None and self.hold_time._has_data():
                                                        return True

                                                    if self.vrf is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_.Speaker']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-cts:peer'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.both is not None and self.both._has_data():
                                                    return True

                                                if self.listener is not None and self.listener._has_data():
                                                    return True

                                                if self.speaker is not None and self.speaker._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode.Peer_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:mode'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.local is not None and self.local._has_data():
                                                return True

                                            if self.peer is not None and self.peer._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password.Mode']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.password_type is None:
                                            raise YPYModelError('Key property password_type is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:password[Cisco-IOS-XE-cts:password-type = ' + str(self.password_type) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.password_type is not None:
                                            return True

                                        if self.mode is not None and self.mode._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_.Password']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ipv4 is None:
                                        raise YPYModelError('Key property ipv4 is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-cts:ipv4[Cisco-IOS-XE-cts:ipv4 = ' + str(self.ipv4) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    if self.password is not None:
                                        for child_ref in self.password:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-cts:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None:
                                    for child_ref in self.ipv4:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Source']['meta_info']


                        class Password(object):
                            """
                            password details
                            
                            .. attribute:: password_type  <key>
                            
                            	
                            	**type**\:   :py:class:`PasswordTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.PasswordTypeEnum>`
                            
                            .. attribute:: mode
                            
                            	Specify SXP connection mode
                            	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.password_type = None
                                self.mode = Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode()
                                self.mode.parent = self

                            class PasswordTypeEnum(Enum):
                                """
                                PasswordTypeEnum

                                .. data:: default = 0

                                .. data:: none = 1

                                """

                                default = 0

                                none = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.PasswordTypeEnum']



                            class Mode(object):
                                """
                                Specify SXP connection mode
                                
                                .. attribute:: local
                                
                                	Configure the mode on the local device
                                	**type**\:   :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: peer
                                
                                	Configure the mode on the peer device
                                	**type**\:   :py:class:`Peer_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.local = None
                                    self.peer = None


                                class Local(object):
                                    """
                                    Configure the mode on the local device
                                    
                                    .. attribute:: both
                                    
                                    	Configure the mode as both
                                    	**type**\:   :py:class:`Both <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Both>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: listener
                                    
                                    	Receive SXP messages on the conn
                                    	**type**\:   :py:class:`Listener <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: speaker
                                    
                                    	Send SXP messages on the conn
                                    	**type**\:   :py:class:`Speaker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.both = None
                                        self.listener = None
                                        self.speaker = None


                                    class Both(object):
                                        """
                                        Configure the mode as both
                                        
                                        .. attribute:: vrf
                                        
                                        	Name of the vrf this connection is in
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.vrf = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:both'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Both']['meta_info']


                                    class Listener(object):
                                        """
                                        Receive SXP messages on the conn
                                        
                                        .. attribute:: hold_time
                                        
                                        	Connection hold time period
                                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener.HoldTime>`
                                        
                                        .. attribute:: vrf
                                        
                                        	Name of the vrf this connection is in
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.hold_time = Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener.HoldTime()
                                            self.hold_time.parent = self
                                            self.vrf = None


                                        class HoldTime(object):
                                            """
                                            Connection hold time period
                                            
                                            .. attribute:: max_time
                                            
                                            	Enter maximum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: min_time
                                            
                                            	Enter minimum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: vrf
                                            
                                            	Name of the vrf this connection is in
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-cts'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.max_time = None
                                                self.min_time = None
                                                self.vrf = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-cts:hold-time'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.max_time is not None:
                                                    return True

                                                if self.min_time is not None:
                                                    return True

                                                if self.vrf is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener.HoldTime']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:listener'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.hold_time is not None and self.hold_time._has_data():
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener']['meta_info']


                                    class Speaker(object):
                                        """
                                        Send SXP messages on the conn
                                        
                                        .. attribute:: hold_time
                                        
                                        	Connection hold time period
                                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker.HoldTime>`
                                        
                                        .. attribute:: vrf
                                        
                                        	Name of the vrf this connection is in
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.hold_time = Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker.HoldTime()
                                            self.hold_time.parent = self
                                            self.vrf = None


                                        class HoldTime(object):
                                            """
                                            Connection hold time period
                                            
                                            .. attribute:: min_time
                                            
                                            	Enter minimum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: vrf
                                            
                                            	Name of the vrf this connection is in
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-cts'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.min_time = None
                                                self.vrf = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-cts:hold-time'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.min_time is not None:
                                                    return True

                                                if self.vrf is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker.HoldTime']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:speaker'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.hold_time is not None and self.hold_time._has_data():
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:local'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.both is not None and self.both._has_data():
                                            return True

                                        if self.listener is not None and self.listener._has_data():
                                            return True

                                        if self.speaker is not None and self.speaker._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local']['meta_info']


                                class Peer_(object):
                                    """
                                    Configure the mode on the peer device
                                    
                                    .. attribute:: both
                                    
                                    	Configure the mode as both
                                    	**type**\:   :py:class:`Both <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Both>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: listener
                                    
                                    	Receive SXP messages on the conn
                                    	**type**\:   :py:class:`Listener <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Listener>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: speaker
                                    
                                    	Send SXP messages on the conn
                                    	**type**\:   :py:class:`Speaker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Speaker>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.both = None
                                        self.listener = None
                                        self.speaker = None


                                    class Both(object):
                                        """
                                        Configure the mode as both
                                        
                                        .. attribute:: vrf
                                        
                                        	Name of the vrf this connection is in
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.vrf = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:both'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Both']['meta_info']


                                    class Listener(object):
                                        """
                                        Receive SXP messages on the conn
                                        
                                        .. attribute:: hold_time
                                        
                                        	Connection hold time period
                                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Listener.HoldTime>`
                                        
                                        .. attribute:: vrf
                                        
                                        	Name of the vrf this connection is in
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.hold_time = Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Listener.HoldTime()
                                            self.hold_time.parent = self
                                            self.vrf = None


                                        class HoldTime(object):
                                            """
                                            Connection hold time period
                                            
                                            .. attribute:: min_time
                                            
                                            	Enter minimum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: vrf
                                            
                                            	Name of the vrf this connection is in
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-cts'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.min_time = None
                                                self.vrf = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-cts:hold-time'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.min_time is not None:
                                                    return True

                                                if self.vrf is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Listener.HoldTime']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:listener'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.hold_time is not None and self.hold_time._has_data():
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Listener']['meta_info']


                                    class Speaker(object):
                                        """
                                        Send SXP messages on the conn
                                        
                                        .. attribute:: hold_time
                                        
                                        	Connection hold time period
                                        	**type**\:   :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Speaker.HoldTime>`
                                        
                                        .. attribute:: vrf
                                        
                                        	Name of the vrf this connection is in
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.hold_time = Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Speaker.HoldTime()
                                            self.hold_time.parent = self
                                            self.vrf = None


                                        class HoldTime(object):
                                            """
                                            Connection hold time period
                                            
                                            .. attribute:: max_time
                                            
                                            	Enter maximum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: min_time
                                            
                                            	Enter minimum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: vrf
                                            
                                            	Name of the vrf this connection is in
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-cts'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.max_time = None
                                                self.min_time = None
                                                self.vrf = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-cts:hold-time'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.max_time is not None:
                                                    return True

                                                if self.min_time is not None:
                                                    return True

                                                if self.vrf is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Speaker.HoldTime']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-cts:speaker'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.hold_time is not None and self.hold_time._has_data():
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_.Speaker']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-cts:peer'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.both is not None and self.both._has_data():
                                            return True

                                        if self.listener is not None and self.listener._has_data():
                                            return True

                                        if self.speaker is not None and self.speaker._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer_']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-cts:mode'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.local is not None and self.local._has_data():
                                        return True

                                    if self.peer is not None and self.peer._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.password_type is None:
                                    raise YPYModelError('Key property password_type is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-cts:password[Cisco-IOS-XE-cts:password-type = ' + str(self.password_type) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.password_type is not None:
                                    return True

                                if self.mode is not None and self.mode._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4.Password']['meta_info']

                        @property
                        def _common_path(self):
                            if self.ipv4 is None:
                                raise YPYModelError('Key property ipv4 is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:sxp/Cisco-IOS-XE-cts:connection/Cisco-IOS-XE-cts:peer/Cisco-IOS-XE-cts:ipv4[Cisco-IOS-XE-cts:ipv4 = ' + str(self.ipv4) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None:
                                return True

                            if self.password is not None:
                                for child_ref in self.password:
                                    if child_ref._has_data():
                                        return True

                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Cts.Sxp.Connection.Peer.Ipv4']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:sxp/Cisco-IOS-XE-cts:connection/Cisco-IOS-XE-cts:peer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None:
                            for child_ref in self.ipv4:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Cts.Sxp.Connection.Peer']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:sxp/Cisco-IOS-XE-cts:connection'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.peer is not None and self.peer._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Cts.Sxp.Connection']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts/Cisco-IOS-XE-cts:sxp'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.connection is not None and self.connection._has_data():
                    return True

                if self.default is not None and self.default._has_data():
                    return True

                if self.enable is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Cts.Sxp']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:cts'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.authorization is not None and self.authorization._has_data():
                return True

            if self.cache is not None and self.cache._has_data():
                return True

            if self.critical_authentication is not None and self.critical_authentication._has_data():
                return True

            if self.critical_authentication_conf is not None:
                return True

            if self.dot1x_server_timeout is not None:
                return True

            if self.dot1x_supp_timeout is not None:
                return True

            if self.logging is not None:
                return True

            if self.role_based is not None and self.role_based._has_data():
                return True

            if self.server is not None and self.server._has_data():
                return True

            if self.sgt is not None:
                return True

            if self.sxp is not None and self.sxp._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Cts']['meta_info']


    class BfdTemplate(object):
        """
        BFD\-template
        
        .. attribute:: single_hop
        
        	Single\-hop template
        	**type**\:   :py:class:`SingleHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BfdTemplate.SingleHop>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.single_hop = Native.BfdTemplate.SingleHop()
            self.single_hop.parent = self


        class SingleHop(object):
            """
            Single\-hop template
            
            .. attribute:: interval
            
            	Transmit interval between BFD packets
            	**type**\:   :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BfdTemplate.SingleHop.Interval>`
            
            .. attribute:: name
            
            	
            	**type**\:  str
            
            

            """

            _prefix = 'ios-bfd'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.interval = Native.BfdTemplate.SingleHop.Interval()
                self.interval.parent = self
                self.name = None


            class Interval(object):
                """
                Transmit interval between BFD packets
                
                .. attribute:: microseconds
                
                	Specify BFD timers in microseconds
                	**type**\:   :py:class:`Microseconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BfdTemplate.SingleHop.Interval.Microseconds>`
                
                

                """

                _prefix = 'ios-bfd'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.microseconds = Native.BfdTemplate.SingleHop.Interval.Microseconds()
                    self.microseconds.parent = self


                class Microseconds(object):
                    """
                    Specify BFD timers in microseconds
                    
                    .. attribute:: min_rx
                    
                    	Minimum receive interval capability
                    	**type**\:  int
                    
                    	**range:** 3300..999000
                    
                    .. attribute:: min_tx
                    
                    	Minimum transmit interval capability
                    	**type**\:  int
                    
                    	**range:** 3300..999000
                    
                    .. attribute:: multiplier
                    
                    	Multiplier value used to compute holddown
                    	**type**\:  int
                    
                    	**range:** 3..50
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.min_rx = None
                        self.min_tx = None
                        self.multiplier = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bfd-template/Cisco-IOS-XE-bfd:single-hop/Cisco-IOS-XE-bfd:interval/Cisco-IOS-XE-bfd:microseconds'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.min_rx is not None:
                            return True

                        if self.min_tx is not None:
                            return True

                        if self.multiplier is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.BfdTemplate.SingleHop.Interval.Microseconds']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bfd-template/Cisco-IOS-XE-bfd:single-hop/Cisco-IOS-XE-bfd:interval'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.microseconds is not None and self.microseconds._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.BfdTemplate.SingleHop.Interval']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bfd-template/Cisco-IOS-XE-bfd:single-hop'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.interval is not None and self.interval._has_data():
                    return True

                if self.name is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.BfdTemplate.SingleHop']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:bfd-template'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.single_hop is not None and self.single_hop._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.BfdTemplate']['meta_info']


    class Pfr(object):
        """
        Performance Routing configuration submodes
        
        .. attribute:: border
        
        	Enter PfR border router configuration submode
        	**type**\:   :py:class:`Border <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border>`
        
        	**presence node**\: True
        
        .. attribute:: master
        
        	Enter PfR master controller configuration submode
        	**type**\:   :py:class:`Master <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.border = None
            self.master = None


        class Border(object):
            """
            Enter PfR border router configuration submode
            
            .. attribute:: pfr_mode__config_pfr_br
            
            	
            	**type**\:   :py:class:`PfrMode__ConfigPfrBr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrMode__ConfigPfrBr>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-pfr'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.pfr_mode__config_pfr_br = Native.Pfr.Border.PfrMode__ConfigPfrBr()
                self.pfr_mode__config_pfr_br.parent = self


            class PfrMode__ConfigPfrBr(object):
                """
                
                
                .. attribute:: active_probe
                
                	Specify active probe parameters
                	**type**\:   :py:class:`ActiveProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe>`
                
                .. attribute:: local
                
                	Specify the local interface for PfR connection
                	**type**\:   :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrMode__ConfigPfrBr.Local>`
                
                .. attribute:: logging
                
                	Event logging
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: master
                
                	Specify the PfR master controller IP address
                	**type**\:   :py:class:`Master <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrMode__ConfigPfrBr.Master>`
                
                .. attribute:: port
                
                	Specify PfR port number
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: shutdown
                
                	Disable PfR border router functionality
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-pfr'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.active_probe = Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe()
                    self.active_probe.parent = self
                    self.local = Native.Pfr.Border.PfrMode__ConfigPfrBr.Local()
                    self.local.parent = self
                    self.logging = None
                    self.master = Native.Pfr.Border.PfrMode__ConfigPfrBr.Master()
                    self.master.parent = self
                    self.port = None
                    self.shutdown = None


                class ActiveProbe(object):
                    """
                    Specify active probe parameters
                    
                    .. attribute:: address
                    
                    	Identify probe address parameters
                    	**type**\:   :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address()
                        self.address.parent = self


                    class Address(object):
                        """
                        Identify probe address parameters
                        
                        .. attribute:: source
                        
                        	Identify probe source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.source = Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source()
                            self.source.parent = self


                        class Source(object):
                            """
                            Identify probe source address
                            
                            .. attribute:: interface
                            
                            	Identify probe source address from interface
                            	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interface = Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface()
                                self.interface.parent = self


                            class Interface(object):
                                """
                                Identify probe source address from interface
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.AtmAcrsubinterface>`
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.AtmSubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\:  str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\:  str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\:  str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\:  str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\:  str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  int
                                
                                	**range:** 0..65520
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.LispSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\:  str
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\:  str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\:  str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.appnav_compress = None
                                    self.appnav_uncompress = None
                                    self.atm = None
                                    self.atm_acr = None
                                    self.atm_acrsubinterface = Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.AtmAcrsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self.atm_subinterface = Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.AtmSubinterface()
                                    self.atm_subinterface.parent = self
                                    self.bdi = None
                                    self.cellular = None
                                    self.cem = None
                                    self.cem_acr = None
                                    self.embedded_service_engine = None
                                    self.fastethernet = None
                                    self.gigabitethernet = None
                                    self.lisp = None
                                    self.lisp_subinterface = Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.LispSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self.loopback = None
                                    self.multilink = None
                                    self.nve = None
                                    self.overlay = None
                                    self.port_channel = None
                                    self.port_channel_subinterface = Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self.pseudowire = None
                                    self.serial = None
                                    self.sm = None
                                    self.tengigabitethernet = None
                                    self.tunnel = None
                                    self.vasileft = None
                                    self.vasiright = None
                                    self.virtual_template = None
                                    self.virtualportgroup = None
                                    self.vlan = None


                                class AtmSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-pfr'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:border/Cisco-IOS-XE-pfr:pfr-Mode__config-pfr-br/Cisco-IOS-XE-pfr:active-probe/Cisco-IOS-XE-pfr:address/Cisco-IOS-XE-pfr:source/Cisco-IOS-XE-pfr:interface/Cisco-IOS-XE-pfr:ATM-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.AtmSubinterface']['meta_info']


                                class AtmAcrsubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-pfr'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm_acr = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:border/Cisco-IOS-XE-pfr:pfr-Mode__config-pfr-br/Cisco-IOS-XE-pfr:active-probe/Cisco-IOS-XE-pfr:address/Cisco-IOS-XE-pfr:source/Cisco-IOS-XE-pfr:interface/Cisco-IOS-XE-pfr:ATM-ACRsubinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm_acr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.AtmAcrsubinterface']['meta_info']


                                class LispSubinterface(object):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-pfr'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:border/Cisco-IOS-XE-pfr:pfr-Mode__config-pfr-br/Cisco-IOS-XE-pfr:active-probe/Cisco-IOS-XE-pfr:address/Cisco-IOS-XE-pfr:source/Cisco-IOS-XE-pfr:interface/Cisco-IOS-XE-pfr:LISP-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.LispSubinterface']['meta_info']


                                class PortChannelSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-pfr'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.port_channel = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:border/Cisco-IOS-XE-pfr:pfr-Mode__config-pfr-br/Cisco-IOS-XE-pfr:active-probe/Cisco-IOS-XE-pfr:address/Cisco-IOS-XE-pfr:source/Cisco-IOS-XE-pfr:interface/Cisco-IOS-XE-pfr:Port-channel-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.port_channel is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface.PortChannelSubinterface']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:border/Cisco-IOS-XE-pfr:pfr-Mode__config-pfr-br/Cisco-IOS-XE-pfr:active-probe/Cisco-IOS-XE-pfr:address/Cisco-IOS-XE-pfr:source/Cisco-IOS-XE-pfr:interface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.appnav_compress is not None:
                                        return True

                                    if self.appnav_uncompress is not None:
                                        return True

                                    if self.atm is not None:
                                        return True

                                    if self.atm_acr is not None:
                                        return True

                                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                        return True

                                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                        return True

                                    if self.bdi is not None:
                                        return True

                                    if self.cellular is not None:
                                        return True

                                    if self.cem is not None:
                                        return True

                                    if self.cem_acr is not None:
                                        return True

                                    if self.embedded_service_engine is not None:
                                        return True

                                    if self.fastethernet is not None:
                                        return True

                                    if self.gigabitethernet is not None:
                                        return True

                                    if self.lisp is not None:
                                        return True

                                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                        return True

                                    if self.loopback is not None:
                                        return True

                                    if self.multilink is not None:
                                        return True

                                    if self.nve is not None:
                                        return True

                                    if self.overlay is not None:
                                        return True

                                    if self.port_channel is not None:
                                        return True

                                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                        return True

                                    if self.pseudowire is not None:
                                        return True

                                    if self.serial is not None:
                                        return True

                                    if self.sm is not None:
                                        return True

                                    if self.tengigabitethernet is not None:
                                        return True

                                    if self.tunnel is not None:
                                        return True

                                    if self.vasileft is not None:
                                        return True

                                    if self.vasiright is not None:
                                        return True

                                    if self.virtual_template is not None:
                                        return True

                                    if self.virtualportgroup is not None:
                                        return True

                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source.Interface']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:border/Cisco-IOS-XE-pfr:pfr-Mode__config-pfr-br/Cisco-IOS-XE-pfr:active-probe/Cisco-IOS-XE-pfr:address/Cisco-IOS-XE-pfr:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interface is not None and self.interface._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address.Source']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:border/Cisco-IOS-XE-pfr:pfr-Mode__config-pfr-br/Cisco-IOS-XE-pfr:active-probe/Cisco-IOS-XE-pfr:address'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe.Address']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:border/Cisco-IOS-XE-pfr:pfr-Mode__config-pfr-br/Cisco-IOS-XE-pfr:active-probe'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None and self.address._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.ActiveProbe']['meta_info']


                class Local(object):
                    """
                    Specify the local interface for PfR connection
                    
                    .. attribute:: interface
                    
                    	
                    	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interface = Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface()
                        self.interface.parent = self


                    class Interface(object):
                        """
                        
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.AtmAcrsubinterface>`
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.AtmSubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\:  str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\:  str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\:  str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\:  str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\:  str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  int
                        
                        	**range:** 0..65520
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.LispSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\:  str
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\:  str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\:  str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.appnav_compress = None
                            self.appnav_uncompress = None
                            self.atm = None
                            self.atm_acr = None
                            self.atm_acrsubinterface = Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.AtmAcrsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self.atm_subinterface = Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.AtmSubinterface()
                            self.atm_subinterface.parent = self
                            self.bdi = None
                            self.cellular = None
                            self.cem = None
                            self.cem_acr = None
                            self.embedded_service_engine = None
                            self.fastethernet = None
                            self.gigabitethernet = None
                            self.lisp = None
                            self.lisp_subinterface = Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.LispSubinterface()
                            self.lisp_subinterface.parent = self
                            self.loopback = None
                            self.multilink = None
                            self.nve = None
                            self.overlay = None
                            self.port_channel = None
                            self.port_channel_subinterface = Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self.pseudowire = None
                            self.serial = None
                            self.sm = None
                            self.tengigabitethernet = None
                            self.tunnel = None
                            self.vasileft = None
                            self.vasiright = None
                            self.virtual_template = None
                            self.virtualportgroup = None
                            self.vlan = None


                        class AtmSubinterface(object):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:border/Cisco-IOS-XE-pfr:pfr-Mode__config-pfr-br/Cisco-IOS-XE-pfr:local/Cisco-IOS-XE-pfr:interface/Cisco-IOS-XE-pfr:ATM-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.AtmSubinterface']['meta_info']


                        class AtmAcrsubinterface(object):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm_acr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:border/Cisco-IOS-XE-pfr:pfr-Mode__config-pfr-br/Cisco-IOS-XE-pfr:local/Cisco-IOS-XE-pfr:interface/Cisco-IOS-XE-pfr:ATM-ACRsubinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm_acr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.AtmAcrsubinterface']['meta_info']


                        class LispSubinterface(object):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:border/Cisco-IOS-XE-pfr:pfr-Mode__config-pfr-br/Cisco-IOS-XE-pfr:local/Cisco-IOS-XE-pfr:interface/Cisco-IOS-XE-pfr:LISP-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.LispSubinterface']['meta_info']


                        class PortChannelSubinterface(object):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port_channel = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:border/Cisco-IOS-XE-pfr:pfr-Mode__config-pfr-br/Cisco-IOS-XE-pfr:local/Cisco-IOS-XE-pfr:interface/Cisco-IOS-XE-pfr:Port-channel-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port_channel is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface.PortChannelSubinterface']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:border/Cisco-IOS-XE-pfr:pfr-Mode__config-pfr-br/Cisco-IOS-XE-pfr:local/Cisco-IOS-XE-pfr:interface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.appnav_compress is not None:
                                return True

                            if self.appnav_uncompress is not None:
                                return True

                            if self.atm is not None:
                                return True

                            if self.atm_acr is not None:
                                return True

                            if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                return True

                            if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                return True

                            if self.bdi is not None:
                                return True

                            if self.cellular is not None:
                                return True

                            if self.cem is not None:
                                return True

                            if self.cem_acr is not None:
                                return True

                            if self.embedded_service_engine is not None:
                                return True

                            if self.fastethernet is not None:
                                return True

                            if self.gigabitethernet is not None:
                                return True

                            if self.lisp is not None:
                                return True

                            if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                return True

                            if self.loopback is not None:
                                return True

                            if self.multilink is not None:
                                return True

                            if self.nve is not None:
                                return True

                            if self.overlay is not None:
                                return True

                            if self.port_channel is not None:
                                return True

                            if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                return True

                            if self.pseudowire is not None:
                                return True

                            if self.serial is not None:
                                return True

                            if self.sm is not None:
                                return True

                            if self.tengigabitethernet is not None:
                                return True

                            if self.tunnel is not None:
                                return True

                            if self.vasileft is not None:
                                return True

                            if self.vasiright is not None:
                                return True

                            if self.virtual_template is not None:
                                return True

                            if self.virtualportgroup is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Local.Interface']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:border/Cisco-IOS-XE-pfr:pfr-Mode__config-pfr-br/Cisco-IOS-XE-pfr:local'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interface is not None and self.interface._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Local']['meta_info']


                class Master(object):
                    """
                    Specify the PfR master controller IP address
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrMode__ConfigPfrBr.Master.Ipv4>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = YList()
                        self.ipv4.parent = self
                        self.ipv4.name = 'ipv4'


                    class Ipv4(object):
                        """
                        
                        
                        .. attribute:: ipv4  <key>
                        
                        	IP address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: key_chain
                        
                        	name of key\-chain
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None
                            self.key_chain = None

                        @property
                        def _common_path(self):
                            if self.ipv4 is None:
                                raise YPYModelError('Key property ipv4 is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:border/Cisco-IOS-XE-pfr:pfr-Mode__config-pfr-br/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:ipv4[Cisco-IOS-XE-pfr:ipv4 = ' + str(self.ipv4) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None:
                                return True

                            if self.key_chain is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Master.Ipv4']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:border/Cisco-IOS-XE-pfr:pfr-Mode__config-pfr-br/Cisco-IOS-XE-pfr:master'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None:
                            for child_ref in self.ipv4:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr.Master']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:border/Cisco-IOS-XE-pfr:pfr-Mode__config-pfr-br'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.active_probe is not None and self.active_probe._has_data():
                        return True

                    if self.local is not None and self.local._has_data():
                        return True

                    if self.logging is not None:
                        return True

                    if self.master is not None and self.master._has_data():
                        return True

                    if self.port is not None:
                        return True

                    if self.shutdown is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Pfr.Border.PfrMode__ConfigPfrBr']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:border'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.pfr_mode__config_pfr_br is not None and self.pfr_mode__config_pfr_br._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Pfr.Border']['meta_info']


        class Master(object):
            """
            Enter PfR master controller configuration submode
            
            .. attribute:: icmp_mode_config_pfr_mc
            
            	
            	**type**\:   :py:class:`IcmpModeConfigPfrMc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-pfr'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.icmp_mode_config_pfr_mc = Native.Pfr.Master.IcmpModeConfigPfrMc()
                self.icmp_mode_config_pfr_mc.parent = self


            class IcmpModeConfigPfrMc(object):
                """
                
                
                .. attribute:: active_probe
                
                	Manually create an active probe for a known target
                	**type**\:   :py:class:`ActiveProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe>`
                
                .. attribute:: application
                
                	Define application
                	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Application>`
                
                .. attribute:: backoff
                
                	Specify backoff timer parameters
                	**type**\:   :py:class:`Backoff <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff>`
                
                .. attribute:: bandwidth_resolution
                
                	Enable/configure Bandwidth Resolution
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: border
                
                	Enter PfR managed border router configuration submode
                	**type**\:   :py:class:`Border <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Border>`
                
                .. attribute:: delay
                
                	Specify delay parameters
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Delay>`
                
                .. attribute:: exporter
                
                	name of flow exporter
                	**type**\:  str
                
                .. attribute:: holddown
                
                	Specify hold\-down timer parameter (secs)
                	**type**\:  int
                
                	**range:** 90..65535
                
                .. attribute:: jitter
                
                	Specify jitter parameters
                	**type**\:   :py:class:`Jitter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Jitter>`
                
                .. attribute:: keepalive
                
                	Specify keepalive interval in seconds
                	**type**\:  int
                
                	**range:** 0..1000
                
                .. attribute:: learn
                
                	Enter prefix and traffic class learning submode
                	**type**\:   :py:class:`Learn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn>`
                
                	**presence node**\: True
                
                .. attribute:: logging
                
                	Event Logging
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: loss
                
                	Specify loss parameters
                	**type**\:   :py:class:`Loss <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Loss>`
                
                .. attribute:: max
                
                	Specify the upper limit
                	**type**\:   :py:class:`Max <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Max>`
                
                .. attribute:: max_range_utilization
                
                	Configure the maximum range for utilization of all exits
                	**type**\:   :py:class:`MaxRangeUtilization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.MaxRangeUtilization>`
                
                .. attribute:: mc_peer
                
                	Enable MC\-to\-MC peering
                	**type**\:   :py:class:`McPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer>`
                
                	**presence node**\: True
                
                .. attribute:: mode
                
                	Specify PfR operating mode settings
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mode>`
                
                .. attribute:: mos
                
                	Specify mos parameters
                	**type**\:   :py:class:`Mos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mos>`
                
                .. attribute:: periodic
                
                	Specify periodic rotation timer value (secs)
                	**type**\:  int
                
                	**range:** 90..7200
                
                .. attribute:: policy_rules
                
                	pfr\-map name
                	**type**\:  str
                
                .. attribute:: port
                
                	Specify tcp port number for PfR communication
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: probe
                
                	Specify number of packets for jitter probe
                	**type**\:   :py:class:`Probe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Probe>`
                
                .. attribute:: resolve
                
                	Specify PfR policy resolver settings
                	**type**\:   :py:class:`Resolve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve>`
                
                .. attribute:: rsvp
                
                	Specify rsvp parameters
                	**type**\:   :py:class:`Rsvp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Rsvp>`
                
                .. attribute:: shutdown
                
                	Disable PfR master controller functionality
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: target_discovery
                
                	Enable/configure Target Discovery
                	**type**\:   :py:class:`TargetDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery>`
                
                	**presence node**\: True
                
                .. attribute:: traceroute
                
                	Configure Traceroute global parameters
                	**type**\:   :py:class:`Traceroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Traceroute>`
                
                .. attribute:: trigger_log_percentage
                
                	Specify the percentage of out\-of\-policy TCs that will trigger a syslog
                	**type**\:  int
                
                	**range:** 0..100
                
                .. attribute:: unreachable
                
                	Specify unreachable parameters
                	**type**\:   :py:class:`Unreachable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Unreachable>`
                
                

                """

                _prefix = 'ios-pfr'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.active_probe = Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe()
                    self.active_probe.parent = self
                    self.application = Native.Pfr.Master.IcmpModeConfigPfrMc.Application()
                    self.application.parent = self
                    self.backoff = Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff()
                    self.backoff.parent = self
                    self.bandwidth_resolution = None
                    self.border = Native.Pfr.Master.IcmpModeConfigPfrMc.Border()
                    self.border.parent = self
                    self.delay = Native.Pfr.Master.IcmpModeConfigPfrMc.Delay()
                    self.delay.parent = self
                    self.exporter = None
                    self.holddown = None
                    self.jitter = Native.Pfr.Master.IcmpModeConfigPfrMc.Jitter()
                    self.jitter.parent = self
                    self.keepalive = None
                    self.learn = None
                    self.logging = None
                    self.loss = Native.Pfr.Master.IcmpModeConfigPfrMc.Loss()
                    self.loss.parent = self
                    self.max = Native.Pfr.Master.IcmpModeConfigPfrMc.Max()
                    self.max.parent = self
                    self.max_range_utilization = Native.Pfr.Master.IcmpModeConfigPfrMc.MaxRangeUtilization()
                    self.max_range_utilization.parent = self
                    self.mc_peer = None
                    self.mode = Native.Pfr.Master.IcmpModeConfigPfrMc.Mode()
                    self.mode.parent = self
                    self.mos = Native.Pfr.Master.IcmpModeConfigPfrMc.Mos()
                    self.mos.parent = self
                    self.periodic = None
                    self.policy_rules = None
                    self.port = None
                    self.probe = Native.Pfr.Master.IcmpModeConfigPfrMc.Probe()
                    self.probe.parent = self
                    self.resolve = Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve()
                    self.resolve.parent = self
                    self.rsvp = Native.Pfr.Master.IcmpModeConfigPfrMc.Rsvp()
                    self.rsvp.parent = self
                    self.shutdown = None
                    self.target_discovery = None
                    self.traceroute = Native.Pfr.Master.IcmpModeConfigPfrMc.Traceroute()
                    self.traceroute.parent = self
                    self.trigger_log_percentage = None
                    self.unreachable = Native.Pfr.Master.IcmpModeConfigPfrMc.Unreachable()
                    self.unreachable.parent = self


                class ActiveProbe(object):
                    """
                    Manually create an active probe for a known target
                    
                    .. attribute:: echo
                    
                    	IP address of probe target
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                    
                    
                    ----
                    .. attribute:: jitter
                    
                    	Perform jitter probe operations (requires a responder)
                    	**type**\:   :py:class:`Jitter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter>`
                    
                    .. attribute:: tcp_conn
                    
                    	Perform TCP Connection / Disconnect probe operations
                    	**type**\:   :py:class:`TcpConn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn>`
                    
                    .. attribute:: udp_echo
                    
                    	Perform UDP Echo probe operations (requires a responder)
                    	**type**\:   :py:class:`UdpEcho <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.echo = None
                        self.jitter = Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter()
                        self.jitter.parent = self
                        self.tcp_conn = Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn()
                        self.tcp_conn.parent = self
                        self.udp_echo = Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho()
                        self.udp_echo.parent = self


                    class Jitter(object):
                        """
                        Perform jitter probe operations (requires a responder)
                        
                        .. attribute:: ipv4_or_hostname
                        
                        	
                        	**type**\: list of    :py:class:`Ipv4OrHostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter.Ipv4OrHostname>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4_or_hostname = YList()
                            self.ipv4_or_hostname.parent = self
                            self.ipv4_or_hostname.name = 'ipv4_or_hostname'


                        class Ipv4OrHostname(object):
                            """
                            
                            
                            .. attribute:: ipv4_or_hostname  <key>
                            
                            	IP address of probe target
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            
                            ----
                            .. attribute:: target_port
                            
                            	Target Port Number
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_or_hostname = None
                                self.target_port = None

                            @property
                            def _common_path(self):
                                if self.ipv4_or_hostname is None:
                                    raise YPYModelError('Key property ipv4_or_hostname is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:active-probe/Cisco-IOS-XE-pfr:jitter/Cisco-IOS-XE-pfr:ipv4-or-hostname[Cisco-IOS-XE-pfr:ipv4-or-hostname = ' + str(self.ipv4_or_hostname) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4_or_hostname is not None:
                                    return True

                                if self.target_port is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter.Ipv4OrHostname']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:active-probe/Cisco-IOS-XE-pfr:jitter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4_or_hostname is not None:
                                for child_ref in self.ipv4_or_hostname:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter']['meta_info']


                    class TcpConn(object):
                        """
                        Perform TCP Connection / Disconnect probe operations
                        
                        .. attribute:: ipv4_or_hostname
                        
                        	
                        	**type**\: list of    :py:class:`Ipv4OrHostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn.Ipv4OrHostname>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4_or_hostname = YList()
                            self.ipv4_or_hostname.parent = self
                            self.ipv4_or_hostname.name = 'ipv4_or_hostname'


                        class Ipv4OrHostname(object):
                            """
                            
                            
                            .. attribute:: ipv4_or_hostname  <key>
                            
                            	IP address of probe target
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            
                            ----
                            .. attribute:: target_port
                            
                            	Target Port Number
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_or_hostname = None
                                self.target_port = None

                            @property
                            def _common_path(self):
                                if self.ipv4_or_hostname is None:
                                    raise YPYModelError('Key property ipv4_or_hostname is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:active-probe/Cisco-IOS-XE-pfr:tcp-conn/Cisco-IOS-XE-pfr:ipv4-or-hostname[Cisco-IOS-XE-pfr:ipv4-or-hostname = ' + str(self.ipv4_or_hostname) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4_or_hostname is not None:
                                    return True

                                if self.target_port is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn.Ipv4OrHostname']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:active-probe/Cisco-IOS-XE-pfr:tcp-conn'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4_or_hostname is not None:
                                for child_ref in self.ipv4_or_hostname:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn']['meta_info']


                    class UdpEcho(object):
                        """
                        Perform UDP Echo probe operations (requires a responder)
                        
                        .. attribute:: ipv4_or_hostname
                        
                        	
                        	**type**\: list of    :py:class:`Ipv4OrHostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho.Ipv4OrHostname>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4_or_hostname = YList()
                            self.ipv4_or_hostname.parent = self
                            self.ipv4_or_hostname.name = 'ipv4_or_hostname'


                        class Ipv4OrHostname(object):
                            """
                            
                            
                            .. attribute:: ipv4_or_hostname  <key>
                            
                            	IP address of probe target
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            
                            ----
                            .. attribute:: target_port
                            
                            	Target Port Number
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_or_hostname = None
                                self.target_port = None

                            @property
                            def _common_path(self):
                                if self.ipv4_or_hostname is None:
                                    raise YPYModelError('Key property ipv4_or_hostname is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:active-probe/Cisco-IOS-XE-pfr:udp-echo/Cisco-IOS-XE-pfr:ipv4-or-hostname[Cisco-IOS-XE-pfr:ipv4-or-hostname = ' + str(self.ipv4_or_hostname) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4_or_hostname is not None:
                                    return True

                                if self.target_port is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho.Ipv4OrHostname']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:active-probe/Cisco-IOS-XE-pfr:udp-echo'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4_or_hostname is not None:
                                for child_ref in self.ipv4_or_hostname:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:active-probe'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.echo is not None:
                            return True

                        if self.jitter is not None and self.jitter._has_data():
                            return True

                        if self.tcp_conn is not None and self.tcp_conn._has_data():
                            return True

                        if self.udp_echo is not None and self.udp_echo._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe']['meta_info']


                class Application(object):
                    """
                    Define application
                    
                    .. attribute:: define
                    
                    	Define application
                    	**type**\:   :py:class:`Define <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.define = Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define()
                        self.define.parent = self


                    class Define(object):
                        """
                        Define application
                        
                        .. attribute:: app_def
                        
                        	
                        	**type**\: list of    :py:class:`AppDef <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define.AppDef>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.app_def = YList()
                            self.app_def.parent = self
                            self.app_def.name = 'app_def'


                        class AppDef(object):
                            """
                            
                            
                            .. attribute:: app_def  <key>
                            
                            	Application definition name
                            	**type**\:  str
                            
                            .. attribute:: access_list
                            
                            	Application definition access\-list name
                            	**type**\:  str
                            
                            .. attribute:: nbar
                            
                            	Define nbar application
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.app_def = None
                                self.access_list = None
                                self.nbar = None

                            @property
                            def _common_path(self):
                                if self.app_def is None:
                                    raise YPYModelError('Key property app_def is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:application/Cisco-IOS-XE-pfr:define/Cisco-IOS-XE-pfr:app-def[Cisco-IOS-XE-pfr:app-def = ' + str(self.app_def) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.app_def is not None:
                                    return True

                                if self.access_list is not None:
                                    return True

                                if self.nbar is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define.AppDef']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:application/Cisco-IOS-XE-pfr:define'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.app_def is not None:
                                for child_ref in self.app_def:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:application'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.define is not None and self.define._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Application']['meta_info']


                class Backoff(object):
                    """
                    Specify backoff timer parameters
                    
                    .. attribute:: boff
                    
                    	
                    	**type**\: list of    :py:class:`Boff <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff.Boff>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.boff = YList()
                        self.boff.parent = self
                        self.boff.name = 'boff'


                    class Boff(object):
                        """
                        
                        
                        .. attribute:: boff  <key>
                        
                        	Specify minimum value of backoff timer (secs)
                        	**type**\:  int
                        
                        	**range:** 90..7200
                        
                        .. attribute:: boff0
                        
                        	
                        	**type**\: list of    :py:class:`Boff0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff.Boff.Boff0>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.boff = None
                            self.boff0 = YList()
                            self.boff0.parent = self
                            self.boff0.name = 'boff0'


                        class Boff0(object):
                            """
                            
                            
                            .. attribute:: boff0  <key>
                            
                            	Specify maximum value of backoff timer (secs)
                            	**type**\:  int
                            
                            	**range:** 90..7200
                            
                            .. attribute:: bstep
                            
                            	Specify optional backoff timer step (secs)
                            	**type**\:  int
                            
                            	**range:** 90..7110
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.boff0 = None
                                self.bstep = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.boff0 is None:
                                    raise YPYModelError('Key property boff0 is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-pfr:boff0[Cisco-IOS-XE-pfr:boff0 = ' + str(self.boff0) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.boff0 is not None:
                                    return True

                                if self.bstep is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff.Boff.Boff0']['meta_info']

                        @property
                        def _common_path(self):
                            if self.boff is None:
                                raise YPYModelError('Key property boff is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:backoff/Cisco-IOS-XE-pfr:boff[Cisco-IOS-XE-pfr:boff = ' + str(self.boff) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.boff is not None:
                                return True

                            if self.boff0 is not None:
                                for child_ref in self.boff0:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff.Boff']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:backoff'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.boff is not None:
                            for child_ref in self.boff:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff']['meta_info']


                class Border(object):
                    """
                    Enter PfR managed border router configuration submode
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Border.Ipv4>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = YList()
                        self.ipv4.parent = self
                        self.ipv4.name = 'ipv4'


                    class Ipv4(object):
                        """
                        
                        
                        .. attribute:: ipv4  <key>
                        
                        	IP address of border router
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: interface
                        
                        	Specify an PfR managed border router interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: key_chain
                        
                        	Specify a key\-chain
                        	**type**\: list of    :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Border.Ipv4.KeyChain>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None
                            self.interface = None
                            self.key_chain = YList()
                            self.key_chain.parent = self
                            self.key_chain.name = 'key_chain'


                        class KeyChain(object):
                            """
                            Specify a key\-chain
                            
                            .. attribute:: kc_name  <key>
                            
                            	name of key\-chain
                            	**type**\:  str
                            
                            .. attribute:: interface
                            
                            	Specify an PfR managed border router interface
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.kc_name = None
                                self.interface = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.kc_name is None:
                                    raise YPYModelError('Key property kc_name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-pfr:key-chain[Cisco-IOS-XE-pfr:kc-name = ' + str(self.kc_name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.kc_name is not None:
                                    return True

                                if self.interface is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Border.Ipv4.KeyChain']['meta_info']

                        @property
                        def _common_path(self):
                            if self.ipv4 is None:
                                raise YPYModelError('Key property ipv4 is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:border/Cisco-IOS-XE-pfr:ipv4[Cisco-IOS-XE-pfr:ipv4 = ' + str(self.ipv4) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None:
                                return True

                            if self.interface is not None:
                                return True

                            if self.key_chain is not None:
                                for child_ref in self.key_chain:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Border.Ipv4']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:border'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None:
                            for child_ref in self.ipv4:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Border']['meta_info']


                class Delay(object):
                    """
                    Specify delay parameters
                    
                    .. attribute:: relative
                    
                    	short/long term in percentage. e.g. 125 is short/long = 1.25
                    	**type**\:  int
                    
                    	**range:** 1..1000
                    
                    .. attribute:: threshold
                    
                    	Maximum absolute delay threshold (msecs)
                    	**type**\:  int
                    
                    	**range:** 1..10000
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.relative = None
                        self.threshold = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.relative is not None:
                            return True

                        if self.threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Delay']['meta_info']


                class Jitter(object):
                    """
                    Specify jitter parameters
                    
                    .. attribute:: threshold
                    
                    	Maximum absolute jitter threshold (ms)
                    	**type**\:  int
                    
                    	**range:** 1..1000
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.threshold = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:jitter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Jitter']['meta_info']


                class Learn(object):
                    """
                    Enter prefix and traffic class learning submode
                    
                    .. attribute:: lrn_mode__config_pfr_mc_learn
                    
                    	
                    	**type**\:   :py:class:`LrnMode__ConfigPfrMcLearn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.lrn_mode__config_pfr_mc_learn = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn()
                        self.lrn_mode__config_pfr_mc_learn.parent = self


                    class LrnMode__ConfigPfrMcLearn(object):
                        """
                        
                        
                        .. attribute:: aggregation_type
                        
                        	Type of prefix to aggregate
                        	**type**\:   :py:class:`AggregationType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.AggregationType>`
                        
                        .. attribute:: delay
                        
                        	Learn top prefixes based on delay
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: expire
                        
                        	Set expiry criteria for learn prefixes
                        	**type**\:   :py:class:`Expire <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Expire>`
                        
                        .. attribute:: inside
                        
                        	Learn prefixes inside the network
                        	**type**\:   :py:class:`Inside <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Inside>`
                        
                        .. attribute:: list
                        
                        	Create PfR Learn Traffic Class List and enter the sub\-mode
                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List>`
                        
                        .. attribute:: monitor_period
                        
                        	Specify the period in minutes
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: periodic_interval
                        
                        	Specify the interval in minutes
                        	**type**\:  int
                        
                        	**range:** 0..10080
                        
                        .. attribute:: prefixes
                        
                        	Number of prefixes to learn
                        	**type**\:   :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Prefixes>`
                        
                        .. attribute:: throughput
                        
                        	Learn top prefixes based on throughput
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: traffic_class
                        
                        	Set traffic class filters
                        	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.aggregation_type = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.AggregationType()
                            self.aggregation_type.parent = self
                            self.delay = None
                            self.expire = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Expire()
                            self.expire.parent = self
                            self.inside = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Inside()
                            self.inside.parent = self
                            self.list = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List()
                            self.list.parent = self
                            self.monitor_period = None
                            self.periodic_interval = None
                            self.prefixes = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Prefixes()
                            self.prefixes.parent = self
                            self.throughput = None
                            self.traffic_class = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass()
                            self.traffic_class.parent = self


                        class AggregationType(object):
                            """
                            Type of prefix to aggregate
                            
                            .. attribute:: bgp
                            
                            	Aggregate prefixes learned via BGP
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_bgp
                            
                            	Aggregate prefixes not learned via BGP
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: prefix_length
                            
                            	Specify the prefix mask
                            	**type**\:  int
                            
                            	**range:** 1..32
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bgp = None
                                self.non_bgp = None
                                self.prefix_length = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:learn/Cisco-IOS-XE-pfr:lrn-Mode__config-pfr-mc-learn/Cisco-IOS-XE-pfr:aggregation-type'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bgp is not None:
                                    return True

                                if self.non_bgp is not None:
                                    return True

                                if self.prefix_length is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.AggregationType']['meta_info']


                        class Expire(object):
                            """
                            Set expiry criteria for learn prefixes
                            
                            .. attribute:: after
                            
                            	Specify expiry criteria for learn prefixes
                            	**type**\:   :py:class:`After <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Expire.After>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.after = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Expire.After()
                                self.after.parent = self


                            class After(object):
                                """
                                Specify expiry criteria for learn prefixes
                                
                                .. attribute:: session
                                
                                	Specify the value
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: time
                                
                                	Specify the value
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.session = None
                                    self.time = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:learn/Cisco-IOS-XE-pfr:lrn-Mode__config-pfr-mc-learn/Cisco-IOS-XE-pfr:expire/Cisco-IOS-XE-pfr:after'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.session is not None:
                                        return True

                                    if self.time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Expire.After']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:learn/Cisco-IOS-XE-pfr:lrn-Mode__config-pfr-mc-learn/Cisco-IOS-XE-pfr:expire'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.after is not None and self.after._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Expire']['meta_info']


                        class Inside(object):
                            """
                            Learn prefixes inside the network
                            
                            .. attribute:: bgp
                            
                            	Learn inside prefixes advertised by BGP out PfR External Interfaces
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bgp = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:learn/Cisco-IOS-XE-pfr:lrn-Mode__config-pfr-mc-learn/Cisco-IOS-XE-pfr:inside'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bgp is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Inside']['meta_info']


                        class List(object):
                            """
                            Create PfR Learn Traffic Class List and enter the sub\-mode
                            
                            .. attribute:: seq
                            
                            	PfR Learn Traffic Class List sequence number
                            	**type**\:   :py:class:`Seq <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List.Seq>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.seq = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List.Seq()
                                self.seq.parent = self


                            class Seq(object):
                                """
                                PfR Learn Traffic Class List sequence number
                                
                                .. attribute:: pfr_tc
                                
                                	
                                	**type**\: list of    :py:class:`PfrTc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List.Seq.PfrTc>`
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pfr_tc = YList()
                                    self.pfr_tc.parent = self
                                    self.pfr_tc.name = 'pfr_tc'


                                class PfrTc(object):
                                    """
                                    
                                    
                                    .. attribute:: pfr_tc  <key>
                                    
                                    	PfR Learn Traffic Class List sequence number
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: refname
                                    
                                    	PfR Learn Traffic Class List reference name
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-pfr'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.pfr_tc = None
                                        self.refname = None

                                    @property
                                    def _common_path(self):
                                        if self.pfr_tc is None:
                                            raise YPYModelError('Key property pfr_tc is None')

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:learn/Cisco-IOS-XE-pfr:lrn-Mode__config-pfr-mc-learn/Cisco-IOS-XE-pfr:list/Cisco-IOS-XE-pfr:seq/Cisco-IOS-XE-pfr:pfr-tc[Cisco-IOS-XE-pfr:pfr-tc = ' + str(self.pfr_tc) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.pfr_tc is not None:
                                            return True

                                        if self.refname is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List.Seq.PfrTc']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:learn/Cisco-IOS-XE-pfr:lrn-Mode__config-pfr-mc-learn/Cisco-IOS-XE-pfr:list/Cisco-IOS-XE-pfr:seq'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pfr_tc is not None:
                                        for child_ref in self.pfr_tc:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List.Seq']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:learn/Cisco-IOS-XE-pfr:lrn-Mode__config-pfr-mc-learn/Cisco-IOS-XE-pfr:list'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.seq is not None and self.seq._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.List']['meta_info']


                        class Prefixes(object):
                            """
                            Number of prefixes to learn
                            
                            .. attribute:: prnum
                            
                            	
                            	**type**\: list of    :py:class:`Prnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Prefixes.Prnum>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prnum = YList()
                                self.prnum.parent = self
                                self.prnum.name = 'prnum'


                            class Prnum(object):
                                """
                                
                                
                                .. attribute:: prnum  <key>
                                
                                	Specify the number of prefixes
                                	**type**\:  int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: applications
                                
                                	Specify the number of appl
                                	**type**\:  int
                                
                                	**range:** 0..50000
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.prnum = None
                                    self.applications = None

                                @property
                                def _common_path(self):
                                    if self.prnum is None:
                                        raise YPYModelError('Key property prnum is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:learn/Cisco-IOS-XE-pfr:lrn-Mode__config-pfr-mc-learn/Cisco-IOS-XE-pfr:prefixes/Cisco-IOS-XE-pfr:prnum[Cisco-IOS-XE-pfr:prnum = ' + str(self.prnum) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.prnum is not None:
                                        return True

                                    if self.applications is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Prefixes.Prnum']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:learn/Cisco-IOS-XE-pfr:lrn-Mode__config-pfr-mc-learn/Cisco-IOS-XE-pfr:prefixes'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prnum is not None:
                                    for child_ref in self.prnum:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.Prefixes']['meta_info']


                        class TrafficClass(object):
                            """
                            Set traffic class filters
                            
                            .. attribute:: aggregate
                            
                            	Traffic class aggregation specification
                            	**type**\:   :py:class:`Aggregate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Aggregate>`
                            
                            .. attribute:: filter
                            
                            	Traffic class filter specification
                            	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Filter>`
                            
                            .. attribute:: keys
                            
                            	Specify Learn keys for applications
                            	**type**\:   :py:class:`Keys <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aggregate = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Aggregate()
                                self.aggregate.parent = self
                                self.filter = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Filter()
                                self.filter.parent = self
                                self.keys = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys()
                                self.keys.parent = self


                            class Aggregate(object):
                                """
                                Traffic class aggregation specification
                                
                                .. attribute:: access_list
                                
                                	IP access\-list name
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.access_list = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:learn/Cisco-IOS-XE-pfr:lrn-Mode__config-pfr-mc-learn/Cisco-IOS-XE-pfr:traffic-class/Cisco-IOS-XE-pfr:aggregate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.access_list is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Aggregate']['meta_info']


                            class Filter(object):
                                """
                                Traffic class filter specification
                                
                                .. attribute:: access_list
                                
                                	IP access\-list name
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.access_list = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:learn/Cisco-IOS-XE-pfr:lrn-Mode__config-pfr-mc-learn/Cisco-IOS-XE-pfr:traffic-class/Cisco-IOS-XE-pfr:filter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.access_list is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Filter']['meta_info']


                            class Keys(object):
                                """
                                Specify Learn keys for applications
                                
                                .. attribute:: dport
                                
                                	Learn top appls based on destination port
                                	**type**\:   :py:class:`Dport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Dport>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: dscp
                                
                                	Learn top appls based on DSCP
                                	**type**\:   :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Dscp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: protocol
                                
                                	Learn top appls based on protocol
                                	**type**\:   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Protocol>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: sport
                                
                                	Learn top appls based on source port
                                	**type**\:   :py:class:`Sport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Sport>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dport = None
                                    self.dscp = None
                                    self.protocol = None
                                    self.sport = None


                                class Dport(object):
                                    """
                                    Learn top appls based on destination port
                                    
                                    .. attribute:: dscp
                                    
                                    	Learn top appls based on DSCP
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: protocol
                                    
                                    	Learn top appls based on protocol
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sport
                                    
                                    	Learn top appls based on source port
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-pfr'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.dscp = None
                                        self.protocol = None
                                        self.sport = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:learn/Cisco-IOS-XE-pfr:lrn-Mode__config-pfr-mc-learn/Cisco-IOS-XE-pfr:traffic-class/Cisco-IOS-XE-pfr:keys/Cisco-IOS-XE-pfr:dport'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.dscp is not None:
                                            return True

                                        if self.protocol is not None:
                                            return True

                                        if self.sport is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Dport']['meta_info']


                                class Dscp(object):
                                    """
                                    Learn top appls based on DSCP
                                    
                                    .. attribute:: dport
                                    
                                    	Learn top appls based on destination port
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: protocol
                                    
                                    	Learn top appls based on protocol
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sport
                                    
                                    	Learn top appls based on source port
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-pfr'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.dport = None
                                        self.protocol = None
                                        self.sport = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:learn/Cisco-IOS-XE-pfr:lrn-Mode__config-pfr-mc-learn/Cisco-IOS-XE-pfr:traffic-class/Cisco-IOS-XE-pfr:keys/Cisco-IOS-XE-pfr:dscp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.dport is not None:
                                            return True

                                        if self.protocol is not None:
                                            return True

                                        if self.sport is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Dscp']['meta_info']


                                class Protocol(object):
                                    """
                                    Learn top appls based on protocol
                                    
                                    .. attribute:: dport
                                    
                                    	Learn top appls based on destination port
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: dscp
                                    
                                    	Learn top appls based on DSCP
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sport
                                    
                                    	Learn top appls based on source port
                                    	**type**\:   :py:class:`Sport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Protocol.Sport>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-pfr'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.dport = None
                                        self.dscp = None
                                        self.sport = None


                                    class Sport(object):
                                        """
                                        Learn top appls based on source port
                                        
                                        .. attribute:: dport
                                        
                                        	Learn top appls based on destination port
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: dscp
                                        
                                        	Learn top appls based on DSCP
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-pfr'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.dport = None
                                            self.dscp = None

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:learn/Cisco-IOS-XE-pfr:lrn-Mode__config-pfr-mc-learn/Cisco-IOS-XE-pfr:traffic-class/Cisco-IOS-XE-pfr:keys/Cisco-IOS-XE-pfr:protocol/Cisco-IOS-XE-pfr:sport'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.dport is not None:
                                                return True

                                            if self.dscp is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Protocol.Sport']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:learn/Cisco-IOS-XE-pfr:lrn-Mode__config-pfr-mc-learn/Cisco-IOS-XE-pfr:traffic-class/Cisco-IOS-XE-pfr:keys/Cisco-IOS-XE-pfr:protocol'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.dport is not None:
                                            return True

                                        if self.dscp is not None:
                                            return True

                                        if self.sport is not None and self.sport._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Protocol']['meta_info']


                                class Sport(object):
                                    """
                                    Learn top appls based on source port
                                    
                                    .. attribute:: dport
                                    
                                    	Learn top appls based on destination port
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: dscp
                                    
                                    	Learn top appls based on DSCP
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: protocol
                                    
                                    	Learn top appls based on protocol
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-pfr'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.dport = None
                                        self.dscp = None
                                        self.protocol = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:learn/Cisco-IOS-XE-pfr:lrn-Mode__config-pfr-mc-learn/Cisco-IOS-XE-pfr:traffic-class/Cisco-IOS-XE-pfr:keys/Cisco-IOS-XE-pfr:sport'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.dport is not None:
                                            return True

                                        if self.dscp is not None:
                                            return True

                                        if self.protocol is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys.Sport']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:learn/Cisco-IOS-XE-pfr:lrn-Mode__config-pfr-mc-learn/Cisco-IOS-XE-pfr:traffic-class/Cisco-IOS-XE-pfr:keys'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dport is not None and self.dport._has_data():
                                        return True

                                    if self.dscp is not None and self.dscp._has_data():
                                        return True

                                    if self.protocol is not None and self.protocol._has_data():
                                        return True

                                    if self.sport is not None and self.sport._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass.Keys']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:learn/Cisco-IOS-XE-pfr:lrn-Mode__config-pfr-mc-learn/Cisco-IOS-XE-pfr:traffic-class'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aggregate is not None and self.aggregate._has_data():
                                    return True

                                if self.filter is not None and self.filter._has_data():
                                    return True

                                if self.keys is not None and self.keys._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn.TrafficClass']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:learn/Cisco-IOS-XE-pfr:lrn-Mode__config-pfr-mc-learn'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.aggregation_type is not None and self.aggregation_type._has_data():
                                return True

                            if self.delay is not None:
                                return True

                            if self.expire is not None and self.expire._has_data():
                                return True

                            if self.inside is not None and self.inside._has_data():
                                return True

                            if self.list is not None and self.list._has_data():
                                return True

                            if self.monitor_period is not None:
                                return True

                            if self.periodic_interval is not None:
                                return True

                            if self.prefixes is not None and self.prefixes._has_data():
                                return True

                            if self.throughput is not None:
                                return True

                            if self.traffic_class is not None and self.traffic_class._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnMode__ConfigPfrMcLearn']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:learn'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.lrn_mode__config_pfr_mc_learn is not None and self.lrn_mode__config_pfr_mc_learn._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Learn']['meta_info']


                class Loss(object):
                    """
                    Specify loss parameters
                    
                    .. attribute:: relative
                    
                    	short/long term in percentage. e.g. 125 is short/long = 1.25
                    	**type**\:  int
                    
                    	**range:** 1..1000
                    
                    .. attribute:: threshold
                    
                    	Maximum absolute lost packet threshold in percentage e.g., 1 is 0.0001 percent
                    	**type**\:  int
                    
                    	**range:** 1..1000000
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.relative = None
                        self.threshold = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:loss'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.relative is not None:
                            return True

                        if self.threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Loss']['meta_info']


                class Max(object):
                    """
                    Specify the upper limit
                    
                    .. attribute:: prefix
                    
                    	Specify prefix upper limit
                    	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix>`
                    
                    .. attribute:: range
                    
                    	Specify range value
                    	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.prefix = Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix()
                        self.prefix.parent = self
                        self.range = Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range()
                        self.range.parent = self


                    class Prefix(object):
                        """
                        Specify prefix upper limit
                        
                        .. attribute:: total
                        
                        	Specify max total prefix limit
                        	**type**\:   :py:class:`Total <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.total = Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total()
                            self.total.parent = self


                        class Total(object):
                            """
                            Specify max total prefix limit
                            
                            .. attribute:: maxpr
                            
                            	
                            	**type**\: list of    :py:class:`Maxpr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total.Maxpr>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.maxpr = YList()
                                self.maxpr.parent = self
                                self.maxpr.name = 'maxpr'


                            class Maxpr(object):
                                """
                                
                                
                                .. attribute:: maxpr  <key>
                                
                                	Specify the max total prefix limit value
                                	**type**\:  int
                                
                                	**range:** 1..100000
                                
                                .. attribute:: learn
                                
                                	Specify max learn prefix limit value
                                	**type**\:  int
                                
                                	**range:** 0..100000
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.maxpr = None
                                    self.learn = None

                                @property
                                def _common_path(self):
                                    if self.maxpr is None:
                                        raise YPYModelError('Key property maxpr is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:max/Cisco-IOS-XE-pfr:prefix/Cisco-IOS-XE-pfr:total/Cisco-IOS-XE-pfr:maxpr[Cisco-IOS-XE-pfr:maxpr = ' + str(self.maxpr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.maxpr is not None:
                                        return True

                                    if self.learn is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total.Maxpr']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:max/Cisco-IOS-XE-pfr:prefix/Cisco-IOS-XE-pfr:total'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.maxpr is not None:
                                    for child_ref in self.maxpr:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:max/Cisco-IOS-XE-pfr:prefix'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.total is not None and self.total._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix']['meta_info']


                    class Range(object):
                        """
                        Specify range value
                        
                        .. attribute:: receive
                        
                        	Specify receive range
                        	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range.Receive>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.receive = Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range.Receive()
                            self.receive.parent = self


                        class Receive(object):
                            """
                            Specify receive range
                            
                            .. attribute:: percent
                            
                            	Specify the percentage range
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.percent = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:max/Cisco-IOS-XE-pfr:range/Cisco-IOS-XE-pfr:receive'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.percent is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range.Receive']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:max/Cisco-IOS-XE-pfr:range'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.receive is not None and self.receive._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:max'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.prefix is not None and self.prefix._has_data():
                            return True

                        if self.range is not None and self.range._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Max']['meta_info']


                class MaxRangeUtilization(object):
                    """
                    Configure the maximum range for utilization of all exits
                    
                    .. attribute:: percent
                    
                    	Specify the percentage range
                    	**type**\:  int
                    
                    	**range:** 1..100
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.percent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:max-range-utilization'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.percent is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.MaxRangeUtilization']['meta_info']


                class McPeer(object):
                    """
                    Enable MC\-to\-MC peering
                    
                    .. attribute:: description
                    
                    	MC site description (max 40 char)
                    	**type**\:  str
                    
                    .. attribute:: domain
                    
                    	SAF domain ID to be used for MC\-to\-MC peering
                    	**type**\:   :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain>`
                    
                    .. attribute:: eigrp
                    
                    	Use explicit EIGRP configuration instead of auto\-config
                    	**type**\:   :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp>`
                    
                    .. attribute:: head_end
                    
                    	Specify this router as head\-end MC\-peer
                    	**type**\:   :py:class:`HeadEnd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd>`
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Ipv4>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.description = None
                        self.domain = Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain()
                        self.domain.parent = self
                        self.eigrp = Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp()
                        self.eigrp.parent = self
                        self.head_end = Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd()
                        self.head_end.parent = self
                        self.ipv4 = YList()
                        self.ipv4.parent = self
                        self.ipv4.name = 'ipv4'


                    class Ipv4(object):
                        """
                        
                        
                        .. attribute:: ipv4  <key>
                        
                        	IP address of head\-end MC peer
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: interface
                        
                        	
                        	**type**\: list of    :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Ipv4.Interface>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None
                            self.interface = YList()
                            self.interface.parent = self
                            self.interface.name = 'interface'


                        class Interface(object):
                            """
                            
                            
                            .. attribute:: interface  <key>
                            
                            	Loopback interface
                            	**type**\:  str
                            
                            .. attribute:: description
                            
                            	MC site description (max 40 char)
                            	**type**\:  str
                            
                            .. attribute:: domain
                            
                            	Domain value
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interface = None
                                self.description = None
                                self.domain = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.interface is None:
                                    raise YPYModelError('Key property interface is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-pfr:interface[Cisco-IOS-XE-pfr:interface = ' + str(self.interface) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interface is not None:
                                    return True

                                if self.description is not None:
                                    return True

                                if self.domain is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Ipv4.Interface']['meta_info']

                        @property
                        def _common_path(self):
                            if self.ipv4 is None:
                                raise YPYModelError('Key property ipv4 is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:mc-peer/Cisco-IOS-XE-pfr:ipv4[Cisco-IOS-XE-pfr:ipv4 = ' + str(self.ipv4) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None:
                                return True

                            if self.interface is not None:
                                for child_ref in self.interface:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Ipv4']['meta_info']


                    class Domain(object):
                        """
                        SAF domain ID to be used for MC\-to\-MC peering
                        
                        .. attribute:: dmval
                        
                        	
                        	**type**\: list of    :py:class:`Dmval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain.Dmval>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dmval = YList()
                            self.dmval.parent = self
                            self.dmval.name = 'dmval'


                        class Dmval(object):
                            """
                            
                            
                            .. attribute:: dmval  <key>
                            
                            	Domain value
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: description
                            
                            	MC site description (max 40 char)
                            	**type**\:  str
                            
                            .. attribute:: eigrp
                            
                            	Loopback interface
                            	**type**\:  str
                            
                            .. attribute:: head_end
                            
                            	Loopback interface
                            	**type**\:  str
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain.Dmval.Ipv4>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dmval = None
                                self.description = None
                                self.eigrp = None
                                self.head_end = None
                                self.ipv4 = YList()
                                self.ipv4.parent = self
                                self.ipv4.name = 'ipv4'


                            class Ipv4(object):
                                """
                                
                                
                                .. attribute:: ipv4  <key>
                                
                                	IP address of head\-end MC peer
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface
                                
                                	Loopback interface
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None
                                    self.interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ipv4 is None:
                                        raise YPYModelError('Key property ipv4 is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-pfr:ipv4[Cisco-IOS-XE-pfr:ipv4 = ' + str(self.ipv4) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain.Dmval.Ipv4']['meta_info']

                            @property
                            def _common_path(self):
                                if self.dmval is None:
                                    raise YPYModelError('Key property dmval is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:mc-peer/Cisco-IOS-XE-pfr:domain/Cisco-IOS-XE-pfr:dmval[Cisco-IOS-XE-pfr:dmval = ' + str(self.dmval) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dmval is not None:
                                    return True

                                if self.description is not None:
                                    return True

                                if self.eigrp is not None:
                                    return True

                                if self.head_end is not None:
                                    return True

                                if self.ipv4 is not None:
                                    for child_ref in self.ipv4:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain.Dmval']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:mc-peer/Cisco-IOS-XE-pfr:domain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dmval is not None:
                                for child_ref in self.dmval:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain']['meta_info']


                    class Eigrp(object):
                        """
                        Use explicit EIGRP configuration instead of auto\-config
                        
                        .. attribute:: interface
                        
                        	
                        	**type**\: list of    :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp.Interface>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = YList()
                            self.interface.parent = self
                            self.interface.name = 'interface'


                        class Interface(object):
                            """
                            
                            
                            .. attribute:: interface  <key>
                            
                            	Loopback interface
                            	**type**\:  str
                            
                            .. attribute:: description
                            
                            	MC site description (max 40 char)
                            	**type**\:  str
                            
                            .. attribute:: domain
                            
                            	Domain value
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interface = None
                                self.description = None
                                self.domain = None

                            @property
                            def _common_path(self):
                                if self.interface is None:
                                    raise YPYModelError('Key property interface is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:mc-peer/Cisco-IOS-XE-pfr:eigrp/Cisco-IOS-XE-pfr:interface[Cisco-IOS-XE-pfr:interface = ' + str(self.interface) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interface is not None:
                                    return True

                                if self.description is not None:
                                    return True

                                if self.domain is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp.Interface']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:mc-peer/Cisco-IOS-XE-pfr:eigrp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                for child_ref in self.interface:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp']['meta_info']


                    class HeadEnd(object):
                        """
                        Specify this router as head\-end MC\-peer
                        
                        .. attribute:: interface
                        
                        	
                        	**type**\: list of    :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd.Interface>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = YList()
                            self.interface.parent = self
                            self.interface.name = 'interface'


                        class Interface(object):
                            """
                            
                            
                            .. attribute:: interface  <key>
                            
                            	Loopback interface
                            	**type**\:  str
                            
                            .. attribute:: description
                            
                            	MC site description (max 40 char)
                            	**type**\:  str
                            
                            .. attribute:: domain
                            
                            	Domain value
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interface = None
                                self.description = None
                                self.domain = None

                            @property
                            def _common_path(self):
                                if self.interface is None:
                                    raise YPYModelError('Key property interface is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:mc-peer/Cisco-IOS-XE-pfr:head-end/Cisco-IOS-XE-pfr:interface[Cisco-IOS-XE-pfr:interface = ' + str(self.interface) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interface is not None:
                                    return True

                                if self.description is not None:
                                    return True

                                if self.domain is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd.Interface']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:mc-peer/Cisco-IOS-XE-pfr:head-end'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                for child_ref in self.interface:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:mc-peer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.description is not None:
                            return True

                        if self.domain is not None and self.domain._has_data():
                            return True

                        if self.eigrp is not None and self.eigrp._has_data():
                            return True

                        if self.head_end is not None and self.head_end._has_data():
                            return True

                        if self.ipv4 is not None:
                            for child_ref in self.ipv4:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer']['meta_info']


                class Mode(object):
                    """
                    Specify PfR operating mode settings
                    
                    .. attribute:: monitor
                    
                    	Specify PfR prefix monitoring policy settings
                    	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor>`
                    
                    .. attribute:: route
                    
                    	Specify PfR route control policy settings
                    	**type**\:   :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route>`
                    
                    .. attribute:: verify
                    
                    	Specify verification behavior
                    	**type**\:   :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Verify>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.monitor = Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor()
                        self.monitor.parent = self
                        self.route = Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route()
                        self.route.parent = self
                        self.verify = Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Verify()
                        self.verify.parent = self


                    class Monitor(object):
                        """
                        Specify PfR prefix monitoring policy settings
                        
                        .. attribute:: active
                        
                        	Enable active monitoring mode
                        	**type**\:   :py:class:`Active <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor.Active>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: both
                        
                        	Enable active and passive monitoring modes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fast
                        
                        	Enable fast monitoring mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: passive
                        
                        	Enable passive monitoring mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.active = None
                            self.both = None
                            self.fast = None
                            self.passive = None


                        class Active(object):
                            """
                            Enable active monitoring mode
                            
                            .. attribute:: throughput
                            
                            	Enable active monitoring with throughput from passive mode
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.throughput = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:mode/Cisco-IOS-XE-pfr:monitor/Cisco-IOS-XE-pfr:active'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.throughput is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor.Active']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:mode/Cisco-IOS-XE-pfr:monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.active is not None and self.active._has_data():
                                return True

                            if self.both is not None:
                                return True

                            if self.fast is not None:
                                return True

                            if self.passive is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor']['meta_info']


                    class Route(object):
                        """
                        Specify PfR route control policy settings
                        
                        .. attribute:: control
                        
                        	Enable PfR to control routes automatically
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: metric
                        
                        	Specify PfR route protocol related settings
                        	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric>`
                        
                        .. attribute:: observe
                        
                        	PfR offers route control advice, but does not take any action
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: protocol
                        
                        	Specify OER route control protocol
                        	**type**\:   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Protocol>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.control = None
                            self.metric = Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric()
                            self.metric.parent = self
                            self.observe = None
                            self.protocol = Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Protocol()
                            self.protocol.parent = self


                        class Metric(object):
                            """
                            Specify PfR route protocol related settings
                            
                            .. attribute:: bgp
                            
                            	Specify PfR bgp protocol settings
                            	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Bgp>`
                            
                            .. attribute:: eigrp
                            
                            	Specify PfR eigrp routes related settings
                            	**type**\:   :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Eigrp>`
                            
                            .. attribute:: static
                            
                            	Specify PfR static routes related settings
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Static>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bgp = Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Bgp()
                                self.bgp.parent = self
                                self.eigrp = Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Eigrp()
                                self.eigrp.parent = self
                                self.static = Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Static()
                                self.static.parent = self


                            class Bgp(object):
                                """
                                Specify PfR bgp protocol settings
                                
                                .. attribute:: local_pref
                                
                                	Specify the local preference for bgp controlled routes
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.local_pref = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:mode/Cisco-IOS-XE-pfr:route/Cisco-IOS-XE-pfr:metric/Cisco-IOS-XE-pfr:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.local_pref is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Bgp']['meta_info']


                            class Eigrp(object):
                                """
                                Specify PfR eigrp routes related settings
                                
                                .. attribute:: tag
                                
                                	Specify a tag value for PfR controlled eigrp routes
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.tag = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:mode/Cisco-IOS-XE-pfr:route/Cisco-IOS-XE-pfr:metric/Cisco-IOS-XE-pfr:eigrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Eigrp']['meta_info']


                            class Static(object):
                                """
                                Specify PfR static routes related settings
                                
                                .. attribute:: tag
                                
                                	Specify a tag value for PfR controlled static routes
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.tag = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:mode/Cisco-IOS-XE-pfr:route/Cisco-IOS-XE-pfr:metric/Cisco-IOS-XE-pfr:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Static']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:mode/Cisco-IOS-XE-pfr:route/Cisco-IOS-XE-pfr:metric'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                if self.eigrp is not None and self.eigrp._has_data():
                                    return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric']['meta_info']


                        class Protocol(object):
                            """
                            Specify OER route control protocol
                            
                            .. attribute:: pbr
                            
                            	Specify OER route control protocol Policy\-Based\-Routing
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.pbr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:mode/Cisco-IOS-XE-pfr:route/Cisco-IOS-XE-pfr:protocol'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.pbr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Protocol']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:mode/Cisco-IOS-XE-pfr:route'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.control is not None:
                                return True

                            if self.metric is not None and self.metric._has_data():
                                return True

                            if self.observe is not None:
                                return True

                            if self.protocol is not None and self.protocol._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route']['meta_info']


                    class Verify(object):
                        """
                        Specify verification behavior
                        
                        .. attribute:: bidirectional
                        
                        	Verify bidirectional traffic of applications
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bidirectional = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:mode/Cisco-IOS-XE-pfr:verify'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bidirectional is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Verify']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.monitor is not None and self.monitor._has_data():
                            return True

                        if self.route is not None and self.route._has_data():
                            return True

                        if self.verify is not None and self.verify._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mode']['meta_info']


                class Mos(object):
                    """
                    Specify mos parameters
                    
                    .. attribute:: threshold
                    
                    	Minimum MOS threshold
                    	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.threshold = Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold()
                        self.threshold.parent = self


                    class Threshold(object):
                        """
                        Minimum MOS threshold
                        
                        .. attribute:: mos_thresh
                        
                        	
                        	**type**\: list of    :py:class:`MosThresh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold.MosThresh>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.mos_thresh = YList()
                            self.mos_thresh.parent = self
                            self.mos_thresh.name = 'mos_thresh'


                        class MosThresh(object):
                            """
                            
                            
                            .. attribute:: mos_thresh  <key>
                            
                            	Minimum absolute MOS threshold 1.00 \- 5.00
                            	**type**\:  str
                            
                            .. attribute:: percent
                            
                            	Maximum percentage probe with MOS below threshold
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mos_thresh = None
                                self.percent = None

                            @property
                            def _common_path(self):
                                if self.mos_thresh is None:
                                    raise YPYModelError('Key property mos_thresh is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:mos/Cisco-IOS-XE-pfr:threshold/Cisco-IOS-XE-pfr:mos-thresh[Cisco-IOS-XE-pfr:mos-thresh = ' + str(self.mos_thresh) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mos_thresh is not None:
                                    return True

                                if self.percent is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold.MosThresh']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:mos/Cisco-IOS-XE-pfr:threshold'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.mos_thresh is not None:
                                for child_ref in self.mos_thresh:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:mos'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.threshold is not None and self.threshold._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Mos']['meta_info']


                class Probe(object):
                    """
                    Specify number of packets for jitter probe
                    
                    .. attribute:: packets
                    
                    	probe packets <number>
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.packets = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:probe'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.packets is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Probe']['meta_info']


                class Resolve(object):
                    """
                    Specify PfR policy resolver settings
                    
                    .. attribute:: cost
                    
                    	Specify PfR cost policy resolver settings
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: delay
                    
                    	Specify PfR delay policy resolver settings
                    	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay>`
                    
                    .. attribute:: equivalent_path_round_robin
                    
                    	Specify equivalent\-path round\-robin resolver
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: jitter
                    
                    	Specify PfR jitter policy resolver settings
                    	**type**\:   :py:class:`Jitter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter>`
                    
                    .. attribute:: loss
                    
                    	Specify PfR loss policy resolver settings
                    	**type**\:   :py:class:`Loss <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss>`
                    
                    .. attribute:: mos
                    
                    	Specify PfR MOS policy resolver settings
                    	**type**\:   :py:class:`Mos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cost = None
                        self.delay = Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay()
                        self.delay.parent = self
                        self.equivalent_path_round_robin = None
                        self.jitter = Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter()
                        self.jitter.parent = self
                        self.loss = Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss()
                        self.loss.parent = self
                        self.mos = Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos()
                        self.mos.parent = self


                    class Delay(object):
                        """
                        Specify PfR delay policy resolver settings
                        
                        .. attribute:: priority
                        
                        	Specify the order in which resolver will consider this policy
                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.priority = Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority()
                            self.priority.parent = self


                        class Priority(object):
                            """
                            Specify the order in which resolver will consider this policy
                            
                            .. attribute:: del_pol
                            
                            	
                            	**type**\: list of    :py:class:`DelPol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority.DelPol>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.del_pol = YList()
                                self.del_pol.parent = self
                                self.del_pol.name = 'del_pol'


                            class DelPol(object):
                                """
                                
                                
                                .. attribute:: del_pol  <key>
                                
                                	Specify this policy's priority; 1 being highest
                                	**type**\:  int
                                
                                	**range:** 1..9
                                
                                .. attribute:: variance
                                
                                	Specify range; e.g. 25 means all exits measuring up to 25% worse than the best exit are considered equivalent
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.del_pol = None
                                    self.variance = None

                                @property
                                def _common_path(self):
                                    if self.del_pol is None:
                                        raise YPYModelError('Key property del_pol is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:resolve/Cisco-IOS-XE-pfr:delay/Cisco-IOS-XE-pfr:priority/Cisco-IOS-XE-pfr:del-pol[Cisco-IOS-XE-pfr:del-pol = ' + str(self.del_pol) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.del_pol is not None:
                                        return True

                                    if self.variance is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority.DelPol']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:resolve/Cisco-IOS-XE-pfr:delay/Cisco-IOS-XE-pfr:priority'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.del_pol is not None:
                                    for child_ref in self.del_pol:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:resolve/Cisco-IOS-XE-pfr:delay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.priority is not None and self.priority._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay']['meta_info']


                    class Jitter(object):
                        """
                        Specify PfR jitter policy resolver settings
                        
                        .. attribute:: priority
                        
                        	Specify the order in which resolver will consider this policy
                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.priority = Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority()
                            self.priority.parent = self


                        class Priority(object):
                            """
                            Specify the order in which resolver will consider this policy
                            
                            .. attribute:: jit_pol
                            
                            	
                            	**type**\: list of    :py:class:`JitPol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority.JitPol>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.jit_pol = YList()
                                self.jit_pol.parent = self
                                self.jit_pol.name = 'jit_pol'


                            class JitPol(object):
                                """
                                
                                
                                .. attribute:: jit_pol  <key>
                                
                                	Specify this policy's priority; 1 being highest
                                	**type**\:  int
                                
                                	**range:** 1..9
                                
                                .. attribute:: variance
                                
                                	Specify range; e.g. 25 means all exits measuring up to 25% worse than the best exit are considered equivalent
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.jit_pol = None
                                    self.variance = None

                                @property
                                def _common_path(self):
                                    if self.jit_pol is None:
                                        raise YPYModelError('Key property jit_pol is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:resolve/Cisco-IOS-XE-pfr:jitter/Cisco-IOS-XE-pfr:priority/Cisco-IOS-XE-pfr:jit-pol[Cisco-IOS-XE-pfr:jit-pol = ' + str(self.jit_pol) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.jit_pol is not None:
                                        return True

                                    if self.variance is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority.JitPol']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:resolve/Cisco-IOS-XE-pfr:jitter/Cisco-IOS-XE-pfr:priority'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.jit_pol is not None:
                                    for child_ref in self.jit_pol:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:resolve/Cisco-IOS-XE-pfr:jitter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.priority is not None and self.priority._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter']['meta_info']


                    class Loss(object):
                        """
                        Specify PfR loss policy resolver settings
                        
                        .. attribute:: priority
                        
                        	Specify the order in which resolver will consider this policy
                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.priority = Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority()
                            self.priority.parent = self


                        class Priority(object):
                            """
                            Specify the order in which resolver will consider this policy
                            
                            .. attribute:: loss_pol
                            
                            	
                            	**type**\: list of    :py:class:`LossPol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority.LossPol>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.loss_pol = YList()
                                self.loss_pol.parent = self
                                self.loss_pol.name = 'loss_pol'


                            class LossPol(object):
                                """
                                
                                
                                .. attribute:: loss_pol  <key>
                                
                                	Specify this policy's priority; 1 being highest
                                	**type**\:  int
                                
                                	**range:** 1..9
                                
                                .. attribute:: variance
                                
                                	Specify range; e.g. 25 means all exits measuring up to 25% worse than the best exit are considered equivalent
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.loss_pol = None
                                    self.variance = None

                                @property
                                def _common_path(self):
                                    if self.loss_pol is None:
                                        raise YPYModelError('Key property loss_pol is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:resolve/Cisco-IOS-XE-pfr:loss/Cisco-IOS-XE-pfr:priority/Cisco-IOS-XE-pfr:loss-pol[Cisco-IOS-XE-pfr:loss-pol = ' + str(self.loss_pol) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.loss_pol is not None:
                                        return True

                                    if self.variance is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority.LossPol']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:resolve/Cisco-IOS-XE-pfr:loss/Cisco-IOS-XE-pfr:priority'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.loss_pol is not None:
                                    for child_ref in self.loss_pol:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:resolve/Cisco-IOS-XE-pfr:loss'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.priority is not None and self.priority._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss']['meta_info']


                    class Mos(object):
                        """
                        Specify PfR MOS policy resolver settings
                        
                        .. attribute:: priority
                        
                        	Specify the order in which resolver will consider this policy
                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.priority = Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority()
                            self.priority.parent = self


                        class Priority(object):
                            """
                            Specify the order in which resolver will consider this policy
                            
                            .. attribute:: mos_pol
                            
                            	
                            	**type**\: list of    :py:class:`MosPol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority.MosPol>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mos_pol = YList()
                                self.mos_pol.parent = self
                                self.mos_pol.name = 'mos_pol'


                            class MosPol(object):
                                """
                                
                                
                                .. attribute:: mos_pol  <key>
                                
                                	Specify this policy's priority; 1 being highest
                                	**type**\:  int
                                
                                	**range:** 1..9
                                
                                .. attribute:: variance
                                
                                	Specify range; e.g. 25 means all exits measuring up to 25% worse than the best exit are considered equivalent
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mos_pol = None
                                    self.variance = None

                                @property
                                def _common_path(self):
                                    if self.mos_pol is None:
                                        raise YPYModelError('Key property mos_pol is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:resolve/Cisco-IOS-XE-pfr:mos/Cisco-IOS-XE-pfr:priority/Cisco-IOS-XE-pfr:mos-pol[Cisco-IOS-XE-pfr:mos-pol = ' + str(self.mos_pol) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mos_pol is not None:
                                        return True

                                    if self.variance is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority.MosPol']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:resolve/Cisco-IOS-XE-pfr:mos/Cisco-IOS-XE-pfr:priority'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mos_pol is not None:
                                    for child_ref in self.mos_pol:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:resolve/Cisco-IOS-XE-pfr:mos'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.priority is not None and self.priority._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:resolve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cost is not None:
                            return True

                        if self.delay is not None and self.delay._has_data():
                            return True

                        if self.equivalent_path_round_robin is not None:
                            return True

                        if self.jitter is not None and self.jitter._has_data():
                            return True

                        if self.loss is not None and self.loss._has_data():
                            return True

                        if self.mos is not None and self.mos._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve']['meta_info']


                class Rsvp(object):
                    """
                    Specify rsvp parameters
                    
                    .. attribute:: post_dial_delay
                    
                    	RSVP post\-dial\-delay in msecs
                    	**type**\:  int
                    
                    	**range:** 0..500
                    
                    .. attribute:: signaling_retries
                    
                    	Number of signaling\-retries
                    	**type**\:  int
                    
                    	**range:** 0..1
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.post_dial_delay = None
                        self.signaling_retries = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:rsvp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.post_dial_delay is not None:
                            return True

                        if self.signaling_retries is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Rsvp']['meta_info']


                class TargetDiscovery(object):
                    """
                    Enable/configure Target Discovery
                    
                    .. attribute:: responder_list
                    
                    	Specify static list of responders
                    	**type**\:   :py:class:`ResponderList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.responder_list = Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList()
                        self.responder_list.parent = self


                    class ResponderList(object):
                        """
                        Specify static list of responders
                        
                        .. attribute:: td_num
                        
                        	
                        	**type**\: list of    :py:class:`TdNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList.TdNum>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.td_num = YList()
                            self.td_num.parent = self
                            self.td_num.name = 'td_num'


                        class TdNum(object):
                            """
                            
                            
                            .. attribute:: td_num  <key>
                            
                            	Prefix\-list containing list of responders
                            	**type**\:  str
                            
                            .. attribute:: inside_prefixes
                            
                            	Prefix\-list containing list of inside prefixes
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.td_num = None
                                self.inside_prefixes = None

                            @property
                            def _common_path(self):
                                if self.td_num is None:
                                    raise YPYModelError('Key property td_num is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:target-discovery/Cisco-IOS-XE-pfr:responder-list/Cisco-IOS-XE-pfr:td-num[Cisco-IOS-XE-pfr:td-num = ' + str(self.td_num) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.td_num is not None:
                                    return True

                                if self.inside_prefixes is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList.TdNum']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:target-discovery/Cisco-IOS-XE-pfr:responder-list'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.td_num is not None:
                                for child_ref in self.td_num:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:target-discovery'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.responder_list is not None and self.responder_list._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery']['meta_info']


                class Traceroute(object):
                    """
                    Configure Traceroute global parameters
                    
                    .. attribute:: probe_delay
                    
                    	Specify the time between two probes in msec
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.probe_delay = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:traceroute'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.probe_delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Traceroute']['meta_info']


                class Unreachable(object):
                    """
                    Specify unreachable parameters
                    
                    .. attribute:: relative
                    
                    	short/long term in percentage. e.g. 125 is short/long = 1.25
                    	**type**\:  int
                    
                    	**range:** 1..1000
                    
                    .. attribute:: threshold
                    
                    	Maximum absolute unreachable threshold (flows\-per\-million)
                    	**type**\:  int
                    
                    	**range:** 1..1000000
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.relative = None
                        self.threshold = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc/Cisco-IOS-XE-pfr:unreachable'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.relative is not None:
                            return True

                        if self.threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc.Unreachable']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master/Cisco-IOS-XE-pfr:icmp-Mode-config-pfr-mc'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.active_probe is not None and self.active_probe._has_data():
                        return True

                    if self.application is not None and self.application._has_data():
                        return True

                    if self.backoff is not None and self.backoff._has_data():
                        return True

                    if self.bandwidth_resolution is not None:
                        return True

                    if self.border is not None and self.border._has_data():
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.exporter is not None:
                        return True

                    if self.holddown is not None:
                        return True

                    if self.jitter is not None and self.jitter._has_data():
                        return True

                    if self.keepalive is not None:
                        return True

                    if self.learn is not None and self.learn._has_data():
                        return True

                    if self.logging is not None:
                        return True

                    if self.loss is not None and self.loss._has_data():
                        return True

                    if self.max is not None and self.max._has_data():
                        return True

                    if self.max_range_utilization is not None and self.max_range_utilization._has_data():
                        return True

                    if self.mc_peer is not None and self.mc_peer._has_data():
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.mos is not None and self.mos._has_data():
                        return True

                    if self.periodic is not None:
                        return True

                    if self.policy_rules is not None:
                        return True

                    if self.port is not None:
                        return True

                    if self.probe is not None and self.probe._has_data():
                        return True

                    if self.resolve is not None and self.resolve._has_data():
                        return True

                    if self.rsvp is not None and self.rsvp._has_data():
                        return True

                    if self.shutdown is not None:
                        return True

                    if self.target_discovery is not None and self.target_discovery._has_data():
                        return True

                    if self.traceroute is not None and self.traceroute._has_data():
                        return True

                    if self.trigger_log_percentage is not None:
                        return True

                    if self.unreachable is not None and self.unreachable._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Pfr.Master.IcmpModeConfigPfrMc']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr/Cisco-IOS-XE-pfr:master'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.icmp_mode_config_pfr_mc is not None and self.icmp_mode_config_pfr_mc._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Pfr.Master']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.border is not None and self.border._has_data():
                return True

            if self.master is not None and self.master._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Pfr']['meta_info']


    class PfrMap(object):
        """
        Create pfr\-map and enter pfr\-map command mode
        
        .. attribute:: pfr_tg  <key>
        
        	pfr\-map tag
        	**type**\:  str
        
        .. attribute:: match
        
        	Match values for PfR policy
        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Match>`
        
        .. attribute:: set
        
        	Set values for PfR policy
        	**type**\:   :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.pfr_tg = None
            self.match = Native.PfrMap.Match()
            self.match.parent = self
            self.set = Native.PfrMap.Set()
            self.set.parent = self


        class Match(object):
            """
            Match values for PfR policy
            
            .. attribute:: ip
            
            	IP specific information
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Match.Ip>`
            
            .. attribute:: pfr
            
            	Match PfR prefixes
            	**type**\:   :py:class:`Pfr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Match.Pfr>`
            
            .. attribute:: traffic_class
            
            	Specify Traffic class
            	**type**\:   :py:class:`TrafficClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Match.TrafficClass>`
            
            

            """

            _prefix = 'ios-pfr'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ip = Native.PfrMap.Match.Ip()
                self.ip.parent = self
                self.pfr = Native.PfrMap.Match.Pfr()
                self.pfr.parent = self
                self.traffic_class = Native.PfrMap.Match.TrafficClass()
                self.traffic_class.parent = self


            class Ip(object):
                """
                IP specific information
                
                .. attribute:: address
                
                	Match address
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-pfr'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-pfr:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PfrMap.Match.Ip']['meta_info']


            class Pfr(object):
                """
                Match PfR prefixes
                
                .. attribute:: learn
                
                	Match PfR learned prefixes
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-pfr'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.learn = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-pfr:pfr'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.learn is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PfrMap.Match.Pfr']['meta_info']


            class TrafficClass(object):
                """
                Specify Traffic class
                
                .. attribute:: access_list
                
                	Specify Traffic class(es) using access\-list
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: application
                
                	Specify the application to learn
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: prefix_list
                
                	Specify Traffic class(es) using prefix\-list
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-pfr'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_list = None
                    self.application = None
                    self.prefix_list = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-pfr:traffic-class'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_list is not None:
                        return True

                    if self.application is not None:
                        return True

                    if self.prefix_list is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PfrMap.Match.TrafficClass']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-pfr:match'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ip is not None and self.ip._has_data():
                    return True

                if self.pfr is not None and self.pfr._has_data():
                    return True

                if self.traffic_class is not None and self.traffic_class._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.PfrMap.Match']['meta_info']


        class Set(object):
            """
            Set values for PfR policy
            
            .. attribute:: active_probe
            
            	Manually create an active probe for a known target
            	**type**\:   :py:class:`ActiveProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.ActiveProbe>`
            
            .. attribute:: backoff
            
            	Specify backoff timer parameters
            	**type**\:   :py:class:`Backoff <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.Backoff>`
            
            .. attribute:: delay
            
            	Specify delay parameters
            	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.Delay>`
            
            .. attribute:: holddown
            
            	Specify hold\-down timer parameter (secs)
            	**type**\:  int
            
            	**range:** 90..65535
            
            .. attribute:: interface
            
            	Set the forwarding interface to Null0
            	**type**\:  str
            
            .. attribute:: jitter
            
            	Specify jitter parameters
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: link_group
            
            	Specify the link group
            	**type**\:   :py:class:`LinkGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.LinkGroup>`
            
            .. attribute:: loss
            
            	Specify loss parameters
            	**type**\:   :py:class:`Loss <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.Loss>`
            
            .. attribute:: mode
            
            	Specify PfR operating mode settings
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: mos
            
            	Specify mos parameters
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: next_hop
            
            	Specify the next\-hop ip address
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: periodic
            
            	Specify periodic rotation timer value
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: probe
            
            	Specify active probe parameter
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: resolve
            
            	Specify PfR policy resolver settings
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: traceroute
            
            	Enable traceroute
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: trap_enable
            
            	Enable PfR MIB Traps
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: trigger_log_percentage
            
            	Specify the percentage of out\-of\-policy TCs that will trigger a syslog
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: unreachable
            
            	Specify unreachable parameters
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-pfr'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.active_probe = Native.PfrMap.Set.ActiveProbe()
                self.active_probe.parent = self
                self.backoff = Native.PfrMap.Set.Backoff()
                self.backoff.parent = self
                self.delay = Native.PfrMap.Set.Delay()
                self.delay.parent = self
                self.holddown = None
                self.interface = None
                self.jitter = None
                self.link_group = Native.PfrMap.Set.LinkGroup()
                self.link_group.parent = self
                self.loss = Native.PfrMap.Set.Loss()
                self.loss.parent = self
                self.mode = None
                self.mos = None
                self.next_hop = None
                self.periodic = None
                self.probe = None
                self.resolve = None
                self.traceroute = None
                self.trap_enable = None
                self.trigger_log_percentage = None
                self.unreachable = None


            class ActiveProbe(object):
                """
                Manually create an active probe for a known target
                
                .. attribute:: echo
                
                	Perform ICMP echo probe operations
                	**type**\:   :py:class:`Echo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.ActiveProbe.Echo>`
                
                .. attribute:: jitter
                
                	Perform jitter probe operations (requires a responder)
                	**type**\:   :py:class:`Jitter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.ActiveProbe.Jitter>`
                
                .. attribute:: tcp_conn
                
                	Perform TCP Connection / Disconnect probe operations
                	**type**\:   :py:class:`TcpConn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.ActiveProbe.TcpConn>`
                
                .. attribute:: udp_echo
                
                	Perform UDP Echo probe operations (requires a responder)
                	**type**\:   :py:class:`UdpEcho <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.ActiveProbe.UdpEcho>`
                
                

                """

                _prefix = 'ios-pfr'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.echo = Native.PfrMap.Set.ActiveProbe.Echo()
                    self.echo.parent = self
                    self.jitter = Native.PfrMap.Set.ActiveProbe.Jitter()
                    self.jitter.parent = self
                    self.tcp_conn = Native.PfrMap.Set.ActiveProbe.TcpConn()
                    self.tcp_conn.parent = self
                    self.udp_echo = Native.PfrMap.Set.ActiveProbe.UdpEcho()
                    self.udp_echo.parent = self


                class Echo(object):
                    """
                    Perform ICMP echo probe operations
                    
                    .. attribute:: ipv4_or_hostname
                    
                    	
                    	**type**\: list of    :py:class:`Ipv4OrHostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.ActiveProbe.Echo.Ipv4OrHostname>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4_or_hostname = YList()
                        self.ipv4_or_hostname.parent = self
                        self.ipv4_or_hostname.name = 'ipv4_or_hostname'


                    class Ipv4OrHostname(object):
                        """
                        
                        
                        .. attribute:: ipv4_or_hostname  <key>
                        
                        	IP address of probe target
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        
                        ----
                        .. attribute:: dscp
                        
                        	Specify the DSCP value
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4_or_hostname = None
                            self.dscp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ipv4_or_hostname is None:
                                raise YPYModelError('Key property ipv4_or_hostname is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-pfr:ipv4-or-hostname[Cisco-IOS-XE-pfr:ipv4-or-hostname = ' + str(self.ipv4_or_hostname) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4_or_hostname is not None:
                                return True

                            if self.dscp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.PfrMap.Set.ActiveProbe.Echo.Ipv4OrHostname']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-pfr:echo'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4_or_hostname is not None:
                            for child_ref in self.ipv4_or_hostname:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.PfrMap.Set.ActiveProbe.Echo']['meta_info']


                class Jitter(object):
                    """
                    Perform jitter probe operations (requires a responder)
                    
                    .. attribute:: ipv4_or_hostname
                    
                    	
                    	**type**\: list of    :py:class:`Ipv4OrHostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.ActiveProbe.Jitter.Ipv4OrHostname>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4_or_hostname = YList()
                        self.ipv4_or_hostname.parent = self
                        self.ipv4_or_hostname.name = 'ipv4_or_hostname'


                    class Ipv4OrHostname(object):
                        """
                        
                        
                        .. attribute:: ipv4_or_hostname  <key>
                        
                        	IP address of probe target
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        
                        ----
                        .. attribute:: target_port
                        
                        	Required Target Port for udp\-echo or tcp\-conn or jitter
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4_or_hostname = None
                            self.target_port = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ipv4_or_hostname is None:
                                raise YPYModelError('Key property ipv4_or_hostname is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-pfr:ipv4-or-hostname[Cisco-IOS-XE-pfr:ipv4-or-hostname = ' + str(self.ipv4_or_hostname) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4_or_hostname is not None:
                                return True

                            if self.target_port is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.PfrMap.Set.ActiveProbe.Jitter.Ipv4OrHostname']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-pfr:jitter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4_or_hostname is not None:
                            for child_ref in self.ipv4_or_hostname:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.PfrMap.Set.ActiveProbe.Jitter']['meta_info']


                class TcpConn(object):
                    """
                    Perform TCP Connection / Disconnect probe operations
                    
                    .. attribute:: ipv4_or_hostname
                    
                    	
                    	**type**\: list of    :py:class:`Ipv4OrHostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.ActiveProbe.TcpConn.Ipv4OrHostname>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4_or_hostname = YList()
                        self.ipv4_or_hostname.parent = self
                        self.ipv4_or_hostname.name = 'ipv4_or_hostname'


                    class Ipv4OrHostname(object):
                        """
                        
                        
                        .. attribute:: ipv4_or_hostname  <key>
                        
                        	IP address of probe target
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        
                        ----
                        .. attribute:: target_port
                        
                        	Required Target Port for udp\-echo or tcp\-conn or jitter
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4_or_hostname = None
                            self.target_port = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ipv4_or_hostname is None:
                                raise YPYModelError('Key property ipv4_or_hostname is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-pfr:ipv4-or-hostname[Cisco-IOS-XE-pfr:ipv4-or-hostname = ' + str(self.ipv4_or_hostname) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4_or_hostname is not None:
                                return True

                            if self.target_port is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.PfrMap.Set.ActiveProbe.TcpConn.Ipv4OrHostname']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-pfr:tcp-conn'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4_or_hostname is not None:
                            for child_ref in self.ipv4_or_hostname:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.PfrMap.Set.ActiveProbe.TcpConn']['meta_info']


                class UdpEcho(object):
                    """
                    Perform UDP Echo probe operations (requires a responder)
                    
                    .. attribute:: ipv4_or_hostname
                    
                    	
                    	**type**\: list of    :py:class:`Ipv4OrHostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.ActiveProbe.UdpEcho.Ipv4OrHostname>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4_or_hostname = YList()
                        self.ipv4_or_hostname.parent = self
                        self.ipv4_or_hostname.name = 'ipv4_or_hostname'


                    class Ipv4OrHostname(object):
                        """
                        
                        
                        .. attribute:: ipv4_or_hostname  <key>
                        
                        	IP address of probe target
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        
                        ----
                        .. attribute:: target_port
                        
                        	Required Target Port for udp\-echo or tcp\-conn or jitter
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4_or_hostname = None
                            self.target_port = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ipv4_or_hostname is None:
                                raise YPYModelError('Key property ipv4_or_hostname is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-pfr:ipv4-or-hostname[Cisco-IOS-XE-pfr:ipv4-or-hostname = ' + str(self.ipv4_or_hostname) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4_or_hostname is not None:
                                return True

                            if self.target_port is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.PfrMap.Set.ActiveProbe.UdpEcho.Ipv4OrHostname']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-pfr:udp-echo'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4_or_hostname is not None:
                            for child_ref in self.ipv4_or_hostname:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.PfrMap.Set.ActiveProbe.UdpEcho']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-pfr:active-probe'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.echo is not None and self.echo._has_data():
                        return True

                    if self.jitter is not None and self.jitter._has_data():
                        return True

                    if self.tcp_conn is not None and self.tcp_conn._has_data():
                        return True

                    if self.udp_echo is not None and self.udp_echo._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PfrMap.Set.ActiveProbe']['meta_info']


            class Backoff(object):
                """
                Specify backoff timer parameters
                
                .. attribute:: boff_t
                
                	
                	**type**\: list of    :py:class:`BoffT <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.Backoff.BoffT>`
                
                

                """

                _prefix = 'ios-pfr'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.boff_t = YList()
                    self.boff_t.parent = self
                    self.boff_t.name = 'boff_t'


                class BoffT(object):
                    """
                    
                    
                    .. attribute:: boff_t  <key>
                    
                    	Specify minimum value of backoff timer (secs)
                    	**type**\:  int
                    
                    	**range:** 90..7200
                    
                    .. attribute:: boff_t0
                    
                    	
                    	**type**\: list of    :py:class:`BoffT0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.Backoff.BoffT.BoffT0>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.boff_t = None
                        self.boff_t0 = YList()
                        self.boff_t0.parent = self
                        self.boff_t0.name = 'boff_t0'


                    class BoffT0(object):
                        """
                        
                        
                        .. attribute:: boff_t0  <key>
                        
                        	Specify maximum value of backoff timer (secs)
                        	**type**\:  int
                        
                        	**range:** 90..7200
                        
                        .. attribute:: boff_rng
                        
                        	Specify optional backoff timer step (secs)
                        	**type**\:  int
                        
                        	**range:** 90..7110
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.boff_t0 = None
                            self.boff_rng = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.boff_t0 is None:
                                raise YPYModelError('Key property boff_t0 is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-pfr:boff-t0[Cisco-IOS-XE-pfr:boff-t0 = ' + str(self.boff_t0) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.boff_t0 is not None:
                                return True

                            if self.boff_rng is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.PfrMap.Set.Backoff.BoffT.BoffT0']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.boff_t is None:
                            raise YPYModelError('Key property boff_t is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-pfr:boff-t[Cisco-IOS-XE-pfr:boff-t = ' + str(self.boff_t) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.boff_t is not None:
                            return True

                        if self.boff_t0 is not None:
                            for child_ref in self.boff_t0:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.PfrMap.Set.Backoff.BoffT']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-pfr:backoff'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.boff_t is not None:
                        for child_ref in self.boff_t:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PfrMap.Set.Backoff']['meta_info']


            class Delay(object):
                """
                Specify delay parameters
                
                .. attribute:: relative
                
                	Maximum allowable relative change from short to long term
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: threshold
                
                	Maximum allowable absolute delay
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-pfr'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.relative = None
                    self.threshold = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-pfr:delay'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.relative is not None:
                        return True

                    if self.threshold is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PfrMap.Set.Delay']['meta_info']


            class LinkGroup(object):
                """
                Specify the link group
                
                .. attribute:: lg_name
                
                	
                	**type**\: list of    :py:class:`LgName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.LinkGroup.LgName>`
                
                

                """

                _prefix = 'ios-pfr'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.lg_name = YList()
                    self.lg_name.parent = self
                    self.lg_name.name = 'lg_name'


                class LgName(object):
                    """
                    
                    
                    .. attribute:: lg_name  <key>
                    
                    	Specify primary link group name
                    	**type**\:  str
                    
                    .. attribute:: fallback
                    
                    	Specify the fallback link group
                    	**type**\:   :py:class:`Fallback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.LinkGroup.LgName.Fallback>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.lg_name = None
                        self.fallback = None


                    class Fallback(object):
                        """
                        Specify the fallback link group
                        
                        .. attribute:: fall_name
                        
                        	Specify Fallback link group name
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.fall_name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-pfr:fallback'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.fall_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.PfrMap.Set.LinkGroup.LgName.Fallback']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.lg_name is None:
                            raise YPYModelError('Key property lg_name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-pfr:lg-name[Cisco-IOS-XE-pfr:lg-name = ' + str(self.lg_name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.lg_name is not None:
                            return True

                        if self.fallback is not None and self.fallback._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.PfrMap.Set.LinkGroup.LgName']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-pfr:link-group'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.lg_name is not None:
                        for child_ref in self.lg_name:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PfrMap.Set.LinkGroup']['meta_info']


            class Loss(object):
                """
                Specify loss parameters
                
                .. attribute:: relative
                
                	short/long term in percentage. e.g. 125 is short/long = 1.25
                	**type**\:  int
                
                	**range:** 1..1000
                
                .. attribute:: threshold
                
                	Maximum absolute lost packet threshold in percentage e.g., 1 is 0.0001 percent
                	**type**\:  int
                
                	**range:** 1..1000000
                
                

                """

                _prefix = 'ios-pfr'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.relative = None
                    self.threshold = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-pfr:loss'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.relative is not None:
                        return True

                    if self.threshold is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PfrMap.Set.Loss']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-pfr:set'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.active_probe is not None and self.active_probe._has_data():
                    return True

                if self.backoff is not None and self.backoff._has_data():
                    return True

                if self.delay is not None and self.delay._has_data():
                    return True

                if self.holddown is not None:
                    return True

                if self.interface is not None:
                    return True

                if self.jitter is not None:
                    return True

                if self.link_group is not None and self.link_group._has_data():
                    return True

                if self.loss is not None and self.loss._has_data():
                    return True

                if self.mode is not None:
                    return True

                if self.mos is not None:
                    return True

                if self.next_hop is not None:
                    return True

                if self.periodic is not None:
                    return True

                if self.probe is not None:
                    return True

                if self.resolve is not None:
                    return True

                if self.traceroute is not None:
                    return True

                if self.trap_enable is not None:
                    return True

                if self.trigger_log_percentage is not None:
                    return True

                if self.unreachable is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.PfrMap.Set']['meta_info']

        @property
        def _common_path(self):
            if self.pfr_tg is None:
                raise YPYModelError('Key property pfr_tg is None')

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:pfr-map[Cisco-IOS-XE-native:pfr-tg = ' + str(self.pfr_tg) + ']'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.pfr_tg is not None:
                return True

            if self.match is not None and self.match._has_data():
                return True

            if self.set is not None and self.set._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.PfrMap']['meta_info']


    class FacilityAlarm(object):
        """
        Configure facility alarms
        
        .. attribute:: exceed_action
        
        	Behavior on critical threshold exceed
        	**type**\:   :py:class:`ExceedActionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.FacilityAlarm.ExceedActionEnum>`
        
        .. attribute:: severity
        
        	
        	**type**\:   :py:class:`SeverityEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.FacilityAlarm.SeverityEnum>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.exceed_action = None
            self.severity = None

        class ExceedActionEnum(Enum):
            """
            ExceedActionEnum

            Behavior on critical threshold exceed

            .. data:: shutdown = 0

            """

            shutdown = 0


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.FacilityAlarm.ExceedActionEnum']


        class SeverityEnum(Enum):
            """
            SeverityEnum

            .. data:: critical = 0

            """

            critical = 0


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.FacilityAlarm.SeverityEnum']


        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:facility-alarm'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.exceed_action is not None:
                return True

            if self.severity is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.FacilityAlarm']['meta_info']


    class Setup(object):
        """
        Configure setup options
        
        .. attribute:: express
        
        	Configure whether express setup mode is enabled
        	**type**\:  bool
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.express = None

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:setup'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.express is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Setup']['meta_info']


    class TodClock(object):
        """
        Tod clock config commands
        
        .. attribute:: input_source
        
        	Synchronization Input Source
        	**type**\:   :py:class:`InputSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TodClock.InputSource>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.input_source = Native.TodClock.InputSource()
            self.input_source.parent = self


        class InputSource(object):
            """
            Synchronization Input Source
            
            .. attribute:: priority
            
            	
            	**type**\:  int
            
            	**range:** 1..250
            
            .. attribute:: ptp
            
            	
            	**type**\:   :py:class:`Ptp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TodClock.InputSource.Ptp>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.priority = None
                self.ptp = Native.TodClock.InputSource.Ptp()
                self.ptp.parent = self


            class Ptp(object):
                """
                
                
                .. attribute:: domain
                
                	
                	**type**\:  int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.domain = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:tod-clock/Cisco-IOS-XE-native:input-source/Cisco-IOS-XE-native:ptp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.domain is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.TodClock.InputSource.Ptp']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:tod-clock/Cisco-IOS-XE-native:input-source'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.priority is not None:
                    return True

                if self.ptp is not None and self.ptp._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.TodClock.InputSource']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:tod-clock'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.input_source is not None and self.input_source._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.TodClock']['meta_info']


    class NetworkClock(object):
        """
        Network clock config commands
        
        .. attribute:: input_source
        
        	Synchronization Input Source
        	**type**\:   :py:class:`InputSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock.InputSource>`
        
        .. attribute:: synchronization
        
        	Network clock synchronization selection process
        	**type**\:   :py:class:`Synchronization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock.Synchronization>`
        
        .. attribute:: wait_to_restore
        
        	Wait\-to\-Restore timer
        	**type**\:   :py:class:`WaitToRestore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock.WaitToRestore>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.input_source = Native.NetworkClock.InputSource()
            self.input_source.parent = self
            self.synchronization = Native.NetworkClock.Synchronization()
            self.synchronization.parent = self
            self.wait_to_restore = Native.NetworkClock.WaitToRestore()
            self.wait_to_restore.parent = self


        class Synchronization(object):
            """
            Network clock synchronization selection process
            
            .. attribute:: automatic
            
            	ITU\-T G.781/Telcordia standard based
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: mode
            
            	synchronization networking mode
            	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock.Synchronization.ModeEnum>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.automatic = None
                self.mode = None

            class ModeEnum(Enum):
                """
                ModeEnum

                synchronization networking mode

                .. data:: QL_enabled = 0

                """

                QL_enabled = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.NetworkClock.Synchronization.ModeEnum']


            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:network-clock/Cisco-IOS-XE-native:synchronization'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.automatic is not None:
                    return True

                if self.mode is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.NetworkClock.Synchronization']['meta_info']


        class WaitToRestore(object):
            """
            Wait\-to\-Restore timer
            
            .. attribute:: global_
            
            	Global
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: time
            
            	Wait\-to\-Restore time
            	**type**\:  int
            
            	**range:** 0..86400
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.global_ = None
                self.time = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:network-clock/Cisco-IOS-XE-native:wait-to-restore'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.global_ is not None:
                    return True

                if self.time is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.NetworkClock.WaitToRestore']['meta_info']


        class InputSource(object):
            """
            Synchronization Input Source
            
            .. attribute:: interface
            
            	
            	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock.InputSource.Interface>`
            
            .. attribute:: priority
            
            	
            	**type**\:  int
            
            	**range:** 1..250
            
            .. attribute:: ptp
            
            	
            	**type**\:   :py:class:`Ptp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock.InputSource.Ptp>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.interface = Native.NetworkClock.InputSource.Interface()
                self.interface.parent = self
                self.priority = None
                self.ptp = Native.NetworkClock.InputSource.Ptp()
                self.ptp.parent = self


            class Interface(object):
                """
                
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\:  str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock.InputSource.Interface.AtmAcrsubinterface>`
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock.InputSource.Interface.AtmSubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\:  str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\:  str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\:  str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\:  str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\:  str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  int
                
                	**range:** 0..65520
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock.InputSource.Interface.LispSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock.InputSource.Interface.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\:  str
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\:  str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\:  str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.appnav_compress = None
                    self.appnav_uncompress = None
                    self.atm = None
                    self.atm_acr = None
                    self.atm_acrsubinterface = Native.NetworkClock.InputSource.Interface.AtmAcrsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self.atm_subinterface = Native.NetworkClock.InputSource.Interface.AtmSubinterface()
                    self.atm_subinterface.parent = self
                    self.bdi = None
                    self.cellular = None
                    self.cem = None
                    self.cem_acr = None
                    self.embedded_service_engine = None
                    self.fastethernet = None
                    self.gigabitethernet = None
                    self.lisp = None
                    self.lisp_subinterface = Native.NetworkClock.InputSource.Interface.LispSubinterface()
                    self.lisp_subinterface.parent = self
                    self.loopback = None
                    self.multilink = None
                    self.nve = None
                    self.overlay = None
                    self.port_channel = None
                    self.port_channel_subinterface = Native.NetworkClock.InputSource.Interface.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self.pseudowire = None
                    self.serial = None
                    self.sm = None
                    self.tengigabitethernet = None
                    self.tunnel = None
                    self.vasileft = None
                    self.vasiright = None
                    self.virtual_template = None
                    self.virtualportgroup = None
                    self.vlan = None


                class AtmSubinterface(object):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:network-clock/Cisco-IOS-XE-native:input-source/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:ATM-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.NetworkClock.InputSource.Interface.AtmSubinterface']['meta_info']


                class AtmAcrsubinterface(object):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm_acr = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:network-clock/Cisco-IOS-XE-native:input-source/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:ATM-ACRsubinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm_acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.NetworkClock.InputSource.Interface.AtmAcrsubinterface']['meta_info']


                class LispSubinterface(object):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.lisp = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:network-clock/Cisco-IOS-XE-native:input-source/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:LISP-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.lisp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.NetworkClock.InputSource.Interface.LispSubinterface']['meta_info']


                class PortChannelSubinterface(object):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.port_channel = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:network-clock/Cisco-IOS-XE-native:input-source/Cisco-IOS-XE-native:interface/Cisco-IOS-XE-native:Port-channel-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.port_channel is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.NetworkClock.InputSource.Interface.PortChannelSubinterface']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:network-clock/Cisco-IOS-XE-native:input-source/Cisco-IOS-XE-native:interface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.appnav_compress is not None:
                        return True

                    if self.appnav_uncompress is not None:
                        return True

                    if self.atm is not None:
                        return True

                    if self.atm_acr is not None:
                        return True

                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                        return True

                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                        return True

                    if self.bdi is not None:
                        return True

                    if self.cellular is not None:
                        return True

                    if self.cem is not None:
                        return True

                    if self.cem_acr is not None:
                        return True

                    if self.embedded_service_engine is not None:
                        return True

                    if self.fastethernet is not None:
                        return True

                    if self.gigabitethernet is not None:
                        return True

                    if self.lisp is not None:
                        return True

                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                        return True

                    if self.loopback is not None:
                        return True

                    if self.multilink is not None:
                        return True

                    if self.nve is not None:
                        return True

                    if self.overlay is not None:
                        return True

                    if self.port_channel is not None:
                        return True

                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                        return True

                    if self.pseudowire is not None:
                        return True

                    if self.serial is not None:
                        return True

                    if self.sm is not None:
                        return True

                    if self.tengigabitethernet is not None:
                        return True

                    if self.tunnel is not None:
                        return True

                    if self.vasileft is not None:
                        return True

                    if self.vasiright is not None:
                        return True

                    if self.virtual_template is not None:
                        return True

                    if self.virtualportgroup is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.NetworkClock.InputSource.Interface']['meta_info']


            class Ptp(object):
                """
                
                
                .. attribute:: domain
                
                	
                	**type**\:  int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.domain = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:network-clock/Cisco-IOS-XE-native:input-source/Cisco-IOS-XE-native:ptp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.domain is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.NetworkClock.InputSource.Ptp']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:network-clock/Cisco-IOS-XE-native:input-source'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.interface is not None and self.interface._has_data():
                    return True

                if self.priority is not None:
                    return True

                if self.ptp is not None and self.ptp._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.NetworkClock.InputSource']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:network-clock'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.input_source is not None and self.input_source._has_data():
                return True

            if self.synchronization is not None and self.synchronization._has_data():
                return True

            if self.wait_to_restore is not None and self.wait_to_restore._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.NetworkClock']['meta_info']


    class L2Vpn(object):
        """
        Layer2 VPN commands
        
        .. attribute:: pseudowire
        
        	Global pseudowire parameters
        	**type**\:   :py:class:`Pseudowire <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire>`
        
        .. attribute:: vfi
        
        	Configure a Virtual Forwarding Instance (VFI)
        	**type**\:   :py:class:`Vfi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Vfi>`
        
        .. attribute:: xconnect
        
        	Configure a cross connect
        	**type**\:   :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.pseudowire = Native.L2Vpn.Pseudowire()
            self.pseudowire.parent = self
            self.vfi = Native.L2Vpn.Vfi()
            self.vfi.parent = self
            self.xconnect = Native.L2Vpn.Xconnect()
            self.xconnect.parent = self


        class Pseudowire(object):
            """
            Global pseudowire parameters
            
            .. attribute:: group
            
            	Configure pseudowire group parameters
            	**type**\:   :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.Group>`
            
            .. attribute:: routing
            
            	Configure l2vpn pseudowire routing
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: static_oam
            
            	Static PW OAM configuration
            	**type**\:   :py:class:`StaticOam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.StaticOam>`
            
            .. attribute:: tlv
            
            	Global PW TLV configuration
            	**type**\:   :py:class:`Tlv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.Tlv>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.group = Native.L2Vpn.Pseudowire.Group()
                self.group.parent = self
                self.routing = None
                self.static_oam = Native.L2Vpn.Pseudowire.StaticOam()
                self.static_oam.parent = self
                self.tlv = Native.L2Vpn.Pseudowire.Tlv()
                self.tlv.parent = self


            class StaticOam(object):
                """
                Static PW OAM configuration
                
                .. attribute:: class_
                
                	Static PW OAM class configuration
                	**type**\: list of    :py:class:`Class_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.StaticOam.Class_>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.class_ = YList()
                    self.class_.parent = self
                    self.class_.name = 'class_'


                class Class_(object):
                    """
                    Static PW OAM class configuration
                    
                    .. attribute:: pw_nm  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: timeout
                    
                    	timeout configurations
                    	**type**\:   :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.pw_nm = None
                        self.timeout = Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout()
                        self.timeout.parent = self


                    class Timeout(object):
                        """
                        timeout configurations
                        
                        .. attribute:: refresh
                        
                        	refresh timeout configurations
                        	**type**\:   :py:class:`Refresh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.refresh = Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh()
                            self.refresh.parent = self


                        class Refresh(object):
                            """
                            refresh timeout configurations
                            
                            .. attribute:: send
                            
                            	refresh send timeout configuration
                            	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh.Send>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.send = Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh.Send()
                                self.send.parent = self


                            class Send(object):
                                """
                                refresh send timeout configuration
                                
                                .. attribute:: interval
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4095
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interval = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:send'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interval is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh.Send']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:refresh'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.send is not None and self.send._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:timeout'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.refresh is not None and self.refresh._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout']['meta_info']

                    @property
                    def _common_path(self):
                        if self.pw_nm is None:
                            raise YPYModelError('Key property pw_nm is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l2vpn/Cisco-IOS-XE-l2vpn:pseudowire/Cisco-IOS-XE-l2vpn:static-oam/Cisco-IOS-XE-l2vpn:class[Cisco-IOS-XE-l2vpn:pw-nm = ' + str(self.pw_nm) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.pw_nm is not None:
                            return True

                        if self.timeout is not None and self.timeout._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.L2Vpn.Pseudowire.StaticOam.Class_']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l2vpn/Cisco-IOS-XE-l2vpn:pseudowire/Cisco-IOS-XE-l2vpn:static-oam'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.class_ is not None:
                        for child_ref in self.class_:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.L2Vpn.Pseudowire.StaticOam']['meta_info']


            class Tlv(object):
                """
                Global PW TLV configuration
                
                .. attribute:: template
                
                	PW TLV Template Keyword
                	**type**\: list of    :py:class:`Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.Tlv.Template>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.template = YList()
                    self.template.parent = self
                    self.template.name = 'template'


                class Template(object):
                    """
                    PW TLV Template Keyword
                    
                    .. attribute:: tlv_nm  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: tlv
                    
                    	TLV config command
                    	**type**\:   :py:class:`Tlv_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tlv_nm = None
                        self.tlv = Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_()
                        self.tlv.parent = self


                    class Tlv_(object):
                        """
                        TLV config command
                        
                        .. attribute:: tlv_description
                        
                        	
                        	**type**\:   :py:class:`TlvDescription <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_.TlvDescription>`
                        
                        .. attribute:: tlv_type
                        
                        	
                        	**type**\:   :py:class:`TlvType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_.TlvType>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.tlv_description = Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_.TlvDescription()
                            self.tlv_description.parent = self
                            self.tlv_type = Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_.TlvType()
                            self.tlv_type.parent = self


                        class TlvType(object):
                            """
                            
                            
                            .. attribute:: type
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..40
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:tlv-type'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_.TlvType']['meta_info']


                        class TlvDescription(object):
                            """
                            
                            
                            .. attribute:: description
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.description = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:tlv-description'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.description is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_.TlvDescription']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:tlv'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.tlv_description is not None and self.tlv_description._has_data():
                                return True

                            if self.tlv_type is not None and self.tlv_type._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.L2Vpn.Pseudowire.Tlv.Template.Tlv_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.tlv_nm is None:
                            raise YPYModelError('Key property tlv_nm is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l2vpn/Cisco-IOS-XE-l2vpn:pseudowire/Cisco-IOS-XE-l2vpn:tlv/Cisco-IOS-XE-l2vpn:template[Cisco-IOS-XE-l2vpn:tlv-nm = ' + str(self.tlv_nm) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tlv_nm is not None:
                            return True

                        if self.tlv is not None and self.tlv._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.L2Vpn.Pseudowire.Tlv.Template']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l2vpn/Cisco-IOS-XE-l2vpn:pseudowire/Cisco-IOS-XE-l2vpn:tlv'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.template is not None:
                        for child_ref in self.template:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.L2Vpn.Pseudowire.Tlv']['meta_info']


            class Group(object):
                """
                Configure pseudowire group parameters
                
                .. attribute:: status
                
                	Send pseudowire group status messages
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.status = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l2vpn/Cisco-IOS-XE-l2vpn:pseudowire/Cisco-IOS-XE-l2vpn:group'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.status is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.L2Vpn.Pseudowire.Group']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l2vpn/Cisco-IOS-XE-l2vpn:pseudowire'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.group is not None and self.group._has_data():
                    return True

                if self.routing is not None:
                    return True

                if self.static_oam is not None and self.static_oam._has_data():
                    return True

                if self.tlv is not None and self.tlv._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.L2Vpn.Pseudowire']['meta_info']


        class Vfi(object):
            """
            Configure a Virtual Forwarding Instance (VFI)
            
            .. attribute:: context
            
            	Layer2 VPN Context
            	**type**\: list of    :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Vfi.Context>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.context = YList()
                self.context.parent = self
                self.context.name = 'context'


            class Context(object):
                """
                Layer2 VPN Context
                
                .. attribute:: vfi_nm  <key>
                
                	Virtual Forwarding Instance (VFI) name
                	**type**\:  str
                
                .. attribute:: autodiscovery
                
                	Auto Discovery mode
                	**type**\:   :py:class:`Autodiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Vfi.Context.Autodiscovery>`
                
                .. attribute:: vpn
                
                	VPN configuration
                	**type**\:   :py:class:`Vpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Vfi.Context.Vpn>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.vfi_nm = None
                    self.autodiscovery = Native.L2Vpn.Vfi.Context.Autodiscovery()
                    self.autodiscovery.parent = self
                    self.vpn = Native.L2Vpn.Vfi.Context.Vpn()
                    self.vpn.parent = self


                class Autodiscovery(object):
                    """
                    Auto Discovery mode
                    
                    .. attribute:: bgp
                    
                    	Use BGP for neighbor discovery
                    	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bgp = Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp()
                        self.bgp.parent = self


                    class Bgp(object):
                        """
                        Use BGP for neighbor discovery
                        
                        .. attribute:: signaling
                        
                        	Signaling protocol to use
                        	**type**\:   :py:class:`Signaling <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.signaling = Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling()
                            self.signaling.parent = self


                        class Signaling(object):
                            """
                            Signaling protocol to use
                            
                            .. attribute:: bgp
                            
                            	Use BGP signaling and discovery
                            	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling.Bgp_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ldp
                            
                            	Use LDP signaling
                            	**type**\:   :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling.Ldp>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bgp = None
                                self.ldp = None


                            class Bgp_(object):
                                """
                                Use BGP signaling and discovery
                                
                                .. attribute:: template
                                
                                	Template to be used for autodiscovered pseudowires
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.template = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.template is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling.Bgp_']['meta_info']


                            class Ldp(object):
                                """
                                Use LDP signaling
                                
                                .. attribute:: template
                                
                                	Template to be used for autodiscovered pseudowires
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.template = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:ldp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.template is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling.Ldp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:signaling'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                if self.ldp is not None and self.ldp._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:bgp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.signaling is not None and self.signaling._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:autodiscovery'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bgp is not None and self.bgp._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.L2Vpn.Vfi.Context.Autodiscovery']['meta_info']


                class Vpn(object):
                    """
                    VPN configuration
                    
                    .. attribute:: id
                    
                    	VPN id value
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:vpn'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.L2Vpn.Vfi.Context.Vpn']['meta_info']

                @property
                def _common_path(self):
                    if self.vfi_nm is None:
                        raise YPYModelError('Key property vfi_nm is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l2vpn/Cisco-IOS-XE-l2vpn:vfi/Cisco-IOS-XE-l2vpn:context[Cisco-IOS-XE-l2vpn:vfi-nm = ' + str(self.vfi_nm) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.vfi_nm is not None:
                        return True

                    if self.autodiscovery is not None and self.autodiscovery._has_data():
                        return True

                    if self.vpn is not None and self.vpn._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.L2Vpn.Vfi.Context']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l2vpn/Cisco-IOS-XE-l2vpn:vfi'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.context is not None:
                    for child_ref in self.context:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.L2Vpn.Vfi']['meta_info']


        class Xconnect(object):
            """
            Configure a cross connect
            
            .. attribute:: context
            
            	Layer2 VPN Context
            	**type**\: list of    :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.context = YList()
                self.context.parent = self
                self.context.name = 'context'


            class Context(object):
                """
                Layer2 VPN Context
                
                .. attribute:: xc_name  <key>
                
                	Configure the cross connect name
                	**type**\:  str
                
                .. attribute:: xc_mode_config_xconnect
                
                	
                	**type**\:   :py:class:`XcModeConfigXconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.xc_name = None
                    self.xc_mode_config_xconnect = Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect()
                    self.xc_mode_config_xconnect.parent = self


                class XcModeConfigXconnect(object):
                    """
                    
                    
                    .. attribute:: description
                    
                    	Description string
                    	**type**\:  str
                    
                    .. attribute:: interworking
                    
                    	Interworking options for the cross connect
                    	**type**\:   :py:class:`Interworking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Interworking>`
                    
                    .. attribute:: match
                    
                    	Set Xconnect packet matching criteria
                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match>`
                    
                    .. attribute:: member
                    
                    	Configure the cross connect member
                    	**type**\:   :py:class:`Member <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member>`
                    
                    .. attribute:: redundancy
                    
                    	Xconnect redundancy information
                    	**type**\:   :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy>`
                    
                    .. attribute:: remote
                    
                    	L2VPN remote peer configuration commands
                    	**type**\:   :py:class:`Remote <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote>`
                    
                    .. attribute:: shutdown
                    
                    	Shutdown Xconnect
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.description = None
                        self.interworking = Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Interworking()
                        self.interworking.parent = self
                        self.match = Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match()
                        self.match.parent = self
                        self.member = Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member()
                        self.member.parent = self
                        self.redundancy = Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy()
                        self.redundancy.parent = self
                        self.remote = Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote()
                        self.remote.parent = self
                        self.shutdown = None


                    class Interworking(object):
                        """
                        Interworking options for the cross connect
                        
                        .. attribute:: ethernet
                        
                        	Ethernet interworking
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ip
                        
                        	IP interworking
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	VLAN interworking
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ethernet = None
                            self.ip = None
                            self.vlan = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:interworking'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ethernet is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Interworking']['meta_info']


                    class Match(object):
                        """
                        Set Xconnect packet matching criteria
                        
                        .. attribute:: protocol
                        
                        	Protocol matching criterion
                        	**type**\:   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match.Protocol>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.protocol = Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match.Protocol()
                            self.protocol.parent = self


                        class Protocol(object):
                            """
                            Protocol matching criterion
                            
                            .. attribute:: ipv6
                            
                            	IPV6
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv6 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:protocol'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv6 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match.Protocol']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:match'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.protocol is not None and self.protocol._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match']['meta_info']


                    class Member(object):
                        """
                        Configure the cross connect member
                        
                        .. attribute:: interface
                        
                        	
                        	**type**\: list of    :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member.Interface>`
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member.Ipv4>`
                        
                        .. attribute:: vlan
                        
                        	Vlan interface number
                        	**type**\:  int
                        
                        	**range:** 1..4094
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = YList()
                            self.interface.parent = self
                            self.interface.name = 'interface'
                            self.ipv4 = YList()
                            self.ipv4.parent = self
                            self.ipv4.name = 'ipv4'
                            self.vlan = None


                        class Ipv4(object):
                            """
                            
                            
                            .. attribute:: ipv4  <key>
                            
                            	IP address of the peer
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mem_vcid
                            
                            	Enter VC ID value
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = None
                                self.mem_vcid = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ipv4 is None:
                                    raise YPYModelError('Key property ipv4 is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:ipv4[Cisco-IOS-XE-l2vpn:ipv4 = ' + str(self.ipv4) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None:
                                    return True

                                if self.mem_vcid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member.Ipv4']['meta_info']


                        class Interface(object):
                            """
                            
                            
                            .. attribute:: interface  <key>
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: group
                            
                            	Configure the cross connect member redundancy group
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: service_instance
                            
                            	Ethernet Service Instance
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interface = None
                                self.group = None
                                self.service_instance = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.interface is None:
                                    raise YPYModelError('Key property interface is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:interface[Cisco-IOS-XE-l2vpn:interface = ' + str(self.interface) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interface is not None:
                                    return True

                                if self.group is not None:
                                    return True

                                if self.service_instance is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member.Interface']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:member'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                for child_ref in self.interface:
                                    if child_ref._has_data():
                                        return True

                            if self.ipv4 is not None:
                                for child_ref in self.ipv4:
                                    if child_ref._has_data():
                                        return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member']['meta_info']


                    class Redundancy(object):
                        """
                        Xconnect redundancy information
                        
                        .. attribute:: delay
                        
                        	Enable delay
                        	**type**\:  int
                        
                        	**range:** 0..180
                        
                        .. attribute:: predictive
                        
                        	Switch over to backup member without waiting for UP status
                        	**type**\:   :py:class:`Predictive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy.Predictive>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.delay = None
                            self.predictive = Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy.Predictive()
                            self.predictive.parent = self


                        class Predictive(object):
                            """
                            Switch over to backup member without waiting for UP status
                            
                            .. attribute:: disabled
                            
                            	Disable predictive switchover capability for this xconnect
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enabled
                            
                            	Enable predictive switchover capability for this xconnect
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.disabled = None
                                self.enabled = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:predictive'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.disabled is not None:
                                    return True

                                if self.enabled is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy.Predictive']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:redundancy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.delay is not None:
                                return True

                            if self.predictive is not None and self.predictive._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy']['meta_info']


                    class Remote(object):
                        """
                        L2VPN remote peer configuration commands
                        
                        .. attribute:: circuit
                        
                        	Remote peer circuit configuration
                        	**type**\:   :py:class:`Circuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Circuit>`
                        
                        .. attribute:: link
                        
                        	Link information
                        	**type**\:   :py:class:`Link <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Link>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.circuit = Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Circuit()
                            self.circuit.parent = self
                            self.link = Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Link()
                            self.link.parent = self


                        class Circuit(object):
                            """
                            Remote peer circuit configuration
                            
                            .. attribute:: id
                            
                            	Remote peer circuit ID
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:circuit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Circuit']['meta_info']


                        class Link(object):
                            """
                            Link information
                            
                            .. attribute:: failure
                            
                            	Failure information
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.failure = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:link'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.failure is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Link']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:remote'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.circuit is not None and self.circuit._has_data():
                                return True

                            if self.link is not None and self.link._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-l2vpn:xc-Mode-config-xconnect'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.description is not None:
                            return True

                        if self.interworking is not None and self.interworking._has_data():
                            return True

                        if self.match is not None and self.match._has_data():
                            return True

                        if self.member is not None and self.member._has_data():
                            return True

                        if self.redundancy is not None and self.redundancy._has_data():
                            return True

                        if self.remote is not None and self.remote._has_data():
                            return True

                        if self.shutdown is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect']['meta_info']

                @property
                def _common_path(self):
                    if self.xc_name is None:
                        raise YPYModelError('Key property xc_name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l2vpn/Cisco-IOS-XE-l2vpn:xconnect/Cisco-IOS-XE-l2vpn:context[Cisco-IOS-XE-l2vpn:xc-name = ' + str(self.xc_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.xc_name is not None:
                        return True

                    if self.xc_mode_config_xconnect is not None and self.xc_mode_config_xconnect._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.L2Vpn.Xconnect.Context']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l2vpn/Cisco-IOS-XE-l2vpn:xconnect'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.context is not None:
                    for child_ref in self.context:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.L2Vpn.Xconnect']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l2vpn'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.pseudowire is not None and self.pseudowire._has_data():
                return True

            if self.vfi is not None and self.vfi._has_data():
                return True

            if self.xconnect is not None and self.xconnect._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.L2Vpn']['meta_info']


    class L2VpnConfig(object):
        """
        
        
        .. attribute:: l2vpn
        
        	Layer2 VPN commands
        	**type**\:   :py:class:`L2Vpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2VpnConfig.L2Vpn>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.l2vpn = None


        class L2Vpn(object):
            """
            Layer2 VPN commands
            
            .. attribute:: logging
            
            	Configure logging flags
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2VpnConfig.L2Vpn.Logging>`
            
            .. attribute:: redundancy
            
            	Configure L2VPN redundancy parameters
            	**type**\:   :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2VpnConfig.L2Vpn.Redundancy>`
            
            .. attribute:: router_id
            
            	Layer2 router\-id value
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: shutdown
            
            	Shutdown Layer2 VPN
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.logging = Native.L2VpnConfig.L2Vpn.Logging()
                self.logging.parent = self
                self.redundancy = Native.L2VpnConfig.L2Vpn.Redundancy()
                self.redundancy.parent = self
                self.router_id = None
                self.shutdown = None


            class Logging(object):
                """
                Configure logging flags
                
                .. attribute:: pseudowire
                
                	pseudowire status transition logging
                	**type**\:   :py:class:`Pseudowire <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2VpnConfig.L2Vpn.Logging.Pseudowire>`
                
                .. attribute:: redundancy
                
                	xconnect redundancy events
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.pseudowire = Native.L2VpnConfig.L2Vpn.Logging.Pseudowire()
                    self.pseudowire.parent = self
                    self.redundancy = None


                class Pseudowire(object):
                    """
                    pseudowire status transition logging
                    
                    .. attribute:: status
                    
                    	pseudowire status up/down logging
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.status = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l2vpn-config/Cisco-IOS-XE-l2vpn:l2vpn/Cisco-IOS-XE-l2vpn:logging/Cisco-IOS-XE-l2vpn:pseudowire'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.status is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.L2VpnConfig.L2Vpn.Logging.Pseudowire']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l2vpn-config/Cisco-IOS-XE-l2vpn:l2vpn/Cisco-IOS-XE-l2vpn:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.pseudowire is not None and self.pseudowire._has_data():
                        return True

                    if self.redundancy is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.L2VpnConfig.L2Vpn.Logging']['meta_info']


            class Redundancy(object):
                """
                Configure L2VPN redundancy parameters
                
                .. attribute:: predictive
                
                	Switch over to backup member without waiting for UP status
                	**type**\:   :py:class:`Predictive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2VpnConfig.L2Vpn.Redundancy.Predictive>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.predictive = Native.L2VpnConfig.L2Vpn.Redundancy.Predictive()
                    self.predictive.parent = self


                class Predictive(object):
                    """
                    Switch over to backup member without waiting for UP status
                    
                    .. attribute:: enabled
                    
                    	Enable predictive switchover capability for all xconnects
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enabled = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l2vpn-config/Cisco-IOS-XE-l2vpn:l2vpn/Cisco-IOS-XE-l2vpn:redundancy/Cisco-IOS-XE-l2vpn:predictive'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enabled is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.L2VpnConfig.L2Vpn.Redundancy.Predictive']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l2vpn-config/Cisco-IOS-XE-l2vpn:l2vpn/Cisco-IOS-XE-l2vpn:redundancy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.predictive is not None and self.predictive._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.L2VpnConfig.L2Vpn.Redundancy']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l2vpn-config/Cisco-IOS-XE-l2vpn:l2vpn'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.logging is not None and self.logging._has_data():
                    return True

                if self.redundancy is not None and self.redundancy._has_data():
                    return True

                if self.router_id is not None:
                    return True

                if self.shutdown is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.L2VpnConfig.L2Vpn']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l2vpn-config'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.l2vpn is not None and self.l2vpn._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.L2VpnConfig']['meta_info']


    class L3Vpn(object):
        """
        l3vpn encapsulation ip commands
        
        .. attribute:: encapsulation
        
        	l3vpn encapsulation ip
        	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L3Vpn.Encapsulation>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.encapsulation = Native.L3Vpn.Encapsulation()
            self.encapsulation.parent = self


        class Encapsulation(object):
            """
            l3vpn encapsulation ip
            
            .. attribute:: ip
            
            	l3vpn encapsulation ip
            	**type**\: list of    :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L3Vpn.Encapsulation.Ip>`
            
            

            """

            _prefix = 'ios-l3vpn'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ip = YList()
                self.ip.parent = self
                self.ip.name = 'ip'


            class Ip(object):
                """
                l3vpn encapsulation ip
                
                .. attribute:: profile_name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: mpls
                
                	Configure MPLS interface parameters
                	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L3Vpn.Encapsulation.Ip.Mpls>`
                
                .. attribute:: protocol
                
                	protocol mode
                	**type**\:   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L3Vpn.Encapsulation.Ip.Protocol>`
                
                .. attribute:: transport
                
                	transport mode
                	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L3Vpn.Encapsulation.Ip.Transport>`
                
                

                """

                _prefix = 'ios-l3vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.profile_name = None
                    self.mpls = Native.L3Vpn.Encapsulation.Ip.Mpls()
                    self.mpls.parent = self
                    self.protocol = Native.L3Vpn.Encapsulation.Ip.Protocol()
                    self.protocol.parent = self
                    self.transport = Native.L3Vpn.Encapsulation.Ip.Transport()
                    self.transport.parent = self


                class Transport(object):
                    """
                    transport mode
                    
                    .. attribute:: ipv4
                    
                    	transport ipv4 mode
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L3Vpn.Encapsulation.Ip.Transport.Ipv4>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-l3vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = None


                    class Ipv4(object):
                        """
                        transport ipv4 mode
                        
                        .. attribute:: source
                        
                        	transport source
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-l3vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.source = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l3vpn:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.source is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.L3Vpn.Encapsulation.Ip.Transport.Ipv4']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-l3vpn:transport'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.L3Vpn.Encapsulation.Ip.Transport']['meta_info']


                class Protocol(object):
                    """
                    protocol mode
                    
                    .. attribute:: gre
                    
                    	protocol gre
                    	**type**\:   :py:class:`Gre <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L3Vpn.Encapsulation.Ip.Protocol.Gre>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-l3vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.gre = None


                    class Gre(object):
                        """
                        protocol gre
                        
                        .. attribute:: key
                        
                        	gre key
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-l3vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.key = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-l3vpn:gre'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.key is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.L3Vpn.Encapsulation.Ip.Protocol.Gre']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-l3vpn:protocol'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.gre is not None and self.gre._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.L3Vpn.Encapsulation.Ip.Protocol']['meta_info']


                class Mpls(object):
                    """
                    Configure MPLS interface parameters
                    
                    .. attribute:: mtu
                    
                    	Set MPLS Maximum Transmission Unit
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 64..17916
                    
                    
                    ----
                    	**type**\:   :py:class:`MtuEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L3Vpn.Encapsulation.Ip.Mpls.MtuEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-l3vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.mtu = None

                    class MtuEnum(Enum):
                        """
                        MtuEnum

                        Set MPLS Maximum Transmission Unit

                        .. data:: max = 0

                        """

                        max = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.L3Vpn.Encapsulation.Ip.Mpls.MtuEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-l3vpn:mpls'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.mtu is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.L3Vpn.Encapsulation.Ip.Mpls']['meta_info']

                @property
                def _common_path(self):
                    if self.profile_name is None:
                        raise YPYModelError('Key property profile_name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l3vpn/Cisco-IOS-XE-l3vpn:encapsulation/Cisco-IOS-XE-l3vpn:ip[Cisco-IOS-XE-l3vpn:profile-name = ' + str(self.profile_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.profile_name is not None:
                        return True

                    if self.mpls is not None and self.mpls._has_data():
                        return True

                    if self.protocol is not None and self.protocol._has_data():
                        return True

                    if self.transport is not None and self.transport._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.L3Vpn.Encapsulation.Ip']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l3vpn/Cisco-IOS-XE-l3vpn:encapsulation'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ip is not None:
                    for child_ref in self.ip:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.L3Vpn.Encapsulation']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:l3vpn'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.encapsulation is not None and self.encapsulation._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.L3Vpn']['meta_info']


    class Mpls(object):
        """
        Configure MPLS parameters
        
        .. attribute:: atm
        
        	Configure ATM options
        	**type**\:   :py:class:`Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Atm>`
        
        .. attribute:: cos_map
        
        	Configure MPLS CoS ATM Multi\-VC CoS Map
        	**type**\:  int
        
        	**range:** 1..255
        
        .. attribute:: ip
        
        	Dynamic MPLS forwarding for IP
        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ip>`
        
        .. attribute:: label
        
        	Label properties
        	**type**\:   :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label>`
        
        .. attribute:: ldp
        
        	Label Distribution Protocol
        	**type**\:   :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp>`
        
        .. attribute:: prefix_map
        
        	Configure MPLS CoS Tag\-VC Multi\-VC Prefix Map
        	**type**\:   :py:class:`PrefixMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.PrefixMap>`
        
        .. attribute:: static
        
        	MPLS static application
        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static>`
        
        	**presence node**\: True
        
        .. attribute:: tp
        
        	Configure MPLS Transport Profile parameters
        	**type**\:   :py:class:`Tp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Tp>`
        
        	**presence node**\: True
        
        .. attribute:: traffic_eng
        
        	Configure Traffic Engineering parameters
        	**type**\:   :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.atm = Native.Mpls.Atm()
            self.atm.parent = self
            self.cos_map = None
            self.ip = Native.Mpls.Ip()
            self.ip.parent = self
            self.label = Native.Mpls.Label()
            self.label.parent = self
            self.ldp = Native.Mpls.Ldp()
            self.ldp.parent = self
            self.prefix_map = Native.Mpls.PrefixMap()
            self.prefix_map.parent = self
            self.static = None
            self.tp = None
            self.traffic_eng = Native.Mpls.TrafficEng()
            self.traffic_eng.parent = self


        class Atm(object):
            """
            Configure ATM options
            
            .. attribute:: disable_headend_vc
            
            	Dedicated lsc capability\: In this mode headend Tag VCs are disabled
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-mpls'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.disable_headend_vc = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:atm'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.disable_headend_vc is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Mpls.Atm']['meta_info']


        class Ip(object):
            """
            Dynamic MPLS forwarding for IP
            
            .. attribute:: conf
            
            	
            	**type**\:   :py:class:`Conf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ip.Conf>`
            
            .. attribute:: conf_arg
            
            	
            	**type**\:   :py:class:`ConfArg <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ip.ConfArg>`
            
            .. attribute:: default_route
            
            	Allow MPLS forwarding for ip default route
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: ttl_expiration
            
            	Control MPLS TTL expiration behavior
            	**type**\:   :py:class:`TtlExpiration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ip.TtlExpiration>`
            
            

            """

            _prefix = 'ios-mpls'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.conf = Native.Mpls.Ip.Conf()
                self.conf.parent = self
                self.conf_arg = Native.Mpls.Ip.ConfArg()
                self.conf_arg.parent = self
                self.default_route = None
                self.ttl_expiration = Native.Mpls.Ip.TtlExpiration()
                self.ttl_expiration.parent = self


            class Conf(object):
                """
                
                
                .. attribute:: propagate_ttl
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.propagate_ttl = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ip/Cisco-IOS-XE-mpls:conf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.propagate_ttl is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.Ip.Conf']['meta_info']


            class ConfArg(object):
                """
                
                
                .. attribute:: propagate_ttl
                
                	
                	**type**\:   :py:class:`PropagateTtl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ip.ConfArg.PropagateTtl>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.propagate_ttl = Native.Mpls.Ip.ConfArg.PropagateTtl()
                    self.propagate_ttl.parent = self


                class PropagateTtl(object):
                    """
                    
                    
                    .. attribute:: forwarded
                    
                    	
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.forwarded = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ip/Cisco-IOS-XE-mpls:conf-arg/Cisco-IOS-XE-mpls:propagate-ttl'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.forwarded is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.Ip.ConfArg.PropagateTtl']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ip/Cisco-IOS-XE-mpls:conf-arg'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.propagate_ttl is not None and self.propagate_ttl._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.Ip.ConfArg']['meta_info']


            class TtlExpiration(object):
                """
                Control MPLS TTL expiration behavior
                
                .. attribute:: pop
                
                	Popping labels on TTL expiration
                	**type**\:  int
                
                	**range:** 1..6
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.pop = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ip/Cisco-IOS-XE-mpls:ttl-expiration'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.pop is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.Ip.TtlExpiration']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ip'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.conf is not None and self.conf._has_data():
                    return True

                if self.conf_arg is not None and self.conf_arg._has_data():
                    return True

                if self.default_route is not None:
                    return True

                if self.ttl_expiration is not None and self.ttl_expiration._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Mpls.Ip']['meta_info']


        class Label(object):
            """
            Label properties
            
            .. attribute:: atm
            
            	Configure ATM options
            	**type**\:   :py:class:`Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Atm>`
            
            .. attribute:: mode
            
            	MPLS Label allocation mode
            	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode>`
            
            .. attribute:: protocol
            
            	Set platform default label distribution protocol
            	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.ProtocolEnum>`
            
            .. attribute:: range
            
            	Label range
            	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Range>`
            
            

            """

            _prefix = 'ios-mpls'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.atm = Native.Mpls.Label.Atm()
                self.atm.parent = self
                self.mode = Native.Mpls.Label.Mode()
                self.mode.parent = self
                self.protocol = None
                self.range = Native.Mpls.Label.Range()
                self.range.parent = self

            class ProtocolEnum(Enum):
                """
                ProtocolEnum

                Set platform default label distribution protocol

                .. data:: ldp = 0

                .. data:: tdp__COLON__ = 1

                """

                ldp = 0

                tdp__COLON__ = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.Label.ProtocolEnum']



            class Atm(object):
                """
                Configure ATM options
                
                .. attribute:: disable_headend_vc
                
                	Dedicated lsc capability\: In this mode headend Tag VCs are disabled
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.disable_headend_vc = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:label/Cisco-IOS-XE-mpls:atm'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.disable_headend_vc is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.Label.Atm']['meta_info']


            class Mode(object):
                """
                MPLS Label allocation mode
                
                .. attribute:: all_vrfs
                
                	MPLS Label allocation mode for all VRFs
                	**type**\:   :py:class:`AllVrfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.AllVrfs>`
                
                .. attribute:: vrf
                
                	MPLS Label allocation mode for a specific VRF
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.Vrf>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.all_vrfs = Native.Mpls.Label.Mode.AllVrfs()
                    self.all_vrfs.parent = self
                    self.vrf = Native.Mpls.Label.Mode.Vrf()
                    self.vrf.parent = self


                class AllVrfs(object):
                    """
                    MPLS Label allocation mode for all VRFs
                    
                    .. attribute:: protocol
                    
                    	MPLS Label allocation protocol
                    	**type**\:   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.AllVrfs.Protocol>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.protocol = Native.Mpls.Label.Mode.AllVrfs.Protocol()
                        self.protocol.parent = self


                    class Protocol(object):
                        """
                        MPLS Label allocation protocol
                        
                        .. attribute:: all_afs
                        
                        	All VRF (IPv4 and IPv6) address families
                        	**type**\:   :py:class:`AllAfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.AllVrfs.Protocol.AllAfs>`
                        
                        .. attribute:: bgp_vpnv4
                        
                        	VRF IPv4 address family
                        	**type**\:   :py:class:`BgpVpnv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv4>`
                        
                        .. attribute:: bgp_vpnv6
                        
                        	VRF IPv6 address family
                        	**type**\:   :py:class:`BgpVpnv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv6>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all_afs = Native.Mpls.Label.Mode.AllVrfs.Protocol.AllAfs()
                            self.all_afs.parent = self
                            self.bgp_vpnv4 = Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv4()
                            self.bgp_vpnv4.parent = self
                            self.bgp_vpnv6 = Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv6()
                            self.bgp_vpnv6.parent = self


                        class AllAfs(object):
                            """
                            All VRF (IPv4 and IPv6) address families
                            
                            .. attribute:: per_ce
                            
                            	Per CE label
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: per_prefix
                            
                            	Per prefix label (default)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: per_vrf
                            
                            	Per VRF label for entire VRF
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vrf_conn_aggr
                            
                            	Per VRF label for connected and BGP aggregates in VRF
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.per_ce = None
                                self.per_prefix = None
                                self.per_vrf = None
                                self.vrf_conn_aggr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:label/Cisco-IOS-XE-mpls:mode/Cisco-IOS-XE-mpls:all-vrfs/Cisco-IOS-XE-mpls:protocol/Cisco-IOS-XE-mpls:all-afs'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.per_ce is not None:
                                    return True

                                if self.per_prefix is not None:
                                    return True

                                if self.per_vrf is not None:
                                    return True

                                if self.vrf_conn_aggr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Label.Mode.AllVrfs.Protocol.AllAfs']['meta_info']


                        class BgpVpnv4(object):
                            """
                            VRF IPv4 address family
                            
                            .. attribute:: per_ce
                            
                            	Per CE label
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: per_prefix
                            
                            	Per prefix label (default)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: per_vrf
                            
                            	Per VRF label for entire VRF
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vrf_conn_aggr
                            
                            	Per VRF label for connected and BGP aggregates in VRF
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.per_ce = None
                                self.per_prefix = None
                                self.per_vrf = None
                                self.vrf_conn_aggr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:label/Cisco-IOS-XE-mpls:mode/Cisco-IOS-XE-mpls:all-vrfs/Cisco-IOS-XE-mpls:protocol/Cisco-IOS-XE-mpls:bgp-vpnv4'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.per_ce is not None:
                                    return True

                                if self.per_prefix is not None:
                                    return True

                                if self.per_vrf is not None:
                                    return True

                                if self.vrf_conn_aggr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv4']['meta_info']


                        class BgpVpnv6(object):
                            """
                            VRF IPv6 address family
                            
                            .. attribute:: per_ce
                            
                            	Per CE label
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: per_prefix
                            
                            	Per prefix label (default)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: per_vrf
                            
                            	Per VRF label for entire VRF
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vrf_conn_aggr
                            
                            	Per VRF label for connected and BGP aggregates in VRF
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.per_ce = None
                                self.per_prefix = None
                                self.per_vrf = None
                                self.vrf_conn_aggr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:label/Cisco-IOS-XE-mpls:mode/Cisco-IOS-XE-mpls:all-vrfs/Cisco-IOS-XE-mpls:protocol/Cisco-IOS-XE-mpls:bgp-vpnv6'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.per_ce is not None:
                                    return True

                                if self.per_prefix is not None:
                                    return True

                                if self.per_vrf is not None:
                                    return True

                                if self.vrf_conn_aggr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv6']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:label/Cisco-IOS-XE-mpls:mode/Cisco-IOS-XE-mpls:all-vrfs/Cisco-IOS-XE-mpls:protocol'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all_afs is not None and self.all_afs._has_data():
                                return True

                            if self.bgp_vpnv4 is not None and self.bgp_vpnv4._has_data():
                                return True

                            if self.bgp_vpnv6 is not None and self.bgp_vpnv6._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Label.Mode.AllVrfs.Protocol']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:label/Cisco-IOS-XE-mpls:mode/Cisco-IOS-XE-mpls:all-vrfs'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.protocol is not None and self.protocol._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.Label.Mode.AllVrfs']['meta_info']


                class Vrf(object):
                    """
                    MPLS Label allocation mode for a specific VRF
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\: list of    :py:class:`Vrf_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.Vrf.Vrf_>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = YList()
                        self.vrf.parent = self
                        self.vrf.name = 'vrf'


                    class Vrf_(object):
                        """
                        
                        
                        .. attribute:: vrf_name  <key>
                        
                        	VPN Routing/Forwarding instance name
                        	**type**\:  str
                        
                        .. attribute:: protocol
                        
                        	MPLS Label allocation protocol
                        	**type**\:   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vrf_name = None
                            self.protocol = Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol()
                            self.protocol.parent = self


                        class Protocol(object):
                            """
                            MPLS Label allocation protocol
                            
                            .. attribute:: all_afs
                            
                            	All VRF (IPv4 and IPv6) address families
                            	**type**\:   :py:class:`AllAfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol.AllAfs>`
                            
                            .. attribute:: bgp_vpnv4
                            
                            	VRF IPv4 address family
                            	**type**\:   :py:class:`BgpVpnv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol.BgpVpnv4>`
                            
                            .. attribute:: bgp_vpnv6
                            
                            	VRF IPv6 address family
                            	**type**\:   :py:class:`BgpVpnv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol.BgpVpnv6>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all_afs = Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol.AllAfs()
                                self.all_afs.parent = self
                                self.bgp_vpnv4 = Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol.BgpVpnv4()
                                self.bgp_vpnv4.parent = self
                                self.bgp_vpnv6 = Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol.BgpVpnv6()
                                self.bgp_vpnv6.parent = self


                            class AllAfs(object):
                                """
                                All VRF (IPv4 and IPv6) address families
                                
                                .. attribute:: per_ce
                                
                                	Per CE label
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: per_prefix
                                
                                	Per prefix label (default)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: per_vrf
                                
                                	Per VRF label for entire VRF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: vrf_conn_aggr
                                
                                	Per VRF label for connected and BGP aggregates in VRF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.per_ce = None
                                    self.per_prefix = None
                                    self.per_vrf = None
                                    self.vrf_conn_aggr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-mpls:all-afs'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.per_ce is not None:
                                        return True

                                    if self.per_prefix is not None:
                                        return True

                                    if self.per_vrf is not None:
                                        return True

                                    if self.vrf_conn_aggr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol.AllAfs']['meta_info']


                            class BgpVpnv4(object):
                                """
                                VRF IPv4 address family
                                
                                .. attribute:: per_ce
                                
                                	Per CE label
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: per_prefix
                                
                                	Per prefix label (default)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: per_vrf
                                
                                	Per VRF label for entire VRF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: vrf_conn_aggr
                                
                                	Per VRF label for connected and BGP aggregates in VRF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.per_ce = None
                                    self.per_prefix = None
                                    self.per_vrf = None
                                    self.vrf_conn_aggr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-mpls:bgp-vpnv4'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.per_ce is not None:
                                        return True

                                    if self.per_prefix is not None:
                                        return True

                                    if self.per_vrf is not None:
                                        return True

                                    if self.vrf_conn_aggr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol.BgpVpnv4']['meta_info']


                            class BgpVpnv6(object):
                                """
                                VRF IPv6 address family
                                
                                .. attribute:: per_ce
                                
                                	Per CE label
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: per_prefix
                                
                                	Per prefix label (default)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: per_vrf
                                
                                	Per VRF label for entire VRF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: vrf_conn_aggr
                                
                                	Per VRF label for connected and BGP aggregates in VRF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.per_ce = None
                                    self.per_prefix = None
                                    self.per_vrf = None
                                    self.vrf_conn_aggr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-mpls:bgp-vpnv6'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.per_ce is not None:
                                        return True

                                    if self.per_prefix is not None:
                                        return True

                                    if self.per_vrf is not None:
                                        return True

                                    if self.vrf_conn_aggr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol.BgpVpnv6']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:protocol'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all_afs is not None and self.all_afs._has_data():
                                    return True

                                if self.bgp_vpnv4 is not None and self.bgp_vpnv4._has_data():
                                    return True

                                if self.bgp_vpnv6 is not None and self.bgp_vpnv6._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Label.Mode.Vrf.Vrf_.Protocol']['meta_info']

                        @property
                        def _common_path(self):
                            if self.vrf_name is None:
                                raise YPYModelError('Key property vrf_name is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:label/Cisco-IOS-XE-mpls:mode/Cisco-IOS-XE-mpls:vrf/Cisco-IOS-XE-mpls:vrf[Cisco-IOS-XE-mpls:vrf-name = ' + str(self.vrf_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vrf_name is not None:
                                return True

                            if self.protocol is not None and self.protocol._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Label.Mode.Vrf.Vrf_']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:label/Cisco-IOS-XE-mpls:mode/Cisco-IOS-XE-mpls:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None:
                            for child_ref in self.vrf:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.Label.Mode.Vrf']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:label/Cisco-IOS-XE-mpls:mode'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.all_vrfs is not None and self.all_vrfs._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.Label.Mode']['meta_info']


            class Range(object):
                """
                Label range
                
                .. attribute:: max
                
                	
                	**type**\:  int
                
                	**range:** 16..1048575
                
                .. attribute:: min
                
                	
                	**type**\:  int
                
                	**range:** 16..1048575
                
                .. attribute:: static
                
                	Specify block of labels for static bindings
                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Range.Static>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.max = None
                    self.min = None
                    self.static = Native.Mpls.Label.Range.Static()
                    self.static.parent = self


                class Static(object):
                    """
                    Specify block of labels for static bindings
                    
                    .. attribute:: max
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 16..1048575
                    
                    .. attribute:: min
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 16..1048575
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.max = None
                        self.min = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:label/Cisco-IOS-XE-mpls:range/Cisco-IOS-XE-mpls:static'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.max is not None:
                            return True

                        if self.min is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.Label.Range.Static']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:label/Cisco-IOS-XE-mpls:range'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.max is not None:
                        return True

                    if self.min is not None:
                        return True

                    if self.static is not None and self.static._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.Label.Range']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:label'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.atm is not None and self.atm._has_data():
                    return True

                if self.mode is not None and self.mode._has_data():
                    return True

                if self.protocol is not None:
                    return True

                if self.range is not None and self.range._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Mpls.Label']['meta_info']


        class Ldp(object):
            """
            Label Distribution Protocol
            
            .. attribute:: enable
            
            	
            	**type**\:   :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable>`
            
            .. attribute:: enable2
            
            	
            	**type**\:   :py:class:`Enable2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2>`
            
            .. attribute:: session
            
            	Configure session parameters
            	**type**\:   :py:class:`Session <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Session>`
            
            

            """

            _prefix = 'ios-mpls'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.enable = Native.Mpls.Ldp.Enable()
                self.enable.parent = self
                self.enable2 = Native.Mpls.Ldp.Enable2()
                self.enable2.parent = self
                self.session = Native.Mpls.Ldp.Session()
                self.session.parent = self


            class Enable(object):
                """
                
                
                .. attribute:: advertise_labels
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.advertise_labels = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.advertise_labels is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.Ldp.Enable']['meta_info']


            class Enable2(object):
                """
                
                
                .. attribute:: advertise_labels
                
                	Label advertisements
                	**type**\:   :py:class:`AdvertiseLabels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels>`
                
                .. attribute:: atm
                
                	Configure ATM MPLS options
                	**type**\:   :py:class:`Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Atm>`
                
                .. attribute:: backoff
                
                	Set LDP session backoff parameters
                	**type**\:   :py:class:`Backoff <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Backoff>`
                
                .. attribute:: discovery
                
                	LDP discovery
                	**type**\:   :py:class:`Discovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Discovery>`
                
                .. attribute:: entropy_label
                
                	Enable Entropy Label for LDP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: explicit_null
                
                	Advertise Explicit Null label in place of Implicit Null
                	**type**\:   :py:class:`ExplicitNull <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.ExplicitNull>`
                
                	**presence node**\: True
                
                .. attribute:: graceful_restart
                
                	Configure Graceful Restart timers
                	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.GracefulRestart>`
                
                	**presence node**\: True
                
                .. attribute:: holdtime
                
                	LDP session holdtime
                	**type**\:  int
                
                	**range:** 15..2147483
                
                .. attribute:: igp
                
                	Configure IGP\-related LDP parameters
                	**type**\:   :py:class:`Igp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Igp>`
                
                .. attribute:: label
                
                	LDP label mode
                	**type**\:   :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Label>`
                
                	**presence node**\: True
                
                .. attribute:: logging
                
                	Enable LDP logging
                	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Logging>`
                
                .. attribute:: loop_detection
                
                	Enable LDP Loop Detection
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: maxhops
                
                	Limit hop count for LDP LSP setup
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: neighbor
                
                	
                	**type**\:   :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor>`
                
                .. attribute:: nsr
                
                	Enable Non Stop Routing for LDP
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: password
                
                	Configure LDP MD5 password
                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Password>`
                
                .. attribute:: request_labels
                
                	Access list to specify valid downstream on demand destinations
                	**type**\:   :py:class:`RequestLabels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RequestLabels>`
                
                .. attribute:: router_id
                
                	Select interface to prefer for LDP identifier address
                	**type**\:   :py:class:`RouterId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId>`
                
                .. attribute:: tcp
                
                	Set TCP parameters for LDP
                	**type**\:   :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Tcp>`
                
                .. attribute:: vrf
                
                	
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.advertise_labels = Native.Mpls.Ldp.Enable2.AdvertiseLabels()
                    self.advertise_labels.parent = self
                    self.atm = Native.Mpls.Ldp.Enable2.Atm()
                    self.atm.parent = self
                    self.backoff = Native.Mpls.Ldp.Enable2.Backoff()
                    self.backoff.parent = self
                    self.discovery = Native.Mpls.Ldp.Enable2.Discovery()
                    self.discovery.parent = self
                    self.entropy_label = None
                    self.explicit_null = None
                    self.graceful_restart = None
                    self.holdtime = None
                    self.igp = Native.Mpls.Ldp.Enable2.Igp()
                    self.igp.parent = self
                    self.label = None
                    self.logging = Native.Mpls.Ldp.Enable2.Logging()
                    self.logging.parent = self
                    self.loop_detection = None
                    self.maxhops = None
                    self.neighbor = Native.Mpls.Ldp.Enable2.Neighbor()
                    self.neighbor.parent = self
                    self.nsr = None
                    self.password = Native.Mpls.Ldp.Enable2.Password()
                    self.password.parent = self
                    self.request_labels = Native.Mpls.Ldp.Enable2.RequestLabels()
                    self.request_labels.parent = self
                    self.router_id = Native.Mpls.Ldp.Enable2.RouterId()
                    self.router_id.parent = self
                    self.tcp = Native.Mpls.Ldp.Enable2.Tcp()
                    self.tcp.parent = self
                    self.vrf = Native.Mpls.Ldp.Enable2.Vrf()
                    self.vrf.parent = self


                class AdvertiseLabels(object):
                    """
                    Label advertisements
                    
                    .. attribute:: for_
                    
                    	Access\-list specifying controls on destination prefixes
                    	**type**\:   :py:class:`For_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels.For_>`
                    
                    .. attribute:: interface
                    
                    	Advertise /32 interface address
                    	**type**\: list of    :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels.Interface>`
                    
                    .. attribute:: oldstyle
                    
                    	Use old style (TDP) method for matching prefix acl
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.for_ = Native.Mpls.Ldp.Enable2.AdvertiseLabels.For_()
                        self.for_.parent = self
                        self.interface = YList()
                        self.interface.parent = self
                        self.interface.name = 'interface'
                        self.oldstyle = None
                        self.vrf = Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf()
                        self.vrf.parent = self


                    class For_(object):
                        """
                        Access\-list specifying controls on destination prefixes
                        
                        .. attribute:: from_
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: to
                        
                        	Access\-list specifying controls on LDP peers
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.from_ = None
                            self.to = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:advertise-labels/Cisco-IOS-XE-mpls:for'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.from_ is not None:
                                return True

                            if self.to is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.For_']['meta_info']


                    class Interface(object):
                        """
                        Advertise /32 interface address
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:advertise-labels/Cisco-IOS-XE-mpls:interface[Cisco-IOS-XE-mpls:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Interface']['meta_info']


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\: list of    :py:class:`Vrf_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vrf = YList()
                            self.vrf.parent = self
                            self.vrf.name = 'vrf'


                        class Vrf_(object):
                            """
                            
                            
                            .. attribute:: vrf_name  <key>
                            
                            	VPN Routing/Forwarding instance name
                            	**type**\:  str
                            
                            .. attribute:: for_
                            
                            	Access\-list specifying controls on destination prefixes
                            	**type**\:   :py:class:`For_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.For_>`
                            
                            .. attribute:: interface
                            
                            	
                            	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface>`
                            
                            .. attribute:: oldstyle
                            
                            	Use old style (TDP) method for matching prefix acl
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.vrf_name = None
                                self.for_ = Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.For_()
                                self.for_.parent = self
                                self.interface = Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface()
                                self.interface.parent = self
                                self.oldstyle = None


                            class For_(object):
                                """
                                Access\-list specifying controls on destination prefixes
                                
                                .. attribute:: from_
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: to
                                
                                	Access\-list specifying controls on LDP peers
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.from_ = None
                                    self.to = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-mpls:for'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.from_ is not None:
                                        return True

                                    if self.to is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.For_']['meta_info']


                            class Interface(object):
                                """
                                
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.AtmAcrsubinterface>`
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.AtmSubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\:  str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\:  str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\:  str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\:  str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\:  str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  int
                                
                                	**range:** 0..65520
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.LispSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\:  str
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\:  str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\:  str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.appnav_compress = None
                                    self.appnav_uncompress = None
                                    self.atm = None
                                    self.atm_acr = None
                                    self.atm_acrsubinterface = Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.AtmAcrsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self.atm_subinterface = Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.AtmSubinterface()
                                    self.atm_subinterface.parent = self
                                    self.bdi = None
                                    self.cellular = None
                                    self.cem = None
                                    self.cem_acr = None
                                    self.embedded_service_engine = None
                                    self.fastethernet = None
                                    self.gigabitethernet = None
                                    self.lisp = None
                                    self.lisp_subinterface = Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.LispSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self.loopback = None
                                    self.multilink = None
                                    self.nve = None
                                    self.overlay = None
                                    self.port_channel = None
                                    self.port_channel_subinterface = Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self.pseudowire = None
                                    self.serial = None
                                    self.sm = None
                                    self.tengigabitethernet = None
                                    self.tunnel = None
                                    self.vasileft = None
                                    self.vasiright = None
                                    self.virtual_template = None
                                    self.virtualportgroup = None
                                    self.vlan = None


                                class AtmSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:ATM-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.AtmSubinterface']['meta_info']


                                class AtmAcrsubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm_acr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:ATM-ACRsubinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm_acr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.AtmAcrsubinterface']['meta_info']


                                class LispSubinterface(object):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:LISP-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.LispSubinterface']['meta_info']


                                class PortChannelSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.port_channel = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:Port-channel-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.port_channel is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface.PortChannelSubinterface']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-mpls:interface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.appnav_compress is not None:
                                        return True

                                    if self.appnav_uncompress is not None:
                                        return True

                                    if self.atm is not None:
                                        return True

                                    if self.atm_acr is not None:
                                        return True

                                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                        return True

                                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                        return True

                                    if self.bdi is not None:
                                        return True

                                    if self.cellular is not None:
                                        return True

                                    if self.cem is not None:
                                        return True

                                    if self.cem_acr is not None:
                                        return True

                                    if self.embedded_service_engine is not None:
                                        return True

                                    if self.fastethernet is not None:
                                        return True

                                    if self.gigabitethernet is not None:
                                        return True

                                    if self.lisp is not None:
                                        return True

                                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                        return True

                                    if self.loopback is not None:
                                        return True

                                    if self.multilink is not None:
                                        return True

                                    if self.nve is not None:
                                        return True

                                    if self.overlay is not None:
                                        return True

                                    if self.port_channel is not None:
                                        return True

                                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                        return True

                                    if self.pseudowire is not None:
                                        return True

                                    if self.serial is not None:
                                        return True

                                    if self.sm is not None:
                                        return True

                                    if self.tengigabitethernet is not None:
                                        return True

                                    if self.tunnel is not None:
                                        return True

                                    if self.vasileft is not None:
                                        return True

                                    if self.vasiright is not None:
                                        return True

                                    if self.virtual_template is not None:
                                        return True

                                    if self.virtualportgroup is not None:
                                        return True

                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_.Interface']['meta_info']

                            @property
                            def _common_path(self):
                                if self.vrf_name is None:
                                    raise YPYModelError('Key property vrf_name is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:advertise-labels/Cisco-IOS-XE-mpls:vrf/Cisco-IOS-XE-mpls:vrf[Cisco-IOS-XE-mpls:vrf-name = ' + str(self.vrf_name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.vrf_name is not None:
                                    return True

                                if self.for_ is not None and self.for_._has_data():
                                    return True

                                if self.interface is not None and self.interface._has_data():
                                    return True

                                if self.oldstyle is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf_']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:advertise-labels/Cisco-IOS-XE-mpls:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vrf is not None:
                                for child_ref in self.vrf:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:advertise-labels'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.for_ is not None and self.for_._has_data():
                            return True

                        if self.interface is not None:
                            for child_ref in self.interface:
                                if child_ref._has_data():
                                    return True

                        if self.oldstyle is not None:
                            return True

                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.Ldp.Enable2.AdvertiseLabels']['meta_info']


                class Atm(object):
                    """
                    Configure ATM MPLS options
                    
                    .. attribute:: control_mode
                    
                    	Select LSP setup control mode for MPLS VCs
                    	**type**\:   :py:class:`ControlModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Atm.ControlModeEnum>`
                    
                    .. attribute:: vc_merge
                    
                    	Select VC merge capability
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.control_mode = None
                        self.vc_merge = None

                    class ControlModeEnum(Enum):
                        """
                        ControlModeEnum

                        Select LSP setup control mode for MPLS VCs

                        .. data:: independent = 0

                        .. data:: ordered = 1

                        """

                        independent = 0

                        ordered = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Enable2.Atm.ControlModeEnum']


                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:atm'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.control_mode is not None:
                            return True

                        if self.vc_merge is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.Ldp.Enable2.Atm']['meta_info']


                class Backoff(object):
                    """
                    Set LDP session backoff parameters
                    
                    .. attribute:: initial
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 5..2147483
                    
                    .. attribute:: max
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 5..2147483
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.initial = None
                        self.max = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:backoff'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.initial is not None:
                            return True

                        if self.max is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.Ldp.Enable2.Backoff']['meta_info']


                class Discovery(object):
                    """
                    LDP discovery
                    
                    .. attribute:: hello
                    
                    	LDP discovery Hello
                    	**type**\:   :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Discovery.Hello>`
                    
                    .. attribute:: targeted_hello
                    
                    	LDP discovery Targeted Hello
                    	**type**\:   :py:class:`TargetedHello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Discovery.TargetedHello>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hello = Native.Mpls.Ldp.Enable2.Discovery.Hello()
                        self.hello.parent = self
                        self.targeted_hello = Native.Mpls.Ldp.Enable2.Discovery.TargetedHello()
                        self.targeted_hello.parent = self


                    class Hello(object):
                        """
                        LDP discovery Hello
                        
                        .. attribute:: holdtime
                        
                        	LDP discovery Hello holdtime
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: interval
                        
                        	LDP discovery Hello interval
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.holdtime = None
                            self.interval = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:discovery/Cisco-IOS-XE-mpls:hello'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.holdtime is not None:
                                return True

                            if self.interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Enable2.Discovery.Hello']['meta_info']


                    class TargetedHello(object):
                        """
                        LDP discovery Targeted Hello
                        
                        .. attribute:: accept
                        
                        	Accept targeted hellos
                        	**type**\:   :py:class:`Accept <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Discovery.TargetedHello.Accept>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: holdtime
                        
                        	LDP discovery Hello holdtime
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: interval
                        
                        	LDP discovery Hello interval
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.accept = None
                            self.holdtime = None
                            self.interval = None


                        class Accept(object):
                            """
                            Accept targeted hellos
                            
                            .. attribute:: from_
                            
                            	Access list to specify acceptable targeted hello sources
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.from_ = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:discovery/Cisco-IOS-XE-mpls:targeted-hello/Cisco-IOS-XE-mpls:accept'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.from_ is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Ldp.Enable2.Discovery.TargetedHello.Accept']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:discovery/Cisco-IOS-XE-mpls:targeted-hello'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.accept is not None and self.accept._has_data():
                                return True

                            if self.holdtime is not None:
                                return True

                            if self.interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Enable2.Discovery.TargetedHello']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:discovery'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hello is not None and self.hello._has_data():
                            return True

                        if self.targeted_hello is not None and self.targeted_hello._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.Ldp.Enable2.Discovery']['meta_info']


                class ExplicitNull(object):
                    """
                    Advertise Explicit Null label in place of Implicit Null
                    
                    .. attribute:: for_
                    
                    	Access\-list specifying controls on destination prefixes
                    	**type**\:  str
                    
                    .. attribute:: to
                    
                    	Access\-list specifying controls on LDP peers
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.for_ = None
                        self.to = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:explicit-null'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.for_ is not None:
                            return True

                        if self.to is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.Ldp.Enable2.ExplicitNull']['meta_info']


                class GracefulRestart(object):
                    """
                    Configure Graceful Restart timers
                    
                    .. attribute:: timers
                    
                    	Configure Graceful Restart timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.GracefulRestart.Timers>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.timers = Native.Mpls.Ldp.Enable2.GracefulRestart.Timers()
                        self.timers.parent = self


                    class Timers(object):
                        """
                        Configure Graceful Restart timers
                        
                        .. attribute:: forwarding_holding
                        
                        	Forwarding State Holding time
                        	**type**\:  int
                        
                        	**range:** 30..600
                        
                        .. attribute:: max_recovery
                        
                        	Max\-Recovery time
                        	**type**\:  int
                        
                        	**range:** 15..600
                        
                        .. attribute:: neighbor_liveness
                        
                        	Neighbor\-Liveness time
                        	**type**\:  int
                        
                        	**range:** 5..600
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.forwarding_holding = None
                            self.max_recovery = None
                            self.neighbor_liveness = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:graceful-restart/Cisco-IOS-XE-mpls:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.forwarding_holding is not None:
                                return True

                            if self.max_recovery is not None:
                                return True

                            if self.neighbor_liveness is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Enable2.GracefulRestart.Timers']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:graceful-restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.timers is not None and self.timers._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.Ldp.Enable2.GracefulRestart']['meta_info']


                class Igp(object):
                    """
                    Configure IGP\-related LDP parameters
                    
                    .. attribute:: sync
                    
                    	Configure LDP\-IGP Synchronization parameters
                    	**type**\:   :py:class:`Sync <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Igp.Sync>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.sync = Native.Mpls.Ldp.Enable2.Igp.Sync()
                        self.sync.parent = self


                    class Sync(object):
                        """
                        Configure LDP\-IGP Synchronization parameters
                        
                        .. attribute:: holddown
                        
                        	Hold down time in milliseconds
                        	**type**\:  int
                        
                        	**range:** 1..2147483647
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.holddown = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:igp/Cisco-IOS-XE-mpls:sync'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.holddown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Enable2.Igp.Sync']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:igp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.sync is not None and self.sync._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.Ldp.Enable2.Igp']['meta_info']


                class Label(object):
                    """
                    LDP label mode
                    
                    .. attribute:: label_mode__config_ldp_lbl
                    
                    	
                    	**type**\:   :py:class:`LabelMode__ConfigLdpLbl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.label_mode__config_ldp_lbl = Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl()
                        self.label_mode__config_ldp_lbl.parent = self


                    class LabelMode__ConfigLdpLbl(object):
                        """
                        
                        
                        .. attribute:: allocate
                        
                        	Allocate local labels for specified destination prefixes
                        	**type**\:   :py:class:`Allocate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl.Allocate>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.allocate = Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl.Allocate()
                            self.allocate.parent = self


                        class Allocate(object):
                            """
                            Allocate local labels for specified destination prefixes
                            
                            .. attribute:: global_
                            
                            	Specify global Routing/Forwarding instance
                            	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl.Allocate.Global_>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.global_ = None


                            class Global_(object):
                                """
                                Specify global Routing/Forwarding instance
                                
                                .. attribute:: host_routes
                                
                                	allocate local label for host routes only
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: prefix_list
                                
                                	IP prefix\-list for destination prefixes
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.host_routes = None
                                    self.prefix_list = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:label/Cisco-IOS-XE-mpls:label-Mode__config-ldp-lbl/Cisco-IOS-XE-mpls:allocate/Cisco-IOS-XE-mpls:global'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.host_routes is not None:
                                        return True

                                    if self.prefix_list is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl.Allocate.Global_']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:label/Cisco-IOS-XE-mpls:label-Mode__config-ldp-lbl/Cisco-IOS-XE-mpls:allocate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.global_ is not None and self.global_._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl.Allocate']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:label/Cisco-IOS-XE-mpls:label-Mode__config-ldp-lbl'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.allocate is not None and self.allocate._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Enable2.Label.LabelMode__ConfigLdpLbl']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:label'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.label_mode__config_ldp_lbl is not None and self.label_mode__config_ldp_lbl._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.Ldp.Enable2.Label']['meta_info']


                class Logging(object):
                    """
                    Enable LDP logging
                    
                    .. attribute:: neighbor_changes
                    
                    	Log LDP neighbor state changes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: password
                    
                    	Log LDP password events
                    	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Logging.Password>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.neighbor_changes = None
                        self.password = Native.Mpls.Ldp.Enable2.Logging.Password()
                        self.password.parent = self


                    class Password(object):
                        """
                        Log LDP password events
                        
                        .. attribute:: configuration
                        
                        	Log LDP password configuration changes
                        	**type**\:   :py:class:`Configuration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Logging.Password.Configuration>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: rollover
                        
                        	Log LDP password rollover events
                        	**type**\:   :py:class:`Rollover <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Logging.Password.Rollover>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.configuration = None
                            self.rollover = None


                        class Configuration(object):
                            """
                            Log LDP password configuration changes
                            
                            .. attribute:: rate_limit
                            
                            	Messages per minute
                            	**type**\:  int
                            
                            	**range:** 1..60
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.rate_limit = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:logging/Cisco-IOS-XE-mpls:password/Cisco-IOS-XE-mpls:configuration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.rate_limit is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Ldp.Enable2.Logging.Password.Configuration']['meta_info']


                        class Rollover(object):
                            """
                            Log LDP password rollover events
                            
                            .. attribute:: rate_limit
                            
                            	Messages per minute
                            	**type**\:  int
                            
                            	**range:** 1..60
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.rate_limit = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:logging/Cisco-IOS-XE-mpls:password/Cisco-IOS-XE-mpls:rollover'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.rate_limit is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Ldp.Enable2.Logging.Password.Rollover']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:logging/Cisco-IOS-XE-mpls:password'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.configuration is not None and self.configuration._has_data():
                                return True

                            if self.rollover is not None and self.rollover._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Enable2.Logging.Password']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:logging'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.neighbor_changes is not None:
                            return True

                        if self.password is not None and self.password._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.Ldp.Enable2.Logging']['meta_info']


                class Neighbor(object):
                    """
                    
                    
                    .. attribute:: neighbor_content
                    
                    	Configure neighbor parameters
                    	**type**\: list of    :py:class:`NeighborContent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent>`
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.neighbor_content = YList()
                        self.neighbor_content.parent = self
                        self.neighbor_content.name = 'neighbor_content'
                        self.vrf = Native.Mpls.Ldp.Enable2.Neighbor.Vrf()
                        self.vrf.parent = self


                    class NeighborContent(object):
                        """
                        Configure neighbor parameters
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: implicit_withdraw
                        
                        	Enable LDP Implicit Withdraw Label
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: labels
                        
                        	Configure label binding exchange controls
                        	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Labels>`
                        
                        .. attribute:: password
                        
                        	Set a password
                        	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Password>`
                        
                        .. attribute:: targeted
                        
                        	Establish targeted session
                        	**type**\:   :py:class:`Targeted <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Targeted>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.implicit_withdraw = None
                            self.labels = Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Labels()
                            self.labels.parent = self
                            self.password = Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Password()
                            self.password.parent = self
                            self.targeted = None


                        class Labels(object):
                            """
                            Configure label binding exchange controls
                            
                            .. attribute:: accept
                            
                            	Specify label bindings to accept
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.accept = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.accept is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Labels']['meta_info']


                        class Password(object):
                            """
                            Set a password
                            
                            .. attribute:: enctype
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            .. attribute:: text
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.enctype = None
                                self.text = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:password'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.enctype is not None:
                                    return True

                                if self.text is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Password']['meta_info']


                        class Targeted(object):
                            """
                            Establish targeted session
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Targeted.ProtocolEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protocol = None

                            class ProtocolEnum(Enum):
                                """
                                ProtocolEnum

                                .. data:: ldp = 0

                                .. data:: tdp = 1

                                """

                                ldp = 0

                                tdp = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Targeted.ProtocolEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:targeted'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protocol is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Targeted']['meta_info']

                        @property
                        def _common_path(self):
                            if self.address is None:
                                raise YPYModelError('Key property address is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:neighbor/Cisco-IOS-XE-mpls:neighbor-content[Cisco-IOS-XE-mpls:address = ' + str(self.address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.implicit_withdraw is not None:
                                return True

                            if self.labels is not None and self.labels._has_data():
                                return True

                            if self.password is not None and self.password._has_data():
                                return True

                            if self.targeted is not None and self.targeted._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent']['meta_info']


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\: list of    :py:class:`Vrf_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vrf = YList()
                            self.vrf.parent = self
                            self.vrf.name = 'vrf'


                        class Vrf_(object):
                            """
                            
                            
                            .. attribute:: vrf_name  <key>
                            
                            	VPN Routing/Forwarding instance name
                            	**type**\:  str
                            
                            .. attribute:: neighbor_content
                            
                            	Configure neighbor parameters
                            	**type**\: list of    :py:class:`NeighborContent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.vrf_name = None
                                self.neighbor_content = YList()
                                self.neighbor_content.parent = self
                                self.neighbor_content.name = 'neighbor_content'


                            class NeighborContent(object):
                                """
                                Configure neighbor parameters
                                
                                .. attribute:: address  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: implicit_withdraw
                                
                                	Enable LDP Implicit Withdraw Label
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: labels
                                
                                	Configure label binding exchange controls
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Labels>`
                                
                                .. attribute:: password
                                
                                	Set a password
                                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Password>`
                                
                                .. attribute:: targeted
                                
                                	Establish targeted session
                                	**type**\:   :py:class:`Targeted <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Targeted>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None
                                    self.implicit_withdraw = None
                                    self.labels = Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Labels()
                                    self.labels.parent = self
                                    self.password = Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Password()
                                    self.password.parent = self
                                    self.targeted = None


                                class Labels(object):
                                    """
                                    Configure label binding exchange controls
                                    
                                    .. attribute:: accept
                                    
                                    	Specify label bindings to accept
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Labels']['meta_info']


                                class Password(object):
                                    """
                                    Set a password
                                    
                                    .. attribute:: enctype
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: text
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [a\-zA\-Z].\*
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.enctype = None
                                        self.text = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:password'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.enctype is not None:
                                            return True

                                        if self.text is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Password']['meta_info']


                                class Targeted(object):
                                    """
                                    Establish targeted session
                                    
                                    .. attribute:: protocol
                                    
                                    	
                                    	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Targeted.ProtocolEnum>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.protocol = None

                                    class ProtocolEnum(Enum):
                                        """
                                        ProtocolEnum

                                        .. data:: ldp = 0

                                        .. data:: tdp = 1

                                        """

                                        ldp = 0

                                        tdp = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Targeted.ProtocolEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:targeted'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.protocol is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent.Targeted']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.address is None:
                                        raise YPYModelError('Key property address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-mpls:neighbor-content[Cisco-IOS-XE-mpls:address = ' + str(self.address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.address is not None:
                                        return True

                                    if self.implicit_withdraw is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.password is not None and self.password._has_data():
                                        return True

                                    if self.targeted is not None and self.targeted._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_.NeighborContent']['meta_info']

                            @property
                            def _common_path(self):
                                if self.vrf_name is None:
                                    raise YPYModelError('Key property vrf_name is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:neighbor/Cisco-IOS-XE-mpls:vrf/Cisco-IOS-XE-mpls:vrf[Cisco-IOS-XE-mpls:vrf-name = ' + str(self.vrf_name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.vrf_name is not None:
                                    return True

                                if self.neighbor_content is not None:
                                    for child_ref in self.neighbor_content:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf_']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:neighbor/Cisco-IOS-XE-mpls:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vrf is not None:
                                for child_ref in self.vrf:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Enable2.Neighbor.Vrf']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:neighbor'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.neighbor_content is not None:
                            for child_ref in self.neighbor_content:
                                if child_ref._has_data():
                                    return True

                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.Ldp.Enable2.Neighbor']['meta_info']


                class Password(object):
                    """
                    Configure LDP MD5 password
                    
                    .. attribute:: fallback
                    
                    	Specifies a fallback password will follow
                    	**type**\:   :py:class:`Fallback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Password.Fallback>`
                    
                    .. attribute:: option
                    
                    	LDP password options
                    	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Password.Option>`
                    
                    .. attribute:: required
                    
                    	MD5 password is required for the peer
                    	**type**\:   :py:class:`Required <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Password.Required>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: rollover
                    
                    	LDP password rollover parameters
                    	**type**\:   :py:class:`Rollover <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Password.Rollover>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.fallback = Native.Mpls.Ldp.Enable2.Password.Fallback()
                        self.fallback.parent = self
                        self.option = Native.Mpls.Ldp.Enable2.Password.Option()
                        self.option.parent = self
                        self.required = None
                        self.rollover = Native.Mpls.Ldp.Enable2.Password.Rollover()
                        self.rollover.parent = self


                    class Fallback(object):
                        """
                        Specifies a fallback password will follow
                        
                        .. attribute:: encryption_type
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..7
                        
                        .. attribute:: key_chain
                        
                        	Specifies a key\-chain name will follow
                        	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Password.Fallback.KeyChain>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: line
                        
                        	The UNENCRYPTED (cleartext) password
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.encryption_type = None
                            self.key_chain = None
                            self.line = None


                        class KeyChain(object):
                            """
                            Specifies a key\-chain name will follow
                            
                            .. attribute:: line
                            
                            	help
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.line = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:password/Cisco-IOS-XE-mpls:fallback/Cisco-IOS-XE-mpls:key-chain'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.line is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Ldp.Enable2.Password.Fallback.KeyChain']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:password/Cisco-IOS-XE-mpls:fallback'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.encryption_type is not None:
                                return True

                            if self.key_chain is not None and self.key_chain._has_data():
                                return True

                            if self.line is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Enable2.Password.Fallback']['meta_info']


                    class Option(object):
                        """
                        LDP password options
                        
                        .. attribute:: seq_num
                        
                        	
                        	**type**\: list of    :py:class:`SeqNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Password.Option.SeqNum>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.seq_num = YList()
                            self.seq_num.parent = self
                            self.seq_num.name = 'seq_num'


                        class SeqNum(object):
                            """
                            
                            
                            .. attribute:: seq_num  <key>
                            
                            	Sequence number of the LDP password option
                            	**type**\:  int
                            
                            	**range:** 1..32767
                            
                            .. attribute:: for_
                            
                            	IP access\-list specifying control on LDP peers
                            	**type**\:   :py:class:`For_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.seq_num = None
                                self.for_ = Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_()
                                self.for_.parent = self


                            class For_(object):
                                """
                                IP access\-list specifying control on LDP peers
                                
                                .. attribute:: line
                                
                                	
                                	**type**\: list of    :py:class:`Line <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_.Line>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.line = YList()
                                    self.line.parent = self
                                    self.line.name = 'line'


                                class Line(object):
                                    """
                                    
                                    
                                    .. attribute:: acl_name  <key>
                                    
                                    	IP standard access\-list for LDP peers; name or number (1\-99)
                                    	**type**\:  str
                                    
                                    .. attribute:: encryption_type
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: key_chain
                                    
                                    	Specifies a key\-chain name will follow
                                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_.Line.KeyChain>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: line
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.acl_name = None
                                        self.encryption_type = None
                                        self.key_chain = None
                                        self.line = None


                                    class KeyChain(object):
                                        """
                                        Specifies a key\-chain name will follow
                                        
                                        .. attribute:: line
                                        
                                        	help
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-mpls'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.line = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:key-chain'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.line is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_.Line.KeyChain']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.acl_name is None:
                                            raise YPYModelError('Key property acl_name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:LINE[Cisco-IOS-XE-mpls:acl-name = ' + str(self.acl_name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.acl_name is not None:
                                            return True

                                        if self.encryption_type is not None:
                                            return True

                                        if self.key_chain is not None and self.key_chain._has_data():
                                            return True

                                        if self.line is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_.Line']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-mpls:for'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.line is not None:
                                        for child_ref in self.line:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.seq_num is None:
                                    raise YPYModelError('Key property seq_num is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:password/Cisco-IOS-XE-mpls:option/Cisco-IOS-XE-mpls:seq-num[Cisco-IOS-XE-mpls:seq-num = ' + str(self.seq_num) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.seq_num is not None:
                                    return True

                                if self.for_ is not None and self.for_._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Ldp.Enable2.Password.Option.SeqNum']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:password/Cisco-IOS-XE-mpls:option'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.seq_num is not None:
                                for child_ref in self.seq_num:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Enable2.Password.Option']['meta_info']


                    class Required(object):
                        """
                        MD5 password is required for the peer
                        
                        .. attribute:: for_
                        
                        	IP access\-list specifying control on LDP peers
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.for_ = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:password/Cisco-IOS-XE-mpls:required'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.for_ is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Enable2.Password.Required']['meta_info']


                    class Rollover(object):
                        """
                        LDP password rollover parameters
                        
                        .. attribute:: duration
                        
                        	Configure LDP password rollover duration in minutes
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.duration = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:password/Cisco-IOS-XE-mpls:rollover'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.duration is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Enable2.Password.Rollover']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:password'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.fallback is not None and self.fallback._has_data():
                            return True

                        if self.option is not None and self.option._has_data():
                            return True

                        if self.required is not None and self.required._has_data():
                            return True

                        if self.rollover is not None and self.rollover._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.Ldp.Enable2.Password']['meta_info']


                class RequestLabels(object):
                    """
                    Access list to specify valid downstream on demand destinations.
                    
                    .. attribute:: for_
                    
                    	Access list to specify acceptable downstream on demand destinations
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.for_ = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:request-labels'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.for_ is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.Ldp.Enable2.RequestLabels']['meta_info']


                class RouterId(object):
                    """
                    Select interface to prefer for LDP identifier address
                    
                    .. attribute:: interface
                    
                    	
                    	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Interface>`
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interface = Native.Mpls.Ldp.Enable2.RouterId.Interface()
                        self.interface.parent = self
                        self.vrf = Native.Mpls.Ldp.Enable2.RouterId.Vrf()
                        self.vrf.parent = self


                    class Interface(object):
                        """
                        
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Interface.AtmAcrsubinterface>`
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Interface.AtmSubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\:  str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\:  str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\:  str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\:  str
                        
                        .. attribute:: force
                        
                        	Forcibly change the LDP router id
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\:  str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  int
                        
                        	**range:** 0..65520
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Interface.LispSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Interface.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\:  str
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\:  str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\:  str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.appnav_compress = None
                            self.appnav_uncompress = None
                            self.atm = None
                            self.atm_acr = None
                            self.atm_acrsubinterface = Native.Mpls.Ldp.Enable2.RouterId.Interface.AtmAcrsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self.atm_subinterface = Native.Mpls.Ldp.Enable2.RouterId.Interface.AtmSubinterface()
                            self.atm_subinterface.parent = self
                            self.bdi = None
                            self.cellular = None
                            self.cem = None
                            self.cem_acr = None
                            self.embedded_service_engine = None
                            self.fastethernet = None
                            self.force = None
                            self.gigabitethernet = None
                            self.lisp = None
                            self.lisp_subinterface = Native.Mpls.Ldp.Enable2.RouterId.Interface.LispSubinterface()
                            self.lisp_subinterface.parent = self
                            self.loopback = None
                            self.multilink = None
                            self.nve = None
                            self.overlay = None
                            self.port_channel = None
                            self.port_channel_subinterface = Native.Mpls.Ldp.Enable2.RouterId.Interface.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self.pseudowire = None
                            self.serial = None
                            self.sm = None
                            self.tengigabitethernet = None
                            self.tunnel = None
                            self.vasileft = None
                            self.vasiright = None
                            self.virtual_template = None
                            self.virtualportgroup = None
                            self.vlan = None


                        class AtmSubinterface(object):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:router-id/Cisco-IOS-XE-mpls:interface/Cisco-IOS-XE-mpls:ATM-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Ldp.Enable2.RouterId.Interface.AtmSubinterface']['meta_info']


                        class AtmAcrsubinterface(object):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm_acr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:router-id/Cisco-IOS-XE-mpls:interface/Cisco-IOS-XE-mpls:ATM-ACRsubinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm_acr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Ldp.Enable2.RouterId.Interface.AtmAcrsubinterface']['meta_info']


                        class LispSubinterface(object):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:router-id/Cisco-IOS-XE-mpls:interface/Cisco-IOS-XE-mpls:LISP-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Ldp.Enable2.RouterId.Interface.LispSubinterface']['meta_info']


                        class PortChannelSubinterface(object):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port_channel = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:router-id/Cisco-IOS-XE-mpls:interface/Cisco-IOS-XE-mpls:Port-channel-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port_channel is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Ldp.Enable2.RouterId.Interface.PortChannelSubinterface']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:router-id/Cisco-IOS-XE-mpls:interface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.appnav_compress is not None:
                                return True

                            if self.appnav_uncompress is not None:
                                return True

                            if self.atm is not None:
                                return True

                            if self.atm_acr is not None:
                                return True

                            if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                return True

                            if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                return True

                            if self.bdi is not None:
                                return True

                            if self.cellular is not None:
                                return True

                            if self.cem is not None:
                                return True

                            if self.cem_acr is not None:
                                return True

                            if self.embedded_service_engine is not None:
                                return True

                            if self.fastethernet is not None:
                                return True

                            if self.force is not None:
                                return True

                            if self.gigabitethernet is not None:
                                return True

                            if self.lisp is not None:
                                return True

                            if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                return True

                            if self.loopback is not None:
                                return True

                            if self.multilink is not None:
                                return True

                            if self.nve is not None:
                                return True

                            if self.overlay is not None:
                                return True

                            if self.port_channel is not None:
                                return True

                            if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                return True

                            if self.pseudowire is not None:
                                return True

                            if self.serial is not None:
                                return True

                            if self.sm is not None:
                                return True

                            if self.tengigabitethernet is not None:
                                return True

                            if self.tunnel is not None:
                                return True

                            if self.vasileft is not None:
                                return True

                            if self.vasiright is not None:
                                return True

                            if self.virtual_template is not None:
                                return True

                            if self.virtualportgroup is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Enable2.RouterId.Interface']['meta_info']


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\: list of    :py:class:`Vrf_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vrf = YList()
                            self.vrf.parent = self
                            self.vrf.name = 'vrf'


                        class Vrf_(object):
                            """
                            
                            
                            .. attribute:: vrf_name  <key>
                            
                            	VPN Routing/Forwarding instance name
                            	**type**\:  str
                            
                            .. attribute:: interface
                            
                            	
                            	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.vrf_name = None
                                self.interface = Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface()
                                self.interface.parent = self


                            class Interface(object):
                                """
                                
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.AtmAcrsubinterface>`
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.AtmSubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\:  str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\:  str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\:  str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\:  str
                                
                                .. attribute:: force
                                
                                	Forcibly change the LDP router id
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\:  str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  int
                                
                                	**range:** 0..65520
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.LispSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\:  str
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\:  str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\:  str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.appnav_compress = None
                                    self.appnav_uncompress = None
                                    self.atm = None
                                    self.atm_acr = None
                                    self.atm_acrsubinterface = Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.AtmAcrsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self.atm_subinterface = Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.AtmSubinterface()
                                    self.atm_subinterface.parent = self
                                    self.bdi = None
                                    self.cellular = None
                                    self.cem = None
                                    self.cem_acr = None
                                    self.embedded_service_engine = None
                                    self.fastethernet = None
                                    self.force = None
                                    self.gigabitethernet = None
                                    self.lisp = None
                                    self.lisp_subinterface = Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.LispSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self.loopback = None
                                    self.multilink = None
                                    self.nve = None
                                    self.overlay = None
                                    self.port_channel = None
                                    self.port_channel_subinterface = Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self.pseudowire = None
                                    self.serial = None
                                    self.sm = None
                                    self.tengigabitethernet = None
                                    self.tunnel = None
                                    self.vasileft = None
                                    self.vasiright = None
                                    self.virtual_template = None
                                    self.virtualportgroup = None
                                    self.vlan = None


                                class AtmSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:ATM-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.AtmSubinterface']['meta_info']


                                class AtmAcrsubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm_acr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:ATM-ACRsubinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm_acr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.AtmAcrsubinterface']['meta_info']


                                class LispSubinterface(object):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:LISP-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.LispSubinterface']['meta_info']


                                class PortChannelSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.port_channel = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:Port-channel-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.port_channel is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface.PortChannelSubinterface']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-mpls:interface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.appnav_compress is not None:
                                        return True

                                    if self.appnav_uncompress is not None:
                                        return True

                                    if self.atm is not None:
                                        return True

                                    if self.atm_acr is not None:
                                        return True

                                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                        return True

                                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                        return True

                                    if self.bdi is not None:
                                        return True

                                    if self.cellular is not None:
                                        return True

                                    if self.cem is not None:
                                        return True

                                    if self.cem_acr is not None:
                                        return True

                                    if self.embedded_service_engine is not None:
                                        return True

                                    if self.fastethernet is not None:
                                        return True

                                    if self.force is not None:
                                        return True

                                    if self.gigabitethernet is not None:
                                        return True

                                    if self.lisp is not None:
                                        return True

                                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                        return True

                                    if self.loopback is not None:
                                        return True

                                    if self.multilink is not None:
                                        return True

                                    if self.nve is not None:
                                        return True

                                    if self.overlay is not None:
                                        return True

                                    if self.port_channel is not None:
                                        return True

                                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                        return True

                                    if self.pseudowire is not None:
                                        return True

                                    if self.serial is not None:
                                        return True

                                    if self.sm is not None:
                                        return True

                                    if self.tengigabitethernet is not None:
                                        return True

                                    if self.tunnel is not None:
                                        return True

                                    if self.vasileft is not None:
                                        return True

                                    if self.vasiright is not None:
                                        return True

                                    if self.virtual_template is not None:
                                        return True

                                    if self.virtualportgroup is not None:
                                        return True

                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_.Interface']['meta_info']

                            @property
                            def _common_path(self):
                                if self.vrf_name is None:
                                    raise YPYModelError('Key property vrf_name is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:router-id/Cisco-IOS-XE-mpls:vrf/Cisco-IOS-XE-mpls:vrf[Cisco-IOS-XE-mpls:vrf-name = ' + str(self.vrf_name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.vrf_name is not None:
                                    return True

                                if self.interface is not None and self.interface._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf_']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:router-id/Cisco-IOS-XE-mpls:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vrf is not None:
                                for child_ref in self.vrf:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Enable2.RouterId.Vrf']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:router-id'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interface is not None and self.interface._has_data():
                            return True

                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.Ldp.Enable2.RouterId']['meta_info']


                class Tcp(object):
                    """
                    Set TCP parameters for LDP
                    
                    .. attribute:: pak_priority
                    
                    	Set (local) priority for LDP session TCP connection
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.pak_priority = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:tcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.pak_priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.Ldp.Enable2.Tcp']['meta_info']


                class Vrf(object):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\: list of    :py:class:`Vrf_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf_>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = YList()
                        self.vrf.parent = self
                        self.vrf.name = 'vrf'


                    class Vrf_(object):
                        """
                        
                        
                        .. attribute:: vrf_name  <key>
                        
                        	VPN Routing/Forwarding instance name
                        	**type**\:  str
                        
                        .. attribute:: password
                        
                        	Configure LDP MD5 password
                        	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vrf_name = None
                            self.password = Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password()
                            self.password.parent = self


                        class Password(object):
                            """
                            Configure LDP MD5 password
                            
                            .. attribute:: fallback
                            
                            	Specifies a fallback password will follow
                            	**type**\:   :py:class:`Fallback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Fallback>`
                            
                            .. attribute:: option
                            
                            	LDP password options
                            	**type**\:   :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option>`
                            
                            .. attribute:: required
                            
                            	MD5 password is required for the peer
                            	**type**\:   :py:class:`Required <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Required>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: rollover
                            
                            	LDP password rollover parameters
                            	**type**\:   :py:class:`Rollover <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Rollover>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fallback = Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Fallback()
                                self.fallback.parent = self
                                self.option = Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option()
                                self.option.parent = self
                                self.required = None
                                self.rollover = Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Rollover()
                                self.rollover.parent = self


                            class Fallback(object):
                                """
                                Specifies a fallback password will follow
                                
                                .. attribute:: encryption_type
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: key_chain
                                
                                	Specifies a key\-chain name will follow
                                	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Fallback.KeyChain>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: line
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.encryption_type = None
                                    self.key_chain = None
                                    self.line = None


                                class KeyChain(object):
                                    """
                                    Specifies a key\-chain name will follow
                                    
                                    .. attribute:: line
                                    
                                    	help
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.line = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:key-chain'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.line is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Fallback.KeyChain']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-mpls:fallback'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.encryption_type is not None:
                                        return True

                                    if self.key_chain is not None and self.key_chain._has_data():
                                        return True

                                    if self.line is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Fallback']['meta_info']


                            class Option(object):
                                """
                                LDP password options
                                
                                .. attribute:: seq_num
                                
                                	
                                	**type**\: list of    :py:class:`SeqNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.seq_num = YList()
                                    self.seq_num.parent = self
                                    self.seq_num.name = 'seq_num'


                                class SeqNum(object):
                                    """
                                    
                                    
                                    .. attribute:: seq_num  <key>
                                    
                                    	Sequence number of the LDP password option
                                    	**type**\:  int
                                    
                                    	**range:** 1..32767
                                    
                                    .. attribute:: for_
                                    
                                    	IP access\-list specifying control on LDP peers
                                    	**type**\:   :py:class:`For_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum.For_>`
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.seq_num = None
                                        self.for_ = Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum.For_()
                                        self.for_.parent = self


                                    class For_(object):
                                        """
                                        IP access\-list specifying control on LDP peers
                                        
                                        .. attribute:: line
                                        
                                        	
                                        	**type**\: list of    :py:class:`Line <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum.For_.Line>`
                                        
                                        

                                        """

                                        _prefix = 'ios-mpls'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.line = YList()
                                            self.line.parent = self
                                            self.line.name = 'line'


                                        class Line(object):
                                            """
                                            
                                            
                                            .. attribute:: acl_name  <key>
                                            
                                            	IP standard access\-list for LDP peers; name or number (1\-99)
                                            	**type**\:  str
                                            
                                            .. attribute:: encryption_type
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: key_chain
                                            
                                            	Specifies a key\-chain name will follow
                                            	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum.For_.Line.KeyChain>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: line
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-mpls'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.acl_name = None
                                                self.encryption_type = None
                                                self.key_chain = None
                                                self.line = None


                                            class KeyChain(object):
                                                """
                                                Specifies a key\-chain name will follow
                                                
                                                .. attribute:: line
                                                
                                                	help
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-mpls'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.line = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-mpls:key-chain'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.line is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum.For_.Line.KeyChain']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.acl_name is None:
                                                    raise YPYModelError('Key property acl_name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:LINE[Cisco-IOS-XE-mpls:acl-name = ' + str(self.acl_name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.acl_name is not None:
                                                    return True

                                                if self.encryption_type is not None:
                                                    return True

                                                if self.key_chain is not None and self.key_chain._has_data():
                                                    return True

                                                if self.line is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum.For_.Line']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:for'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.line is not None:
                                                for child_ref in self.line:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum.For_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.seq_num is None:
                                            raise YPYModelError('Key property seq_num is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:seq-num[Cisco-IOS-XE-mpls:seq-num = ' + str(self.seq_num) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.seq_num is not None:
                                            return True

                                        if self.for_ is not None and self.for_._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option.SeqNum']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-mpls:option'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.seq_num is not None:
                                        for child_ref in self.seq_num:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Option']['meta_info']


                            class Required(object):
                                """
                                MD5 password is required for the peer
                                
                                .. attribute:: for_
                                
                                	IP access\-list specifying control on LDP peers
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.for_ = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-mpls:required'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.for_ is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Required']['meta_info']


                            class Rollover(object):
                                """
                                LDP password rollover parameters
                                
                                .. attribute:: duration
                                
                                	Configure LDP password rollover duration in minutes
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.duration = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-mpls:rollover'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.duration is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password.Rollover']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:password'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fallback is not None and self.fallback._has_data():
                                    return True

                                if self.option is not None and self.option._has_data():
                                    return True

                                if self.required is not None and self.required._has_data():
                                    return True

                                if self.rollover is not None and self.rollover._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_.Password']['meta_info']

                        @property
                        def _common_path(self):
                            if self.vrf_name is None:
                                raise YPYModelError('Key property vrf_name is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:vrf/Cisco-IOS-XE-mpls:vrf[Cisco-IOS-XE-mpls:vrf-name = ' + str(self.vrf_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vrf_name is not None:
                                return True

                            if self.password is not None and self.password._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Enable2.Vrf.Vrf_']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2/Cisco-IOS-XE-mpls:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None:
                            for child_ref in self.vrf:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.Ldp.Enable2.Vrf']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:enable2'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.advertise_labels is not None and self.advertise_labels._has_data():
                        return True

                    if self.atm is not None and self.atm._has_data():
                        return True

                    if self.backoff is not None and self.backoff._has_data():
                        return True

                    if self.discovery is not None and self.discovery._has_data():
                        return True

                    if self.entropy_label is not None:
                        return True

                    if self.explicit_null is not None and self.explicit_null._has_data():
                        return True

                    if self.graceful_restart is not None and self.graceful_restart._has_data():
                        return True

                    if self.holdtime is not None:
                        return True

                    if self.igp is not None and self.igp._has_data():
                        return True

                    if self.label is not None and self.label._has_data():
                        return True

                    if self.logging is not None and self.logging._has_data():
                        return True

                    if self.loop_detection is not None:
                        return True

                    if self.maxhops is not None:
                        return True

                    if self.neighbor is not None and self.neighbor._has_data():
                        return True

                    if self.nsr is not None:
                        return True

                    if self.password is not None and self.password._has_data():
                        return True

                    if self.request_labels is not None and self.request_labels._has_data():
                        return True

                    if self.router_id is not None and self.router_id._has_data():
                        return True

                    if self.tcp is not None and self.tcp._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.Ldp.Enable2']['meta_info']


            class Session(object):
                """
                Configure session parameters
                
                .. attribute:: protection
                
                	Configure session protection parameters
                	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Session.Protection>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.protection = None


                class Protection(object):
                    """
                    Configure session protection parameters
                    
                    .. attribute:: duration
                    
                    	Period to sustain session protection after loss of link discovery
                    	**type**\:   :py:class:`Duration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Session.Protection.Duration>`
                    
                    .. attribute:: for_
                    
                    	Access\-list to specify LDP peers
                    	**type**\:   :py:class:`For_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Session.Protection.For_>`
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding instance name
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Session.Protection.Vrf>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.duration = Native.Mpls.Ldp.Session.Protection.Duration()
                        self.duration.parent = self
                        self.for_ = Native.Mpls.Ldp.Session.Protection.For_()
                        self.for_.parent = self
                        self.vrf = Native.Mpls.Ldp.Session.Protection.Vrf()
                        self.vrf.parent = self


                    class Duration(object):
                        """
                        Period to sustain session protection after loss of link discovery
                        
                        .. attribute:: holdup_time
                        
                        	Holdup time in seconds
                        	**type**\:  int
                        
                        	**range:** 30..2147483
                        
                        .. attribute:: infinite
                        
                        	Protect session forever after loss of link discovery
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.holdup_time = None
                            self.infinite = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:session/Cisco-IOS-XE-mpls:protection/Cisco-IOS-XE-mpls:duration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.holdup_time is not None:
                                return True

                            if self.infinite is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Session.Protection.Duration']['meta_info']


                    class For_(object):
                        """
                        Access\-list to specify LDP peers
                        
                        .. attribute:: acl_name
                        
                        	
                        	**type**\: list of    :py:class:`AclName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Session.Protection.For_.AclName>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.acl_name = YList()
                            self.acl_name.parent = self
                            self.acl_name.name = 'acl_name'


                        class AclName(object):
                            """
                            
                            
                            .. attribute:: acl_name  <key>
                            
                            	IP access\-list for LDP peers; name or number (1\-99)
                            	**type**\:  str
                            
                            .. attribute:: duration
                            
                            	Period to sustain session protection after loss of link discovery
                            	**type**\:   :py:class:`Duration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Session.Protection.For_.AclName.Duration>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.duration = Native.Mpls.Ldp.Session.Protection.For_.AclName.Duration()
                                self.duration.parent = self


                            class Duration(object):
                                """
                                Period to sustain session protection after loss of link discovery
                                
                                .. attribute:: holdup_time
                                
                                	Holdup time in seconds
                                	**type**\:  int
                                
                                	**range:** 30..2147483
                                
                                .. attribute:: infinite
                                
                                	Protect session forever after loss of link discovery
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.holdup_time = None
                                    self.infinite = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-mpls:duration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.holdup_time is not None:
                                        return True

                                    if self.infinite is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.Ldp.Session.Protection.For_.AclName.Duration']['meta_info']

                            @property
                            def _common_path(self):
                                if self.acl_name is None:
                                    raise YPYModelError('Key property acl_name is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:session/Cisco-IOS-XE-mpls:protection/Cisco-IOS-XE-mpls:for/Cisco-IOS-XE-mpls:acl-name[Cisco-IOS-XE-mpls:acl-name = ' + str(self.acl_name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.duration is not None and self.duration._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Ldp.Session.Protection.For_.AclName']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:session/Cisco-IOS-XE-mpls:protection/Cisco-IOS-XE-mpls:for'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.acl_name is not None:
                                for child_ref in self.acl_name:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Session.Protection.For_']['meta_info']


                    class Vrf(object):
                        """
                        VPN Routing/Forwarding instance name
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\: list of    :py:class:`Vrf_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vrf = YList()
                            self.vrf.parent = self
                            self.vrf.name = 'vrf'


                        class Vrf_(object):
                            """
                            
                            
                            .. attribute:: vrf_name  <key>
                            
                            	VPN Routing/Forwarding instance name
                            	**type**\:  str
                            
                            .. attribute:: for_
                            
                            	Access\-list to specify LDP peers
                            	**type**\:   :py:class:`For_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.vrf_name = None
                                self.for_ = Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_()
                                self.for_.parent = self


                            class For_(object):
                                """
                                Access\-list to specify LDP peers
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\: list of    :py:class:`AclName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_.AclName>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.acl_name = YList()
                                    self.acl_name.parent = self
                                    self.acl_name.name = 'acl_name'


                                class AclName(object):
                                    """
                                    
                                    
                                    .. attribute:: acl_name  <key>
                                    
                                    	IP access\-list for LDP peers; name or number (1\-99)
                                    	**type**\:  str
                                    
                                    .. attribute:: duration
                                    
                                    	Period to sustain session protection after loss of link discovery
                                    	**type**\:   :py:class:`Duration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_.AclName.Duration>`
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.acl_name = None
                                        self.duration = Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_.AclName.Duration()
                                        self.duration.parent = self


                                    class Duration(object):
                                        """
                                        Period to sustain session protection after loss of link discovery
                                        
                                        .. attribute:: holdup_time
                                        
                                        	Holdup time in seconds
                                        	**type**\:  int
                                        
                                        	**range:** 30..2147483
                                        
                                        .. attribute:: infinite
                                        
                                        	Protect session forever after loss of link discovery
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-mpls'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.holdup_time = None
                                            self.infinite = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:duration'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.holdup_time is not None:
                                                return True

                                            if self.infinite is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_.AclName.Duration']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.acl_name is None:
                                            raise YPYModelError('Key property acl_name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-mpls:acl-name[Cisco-IOS-XE-mpls:acl-name = ' + str(self.acl_name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.acl_name is not None:
                                            return True

                                        if self.duration is not None and self.duration._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_.AclName']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-mpls:for'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.acl_name is not None:
                                        for child_ref in self.acl_name:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_.For_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.vrf_name is None:
                                    raise YPYModelError('Key property vrf_name is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:session/Cisco-IOS-XE-mpls:protection/Cisco-IOS-XE-mpls:vrf/Cisco-IOS-XE-mpls:vrf[Cisco-IOS-XE-mpls:vrf-name = ' + str(self.vrf_name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.vrf_name is not None:
                                    return True

                                if self.for_ is not None and self.for_._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Ldp.Session.Protection.Vrf.Vrf_']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:session/Cisco-IOS-XE-mpls:protection/Cisco-IOS-XE-mpls:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vrf is not None:
                                for child_ref in self.vrf:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Ldp.Session.Protection.Vrf']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:session/Cisco-IOS-XE-mpls:protection'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.duration is not None and self.duration._has_data():
                            return True

                        if self.for_ is not None and self.for_._has_data():
                            return True

                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.Ldp.Session.Protection']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp/Cisco-IOS-XE-mpls:session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.protection is not None and self.protection._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.Ldp.Session']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:ldp'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.enable is not None and self.enable._has_data():
                    return True

                if self.enable2 is not None and self.enable2._has_data():
                    return True

                if self.session is not None and self.session._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Mpls.Ldp']['meta_info']


        class PrefixMap(object):
            """
            Configure MPLS CoS Tag\-VC Multi\-VC Prefix Map
            
            .. attribute:: access_list
            
            	Configure access\-list for this prefix\-map
            	**type**\:  int
            
            	**range:** 1..255
            
            .. attribute:: cos_map
            
            	Configure cos\-map for this prefix\-map
            	**type**\:  int
            
            	**range:** 1..255
            
            .. attribute:: nr
            
            	
            	**type**\:  int
            
            	**range:** 1..255
            
            

            """

            _prefix = 'ios-mpls'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.access_list = None
                self.cos_map = None
                self.nr = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:prefix-map'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.access_list is not None:
                    return True

                if self.cos_map is not None:
                    return True

                if self.nr is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Mpls.PrefixMap']['meta_info']


        class Static(object):
            """
            MPLS static application
            
            .. attribute:: binding
            
            	Establish static label bindings
            	**type**\:   :py:class:`Binding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static.Binding>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-mpls'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.binding = Native.Mpls.Static.Binding()
                self.binding.parent = self


            class Binding(object):
                """
                Establish static label bindings
                
                .. attribute:: ipv4
                
                	Bind IPv4 destination with label
                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static.Binding.Ipv4>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipv4 = Native.Mpls.Static.Binding.Ipv4()
                    self.ipv4.parent = self


                class Ipv4(object):
                    """
                    Bind IPv4 destination with label
                    
                    .. attribute:: global_
                    
                    	
                    	**type**\: list of    :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static.Binding.Ipv4.Global_>`
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static.Binding.Ipv4.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.global_ = YList()
                        self.global_.parent = self
                        self.global_.name = 'global_'
                        self.vrf = YList()
                        self.vrf.parent = self
                        self.vrf.name = 'vrf'


                    class Global_(object):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: input
                        
                        	Incoming (local) label
                        	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static.Binding.Ipv4.Global_.Input>`
                        
                        .. attribute:: label
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: output
                        
                        	Outgoing (remote) label
                        	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static.Binding.Ipv4.Global_.Output>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.mask = None
                            self.input = Native.Mpls.Static.Binding.Ipv4.Global_.Input()
                            self.input.parent = self
                            self.label = None
                            self.output = Native.Mpls.Static.Binding.Ipv4.Global_.Output()
                            self.output.parent = self


                        class Input(object):
                            """
                            Incoming (local) label
                            
                            .. attribute:: label
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Static.Binding.Ipv4.Global_.Input']['meta_info']


                        class Output(object):
                            """
                            Outgoing (remote) label
                            
                            .. attribute:: dst_next_hop
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: label
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:   :py:class:`LabelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static.Binding.Ipv4.Vrf.Output.LabelEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dst_next_hop = None
                                self.label = None

                            class LabelEnum(Enum):
                                """
                                LabelEnum

                                .. data:: explicit_null = 0

                                .. data:: implicit_null = 1

                                """

                                explicit_null = 0

                                implicit_null = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.Static.Binding.Ipv4.Global_.Output.LabelEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:output'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dst_next_hop is not None:
                                    return True

                                if self.label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Static.Binding.Ipv4.Global_.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.address is None:
                                raise YPYModelError('Key property address is None')
                            if self.mask is None:
                                raise YPYModelError('Key property mask is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:static/Cisco-IOS-XE-mpls:binding/Cisco-IOS-XE-mpls:ipv4/Cisco-IOS-XE-mpls:global[Cisco-IOS-XE-mpls:address = ' + str(self.address) + '][Cisco-IOS-XE-mpls:mask = ' + str(self.mask) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.input is not None and self.input._has_data():
                                return True

                            if self.label is not None:
                                return True

                            if self.output is not None and self.output._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Static.Binding.Ipv4.Global_']['meta_info']


                    class Vrf(object):
                        """
                        
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: input
                        
                        	Incoming (local) label
                        	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static.Binding.Ipv4.Vrf.Input>`
                        
                        .. attribute:: label
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: output
                        
                        	Outgoing (remote) label
                        	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static.Binding.Ipv4.Vrf.Output>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.address = None
                            self.mask = None
                            self.input = Native.Mpls.Static.Binding.Ipv4.Vrf.Input()
                            self.input.parent = self
                            self.label = None
                            self.output = Native.Mpls.Static.Binding.Ipv4.Vrf.Output()
                            self.output.parent = self


                        class Input(object):
                            """
                            Incoming (local) label
                            
                            .. attribute:: label
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:input'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Static.Binding.Ipv4.Vrf.Input']['meta_info']


                        class Output(object):
                            """
                            Outgoing (remote) label
                            
                            .. attribute:: dst_next_hop
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: label
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:   :py:class:`LabelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static.Binding.Ipv4.Vrf.Output.LabelEnum>`
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dst_next_hop = None
                                self.label = None

                            class LabelEnum(Enum):
                                """
                                LabelEnum

                                .. data:: explicit_null = 0

                                .. data:: implicit_null = 1

                                """

                                explicit_null = 0

                                implicit_null = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.Static.Binding.Ipv4.Vrf.Output.LabelEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:output'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dst_next_hop is not None:
                                    return True

                                if self.label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.Static.Binding.Ipv4.Vrf.Output']['meta_info']

                        @property
                        def _common_path(self):
                            if self.name is None:
                                raise YPYModelError('Key property name is None')
                            if self.address is None:
                                raise YPYModelError('Key property address is None')
                            if self.mask is None:
                                raise YPYModelError('Key property mask is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:static/Cisco-IOS-XE-mpls:binding/Cisco-IOS-XE-mpls:ipv4/Cisco-IOS-XE-mpls:vrf[Cisco-IOS-XE-mpls:name = ' + str(self.name) + '][Cisco-IOS-XE-mpls:address = ' + str(self.address) + '][Cisco-IOS-XE-mpls:mask = ' + str(self.mask) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.address is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.input is not None and self.input._has_data():
                                return True

                            if self.label is not None:
                                return True

                            if self.output is not None and self.output._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.Static.Binding.Ipv4.Vrf']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:static/Cisco-IOS-XE-mpls:binding/Cisco-IOS-XE-mpls:ipv4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.global_ is not None:
                            for child_ref in self.global_:
                                if child_ref._has_data():
                                    return True

                        if self.vrf is not None:
                            for child_ref in self.vrf:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.Static.Binding.Ipv4']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:static/Cisco-IOS-XE-mpls:binding'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipv4 is not None and self.ipv4._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.Static.Binding']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:static'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.binding is not None and self.binding._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Mpls.Static']['meta_info']


        class TrafficEng(object):
            """
            Configure Traffic Engineering parameters
            
            .. attribute:: auto_bw
            
            	auto\-bw parameters
            	**type**\:   :py:class:`AutoBw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoBw>`
            
            .. attribute:: auto_tunnel
            
            	Configure automatic TE tunnels
            	**type**\:   :py:class:`AutoTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel>`
            
            .. attribute:: ds_te
            
            	Configure standard DS\-TE parameters
            	**type**\:   :py:class:`DsTe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.DsTe>`
            
            .. attribute:: fast_reroute
            
            	fast\-reroute parameters
            	**type**\:   :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.FastReroute>`
            
            .. attribute:: link_management
            
            	Link Management configuration
            	**type**\:   :py:class:`LinkManagement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.LinkManagement>`
            
            .. attribute:: logging
            
            	Trap logging configuration
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging>`
            
            .. attribute:: lsp
            
            	Configure LSP parameters
            	**type**\:   :py:class:`Lsp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp>`
            
            .. attribute:: nsr
            
            	TE NSR configuration
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: path_option
            
            	Configure path\-option
            	**type**\:   :py:class:`PathOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathOption>`
            
            .. attribute:: path_selection
            
            	Path Selection Configuration
            	**type**\:   :py:class:`PathSelection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathSelection>`
            
            .. attribute:: pcc
            
            	Path Computation Client form MPLS\-TE
            	**type**\:   :py:class:`Pcc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Pcc>`
            
            .. attribute:: reoptimize
            
            	Reoptimization parameters
            	**type**\:   :py:class:`Reoptimize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Reoptimize>`
            
            .. attribute:: signalling
            
            	Traffic Engineering Signalling Parameters
            	**type**\:   :py:class:`Signalling <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Signalling>`
            
            .. attribute:: topology
            
            	Topology Database Configuration
            	**type**\:   :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Topology>`
            
            .. attribute:: trace
            
            	Trace configuration
            	**type**\:   :py:class:`Trace <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Trace>`
            
            .. attribute:: tunnels
            
            	Traffic Engineering tunnels
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-mpls'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.auto_bw = Native.Mpls.TrafficEng.AutoBw()
                self.auto_bw.parent = self
                self.auto_tunnel = Native.Mpls.TrafficEng.AutoTunnel()
                self.auto_tunnel.parent = self
                self.ds_te = Native.Mpls.TrafficEng.DsTe()
                self.ds_te.parent = self
                self.fast_reroute = Native.Mpls.TrafficEng.FastReroute()
                self.fast_reroute.parent = self
                self.link_management = Native.Mpls.TrafficEng.LinkManagement()
                self.link_management.parent = self
                self.logging = Native.Mpls.TrafficEng.Logging()
                self.logging.parent = self
                self.lsp = Native.Mpls.TrafficEng.Lsp()
                self.lsp.parent = self
                self.nsr = None
                self.path_option = Native.Mpls.TrafficEng.PathOption()
                self.path_option.parent = self
                self.path_selection = Native.Mpls.TrafficEng.PathSelection()
                self.path_selection.parent = self
                self.pcc = Native.Mpls.TrafficEng.Pcc()
                self.pcc.parent = self
                self.reoptimize = Native.Mpls.TrafficEng.Reoptimize()
                self.reoptimize.parent = self
                self.signalling = Native.Mpls.TrafficEng.Signalling()
                self.signalling.parent = self
                self.topology = Native.Mpls.TrafficEng.Topology()
                self.topology.parent = self
                self.trace = Native.Mpls.TrafficEng.Trace()
                self.trace.parent = self
                self.tunnels = None


            class AutoBw(object):
                """
                auto\-bw parameters
                
                .. attribute:: timers
                
                	Enable auto\-bw Timers Collection and Application
                	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoBw.Timers>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timers = None


                class Timers(object):
                    """
                    Enable auto\-bw Timers Collection and Application
                    
                    .. attribute:: frequency
                    
                    	Interval between auto\-bw data collection
                    	**type**\:  int
                    
                    	**range:** 1..604800
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.frequency = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-bw/Cisco-IOS-XE-mpls:timers'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.frequency is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.AutoBw.Timers']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-bw'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timers is not None and self.timers._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.TrafficEng.AutoBw']['meta_info']


            class AutoTunnel(object):
                """
                Configure automatic TE tunnels
                
                .. attribute:: backup
                
                	Configure auto\-tunnel backup tunnel
                	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup>`
                
                	**presence node**\: True
                
                .. attribute:: mesh
                
                	Automatically create mesh tunnels
                	**type**\:   :py:class:`Mesh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Mesh>`
                
                	**presence node**\: True
                
                .. attribute:: primary
                
                	Automatically create one\-hop primary tunnels
                	**type**\:   :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Primary>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.backup = None
                    self.mesh = None
                    self.primary = Native.Mpls.TrafficEng.AutoTunnel.Primary()
                    self.primary.parent = self


                class Backup(object):
                    """
                    Configure auto\-tunnel backup tunnel
                    
                    .. attribute:: config
                    
                    	Config commands to apply to all backup auto\-tunnels
                    	**type**\:   :py:class:`Config <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.Config>`
                    
                    .. attribute:: nhop_only
                    
                    	Automatically create n\-hop backup tunnels only
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: srlg
                    
                    	Shared Risk Link Groups influence backup tunnel path selection
                    	**type**\:   :py:class:`Srlg <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.Srlg>`
                    
                    .. attribute:: timers
                    
                    	Configure timers for backup auto\-tunnels
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers>`
                    
                    .. attribute:: tunnel_num
                    
                    	Configure tunnel I/F numbers for backup auto\-tunnels
                    	**type**\:   :py:class:`TunnelNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.config = Native.Mpls.TrafficEng.AutoTunnel.Backup.Config()
                        self.config.parent = self
                        self.nhop_only = None
                        self.srlg = Native.Mpls.TrafficEng.AutoTunnel.Backup.Srlg()
                        self.srlg.parent = self
                        self.timers = Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers()
                        self.timers.parent = self
                        self.tunnel_num = Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum()
                        self.tunnel_num.parent = self


                    class Config(object):
                        """
                        Config commands to apply to all backup auto\-tunnels
                        
                        .. attribute:: affinity
                        
                        	desired link attributes for links comprising tunnel
                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.Affinity>`
                        
                        .. attribute:: unnumbered_interface
                        
                        	Configure the interface to use for unnumbered
                        	**type**\:   :py:class:`UnnumberedInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.affinity = Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.Affinity()
                            self.affinity.parent = self
                            self.unnumbered_interface = Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface()
                            self.unnumbered_interface.parent = self


                        class Affinity(object):
                            """
                            desired link attributes for links comprising tunnel
                            
                            .. attribute:: aff_val
                            
                            	
                            	**type**\: list of    :py:class:`AffVal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.Affinity.AffVal>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.aff_val = YList()
                                self.aff_val.parent = self
                                self.aff_val.name = 'aff_val'


                            class AffVal(object):
                                """
                                
                                
                                .. attribute:: aff_val  <key>
                                
                                	<0x0\-0xFFFFFFFF>;;affinity value
                                	**type**\:  str
                                
                                .. attribute:: mask
                                
                                	mask on desired link attributes
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.aff_val = None
                                    self.mask = None

                                @property
                                def _common_path(self):
                                    if self.aff_val is None:
                                        raise YPYModelError('Key property aff_val is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:backup/Cisco-IOS-XE-mpls:config/Cisco-IOS-XE-mpls:affinity/Cisco-IOS-XE-mpls:aff-val[Cisco-IOS-XE-mpls:aff-val = ' + str(self.aff_val) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.aff_val is not None:
                                        return True

                                    if self.mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.Affinity.AffVal']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:backup/Cisco-IOS-XE-mpls:config/Cisco-IOS-XE-mpls:affinity'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.aff_val is not None:
                                    for child_ref in self.aff_val:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.Affinity']['meta_info']


                        class UnnumberedInterface(object):
                            """
                            Configure the interface to use for unnumbered
                            
                            .. attribute:: controller
                            
                            	Telecom\-Bus Clock Controller
                            	**type**\:  str
                            
                            .. attribute:: interface
                            
                            	Virtual ACR interface
                            	**type**\:  str
                            
                            .. attribute:: tunnel
                            
                            	Tunnel interface number
                            	**type**\:  int
                            
                            	**range:** 0..2147483647
                            
                            .. attribute:: tunnel_tp
                            
                            	Tunnel\-tp interface number
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasileft
                            
                            	vasileft interface number
                            	**type**\:  int
                            
                            	**range:** 1..2000
                            
                            .. attribute:: vasiright
                            
                            	vasiright interface number
                            	**type**\:  int
                            
                            	**range:** 1..2000
                            
                            .. attribute:: virtualportgroup
                            
                            	VirtualPortGroup interface number
                            	**type**\:  int
                            
                            	**range:** 0..31
                            
                            .. attribute:: vlan
                            
                            	Vlan interface number
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            .. attribute:: vpn
                            
                            	VPN interface number
                            	**type**\:  int
                            
                            	**range:** 0..2147483647
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.controller = None
                                self.interface = None
                                self.tunnel = None
                                self.tunnel_tp = None
                                self.vasileft = None
                                self.vasiright = None
                                self.virtualportgroup = None
                                self.vlan = None
                                self.vpn = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:backup/Cisco-IOS-XE-mpls:config/Cisco-IOS-XE-mpls:unnumbered-interface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.controller is not None:
                                    return True

                                if self.interface is not None:
                                    return True

                                if self.tunnel is not None:
                                    return True

                                if self.tunnel_tp is not None:
                                    return True

                                if self.vasileft is not None:
                                    return True

                                if self.vasiright is not None:
                                    return True

                                if self.virtualportgroup is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                if self.vpn is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:backup/Cisco-IOS-XE-mpls:config'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.affinity is not None and self.affinity._has_data():
                                return True

                            if self.unnumbered_interface is not None and self.unnumbered_interface._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.Config']['meta_info']


                    class Srlg(object):
                        """
                        Shared Risk Link Groups influence backup tunnel path selection
                        
                        .. attribute:: exclude
                        
                        	Backup tunnels avoid SRLGs of protected interfaces
                        	**type**\:   :py:class:`Exclude <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.Srlg.Exclude>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.exclude = Native.Mpls.TrafficEng.AutoTunnel.Backup.Srlg.Exclude()
                            self.exclude.parent = self


                        class Exclude(object):
                            """
                            Backup tunnels avoid SRLGs of protected interfaces
                            
                            .. attribute:: force
                            
                            	Backup tunnels MUST not use SRLGs of protected interfaces
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: preferred
                            
                            	Backup tunnels try to avoid using SRLGs of protected interfaces
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.force = None
                                self.preferred = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:backup/Cisco-IOS-XE-mpls:srlg/Cisco-IOS-XE-mpls:exclude'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.force is not None:
                                    return True

                                if self.preferred is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.Srlg.Exclude']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:backup/Cisco-IOS-XE-mpls:srlg'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.exclude is not None and self.exclude._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.Srlg']['meta_info']


                    class Timers(object):
                        """
                        Configure timers for backup auto\-tunnels
                        
                        .. attribute:: removal
                        
                        	Configure timer for removal of backup tunnel
                        	**type**\:   :py:class:`Removal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers.Removal>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.removal = Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers.Removal()
                            self.removal.parent = self


                        class Removal(object):
                            """
                            Configure timer for removal of backup tunnel
                            
                            .. attribute:: unused
                            
                            	seconds between scanning to remove not in use tunnels
                            	**type**\:  int
                            
                            	**range:** 0..604800
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.unused = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:backup/Cisco-IOS-XE-mpls:timers/Cisco-IOS-XE-mpls:removal'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.unused is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers.Removal']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:backup/Cisco-IOS-XE-mpls:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.removal is not None and self.removal._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers']['meta_info']


                    class TunnelNum(object):
                        """
                        Configure tunnel I/F numbers for backup auto\-tunnels
                        
                        .. attribute:: min
                        
                        	Configure the starting id\-range
                        	**type**\:   :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum.Min>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.min = Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum.Min()
                            self.min.parent = self


                        class Min(object):
                            """
                            Configure the starting id\-range
                            
                            .. attribute:: tnr_range
                            
                            	
                            	**type**\: list of    :py:class:`TnrRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum.Min.TnrRange>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.tnr_range = YList()
                                self.tnr_range.parent = self
                                self.tnr_range.name = 'tnr_range'


                            class TnrRange(object):
                                """
                                
                                
                                .. attribute:: tnr_range  <key>
                                
                                	starting tunnel number range
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: max
                                
                                	Configure the ending id\-range
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.tnr_range = None
                                    self.max = None

                                @property
                                def _common_path(self):
                                    if self.tnr_range is None:
                                        raise YPYModelError('Key property tnr_range is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:backup/Cisco-IOS-XE-mpls:tunnel-num/Cisco-IOS-XE-mpls:min/Cisco-IOS-XE-mpls:tnr-range[Cisco-IOS-XE-mpls:tnr-range = ' + str(self.tnr_range) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.tnr_range is not None:
                                        return True

                                    if self.max is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum.Min.TnrRange']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:backup/Cisco-IOS-XE-mpls:tunnel-num/Cisco-IOS-XE-mpls:min'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.tnr_range is not None:
                                    for child_ref in self.tnr_range:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum.Min']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:backup/Cisco-IOS-XE-mpls:tunnel-num'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.min is not None and self.min._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:backup'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.config is not None and self.config._has_data():
                            return True

                        if self.nhop_only is not None:
                            return True

                        if self.srlg is not None and self.srlg._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.tunnel_num is not None and self.tunnel_num._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Backup']['meta_info']


                class Mesh(object):
                    """
                    Automatically create mesh tunnels
                    
                    .. attribute:: tunnel_num
                    
                    	Configure tunnel I/F numbers for mesh auto\-tunnels
                    	**type**\:   :py:class:`TunnelNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.tunnel_num = Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum()
                        self.tunnel_num.parent = self


                    class TunnelNum(object):
                        """
                        Configure tunnel I/F numbers for mesh auto\-tunnels
                        
                        .. attribute:: min
                        
                        	Configure the starting id\-range
                        	**type**\:   :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum.Min>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.min = Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum.Min()
                            self.min.parent = self


                        class Min(object):
                            """
                            Configure the starting id\-range
                            
                            .. attribute:: mesh_range
                            
                            	
                            	**type**\: list of    :py:class:`MeshRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum.Min.MeshRange>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mesh_range = YList()
                                self.mesh_range.parent = self
                                self.mesh_range.name = 'mesh_range'


                            class MeshRange(object):
                                """
                                
                                
                                .. attribute:: mesh_range  <key>
                                
                                	starting tunnel number range
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: max
                                
                                	Configure the ending id\-range
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mesh_range = None
                                    self.max = None

                                @property
                                def _common_path(self):
                                    if self.mesh_range is None:
                                        raise YPYModelError('Key property mesh_range is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:mesh/Cisco-IOS-XE-mpls:tunnel-num/Cisco-IOS-XE-mpls:min/Cisco-IOS-XE-mpls:mesh-range[Cisco-IOS-XE-mpls:mesh-range = ' + str(self.mesh_range) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mesh_range is not None:
                                        return True

                                    if self.max is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum.Min.MeshRange']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:mesh/Cisco-IOS-XE-mpls:tunnel-num/Cisco-IOS-XE-mpls:min'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mesh_range is not None:
                                    for child_ref in self.mesh_range:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum.Min']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:mesh/Cisco-IOS-XE-mpls:tunnel-num'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.min is not None and self.min._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:mesh'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.tunnel_num is not None and self.tunnel_num._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Mesh']['meta_info']


                class Primary(object):
                    """
                    Automatically create one\-hop primary tunnels
                    
                    .. attribute:: config
                    
                    	Config commands to apply to all primary auto\-tunnels
                    	**type**\:   :py:class:`Config <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Primary.Config>`
                    
                    .. attribute:: onehop
                    
                    	Automatically create tunnel to all next\-hops
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: timers
                    
                    	Configure timers for primary auto\-tunnels
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers>`
                    
                    .. attribute:: tunnel_num
                    
                    	Configure tunnel I/F numbers for primary auto\-tunnels
                    	**type**\:   :py:class:`TunnelNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.config = Native.Mpls.TrafficEng.AutoTunnel.Primary.Config()
                        self.config.parent = self
                        self.onehop = None
                        self.timers = Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers()
                        self.timers.parent = self
                        self.tunnel_num = Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum()
                        self.tunnel_num.parent = self


                    class Config(object):
                        """
                        Config commands to apply to all primary auto\-tunnels
                        
                        .. attribute:: mpls
                        
                        	Configure dynamic MPLS forwarding
                        	**type**\:   :py:class:`Mpls_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.Mpls_>`
                        
                        .. attribute:: unnumbered_interface
                        
                        	Configure the interface to use for unnumbered
                        	**type**\:   :py:class:`UnnumberedInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.mpls = Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.Mpls_()
                            self.mpls.parent = self
                            self.unnumbered_interface = Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface()
                            self.unnumbered_interface.parent = self


                        class Mpls_(object):
                            """
                            Configure dynamic MPLS forwarding
                            
                            .. attribute:: ip
                            
                            	Configure dynamic MPLS forwarding for ip
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:primary/Cisco-IOS-XE-mpls:config/Cisco-IOS-XE-mpls:mpls'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.Mpls_']['meta_info']


                        class UnnumberedInterface(object):
                            """
                            Configure the interface to use for unnumbered
                            
                            .. attribute:: controller
                            
                            	Telecom\-Bus Clock Controller
                            	**type**\:  str
                            
                            .. attribute:: interface
                            
                            	Virtual ACR interface
                            	**type**\:  str
                            
                            .. attribute:: tunnel
                            
                            	Tunnel interface number
                            	**type**\:  int
                            
                            	**range:** 0..2147483647
                            
                            .. attribute:: tunnel_tp
                            
                            	Tunnel\-tp interface number
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasileft
                            
                            	vasileft interface number
                            	**type**\:  int
                            
                            	**range:** 1..2000
                            
                            .. attribute:: vasiright
                            
                            	vasiright interface number
                            	**type**\:  int
                            
                            	**range:** 1..2000
                            
                            .. attribute:: virtualportgroup
                            
                            	VirtualPortGroup interface number
                            	**type**\:  int
                            
                            	**range:** 0..31
                            
                            .. attribute:: vlan
                            
                            	Vlan interface number
                            	**type**\:  int
                            
                            	**range:** 1..4094
                            
                            .. attribute:: vpn
                            
                            	VPN interface number
                            	**type**\:  int
                            
                            	**range:** 0..2147483647
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.controller = None
                                self.interface = None
                                self.tunnel = None
                                self.tunnel_tp = None
                                self.vasileft = None
                                self.vasiright = None
                                self.virtualportgroup = None
                                self.vlan = None
                                self.vpn = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:primary/Cisco-IOS-XE-mpls:config/Cisco-IOS-XE-mpls:unnumbered-interface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.controller is not None:
                                    return True

                                if self.interface is not None:
                                    return True

                                if self.tunnel is not None:
                                    return True

                                if self.tunnel_tp is not None:
                                    return True

                                if self.vasileft is not None:
                                    return True

                                if self.vasiright is not None:
                                    return True

                                if self.virtualportgroup is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                if self.vpn is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:primary/Cisco-IOS-XE-mpls:config'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.mpls is not None and self.mpls._has_data():
                                return True

                            if self.unnumbered_interface is not None and self.unnumbered_interface._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary.Config']['meta_info']


                    class Timers(object):
                        """
                        Configure timers for primary auto\-tunnels
                        
                        .. attribute:: removal
                        
                        	Configure removal of primary tunnels
                        	**type**\:   :py:class:`Removal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers.Removal>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.removal = Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers.Removal()
                            self.removal.parent = self


                        class Removal(object):
                            """
                            Configure removal of primary tunnels
                            
                            .. attribute:: rerouted
                            
                            	seconds how long auto\-tunnel primary can stay frr active
                            	**type**\:  int
                            
                            	**range:** 30..604800
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rerouted = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:primary/Cisco-IOS-XE-mpls:timers/Cisco-IOS-XE-mpls:removal'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rerouted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers.Removal']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:primary/Cisco-IOS-XE-mpls:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.removal is not None and self.removal._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers']['meta_info']


                    class TunnelNum(object):
                        """
                        Configure tunnel I/F numbers for primary auto\-tunnels
                        
                        .. attribute:: min
                        
                        	Configure the starting id\-range
                        	**type**\:   :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum.Min>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.min = Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum.Min()
                            self.min.parent = self


                        class Min(object):
                            """
                            Configure the starting id\-range
                            
                            .. attribute:: tnr_range
                            
                            	
                            	**type**\: list of    :py:class:`TnrRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum.Min.TnrRange>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.tnr_range = YList()
                                self.tnr_range.parent = self
                                self.tnr_range.name = 'tnr_range'


                            class TnrRange(object):
                                """
                                
                                
                                .. attribute:: tnr_range  <key>
                                
                                	starting tunnel number range
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: max
                                
                                	Configure the ending id\-range
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.tnr_range = None
                                    self.max = None

                                @property
                                def _common_path(self):
                                    if self.tnr_range is None:
                                        raise YPYModelError('Key property tnr_range is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:primary/Cisco-IOS-XE-mpls:tunnel-num/Cisco-IOS-XE-mpls:min/Cisco-IOS-XE-mpls:tnr-range[Cisco-IOS-XE-mpls:tnr-range = ' + str(self.tnr_range) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.tnr_range is not None:
                                        return True

                                    if self.max is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum.Min.TnrRange']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:primary/Cisco-IOS-XE-mpls:tunnel-num/Cisco-IOS-XE-mpls:min'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.tnr_range is not None:
                                    for child_ref in self.tnr_range:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum.Min']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:primary/Cisco-IOS-XE-mpls:tunnel-num'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.min is not None and self.min._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel/Cisco-IOS-XE-mpls:primary'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.config is not None and self.config._has_data():
                            return True

                        if self.onehop is not None:
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.tunnel_num is not None and self.tunnel_num._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel.Primary']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:auto-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.backup is not None and self.backup._has_data():
                        return True

                    if self.mesh is not None and self.mesh._has_data():
                        return True

                    if self.primary is not None and self.primary._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.TrafficEng.AutoTunnel']['meta_info']


            class DsTe(object):
                """
                Configure standard DS\-TE parameters
                
                .. attribute:: bc_model
                
                	Configure BC model
                	**type**\:   :py:class:`BcModel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.DsTe.BcModel>`
                
                .. attribute:: mode
                
                	Configure DS\-TE migration mode
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.DsTe.Mode>`
                
                .. attribute:: te_classes
                
                	Specify TE\-Class parameters
                	**type**\:   :py:class:`TeClasses <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.DsTe.TeClasses>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bc_model = Native.Mpls.TrafficEng.DsTe.BcModel()
                    self.bc_model.parent = self
                    self.mode = Native.Mpls.TrafficEng.DsTe.Mode()
                    self.mode.parent = self
                    self.te_classes = None


                class BcModel(object):
                    """
                    Configure BC model
                    
                    .. attribute:: mam
                    
                    	BC Maximum allocation model
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.mam = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:ds-te/Cisco-IOS-XE-mpls:bc-model'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.mam is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.DsTe.BcModel']['meta_info']


                class Mode(object):
                    """
                    Configure DS\-TE migration mode
                    
                    .. attribute:: ietf
                    
                    	Configure DS\-TE standard mode
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: migration
                    
                    	Configure DS\-TE migration mode
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ietf = None
                        self.migration = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:ds-te/Cisco-IOS-XE-mpls:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ietf is not None:
                            return True

                        if self.migration is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.DsTe.Mode']['meta_info']


                class TeClasses(object):
                    """
                    Specify TE\-Class parameters
                    
                    .. attribute:: te_mode__config_te_class
                    
                    	
                    	**type**\:   :py:class:`TeMode__ConfigTeClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.te_mode__config_te_class = Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass()
                        self.te_mode__config_te_class.parent = self


                    class TeMode__ConfigTeClass(object):
                        """
                        
                        
                        .. attribute:: list
                        
                        	Re\-list all the TE\-Classes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: te_class
                        
                        	Configure a TE\-Class
                        	**type**\:   :py:class:`TeClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass.TeClass>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.list = None
                            self.te_class = Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass.TeClass()
                            self.te_class.parent = self


                        class TeClass(object):
                            """
                            Configure a TE\-Class
                            
                            .. attribute:: te_idx
                            
                            	
                            	**type**\: list of    :py:class:`TeIdx <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass.TeClass.TeIdx>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.te_idx = YList()
                                self.te_idx.parent = self
                                self.te_idx.name = 'te_idx'


                            class TeIdx(object):
                                """
                                
                                
                                .. attribute:: te_idx  <key>
                                
                                	Specify the TE\-Class index
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: class_type
                                
                                	Specify Class\-Type value (0 for Global and 1 for Sub\-Pool)
                                	**type**\:  int
                                
                                	**range:** 0..1
                                
                                .. attribute:: unused
                                
                                	Specify that this TE\-Class index is unused
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.te_idx = None
                                    self.class_type = None
                                    self.unused = None

                                @property
                                def _common_path(self):
                                    if self.te_idx is None:
                                        raise YPYModelError('Key property te_idx is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:ds-te/Cisco-IOS-XE-mpls:te-classes/Cisco-IOS-XE-mpls:te-Mode__config-te-class/Cisco-IOS-XE-mpls:te-class/Cisco-IOS-XE-mpls:te-idx[Cisco-IOS-XE-mpls:te-idx = ' + str(self.te_idx) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.te_idx is not None:
                                        return True

                                    if self.class_type is not None:
                                        return True

                                    if self.unused is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass.TeClass.TeIdx']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:ds-te/Cisco-IOS-XE-mpls:te-classes/Cisco-IOS-XE-mpls:te-Mode__config-te-class/Cisco-IOS-XE-mpls:te-class'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.te_idx is not None:
                                    for child_ref in self.te_idx:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass.TeClass']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:ds-te/Cisco-IOS-XE-mpls:te-classes/Cisco-IOS-XE-mpls:te-Mode__config-te-class'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.list is not None:
                                return True

                            if self.te_class is not None and self.te_class._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.DsTe.TeClasses.TeMode__ConfigTeClass']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:ds-te/Cisco-IOS-XE-mpls:te-classes'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.te_mode__config_te_class is not None and self.te_mode__config_te_class._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.DsTe.TeClasses']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:ds-te'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bc_model is not None and self.bc_model._has_data():
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.te_classes is not None and self.te_classes._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.TrafficEng.DsTe']['meta_info']


            class FastReroute(object):
                """
                fast\-reroute parameters
                
                .. attribute:: backup_prot_preempt
                
                	Preemption algorithm for backup tunnels
                	**type**\:   :py:class:`BackupProtPreempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.FastReroute.BackupProtPreempt>`
                
                .. attribute:: timers
                
                	configure fast\-reroute timer
                	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.FastReroute.Timers>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.backup_prot_preempt = Native.Mpls.TrafficEng.FastReroute.BackupProtPreempt()
                    self.backup_prot_preempt.parent = self
                    self.timers = Native.Mpls.TrafficEng.FastReroute.Timers()
                    self.timers.parent = self


                class BackupProtPreempt(object):
                    """
                    Preemption algorithm for backup tunnels
                    
                    .. attribute:: optimize_bw
                    
                    	Reduce bandwidth wastage (default\: minimize LSPs preempted)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.optimize_bw = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:fast-reroute/Cisco-IOS-XE-mpls:backup-prot-preempt'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.optimize_bw is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.FastReroute.BackupProtPreempt']['meta_info']


                class Timers(object):
                    """
                    configure fast\-reroute timer
                    
                    .. attribute:: promotion
                    
                    	seconds between promotions (0 disables promotion.)
                    	**type**\:  int
                    
                    	**range:** 0..604800
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.promotion = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:fast-reroute/Cisco-IOS-XE-mpls:timers'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.promotion is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.FastReroute.Timers']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:fast-reroute'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.backup_prot_preempt is not None and self.backup_prot_preempt._has_data():
                        return True

                    if self.timers is not None and self.timers._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.TrafficEng.FastReroute']['meta_info']


            class LinkManagement(object):
                """
                Link Management configuration
                
                .. attribute:: timers
                
                	Link Management timers configuration
                	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.LinkManagement.Timers>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.timers = Native.Mpls.TrafficEng.LinkManagement.Timers()
                    self.timers.parent = self


                class Timers(object):
                    """
                    Link Management timers configuration
                    
                    .. attribute:: bandwidth_hold
                    
                    	Link Management bandwidth hold timer
                    	**type**\:  int
                    
                    	**range:** 1..300
                    
                    .. attribute:: periodic_flooding
                    
                    	Link Management periodic flooding interval
                    	**type**\:  int
                    
                    	**range:** 0..3600
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bandwidth_hold = None
                        self.periodic_flooding = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:link-management/Cisco-IOS-XE-mpls:timers'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bandwidth_hold is not None:
                            return True

                        if self.periodic_flooding is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.LinkManagement.Timers']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:link-management'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.timers is not None and self.timers._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.TrafficEng.LinkManagement']['meta_info']


            class Logging(object):
                """
                Trap logging configuration
                
                .. attribute:: lsp
                
                	LSP\-specific traps logging configuration
                	**type**\:   :py:class:`Lsp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging.Lsp>`
                
                .. attribute:: tunnel
                
                	Tunnel\-specific traps logging configuration
                	**type**\:   :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging.Tunnel>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.lsp = Native.Mpls.TrafficEng.Logging.Lsp()
                    self.lsp.parent = self
                    self.tunnel = Native.Mpls.TrafficEng.Logging.Tunnel()
                    self.tunnel.parent = self


                class Lsp(object):
                    """
                    LSP\-specific traps logging configuration
                    
                    .. attribute:: path_errors
                    
                    	Log LSP Path Error traps
                    	**type**\:   :py:class:`PathErrors <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging.Lsp.PathErrors>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: preemption
                    
                    	Log LSP Preemption traps
                    	**type**\:   :py:class:`Preemption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging.Lsp.Preemption>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: reservation_errors
                    
                    	Log LSP Reservation Error traps
                    	**type**\:   :py:class:`ReservationErrors <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging.Lsp.ReservationErrors>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: setups
                    
                    	Log LSP Establishment Traps
                    	**type**\:   :py:class:`Setups <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging.Lsp.Setups>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: teardowns
                    
                    	Log LSP Teardown Traps
                    	**type**\:   :py:class:`Teardowns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging.Lsp.Teardowns>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.path_errors = None
                        self.preemption = None
                        self.reservation_errors = None
                        self.setups = None
                        self.teardowns = None


                    class PathErrors(object):
                        """
                        Log LSP Path Error traps
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..199
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 1300..2699
                        
                        
                        ----
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.access_list = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:logging/Cisco-IOS-XE-mpls:lsp/Cisco-IOS-XE-mpls:path-errors'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.access_list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.Logging.Lsp.PathErrors']['meta_info']


                    class Preemption(object):
                        """
                        Log LSP Preemption traps
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..199
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 1300..2699
                        
                        
                        ----
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.access_list = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:logging/Cisco-IOS-XE-mpls:lsp/Cisco-IOS-XE-mpls:preemption'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.access_list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.Logging.Lsp.Preemption']['meta_info']


                    class ReservationErrors(object):
                        """
                        Log LSP Reservation Error traps
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..199
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 1300..2699
                        
                        
                        ----
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.access_list = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:logging/Cisco-IOS-XE-mpls:lsp/Cisco-IOS-XE-mpls:reservation-errors'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.access_list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.Logging.Lsp.ReservationErrors']['meta_info']


                    class Setups(object):
                        """
                        Log LSP Establishment Traps
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..199
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 1300..2699
                        
                        
                        ----
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.access_list = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:logging/Cisco-IOS-XE-mpls:lsp/Cisco-IOS-XE-mpls:setups'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.access_list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.Logging.Lsp.Setups']['meta_info']


                    class Teardowns(object):
                        """
                        Log LSP Teardown Traps
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..199
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 1300..2699
                        
                        
                        ----
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.access_list = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:logging/Cisco-IOS-XE-mpls:lsp/Cisco-IOS-XE-mpls:teardowns'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.access_list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.Logging.Lsp.Teardowns']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:logging/Cisco-IOS-XE-mpls:lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.path_errors is not None and self.path_errors._has_data():
                            return True

                        if self.preemption is not None and self.preemption._has_data():
                            return True

                        if self.reservation_errors is not None and self.reservation_errors._has_data():
                            return True

                        if self.setups is not None and self.setups._has_data():
                            return True

                        if self.teardowns is not None and self.teardowns._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.Logging.Lsp']['meta_info']


                class Tunnel(object):
                    """
                    Tunnel\-specific traps logging configuration
                    
                    .. attribute:: lsp_selection
                    
                    	Log Tunnel LSP Selection traps
                    	**type**\:   :py:class:`LspSelection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging.Tunnel.LspSelection>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: path
                    
                    	Log Tunnel Path\-related traps
                    	**type**\:   :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging.Tunnel.Path>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.lsp_selection = None
                        self.path = Native.Mpls.TrafficEng.Logging.Tunnel.Path()
                        self.path.parent = self


                    class LspSelection(object):
                        """
                        Log Tunnel LSP Selection traps
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..199
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 1300..2699
                        
                        
                        ----
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.access_list = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:logging/Cisco-IOS-XE-mpls:tunnel/Cisco-IOS-XE-mpls:lsp-selection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.access_list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.Logging.Tunnel.LspSelection']['meta_info']


                    class Path(object):
                        """
                        Log Tunnel Path\-related traps
                        
                        .. attribute:: change
                        
                        	Log Tunnel Path change traps
                        	**type**\:   :py:class:`Change <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging.Tunnel.Path.Change>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.change = None


                        class Change(object):
                            """
                            Log Tunnel Path change traps
                            
                            .. attribute:: access_list
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199
                            
                            
                            ----
                            	**type**\:  int
                            
                            	**range:** 1300..2699
                            
                            
                            ----
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.access_list = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:logging/Cisco-IOS-XE-mpls:tunnel/Cisco-IOS-XE-mpls:path/Cisco-IOS-XE-mpls:change'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.access_list is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.TrafficEng.Logging.Tunnel.Path.Change']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:logging/Cisco-IOS-XE-mpls:tunnel/Cisco-IOS-XE-mpls:path'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.change is not None and self.change._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.Logging.Tunnel.Path']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:logging/Cisco-IOS-XE-mpls:tunnel'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.lsp_selection is not None and self.lsp_selection._has_data():
                            return True

                        if self.path is not None and self.path._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.Logging.Tunnel']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.lsp is not None and self.lsp._has_data():
                        return True

                    if self.tunnel is not None and self.tunnel._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.TrafficEng.Logging']['meta_info']


            class Lsp(object):
                """
                Configure LSP parameters
                
                .. attribute:: attributes
                
                	Configure LSP attributes
                	**type**\: list of    :py:class:`Attributes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.attributes = YList()
                    self.attributes.parent = self
                    self.attributes.name = 'attributes'


                class Attributes(object):
                    """
                    Configure LSP attributes
                    
                    .. attribute:: lsp_att  <key>
                    
                    	Name of LSP attribute list
                    	**type**\:  str
                    
                    .. attribute:: flag_mode__config_lsp_attr
                    
                    	
                    	**type**\:   :py:class:`FlagMode__ConfigLspAttr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.lsp_att = None
                        self.flag_mode__config_lsp_attr = Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr()
                        self.flag_mode__config_lsp_attr.parent = self


                    class FlagMode__ConfigLspAttr(object):
                        """
                        
                        
                        .. attribute:: affinity
                        
                        	Specify attribute flags for links comprising LSP
                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Affinity>`
                        
                        .. attribute:: auto_bw
                        
                        	Specify automatic bandwidth configuration
                        	**type**\:   :py:class:`AutoBw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.AutoBw>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: bandwidth
                        
                        	Specify LSP bandwidth
                        	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Bandwidth>`
                        
                        .. attribute:: list
                        
                        	Re\-list all of the attribute list entries
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: lockdown
                        
                        	Lockdown the LSP\-\-disable reoptimization
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: priority
                        
                        	Specify LSP priority
                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Priority>`
                        
                        .. attribute:: protection
                        
                        	Enable failure protection
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Protection>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: record_route
                        
                        	Record the route used by the LSP
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.affinity = Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Affinity()
                            self.affinity.parent = self
                            self.auto_bw = None
                            self.bandwidth = Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Bandwidth()
                            self.bandwidth.parent = self
                            self.list = None
                            self.lockdown = None
                            self.priority = Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Priority()
                            self.priority.parent = self
                            self.protection = None
                            self.record_route = None


                        class Affinity(object):
                            """
                            Specify attribute flags for links comprising LSP
                            
                            .. attribute:: fl_val
                            
                            	
                            	**type**\: list of    :py:class:`FlVal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Affinity.FlVal>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.fl_val = YList()
                                self.fl_val.parent = self
                                self.fl_val.name = 'fl_val'


                            class FlVal(object):
                                """
                                
                                
                                .. attribute:: fl_val  <key>
                                
                                	<0x0\-0xFFFFFFFF>;;affinity value
                                	**type**\:  str
                                
                                .. attribute:: mask
                                
                                	mask on desired link attributes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.fl_val = None
                                    self.mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.fl_val is None:
                                        raise YPYModelError('Key property fl_val is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-mpls:fl-val[Cisco-IOS-XE-mpls:fl-val = ' + str(self.fl_val) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.fl_val is not None:
                                        return True

                                    if self.mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Affinity.FlVal']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:affinity'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.fl_val is not None:
                                    for child_ref in self.fl_val:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Affinity']['meta_info']


                        class AutoBw(object):
                            """
                            Specify automatic bandwidth configuration
                            
                            .. attribute:: adjustment_threshold
                            
                            	Percent bandwidth change to trigger adjustment
                            	**type**\:  int
                            
                            	**range:** 1..99
                            
                            .. attribute:: collect_bw
                            
                            	Just collect bandwidth info
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: frequency
                            
                            	seconds between applying auto\-bw
                            	**type**\:  int
                            
                            	**range:** 300..604800
                            
                            .. attribute:: max_bw
                            
                            	Maximum bandwidth to apply (kbps)
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_bw
                            
                            	Minimum bandwidth to apply (kbps)
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: overflow_limit
                            
                            	Number of consecutive samples exceeding threshold
                            	**type**\:  int
                            
                            	**range:** 1..10
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.adjustment_threshold = None
                                self.collect_bw = None
                                self.frequency = None
                                self.max_bw = None
                                self.min_bw = None
                                self.overflow_limit = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:auto-bw'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.adjustment_threshold is not None:
                                    return True

                                if self.collect_bw is not None:
                                    return True

                                if self.frequency is not None:
                                    return True

                                if self.max_bw is not None:
                                    return True

                                if self.min_bw is not None:
                                    return True

                                if self.overflow_limit is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.AutoBw']['meta_info']


                        class Bandwidth(object):
                            """
                            Specify LSP bandwidth
                            
                            .. attribute:: bnd_kbp
                            
                            	bandwidth requirement in kbps
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: sub_pool
                            
                            	bandwidth requirement in kbps
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bnd_kbp = None
                                self.sub_pool = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:bandwidth'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bnd_kbp is not None:
                                    return True

                                if self.sub_pool is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Bandwidth']['meta_info']


                        class Priority(object):
                            """
                            Specify LSP priority
                            
                            .. attribute:: lss_pri
                            
                            	
                            	**type**\: list of    :py:class:`LssPri <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Priority.LssPri>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lss_pri = YList()
                                self.lss_pri.parent = self
                                self.lss_pri.name = 'lss_pri'


                            class LssPri(object):
                                """
                                
                                
                                .. attribute:: lss_pri  <key>
                                
                                	setup priority
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: lss_pri0
                                
                                	hold priority
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lss_pri = None
                                    self.lss_pri0 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.lss_pri is None:
                                        raise YPYModelError('Key property lss_pri is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-mpls:lss-pri[Cisco-IOS-XE-mpls:lss-pri = ' + str(self.lss_pri) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lss_pri is not None:
                                        return True

                                    if self.lss_pri0 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Priority.LssPri']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:priority'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lss_pri is not None:
                                    for child_ref in self.lss_pri:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Priority']['meta_info']


                        class Protection(object):
                            """
                            Enable failure protection
                            
                            .. attribute:: fast_reroute
                            
                            	Enable fast\-reroute failure protection
                            	**type**\:   :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Protection.FastReroute>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.fast_reroute = None


                            class FastReroute(object):
                                """
                                Enable fast\-reroute failure protection
                                
                                .. attribute:: bw_protect
                                
                                	Enable BW protection
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.bw_protect = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-mpls:fast-reroute'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.bw_protect is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Protection.FastReroute']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.fast_reroute is not None and self.fast_reroute._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr.Protection']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-mpls:flag-Mode__config-lsp-attr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.affinity is not None and self.affinity._has_data():
                                return True

                            if self.auto_bw is not None and self.auto_bw._has_data():
                                return True

                            if self.bandwidth is not None and self.bandwidth._has_data():
                                return True

                            if self.list is not None:
                                return True

                            if self.lockdown is not None:
                                return True

                            if self.priority is not None and self.priority._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.record_route is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.Lsp.Attributes.FlagMode__ConfigLspAttr']['meta_info']

                    @property
                    def _common_path(self):
                        if self.lsp_att is None:
                            raise YPYModelError('Key property lsp_att is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:lsp/Cisco-IOS-XE-mpls:attributes[Cisco-IOS-XE-mpls:lsp-att = ' + str(self.lsp_att) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.lsp_att is not None:
                            return True

                        if self.flag_mode__config_lsp_attr is not None and self.flag_mode__config_lsp_attr._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.Lsp.Attributes']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:lsp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.attributes is not None:
                        for child_ref in self.attributes:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.TrafficEng.Lsp']['meta_info']


            class PathOption(object):
                """
                Configure path\-option
                
                .. attribute:: list
                
                	Configure path\-option list
                	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathOption.List>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.list = Native.Mpls.TrafficEng.PathOption.List()
                    self.list.parent = self


                class List(object):
                    """
                    Configure path\-option list
                    
                    .. attribute:: identifier
                    
                    	Specify path\-option list by number
                    	**type**\: list of    :py:class:`Identifier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathOption.List.Identifier>`
                    
                    .. attribute:: name
                    
                    	Specify path\-option list by name
                    	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathOption.List.Name>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.identifier = YList()
                        self.identifier.parent = self
                        self.identifier.name = 'identifier'
                        self.name = YList()
                        self.name.parent = self
                        self.name.name = 'name'


                    class Identifier(object):
                        """
                        Specify path\-option list by number
                        
                        .. attribute:: po_num  <key>
                        
                        	Enter number
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.po_num = None

                        @property
                        def _common_path(self):
                            if self.po_num is None:
                                raise YPYModelError('Key property po_num is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:path-option/Cisco-IOS-XE-mpls:list/Cisco-IOS-XE-mpls:identifier[Cisco-IOS-XE-mpls:po-num = ' + str(self.po_num) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.po_num is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.PathOption.List.Identifier']['meta_info']


                    class Name(object):
                        """
                        Specify path\-option list by name
                        
                        .. attribute:: spo_name  <key>
                        
                        	Enter name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.spo_name = None

                        @property
                        def _common_path(self):
                            if self.spo_name is None:
                                raise YPYModelError('Key property spo_name is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:path-option/Cisco-IOS-XE-mpls:list/Cisco-IOS-XE-mpls:name[Cisco-IOS-XE-mpls:spo-name = ' + str(self.spo_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.spo_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.PathOption.List.Name']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:path-option/Cisco-IOS-XE-mpls:list'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.identifier is not None:
                            for child_ref in self.identifier:
                                if child_ref._has_data():
                                    return True

                        if self.name is not None:
                            for child_ref in self.name:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.PathOption.List']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:path-option'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.list is not None and self.list._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.TrafficEng.PathOption']['meta_info']


            class PathSelection(object):
                """
                Path Selection Configuration
                
                .. attribute:: invalidation
                
                	Path invalidation configuration
                	**type**\:   :py:class:`Invalidation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathSelection.Invalidation>`
                
                .. attribute:: metric
                
                	Metric Type Configuration
                	**type**\:   :py:class:`MetricEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathSelection.MetricEnum>`
                
                .. attribute:: overload
                
                	Overload Node Configuration
                	**type**\:   :py:class:`Overload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathSelection.Overload>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.invalidation = Native.Mpls.TrafficEng.PathSelection.Invalidation()
                    self.invalidation.parent = self
                    self.metric = None
                    self.overload = Native.Mpls.TrafficEng.PathSelection.Overload()
                    self.overload.parent = self

                class MetricEnum(Enum):
                    """
                    MetricEnum

                    Metric Type Configuration

                    .. data:: igp = 0

                    .. data:: te = 1

                    """

                    igp = 0

                    te = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.PathSelection.MetricEnum']



                class Invalidation(object):
                    """
                    Path invalidation configuration
                    
                    .. attribute:: drop
                    
                    	Drop Tunnel Traffic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: value
                    
                    	Enter path invalidation timer value in milliseconds
                    	**type**\:  int
                    
                    	**range:** 0..60000
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.drop = None
                        self.value = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:path-selection/Cisco-IOS-XE-mpls:invalidation'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.drop is not None:
                            return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.PathSelection.Invalidation']['meta_info']


                class Overload(object):
                    """
                    Overload Node Configuration
                    
                    .. attribute:: allow
                    
                    	Allow overloaded nodes in CSPFs
                    	**type**\:   :py:class:`Allow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathSelection.Overload.Allow>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.allow = Native.Mpls.TrafficEng.PathSelection.Overload.Allow()
                        self.allow.parent = self


                    class Allow(object):
                        """
                        Allow overloaded nodes in CSPFs
                        
                        .. attribute:: head
                        
                        	Allow overloaded head node in TE CSPF
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: middle
                        
                        	Allow overloaded middle node in TE CSPF
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tail
                        
                        	Allow overloaded middle node in TE CSPF
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.head = None
                            self.middle = None
                            self.tail = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:path-selection/Cisco-IOS-XE-mpls:overload/Cisco-IOS-XE-mpls:allow'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.head is not None:
                                return True

                            if self.middle is not None:
                                return True

                            if self.tail is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.PathSelection.Overload.Allow']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:path-selection/Cisco-IOS-XE-mpls:overload'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.allow is not None and self.allow._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.PathSelection.Overload']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:path-selection'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.invalidation is not None and self.invalidation._has_data():
                        return True

                    if self.metric is not None:
                        return True

                    if self.overload is not None and self.overload._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.TrafficEng.PathSelection']['meta_info']


            class Pcc(object):
                """
                Path Computation Client form MPLS\-TE
                
                .. attribute:: peer
                
                	Specify a PCEP peer
                	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Pcc.Peer>`
                
                .. attribute:: report_all
                
                	Force reporting of all MPLS\-TE LSPs
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.peer = Native.Mpls.TrafficEng.Pcc.Peer()
                    self.peer.parent = self
                    self.report_all = None


                class Peer(object):
                    """
                    Specify a PCEP peer
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Pcc.Peer.Ipv4>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = YList()
                        self.ipv4.parent = self
                        self.ipv4.name = 'ipv4'


                    class Ipv4(object):
                        """
                        
                        
                        .. attribute:: ipv4  <key>
                        
                        	PCE server IPv4 address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: keychain
                        
                        	Use key\-chain\: <password text> \| <keychain name>
                        	**type**\:  str
                        
                        .. attribute:: password
                        
                        	Configure PCE MD5 pasword
                        	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Pcc.Peer.Ipv4.Password>`
                        
                        .. attribute:: precedence
                        
                        	Specify Precedence for this PCE (default is 0)
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: source
                        
                        	Source IPv4 address to use
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None
                            self.keychain = None
                            self.password = Native.Mpls.TrafficEng.Pcc.Peer.Ipv4.Password()
                            self.password.parent = self
                            self.precedence = None
                            self.source = None


                        class Password(object):
                            """
                            Configure PCE MD5 pasword
                            
                            .. attribute:: clear
                            
                            	Unencrypted password\: <password text> \| <keychain name>
                            	**type**\:  str
                            
                            .. attribute:: encrypted
                            
                            	Hidden password\: <password text> \| <keychain name>
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.clear = None
                                self.encrypted = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-mpls:password'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.clear is not None:
                                    return True

                                if self.encrypted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Mpls.TrafficEng.Pcc.Peer.Ipv4.Password']['meta_info']

                        @property
                        def _common_path(self):
                            if self.ipv4 is None:
                                raise YPYModelError('Key property ipv4 is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:pcc/Cisco-IOS-XE-mpls:peer/Cisco-IOS-XE-mpls:ipv4[Cisco-IOS-XE-mpls:ipv4 = ' + str(self.ipv4) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None:
                                return True

                            if self.keychain is not None:
                                return True

                            if self.password is not None and self.password._has_data():
                                return True

                            if self.precedence is not None:
                                return True

                            if self.source is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.Pcc.Peer.Ipv4']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:pcc/Cisco-IOS-XE-mpls:peer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None:
                            for child_ref in self.ipv4:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.Pcc.Peer']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:pcc'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.peer is not None and self.peer._has_data():
                        return True

                    if self.report_all is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.TrafficEng.Pcc']['meta_info']


            class Reoptimize(object):
                """
                Reoptimization parameters
                
                .. attribute:: events
                
                	Reoptimization triggers
                	**type**\:   :py:class:`Events <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Reoptimize.Events>`
                
                .. attribute:: timers
                
                	Reoptimization timers
                	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Reoptimize.Timers>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.events = Native.Mpls.TrafficEng.Reoptimize.Events()
                    self.events.parent = self
                    self.timers = Native.Mpls.TrafficEng.Reoptimize.Timers()
                    self.timers.parent = self


                class Events(object):
                    """
                    Reoptimization triggers
                    
                    .. attribute:: link_up
                    
                    	Reoptimize tunnels on link up events
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.link_up = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:reoptimize/Cisco-IOS-XE-mpls:events'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.link_up is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.Reoptimize.Events']['meta_info']


                class Timers(object):
                    """
                    Reoptimization timers
                    
                    .. attribute:: delay
                    
                    	Delay reoptimization action
                    	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Reoptimize.Timers.Delay>`
                    
                    .. attribute:: frequency
                    
                    	Interval between reoptimization scans
                    	**type**\:  int
                    
                    	**range:** 0..604800
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.delay = Native.Mpls.TrafficEng.Reoptimize.Timers.Delay()
                        self.delay.parent = self
                        self.frequency = None


                    class Delay(object):
                        """
                        Delay reoptimization action
                        
                        .. attribute:: cleanup
                        
                        	Delay cleanup of reoptimized LSP
                        	**type**\:  int
                        
                        	**range:** 0..60
                        
                        .. attribute:: installation
                        
                        	Delay replacement of current LSP by reoptimized LSP
                        	**type**\:  int
                        
                        	**range:** 0..3600
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cleanup = None
                            self.installation = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:reoptimize/Cisco-IOS-XE-mpls:timers/Cisco-IOS-XE-mpls:delay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cleanup is not None:
                                return True

                            if self.installation is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.Reoptimize.Timers.Delay']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:reoptimize/Cisco-IOS-XE-mpls:timers'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.delay is not None and self.delay._has_data():
                            return True

                        if self.frequency is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.Reoptimize.Timers']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:reoptimize'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.events is not None and self.events._has_data():
                        return True

                    if self.timers is not None and self.timers._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.TrafficEng.Reoptimize']['meta_info']


            class Signalling(object):
                """
                Traffic Engineering Signalling Parameters
                
                .. attribute:: advertise
                
                	Signalling advertisement parameters
                	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Signalling.Advertise>`
                
                .. attribute:: forwarding
                
                	Control interaction of LSP signalling and LFIB maintenance
                	**type**\:   :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Signalling.Forwarding>`
                
                .. attribute:: restart
                
                	Signalling restart parameters
                	**type**\:   :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Signalling.Restart>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.advertise = Native.Mpls.TrafficEng.Signalling.Advertise()
                    self.advertise.parent = self
                    self.forwarding = Native.Mpls.TrafficEng.Signalling.Forwarding()
                    self.forwarding.parent = self
                    self.restart = Native.Mpls.TrafficEng.Signalling.Restart()
                    self.restart.parent = self


                class Advertise(object):
                    """
                    Signalling advertisement parameters
                    
                    .. attribute:: implicit_null
                    
                    	Use MPLS encoding for Implicit\-Null Label in signalling messages
                    	**type**\:   :py:class:`ImplicitNull <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Signalling.Advertise.ImplicitNull>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.implicit_null = None


                    class ImplicitNull(object):
                        """
                        Use MPLS encoding for Implicit\-Null Label in signalling messages
                        
                        .. attribute:: nr
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..99
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.nr = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:signalling/Cisco-IOS-XE-mpls:advertise/Cisco-IOS-XE-mpls:implicit-null'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.nr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.Signalling.Advertise.ImplicitNull']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:signalling/Cisco-IOS-XE-mpls:advertise'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.implicit_null is not None and self.implicit_null._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.Signalling.Advertise']['meta_info']


                class Forwarding(object):
                    """
                    Control interaction of LSP signalling and LFIB maintenance
                    
                    .. attribute:: sync
                    
                    	Program linecard LFIBs before signalling LSP label upstream
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.sync = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:signalling/Cisco-IOS-XE-mpls:forwarding'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.sync is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.Signalling.Forwarding']['meta_info']


                class Restart(object):
                    """
                    Signalling restart parameters
                    
                    .. attribute:: neighbors
                    
                    	Identify signalling restart capable neighbors
                    	**type**\:   :py:class:`Neighbors <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Signalling.Restart.Neighbors>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.neighbors = None


                    class Neighbors(object):
                        """
                        Identify signalling restart capable neighbors
                        
                        .. attribute:: nr
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..99
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.nr = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:signalling/Cisco-IOS-XE-mpls:restart/Cisco-IOS-XE-mpls:neighbors'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.nr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Mpls.TrafficEng.Signalling.Restart.Neighbors']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:signalling/Cisco-IOS-XE-mpls:restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.neighbors is not None and self.neighbors._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.Signalling.Restart']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:signalling'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.advertise is not None and self.advertise._has_data():
                        return True

                    if self.forwarding is not None and self.forwarding._has_data():
                        return True

                    if self.restart is not None and self.restart._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.TrafficEng.Signalling']['meta_info']


            class Topology(object):
                """
                Topology Database Configuration
                
                .. attribute:: holddown
                
                	Topology Database hold down timers
                	**type**\:   :py:class:`Holddown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Topology.Holddown>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.holddown = Native.Mpls.TrafficEng.Topology.Holddown()
                    self.holddown.parent = self


                class Holddown(object):
                    """
                    Topology Database hold down timers
                    
                    .. attribute:: sigerr
                    
                    	Link hold down time for signalling errors
                    	**type**\:  int
                    
                    	**range:** 0..300
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.sigerr = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:topology/Cisco-IOS-XE-mpls:holddown'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.sigerr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.Topology.Holddown']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:topology'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.holddown is not None and self.holddown._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.TrafficEng.Topology']['meta_info']


            class Trace(object):
                """
                Trace configuration
                
                .. attribute:: buffer_size
                
                	Trace buffer size configuration
                	**type**\:   :py:class:`BufferSize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Trace.BufferSize>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.buffer_size = Native.Mpls.TrafficEng.Trace.BufferSize()
                    self.buffer_size.parent = self


                class BufferSize(object):
                    """
                    Trace buffer size configuration
                    
                    .. attribute:: error
                    
                    	trace error buffer size in kB (default 32kB)
                    	**type**\:  int
                    
                    	**range:** 1..500
                    
                    .. attribute:: event
                    
                    	trace event buffer size in kB (default 1% of system memory)
                    	**type**\:  int
                    
                    	**range:** 1..2500
                    
                    .. attribute:: warning
                    
                    	trace warning buffer size in kB (default 32kB)
                    	**type**\:  int
                    
                    	**range:** 1..250
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.error = None
                        self.event = None
                        self.warning = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:trace/Cisco-IOS-XE-mpls:buffer-size'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.error is not None:
                            return True

                        if self.event is not None:
                            return True

                        if self.warning is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Mpls.TrafficEng.Trace.BufferSize']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng/Cisco-IOS-XE-mpls:trace'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.buffer_size is not None and self.buffer_size._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Mpls.TrafficEng.Trace']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:traffic-eng'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.auto_bw is not None and self.auto_bw._has_data():
                    return True

                if self.auto_tunnel is not None and self.auto_tunnel._has_data():
                    return True

                if self.ds_te is not None and self.ds_te._has_data():
                    return True

                if self.fast_reroute is not None and self.fast_reroute._has_data():
                    return True

                if self.link_management is not None and self.link_management._has_data():
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.lsp is not None and self.lsp._has_data():
                    return True

                if self.nsr is not None:
                    return True

                if self.path_option is not None and self.path_option._has_data():
                    return True

                if self.path_selection is not None and self.path_selection._has_data():
                    return True

                if self.pcc is not None and self.pcc._has_data():
                    return True

                if self.reoptimize is not None and self.reoptimize._has_data():
                    return True

                if self.signalling is not None and self.signalling._has_data():
                    return True

                if self.topology is not None and self.topology._has_data():
                    return True

                if self.trace is not None and self.trace._has_data():
                    return True

                if self.tunnels is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Mpls.TrafficEng']['meta_info']


        class Tp(object):
            """
            Configure MPLS Transport Profile parameters
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-mpls'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls/Cisco-IOS-XE-mpls:tp'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Mpls.Tp']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:mpls'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.atm is not None and self.atm._has_data():
                return True

            if self.cos_map is not None:
                return True

            if self.ip is not None and self.ip._has_data():
                return True

            if self.label is not None and self.label._has_data():
                return True

            if self.ldp is not None and self.ldp._has_data():
                return True

            if self.prefix_map is not None and self.prefix_map._has_data():
                return True

            if self.static is not None and self.static._has_data():
                return True

            if self.tp is not None and self.tp._has_data():
                return True

            if self.traffic_eng is not None and self.traffic_eng._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Mpls']['meta_info']


    class Router(object):
        """
        
        
        .. attribute:: bgp
        
        	Border Gateway Protocol (BGP)
        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp>`
        
        .. attribute:: eigrp
        
        	Enhanced Interior Gateway Routing Protocol (EIGRP)
        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp>`
        
        .. attribute:: isis
        
        	ISO IS\-IS
        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis>`
        
        	**presence node**\: True
        
        .. attribute:: isis_container
        
        	
        	**type**\:   :py:class:`IsisContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer>`
        
        .. attribute:: lisp
        
        	Locator/ID Separation Protocol
        	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp>`
        
        	**presence node**\: True
        
        .. attribute:: lisp_list
        
        	Locator/ID Separation Protocol
        	**type**\: list of    :py:class:`LispList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList>`
        
        .. attribute:: ospf
        
        	Open Shortest Path First (OSPF)
        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf>`
        
        .. attribute:: ospfv3
        
        	OSPFv3
        	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3>`
        
        .. attribute:: rip
        
        	Routing Information Protocol (RIP)
        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.bgp = YList()
            self.bgp.parent = self
            self.bgp.name = 'bgp'
            self.eigrp = YList()
            self.eigrp.parent = self
            self.eigrp.name = 'eigrp'
            self.isis = None
            self.isis_container = Native.Router.IsisContainer()
            self.isis_container.parent = self
            self.lisp = None
            self.lisp_list = YList()
            self.lisp_list.parent = self
            self.lisp_list.name = 'lisp_list'
            self.ospf = YList()
            self.ospf.parent = self
            self.ospf.name = 'ospf'
            self.ospfv3 = YList()
            self.ospfv3.parent = self
            self.ospfv3.name = 'ospfv3'
            self.rip = None


        class Bgp(object):
            """
            Border Gateway Protocol (BGP)
            
            .. attribute:: id  <key>
            
            	
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 1..4294967295
            
            
            ----
            	**type**\:  str
            
            
            ----
            .. attribute:: address_family
            
            	Enter Address Family command mode
            	**type**\:   :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily>`
            
            .. attribute:: auto_summary
            
            	Enable automatic network number summarization
            	**type**\:  bool
            
            .. attribute:: bgp
            
            	BGP specific commands
            	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_>`
            
            .. attribute:: default_information
            
            	Control distribution of default information
            	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.DefaultInformation>`
            
            .. attribute:: default_metric
            
            	Set metric of redistributed routes
            	**type**\:  int
            
            	**range:** 1..4294967295
            
            .. attribute:: distance
            
            	Define an administrative distance
            	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Distance>`
            
            .. attribute:: distribute_list
            
            	Filter networks in routing updates
            	**type**\: list of    :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.DistributeList>`
            
            .. attribute:: maximum_paths
            
            	Forward packets over multiple paths
            	**type**\:   :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.MaximumPaths>`
            
            .. attribute:: neighbor
            
            	Specify a neighbor router
            	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor>`
            
            .. attribute:: network
            
            	Specify a network to announce via BGP
            	**type**\: list of    :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Network>`
            
            .. attribute:: redistribute
            
            	Redistribute information from another routing protocol
            	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute>`
            
            .. attribute:: snmp
            
            	Modify snmp parameters
            	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Snmp>`
            
            	**presence node**\: True
            
            .. attribute:: synchronization
            
            	Perform IGP synchronization
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: table_map
            
            	Map external entry attributes into routing table
            	**type**\:   :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.TableMap>`
            
            	**presence node**\: True
            
            .. attribute:: template
            
            	Enter template command mode
            	**type**\:   :py:class:`Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template>`
            
            .. attribute:: timers
            
            	Adjust routing timers
            	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Timers>`
            
            

            """

            _prefix = 'ios-bgp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.id = None
                self.address_family = Native.Router.Bgp.AddressFamily()
                self.address_family.parent = self
                self.auto_summary = None
                self.bgp = Native.Router.Bgp.Bgp_()
                self.bgp.parent = self
                self.default_information = Native.Router.Bgp.DefaultInformation()
                self.default_information.parent = self
                self.default_metric = None
                self.distance = Native.Router.Bgp.Distance()
                self.distance.parent = self
                self.distribute_list = YList()
                self.distribute_list.parent = self
                self.distribute_list.name = 'distribute_list'
                self.maximum_paths = Native.Router.Bgp.MaximumPaths()
                self.maximum_paths.parent = self
                self.neighbor = YList()
                self.neighbor.parent = self
                self.neighbor.name = 'neighbor'
                self.network = YList()
                self.network.parent = self
                self.network.name = 'network'
                self.redistribute = Native.Router.Bgp.Redistribute()
                self.redistribute.parent = self
                self.snmp = None
                self.synchronization = None
                self.table_map = None
                self.template = Native.Router.Bgp.Template()
                self.template.parent = self
                self.timers = Native.Router.Bgp.Timers()
                self.timers.parent = self


            class Bgp_(object):
                """
                BGP specific commands
                
                .. attribute:: additional_paths
                
                	Additional paths in the BGP table
                	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.AdditionalPaths>`
                
                .. attribute:: advertise_best_external
                
                	Advertise best external path to internal peers
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: aggregate_timer
                
                	Timer interval
                	**type**\:  int
                
                	**range:** 6..60
                
                .. attribute:: always_compare_med
                
                	Allow comparing MED from different neighbors
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: asnotation
                
                	Change the default asplain notation
                	**type**\:   :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.Asnotation>`
                
                .. attribute:: bestpath
                
                	Change the default bestpath selection
                	**type**\:   :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.Bestpath>`
                
                .. attribute:: client_to_client
                
                	Configure client to client route reflection
                	**type**\:   :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.ClientToClient>`
                
                .. attribute:: cluster_id
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                
                ----
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: confederation
                
                	AS confederation parameters
                	**type**\:   :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.Confederation>`
                
                .. attribute:: consistency_checker
                
                	Consistency\-checker
                	**type**\:   :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.ConsistencyChecker>`
                
                .. attribute:: dampening
                
                	Enable route\-flap dampening
                	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.Dampening>`
                
                	**presence node**\: True
                
                .. attribute:: default
                
                	Configure BGP defaults
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.Default>`
                
                .. attribute:: deterministic_med
                
                	Pick the best\-MED path among paths advertised from the neighboring AS
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dmzlink_bw
                
                	Use DMZ Link Bandwidth as weight for BGP multipaths
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: enforce_first_as
                
                	Enforce the first AS for EBGP routes(default)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: enhanced_error
                
                	Enabled BGP Enhanced error handling
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: fast_external_fallover
                
                	Immediately reset session if a link to a directly connected external peer goes down
                	**type**\:  bool
                
                .. attribute:: graceful_restart
                
                	Graceful restart capability parameters
                	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.GracefulRestart>`
                
                	**presence node**\: True
                
                .. attribute:: ha_mode
                
                	Select BGP High Availability mode
                	**type**\:   :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.HaMode>`
                
                .. attribute:: inject_map
                
                	Routemap which specifies prefixes to inject
                	**type**\: list of    :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.InjectMap>`
                
                .. attribute:: log_neighbor_changes
                
                	Log neighbor up/down and reset reason
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: maxas_limit
                
                	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                	**type**\:  int
                
                	**range:** 1..2000
                
                .. attribute:: maxcommunity_limit
                
                	Number of communities in the COMMUNITY attribute
                	**type**\:  int
                
                	**range:** 1..1018
                
                .. attribute:: nexthop
                
                	Nexthop tracking commands
                	**type**\:   :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.Nexthop>`
                
                .. attribute:: nopeerup_delay
                
                	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                	**type**\:   :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.NopeerupDelay>`
                
                .. attribute:: recursion
                
                	recursion rule for the nexthops
                	**type**\:   :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.Recursion>`
                
                .. attribute:: redistribute_internal
                
                	Allow redistribution of iBGP into IGPs (dangerous)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: regexp
                
                	Select regular expression engine
                	**type**\:   :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.Regexp>`
                
                .. attribute:: route_map
                
                	bgp route\-map commands
                	**type**\:   :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.RouteMap>`
                
                .. attribute:: router_id
                
                	Override configured router identifier (peers will reset)
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: scan_time
                
                	Configure background scanner interval
                	**type**\:  int
                
                	**range:** 5..60
                
                .. attribute:: slow_peer
                
                	Configure slow\-peer
                	**type**\:   :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.SlowPeer>`
                
                .. attribute:: soft_reconfig_backup
                
                	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: suppress_inactive
                
                	Suppress routes that are not in the routing table
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: transport
                
                	Transport options
                	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.Transport>`
                
                .. attribute:: update_delay
                
                	Set the max initial delay for sending update
                	**type**\:  int
                
                	**range:** 1..3600
                
                .. attribute:: update_group
                
                	Manage peers in bgp update groups
                	**type**\:   :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.UpdateGroup>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.additional_paths = Native.Router.Bgp.Bgp_.AdditionalPaths()
                    self.additional_paths.parent = self
                    self.advertise_best_external = None
                    self.aggregate_timer = None
                    self.always_compare_med = None
                    self.asnotation = Native.Router.Bgp.Bgp_.Asnotation()
                    self.asnotation.parent = self
                    self.bestpath = Native.Router.Bgp.Bgp_.Bestpath()
                    self.bestpath.parent = self
                    self.client_to_client = Native.Router.Bgp.Bgp_.ClientToClient()
                    self.client_to_client.parent = self
                    self.cluster_id = None
                    self.confederation = Native.Router.Bgp.Bgp_.Confederation()
                    self.confederation.parent = self
                    self.consistency_checker = Native.Router.Bgp.Bgp_.ConsistencyChecker()
                    self.consistency_checker.parent = self
                    self.dampening = None
                    self.default = Native.Router.Bgp.Bgp_.Default()
                    self.default.parent = self
                    self.deterministic_med = None
                    self.dmzlink_bw = None
                    self.enforce_first_as = None
                    self.enhanced_error = None
                    self.fast_external_fallover = None
                    self.graceful_restart = None
                    self.ha_mode = Native.Router.Bgp.Bgp_.HaMode()
                    self.ha_mode.parent = self
                    self.inject_map = YList()
                    self.inject_map.parent = self
                    self.inject_map.name = 'inject_map'
                    self.log_neighbor_changes = None
                    self.maxas_limit = None
                    self.maxcommunity_limit = None
                    self.nexthop = Native.Router.Bgp.Bgp_.Nexthop()
                    self.nexthop.parent = self
                    self.nopeerup_delay = Native.Router.Bgp.Bgp_.NopeerupDelay()
                    self.nopeerup_delay.parent = self
                    self.recursion = Native.Router.Bgp.Bgp_.Recursion()
                    self.recursion.parent = self
                    self.redistribute_internal = None
                    self.regexp = Native.Router.Bgp.Bgp_.Regexp()
                    self.regexp.parent = self
                    self.route_map = Native.Router.Bgp.Bgp_.RouteMap()
                    self.route_map.parent = self
                    self.router_id = None
                    self.scan_time = None
                    self.slow_peer = Native.Router.Bgp.Bgp_.SlowPeer()
                    self.slow_peer.parent = self
                    self.soft_reconfig_backup = None
                    self.suppress_inactive = None
                    self.transport = Native.Router.Bgp.Bgp_.Transport()
                    self.transport.parent = self
                    self.update_delay = None
                    self.update_group = Native.Router.Bgp.Bgp_.UpdateGroup()
                    self.update_group.parent = self


                class Asnotation(object):
                    """
                    Change the default asplain notation
                    
                    .. attribute:: dot
                    
                    	asdot notation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dot = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:asnotation'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dot is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Bgp_.Asnotation']['meta_info']


                class NopeerupDelay(object):
                    """
                    Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                    
                    .. attribute:: cold_boot
                    
                    	Delay in seconds
                    	**type**\:  int
                    
                    	**range:** 1..3600
                    
                    .. attribute:: nsf_switchover
                    
                    	Delay in seconds
                    	**type**\:  int
                    
                    	**range:** 1..3600
                    
                    .. attribute:: post_boot
                    
                    	Delay in seconds
                    	**type**\:  int
                    
                    	**range:** 1..3600
                    
                    .. attribute:: user_initiated
                    
                    	Delay in seconds
                    	**type**\:  int
                    
                    	**range:** 1..3600
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cold_boot = None
                        self.nsf_switchover = None
                        self.post_boot = None
                        self.user_initiated = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:nopeerup-delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cold_boot is not None:
                            return True

                        if self.nsf_switchover is not None:
                            return True

                        if self.post_boot is not None:
                            return True

                        if self.user_initiated is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Bgp_.NopeerupDelay']['meta_info']


                class Recursion(object):
                    """
                    recursion rule for the nexthops
                    
                    .. attribute:: host
                    
                    	recursion via host for the nexthops
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.host = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:recursion'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.host is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Bgp_.Recursion']['meta_info']


                class AdditionalPaths(object):
                    """
                    Additional paths in the BGP table
                    
                    .. attribute:: install
                    
                    	Additional paths to install into RIB
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: receive
                    
                    	Receive additional paths from neighbors
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: select
                    
                    	Selection criteria to pick the paths
                    	**type**\:   :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.AdditionalPaths.Select>`
                    
                    .. attribute:: send
                    
                    	Send additional paths to neighbors
                    	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.AdditionalPaths.Send>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.install = None
                        self.receive = None
                        self.select = Native.Router.Bgp.Bgp_.AdditionalPaths.Select()
                        self.select.parent = self
                        self.send = None


                    class Select(object):
                        """
                        Selection criteria to pick the paths
                        
                        .. attribute:: all
                        
                        	Select all available paths
                        	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: backup
                        
                        	Select backup path
                        	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Backup>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: best
                        
                        	Select best N paths
                        	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Best>`
                        
                        .. attribute:: best_external
                        
                        	Select best\-external path
                        	**type**\:   :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.AdditionalPaths.Select.BestExternal>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: group_best
                        
                        	Select group\-best path
                        	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.AdditionalPaths.Select.GroupBest>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.backup = None
                            self.best = Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Best()
                            self.best.parent = self
                            self.best_external = None
                            self.group_best = None


                        class All(object):
                            """
                            Select all available paths
                            
                            .. attribute:: best
                            
                            	Select best N paths
                            	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All.Best>`
                            
                            .. attribute:: group_best
                            
                            	Select group\-best path
                            	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All.GroupBest>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.best = Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All.Best()
                                self.best.parent = self
                                self.group_best = None


                            class Best(object):
                                """
                                Select best N paths
                                
                                .. attribute:: range
                                
                                	
                                	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All.Best.Range>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.range = YList()
                                    self.range.parent = self
                                    self.range.name = 'range'


                                class Range(object):
                                    """
                                    
                                    
                                    .. attribute:: range  <key>
                                    
                                    	Number of best paths in additional paths to be selected
                                    	**type**\:  int
                                    
                                    	**range:** 2..3
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best path
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.range = None
                                        self.group_best = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.range is None:
                                            raise YPYModelError('Key property range is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.range is not None:
                                            return True

                                        if self.group_best is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All.Best.Range']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.range is not None:
                                        for child_ref in self.range:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All.Best']['meta_info']


                            class GroupBest(object):
                                """
                                Select group\-best path
                                
                                .. attribute:: best
                                
                                	Number of best paths in additional paths to be selected
                                	**type**\:  int
                                
                                	**range:** 2..3
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.best = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.best is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All.GroupBest']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:all'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.best is not None and self.best._has_data():
                                    return True

                                if self.group_best is not None and self.group_best._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.All']['meta_info']


                        class Backup(object):
                            """
                            Select backup path
                            
                            .. attribute:: best_external
                            
                            	Select best\-external path
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.best_external = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:backup'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.best_external is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Backup']['meta_info']


                        class Best(object):
                            """
                            Select best N paths
                            
                            .. attribute:: range
                            
                            	
                            	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Best.Range>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.range = YList()
                                self.range.parent = self
                                self.range.name = 'range'


                            class Range(object):
                                """
                                
                                
                                .. attribute:: range  <key>
                                
                                	Number of best paths in additional paths to be selected
                                	**type**\:  int
                                
                                	**range:** 2..3
                                
                                .. attribute:: all
                                
                                	Select all available paths
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: group_best
                                
                                	Select group\-best path
                                	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.range = None
                                    self.all = None
                                    self.group_best = None


                                class GroupBest(object):
                                    """
                                    Select group\-best path
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.all = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.all is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.range is None:
                                        raise YPYModelError('Key property range is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.range is not None:
                                        return True

                                    if self.all is not None:
                                        return True

                                    if self.group_best is not None and self.group_best._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.range is not None:
                                    for child_ref in self.range:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.Best']['meta_info']


                        class BestExternal(object):
                            """
                            Select best\-external path
                            
                            .. attribute:: backup
                            
                            	Select backup path
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.backup = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-external'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.backup is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.BestExternal']['meta_info']


                        class GroupBest(object):
                            """
                            Select group\-best path
                            
                            .. attribute:: all
                            
                            	Select all available paths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: best
                            
                            	Number of best paths in additional paths to be selected
                            	**type**\:  int
                            
                            	**range:** 2..3
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.all = None
                                self.best = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.all is not None:
                                    return True

                                if self.best is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select.GroupBest']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:select'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None and self.all._has_data():
                                return True

                            if self.backup is not None and self.backup._has_data():
                                return True

                            if self.best is not None and self.best._has_data():
                                return True

                            if self.best_external is not None and self.best_external._has_data():
                                return True

                            if self.group_best is not None and self.group_best._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Select']['meta_info']


                    class Send(object):
                        """
                        Send additional paths to neighbors
                        
                        .. attribute:: receive
                        
                        	Receive additional paths from neighbors
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.receive = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.receive is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths.Send']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.install is not None:
                            return True

                        if self.receive is not None:
                            return True

                        if self.select is not None and self.select._has_data():
                            return True

                        if self.send is not None and self.send._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Bgp_.AdditionalPaths']['meta_info']


                class Bestpath(object):
                    """
                    Change the default bestpath selection
                    
                    .. attribute:: compare_routerid
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: cost_community
                    
                    	cost community
                    	**type**\:   :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.Bestpath.CostCommunity>`
                    
                    .. attribute:: igp_metric
                    
                    	igp metric
                    	**type**\:   :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.Bestpath.IgpMetric>`
                    
                    .. attribute:: med
                    
                    	MED attribute
                    	**type**\:   :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.Bestpath.Med>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.compare_routerid = None
                        self.cost_community = Native.Router.Bgp.Bgp_.Bestpath.CostCommunity()
                        self.cost_community.parent = self
                        self.igp_metric = Native.Router.Bgp.Bgp_.Bestpath.IgpMetric()
                        self.igp_metric.parent = self
                        self.med = Native.Router.Bgp.Bgp_.Bestpath.Med()
                        self.med.parent = self


                    class CostCommunity(object):
                        """
                        cost community
                        
                        .. attribute:: ignore
                        
                        	Ignore cost communities in bestpath selection
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ignore = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:cost-community'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Bgp_.Bestpath.CostCommunity']['meta_info']


                    class IgpMetric(object):
                        """
                        igp metric
                        
                        .. attribute:: ignore
                        
                        	Ignore igp metric in bestpath selection
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ignore = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:igp-metric'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Bgp_.Bestpath.IgpMetric']['meta_info']


                    class Med(object):
                        """
                        MED attribute
                        
                        .. attribute:: confed
                        
                        	Compare MED among confederation paths
                        	**type**\:   :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.Bestpath.Med.Confed>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: missing_at_worst
                        
                        	Treat missing MED as the least preferred one
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.confed = None
                            self.missing_at_worst = None


                        class Confed(object):
                            """
                            Compare MED among confederation paths
                            
                            .. attribute:: missing_at_worst
                            
                            	Treat missing MED as the least preferred one
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.missing_at_worst = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:confed'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.missing_at_worst is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Bgp_.Bestpath.Med.Confed']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:med'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.confed is not None and self.confed._has_data():
                                return True

                            if self.missing_at_worst is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Bgp_.Bestpath.Med']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:bestpath'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.compare_routerid is not None:
                            return True

                        if self.cost_community is not None and self.cost_community._has_data():
                            return True

                        if self.igp_metric is not None and self.igp_metric._has_data():
                            return True

                        if self.med is not None and self.med._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Bgp_.Bestpath']['meta_info']


                class ClientToClient(object):
                    """
                    Configure client to client route reflection
                    
                    .. attribute:: reflection
                    
                    	reflection of routes allowed
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.reflection = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:client-to-client'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.reflection is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Bgp_.ClientToClient']['meta_info']


                class Confederation(object):
                    """
                    AS confederation parameters
                    
                    .. attribute:: identifier
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: peers
                    
                    	Peer ASs in BGP confederation
                    	**type**\:   :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.Confederation.Peers>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.identifier = None
                        self.peers = Native.Router.Bgp.Bgp_.Confederation.Peers()
                        self.peers.parent = self


                    class Peers(object):
                        """
                        Peer ASs in BGP confederation
                        
                        .. attribute:: peers_as
                        
                        	
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.peers_as = YLeafList()
                            self.peers_as.parent = self
                            self.peers_as.name = 'peers_as'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:peers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.peers_as is not None:
                                for child in self.peers_as:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Bgp_.Confederation.Peers']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:confederation'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.identifier is not None:
                            return True

                        if self.peers is not None and self.peers._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Bgp_.Confederation']['meta_info']


                class ConsistencyChecker(object):
                    """
                    Consistency\-checker
                    
                    .. attribute:: auto_repair
                    
                    	Auto\-Repair
                    	**type**\:   :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.ConsistencyChecker.AutoRepair>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: error_message
                    
                    	Log Error\-Msg
                    	**type**\:   :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.ConsistencyChecker.ErrorMessage>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auto_repair = None
                        self.error_message = None


                    class AutoRepair(object):
                        """
                        Auto\-Repair
                        
                        .. attribute:: interval
                        
                        	Interval (minutes)
                        	**type**\:  int
                        
                        	**range:** 5..1440
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.interval = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:auto-repair'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Bgp_.ConsistencyChecker.AutoRepair']['meta_info']


                    class ErrorMessage(object):
                        """
                        Log Error\-Msg
                        
                        .. attribute:: interval
                        
                        	Interval (minutes)
                        	**type**\:  int
                        
                        	**range:** 5..1440
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.interval = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:error-message'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Bgp_.ConsistencyChecker.ErrorMessage']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:consistency-checker'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auto_repair is not None and self.auto_repair._has_data():
                            return True

                        if self.error_message is not None and self.error_message._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Bgp_.ConsistencyChecker']['meta_info']


                class Dampening(object):
                    """
                    Enable route\-flap dampening
                    
                    .. attribute:: dampen
                    
                    	
                    	**type**\:   :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.Dampening.Dampen>`
                    
                    .. attribute:: route_map
                    
                    	Route\-map to specify criteria for dampening
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.dampen = Native.Router.Bgp.Bgp_.Dampening.Dampen()
                        self.dampen.parent = self
                        self.route_map = None


                    class Dampen(object):
                        """
                        
                        
                        .. attribute:: half_life_time
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..45
                        
                        .. attribute:: max_suppress_time
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: reuse_time
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..20000
                        
                        .. attribute:: suppress_time
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..20000
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.half_life_time = None
                            self.max_suppress_time = None
                            self.reuse_time = None
                            self.suppress_time = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:dampen'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.half_life_time is not None:
                                return True

                            if self.max_suppress_time is not None:
                                return True

                            if self.reuse_time is not None:
                                return True

                            if self.suppress_time is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Bgp_.Dampening.Dampen']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:dampening'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.dampen is not None and self.dampen._has_data():
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Bgp_.Dampening']['meta_info']


                class Default(object):
                    """
                    Configure BGP defaults
                    
                    .. attribute:: ipv4_unicast
                    
                    	Activate ipv4\-unicast for a peer by default
                    	**type**\:  bool
                    
                    .. attribute:: ipv6_nexthop
                    
                    	Default IPv6 nexthop format
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local_preference
                    
                    	local preference (higher=more preferred)
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: route_target
                    
                    	Control behavior based on Route\-Target attributes
                    	**type**\:   :py:class:`RouteTargetEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.Default.RouteTargetEnum>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4_unicast = None
                        self.ipv6_nexthop = None
                        self.local_preference = None
                        self.route_target = None

                    class RouteTargetEnum(Enum):
                        """
                        RouteTargetEnum

                        Control behavior based on Route\-Target attributes

                        .. data:: filter = 0

                        """

                        filter = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Bgp_.Default.RouteTargetEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4_unicast is not None:
                            return True

                        if self.ipv6_nexthop is not None:
                            return True

                        if self.local_preference is not None:
                            return True

                        if self.route_target is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Bgp_.Default']['meta_info']


                class GracefulRestart(object):
                    """
                    Graceful restart capability parameters
                    
                    .. attribute:: extended
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_time
                    
                    	Set the max time needed to restart and come back up
                    	**type**\:  int
                    
                    	**range:** 1..3600
                    
                    .. attribute:: stalepath_time
                    
                    	Set the max time to hold onto restarting peer's stale paths
                    	**type**\:  int
                    
                    	**range:** 1..3600
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.extended = None
                        self.restart_time = None
                        self.stalepath_time = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:graceful-restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.extended is not None:
                            return True

                        if self.restart_time is not None:
                            return True

                        if self.stalepath_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Bgp_.GracefulRestart']['meta_info']


                class HaMode(object):
                    """
                    Select BGP High Availability mode
                    
                    .. attribute:: sso
                    
                    	BGP High Availability NSR sso mode
                    	**type**\:   :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.HaMode.Sso>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.sso = None


                    class Sso(object):
                        """
                        BGP High Availability NSR sso mode
                        
                        .. attribute:: prefer
                        
                        	Perfer BGP High Availability NSR sso mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.prefer = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:sso'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.prefer is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Bgp_.HaMode.Sso']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ha-mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.sso is not None and self.sso._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Bgp_.HaMode']['meta_info']


                class InjectMap(object):
                    """
                    Routemap which specifies prefixes to inject
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: copy_attributes
                    
                    	Copy attributes from aggregate
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: exist_map
                    
                    	Routemap which specifies exist condition
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.copy_attributes = None
                        self.exist_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:inject-map[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.copy_attributes is not None:
                            return True

                        if self.exist_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Bgp_.InjectMap']['meta_info']


                class RouteMap(object):
                    """
                    bgp route\-map commands
                    
                    .. attribute:: priority
                    
                    	Have route\-map set commands take priority over BGP commands such 
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.priority = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:route-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Bgp_.RouteMap']['meta_info']


                class SlowPeer(object):
                    """
                    Configure slow\-peer
                    
                    .. attribute:: detection
                    
                    	Slow\-peer detection
                    	**type**\:   :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.SlowPeer.Detection>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: split_update_group
                    
                    	Configure slow\-peer split\-update\-group
                    	**type**\:   :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.SlowPeer.SplitUpdateGroup>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.detection = None
                        self.split_update_group = Native.Router.Bgp.Bgp_.SlowPeer.SplitUpdateGroup()
                        self.split_update_group.parent = self


                    class Detection(object):
                        """
                        Slow\-peer detection
                        
                        .. attribute:: disable
                        
                        	Disable slow\-peer detection
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: threshold
                        
                        	Threshold value (seconds)
                        	**type**\:  int
                        
                        	**range:** 120..3600
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None
                            self.threshold = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:detection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Bgp_.SlowPeer.Detection']['meta_info']


                    class SplitUpdateGroup(object):
                        """
                        Configure slow\-peer split\-update\-group
                        
                        .. attribute:: dynamic
                        
                        	Dynamically split the slow peer to slow\-update group
                        	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dynamic = None


                        class Dynamic(object):
                            """
                            Dynamically split the slow peer to slow\-update group
                            
                            .. attribute:: permanent
                            
                            	Keep the slow\-peer permanently in slow\-update group
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.permanent = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:dynamic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.permanent is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:split-update-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dynamic is not None and self.dynamic._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:slow-peer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.detection is not None and self.detection._has_data():
                            return True

                        if self.split_update_group is not None and self.split_update_group._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Bgp_.SlowPeer']['meta_info']


                class UpdateGroup(object):
                    """
                    Manage peers in bgp update groups
                    
                    .. attribute:: split
                    
                    	Split update groups based on Policy
                    	**type**\:   :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.UpdateGroup.Split>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.split = Native.Router.Bgp.Bgp_.UpdateGroup.Split()
                        self.split.parent = self


                    class Split(object):
                        """
                        Split update groups based on Policy
                        
                        .. attribute:: as_override
                        
                        	Keep peers with as\-override in different update groups
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.as_override = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:split'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.as_override is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Bgp_.UpdateGroup.Split']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:update-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.split is not None and self.split._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Bgp_.UpdateGroup']['meta_info']


                class Nexthop(object):
                    """
                    Nexthop tracking commands
                    
                    .. attribute:: route_map
                    
                    	Route map for valid nexthops
                    	**type**\:  str
                    
                    .. attribute:: trigger
                    
                    	Nexthop triggering
                    	**type**\:   :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp_.Nexthop.Trigger>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None
                        self.trigger = Native.Router.Bgp.Bgp_.Nexthop.Trigger()
                        self.trigger.parent = self


                    class Trigger(object):
                        """
                        Nexthop triggering
                        
                        .. attribute:: delay
                        
                        	Set the delay to tigger nexthop tracking
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        .. attribute:: enable
                        
                        	Enable nexthop tracking
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.delay = None
                            self.enable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:trigger'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.delay is not None:
                                return True

                            if self.enable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Bgp_.Nexthop.Trigger']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:nexthop'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        if self.trigger is not None and self.trigger._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Bgp_.Nexthop']['meta_info']


                class Regexp(object):
                    """
                    Select regular expression engine
                    
                    .. attribute:: deterministic
                    
                    	Enable bounded\-execution\-time regular expression engine
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.deterministic = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:regexp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.deterministic is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Bgp_.Regexp']['meta_info']


                class Transport(object):
                    """
                    Transport options
                    
                    .. attribute:: path_mtu_discovery
                    
                    	Use transport path MTU discovery
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.path_mtu_discovery = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:transport'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.path_mtu_discovery is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Bgp_.Transport']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.additional_paths is not None and self.additional_paths._has_data():
                        return True

                    if self.advertise_best_external is not None:
                        return True

                    if self.aggregate_timer is not None:
                        return True

                    if self.always_compare_med is not None:
                        return True

                    if self.asnotation is not None and self.asnotation._has_data():
                        return True

                    if self.bestpath is not None and self.bestpath._has_data():
                        return True

                    if self.client_to_client is not None and self.client_to_client._has_data():
                        return True

                    if self.cluster_id is not None:
                        return True

                    if self.confederation is not None and self.confederation._has_data():
                        return True

                    if self.consistency_checker is not None and self.consistency_checker._has_data():
                        return True

                    if self.dampening is not None and self.dampening._has_data():
                        return True

                    if self.default is not None and self.default._has_data():
                        return True

                    if self.deterministic_med is not None:
                        return True

                    if self.dmzlink_bw is not None:
                        return True

                    if self.enforce_first_as is not None:
                        return True

                    if self.enhanced_error is not None:
                        return True

                    if self.fast_external_fallover is not None:
                        return True

                    if self.graceful_restart is not None and self.graceful_restart._has_data():
                        return True

                    if self.ha_mode is not None and self.ha_mode._has_data():
                        return True

                    if self.inject_map is not None:
                        for child_ref in self.inject_map:
                            if child_ref._has_data():
                                return True

                    if self.log_neighbor_changes is not None:
                        return True

                    if self.maxas_limit is not None:
                        return True

                    if self.maxcommunity_limit is not None:
                        return True

                    if self.nexthop is not None and self.nexthop._has_data():
                        return True

                    if self.nopeerup_delay is not None and self.nopeerup_delay._has_data():
                        return True

                    if self.recursion is not None and self.recursion._has_data():
                        return True

                    if self.redistribute_internal is not None:
                        return True

                    if self.regexp is not None and self.regexp._has_data():
                        return True

                    if self.route_map is not None and self.route_map._has_data():
                        return True

                    if self.router_id is not None:
                        return True

                    if self.scan_time is not None:
                        return True

                    if self.slow_peer is not None and self.slow_peer._has_data():
                        return True

                    if self.soft_reconfig_backup is not None:
                        return True

                    if self.suppress_inactive is not None:
                        return True

                    if self.transport is not None and self.transport._has_data():
                        return True

                    if self.update_delay is not None:
                        return True

                    if self.update_group is not None and self.update_group._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Bgp.Bgp_']['meta_info']


            class DefaultInformation(object):
                """
                Control distribution of default information
                
                .. attribute:: originate
                
                	Distribute a default route
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.originate = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:default-information'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.originate is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Bgp.DefaultInformation']['meta_info']


            class Distance(object):
                """
                Define an administrative distance
                
                .. attribute:: adm_distance
                
                	
                	**type**\: list of    :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Distance.AdmDistance>`
                
                .. attribute:: bgp
                
                	BGP distance
                	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Distance.Bgp_>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.adm_distance = YList()
                    self.adm_distance.parent = self
                    self.adm_distance.name = 'adm_distance'
                    self.bgp = Native.Router.Bgp.Distance.Bgp_()
                    self.bgp.parent = self


                class Bgp_(object):
                    """
                    BGP distance
                    
                    .. attribute:: extern_as
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    .. attribute:: internal_as
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    .. attribute:: local
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.extern_as = None
                        self.internal_as = None
                        self.local = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.extern_as is not None:
                            return True

                        if self.internal_as is not None:
                            return True

                        if self.local is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Distance.Bgp_']['meta_info']


                class AdmDistance(object):
                    """
                    
                    
                    .. attribute:: distance  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    .. attribute:: srcip  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: wildbits  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..99
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 1300..1999
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.distance = None
                        self.srcip = None
                        self.wildbits = None
                        self.acl = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.distance is None:
                            raise YPYModelError('Key property distance is None')
                        if self.srcip is None:
                            raise YPYModelError('Key property srcip is None')
                        if self.wildbits is None:
                            raise YPYModelError('Key property wildbits is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:adm-distance[Cisco-IOS-XE-bgp:distance = ' + str(self.distance) + '][Cisco-IOS-XE-bgp:srcip = ' + str(self.srcip) + '][Cisco-IOS-XE-bgp:wildbits = ' + str(self.wildbits) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.distance is not None:
                            return True

                        if self.srcip is not None:
                            return True

                        if self.wildbits is not None:
                            return True

                        if self.acl is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Distance.AdmDistance']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:distance'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.adm_distance is not None:
                        for child_ref in self.adm_distance:
                            if child_ref._has_data():
                                return True

                    if self.bgp is not None and self.bgp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Bgp.Distance']['meta_info']


            class DistributeList(object):
                """
                Filter networks in routing updates
                
                .. attribute:: id  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 100..199
                
                
                ----
                	**type**\:  int
                
                	**range:** 2000..2699
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: in_
                
                	Filter incoming routing updates
                	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.DistributeList.In_>`
                
                	**presence node**\: True
                
                .. attribute:: out
                
                	Filter outgoing routing updates
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.DistributeList.Out>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.in_ = None
                    self.out = None


                class In_(object):
                    """
                    Filter incoming routing updates
                    
                    .. attribute:: interface
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:in'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.DistributeList.In_']['meta_info']


                class Out(object):
                    """
                    Filter outgoing routing updates
                    
                    .. attribute:: interface
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.DistributeList.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:distribute-list[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.in_ is not None and self.in_._has_data():
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Bgp.DistributeList']['meta_info']


            class MaximumPaths(object):
                """
                Forward packets over multiple paths
                
                .. attribute:: eibgp
                
                	Both eBGP and iBGP paths as multipath
                	**type**\:   :py:class:`Eibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.MaximumPaths.Eibgp>`
                
                .. attribute:: external_rtfilter
                
                	VPN prefix multipath on external RTFilter peers
                	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.MaximumPaths.ExternalRtfilter>`
                
                .. attribute:: ibgp
                
                	iBGP\-multipath
                	**type**\:   :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.MaximumPaths.Ibgp>`
                
                .. attribute:: max_path
                
                	
                	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.MaximumPaths.MaxPath>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.eibgp = Native.Router.Bgp.MaximumPaths.Eibgp()
                    self.eibgp.parent = self
                    self.external_rtfilter = Native.Router.Bgp.MaximumPaths.ExternalRtfilter()
                    self.external_rtfilter.parent = self
                    self.ibgp = Native.Router.Bgp.MaximumPaths.Ibgp()
                    self.ibgp.parent = self
                    self.max_path = Native.Router.Bgp.MaximumPaths.MaxPath()
                    self.max_path.parent = self


                class MaxPath(object):
                    """
                    
                    
                    .. attribute:: max
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..32
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.max = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.max is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.MaximumPaths.MaxPath']['meta_info']


                class ExternalRtfilter(object):
                    """
                    VPN prefix multipath on external RTFilter peers
                    
                    .. attribute:: max
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..32
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.max = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.max is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.MaximumPaths.ExternalRtfilter']['meta_info']


                class Eibgp(object):
                    """
                    Both eBGP and iBGP paths as multipath
                    
                    .. attribute:: external_rtfilter
                    
                    	VPN prefix multipath on external RTFilter peers
                    	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.MaximumPaths.Eibgp.ExternalRtfilter>`
                    
                    .. attribute:: max_path
                    
                    	
                    	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.MaximumPaths.Eibgp.MaxPath>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.external_rtfilter = Native.Router.Bgp.MaximumPaths.Eibgp.ExternalRtfilter()
                        self.external_rtfilter.parent = self
                        self.max_path = Native.Router.Bgp.MaximumPaths.Eibgp.MaxPath()
                        self.max_path.parent = self


                    class MaxPath(object):
                        """
                        
                        
                        .. attribute:: max
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..32
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.MaximumPaths.Eibgp.MaxPath']['meta_info']


                    class ExternalRtfilter(object):
                        """
                        VPN prefix multipath on external RTFilter peers
                        
                        .. attribute:: max
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..32
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.MaximumPaths.Eibgp.ExternalRtfilter']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:eibgp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                            return True

                        if self.max_path is not None and self.max_path._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.MaximumPaths.Eibgp']['meta_info']


                class Ibgp(object):
                    """
                    iBGP\-multipath
                    
                    .. attribute:: external_rtfilter
                    
                    	VPN prefix multipath on external RTFilter peers
                    	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.MaximumPaths.Ibgp.ExternalRtfilter>`
                    
                    .. attribute:: max_path
                    
                    	
                    	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.MaximumPaths.Ibgp.MaxPath>`
                    
                    .. attribute:: unequal_cost
                    
                    	Perform Un\-Equal cost multipath selection
                    	**type**\:   :py:class:`UnequalCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.external_rtfilter = Native.Router.Bgp.MaximumPaths.Ibgp.ExternalRtfilter()
                        self.external_rtfilter.parent = self
                        self.max_path = Native.Router.Bgp.MaximumPaths.Ibgp.MaxPath()
                        self.max_path.parent = self
                        self.unequal_cost = Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost()
                        self.unequal_cost.parent = self


                    class UnequalCost(object):
                        """
                        Perform Un\-Equal cost multipath selection
                        
                        .. attribute:: external_rtfilter
                        
                        	VPN prefix multipath on external RTFilter peers
                        	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter>`
                        
                        .. attribute:: max_path
                        
                        	
                        	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost.MaxPath>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.external_rtfilter = Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter()
                            self.external_rtfilter.parent = self
                            self.max_path = Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost.MaxPath()
                            self.max_path.parent = self


                        class MaxPath(object):
                            """
                            
                            
                            .. attribute:: max
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..32
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost.MaxPath']['meta_info']


                        class ExternalRtfilter(object):
                            """
                            VPN prefix multipath on external RTFilter peers
                            
                            .. attribute:: max
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..32
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:unequal-cost'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                return True

                            if self.max_path is not None and self.max_path._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.MaximumPaths.Ibgp.UnequalCost']['meta_info']


                    class MaxPath(object):
                        """
                        
                        
                        .. attribute:: max
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..32
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.MaximumPaths.Ibgp.MaxPath']['meta_info']


                    class ExternalRtfilter(object):
                        """
                        VPN prefix multipath on external RTFilter peers
                        
                        .. attribute:: max
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..32
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.MaximumPaths.Ibgp.ExternalRtfilter']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ibgp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                            return True

                        if self.max_path is not None and self.max_path._has_data():
                            return True

                        if self.unequal_cost is not None and self.unequal_cost._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.MaximumPaths.Ibgp']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:maximum-paths'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.eibgp is not None and self.eibgp._has_data():
                        return True

                    if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                        return True

                    if self.ibgp is not None and self.ibgp._has_data():
                        return True

                    if self.max_path is not None and self.max_path._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Bgp.MaximumPaths']['meta_info']


            class Neighbor(object):
                """
                Specify a neighbor router
                
                .. attribute:: id  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                
                ----
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: activate
                
                	Enable the Address Family for this Neighbor
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: additional_paths
                
                	
                	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.AdditionalPaths>`
                
                .. attribute:: advertise
                
                	Advertise to this neighbor
                	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise>`
                
                .. attribute:: advertise_map
                
                	specify route\-map for conditional advertisement
                	**type**\:   :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.AdvertiseMap>`
                
                .. attribute:: advertisement_interval
                
                	Minimum interval between sending BGP routing updates
                	**type**\:  int
                
                	**range:** 0..600
                
                .. attribute:: aigp
                
                	Enable a AIGP on neighbor
                	**type**\:   :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Aigp>`
                
                	**presence node**\: True
                
                .. attribute:: allow_policy
                
                	Enable the policy support for this IBGP Neighbor
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: allowas_in
                
                	Accept as\-path with my AS present in it
                	**type**\:   :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.AllowasIn>`
                
                	**presence node**\: True
                
                .. attribute:: announce
                
                	Announce RPKI State using an Extended Community
                	**type**\:   :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Announce>`
                
                .. attribute:: as_override
                
                	Override matching AS\-number while sending update
                	**type**\:   :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.AsOverride>`
                
                	**presence node**\: True
                
                .. attribute:: capability
                
                	Advertise capability to the peer
                	**type**\:   :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Capability>`
                
                .. attribute:: cluster_id
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                
                ----
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: default_originate
                
                	Originate default route to this neighbour
                	**type**\:   :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.DefaultOriginate>`
                
                	**presence node**\: True
                
                .. attribute:: description
                
                	Neighbor specific description
                	**type**\:  str
                
                .. attribute:: disable_connected_check
                
                	One\-hop away EBGP peer using loopback address
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: distribute_list
                
                	Filter updates to/from this neighbor
                	**type**\: list of    :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.DistributeList>`
                
                .. attribute:: dmzlink_bw
                
                	Propagate the DMZ link bandwidth
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ebgp_multihop
                
                	Allow EBGP neighbors not on directly connected networks
                	**type**\:   :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.EbgpMultihop>`
                
                	**presence node**\: True
                
                .. attribute:: fall_over
                
                	session fall on peer route lost
                	**type**\:   :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.FallOver>`
                
                .. attribute:: filter_list
                
                	Establish BGP filters
                	**type**\: list of    :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.FilterList>`
                
                .. attribute:: ha_mode
                
                	high availability mode
                	**type**\:   :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.HaMode>`
                
                .. attribute:: inherit
                
                	Inherit a template
                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Inherit>`
                
                .. attribute:: local_as
                
                	Specify a local\-as number
                	**type**\:   :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.LocalAs>`
                
                	**presence node**\: True
                
                .. attribute:: log_neighbor_changes
                
                	Log neighbor up/down and reset reason
                	**type**\:   :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.LogNeighborChanges>`
                
                	**presence node**\: True
                
                .. attribute:: maximum_prefix
                
                	Maximum number of prefixes accepted from this peer
                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.MaximumPrefix>`
                
                .. attribute:: next_hop_self
                
                	Disable the next hop calculation for this neighbor
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: next_hop_unchanged
                
                	Propagate the iBGP paths's next hop unchanged for this neighbor
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: password
                
                	Set a password
                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Password>`
                
                .. attribute:: path_attribute
                
                	BGP optional attribute filtering
                	**type**\:   :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.PathAttribute>`
                
                .. attribute:: peer_group
                
                	Member of the peer\-group
                	**type**\:   :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.PeerGroup>`
                
                	**presence node**\: True
                
                .. attribute:: prefix_list
                
                	Filter updates to/from this neighbor
                	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.PrefixList>`
                
                .. attribute:: remote_as
                
                	Specify a BGP neighbor
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: remove_private_as
                
                	Remove private AS number from outbound updates
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: route_map
                
                	Apply route map to neighbor
                	**type**\: list of    :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.RouteMap>`
                
                .. attribute:: route_reflector_client
                
                	Configure a neighbor as Route Reflector client
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: route_reflector_cluster_id
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..4294967295
                
                
                ----
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: send_community
                
                	Send Community attribute to this neighbor
                	**type**\:   :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.SendCommunity>`
                
                	**presence node**\: True
                
                .. attribute:: send_label
                
                	Send NLRI + MPLS Label to this peer
                	**type**\:   :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.SendLabel>`
                
                .. attribute:: shutdown
                
                	Administratively shut down this neighbor
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: slow_peer
                
                	Configure slow\-peer
                	**type**\:   :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.SlowPeer>`
                
                .. attribute:: soft_reconfiguration
                
                	Per neighbor soft reconfiguration
                	**type**\:   :py:class:`SoftReconfigurationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.SoftReconfigurationEnum>`
                
                .. attribute:: timers
                
                	BGP per neighbor timers
                	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Timers>`
                
                .. attribute:: translate_update
                
                	Translate Update to MBGP format
                	**type**\:   :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.TranslateUpdate>`
                
                .. attribute:: transport
                
                	Transport options
                	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Transport>`
                
                .. attribute:: ttl_security
                
                	BGP ttl security check
                	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.TtlSecurity>`
                
                .. attribute:: unsuppress_map
                
                	Route\-map to selectively unsuppress suppressed routes
                	**type**\:  str
                
                .. attribute:: update_source
                
                	Source of routing updates
                	**type**\:   :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.UpdateSource>`
                
                .. attribute:: version
                
                	Set the BGP version to match a neighbor
                	**type**\:  int
                
                	**range:** 4..None
                
                .. attribute:: weight
                
                	Set default weight for routes from this neighbor
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.activate = None
                    self.additional_paths = Native.Router.Bgp.Neighbor.AdditionalPaths()
                    self.additional_paths.parent = self
                    self.advertise = Native.Router.Bgp.Neighbor.Advertise()
                    self.advertise.parent = self
                    self.advertise_map = Native.Router.Bgp.Neighbor.AdvertiseMap()
                    self.advertise_map.parent = self
                    self.advertisement_interval = None
                    self.aigp = None
                    self.allow_policy = None
                    self.allowas_in = None
                    self.announce = Native.Router.Bgp.Neighbor.Announce()
                    self.announce.parent = self
                    self.as_override = None
                    self.capability = Native.Router.Bgp.Neighbor.Capability()
                    self.capability.parent = self
                    self.cluster_id = None
                    self.default_originate = None
                    self.description = None
                    self.disable_connected_check = None
                    self.distribute_list = YList()
                    self.distribute_list.parent = self
                    self.distribute_list.name = 'distribute_list'
                    self.dmzlink_bw = None
                    self.ebgp_multihop = None
                    self.fall_over = Native.Router.Bgp.Neighbor.FallOver()
                    self.fall_over.parent = self
                    self.filter_list = YList()
                    self.filter_list.parent = self
                    self.filter_list.name = 'filter_list'
                    self.ha_mode = Native.Router.Bgp.Neighbor.HaMode()
                    self.ha_mode.parent = self
                    self.inherit = Native.Router.Bgp.Neighbor.Inherit()
                    self.inherit.parent = self
                    self.local_as = None
                    self.log_neighbor_changes = None
                    self.maximum_prefix = Native.Router.Bgp.Neighbor.MaximumPrefix()
                    self.maximum_prefix.parent = self
                    self.next_hop_self = None
                    self.next_hop_unchanged = None
                    self.password = Native.Router.Bgp.Neighbor.Password()
                    self.password.parent = self
                    self.path_attribute = Native.Router.Bgp.Neighbor.PathAttribute()
                    self.path_attribute.parent = self
                    self.peer_group = None
                    self.prefix_list = YList()
                    self.prefix_list.parent = self
                    self.prefix_list.name = 'prefix_list'
                    self.remote_as = None
                    self.remove_private_as = None
                    self.route_map = YList()
                    self.route_map.parent = self
                    self.route_map.name = 'route_map'
                    self.route_reflector_client = None
                    self.route_reflector_cluster_id = None
                    self.send_community = None
                    self.send_label = Native.Router.Bgp.Neighbor.SendLabel()
                    self.send_label.parent = self
                    self.shutdown = None
                    self.slow_peer = Native.Router.Bgp.Neighbor.SlowPeer()
                    self.slow_peer.parent = self
                    self.soft_reconfiguration = None
                    self.timers = Native.Router.Bgp.Neighbor.Timers()
                    self.timers.parent = self
                    self.translate_update = Native.Router.Bgp.Neighbor.TranslateUpdate()
                    self.translate_update.parent = self
                    self.transport = Native.Router.Bgp.Neighbor.Transport()
                    self.transport.parent = self
                    self.ttl_security = Native.Router.Bgp.Neighbor.TtlSecurity()
                    self.ttl_security.parent = self
                    self.unsuppress_map = None
                    self.update_source = Native.Router.Bgp.Neighbor.UpdateSource()
                    self.update_source.parent = self
                    self.version = None
                    self.weight = None

                class SoftReconfigurationEnum(Enum):
                    """
                    SoftReconfigurationEnum

                    Per neighbor soft reconfiguration

                    .. data:: inbound = 0

                    """

                    inbound = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.SoftReconfigurationEnum']



                class PeerGroup(object):
                    """
                    Member of the peer\-group
                    
                    .. attribute:: peer_group_name
                    
                    	WORD;;peer\-group name
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.peer_group_name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:peer-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.peer_group_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.PeerGroup']['meta_info']


                class LocalAs(object):
                    """
                    Specify a local\-as number
                    
                    .. attribute:: as_no
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: dual_as
                    
                    	Accept either real AS or local AS from the ebgp peer
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: no_prepend
                    
                    	Do not prepend local\-as to updates from ebgp peers
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: replace_as
                    
                    	Replace real AS with local AS in the EBGP updates
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.as_no = None
                        self.dual_as = None
                        self.no_prepend = None
                        self.replace_as = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:local-as'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.as_no is not None:
                            return True

                        if self.dual_as is not None:
                            return True

                        if self.no_prepend is not None:
                            return True

                        if self.replace_as is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.LocalAs']['meta_info']


                class AdditionalPaths(object):
                    """
                    
                    
                    .. attribute:: disable
                    
                    	Disable additional paths for this neighbor
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: receive
                    
                    	Receive additional paths from neighbors
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: send
                    
                    	Send additional paths to this neighbor
                    	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.AdditionalPaths.Send>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.disable = None
                        self.receive = None
                        self.send = None


                    class Send(object):
                        """
                        Send additional paths to this neighbor
                        
                        .. attribute:: receive
                        
                        	Receive additional paths from this neighbor
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.receive = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.receive is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.AdditionalPaths.Send']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.disable is not None:
                            return True

                        if self.receive is not None:
                            return True

                        if self.send is not None and self.send._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.AdditionalPaths']['meta_info']


                class Advertise(object):
                    """
                    Advertise to this neighbor
                    
                    .. attribute:: additional_paths
                    
                    	Advertise additional paths
                    	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths>`
                    
                    .. attribute:: best_external
                    
                    	Advertise best\-external (at RRs best\-internal) path
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: diverse_path
                    
                    	Advertise diverse path
                    	**type**\:   :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.DiversePath>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.additional_paths = Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths()
                        self.additional_paths.parent = self
                        self.best_external = None
                        self.diverse_path = Native.Router.Bgp.Neighbor.Advertise.DiversePath()
                        self.diverse_path.parent = self


                    class AdditionalPaths(object):
                        """
                        Advertise additional paths
                        
                        .. attribute:: all
                        
                        	Select all available paths
                        	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: best
                        
                        	Select best N paths
                        	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best>`
                        
                        .. attribute:: group_best
                        
                        	Select group\-best paths
                        	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.best = Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best()
                            self.best.parent = self
                            self.group_best = None


                        class All(object):
                            """
                            Select all available paths
                            
                            .. attribute:: best
                            
                            	Select best N paths
                            	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best>`
                            
                            .. attribute:: group_best
                            
                            	Select group\-best paths
                            	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.best = Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best()
                                self.best.parent = self
                                self.group_best = None


                            class Best(object):
                                """
                                Select best N paths
                                
                                .. attribute:: best_range
                                
                                	
                                	**type**\: list of    :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.best_range = YList()
                                    self.best_range.parent = self
                                    self.best_range.name = 'best_range'


                                class BestRange(object):
                                    """
                                    
                                    
                                    .. attribute:: range  <key>
                                    
                                    	Number of best paths in additional paths to be selected
                                    	**type**\:  int
                                    
                                    	**range:** 2..3
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best paths
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.range = None
                                        self.group_best = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.range is None:
                                            raise YPYModelError('Key property range is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.range is not None:
                                            return True

                                        if self.group_best is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.best_range is not None:
                                        for child_ref in self.best_range:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info']


                            class GroupBest(object):
                                """
                                Select group\-best paths
                                
                                .. attribute:: best
                                
                                	Number of best paths in additional paths to be selected
                                	**type**\:  int
                                
                                	**range:** 2..3
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.best = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.best is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.GroupBest']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:all'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.best is not None and self.best._has_data():
                                    return True

                                if self.group_best is not None and self.group_best._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All']['meta_info']


                        class Best(object):
                            """
                            Select best N paths
                            
                            .. attribute:: best_range
                            
                            	
                            	**type**\: list of    :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.best_range = YList()
                                self.best_range.parent = self
                                self.best_range.name = 'best_range'


                            class BestRange(object):
                                """
                                
                                
                                .. attribute:: range  <key>
                                
                                	Number of best paths in additional paths to be selected
                                	**type**\:  int
                                
                                	**range:** 2..3
                                
                                .. attribute:: all
                                
                                	Select all available paths
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: group_best
                                
                                	Select group\-best paths
                                	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.range = None
                                    self.all = None
                                    self.group_best = None


                                class GroupBest(object):
                                    """
                                    Select group\-best paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.all = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.all is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.range is None:
                                        raise YPYModelError('Key property range is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.range is not None:
                                        return True

                                    if self.all is not None:
                                        return True

                                    if self.group_best is not None and self.group_best._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.best_range is not None:
                                    for child_ref in self.best_range:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best']['meta_info']


                        class GroupBest(object):
                            """
                            Select group\-best paths
                            
                            .. attribute:: all
                            
                            	Select all available paths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: best
                            
                            	Number of best paths in additional paths to be selected
                            	**type**\:  int
                            
                            	**range:** 2..3
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.all = None
                                self.best = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.all is not None:
                                    return True

                                if self.best is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.GroupBest']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None and self.all._has_data():
                                return True

                            if self.best is not None and self.best._has_data():
                                return True

                            if self.group_best is not None and self.group_best._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths']['meta_info']


                    class DiversePath(object):
                        """
                        Advertise diverse path
                        
                        .. attribute:: backup
                        
                        	Diverse path can be backup path
                        	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.DiversePath.Backup>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: mpath
                        
                        	Diverse path can be multipath
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.backup = None
                            self.mpath = None


                        class Backup(object):
                            """
                            Diverse path can be backup path
                            
                            .. attribute:: mpath
                            
                            	Diverse path can be multipath
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.mpath = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:backup'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.mpath is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Neighbor.Advertise.DiversePath.Backup']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:diverse-path'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.backup is not None and self.backup._has_data():
                                return True

                            if self.mpath is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.Advertise.DiversePath']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:advertise'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.additional_paths is not None and self.additional_paths._has_data():
                            return True

                        if self.best_external is not None:
                            return True

                        if self.diverse_path is not None and self.diverse_path._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.Advertise']['meta_info']


                class AdvertiseMap(object):
                    """
                    specify route\-map for conditional advertisement
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.AdvertiseMap.Name>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = YList()
                        self.name.parent = self
                        self.name.name = 'name'


                    class Name(object):
                        """
                        
                        
                        .. attribute:: word  <key>
                        
                        	advertise route\-map name
                        	**type**\:  str
                        
                        .. attribute:: exist_map
                        
                        	condition route\-map name
                        	**type**\:  str
                        
                        .. attribute:: non_exist_map
                        
                        	condition route\-map name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.word = None
                            self.exist_map = None
                            self.non_exist_map = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.word is None:
                                raise YPYModelError('Key property word is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:name[Cisco-IOS-XE-bgp:word = ' + str(self.word) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.word is not None:
                                return True

                            if self.exist_map is not None:
                                return True

                            if self.non_exist_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.AdvertiseMap.Name']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:advertise-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            for child_ref in self.name:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.AdvertiseMap']['meta_info']


                class Aigp(object):
                    """
                    Enable a AIGP on neighbor
                    
                    .. attribute:: send
                    
                    	Cost community or MED carrying AIGP VALUE
                    	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Aigp.Send>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.send = Native.Router.Bgp.Neighbor.Aigp.Send()
                        self.send.parent = self


                    class Send(object):
                        """
                        Cost community or MED carrying AIGP VALUE
                        
                        .. attribute:: cost_community
                        
                        	Cost extended community carrying AIGP Value
                        	**type**\:   :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity>`
                        
                        .. attribute:: med
                        
                        	Med carrying AIGP Value
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cost_community = Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity()
                            self.cost_community.parent = self
                            self.med = None


                        class CostCommunity(object):
                            """
                            Cost extended community carrying AIGP Value
                            
                            .. attribute:: cc_range
                            
                            	
                            	**type**\: list of    :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cc_range = YList()
                                self.cc_range.parent = self
                                self.cc_range.name = 'cc_range'


                            class CcRange(object):
                                """
                                
                                
                                .. attribute:: range  <key>
                                
                                	Community ID
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: poi
                                
                                	Point of Insertion
                                	**type**\:   :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.range = None
                                    self.poi = Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                    self.poi.parent = self


                                class Poi(object):
                                    """
                                    Point of Insertion
                                    
                                    .. attribute:: igp_cost
                                    
                                    	Point of Insertion After IGP
                                    	**type**\:   :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: pre_bestpath
                                    
                                    	Point of Insertion At Beginning
                                    	**type**\:   :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.igp_cost = None
                                        self.pre_bestpath = None


                                    class IgpCost(object):
                                        """
                                        Point of Insertion After IGP
                                        
                                        .. attribute:: transitive
                                        
                                        	Cost community is Transitive
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.transitive = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:igp-cost'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.transitive is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost']['meta_info']


                                    class PreBestpath(object):
                                        """
                                        Point of Insertion At Beginning
                                        
                                        .. attribute:: transitive
                                        
                                        	Cost community is Transitive
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.transitive = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:pre-bestpath'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.transitive is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:poi'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.igp_cost is not None and self.igp_cost._has_data():
                                            return True

                                        if self.pre_bestpath is not None and self.pre_bestpath._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.range is None:
                                        raise YPYModelError('Key property range is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:cc-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.range is not None:
                                        return True

                                    if self.poi is not None and self.poi._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:cost-community'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cc_range is not None:
                                    for child_ref in self.cc_range:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cost_community is not None and self.cost_community._has_data():
                                return True

                            if self.med is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.Aigp.Send']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:aigp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.send is not None and self.send._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.Aigp']['meta_info']


                class Announce(object):
                    """
                    Announce RPKI State using an Extended Community
                    
                    .. attribute:: rpki
                    
                    	Announce RPKI information using an Extended Community
                    	**type**\:   :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Announce.Rpki>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.rpki = Native.Router.Bgp.Neighbor.Announce.Rpki()
                        self.rpki.parent = self


                    class Rpki(object):
                        """
                        Announce RPKI information using an Extended Community
                        
                        .. attribute:: state
                        
                        	Announce RPKI State information using an Extended Community
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.state = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:rpki'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.state is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.Announce.Rpki']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:announce'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.rpki is not None and self.rpki._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.Announce']['meta_info']


                class AllowasIn(object):
                    """
                    Accept as\-path with my AS present in it
                    
                    .. attribute:: as_number
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..10
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.as_number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:allowas-in'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.as_number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.AllowasIn']['meta_info']


                class AsOverride(object):
                    """
                    Override matching AS\-number while sending update
                    
                    .. attribute:: disable
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:as-override'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.AsOverride']['meta_info']


                class Capability(object):
                    """
                    Advertise capability to the peer
                    
                    .. attribute:: orf
                    
                    	Advertise ORF capability to the peer
                    	**type**\:   :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Capability.Orf>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.orf = Native.Router.Bgp.Neighbor.Capability.Orf()
                        self.orf.parent = self


                    class Orf(object):
                        """
                        Advertise ORF capability to the peer
                        
                        .. attribute:: prefix_list
                        
                        	Advertise prefixlist ORF capability to this neighbor
                        	**type**\:  list of   :py:class:`PrefixListEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Capability.Orf.PrefixListEnum>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix_list = YLeafList()
                            self.prefix_list.parent = self
                            self.prefix_list.name = 'prefix_list'

                        class PrefixListEnum(Enum):
                            """
                            PrefixListEnum

                            Advertise prefixlist ORF capability to this neighbor

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: send = 2

                            """

                            both = 0

                            receive = 1

                            send = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Neighbor.Capability.Orf.PrefixListEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:orf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix_list is not None:
                                for child in self.prefix_list:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.Capability.Orf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:capability'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.orf is not None and self.orf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.Capability']['meta_info']


                class DefaultOriginate(object):
                    """
                    Originate default route to this neighbour
                    
                    .. attribute:: route_map
                    
                    	Route\-map to specify criteria to originate default
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:default-originate'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.DefaultOriginate']['meta_info']


                class DistributeList(object):
                    """
                    Filter updates to/from this neighbor
                    
                    .. attribute:: inout  <key>
                    
                    	
                    	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.DistributeList.InoutEnum>`
                    
                    .. attribute:: accesslist
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..199
                    
                    	**mandatory**\: True
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 1300..2699
                    
                    	**mandatory**\: True
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    	**mandatory**\: True
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inout = None
                        self.accesslist = None

                    class InoutEnum(Enum):
                        """
                        InoutEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.DistributeList.InoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.inout is None:
                            raise YPYModelError('Key property inout is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:distribute-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inout is not None:
                            return True

                        if self.accesslist is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.DistributeList']['meta_info']


                class EbgpMultihop(object):
                    """
                    Allow EBGP neighbors not on directly connected networks
                    
                    .. attribute:: max_hop
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.max_hop = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ebgp-multihop'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.max_hop is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.EbgpMultihop']['meta_info']


                class FallOver(object):
                    """
                    session fall on peer route lost
                    
                    .. attribute:: bfd
                    
                    	Use BFD to detect failure
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.FallOver.Bfd>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bfd = None


                    class Bfd(object):
                        """
                        Use BFD to detect failure
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.FallOver.Bfd']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:fall-over'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.FallOver']['meta_info']


                class FilterList(object):
                    """
                    Establish BGP filters
                    
                    .. attribute:: inout  <key>
                    
                    	
                    	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.FilterList.InoutEnum>`
                    
                    .. attribute:: as_path_list
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..500
                    
                    	**mandatory**\: True
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inout = None
                        self.as_path_list = None

                    class InoutEnum(Enum):
                        """
                        InoutEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.FilterList.InoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.inout is None:
                            raise YPYModelError('Key property inout is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:filter-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inout is not None:
                            return True

                        if self.as_path_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.FilterList']['meta_info']


                class Inherit(object):
                    """
                    Inherit a template
                    
                    .. attribute:: peer_policy
                    
                    	Inherit a peer\-policy template
                    	**type**\:  str
                    
                    .. attribute:: peer_session
                    
                    	Inherit a peer\-session template
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.peer_policy = None
                        self.peer_session = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:inherit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.peer_policy is not None:
                            return True

                        if self.peer_session is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.Inherit']['meta_info']


                class LogNeighborChanges(object):
                    """
                    Log neighbor up/down and reset reason
                    
                    .. attribute:: disable
                    
                    	disable
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:log-neighbor-changes'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.LogNeighborChanges']['meta_info']


                class MaximumPrefix(object):
                    """
                    Maximum number of prefixes accepted from this peer
                    
                    .. attribute:: max_prefix_no
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: restart
                    
                    	Restart bgp connection after limit is exceeded
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: threshold
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..100
                    
                    .. attribute:: warning_only
                    
                    	Only give warning message when limit is exceeded
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.max_prefix_no = None
                        self.restart = None
                        self.threshold = None
                        self.warning_only = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:maximum-prefix'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.max_prefix_no is not None:
                            return True

                        if self.restart is not None:
                            return True

                        if self.threshold is not None:
                            return True

                        if self.warning_only is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.MaximumPrefix']['meta_info']


                class Password(object):
                    """
                    Set a password
                    
                    .. attribute:: enctype
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..7
                    
                    .. attribute:: text
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enctype = None
                        self.text = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:password'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enctype is not None:
                            return True

                        if self.text is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.Password']['meta_info']


                class PrefixList(object):
                    """
                    Filter updates to/from this neighbor
                    
                    .. attribute:: inout  <key>
                    
                    	
                    	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.PrefixList.InoutEnum>`
                    
                    .. attribute:: prefix_list_name
                    
                    	
                    	**type**\:  str
                    
                    	**mandatory**\: True
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inout = None
                        self.prefix_list_name = None

                    class InoutEnum(Enum):
                        """
                        InoutEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.PrefixList.InoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.inout is None:
                            raise YPYModelError('Key property inout is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:prefix-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inout is not None:
                            return True

                        if self.prefix_list_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.PrefixList']['meta_info']


                class PathAttribute(object):
                    """
                    BGP optional attribute filtering
                    
                    .. attribute:: discard
                    
                    	Discard matching path\-attribute for this neighbor
                    	**type**\:   :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.PathAttribute.Discard>`
                    
                    .. attribute:: treat_as_withdraw
                    
                    	Treat\-as\-withdraw matching path\-attribute for this neighbor
                    	**type**\:   :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.discard = Native.Router.Bgp.Neighbor.PathAttribute.Discard()
                        self.discard.parent = self
                        self.treat_as_withdraw = Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw()
                        self.treat_as_withdraw.parent = self


                    class Discard(object):
                        """
                        Discard matching path\-attribute for this neighbor
                        
                        .. attribute:: attibute_type
                        
                        	
                        	**type**\:   :py:class:`Attibute_Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.PathAttribute.Discard.Attibute_Type>`
                        
                        .. attribute:: range
                        
                        	
                        	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.PathAttribute.Discard.Range>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.attibute_type = Native.Router.Bgp.Neighbor.PathAttribute.Discard.Attibute_Type()
                            self.attibute_type.parent = self
                            self.range = Native.Router.Bgp.Neighbor.PathAttribute.Discard.Range()
                            self.range.parent = self


                        class Attibute_Type(object):
                            """
                            
                            
                            .. attribute:: in_
                            
                            	Perform inbound path\-attribute filtering
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: type
                            
                            	path attribute type
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None
                                self.type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:attibute_type'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Neighbor.PathAttribute.Discard.Attibute_Type']['meta_info']


                        class Range(object):
                            """
                            
                            
                            .. attribute:: end_value
                            
                            	path attribute range end value
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: in_
                            
                            	Perform inbound path\-attribute filtering
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: start_value
                            
                            	path attribute range start value
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.end_value = None
                                self.in_ = None
                                self.start_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:range'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.end_value is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                if self.start_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Neighbor.PathAttribute.Discard.Range']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:discard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.attibute_type is not None and self.attibute_type._has_data():
                                return True

                            if self.range is not None and self.range._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.PathAttribute.Discard']['meta_info']


                    class TreatAsWithdraw(object):
                        """
                        Treat\-as\-withdraw matching path\-attribute for this neighbor
                        
                        .. attribute:: attibute_type
                        
                        	
                        	**type**\:   :py:class:`Attibute_Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type>`
                        
                        .. attribute:: range
                        
                        	
                        	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.attibute_type = Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type()
                            self.attibute_type.parent = self
                            self.range = Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                            self.range.parent = self


                        class Attibute_Type(object):
                            """
                            
                            
                            .. attribute:: in_
                            
                            	Perform inbound path\-attribute filtering
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: type
                            
                            	path attribute type
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_ = None
                                self.type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:attibute_type'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_ is not None:
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type']['meta_info']


                        class Range(object):
                            """
                            
                            
                            .. attribute:: end_value
                            
                            	path attribute range end value
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: in_
                            
                            	Perform inbound path\-attribute filtering
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: start_value
                            
                            	path attribute range start value
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.end_value = None
                                self.in_ = None
                                self.start_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:range'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.end_value is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                if self.start_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.Range']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:treat-as-withdraw'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.attibute_type is not None and self.attibute_type._has_data():
                                return True

                            if self.range is not None and self.range._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:path-attribute'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.discard is not None and self.discard._has_data():
                            return True

                        if self.treat_as_withdraw is not None and self.treat_as_withdraw._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.PathAttribute']['meta_info']


                class RouteMap(object):
                    """
                    Apply route map to neighbor
                    
                    .. attribute:: inout  <key>
                    
                    	
                    	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.RouteMap.InoutEnum>`
                    
                    .. attribute:: route_map_name
                    
                    	
                    	**type**\:  str
                    
                    	**mandatory**\: True
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.inout = None
                        self.route_map_name = None

                    class InoutEnum(Enum):
                        """
                        InoutEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.RouteMap.InoutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.inout is None:
                            raise YPYModelError('Key property inout is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:route-map[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.inout is not None:
                            return True

                        if self.route_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.RouteMap']['meta_info']


                class SendCommunity(object):
                    """
                    Send Community attribute to this neighbor
                    
                    .. attribute:: send_community_where
                    
                    	
                    	**type**\:   :py:class:`SendCommunityWhereEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.SendCommunity.SendCommunityWhereEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.send_community_where = None

                    class SendCommunityWhereEnum(Enum):
                        """
                        SendCommunityWhereEnum

                        .. data:: both = 0

                        .. data:: extended = 1

                        .. data:: standard = 2

                        """

                        both = 0

                        extended = 1

                        standard = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.SendCommunity.SendCommunityWhereEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send-community'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.send_community_where is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.SendCommunity']['meta_info']


                class SendLabel(object):
                    """
                    Send NLRI + MPLS Label to this peer
                    
                    .. attribute:: send_label_explicit
                    
                    	
                    	**type**\:   :py:class:`SendLabelExplicitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.SendLabel.SendLabelExplicitEnum>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.send_label_explicit = None

                    class SendLabelExplicitEnum(Enum):
                        """
                        SendLabelExplicitEnum

                        .. data:: explicit_null = 0

                        """

                        explicit_null = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.SendLabel.SendLabelExplicitEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send-label'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.send_label_explicit is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.SendLabel']['meta_info']


                class SlowPeer(object):
                    """
                    Configure slow\-peer
                    
                    .. attribute:: detection
                    
                    	Slow\-peer detection
                    	**type**\:   :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.SlowPeer.Detection>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: split_update_group
                    
                    	Configure slow\-peer split\-update\-group
                    	**type**\:   :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.detection = None
                        self.split_update_group = Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup()
                        self.split_update_group.parent = self


                    class Detection(object):
                        """
                        Slow\-peer detection
                        
                        .. attribute:: threshold
                        
                        	Threshold value (seconds)
                        	**type**\:  int
                        
                        	**range:** 120..3600
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.threshold = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:detection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.SlowPeer.Detection']['meta_info']


                    class SplitUpdateGroup(object):
                        """
                        Configure slow\-peer split\-update\-group
                        
                        .. attribute:: dynamic
                        
                        	Dynamically split the slow peer to slow\-update group
                        	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dynamic = None


                        class Dynamic(object):
                            """
                            Dynamically split the slow peer to slow\-update group
                            
                            .. attribute:: permanent
                            
                            	Keep the slow\-peer permanently in slow\-update group
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.permanent = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:dynamic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.permanent is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:split-update-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dynamic is not None and self.dynamic._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:slow-peer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.detection is not None and self.detection._has_data():
                            return True

                        if self.split_update_group is not None and self.split_update_group._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.SlowPeer']['meta_info']


                class Timers(object):
                    """
                    BGP per neighbor timers
                    
                    .. attribute:: holdtime
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: keepalive_interval
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: minimum_neighbor_hold
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.holdtime = None
                        self.keepalive_interval = None
                        self.minimum_neighbor_hold = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:timers'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.holdtime is not None:
                            return True

                        if self.keepalive_interval is not None:
                            return True

                        if self.minimum_neighbor_hold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.Timers']['meta_info']


                class TranslateUpdate(object):
                    """
                    Translate Update to MBGP format
                    
                    .. attribute:: ipv4
                    
                    	Address Family
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4()
                        self.ipv4.parent = self


                    class Ipv4(object):
                        """
                        Address Family
                        
                        .. attribute:: multicast
                        
                        	Address Family modifier
                        	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.multicast = None


                        class Multicast(object):
                            """
                            Address Family modifier
                            
                            .. attribute:: unicast
                            
                            	Address Family modifier
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.unicast = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:multicast'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.unicast is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4.Multicast']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.multicast is not None and self.multicast._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:translate-update'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.TranslateUpdate']['meta_info']


                class Transport(object):
                    """
                    Transport options
                    
                    .. attribute:: connection_mode
                    
                    	Specify passive or active connection
                    	**type**\:   :py:class:`ConnectionModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Transport.ConnectionModeEnum>`
                    
                    .. attribute:: multi_session
                    
                    	Use Multi\-session for transport
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: path_mtu_discovery
                    
                    	Use transport path MTU discovery
                    	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Transport.PathMtuDiscovery>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.connection_mode = None
                        self.multi_session = None
                        self.path_mtu_discovery = None

                    class ConnectionModeEnum(Enum):
                        """
                        ConnectionModeEnum

                        Specify passive or active connection

                        .. data:: active = 0

                        .. data:: passive = 1

                        """

                        active = 0

                        passive = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.Transport.ConnectionModeEnum']



                    class PathMtuDiscovery(object):
                        """
                        Use transport path MTU discovery
                        
                        .. attribute:: disable
                        
                        	disable
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:path-mtu-discovery'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.Transport.PathMtuDiscovery']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:transport'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.connection_mode is not None:
                            return True

                        if self.multi_session is not None:
                            return True

                        if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.Transport']['meta_info']


                class TtlSecurity(object):
                    """
                    BGP ttl security check
                    
                    .. attribute:: hops
                    
                    	IP hops
                    	**type**\:  int
                    
                    	**range:** 1..254
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.hops = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ttl-security'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.hops is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.TtlSecurity']['meta_info']


                class UpdateSource(object):
                    """
                    Source of routing updates
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.UpdateSource.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.UpdateSource.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.UpdateSource.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.UpdateSource.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Router.Bgp.Neighbor.UpdateSource.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Router.Bgp.Neighbor.UpdateSource.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Router.Bgp.Neighbor.UpdateSource.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Router.Bgp.Neighbor.UpdateSource.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.UpdateSource.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.UpdateSource.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.UpdateSource.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.UpdateSource.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:update-source'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.UpdateSource']['meta_info']


                class HaMode(object):
                    """
                    high availability mode
                    
                    .. attribute:: graceful_restart
                    
                    	graceful\-restart for this peer
                    	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.HaMode.GracefulRestart>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: sso
                    
                    	stateful\-switchover support for this peer
                    	**type**\:   :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.HaMode.Sso>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.graceful_restart = None
                        self.sso = None


                    class GracefulRestart(object):
                        """
                        graceful\-restart for this peer
                        
                        .. attribute:: disable
                        
                        	disable graceful\-restart
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:graceful-restart'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.HaMode.GracefulRestart']['meta_info']


                    class Sso(object):
                        """
                        stateful\-switchover support for this peer
                        
                        .. attribute:: disable
                        
                        	disable stateful\-switchover
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:sso'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Neighbor.HaMode.Sso']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ha-mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.graceful_restart is not None and self.graceful_restart._has_data():
                            return True

                        if self.sso is not None and self.sso._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Neighbor.HaMode']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:neighbor[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.activate is not None:
                        return True

                    if self.additional_paths is not None and self.additional_paths._has_data():
                        return True

                    if self.advertise is not None and self.advertise._has_data():
                        return True

                    if self.advertise_map is not None and self.advertise_map._has_data():
                        return True

                    if self.advertisement_interval is not None:
                        return True

                    if self.aigp is not None and self.aigp._has_data():
                        return True

                    if self.allow_policy is not None:
                        return True

                    if self.allowas_in is not None and self.allowas_in._has_data():
                        return True

                    if self.announce is not None and self.announce._has_data():
                        return True

                    if self.as_override is not None and self.as_override._has_data():
                        return True

                    if self.capability is not None and self.capability._has_data():
                        return True

                    if self.cluster_id is not None:
                        return True

                    if self.default_originate is not None and self.default_originate._has_data():
                        return True

                    if self.description is not None:
                        return True

                    if self.disable_connected_check is not None:
                        return True

                    if self.distribute_list is not None:
                        for child_ref in self.distribute_list:
                            if child_ref._has_data():
                                return True

                    if self.dmzlink_bw is not None:
                        return True

                    if self.ebgp_multihop is not None and self.ebgp_multihop._has_data():
                        return True

                    if self.fall_over is not None and self.fall_over._has_data():
                        return True

                    if self.filter_list is not None:
                        for child_ref in self.filter_list:
                            if child_ref._has_data():
                                return True

                    if self.ha_mode is not None and self.ha_mode._has_data():
                        return True

                    if self.inherit is not None and self.inherit._has_data():
                        return True

                    if self.local_as is not None and self.local_as._has_data():
                        return True

                    if self.log_neighbor_changes is not None and self.log_neighbor_changes._has_data():
                        return True

                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                        return True

                    if self.next_hop_self is not None:
                        return True

                    if self.next_hop_unchanged is not None:
                        return True

                    if self.password is not None and self.password._has_data():
                        return True

                    if self.path_attribute is not None and self.path_attribute._has_data():
                        return True

                    if self.peer_group is not None and self.peer_group._has_data():
                        return True

                    if self.prefix_list is not None:
                        for child_ref in self.prefix_list:
                            if child_ref._has_data():
                                return True

                    if self.remote_as is not None:
                        return True

                    if self.remove_private_as is not None:
                        return True

                    if self.route_map is not None:
                        for child_ref in self.route_map:
                            if child_ref._has_data():
                                return True

                    if self.route_reflector_client is not None:
                        return True

                    if self.route_reflector_cluster_id is not None:
                        return True

                    if self.send_community is not None and self.send_community._has_data():
                        return True

                    if self.send_label is not None and self.send_label._has_data():
                        return True

                    if self.shutdown is not None:
                        return True

                    if self.slow_peer is not None and self.slow_peer._has_data():
                        return True

                    if self.soft_reconfiguration is not None:
                        return True

                    if self.timers is not None and self.timers._has_data():
                        return True

                    if self.translate_update is not None and self.translate_update._has_data():
                        return True

                    if self.transport is not None and self.transport._has_data():
                        return True

                    if self.ttl_security is not None and self.ttl_security._has_data():
                        return True

                    if self.unsuppress_map is not None:
                        return True

                    if self.update_source is not None and self.update_source._has_data():
                        return True

                    if self.version is not None:
                        return True

                    if self.weight is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Bgp.Neighbor']['meta_info']


            class Network(object):
                """
                Specify a network to announce via BGP
                
                .. attribute:: number  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                
                
                ----
                .. attribute:: backdoor
                
                	Specify a BGP backdoor route
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mask
                
                	Network mask
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: route_map
                
                	Route\-map to modify the attributes
                	**type**\:  str
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.backdoor = None
                    self.mask = None
                    self.route_map = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.number is None:
                        raise YPYModelError('Key property number is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:network[Cisco-IOS-XE-bgp:number = ' + str(self.number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.backdoor is not None:
                        return True

                    if self.mask is not None:
                        return True

                    if self.route_map is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Bgp.Network']['meta_info']


            class Redistribute(object):
                """
                Redistribute information from another routing protocol
                
                .. attribute:: application
                
                	Application
                	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Application>`
                
                	**presence node**\: True
                
                .. attribute:: bgp
                
                	Border Gateway Protocol (BGP)
                	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Bgp_>`
                
                .. attribute:: connected
                
                	Connected
                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Connected>`
                
                	**presence node**\: True
                
                .. attribute:: dvmrp
                
                	Redistribution of DVMRP into BGP IPv4 Multicast
                	**type**\:   :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Dvmrp>`
                
                	**presence node**\: True
                
                .. attribute:: eigrp
                
                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                	**type**\:   :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Eigrp>`
                
                .. attribute:: isis
                
                	ISO IS\-IS
                	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Isis>`
                
                .. attribute:: iso_igrp
                
                	IGRP for OSI networks
                	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.IsoIgrp>`
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol
                	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Lisp>`
                
                	**presence node**\: True
                
                .. attribute:: mobile
                
                	Mobile routes
                	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Mobile>`
                
                	**presence node**\: True
                
                .. attribute:: odr
                
                	On Demand stub Routes
                	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Odr>`
                
                	**presence node**\: True
                
                .. attribute:: ospf
                
                	Open Shortest Path First (OSPF)
                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Ospf>`
                
                .. attribute:: rip
                
                	Routing Information Protocol (RIP)
                	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Rip>`
                
                	**presence node**\: True
                
                .. attribute:: static
                
                	Static routes
                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Static>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.application = None
                    self.bgp = Native.Router.Bgp.Redistribute.Bgp_()
                    self.bgp.parent = self
                    self.connected = None
                    self.dvmrp = None
                    self.eigrp = Native.Router.Bgp.Redistribute.Eigrp()
                    self.eigrp.parent = self
                    self.isis = Native.Router.Bgp.Redistribute.Isis()
                    self.isis.parent = self
                    self.iso_igrp = Native.Router.Bgp.Redistribute.IsoIgrp()
                    self.iso_igrp.parent = self
                    self.lisp = None
                    self.mobile = None
                    self.odr = None
                    self.ospf = YList()
                    self.ospf.parent = self
                    self.ospf.name = 'ospf'
                    self.rip = None
                    self.static = None


                class Application(object):
                    """
                    Application
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Application.Name>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.name = YList()
                        self.name.parent = self
                        self.name.name = 'name'


                    class Name(object):
                        """
                        
                        
                        .. attribute:: name  <key>
                        
                        	WORD;;Route map name
                        	**type**\:  str
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.metric = None
                            self.route_map = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:name[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.metric is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Redistribute.Application.Name']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:application'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.name is not None:
                            for child_ref in self.name:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Redistribute.Application']['meta_info']


                class Bgp_(object):
                    """
                    Border Gateway Protocol (BGP)
                    
                    .. attribute:: as_no
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.as_no = None
                        self.metric = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.as_no is not None:
                            return True

                        if self.metric is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Redistribute.Bgp_']['meta_info']


                class Connected(object):
                    """
                    Connected
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.metric = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:connected'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.metric is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Redistribute.Connected']['meta_info']


                class Dvmrp(object):
                    """
                    Redistribution of DVMRP into BGP IPv4 Multicast
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.metric = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:dvmrp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.metric is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Redistribute.Dvmrp']['meta_info']


                class Eigrp(object):
                    """
                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                    
                    .. attribute:: as_no
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.as_no = None
                        self.metric = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:eigrp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.as_no is not None:
                            return True

                        if self.metric is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Redistribute.Eigrp']['meta_info']


                class Isis(object):
                    """
                    ISO IS\-IS
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Isis.Default>`
                    
                    .. attribute:: isis_area
                    
                    	
                    	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Isis.IsisArea>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.default = Native.Router.Bgp.Redistribute.Isis.Default()
                        self.default.parent = self
                        self.isis_area = YList()
                        self.isis_area.parent = self
                        self.isis_area.name = 'isis_area'


                    class IsisArea(object):
                        """
                        
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: clns
                        
                        	Redistribution of OSI dynamic routes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ip
                        
                        	Redistribution of IP dynamic routes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: routes
                        
                        	
                        	**type**\:   :py:class:`RoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Isis.IsisArea.RoutesEnum>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.clns = None
                            self.ip = None
                            self.metric = None
                            self.route_map = None
                            self.routes = None

                        class RoutesEnum(Enum):
                            """
                            RoutesEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            .. data:: level_1_2 = 2

                            """

                            level_1 = 0

                            level_2 = 1

                            level_1_2 = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Redistribute.Isis.IsisArea.RoutesEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:isis-area[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.clns is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.metric is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            if self.routes is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Redistribute.Isis.IsisArea']['meta_info']


                    class Default(object):
                        """
                        
                        
                        .. attribute:: clns
                        
                        	Redistribution of OSI dynamic routes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ip
                        
                        	Redistribution of IP dynamic routes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: routes
                        
                        	
                        	**type**\:   :py:class:`RoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Isis.Default.RoutesEnum>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.clns = None
                            self.ip = None
                            self.metric = None
                            self.route_map = None
                            self.routes = None

                        class RoutesEnum(Enum):
                            """
                            RoutesEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            .. data:: level_1_2 = 2

                            """

                            level_1 = 0

                            level_2 = 1

                            level_1_2 = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Redistribute.Isis.Default.RoutesEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.clns is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.metric is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            if self.routes is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Redistribute.Isis.Default']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:isis'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.default is not None and self.default._has_data():
                            return True

                        if self.isis_area is not None:
                            for child_ref in self.isis_area:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Redistribute.Isis']['meta_info']


                class Lisp(object):
                    """
                    Locator/ID Separation Protocol
                    
                    .. attribute:: include_connected
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.include_connected = None
                        self.metric = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:lisp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.include_connected is not None:
                            return True

                        if self.metric is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Redistribute.Lisp']['meta_info']


                class IsoIgrp(object):
                    """
                    IGRP for OSI networks
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.IsoIgrp.Default>`
                    
                    .. attribute:: iso_igrp_area
                    
                    	
                    	**type**\: list of    :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.IsoIgrp.IsoIgrpArea>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.default = Native.Router.Bgp.Redistribute.IsoIgrp.Default()
                        self.default.parent = self
                        self.iso_igrp_area = YList()
                        self.iso_igrp_area.parent = self
                        self.iso_igrp_area.name = 'iso_igrp_area'


                    class IsoIgrpArea(object):
                        """
                        
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.metric = None
                            self.route_map = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:iso-igrp-area[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.metric is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Redistribute.IsoIgrp.IsoIgrpArea']['meta_info']


                    class Default(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = None
                            self.route_map = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Redistribute.IsoIgrp.Default']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:iso-igrp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.default is not None and self.default._has_data():
                            return True

                        if self.iso_igrp_area is not None:
                            for child_ref in self.iso_igrp_area:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Redistribute.IsoIgrp']['meta_info']


                class Mobile(object):
                    """
                    Mobile routes
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.metric = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:mobile'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.metric is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Redistribute.Mobile']['meta_info']


                class Odr(object):
                    """
                    On Demand stub Routes
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.metric = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:odr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.metric is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Redistribute.Odr']['meta_info']


                class Ospf(object):
                    """
                    Open Shortest Path First (OSPF)
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: non_vrf
                    
                    	
                    	**type**\:   :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Ospf.NonVrf>`
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding Instance
                    	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Ospf.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.non_vrf = Native.Router.Bgp.Redistribute.Ospf.NonVrf()
                        self.non_vrf.parent = self
                        self.vrf = YList()
                        self.vrf.parent = self
                        self.vrf.name = 'vrf'


                    class Vrf(object):
                        """
                        VPN Routing/Forwarding Instance
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: match
                        
                        	
                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Ospf.Vrf.Match>`
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.match = Native.Router.Bgp.Redistribute.Ospf.Vrf.Match()
                            self.match.parent = self
                            self.metric = None
                            self.route_map = None


                        class Match(object):
                            """
                            
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:match'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Redistribute.Ospf.Vrf.Match']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:vrf[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.match is not None and self.match._has_data():
                                return True

                            if self.metric is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Redistribute.Ospf.Vrf']['meta_info']


                    class NonVrf(object):
                        """
                        
                        
                        .. attribute:: match
                        
                        	
                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Ospf.NonVrf.Match>`
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.match = Native.Router.Bgp.Redistribute.Ospf.NonVrf.Match()
                            self.match.parent = self
                            self.metric = None
                            self.route_map = None


                        class Match(object):
                            """
                            
                            
                            .. attribute:: external
                            
                            	Redistribute OSPF external routes
                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                            
                            .. attribute:: external2
                            
                            	Redistribute OSPF external routes
                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                            
                            .. attribute:: internal
                            
                            	Redistribute OSPF internal routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: nssa_external
                            
                            	Redistribute OSPF NSSA external routes
                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.external = None
                                self.external2 = None
                                self.internal = None
                                self.metric = None
                                self.nssa_external = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:match'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.external is not None:
                                    return True

                                if self.external2 is not None:
                                    return True

                                if self.internal is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.nssa_external is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Redistribute.Ospf.NonVrf.Match']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:non-vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.match is not None and self.match._has_data():
                                return True

                            if self.metric is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Redistribute.Ospf.NonVrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ospf[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.non_vrf is not None and self.non_vrf._has_data():
                            return True

                        if self.vrf is not None:
                            for child_ref in self.vrf:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Redistribute.Ospf']['meta_info']


                class Rip(object):
                    """
                    Routing Information Protocol (RIP)
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.metric = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:rip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.metric is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Redistribute.Rip']['meta_info']


                class Static(object):
                    """
                    Static routes
                    
                    .. attribute:: clns
                    
                    	Redistribution of OSI dynamic routes
                    	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Static.Clns>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ip
                    
                    	
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Static.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.clns = None
                        self.ip = None
                        self.metric = None
                        self.route_map = None


                    class Clns(object):
                        """
                        Redistribution of OSI dynamic routes
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.metric = None
                            self.route_map = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:clns'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.metric is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Redistribute.Static.Clns']['meta_info']


                    class Ip(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.metric = None
                            self.route_map = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.metric is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Redistribute.Static.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:static'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.clns is not None and self.clns._has_data():
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.metric is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Redistribute.Static']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:redistribute'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.application is not None and self.application._has_data():
                        return True

                    if self.bgp is not None and self.bgp._has_data():
                        return True

                    if self.connected is not None and self.connected._has_data():
                        return True

                    if self.dvmrp is not None and self.dvmrp._has_data():
                        return True

                    if self.eigrp is not None and self.eigrp._has_data():
                        return True

                    if self.isis is not None and self.isis._has_data():
                        return True

                    if self.iso_igrp is not None and self.iso_igrp._has_data():
                        return True

                    if self.lisp is not None and self.lisp._has_data():
                        return True

                    if self.mobile is not None and self.mobile._has_data():
                        return True

                    if self.odr is not None and self.odr._has_data():
                        return True

                    if self.ospf is not None:
                        for child_ref in self.ospf:
                            if child_ref._has_data():
                                return True

                    if self.rip is not None and self.rip._has_data():
                        return True

                    if self.static is not None and self.static._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Bgp.Redistribute']['meta_info']


            class TableMap(object):
                """
                Map external entry attributes into routing table
                
                .. attribute:: filter
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	WORD;;route\-map name
                	**type**\:  str
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.filter = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:table-map'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.filter is not None:
                        return True

                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Bgp.TableMap']['meta_info']


            class Snmp(object):
                """
                Modify snmp parameters
                
                .. attribute:: context
                
                	Configure a SNMP context
                	**type**\:   :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Snmp.Context>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.context = Native.Router.Bgp.Snmp.Context()
                    self.context.parent = self


                class Context(object):
                    """
                    Configure a SNMP context
                    
                    .. attribute:: context_word
                    
                    	
                    	**type**\: list of    :py:class:`Context_Word <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Snmp.Context.Context_Word>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.context_word = YList()
                        self.context_word.parent = self
                        self.context_word.name = 'context_word'


                    class Context_Word(object):
                        """
                        
                        
                        .. attribute:: context_word  <key>
                        
                        	Context Name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.context_word = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.context_word is None:
                                raise YPYModelError('Key property context_word is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:context_word[Cisco-IOS-XE-bgp:context_word = ' + str(self.context_word) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.context_word is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Snmp.Context.Context_Word']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:context'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.context_word is not None:
                            for child_ref in self.context_word:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Snmp.Context']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:snmp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.context is not None and self.context._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Bgp.Snmp']['meta_info']


            class AddressFamily(object):
                """
                Enter Address Family command mode
                
                .. attribute:: no_vrf
                
                	
                	**type**\:   :py:class:`NoVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf>`
                
                .. attribute:: with_vrf
                
                	
                	**type**\:   :py:class:`WithVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.no_vrf = Native.Router.Bgp.AddressFamily.NoVrf()
                    self.no_vrf.parent = self
                    self.with_vrf = Native.Router.Bgp.AddressFamily.WithVrf()
                    self.with_vrf.parent = self


                class WithVrf(object):
                    """
                    
                    
                    .. attribute:: ipv4
                    
                    	Address family
                    	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	Address family
                    	**type**\: list of    :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = YList()
                        self.ipv4.parent = self
                        self.ipv4.name = 'ipv4'
                        self.ipv6 = YList()
                        self.ipv6.parent = self
                        self.ipv6.name = 'ipv6'


                    class Ipv4(object):
                        """
                        Address family
                        
                        .. attribute:: af_name  <key>
                        
                        	
                        	**type**\:   :py:class:`Bgp_Ipv4_Af_TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Bgp_Ipv4_Af_TypeEnum>`
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.af_name = None
                            self.vrf = YList()
                            self.vrf.parent = self
                            self.vrf.name = 'vrf'


                        class Vrf(object):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: aggregate_address
                            
                            	Configure BGP aggregate entries
                            	**type**\:   :py:class:`AggregateAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.AggregateAddress>`
                            
                            .. attribute:: auto_summary
                            
                            	Enable automatic network number summarization
                            	**type**\:  bool
                            
                            .. attribute:: bgp
                            
                            	BGP specific commands
                            	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_>`
                            
                            .. attribute:: default_information
                            
                            	Control distribution of default information
                            	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DefaultInformation>`
                            
                            .. attribute:: default_metric
                            
                            	Set metric of redistributed routes
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: distance
                            
                            	Define an administrative distance
                            	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter networks in routing updates
                            	**type**\: list of    :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList>`
                            
                            .. attribute:: maximum_paths
                            
                            	Forward packets over multiple paths
                            	**type**\:   :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths>`
                            
                            .. attribute:: neighbor
                            
                            	Specify a neighbor router
                            	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor>`
                            
                            .. attribute:: network
                            
                            	Specify a network to announce via BGP
                            	**type**\: list of    :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Network>`
                            
                            .. attribute:: redistribute
                            
                            	Redistribute information from another routing protocol
                            	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute>`
                            
                            .. attribute:: snmp
                            
                            	Modify snmp parameters
                            	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: synchronization
                            
                            	Perform IGP synchronization
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: table_map
                            
                            	Map external entry attributes into routing table
                            	**type**\:   :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.TableMap>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.aggregate_address = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.AggregateAddress()
                                self.aggregate_address.parent = self
                                self.auto_summary = None
                                self.bgp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_()
                                self.bgp.parent = self
                                self.default_information = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DefaultInformation()
                                self.default_information.parent = self
                                self.default_metric = None
                                self.distance = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance()
                                self.distance.parent = self
                                self.distribute_list = YList()
                                self.distribute_list.parent = self
                                self.distribute_list.name = 'distribute_list'
                                self.maximum_paths = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths()
                                self.maximum_paths.parent = self
                                self.neighbor = YList()
                                self.neighbor.parent = self
                                self.neighbor.name = 'neighbor'
                                self.network = YList()
                                self.network.parent = self
                                self.network.name = 'network'
                                self.redistribute = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute()
                                self.redistribute.parent = self
                                self.snmp = None
                                self.synchronization = None
                                self.table_map = None


                            class AggregateAddress(object):
                                """
                                Configure BGP aggregate entries
                                
                                .. attribute:: advertise_map
                                
                                	Set condition to advertise attribute
                                	**type**\:  str
                                
                                .. attribute:: as_override
                                
                                	Override matching AS\-number while sending update
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: as_set
                                
                                	Generate AS set path information
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: attribute_map
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: ipv4_address
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_mask
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: route_map
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: summary_only
                                
                                	Filter more specific routes from updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: suppress_map
                                
                                	Conditionally filter more specific routes from updates
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.advertise_map = None
                                    self.as_override = None
                                    self.as_set = None
                                    self.attribute_map = None
                                    self.ipv4_address = None
                                    self.ipv4_mask = None
                                    self.route_map = None
                                    self.summary_only = None
                                    self.suppress_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:aggregate-address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.advertise_map is not None:
                                        return True

                                    if self.as_override is not None:
                                        return True

                                    if self.as_set is not None:
                                        return True

                                    if self.attribute_map is not None:
                                        return True

                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_mask is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.summary_only is not None:
                                        return True

                                    if self.suppress_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.AggregateAddress']['meta_info']


                            class Bgp_(object):
                                """
                                BGP specific commands
                                
                                .. attribute:: additional_paths
                                
                                	Additional paths in the BGP table
                                	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths>`
                                
                                .. attribute:: advertise_best_external
                                
                                	Advertise best external path to internal peers
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: aggregate_timer
                                
                                	Timer interval
                                	**type**\:  int
                                
                                	**range:** 6..60
                                
                                .. attribute:: always_compare_med
                                
                                	Allow comparing MED from different neighbors
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: asnotation
                                
                                	Change the default asplain notation
                                	**type**\:   :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Asnotation>`
                                
                                .. attribute:: bestpath
                                
                                	Change the default bestpath selection
                                	**type**\:   :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath>`
                                
                                .. attribute:: client_to_client
                                
                                	Configure client to client route reflection
                                	**type**\:   :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ClientToClient>`
                                
                                .. attribute:: cluster_id
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: confederation
                                
                                	AS confederation parameters
                                	**type**\:   :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Confederation>`
                                
                                .. attribute:: consistency_checker
                                
                                	Consistency\-checker
                                	**type**\:   :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ConsistencyChecker>`
                                
                                .. attribute:: dampening
                                
                                	Enable route\-flap dampening
                                	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Dampening>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: default
                                
                                	Configure BGP defaults
                                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Default>`
                                
                                .. attribute:: deterministic_med
                                
                                	Pick the best\-MED path among paths advertised from the neighboring AS
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: dmzlink_bw
                                
                                	Use DMZ Link Bandwidth as weight for BGP multipaths
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: enforce_first_as
                                
                                	Enforce the first AS for EBGP routes(default)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: enhanced_error
                                
                                	Enabled BGP Enhanced error handling
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: fast_external_fallover
                                
                                	Immediately reset session if a link to a directly connected external peer goes down
                                	**type**\:  bool
                                
                                .. attribute:: graceful_restart
                                
                                	Graceful restart capability parameters
                                	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.GracefulRestart>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ha_mode
                                
                                	Select BGP High Availability mode
                                	**type**\:   :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.HaMode>`
                                
                                .. attribute:: inject_map
                                
                                	Routemap which specifies prefixes to inject
                                	**type**\: list of    :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.InjectMap>`
                                
                                .. attribute:: log_neighbor_changes
                                
                                	Log neighbor up/down and reset reason
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: maxas_limit
                                
                                	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                                	**type**\:  int
                                
                                	**range:** 1..2000
                                
                                .. attribute:: maxcommunity_limit
                                
                                	Number of communities in the COMMUNITY attribute
                                	**type**\:  int
                                
                                	**range:** 1..1018
                                
                                .. attribute:: nexthop
                                
                                	Nexthop tracking commands
                                	**type**\:   :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Nexthop>`
                                
                                .. attribute:: nopeerup_delay
                                
                                	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                	**type**\:   :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.NopeerupDelay>`
                                
                                .. attribute:: recursion
                                
                                	recursion rule for the nexthops
                                	**type**\:   :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Recursion>`
                                
                                .. attribute:: redistribute_internal
                                
                                	Allow redistribution of iBGP into IGPs (dangerous)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: regexp
                                
                                	Select regular expression engine
                                	**type**\:   :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Regexp>`
                                
                                .. attribute:: route_map
                                
                                	bgp route\-map commands
                                	**type**\:   :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.RouteMap>`
                                
                                .. attribute:: router_id
                                
                                	Override configured router identifier (peers will reset)
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: scan_time
                                
                                	Configure background scanner interval
                                	**type**\:  int
                                
                                	**range:** 5..60
                                
                                .. attribute:: slow_peer
                                
                                	Configure slow\-peer
                                	**type**\:   :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer>`
                                
                                .. attribute:: soft_reconfig_backup
                                
                                	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: suppress_inactive
                                
                                	Suppress routes that are not in the routing table
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: transport
                                
                                	Transport options
                                	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Transport>`
                                
                                .. attribute:: update_delay
                                
                                	Set the max initial delay for sending update
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: update_group
                                
                                	Manage peers in bgp update groups
                                	**type**\:   :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.UpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.additional_paths = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self.advertise_best_external = None
                                    self.aggregate_timer = None
                                    self.always_compare_med = None
                                    self.asnotation = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Asnotation()
                                    self.asnotation.parent = self
                                    self.bestpath = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath()
                                    self.bestpath.parent = self
                                    self.client_to_client = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ClientToClient()
                                    self.client_to_client.parent = self
                                    self.cluster_id = None
                                    self.confederation = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Confederation()
                                    self.confederation.parent = self
                                    self.consistency_checker = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ConsistencyChecker()
                                    self.consistency_checker.parent = self
                                    self.dampening = None
                                    self.default = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Default()
                                    self.default.parent = self
                                    self.deterministic_med = None
                                    self.dmzlink_bw = None
                                    self.enforce_first_as = None
                                    self.enhanced_error = None
                                    self.fast_external_fallover = None
                                    self.graceful_restart = None
                                    self.ha_mode = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.HaMode()
                                    self.ha_mode.parent = self
                                    self.inject_map = YList()
                                    self.inject_map.parent = self
                                    self.inject_map.name = 'inject_map'
                                    self.log_neighbor_changes = None
                                    self.maxas_limit = None
                                    self.maxcommunity_limit = None
                                    self.nexthop = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Nexthop()
                                    self.nexthop.parent = self
                                    self.nopeerup_delay = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.NopeerupDelay()
                                    self.nopeerup_delay.parent = self
                                    self.recursion = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Recursion()
                                    self.recursion.parent = self
                                    self.redistribute_internal = None
                                    self.regexp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Regexp()
                                    self.regexp.parent = self
                                    self.route_map = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.RouteMap()
                                    self.route_map.parent = self
                                    self.router_id = None
                                    self.scan_time = None
                                    self.slow_peer = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer()
                                    self.slow_peer.parent = self
                                    self.soft_reconfig_backup = None
                                    self.suppress_inactive = None
                                    self.transport = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Transport()
                                    self.transport.parent = self
                                    self.update_delay = None
                                    self.update_group = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.UpdateGroup()
                                    self.update_group.parent = self


                                class Asnotation(object):
                                    """
                                    Change the default asplain notation
                                    
                                    .. attribute:: dot
                                    
                                    	asdot notation
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dot = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:asnotation'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dot is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Asnotation']['meta_info']


                                class NopeerupDelay(object):
                                    """
                                    Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                    
                                    .. attribute:: cold_boot
                                    
                                    	Delay in seconds
                                    	**type**\:  int
                                    
                                    	**range:** 1..3600
                                    
                                    .. attribute:: nsf_switchover
                                    
                                    	Delay in seconds
                                    	**type**\:  int
                                    
                                    	**range:** 1..3600
                                    
                                    .. attribute:: post_boot
                                    
                                    	Delay in seconds
                                    	**type**\:  int
                                    
                                    	**range:** 1..3600
                                    
                                    .. attribute:: user_initiated
                                    
                                    	Delay in seconds
                                    	**type**\:  int
                                    
                                    	**range:** 1..3600
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.cold_boot = None
                                        self.nsf_switchover = None
                                        self.post_boot = None
                                        self.user_initiated = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:nopeerup-delay'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.cold_boot is not None:
                                            return True

                                        if self.nsf_switchover is not None:
                                            return True

                                        if self.post_boot is not None:
                                            return True

                                        if self.user_initiated is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.NopeerupDelay']['meta_info']


                                class Recursion(object):
                                    """
                                    recursion rule for the nexthops
                                    
                                    .. attribute:: host
                                    
                                    	recursion via host for the nexthops
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.host = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:recursion'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.host is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Recursion']['meta_info']


                                class AdditionalPaths(object):
                                    """
                                    Additional paths in the BGP table
                                    
                                    .. attribute:: install
                                    
                                    	Additional paths to install into RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: select
                                    
                                    	Selection criteria to pick the paths
                                    	**type**\:   :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select>`
                                    
                                    .. attribute:: send
                                    
                                    	Send additional paths to neighbors
                                    	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Send>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.install = None
                                        self.receive = None
                                        self.select = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select()
                                        self.select.parent = self
                                        self.send = None


                                    class Select(object):
                                        """
                                        Selection criteria to pick the paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: backup
                                        
                                        	Select backup path
                                        	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Backup>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Best>`
                                        
                                        .. attribute:: best_external
                                        
                                        	Select best\-external path
                                        	**type**\:   :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.BestExternal>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best path
                                        	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.all = None
                                            self.backup = None
                                            self.best = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Best()
                                            self.best.parent = self
                                            self.best_external = None
                                            self.group_best = None


                                        class All(object):
                                            """
                                            Select all available paths
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.best = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All.Best()
                                                self.best.parent = self
                                                self.group_best = None


                                            class Best(object):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: range
                                                
                                                	
                                                	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All.Best.Range>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = YList()
                                                    self.range.parent = self
                                                    self.range.name = 'range'


                                                class Range(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\:  int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best path
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.range = None
                                                        self.group_best = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.range is None:
                                                            raise YPYModelError('Key property range is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.range is not None:
                                                            return True

                                                        if self.group_best is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All.Best.Range']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        for child_ref in self.range:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All.Best']['meta_info']


                                            class GroupBest(object):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.best = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.best is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All.GroupBest']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:all'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.best is not None and self.best._has_data():
                                                    return True

                                                if self.group_best is not None and self.group_best._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.All']['meta_info']


                                        class Backup(object):
                                            """
                                            Select backup path
                                            
                                            .. attribute:: best_external
                                            
                                            	Select best\-external path
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.best_external = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:backup'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.best_external is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Backup']['meta_info']


                                        class Best(object):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Best.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = YList()
                                                self.range.parent = self
                                                self.range.name = 'range'


                                            class Range(object):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = None
                                                    self.all = None
                                                    self.group_best = None


                                                class GroupBest(object):
                                                    """
                                                    Select group\-best path
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.all = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.all is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.range is None:
                                                        raise YPYModelError('Key property range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        return True

                                                    if self.all is not None:
                                                        return True

                                                    if self.group_best is not None and self.group_best._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    for child_ref in self.range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.Best']['meta_info']


                                        class BestExternal(object):
                                            """
                                            Select best\-external path
                                            
                                            .. attribute:: backup
                                            
                                            	Select backup path
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.backup = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-external'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.backup is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.BestExternal']['meta_info']


                                        class GroupBest(object):
                                            """
                                            Select group\-best path
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.all = None
                                                self.best = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.all is not None:
                                                    return True

                                                if self.best is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select.GroupBest']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:select'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.all is not None and self.all._has_data():
                                                return True

                                            if self.backup is not None and self.backup._has_data():
                                                return True

                                            if self.best is not None and self.best._has_data():
                                                return True

                                            if self.best_external is not None and self.best_external._has_data():
                                                return True

                                            if self.group_best is not None and self.group_best._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Select']['meta_info']


                                    class Send(object):
                                        """
                                        Send additional paths to neighbors
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.receive = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.receive is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths.Send']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.install is not None:
                                            return True

                                        if self.receive is not None:
                                            return True

                                        if self.select is not None and self.select._has_data():
                                            return True

                                        if self.send is not None and self.send._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.AdditionalPaths']['meta_info']


                                class Bestpath(object):
                                    """
                                    Change the default bestpath selection
                                    
                                    .. attribute:: compare_routerid
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: cost_community
                                    
                                    	cost community
                                    	**type**\:   :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.CostCommunity>`
                                    
                                    .. attribute:: igp_metric
                                    
                                    	igp metric
                                    	**type**\:   :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.IgpMetric>`
                                    
                                    .. attribute:: med
                                    
                                    	MED attribute
                                    	**type**\:   :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.Med>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.compare_routerid = None
                                        self.cost_community = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.CostCommunity()
                                        self.cost_community.parent = self
                                        self.igp_metric = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.IgpMetric()
                                        self.igp_metric.parent = self
                                        self.med = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.Med()
                                        self.med.parent = self


                                    class CostCommunity(object):
                                        """
                                        cost community
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore cost communities in bestpath selection
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:cost-community'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.CostCommunity']['meta_info']


                                    class IgpMetric(object):
                                        """
                                        igp metric
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore igp metric in bestpath selection
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:igp-metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.IgpMetric']['meta_info']


                                    class Med(object):
                                        """
                                        MED attribute
                                        
                                        .. attribute:: confed
                                        
                                        	Compare MED among confederation paths
                                        	**type**\:   :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.Med.Confed>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: missing_at_worst
                                        
                                        	Treat missing MED as the least preferred one
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.confed = None
                                            self.missing_at_worst = None


                                        class Confed(object):
                                            """
                                            Compare MED among confederation paths
                                            
                                            .. attribute:: missing_at_worst
                                            
                                            	Treat missing MED as the least preferred one
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.missing_at_worst = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:confed'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.missing_at_worst is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.Med.Confed']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:med'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.confed is not None and self.confed._has_data():
                                                return True

                                            if self.missing_at_worst is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath.Med']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:bestpath'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.compare_routerid is not None:
                                            return True

                                        if self.cost_community is not None and self.cost_community._has_data():
                                            return True

                                        if self.igp_metric is not None and self.igp_metric._has_data():
                                            return True

                                        if self.med is not None and self.med._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Bestpath']['meta_info']


                                class ClientToClient(object):
                                    """
                                    Configure client to client route reflection
                                    
                                    .. attribute:: reflection
                                    
                                    	reflection of routes allowed
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.reflection = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:client-to-client'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.reflection is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ClientToClient']['meta_info']


                                class Confederation(object):
                                    """
                                    AS confederation parameters
                                    
                                    .. attribute:: identifier
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: peers
                                    
                                    	Peer ASs in BGP confederation
                                    	**type**\:   :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Confederation.Peers>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.identifier = None
                                        self.peers = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Confederation.Peers()
                                        self.peers.parent = self


                                    class Peers(object):
                                        """
                                        Peer ASs in BGP confederation
                                        
                                        .. attribute:: peers_as
                                        
                                        	
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.peers_as = YLeafList()
                                            self.peers_as.parent = self
                                            self.peers_as.name = 'peers_as'

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:peers'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.peers_as is not None:
                                                for child in self.peers_as:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Confederation.Peers']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:confederation'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.identifier is not None:
                                            return True

                                        if self.peers is not None and self.peers._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Confederation']['meta_info']


                                class ConsistencyChecker(object):
                                    """
                                    Consistency\-checker
                                    
                                    .. attribute:: auto_repair
                                    
                                    	Auto\-Repair
                                    	**type**\:   :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ConsistencyChecker.AutoRepair>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: error_message
                                    
                                    	Log Error\-Msg
                                    	**type**\:   :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ConsistencyChecker.ErrorMessage>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.auto_repair = None
                                        self.error_message = None


                                    class AutoRepair(object):
                                        """
                                        Auto\-Repair
                                        
                                        .. attribute:: interval
                                        
                                        	Interval (minutes)
                                        	**type**\:  int
                                        
                                        	**range:** 5..1440
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.interval = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:auto-repair'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.interval is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ConsistencyChecker.AutoRepair']['meta_info']


                                    class ErrorMessage(object):
                                        """
                                        Log Error\-Msg
                                        
                                        .. attribute:: interval
                                        
                                        	Interval (minutes)
                                        	**type**\:  int
                                        
                                        	**range:** 5..1440
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.interval = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:error-message'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.interval is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ConsistencyChecker.ErrorMessage']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:consistency-checker'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.auto_repair is not None and self.auto_repair._has_data():
                                            return True

                                        if self.error_message is not None and self.error_message._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.ConsistencyChecker']['meta_info']


                                class Dampening(object):
                                    """
                                    Enable route\-flap dampening
                                    
                                    .. attribute:: dampen
                                    
                                    	
                                    	**type**\:   :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Dampening.Dampen>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to specify criteria for dampening
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.dampen = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Dampening.Dampen()
                                        self.dampen.parent = self
                                        self.route_map = None


                                    class Dampen(object):
                                        """
                                        
                                        
                                        .. attribute:: half_life_time
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..45
                                        
                                        .. attribute:: max_suppress_time
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: reuse_time
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..20000
                                        
                                        .. attribute:: suppress_time
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..20000
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.half_life_time = None
                                            self.max_suppress_time = None
                                            self.reuse_time = None
                                            self.suppress_time = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:dampen'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.half_life_time is not None:
                                                return True

                                            if self.max_suppress_time is not None:
                                                return True

                                            if self.reuse_time is not None:
                                                return True

                                            if self.suppress_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Dampening.Dampen']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:dampening'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.dampen is not None and self.dampen._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Dampening']['meta_info']


                                class Default(object):
                                    """
                                    Configure BGP defaults
                                    
                                    .. attribute:: ipv4_unicast
                                    
                                    	Activate ipv4\-unicast for a peer by default
                                    	**type**\:  bool
                                    
                                    .. attribute:: ipv6_nexthop
                                    
                                    	Default IPv6 nexthop format
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: local_preference
                                    
                                    	local preference (higher=more preferred)
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: route_target
                                    
                                    	Control behavior based on Route\-Target attributes
                                    	**type**\:   :py:class:`RouteTargetEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Default.RouteTargetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_unicast = None
                                        self.ipv6_nexthop = None
                                        self.local_preference = None
                                        self.route_target = None

                                    class RouteTargetEnum(Enum):
                                        """
                                        RouteTargetEnum

                                        Control behavior based on Route\-Target attributes

                                        .. data:: filter = 0

                                        """

                                        filter = 0


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Default.RouteTargetEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_unicast is not None:
                                            return True

                                        if self.ipv6_nexthop is not None:
                                            return True

                                        if self.local_preference is not None:
                                            return True

                                        if self.route_target is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Default']['meta_info']


                                class GracefulRestart(object):
                                    """
                                    Graceful restart capability parameters
                                    
                                    .. attribute:: extended
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: restart_time
                                    
                                    	Set the max time needed to restart and come back up
                                    	**type**\:  int
                                    
                                    	**range:** 1..3600
                                    
                                    .. attribute:: stalepath_time
                                    
                                    	Set the max time to hold onto restarting peer's stale paths
                                    	**type**\:  int
                                    
                                    	**range:** 1..3600
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.extended = None
                                        self.restart_time = None
                                        self.stalepath_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:graceful-restart'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.extended is not None:
                                            return True

                                        if self.restart_time is not None:
                                            return True

                                        if self.stalepath_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.GracefulRestart']['meta_info']


                                class HaMode(object):
                                    """
                                    Select BGP High Availability mode
                                    
                                    .. attribute:: sso
                                    
                                    	BGP High Availability NSR sso mode
                                    	**type**\:   :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.HaMode.Sso>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sso = None


                                    class Sso(object):
                                        """
                                        BGP High Availability NSR sso mode
                                        
                                        .. attribute:: prefer
                                        
                                        	Perfer BGP High Availability NSR sso mode
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.prefer = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:sso'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.prefer is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.HaMode.Sso']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ha-mode'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sso is not None and self.sso._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.HaMode']['meta_info']


                                class InjectMap(object):
                                    """
                                    Routemap which specifies prefixes to inject
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: copy_attributes
                                    
                                    	Copy attributes from aggregate
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: exist_map
                                    
                                    	Routemap which specifies exist condition
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.copy_attributes = None
                                        self.exist_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:inject-map[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.copy_attributes is not None:
                                            return True

                                        if self.exist_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.InjectMap']['meta_info']


                                class RouteMap(object):
                                    """
                                    bgp route\-map commands
                                    
                                    .. attribute:: priority
                                    
                                    	Have route\-map set commands take priority over BGP commands such 
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.priority = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.priority is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.RouteMap']['meta_info']


                                class SlowPeer(object):
                                    """
                                    Configure slow\-peer
                                    
                                    .. attribute:: detection
                                    
                                    	Slow\-peer detection
                                    	**type**\:   :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer.Detection>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: split_update_group
                                    
                                    	Configure slow\-peer split\-update\-group
                                    	**type**\:   :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer.SplitUpdateGroup>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.detection = None
                                        self.split_update_group = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer.SplitUpdateGroup()
                                        self.split_update_group.parent = self


                                    class Detection(object):
                                        """
                                        Slow\-peer detection
                                        
                                        .. attribute:: disable
                                        
                                        	Disable slow\-peer detection
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: threshold
                                        
                                        	Threshold value (seconds)
                                        	**type**\:  int
                                        
                                        	**range:** 120..3600
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.disable = None
                                            self.threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:detection'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.disable is not None:
                                                return True

                                            if self.threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer.Detection']['meta_info']


                                    class SplitUpdateGroup(object):
                                        """
                                        Configure slow\-peer split\-update\-group
                                        
                                        .. attribute:: dynamic
                                        
                                        	Dynamically split the slow peer to slow\-update group
                                        	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None


                                        class Dynamic(object):
                                            """
                                            Dynamically split the slow peer to slow\-update group
                                            
                                            .. attribute:: permanent
                                            
                                            	Keep the slow\-peer permanently in slow\-update group
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.permanent = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:dynamic'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.permanent is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:split-update-group'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None and self.dynamic._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:slow-peer'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.detection is not None and self.detection._has_data():
                                            return True

                                        if self.split_update_group is not None and self.split_update_group._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.SlowPeer']['meta_info']


                                class UpdateGroup(object):
                                    """
                                    Manage peers in bgp update groups
                                    
                                    .. attribute:: split
                                    
                                    	Split update groups based on Policy
                                    	**type**\:   :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.UpdateGroup.Split>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.split = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.UpdateGroup.Split()
                                        self.split.parent = self


                                    class Split(object):
                                        """
                                        Split update groups based on Policy
                                        
                                        .. attribute:: as_override
                                        
                                        	Keep peers with as\-override in different update groups
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_override = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:split'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.as_override is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.UpdateGroup.Split']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:update-group'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.split is not None and self.split._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.UpdateGroup']['meta_info']


                                class Nexthop(object):
                                    """
                                    Nexthop tracking commands
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for valid nexthops
                                    	**type**\:  str
                                    
                                    .. attribute:: trigger
                                    
                                    	Nexthop triggering
                                    	**type**\:   :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Nexthop.Trigger>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.route_map = None
                                        self.trigger = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Nexthop.Trigger()
                                        self.trigger.parent = self


                                    class Trigger(object):
                                        """
                                        Nexthop triggering
                                        
                                        .. attribute:: delay
                                        
                                        	Set the delay to tigger nexthop tracking
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: enable
                                        
                                        	Enable nexthop tracking
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.delay = None
                                            self.enable = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:trigger'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.delay is not None:
                                                return True

                                            if self.enable is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Nexthop.Trigger']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:nexthop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.route_map is not None:
                                            return True

                                        if self.trigger is not None and self.trigger._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Nexthop']['meta_info']


                                class Regexp(object):
                                    """
                                    Select regular expression engine
                                    
                                    .. attribute:: deterministic
                                    
                                    	Enable bounded\-execution\-time regular expression engine
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.deterministic = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:regexp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.deterministic is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Regexp']['meta_info']


                                class Transport(object):
                                    """
                                    Transport options
                                    
                                    .. attribute:: path_mtu_discovery
                                    
                                    	Use transport path MTU discovery
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_mtu_discovery = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:transport'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.path_mtu_discovery is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_.Transport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.additional_paths is not None and self.additional_paths._has_data():
                                        return True

                                    if self.advertise_best_external is not None:
                                        return True

                                    if self.aggregate_timer is not None:
                                        return True

                                    if self.always_compare_med is not None:
                                        return True

                                    if self.asnotation is not None and self.asnotation._has_data():
                                        return True

                                    if self.bestpath is not None and self.bestpath._has_data():
                                        return True

                                    if self.client_to_client is not None and self.client_to_client._has_data():
                                        return True

                                    if self.cluster_id is not None:
                                        return True

                                    if self.confederation is not None and self.confederation._has_data():
                                        return True

                                    if self.consistency_checker is not None and self.consistency_checker._has_data():
                                        return True

                                    if self.dampening is not None and self.dampening._has_data():
                                        return True

                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.deterministic_med is not None:
                                        return True

                                    if self.dmzlink_bw is not None:
                                        return True

                                    if self.enforce_first_as is not None:
                                        return True

                                    if self.enhanced_error is not None:
                                        return True

                                    if self.fast_external_fallover is not None:
                                        return True

                                    if self.graceful_restart is not None and self.graceful_restart._has_data():
                                        return True

                                    if self.ha_mode is not None and self.ha_mode._has_data():
                                        return True

                                    if self.inject_map is not None:
                                        for child_ref in self.inject_map:
                                            if child_ref._has_data():
                                                return True

                                    if self.log_neighbor_changes is not None:
                                        return True

                                    if self.maxas_limit is not None:
                                        return True

                                    if self.maxcommunity_limit is not None:
                                        return True

                                    if self.nexthop is not None and self.nexthop._has_data():
                                        return True

                                    if self.nopeerup_delay is not None and self.nopeerup_delay._has_data():
                                        return True

                                    if self.recursion is not None and self.recursion._has_data():
                                        return True

                                    if self.redistribute_internal is not None:
                                        return True

                                    if self.regexp is not None and self.regexp._has_data():
                                        return True

                                    if self.route_map is not None and self.route_map._has_data():
                                        return True

                                    if self.router_id is not None:
                                        return True

                                    if self.scan_time is not None:
                                        return True

                                    if self.slow_peer is not None and self.slow_peer._has_data():
                                        return True

                                    if self.soft_reconfig_backup is not None:
                                        return True

                                    if self.suppress_inactive is not None:
                                        return True

                                    if self.transport is not None and self.transport._has_data():
                                        return True

                                    if self.update_delay is not None:
                                        return True

                                    if self.update_group is not None and self.update_group._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp_']['meta_info']


                            class DefaultInformation(object):
                                """
                                Control distribution of default information
                                
                                .. attribute:: originate
                                
                                	Distribute a default route
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.originate = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:default-information'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.originate is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DefaultInformation']['meta_info']


                            class Distance(object):
                                """
                                Define an administrative distance
                                
                                .. attribute:: adm_distance
                                
                                	
                                	**type**\: list of    :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.AdmDistance>`
                                
                                .. attribute:: bgp
                                
                                	BGP distance
                                	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.Bgp_>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.adm_distance = YList()
                                    self.adm_distance.parent = self
                                    self.adm_distance.name = 'adm_distance'
                                    self.bgp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.Bgp_()
                                    self.bgp.parent = self


                                class Bgp_(object):
                                    """
                                    BGP distance
                                    
                                    .. attribute:: extern_as
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: internal_as
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.extern_as = None
                                        self.internal_as = None
                                        self.local = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.extern_as is not None:
                                            return True

                                        if self.internal_as is not None:
                                            return True

                                        if self.local is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.Bgp_']['meta_info']


                                class AdmDistance(object):
                                    """
                                    
                                    
                                    .. attribute:: distance  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: srcip  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: wildbits  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: acl
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  int
                                    
                                    	**range:** 1..99
                                    
                                    
                                    ----
                                    	**type**\:  int
                                    
                                    	**range:** 1300..1999
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** [a\-zA\-Z].\*
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.distance = None
                                        self.srcip = None
                                        self.wildbits = None
                                        self.acl = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.distance is None:
                                            raise YPYModelError('Key property distance is None')
                                        if self.srcip is None:
                                            raise YPYModelError('Key property srcip is None')
                                        if self.wildbits is None:
                                            raise YPYModelError('Key property wildbits is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:adm-distance[Cisco-IOS-XE-bgp:distance = ' + str(self.distance) + '][Cisco-IOS-XE-bgp:srcip = ' + str(self.srcip) + '][Cisco-IOS-XE-bgp:wildbits = ' + str(self.wildbits) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.distance is not None:
                                            return True

                                        if self.srcip is not None:
                                            return True

                                        if self.wildbits is not None:
                                            return True

                                        if self.acl is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.AdmDistance']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:distance'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.adm_distance is not None:
                                        for child_ref in self.adm_distance:
                                            if child_ref._has_data():
                                                return True

                                    if self.bgp is not None and self.bgp._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance']['meta_info']


                            class DistributeList(object):
                                """
                                Filter networks in routing updates
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 100..199
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 2000..2699
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                
                                ----
                                .. attribute:: in_
                                
                                	Filter incoming routing updates
                                	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList.In_>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: out
                                
                                	Filter outgoing routing updates
                                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList.Out>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.in_ = None
                                    self.out = None


                                class In_(object):
                                    """
                                    Filter incoming routing updates
                                    
                                    .. attribute:: interface
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.interface = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:in'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.interface is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList.In_']['meta_info']


                                class Out(object):
                                    """
                                    Filter outgoing routing updates
                                    
                                    .. attribute:: interface
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.interface = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:out'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.interface is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList.Out']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:distribute-list[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.in_ is not None and self.in_._has_data():
                                        return True

                                    if self.out is not None and self.out._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList']['meta_info']


                            class MaximumPaths(object):
                                """
                                Forward packets over multiple paths
                                
                                .. attribute:: eibgp
                                
                                	Both eBGP and iBGP paths as multipath
                                	**type**\:   :py:class:`Eibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp>`
                                
                                .. attribute:: external_rtfilter
                                
                                	VPN prefix multipath on external RTFilter peers
                                	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.ExternalRtfilter>`
                                
                                .. attribute:: ibgp
                                
                                	iBGP\-multipath
                                	**type**\:   :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp>`
                                
                                .. attribute:: max_path
                                
                                	
                                	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.MaxPath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eibgp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp()
                                    self.eibgp.parent = self
                                    self.external_rtfilter = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.ExternalRtfilter()
                                    self.external_rtfilter.parent = self
                                    self.ibgp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp()
                                    self.ibgp.parent = self
                                    self.max_path = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.MaxPath()
                                    self.max_path.parent = self


                                class MaxPath(object):
                                    """
                                    
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.MaxPath']['meta_info']


                                class ExternalRtfilter(object):
                                    """
                                    VPN prefix multipath on external RTFilter peers
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.ExternalRtfilter']['meta_info']


                                class Eibgp(object):
                                    """
                                    Both eBGP and iBGP paths as multipath
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp.ExternalRtfilter>`
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp.MaxPath>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external_rtfilter = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self.max_path = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp.MaxPath()
                                        self.max_path.parent = self


                                    class MaxPath(object):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp.MaxPath']['meta_info']


                                    class ExternalRtfilter(object):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp.ExternalRtfilter']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:eibgp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                            return True

                                        if self.max_path is not None and self.max_path._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Eibgp']['meta_info']


                                class Ibgp(object):
                                    """
                                    iBGP\-multipath
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.ExternalRtfilter>`
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.MaxPath>`
                                    
                                    .. attribute:: unequal_cost
                                    
                                    	Perform Un\-Equal cost multipath selection
                                    	**type**\:   :py:class:`UnequalCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external_rtfilter = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self.max_path = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.MaxPath()
                                        self.max_path.parent = self
                                        self.unequal_cost = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost()
                                        self.unequal_cost.parent = self


                                    class UnequalCost(object):
                                        """
                                        Perform Un\-Equal cost multipath selection
                                        
                                        .. attribute:: external_rtfilter
                                        
                                        	VPN prefix multipath on external RTFilter peers
                                        	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter>`
                                        
                                        .. attribute:: max_path
                                        
                                        	
                                        	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost.MaxPath>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.external_rtfilter = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter()
                                            self.external_rtfilter.parent = self
                                            self.max_path = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost.MaxPath()
                                            self.max_path.parent = self


                                        class MaxPath(object):
                                            """
                                            
                                            
                                            .. attribute:: max
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..32
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.max = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.max is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost.MaxPath']['meta_info']


                                        class ExternalRtfilter(object):
                                            """
                                            VPN prefix multipath on external RTFilter peers
                                            
                                            .. attribute:: max
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..32
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.max = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.max is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:unequal-cost'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                                return True

                                            if self.max_path is not None and self.max_path._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.UnequalCost']['meta_info']


                                    class MaxPath(object):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.MaxPath']['meta_info']


                                    class ExternalRtfilter(object):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp.ExternalRtfilter']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ibgp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                            return True

                                        if self.max_path is not None and self.max_path._has_data():
                                            return True

                                        if self.unequal_cost is not None and self.unequal_cost._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:maximum-paths'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eibgp is not None and self.eibgp._has_data():
                                        return True

                                    if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                        return True

                                    if self.ibgp is not None and self.ibgp._has_data():
                                        return True

                                    if self.max_path is not None and self.max_path._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths']['meta_info']


                            class Neighbor(object):
                                """
                                Specify a neighbor router
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: activate
                                
                                	Enable the Address Family for this Neighbor
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: additional_paths
                                
                                	
                                	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths>`
                                
                                .. attribute:: advertise
                                
                                	Advertise to this neighbor
                                	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise>`
                                
                                .. attribute:: advertise_map
                                
                                	specify route\-map for conditional advertisement
                                	**type**\:   :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap>`
                                
                                .. attribute:: advertisement_interval
                                
                                	Minimum interval between sending BGP routing updates
                                	**type**\:  int
                                
                                	**range:** 0..600
                                
                                .. attribute:: aigp
                                
                                	Enable a AIGP on neighbor
                                	**type**\:   :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: allow_policy
                                
                                	Enable the policy support for this IBGP Neighbor
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: allowas_in
                                
                                	Accept as\-path with my AS present in it
                                	**type**\:   :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AllowasIn>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: announce
                                
                                	Announce RPKI State using an Extended Community
                                	**type**\:   :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce>`
                                
                                .. attribute:: as_override
                                
                                	Override matching AS\-number while sending update
                                	**type**\:   :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AsOverride>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: capability
                                
                                	Advertise capability to the peer
                                	**type**\:   :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability>`
                                
                                .. attribute:: cluster_id
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: default_originate
                                
                                	Originate default route to this neighbour
                                	**type**\:   :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DefaultOriginate>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: description
                                
                                	Neighbor specific description
                                	**type**\:  str
                                
                                .. attribute:: disable_connected_check
                                
                                	One\-hop away EBGP peer using loopback address
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: distribute_list
                                
                                	Filter updates to/from this neighbor
                                	**type**\: list of    :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DistributeList>`
                                
                                .. attribute:: dmzlink_bw
                                
                                	Propagate the DMZ link bandwidth
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ebgp_multihop
                                
                                	Allow EBGP neighbors not on directly connected networks
                                	**type**\:   :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.EbgpMultihop>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: fall_over
                                
                                	session fall on peer route lost
                                	**type**\:   :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FallOver>`
                                
                                .. attribute:: filter_list
                                
                                	Establish BGP filters
                                	**type**\: list of    :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FilterList>`
                                
                                .. attribute:: ha_mode
                                
                                	high availability mode
                                	**type**\:   :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode>`
                                
                                .. attribute:: inherit
                                
                                	Inherit a template
                                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Inherit>`
                                
                                .. attribute:: local_as
                                
                                	Specify a local\-as number
                                	**type**\:   :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.LocalAs>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: log_neighbor_changes
                                
                                	Log neighbor up/down and reset reason
                                	**type**\:   :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.LogNeighborChanges>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes accepted from this peer
                                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.MaximumPrefix>`
                                
                                .. attribute:: next_hop_self
                                
                                	Disable the next hop calculation for this neighbor
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: next_hop_unchanged
                                
                                	Propagate the iBGP paths's next hop unchanged for this neighbor
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: password
                                
                                	Set a password
                                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Password>`
                                
                                .. attribute:: path_attribute
                                
                                	BGP optional attribute filtering
                                	**type**\:   :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute>`
                                
                                .. attribute:: peer_group
                                
                                	Member of the peer\-group
                                	**type**\:   :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PeerGroup>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: prefix_list
                                
                                	Filter updates to/from this neighbor
                                	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PrefixList>`
                                
                                .. attribute:: remote_as
                                
                                	Specify a BGP neighbor
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: remove_private_as
                                
                                	Remove private AS number from outbound updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Apply route map to neighbor
                                	**type**\: list of    :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.RouteMap>`
                                
                                .. attribute:: route_reflector_client
                                
                                	Configure a neighbor as Route Reflector client
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_reflector_cluster_id
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: send_community
                                
                                	Send Community attribute to this neighbor
                                	**type**\:   :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendCommunity>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: send_label
                                
                                	Send NLRI + MPLS Label to this peer
                                	**type**\:   :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendLabel>`
                                
                                .. attribute:: shutdown
                                
                                	Administratively shut down this neighbor
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: slow_peer
                                
                                	Configure slow\-peer
                                	**type**\:   :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer>`
                                
                                .. attribute:: soft_reconfiguration
                                
                                	Per neighbor soft reconfiguration
                                	**type**\:   :py:class:`SoftReconfigurationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SoftReconfigurationEnum>`
                                
                                .. attribute:: timers
                                
                                	BGP per neighbor timers
                                	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Timers>`
                                
                                .. attribute:: translate_update
                                
                                	Translate Update to MBGP format
                                	**type**\:   :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate>`
                                
                                .. attribute:: transport
                                
                                	Transport options
                                	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport>`
                                
                                .. attribute:: ttl_security
                                
                                	BGP ttl security check
                                	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TtlSecurity>`
                                
                                .. attribute:: unsuppress_map
                                
                                	Route\-map to selectively unsuppress suppressed routes
                                	**type**\:  str
                                
                                .. attribute:: update_source
                                
                                	Source of routing updates
                                	**type**\:   :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource>`
                                
                                .. attribute:: version
                                
                                	Set the BGP version to match a neighbor
                                	**type**\:  int
                                
                                	**range:** 4..None
                                
                                .. attribute:: weight
                                
                                	Set default weight for routes from this neighbor
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.activate = None
                                    self.additional_paths = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self.advertise = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise()
                                    self.advertise.parent = self
                                    self.advertise_map = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap()
                                    self.advertise_map.parent = self
                                    self.advertisement_interval = None
                                    self.aigp = None
                                    self.allow_policy = None
                                    self.allowas_in = None
                                    self.announce = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce()
                                    self.announce.parent = self
                                    self.as_override = None
                                    self.capability = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability()
                                    self.capability.parent = self
                                    self.cluster_id = None
                                    self.default_originate = None
                                    self.description = None
                                    self.disable_connected_check = None
                                    self.distribute_list = YList()
                                    self.distribute_list.parent = self
                                    self.distribute_list.name = 'distribute_list'
                                    self.dmzlink_bw = None
                                    self.ebgp_multihop = None
                                    self.fall_over = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FallOver()
                                    self.fall_over.parent = self
                                    self.filter_list = YList()
                                    self.filter_list.parent = self
                                    self.filter_list.name = 'filter_list'
                                    self.ha_mode = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode()
                                    self.ha_mode.parent = self
                                    self.inherit = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Inherit()
                                    self.inherit.parent = self
                                    self.local_as = None
                                    self.log_neighbor_changes = None
                                    self.maximum_prefix = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self.next_hop_self = None
                                    self.next_hop_unchanged = None
                                    self.password = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Password()
                                    self.password.parent = self
                                    self.path_attribute = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute()
                                    self.path_attribute.parent = self
                                    self.peer_group = None
                                    self.prefix_list = YList()
                                    self.prefix_list.parent = self
                                    self.prefix_list.name = 'prefix_list'
                                    self.remote_as = None
                                    self.remove_private_as = None
                                    self.route_map = YList()
                                    self.route_map.parent = self
                                    self.route_map.name = 'route_map'
                                    self.route_reflector_client = None
                                    self.route_reflector_cluster_id = None
                                    self.send_community = None
                                    self.send_label = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendLabel()
                                    self.send_label.parent = self
                                    self.shutdown = None
                                    self.slow_peer = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer()
                                    self.slow_peer.parent = self
                                    self.soft_reconfiguration = None
                                    self.timers = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Timers()
                                    self.timers.parent = self
                                    self.translate_update = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate()
                                    self.translate_update.parent = self
                                    self.transport = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport()
                                    self.transport.parent = self
                                    self.ttl_security = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TtlSecurity()
                                    self.ttl_security.parent = self
                                    self.unsuppress_map = None
                                    self.update_source = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource()
                                    self.update_source.parent = self
                                    self.version = None
                                    self.weight = None

                                class SoftReconfigurationEnum(Enum):
                                    """
                                    SoftReconfigurationEnum

                                    Per neighbor soft reconfiguration

                                    .. data:: inbound = 0

                                    """

                                    inbound = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SoftReconfigurationEnum']



                                class PeerGroup(object):
                                    """
                                    Member of the peer\-group
                                    
                                    .. attribute:: peer_group_name
                                    
                                    	WORD;;peer\-group name
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.peer_group_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:peer-group'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.peer_group_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PeerGroup']['meta_info']


                                class LocalAs(object):
                                    """
                                    Specify a local\-as number
                                    
                                    .. attribute:: as_no
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    
                                    ----
                                    .. attribute:: dual_as
                                    
                                    	Accept either real AS or local AS from the ebgp peer
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: no_prepend
                                    
                                    	Do not prepend local\-as to updates from ebgp peers
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: replace_as
                                    
                                    	Replace real AS with local AS in the EBGP updates
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.as_no = None
                                        self.dual_as = None
                                        self.no_prepend = None
                                        self.replace_as = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:local-as'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.as_no is not None:
                                            return True

                                        if self.dual_as is not None:
                                            return True

                                        if self.no_prepend is not None:
                                            return True

                                        if self.replace_as is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.LocalAs']['meta_info']


                                class AdditionalPaths(object):
                                    """
                                    
                                    
                                    .. attribute:: disable
                                    
                                    	Disable additional paths for this neighbor
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: send
                                    
                                    	Send additional paths to this neighbor
                                    	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths.Send>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.disable = None
                                        self.receive = None
                                        self.send = None


                                    class Send(object):
                                        """
                                        Send additional paths to this neighbor
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from this neighbor
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.receive = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.receive is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths.Send']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.disable is not None:
                                            return True

                                        if self.receive is not None:
                                            return True

                                        if self.send is not None and self.send._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths']['meta_info']


                                class Advertise(object):
                                    """
                                    Advertise to this neighbor
                                    
                                    .. attribute:: additional_paths
                                    
                                    	Advertise additional paths
                                    	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths>`
                                    
                                    .. attribute:: best_external
                                    
                                    	Advertise best\-external (at RRs best\-internal) path
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: diverse_path
                                    
                                    	Advertise diverse path
                                    	**type**\:   :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.additional_paths = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self.best_external = None
                                        self.diverse_path = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath()
                                        self.diverse_path.parent = self


                                    class AdditionalPaths(object):
                                        """
                                        Advertise additional paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best paths
                                        	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.all = None
                                            self.best = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best()
                                            self.best.parent = self
                                            self.group_best = None


                                        class All(object):
                                            """
                                            Select all available paths
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.best = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best()
                                                self.best.parent = self
                                                self.group_best = None


                                            class Best(object):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: best_range
                                                
                                                	
                                                	**type**\: list of    :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.best_range = YList()
                                                    self.best_range.parent = self
                                                    self.best_range.name = 'best_range'


                                                class BestRange(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\:  int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best paths
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.range = None
                                                        self.group_best = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.range is None:
                                                            raise YPYModelError('Key property range is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.range is not None:
                                                            return True

                                                        if self.group_best is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.best_range is not None:
                                                        for child_ref in self.best_range:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info']


                                            class GroupBest(object):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.best = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.best is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.GroupBest']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:all'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.best is not None and self.best._has_data():
                                                    return True

                                                if self.group_best is not None and self.group_best._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All']['meta_info']


                                        class Best(object):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: best_range
                                            
                                            	
                                            	**type**\: list of    :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.best_range = YList()
                                                self.best_range.parent = self
                                                self.best_range.name = 'best_range'


                                            class BestRange(object):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = None
                                                    self.all = None
                                                    self.group_best = None


                                                class GroupBest(object):
                                                    """
                                                    Select group\-best paths
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.all = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.all is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.range is None:
                                                        raise YPYModelError('Key property range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        return True

                                                    if self.all is not None:
                                                        return True

                                                    if self.group_best is not None and self.group_best._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.best_range is not None:
                                                    for child_ref in self.best_range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best']['meta_info']


                                        class GroupBest(object):
                                            """
                                            Select group\-best paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.all = None
                                                self.best = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.all is not None:
                                                    return True

                                                if self.best is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.GroupBest']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.all is not None and self.all._has_data():
                                                return True

                                            if self.best is not None and self.best._has_data():
                                                return True

                                            if self.group_best is not None and self.group_best._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths']['meta_info']


                                    class DiversePath(object):
                                        """
                                        Advertise diverse path
                                        
                                        .. attribute:: backup
                                        
                                        	Diverse path can be backup path
                                        	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath.Backup>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: mpath
                                        
                                        	Diverse path can be multipath
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.backup = None
                                            self.mpath = None


                                        class Backup(object):
                                            """
                                            Diverse path can be backup path
                                            
                                            .. attribute:: mpath
                                            
                                            	Diverse path can be multipath
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.mpath = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:backup'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.mpath is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath.Backup']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:diverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.backup is not None and self.backup._has_data():
                                                return True

                                            if self.mpath is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:advertise'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.additional_paths is not None and self.additional_paths._has_data():
                                            return True

                                        if self.best_external is not None:
                                            return True

                                        if self.diverse_path is not None and self.diverse_path._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise']['meta_info']


                                class AdvertiseMap(object):
                                    """
                                    specify route\-map for conditional advertisement
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap.Name>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = YList()
                                        self.name.parent = self
                                        self.name.name = 'name'


                                    class Name(object):
                                        """
                                        
                                        
                                        .. attribute:: word  <key>
                                        
                                        	advertise route\-map name
                                        	**type**\:  str
                                        
                                        .. attribute:: exist_map
                                        
                                        	condition route\-map name
                                        	**type**\:  str
                                        
                                        .. attribute:: non_exist_map
                                        
                                        	condition route\-map name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.word = None
                                            self.exist_map = None
                                            self.non_exist_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.word is None:
                                                raise YPYModelError('Key property word is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:name[Cisco-IOS-XE-bgp:word = ' + str(self.word) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.word is not None:
                                                return True

                                            if self.exist_map is not None:
                                                return True

                                            if self.non_exist_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap.Name']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:advertise-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            for child_ref in self.name:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap']['meta_info']


                                class Aigp(object):
                                    """
                                    Enable a AIGP on neighbor
                                    
                                    .. attribute:: send
                                    
                                    	Cost community or MED carrying AIGP VALUE
                                    	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.send = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send()
                                        self.send.parent = self


                                    class Send(object):
                                        """
                                        Cost community or MED carrying AIGP VALUE
                                        
                                        .. attribute:: cost_community
                                        
                                        	Cost extended community carrying AIGP Value
                                        	**type**\:   :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity>`
                                        
                                        .. attribute:: med
                                        
                                        	Med carrying AIGP Value
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.cost_community = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity()
                                            self.cost_community.parent = self
                                            self.med = None


                                        class CostCommunity(object):
                                            """
                                            Cost extended community carrying AIGP Value
                                            
                                            .. attribute:: cc_range
                                            
                                            	
                                            	**type**\: list of    :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.cc_range = YList()
                                                self.cc_range.parent = self
                                                self.cc_range.name = 'cc_range'


                                            class CcRange(object):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Community ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: poi
                                                
                                                	Point of Insertion
                                                	**type**\:   :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = None
                                                    self.poi = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                    self.poi.parent = self


                                                class Poi(object):
                                                    """
                                                    Point of Insertion
                                                    
                                                    .. attribute:: igp_cost
                                                    
                                                    	Point of Insertion After IGP
                                                    	**type**\:   :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    .. attribute:: pre_bestpath
                                                    
                                                    	Point of Insertion At Beginning
                                                    	**type**\:   :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.igp_cost = None
                                                        self.pre_bestpath = None


                                                    class IgpCost(object):
                                                        """
                                                        Point of Insertion After IGP
                                                        
                                                        .. attribute:: transitive
                                                        
                                                        	Cost community is Transitive
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.transitive = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:igp-cost'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.transitive is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost']['meta_info']


                                                    class PreBestpath(object):
                                                        """
                                                        Point of Insertion At Beginning
                                                        
                                                        .. attribute:: transitive
                                                        
                                                        	Cost community is Transitive
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.transitive = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:pre-bestpath'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.transitive is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:poi'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.igp_cost is not None and self.igp_cost._has_data():
                                                            return True

                                                        if self.pre_bestpath is not None and self.pre_bestpath._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.range is None:
                                                        raise YPYModelError('Key property range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:cc-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        return True

                                                    if self.poi is not None and self.poi._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:cost-community'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.cc_range is not None:
                                                    for child_ref in self.cc_range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.cost_community is not None and self.cost_community._has_data():
                                                return True

                                            if self.med is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:aigp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.send is not None and self.send._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp']['meta_info']


                                class Announce(object):
                                    """
                                    Announce RPKI State using an Extended Community
                                    
                                    .. attribute:: rpki
                                    
                                    	Announce RPKI information using an Extended Community
                                    	**type**\:   :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce.Rpki>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.rpki = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce.Rpki()
                                        self.rpki.parent = self


                                    class Rpki(object):
                                        """
                                        Announce RPKI information using an Extended Community
                                        
                                        .. attribute:: state
                                        
                                        	Announce RPKI State information using an Extended Community
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:rpki'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce.Rpki']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:announce'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.rpki is not None and self.rpki._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce']['meta_info']


                                class AllowasIn(object):
                                    """
                                    Accept as\-path with my AS present in it
                                    
                                    .. attribute:: as_number
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..10
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:allowas-in'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AllowasIn']['meta_info']


                                class AsOverride(object):
                                    """
                                    Override matching AS\-number while sending update
                                    
                                    .. attribute:: disable
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:as-override'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AsOverride']['meta_info']


                                class Capability(object):
                                    """
                                    Advertise capability to the peer
                                    
                                    .. attribute:: orf
                                    
                                    	Advertise ORF capability to the peer
                                    	**type**\:   :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability.Orf>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.orf = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability.Orf()
                                        self.orf.parent = self


                                    class Orf(object):
                                        """
                                        Advertise ORF capability to the peer
                                        
                                        .. attribute:: prefix_list
                                        
                                        	Advertise prefixlist ORF capability to this neighbor
                                        	**type**\:  list of   :py:class:`PrefixListEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability.Orf.PrefixListEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.prefix_list = YLeafList()
                                            self.prefix_list.parent = self
                                            self.prefix_list.name = 'prefix_list'

                                        class PrefixListEnum(Enum):
                                            """
                                            PrefixListEnum

                                            Advertise prefixlist ORF capability to this neighbor

                                            .. data:: both = 0

                                            .. data:: receive = 1

                                            .. data:: send = 2

                                            """

                                            both = 0

                                            receive = 1

                                            send = 2


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability.Orf.PrefixListEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:orf'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.prefix_list is not None:
                                                for child in self.prefix_list:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability.Orf']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:capability'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.orf is not None and self.orf._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability']['meta_info']


                                class DefaultOriginate(object):
                                    """
                                    Originate default route to this neighbour
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to specify criteria to originate default
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:default-originate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DefaultOriginate']['meta_info']


                                class DistributeList(object):
                                    """
                                    Filter updates to/from this neighbor
                                    
                                    .. attribute:: inout  <key>
                                    
                                    	
                                    	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DistributeList.InoutEnum>`
                                    
                                    .. attribute:: accesslist
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  int
                                    
                                    	**range:** 1..199
                                    
                                    	**mandatory**\: True
                                    
                                    
                                    ----
                                    	**type**\:  int
                                    
                                    	**range:** 1300..2699
                                    
                                    	**mandatory**\: True
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** [a\-zA\-Z].\*
                                    
                                    	**mandatory**\: True
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.inout = None
                                        self.accesslist = None

                                    class InoutEnum(Enum):
                                        """
                                        InoutEnum

                                        .. data:: in_ = 0

                                        .. data:: out = 1

                                        """

                                        in_ = 0

                                        out = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DistributeList.InoutEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.inout is None:
                                            raise YPYModelError('Key property inout is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:distribute-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.inout is not None:
                                            return True

                                        if self.accesslist is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DistributeList']['meta_info']


                                class EbgpMultihop(object):
                                    """
                                    Allow EBGP neighbors not on directly connected networks
                                    
                                    .. attribute:: max_hop
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.max_hop = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ebgp-multihop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.max_hop is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.EbgpMultihop']['meta_info']


                                class FallOver(object):
                                    """
                                    session fall on peer route lost
                                    
                                    .. attribute:: bfd
                                    
                                    	Use BFD to detect failure
                                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FallOver.Bfd>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.bfd = None


                                    class Bfd(object):
                                        """
                                        Use BFD to detect failure
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:bfd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FallOver.Bfd']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:fall-over'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.bfd is not None and self.bfd._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FallOver']['meta_info']


                                class FilterList(object):
                                    """
                                    Establish BGP filters
                                    
                                    .. attribute:: inout  <key>
                                    
                                    	
                                    	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FilterList.InoutEnum>`
                                    
                                    .. attribute:: as_path_list
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..500
                                    
                                    	**mandatory**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.inout = None
                                        self.as_path_list = None

                                    class InoutEnum(Enum):
                                        """
                                        InoutEnum

                                        .. data:: in_ = 0

                                        .. data:: out = 1

                                        """

                                        in_ = 0

                                        out = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FilterList.InoutEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.inout is None:
                                            raise YPYModelError('Key property inout is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:filter-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.inout is not None:
                                            return True

                                        if self.as_path_list is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FilterList']['meta_info']


                                class Inherit(object):
                                    """
                                    Inherit a template
                                    
                                    .. attribute:: peer_policy
                                    
                                    	Inherit a peer\-policy template
                                    	**type**\:  str
                                    
                                    .. attribute:: peer_session
                                    
                                    	Inherit a peer\-session template
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.peer_policy = None
                                        self.peer_session = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:inherit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.peer_policy is not None:
                                            return True

                                        if self.peer_session is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Inherit']['meta_info']


                                class LogNeighborChanges(object):
                                    """
                                    Log neighbor up/down and reset reason
                                    
                                    .. attribute:: disable
                                    
                                    	disable
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:log-neighbor-changes'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.LogNeighborChanges']['meta_info']


                                class MaximumPrefix(object):
                                    """
                                    Maximum number of prefixes accepted from this peer
                                    
                                    .. attribute:: max_prefix_no
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..2147483647
                                    
                                    .. attribute:: restart
                                    
                                    	Restart bgp connection after limit is exceeded
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give warning message when limit is exceeded
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max_prefix_no = None
                                        self.restart = None
                                        self.threshold = None
                                        self.warning_only = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:maximum-prefix'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max_prefix_no is not None:
                                            return True

                                        if self.restart is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        if self.warning_only is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.MaximumPrefix']['meta_info']


                                class Password(object):
                                    """
                                    Set a password
                                    
                                    .. attribute:: enctype
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: text
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.enctype = None
                                        self.text = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:password'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.enctype is not None:
                                            return True

                                        if self.text is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Password']['meta_info']


                                class PrefixList(object):
                                    """
                                    Filter updates to/from this neighbor
                                    
                                    .. attribute:: inout  <key>
                                    
                                    	
                                    	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PrefixList.InoutEnum>`
                                    
                                    .. attribute:: prefix_list_name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**mandatory**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.inout = None
                                        self.prefix_list_name = None

                                    class InoutEnum(Enum):
                                        """
                                        InoutEnum

                                        .. data:: in_ = 0

                                        .. data:: out = 1

                                        """

                                        in_ = 0

                                        out = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PrefixList.InoutEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.inout is None:
                                            raise YPYModelError('Key property inout is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:prefix-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.inout is not None:
                                            return True

                                        if self.prefix_list_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PrefixList']['meta_info']


                                class PathAttribute(object):
                                    """
                                    BGP optional attribute filtering
                                    
                                    .. attribute:: discard
                                    
                                    	Discard matching path\-attribute for this neighbor
                                    	**type**\:   :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard>`
                                    
                                    .. attribute:: treat_as_withdraw
                                    
                                    	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                    	**type**\:   :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.discard = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard()
                                        self.discard.parent = self
                                        self.treat_as_withdraw = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw()
                                        self.treat_as_withdraw.parent = self


                                    class Discard(object):
                                        """
                                        Discard matching path\-attribute for this neighbor
                                        
                                        .. attribute:: attibute_type
                                        
                                        	
                                        	**type**\:   :py:class:`Attibute_Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.Attibute_Type>`
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.attibute_type = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.Attibute_Type()
                                            self.attibute_type.parent = self
                                            self.range = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.Range()
                                            self.range.parent = self


                                        class Attibute_Type(object):
                                            """
                                            
                                            
                                            .. attribute:: in_
                                            
                                            	Perform inbound path\-attribute filtering
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: type
                                            
                                            	path attribute type
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.in_ = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:attibute_type'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.in_ is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.Attibute_Type']['meta_info']


                                        class Range(object):
                                            """
                                            
                                            
                                            .. attribute:: end_value
                                            
                                            	path attribute range end value
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: in_
                                            
                                            	Perform inbound path\-attribute filtering
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: start_value
                                            
                                            	path attribute range start value
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.end_value = None
                                                self.in_ = None
                                                self.start_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:range'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.end_value is not None:
                                                    return True

                                                if self.in_ is not None:
                                                    return True

                                                if self.start_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.Range']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:discard'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.attibute_type is not None and self.attibute_type._has_data():
                                                return True

                                            if self.range is not None and self.range._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard']['meta_info']


                                    class TreatAsWithdraw(object):
                                        """
                                        Treat\-as\-withdraw matching path\-attribute for this neighbor
                                        
                                        .. attribute:: attibute_type
                                        
                                        	
                                        	**type**\:   :py:class:`Attibute_Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type>`
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.attibute_type = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type()
                                            self.attibute_type.parent = self
                                            self.range = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                            self.range.parent = self


                                        class Attibute_Type(object):
                                            """
                                            
                                            
                                            .. attribute:: in_
                                            
                                            	Perform inbound path\-attribute filtering
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: type
                                            
                                            	path attribute type
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.in_ = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:attibute_type'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.in_ is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type']['meta_info']


                                        class Range(object):
                                            """
                                            
                                            
                                            .. attribute:: end_value
                                            
                                            	path attribute range end value
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: in_
                                            
                                            	Perform inbound path\-attribute filtering
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: start_value
                                            
                                            	path attribute range start value
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.end_value = None
                                                self.in_ = None
                                                self.start_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:range'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.end_value is not None:
                                                    return True

                                                if self.in_ is not None:
                                                    return True

                                                if self.start_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:treat-as-withdraw'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.attibute_type is not None and self.attibute_type._has_data():
                                                return True

                                            if self.range is not None and self.range._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:path-attribute'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.discard is not None and self.discard._has_data():
                                            return True

                                        if self.treat_as_withdraw is not None and self.treat_as_withdraw._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute']['meta_info']


                                class RouteMap(object):
                                    """
                                    Apply route map to neighbor
                                    
                                    .. attribute:: inout  <key>
                                    
                                    	
                                    	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.RouteMap.InoutEnum>`
                                    
                                    .. attribute:: route_map_name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**mandatory**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.inout = None
                                        self.route_map_name = None

                                    class InoutEnum(Enum):
                                        """
                                        InoutEnum

                                        .. data:: in_ = 0

                                        .. data:: out = 1

                                        """

                                        in_ = 0

                                        out = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.RouteMap.InoutEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.inout is None:
                                            raise YPYModelError('Key property inout is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:route-map[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.inout is not None:
                                            return True

                                        if self.route_map_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.RouteMap']['meta_info']


                                class SendCommunity(object):
                                    """
                                    Send Community attribute to this neighbor
                                    
                                    .. attribute:: send_community_where
                                    
                                    	
                                    	**type**\:   :py:class:`SendCommunityWhereEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendCommunity.SendCommunityWhereEnum>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.send_community_where = None

                                    class SendCommunityWhereEnum(Enum):
                                        """
                                        SendCommunityWhereEnum

                                        .. data:: both = 0

                                        .. data:: extended = 1

                                        .. data:: standard = 2

                                        """

                                        both = 0

                                        extended = 1

                                        standard = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendCommunity.SendCommunityWhereEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send-community'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.send_community_where is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendCommunity']['meta_info']


                                class SendLabel(object):
                                    """
                                    Send NLRI + MPLS Label to this peer
                                    
                                    .. attribute:: send_label_explicit
                                    
                                    	
                                    	**type**\:   :py:class:`SendLabelExplicitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendLabel.SendLabelExplicitEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.send_label_explicit = None

                                    class SendLabelExplicitEnum(Enum):
                                        """
                                        SendLabelExplicitEnum

                                        .. data:: explicit_null = 0

                                        """

                                        explicit_null = 0


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendLabel.SendLabelExplicitEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send-label'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.send_label_explicit is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendLabel']['meta_info']


                                class SlowPeer(object):
                                    """
                                    Configure slow\-peer
                                    
                                    .. attribute:: detection
                                    
                                    	Slow\-peer detection
                                    	**type**\:   :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.Detection>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: split_update_group
                                    
                                    	Configure slow\-peer split\-update\-group
                                    	**type**\:   :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.detection = None
                                        self.split_update_group = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup()
                                        self.split_update_group.parent = self


                                    class Detection(object):
                                        """
                                        Slow\-peer detection
                                        
                                        .. attribute:: threshold
                                        
                                        	Threshold value (seconds)
                                        	**type**\:  int
                                        
                                        	**range:** 120..3600
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:detection'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.Detection']['meta_info']


                                    class SplitUpdateGroup(object):
                                        """
                                        Configure slow\-peer split\-update\-group
                                        
                                        .. attribute:: dynamic
                                        
                                        	Dynamically split the slow peer to slow\-update group
                                        	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None


                                        class Dynamic(object):
                                            """
                                            Dynamically split the slow peer to slow\-update group
                                            
                                            .. attribute:: permanent
                                            
                                            	Keep the slow\-peer permanently in slow\-update group
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.permanent = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:dynamic'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.permanent is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:split-update-group'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None and self.dynamic._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:slow-peer'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.detection is not None and self.detection._has_data():
                                            return True

                                        if self.split_update_group is not None and self.split_update_group._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer']['meta_info']


                                class Timers(object):
                                    """
                                    BGP per neighbor timers
                                    
                                    .. attribute:: holdtime
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: keepalive_interval
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: minimum_neighbor_hold
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.holdtime = None
                                        self.keepalive_interval = None
                                        self.minimum_neighbor_hold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:timers'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.holdtime is not None:
                                            return True

                                        if self.keepalive_interval is not None:
                                            return True

                                        if self.minimum_neighbor_hold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Timers']['meta_info']


                                class TranslateUpdate(object):
                                    """
                                    Translate Update to MBGP format
                                    
                                    .. attribute:: ipv4
                                    
                                    	Address Family
                                    	**type**\:   :py:class:`Ipv4_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4_>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4_()
                                        self.ipv4.parent = self


                                    class Ipv4_(object):
                                        """
                                        Address Family
                                        
                                        .. attribute:: multicast
                                        
                                        	Address Family modifier
                                        	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4_.Multicast>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.multicast = None


                                        class Multicast(object):
                                            """
                                            Address Family modifier
                                            
                                            .. attribute:: unicast
                                            
                                            	Address Family modifier
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.unicast = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:multicast'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.unicast is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4_.Multicast']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:ipv4'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.multicast is not None and self.multicast._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:translate-update'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None and self.ipv4._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate']['meta_info']


                                class Transport(object):
                                    """
                                    Transport options
                                    
                                    .. attribute:: connection_mode
                                    
                                    	Specify passive or active connection
                                    	**type**\:   :py:class:`ConnectionModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport.ConnectionModeEnum>`
                                    
                                    .. attribute:: multi_session
                                    
                                    	Use Multi\-session for transport
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: path_mtu_discovery
                                    
                                    	Use transport path MTU discovery
                                    	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport.PathMtuDiscovery>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.connection_mode = None
                                        self.multi_session = None
                                        self.path_mtu_discovery = None

                                    class ConnectionModeEnum(Enum):
                                        """
                                        ConnectionModeEnum

                                        Specify passive or active connection

                                        .. data:: active = 0

                                        .. data:: passive = 1

                                        """

                                        active = 0

                                        passive = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport.ConnectionModeEnum']



                                    class PathMtuDiscovery(object):
                                        """
                                        Use transport path MTU discovery
                                        
                                        .. attribute:: disable
                                        
                                        	disable
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.disable = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:path-mtu-discovery'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.disable is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport.PathMtuDiscovery']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:transport'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.connection_mode is not None:
                                            return True

                                        if self.multi_session is not None:
                                            return True

                                        if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport']['meta_info']


                                class TtlSecurity(object):
                                    """
                                    BGP ttl security check
                                    
                                    .. attribute:: hops
                                    
                                    	IP hops
                                    	**type**\:  int
                                    
                                    	**range:** 1..254
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hops = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ttl-security'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hops is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TtlSecurity']['meta_info']


                                class UpdateSource(object):
                                    """
                                    Source of routing updates
                                    
                                    .. attribute:: appnav_compress
                                    
                                    	Service\-Context Virtual Interface Compress
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: appnav_uncompress
                                    
                                    	Service\-Context Virtual Interface UnCompress
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: atm
                                    
                                    	ATM interface
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                    
                                    .. attribute:: atm_acr
                                    
                                    	ATM\-ACR interface
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]
                                    
                                    .. attribute:: atm_acrsubinterface
                                    
                                    	
                                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.AtmAcrsubinterface>`
                                    
                                    .. attribute:: atm_subinterface
                                    
                                    	
                                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.AtmSubinterface>`
                                    
                                    .. attribute:: bdi
                                    
                                    	Bridge\-Domain interface
                                    	**type**\:  str
                                    
                                    .. attribute:: cellular
                                    
                                    	Cellular Interface
                                    	**type**\:  str
                                    
                                    .. attribute:: cem
                                    
                                    	CEM interface
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]
                                    
                                    .. attribute:: cem_acr
                                    
                                    	CEM\-ACR interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: embedded_service_engine
                                    
                                    	cisco embedded service engine module
                                    	**type**\:  str
                                    
                                    .. attribute:: fastethernet
                                    
                                    	FastEthernet IEEE 802.3
                                    	**type**\:  str
                                    
                                    .. attribute:: gigabitethernet
                                    
                                    	GigabitEthernet IEEE 802.3z
                                    	**type**\:  str
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator/ID Separation Protocol Virtual Interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..65520
                                    
                                    .. attribute:: lisp_subinterface
                                    
                                    	Locator/ID Separation Protocol Virtual Interface
                                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.LispSubinterface>`
                                    
                                    .. attribute:: loopback
                                    
                                    	Loopback interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: multilink
                                    
                                    	Multilink\-group interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: nve
                                    
                                    	Network virtualization endpoint interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: overlay
                                    
                                    	Overlay interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: port_channel
                                    
                                    	Ethernet Channel of interfaces
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: port_channel_subinterface
                                    
                                    	
                                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.PortChannelSubinterface>`
                                    
                                    .. attribute:: pseudowire
                                    
                                    	Pseudowire Interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: serial
                                    
                                    	Serial interface
                                    	**type**\:  str
                                    
                                    .. attribute:: sm
                                    
                                    	SM Interface
                                    	**type**\:  str
                                    
                                    .. attribute:: tengigabitethernet
                                    
                                    	Ten Gigabit Ethernet
                                    	**type**\:  str
                                    
                                    .. attribute:: tunnel
                                    
                                    	Tunnel interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: vasileft
                                    
                                    	vasileft
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: vasiright
                                    
                                    	vasiright
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: virtual_template
                                    
                                    	Virtual Template interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: virtualportgroup
                                    
                                    	Virtual Port Group
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: vlan
                                    
                                    	Iosxr Vlans
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.appnav_compress = None
                                        self.appnav_uncompress = None
                                        self.atm = None
                                        self.atm_acr = None
                                        self.atm_acrsubinterface = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.AtmAcrsubinterface()
                                        self.atm_acrsubinterface.parent = self
                                        self.atm_subinterface = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.AtmSubinterface()
                                        self.atm_subinterface.parent = self
                                        self.bdi = None
                                        self.cellular = None
                                        self.cem = None
                                        self.cem_acr = None
                                        self.embedded_service_engine = None
                                        self.fastethernet = None
                                        self.gigabitethernet = None
                                        self.lisp = None
                                        self.lisp_subinterface = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.LispSubinterface()
                                        self.lisp_subinterface.parent = self
                                        self.loopback = None
                                        self.multilink = None
                                        self.nve = None
                                        self.overlay = None
                                        self.port_channel = None
                                        self.port_channel_subinterface = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.PortChannelSubinterface()
                                        self.port_channel_subinterface.parent = self
                                        self.pseudowire = None
                                        self.serial = None
                                        self.sm = None
                                        self.tengigabitethernet = None
                                        self.tunnel = None
                                        self.vasileft = None
                                        self.vasiright = None
                                        self.virtual_template = None
                                        self.virtualportgroup = None
                                        self.vlan = None


                                    class AtmSubinterface(object):
                                        """
                                        
                                        
                                        .. attribute:: atm
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.atm = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-subinterface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.atm is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.AtmSubinterface']['meta_info']


                                    class AtmAcrsubinterface(object):
                                        """
                                        
                                        
                                        .. attribute:: atm_acr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.atm_acr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-ACRsubinterface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.atm_acr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.AtmAcrsubinterface']['meta_info']


                                    class LispSubinterface(object):
                                        """
                                        Locator/ID Separation Protocol Virtual Interface
                                        
                                        .. attribute:: lisp
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:LISP-subinterface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.LispSubinterface']['meta_info']


                                    class PortChannelSubinterface(object):
                                        """
                                        
                                        
                                        .. attribute:: port_channel
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.port_channel = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:Port-channel-subinterface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.port_channel is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.PortChannelSubinterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:update-source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.appnav_compress is not None:
                                            return True

                                        if self.appnav_uncompress is not None:
                                            return True

                                        if self.atm is not None:
                                            return True

                                        if self.atm_acr is not None:
                                            return True

                                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                            return True

                                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                            return True

                                        if self.bdi is not None:
                                            return True

                                        if self.cellular is not None:
                                            return True

                                        if self.cem is not None:
                                            return True

                                        if self.cem_acr is not None:
                                            return True

                                        if self.embedded_service_engine is not None:
                                            return True

                                        if self.fastethernet is not None:
                                            return True

                                        if self.gigabitethernet is not None:
                                            return True

                                        if self.lisp is not None:
                                            return True

                                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                            return True

                                        if self.loopback is not None:
                                            return True

                                        if self.multilink is not None:
                                            return True

                                        if self.nve is not None:
                                            return True

                                        if self.overlay is not None:
                                            return True

                                        if self.port_channel is not None:
                                            return True

                                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                            return True

                                        if self.pseudowire is not None:
                                            return True

                                        if self.serial is not None:
                                            return True

                                        if self.sm is not None:
                                            return True

                                        if self.tengigabitethernet is not None:
                                            return True

                                        if self.tunnel is not None:
                                            return True

                                        if self.vasileft is not None:
                                            return True

                                        if self.vasiright is not None:
                                            return True

                                        if self.virtual_template is not None:
                                            return True

                                        if self.virtualportgroup is not None:
                                            return True

                                        if self.vlan is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource']['meta_info']


                                class HaMode(object):
                                    """
                                    high availability mode
                                    
                                    .. attribute:: graceful_restart
                                    
                                    	graceful\-restart for this peer
                                    	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode.GracefulRestart>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: sso
                                    
                                    	stateful\-switchover support for this peer
                                    	**type**\:   :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode.Sso>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.graceful_restart = None
                                        self.sso = None


                                    class GracefulRestart(object):
                                        """
                                        graceful\-restart for this peer
                                        
                                        .. attribute:: disable
                                        
                                        	disable graceful\-restart
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.disable = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:graceful-restart'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.disable is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode.GracefulRestart']['meta_info']


                                    class Sso(object):
                                        """
                                        stateful\-switchover support for this peer
                                        
                                        .. attribute:: disable
                                        
                                        	disable stateful\-switchover
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.disable = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:sso'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.disable is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode.Sso']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ha-mode'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.graceful_restart is not None and self.graceful_restart._has_data():
                                            return True

                                        if self.sso is not None and self.sso._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:neighbor[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.activate is not None:
                                        return True

                                    if self.additional_paths is not None and self.additional_paths._has_data():
                                        return True

                                    if self.advertise is not None and self.advertise._has_data():
                                        return True

                                    if self.advertise_map is not None and self.advertise_map._has_data():
                                        return True

                                    if self.advertisement_interval is not None:
                                        return True

                                    if self.aigp is not None and self.aigp._has_data():
                                        return True

                                    if self.allow_policy is not None:
                                        return True

                                    if self.allowas_in is not None and self.allowas_in._has_data():
                                        return True

                                    if self.announce is not None and self.announce._has_data():
                                        return True

                                    if self.as_override is not None and self.as_override._has_data():
                                        return True

                                    if self.capability is not None and self.capability._has_data():
                                        return True

                                    if self.cluster_id is not None:
                                        return True

                                    if self.default_originate is not None and self.default_originate._has_data():
                                        return True

                                    if self.description is not None:
                                        return True

                                    if self.disable_connected_check is not None:
                                        return True

                                    if self.distribute_list is not None:
                                        for child_ref in self.distribute_list:
                                            if child_ref._has_data():
                                                return True

                                    if self.dmzlink_bw is not None:
                                        return True

                                    if self.ebgp_multihop is not None and self.ebgp_multihop._has_data():
                                        return True

                                    if self.fall_over is not None and self.fall_over._has_data():
                                        return True

                                    if self.filter_list is not None:
                                        for child_ref in self.filter_list:
                                            if child_ref._has_data():
                                                return True

                                    if self.ha_mode is not None and self.ha_mode._has_data():
                                        return True

                                    if self.inherit is not None and self.inherit._has_data():
                                        return True

                                    if self.local_as is not None and self.local_as._has_data():
                                        return True

                                    if self.log_neighbor_changes is not None and self.log_neighbor_changes._has_data():
                                        return True

                                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                        return True

                                    if self.next_hop_self is not None:
                                        return True

                                    if self.next_hop_unchanged is not None:
                                        return True

                                    if self.password is not None and self.password._has_data():
                                        return True

                                    if self.path_attribute is not None and self.path_attribute._has_data():
                                        return True

                                    if self.peer_group is not None and self.peer_group._has_data():
                                        return True

                                    if self.prefix_list is not None:
                                        for child_ref in self.prefix_list:
                                            if child_ref._has_data():
                                                return True

                                    if self.remote_as is not None:
                                        return True

                                    if self.remove_private_as is not None:
                                        return True

                                    if self.route_map is not None:
                                        for child_ref in self.route_map:
                                            if child_ref._has_data():
                                                return True

                                    if self.route_reflector_client is not None:
                                        return True

                                    if self.route_reflector_cluster_id is not None:
                                        return True

                                    if self.send_community is not None and self.send_community._has_data():
                                        return True

                                    if self.send_label is not None and self.send_label._has_data():
                                        return True

                                    if self.shutdown is not None:
                                        return True

                                    if self.slow_peer is not None and self.slow_peer._has_data():
                                        return True

                                    if self.soft_reconfiguration is not None:
                                        return True

                                    if self.timers is not None and self.timers._has_data():
                                        return True

                                    if self.translate_update is not None and self.translate_update._has_data():
                                        return True

                                    if self.transport is not None and self.transport._has_data():
                                        return True

                                    if self.ttl_security is not None and self.ttl_security._has_data():
                                        return True

                                    if self.unsuppress_map is not None:
                                        return True

                                    if self.update_source is not None and self.update_source._has_data():
                                        return True

                                    if self.version is not None:
                                        return True

                                    if self.weight is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor']['meta_info']


                            class Network(object):
                                """
                                Specify a network to announce via BGP
                                
                                .. attribute:: number  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: backdoor
                                
                                	Specify a BGP backdoor route
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mask
                                
                                	Network mask
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: route_map
                                
                                	Route\-map to modify the attributes
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.backdoor = None
                                    self.mask = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.number is None:
                                        raise YPYModelError('Key property number is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:network[Cisco-IOS-XE-bgp:number = ' + str(self.number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.backdoor is not None:
                                        return True

                                    if self.mask is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Network']['meta_info']


                            class Redistribute(object):
                                """
                                Redistribute information from another routing protocol
                                
                                .. attribute:: application
                                
                                	Application
                                	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Application>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Bgp_>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Connected>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: dvmrp
                                
                                	Redistribution of DVMRP into BGP IPv4 Multicast
                                	**type**\:   :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Dvmrp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\:   :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis>`
                                
                                .. attribute:: iso_igrp
                                
                                	IGRP for OSI networks
                                	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp>`
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol
                                	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Lisp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: mobile
                                
                                	Mobile routes
                                	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Mobile>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: odr
                                
                                	On Demand stub Routes
                                	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Odr>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Rip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.application = None
                                    self.bgp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Bgp_()
                                    self.bgp.parent = self
                                    self.connected = None
                                    self.dvmrp = None
                                    self.eigrp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Eigrp()
                                    self.eigrp.parent = self
                                    self.isis = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis()
                                    self.isis.parent = self
                                    self.iso_igrp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp()
                                    self.iso_igrp.parent = self
                                    self.lisp = None
                                    self.mobile = None
                                    self.odr = None
                                    self.ospf = YList()
                                    self.ospf.parent = self
                                    self.ospf.name = 'ospf'
                                    self.rip = None
                                    self.static = None


                                class Application(object):
                                    """
                                    Application
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Application.Name>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.name = YList()
                                        self.name.parent = self
                                        self.name.name = 'name'


                                    class Name(object):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	WORD;;Route map name
                                        	**type**\:  str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.metric = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:name[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Application.Name']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:application'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.name is not None:
                                            for child_ref in self.name:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Application']['meta_info']


                                class Bgp_(object):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: as_no
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    
                                    ----
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_no = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.as_no is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Bgp_']['meta_info']


                                class Connected(object):
                                    """
                                    Connected
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:connected'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Connected']['meta_info']


                                class Dvmrp(object):
                                    """
                                    Redistribution of DVMRP into BGP IPv4 Multicast
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:dvmrp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Dvmrp']['meta_info']


                                class Eigrp(object):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: as_no
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_no = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:eigrp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.as_no is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Eigrp']['meta_info']


                                class Isis(object):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.Default>`
                                    
                                    .. attribute:: isis_area
                                    
                                    	
                                    	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.IsisArea>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.default = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.Default()
                                        self.default.parent = self
                                        self.isis_area = YList()
                                        self.isis_area.parent = self
                                        self.isis_area.name = 'isis_area'


                                    class IsisArea(object):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ip
                                        
                                        	Redistribution of IP dynamic routes
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: routes
                                        
                                        	
                                        	**type**\:   :py:class:`RoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.IsisArea.RoutesEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.clns = None
                                            self.ip = None
                                            self.metric = None
                                            self.route_map = None
                                            self.routes = None

                                        class RoutesEnum(Enum):
                                            """
                                            RoutesEnum

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = 0

                                            level_2 = 1

                                            level_1_2 = 2


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.IsisArea.RoutesEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:isis-area[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.clns is not None:
                                                return True

                                            if self.ip is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.routes is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.IsisArea']['meta_info']


                                    class Default(object):
                                        """
                                        
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ip
                                        
                                        	Redistribution of IP dynamic routes
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: routes
                                        
                                        	
                                        	**type**\:   :py:class:`RoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.Default.RoutesEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.clns = None
                                            self.ip = None
                                            self.metric = None
                                            self.route_map = None
                                            self.routes = None

                                        class RoutesEnum(Enum):
                                            """
                                            RoutesEnum

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = 0

                                            level_2 = 1

                                            level_1_2 = 2


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.Default.RoutesEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.clns is not None:
                                                return True

                                            if self.ip is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.routes is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.Default']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:isis'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.default is not None and self.default._has_data():
                                            return True

                                        if self.isis_area is not None:
                                            for child_ref in self.isis_area:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis']['meta_info']


                                class Lisp(object):
                                    """
                                    Locator/ID Separation Protocol
                                    
                                    .. attribute:: include_connected
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.include_connected = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:lisp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.include_connected is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Lisp']['meta_info']


                                class IsoIgrp(object):
                                    """
                                    IGRP for OSI networks
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.Default>`
                                    
                                    .. attribute:: iso_igrp_area
                                    
                                    	
                                    	**type**\: list of    :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpArea>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.default = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.Default()
                                        self.default.parent = self
                                        self.iso_igrp_area = YList()
                                        self.iso_igrp_area.parent = self
                                        self.iso_igrp_area.name = 'iso_igrp_area'


                                    class IsoIgrpArea(object):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.metric = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:iso-igrp-area[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpArea']['meta_info']


                                    class Default(object):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.Default']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:iso-igrp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.default is not None and self.default._has_data():
                                            return True

                                        if self.iso_igrp_area is not None:
                                            for child_ref in self.iso_igrp_area:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp']['meta_info']


                                class Mobile(object):
                                    """
                                    Mobile routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:mobile'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Mobile']['meta_info']


                                class Odr(object):
                                    """
                                    On Demand stub Routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:odr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Odr']['meta_info']


                                class Ospf(object):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: non_vrf
                                    
                                    	
                                    	**type**\:   :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf>`
                                    
                                    .. attribute:: vrf
                                    
                                    	VPN Routing/Forwarding Instance
                                    	**type**\: list of    :py:class:`Vrf_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf_>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.non_vrf = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf()
                                        self.non_vrf.parent = self
                                        self.vrf = YList()
                                        self.vrf.parent = self
                                        self.vrf.name = 'vrf'


                                    class Vrf_(object):
                                        """
                                        VPN Routing/Forwarding Instance
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: match
                                        
                                        	
                                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf_.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.match = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf_.Match()
                                            self.match.parent = self
                                            self.metric = None
                                            self.route_map = None


                                        class Match(object):
                                            """
                                            
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:match'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf_.Match']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:vrf[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.match is not None and self.match._has_data():
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf_']['meta_info']


                                    class NonVrf(object):
                                        """
                                        
                                        
                                        .. attribute:: match
                                        
                                        	
                                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.match = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf.Match()
                                            self.match.parent = self
                                            self.metric = None
                                            self.route_map = None


                                        class Match(object):
                                            """
                                            
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                            
                                            .. attribute:: external2
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.external = None
                                                self.external2 = None
                                                self.internal = None
                                                self.metric = None
                                                self.nssa_external = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:match'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.external is not None:
                                                    return True

                                                if self.external2 is not None:
                                                    return True

                                                if self.internal is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.nssa_external is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf.Match']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:non-vrf'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.match is not None and self.match._has_data():
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ospf[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.non_vrf is not None and self.non_vrf._has_data():
                                            return True

                                        if self.vrf is not None:
                                            for child_ref in self.vrf:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf']['meta_info']


                                class Rip(object):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:rip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Rip']['meta_info']


                                class Static(object):
                                    """
                                    Static routes
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static.Clns>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ip
                                    
                                    	
                                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static.Ip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.clns = None
                                        self.ip = None
                                        self.metric = None
                                        self.route_map = None


                                    class Clns(object):
                                        """
                                        Redistribution of OSI dynamic routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.metric = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:clns'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.metric is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static.Clns']['meta_info']


                                    class Ip(object):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.metric = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:ip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.metric is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static.Ip']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:static'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.clns is not None and self.clns._has_data():
                                            return True

                                        if self.ip is not None and self.ip._has_data():
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:redistribute'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.application is not None and self.application._has_data():
                                        return True

                                    if self.bgp is not None and self.bgp._has_data():
                                        return True

                                    if self.connected is not None and self.connected._has_data():
                                        return True

                                    if self.dvmrp is not None and self.dvmrp._has_data():
                                        return True

                                    if self.eigrp is not None and self.eigrp._has_data():
                                        return True

                                    if self.isis is not None and self.isis._has_data():
                                        return True

                                    if self.iso_igrp is not None and self.iso_igrp._has_data():
                                        return True

                                    if self.lisp is not None and self.lisp._has_data():
                                        return True

                                    if self.mobile is not None and self.mobile._has_data():
                                        return True

                                    if self.odr is not None and self.odr._has_data():
                                        return True

                                    if self.ospf is not None:
                                        for child_ref in self.ospf:
                                            if child_ref._has_data():
                                                return True

                                    if self.rip is not None and self.rip._has_data():
                                        return True

                                    if self.static is not None and self.static._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute']['meta_info']


                            class TableMap(object):
                                """
                                Map external entry attributes into routing table
                                
                                .. attribute:: filter
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: name
                                
                                	WORD;;route\-map name
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.filter = None
                                    self.name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:table-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.filter is not None:
                                        return True

                                    if self.name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.TableMap']['meta_info']


                            class Snmp(object):
                                """
                                Modify snmp parameters
                                
                                .. attribute:: context
                                
                                	Configure a SNMP context
                                	**type**\:   :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.context = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context()
                                    self.context.parent = self


                                class Context(object):
                                    """
                                    Configure a SNMP context
                                    
                                    .. attribute:: context_word
                                    
                                    	
                                    	**type**\: list of    :py:class:`Context_Word <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context.Context_Word>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.context_word = YList()
                                        self.context_word.parent = self
                                        self.context_word.name = 'context_word'


                                    class Context_Word(object):
                                        """
                                        
                                        
                                        .. attribute:: context_word  <key>
                                        
                                        	Context Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.context_word = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.context_word is None:
                                                raise YPYModelError('Key property context_word is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:context_word[Cisco-IOS-XE-bgp:context_word = ' + str(self.context_word) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.context_word is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context.Context_Word']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:context'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.context_word is not None:
                                            for child_ref in self.context_word:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:snmp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.context is not None and self.context._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:vrf[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.aggregate_address is not None and self.aggregate_address._has_data():
                                    return True

                                if self.auto_summary is not None:
                                    return True

                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                if self.default_information is not None and self.default_information._has_data():
                                    return True

                                if self.default_metric is not None:
                                    return True

                                if self.distance is not None and self.distance._has_data():
                                    return True

                                if self.distribute_list is not None:
                                    for child_ref in self.distribute_list:
                                        if child_ref._has_data():
                                            return True

                                if self.maximum_paths is not None and self.maximum_paths._has_data():
                                    return True

                                if self.neighbor is not None:
                                    for child_ref in self.neighbor:
                                        if child_ref._has_data():
                                            return True

                                if self.network is not None:
                                    for child_ref in self.network:
                                        if child_ref._has_data():
                                            return True

                                if self.redistribute is not None and self.redistribute._has_data():
                                    return True

                                if self.snmp is not None and self.snmp._has_data():
                                    return True

                                if self.synchronization is not None:
                                    return True

                                if self.table_map is not None and self.table_map._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.af_name is None:
                                raise YPYModelError('Key property af_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:ipv4[Cisco-IOS-XE-bgp:af-name = ' + str(self.af_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.af_name is not None:
                                return True

                            if self.vrf is not None:
                                for child_ref in self.vrf:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv4']['meta_info']


                    class Ipv6(object):
                        """
                        Address family
                        
                        .. attribute:: af_name  <key>
                        
                        	
                        	**type**\:   :py:class:`Bgp_Ipv6_Af_TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Bgp_Ipv6_Af_TypeEnum>`
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.af_name = None
                            self.vrf = YList()
                            self.vrf.parent = self
                            self.vrf.name = 'vrf'


                        class Vrf(object):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: aggregate_address
                            
                            	Configure BGP aggregate entries
                            	**type**\:   :py:class:`AggregateAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.AggregateAddress>`
                            
                            .. attribute:: auto_summary
                            
                            	Enable automatic network number summarization
                            	**type**\:  bool
                            
                            .. attribute:: bgp
                            
                            	BGP specific commands
                            	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_>`
                            
                            .. attribute:: default_information
                            
                            	Control distribution of default information
                            	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DefaultInformation>`
                            
                            .. attribute:: default_metric
                            
                            	Set metric of redistributed routes
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: distance
                            
                            	Define an administrative distance
                            	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter networks in routing updates
                            	**type**\: list of    :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList>`
                            
                            .. attribute:: maximum_paths
                            
                            	Forward packets over multiple paths
                            	**type**\:   :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths>`
                            
                            .. attribute:: neighbor
                            
                            	Specify a neighbor router
                            	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor>`
                            
                            .. attribute:: network
                            
                            	Specify a network to announce via BGP
                            	**type**\: list of    :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Network>`
                            
                            .. attribute:: redistribute
                            
                            	Redistribute information from another routing protocol
                            	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute>`
                            
                            .. attribute:: snmp
                            
                            	Modify snmp parameters
                            	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: synchronization
                            
                            	Perform IGP synchronization
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: table_map
                            
                            	Map external entry attributes into routing table
                            	**type**\:   :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.TableMap>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.aggregate_address = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.AggregateAddress()
                                self.aggregate_address.parent = self
                                self.auto_summary = None
                                self.bgp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_()
                                self.bgp.parent = self
                                self.default_information = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DefaultInformation()
                                self.default_information.parent = self
                                self.default_metric = None
                                self.distance = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance()
                                self.distance.parent = self
                                self.distribute_list = YList()
                                self.distribute_list.parent = self
                                self.distribute_list.name = 'distribute_list'
                                self.maximum_paths = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths()
                                self.maximum_paths.parent = self
                                self.neighbor = YList()
                                self.neighbor.parent = self
                                self.neighbor.name = 'neighbor'
                                self.network = YList()
                                self.network.parent = self
                                self.network.name = 'network'
                                self.redistribute = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute()
                                self.redistribute.parent = self
                                self.snmp = None
                                self.synchronization = None
                                self.table_map = None


                            class AggregateAddress(object):
                                """
                                Configure BGP aggregate entries
                                
                                .. attribute:: advertise_map
                                
                                	Set condition to advertise attribute
                                	**type**\:  str
                                
                                .. attribute:: as_override
                                
                                	Override matching AS\-number while sending update
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: as_set
                                
                                	Generate AS set path information
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: attribute_map
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: ipv6_address
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: route_map
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: summary_only
                                
                                	Filter more specific routes from updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: suppress_map
                                
                                	Conditionally filter more specific routes from updates
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.advertise_map = None
                                    self.as_override = None
                                    self.as_set = None
                                    self.attribute_map = None
                                    self.ipv6_address = None
                                    self.route_map = None
                                    self.summary_only = None
                                    self.suppress_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:aggregate-address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.advertise_map is not None:
                                        return True

                                    if self.as_override is not None:
                                        return True

                                    if self.as_set is not None:
                                        return True

                                    if self.attribute_map is not None:
                                        return True

                                    if self.ipv6_address is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.summary_only is not None:
                                        return True

                                    if self.suppress_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.AggregateAddress']['meta_info']


                            class Bgp_(object):
                                """
                                BGP specific commands
                                
                                .. attribute:: additional_paths
                                
                                	Additional paths in the BGP table
                                	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths>`
                                
                                .. attribute:: advertise_best_external
                                
                                	Advertise best external path to internal peers
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: aggregate_timer
                                
                                	Timer interval
                                	**type**\:  int
                                
                                	**range:** 6..60
                                
                                .. attribute:: always_compare_med
                                
                                	Allow comparing MED from different neighbors
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: asnotation
                                
                                	Change the default asplain notation
                                	**type**\:   :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Asnotation>`
                                
                                .. attribute:: bestpath
                                
                                	Change the default bestpath selection
                                	**type**\:   :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath>`
                                
                                .. attribute:: client_to_client
                                
                                	Configure client to client route reflection
                                	**type**\:   :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ClientToClient>`
                                
                                .. attribute:: cluster_id
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: confederation
                                
                                	AS confederation parameters
                                	**type**\:   :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Confederation>`
                                
                                .. attribute:: consistency_checker
                                
                                	Consistency\-checker
                                	**type**\:   :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ConsistencyChecker>`
                                
                                .. attribute:: dampening
                                
                                	Enable route\-flap dampening
                                	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Dampening>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: default
                                
                                	Configure BGP defaults
                                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Default>`
                                
                                .. attribute:: deterministic_med
                                
                                	Pick the best\-MED path among paths advertised from the neighboring AS
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: dmzlink_bw
                                
                                	Use DMZ Link Bandwidth as weight for BGP multipaths
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: enforce_first_as
                                
                                	Enforce the first AS for EBGP routes(default)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: enhanced_error
                                
                                	Enabled BGP Enhanced error handling
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: fast_external_fallover
                                
                                	Immediately reset session if a link to a directly connected external peer goes down
                                	**type**\:  bool
                                
                                .. attribute:: graceful_restart
                                
                                	Graceful restart capability parameters
                                	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.GracefulRestart>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ha_mode
                                
                                	Select BGP High Availability mode
                                	**type**\:   :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.HaMode>`
                                
                                .. attribute:: inject_map
                                
                                	Routemap which specifies prefixes to inject
                                	**type**\: list of    :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.InjectMap>`
                                
                                .. attribute:: log_neighbor_changes
                                
                                	Log neighbor up/down and reset reason
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: maxas_limit
                                
                                	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                                	**type**\:  int
                                
                                	**range:** 1..2000
                                
                                .. attribute:: maxcommunity_limit
                                
                                	Number of communities in the COMMUNITY attribute
                                	**type**\:  int
                                
                                	**range:** 1..1018
                                
                                .. attribute:: nexthop
                                
                                	Nexthop tracking commands
                                	**type**\:   :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Nexthop>`
                                
                                .. attribute:: nopeerup_delay
                                
                                	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                	**type**\:   :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.NopeerupDelay>`
                                
                                .. attribute:: recursion
                                
                                	recursion rule for the nexthops
                                	**type**\:   :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Recursion>`
                                
                                .. attribute:: redistribute_internal
                                
                                	Allow redistribution of iBGP into IGPs (dangerous)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: regexp
                                
                                	Select regular expression engine
                                	**type**\:   :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Regexp>`
                                
                                .. attribute:: route_map
                                
                                	bgp route\-map commands
                                	**type**\:   :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.RouteMap>`
                                
                                .. attribute:: router_id
                                
                                	Override configured router identifier (peers will reset)
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: scan_time
                                
                                	Configure background scanner interval
                                	**type**\:  int
                                
                                	**range:** 5..60
                                
                                .. attribute:: slow_peer
                                
                                	Configure slow\-peer
                                	**type**\:   :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer>`
                                
                                .. attribute:: soft_reconfig_backup
                                
                                	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: suppress_inactive
                                
                                	Suppress routes that are not in the routing table
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: transport
                                
                                	Transport options
                                	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Transport>`
                                
                                .. attribute:: update_delay
                                
                                	Set the max initial delay for sending update
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: update_group
                                
                                	Manage peers in bgp update groups
                                	**type**\:   :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.UpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.additional_paths = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self.advertise_best_external = None
                                    self.aggregate_timer = None
                                    self.always_compare_med = None
                                    self.asnotation = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Asnotation()
                                    self.asnotation.parent = self
                                    self.bestpath = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath()
                                    self.bestpath.parent = self
                                    self.client_to_client = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ClientToClient()
                                    self.client_to_client.parent = self
                                    self.cluster_id = None
                                    self.confederation = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Confederation()
                                    self.confederation.parent = self
                                    self.consistency_checker = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ConsistencyChecker()
                                    self.consistency_checker.parent = self
                                    self.dampening = None
                                    self.default = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Default()
                                    self.default.parent = self
                                    self.deterministic_med = None
                                    self.dmzlink_bw = None
                                    self.enforce_first_as = None
                                    self.enhanced_error = None
                                    self.fast_external_fallover = None
                                    self.graceful_restart = None
                                    self.ha_mode = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.HaMode()
                                    self.ha_mode.parent = self
                                    self.inject_map = YList()
                                    self.inject_map.parent = self
                                    self.inject_map.name = 'inject_map'
                                    self.log_neighbor_changes = None
                                    self.maxas_limit = None
                                    self.maxcommunity_limit = None
                                    self.nexthop = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Nexthop()
                                    self.nexthop.parent = self
                                    self.nopeerup_delay = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.NopeerupDelay()
                                    self.nopeerup_delay.parent = self
                                    self.recursion = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Recursion()
                                    self.recursion.parent = self
                                    self.redistribute_internal = None
                                    self.regexp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Regexp()
                                    self.regexp.parent = self
                                    self.route_map = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.RouteMap()
                                    self.route_map.parent = self
                                    self.router_id = None
                                    self.scan_time = None
                                    self.slow_peer = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer()
                                    self.slow_peer.parent = self
                                    self.soft_reconfig_backup = None
                                    self.suppress_inactive = None
                                    self.transport = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Transport()
                                    self.transport.parent = self
                                    self.update_delay = None
                                    self.update_group = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.UpdateGroup()
                                    self.update_group.parent = self


                                class Asnotation(object):
                                    """
                                    Change the default asplain notation
                                    
                                    .. attribute:: dot
                                    
                                    	asdot notation
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dot = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:asnotation'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dot is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Asnotation']['meta_info']


                                class NopeerupDelay(object):
                                    """
                                    Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                    
                                    .. attribute:: cold_boot
                                    
                                    	Delay in seconds
                                    	**type**\:  int
                                    
                                    	**range:** 1..3600
                                    
                                    .. attribute:: nsf_switchover
                                    
                                    	Delay in seconds
                                    	**type**\:  int
                                    
                                    	**range:** 1..3600
                                    
                                    .. attribute:: post_boot
                                    
                                    	Delay in seconds
                                    	**type**\:  int
                                    
                                    	**range:** 1..3600
                                    
                                    .. attribute:: user_initiated
                                    
                                    	Delay in seconds
                                    	**type**\:  int
                                    
                                    	**range:** 1..3600
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.cold_boot = None
                                        self.nsf_switchover = None
                                        self.post_boot = None
                                        self.user_initiated = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:nopeerup-delay'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.cold_boot is not None:
                                            return True

                                        if self.nsf_switchover is not None:
                                            return True

                                        if self.post_boot is not None:
                                            return True

                                        if self.user_initiated is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.NopeerupDelay']['meta_info']


                                class Recursion(object):
                                    """
                                    recursion rule for the nexthops
                                    
                                    .. attribute:: host
                                    
                                    	recursion via host for the nexthops
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.host = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:recursion'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.host is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Recursion']['meta_info']


                                class AdditionalPaths(object):
                                    """
                                    Additional paths in the BGP table
                                    
                                    .. attribute:: install
                                    
                                    	Additional paths to install into RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: select
                                    
                                    	Selection criteria to pick the paths
                                    	**type**\:   :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select>`
                                    
                                    .. attribute:: send
                                    
                                    	Send additional paths to neighbors
                                    	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Send>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.install = None
                                        self.receive = None
                                        self.select = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select()
                                        self.select.parent = self
                                        self.send = None


                                    class Select(object):
                                        """
                                        Selection criteria to pick the paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: backup
                                        
                                        	Select backup path
                                        	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Backup>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Best>`
                                        
                                        .. attribute:: best_external
                                        
                                        	Select best\-external path
                                        	**type**\:   :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.BestExternal>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best path
                                        	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.all = None
                                            self.backup = None
                                            self.best = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Best()
                                            self.best.parent = self
                                            self.best_external = None
                                            self.group_best = None


                                        class All(object):
                                            """
                                            Select all available paths
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.best = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All.Best()
                                                self.best.parent = self
                                                self.group_best = None


                                            class Best(object):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: range
                                                
                                                	
                                                	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All.Best.Range>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = YList()
                                                    self.range.parent = self
                                                    self.range.name = 'range'


                                                class Range(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\:  int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best path
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.range = None
                                                        self.group_best = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.range is None:
                                                            raise YPYModelError('Key property range is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.range is not None:
                                                            return True

                                                        if self.group_best is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All.Best.Range']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        for child_ref in self.range:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All.Best']['meta_info']


                                            class GroupBest(object):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.best = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.best is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All.GroupBest']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:all'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.best is not None and self.best._has_data():
                                                    return True

                                                if self.group_best is not None and self.group_best._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.All']['meta_info']


                                        class Backup(object):
                                            """
                                            Select backup path
                                            
                                            .. attribute:: best_external
                                            
                                            	Select best\-external path
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.best_external = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:backup'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.best_external is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Backup']['meta_info']


                                        class Best(object):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Best.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = YList()
                                                self.range.parent = self
                                                self.range.name = 'range'


                                            class Range(object):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = None
                                                    self.all = None
                                                    self.group_best = None


                                                class GroupBest(object):
                                                    """
                                                    Select group\-best path
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.all = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.all is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.range is None:
                                                        raise YPYModelError('Key property range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        return True

                                                    if self.all is not None:
                                                        return True

                                                    if self.group_best is not None and self.group_best._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    for child_ref in self.range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.Best']['meta_info']


                                        class BestExternal(object):
                                            """
                                            Select best\-external path
                                            
                                            .. attribute:: backup
                                            
                                            	Select backup path
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.backup = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-external'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.backup is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.BestExternal']['meta_info']


                                        class GroupBest(object):
                                            """
                                            Select group\-best path
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.all = None
                                                self.best = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.all is not None:
                                                    return True

                                                if self.best is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select.GroupBest']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:select'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.all is not None and self.all._has_data():
                                                return True

                                            if self.backup is not None and self.backup._has_data():
                                                return True

                                            if self.best is not None and self.best._has_data():
                                                return True

                                            if self.best_external is not None and self.best_external._has_data():
                                                return True

                                            if self.group_best is not None and self.group_best._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Select']['meta_info']


                                    class Send(object):
                                        """
                                        Send additional paths to neighbors
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.receive = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.receive is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths.Send']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.install is not None:
                                            return True

                                        if self.receive is not None:
                                            return True

                                        if self.select is not None and self.select._has_data():
                                            return True

                                        if self.send is not None and self.send._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.AdditionalPaths']['meta_info']


                                class Bestpath(object):
                                    """
                                    Change the default bestpath selection
                                    
                                    .. attribute:: compare_routerid
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: cost_community
                                    
                                    	cost community
                                    	**type**\:   :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.CostCommunity>`
                                    
                                    .. attribute:: igp_metric
                                    
                                    	igp metric
                                    	**type**\:   :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.IgpMetric>`
                                    
                                    .. attribute:: med
                                    
                                    	MED attribute
                                    	**type**\:   :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.Med>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.compare_routerid = None
                                        self.cost_community = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.CostCommunity()
                                        self.cost_community.parent = self
                                        self.igp_metric = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.IgpMetric()
                                        self.igp_metric.parent = self
                                        self.med = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.Med()
                                        self.med.parent = self


                                    class CostCommunity(object):
                                        """
                                        cost community
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore cost communities in bestpath selection
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:cost-community'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.CostCommunity']['meta_info']


                                    class IgpMetric(object):
                                        """
                                        igp metric
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore igp metric in bestpath selection
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:igp-metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.IgpMetric']['meta_info']


                                    class Med(object):
                                        """
                                        MED attribute
                                        
                                        .. attribute:: confed
                                        
                                        	Compare MED among confederation paths
                                        	**type**\:   :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.Med.Confed>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: missing_at_worst
                                        
                                        	Treat missing MED as the least preferred one
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.confed = None
                                            self.missing_at_worst = None


                                        class Confed(object):
                                            """
                                            Compare MED among confederation paths
                                            
                                            .. attribute:: missing_at_worst
                                            
                                            	Treat missing MED as the least preferred one
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.missing_at_worst = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:confed'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.missing_at_worst is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.Med.Confed']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:med'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.confed is not None and self.confed._has_data():
                                                return True

                                            if self.missing_at_worst is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath.Med']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:bestpath'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.compare_routerid is not None:
                                            return True

                                        if self.cost_community is not None and self.cost_community._has_data():
                                            return True

                                        if self.igp_metric is not None and self.igp_metric._has_data():
                                            return True

                                        if self.med is not None and self.med._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Bestpath']['meta_info']


                                class ClientToClient(object):
                                    """
                                    Configure client to client route reflection
                                    
                                    .. attribute:: reflection
                                    
                                    	reflection of routes allowed
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.reflection = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:client-to-client'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.reflection is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ClientToClient']['meta_info']


                                class Confederation(object):
                                    """
                                    AS confederation parameters
                                    
                                    .. attribute:: identifier
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: peers
                                    
                                    	Peer ASs in BGP confederation
                                    	**type**\:   :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Confederation.Peers>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.identifier = None
                                        self.peers = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Confederation.Peers()
                                        self.peers.parent = self


                                    class Peers(object):
                                        """
                                        Peer ASs in BGP confederation
                                        
                                        .. attribute:: peers_as
                                        
                                        	
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.peers_as = YLeafList()
                                            self.peers_as.parent = self
                                            self.peers_as.name = 'peers_as'

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:peers'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.peers_as is not None:
                                                for child in self.peers_as:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Confederation.Peers']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:confederation'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.identifier is not None:
                                            return True

                                        if self.peers is not None and self.peers._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Confederation']['meta_info']


                                class ConsistencyChecker(object):
                                    """
                                    Consistency\-checker
                                    
                                    .. attribute:: auto_repair
                                    
                                    	Auto\-Repair
                                    	**type**\:   :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ConsistencyChecker.AutoRepair>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: error_message
                                    
                                    	Log Error\-Msg
                                    	**type**\:   :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ConsistencyChecker.ErrorMessage>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.auto_repair = None
                                        self.error_message = None


                                    class AutoRepair(object):
                                        """
                                        Auto\-Repair
                                        
                                        .. attribute:: interval
                                        
                                        	Interval (minutes)
                                        	**type**\:  int
                                        
                                        	**range:** 5..1440
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.interval = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:auto-repair'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.interval is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ConsistencyChecker.AutoRepair']['meta_info']


                                    class ErrorMessage(object):
                                        """
                                        Log Error\-Msg
                                        
                                        .. attribute:: interval
                                        
                                        	Interval (minutes)
                                        	**type**\:  int
                                        
                                        	**range:** 5..1440
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.interval = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:error-message'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.interval is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ConsistencyChecker.ErrorMessage']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:consistency-checker'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.auto_repair is not None and self.auto_repair._has_data():
                                            return True

                                        if self.error_message is not None and self.error_message._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.ConsistencyChecker']['meta_info']


                                class Dampening(object):
                                    """
                                    Enable route\-flap dampening
                                    
                                    .. attribute:: dampen
                                    
                                    	
                                    	**type**\:   :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Dampening.Dampen>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to specify criteria for dampening
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.dampen = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Dampening.Dampen()
                                        self.dampen.parent = self
                                        self.route_map = None


                                    class Dampen(object):
                                        """
                                        
                                        
                                        .. attribute:: half_life_time
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..45
                                        
                                        .. attribute:: max_suppress_time
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: reuse_time
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..20000
                                        
                                        .. attribute:: suppress_time
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..20000
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.half_life_time = None
                                            self.max_suppress_time = None
                                            self.reuse_time = None
                                            self.suppress_time = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:dampen'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.half_life_time is not None:
                                                return True

                                            if self.max_suppress_time is not None:
                                                return True

                                            if self.reuse_time is not None:
                                                return True

                                            if self.suppress_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Dampening.Dampen']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:dampening'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.dampen is not None and self.dampen._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Dampening']['meta_info']


                                class Default(object):
                                    """
                                    Configure BGP defaults
                                    
                                    .. attribute:: ipv4_unicast
                                    
                                    	Activate ipv4\-unicast for a peer by default
                                    	**type**\:  bool
                                    
                                    .. attribute:: ipv6_nexthop
                                    
                                    	Default IPv6 nexthop format
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: local_preference
                                    
                                    	local preference (higher=more preferred)
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: route_target
                                    
                                    	Control behavior based on Route\-Target attributes
                                    	**type**\:   :py:class:`RouteTargetEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Default.RouteTargetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_unicast = None
                                        self.ipv6_nexthop = None
                                        self.local_preference = None
                                        self.route_target = None

                                    class RouteTargetEnum(Enum):
                                        """
                                        RouteTargetEnum

                                        Control behavior based on Route\-Target attributes

                                        .. data:: filter = 0

                                        """

                                        filter = 0


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Default.RouteTargetEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_unicast is not None:
                                            return True

                                        if self.ipv6_nexthop is not None:
                                            return True

                                        if self.local_preference is not None:
                                            return True

                                        if self.route_target is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Default']['meta_info']


                                class GracefulRestart(object):
                                    """
                                    Graceful restart capability parameters
                                    
                                    .. attribute:: extended
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: restart_time
                                    
                                    	Set the max time needed to restart and come back up
                                    	**type**\:  int
                                    
                                    	**range:** 1..3600
                                    
                                    .. attribute:: stalepath_time
                                    
                                    	Set the max time to hold onto restarting peer's stale paths
                                    	**type**\:  int
                                    
                                    	**range:** 1..3600
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.extended = None
                                        self.restart_time = None
                                        self.stalepath_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:graceful-restart'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.extended is not None:
                                            return True

                                        if self.restart_time is not None:
                                            return True

                                        if self.stalepath_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.GracefulRestart']['meta_info']


                                class HaMode(object):
                                    """
                                    Select BGP High Availability mode
                                    
                                    .. attribute:: sso
                                    
                                    	BGP High Availability NSR sso mode
                                    	**type**\:   :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.HaMode.Sso>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sso = None


                                    class Sso(object):
                                        """
                                        BGP High Availability NSR sso mode
                                        
                                        .. attribute:: prefer
                                        
                                        	Perfer BGP High Availability NSR sso mode
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.prefer = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:sso'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.prefer is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.HaMode.Sso']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ha-mode'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sso is not None and self.sso._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.HaMode']['meta_info']


                                class InjectMap(object):
                                    """
                                    Routemap which specifies prefixes to inject
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: copy_attributes
                                    
                                    	Copy attributes from aggregate
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: exist_map
                                    
                                    	Routemap which specifies exist condition
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.copy_attributes = None
                                        self.exist_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:inject-map[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.copy_attributes is not None:
                                            return True

                                        if self.exist_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.InjectMap']['meta_info']


                                class RouteMap(object):
                                    """
                                    bgp route\-map commands
                                    
                                    .. attribute:: priority
                                    
                                    	Have route\-map set commands take priority over BGP commands such 
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.priority = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.priority is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.RouteMap']['meta_info']


                                class SlowPeer(object):
                                    """
                                    Configure slow\-peer
                                    
                                    .. attribute:: detection
                                    
                                    	Slow\-peer detection
                                    	**type**\:   :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer.Detection>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: split_update_group
                                    
                                    	Configure slow\-peer split\-update\-group
                                    	**type**\:   :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer.SplitUpdateGroup>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.detection = None
                                        self.split_update_group = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer.SplitUpdateGroup()
                                        self.split_update_group.parent = self


                                    class Detection(object):
                                        """
                                        Slow\-peer detection
                                        
                                        .. attribute:: disable
                                        
                                        	Disable slow\-peer detection
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: threshold
                                        
                                        	Threshold value (seconds)
                                        	**type**\:  int
                                        
                                        	**range:** 120..3600
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.disable = None
                                            self.threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:detection'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.disable is not None:
                                                return True

                                            if self.threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer.Detection']['meta_info']


                                    class SplitUpdateGroup(object):
                                        """
                                        Configure slow\-peer split\-update\-group
                                        
                                        .. attribute:: dynamic
                                        
                                        	Dynamically split the slow peer to slow\-update group
                                        	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None


                                        class Dynamic(object):
                                            """
                                            Dynamically split the slow peer to slow\-update group
                                            
                                            .. attribute:: permanent
                                            
                                            	Keep the slow\-peer permanently in slow\-update group
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.permanent = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:dynamic'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.permanent is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:split-update-group'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None and self.dynamic._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:slow-peer'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.detection is not None and self.detection._has_data():
                                            return True

                                        if self.split_update_group is not None and self.split_update_group._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.SlowPeer']['meta_info']


                                class UpdateGroup(object):
                                    """
                                    Manage peers in bgp update groups
                                    
                                    .. attribute:: split
                                    
                                    	Split update groups based on Policy
                                    	**type**\:   :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.UpdateGroup.Split>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.split = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.UpdateGroup.Split()
                                        self.split.parent = self


                                    class Split(object):
                                        """
                                        Split update groups based on Policy
                                        
                                        .. attribute:: as_override
                                        
                                        	Keep peers with as\-override in different update groups
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_override = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:split'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.as_override is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.UpdateGroup.Split']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:update-group'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.split is not None and self.split._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.UpdateGroup']['meta_info']


                                class Nexthop(object):
                                    """
                                    Nexthop tracking commands
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for valid nexthops
                                    	**type**\:  str
                                    
                                    .. attribute:: trigger
                                    
                                    	Nexthop triggering
                                    	**type**\:   :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Nexthop.Trigger>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.route_map = None
                                        self.trigger = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Nexthop.Trigger()
                                        self.trigger.parent = self


                                    class Trigger(object):
                                        """
                                        Nexthop triggering
                                        
                                        .. attribute:: delay
                                        
                                        	Set the delay to tigger nexthop tracking
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: enable
                                        
                                        	Enable nexthop tracking
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.delay = None
                                            self.enable = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:trigger'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.delay is not None:
                                                return True

                                            if self.enable is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Nexthop.Trigger']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:nexthop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.route_map is not None:
                                            return True

                                        if self.trigger is not None and self.trigger._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Nexthop']['meta_info']


                                class Regexp(object):
                                    """
                                    Select regular expression engine
                                    
                                    .. attribute:: deterministic
                                    
                                    	Enable bounded\-execution\-time regular expression engine
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.deterministic = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:regexp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.deterministic is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Regexp']['meta_info']


                                class Transport(object):
                                    """
                                    Transport options
                                    
                                    .. attribute:: path_mtu_discovery
                                    
                                    	Use transport path MTU discovery
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_mtu_discovery = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:transport'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.path_mtu_discovery is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_.Transport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.additional_paths is not None and self.additional_paths._has_data():
                                        return True

                                    if self.advertise_best_external is not None:
                                        return True

                                    if self.aggregate_timer is not None:
                                        return True

                                    if self.always_compare_med is not None:
                                        return True

                                    if self.asnotation is not None and self.asnotation._has_data():
                                        return True

                                    if self.bestpath is not None and self.bestpath._has_data():
                                        return True

                                    if self.client_to_client is not None and self.client_to_client._has_data():
                                        return True

                                    if self.cluster_id is not None:
                                        return True

                                    if self.confederation is not None and self.confederation._has_data():
                                        return True

                                    if self.consistency_checker is not None and self.consistency_checker._has_data():
                                        return True

                                    if self.dampening is not None and self.dampening._has_data():
                                        return True

                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.deterministic_med is not None:
                                        return True

                                    if self.dmzlink_bw is not None:
                                        return True

                                    if self.enforce_first_as is not None:
                                        return True

                                    if self.enhanced_error is not None:
                                        return True

                                    if self.fast_external_fallover is not None:
                                        return True

                                    if self.graceful_restart is not None and self.graceful_restart._has_data():
                                        return True

                                    if self.ha_mode is not None and self.ha_mode._has_data():
                                        return True

                                    if self.inject_map is not None:
                                        for child_ref in self.inject_map:
                                            if child_ref._has_data():
                                                return True

                                    if self.log_neighbor_changes is not None:
                                        return True

                                    if self.maxas_limit is not None:
                                        return True

                                    if self.maxcommunity_limit is not None:
                                        return True

                                    if self.nexthop is not None and self.nexthop._has_data():
                                        return True

                                    if self.nopeerup_delay is not None and self.nopeerup_delay._has_data():
                                        return True

                                    if self.recursion is not None and self.recursion._has_data():
                                        return True

                                    if self.redistribute_internal is not None:
                                        return True

                                    if self.regexp is not None and self.regexp._has_data():
                                        return True

                                    if self.route_map is not None and self.route_map._has_data():
                                        return True

                                    if self.router_id is not None:
                                        return True

                                    if self.scan_time is not None:
                                        return True

                                    if self.slow_peer is not None and self.slow_peer._has_data():
                                        return True

                                    if self.soft_reconfig_backup is not None:
                                        return True

                                    if self.suppress_inactive is not None:
                                        return True

                                    if self.transport is not None and self.transport._has_data():
                                        return True

                                    if self.update_delay is not None:
                                        return True

                                    if self.update_group is not None and self.update_group._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp_']['meta_info']


                            class DefaultInformation(object):
                                """
                                Control distribution of default information
                                
                                .. attribute:: originate
                                
                                	Distribute a default route
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.originate = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:default-information'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.originate is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DefaultInformation']['meta_info']


                            class Distance(object):
                                """
                                Define an administrative distance
                                
                                .. attribute:: adm_distance
                                
                                	
                                	**type**\: list of    :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.AdmDistance>`
                                
                                .. attribute:: bgp
                                
                                	BGP distance
                                	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.Bgp_>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.adm_distance = YList()
                                    self.adm_distance.parent = self
                                    self.adm_distance.name = 'adm_distance'
                                    self.bgp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.Bgp_()
                                    self.bgp.parent = self


                                class Bgp_(object):
                                    """
                                    BGP distance
                                    
                                    .. attribute:: extern_as
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: internal_as
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.extern_as = None
                                        self.internal_as = None
                                        self.local = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.extern_as is not None:
                                            return True

                                        if self.internal_as is not None:
                                            return True

                                        if self.local is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.Bgp_']['meta_info']


                                class AdmDistance(object):
                                    """
                                    
                                    
                                    .. attribute:: distance  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: srcip  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: wildbits  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: acl
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  int
                                    
                                    	**range:** 1..99
                                    
                                    
                                    ----
                                    	**type**\:  int
                                    
                                    	**range:** 1300..1999
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** [a\-zA\-Z].\*
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.distance = None
                                        self.srcip = None
                                        self.wildbits = None
                                        self.acl = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.distance is None:
                                            raise YPYModelError('Key property distance is None')
                                        if self.srcip is None:
                                            raise YPYModelError('Key property srcip is None')
                                        if self.wildbits is None:
                                            raise YPYModelError('Key property wildbits is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:adm-distance[Cisco-IOS-XE-bgp:distance = ' + str(self.distance) + '][Cisco-IOS-XE-bgp:srcip = ' + str(self.srcip) + '][Cisco-IOS-XE-bgp:wildbits = ' + str(self.wildbits) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.distance is not None:
                                            return True

                                        if self.srcip is not None:
                                            return True

                                        if self.wildbits is not None:
                                            return True

                                        if self.acl is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.AdmDistance']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:distance'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.adm_distance is not None:
                                        for child_ref in self.adm_distance:
                                            if child_ref._has_data():
                                                return True

                                    if self.bgp is not None and self.bgp._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance']['meta_info']


                            class DistributeList(object):
                                """
                                Filter networks in routing updates
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 100..199
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 2000..2699
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                
                                ----
                                .. attribute:: in_
                                
                                	Filter incoming routing updates
                                	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList.In_>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: out
                                
                                	Filter outgoing routing updates
                                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList.Out>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.in_ = None
                                    self.out = None


                                class In_(object):
                                    """
                                    Filter incoming routing updates
                                    
                                    .. attribute:: interface
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.interface = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:in'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.interface is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList.In_']['meta_info']


                                class Out(object):
                                    """
                                    Filter outgoing routing updates
                                    
                                    .. attribute:: interface
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.interface = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:out'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.interface is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList.Out']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:distribute-list[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.in_ is not None and self.in_._has_data():
                                        return True

                                    if self.out is not None and self.out._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList']['meta_info']


                            class MaximumPaths(object):
                                """
                                Forward packets over multiple paths
                                
                                .. attribute:: eibgp
                                
                                	Both eBGP and iBGP paths as multipath
                                	**type**\:   :py:class:`Eibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp>`
                                
                                .. attribute:: external_rtfilter
                                
                                	VPN prefix multipath on external RTFilter peers
                                	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.ExternalRtfilter>`
                                
                                .. attribute:: ibgp
                                
                                	iBGP\-multipath
                                	**type**\:   :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp>`
                                
                                .. attribute:: max_path
                                
                                	
                                	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.MaxPath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eibgp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp()
                                    self.eibgp.parent = self
                                    self.external_rtfilter = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.ExternalRtfilter()
                                    self.external_rtfilter.parent = self
                                    self.ibgp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp()
                                    self.ibgp.parent = self
                                    self.max_path = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.MaxPath()
                                    self.max_path.parent = self


                                class MaxPath(object):
                                    """
                                    
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.MaxPath']['meta_info']


                                class ExternalRtfilter(object):
                                    """
                                    VPN prefix multipath on external RTFilter peers
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.ExternalRtfilter']['meta_info']


                                class Eibgp(object):
                                    """
                                    Both eBGP and iBGP paths as multipath
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp.ExternalRtfilter>`
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp.MaxPath>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external_rtfilter = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self.max_path = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp.MaxPath()
                                        self.max_path.parent = self


                                    class MaxPath(object):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp.MaxPath']['meta_info']


                                    class ExternalRtfilter(object):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp.ExternalRtfilter']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:eibgp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                            return True

                                        if self.max_path is not None and self.max_path._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Eibgp']['meta_info']


                                class Ibgp(object):
                                    """
                                    iBGP\-multipath
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.ExternalRtfilter>`
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.MaxPath>`
                                    
                                    .. attribute:: unequal_cost
                                    
                                    	Perform Un\-Equal cost multipath selection
                                    	**type**\:   :py:class:`UnequalCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external_rtfilter = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self.max_path = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.MaxPath()
                                        self.max_path.parent = self
                                        self.unequal_cost = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost()
                                        self.unequal_cost.parent = self


                                    class UnequalCost(object):
                                        """
                                        Perform Un\-Equal cost multipath selection
                                        
                                        .. attribute:: external_rtfilter
                                        
                                        	VPN prefix multipath on external RTFilter peers
                                        	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter>`
                                        
                                        .. attribute:: max_path
                                        
                                        	
                                        	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost.MaxPath>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.external_rtfilter = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter()
                                            self.external_rtfilter.parent = self
                                            self.max_path = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost.MaxPath()
                                            self.max_path.parent = self


                                        class MaxPath(object):
                                            """
                                            
                                            
                                            .. attribute:: max
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..32
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.max = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.max is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost.MaxPath']['meta_info']


                                        class ExternalRtfilter(object):
                                            """
                                            VPN prefix multipath on external RTFilter peers
                                            
                                            .. attribute:: max
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..32
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.max = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.max is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:unequal-cost'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                                return True

                                            if self.max_path is not None and self.max_path._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.UnequalCost']['meta_info']


                                    class MaxPath(object):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.MaxPath']['meta_info']


                                    class ExternalRtfilter(object):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp.ExternalRtfilter']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ibgp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                            return True

                                        if self.max_path is not None and self.max_path._has_data():
                                            return True

                                        if self.unequal_cost is not None and self.unequal_cost._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:maximum-paths'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eibgp is not None and self.eibgp._has_data():
                                        return True

                                    if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                        return True

                                    if self.ibgp is not None and self.ibgp._has_data():
                                        return True

                                    if self.max_path is not None and self.max_path._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths']['meta_info']


                            class Neighbor(object):
                                """
                                Specify a neighbor router
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: activate
                                
                                	Enable the Address Family for this Neighbor
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: additional_paths
                                
                                	
                                	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths>`
                                
                                .. attribute:: advertise
                                
                                	Advertise to this neighbor
                                	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise>`
                                
                                .. attribute:: advertise_map
                                
                                	specify route\-map for conditional advertisement
                                	**type**\:   :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap>`
                                
                                .. attribute:: advertisement_interval
                                
                                	Minimum interval between sending BGP routing updates
                                	**type**\:  int
                                
                                	**range:** 0..600
                                
                                .. attribute:: aigp
                                
                                	Enable a AIGP on neighbor
                                	**type**\:   :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: allow_policy
                                
                                	Enable the policy support for this IBGP Neighbor
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: allowas_in
                                
                                	Accept as\-path with my AS present in it
                                	**type**\:   :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AllowasIn>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: announce
                                
                                	Announce RPKI State using an Extended Community
                                	**type**\:   :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce>`
                                
                                .. attribute:: as_override
                                
                                	Override matching AS\-number while sending update
                                	**type**\:   :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AsOverride>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: capability
                                
                                	Advertise capability to the peer
                                	**type**\:   :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability>`
                                
                                .. attribute:: cluster_id
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: default_originate
                                
                                	Originate default route to this neighbour
                                	**type**\:   :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DefaultOriginate>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: description
                                
                                	Neighbor specific description
                                	**type**\:  str
                                
                                .. attribute:: disable_connected_check
                                
                                	One\-hop away EBGP peer using loopback address
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: distribute_list
                                
                                	Filter updates to/from this neighbor
                                	**type**\: list of    :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DistributeList>`
                                
                                .. attribute:: dmzlink_bw
                                
                                	Propagate the DMZ link bandwidth
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ebgp_multihop
                                
                                	Allow EBGP neighbors not on directly connected networks
                                	**type**\:   :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.EbgpMultihop>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: fall_over
                                
                                	session fall on peer route lost
                                	**type**\:   :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FallOver>`
                                
                                .. attribute:: filter_list
                                
                                	Establish BGP filters
                                	**type**\: list of    :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FilterList>`
                                
                                .. attribute:: ha_mode
                                
                                	high availability mode
                                	**type**\:   :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode>`
                                
                                .. attribute:: inherit
                                
                                	Inherit a template
                                	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Inherit>`
                                
                                .. attribute:: local_as
                                
                                	Specify a local\-as number
                                	**type**\:   :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.LocalAs>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: log_neighbor_changes
                                
                                	Log neighbor up/down and reset reason
                                	**type**\:   :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.LogNeighborChanges>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes accepted from this peer
                                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.MaximumPrefix>`
                                
                                .. attribute:: next_hop_self
                                
                                	Disable the next hop calculation for this neighbor
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: next_hop_unchanged
                                
                                	Propagate the iBGP paths's next hop unchanged for this neighbor
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: password
                                
                                	Set a password
                                	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Password>`
                                
                                .. attribute:: path_attribute
                                
                                	BGP optional attribute filtering
                                	**type**\:   :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute>`
                                
                                .. attribute:: peer_group
                                
                                	Member of the peer\-group
                                	**type**\:   :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PeerGroup>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: prefix_list
                                
                                	Filter updates to/from this neighbor
                                	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PrefixList>`
                                
                                .. attribute:: remote_as
                                
                                	Specify a BGP neighbor
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: remove_private_as
                                
                                	Remove private AS number from outbound updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Apply route map to neighbor
                                	**type**\: list of    :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.RouteMap>`
                                
                                .. attribute:: route_reflector_client
                                
                                	Configure a neighbor as Route Reflector client
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_reflector_cluster_id
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: send_community
                                
                                	Send Community attribute to this neighbor
                                	**type**\:   :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendCommunity>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: send_label
                                
                                	Send NLRI + MPLS Label to this peer
                                	**type**\:   :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendLabel>`
                                
                                .. attribute:: shutdown
                                
                                	Administratively shut down this neighbor
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: slow_peer
                                
                                	Configure slow\-peer
                                	**type**\:   :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer>`
                                
                                .. attribute:: soft_reconfiguration
                                
                                	Per neighbor soft reconfiguration
                                	**type**\:   :py:class:`SoftReconfigurationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SoftReconfigurationEnum>`
                                
                                .. attribute:: timers
                                
                                	BGP per neighbor timers
                                	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Timers>`
                                
                                .. attribute:: translate_update
                                
                                	Translate Update to MBGP format
                                	**type**\:   :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate>`
                                
                                .. attribute:: transport
                                
                                	Transport options
                                	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport>`
                                
                                .. attribute:: ttl_security
                                
                                	BGP ttl security check
                                	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TtlSecurity>`
                                
                                .. attribute:: unsuppress_map
                                
                                	Route\-map to selectively unsuppress suppressed routes
                                	**type**\:  str
                                
                                .. attribute:: update_source
                                
                                	Source of routing updates
                                	**type**\:   :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource>`
                                
                                .. attribute:: version
                                
                                	Set the BGP version to match a neighbor
                                	**type**\:  int
                                
                                	**range:** 4..None
                                
                                .. attribute:: weight
                                
                                	Set default weight for routes from this neighbor
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.activate = None
                                    self.additional_paths = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self.advertise = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise()
                                    self.advertise.parent = self
                                    self.advertise_map = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap()
                                    self.advertise_map.parent = self
                                    self.advertisement_interval = None
                                    self.aigp = None
                                    self.allow_policy = None
                                    self.allowas_in = None
                                    self.announce = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce()
                                    self.announce.parent = self
                                    self.as_override = None
                                    self.capability = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability()
                                    self.capability.parent = self
                                    self.cluster_id = None
                                    self.default_originate = None
                                    self.description = None
                                    self.disable_connected_check = None
                                    self.distribute_list = YList()
                                    self.distribute_list.parent = self
                                    self.distribute_list.name = 'distribute_list'
                                    self.dmzlink_bw = None
                                    self.ebgp_multihop = None
                                    self.fall_over = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FallOver()
                                    self.fall_over.parent = self
                                    self.filter_list = YList()
                                    self.filter_list.parent = self
                                    self.filter_list.name = 'filter_list'
                                    self.ha_mode = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode()
                                    self.ha_mode.parent = self
                                    self.inherit = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Inherit()
                                    self.inherit.parent = self
                                    self.local_as = None
                                    self.log_neighbor_changes = None
                                    self.maximum_prefix = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self.next_hop_self = None
                                    self.next_hop_unchanged = None
                                    self.password = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Password()
                                    self.password.parent = self
                                    self.path_attribute = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute()
                                    self.path_attribute.parent = self
                                    self.peer_group = None
                                    self.prefix_list = YList()
                                    self.prefix_list.parent = self
                                    self.prefix_list.name = 'prefix_list'
                                    self.remote_as = None
                                    self.remove_private_as = None
                                    self.route_map = YList()
                                    self.route_map.parent = self
                                    self.route_map.name = 'route_map'
                                    self.route_reflector_client = None
                                    self.route_reflector_cluster_id = None
                                    self.send_community = None
                                    self.send_label = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendLabel()
                                    self.send_label.parent = self
                                    self.shutdown = None
                                    self.slow_peer = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer()
                                    self.slow_peer.parent = self
                                    self.soft_reconfiguration = None
                                    self.timers = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Timers()
                                    self.timers.parent = self
                                    self.translate_update = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate()
                                    self.translate_update.parent = self
                                    self.transport = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport()
                                    self.transport.parent = self
                                    self.ttl_security = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TtlSecurity()
                                    self.ttl_security.parent = self
                                    self.unsuppress_map = None
                                    self.update_source = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource()
                                    self.update_source.parent = self
                                    self.version = None
                                    self.weight = None

                                class SoftReconfigurationEnum(Enum):
                                    """
                                    SoftReconfigurationEnum

                                    Per neighbor soft reconfiguration

                                    .. data:: inbound = 0

                                    """

                                    inbound = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SoftReconfigurationEnum']



                                class PeerGroup(object):
                                    """
                                    Member of the peer\-group
                                    
                                    .. attribute:: peer_group_name
                                    
                                    	WORD;;peer\-group name
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.peer_group_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:peer-group'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.peer_group_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PeerGroup']['meta_info']


                                class LocalAs(object):
                                    """
                                    Specify a local\-as number
                                    
                                    .. attribute:: as_no
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    
                                    ----
                                    .. attribute:: dual_as
                                    
                                    	Accept either real AS or local AS from the ebgp peer
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: no_prepend
                                    
                                    	Do not prepend local\-as to updates from ebgp peers
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: replace_as
                                    
                                    	Replace real AS with local AS in the EBGP updates
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.as_no = None
                                        self.dual_as = None
                                        self.no_prepend = None
                                        self.replace_as = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:local-as'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.as_no is not None:
                                            return True

                                        if self.dual_as is not None:
                                            return True

                                        if self.no_prepend is not None:
                                            return True

                                        if self.replace_as is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.LocalAs']['meta_info']


                                class AdditionalPaths(object):
                                    """
                                    
                                    
                                    .. attribute:: disable
                                    
                                    	Disable additional paths for this neighbor
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: send
                                    
                                    	Send additional paths to this neighbor
                                    	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths.Send>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.disable = None
                                        self.receive = None
                                        self.send = None


                                    class Send(object):
                                        """
                                        Send additional paths to this neighbor
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from this neighbor
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.receive = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.receive is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths.Send']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.disable is not None:
                                            return True

                                        if self.receive is not None:
                                            return True

                                        if self.send is not None and self.send._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths']['meta_info']


                                class Advertise(object):
                                    """
                                    Advertise to this neighbor
                                    
                                    .. attribute:: additional_paths
                                    
                                    	Advertise additional paths
                                    	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths>`
                                    
                                    .. attribute:: best_external
                                    
                                    	Advertise best\-external (at RRs best\-internal) path
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: diverse_path
                                    
                                    	Advertise diverse path
                                    	**type**\:   :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.additional_paths = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self.best_external = None
                                        self.diverse_path = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath()
                                        self.diverse_path.parent = self


                                    class AdditionalPaths(object):
                                        """
                                        Advertise additional paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best paths
                                        	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.all = None
                                            self.best = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best()
                                            self.best.parent = self
                                            self.group_best = None


                                        class All(object):
                                            """
                                            Select all available paths
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.best = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best()
                                                self.best.parent = self
                                                self.group_best = None


                                            class Best(object):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: best_range
                                                
                                                	
                                                	**type**\: list of    :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.best_range = YList()
                                                    self.best_range.parent = self
                                                    self.best_range.name = 'best_range'


                                                class BestRange(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\:  int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best paths
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.range = None
                                                        self.group_best = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.range is None:
                                                            raise YPYModelError('Key property range is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.range is not None:
                                                            return True

                                                        if self.group_best is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.best_range is not None:
                                                        for child_ref in self.best_range:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info']


                                            class GroupBest(object):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.best = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.best is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.GroupBest']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:all'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.best is not None and self.best._has_data():
                                                    return True

                                                if self.group_best is not None and self.group_best._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All']['meta_info']


                                        class Best(object):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: best_range
                                            
                                            	
                                            	**type**\: list of    :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.best_range = YList()
                                                self.best_range.parent = self
                                                self.best_range.name = 'best_range'


                                            class BestRange(object):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = None
                                                    self.all = None
                                                    self.group_best = None


                                                class GroupBest(object):
                                                    """
                                                    Select group\-best paths
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.all = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.all is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.range is None:
                                                        raise YPYModelError('Key property range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        return True

                                                    if self.all is not None:
                                                        return True

                                                    if self.group_best is not None and self.group_best._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.best_range is not None:
                                                    for child_ref in self.best_range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best']['meta_info']


                                        class GroupBest(object):
                                            """
                                            Select group\-best paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.all = None
                                                self.best = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.all is not None:
                                                    return True

                                                if self.best is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.GroupBest']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.all is not None and self.all._has_data():
                                                return True

                                            if self.best is not None and self.best._has_data():
                                                return True

                                            if self.group_best is not None and self.group_best._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths']['meta_info']


                                    class DiversePath(object):
                                        """
                                        Advertise diverse path
                                        
                                        .. attribute:: backup
                                        
                                        	Diverse path can be backup path
                                        	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath.Backup>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: mpath
                                        
                                        	Diverse path can be multipath
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.backup = None
                                            self.mpath = None


                                        class Backup(object):
                                            """
                                            Diverse path can be backup path
                                            
                                            .. attribute:: mpath
                                            
                                            	Diverse path can be multipath
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.mpath = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:backup'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.mpath is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath.Backup']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:diverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.backup is not None and self.backup._has_data():
                                                return True

                                            if self.mpath is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:advertise'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.additional_paths is not None and self.additional_paths._has_data():
                                            return True

                                        if self.best_external is not None:
                                            return True

                                        if self.diverse_path is not None and self.diverse_path._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise']['meta_info']


                                class AdvertiseMap(object):
                                    """
                                    specify route\-map for conditional advertisement
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap.Name>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = YList()
                                        self.name.parent = self
                                        self.name.name = 'name'


                                    class Name(object):
                                        """
                                        
                                        
                                        .. attribute:: word  <key>
                                        
                                        	advertise route\-map name
                                        	**type**\:  str
                                        
                                        .. attribute:: exist_map
                                        
                                        	condition route\-map name
                                        	**type**\:  str
                                        
                                        .. attribute:: non_exist_map
                                        
                                        	condition route\-map name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.word = None
                                            self.exist_map = None
                                            self.non_exist_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.word is None:
                                                raise YPYModelError('Key property word is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:name[Cisco-IOS-XE-bgp:word = ' + str(self.word) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.word is not None:
                                                return True

                                            if self.exist_map is not None:
                                                return True

                                            if self.non_exist_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap.Name']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:advertise-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            for child_ref in self.name:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap']['meta_info']


                                class Aigp(object):
                                    """
                                    Enable a AIGP on neighbor
                                    
                                    .. attribute:: send
                                    
                                    	Cost community or MED carrying AIGP VALUE
                                    	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.send = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send()
                                        self.send.parent = self


                                    class Send(object):
                                        """
                                        Cost community or MED carrying AIGP VALUE
                                        
                                        .. attribute:: cost_community
                                        
                                        	Cost extended community carrying AIGP Value
                                        	**type**\:   :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity>`
                                        
                                        .. attribute:: med
                                        
                                        	Med carrying AIGP Value
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.cost_community = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity()
                                            self.cost_community.parent = self
                                            self.med = None


                                        class CostCommunity(object):
                                            """
                                            Cost extended community carrying AIGP Value
                                            
                                            .. attribute:: cc_range
                                            
                                            	
                                            	**type**\: list of    :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.cc_range = YList()
                                                self.cc_range.parent = self
                                                self.cc_range.name = 'cc_range'


                                            class CcRange(object):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Community ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: poi
                                                
                                                	Point of Insertion
                                                	**type**\:   :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = None
                                                    self.poi = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                    self.poi.parent = self


                                                class Poi(object):
                                                    """
                                                    Point of Insertion
                                                    
                                                    .. attribute:: igp_cost
                                                    
                                                    	Point of Insertion After IGP
                                                    	**type**\:   :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    .. attribute:: pre_bestpath
                                                    
                                                    	Point of Insertion At Beginning
                                                    	**type**\:   :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.igp_cost = None
                                                        self.pre_bestpath = None


                                                    class IgpCost(object):
                                                        """
                                                        Point of Insertion After IGP
                                                        
                                                        .. attribute:: transitive
                                                        
                                                        	Cost community is Transitive
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.transitive = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:igp-cost'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.transitive is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost']['meta_info']


                                                    class PreBestpath(object):
                                                        """
                                                        Point of Insertion At Beginning
                                                        
                                                        .. attribute:: transitive
                                                        
                                                        	Cost community is Transitive
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.transitive = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:pre-bestpath'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.transitive is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:poi'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.igp_cost is not None and self.igp_cost._has_data():
                                                            return True

                                                        if self.pre_bestpath is not None and self.pre_bestpath._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.range is None:
                                                        raise YPYModelError('Key property range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:cc-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        return True

                                                    if self.poi is not None and self.poi._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:cost-community'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.cc_range is not None:
                                                    for child_ref in self.cc_range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.cost_community is not None and self.cost_community._has_data():
                                                return True

                                            if self.med is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:aigp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.send is not None and self.send._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp']['meta_info']


                                class Announce(object):
                                    """
                                    Announce RPKI State using an Extended Community
                                    
                                    .. attribute:: rpki
                                    
                                    	Announce RPKI information using an Extended Community
                                    	**type**\:   :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce.Rpki>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.rpki = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce.Rpki()
                                        self.rpki.parent = self


                                    class Rpki(object):
                                        """
                                        Announce RPKI information using an Extended Community
                                        
                                        .. attribute:: state
                                        
                                        	Announce RPKI State information using an Extended Community
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:rpki'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce.Rpki']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:announce'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.rpki is not None and self.rpki._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce']['meta_info']


                                class AllowasIn(object):
                                    """
                                    Accept as\-path with my AS present in it
                                    
                                    .. attribute:: as_number
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..10
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:allowas-in'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AllowasIn']['meta_info']


                                class AsOverride(object):
                                    """
                                    Override matching AS\-number while sending update
                                    
                                    .. attribute:: disable
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:as-override'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AsOverride']['meta_info']


                                class Capability(object):
                                    """
                                    Advertise capability to the peer
                                    
                                    .. attribute:: orf
                                    
                                    	Advertise ORF capability to the peer
                                    	**type**\:   :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability.Orf>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.orf = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability.Orf()
                                        self.orf.parent = self


                                    class Orf(object):
                                        """
                                        Advertise ORF capability to the peer
                                        
                                        .. attribute:: prefix_list
                                        
                                        	Advertise prefixlist ORF capability to this neighbor
                                        	**type**\:  list of   :py:class:`PrefixListEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability.Orf.PrefixListEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.prefix_list = YLeafList()
                                            self.prefix_list.parent = self
                                            self.prefix_list.name = 'prefix_list'

                                        class PrefixListEnum(Enum):
                                            """
                                            PrefixListEnum

                                            Advertise prefixlist ORF capability to this neighbor

                                            .. data:: both = 0

                                            .. data:: receive = 1

                                            .. data:: send = 2

                                            """

                                            both = 0

                                            receive = 1

                                            send = 2


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability.Orf.PrefixListEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:orf'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.prefix_list is not None:
                                                for child in self.prefix_list:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability.Orf']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:capability'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.orf is not None and self.orf._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability']['meta_info']


                                class DefaultOriginate(object):
                                    """
                                    Originate default route to this neighbour
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to specify criteria to originate default
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:default-originate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DefaultOriginate']['meta_info']


                                class DistributeList(object):
                                    """
                                    Filter updates to/from this neighbor
                                    
                                    .. attribute:: inout  <key>
                                    
                                    	
                                    	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DistributeList.InoutEnum>`
                                    
                                    .. attribute:: accesslist
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  int
                                    
                                    	**range:** 1..199
                                    
                                    	**mandatory**\: True
                                    
                                    
                                    ----
                                    	**type**\:  int
                                    
                                    	**range:** 1300..2699
                                    
                                    	**mandatory**\: True
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** [a\-zA\-Z].\*
                                    
                                    	**mandatory**\: True
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.inout = None
                                        self.accesslist = None

                                    class InoutEnum(Enum):
                                        """
                                        InoutEnum

                                        .. data:: in_ = 0

                                        .. data:: out = 1

                                        """

                                        in_ = 0

                                        out = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DistributeList.InoutEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.inout is None:
                                            raise YPYModelError('Key property inout is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:distribute-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.inout is not None:
                                            return True

                                        if self.accesslist is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DistributeList']['meta_info']


                                class EbgpMultihop(object):
                                    """
                                    Allow EBGP neighbors not on directly connected networks
                                    
                                    .. attribute:: max_hop
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.max_hop = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ebgp-multihop'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.max_hop is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.EbgpMultihop']['meta_info']


                                class FallOver(object):
                                    """
                                    session fall on peer route lost
                                    
                                    .. attribute:: bfd
                                    
                                    	Use BFD to detect failure
                                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FallOver.Bfd>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.bfd = None


                                    class Bfd(object):
                                        """
                                        Use BFD to detect failure
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:bfd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FallOver.Bfd']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:fall-over'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.bfd is not None and self.bfd._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FallOver']['meta_info']


                                class FilterList(object):
                                    """
                                    Establish BGP filters
                                    
                                    .. attribute:: inout  <key>
                                    
                                    	
                                    	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FilterList.InoutEnum>`
                                    
                                    .. attribute:: as_path_list
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..500
                                    
                                    	**mandatory**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.inout = None
                                        self.as_path_list = None

                                    class InoutEnum(Enum):
                                        """
                                        InoutEnum

                                        .. data:: in_ = 0

                                        .. data:: out = 1

                                        """

                                        in_ = 0

                                        out = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FilterList.InoutEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.inout is None:
                                            raise YPYModelError('Key property inout is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:filter-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.inout is not None:
                                            return True

                                        if self.as_path_list is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FilterList']['meta_info']


                                class Inherit(object):
                                    """
                                    Inherit a template
                                    
                                    .. attribute:: peer_policy
                                    
                                    	Inherit a peer\-policy template
                                    	**type**\:  str
                                    
                                    .. attribute:: peer_session
                                    
                                    	Inherit a peer\-session template
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.peer_policy = None
                                        self.peer_session = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:inherit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.peer_policy is not None:
                                            return True

                                        if self.peer_session is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Inherit']['meta_info']


                                class LogNeighborChanges(object):
                                    """
                                    Log neighbor up/down and reset reason
                                    
                                    .. attribute:: disable
                                    
                                    	disable
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:log-neighbor-changes'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.LogNeighborChanges']['meta_info']


                                class MaximumPrefix(object):
                                    """
                                    Maximum number of prefixes accepted from this peer
                                    
                                    .. attribute:: max_prefix_no
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..2147483647
                                    
                                    .. attribute:: restart
                                    
                                    	Restart bgp connection after limit is exceeded
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give warning message when limit is exceeded
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max_prefix_no = None
                                        self.restart = None
                                        self.threshold = None
                                        self.warning_only = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:maximum-prefix'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max_prefix_no is not None:
                                            return True

                                        if self.restart is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        if self.warning_only is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.MaximumPrefix']['meta_info']


                                class Password(object):
                                    """
                                    Set a password
                                    
                                    .. attribute:: enctype
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: text
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.enctype = None
                                        self.text = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:password'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.enctype is not None:
                                            return True

                                        if self.text is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Password']['meta_info']


                                class PrefixList(object):
                                    """
                                    Filter updates to/from this neighbor
                                    
                                    .. attribute:: inout  <key>
                                    
                                    	
                                    	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PrefixList.InoutEnum>`
                                    
                                    .. attribute:: prefix_list_name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**mandatory**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.inout = None
                                        self.prefix_list_name = None

                                    class InoutEnum(Enum):
                                        """
                                        InoutEnum

                                        .. data:: in_ = 0

                                        .. data:: out = 1

                                        """

                                        in_ = 0

                                        out = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PrefixList.InoutEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.inout is None:
                                            raise YPYModelError('Key property inout is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:prefix-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.inout is not None:
                                            return True

                                        if self.prefix_list_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PrefixList']['meta_info']


                                class PathAttribute(object):
                                    """
                                    BGP optional attribute filtering
                                    
                                    .. attribute:: discard
                                    
                                    	Discard matching path\-attribute for this neighbor
                                    	**type**\:   :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard>`
                                    
                                    .. attribute:: treat_as_withdraw
                                    
                                    	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                    	**type**\:   :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.discard = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard()
                                        self.discard.parent = self
                                        self.treat_as_withdraw = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw()
                                        self.treat_as_withdraw.parent = self


                                    class Discard(object):
                                        """
                                        Discard matching path\-attribute for this neighbor
                                        
                                        .. attribute:: attibute_type
                                        
                                        	
                                        	**type**\:   :py:class:`Attibute_Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.Attibute_Type>`
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.attibute_type = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.Attibute_Type()
                                            self.attibute_type.parent = self
                                            self.range = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.Range()
                                            self.range.parent = self


                                        class Attibute_Type(object):
                                            """
                                            
                                            
                                            .. attribute:: in_
                                            
                                            	Perform inbound path\-attribute filtering
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: type
                                            
                                            	path attribute type
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.in_ = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:attibute_type'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.in_ is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.Attibute_Type']['meta_info']


                                        class Range(object):
                                            """
                                            
                                            
                                            .. attribute:: end_value
                                            
                                            	path attribute range end value
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: in_
                                            
                                            	Perform inbound path\-attribute filtering
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: start_value
                                            
                                            	path attribute range start value
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.end_value = None
                                                self.in_ = None
                                                self.start_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:range'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.end_value is not None:
                                                    return True

                                                if self.in_ is not None:
                                                    return True

                                                if self.start_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.Range']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:discard'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.attibute_type is not None and self.attibute_type._has_data():
                                                return True

                                            if self.range is not None and self.range._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard']['meta_info']


                                    class TreatAsWithdraw(object):
                                        """
                                        Treat\-as\-withdraw matching path\-attribute for this neighbor
                                        
                                        .. attribute:: attibute_type
                                        
                                        	
                                        	**type**\:   :py:class:`Attibute_Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type>`
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.attibute_type = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type()
                                            self.attibute_type.parent = self
                                            self.range = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                            self.range.parent = self


                                        class Attibute_Type(object):
                                            """
                                            
                                            
                                            .. attribute:: in_
                                            
                                            	Perform inbound path\-attribute filtering
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: type
                                            
                                            	path attribute type
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.in_ = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:attibute_type'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.in_ is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type']['meta_info']


                                        class Range(object):
                                            """
                                            
                                            
                                            .. attribute:: end_value
                                            
                                            	path attribute range end value
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: in_
                                            
                                            	Perform inbound path\-attribute filtering
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: start_value
                                            
                                            	path attribute range start value
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.end_value = None
                                                self.in_ = None
                                                self.start_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:range'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.end_value is not None:
                                                    return True

                                                if self.in_ is not None:
                                                    return True

                                                if self.start_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:treat-as-withdraw'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.attibute_type is not None and self.attibute_type._has_data():
                                                return True

                                            if self.range is not None and self.range._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:path-attribute'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.discard is not None and self.discard._has_data():
                                            return True

                                        if self.treat_as_withdraw is not None and self.treat_as_withdraw._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute']['meta_info']


                                class RouteMap(object):
                                    """
                                    Apply route map to neighbor
                                    
                                    .. attribute:: inout  <key>
                                    
                                    	
                                    	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.RouteMap.InoutEnum>`
                                    
                                    .. attribute:: route_map_name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**mandatory**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.inout = None
                                        self.route_map_name = None

                                    class InoutEnum(Enum):
                                        """
                                        InoutEnum

                                        .. data:: in_ = 0

                                        .. data:: out = 1

                                        """

                                        in_ = 0

                                        out = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.RouteMap.InoutEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.inout is None:
                                            raise YPYModelError('Key property inout is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:route-map[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.inout is not None:
                                            return True

                                        if self.route_map_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.RouteMap']['meta_info']


                                class SendCommunity(object):
                                    """
                                    Send Community attribute to this neighbor
                                    
                                    .. attribute:: send_community_where
                                    
                                    	
                                    	**type**\:   :py:class:`SendCommunityWhereEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendCommunity.SendCommunityWhereEnum>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.send_community_where = None

                                    class SendCommunityWhereEnum(Enum):
                                        """
                                        SendCommunityWhereEnum

                                        .. data:: both = 0

                                        .. data:: extended = 1

                                        .. data:: standard = 2

                                        """

                                        both = 0

                                        extended = 1

                                        standard = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendCommunity.SendCommunityWhereEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send-community'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.send_community_where is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendCommunity']['meta_info']


                                class SendLabel(object):
                                    """
                                    Send NLRI + MPLS Label to this peer
                                    
                                    .. attribute:: send_label_explicit
                                    
                                    	
                                    	**type**\:   :py:class:`SendLabelExplicitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendLabel.SendLabelExplicitEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.send_label_explicit = None

                                    class SendLabelExplicitEnum(Enum):
                                        """
                                        SendLabelExplicitEnum

                                        .. data:: explicit_null = 0

                                        """

                                        explicit_null = 0


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendLabel.SendLabelExplicitEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send-label'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.send_label_explicit is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendLabel']['meta_info']


                                class SlowPeer(object):
                                    """
                                    Configure slow\-peer
                                    
                                    .. attribute:: detection
                                    
                                    	Slow\-peer detection
                                    	**type**\:   :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.Detection>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: split_update_group
                                    
                                    	Configure slow\-peer split\-update\-group
                                    	**type**\:   :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.detection = None
                                        self.split_update_group = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup()
                                        self.split_update_group.parent = self


                                    class Detection(object):
                                        """
                                        Slow\-peer detection
                                        
                                        .. attribute:: threshold
                                        
                                        	Threshold value (seconds)
                                        	**type**\:  int
                                        
                                        	**range:** 120..3600
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:detection'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.Detection']['meta_info']


                                    class SplitUpdateGroup(object):
                                        """
                                        Configure slow\-peer split\-update\-group
                                        
                                        .. attribute:: dynamic
                                        
                                        	Dynamically split the slow peer to slow\-update group
                                        	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None


                                        class Dynamic(object):
                                            """
                                            Dynamically split the slow peer to slow\-update group
                                            
                                            .. attribute:: permanent
                                            
                                            	Keep the slow\-peer permanently in slow\-update group
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.permanent = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:dynamic'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.permanent is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:split-update-group'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None and self.dynamic._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:slow-peer'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.detection is not None and self.detection._has_data():
                                            return True

                                        if self.split_update_group is not None and self.split_update_group._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer']['meta_info']


                                class Timers(object):
                                    """
                                    BGP per neighbor timers
                                    
                                    .. attribute:: holdtime
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: keepalive_interval
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: minimum_neighbor_hold
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.holdtime = None
                                        self.keepalive_interval = None
                                        self.minimum_neighbor_hold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:timers'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.holdtime is not None:
                                            return True

                                        if self.keepalive_interval is not None:
                                            return True

                                        if self.minimum_neighbor_hold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Timers']['meta_info']


                                class TranslateUpdate(object):
                                    """
                                    Translate Update to MBGP format
                                    
                                    .. attribute:: ipv4
                                    
                                    	Address Family
                                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4()
                                        self.ipv4.parent = self


                                    class Ipv4(object):
                                        """
                                        Address Family
                                        
                                        .. attribute:: multicast
                                        
                                        	Address Family modifier
                                        	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.multicast = None


                                        class Multicast(object):
                                            """
                                            Address Family modifier
                                            
                                            .. attribute:: unicast
                                            
                                            	Address Family modifier
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.unicast = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:multicast'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.unicast is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4.Multicast']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:ipv4'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.multicast is not None and self.multicast._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:translate-update'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None and self.ipv4._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate']['meta_info']


                                class Transport(object):
                                    """
                                    Transport options
                                    
                                    .. attribute:: connection_mode
                                    
                                    	Specify passive or active connection
                                    	**type**\:   :py:class:`ConnectionModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport.ConnectionModeEnum>`
                                    
                                    .. attribute:: multi_session
                                    
                                    	Use Multi\-session for transport
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: path_mtu_discovery
                                    
                                    	Use transport path MTU discovery
                                    	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport.PathMtuDiscovery>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.connection_mode = None
                                        self.multi_session = None
                                        self.path_mtu_discovery = None

                                    class ConnectionModeEnum(Enum):
                                        """
                                        ConnectionModeEnum

                                        Specify passive or active connection

                                        .. data:: active = 0

                                        .. data:: passive = 1

                                        """

                                        active = 0

                                        passive = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport.ConnectionModeEnum']



                                    class PathMtuDiscovery(object):
                                        """
                                        Use transport path MTU discovery
                                        
                                        .. attribute:: disable
                                        
                                        	disable
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.disable = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:path-mtu-discovery'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.disable is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport.PathMtuDiscovery']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:transport'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.connection_mode is not None:
                                            return True

                                        if self.multi_session is not None:
                                            return True

                                        if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport']['meta_info']


                                class TtlSecurity(object):
                                    """
                                    BGP ttl security check
                                    
                                    .. attribute:: hops
                                    
                                    	IP hops
                                    	**type**\:  int
                                    
                                    	**range:** 1..254
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hops = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ttl-security'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hops is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TtlSecurity']['meta_info']


                                class UpdateSource(object):
                                    """
                                    Source of routing updates
                                    
                                    .. attribute:: appnav_compress
                                    
                                    	Service\-Context Virtual Interface Compress
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: appnav_uncompress
                                    
                                    	Service\-Context Virtual Interface UnCompress
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: atm
                                    
                                    	ATM interface
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                    
                                    .. attribute:: atm_acr
                                    
                                    	ATM\-ACR interface
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]
                                    
                                    .. attribute:: atm_acrsubinterface
                                    
                                    	
                                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.AtmAcrsubinterface>`
                                    
                                    .. attribute:: atm_subinterface
                                    
                                    	
                                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.AtmSubinterface>`
                                    
                                    .. attribute:: bdi
                                    
                                    	Bridge\-Domain interface
                                    	**type**\:  str
                                    
                                    .. attribute:: cellular
                                    
                                    	Cellular Interface
                                    	**type**\:  str
                                    
                                    .. attribute:: cem
                                    
                                    	CEM interface
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]
                                    
                                    .. attribute:: cem_acr
                                    
                                    	CEM\-ACR interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: embedded_service_engine
                                    
                                    	cisco embedded service engine module
                                    	**type**\:  str
                                    
                                    .. attribute:: fastethernet
                                    
                                    	FastEthernet IEEE 802.3
                                    	**type**\:  str
                                    
                                    .. attribute:: gigabitethernet
                                    
                                    	GigabitEthernet IEEE 802.3z
                                    	**type**\:  str
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator/ID Separation Protocol Virtual Interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..65520
                                    
                                    .. attribute:: lisp_subinterface
                                    
                                    	Locator/ID Separation Protocol Virtual Interface
                                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.LispSubinterface>`
                                    
                                    .. attribute:: loopback
                                    
                                    	Loopback interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: multilink
                                    
                                    	Multilink\-group interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: nve
                                    
                                    	Network virtualization endpoint interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: overlay
                                    
                                    	Overlay interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: port_channel
                                    
                                    	Ethernet Channel of interfaces
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: port_channel_subinterface
                                    
                                    	
                                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.PortChannelSubinterface>`
                                    
                                    .. attribute:: pseudowire
                                    
                                    	Pseudowire Interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: serial
                                    
                                    	Serial interface
                                    	**type**\:  str
                                    
                                    .. attribute:: sm
                                    
                                    	SM Interface
                                    	**type**\:  str
                                    
                                    .. attribute:: tengigabitethernet
                                    
                                    	Ten Gigabit Ethernet
                                    	**type**\:  str
                                    
                                    .. attribute:: tunnel
                                    
                                    	Tunnel interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: vasileft
                                    
                                    	vasileft
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: vasiright
                                    
                                    	vasiright
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: virtual_template
                                    
                                    	Virtual Template interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: virtualportgroup
                                    
                                    	Virtual Port Group
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: vlan
                                    
                                    	Iosxr Vlans
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.appnav_compress = None
                                        self.appnav_uncompress = None
                                        self.atm = None
                                        self.atm_acr = None
                                        self.atm_acrsubinterface = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.AtmAcrsubinterface()
                                        self.atm_acrsubinterface.parent = self
                                        self.atm_subinterface = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.AtmSubinterface()
                                        self.atm_subinterface.parent = self
                                        self.bdi = None
                                        self.cellular = None
                                        self.cem = None
                                        self.cem_acr = None
                                        self.embedded_service_engine = None
                                        self.fastethernet = None
                                        self.gigabitethernet = None
                                        self.lisp = None
                                        self.lisp_subinterface = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.LispSubinterface()
                                        self.lisp_subinterface.parent = self
                                        self.loopback = None
                                        self.multilink = None
                                        self.nve = None
                                        self.overlay = None
                                        self.port_channel = None
                                        self.port_channel_subinterface = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.PortChannelSubinterface()
                                        self.port_channel_subinterface.parent = self
                                        self.pseudowire = None
                                        self.serial = None
                                        self.sm = None
                                        self.tengigabitethernet = None
                                        self.tunnel = None
                                        self.vasileft = None
                                        self.vasiright = None
                                        self.virtual_template = None
                                        self.virtualportgroup = None
                                        self.vlan = None


                                    class AtmSubinterface(object):
                                        """
                                        
                                        
                                        .. attribute:: atm
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.atm = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-subinterface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.atm is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.AtmSubinterface']['meta_info']


                                    class AtmAcrsubinterface(object):
                                        """
                                        
                                        
                                        .. attribute:: atm_acr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.atm_acr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-ACRsubinterface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.atm_acr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.AtmAcrsubinterface']['meta_info']


                                    class LispSubinterface(object):
                                        """
                                        Locator/ID Separation Protocol Virtual Interface
                                        
                                        .. attribute:: lisp
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:LISP-subinterface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.LispSubinterface']['meta_info']


                                    class PortChannelSubinterface(object):
                                        """
                                        
                                        
                                        .. attribute:: port_channel
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.port_channel = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:Port-channel-subinterface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.port_channel is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.PortChannelSubinterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:update-source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.appnav_compress is not None:
                                            return True

                                        if self.appnav_uncompress is not None:
                                            return True

                                        if self.atm is not None:
                                            return True

                                        if self.atm_acr is not None:
                                            return True

                                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                            return True

                                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                            return True

                                        if self.bdi is not None:
                                            return True

                                        if self.cellular is not None:
                                            return True

                                        if self.cem is not None:
                                            return True

                                        if self.cem_acr is not None:
                                            return True

                                        if self.embedded_service_engine is not None:
                                            return True

                                        if self.fastethernet is not None:
                                            return True

                                        if self.gigabitethernet is not None:
                                            return True

                                        if self.lisp is not None:
                                            return True

                                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                            return True

                                        if self.loopback is not None:
                                            return True

                                        if self.multilink is not None:
                                            return True

                                        if self.nve is not None:
                                            return True

                                        if self.overlay is not None:
                                            return True

                                        if self.port_channel is not None:
                                            return True

                                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                            return True

                                        if self.pseudowire is not None:
                                            return True

                                        if self.serial is not None:
                                            return True

                                        if self.sm is not None:
                                            return True

                                        if self.tengigabitethernet is not None:
                                            return True

                                        if self.tunnel is not None:
                                            return True

                                        if self.vasileft is not None:
                                            return True

                                        if self.vasiright is not None:
                                            return True

                                        if self.virtual_template is not None:
                                            return True

                                        if self.virtualportgroup is not None:
                                            return True

                                        if self.vlan is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource']['meta_info']


                                class HaMode(object):
                                    """
                                    high availability mode
                                    
                                    .. attribute:: graceful_restart
                                    
                                    	graceful\-restart for this peer
                                    	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode.GracefulRestart>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: sso
                                    
                                    	stateful\-switchover support for this peer
                                    	**type**\:   :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode.Sso>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.graceful_restart = None
                                        self.sso = None


                                    class GracefulRestart(object):
                                        """
                                        graceful\-restart for this peer
                                        
                                        .. attribute:: disable
                                        
                                        	disable graceful\-restart
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.disable = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:graceful-restart'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.disable is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode.GracefulRestart']['meta_info']


                                    class Sso(object):
                                        """
                                        stateful\-switchover support for this peer
                                        
                                        .. attribute:: disable
                                        
                                        	disable stateful\-switchover
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.disable = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:sso'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.disable is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode.Sso']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ha-mode'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.graceful_restart is not None and self.graceful_restart._has_data():
                                            return True

                                        if self.sso is not None and self.sso._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:neighbor[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.activate is not None:
                                        return True

                                    if self.additional_paths is not None and self.additional_paths._has_data():
                                        return True

                                    if self.advertise is not None and self.advertise._has_data():
                                        return True

                                    if self.advertise_map is not None and self.advertise_map._has_data():
                                        return True

                                    if self.advertisement_interval is not None:
                                        return True

                                    if self.aigp is not None and self.aigp._has_data():
                                        return True

                                    if self.allow_policy is not None:
                                        return True

                                    if self.allowas_in is not None and self.allowas_in._has_data():
                                        return True

                                    if self.announce is not None and self.announce._has_data():
                                        return True

                                    if self.as_override is not None and self.as_override._has_data():
                                        return True

                                    if self.capability is not None and self.capability._has_data():
                                        return True

                                    if self.cluster_id is not None:
                                        return True

                                    if self.default_originate is not None and self.default_originate._has_data():
                                        return True

                                    if self.description is not None:
                                        return True

                                    if self.disable_connected_check is not None:
                                        return True

                                    if self.distribute_list is not None:
                                        for child_ref in self.distribute_list:
                                            if child_ref._has_data():
                                                return True

                                    if self.dmzlink_bw is not None:
                                        return True

                                    if self.ebgp_multihop is not None and self.ebgp_multihop._has_data():
                                        return True

                                    if self.fall_over is not None and self.fall_over._has_data():
                                        return True

                                    if self.filter_list is not None:
                                        for child_ref in self.filter_list:
                                            if child_ref._has_data():
                                                return True

                                    if self.ha_mode is not None and self.ha_mode._has_data():
                                        return True

                                    if self.inherit is not None and self.inherit._has_data():
                                        return True

                                    if self.local_as is not None and self.local_as._has_data():
                                        return True

                                    if self.log_neighbor_changes is not None and self.log_neighbor_changes._has_data():
                                        return True

                                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                        return True

                                    if self.next_hop_self is not None:
                                        return True

                                    if self.next_hop_unchanged is not None:
                                        return True

                                    if self.password is not None and self.password._has_data():
                                        return True

                                    if self.path_attribute is not None and self.path_attribute._has_data():
                                        return True

                                    if self.peer_group is not None and self.peer_group._has_data():
                                        return True

                                    if self.prefix_list is not None:
                                        for child_ref in self.prefix_list:
                                            if child_ref._has_data():
                                                return True

                                    if self.remote_as is not None:
                                        return True

                                    if self.remove_private_as is not None:
                                        return True

                                    if self.route_map is not None:
                                        for child_ref in self.route_map:
                                            if child_ref._has_data():
                                                return True

                                    if self.route_reflector_client is not None:
                                        return True

                                    if self.route_reflector_cluster_id is not None:
                                        return True

                                    if self.send_community is not None and self.send_community._has_data():
                                        return True

                                    if self.send_label is not None and self.send_label._has_data():
                                        return True

                                    if self.shutdown is not None:
                                        return True

                                    if self.slow_peer is not None and self.slow_peer._has_data():
                                        return True

                                    if self.soft_reconfiguration is not None:
                                        return True

                                    if self.timers is not None and self.timers._has_data():
                                        return True

                                    if self.translate_update is not None and self.translate_update._has_data():
                                        return True

                                    if self.transport is not None and self.transport._has_data():
                                        return True

                                    if self.ttl_security is not None and self.ttl_security._has_data():
                                        return True

                                    if self.unsuppress_map is not None:
                                        return True

                                    if self.update_source is not None and self.update_source._has_data():
                                        return True

                                    if self.version is not None:
                                        return True

                                    if self.weight is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor']['meta_info']


                            class Network(object):
                                """
                                Specify a network to announce via BGP
                                
                                .. attribute:: number  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: backdoor
                                
                                	Specify a BGP backdoor route
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mask
                                
                                	Network mask
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: route_map
                                
                                	Route\-map to modify the attributes
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.backdoor = None
                                    self.mask = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.number is None:
                                        raise YPYModelError('Key property number is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:network[Cisco-IOS-XE-bgp:number = ' + str(self.number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.backdoor is not None:
                                        return True

                                    if self.mask is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Network']['meta_info']


                            class Redistribute(object):
                                """
                                Redistribute information from another routing protocol
                                
                                .. attribute:: application
                                
                                	Application
                                	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Application>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Bgp_>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Connected>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: dvmrp
                                
                                	Redistribution of DVMRP into BGP IPv4 Multicast
                                	**type**\:   :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Dvmrp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\:   :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis>`
                                
                                .. attribute:: iso_igrp
                                
                                	IGRP for OSI networks
                                	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp>`
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol
                                	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Lisp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: mobile
                                
                                	Mobile routes
                                	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Mobile>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: odr
                                
                                	On Demand stub Routes
                                	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Odr>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Rip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.application = None
                                    self.bgp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Bgp_()
                                    self.bgp.parent = self
                                    self.connected = None
                                    self.dvmrp = None
                                    self.eigrp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Eigrp()
                                    self.eigrp.parent = self
                                    self.isis = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis()
                                    self.isis.parent = self
                                    self.iso_igrp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp()
                                    self.iso_igrp.parent = self
                                    self.lisp = None
                                    self.mobile = None
                                    self.odr = None
                                    self.ospf = YList()
                                    self.ospf.parent = self
                                    self.ospf.name = 'ospf'
                                    self.rip = None
                                    self.static = None


                                class Application(object):
                                    """
                                    Application
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Application.Name>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.name = YList()
                                        self.name.parent = self
                                        self.name.name = 'name'


                                    class Name(object):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	WORD;;Route map name
                                        	**type**\:  str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.metric = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:name[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Application.Name']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:application'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.name is not None:
                                            for child_ref in self.name:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Application']['meta_info']


                                class Bgp_(object):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: as_no
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    
                                    ----
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_no = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.as_no is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Bgp_']['meta_info']


                                class Connected(object):
                                    """
                                    Connected
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:connected'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Connected']['meta_info']


                                class Dvmrp(object):
                                    """
                                    Redistribution of DVMRP into BGP IPv4 Multicast
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:dvmrp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Dvmrp']['meta_info']


                                class Eigrp(object):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: as_no
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_no = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:eigrp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.as_no is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Eigrp']['meta_info']


                                class Isis(object):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.Default>`
                                    
                                    .. attribute:: isis_area
                                    
                                    	
                                    	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.IsisArea>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.default = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.Default()
                                        self.default.parent = self
                                        self.isis_area = YList()
                                        self.isis_area.parent = self
                                        self.isis_area.name = 'isis_area'


                                    class IsisArea(object):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ip
                                        
                                        	Redistribution of IP dynamic routes
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: routes
                                        
                                        	
                                        	**type**\:   :py:class:`RoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.IsisArea.RoutesEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.clns = None
                                            self.ip = None
                                            self.metric = None
                                            self.route_map = None
                                            self.routes = None

                                        class RoutesEnum(Enum):
                                            """
                                            RoutesEnum

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = 0

                                            level_2 = 1

                                            level_1_2 = 2


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.IsisArea.RoutesEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:isis-area[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.clns is not None:
                                                return True

                                            if self.ip is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.routes is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.IsisArea']['meta_info']


                                    class Default(object):
                                        """
                                        
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ip
                                        
                                        	Redistribution of IP dynamic routes
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: routes
                                        
                                        	
                                        	**type**\:   :py:class:`RoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.Default.RoutesEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.clns = None
                                            self.ip = None
                                            self.metric = None
                                            self.route_map = None
                                            self.routes = None

                                        class RoutesEnum(Enum):
                                            """
                                            RoutesEnum

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = 0

                                            level_2 = 1

                                            level_1_2 = 2


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.Default.RoutesEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.clns is not None:
                                                return True

                                            if self.ip is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.routes is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.Default']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:isis'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.default is not None and self.default._has_data():
                                            return True

                                        if self.isis_area is not None:
                                            for child_ref in self.isis_area:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis']['meta_info']


                                class Lisp(object):
                                    """
                                    Locator/ID Separation Protocol
                                    
                                    .. attribute:: include_connected
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.include_connected = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:lisp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.include_connected is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Lisp']['meta_info']


                                class IsoIgrp(object):
                                    """
                                    IGRP for OSI networks
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.Default>`
                                    
                                    .. attribute:: iso_igrp_area
                                    
                                    	
                                    	**type**\: list of    :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpArea>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.default = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.Default()
                                        self.default.parent = self
                                        self.iso_igrp_area = YList()
                                        self.iso_igrp_area.parent = self
                                        self.iso_igrp_area.name = 'iso_igrp_area'


                                    class IsoIgrpArea(object):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.metric = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:iso-igrp-area[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpArea']['meta_info']


                                    class Default(object):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.Default']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:iso-igrp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.default is not None and self.default._has_data():
                                            return True

                                        if self.iso_igrp_area is not None:
                                            for child_ref in self.iso_igrp_area:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp']['meta_info']


                                class Mobile(object):
                                    """
                                    Mobile routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:mobile'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Mobile']['meta_info']


                                class Odr(object):
                                    """
                                    On Demand stub Routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:odr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Odr']['meta_info']


                                class Ospf(object):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: non_vrf
                                    
                                    	
                                    	**type**\:   :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf>`
                                    
                                    .. attribute:: vrf
                                    
                                    	VPN Routing/Forwarding Instance
                                    	**type**\: list of    :py:class:`Vrf_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf_>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.non_vrf = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf()
                                        self.non_vrf.parent = self
                                        self.vrf = YList()
                                        self.vrf.parent = self
                                        self.vrf.name = 'vrf'


                                    class Vrf_(object):
                                        """
                                        VPN Routing/Forwarding Instance
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: match
                                        
                                        	
                                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf_.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.match = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf_.Match()
                                            self.match.parent = self
                                            self.metric = None
                                            self.route_map = None


                                        class Match(object):
                                            """
                                            
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:match'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf_.Match']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:vrf[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.match is not None and self.match._has_data():
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf_']['meta_info']


                                    class NonVrf(object):
                                        """
                                        
                                        
                                        .. attribute:: match
                                        
                                        	
                                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.match = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf.Match()
                                            self.match.parent = self
                                            self.metric = None
                                            self.route_map = None


                                        class Match(object):
                                            """
                                            
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                            
                                            .. attribute:: external2
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.external = None
                                                self.external2 = None
                                                self.internal = None
                                                self.metric = None
                                                self.nssa_external = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:match'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.external is not None:
                                                    return True

                                                if self.external2 is not None:
                                                    return True

                                                if self.internal is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.nssa_external is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf.Match']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:non-vrf'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.match is not None and self.match._has_data():
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ospf[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.non_vrf is not None and self.non_vrf._has_data():
                                            return True

                                        if self.vrf is not None:
                                            for child_ref in self.vrf:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf']['meta_info']


                                class Rip(object):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:rip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Rip']['meta_info']


                                class Static(object):
                                    """
                                    Static routes
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static.Clns>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ip
                                    
                                    	
                                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static.Ip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.clns = None
                                        self.ip = None
                                        self.metric = None
                                        self.route_map = None


                                    class Clns(object):
                                        """
                                        Redistribution of OSI dynamic routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.metric = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:clns'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.metric is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static.Clns']['meta_info']


                                    class Ip(object):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.metric = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:ip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.metric is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static.Ip']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:static'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.clns is not None and self.clns._has_data():
                                            return True

                                        if self.ip is not None and self.ip._has_data():
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:redistribute'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.application is not None and self.application._has_data():
                                        return True

                                    if self.bgp is not None and self.bgp._has_data():
                                        return True

                                    if self.connected is not None and self.connected._has_data():
                                        return True

                                    if self.dvmrp is not None and self.dvmrp._has_data():
                                        return True

                                    if self.eigrp is not None and self.eigrp._has_data():
                                        return True

                                    if self.isis is not None and self.isis._has_data():
                                        return True

                                    if self.iso_igrp is not None and self.iso_igrp._has_data():
                                        return True

                                    if self.lisp is not None and self.lisp._has_data():
                                        return True

                                    if self.mobile is not None and self.mobile._has_data():
                                        return True

                                    if self.odr is not None and self.odr._has_data():
                                        return True

                                    if self.ospf is not None:
                                        for child_ref in self.ospf:
                                            if child_ref._has_data():
                                                return True

                                    if self.rip is not None and self.rip._has_data():
                                        return True

                                    if self.static is not None and self.static._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute']['meta_info']


                            class TableMap(object):
                                """
                                Map external entry attributes into routing table
                                
                                .. attribute:: filter
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: name
                                
                                	WORD;;route\-map name
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.filter = None
                                    self.name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:table-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.filter is not None:
                                        return True

                                    if self.name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.TableMap']['meta_info']


                            class Snmp(object):
                                """
                                Modify snmp parameters
                                
                                .. attribute:: context
                                
                                	Configure a SNMP context
                                	**type**\:   :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.context = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context()
                                    self.context.parent = self


                                class Context(object):
                                    """
                                    Configure a SNMP context
                                    
                                    .. attribute:: context_word
                                    
                                    	
                                    	**type**\: list of    :py:class:`Context_Word <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context.Context_Word>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.context_word = YList()
                                        self.context_word.parent = self
                                        self.context_word.name = 'context_word'


                                    class Context_Word(object):
                                        """
                                        
                                        
                                        .. attribute:: context_word  <key>
                                        
                                        	Context Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.context_word = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.context_word is None:
                                                raise YPYModelError('Key property context_word is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:context_word[Cisco-IOS-XE-bgp:context_word = ' + str(self.context_word) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.context_word is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context.Context_Word']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:context'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.context_word is not None:
                                            for child_ref in self.context_word:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:snmp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.context is not None and self.context._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:vrf[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.aggregate_address is not None and self.aggregate_address._has_data():
                                    return True

                                if self.auto_summary is not None:
                                    return True

                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                if self.default_information is not None and self.default_information._has_data():
                                    return True

                                if self.default_metric is not None:
                                    return True

                                if self.distance is not None and self.distance._has_data():
                                    return True

                                if self.distribute_list is not None:
                                    for child_ref in self.distribute_list:
                                        if child_ref._has_data():
                                            return True

                                if self.maximum_paths is not None and self.maximum_paths._has_data():
                                    return True

                                if self.neighbor is not None:
                                    for child_ref in self.neighbor:
                                        if child_ref._has_data():
                                            return True

                                if self.network is not None:
                                    for child_ref in self.network:
                                        if child_ref._has_data():
                                            return True

                                if self.redistribute is not None and self.redistribute._has_data():
                                    return True

                                if self.snmp is not None and self.snmp._has_data():
                                    return True

                                if self.synchronization is not None:
                                    return True

                                if self.table_map is not None and self.table_map._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.af_name is None:
                                raise YPYModelError('Key property af_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:ipv6[Cisco-IOS-XE-bgp:af-name = ' + str(self.af_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.af_name is not None:
                                return True

                            if self.vrf is not None:
                                for child_ref in self.vrf:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf.Ipv6']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:with-vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None:
                            for child_ref in self.ipv4:
                                if child_ref._has_data():
                                    return True

                        if self.ipv6 is not None:
                            for child_ref in self.ipv6:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.AddressFamily.WithVrf']['meta_info']


                class NoVrf(object):
                    """
                    
                    
                    .. attribute:: ipv4
                    
                    	Address family
                    	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	Address family
                    	**type**\: list of    :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6>`
                    
                    .. attribute:: l2vpn
                    
                    	Address family
                    	**type**\: list of    :py:class:`L2Vpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn>`
                    
                    .. attribute:: nsap
                    
                    	Address family
                    	**type**\: list of    :py:class:`Nsap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap>`
                    
                    .. attribute:: rtfilter
                    
                    	Address family
                    	**type**\: list of    :py:class:`Rtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter>`
                    
                    .. attribute:: vpnv4
                    
                    	Address family
                    	**type**\: list of    :py:class:`Vpnv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4>`
                    
                    .. attribute:: vpnv6
                    
                    	Address family
                    	**type**\: list of    :py:class:`Vpnv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = YList()
                        self.ipv4.parent = self
                        self.ipv4.name = 'ipv4'
                        self.ipv6 = YList()
                        self.ipv6.parent = self
                        self.ipv6.name = 'ipv6'
                        self.l2vpn = YList()
                        self.l2vpn.parent = self
                        self.l2vpn.name = 'l2vpn'
                        self.nsap = YList()
                        self.nsap.parent = self
                        self.nsap.name = 'nsap'
                        self.rtfilter = YList()
                        self.rtfilter.parent = self
                        self.rtfilter.name = 'rtfilter'
                        self.vpnv4 = YList()
                        self.vpnv4.parent = self
                        self.vpnv4.name = 'vpnv4'
                        self.vpnv6 = YList()
                        self.vpnv6.parent = self
                        self.vpnv6.name = 'vpnv6'


                    class Ipv4(object):
                        """
                        Address family
                        
                        .. attribute:: af_name  <key>
                        
                        	
                        	**type**\:   :py:class:`Bgp_Ipv4_Af_TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Bgp_Ipv4_Af_TypeEnum>`
                        
                        .. attribute:: aggregate_address
                        
                        	Configure BGP aggregate entries
                        	**type**\:   :py:class:`AggregateAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.AggregateAddress>`
                        
                        .. attribute:: auto_summary
                        
                        	Enable automatic network number summarization
                        	**type**\:  bool
                        
                        .. attribute:: bgp
                        
                        	BGP specific commands
                        	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance>`
                        
                        .. attribute:: distribute_list
                        
                        	Filter networks in routing updates
                        	**type**\: list of    :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:   :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths>`
                        
                        .. attribute:: neighbor
                        
                        	Specify a neighbor router
                        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Specify a network to announce via BGP
                        	**type**\: list of    :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Network>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute>`
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: synchronization
                        
                        	Perform IGP synchronization
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: table_map
                        
                        	Map external entry attributes into routing table
                        	**type**\:   :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.TableMap>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.af_name = None
                            self.aggregate_address = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.AggregateAddress()
                            self.aggregate_address.parent = self
                            self.auto_summary = None
                            self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_()
                            self.bgp.parent = self
                            self.default_information = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DefaultInformation()
                            self.default_information.parent = self
                            self.default_metric = None
                            self.distance = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance()
                            self.distance.parent = self
                            self.distribute_list = YList()
                            self.distribute_list.parent = self
                            self.distribute_list.name = 'distribute_list'
                            self.maximum_paths = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths()
                            self.maximum_paths.parent = self
                            self.neighbor = YList()
                            self.neighbor.parent = self
                            self.neighbor.name = 'neighbor'
                            self.network = YList()
                            self.network.parent = self
                            self.network.name = 'network'
                            self.redistribute = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute()
                            self.redistribute.parent = self
                            self.snmp = None
                            self.synchronization = None
                            self.table_map = None


                        class AggregateAddress(object):
                            """
                            Configure BGP aggregate entries
                            
                            .. attribute:: advertise_map
                            
                            	Set condition to advertise attribute
                            	**type**\:  str
                            
                            .. attribute:: as_override
                            
                            	Override matching AS\-number while sending update
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: as_set
                            
                            	Generate AS set path information
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: attribute_map
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: ipv4_address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv4_mask
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: route_map
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: summary_only
                            
                            	Filter more specific routes from updates
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_map
                            
                            	Conditionally filter more specific routes from updates
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertise_map = None
                                self.as_override = None
                                self.as_set = None
                                self.attribute_map = None
                                self.ipv4_address = None
                                self.ipv4_mask = None
                                self.route_map = None
                                self.summary_only = None
                                self.suppress_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:aggregate-address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertise_map is not None:
                                    return True

                                if self.as_override is not None:
                                    return True

                                if self.as_set is not None:
                                    return True

                                if self.attribute_map is not None:
                                    return True

                                if self.ipv4_address is not None:
                                    return True

                                if self.ipv4_mask is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                if self.summary_only is not None:
                                    return True

                                if self.suppress_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.AggregateAddress']['meta_info']


                        class Bgp_(object):
                            """
                            BGP specific commands
                            
                            .. attribute:: additional_paths
                            
                            	Additional paths in the BGP table
                            	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths>`
                            
                            .. attribute:: advertise_best_external
                            
                            	Advertise best external path to internal peers
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aggregate_timer
                            
                            	Timer interval
                            	**type**\:  int
                            
                            	**range:** 6..60
                            
                            .. attribute:: always_compare_med
                            
                            	Allow comparing MED from different neighbors
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: asnotation
                            
                            	Change the default asplain notation
                            	**type**\:   :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Asnotation>`
                            
                            .. attribute:: bestpath
                            
                            	Change the default bestpath selection
                            	**type**\:   :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath>`
                            
                            .. attribute:: client_to_client
                            
                            	Configure client to client route reflection
                            	**type**\:   :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ClientToClient>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: confederation
                            
                            	AS confederation parameters
                            	**type**\:   :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Confederation>`
                            
                            .. attribute:: consistency_checker
                            
                            	Consistency\-checker
                            	**type**\:   :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ConsistencyChecker>`
                            
                            .. attribute:: dampening
                            
                            	Enable route\-flap dampening
                            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Dampening>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: default
                            
                            	Configure BGP defaults
                            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Default>`
                            
                            .. attribute:: deterministic_med
                            
                            	Pick the best\-MED path among paths advertised from the neighboring AS
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Use DMZ Link Bandwidth as weight for BGP multipaths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enforce_first_as
                            
                            	Enforce the first AS for EBGP routes(default)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enhanced_error
                            
                            	Enabled BGP Enhanced error handling
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fast_external_fallover
                            
                            	Immediately reset session if a link to a directly connected external peer goes down
                            	**type**\:  bool
                            
                            .. attribute:: graceful_restart
                            
                            	Graceful restart capability parameters
                            	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.GracefulRestart>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ha_mode
                            
                            	Select BGP High Availability mode
                            	**type**\:   :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.HaMode>`
                            
                            .. attribute:: inject_map
                            
                            	Routemap which specifies prefixes to inject
                            	**type**\: list of    :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.InjectMap>`
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: maxas_limit
                            
                            	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                            	**type**\:  int
                            
                            	**range:** 1..2000
                            
                            .. attribute:: maxcommunity_limit
                            
                            	Number of communities in the COMMUNITY attribute
                            	**type**\:  int
                            
                            	**range:** 1..1018
                            
                            .. attribute:: nexthop
                            
                            	Nexthop tracking commands
                            	**type**\:   :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Nexthop>`
                            
                            .. attribute:: nopeerup_delay
                            
                            	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                            	**type**\:   :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.NopeerupDelay>`
                            
                            .. attribute:: recursion
                            
                            	recursion rule for the nexthops
                            	**type**\:   :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Recursion>`
                            
                            .. attribute:: redistribute_internal
                            
                            	Allow redistribution of iBGP into IGPs (dangerous)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: regexp
                            
                            	Select regular expression engine
                            	**type**\:   :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Regexp>`
                            
                            .. attribute:: route_map
                            
                            	bgp route\-map commands
                            	**type**\:   :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.RouteMap>`
                            
                            .. attribute:: router_id
                            
                            	Override configured router identifier (peers will reset)
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: scan_time
                            
                            	Configure background scanner interval
                            	**type**\:  int
                            
                            	**range:** 5..60
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:   :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer>`
                            
                            .. attribute:: soft_reconfig_backup
                            
                            	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_inactive
                            
                            	Suppress routes that are not in the routing table
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Transport>`
                            
                            .. attribute:: update_delay
                            
                            	Set the max initial delay for sending update
                            	**type**\:  int
                            
                            	**range:** 1..3600
                            
                            .. attribute:: update_group
                            
                            	Manage peers in bgp update groups
                            	**type**\:   :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.UpdateGroup>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths()
                                self.additional_paths.parent = self
                                self.advertise_best_external = None
                                self.aggregate_timer = None
                                self.always_compare_med = None
                                self.asnotation = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Asnotation()
                                self.asnotation.parent = self
                                self.bestpath = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath()
                                self.bestpath.parent = self
                                self.client_to_client = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ClientToClient()
                                self.client_to_client.parent = self
                                self.cluster_id = None
                                self.confederation = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Confederation()
                                self.confederation.parent = self
                                self.consistency_checker = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ConsistencyChecker()
                                self.consistency_checker.parent = self
                                self.dampening = None
                                self.default = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Default()
                                self.default.parent = self
                                self.deterministic_med = None
                                self.dmzlink_bw = None
                                self.enforce_first_as = None
                                self.enhanced_error = None
                                self.fast_external_fallover = None
                                self.graceful_restart = None
                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.HaMode()
                                self.ha_mode.parent = self
                                self.inject_map = YList()
                                self.inject_map.parent = self
                                self.inject_map.name = 'inject_map'
                                self.log_neighbor_changes = None
                                self.maxas_limit = None
                                self.maxcommunity_limit = None
                                self.nexthop = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Nexthop()
                                self.nexthop.parent = self
                                self.nopeerup_delay = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.NopeerupDelay()
                                self.nopeerup_delay.parent = self
                                self.recursion = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Recursion()
                                self.recursion.parent = self
                                self.redistribute_internal = None
                                self.regexp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Regexp()
                                self.regexp.parent = self
                                self.route_map = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.RouteMap()
                                self.route_map.parent = self
                                self.router_id = None
                                self.scan_time = None
                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer()
                                self.slow_peer.parent = self
                                self.soft_reconfig_backup = None
                                self.suppress_inactive = None
                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Transport()
                                self.transport.parent = self
                                self.update_delay = None
                                self.update_group = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.UpdateGroup()
                                self.update_group.parent = self


                            class Asnotation(object):
                                """
                                Change the default asplain notation
                                
                                .. attribute:: dot
                                
                                	asdot notation
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dot = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:asnotation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dot is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Asnotation']['meta_info']


                            class NopeerupDelay(object):
                                """
                                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                
                                .. attribute:: cold_boot
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: nsf_switchover
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: post_boot
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: user_initiated
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cold_boot = None
                                    self.nsf_switchover = None
                                    self.post_boot = None
                                    self.user_initiated = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:nopeerup-delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cold_boot is not None:
                                        return True

                                    if self.nsf_switchover is not None:
                                        return True

                                    if self.post_boot is not None:
                                        return True

                                    if self.user_initiated is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.NopeerupDelay']['meta_info']


                            class Recursion(object):
                                """
                                recursion rule for the nexthops
                                
                                .. attribute:: host
                                
                                	recursion via host for the nexthops
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.host = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:recursion'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.host is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Recursion']['meta_info']


                            class AdditionalPaths(object):
                                """
                                Additional paths in the BGP table
                                
                                .. attribute:: install
                                
                                	Additional paths to install into RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: select
                                
                                	Selection criteria to pick the paths
                                	**type**\:   :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to neighbors
                                	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.install = None
                                    self.receive = None
                                    self.select = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select()
                                    self.select.parent = self
                                    self.send = None


                                class Select(object):
                                    """
                                    Selection criteria to pick the paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: backup
                                    
                                    	Select backup path
                                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Best>`
                                    
                                    .. attribute:: best_external
                                    
                                    	Select best\-external path
                                    	**type**\:   :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.BestExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best path
                                    	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.all = None
                                        self.backup = None
                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Best()
                                        self.best.parent = self
                                        self.best_external = None
                                        self.group_best = None


                                    class All(object):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best path
                                        	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All.Best()
                                            self.best.parent = self
                                            self.group_best = None


                                        class Best(object):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All.Best.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = YList()
                                                self.range.parent = self
                                                self.range.name = 'range'


                                            class Range(object):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = None
                                                    self.group_best = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.range is None:
                                                        raise YPYModelError('Key property range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        return True

                                                    if self.group_best is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All.Best.Range']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    for child_ref in self.range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All.Best']['meta_info']


                                        class GroupBest(object):
                                            """
                                            Select group\-best path
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.best = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.best is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All.GroupBest']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:all'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.best is not None and self.best._has_data():
                                                return True

                                            if self.group_best is not None and self.group_best._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.All']['meta_info']


                                    class Backup(object):
                                        """
                                        Select backup path
                                        
                                        .. attribute:: best_external
                                        
                                        	Select best\-external path
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.best_external = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:backup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.best_external is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Backup']['meta_info']


                                    class Best(object):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Best.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.range = YList()
                                            self.range.parent = self
                                            self.range.name = 'range'


                                        class Range(object):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.all = None
                                                self.group_best = None


                                            class GroupBest(object):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.all = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.all is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.range is None:
                                                    raise YPYModelError('Key property range is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.all is not None:
                                                    return True

                                                if self.group_best is not None and self.group_best._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.range is not None:
                                                for child_ref in self.range:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.Best']['meta_info']


                                    class BestExternal(object):
                                        """
                                        Select best\-external path
                                        
                                        .. attribute:: backup
                                        
                                        	Select backup path
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.backup = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.backup is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.BestExternal']['meta_info']


                                    class GroupBest(object):
                                        """
                                        Select group\-best path
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\:  int
                                        
                                        	**range:** 2..3
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.all = None
                                            self.best = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.all is not None:
                                                return True

                                            if self.best is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select.GroupBest']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:select'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.all is not None and self.all._has_data():
                                            return True

                                        if self.backup is not None and self.backup._has_data():
                                            return True

                                        if self.best is not None and self.best._has_data():
                                            return True

                                        if self.best_external is not None and self.best_external._has_data():
                                            return True

                                        if self.group_best is not None and self.group_best._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Select']['meta_info']


                                class Send(object):
                                    """
                                    Send additional paths to neighbors
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.receive = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.receive is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths.Send']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.install is not None:
                                        return True

                                    if self.receive is not None:
                                        return True

                                    if self.select is not None and self.select._has_data():
                                        return True

                                    if self.send is not None and self.send._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.AdditionalPaths']['meta_info']


                            class Bestpath(object):
                                """
                                Change the default bestpath selection
                                
                                .. attribute:: compare_routerid
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: cost_community
                                
                                	cost community
                                	**type**\:   :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.CostCommunity>`
                                
                                .. attribute:: igp_metric
                                
                                	igp metric
                                	**type**\:   :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.IgpMetric>`
                                
                                .. attribute:: med
                                
                                	MED attribute
                                	**type**\:   :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.Med>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.compare_routerid = None
                                    self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.CostCommunity()
                                    self.cost_community.parent = self
                                    self.igp_metric = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.IgpMetric()
                                    self.igp_metric.parent = self
                                    self.med = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.Med()
                                    self.med.parent = self


                                class CostCommunity(object):
                                    """
                                    cost community
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore cost communities in bestpath selection
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:cost-community'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.CostCommunity']['meta_info']


                                class IgpMetric(object):
                                    """
                                    igp metric
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore igp metric in bestpath selection
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:igp-metric'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.IgpMetric']['meta_info']


                                class Med(object):
                                    """
                                    MED attribute
                                    
                                    .. attribute:: confed
                                    
                                    	Compare MED among confederation paths
                                    	**type**\:   :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.Med.Confed>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: missing_at_worst
                                    
                                    	Treat missing MED as the least preferred one
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.confed = None
                                        self.missing_at_worst = None


                                    class Confed(object):
                                        """
                                        Compare MED among confederation paths
                                        
                                        .. attribute:: missing_at_worst
                                        
                                        	Treat missing MED as the least preferred one
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.missing_at_worst = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:confed'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.missing_at_worst is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.Med.Confed']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:med'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.confed is not None and self.confed._has_data():
                                            return True

                                        if self.missing_at_worst is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath.Med']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bestpath'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.compare_routerid is not None:
                                        return True

                                    if self.cost_community is not None and self.cost_community._has_data():
                                        return True

                                    if self.igp_metric is not None and self.igp_metric._has_data():
                                        return True

                                    if self.med is not None and self.med._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Bestpath']['meta_info']


                            class ClientToClient(object):
                                """
                                Configure client to client route reflection
                                
                                .. attribute:: reflection
                                
                                	reflection of routes allowed
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.reflection = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:client-to-client'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.reflection is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ClientToClient']['meta_info']


                            class Confederation(object):
                                """
                                AS confederation parameters
                                
                                .. attribute:: identifier
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: peers
                                
                                	Peer ASs in BGP confederation
                                	**type**\:   :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Confederation.Peers>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.identifier = None
                                    self.peers = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Confederation.Peers()
                                    self.peers.parent = self


                                class Peers(object):
                                    """
                                    Peer ASs in BGP confederation
                                    
                                    .. attribute:: peers_as
                                    
                                    	
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.peers_as = YLeafList()
                                        self.peers_as.parent = self
                                        self.peers_as.name = 'peers_as'

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:peers'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.peers_as is not None:
                                            for child in self.peers_as:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Confederation.Peers']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:confederation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.identifier is not None:
                                        return True

                                    if self.peers is not None and self.peers._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Confederation']['meta_info']


                            class ConsistencyChecker(object):
                                """
                                Consistency\-checker
                                
                                .. attribute:: auto_repair
                                
                                	Auto\-Repair
                                	**type**\:   :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ConsistencyChecker.AutoRepair>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: error_message
                                
                                	Log Error\-Msg
                                	**type**\:   :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ConsistencyChecker.ErrorMessage>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.auto_repair = None
                                    self.error_message = None


                                class AutoRepair(object):
                                    """
                                    Auto\-Repair
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\:  int
                                    
                                    	**range:** 5..1440
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:auto-repair'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ConsistencyChecker.AutoRepair']['meta_info']


                                class ErrorMessage(object):
                                    """
                                    Log Error\-Msg
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\:  int
                                    
                                    	**range:** 5..1440
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:error-message'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ConsistencyChecker.ErrorMessage']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:consistency-checker'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.auto_repair is not None and self.auto_repair._has_data():
                                        return True

                                    if self.error_message is not None and self.error_message._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.ConsistencyChecker']['meta_info']


                            class Dampening(object):
                                """
                                Enable route\-flap dampening
                                
                                .. attribute:: dampen
                                
                                	
                                	**type**\:   :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Dampening.Dampen>`
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria for dampening
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.dampen = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Dampening.Dampen()
                                    self.dampen.parent = self
                                    self.route_map = None


                                class Dampen(object):
                                    """
                                    
                                    
                                    .. attribute:: half_life_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..45
                                    
                                    .. attribute:: max_suppress_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: reuse_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..20000
                                    
                                    .. attribute:: suppress_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..20000
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.half_life_time = None
                                        self.max_suppress_time = None
                                        self.reuse_time = None
                                        self.suppress_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:dampen'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.half_life_time is not None:
                                            return True

                                        if self.max_suppress_time is not None:
                                            return True

                                        if self.reuse_time is not None:
                                            return True

                                        if self.suppress_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Dampening.Dampen']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:dampening'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.dampen is not None and self.dampen._has_data():
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Dampening']['meta_info']


                            class Default(object):
                                """
                                Configure BGP defaults
                                
                                .. attribute:: ipv4_unicast
                                
                                	Activate ipv4\-unicast for a peer by default
                                	**type**\:  bool
                                
                                .. attribute:: ipv6_nexthop
                                
                                	Default IPv6 nexthop format
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: local_preference
                                
                                	local preference (higher=more preferred)
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: route_target
                                
                                	Control behavior based on Route\-Target attributes
                                	**type**\:   :py:class:`RouteTargetEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Default.RouteTargetEnum>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_unicast = None
                                    self.ipv6_nexthop = None
                                    self.local_preference = None
                                    self.route_target = None

                                class RouteTargetEnum(Enum):
                                    """
                                    RouteTargetEnum

                                    Control behavior based on Route\-Target attributes

                                    .. data:: filter = 0

                                    """

                                    filter = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Default.RouteTargetEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_unicast is not None:
                                        return True

                                    if self.ipv6_nexthop is not None:
                                        return True

                                    if self.local_preference is not None:
                                        return True

                                    if self.route_target is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Default']['meta_info']


                            class GracefulRestart(object):
                                """
                                Graceful restart capability parameters
                                
                                .. attribute:: extended
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: restart_time
                                
                                	Set the max time needed to restart and come back up
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: stalepath_time
                                
                                	Set the max time to hold onto restarting peer's stale paths
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.extended = None
                                    self.restart_time = None
                                    self.stalepath_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:graceful-restart'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.extended is not None:
                                        return True

                                    if self.restart_time is not None:
                                        return True

                                    if self.stalepath_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.GracefulRestart']['meta_info']


                            class HaMode(object):
                                """
                                Select BGP High Availability mode
                                
                                .. attribute:: sso
                                
                                	BGP High Availability NSR sso mode
                                	**type**\:   :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.sso = None


                                class Sso(object):
                                    """
                                    BGP High Availability NSR sso mode
                                    
                                    .. attribute:: prefer
                                    
                                    	Perfer BGP High Availability NSR sso mode
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.prefer = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:sso'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.prefer is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.HaMode.Sso']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ha-mode'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.sso is not None and self.sso._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.HaMode']['meta_info']


                            class InjectMap(object):
                                """
                                Routemap which specifies prefixes to inject
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: copy_attributes
                                
                                	Copy attributes from aggregate
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: exist_map
                                
                                	Routemap which specifies exist condition
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.copy_attributes = None
                                    self.exist_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:inject-map[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.copy_attributes is not None:
                                        return True

                                    if self.exist_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.InjectMap']['meta_info']


                            class RouteMap(object):
                                """
                                bgp route\-map commands
                                
                                .. attribute:: priority
                                
                                	Have route\-map set commands take priority over BGP commands such 
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.priority = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:route-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.priority is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.RouteMap']['meta_info']


                            class SlowPeer(object):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:   :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:   :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.detection = None
                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self


                                class Detection(object):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: disable
                                    
                                    	Disable slow\-peer detection
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\:  int
                                    
                                    	**range:** 120..3600
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:detection'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer.Detection']['meta_info']


                                class SplitUpdateGroup(object):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None


                                    class Dynamic(object):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.permanent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:dynamic'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.permanent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:split-update-group'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None and self.dynamic._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:slow-peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.detection is not None and self.detection._has_data():
                                        return True

                                    if self.split_update_group is not None and self.split_update_group._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.SlowPeer']['meta_info']


                            class UpdateGroup(object):
                                """
                                Manage peers in bgp update groups
                                
                                .. attribute:: split
                                
                                	Split update groups based on Policy
                                	**type**\:   :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.UpdateGroup.Split>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.split = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.UpdateGroup.Split()
                                    self.split.parent = self


                                class Split(object):
                                    """
                                    Split update groups based on Policy
                                    
                                    .. attribute:: as_override
                                    
                                    	Keep peers with as\-override in different update groups
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_override = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:split'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.as_override is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.UpdateGroup.Split']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:update-group'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.split is not None and self.split._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.UpdateGroup']['meta_info']


                            class Nexthop(object):
                                """
                                Nexthop tracking commands
                                
                                .. attribute:: route_map
                                
                                	Route map for valid nexthops
                                	**type**\:  str
                                
                                .. attribute:: trigger
                                
                                	Nexthop triggering
                                	**type**\:   :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Nexthop.Trigger>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.route_map = None
                                    self.trigger = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Nexthop.Trigger()
                                    self.trigger.parent = self


                                class Trigger(object):
                                    """
                                    Nexthop triggering
                                    
                                    .. attribute:: delay
                                    
                                    	Set the delay to tigger nexthop tracking
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: enable
                                    
                                    	Enable nexthop tracking
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.delay = None
                                        self.enable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:trigger'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.delay is not None:
                                            return True

                                        if self.enable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Nexthop.Trigger']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:nexthop'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.route_map is not None:
                                        return True

                                    if self.trigger is not None and self.trigger._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Nexthop']['meta_info']


                            class Regexp(object):
                                """
                                Select regular expression engine
                                
                                .. attribute:: deterministic
                                
                                	Enable bounded\-execution\-time regular expression engine
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.deterministic = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:regexp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.deterministic is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Regexp']['meta_info']


                            class Transport(object):
                                """
                                Transport options
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.path_mtu_discovery = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:transport'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.path_mtu_discovery is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_.Transport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.additional_paths is not None and self.additional_paths._has_data():
                                    return True

                                if self.advertise_best_external is not None:
                                    return True

                                if self.aggregate_timer is not None:
                                    return True

                                if self.always_compare_med is not None:
                                    return True

                                if self.asnotation is not None and self.asnotation._has_data():
                                    return True

                                if self.bestpath is not None and self.bestpath._has_data():
                                    return True

                                if self.client_to_client is not None and self.client_to_client._has_data():
                                    return True

                                if self.cluster_id is not None:
                                    return True

                                if self.confederation is not None and self.confederation._has_data():
                                    return True

                                if self.consistency_checker is not None and self.consistency_checker._has_data():
                                    return True

                                if self.dampening is not None and self.dampening._has_data():
                                    return True

                                if self.default is not None and self.default._has_data():
                                    return True

                                if self.deterministic_med is not None:
                                    return True

                                if self.dmzlink_bw is not None:
                                    return True

                                if self.enforce_first_as is not None:
                                    return True

                                if self.enhanced_error is not None:
                                    return True

                                if self.fast_external_fallover is not None:
                                    return True

                                if self.graceful_restart is not None and self.graceful_restart._has_data():
                                    return True

                                if self.ha_mode is not None and self.ha_mode._has_data():
                                    return True

                                if self.inject_map is not None:
                                    for child_ref in self.inject_map:
                                        if child_ref._has_data():
                                            return True

                                if self.log_neighbor_changes is not None:
                                    return True

                                if self.maxas_limit is not None:
                                    return True

                                if self.maxcommunity_limit is not None:
                                    return True

                                if self.nexthop is not None and self.nexthop._has_data():
                                    return True

                                if self.nopeerup_delay is not None and self.nopeerup_delay._has_data():
                                    return True

                                if self.recursion is not None and self.recursion._has_data():
                                    return True

                                if self.redistribute_internal is not None:
                                    return True

                                if self.regexp is not None and self.regexp._has_data():
                                    return True

                                if self.route_map is not None and self.route_map._has_data():
                                    return True

                                if self.router_id is not None:
                                    return True

                                if self.scan_time is not None:
                                    return True

                                if self.slow_peer is not None and self.slow_peer._has_data():
                                    return True

                                if self.soft_reconfig_backup is not None:
                                    return True

                                if self.suppress_inactive is not None:
                                    return True

                                if self.transport is not None and self.transport._has_data():
                                    return True

                                if self.update_delay is not None:
                                    return True

                                if self.update_group is not None and self.update_group._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp_']['meta_info']


                        class DefaultInformation(object):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.originate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:default-information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.originate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DefaultInformation']['meta_info']


                        class Distance(object):
                            """
                            Define an administrative distance
                            
                            .. attribute:: adm_distance
                            
                            	
                            	**type**\: list of    :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.AdmDistance>`
                            
                            .. attribute:: bgp
                            
                            	BGP distance
                            	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.Bgp_>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.adm_distance = YList()
                                self.adm_distance.parent = self
                                self.adm_distance.name = 'adm_distance'
                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.Bgp_()
                                self.bgp.parent = self


                            class Bgp_(object):
                                """
                                BGP distance
                                
                                .. attribute:: extern_as
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: internal_as
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: local
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.extern_as = None
                                    self.internal_as = None
                                    self.local = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.extern_as is not None:
                                        return True

                                    if self.internal_as is not None:
                                        return True

                                    if self.local is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.Bgp_']['meta_info']


                            class AdmDistance(object):
                                """
                                
                                
                                .. attribute:: distance  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: srcip  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildbits  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: acl
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..99
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 1300..1999
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.distance = None
                                    self.srcip = None
                                    self.wildbits = None
                                    self.acl = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.distance is None:
                                        raise YPYModelError('Key property distance is None')
                                    if self.srcip is None:
                                        raise YPYModelError('Key property srcip is None')
                                    if self.wildbits is None:
                                        raise YPYModelError('Key property wildbits is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:adm-distance[Cisco-IOS-XE-bgp:distance = ' + str(self.distance) + '][Cisco-IOS-XE-bgp:srcip = ' + str(self.srcip) + '][Cisco-IOS-XE-bgp:wildbits = ' + str(self.wildbits) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.distance is not None:
                                        return True

                                    if self.srcip is not None:
                                        return True

                                    if self.wildbits is not None:
                                        return True

                                    if self.acl is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.AdmDistance']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.adm_distance is not None:
                                    for child_ref in self.adm_distance:
                                        if child_ref._has_data():
                                            return True

                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance']['meta_info']


                        class DistributeList(object):
                            """
                            Filter networks in routing updates
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 100..199
                            
                            
                            ----
                            	**type**\:  int
                            
                            	**range:** 2000..2699
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	Filter incoming routing updates
                            	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList.In_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: out
                            
                            	Filter outgoing routing updates
                            	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList.Out>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.in_ = None
                                self.out = None


                            class In_(object):
                                """
                                Filter incoming routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:in'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList.In_']['meta_info']


                            class Out(object):
                                """
                                Filter outgoing routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:out'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList.Out']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:distribute-list[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.in_ is not None and self.in_._has_data():
                                    return True

                                if self.out is not None and self.out._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList']['meta_info']


                        class MaximumPaths(object):
                            """
                            Forward packets over multiple paths
                            
                            .. attribute:: eibgp
                            
                            	Both eBGP and iBGP paths as multipath
                            	**type**\:   :py:class:`Eibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp>`
                            
                            .. attribute:: external_rtfilter
                            
                            	VPN prefix multipath on external RTFilter peers
                            	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter>`
                            
                            .. attribute:: ibgp
                            
                            	iBGP\-multipath
                            	**type**\:   :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp>`
                            
                            .. attribute:: max_path
                            
                            	
                            	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eibgp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp()
                                self.eibgp.parent = self
                                self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter()
                                self.external_rtfilter.parent = self
                                self.ibgp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp()
                                self.ibgp.parent = self
                                self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath()
                                self.max_path.parent = self


                            class MaxPath(object):
                                """
                                
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath']['meta_info']


                            class ExternalRtfilter(object):
                                """
                                VPN prefix multipath on external RTFilter peers
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter']['meta_info']


                            class Eibgp(object):
                                """
                                Both eBGP and iBGP paths as multipath
                                
                                .. attribute:: external_rtfilter
                                
                                	VPN prefix multipath on external RTFilter peers
                                	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp.ExternalRtfilter>`
                                
                                .. attribute:: max_path
                                
                                	
                                	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp.MaxPath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp.ExternalRtfilter()
                                    self.external_rtfilter.parent = self
                                    self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp.MaxPath()
                                    self.max_path.parent = self


                                class MaxPath(object):
                                    """
                                    
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp.MaxPath']['meta_info']


                                class ExternalRtfilter(object):
                                    """
                                    VPN prefix multipath on external RTFilter peers
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp.ExternalRtfilter']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:eibgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                        return True

                                    if self.max_path is not None and self.max_path._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Eibgp']['meta_info']


                            class Ibgp(object):
                                """
                                iBGP\-multipath
                                
                                .. attribute:: external_rtfilter
                                
                                	VPN prefix multipath on external RTFilter peers
                                	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.ExternalRtfilter>`
                                
                                .. attribute:: max_path
                                
                                	
                                	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.MaxPath>`
                                
                                .. attribute:: unequal_cost
                                
                                	Perform Un\-Equal cost multipath selection
                                	**type**\:   :py:class:`UnequalCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.ExternalRtfilter()
                                    self.external_rtfilter.parent = self
                                    self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.MaxPath()
                                    self.max_path.parent = self
                                    self.unequal_cost = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost()
                                    self.unequal_cost.parent = self


                                class UnequalCost(object):
                                    """
                                    Perform Un\-Equal cost multipath selection
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter>`
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost.MaxPath>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost.MaxPath()
                                        self.max_path.parent = self


                                    class MaxPath(object):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost.MaxPath']['meta_info']


                                    class ExternalRtfilter(object):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:unequal-cost'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                            return True

                                        if self.max_path is not None and self.max_path._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.UnequalCost']['meta_info']


                                class MaxPath(object):
                                    """
                                    
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.MaxPath']['meta_info']


                                class ExternalRtfilter(object):
                                    """
                                    VPN prefix multipath on external RTFilter peers
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp.ExternalRtfilter']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ibgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                        return True

                                    if self.max_path is not None and self.max_path._has_data():
                                        return True

                                    if self.unequal_cost is not None and self.unequal_cost._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:maximum-paths'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eibgp is not None and self.eibgp._has_data():
                                    return True

                                if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                    return True

                                if self.ibgp is not None and self.ibgp._has_data():
                                    return True

                                if self.max_path is not None and self.max_path._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths']['meta_info']


                        class Neighbor(object):
                            """
                            Specify a neighbor router
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: activate
                            
                            	Enable the Address Family for this Neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: additional_paths
                            
                            	
                            	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths>`
                            
                            .. attribute:: advertise
                            
                            	Advertise to this neighbor
                            	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise>`
                            
                            .. attribute:: advertise_map
                            
                            	specify route\-map for conditional advertisement
                            	**type**\:   :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap>`
                            
                            .. attribute:: advertisement_interval
                            
                            	Minimum interval between sending BGP routing updates
                            	**type**\:  int
                            
                            	**range:** 0..600
                            
                            .. attribute:: aigp
                            
                            	Enable a AIGP on neighbor
                            	**type**\:   :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: allow_policy
                            
                            	Enable the policy support for this IBGP Neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allowas_in
                            
                            	Accept as\-path with my AS present in it
                            	**type**\:   :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AllowasIn>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: announce
                            
                            	Announce RPKI State using an Extended Community
                            	**type**\:   :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce>`
                            
                            .. attribute:: as_override
                            
                            	Override matching AS\-number while sending update
                            	**type**\:   :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AsOverride>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Advertise capability to the peer
                            	**type**\:   :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: default_originate
                            
                            	Originate default route to this neighbour
                            	**type**\:   :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DefaultOriginate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: description
                            
                            	Neighbor specific description
                            	**type**\:  str
                            
                            .. attribute:: disable_connected_check
                            
                            	One\-hop away EBGP peer using loopback address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of    :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Propagate the DMZ link bandwidth
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ebgp_multihop
                            
                            	Allow EBGP neighbors not on directly connected networks
                            	**type**\:   :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.EbgpMultihop>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: fall_over
                            
                            	session fall on peer route lost
                            	**type**\:   :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver>`
                            
                            .. attribute:: filter_list
                            
                            	Establish BGP filters
                            	**type**\: list of    :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList>`
                            
                            .. attribute:: ha_mode
                            
                            	high availability mode
                            	**type**\:   :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode>`
                            
                            .. attribute:: inherit
                            
                            	Inherit a template
                            	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit>`
                            
                            .. attribute:: local_as
                            
                            	Specify a local\-as number
                            	**type**\:   :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.LocalAs>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\:   :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.LogNeighborChanges>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes accepted from this peer
                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix>`
                            
                            .. attribute:: next_hop_self
                            
                            	Disable the next hop calculation for this neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: next_hop_unchanged
                            
                            	Propagate the iBGP paths's next hop unchanged for this neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: password
                            
                            	Set a password
                            	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Password>`
                            
                            .. attribute:: path_attribute
                            
                            	BGP optional attribute filtering
                            	**type**\:   :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute>`
                            
                            .. attribute:: peer_group
                            
                            	Member of the peer\-group
                            	**type**\:   :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PeerGroup>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList>`
                            
                            .. attribute:: remote_as
                            
                            	Specify a BGP neighbor
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: remove_private_as
                            
                            	Remove private AS number from outbound updates
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Apply route map to neighbor
                            	**type**\: list of    :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap>`
                            
                            .. attribute:: route_reflector_client
                            
                            	Configure a neighbor as Route Reflector client
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_reflector_cluster_id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: send_community
                            
                            	Send Community attribute to this neighbor
                            	**type**\:   :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: send_label
                            
                            	Send NLRI + MPLS Label to this peer
                            	**type**\:   :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel>`
                            
                            .. attribute:: shutdown
                            
                            	Administratively shut down this neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:   :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer>`
                            
                            .. attribute:: soft_reconfiguration
                            
                            	Per neighbor soft reconfiguration
                            	**type**\:   :py:class:`SoftReconfigurationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SoftReconfigurationEnum>`
                            
                            .. attribute:: timers
                            
                            	BGP per neighbor timers
                            	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Timers>`
                            
                            .. attribute:: translate_update
                            
                            	Translate Update to MBGP format
                            	**type**\:   :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport>`
                            
                            .. attribute:: ttl_security
                            
                            	BGP ttl security check
                            	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity>`
                            
                            .. attribute:: unsuppress_map
                            
                            	Route\-map to selectively unsuppress suppressed routes
                            	**type**\:  str
                            
                            .. attribute:: update_source
                            
                            	Source of routing updates
                            	**type**\:   :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource>`
                            
                            .. attribute:: version
                            
                            	Set the BGP version to match a neighbor
                            	**type**\:  int
                            
                            	**range:** 4..None
                            
                            .. attribute:: weight
                            
                            	Set default weight for routes from this neighbor
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.activate = None
                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths()
                                self.additional_paths.parent = self
                                self.advertise = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise()
                                self.advertise.parent = self
                                self.advertise_map = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap()
                                self.advertise_map.parent = self
                                self.advertisement_interval = None
                                self.aigp = None
                                self.allow_policy = None
                                self.allowas_in = None
                                self.announce = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce()
                                self.announce.parent = self
                                self.as_override = None
                                self.capability = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability()
                                self.capability.parent = self
                                self.cluster_id = None
                                self.default_originate = None
                                self.description = None
                                self.disable_connected_check = None
                                self.distribute_list = YList()
                                self.distribute_list.parent = self
                                self.distribute_list.name = 'distribute_list'
                                self.dmzlink_bw = None
                                self.ebgp_multihop = None
                                self.fall_over = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver()
                                self.fall_over.parent = self
                                self.filter_list = YList()
                                self.filter_list.parent = self
                                self.filter_list.name = 'filter_list'
                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode()
                                self.ha_mode.parent = self
                                self.inherit = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit()
                                self.inherit.parent = self
                                self.local_as = None
                                self.log_neighbor_changes = None
                                self.maximum_prefix = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self.next_hop_self = None
                                self.next_hop_unchanged = None
                                self.password = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Password()
                                self.password.parent = self
                                self.path_attribute = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute()
                                self.path_attribute.parent = self
                                self.peer_group = None
                                self.prefix_list = YList()
                                self.prefix_list.parent = self
                                self.prefix_list.name = 'prefix_list'
                                self.remote_as = None
                                self.remove_private_as = None
                                self.route_map = YList()
                                self.route_map.parent = self
                                self.route_map.name = 'route_map'
                                self.route_reflector_client = None
                                self.route_reflector_cluster_id = None
                                self.send_community = None
                                self.send_label = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel()
                                self.send_label.parent = self
                                self.shutdown = None
                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer()
                                self.slow_peer.parent = self
                                self.soft_reconfiguration = None
                                self.timers = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Timers()
                                self.timers.parent = self
                                self.translate_update = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate()
                                self.translate_update.parent = self
                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport()
                                self.transport.parent = self
                                self.ttl_security = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity()
                                self.ttl_security.parent = self
                                self.unsuppress_map = None
                                self.update_source = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource()
                                self.update_source.parent = self
                                self.version = None
                                self.weight = None

                            class SoftReconfigurationEnum(Enum):
                                """
                                SoftReconfigurationEnum

                                Per neighbor soft reconfiguration

                                .. data:: inbound = 0

                                """

                                inbound = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SoftReconfigurationEnum']



                            class PeerGroup(object):
                                """
                                Member of the peer\-group
                                
                                .. attribute:: peer_group_name
                                
                                	WORD;;peer\-group name
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.peer_group_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:peer-group'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.peer_group_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PeerGroup']['meta_info']


                            class LocalAs(object):
                                """
                                Specify a local\-as number
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: dual_as
                                
                                	Accept either real AS or local AS from the ebgp peer
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_prepend
                                
                                	Do not prepend local\-as to updates from ebgp peers
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: replace_as
                                
                                	Replace real AS with local AS in the EBGP updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.as_no = None
                                    self.dual_as = None
                                    self.no_prepend = None
                                    self.replace_as = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:local-as'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.as_no is not None:
                                        return True

                                    if self.dual_as is not None:
                                        return True

                                    if self.no_prepend is not None:
                                        return True

                                    if self.replace_as is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.LocalAs']['meta_info']


                            class AdditionalPaths(object):
                                """
                                
                                
                                .. attribute:: disable
                                
                                	Disable additional paths for this neighbor
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to this neighbor
                                	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.disable = None
                                    self.receive = None
                                    self.send = None


                                class Send(object):
                                    """
                                    Send additional paths to this neighbor
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from this neighbor
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.receive = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.receive is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths.Send']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.disable is not None:
                                        return True

                                    if self.receive is not None:
                                        return True

                                    if self.send is not None and self.send._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths']['meta_info']


                            class Advertise(object):
                                """
                                Advertise to this neighbor
                                
                                .. attribute:: additional_paths
                                
                                	Advertise additional paths
                                	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths>`
                                
                                .. attribute:: best_external
                                
                                	Advertise best\-external (at RRs best\-internal) path
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: diverse_path
                                
                                	Advertise diverse path
                                	**type**\:   :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self.best_external = None
                                    self.diverse_path = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath()
                                    self.diverse_path.parent = self


                                class AdditionalPaths(object):
                                    """
                                    Advertise additional paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best>`
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best paths
                                    	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.all = None
                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best()
                                        self.best.parent = self
                                        self.group_best = None


                                    class All(object):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best paths
                                        	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best()
                                            self.best.parent = self
                                            self.group_best = None


                                        class Best(object):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: best_range
                                            
                                            	
                                            	**type**\: list of    :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.best_range = YList()
                                                self.best_range.parent = self
                                                self.best_range.name = 'best_range'


                                            class BestRange(object):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = None
                                                    self.group_best = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.range is None:
                                                        raise YPYModelError('Key property range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        return True

                                                    if self.group_best is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.best_range is not None:
                                                    for child_ref in self.best_range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info']


                                        class GroupBest(object):
                                            """
                                            Select group\-best paths
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.best = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.best is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:all'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.best is not None and self.best._has_data():
                                                return True

                                            if self.group_best is not None and self.group_best._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All']['meta_info']


                                    class Best(object):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: best_range
                                        
                                        	
                                        	**type**\: list of    :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.best_range = YList()
                                            self.best_range.parent = self
                                            self.best_range.name = 'best_range'


                                        class BestRange(object):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.all = None
                                                self.group_best = None


                                            class GroupBest(object):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.all = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.all is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.range is None:
                                                    raise YPYModelError('Key property range is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.all is not None:
                                                    return True

                                                if self.group_best is not None and self.group_best._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.best_range is not None:
                                                for child_ref in self.best_range:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best']['meta_info']


                                    class GroupBest(object):
                                        """
                                        Select group\-best paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\:  int
                                        
                                        	**range:** 2..3
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.all = None
                                            self.best = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.all is not None:
                                                return True

                                            if self.best is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.GroupBest']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.all is not None and self.all._has_data():
                                            return True

                                        if self.best is not None and self.best._has_data():
                                            return True

                                        if self.group_best is not None and self.group_best._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths']['meta_info']


                                class DiversePath(object):
                                    """
                                    Advertise diverse path
                                    
                                    .. attribute:: backup
                                    
                                    	Diverse path can be backup path
                                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: mpath
                                    
                                    	Diverse path can be multipath
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.backup = None
                                        self.mpath = None


                                    class Backup(object):
                                        """
                                        Diverse path can be backup path
                                        
                                        .. attribute:: mpath
                                        
                                        	Diverse path can be multipath
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.mpath = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:backup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.mpath is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath.Backup']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:diverse-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.backup is not None and self.backup._has_data():
                                            return True

                                        if self.mpath is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:advertise'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.additional_paths is not None and self.additional_paths._has_data():
                                        return True

                                    if self.best_external is not None:
                                        return True

                                    if self.diverse_path is not None and self.diverse_path._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise']['meta_info']


                            class AdvertiseMap(object):
                                """
                                specify route\-map for conditional advertisement
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap.Name>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = YList()
                                    self.name.parent = self
                                    self.name.name = 'name'


                                class Name(object):
                                    """
                                    
                                    
                                    .. attribute:: word  <key>
                                    
                                    	advertise route\-map name
                                    	**type**\:  str
                                    
                                    .. attribute:: exist_map
                                    
                                    	condition route\-map name
                                    	**type**\:  str
                                    
                                    .. attribute:: non_exist_map
                                    
                                    	condition route\-map name
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.word = None
                                        self.exist_map = None
                                        self.non_exist_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.word is None:
                                            raise YPYModelError('Key property word is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:name[Cisco-IOS-XE-bgp:word = ' + str(self.word) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.word is not None:
                                            return True

                                        if self.exist_map is not None:
                                            return True

                                        if self.non_exist_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap.Name']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:advertise-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        for child_ref in self.name:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap']['meta_info']


                            class Aigp(object):
                                """
                                Enable a AIGP on neighbor
                                
                                .. attribute:: send
                                
                                	Cost community or MED carrying AIGP VALUE
                                	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.send = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send()
                                    self.send.parent = self


                                class Send(object):
                                    """
                                    Cost community or MED carrying AIGP VALUE
                                    
                                    .. attribute:: cost_community
                                    
                                    	Cost extended community carrying AIGP Value
                                    	**type**\:   :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity>`
                                    
                                    .. attribute:: med
                                    
                                    	Med carrying AIGP Value
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity()
                                        self.cost_community.parent = self
                                        self.med = None


                                    class CostCommunity(object):
                                        """
                                        Cost extended community carrying AIGP Value
                                        
                                        .. attribute:: cc_range
                                        
                                        	
                                        	**type**\: list of    :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.cc_range = YList()
                                            self.cc_range.parent = self
                                            self.cc_range.name = 'cc_range'


                                        class CcRange(object):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Community ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: poi
                                            
                                            	Point of Insertion
                                            	**type**\:   :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.poi = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                self.poi.parent = self


                                            class Poi(object):
                                                """
                                                Point of Insertion
                                                
                                                .. attribute:: igp_cost
                                                
                                                	Point of Insertion After IGP
                                                	**type**\:   :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: pre_bestpath
                                                
                                                	Point of Insertion At Beginning
                                                	**type**\:   :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.igp_cost = None
                                                    self.pre_bestpath = None


                                                class IgpCost(object):
                                                    """
                                                    Point of Insertion After IGP
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.transitive = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:igp-cost'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.transitive is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost']['meta_info']


                                                class PreBestpath(object):
                                                    """
                                                    Point of Insertion At Beginning
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.transitive = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:pre-bestpath'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.transitive is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:poi'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.igp_cost is not None and self.igp_cost._has_data():
                                                        return True

                                                    if self.pre_bestpath is not None and self.pre_bestpath._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.range is None:
                                                    raise YPYModelError('Key property range is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:cc-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.poi is not None and self.poi._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:cost-community'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.cc_range is not None:
                                                for child_ref in self.cc_range:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.cost_community is not None and self.cost_community._has_data():
                                            return True

                                        if self.med is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:aigp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.send is not None and self.send._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp']['meta_info']


                            class Announce(object):
                                """
                                Announce RPKI State using an Extended Community
                                
                                .. attribute:: rpki
                                
                                	Announce RPKI information using an Extended Community
                                	**type**\:   :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.rpki = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki()
                                    self.rpki.parent = self


                                class Rpki(object):
                                    """
                                    Announce RPKI information using an Extended Community
                                    
                                    .. attribute:: state
                                    
                                    	Announce RPKI State information using an Extended Community
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.state = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:rpki'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.state is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:announce'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.rpki is not None and self.rpki._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce']['meta_info']


                            class AllowasIn(object):
                                """
                                Accept as\-path with my AS present in it
                                
                                .. attribute:: as_number
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..10
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.as_number = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:allowas-in'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.as_number is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AllowasIn']['meta_info']


                            class AsOverride(object):
                                """
                                Override matching AS\-number while sending update
                                
                                .. attribute:: disable
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:as-override'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AsOverride']['meta_info']


                            class Capability(object):
                                """
                                Advertise capability to the peer
                                
                                .. attribute:: orf
                                
                                	Advertise ORF capability to the peer
                                	**type**\:   :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.orf = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf()
                                    self.orf.parent = self


                                class Orf(object):
                                    """
                                    Advertise ORF capability to the peer
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Advertise prefixlist ORF capability to this neighbor
                                    	**type**\:  list of   :py:class:`PrefixListEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf.PrefixListEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.prefix_list = YLeafList()
                                        self.prefix_list.parent = self
                                        self.prefix_list.name = 'prefix_list'

                                    class PrefixListEnum(Enum):
                                        """
                                        PrefixListEnum

                                        Advertise prefixlist ORF capability to this neighbor

                                        .. data:: both = 0

                                        .. data:: receive = 1

                                        .. data:: send = 2

                                        """

                                        both = 0

                                        receive = 1

                                        send = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf.PrefixListEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:orf'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.prefix_list is not None:
                                            for child in self.prefix_list:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:capability'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.orf is not None and self.orf._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability']['meta_info']


                            class DefaultOriginate(object):
                                """
                                Originate default route to this neighbour
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria to originate default
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:default-originate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DefaultOriginate']['meta_info']


                            class DistributeList(object):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList.InoutEnum>`
                                
                                .. attribute:: accesslist
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..199
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 1300..2699
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.accesslist = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:distribute-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.accesslist is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList']['meta_info']


                            class EbgpMultihop(object):
                                """
                                Allow EBGP neighbors not on directly connected networks
                                
                                .. attribute:: max_hop
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.max_hop = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ebgp-multihop'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.max_hop is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.EbgpMultihop']['meta_info']


                            class FallOver(object):
                                """
                                session fall on peer route lost
                                
                                .. attribute:: bfd
                                
                                	Use BFD to detect failure
                                	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver.Bfd>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bfd = None


                                class Bfd(object):
                                    """
                                    Use BFD to detect failure
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:bfd'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver.Bfd']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:fall-over'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bfd is not None and self.bfd._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver']['meta_info']


                            class FilterList(object):
                                """
                                Establish BGP filters
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList.InoutEnum>`
                                
                                .. attribute:: as_path_list
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..500
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.as_path_list = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:filter-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.as_path_list is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList']['meta_info']


                            class Inherit(object):
                                """
                                Inherit a template
                                
                                .. attribute:: peer_policy
                                
                                	Inherit a peer\-policy template
                                	**type**\:  str
                                
                                .. attribute:: peer_session
                                
                                	Inherit a peer\-session template
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.peer_policy = None
                                    self.peer_session = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:inherit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.peer_policy is not None:
                                        return True

                                    if self.peer_session is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit']['meta_info']


                            class LogNeighborChanges(object):
                                """
                                Log neighbor up/down and reset reason
                                
                                .. attribute:: disable
                                
                                	disable
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:log-neighbor-changes'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.LogNeighborChanges']['meta_info']


                            class MaximumPrefix(object):
                                """
                                Maximum number of prefixes accepted from this peer
                                
                                .. attribute:: max_prefix_no
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..2147483647
                                
                                .. attribute:: restart
                                
                                	Restart bgp connection after limit is exceeded
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only
                                
                                	Only give warning message when limit is exceeded
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_prefix_no = None
                                    self.restart = None
                                    self.threshold = None
                                    self.warning_only = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:maximum-prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_prefix_no is not None:
                                        return True

                                    if self.restart is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    if self.warning_only is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix']['meta_info']


                            class Password(object):
                                """
                                Set a password
                                
                                .. attribute:: enctype
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: text
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.enctype = None
                                    self.text = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:password'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.enctype is not None:
                                        return True

                                    if self.text is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Password']['meta_info']


                            class PrefixList(object):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList.InoutEnum>`
                                
                                .. attribute:: prefix_list_name
                                
                                	
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.prefix_list_name = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:prefix-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.prefix_list_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList']['meta_info']


                            class PathAttribute(object):
                                """
                                BGP optional attribute filtering
                                
                                .. attribute:: discard
                                
                                	Discard matching path\-attribute for this neighbor
                                	**type**\:   :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard>`
                                
                                .. attribute:: treat_as_withdraw
                                
                                	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                	**type**\:   :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.discard = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard()
                                    self.discard.parent = self
                                    self.treat_as_withdraw = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw()
                                    self.treat_as_withdraw.parent = self


                                class Discard(object):
                                    """
                                    Discard matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:   :py:class:`Attibute_Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Attibute_Type>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Attibute_Type()
                                        self.attibute_type.parent = self
                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range()
                                        self.range.parent = self


                                    class Attibute_Type(object):
                                        """
                                        
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.in_ = None
                                            self.type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:attibute_type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.in_ is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Attibute_Type']['meta_info']


                                    class Range(object):
                                        """
                                        
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.end_value = None
                                            self.in_ = None
                                            self.start_value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:range'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.end_value is not None:
                                                return True

                                            if self.in_ is not None:
                                                return True

                                            if self.start_value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:discard'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.attibute_type is not None and self.attibute_type._has_data():
                                            return True

                                        if self.range is not None and self.range._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard']['meta_info']


                                class TreatAsWithdraw(object):
                                    """
                                    Treat\-as\-withdraw matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:   :py:class:`Attibute_Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type()
                                        self.attibute_type.parent = self
                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                        self.range.parent = self


                                    class Attibute_Type(object):
                                        """
                                        
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.in_ = None
                                            self.type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:attibute_type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.in_ is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type']['meta_info']


                                    class Range(object):
                                        """
                                        
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.end_value = None
                                            self.in_ = None
                                            self.start_value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:range'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.end_value is not None:
                                                return True

                                            if self.in_ is not None:
                                                return True

                                            if self.start_value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:treat-as-withdraw'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.attibute_type is not None and self.attibute_type._has_data():
                                            return True

                                        if self.range is not None and self.range._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:path-attribute'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.discard is not None and self.discard._has_data():
                                        return True

                                    if self.treat_as_withdraw is not None and self.treat_as_withdraw._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute']['meta_info']


                            class RouteMap(object):
                                """
                                Apply route map to neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap.InoutEnum>`
                                
                                .. attribute:: route_map_name
                                
                                	
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.route_map_name = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:route-map[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.route_map_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap']['meta_info']


                            class SendCommunity(object):
                                """
                                Send Community attribute to this neighbor
                                
                                .. attribute:: send_community_where
                                
                                	
                                	**type**\:   :py:class:`SendCommunityWhereEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity.SendCommunityWhereEnum>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.send_community_where = None

                                class SendCommunityWhereEnum(Enum):
                                    """
                                    SendCommunityWhereEnum

                                    .. data:: both = 0

                                    .. data:: extended = 1

                                    .. data:: standard = 2

                                    """

                                    both = 0

                                    extended = 1

                                    standard = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity.SendCommunityWhereEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:send-community'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.send_community_where is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity']['meta_info']


                            class SendLabel(object):
                                """
                                Send NLRI + MPLS Label to this peer
                                
                                .. attribute:: send_label_explicit
                                
                                	
                                	**type**\:   :py:class:`SendLabelExplicitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel.SendLabelExplicitEnum>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.send_label_explicit = None

                                class SendLabelExplicitEnum(Enum):
                                    """
                                    SendLabelExplicitEnum

                                    .. data:: explicit_null = 0

                                    """

                                    explicit_null = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel.SendLabelExplicitEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:send-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.send_label_explicit is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel']['meta_info']


                            class SlowPeer(object):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:   :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:   :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.detection = None
                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self


                                class Detection(object):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\:  int
                                    
                                    	**range:** 120..3600
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:detection'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.Detection']['meta_info']


                                class SplitUpdateGroup(object):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None


                                    class Dynamic(object):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.permanent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:dynamic'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.permanent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:split-update-group'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None and self.dynamic._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:slow-peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.detection is not None and self.detection._has_data():
                                        return True

                                    if self.split_update_group is not None and self.split_update_group._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer']['meta_info']


                            class Timers(object):
                                """
                                BGP per neighbor timers
                                
                                .. attribute:: holdtime
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: keepalive_interval
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: minimum_neighbor_hold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.holdtime = None
                                    self.keepalive_interval = None
                                    self.minimum_neighbor_hold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:timers'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.holdtime is not None:
                                        return True

                                    if self.keepalive_interval is not None:
                                        return True

                                    if self.minimum_neighbor_hold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Timers']['meta_info']


                            class TranslateUpdate(object):
                                """
                                Translate Update to MBGP format
                                
                                .. attribute:: ipv4
                                
                                	Address Family
                                	**type**\:   :py:class:`Ipv4_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4_>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4_()
                                    self.ipv4.parent = self


                                class Ipv4_(object):
                                    """
                                    Address Family
                                    
                                    .. attribute:: multicast
                                    
                                    	Address Family modifier
                                    	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4_.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.multicast = None


                                    class Multicast(object):
                                        """
                                        Address Family modifier
                                        
                                        .. attribute:: unicast
                                        
                                        	Address Family modifier
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.unicast = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:multicast'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.unicast is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4_.Multicast']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ipv4'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.multicast is not None and self.multicast._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4_']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:translate-update'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None and self.ipv4._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate']['meta_info']


                            class Transport(object):
                                """
                                Transport options
                                
                                .. attribute:: connection_mode
                                
                                	Specify passive or active connection
                                	**type**\:   :py:class:`ConnectionModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.ConnectionModeEnum>`
                                
                                .. attribute:: multi_session
                                
                                	Use Multi\-session for transport
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.PathMtuDiscovery>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.connection_mode = None
                                    self.multi_session = None
                                    self.path_mtu_discovery = None

                                class ConnectionModeEnum(Enum):
                                    """
                                    ConnectionModeEnum

                                    Specify passive or active connection

                                    .. data:: active = 0

                                    .. data:: passive = 1

                                    """

                                    active = 0

                                    passive = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.ConnectionModeEnum']



                                class PathMtuDiscovery(object):
                                    """
                                    Use transport path MTU discovery
                                    
                                    .. attribute:: disable
                                    
                                    	disable
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:path-mtu-discovery'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.PathMtuDiscovery']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:transport'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.connection_mode is not None:
                                        return True

                                    if self.multi_session is not None:
                                        return True

                                    if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport']['meta_info']


                            class TtlSecurity(object):
                                """
                                BGP ttl security check
                                
                                .. attribute:: hops
                                
                                	IP hops
                                	**type**\:  int
                                
                                	**range:** 1..254
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.hops = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ttl-security'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.hops is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity']['meta_info']


                            class UpdateSource(object):
                                """
                                Source of routing updates
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.AtmAcrsubinterface>`
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.AtmSubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\:  str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\:  str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\:  str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\:  str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\:  str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  int
                                
                                	**range:** 0..65520
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LispSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\:  str
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\:  str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\:  str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.appnav_compress = None
                                    self.appnav_uncompress = None
                                    self.atm = None
                                    self.atm_acr = None
                                    self.atm_acrsubinterface = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.AtmAcrsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self.atm_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.AtmSubinterface()
                                    self.atm_subinterface.parent = self
                                    self.bdi = None
                                    self.cellular = None
                                    self.cem = None
                                    self.cem_acr = None
                                    self.embedded_service_engine = None
                                    self.fastethernet = None
                                    self.gigabitethernet = None
                                    self.lisp = None
                                    self.lisp_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LispSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self.loopback = None
                                    self.multilink = None
                                    self.nve = None
                                    self.overlay = None
                                    self.port_channel = None
                                    self.port_channel_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self.pseudowire = None
                                    self.serial = None
                                    self.sm = None
                                    self.tengigabitethernet = None
                                    self.tunnel = None
                                    self.vasileft = None
                                    self.vasiright = None
                                    self.virtual_template = None
                                    self.virtualportgroup = None
                                    self.vlan = None


                                class AtmSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.AtmSubinterface']['meta_info']


                                class AtmAcrsubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm_acr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-ACRsubinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm_acr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.AtmAcrsubinterface']['meta_info']


                                class LispSubinterface(object):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:LISP-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LispSubinterface']['meta_info']


                                class PortChannelSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.port_channel = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:Port-channel-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.port_channel is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:update-source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.appnav_compress is not None:
                                        return True

                                    if self.appnav_uncompress is not None:
                                        return True

                                    if self.atm is not None:
                                        return True

                                    if self.atm_acr is not None:
                                        return True

                                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                        return True

                                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                        return True

                                    if self.bdi is not None:
                                        return True

                                    if self.cellular is not None:
                                        return True

                                    if self.cem is not None:
                                        return True

                                    if self.cem_acr is not None:
                                        return True

                                    if self.embedded_service_engine is not None:
                                        return True

                                    if self.fastethernet is not None:
                                        return True

                                    if self.gigabitethernet is not None:
                                        return True

                                    if self.lisp is not None:
                                        return True

                                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                        return True

                                    if self.loopback is not None:
                                        return True

                                    if self.multilink is not None:
                                        return True

                                    if self.nve is not None:
                                        return True

                                    if self.overlay is not None:
                                        return True

                                    if self.port_channel is not None:
                                        return True

                                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                        return True

                                    if self.pseudowire is not None:
                                        return True

                                    if self.serial is not None:
                                        return True

                                    if self.sm is not None:
                                        return True

                                    if self.tengigabitethernet is not None:
                                        return True

                                    if self.tunnel is not None:
                                        return True

                                    if self.vasileft is not None:
                                        return True

                                    if self.vasiright is not None:
                                        return True

                                    if self.virtual_template is not None:
                                        return True

                                    if self.virtualportgroup is not None:
                                        return True

                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource']['meta_info']


                            class HaMode(object):
                                """
                                high availability mode
                                
                                .. attribute:: graceful_restart
                                
                                	graceful\-restart for this peer
                                	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.GracefulRestart>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: sso
                                
                                	stateful\-switchover support for this peer
                                	**type**\:   :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.graceful_restart = None
                                    self.sso = None


                                class GracefulRestart(object):
                                    """
                                    graceful\-restart for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable graceful\-restart
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:graceful-restart'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.GracefulRestart']['meta_info']


                                class Sso(object):
                                    """
                                    stateful\-switchover support for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable stateful\-switchover
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:sso'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.Sso']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ha-mode'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.graceful_restart is not None and self.graceful_restart._has_data():
                                        return True

                                    if self.sso is not None and self.sso._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:neighbor[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.activate is not None:
                                    return True

                                if self.additional_paths is not None and self.additional_paths._has_data():
                                    return True

                                if self.advertise is not None and self.advertise._has_data():
                                    return True

                                if self.advertise_map is not None and self.advertise_map._has_data():
                                    return True

                                if self.advertisement_interval is not None:
                                    return True

                                if self.aigp is not None and self.aigp._has_data():
                                    return True

                                if self.allow_policy is not None:
                                    return True

                                if self.allowas_in is not None and self.allowas_in._has_data():
                                    return True

                                if self.announce is not None and self.announce._has_data():
                                    return True

                                if self.as_override is not None and self.as_override._has_data():
                                    return True

                                if self.capability is not None and self.capability._has_data():
                                    return True

                                if self.cluster_id is not None:
                                    return True

                                if self.default_originate is not None and self.default_originate._has_data():
                                    return True

                                if self.description is not None:
                                    return True

                                if self.disable_connected_check is not None:
                                    return True

                                if self.distribute_list is not None:
                                    for child_ref in self.distribute_list:
                                        if child_ref._has_data():
                                            return True

                                if self.dmzlink_bw is not None:
                                    return True

                                if self.ebgp_multihop is not None and self.ebgp_multihop._has_data():
                                    return True

                                if self.fall_over is not None and self.fall_over._has_data():
                                    return True

                                if self.filter_list is not None:
                                    for child_ref in self.filter_list:
                                        if child_ref._has_data():
                                            return True

                                if self.ha_mode is not None and self.ha_mode._has_data():
                                    return True

                                if self.inherit is not None and self.inherit._has_data():
                                    return True

                                if self.local_as is not None and self.local_as._has_data():
                                    return True

                                if self.log_neighbor_changes is not None and self.log_neighbor_changes._has_data():
                                    return True

                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                    return True

                                if self.next_hop_self is not None:
                                    return True

                                if self.next_hop_unchanged is not None:
                                    return True

                                if self.password is not None and self.password._has_data():
                                    return True

                                if self.path_attribute is not None and self.path_attribute._has_data():
                                    return True

                                if self.peer_group is not None and self.peer_group._has_data():
                                    return True

                                if self.prefix_list is not None:
                                    for child_ref in self.prefix_list:
                                        if child_ref._has_data():
                                            return True

                                if self.remote_as is not None:
                                    return True

                                if self.remove_private_as is not None:
                                    return True

                                if self.route_map is not None:
                                    for child_ref in self.route_map:
                                        if child_ref._has_data():
                                            return True

                                if self.route_reflector_client is not None:
                                    return True

                                if self.route_reflector_cluster_id is not None:
                                    return True

                                if self.send_community is not None and self.send_community._has_data():
                                    return True

                                if self.send_label is not None and self.send_label._has_data():
                                    return True

                                if self.shutdown is not None:
                                    return True

                                if self.slow_peer is not None and self.slow_peer._has_data():
                                    return True

                                if self.soft_reconfiguration is not None:
                                    return True

                                if self.timers is not None and self.timers._has_data():
                                    return True

                                if self.translate_update is not None and self.translate_update._has_data():
                                    return True

                                if self.transport is not None and self.transport._has_data():
                                    return True

                                if self.ttl_security is not None and self.ttl_security._has_data():
                                    return True

                                if self.unsuppress_map is not None:
                                    return True

                                if self.update_source is not None and self.update_source._has_data():
                                    return True

                                if self.version is not None:
                                    return True

                                if self.weight is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor']['meta_info']


                        class Network(object):
                            """
                            Specify a network to announce via BGP
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: backdoor
                            
                            	Specify a BGP backdoor route
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	Network mask
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: route_map
                            
                            	Route\-map to modify the attributes
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.number = None
                                self.backdoor = None
                                self.mask = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.number is None:
                                    raise YPYModelError('Key property number is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:network[Cisco-IOS-XE-bgp:number = ' + str(self.number) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.number is not None:
                                    return True

                                if self.backdoor is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Network']['meta_info']


                        class Redistribute(object):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Application>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp_>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: dvmrp
                            
                            	Redistribution of DVMRP into BGP IPv4 Multicast
                            	**type**\:   :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Dvmrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:   :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis>`
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp>`
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol
                            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.application = None
                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp_()
                                self.bgp.parent = self
                                self.connected = None
                                self.dvmrp = None
                                self.eigrp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp()
                                self.eigrp.parent = self
                                self.isis = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis()
                                self.isis.parent = self
                                self.iso_igrp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp()
                                self.iso_igrp.parent = self
                                self.lisp = None
                                self.mobile = None
                                self.odr = None
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.rip = None
                                self.static = None


                            class Application(object):
                                """
                                Application
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Application.Name>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.name = YList()
                                    self.name.parent = self
                                    self.name.name = 'name'


                                class Name(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	WORD;;Route map name
                                    	**type**\:  str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:name[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Application.Name']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:application'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.name is not None:
                                        for child_ref in self.name:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Application']['meta_info']


                            class Bgp_(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_no = None
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_no is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp_']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Connected']['meta_info']


                            class Dvmrp(object):
                                """
                                Redistribution of DVMRP into BGP IPv4 Multicast
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:dvmrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Dvmrp']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_no = None
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:eigrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_no is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp']['meta_info']


                            class Isis(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default>`
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default()
                                    self.default.parent = self
                                    self.isis_area = YList()
                                    self.isis_area.parent = self
                                    self.isis_area.name = 'isis_area'


                                class IsisArea(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:   :py:class:`RoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea.RoutesEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.clns = None
                                        self.ip = None
                                        self.metric = None
                                        self.route_map = None
                                        self.routes = None

                                    class RoutesEnum(Enum):
                                        """
                                        RoutesEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = 0

                                        level_2 = 1

                                        level_1_2 = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea.RoutesEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:isis-area[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.clns is not None:
                                            return True

                                        if self.ip is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.routes is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea']['meta_info']


                                class Default(object):
                                    """
                                    
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:   :py:class:`RoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default.RoutesEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.clns = None
                                        self.ip = None
                                        self.metric = None
                                        self.route_map = None
                                        self.routes = None

                                    class RoutesEnum(Enum):
                                        """
                                        RoutesEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = 0

                                        level_2 = 1

                                        level_1_2 = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default.RoutesEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.clns is not None:
                                            return True

                                        if self.ip is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.routes is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:isis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.isis_area is not None:
                                        for child_ref in self.isis_area:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis']['meta_info']


                            class Lisp(object):
                                """
                                Locator/ID Separation Protocol
                                
                                .. attribute:: include_connected
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.include_connected = None
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:lisp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.include_connected is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Lisp']['meta_info']


                            class IsoIgrp(object):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default>`
                                
                                .. attribute:: iso_igrp_area
                                
                                	
                                	**type**\: list of    :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.IsoIgrpArea>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default()
                                    self.default.parent = self
                                    self.iso_igrp_area = YList()
                                    self.iso_igrp_area.parent = self
                                    self.iso_igrp_area.name = 'iso_igrp_area'


                                class IsoIgrpArea(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:iso-igrp-area[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.IsoIgrpArea']['meta_info']


                                class Default(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:iso-igrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.iso_igrp_area is not None:
                                        for child_ref in self.iso_igrp_area:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp']['meta_info']


                            class Mobile(object):
                                """
                                Mobile routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:mobile'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Mobile']['meta_info']


                            class Odr(object):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:odr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Odr']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: non_vrf
                                
                                	
                                	**type**\:   :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf>`
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.non_vrf = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf()
                                    self.non_vrf.parent = self
                                    self.vrf = YList()
                                    self.vrf.parent = self
                                    self.vrf.name = 'vrf'


                                class Vrf(object):
                                    """
                                    VPN Routing/Forwarding Instance
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf.Match()
                                        self.match.parent = self
                                        self.metric = None
                                        self.route_map = None


                                    class Match(object):
                                        """
                                        
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:match'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf.Match']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:vrf[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.match is not None and self.match._has_data():
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf']['meta_info']


                                class NonVrf(object):
                                    """
                                    
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match()
                                        self.match.parent = self
                                        self.metric = None
                                        self.route_map = None


                                    class Match(object):
                                        """
                                        
                                        
                                        .. attribute:: external
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: external2
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: internal
                                        
                                        	Redistribute OSPF internal routes
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: nssa_external
                                        
                                        	Redistribute OSPF NSSA external routes
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.external = None
                                            self.external2 = None
                                            self.internal = None
                                            self.metric = None
                                            self.nssa_external = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:match'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.external is not None:
                                                return True

                                            if self.external2 is not None:
                                                return True

                                            if self.internal is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.nssa_external is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:non-vrf'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.match is not None and self.match._has_data():
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ospf[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.non_vrf is not None and self.non_vrf._has_data():
                                        return True

                                    if self.vrf is not None:
                                        for child_ref in self.vrf:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:rip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: clns
                                
                                	Redistribution of OSI dynamic routes
                                	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.clns = None
                                    self.ip = None
                                    self.metric = None
                                    self.route_map = None


                                class Clns(object):
                                    """
                                    Redistribution of OSI dynamic routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:clns'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Clns']['meta_info']


                                class Ip(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Ip']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.clns is not None and self.clns._has_data():
                                        return True

                                    if self.ip is not None and self.ip._has_data():
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:redistribute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.application is not None and self.application._has_data():
                                    return True

                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.dvmrp is not None and self.dvmrp._has_data():
                                    return True

                                if self.eigrp is not None and self.eigrp._has_data():
                                    return True

                                if self.isis is not None and self.isis._has_data():
                                    return True

                                if self.iso_igrp is not None and self.iso_igrp._has_data():
                                    return True

                                if self.lisp is not None and self.lisp._has_data():
                                    return True

                                if self.mobile is not None and self.mobile._has_data():
                                    return True

                                if self.odr is not None and self.odr._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None and self.rip._has_data():
                                    return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute']['meta_info']


                        class TableMap(object):
                            """
                            Map external entry attributes into routing table
                            
                            .. attribute:: filter
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: name
                            
                            	WORD;;route\-map name
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.filter = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:table-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.filter is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.TableMap']['meta_info']


                        class Snmp(object):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\:   :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.context = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context()
                                self.context.parent = self


                            class Context(object):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: context_word
                                
                                	
                                	**type**\: list of    :py:class:`Context_Word <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context.Context_Word>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.context_word = YList()
                                    self.context_word.parent = self
                                    self.context_word.name = 'context_word'


                                class Context_Word(object):
                                    """
                                    
                                    
                                    .. attribute:: context_word  <key>
                                    
                                    	Context Name
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.context_word = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.context_word is None:
                                            raise YPYModelError('Key property context_word is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:context_word[Cisco-IOS-XE-bgp:context_word = ' + str(self.context_word) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.context_word is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context.Context_Word']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:context'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.context_word is not None:
                                        for child_ref in self.context_word:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:snmp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.context is not None and self.context._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.af_name is None:
                                raise YPYModelError('Key property af_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:ipv4[Cisco-IOS-XE-bgp:af-name = ' + str(self.af_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.af_name is not None:
                                return True

                            if self.aggregate_address is not None and self.aggregate_address._has_data():
                                return True

                            if self.auto_summary is not None:
                                return True

                            if self.bgp is not None and self.bgp._has_data():
                                return True

                            if self.default_information is not None and self.default_information._has_data():
                                return True

                            if self.default_metric is not None:
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.distribute_list is not None:
                                for child_ref in self.distribute_list:
                                    if child_ref._has_data():
                                        return True

                            if self.maximum_paths is not None and self.maximum_paths._has_data():
                                return True

                            if self.neighbor is not None:
                                for child_ref in self.neighbor:
                                    if child_ref._has_data():
                                        return True

                            if self.network is not None:
                                for child_ref in self.network:
                                    if child_ref._has_data():
                                        return True

                            if self.redistribute is not None and self.redistribute._has_data():
                                return True

                            if self.snmp is not None and self.snmp._has_data():
                                return True

                            if self.synchronization is not None:
                                return True

                            if self.table_map is not None and self.table_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv4']['meta_info']


                    class Ipv6(object):
                        """
                        Address family
                        
                        .. attribute:: af_name  <key>
                        
                        	
                        	**type**\:   :py:class:`Bgp_Ipv6_Af_TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.Bgp_Ipv6_Af_TypeEnum>`
                        
                        .. attribute:: aggregate_address
                        
                        	Configure BGP aggregate entries
                        	**type**\:   :py:class:`AggregateAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.AggregateAddress>`
                        
                        .. attribute:: auto_summary
                        
                        	Enable automatic network number summarization
                        	**type**\:  bool
                        
                        .. attribute:: bgp
                        
                        	BGP specific commands
                        	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance>`
                        
                        .. attribute:: distribute_list
                        
                        	Filter networks in routing updates
                        	**type**\: list of    :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:   :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths>`
                        
                        .. attribute:: neighbor
                        
                        	Specify a neighbor router
                        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Specify a network to announce via BGP
                        	**type**\: list of    :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Network>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute>`
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: synchronization
                        
                        	Perform IGP synchronization
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: table_map
                        
                        	Map external entry attributes into routing table
                        	**type**\:   :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.TableMap>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.af_name = None
                            self.aggregate_address = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.AggregateAddress()
                            self.aggregate_address.parent = self
                            self.auto_summary = None
                            self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_()
                            self.bgp.parent = self
                            self.default_information = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DefaultInformation()
                            self.default_information.parent = self
                            self.default_metric = None
                            self.distance = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance()
                            self.distance.parent = self
                            self.distribute_list = YList()
                            self.distribute_list.parent = self
                            self.distribute_list.name = 'distribute_list'
                            self.maximum_paths = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths()
                            self.maximum_paths.parent = self
                            self.neighbor = YList()
                            self.neighbor.parent = self
                            self.neighbor.name = 'neighbor'
                            self.network = YList()
                            self.network.parent = self
                            self.network.name = 'network'
                            self.redistribute = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute()
                            self.redistribute.parent = self
                            self.snmp = None
                            self.synchronization = None
                            self.table_map = None


                        class AggregateAddress(object):
                            """
                            Configure BGP aggregate entries
                            
                            .. attribute:: advertise_map
                            
                            	Set condition to advertise attribute
                            	**type**\:  str
                            
                            .. attribute:: as_override
                            
                            	Override matching AS\-number while sending update
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: as_set
                            
                            	Generate AS set path information
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: attribute_map
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: ipv6_address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: route_map
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: summary_only
                            
                            	Filter more specific routes from updates
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_map
                            
                            	Conditionally filter more specific routes from updates
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.advertise_map = None
                                self.as_override = None
                                self.as_set = None
                                self.attribute_map = None
                                self.ipv6_address = None
                                self.route_map = None
                                self.summary_only = None
                                self.suppress_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:aggregate-address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.advertise_map is not None:
                                    return True

                                if self.as_override is not None:
                                    return True

                                if self.as_set is not None:
                                    return True

                                if self.attribute_map is not None:
                                    return True

                                if self.ipv6_address is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                if self.summary_only is not None:
                                    return True

                                if self.suppress_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.AggregateAddress']['meta_info']


                        class Bgp_(object):
                            """
                            BGP specific commands
                            
                            .. attribute:: additional_paths
                            
                            	Additional paths in the BGP table
                            	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths>`
                            
                            .. attribute:: advertise_best_external
                            
                            	Advertise best external path to internal peers
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aggregate_timer
                            
                            	Timer interval
                            	**type**\:  int
                            
                            	**range:** 6..60
                            
                            .. attribute:: always_compare_med
                            
                            	Allow comparing MED from different neighbors
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: asnotation
                            
                            	Change the default asplain notation
                            	**type**\:   :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Asnotation>`
                            
                            .. attribute:: bestpath
                            
                            	Change the default bestpath selection
                            	**type**\:   :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath>`
                            
                            .. attribute:: client_to_client
                            
                            	Configure client to client route reflection
                            	**type**\:   :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ClientToClient>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: confederation
                            
                            	AS confederation parameters
                            	**type**\:   :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Confederation>`
                            
                            .. attribute:: consistency_checker
                            
                            	Consistency\-checker
                            	**type**\:   :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ConsistencyChecker>`
                            
                            .. attribute:: dampening
                            
                            	Enable route\-flap dampening
                            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Dampening>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: default
                            
                            	Configure BGP defaults
                            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Default>`
                            
                            .. attribute:: deterministic_med
                            
                            	Pick the best\-MED path among paths advertised from the neighboring AS
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Use DMZ Link Bandwidth as weight for BGP multipaths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enforce_first_as
                            
                            	Enforce the first AS for EBGP routes(default)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enhanced_error
                            
                            	Enabled BGP Enhanced error handling
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fast_external_fallover
                            
                            	Immediately reset session if a link to a directly connected external peer goes down
                            	**type**\:  bool
                            
                            .. attribute:: graceful_restart
                            
                            	Graceful restart capability parameters
                            	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.GracefulRestart>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ha_mode
                            
                            	Select BGP High Availability mode
                            	**type**\:   :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.HaMode>`
                            
                            .. attribute:: inject_map
                            
                            	Routemap which specifies prefixes to inject
                            	**type**\: list of    :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.InjectMap>`
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: maxas_limit
                            
                            	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                            	**type**\:  int
                            
                            	**range:** 1..2000
                            
                            .. attribute:: maxcommunity_limit
                            
                            	Number of communities in the COMMUNITY attribute
                            	**type**\:  int
                            
                            	**range:** 1..1018
                            
                            .. attribute:: nexthop
                            
                            	Nexthop tracking commands
                            	**type**\:   :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Nexthop>`
                            
                            .. attribute:: nopeerup_delay
                            
                            	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                            	**type**\:   :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.NopeerupDelay>`
                            
                            .. attribute:: recursion
                            
                            	recursion rule for the nexthops
                            	**type**\:   :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Recursion>`
                            
                            .. attribute:: redistribute_internal
                            
                            	Allow redistribution of iBGP into IGPs (dangerous)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: regexp
                            
                            	Select regular expression engine
                            	**type**\:   :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Regexp>`
                            
                            .. attribute:: route_map
                            
                            	bgp route\-map commands
                            	**type**\:   :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.RouteMap>`
                            
                            .. attribute:: router_id
                            
                            	Override configured router identifier (peers will reset)
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: scan_time
                            
                            	Configure background scanner interval
                            	**type**\:  int
                            
                            	**range:** 5..60
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:   :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer>`
                            
                            .. attribute:: soft_reconfig_backup
                            
                            	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_inactive
                            
                            	Suppress routes that are not in the routing table
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Transport>`
                            
                            .. attribute:: update_delay
                            
                            	Set the max initial delay for sending update
                            	**type**\:  int
                            
                            	**range:** 1..3600
                            
                            .. attribute:: update_group
                            
                            	Manage peers in bgp update groups
                            	**type**\:   :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.UpdateGroup>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths()
                                self.additional_paths.parent = self
                                self.advertise_best_external = None
                                self.aggregate_timer = None
                                self.always_compare_med = None
                                self.asnotation = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Asnotation()
                                self.asnotation.parent = self
                                self.bestpath = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath()
                                self.bestpath.parent = self
                                self.client_to_client = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ClientToClient()
                                self.client_to_client.parent = self
                                self.cluster_id = None
                                self.confederation = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Confederation()
                                self.confederation.parent = self
                                self.consistency_checker = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ConsistencyChecker()
                                self.consistency_checker.parent = self
                                self.dampening = None
                                self.default = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Default()
                                self.default.parent = self
                                self.deterministic_med = None
                                self.dmzlink_bw = None
                                self.enforce_first_as = None
                                self.enhanced_error = None
                                self.fast_external_fallover = None
                                self.graceful_restart = None
                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.HaMode()
                                self.ha_mode.parent = self
                                self.inject_map = YList()
                                self.inject_map.parent = self
                                self.inject_map.name = 'inject_map'
                                self.log_neighbor_changes = None
                                self.maxas_limit = None
                                self.maxcommunity_limit = None
                                self.nexthop = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Nexthop()
                                self.nexthop.parent = self
                                self.nopeerup_delay = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.NopeerupDelay()
                                self.nopeerup_delay.parent = self
                                self.recursion = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Recursion()
                                self.recursion.parent = self
                                self.redistribute_internal = None
                                self.regexp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Regexp()
                                self.regexp.parent = self
                                self.route_map = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.RouteMap()
                                self.route_map.parent = self
                                self.router_id = None
                                self.scan_time = None
                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer()
                                self.slow_peer.parent = self
                                self.soft_reconfig_backup = None
                                self.suppress_inactive = None
                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Transport()
                                self.transport.parent = self
                                self.update_delay = None
                                self.update_group = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.UpdateGroup()
                                self.update_group.parent = self


                            class Asnotation(object):
                                """
                                Change the default asplain notation
                                
                                .. attribute:: dot
                                
                                	asdot notation
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dot = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:asnotation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dot is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Asnotation']['meta_info']


                            class NopeerupDelay(object):
                                """
                                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                
                                .. attribute:: cold_boot
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: nsf_switchover
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: post_boot
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: user_initiated
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cold_boot = None
                                    self.nsf_switchover = None
                                    self.post_boot = None
                                    self.user_initiated = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:nopeerup-delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cold_boot is not None:
                                        return True

                                    if self.nsf_switchover is not None:
                                        return True

                                    if self.post_boot is not None:
                                        return True

                                    if self.user_initiated is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.NopeerupDelay']['meta_info']


                            class Recursion(object):
                                """
                                recursion rule for the nexthops
                                
                                .. attribute:: host
                                
                                	recursion via host for the nexthops
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.host = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:recursion'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.host is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Recursion']['meta_info']


                            class AdditionalPaths(object):
                                """
                                Additional paths in the BGP table
                                
                                .. attribute:: install
                                
                                	Additional paths to install into RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: select
                                
                                	Selection criteria to pick the paths
                                	**type**\:   :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to neighbors
                                	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.install = None
                                    self.receive = None
                                    self.select = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select()
                                    self.select.parent = self
                                    self.send = None


                                class Select(object):
                                    """
                                    Selection criteria to pick the paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: backup
                                    
                                    	Select backup path
                                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Best>`
                                    
                                    .. attribute:: best_external
                                    
                                    	Select best\-external path
                                    	**type**\:   :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.BestExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best path
                                    	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.all = None
                                        self.backup = None
                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Best()
                                        self.best.parent = self
                                        self.best_external = None
                                        self.group_best = None


                                    class All(object):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best path
                                        	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All.Best()
                                            self.best.parent = self
                                            self.group_best = None


                                        class Best(object):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All.Best.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = YList()
                                                self.range.parent = self
                                                self.range.name = 'range'


                                            class Range(object):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = None
                                                    self.group_best = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.range is None:
                                                        raise YPYModelError('Key property range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        return True

                                                    if self.group_best is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All.Best.Range']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    for child_ref in self.range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All.Best']['meta_info']


                                        class GroupBest(object):
                                            """
                                            Select group\-best path
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.best = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.best is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All.GroupBest']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:all'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.best is not None and self.best._has_data():
                                                return True

                                            if self.group_best is not None and self.group_best._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.All']['meta_info']


                                    class Backup(object):
                                        """
                                        Select backup path
                                        
                                        .. attribute:: best_external
                                        
                                        	Select best\-external path
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.best_external = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:backup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.best_external is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Backup']['meta_info']


                                    class Best(object):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Best.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.range = YList()
                                            self.range.parent = self
                                            self.range.name = 'range'


                                        class Range(object):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.all = None
                                                self.group_best = None


                                            class GroupBest(object):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.all = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.all is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.range is None:
                                                    raise YPYModelError('Key property range is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.all is not None:
                                                    return True

                                                if self.group_best is not None and self.group_best._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.range is not None:
                                                for child_ref in self.range:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.Best']['meta_info']


                                    class BestExternal(object):
                                        """
                                        Select best\-external path
                                        
                                        .. attribute:: backup
                                        
                                        	Select backup path
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.backup = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.backup is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.BestExternal']['meta_info']


                                    class GroupBest(object):
                                        """
                                        Select group\-best path
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\:  int
                                        
                                        	**range:** 2..3
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.all = None
                                            self.best = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.all is not None:
                                                return True

                                            if self.best is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select.GroupBest']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:select'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.all is not None and self.all._has_data():
                                            return True

                                        if self.backup is not None and self.backup._has_data():
                                            return True

                                        if self.best is not None and self.best._has_data():
                                            return True

                                        if self.best_external is not None and self.best_external._has_data():
                                            return True

                                        if self.group_best is not None and self.group_best._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Select']['meta_info']


                                class Send(object):
                                    """
                                    Send additional paths to neighbors
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.receive = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.receive is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths.Send']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.install is not None:
                                        return True

                                    if self.receive is not None:
                                        return True

                                    if self.select is not None and self.select._has_data():
                                        return True

                                    if self.send is not None and self.send._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.AdditionalPaths']['meta_info']


                            class Bestpath(object):
                                """
                                Change the default bestpath selection
                                
                                .. attribute:: compare_routerid
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: cost_community
                                
                                	cost community
                                	**type**\:   :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.CostCommunity>`
                                
                                .. attribute:: igp_metric
                                
                                	igp metric
                                	**type**\:   :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.IgpMetric>`
                                
                                .. attribute:: med
                                
                                	MED attribute
                                	**type**\:   :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.Med>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.compare_routerid = None
                                    self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.CostCommunity()
                                    self.cost_community.parent = self
                                    self.igp_metric = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.IgpMetric()
                                    self.igp_metric.parent = self
                                    self.med = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.Med()
                                    self.med.parent = self


                                class CostCommunity(object):
                                    """
                                    cost community
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore cost communities in bestpath selection
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:cost-community'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.CostCommunity']['meta_info']


                                class IgpMetric(object):
                                    """
                                    igp metric
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore igp metric in bestpath selection
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:igp-metric'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.IgpMetric']['meta_info']


                                class Med(object):
                                    """
                                    MED attribute
                                    
                                    .. attribute:: confed
                                    
                                    	Compare MED among confederation paths
                                    	**type**\:   :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.Med.Confed>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: missing_at_worst
                                    
                                    	Treat missing MED as the least preferred one
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.confed = None
                                        self.missing_at_worst = None


                                    class Confed(object):
                                        """
                                        Compare MED among confederation paths
                                        
                                        .. attribute:: missing_at_worst
                                        
                                        	Treat missing MED as the least preferred one
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.missing_at_worst = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:confed'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.missing_at_worst is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.Med.Confed']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:med'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.confed is not None and self.confed._has_data():
                                            return True

                                        if self.missing_at_worst is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath.Med']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bestpath'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.compare_routerid is not None:
                                        return True

                                    if self.cost_community is not None and self.cost_community._has_data():
                                        return True

                                    if self.igp_metric is not None and self.igp_metric._has_data():
                                        return True

                                    if self.med is not None and self.med._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Bestpath']['meta_info']


                            class ClientToClient(object):
                                """
                                Configure client to client route reflection
                                
                                .. attribute:: reflection
                                
                                	reflection of routes allowed
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.reflection = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:client-to-client'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.reflection is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ClientToClient']['meta_info']


                            class Confederation(object):
                                """
                                AS confederation parameters
                                
                                .. attribute:: identifier
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: peers
                                
                                	Peer ASs in BGP confederation
                                	**type**\:   :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Confederation.Peers>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.identifier = None
                                    self.peers = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Confederation.Peers()
                                    self.peers.parent = self


                                class Peers(object):
                                    """
                                    Peer ASs in BGP confederation
                                    
                                    .. attribute:: peers_as
                                    
                                    	
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.peers_as = YLeafList()
                                        self.peers_as.parent = self
                                        self.peers_as.name = 'peers_as'

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:peers'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.peers_as is not None:
                                            for child in self.peers_as:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Confederation.Peers']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:confederation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.identifier is not None:
                                        return True

                                    if self.peers is not None and self.peers._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Confederation']['meta_info']


                            class ConsistencyChecker(object):
                                """
                                Consistency\-checker
                                
                                .. attribute:: auto_repair
                                
                                	Auto\-Repair
                                	**type**\:   :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ConsistencyChecker.AutoRepair>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: error_message
                                
                                	Log Error\-Msg
                                	**type**\:   :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ConsistencyChecker.ErrorMessage>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.auto_repair = None
                                    self.error_message = None


                                class AutoRepair(object):
                                    """
                                    Auto\-Repair
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\:  int
                                    
                                    	**range:** 5..1440
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:auto-repair'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ConsistencyChecker.AutoRepair']['meta_info']


                                class ErrorMessage(object):
                                    """
                                    Log Error\-Msg
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\:  int
                                    
                                    	**range:** 5..1440
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:error-message'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ConsistencyChecker.ErrorMessage']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:consistency-checker'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.auto_repair is not None and self.auto_repair._has_data():
                                        return True

                                    if self.error_message is not None and self.error_message._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.ConsistencyChecker']['meta_info']


                            class Dampening(object):
                                """
                                Enable route\-flap dampening
                                
                                .. attribute:: dampen
                                
                                	
                                	**type**\:   :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Dampening.Dampen>`
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria for dampening
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.dampen = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Dampening.Dampen()
                                    self.dampen.parent = self
                                    self.route_map = None


                                class Dampen(object):
                                    """
                                    
                                    
                                    .. attribute:: half_life_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..45
                                    
                                    .. attribute:: max_suppress_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: reuse_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..20000
                                    
                                    .. attribute:: suppress_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..20000
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.half_life_time = None
                                        self.max_suppress_time = None
                                        self.reuse_time = None
                                        self.suppress_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:dampen'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.half_life_time is not None:
                                            return True

                                        if self.max_suppress_time is not None:
                                            return True

                                        if self.reuse_time is not None:
                                            return True

                                        if self.suppress_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Dampening.Dampen']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:dampening'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.dampen is not None and self.dampen._has_data():
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Dampening']['meta_info']


                            class Default(object):
                                """
                                Configure BGP defaults
                                
                                .. attribute:: ipv4_unicast
                                
                                	Activate ipv4\-unicast for a peer by default
                                	**type**\:  bool
                                
                                .. attribute:: ipv6_nexthop
                                
                                	Default IPv6 nexthop format
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: local_preference
                                
                                	local preference (higher=more preferred)
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: route_target
                                
                                	Control behavior based on Route\-Target attributes
                                	**type**\:   :py:class:`RouteTargetEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Default.RouteTargetEnum>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_unicast = None
                                    self.ipv6_nexthop = None
                                    self.local_preference = None
                                    self.route_target = None

                                class RouteTargetEnum(Enum):
                                    """
                                    RouteTargetEnum

                                    Control behavior based on Route\-Target attributes

                                    .. data:: filter = 0

                                    """

                                    filter = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Default.RouteTargetEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_unicast is not None:
                                        return True

                                    if self.ipv6_nexthop is not None:
                                        return True

                                    if self.local_preference is not None:
                                        return True

                                    if self.route_target is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Default']['meta_info']


                            class GracefulRestart(object):
                                """
                                Graceful restart capability parameters
                                
                                .. attribute:: extended
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: restart_time
                                
                                	Set the max time needed to restart and come back up
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: stalepath_time
                                
                                	Set the max time to hold onto restarting peer's stale paths
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.extended = None
                                    self.restart_time = None
                                    self.stalepath_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:graceful-restart'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.extended is not None:
                                        return True

                                    if self.restart_time is not None:
                                        return True

                                    if self.stalepath_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.GracefulRestart']['meta_info']


                            class HaMode(object):
                                """
                                Select BGP High Availability mode
                                
                                .. attribute:: sso
                                
                                	BGP High Availability NSR sso mode
                                	**type**\:   :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.sso = None


                                class Sso(object):
                                    """
                                    BGP High Availability NSR sso mode
                                    
                                    .. attribute:: prefer
                                    
                                    	Perfer BGP High Availability NSR sso mode
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.prefer = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:sso'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.prefer is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.HaMode.Sso']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ha-mode'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.sso is not None and self.sso._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.HaMode']['meta_info']


                            class InjectMap(object):
                                """
                                Routemap which specifies prefixes to inject
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: copy_attributes
                                
                                	Copy attributes from aggregate
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: exist_map
                                
                                	Routemap which specifies exist condition
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.copy_attributes = None
                                    self.exist_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:inject-map[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.copy_attributes is not None:
                                        return True

                                    if self.exist_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.InjectMap']['meta_info']


                            class RouteMap(object):
                                """
                                bgp route\-map commands
                                
                                .. attribute:: priority
                                
                                	Have route\-map set commands take priority over BGP commands such 
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.priority = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:route-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.priority is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.RouteMap']['meta_info']


                            class SlowPeer(object):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:   :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:   :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.detection = None
                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self


                                class Detection(object):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: disable
                                    
                                    	Disable slow\-peer detection
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\:  int
                                    
                                    	**range:** 120..3600
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:detection'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer.Detection']['meta_info']


                                class SplitUpdateGroup(object):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None


                                    class Dynamic(object):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.permanent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:dynamic'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.permanent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:split-update-group'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None and self.dynamic._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:slow-peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.detection is not None and self.detection._has_data():
                                        return True

                                    if self.split_update_group is not None and self.split_update_group._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.SlowPeer']['meta_info']


                            class UpdateGroup(object):
                                """
                                Manage peers in bgp update groups
                                
                                .. attribute:: split
                                
                                	Split update groups based on Policy
                                	**type**\:   :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.UpdateGroup.Split>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.split = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.UpdateGroup.Split()
                                    self.split.parent = self


                                class Split(object):
                                    """
                                    Split update groups based on Policy
                                    
                                    .. attribute:: as_override
                                    
                                    	Keep peers with as\-override in different update groups
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_override = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:split'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.as_override is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.UpdateGroup.Split']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:update-group'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.split is not None and self.split._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.UpdateGroup']['meta_info']


                            class Nexthop(object):
                                """
                                Nexthop tracking commands
                                
                                .. attribute:: route_map
                                
                                	Route map for valid nexthops
                                	**type**\:  str
                                
                                .. attribute:: trigger
                                
                                	Nexthop triggering
                                	**type**\:   :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Nexthop.Trigger>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.route_map = None
                                    self.trigger = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Nexthop.Trigger()
                                    self.trigger.parent = self


                                class Trigger(object):
                                    """
                                    Nexthop triggering
                                    
                                    .. attribute:: delay
                                    
                                    	Set the delay to tigger nexthop tracking
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: enable
                                    
                                    	Enable nexthop tracking
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.delay = None
                                        self.enable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:trigger'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.delay is not None:
                                            return True

                                        if self.enable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Nexthop.Trigger']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:nexthop'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.route_map is not None:
                                        return True

                                    if self.trigger is not None and self.trigger._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Nexthop']['meta_info']


                            class Regexp(object):
                                """
                                Select regular expression engine
                                
                                .. attribute:: deterministic
                                
                                	Enable bounded\-execution\-time regular expression engine
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.deterministic = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:regexp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.deterministic is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Regexp']['meta_info']


                            class Transport(object):
                                """
                                Transport options
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.path_mtu_discovery = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:transport'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.path_mtu_discovery is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_.Transport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.additional_paths is not None and self.additional_paths._has_data():
                                    return True

                                if self.advertise_best_external is not None:
                                    return True

                                if self.aggregate_timer is not None:
                                    return True

                                if self.always_compare_med is not None:
                                    return True

                                if self.asnotation is not None and self.asnotation._has_data():
                                    return True

                                if self.bestpath is not None and self.bestpath._has_data():
                                    return True

                                if self.client_to_client is not None and self.client_to_client._has_data():
                                    return True

                                if self.cluster_id is not None:
                                    return True

                                if self.confederation is not None and self.confederation._has_data():
                                    return True

                                if self.consistency_checker is not None and self.consistency_checker._has_data():
                                    return True

                                if self.dampening is not None and self.dampening._has_data():
                                    return True

                                if self.default is not None and self.default._has_data():
                                    return True

                                if self.deterministic_med is not None:
                                    return True

                                if self.dmzlink_bw is not None:
                                    return True

                                if self.enforce_first_as is not None:
                                    return True

                                if self.enhanced_error is not None:
                                    return True

                                if self.fast_external_fallover is not None:
                                    return True

                                if self.graceful_restart is not None and self.graceful_restart._has_data():
                                    return True

                                if self.ha_mode is not None and self.ha_mode._has_data():
                                    return True

                                if self.inject_map is not None:
                                    for child_ref in self.inject_map:
                                        if child_ref._has_data():
                                            return True

                                if self.log_neighbor_changes is not None:
                                    return True

                                if self.maxas_limit is not None:
                                    return True

                                if self.maxcommunity_limit is not None:
                                    return True

                                if self.nexthop is not None and self.nexthop._has_data():
                                    return True

                                if self.nopeerup_delay is not None and self.nopeerup_delay._has_data():
                                    return True

                                if self.recursion is not None and self.recursion._has_data():
                                    return True

                                if self.redistribute_internal is not None:
                                    return True

                                if self.regexp is not None and self.regexp._has_data():
                                    return True

                                if self.route_map is not None and self.route_map._has_data():
                                    return True

                                if self.router_id is not None:
                                    return True

                                if self.scan_time is not None:
                                    return True

                                if self.slow_peer is not None and self.slow_peer._has_data():
                                    return True

                                if self.soft_reconfig_backup is not None:
                                    return True

                                if self.suppress_inactive is not None:
                                    return True

                                if self.transport is not None and self.transport._has_data():
                                    return True

                                if self.update_delay is not None:
                                    return True

                                if self.update_group is not None and self.update_group._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp_']['meta_info']


                        class DefaultInformation(object):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.originate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:default-information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.originate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DefaultInformation']['meta_info']


                        class Distance(object):
                            """
                            Define an administrative distance
                            
                            .. attribute:: adm_distance
                            
                            	
                            	**type**\: list of    :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.AdmDistance>`
                            
                            .. attribute:: bgp
                            
                            	BGP distance
                            	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.Bgp_>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.adm_distance = YList()
                                self.adm_distance.parent = self
                                self.adm_distance.name = 'adm_distance'
                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.Bgp_()
                                self.bgp.parent = self


                            class Bgp_(object):
                                """
                                BGP distance
                                
                                .. attribute:: extern_as
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: internal_as
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: local
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.extern_as = None
                                    self.internal_as = None
                                    self.local = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.extern_as is not None:
                                        return True

                                    if self.internal_as is not None:
                                        return True

                                    if self.local is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.Bgp_']['meta_info']


                            class AdmDistance(object):
                                """
                                
                                
                                .. attribute:: distance  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: srcip  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildbits  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: acl
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..99
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 1300..1999
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.distance = None
                                    self.srcip = None
                                    self.wildbits = None
                                    self.acl = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.distance is None:
                                        raise YPYModelError('Key property distance is None')
                                    if self.srcip is None:
                                        raise YPYModelError('Key property srcip is None')
                                    if self.wildbits is None:
                                        raise YPYModelError('Key property wildbits is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:adm-distance[Cisco-IOS-XE-bgp:distance = ' + str(self.distance) + '][Cisco-IOS-XE-bgp:srcip = ' + str(self.srcip) + '][Cisco-IOS-XE-bgp:wildbits = ' + str(self.wildbits) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.distance is not None:
                                        return True

                                    if self.srcip is not None:
                                        return True

                                    if self.wildbits is not None:
                                        return True

                                    if self.acl is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.AdmDistance']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.adm_distance is not None:
                                    for child_ref in self.adm_distance:
                                        if child_ref._has_data():
                                            return True

                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance']['meta_info']


                        class DistributeList(object):
                            """
                            Filter networks in routing updates
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 100..199
                            
                            
                            ----
                            	**type**\:  int
                            
                            	**range:** 2000..2699
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	Filter incoming routing updates
                            	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList.In_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: out
                            
                            	Filter outgoing routing updates
                            	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList.Out>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.in_ = None
                                self.out = None


                            class In_(object):
                                """
                                Filter incoming routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:in'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList.In_']['meta_info']


                            class Out(object):
                                """
                                Filter outgoing routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:out'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList.Out']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:distribute-list[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.in_ is not None and self.in_._has_data():
                                    return True

                                if self.out is not None and self.out._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList']['meta_info']


                        class MaximumPaths(object):
                            """
                            Forward packets over multiple paths
                            
                            .. attribute:: eibgp
                            
                            	Both eBGP and iBGP paths as multipath
                            	**type**\:   :py:class:`Eibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp>`
                            
                            .. attribute:: external_rtfilter
                            
                            	VPN prefix multipath on external RTFilter peers
                            	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter>`
                            
                            .. attribute:: ibgp
                            
                            	iBGP\-multipath
                            	**type**\:   :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp>`
                            
                            .. attribute:: max_path
                            
                            	
                            	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eibgp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp()
                                self.eibgp.parent = self
                                self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter()
                                self.external_rtfilter.parent = self
                                self.ibgp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp()
                                self.ibgp.parent = self
                                self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath()
                                self.max_path.parent = self


                            class MaxPath(object):
                                """
                                
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath']['meta_info']


                            class ExternalRtfilter(object):
                                """
                                VPN prefix multipath on external RTFilter peers
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter']['meta_info']


                            class Eibgp(object):
                                """
                                Both eBGP and iBGP paths as multipath
                                
                                .. attribute:: external_rtfilter
                                
                                	VPN prefix multipath on external RTFilter peers
                                	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp.ExternalRtfilter>`
                                
                                .. attribute:: max_path
                                
                                	
                                	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp.MaxPath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp.ExternalRtfilter()
                                    self.external_rtfilter.parent = self
                                    self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp.MaxPath()
                                    self.max_path.parent = self


                                class MaxPath(object):
                                    """
                                    
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp.MaxPath']['meta_info']


                                class ExternalRtfilter(object):
                                    """
                                    VPN prefix multipath on external RTFilter peers
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp.ExternalRtfilter']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:eibgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                        return True

                                    if self.max_path is not None and self.max_path._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Eibgp']['meta_info']


                            class Ibgp(object):
                                """
                                iBGP\-multipath
                                
                                .. attribute:: external_rtfilter
                                
                                	VPN prefix multipath on external RTFilter peers
                                	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.ExternalRtfilter>`
                                
                                .. attribute:: max_path
                                
                                	
                                	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.MaxPath>`
                                
                                .. attribute:: unequal_cost
                                
                                	Perform Un\-Equal cost multipath selection
                                	**type**\:   :py:class:`UnequalCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.ExternalRtfilter()
                                    self.external_rtfilter.parent = self
                                    self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.MaxPath()
                                    self.max_path.parent = self
                                    self.unequal_cost = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost()
                                    self.unequal_cost.parent = self


                                class UnequalCost(object):
                                    """
                                    Perform Un\-Equal cost multipath selection
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter>`
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost.MaxPath>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost.MaxPath()
                                        self.max_path.parent = self


                                    class MaxPath(object):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost.MaxPath']['meta_info']


                                    class ExternalRtfilter(object):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:unequal-cost'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                            return True

                                        if self.max_path is not None and self.max_path._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.UnequalCost']['meta_info']


                                class MaxPath(object):
                                    """
                                    
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.MaxPath']['meta_info']


                                class ExternalRtfilter(object):
                                    """
                                    VPN prefix multipath on external RTFilter peers
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp.ExternalRtfilter']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ibgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                        return True

                                    if self.max_path is not None and self.max_path._has_data():
                                        return True

                                    if self.unequal_cost is not None and self.unequal_cost._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:maximum-paths'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eibgp is not None and self.eibgp._has_data():
                                    return True

                                if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                    return True

                                if self.ibgp is not None and self.ibgp._has_data():
                                    return True

                                if self.max_path is not None and self.max_path._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths']['meta_info']


                        class Neighbor(object):
                            """
                            Specify a neighbor router
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: activate
                            
                            	Enable the Address Family for this Neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: additional_paths
                            
                            	
                            	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths>`
                            
                            .. attribute:: advertise
                            
                            	Advertise to this neighbor
                            	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise>`
                            
                            .. attribute:: advertise_map
                            
                            	specify route\-map for conditional advertisement
                            	**type**\:   :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap>`
                            
                            .. attribute:: advertisement_interval
                            
                            	Minimum interval between sending BGP routing updates
                            	**type**\:  int
                            
                            	**range:** 0..600
                            
                            .. attribute:: aigp
                            
                            	Enable a AIGP on neighbor
                            	**type**\:   :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: allow_policy
                            
                            	Enable the policy support for this IBGP Neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allowas_in
                            
                            	Accept as\-path with my AS present in it
                            	**type**\:   :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AllowasIn>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: announce
                            
                            	Announce RPKI State using an Extended Community
                            	**type**\:   :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce>`
                            
                            .. attribute:: as_override
                            
                            	Override matching AS\-number while sending update
                            	**type**\:   :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AsOverride>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Advertise capability to the peer
                            	**type**\:   :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: default_originate
                            
                            	Originate default route to this neighbour
                            	**type**\:   :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DefaultOriginate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: description
                            
                            	Neighbor specific description
                            	**type**\:  str
                            
                            .. attribute:: disable_connected_check
                            
                            	One\-hop away EBGP peer using loopback address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of    :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Propagate the DMZ link bandwidth
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ebgp_multihop
                            
                            	Allow EBGP neighbors not on directly connected networks
                            	**type**\:   :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.EbgpMultihop>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: fall_over
                            
                            	session fall on peer route lost
                            	**type**\:   :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver>`
                            
                            .. attribute:: filter_list
                            
                            	Establish BGP filters
                            	**type**\: list of    :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList>`
                            
                            .. attribute:: ha_mode
                            
                            	high availability mode
                            	**type**\:   :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode>`
                            
                            .. attribute:: inherit
                            
                            	Inherit a template
                            	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit>`
                            
                            .. attribute:: local_as
                            
                            	Specify a local\-as number
                            	**type**\:   :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.LocalAs>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\:   :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.LogNeighborChanges>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes accepted from this peer
                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix>`
                            
                            .. attribute:: next_hop_self
                            
                            	Disable the next hop calculation for this neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: next_hop_unchanged
                            
                            	Propagate the iBGP paths's next hop unchanged for this neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: password
                            
                            	Set a password
                            	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Password>`
                            
                            .. attribute:: path_attribute
                            
                            	BGP optional attribute filtering
                            	**type**\:   :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute>`
                            
                            .. attribute:: peer_group
                            
                            	Member of the peer\-group
                            	**type**\:   :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PeerGroup>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList>`
                            
                            .. attribute:: remote_as
                            
                            	Specify a BGP neighbor
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: remove_private_as
                            
                            	Remove private AS number from outbound updates
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Apply route map to neighbor
                            	**type**\: list of    :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap>`
                            
                            .. attribute:: route_reflector_client
                            
                            	Configure a neighbor as Route Reflector client
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_reflector_cluster_id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: send_community
                            
                            	Send Community attribute to this neighbor
                            	**type**\:   :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: send_label
                            
                            	Send NLRI + MPLS Label to this peer
                            	**type**\:   :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel>`
                            
                            .. attribute:: shutdown
                            
                            	Administratively shut down this neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:   :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer>`
                            
                            .. attribute:: soft_reconfiguration
                            
                            	Per neighbor soft reconfiguration
                            	**type**\:   :py:class:`SoftReconfigurationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SoftReconfigurationEnum>`
                            
                            .. attribute:: timers
                            
                            	BGP per neighbor timers
                            	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Timers>`
                            
                            .. attribute:: translate_update
                            
                            	Translate Update to MBGP format
                            	**type**\:   :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport>`
                            
                            .. attribute:: ttl_security
                            
                            	BGP ttl security check
                            	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity>`
                            
                            .. attribute:: unsuppress_map
                            
                            	Route\-map to selectively unsuppress suppressed routes
                            	**type**\:  str
                            
                            .. attribute:: update_source
                            
                            	Source of routing updates
                            	**type**\:   :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource>`
                            
                            .. attribute:: version
                            
                            	Set the BGP version to match a neighbor
                            	**type**\:  int
                            
                            	**range:** 4..None
                            
                            .. attribute:: weight
                            
                            	Set default weight for routes from this neighbor
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.activate = None
                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths()
                                self.additional_paths.parent = self
                                self.advertise = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise()
                                self.advertise.parent = self
                                self.advertise_map = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap()
                                self.advertise_map.parent = self
                                self.advertisement_interval = None
                                self.aigp = None
                                self.allow_policy = None
                                self.allowas_in = None
                                self.announce = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce()
                                self.announce.parent = self
                                self.as_override = None
                                self.capability = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability()
                                self.capability.parent = self
                                self.cluster_id = None
                                self.default_originate = None
                                self.description = None
                                self.disable_connected_check = None
                                self.distribute_list = YList()
                                self.distribute_list.parent = self
                                self.distribute_list.name = 'distribute_list'
                                self.dmzlink_bw = None
                                self.ebgp_multihop = None
                                self.fall_over = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver()
                                self.fall_over.parent = self
                                self.filter_list = YList()
                                self.filter_list.parent = self
                                self.filter_list.name = 'filter_list'
                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode()
                                self.ha_mode.parent = self
                                self.inherit = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit()
                                self.inherit.parent = self
                                self.local_as = None
                                self.log_neighbor_changes = None
                                self.maximum_prefix = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self.next_hop_self = None
                                self.next_hop_unchanged = None
                                self.password = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Password()
                                self.password.parent = self
                                self.path_attribute = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute()
                                self.path_attribute.parent = self
                                self.peer_group = None
                                self.prefix_list = YList()
                                self.prefix_list.parent = self
                                self.prefix_list.name = 'prefix_list'
                                self.remote_as = None
                                self.remove_private_as = None
                                self.route_map = YList()
                                self.route_map.parent = self
                                self.route_map.name = 'route_map'
                                self.route_reflector_client = None
                                self.route_reflector_cluster_id = None
                                self.send_community = None
                                self.send_label = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel()
                                self.send_label.parent = self
                                self.shutdown = None
                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer()
                                self.slow_peer.parent = self
                                self.soft_reconfiguration = None
                                self.timers = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Timers()
                                self.timers.parent = self
                                self.translate_update = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate()
                                self.translate_update.parent = self
                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport()
                                self.transport.parent = self
                                self.ttl_security = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity()
                                self.ttl_security.parent = self
                                self.unsuppress_map = None
                                self.update_source = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource()
                                self.update_source.parent = self
                                self.version = None
                                self.weight = None

                            class SoftReconfigurationEnum(Enum):
                                """
                                SoftReconfigurationEnum

                                Per neighbor soft reconfiguration

                                .. data:: inbound = 0

                                """

                                inbound = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SoftReconfigurationEnum']



                            class PeerGroup(object):
                                """
                                Member of the peer\-group
                                
                                .. attribute:: peer_group_name
                                
                                	WORD;;peer\-group name
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.peer_group_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:peer-group'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.peer_group_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PeerGroup']['meta_info']


                            class LocalAs(object):
                                """
                                Specify a local\-as number
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: dual_as
                                
                                	Accept either real AS or local AS from the ebgp peer
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_prepend
                                
                                	Do not prepend local\-as to updates from ebgp peers
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: replace_as
                                
                                	Replace real AS with local AS in the EBGP updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.as_no = None
                                    self.dual_as = None
                                    self.no_prepend = None
                                    self.replace_as = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:local-as'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.as_no is not None:
                                        return True

                                    if self.dual_as is not None:
                                        return True

                                    if self.no_prepend is not None:
                                        return True

                                    if self.replace_as is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.LocalAs']['meta_info']


                            class AdditionalPaths(object):
                                """
                                
                                
                                .. attribute:: disable
                                
                                	Disable additional paths for this neighbor
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to this neighbor
                                	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.disable = None
                                    self.receive = None
                                    self.send = None


                                class Send(object):
                                    """
                                    Send additional paths to this neighbor
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from this neighbor
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.receive = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.receive is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths.Send']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.disable is not None:
                                        return True

                                    if self.receive is not None:
                                        return True

                                    if self.send is not None and self.send._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths']['meta_info']


                            class Advertise(object):
                                """
                                Advertise to this neighbor
                                
                                .. attribute:: additional_paths
                                
                                	Advertise additional paths
                                	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths>`
                                
                                .. attribute:: best_external
                                
                                	Advertise best\-external (at RRs best\-internal) path
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: diverse_path
                                
                                	Advertise diverse path
                                	**type**\:   :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self.best_external = None
                                    self.diverse_path = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath()
                                    self.diverse_path.parent = self


                                class AdditionalPaths(object):
                                    """
                                    Advertise additional paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best>`
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best paths
                                    	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.all = None
                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best()
                                        self.best.parent = self
                                        self.group_best = None


                                    class All(object):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best paths
                                        	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best()
                                            self.best.parent = self
                                            self.group_best = None


                                        class Best(object):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: best_range
                                            
                                            	
                                            	**type**\: list of    :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.best_range = YList()
                                                self.best_range.parent = self
                                                self.best_range.name = 'best_range'


                                            class BestRange(object):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = None
                                                    self.group_best = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.range is None:
                                                        raise YPYModelError('Key property range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        return True

                                                    if self.group_best is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.best_range is not None:
                                                    for child_ref in self.best_range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info']


                                        class GroupBest(object):
                                            """
                                            Select group\-best paths
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.best = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.best is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:all'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.best is not None and self.best._has_data():
                                                return True

                                            if self.group_best is not None and self.group_best._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All']['meta_info']


                                    class Best(object):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: best_range
                                        
                                        	
                                        	**type**\: list of    :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.best_range = YList()
                                            self.best_range.parent = self
                                            self.best_range.name = 'best_range'


                                        class BestRange(object):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.all = None
                                                self.group_best = None


                                            class GroupBest(object):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.all = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.all is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.range is None:
                                                    raise YPYModelError('Key property range is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.all is not None:
                                                    return True

                                                if self.group_best is not None and self.group_best._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.best_range is not None:
                                                for child_ref in self.best_range:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best']['meta_info']


                                    class GroupBest(object):
                                        """
                                        Select group\-best paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\:  int
                                        
                                        	**range:** 2..3
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.all = None
                                            self.best = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.all is not None:
                                                return True

                                            if self.best is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.GroupBest']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.all is not None and self.all._has_data():
                                            return True

                                        if self.best is not None and self.best._has_data():
                                            return True

                                        if self.group_best is not None and self.group_best._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths']['meta_info']


                                class DiversePath(object):
                                    """
                                    Advertise diverse path
                                    
                                    .. attribute:: backup
                                    
                                    	Diverse path can be backup path
                                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: mpath
                                    
                                    	Diverse path can be multipath
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.backup = None
                                        self.mpath = None


                                    class Backup(object):
                                        """
                                        Diverse path can be backup path
                                        
                                        .. attribute:: mpath
                                        
                                        	Diverse path can be multipath
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.mpath = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:backup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.mpath is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath.Backup']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:diverse-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.backup is not None and self.backup._has_data():
                                            return True

                                        if self.mpath is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:advertise'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.additional_paths is not None and self.additional_paths._has_data():
                                        return True

                                    if self.best_external is not None:
                                        return True

                                    if self.diverse_path is not None and self.diverse_path._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise']['meta_info']


                            class AdvertiseMap(object):
                                """
                                specify route\-map for conditional advertisement
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap.Name>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = YList()
                                    self.name.parent = self
                                    self.name.name = 'name'


                                class Name(object):
                                    """
                                    
                                    
                                    .. attribute:: word  <key>
                                    
                                    	advertise route\-map name
                                    	**type**\:  str
                                    
                                    .. attribute:: exist_map
                                    
                                    	condition route\-map name
                                    	**type**\:  str
                                    
                                    .. attribute:: non_exist_map
                                    
                                    	condition route\-map name
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.word = None
                                        self.exist_map = None
                                        self.non_exist_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.word is None:
                                            raise YPYModelError('Key property word is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:name[Cisco-IOS-XE-bgp:word = ' + str(self.word) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.word is not None:
                                            return True

                                        if self.exist_map is not None:
                                            return True

                                        if self.non_exist_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap.Name']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:advertise-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        for child_ref in self.name:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap']['meta_info']


                            class Aigp(object):
                                """
                                Enable a AIGP on neighbor
                                
                                .. attribute:: send
                                
                                	Cost community or MED carrying AIGP VALUE
                                	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.send = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send()
                                    self.send.parent = self


                                class Send(object):
                                    """
                                    Cost community or MED carrying AIGP VALUE
                                    
                                    .. attribute:: cost_community
                                    
                                    	Cost extended community carrying AIGP Value
                                    	**type**\:   :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity>`
                                    
                                    .. attribute:: med
                                    
                                    	Med carrying AIGP Value
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity()
                                        self.cost_community.parent = self
                                        self.med = None


                                    class CostCommunity(object):
                                        """
                                        Cost extended community carrying AIGP Value
                                        
                                        .. attribute:: cc_range
                                        
                                        	
                                        	**type**\: list of    :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.cc_range = YList()
                                            self.cc_range.parent = self
                                            self.cc_range.name = 'cc_range'


                                        class CcRange(object):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Community ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: poi
                                            
                                            	Point of Insertion
                                            	**type**\:   :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.poi = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                self.poi.parent = self


                                            class Poi(object):
                                                """
                                                Point of Insertion
                                                
                                                .. attribute:: igp_cost
                                                
                                                	Point of Insertion After IGP
                                                	**type**\:   :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: pre_bestpath
                                                
                                                	Point of Insertion At Beginning
                                                	**type**\:   :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.igp_cost = None
                                                    self.pre_bestpath = None


                                                class IgpCost(object):
                                                    """
                                                    Point of Insertion After IGP
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.transitive = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:igp-cost'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.transitive is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost']['meta_info']


                                                class PreBestpath(object):
                                                    """
                                                    Point of Insertion At Beginning
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.transitive = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:pre-bestpath'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.transitive is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:poi'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.igp_cost is not None and self.igp_cost._has_data():
                                                        return True

                                                    if self.pre_bestpath is not None and self.pre_bestpath._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.range is None:
                                                    raise YPYModelError('Key property range is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:cc-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.poi is not None and self.poi._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:cost-community'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.cc_range is not None:
                                                for child_ref in self.cc_range:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.cost_community is not None and self.cost_community._has_data():
                                            return True

                                        if self.med is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:aigp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.send is not None and self.send._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp']['meta_info']


                            class Announce(object):
                                """
                                Announce RPKI State using an Extended Community
                                
                                .. attribute:: rpki
                                
                                	Announce RPKI information using an Extended Community
                                	**type**\:   :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.rpki = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki()
                                    self.rpki.parent = self


                                class Rpki(object):
                                    """
                                    Announce RPKI information using an Extended Community
                                    
                                    .. attribute:: state
                                    
                                    	Announce RPKI State information using an Extended Community
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.state = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:rpki'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.state is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:announce'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.rpki is not None and self.rpki._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce']['meta_info']


                            class AllowasIn(object):
                                """
                                Accept as\-path with my AS present in it
                                
                                .. attribute:: as_number
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..10
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.as_number = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:allowas-in'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.as_number is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AllowasIn']['meta_info']


                            class AsOverride(object):
                                """
                                Override matching AS\-number while sending update
                                
                                .. attribute:: disable
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:as-override'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AsOverride']['meta_info']


                            class Capability(object):
                                """
                                Advertise capability to the peer
                                
                                .. attribute:: orf
                                
                                	Advertise ORF capability to the peer
                                	**type**\:   :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.orf = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf()
                                    self.orf.parent = self


                                class Orf(object):
                                    """
                                    Advertise ORF capability to the peer
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Advertise prefixlist ORF capability to this neighbor
                                    	**type**\:  list of   :py:class:`PrefixListEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf.PrefixListEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.prefix_list = YLeafList()
                                        self.prefix_list.parent = self
                                        self.prefix_list.name = 'prefix_list'

                                    class PrefixListEnum(Enum):
                                        """
                                        PrefixListEnum

                                        Advertise prefixlist ORF capability to this neighbor

                                        .. data:: both = 0

                                        .. data:: receive = 1

                                        .. data:: send = 2

                                        """

                                        both = 0

                                        receive = 1

                                        send = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf.PrefixListEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:orf'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.prefix_list is not None:
                                            for child in self.prefix_list:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:capability'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.orf is not None and self.orf._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability']['meta_info']


                            class DefaultOriginate(object):
                                """
                                Originate default route to this neighbour
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria to originate default
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:default-originate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DefaultOriginate']['meta_info']


                            class DistributeList(object):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList.InoutEnum>`
                                
                                .. attribute:: accesslist
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..199
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 1300..2699
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.accesslist = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:distribute-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.accesslist is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList']['meta_info']


                            class EbgpMultihop(object):
                                """
                                Allow EBGP neighbors not on directly connected networks
                                
                                .. attribute:: max_hop
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.max_hop = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ebgp-multihop'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.max_hop is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.EbgpMultihop']['meta_info']


                            class FallOver(object):
                                """
                                session fall on peer route lost
                                
                                .. attribute:: bfd
                                
                                	Use BFD to detect failure
                                	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver.Bfd>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bfd = None


                                class Bfd(object):
                                    """
                                    Use BFD to detect failure
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:bfd'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver.Bfd']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:fall-over'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bfd is not None and self.bfd._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver']['meta_info']


                            class FilterList(object):
                                """
                                Establish BGP filters
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList.InoutEnum>`
                                
                                .. attribute:: as_path_list
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..500
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.as_path_list = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:filter-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.as_path_list is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList']['meta_info']


                            class Inherit(object):
                                """
                                Inherit a template
                                
                                .. attribute:: peer_policy
                                
                                	Inherit a peer\-policy template
                                	**type**\:  str
                                
                                .. attribute:: peer_session
                                
                                	Inherit a peer\-session template
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.peer_policy = None
                                    self.peer_session = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:inherit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.peer_policy is not None:
                                        return True

                                    if self.peer_session is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit']['meta_info']


                            class LogNeighborChanges(object):
                                """
                                Log neighbor up/down and reset reason
                                
                                .. attribute:: disable
                                
                                	disable
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:log-neighbor-changes'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.LogNeighborChanges']['meta_info']


                            class MaximumPrefix(object):
                                """
                                Maximum number of prefixes accepted from this peer
                                
                                .. attribute:: max_prefix_no
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..2147483647
                                
                                .. attribute:: restart
                                
                                	Restart bgp connection after limit is exceeded
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only
                                
                                	Only give warning message when limit is exceeded
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_prefix_no = None
                                    self.restart = None
                                    self.threshold = None
                                    self.warning_only = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:maximum-prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_prefix_no is not None:
                                        return True

                                    if self.restart is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    if self.warning_only is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix']['meta_info']


                            class Password(object):
                                """
                                Set a password
                                
                                .. attribute:: enctype
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: text
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.enctype = None
                                    self.text = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:password'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.enctype is not None:
                                        return True

                                    if self.text is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Password']['meta_info']


                            class PrefixList(object):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList.InoutEnum>`
                                
                                .. attribute:: prefix_list_name
                                
                                	
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.prefix_list_name = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:prefix-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.prefix_list_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList']['meta_info']


                            class PathAttribute(object):
                                """
                                BGP optional attribute filtering
                                
                                .. attribute:: discard
                                
                                	Discard matching path\-attribute for this neighbor
                                	**type**\:   :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard>`
                                
                                .. attribute:: treat_as_withdraw
                                
                                	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                	**type**\:   :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.discard = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard()
                                    self.discard.parent = self
                                    self.treat_as_withdraw = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw()
                                    self.treat_as_withdraw.parent = self


                                class Discard(object):
                                    """
                                    Discard matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:   :py:class:`Attibute_Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Attibute_Type>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Attibute_Type()
                                        self.attibute_type.parent = self
                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range()
                                        self.range.parent = self


                                    class Attibute_Type(object):
                                        """
                                        
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.in_ = None
                                            self.type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:attibute_type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.in_ is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Attibute_Type']['meta_info']


                                    class Range(object):
                                        """
                                        
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.end_value = None
                                            self.in_ = None
                                            self.start_value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:range'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.end_value is not None:
                                                return True

                                            if self.in_ is not None:
                                                return True

                                            if self.start_value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:discard'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.attibute_type is not None and self.attibute_type._has_data():
                                            return True

                                        if self.range is not None and self.range._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard']['meta_info']


                                class TreatAsWithdraw(object):
                                    """
                                    Treat\-as\-withdraw matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:   :py:class:`Attibute_Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type()
                                        self.attibute_type.parent = self
                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                        self.range.parent = self


                                    class Attibute_Type(object):
                                        """
                                        
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.in_ = None
                                            self.type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:attibute_type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.in_ is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type']['meta_info']


                                    class Range(object):
                                        """
                                        
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.end_value = None
                                            self.in_ = None
                                            self.start_value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:range'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.end_value is not None:
                                                return True

                                            if self.in_ is not None:
                                                return True

                                            if self.start_value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:treat-as-withdraw'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.attibute_type is not None and self.attibute_type._has_data():
                                            return True

                                        if self.range is not None and self.range._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:path-attribute'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.discard is not None and self.discard._has_data():
                                        return True

                                    if self.treat_as_withdraw is not None and self.treat_as_withdraw._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute']['meta_info']


                            class RouteMap(object):
                                """
                                Apply route map to neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap.InoutEnum>`
                                
                                .. attribute:: route_map_name
                                
                                	
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.route_map_name = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:route-map[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.route_map_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap']['meta_info']


                            class SendCommunity(object):
                                """
                                Send Community attribute to this neighbor
                                
                                .. attribute:: send_community_where
                                
                                	
                                	**type**\:   :py:class:`SendCommunityWhereEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity.SendCommunityWhereEnum>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.send_community_where = None

                                class SendCommunityWhereEnum(Enum):
                                    """
                                    SendCommunityWhereEnum

                                    .. data:: both = 0

                                    .. data:: extended = 1

                                    .. data:: standard = 2

                                    """

                                    both = 0

                                    extended = 1

                                    standard = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity.SendCommunityWhereEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:send-community'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.send_community_where is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity']['meta_info']


                            class SendLabel(object):
                                """
                                Send NLRI + MPLS Label to this peer
                                
                                .. attribute:: send_label_explicit
                                
                                	
                                	**type**\:   :py:class:`SendLabelExplicitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel.SendLabelExplicitEnum>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.send_label_explicit = None

                                class SendLabelExplicitEnum(Enum):
                                    """
                                    SendLabelExplicitEnum

                                    .. data:: explicit_null = 0

                                    """

                                    explicit_null = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel.SendLabelExplicitEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:send-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.send_label_explicit is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel']['meta_info']


                            class SlowPeer(object):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:   :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:   :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.detection = None
                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self


                                class Detection(object):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\:  int
                                    
                                    	**range:** 120..3600
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:detection'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.Detection']['meta_info']


                                class SplitUpdateGroup(object):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None


                                    class Dynamic(object):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.permanent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:dynamic'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.permanent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:split-update-group'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None and self.dynamic._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:slow-peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.detection is not None and self.detection._has_data():
                                        return True

                                    if self.split_update_group is not None and self.split_update_group._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer']['meta_info']


                            class Timers(object):
                                """
                                BGP per neighbor timers
                                
                                .. attribute:: holdtime
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: keepalive_interval
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: minimum_neighbor_hold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.holdtime = None
                                    self.keepalive_interval = None
                                    self.minimum_neighbor_hold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:timers'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.holdtime is not None:
                                        return True

                                    if self.keepalive_interval is not None:
                                        return True

                                    if self.minimum_neighbor_hold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Timers']['meta_info']


                            class TranslateUpdate(object):
                                """
                                Translate Update to MBGP format
                                
                                .. attribute:: ipv4
                                
                                	Address Family
                                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4()
                                    self.ipv4.parent = self


                                class Ipv4(object):
                                    """
                                    Address Family
                                    
                                    .. attribute:: multicast
                                    
                                    	Address Family modifier
                                    	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.multicast = None


                                    class Multicast(object):
                                        """
                                        Address Family modifier
                                        
                                        .. attribute:: unicast
                                        
                                        	Address Family modifier
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.unicast = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:multicast'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.unicast is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4.Multicast']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ipv4'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.multicast is not None and self.multicast._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:translate-update'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None and self.ipv4._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate']['meta_info']


                            class Transport(object):
                                """
                                Transport options
                                
                                .. attribute:: connection_mode
                                
                                	Specify passive or active connection
                                	**type**\:   :py:class:`ConnectionModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.ConnectionModeEnum>`
                                
                                .. attribute:: multi_session
                                
                                	Use Multi\-session for transport
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.PathMtuDiscovery>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.connection_mode = None
                                    self.multi_session = None
                                    self.path_mtu_discovery = None

                                class ConnectionModeEnum(Enum):
                                    """
                                    ConnectionModeEnum

                                    Specify passive or active connection

                                    .. data:: active = 0

                                    .. data:: passive = 1

                                    """

                                    active = 0

                                    passive = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.ConnectionModeEnum']



                                class PathMtuDiscovery(object):
                                    """
                                    Use transport path MTU discovery
                                    
                                    .. attribute:: disable
                                    
                                    	disable
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:path-mtu-discovery'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.PathMtuDiscovery']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:transport'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.connection_mode is not None:
                                        return True

                                    if self.multi_session is not None:
                                        return True

                                    if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport']['meta_info']


                            class TtlSecurity(object):
                                """
                                BGP ttl security check
                                
                                .. attribute:: hops
                                
                                	IP hops
                                	**type**\:  int
                                
                                	**range:** 1..254
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.hops = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ttl-security'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.hops is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity']['meta_info']


                            class UpdateSource(object):
                                """
                                Source of routing updates
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.AtmAcrsubinterface>`
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.AtmSubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\:  str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\:  str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\:  str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\:  str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\:  str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  int
                                
                                	**range:** 0..65520
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LispSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\:  str
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\:  str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\:  str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.appnav_compress = None
                                    self.appnav_uncompress = None
                                    self.atm = None
                                    self.atm_acr = None
                                    self.atm_acrsubinterface = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.AtmAcrsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self.atm_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.AtmSubinterface()
                                    self.atm_subinterface.parent = self
                                    self.bdi = None
                                    self.cellular = None
                                    self.cem = None
                                    self.cem_acr = None
                                    self.embedded_service_engine = None
                                    self.fastethernet = None
                                    self.gigabitethernet = None
                                    self.lisp = None
                                    self.lisp_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LispSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self.loopback = None
                                    self.multilink = None
                                    self.nve = None
                                    self.overlay = None
                                    self.port_channel = None
                                    self.port_channel_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self.pseudowire = None
                                    self.serial = None
                                    self.sm = None
                                    self.tengigabitethernet = None
                                    self.tunnel = None
                                    self.vasileft = None
                                    self.vasiright = None
                                    self.virtual_template = None
                                    self.virtualportgroup = None
                                    self.vlan = None


                                class AtmSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.AtmSubinterface']['meta_info']


                                class AtmAcrsubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm_acr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-ACRsubinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm_acr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.AtmAcrsubinterface']['meta_info']


                                class LispSubinterface(object):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:LISP-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LispSubinterface']['meta_info']


                                class PortChannelSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.port_channel = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:Port-channel-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.port_channel is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:update-source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.appnav_compress is not None:
                                        return True

                                    if self.appnav_uncompress is not None:
                                        return True

                                    if self.atm is not None:
                                        return True

                                    if self.atm_acr is not None:
                                        return True

                                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                        return True

                                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                        return True

                                    if self.bdi is not None:
                                        return True

                                    if self.cellular is not None:
                                        return True

                                    if self.cem is not None:
                                        return True

                                    if self.cem_acr is not None:
                                        return True

                                    if self.embedded_service_engine is not None:
                                        return True

                                    if self.fastethernet is not None:
                                        return True

                                    if self.gigabitethernet is not None:
                                        return True

                                    if self.lisp is not None:
                                        return True

                                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                        return True

                                    if self.loopback is not None:
                                        return True

                                    if self.multilink is not None:
                                        return True

                                    if self.nve is not None:
                                        return True

                                    if self.overlay is not None:
                                        return True

                                    if self.port_channel is not None:
                                        return True

                                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                        return True

                                    if self.pseudowire is not None:
                                        return True

                                    if self.serial is not None:
                                        return True

                                    if self.sm is not None:
                                        return True

                                    if self.tengigabitethernet is not None:
                                        return True

                                    if self.tunnel is not None:
                                        return True

                                    if self.vasileft is not None:
                                        return True

                                    if self.vasiright is not None:
                                        return True

                                    if self.virtual_template is not None:
                                        return True

                                    if self.virtualportgroup is not None:
                                        return True

                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource']['meta_info']


                            class HaMode(object):
                                """
                                high availability mode
                                
                                .. attribute:: graceful_restart
                                
                                	graceful\-restart for this peer
                                	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.GracefulRestart>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: sso
                                
                                	stateful\-switchover support for this peer
                                	**type**\:   :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.graceful_restart = None
                                    self.sso = None


                                class GracefulRestart(object):
                                    """
                                    graceful\-restart for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable graceful\-restart
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:graceful-restart'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.GracefulRestart']['meta_info']


                                class Sso(object):
                                    """
                                    stateful\-switchover support for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable stateful\-switchover
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:sso'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.Sso']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ha-mode'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.graceful_restart is not None and self.graceful_restart._has_data():
                                        return True

                                    if self.sso is not None and self.sso._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:neighbor[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.activate is not None:
                                    return True

                                if self.additional_paths is not None and self.additional_paths._has_data():
                                    return True

                                if self.advertise is not None and self.advertise._has_data():
                                    return True

                                if self.advertise_map is not None and self.advertise_map._has_data():
                                    return True

                                if self.advertisement_interval is not None:
                                    return True

                                if self.aigp is not None and self.aigp._has_data():
                                    return True

                                if self.allow_policy is not None:
                                    return True

                                if self.allowas_in is not None and self.allowas_in._has_data():
                                    return True

                                if self.announce is not None and self.announce._has_data():
                                    return True

                                if self.as_override is not None and self.as_override._has_data():
                                    return True

                                if self.capability is not None and self.capability._has_data():
                                    return True

                                if self.cluster_id is not None:
                                    return True

                                if self.default_originate is not None and self.default_originate._has_data():
                                    return True

                                if self.description is not None:
                                    return True

                                if self.disable_connected_check is not None:
                                    return True

                                if self.distribute_list is not None:
                                    for child_ref in self.distribute_list:
                                        if child_ref._has_data():
                                            return True

                                if self.dmzlink_bw is not None:
                                    return True

                                if self.ebgp_multihop is not None and self.ebgp_multihop._has_data():
                                    return True

                                if self.fall_over is not None and self.fall_over._has_data():
                                    return True

                                if self.filter_list is not None:
                                    for child_ref in self.filter_list:
                                        if child_ref._has_data():
                                            return True

                                if self.ha_mode is not None and self.ha_mode._has_data():
                                    return True

                                if self.inherit is not None and self.inherit._has_data():
                                    return True

                                if self.local_as is not None and self.local_as._has_data():
                                    return True

                                if self.log_neighbor_changes is not None and self.log_neighbor_changes._has_data():
                                    return True

                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                    return True

                                if self.next_hop_self is not None:
                                    return True

                                if self.next_hop_unchanged is not None:
                                    return True

                                if self.password is not None and self.password._has_data():
                                    return True

                                if self.path_attribute is not None and self.path_attribute._has_data():
                                    return True

                                if self.peer_group is not None and self.peer_group._has_data():
                                    return True

                                if self.prefix_list is not None:
                                    for child_ref in self.prefix_list:
                                        if child_ref._has_data():
                                            return True

                                if self.remote_as is not None:
                                    return True

                                if self.remove_private_as is not None:
                                    return True

                                if self.route_map is not None:
                                    for child_ref in self.route_map:
                                        if child_ref._has_data():
                                            return True

                                if self.route_reflector_client is not None:
                                    return True

                                if self.route_reflector_cluster_id is not None:
                                    return True

                                if self.send_community is not None and self.send_community._has_data():
                                    return True

                                if self.send_label is not None and self.send_label._has_data():
                                    return True

                                if self.shutdown is not None:
                                    return True

                                if self.slow_peer is not None and self.slow_peer._has_data():
                                    return True

                                if self.soft_reconfiguration is not None:
                                    return True

                                if self.timers is not None and self.timers._has_data():
                                    return True

                                if self.translate_update is not None and self.translate_update._has_data():
                                    return True

                                if self.transport is not None and self.transport._has_data():
                                    return True

                                if self.ttl_security is not None and self.ttl_security._has_data():
                                    return True

                                if self.unsuppress_map is not None:
                                    return True

                                if self.update_source is not None and self.update_source._has_data():
                                    return True

                                if self.version is not None:
                                    return True

                                if self.weight is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor']['meta_info']


                        class Network(object):
                            """
                            Specify a network to announce via BGP
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: backdoor
                            
                            	Specify a BGP backdoor route
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	Network mask
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: route_map
                            
                            	Route\-map to modify the attributes
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.number = None
                                self.backdoor = None
                                self.mask = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.number is None:
                                    raise YPYModelError('Key property number is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:network[Cisco-IOS-XE-bgp:number = ' + str(self.number) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.number is not None:
                                    return True

                                if self.backdoor is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Network']['meta_info']


                        class Redistribute(object):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Application>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp_>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: dvmrp
                            
                            	Redistribution of DVMRP into BGP IPv4 Multicast
                            	**type**\:   :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Dvmrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:   :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis>`
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp>`
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol
                            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.application = None
                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp_()
                                self.bgp.parent = self
                                self.connected = None
                                self.dvmrp = None
                                self.eigrp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp()
                                self.eigrp.parent = self
                                self.isis = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis()
                                self.isis.parent = self
                                self.iso_igrp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp()
                                self.iso_igrp.parent = self
                                self.lisp = None
                                self.mobile = None
                                self.odr = None
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.rip = None
                                self.static = None


                            class Application(object):
                                """
                                Application
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Application.Name>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.name = YList()
                                    self.name.parent = self
                                    self.name.name = 'name'


                                class Name(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	WORD;;Route map name
                                    	**type**\:  str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:name[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Application.Name']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:application'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.name is not None:
                                        for child_ref in self.name:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Application']['meta_info']


                            class Bgp_(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_no = None
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_no is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp_']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Connected']['meta_info']


                            class Dvmrp(object):
                                """
                                Redistribution of DVMRP into BGP IPv4 Multicast
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:dvmrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Dvmrp']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_no = None
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:eigrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_no is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp']['meta_info']


                            class Isis(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default>`
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default()
                                    self.default.parent = self
                                    self.isis_area = YList()
                                    self.isis_area.parent = self
                                    self.isis_area.name = 'isis_area'


                                class IsisArea(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:   :py:class:`RoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea.RoutesEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.clns = None
                                        self.ip = None
                                        self.metric = None
                                        self.route_map = None
                                        self.routes = None

                                    class RoutesEnum(Enum):
                                        """
                                        RoutesEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = 0

                                        level_2 = 1

                                        level_1_2 = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea.RoutesEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:isis-area[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.clns is not None:
                                            return True

                                        if self.ip is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.routes is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea']['meta_info']


                                class Default(object):
                                    """
                                    
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:   :py:class:`RoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default.RoutesEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.clns = None
                                        self.ip = None
                                        self.metric = None
                                        self.route_map = None
                                        self.routes = None

                                    class RoutesEnum(Enum):
                                        """
                                        RoutesEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = 0

                                        level_2 = 1

                                        level_1_2 = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default.RoutesEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.clns is not None:
                                            return True

                                        if self.ip is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.routes is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:isis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.isis_area is not None:
                                        for child_ref in self.isis_area:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis']['meta_info']


                            class Lisp(object):
                                """
                                Locator/ID Separation Protocol
                                
                                .. attribute:: include_connected
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.include_connected = None
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:lisp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.include_connected is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Lisp']['meta_info']


                            class IsoIgrp(object):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default>`
                                
                                .. attribute:: iso_igrp_area
                                
                                	
                                	**type**\: list of    :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.IsoIgrpArea>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default()
                                    self.default.parent = self
                                    self.iso_igrp_area = YList()
                                    self.iso_igrp_area.parent = self
                                    self.iso_igrp_area.name = 'iso_igrp_area'


                                class IsoIgrpArea(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:iso-igrp-area[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.IsoIgrpArea']['meta_info']


                                class Default(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:iso-igrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.iso_igrp_area is not None:
                                        for child_ref in self.iso_igrp_area:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp']['meta_info']


                            class Mobile(object):
                                """
                                Mobile routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:mobile'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Mobile']['meta_info']


                            class Odr(object):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:odr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Odr']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: non_vrf
                                
                                	
                                	**type**\:   :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf>`
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.non_vrf = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf()
                                    self.non_vrf.parent = self
                                    self.vrf = YList()
                                    self.vrf.parent = self
                                    self.vrf.name = 'vrf'


                                class Vrf(object):
                                    """
                                    VPN Routing/Forwarding Instance
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf.Match()
                                        self.match.parent = self
                                        self.metric = None
                                        self.route_map = None


                                    class Match(object):
                                        """
                                        
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:match'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf.Match']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:vrf[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.match is not None and self.match._has_data():
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf']['meta_info']


                                class NonVrf(object):
                                    """
                                    
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match()
                                        self.match.parent = self
                                        self.metric = None
                                        self.route_map = None


                                    class Match(object):
                                        """
                                        
                                        
                                        .. attribute:: external
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: external2
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: internal
                                        
                                        	Redistribute OSPF internal routes
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: nssa_external
                                        
                                        	Redistribute OSPF NSSA external routes
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.external = None
                                            self.external2 = None
                                            self.internal = None
                                            self.metric = None
                                            self.nssa_external = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:match'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.external is not None:
                                                return True

                                            if self.external2 is not None:
                                                return True

                                            if self.internal is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.nssa_external is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:non-vrf'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.match is not None and self.match._has_data():
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ospf[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.non_vrf is not None and self.non_vrf._has_data():
                                        return True

                                    if self.vrf is not None:
                                        for child_ref in self.vrf:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:rip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: clns
                                
                                	Redistribution of OSI dynamic routes
                                	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.clns = None
                                    self.ip = None
                                    self.metric = None
                                    self.route_map = None


                                class Clns(object):
                                    """
                                    Redistribution of OSI dynamic routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:clns'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Clns']['meta_info']


                                class Ip(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Ip']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.clns is not None and self.clns._has_data():
                                        return True

                                    if self.ip is not None and self.ip._has_data():
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:redistribute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.application is not None and self.application._has_data():
                                    return True

                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.dvmrp is not None and self.dvmrp._has_data():
                                    return True

                                if self.eigrp is not None and self.eigrp._has_data():
                                    return True

                                if self.isis is not None and self.isis._has_data():
                                    return True

                                if self.iso_igrp is not None and self.iso_igrp._has_data():
                                    return True

                                if self.lisp is not None and self.lisp._has_data():
                                    return True

                                if self.mobile is not None and self.mobile._has_data():
                                    return True

                                if self.odr is not None and self.odr._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None and self.rip._has_data():
                                    return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute']['meta_info']


                        class TableMap(object):
                            """
                            Map external entry attributes into routing table
                            
                            .. attribute:: filter
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: name
                            
                            	WORD;;route\-map name
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.filter = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:table-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.filter is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.TableMap']['meta_info']


                        class Snmp(object):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\:   :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.context = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context()
                                self.context.parent = self


                            class Context(object):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: context_word
                                
                                	
                                	**type**\: list of    :py:class:`Context_Word <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context.Context_Word>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.context_word = YList()
                                    self.context_word.parent = self
                                    self.context_word.name = 'context_word'


                                class Context_Word(object):
                                    """
                                    
                                    
                                    .. attribute:: context_word  <key>
                                    
                                    	Context Name
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.context_word = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.context_word is None:
                                            raise YPYModelError('Key property context_word is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:context_word[Cisco-IOS-XE-bgp:context_word = ' + str(self.context_word) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.context_word is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context.Context_Word']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:context'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.context_word is not None:
                                        for child_ref in self.context_word:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:snmp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.context is not None and self.context._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.af_name is None:
                                raise YPYModelError('Key property af_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:ipv6[Cisco-IOS-XE-bgp:af-name = ' + str(self.af_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.af_name is not None:
                                return True

                            if self.aggregate_address is not None and self.aggregate_address._has_data():
                                return True

                            if self.auto_summary is not None:
                                return True

                            if self.bgp is not None and self.bgp._has_data():
                                return True

                            if self.default_information is not None and self.default_information._has_data():
                                return True

                            if self.default_metric is not None:
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.distribute_list is not None:
                                for child_ref in self.distribute_list:
                                    if child_ref._has_data():
                                        return True

                            if self.maximum_paths is not None and self.maximum_paths._has_data():
                                return True

                            if self.neighbor is not None:
                                for child_ref in self.neighbor:
                                    if child_ref._has_data():
                                        return True

                            if self.network is not None:
                                for child_ref in self.network:
                                    if child_ref._has_data():
                                        return True

                            if self.redistribute is not None and self.redistribute._has_data():
                                return True

                            if self.snmp is not None and self.snmp._has_data():
                                return True

                            if self.synchronization is not None:
                                return True

                            if self.table_map is not None and self.table_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Ipv6']['meta_info']


                    class Vpnv4(object):
                        """
                        Address family
                        
                        .. attribute:: af_name  <key>
                        
                        	
                        	**type**\:   :py:class:`AfNameEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.AfNameEnum>`
                        
                        .. attribute:: auto_summary
                        
                        	Enable automatic network number summarization
                        	**type**\:  bool
                        
                        .. attribute:: bgp
                        
                        	BGP specific commands
                        	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance>`
                        
                        .. attribute:: distribute_list
                        
                        	Filter networks in routing updates
                        	**type**\: list of    :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:   :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths>`
                        
                        .. attribute:: neighbor
                        
                        	Specify a neighbor router
                        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Specify a network to announce via BGP
                        	**type**\: list of    :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Network>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute>`
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: synchronization
                        
                        	Perform IGP synchronization
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: table_map
                        
                        	Map external entry attributes into routing table
                        	**type**\:   :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.TableMap>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.af_name = None
                            self.auto_summary = None
                            self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_()
                            self.bgp.parent = self
                            self.default_information = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DefaultInformation()
                            self.default_information.parent = self
                            self.default_metric = None
                            self.distance = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance()
                            self.distance.parent = self
                            self.distribute_list = YList()
                            self.distribute_list.parent = self
                            self.distribute_list.name = 'distribute_list'
                            self.maximum_paths = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths()
                            self.maximum_paths.parent = self
                            self.neighbor = YList()
                            self.neighbor.parent = self
                            self.neighbor.name = 'neighbor'
                            self.network = YList()
                            self.network.parent = self
                            self.network.name = 'network'
                            self.redistribute = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute()
                            self.redistribute.parent = self
                            self.snmp = None
                            self.synchronization = None
                            self.table_map = None

                        class AfNameEnum(Enum):
                            """
                            AfNameEnum

                            .. data:: unicast = 0

                            .. data:: multicast = 1

                            .. data:: flowspec = 2

                            """

                            unicast = 0

                            multicast = 1

                            flowspec = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.AfNameEnum']



                        class Bgp_(object):
                            """
                            BGP specific commands
                            
                            .. attribute:: additional_paths
                            
                            	Additional paths in the BGP table
                            	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths>`
                            
                            .. attribute:: advertise_best_external
                            
                            	Advertise best external path to internal peers
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aggregate_timer
                            
                            	Timer interval
                            	**type**\:  int
                            
                            	**range:** 6..60
                            
                            .. attribute:: always_compare_med
                            
                            	Allow comparing MED from different neighbors
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: asnotation
                            
                            	Change the default asplain notation
                            	**type**\:   :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Asnotation>`
                            
                            .. attribute:: bestpath
                            
                            	Change the default bestpath selection
                            	**type**\:   :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath>`
                            
                            .. attribute:: client_to_client
                            
                            	Configure client to client route reflection
                            	**type**\:   :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ClientToClient>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: confederation
                            
                            	AS confederation parameters
                            	**type**\:   :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Confederation>`
                            
                            .. attribute:: consistency_checker
                            
                            	Consistency\-checker
                            	**type**\:   :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ConsistencyChecker>`
                            
                            .. attribute:: dampening
                            
                            	Enable route\-flap dampening
                            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Dampening>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: default
                            
                            	Configure BGP defaults
                            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Default>`
                            
                            .. attribute:: deterministic_med
                            
                            	Pick the best\-MED path among paths advertised from the neighboring AS
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Use DMZ Link Bandwidth as weight for BGP multipaths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enforce_first_as
                            
                            	Enforce the first AS for EBGP routes(default)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enhanced_error
                            
                            	Enabled BGP Enhanced error handling
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fast_external_fallover
                            
                            	Immediately reset session if a link to a directly connected external peer goes down
                            	**type**\:  bool
                            
                            .. attribute:: graceful_restart
                            
                            	Graceful restart capability parameters
                            	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.GracefulRestart>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ha_mode
                            
                            	Select BGP High Availability mode
                            	**type**\:   :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.HaMode>`
                            
                            .. attribute:: inject_map
                            
                            	Routemap which specifies prefixes to inject
                            	**type**\: list of    :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.InjectMap>`
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: maxas_limit
                            
                            	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                            	**type**\:  int
                            
                            	**range:** 1..2000
                            
                            .. attribute:: maxcommunity_limit
                            
                            	Number of communities in the COMMUNITY attribute
                            	**type**\:  int
                            
                            	**range:** 1..1018
                            
                            .. attribute:: nexthop
                            
                            	Nexthop tracking commands
                            	**type**\:   :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Nexthop>`
                            
                            .. attribute:: nopeerup_delay
                            
                            	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                            	**type**\:   :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.NopeerupDelay>`
                            
                            .. attribute:: recursion
                            
                            	recursion rule for the nexthops
                            	**type**\:   :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Recursion>`
                            
                            .. attribute:: redistribute_internal
                            
                            	Allow redistribution of iBGP into IGPs (dangerous)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: regexp
                            
                            	Select regular expression engine
                            	**type**\:   :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Regexp>`
                            
                            .. attribute:: route_map
                            
                            	bgp route\-map commands
                            	**type**\:   :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.RouteMap>`
                            
                            .. attribute:: router_id
                            
                            	Override configured router identifier (peers will reset)
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: scan_time
                            
                            	Configure background scanner interval
                            	**type**\:  int
                            
                            	**range:** 5..60
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:   :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer>`
                            
                            .. attribute:: soft_reconfig_backup
                            
                            	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_inactive
                            
                            	Suppress routes that are not in the routing table
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Transport>`
                            
                            .. attribute:: update_delay
                            
                            	Set the max initial delay for sending update
                            	**type**\:  int
                            
                            	**range:** 1..3600
                            
                            .. attribute:: update_group
                            
                            	Manage peers in bgp update groups
                            	**type**\:   :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.UpdateGroup>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths()
                                self.additional_paths.parent = self
                                self.advertise_best_external = None
                                self.aggregate_timer = None
                                self.always_compare_med = None
                                self.asnotation = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Asnotation()
                                self.asnotation.parent = self
                                self.bestpath = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath()
                                self.bestpath.parent = self
                                self.client_to_client = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ClientToClient()
                                self.client_to_client.parent = self
                                self.cluster_id = None
                                self.confederation = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Confederation()
                                self.confederation.parent = self
                                self.consistency_checker = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ConsistencyChecker()
                                self.consistency_checker.parent = self
                                self.dampening = None
                                self.default = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Default()
                                self.default.parent = self
                                self.deterministic_med = None
                                self.dmzlink_bw = None
                                self.enforce_first_as = None
                                self.enhanced_error = None
                                self.fast_external_fallover = None
                                self.graceful_restart = None
                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.HaMode()
                                self.ha_mode.parent = self
                                self.inject_map = YList()
                                self.inject_map.parent = self
                                self.inject_map.name = 'inject_map'
                                self.log_neighbor_changes = None
                                self.maxas_limit = None
                                self.maxcommunity_limit = None
                                self.nexthop = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Nexthop()
                                self.nexthop.parent = self
                                self.nopeerup_delay = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.NopeerupDelay()
                                self.nopeerup_delay.parent = self
                                self.recursion = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Recursion()
                                self.recursion.parent = self
                                self.redistribute_internal = None
                                self.regexp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Regexp()
                                self.regexp.parent = self
                                self.route_map = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.RouteMap()
                                self.route_map.parent = self
                                self.router_id = None
                                self.scan_time = None
                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer()
                                self.slow_peer.parent = self
                                self.soft_reconfig_backup = None
                                self.suppress_inactive = None
                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Transport()
                                self.transport.parent = self
                                self.update_delay = None
                                self.update_group = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.UpdateGroup()
                                self.update_group.parent = self


                            class Asnotation(object):
                                """
                                Change the default asplain notation
                                
                                .. attribute:: dot
                                
                                	asdot notation
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dot = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:asnotation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dot is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Asnotation']['meta_info']


                            class NopeerupDelay(object):
                                """
                                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                
                                .. attribute:: cold_boot
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: nsf_switchover
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: post_boot
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: user_initiated
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cold_boot = None
                                    self.nsf_switchover = None
                                    self.post_boot = None
                                    self.user_initiated = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:nopeerup-delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cold_boot is not None:
                                        return True

                                    if self.nsf_switchover is not None:
                                        return True

                                    if self.post_boot is not None:
                                        return True

                                    if self.user_initiated is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.NopeerupDelay']['meta_info']


                            class Recursion(object):
                                """
                                recursion rule for the nexthops
                                
                                .. attribute:: host
                                
                                	recursion via host for the nexthops
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.host = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:recursion'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.host is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Recursion']['meta_info']


                            class AdditionalPaths(object):
                                """
                                Additional paths in the BGP table
                                
                                .. attribute:: install
                                
                                	Additional paths to install into RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: select
                                
                                	Selection criteria to pick the paths
                                	**type**\:   :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to neighbors
                                	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.install = None
                                    self.receive = None
                                    self.select = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select()
                                    self.select.parent = self
                                    self.send = None


                                class Select(object):
                                    """
                                    Selection criteria to pick the paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: backup
                                    
                                    	Select backup path
                                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Best>`
                                    
                                    .. attribute:: best_external
                                    
                                    	Select best\-external path
                                    	**type**\:   :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.BestExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best path
                                    	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.all = None
                                        self.backup = None
                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Best()
                                        self.best.parent = self
                                        self.best_external = None
                                        self.group_best = None


                                    class All(object):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best path
                                        	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All.Best()
                                            self.best.parent = self
                                            self.group_best = None


                                        class Best(object):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All.Best.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = YList()
                                                self.range.parent = self
                                                self.range.name = 'range'


                                            class Range(object):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = None
                                                    self.group_best = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.range is None:
                                                        raise YPYModelError('Key property range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        return True

                                                    if self.group_best is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All.Best.Range']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    for child_ref in self.range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All.Best']['meta_info']


                                        class GroupBest(object):
                                            """
                                            Select group\-best path
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.best = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.best is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All.GroupBest']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:all'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.best is not None and self.best._has_data():
                                                return True

                                            if self.group_best is not None and self.group_best._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.All']['meta_info']


                                    class Backup(object):
                                        """
                                        Select backup path
                                        
                                        .. attribute:: best_external
                                        
                                        	Select best\-external path
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.best_external = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:backup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.best_external is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Backup']['meta_info']


                                    class Best(object):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Best.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.range = YList()
                                            self.range.parent = self
                                            self.range.name = 'range'


                                        class Range(object):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.all = None
                                                self.group_best = None


                                            class GroupBest(object):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.all = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.all is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.range is None:
                                                    raise YPYModelError('Key property range is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.all is not None:
                                                    return True

                                                if self.group_best is not None and self.group_best._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.range is not None:
                                                for child_ref in self.range:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.Best']['meta_info']


                                    class BestExternal(object):
                                        """
                                        Select best\-external path
                                        
                                        .. attribute:: backup
                                        
                                        	Select backup path
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.backup = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.backup is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.BestExternal']['meta_info']


                                    class GroupBest(object):
                                        """
                                        Select group\-best path
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\:  int
                                        
                                        	**range:** 2..3
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.all = None
                                            self.best = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.all is not None:
                                                return True

                                            if self.best is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select.GroupBest']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:select'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.all is not None and self.all._has_data():
                                            return True

                                        if self.backup is not None and self.backup._has_data():
                                            return True

                                        if self.best is not None and self.best._has_data():
                                            return True

                                        if self.best_external is not None and self.best_external._has_data():
                                            return True

                                        if self.group_best is not None and self.group_best._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Select']['meta_info']


                                class Send(object):
                                    """
                                    Send additional paths to neighbors
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.receive = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.receive is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths.Send']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.install is not None:
                                        return True

                                    if self.receive is not None:
                                        return True

                                    if self.select is not None and self.select._has_data():
                                        return True

                                    if self.send is not None and self.send._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.AdditionalPaths']['meta_info']


                            class Bestpath(object):
                                """
                                Change the default bestpath selection
                                
                                .. attribute:: compare_routerid
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: cost_community
                                
                                	cost community
                                	**type**\:   :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.CostCommunity>`
                                
                                .. attribute:: igp_metric
                                
                                	igp metric
                                	**type**\:   :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.IgpMetric>`
                                
                                .. attribute:: med
                                
                                	MED attribute
                                	**type**\:   :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.Med>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.compare_routerid = None
                                    self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.CostCommunity()
                                    self.cost_community.parent = self
                                    self.igp_metric = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.IgpMetric()
                                    self.igp_metric.parent = self
                                    self.med = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.Med()
                                    self.med.parent = self


                                class CostCommunity(object):
                                    """
                                    cost community
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore cost communities in bestpath selection
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:cost-community'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.CostCommunity']['meta_info']


                                class IgpMetric(object):
                                    """
                                    igp metric
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore igp metric in bestpath selection
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:igp-metric'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.IgpMetric']['meta_info']


                                class Med(object):
                                    """
                                    MED attribute
                                    
                                    .. attribute:: confed
                                    
                                    	Compare MED among confederation paths
                                    	**type**\:   :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.Med.Confed>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: missing_at_worst
                                    
                                    	Treat missing MED as the least preferred one
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.confed = None
                                        self.missing_at_worst = None


                                    class Confed(object):
                                        """
                                        Compare MED among confederation paths
                                        
                                        .. attribute:: missing_at_worst
                                        
                                        	Treat missing MED as the least preferred one
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.missing_at_worst = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:confed'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.missing_at_worst is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.Med.Confed']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:med'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.confed is not None and self.confed._has_data():
                                            return True

                                        if self.missing_at_worst is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath.Med']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bestpath'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.compare_routerid is not None:
                                        return True

                                    if self.cost_community is not None and self.cost_community._has_data():
                                        return True

                                    if self.igp_metric is not None and self.igp_metric._has_data():
                                        return True

                                    if self.med is not None and self.med._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Bestpath']['meta_info']


                            class ClientToClient(object):
                                """
                                Configure client to client route reflection
                                
                                .. attribute:: reflection
                                
                                	reflection of routes allowed
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.reflection = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:client-to-client'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.reflection is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ClientToClient']['meta_info']


                            class Confederation(object):
                                """
                                AS confederation parameters
                                
                                .. attribute:: identifier
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: peers
                                
                                	Peer ASs in BGP confederation
                                	**type**\:   :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Confederation.Peers>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.identifier = None
                                    self.peers = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Confederation.Peers()
                                    self.peers.parent = self


                                class Peers(object):
                                    """
                                    Peer ASs in BGP confederation
                                    
                                    .. attribute:: peers_as
                                    
                                    	
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.peers_as = YLeafList()
                                        self.peers_as.parent = self
                                        self.peers_as.name = 'peers_as'

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:peers'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.peers_as is not None:
                                            for child in self.peers_as:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Confederation.Peers']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:confederation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.identifier is not None:
                                        return True

                                    if self.peers is not None and self.peers._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Confederation']['meta_info']


                            class ConsistencyChecker(object):
                                """
                                Consistency\-checker
                                
                                .. attribute:: auto_repair
                                
                                	Auto\-Repair
                                	**type**\:   :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ConsistencyChecker.AutoRepair>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: error_message
                                
                                	Log Error\-Msg
                                	**type**\:   :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ConsistencyChecker.ErrorMessage>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.auto_repair = None
                                    self.error_message = None


                                class AutoRepair(object):
                                    """
                                    Auto\-Repair
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\:  int
                                    
                                    	**range:** 5..1440
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:auto-repair'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ConsistencyChecker.AutoRepair']['meta_info']


                                class ErrorMessage(object):
                                    """
                                    Log Error\-Msg
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\:  int
                                    
                                    	**range:** 5..1440
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:error-message'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ConsistencyChecker.ErrorMessage']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:consistency-checker'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.auto_repair is not None and self.auto_repair._has_data():
                                        return True

                                    if self.error_message is not None and self.error_message._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.ConsistencyChecker']['meta_info']


                            class Dampening(object):
                                """
                                Enable route\-flap dampening
                                
                                .. attribute:: dampen
                                
                                	
                                	**type**\:   :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Dampening.Dampen>`
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria for dampening
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.dampen = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Dampening.Dampen()
                                    self.dampen.parent = self
                                    self.route_map = None


                                class Dampen(object):
                                    """
                                    
                                    
                                    .. attribute:: half_life_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..45
                                    
                                    .. attribute:: max_suppress_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: reuse_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..20000
                                    
                                    .. attribute:: suppress_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..20000
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.half_life_time = None
                                        self.max_suppress_time = None
                                        self.reuse_time = None
                                        self.suppress_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:dampen'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.half_life_time is not None:
                                            return True

                                        if self.max_suppress_time is not None:
                                            return True

                                        if self.reuse_time is not None:
                                            return True

                                        if self.suppress_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Dampening.Dampen']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:dampening'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.dampen is not None and self.dampen._has_data():
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Dampening']['meta_info']


                            class Default(object):
                                """
                                Configure BGP defaults
                                
                                .. attribute:: ipv4_unicast
                                
                                	Activate ipv4\-unicast for a peer by default
                                	**type**\:  bool
                                
                                .. attribute:: ipv6_nexthop
                                
                                	Default IPv6 nexthop format
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: local_preference
                                
                                	local preference (higher=more preferred)
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: route_target
                                
                                	Control behavior based on Route\-Target attributes
                                	**type**\:   :py:class:`RouteTargetEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Default.RouteTargetEnum>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_unicast = None
                                    self.ipv6_nexthop = None
                                    self.local_preference = None
                                    self.route_target = None

                                class RouteTargetEnum(Enum):
                                    """
                                    RouteTargetEnum

                                    Control behavior based on Route\-Target attributes

                                    .. data:: filter = 0

                                    """

                                    filter = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Default.RouteTargetEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_unicast is not None:
                                        return True

                                    if self.ipv6_nexthop is not None:
                                        return True

                                    if self.local_preference is not None:
                                        return True

                                    if self.route_target is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Default']['meta_info']


                            class GracefulRestart(object):
                                """
                                Graceful restart capability parameters
                                
                                .. attribute:: extended
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: restart_time
                                
                                	Set the max time needed to restart and come back up
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: stalepath_time
                                
                                	Set the max time to hold onto restarting peer's stale paths
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.extended = None
                                    self.restart_time = None
                                    self.stalepath_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:graceful-restart'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.extended is not None:
                                        return True

                                    if self.restart_time is not None:
                                        return True

                                    if self.stalepath_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.GracefulRestart']['meta_info']


                            class HaMode(object):
                                """
                                Select BGP High Availability mode
                                
                                .. attribute:: sso
                                
                                	BGP High Availability NSR sso mode
                                	**type**\:   :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.sso = None


                                class Sso(object):
                                    """
                                    BGP High Availability NSR sso mode
                                    
                                    .. attribute:: prefer
                                    
                                    	Perfer BGP High Availability NSR sso mode
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.prefer = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:sso'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.prefer is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.HaMode.Sso']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ha-mode'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.sso is not None and self.sso._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.HaMode']['meta_info']


                            class InjectMap(object):
                                """
                                Routemap which specifies prefixes to inject
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: copy_attributes
                                
                                	Copy attributes from aggregate
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: exist_map
                                
                                	Routemap which specifies exist condition
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.copy_attributes = None
                                    self.exist_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:inject-map[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.copy_attributes is not None:
                                        return True

                                    if self.exist_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.InjectMap']['meta_info']


                            class RouteMap(object):
                                """
                                bgp route\-map commands
                                
                                .. attribute:: priority
                                
                                	Have route\-map set commands take priority over BGP commands such 
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.priority = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:route-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.priority is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.RouteMap']['meta_info']


                            class SlowPeer(object):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:   :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:   :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.detection = None
                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self


                                class Detection(object):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: disable
                                    
                                    	Disable slow\-peer detection
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\:  int
                                    
                                    	**range:** 120..3600
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:detection'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer.Detection']['meta_info']


                                class SplitUpdateGroup(object):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None


                                    class Dynamic(object):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.permanent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:dynamic'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.permanent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:split-update-group'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None and self.dynamic._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:slow-peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.detection is not None and self.detection._has_data():
                                        return True

                                    if self.split_update_group is not None and self.split_update_group._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.SlowPeer']['meta_info']


                            class UpdateGroup(object):
                                """
                                Manage peers in bgp update groups
                                
                                .. attribute:: split
                                
                                	Split update groups based on Policy
                                	**type**\:   :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.UpdateGroup.Split>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.split = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.UpdateGroup.Split()
                                    self.split.parent = self


                                class Split(object):
                                    """
                                    Split update groups based on Policy
                                    
                                    .. attribute:: as_override
                                    
                                    	Keep peers with as\-override in different update groups
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_override = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:split'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.as_override is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.UpdateGroup.Split']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:update-group'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.split is not None and self.split._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.UpdateGroup']['meta_info']


                            class Nexthop(object):
                                """
                                Nexthop tracking commands
                                
                                .. attribute:: route_map
                                
                                	Route map for valid nexthops
                                	**type**\:  str
                                
                                .. attribute:: trigger
                                
                                	Nexthop triggering
                                	**type**\:   :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Nexthop.Trigger>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.route_map = None
                                    self.trigger = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Nexthop.Trigger()
                                    self.trigger.parent = self


                                class Trigger(object):
                                    """
                                    Nexthop triggering
                                    
                                    .. attribute:: delay
                                    
                                    	Set the delay to tigger nexthop tracking
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: enable
                                    
                                    	Enable nexthop tracking
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.delay = None
                                        self.enable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:trigger'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.delay is not None:
                                            return True

                                        if self.enable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Nexthop.Trigger']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:nexthop'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.route_map is not None:
                                        return True

                                    if self.trigger is not None and self.trigger._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Nexthop']['meta_info']


                            class Regexp(object):
                                """
                                Select regular expression engine
                                
                                .. attribute:: deterministic
                                
                                	Enable bounded\-execution\-time regular expression engine
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.deterministic = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:regexp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.deterministic is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Regexp']['meta_info']


                            class Transport(object):
                                """
                                Transport options
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.path_mtu_discovery = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:transport'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.path_mtu_discovery is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_.Transport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.additional_paths is not None and self.additional_paths._has_data():
                                    return True

                                if self.advertise_best_external is not None:
                                    return True

                                if self.aggregate_timer is not None:
                                    return True

                                if self.always_compare_med is not None:
                                    return True

                                if self.asnotation is not None and self.asnotation._has_data():
                                    return True

                                if self.bestpath is not None and self.bestpath._has_data():
                                    return True

                                if self.client_to_client is not None and self.client_to_client._has_data():
                                    return True

                                if self.cluster_id is not None:
                                    return True

                                if self.confederation is not None and self.confederation._has_data():
                                    return True

                                if self.consistency_checker is not None and self.consistency_checker._has_data():
                                    return True

                                if self.dampening is not None and self.dampening._has_data():
                                    return True

                                if self.default is not None and self.default._has_data():
                                    return True

                                if self.deterministic_med is not None:
                                    return True

                                if self.dmzlink_bw is not None:
                                    return True

                                if self.enforce_first_as is not None:
                                    return True

                                if self.enhanced_error is not None:
                                    return True

                                if self.fast_external_fallover is not None:
                                    return True

                                if self.graceful_restart is not None and self.graceful_restart._has_data():
                                    return True

                                if self.ha_mode is not None and self.ha_mode._has_data():
                                    return True

                                if self.inject_map is not None:
                                    for child_ref in self.inject_map:
                                        if child_ref._has_data():
                                            return True

                                if self.log_neighbor_changes is not None:
                                    return True

                                if self.maxas_limit is not None:
                                    return True

                                if self.maxcommunity_limit is not None:
                                    return True

                                if self.nexthop is not None and self.nexthop._has_data():
                                    return True

                                if self.nopeerup_delay is not None and self.nopeerup_delay._has_data():
                                    return True

                                if self.recursion is not None and self.recursion._has_data():
                                    return True

                                if self.redistribute_internal is not None:
                                    return True

                                if self.regexp is not None and self.regexp._has_data():
                                    return True

                                if self.route_map is not None and self.route_map._has_data():
                                    return True

                                if self.router_id is not None:
                                    return True

                                if self.scan_time is not None:
                                    return True

                                if self.slow_peer is not None and self.slow_peer._has_data():
                                    return True

                                if self.soft_reconfig_backup is not None:
                                    return True

                                if self.suppress_inactive is not None:
                                    return True

                                if self.transport is not None and self.transport._has_data():
                                    return True

                                if self.update_delay is not None:
                                    return True

                                if self.update_group is not None and self.update_group._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp_']['meta_info']


                        class DefaultInformation(object):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.originate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:default-information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.originate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DefaultInformation']['meta_info']


                        class Distance(object):
                            """
                            Define an administrative distance
                            
                            .. attribute:: adm_distance
                            
                            	
                            	**type**\: list of    :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.AdmDistance>`
                            
                            .. attribute:: bgp
                            
                            	BGP distance
                            	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.Bgp_>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.adm_distance = YList()
                                self.adm_distance.parent = self
                                self.adm_distance.name = 'adm_distance'
                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.Bgp_()
                                self.bgp.parent = self


                            class Bgp_(object):
                                """
                                BGP distance
                                
                                .. attribute:: extern_as
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: internal_as
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: local
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.extern_as = None
                                    self.internal_as = None
                                    self.local = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.extern_as is not None:
                                        return True

                                    if self.internal_as is not None:
                                        return True

                                    if self.local is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.Bgp_']['meta_info']


                            class AdmDistance(object):
                                """
                                
                                
                                .. attribute:: distance  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: srcip  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildbits  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: acl
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..99
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 1300..1999
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.distance = None
                                    self.srcip = None
                                    self.wildbits = None
                                    self.acl = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.distance is None:
                                        raise YPYModelError('Key property distance is None')
                                    if self.srcip is None:
                                        raise YPYModelError('Key property srcip is None')
                                    if self.wildbits is None:
                                        raise YPYModelError('Key property wildbits is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:adm-distance[Cisco-IOS-XE-bgp:distance = ' + str(self.distance) + '][Cisco-IOS-XE-bgp:srcip = ' + str(self.srcip) + '][Cisco-IOS-XE-bgp:wildbits = ' + str(self.wildbits) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.distance is not None:
                                        return True

                                    if self.srcip is not None:
                                        return True

                                    if self.wildbits is not None:
                                        return True

                                    if self.acl is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.AdmDistance']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.adm_distance is not None:
                                    for child_ref in self.adm_distance:
                                        if child_ref._has_data():
                                            return True

                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance']['meta_info']


                        class DistributeList(object):
                            """
                            Filter networks in routing updates
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 100..199
                            
                            
                            ----
                            	**type**\:  int
                            
                            	**range:** 2000..2699
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	Filter incoming routing updates
                            	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList.In_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: out
                            
                            	Filter outgoing routing updates
                            	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList.Out>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.in_ = None
                                self.out = None


                            class In_(object):
                                """
                                Filter incoming routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:in'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList.In_']['meta_info']


                            class Out(object):
                                """
                                Filter outgoing routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:out'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList.Out']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:distribute-list[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.in_ is not None and self.in_._has_data():
                                    return True

                                if self.out is not None and self.out._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList']['meta_info']


                        class MaximumPaths(object):
                            """
                            Forward packets over multiple paths
                            
                            .. attribute:: eibgp
                            
                            	Both eBGP and iBGP paths as multipath
                            	**type**\:   :py:class:`Eibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp>`
                            
                            .. attribute:: external_rtfilter
                            
                            	VPN prefix multipath on external RTFilter peers
                            	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter>`
                            
                            .. attribute:: ibgp
                            
                            	iBGP\-multipath
                            	**type**\:   :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp>`
                            
                            .. attribute:: max_path
                            
                            	
                            	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eibgp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp()
                                self.eibgp.parent = self
                                self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter()
                                self.external_rtfilter.parent = self
                                self.ibgp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp()
                                self.ibgp.parent = self
                                self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath()
                                self.max_path.parent = self


                            class MaxPath(object):
                                """
                                
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath']['meta_info']


                            class ExternalRtfilter(object):
                                """
                                VPN prefix multipath on external RTFilter peers
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter']['meta_info']


                            class Eibgp(object):
                                """
                                Both eBGP and iBGP paths as multipath
                                
                                .. attribute:: external_rtfilter
                                
                                	VPN prefix multipath on external RTFilter peers
                                	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp.ExternalRtfilter>`
                                
                                .. attribute:: max_path
                                
                                	
                                	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp.MaxPath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp.ExternalRtfilter()
                                    self.external_rtfilter.parent = self
                                    self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp.MaxPath()
                                    self.max_path.parent = self


                                class MaxPath(object):
                                    """
                                    
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp.MaxPath']['meta_info']


                                class ExternalRtfilter(object):
                                    """
                                    VPN prefix multipath on external RTFilter peers
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp.ExternalRtfilter']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:eibgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                        return True

                                    if self.max_path is not None and self.max_path._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Eibgp']['meta_info']


                            class Ibgp(object):
                                """
                                iBGP\-multipath
                                
                                .. attribute:: external_rtfilter
                                
                                	VPN prefix multipath on external RTFilter peers
                                	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.ExternalRtfilter>`
                                
                                .. attribute:: max_path
                                
                                	
                                	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.MaxPath>`
                                
                                .. attribute:: unequal_cost
                                
                                	Perform Un\-Equal cost multipath selection
                                	**type**\:   :py:class:`UnequalCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.ExternalRtfilter()
                                    self.external_rtfilter.parent = self
                                    self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.MaxPath()
                                    self.max_path.parent = self
                                    self.unequal_cost = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost()
                                    self.unequal_cost.parent = self


                                class UnequalCost(object):
                                    """
                                    Perform Un\-Equal cost multipath selection
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter>`
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost.MaxPath>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost.MaxPath()
                                        self.max_path.parent = self


                                    class MaxPath(object):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost.MaxPath']['meta_info']


                                    class ExternalRtfilter(object):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:unequal-cost'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                            return True

                                        if self.max_path is not None and self.max_path._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.UnequalCost']['meta_info']


                                class MaxPath(object):
                                    """
                                    
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.MaxPath']['meta_info']


                                class ExternalRtfilter(object):
                                    """
                                    VPN prefix multipath on external RTFilter peers
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp.ExternalRtfilter']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ibgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                        return True

                                    if self.max_path is not None and self.max_path._has_data():
                                        return True

                                    if self.unequal_cost is not None and self.unequal_cost._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:maximum-paths'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eibgp is not None and self.eibgp._has_data():
                                    return True

                                if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                    return True

                                if self.ibgp is not None and self.ibgp._has_data():
                                    return True

                                if self.max_path is not None and self.max_path._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths']['meta_info']


                        class Neighbor(object):
                            """
                            Specify a neighbor router
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: activate
                            
                            	Enable the Address Family for this Neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: additional_paths
                            
                            	
                            	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths>`
                            
                            .. attribute:: advertise
                            
                            	Advertise to this neighbor
                            	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise>`
                            
                            .. attribute:: advertise_map
                            
                            	specify route\-map for conditional advertisement
                            	**type**\:   :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap>`
                            
                            .. attribute:: advertisement_interval
                            
                            	Minimum interval between sending BGP routing updates
                            	**type**\:  int
                            
                            	**range:** 0..600
                            
                            .. attribute:: aigp
                            
                            	Enable a AIGP on neighbor
                            	**type**\:   :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: allow_policy
                            
                            	Enable the policy support for this IBGP Neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allowas_in
                            
                            	Accept as\-path with my AS present in it
                            	**type**\:   :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AllowasIn>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: announce
                            
                            	Announce RPKI State using an Extended Community
                            	**type**\:   :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce>`
                            
                            .. attribute:: as_override
                            
                            	Override matching AS\-number while sending update
                            	**type**\:   :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AsOverride>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Advertise capability to the peer
                            	**type**\:   :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: default_originate
                            
                            	Originate default route to this neighbour
                            	**type**\:   :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DefaultOriginate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: description
                            
                            	Neighbor specific description
                            	**type**\:  str
                            
                            .. attribute:: disable_connected_check
                            
                            	One\-hop away EBGP peer using loopback address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of    :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Propagate the DMZ link bandwidth
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ebgp_multihop
                            
                            	Allow EBGP neighbors not on directly connected networks
                            	**type**\:   :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.EbgpMultihop>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: fall_over
                            
                            	session fall on peer route lost
                            	**type**\:   :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver>`
                            
                            .. attribute:: filter_list
                            
                            	Establish BGP filters
                            	**type**\: list of    :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList>`
                            
                            .. attribute:: ha_mode
                            
                            	high availability mode
                            	**type**\:   :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode>`
                            
                            .. attribute:: inherit
                            
                            	Inherit a template
                            	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit>`
                            
                            .. attribute:: local_as
                            
                            	Specify a local\-as number
                            	**type**\:   :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.LocalAs>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\:   :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.LogNeighborChanges>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes accepted from this peer
                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix>`
                            
                            .. attribute:: next_hop_self
                            
                            	Disable the next hop calculation for this neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: next_hop_unchanged
                            
                            	Propagate the iBGP paths's next hop unchanged for this neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: password
                            
                            	Set a password
                            	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Password>`
                            
                            .. attribute:: path_attribute
                            
                            	BGP optional attribute filtering
                            	**type**\:   :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute>`
                            
                            .. attribute:: peer_group
                            
                            	Member of the peer\-group
                            	**type**\:   :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PeerGroup>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList>`
                            
                            .. attribute:: remote_as
                            
                            	Specify a BGP neighbor
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: remove_private_as
                            
                            	Remove private AS number from outbound updates
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Apply route map to neighbor
                            	**type**\: list of    :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap>`
                            
                            .. attribute:: route_reflector_client
                            
                            	Configure a neighbor as Route Reflector client
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_reflector_cluster_id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: send_community
                            
                            	Send Community attribute to this neighbor
                            	**type**\:   :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: send_label
                            
                            	Send NLRI + MPLS Label to this peer
                            	**type**\:   :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel>`
                            
                            .. attribute:: shutdown
                            
                            	Administratively shut down this neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:   :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer>`
                            
                            .. attribute:: soft_reconfiguration
                            
                            	Per neighbor soft reconfiguration
                            	**type**\:   :py:class:`SoftReconfigurationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SoftReconfigurationEnum>`
                            
                            .. attribute:: timers
                            
                            	BGP per neighbor timers
                            	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers>`
                            
                            .. attribute:: translate_update
                            
                            	Translate Update to MBGP format
                            	**type**\:   :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport>`
                            
                            .. attribute:: ttl_security
                            
                            	BGP ttl security check
                            	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity>`
                            
                            .. attribute:: unsuppress_map
                            
                            	Route\-map to selectively unsuppress suppressed routes
                            	**type**\:  str
                            
                            .. attribute:: update_source
                            
                            	Source of routing updates
                            	**type**\:   :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource>`
                            
                            .. attribute:: version
                            
                            	Set the BGP version to match a neighbor
                            	**type**\:  int
                            
                            	**range:** 4..None
                            
                            .. attribute:: weight
                            
                            	Set default weight for routes from this neighbor
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.activate = None
                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths()
                                self.additional_paths.parent = self
                                self.advertise = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise()
                                self.advertise.parent = self
                                self.advertise_map = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap()
                                self.advertise_map.parent = self
                                self.advertisement_interval = None
                                self.aigp = None
                                self.allow_policy = None
                                self.allowas_in = None
                                self.announce = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce()
                                self.announce.parent = self
                                self.as_override = None
                                self.capability = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability()
                                self.capability.parent = self
                                self.cluster_id = None
                                self.default_originate = None
                                self.description = None
                                self.disable_connected_check = None
                                self.distribute_list = YList()
                                self.distribute_list.parent = self
                                self.distribute_list.name = 'distribute_list'
                                self.dmzlink_bw = None
                                self.ebgp_multihop = None
                                self.fall_over = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver()
                                self.fall_over.parent = self
                                self.filter_list = YList()
                                self.filter_list.parent = self
                                self.filter_list.name = 'filter_list'
                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode()
                                self.ha_mode.parent = self
                                self.inherit = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit()
                                self.inherit.parent = self
                                self.local_as = None
                                self.log_neighbor_changes = None
                                self.maximum_prefix = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self.next_hop_self = None
                                self.next_hop_unchanged = None
                                self.password = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Password()
                                self.password.parent = self
                                self.path_attribute = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute()
                                self.path_attribute.parent = self
                                self.peer_group = None
                                self.prefix_list = YList()
                                self.prefix_list.parent = self
                                self.prefix_list.name = 'prefix_list'
                                self.remote_as = None
                                self.remove_private_as = None
                                self.route_map = YList()
                                self.route_map.parent = self
                                self.route_map.name = 'route_map'
                                self.route_reflector_client = None
                                self.route_reflector_cluster_id = None
                                self.send_community = None
                                self.send_label = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel()
                                self.send_label.parent = self
                                self.shutdown = None
                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer()
                                self.slow_peer.parent = self
                                self.soft_reconfiguration = None
                                self.timers = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers()
                                self.timers.parent = self
                                self.translate_update = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate()
                                self.translate_update.parent = self
                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport()
                                self.transport.parent = self
                                self.ttl_security = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity()
                                self.ttl_security.parent = self
                                self.unsuppress_map = None
                                self.update_source = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource()
                                self.update_source.parent = self
                                self.version = None
                                self.weight = None

                            class SoftReconfigurationEnum(Enum):
                                """
                                SoftReconfigurationEnum

                                Per neighbor soft reconfiguration

                                .. data:: inbound = 0

                                """

                                inbound = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SoftReconfigurationEnum']



                            class PeerGroup(object):
                                """
                                Member of the peer\-group
                                
                                .. attribute:: peer_group_name
                                
                                	WORD;;peer\-group name
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.peer_group_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:peer-group'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.peer_group_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PeerGroup']['meta_info']


                            class LocalAs(object):
                                """
                                Specify a local\-as number
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: dual_as
                                
                                	Accept either real AS or local AS from the ebgp peer
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_prepend
                                
                                	Do not prepend local\-as to updates from ebgp peers
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: replace_as
                                
                                	Replace real AS with local AS in the EBGP updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.as_no = None
                                    self.dual_as = None
                                    self.no_prepend = None
                                    self.replace_as = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:local-as'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.as_no is not None:
                                        return True

                                    if self.dual_as is not None:
                                        return True

                                    if self.no_prepend is not None:
                                        return True

                                    if self.replace_as is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.LocalAs']['meta_info']


                            class AdditionalPaths(object):
                                """
                                
                                
                                .. attribute:: disable
                                
                                	Disable additional paths for this neighbor
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to this neighbor
                                	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.disable = None
                                    self.receive = None
                                    self.send = None


                                class Send(object):
                                    """
                                    Send additional paths to this neighbor
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from this neighbor
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.receive = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.receive is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths.Send']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.disable is not None:
                                        return True

                                    if self.receive is not None:
                                        return True

                                    if self.send is not None and self.send._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths']['meta_info']


                            class Advertise(object):
                                """
                                Advertise to this neighbor
                                
                                .. attribute:: additional_paths
                                
                                	Advertise additional paths
                                	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths>`
                                
                                .. attribute:: best_external
                                
                                	Advertise best\-external (at RRs best\-internal) path
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: diverse_path
                                
                                	Advertise diverse path
                                	**type**\:   :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self.best_external = None
                                    self.diverse_path = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath()
                                    self.diverse_path.parent = self


                                class AdditionalPaths(object):
                                    """
                                    Advertise additional paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best>`
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best paths
                                    	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.all = None
                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best()
                                        self.best.parent = self
                                        self.group_best = None


                                    class All(object):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best paths
                                        	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best()
                                            self.best.parent = self
                                            self.group_best = None


                                        class Best(object):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: best_range
                                            
                                            	
                                            	**type**\: list of    :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.best_range = YList()
                                                self.best_range.parent = self
                                                self.best_range.name = 'best_range'


                                            class BestRange(object):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = None
                                                    self.group_best = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.range is None:
                                                        raise YPYModelError('Key property range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        return True

                                                    if self.group_best is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.best_range is not None:
                                                    for child_ref in self.best_range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info']


                                        class GroupBest(object):
                                            """
                                            Select group\-best paths
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.best = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.best is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:all'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.best is not None and self.best._has_data():
                                                return True

                                            if self.group_best is not None and self.group_best._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All']['meta_info']


                                    class Best(object):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: best_range
                                        
                                        	
                                        	**type**\: list of    :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.best_range = YList()
                                            self.best_range.parent = self
                                            self.best_range.name = 'best_range'


                                        class BestRange(object):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.all = None
                                                self.group_best = None


                                            class GroupBest(object):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.all = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.all is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.range is None:
                                                    raise YPYModelError('Key property range is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.all is not None:
                                                    return True

                                                if self.group_best is not None and self.group_best._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.best_range is not None:
                                                for child_ref in self.best_range:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best']['meta_info']


                                    class GroupBest(object):
                                        """
                                        Select group\-best paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\:  int
                                        
                                        	**range:** 2..3
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.all = None
                                            self.best = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.all is not None:
                                                return True

                                            if self.best is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.GroupBest']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.all is not None and self.all._has_data():
                                            return True

                                        if self.best is not None and self.best._has_data():
                                            return True

                                        if self.group_best is not None and self.group_best._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths']['meta_info']


                                class DiversePath(object):
                                    """
                                    Advertise diverse path
                                    
                                    .. attribute:: backup
                                    
                                    	Diverse path can be backup path
                                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: mpath
                                    
                                    	Diverse path can be multipath
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.backup = None
                                        self.mpath = None


                                    class Backup(object):
                                        """
                                        Diverse path can be backup path
                                        
                                        .. attribute:: mpath
                                        
                                        	Diverse path can be multipath
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.mpath = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:backup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.mpath is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath.Backup']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:diverse-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.backup is not None and self.backup._has_data():
                                            return True

                                        if self.mpath is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:advertise'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.additional_paths is not None and self.additional_paths._has_data():
                                        return True

                                    if self.best_external is not None:
                                        return True

                                    if self.diverse_path is not None and self.diverse_path._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise']['meta_info']


                            class AdvertiseMap(object):
                                """
                                specify route\-map for conditional advertisement
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap.Name>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = YList()
                                    self.name.parent = self
                                    self.name.name = 'name'


                                class Name(object):
                                    """
                                    
                                    
                                    .. attribute:: word  <key>
                                    
                                    	advertise route\-map name
                                    	**type**\:  str
                                    
                                    .. attribute:: exist_map
                                    
                                    	condition route\-map name
                                    	**type**\:  str
                                    
                                    .. attribute:: non_exist_map
                                    
                                    	condition route\-map name
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.word = None
                                        self.exist_map = None
                                        self.non_exist_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.word is None:
                                            raise YPYModelError('Key property word is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:name[Cisco-IOS-XE-bgp:word = ' + str(self.word) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.word is not None:
                                            return True

                                        if self.exist_map is not None:
                                            return True

                                        if self.non_exist_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap.Name']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:advertise-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        for child_ref in self.name:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap']['meta_info']


                            class Aigp(object):
                                """
                                Enable a AIGP on neighbor
                                
                                .. attribute:: send
                                
                                	Cost community or MED carrying AIGP VALUE
                                	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.send = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send()
                                    self.send.parent = self


                                class Send(object):
                                    """
                                    Cost community or MED carrying AIGP VALUE
                                    
                                    .. attribute:: cost_community
                                    
                                    	Cost extended community carrying AIGP Value
                                    	**type**\:   :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity>`
                                    
                                    .. attribute:: med
                                    
                                    	Med carrying AIGP Value
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity()
                                        self.cost_community.parent = self
                                        self.med = None


                                    class CostCommunity(object):
                                        """
                                        Cost extended community carrying AIGP Value
                                        
                                        .. attribute:: cc_range
                                        
                                        	
                                        	**type**\: list of    :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.cc_range = YList()
                                            self.cc_range.parent = self
                                            self.cc_range.name = 'cc_range'


                                        class CcRange(object):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Community ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: poi
                                            
                                            	Point of Insertion
                                            	**type**\:   :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.poi = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                self.poi.parent = self


                                            class Poi(object):
                                                """
                                                Point of Insertion
                                                
                                                .. attribute:: igp_cost
                                                
                                                	Point of Insertion After IGP
                                                	**type**\:   :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: pre_bestpath
                                                
                                                	Point of Insertion At Beginning
                                                	**type**\:   :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.igp_cost = None
                                                    self.pre_bestpath = None


                                                class IgpCost(object):
                                                    """
                                                    Point of Insertion After IGP
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.transitive = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:igp-cost'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.transitive is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost']['meta_info']


                                                class PreBestpath(object):
                                                    """
                                                    Point of Insertion At Beginning
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.transitive = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:pre-bestpath'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.transitive is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:poi'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.igp_cost is not None and self.igp_cost._has_data():
                                                        return True

                                                    if self.pre_bestpath is not None and self.pre_bestpath._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.range is None:
                                                    raise YPYModelError('Key property range is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:cc-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.poi is not None and self.poi._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:cost-community'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.cc_range is not None:
                                                for child_ref in self.cc_range:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.cost_community is not None and self.cost_community._has_data():
                                            return True

                                        if self.med is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:aigp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.send is not None and self.send._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp']['meta_info']


                            class Announce(object):
                                """
                                Announce RPKI State using an Extended Community
                                
                                .. attribute:: rpki
                                
                                	Announce RPKI information using an Extended Community
                                	**type**\:   :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.rpki = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki()
                                    self.rpki.parent = self


                                class Rpki(object):
                                    """
                                    Announce RPKI information using an Extended Community
                                    
                                    .. attribute:: state
                                    
                                    	Announce RPKI State information using an Extended Community
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.state = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:rpki'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.state is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:announce'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.rpki is not None and self.rpki._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce']['meta_info']


                            class AllowasIn(object):
                                """
                                Accept as\-path with my AS present in it
                                
                                .. attribute:: as_number
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..10
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.as_number = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:allowas-in'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.as_number is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AllowasIn']['meta_info']


                            class AsOverride(object):
                                """
                                Override matching AS\-number while sending update
                                
                                .. attribute:: disable
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:as-override'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AsOverride']['meta_info']


                            class Capability(object):
                                """
                                Advertise capability to the peer
                                
                                .. attribute:: orf
                                
                                	Advertise ORF capability to the peer
                                	**type**\:   :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.orf = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf()
                                    self.orf.parent = self


                                class Orf(object):
                                    """
                                    Advertise ORF capability to the peer
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Advertise prefixlist ORF capability to this neighbor
                                    	**type**\:  list of   :py:class:`PrefixListEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf.PrefixListEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.prefix_list = YLeafList()
                                        self.prefix_list.parent = self
                                        self.prefix_list.name = 'prefix_list'

                                    class PrefixListEnum(Enum):
                                        """
                                        PrefixListEnum

                                        Advertise prefixlist ORF capability to this neighbor

                                        .. data:: both = 0

                                        .. data:: receive = 1

                                        .. data:: send = 2

                                        """

                                        both = 0

                                        receive = 1

                                        send = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf.PrefixListEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:orf'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.prefix_list is not None:
                                            for child in self.prefix_list:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:capability'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.orf is not None and self.orf._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability']['meta_info']


                            class DefaultOriginate(object):
                                """
                                Originate default route to this neighbour
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria to originate default
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:default-originate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DefaultOriginate']['meta_info']


                            class DistributeList(object):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList.InoutEnum>`
                                
                                .. attribute:: accesslist
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..199
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 1300..2699
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.accesslist = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:distribute-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.accesslist is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList']['meta_info']


                            class EbgpMultihop(object):
                                """
                                Allow EBGP neighbors not on directly connected networks
                                
                                .. attribute:: max_hop
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.max_hop = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ebgp-multihop'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.max_hop is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.EbgpMultihop']['meta_info']


                            class FallOver(object):
                                """
                                session fall on peer route lost
                                
                                .. attribute:: bfd
                                
                                	Use BFD to detect failure
                                	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver.Bfd>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bfd = None


                                class Bfd(object):
                                    """
                                    Use BFD to detect failure
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:bfd'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver.Bfd']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:fall-over'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bfd is not None and self.bfd._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver']['meta_info']


                            class FilterList(object):
                                """
                                Establish BGP filters
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList.InoutEnum>`
                                
                                .. attribute:: as_path_list
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..500
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.as_path_list = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:filter-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.as_path_list is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList']['meta_info']


                            class Inherit(object):
                                """
                                Inherit a template
                                
                                .. attribute:: peer_policy
                                
                                	Inherit a peer\-policy template
                                	**type**\:  str
                                
                                .. attribute:: peer_session
                                
                                	Inherit a peer\-session template
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.peer_policy = None
                                    self.peer_session = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:inherit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.peer_policy is not None:
                                        return True

                                    if self.peer_session is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit']['meta_info']


                            class LogNeighborChanges(object):
                                """
                                Log neighbor up/down and reset reason
                                
                                .. attribute:: disable
                                
                                	disable
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:log-neighbor-changes'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.LogNeighborChanges']['meta_info']


                            class MaximumPrefix(object):
                                """
                                Maximum number of prefixes accepted from this peer
                                
                                .. attribute:: max_prefix_no
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..2147483647
                                
                                .. attribute:: restart
                                
                                	Restart bgp connection after limit is exceeded
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only
                                
                                	Only give warning message when limit is exceeded
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_prefix_no = None
                                    self.restart = None
                                    self.threshold = None
                                    self.warning_only = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:maximum-prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_prefix_no is not None:
                                        return True

                                    if self.restart is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    if self.warning_only is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix']['meta_info']


                            class Password(object):
                                """
                                Set a password
                                
                                .. attribute:: enctype
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: text
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.enctype = None
                                    self.text = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:password'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.enctype is not None:
                                        return True

                                    if self.text is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Password']['meta_info']


                            class PrefixList(object):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList.InoutEnum>`
                                
                                .. attribute:: prefix_list_name
                                
                                	
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.prefix_list_name = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:prefix-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.prefix_list_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList']['meta_info']


                            class PathAttribute(object):
                                """
                                BGP optional attribute filtering
                                
                                .. attribute:: discard
                                
                                	Discard matching path\-attribute for this neighbor
                                	**type**\:   :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard>`
                                
                                .. attribute:: treat_as_withdraw
                                
                                	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                	**type**\:   :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.discard = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard()
                                    self.discard.parent = self
                                    self.treat_as_withdraw = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw()
                                    self.treat_as_withdraw.parent = self


                                class Discard(object):
                                    """
                                    Discard matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:   :py:class:`Attibute_Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Attibute_Type>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Attibute_Type()
                                        self.attibute_type.parent = self
                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range()
                                        self.range.parent = self


                                    class Attibute_Type(object):
                                        """
                                        
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.in_ = None
                                            self.type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:attibute_type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.in_ is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Attibute_Type']['meta_info']


                                    class Range(object):
                                        """
                                        
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.end_value = None
                                            self.in_ = None
                                            self.start_value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:range'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.end_value is not None:
                                                return True

                                            if self.in_ is not None:
                                                return True

                                            if self.start_value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:discard'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.attibute_type is not None and self.attibute_type._has_data():
                                            return True

                                        if self.range is not None and self.range._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard']['meta_info']


                                class TreatAsWithdraw(object):
                                    """
                                    Treat\-as\-withdraw matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:   :py:class:`Attibute_Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type()
                                        self.attibute_type.parent = self
                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                        self.range.parent = self


                                    class Attibute_Type(object):
                                        """
                                        
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.in_ = None
                                            self.type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:attibute_type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.in_ is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type']['meta_info']


                                    class Range(object):
                                        """
                                        
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.end_value = None
                                            self.in_ = None
                                            self.start_value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:range'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.end_value is not None:
                                                return True

                                            if self.in_ is not None:
                                                return True

                                            if self.start_value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:treat-as-withdraw'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.attibute_type is not None and self.attibute_type._has_data():
                                            return True

                                        if self.range is not None and self.range._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:path-attribute'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.discard is not None and self.discard._has_data():
                                        return True

                                    if self.treat_as_withdraw is not None and self.treat_as_withdraw._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute']['meta_info']


                            class RouteMap(object):
                                """
                                Apply route map to neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap.InoutEnum>`
                                
                                .. attribute:: route_map_name
                                
                                	
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.route_map_name = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:route-map[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.route_map_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap']['meta_info']


                            class SendCommunity(object):
                                """
                                Send Community attribute to this neighbor
                                
                                .. attribute:: send_community_where
                                
                                	
                                	**type**\:   :py:class:`SendCommunityWhereEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity.SendCommunityWhereEnum>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.send_community_where = None

                                class SendCommunityWhereEnum(Enum):
                                    """
                                    SendCommunityWhereEnum

                                    .. data:: both = 0

                                    .. data:: extended = 1

                                    .. data:: standard = 2

                                    """

                                    both = 0

                                    extended = 1

                                    standard = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity.SendCommunityWhereEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:send-community'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.send_community_where is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity']['meta_info']


                            class SendLabel(object):
                                """
                                Send NLRI + MPLS Label to this peer
                                
                                .. attribute:: send_label_explicit
                                
                                	
                                	**type**\:   :py:class:`SendLabelExplicitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel.SendLabelExplicitEnum>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.send_label_explicit = None

                                class SendLabelExplicitEnum(Enum):
                                    """
                                    SendLabelExplicitEnum

                                    .. data:: explicit_null = 0

                                    """

                                    explicit_null = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel.SendLabelExplicitEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:send-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.send_label_explicit is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel']['meta_info']


                            class SlowPeer(object):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:   :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:   :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.detection = None
                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self


                                class Detection(object):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\:  int
                                    
                                    	**range:** 120..3600
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:detection'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.Detection']['meta_info']


                                class SplitUpdateGroup(object):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None


                                    class Dynamic(object):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.permanent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:dynamic'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.permanent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:split-update-group'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None and self.dynamic._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:slow-peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.detection is not None and self.detection._has_data():
                                        return True

                                    if self.split_update_group is not None and self.split_update_group._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer']['meta_info']


                            class Timers(object):
                                """
                                BGP per neighbor timers
                                
                                .. attribute:: holdtime
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: keepalive_interval
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: minimum_neighbor_hold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.holdtime = None
                                    self.keepalive_interval = None
                                    self.minimum_neighbor_hold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:timers'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.holdtime is not None:
                                        return True

                                    if self.keepalive_interval is not None:
                                        return True

                                    if self.minimum_neighbor_hold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers']['meta_info']


                            class TranslateUpdate(object):
                                """
                                Translate Update to MBGP format
                                
                                .. attribute:: ipv4
                                
                                	Address Family
                                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4()
                                    self.ipv4.parent = self


                                class Ipv4(object):
                                    """
                                    Address Family
                                    
                                    .. attribute:: multicast
                                    
                                    	Address Family modifier
                                    	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.multicast = None


                                    class Multicast(object):
                                        """
                                        Address Family modifier
                                        
                                        .. attribute:: unicast
                                        
                                        	Address Family modifier
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.unicast = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:multicast'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.unicast is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4.Multicast']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ipv4'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.multicast is not None and self.multicast._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:translate-update'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None and self.ipv4._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate']['meta_info']


                            class Transport(object):
                                """
                                Transport options
                                
                                .. attribute:: connection_mode
                                
                                	Specify passive or active connection
                                	**type**\:   :py:class:`ConnectionModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.ConnectionModeEnum>`
                                
                                .. attribute:: multi_session
                                
                                	Use Multi\-session for transport
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.PathMtuDiscovery>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.connection_mode = None
                                    self.multi_session = None
                                    self.path_mtu_discovery = None

                                class ConnectionModeEnum(Enum):
                                    """
                                    ConnectionModeEnum

                                    Specify passive or active connection

                                    .. data:: active = 0

                                    .. data:: passive = 1

                                    """

                                    active = 0

                                    passive = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.ConnectionModeEnum']



                                class PathMtuDiscovery(object):
                                    """
                                    Use transport path MTU discovery
                                    
                                    .. attribute:: disable
                                    
                                    	disable
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:path-mtu-discovery'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.PathMtuDiscovery']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:transport'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.connection_mode is not None:
                                        return True

                                    if self.multi_session is not None:
                                        return True

                                    if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport']['meta_info']


                            class TtlSecurity(object):
                                """
                                BGP ttl security check
                                
                                .. attribute:: hops
                                
                                	IP hops
                                	**type**\:  int
                                
                                	**range:** 1..254
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.hops = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ttl-security'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.hops is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity']['meta_info']


                            class UpdateSource(object):
                                """
                                Source of routing updates
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.AtmAcrsubinterface>`
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.AtmSubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\:  str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\:  str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\:  str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\:  str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\:  str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  int
                                
                                	**range:** 0..65520
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LispSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\:  str
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\:  str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\:  str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.appnav_compress = None
                                    self.appnav_uncompress = None
                                    self.atm = None
                                    self.atm_acr = None
                                    self.atm_acrsubinterface = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.AtmAcrsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self.atm_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.AtmSubinterface()
                                    self.atm_subinterface.parent = self
                                    self.bdi = None
                                    self.cellular = None
                                    self.cem = None
                                    self.cem_acr = None
                                    self.embedded_service_engine = None
                                    self.fastethernet = None
                                    self.gigabitethernet = None
                                    self.lisp = None
                                    self.lisp_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LispSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self.loopback = None
                                    self.multilink = None
                                    self.nve = None
                                    self.overlay = None
                                    self.port_channel = None
                                    self.port_channel_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self.pseudowire = None
                                    self.serial = None
                                    self.sm = None
                                    self.tengigabitethernet = None
                                    self.tunnel = None
                                    self.vasileft = None
                                    self.vasiright = None
                                    self.virtual_template = None
                                    self.virtualportgroup = None
                                    self.vlan = None


                                class AtmSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.AtmSubinterface']['meta_info']


                                class AtmAcrsubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm_acr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-ACRsubinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm_acr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.AtmAcrsubinterface']['meta_info']


                                class LispSubinterface(object):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:LISP-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LispSubinterface']['meta_info']


                                class PortChannelSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.port_channel = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:Port-channel-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.port_channel is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:update-source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.appnav_compress is not None:
                                        return True

                                    if self.appnav_uncompress is not None:
                                        return True

                                    if self.atm is not None:
                                        return True

                                    if self.atm_acr is not None:
                                        return True

                                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                        return True

                                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                        return True

                                    if self.bdi is not None:
                                        return True

                                    if self.cellular is not None:
                                        return True

                                    if self.cem is not None:
                                        return True

                                    if self.cem_acr is not None:
                                        return True

                                    if self.embedded_service_engine is not None:
                                        return True

                                    if self.fastethernet is not None:
                                        return True

                                    if self.gigabitethernet is not None:
                                        return True

                                    if self.lisp is not None:
                                        return True

                                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                        return True

                                    if self.loopback is not None:
                                        return True

                                    if self.multilink is not None:
                                        return True

                                    if self.nve is not None:
                                        return True

                                    if self.overlay is not None:
                                        return True

                                    if self.port_channel is not None:
                                        return True

                                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                        return True

                                    if self.pseudowire is not None:
                                        return True

                                    if self.serial is not None:
                                        return True

                                    if self.sm is not None:
                                        return True

                                    if self.tengigabitethernet is not None:
                                        return True

                                    if self.tunnel is not None:
                                        return True

                                    if self.vasileft is not None:
                                        return True

                                    if self.vasiright is not None:
                                        return True

                                    if self.virtual_template is not None:
                                        return True

                                    if self.virtualportgroup is not None:
                                        return True

                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource']['meta_info']


                            class HaMode(object):
                                """
                                high availability mode
                                
                                .. attribute:: graceful_restart
                                
                                	graceful\-restart for this peer
                                	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.GracefulRestart>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: sso
                                
                                	stateful\-switchover support for this peer
                                	**type**\:   :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.graceful_restart = None
                                    self.sso = None


                                class GracefulRestart(object):
                                    """
                                    graceful\-restart for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable graceful\-restart
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:graceful-restart'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.GracefulRestart']['meta_info']


                                class Sso(object):
                                    """
                                    stateful\-switchover support for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable stateful\-switchover
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:sso'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.Sso']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ha-mode'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.graceful_restart is not None and self.graceful_restart._has_data():
                                        return True

                                    if self.sso is not None and self.sso._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:neighbor[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.activate is not None:
                                    return True

                                if self.additional_paths is not None and self.additional_paths._has_data():
                                    return True

                                if self.advertise is not None and self.advertise._has_data():
                                    return True

                                if self.advertise_map is not None and self.advertise_map._has_data():
                                    return True

                                if self.advertisement_interval is not None:
                                    return True

                                if self.aigp is not None and self.aigp._has_data():
                                    return True

                                if self.allow_policy is not None:
                                    return True

                                if self.allowas_in is not None and self.allowas_in._has_data():
                                    return True

                                if self.announce is not None and self.announce._has_data():
                                    return True

                                if self.as_override is not None and self.as_override._has_data():
                                    return True

                                if self.capability is not None and self.capability._has_data():
                                    return True

                                if self.cluster_id is not None:
                                    return True

                                if self.default_originate is not None and self.default_originate._has_data():
                                    return True

                                if self.description is not None:
                                    return True

                                if self.disable_connected_check is not None:
                                    return True

                                if self.distribute_list is not None:
                                    for child_ref in self.distribute_list:
                                        if child_ref._has_data():
                                            return True

                                if self.dmzlink_bw is not None:
                                    return True

                                if self.ebgp_multihop is not None and self.ebgp_multihop._has_data():
                                    return True

                                if self.fall_over is not None and self.fall_over._has_data():
                                    return True

                                if self.filter_list is not None:
                                    for child_ref in self.filter_list:
                                        if child_ref._has_data():
                                            return True

                                if self.ha_mode is not None and self.ha_mode._has_data():
                                    return True

                                if self.inherit is not None and self.inherit._has_data():
                                    return True

                                if self.local_as is not None and self.local_as._has_data():
                                    return True

                                if self.log_neighbor_changes is not None and self.log_neighbor_changes._has_data():
                                    return True

                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                    return True

                                if self.next_hop_self is not None:
                                    return True

                                if self.next_hop_unchanged is not None:
                                    return True

                                if self.password is not None and self.password._has_data():
                                    return True

                                if self.path_attribute is not None and self.path_attribute._has_data():
                                    return True

                                if self.peer_group is not None and self.peer_group._has_data():
                                    return True

                                if self.prefix_list is not None:
                                    for child_ref in self.prefix_list:
                                        if child_ref._has_data():
                                            return True

                                if self.remote_as is not None:
                                    return True

                                if self.remove_private_as is not None:
                                    return True

                                if self.route_map is not None:
                                    for child_ref in self.route_map:
                                        if child_ref._has_data():
                                            return True

                                if self.route_reflector_client is not None:
                                    return True

                                if self.route_reflector_cluster_id is not None:
                                    return True

                                if self.send_community is not None and self.send_community._has_data():
                                    return True

                                if self.send_label is not None and self.send_label._has_data():
                                    return True

                                if self.shutdown is not None:
                                    return True

                                if self.slow_peer is not None and self.slow_peer._has_data():
                                    return True

                                if self.soft_reconfiguration is not None:
                                    return True

                                if self.timers is not None and self.timers._has_data():
                                    return True

                                if self.translate_update is not None and self.translate_update._has_data():
                                    return True

                                if self.transport is not None and self.transport._has_data():
                                    return True

                                if self.ttl_security is not None and self.ttl_security._has_data():
                                    return True

                                if self.unsuppress_map is not None:
                                    return True

                                if self.update_source is not None and self.update_source._has_data():
                                    return True

                                if self.version is not None:
                                    return True

                                if self.weight is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor']['meta_info']


                        class Network(object):
                            """
                            Specify a network to announce via BGP
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: backdoor
                            
                            	Specify a BGP backdoor route
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	Network mask
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: route_map
                            
                            	Route\-map to modify the attributes
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.number = None
                                self.backdoor = None
                                self.mask = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.number is None:
                                    raise YPYModelError('Key property number is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:network[Cisco-IOS-XE-bgp:number = ' + str(self.number) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.number is not None:
                                    return True

                                if self.backdoor is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Network']['meta_info']


                        class Redistribute(object):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Application>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp_>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: dvmrp
                            
                            	Redistribution of DVMRP into BGP IPv4 Multicast
                            	**type**\:   :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Dvmrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:   :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis>`
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp>`
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol
                            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.application = None
                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp_()
                                self.bgp.parent = self
                                self.connected = None
                                self.dvmrp = None
                                self.eigrp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp()
                                self.eigrp.parent = self
                                self.isis = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis()
                                self.isis.parent = self
                                self.iso_igrp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp()
                                self.iso_igrp.parent = self
                                self.lisp = None
                                self.mobile = None
                                self.odr = None
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.rip = None
                                self.static = None


                            class Application(object):
                                """
                                Application
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Application.Name>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.name = YList()
                                    self.name.parent = self
                                    self.name.name = 'name'


                                class Name(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	WORD;;Route map name
                                    	**type**\:  str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:name[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Application.Name']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:application'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.name is not None:
                                        for child_ref in self.name:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Application']['meta_info']


                            class Bgp_(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_no = None
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_no is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp_']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Connected']['meta_info']


                            class Dvmrp(object):
                                """
                                Redistribution of DVMRP into BGP IPv4 Multicast
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:dvmrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Dvmrp']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_no = None
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:eigrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_no is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp']['meta_info']


                            class Isis(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default>`
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default()
                                    self.default.parent = self
                                    self.isis_area = YList()
                                    self.isis_area.parent = self
                                    self.isis_area.name = 'isis_area'


                                class IsisArea(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:   :py:class:`RoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea.RoutesEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.clns = None
                                        self.ip = None
                                        self.metric = None
                                        self.route_map = None
                                        self.routes = None

                                    class RoutesEnum(Enum):
                                        """
                                        RoutesEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = 0

                                        level_2 = 1

                                        level_1_2 = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea.RoutesEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:isis-area[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.clns is not None:
                                            return True

                                        if self.ip is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.routes is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea']['meta_info']


                                class Default(object):
                                    """
                                    
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:   :py:class:`RoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default.RoutesEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.clns = None
                                        self.ip = None
                                        self.metric = None
                                        self.route_map = None
                                        self.routes = None

                                    class RoutesEnum(Enum):
                                        """
                                        RoutesEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = 0

                                        level_2 = 1

                                        level_1_2 = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default.RoutesEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.clns is not None:
                                            return True

                                        if self.ip is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.routes is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:isis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.isis_area is not None:
                                        for child_ref in self.isis_area:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis']['meta_info']


                            class Lisp(object):
                                """
                                Locator/ID Separation Protocol
                                
                                .. attribute:: include_connected
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.include_connected = None
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:lisp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.include_connected is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Lisp']['meta_info']


                            class IsoIgrp(object):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default>`
                                
                                .. attribute:: iso_igrp_area
                                
                                	
                                	**type**\: list of    :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.IsoIgrpArea>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default()
                                    self.default.parent = self
                                    self.iso_igrp_area = YList()
                                    self.iso_igrp_area.parent = self
                                    self.iso_igrp_area.name = 'iso_igrp_area'


                                class IsoIgrpArea(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:iso-igrp-area[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.IsoIgrpArea']['meta_info']


                                class Default(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:iso-igrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.iso_igrp_area is not None:
                                        for child_ref in self.iso_igrp_area:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp']['meta_info']


                            class Mobile(object):
                                """
                                Mobile routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:mobile'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Mobile']['meta_info']


                            class Odr(object):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:odr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Odr']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: non_vrf
                                
                                	
                                	**type**\:   :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf>`
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.non_vrf = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf()
                                    self.non_vrf.parent = self
                                    self.vrf = YList()
                                    self.vrf.parent = self
                                    self.vrf.name = 'vrf'


                                class Vrf(object):
                                    """
                                    VPN Routing/Forwarding Instance
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf.Match()
                                        self.match.parent = self
                                        self.metric = None
                                        self.route_map = None


                                    class Match(object):
                                        """
                                        
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:match'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf.Match']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:vrf[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.match is not None and self.match._has_data():
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf']['meta_info']


                                class NonVrf(object):
                                    """
                                    
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match()
                                        self.match.parent = self
                                        self.metric = None
                                        self.route_map = None


                                    class Match(object):
                                        """
                                        
                                        
                                        .. attribute:: external
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: external2
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: internal
                                        
                                        	Redistribute OSPF internal routes
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: nssa_external
                                        
                                        	Redistribute OSPF NSSA external routes
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.external = None
                                            self.external2 = None
                                            self.internal = None
                                            self.metric = None
                                            self.nssa_external = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:match'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.external is not None:
                                                return True

                                            if self.external2 is not None:
                                                return True

                                            if self.internal is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.nssa_external is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:non-vrf'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.match is not None and self.match._has_data():
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ospf[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.non_vrf is not None and self.non_vrf._has_data():
                                        return True

                                    if self.vrf is not None:
                                        for child_ref in self.vrf:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:rip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: clns
                                
                                	Redistribution of OSI dynamic routes
                                	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.clns = None
                                    self.ip = None
                                    self.metric = None
                                    self.route_map = None


                                class Clns(object):
                                    """
                                    Redistribution of OSI dynamic routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:clns'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Clns']['meta_info']


                                class Ip(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Ip']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.clns is not None and self.clns._has_data():
                                        return True

                                    if self.ip is not None and self.ip._has_data():
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:redistribute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.application is not None and self.application._has_data():
                                    return True

                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.dvmrp is not None and self.dvmrp._has_data():
                                    return True

                                if self.eigrp is not None and self.eigrp._has_data():
                                    return True

                                if self.isis is not None and self.isis._has_data():
                                    return True

                                if self.iso_igrp is not None and self.iso_igrp._has_data():
                                    return True

                                if self.lisp is not None and self.lisp._has_data():
                                    return True

                                if self.mobile is not None and self.mobile._has_data():
                                    return True

                                if self.odr is not None and self.odr._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None and self.rip._has_data():
                                    return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute']['meta_info']


                        class TableMap(object):
                            """
                            Map external entry attributes into routing table
                            
                            .. attribute:: filter
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: name
                            
                            	WORD;;route\-map name
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.filter = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:table-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.filter is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.TableMap']['meta_info']


                        class Snmp(object):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\:   :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.context = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context()
                                self.context.parent = self


                            class Context(object):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: context_word
                                
                                	
                                	**type**\: list of    :py:class:`Context_Word <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context.Context_Word>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.context_word = YList()
                                    self.context_word.parent = self
                                    self.context_word.name = 'context_word'


                                class Context_Word(object):
                                    """
                                    
                                    
                                    .. attribute:: context_word  <key>
                                    
                                    	Context Name
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.context_word = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.context_word is None:
                                            raise YPYModelError('Key property context_word is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:context_word[Cisco-IOS-XE-bgp:context_word = ' + str(self.context_word) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.context_word is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context.Context_Word']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:context'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.context_word is not None:
                                        for child_ref in self.context_word:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:snmp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.context is not None and self.context._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.af_name is None:
                                raise YPYModelError('Key property af_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:vpnv4[Cisco-IOS-XE-bgp:af-name = ' + str(self.af_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.af_name is not None:
                                return True

                            if self.auto_summary is not None:
                                return True

                            if self.bgp is not None and self.bgp._has_data():
                                return True

                            if self.default_information is not None and self.default_information._has_data():
                                return True

                            if self.default_metric is not None:
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.distribute_list is not None:
                                for child_ref in self.distribute_list:
                                    if child_ref._has_data():
                                        return True

                            if self.maximum_paths is not None and self.maximum_paths._has_data():
                                return True

                            if self.neighbor is not None:
                                for child_ref in self.neighbor:
                                    if child_ref._has_data():
                                        return True

                            if self.network is not None:
                                for child_ref in self.network:
                                    if child_ref._has_data():
                                        return True

                            if self.redistribute is not None and self.redistribute._has_data():
                                return True

                            if self.snmp is not None and self.snmp._has_data():
                                return True

                            if self.synchronization is not None:
                                return True

                            if self.table_map is not None and self.table_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4']['meta_info']


                    class Vpnv6(object):
                        """
                        Address family
                        
                        .. attribute:: af_name  <key>
                        
                        	
                        	**type**\:   :py:class:`AfNameEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.AfNameEnum>`
                        
                        .. attribute:: auto_summary
                        
                        	Enable automatic network number summarization
                        	**type**\:  bool
                        
                        .. attribute:: bgp
                        
                        	BGP specific commands
                        	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance>`
                        
                        .. attribute:: distribute_list
                        
                        	Filter networks in routing updates
                        	**type**\: list of    :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:   :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths>`
                        
                        .. attribute:: neighbor
                        
                        	Specify a neighbor router
                        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Specify a network to announce via BGP
                        	**type**\: list of    :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Network>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute>`
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: synchronization
                        
                        	Perform IGP synchronization
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: table_map
                        
                        	Map external entry attributes into routing table
                        	**type**\:   :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.TableMap>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.af_name = None
                            self.auto_summary = None
                            self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_()
                            self.bgp.parent = self
                            self.default_information = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DefaultInformation()
                            self.default_information.parent = self
                            self.default_metric = None
                            self.distance = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance()
                            self.distance.parent = self
                            self.distribute_list = YList()
                            self.distribute_list.parent = self
                            self.distribute_list.name = 'distribute_list'
                            self.maximum_paths = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths()
                            self.maximum_paths.parent = self
                            self.neighbor = YList()
                            self.neighbor.parent = self
                            self.neighbor.name = 'neighbor'
                            self.network = YList()
                            self.network.parent = self
                            self.network.name = 'network'
                            self.redistribute = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute()
                            self.redistribute.parent = self
                            self.snmp = None
                            self.synchronization = None
                            self.table_map = None

                        class AfNameEnum(Enum):
                            """
                            AfNameEnum

                            .. data:: unicast = 0

                            .. data:: multicast = 1

                            .. data:: flowspec = 2

                            """

                            unicast = 0

                            multicast = 1

                            flowspec = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.AfNameEnum']



                        class Bgp_(object):
                            """
                            BGP specific commands
                            
                            .. attribute:: additional_paths
                            
                            	Additional paths in the BGP table
                            	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths>`
                            
                            .. attribute:: advertise_best_external
                            
                            	Advertise best external path to internal peers
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aggregate_timer
                            
                            	Timer interval
                            	**type**\:  int
                            
                            	**range:** 6..60
                            
                            .. attribute:: always_compare_med
                            
                            	Allow comparing MED from different neighbors
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: asnotation
                            
                            	Change the default asplain notation
                            	**type**\:   :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Asnotation>`
                            
                            .. attribute:: bestpath
                            
                            	Change the default bestpath selection
                            	**type**\:   :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath>`
                            
                            .. attribute:: client_to_client
                            
                            	Configure client to client route reflection
                            	**type**\:   :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ClientToClient>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: confederation
                            
                            	AS confederation parameters
                            	**type**\:   :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Confederation>`
                            
                            .. attribute:: consistency_checker
                            
                            	Consistency\-checker
                            	**type**\:   :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ConsistencyChecker>`
                            
                            .. attribute:: dampening
                            
                            	Enable route\-flap dampening
                            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Dampening>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: default
                            
                            	Configure BGP defaults
                            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Default>`
                            
                            .. attribute:: deterministic_med
                            
                            	Pick the best\-MED path among paths advertised from the neighboring AS
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Use DMZ Link Bandwidth as weight for BGP multipaths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enforce_first_as
                            
                            	Enforce the first AS for EBGP routes(default)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enhanced_error
                            
                            	Enabled BGP Enhanced error handling
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fast_external_fallover
                            
                            	Immediately reset session if a link to a directly connected external peer goes down
                            	**type**\:  bool
                            
                            .. attribute:: graceful_restart
                            
                            	Graceful restart capability parameters
                            	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.GracefulRestart>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ha_mode
                            
                            	Select BGP High Availability mode
                            	**type**\:   :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.HaMode>`
                            
                            .. attribute:: inject_map
                            
                            	Routemap which specifies prefixes to inject
                            	**type**\: list of    :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.InjectMap>`
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: maxas_limit
                            
                            	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                            	**type**\:  int
                            
                            	**range:** 1..2000
                            
                            .. attribute:: maxcommunity_limit
                            
                            	Number of communities in the COMMUNITY attribute
                            	**type**\:  int
                            
                            	**range:** 1..1018
                            
                            .. attribute:: nexthop
                            
                            	Nexthop tracking commands
                            	**type**\:   :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Nexthop>`
                            
                            .. attribute:: nopeerup_delay
                            
                            	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                            	**type**\:   :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.NopeerupDelay>`
                            
                            .. attribute:: recursion
                            
                            	recursion rule for the nexthops
                            	**type**\:   :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Recursion>`
                            
                            .. attribute:: redistribute_internal
                            
                            	Allow redistribution of iBGP into IGPs (dangerous)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: regexp
                            
                            	Select regular expression engine
                            	**type**\:   :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Regexp>`
                            
                            .. attribute:: route_map
                            
                            	bgp route\-map commands
                            	**type**\:   :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.RouteMap>`
                            
                            .. attribute:: router_id
                            
                            	Override configured router identifier (peers will reset)
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: scan_time
                            
                            	Configure background scanner interval
                            	**type**\:  int
                            
                            	**range:** 5..60
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:   :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer>`
                            
                            .. attribute:: soft_reconfig_backup
                            
                            	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_inactive
                            
                            	Suppress routes that are not in the routing table
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Transport>`
                            
                            .. attribute:: update_delay
                            
                            	Set the max initial delay for sending update
                            	**type**\:  int
                            
                            	**range:** 1..3600
                            
                            .. attribute:: update_group
                            
                            	Manage peers in bgp update groups
                            	**type**\:   :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.UpdateGroup>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths()
                                self.additional_paths.parent = self
                                self.advertise_best_external = None
                                self.aggregate_timer = None
                                self.always_compare_med = None
                                self.asnotation = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Asnotation()
                                self.asnotation.parent = self
                                self.bestpath = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath()
                                self.bestpath.parent = self
                                self.client_to_client = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ClientToClient()
                                self.client_to_client.parent = self
                                self.cluster_id = None
                                self.confederation = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Confederation()
                                self.confederation.parent = self
                                self.consistency_checker = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ConsistencyChecker()
                                self.consistency_checker.parent = self
                                self.dampening = None
                                self.default = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Default()
                                self.default.parent = self
                                self.deterministic_med = None
                                self.dmzlink_bw = None
                                self.enforce_first_as = None
                                self.enhanced_error = None
                                self.fast_external_fallover = None
                                self.graceful_restart = None
                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.HaMode()
                                self.ha_mode.parent = self
                                self.inject_map = YList()
                                self.inject_map.parent = self
                                self.inject_map.name = 'inject_map'
                                self.log_neighbor_changes = None
                                self.maxas_limit = None
                                self.maxcommunity_limit = None
                                self.nexthop = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Nexthop()
                                self.nexthop.parent = self
                                self.nopeerup_delay = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.NopeerupDelay()
                                self.nopeerup_delay.parent = self
                                self.recursion = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Recursion()
                                self.recursion.parent = self
                                self.redistribute_internal = None
                                self.regexp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Regexp()
                                self.regexp.parent = self
                                self.route_map = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.RouteMap()
                                self.route_map.parent = self
                                self.router_id = None
                                self.scan_time = None
                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer()
                                self.slow_peer.parent = self
                                self.soft_reconfig_backup = None
                                self.suppress_inactive = None
                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Transport()
                                self.transport.parent = self
                                self.update_delay = None
                                self.update_group = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.UpdateGroup()
                                self.update_group.parent = self


                            class Asnotation(object):
                                """
                                Change the default asplain notation
                                
                                .. attribute:: dot
                                
                                	asdot notation
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dot = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:asnotation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dot is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Asnotation']['meta_info']


                            class NopeerupDelay(object):
                                """
                                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                
                                .. attribute:: cold_boot
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: nsf_switchover
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: post_boot
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: user_initiated
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cold_boot = None
                                    self.nsf_switchover = None
                                    self.post_boot = None
                                    self.user_initiated = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:nopeerup-delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cold_boot is not None:
                                        return True

                                    if self.nsf_switchover is not None:
                                        return True

                                    if self.post_boot is not None:
                                        return True

                                    if self.user_initiated is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.NopeerupDelay']['meta_info']


                            class Recursion(object):
                                """
                                recursion rule for the nexthops
                                
                                .. attribute:: host
                                
                                	recursion via host for the nexthops
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.host = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:recursion'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.host is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Recursion']['meta_info']


                            class AdditionalPaths(object):
                                """
                                Additional paths in the BGP table
                                
                                .. attribute:: install
                                
                                	Additional paths to install into RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: select
                                
                                	Selection criteria to pick the paths
                                	**type**\:   :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to neighbors
                                	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.install = None
                                    self.receive = None
                                    self.select = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select()
                                    self.select.parent = self
                                    self.send = None


                                class Select(object):
                                    """
                                    Selection criteria to pick the paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: backup
                                    
                                    	Select backup path
                                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Best>`
                                    
                                    .. attribute:: best_external
                                    
                                    	Select best\-external path
                                    	**type**\:   :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.BestExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best path
                                    	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.all = None
                                        self.backup = None
                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Best()
                                        self.best.parent = self
                                        self.best_external = None
                                        self.group_best = None


                                    class All(object):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best path
                                        	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All.Best()
                                            self.best.parent = self
                                            self.group_best = None


                                        class Best(object):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All.Best.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = YList()
                                                self.range.parent = self
                                                self.range.name = 'range'


                                            class Range(object):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = None
                                                    self.group_best = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.range is None:
                                                        raise YPYModelError('Key property range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        return True

                                                    if self.group_best is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All.Best.Range']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    for child_ref in self.range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All.Best']['meta_info']


                                        class GroupBest(object):
                                            """
                                            Select group\-best path
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.best = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.best is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All.GroupBest']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:all'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.best is not None and self.best._has_data():
                                                return True

                                            if self.group_best is not None and self.group_best._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.All']['meta_info']


                                    class Backup(object):
                                        """
                                        Select backup path
                                        
                                        .. attribute:: best_external
                                        
                                        	Select best\-external path
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.best_external = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:backup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.best_external is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Backup']['meta_info']


                                    class Best(object):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Best.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.range = YList()
                                            self.range.parent = self
                                            self.range.name = 'range'


                                        class Range(object):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.all = None
                                                self.group_best = None


                                            class GroupBest(object):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.all = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.all is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.range is None:
                                                    raise YPYModelError('Key property range is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.all is not None:
                                                    return True

                                                if self.group_best is not None and self.group_best._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.range is not None:
                                                for child_ref in self.range:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.Best']['meta_info']


                                    class BestExternal(object):
                                        """
                                        Select best\-external path
                                        
                                        .. attribute:: backup
                                        
                                        	Select backup path
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.backup = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.backup is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.BestExternal']['meta_info']


                                    class GroupBest(object):
                                        """
                                        Select group\-best path
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\:  int
                                        
                                        	**range:** 2..3
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.all = None
                                            self.best = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.all is not None:
                                                return True

                                            if self.best is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select.GroupBest']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:select'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.all is not None and self.all._has_data():
                                            return True

                                        if self.backup is not None and self.backup._has_data():
                                            return True

                                        if self.best is not None and self.best._has_data():
                                            return True

                                        if self.best_external is not None and self.best_external._has_data():
                                            return True

                                        if self.group_best is not None and self.group_best._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Select']['meta_info']


                                class Send(object):
                                    """
                                    Send additional paths to neighbors
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.receive = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.receive is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths.Send']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.install is not None:
                                        return True

                                    if self.receive is not None:
                                        return True

                                    if self.select is not None and self.select._has_data():
                                        return True

                                    if self.send is not None and self.send._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.AdditionalPaths']['meta_info']


                            class Bestpath(object):
                                """
                                Change the default bestpath selection
                                
                                .. attribute:: compare_routerid
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: cost_community
                                
                                	cost community
                                	**type**\:   :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.CostCommunity>`
                                
                                .. attribute:: igp_metric
                                
                                	igp metric
                                	**type**\:   :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.IgpMetric>`
                                
                                .. attribute:: med
                                
                                	MED attribute
                                	**type**\:   :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.Med>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.compare_routerid = None
                                    self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.CostCommunity()
                                    self.cost_community.parent = self
                                    self.igp_metric = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.IgpMetric()
                                    self.igp_metric.parent = self
                                    self.med = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.Med()
                                    self.med.parent = self


                                class CostCommunity(object):
                                    """
                                    cost community
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore cost communities in bestpath selection
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:cost-community'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.CostCommunity']['meta_info']


                                class IgpMetric(object):
                                    """
                                    igp metric
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore igp metric in bestpath selection
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:igp-metric'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.IgpMetric']['meta_info']


                                class Med(object):
                                    """
                                    MED attribute
                                    
                                    .. attribute:: confed
                                    
                                    	Compare MED among confederation paths
                                    	**type**\:   :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.Med.Confed>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: missing_at_worst
                                    
                                    	Treat missing MED as the least preferred one
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.confed = None
                                        self.missing_at_worst = None


                                    class Confed(object):
                                        """
                                        Compare MED among confederation paths
                                        
                                        .. attribute:: missing_at_worst
                                        
                                        	Treat missing MED as the least preferred one
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.missing_at_worst = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:confed'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.missing_at_worst is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.Med.Confed']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:med'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.confed is not None and self.confed._has_data():
                                            return True

                                        if self.missing_at_worst is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath.Med']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bestpath'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.compare_routerid is not None:
                                        return True

                                    if self.cost_community is not None and self.cost_community._has_data():
                                        return True

                                    if self.igp_metric is not None and self.igp_metric._has_data():
                                        return True

                                    if self.med is not None and self.med._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Bestpath']['meta_info']


                            class ClientToClient(object):
                                """
                                Configure client to client route reflection
                                
                                .. attribute:: reflection
                                
                                	reflection of routes allowed
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.reflection = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:client-to-client'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.reflection is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ClientToClient']['meta_info']


                            class Confederation(object):
                                """
                                AS confederation parameters
                                
                                .. attribute:: identifier
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: peers
                                
                                	Peer ASs in BGP confederation
                                	**type**\:   :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Confederation.Peers>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.identifier = None
                                    self.peers = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Confederation.Peers()
                                    self.peers.parent = self


                                class Peers(object):
                                    """
                                    Peer ASs in BGP confederation
                                    
                                    .. attribute:: peers_as
                                    
                                    	
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.peers_as = YLeafList()
                                        self.peers_as.parent = self
                                        self.peers_as.name = 'peers_as'

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:peers'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.peers_as is not None:
                                            for child in self.peers_as:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Confederation.Peers']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:confederation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.identifier is not None:
                                        return True

                                    if self.peers is not None and self.peers._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Confederation']['meta_info']


                            class ConsistencyChecker(object):
                                """
                                Consistency\-checker
                                
                                .. attribute:: auto_repair
                                
                                	Auto\-Repair
                                	**type**\:   :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ConsistencyChecker.AutoRepair>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: error_message
                                
                                	Log Error\-Msg
                                	**type**\:   :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ConsistencyChecker.ErrorMessage>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.auto_repair = None
                                    self.error_message = None


                                class AutoRepair(object):
                                    """
                                    Auto\-Repair
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\:  int
                                    
                                    	**range:** 5..1440
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:auto-repair'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ConsistencyChecker.AutoRepair']['meta_info']


                                class ErrorMessage(object):
                                    """
                                    Log Error\-Msg
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\:  int
                                    
                                    	**range:** 5..1440
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:error-message'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ConsistencyChecker.ErrorMessage']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:consistency-checker'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.auto_repair is not None and self.auto_repair._has_data():
                                        return True

                                    if self.error_message is not None and self.error_message._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.ConsistencyChecker']['meta_info']


                            class Dampening(object):
                                """
                                Enable route\-flap dampening
                                
                                .. attribute:: dampen
                                
                                	
                                	**type**\:   :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Dampening.Dampen>`
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria for dampening
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.dampen = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Dampening.Dampen()
                                    self.dampen.parent = self
                                    self.route_map = None


                                class Dampen(object):
                                    """
                                    
                                    
                                    .. attribute:: half_life_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..45
                                    
                                    .. attribute:: max_suppress_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: reuse_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..20000
                                    
                                    .. attribute:: suppress_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..20000
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.half_life_time = None
                                        self.max_suppress_time = None
                                        self.reuse_time = None
                                        self.suppress_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:dampen'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.half_life_time is not None:
                                            return True

                                        if self.max_suppress_time is not None:
                                            return True

                                        if self.reuse_time is not None:
                                            return True

                                        if self.suppress_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Dampening.Dampen']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:dampening'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.dampen is not None and self.dampen._has_data():
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Dampening']['meta_info']


                            class Default(object):
                                """
                                Configure BGP defaults
                                
                                .. attribute:: ipv4_unicast
                                
                                	Activate ipv4\-unicast for a peer by default
                                	**type**\:  bool
                                
                                .. attribute:: ipv6_nexthop
                                
                                	Default IPv6 nexthop format
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: local_preference
                                
                                	local preference (higher=more preferred)
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: route_target
                                
                                	Control behavior based on Route\-Target attributes
                                	**type**\:   :py:class:`RouteTargetEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Default.RouteTargetEnum>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_unicast = None
                                    self.ipv6_nexthop = None
                                    self.local_preference = None
                                    self.route_target = None

                                class RouteTargetEnum(Enum):
                                    """
                                    RouteTargetEnum

                                    Control behavior based on Route\-Target attributes

                                    .. data:: filter = 0

                                    """

                                    filter = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Default.RouteTargetEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_unicast is not None:
                                        return True

                                    if self.ipv6_nexthop is not None:
                                        return True

                                    if self.local_preference is not None:
                                        return True

                                    if self.route_target is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Default']['meta_info']


                            class GracefulRestart(object):
                                """
                                Graceful restart capability parameters
                                
                                .. attribute:: extended
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: restart_time
                                
                                	Set the max time needed to restart and come back up
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: stalepath_time
                                
                                	Set the max time to hold onto restarting peer's stale paths
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.extended = None
                                    self.restart_time = None
                                    self.stalepath_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:graceful-restart'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.extended is not None:
                                        return True

                                    if self.restart_time is not None:
                                        return True

                                    if self.stalepath_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.GracefulRestart']['meta_info']


                            class HaMode(object):
                                """
                                Select BGP High Availability mode
                                
                                .. attribute:: sso
                                
                                	BGP High Availability NSR sso mode
                                	**type**\:   :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.sso = None


                                class Sso(object):
                                    """
                                    BGP High Availability NSR sso mode
                                    
                                    .. attribute:: prefer
                                    
                                    	Perfer BGP High Availability NSR sso mode
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.prefer = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:sso'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.prefer is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.HaMode.Sso']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ha-mode'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.sso is not None and self.sso._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.HaMode']['meta_info']


                            class InjectMap(object):
                                """
                                Routemap which specifies prefixes to inject
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: copy_attributes
                                
                                	Copy attributes from aggregate
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: exist_map
                                
                                	Routemap which specifies exist condition
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.copy_attributes = None
                                    self.exist_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:inject-map[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.copy_attributes is not None:
                                        return True

                                    if self.exist_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.InjectMap']['meta_info']


                            class RouteMap(object):
                                """
                                bgp route\-map commands
                                
                                .. attribute:: priority
                                
                                	Have route\-map set commands take priority over BGP commands such 
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.priority = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:route-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.priority is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.RouteMap']['meta_info']


                            class SlowPeer(object):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:   :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:   :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.detection = None
                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self


                                class Detection(object):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: disable
                                    
                                    	Disable slow\-peer detection
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\:  int
                                    
                                    	**range:** 120..3600
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:detection'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer.Detection']['meta_info']


                                class SplitUpdateGroup(object):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None


                                    class Dynamic(object):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.permanent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:dynamic'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.permanent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:split-update-group'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None and self.dynamic._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:slow-peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.detection is not None and self.detection._has_data():
                                        return True

                                    if self.split_update_group is not None and self.split_update_group._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.SlowPeer']['meta_info']


                            class UpdateGroup(object):
                                """
                                Manage peers in bgp update groups
                                
                                .. attribute:: split
                                
                                	Split update groups based on Policy
                                	**type**\:   :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.UpdateGroup.Split>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.split = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.UpdateGroup.Split()
                                    self.split.parent = self


                                class Split(object):
                                    """
                                    Split update groups based on Policy
                                    
                                    .. attribute:: as_override
                                    
                                    	Keep peers with as\-override in different update groups
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_override = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:split'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.as_override is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.UpdateGroup.Split']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:update-group'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.split is not None and self.split._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.UpdateGroup']['meta_info']


                            class Nexthop(object):
                                """
                                Nexthop tracking commands
                                
                                .. attribute:: route_map
                                
                                	Route map for valid nexthops
                                	**type**\:  str
                                
                                .. attribute:: trigger
                                
                                	Nexthop triggering
                                	**type**\:   :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Nexthop.Trigger>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.route_map = None
                                    self.trigger = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Nexthop.Trigger()
                                    self.trigger.parent = self


                                class Trigger(object):
                                    """
                                    Nexthop triggering
                                    
                                    .. attribute:: delay
                                    
                                    	Set the delay to tigger nexthop tracking
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: enable
                                    
                                    	Enable nexthop tracking
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.delay = None
                                        self.enable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:trigger'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.delay is not None:
                                            return True

                                        if self.enable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Nexthop.Trigger']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:nexthop'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.route_map is not None:
                                        return True

                                    if self.trigger is not None and self.trigger._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Nexthop']['meta_info']


                            class Regexp(object):
                                """
                                Select regular expression engine
                                
                                .. attribute:: deterministic
                                
                                	Enable bounded\-execution\-time regular expression engine
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.deterministic = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:regexp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.deterministic is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Regexp']['meta_info']


                            class Transport(object):
                                """
                                Transport options
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.path_mtu_discovery = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:transport'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.path_mtu_discovery is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_.Transport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.additional_paths is not None and self.additional_paths._has_data():
                                    return True

                                if self.advertise_best_external is not None:
                                    return True

                                if self.aggregate_timer is not None:
                                    return True

                                if self.always_compare_med is not None:
                                    return True

                                if self.asnotation is not None and self.asnotation._has_data():
                                    return True

                                if self.bestpath is not None and self.bestpath._has_data():
                                    return True

                                if self.client_to_client is not None and self.client_to_client._has_data():
                                    return True

                                if self.cluster_id is not None:
                                    return True

                                if self.confederation is not None and self.confederation._has_data():
                                    return True

                                if self.consistency_checker is not None and self.consistency_checker._has_data():
                                    return True

                                if self.dampening is not None and self.dampening._has_data():
                                    return True

                                if self.default is not None and self.default._has_data():
                                    return True

                                if self.deterministic_med is not None:
                                    return True

                                if self.dmzlink_bw is not None:
                                    return True

                                if self.enforce_first_as is not None:
                                    return True

                                if self.enhanced_error is not None:
                                    return True

                                if self.fast_external_fallover is not None:
                                    return True

                                if self.graceful_restart is not None and self.graceful_restart._has_data():
                                    return True

                                if self.ha_mode is not None and self.ha_mode._has_data():
                                    return True

                                if self.inject_map is not None:
                                    for child_ref in self.inject_map:
                                        if child_ref._has_data():
                                            return True

                                if self.log_neighbor_changes is not None:
                                    return True

                                if self.maxas_limit is not None:
                                    return True

                                if self.maxcommunity_limit is not None:
                                    return True

                                if self.nexthop is not None and self.nexthop._has_data():
                                    return True

                                if self.nopeerup_delay is not None and self.nopeerup_delay._has_data():
                                    return True

                                if self.recursion is not None and self.recursion._has_data():
                                    return True

                                if self.redistribute_internal is not None:
                                    return True

                                if self.regexp is not None and self.regexp._has_data():
                                    return True

                                if self.route_map is not None and self.route_map._has_data():
                                    return True

                                if self.router_id is not None:
                                    return True

                                if self.scan_time is not None:
                                    return True

                                if self.slow_peer is not None and self.slow_peer._has_data():
                                    return True

                                if self.soft_reconfig_backup is not None:
                                    return True

                                if self.suppress_inactive is not None:
                                    return True

                                if self.transport is not None and self.transport._has_data():
                                    return True

                                if self.update_delay is not None:
                                    return True

                                if self.update_group is not None and self.update_group._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp_']['meta_info']


                        class DefaultInformation(object):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.originate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:default-information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.originate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DefaultInformation']['meta_info']


                        class Distance(object):
                            """
                            Define an administrative distance
                            
                            .. attribute:: adm_distance
                            
                            	
                            	**type**\: list of    :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.AdmDistance>`
                            
                            .. attribute:: bgp
                            
                            	BGP distance
                            	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.Bgp_>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.adm_distance = YList()
                                self.adm_distance.parent = self
                                self.adm_distance.name = 'adm_distance'
                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.Bgp_()
                                self.bgp.parent = self


                            class Bgp_(object):
                                """
                                BGP distance
                                
                                .. attribute:: extern_as
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: internal_as
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: local
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.extern_as = None
                                    self.internal_as = None
                                    self.local = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.extern_as is not None:
                                        return True

                                    if self.internal_as is not None:
                                        return True

                                    if self.local is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.Bgp_']['meta_info']


                            class AdmDistance(object):
                                """
                                
                                
                                .. attribute:: distance  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: srcip  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildbits  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: acl
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..99
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 1300..1999
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.distance = None
                                    self.srcip = None
                                    self.wildbits = None
                                    self.acl = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.distance is None:
                                        raise YPYModelError('Key property distance is None')
                                    if self.srcip is None:
                                        raise YPYModelError('Key property srcip is None')
                                    if self.wildbits is None:
                                        raise YPYModelError('Key property wildbits is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:adm-distance[Cisco-IOS-XE-bgp:distance = ' + str(self.distance) + '][Cisco-IOS-XE-bgp:srcip = ' + str(self.srcip) + '][Cisco-IOS-XE-bgp:wildbits = ' + str(self.wildbits) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.distance is not None:
                                        return True

                                    if self.srcip is not None:
                                        return True

                                    if self.wildbits is not None:
                                        return True

                                    if self.acl is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.AdmDistance']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.adm_distance is not None:
                                    for child_ref in self.adm_distance:
                                        if child_ref._has_data():
                                            return True

                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance']['meta_info']


                        class DistributeList(object):
                            """
                            Filter networks in routing updates
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 100..199
                            
                            
                            ----
                            	**type**\:  int
                            
                            	**range:** 2000..2699
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	Filter incoming routing updates
                            	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList.In_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: out
                            
                            	Filter outgoing routing updates
                            	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList.Out>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.in_ = None
                                self.out = None


                            class In_(object):
                                """
                                Filter incoming routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:in'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList.In_']['meta_info']


                            class Out(object):
                                """
                                Filter outgoing routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:out'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList.Out']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:distribute-list[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.in_ is not None and self.in_._has_data():
                                    return True

                                if self.out is not None and self.out._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList']['meta_info']


                        class MaximumPaths(object):
                            """
                            Forward packets over multiple paths
                            
                            .. attribute:: eibgp
                            
                            	Both eBGP and iBGP paths as multipath
                            	**type**\:   :py:class:`Eibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp>`
                            
                            .. attribute:: external_rtfilter
                            
                            	VPN prefix multipath on external RTFilter peers
                            	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter>`
                            
                            .. attribute:: ibgp
                            
                            	iBGP\-multipath
                            	**type**\:   :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp>`
                            
                            .. attribute:: max_path
                            
                            	
                            	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eibgp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp()
                                self.eibgp.parent = self
                                self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter()
                                self.external_rtfilter.parent = self
                                self.ibgp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp()
                                self.ibgp.parent = self
                                self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath()
                                self.max_path.parent = self


                            class MaxPath(object):
                                """
                                
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath']['meta_info']


                            class ExternalRtfilter(object):
                                """
                                VPN prefix multipath on external RTFilter peers
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter']['meta_info']


                            class Eibgp(object):
                                """
                                Both eBGP and iBGP paths as multipath
                                
                                .. attribute:: external_rtfilter
                                
                                	VPN prefix multipath on external RTFilter peers
                                	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp.ExternalRtfilter>`
                                
                                .. attribute:: max_path
                                
                                	
                                	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp.MaxPath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp.ExternalRtfilter()
                                    self.external_rtfilter.parent = self
                                    self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp.MaxPath()
                                    self.max_path.parent = self


                                class MaxPath(object):
                                    """
                                    
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp.MaxPath']['meta_info']


                                class ExternalRtfilter(object):
                                    """
                                    VPN prefix multipath on external RTFilter peers
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp.ExternalRtfilter']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:eibgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                        return True

                                    if self.max_path is not None and self.max_path._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Eibgp']['meta_info']


                            class Ibgp(object):
                                """
                                iBGP\-multipath
                                
                                .. attribute:: external_rtfilter
                                
                                	VPN prefix multipath on external RTFilter peers
                                	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.ExternalRtfilter>`
                                
                                .. attribute:: max_path
                                
                                	
                                	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.MaxPath>`
                                
                                .. attribute:: unequal_cost
                                
                                	Perform Un\-Equal cost multipath selection
                                	**type**\:   :py:class:`UnequalCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.ExternalRtfilter()
                                    self.external_rtfilter.parent = self
                                    self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.MaxPath()
                                    self.max_path.parent = self
                                    self.unequal_cost = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost()
                                    self.unequal_cost.parent = self


                                class UnequalCost(object):
                                    """
                                    Perform Un\-Equal cost multipath selection
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter>`
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost.MaxPath>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost.MaxPath()
                                        self.max_path.parent = self


                                    class MaxPath(object):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost.MaxPath']['meta_info']


                                    class ExternalRtfilter(object):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:unequal-cost'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                            return True

                                        if self.max_path is not None and self.max_path._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.UnequalCost']['meta_info']


                                class MaxPath(object):
                                    """
                                    
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.MaxPath']['meta_info']


                                class ExternalRtfilter(object):
                                    """
                                    VPN prefix multipath on external RTFilter peers
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp.ExternalRtfilter']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ibgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                        return True

                                    if self.max_path is not None and self.max_path._has_data():
                                        return True

                                    if self.unequal_cost is not None and self.unequal_cost._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:maximum-paths'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eibgp is not None and self.eibgp._has_data():
                                    return True

                                if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                    return True

                                if self.ibgp is not None and self.ibgp._has_data():
                                    return True

                                if self.max_path is not None and self.max_path._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths']['meta_info']


                        class Neighbor(object):
                            """
                            Specify a neighbor router
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: activate
                            
                            	Enable the Address Family for this Neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: additional_paths
                            
                            	
                            	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths>`
                            
                            .. attribute:: advertise
                            
                            	Advertise to this neighbor
                            	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise>`
                            
                            .. attribute:: advertise_map
                            
                            	specify route\-map for conditional advertisement
                            	**type**\:   :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap>`
                            
                            .. attribute:: advertisement_interval
                            
                            	Minimum interval between sending BGP routing updates
                            	**type**\:  int
                            
                            	**range:** 0..600
                            
                            .. attribute:: aigp
                            
                            	Enable a AIGP on neighbor
                            	**type**\:   :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: allow_policy
                            
                            	Enable the policy support for this IBGP Neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allowas_in
                            
                            	Accept as\-path with my AS present in it
                            	**type**\:   :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AllowasIn>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: announce
                            
                            	Announce RPKI State using an Extended Community
                            	**type**\:   :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce>`
                            
                            .. attribute:: as_override
                            
                            	Override matching AS\-number while sending update
                            	**type**\:   :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AsOverride>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Advertise capability to the peer
                            	**type**\:   :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: default_originate
                            
                            	Originate default route to this neighbour
                            	**type**\:   :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DefaultOriginate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: description
                            
                            	Neighbor specific description
                            	**type**\:  str
                            
                            .. attribute:: disable_connected_check
                            
                            	One\-hop away EBGP peer using loopback address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of    :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Propagate the DMZ link bandwidth
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ebgp_multihop
                            
                            	Allow EBGP neighbors not on directly connected networks
                            	**type**\:   :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.EbgpMultihop>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: fall_over
                            
                            	session fall on peer route lost
                            	**type**\:   :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver>`
                            
                            .. attribute:: filter_list
                            
                            	Establish BGP filters
                            	**type**\: list of    :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList>`
                            
                            .. attribute:: ha_mode
                            
                            	high availability mode
                            	**type**\:   :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode>`
                            
                            .. attribute:: inherit
                            
                            	Inherit a template
                            	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit>`
                            
                            .. attribute:: local_as
                            
                            	Specify a local\-as number
                            	**type**\:   :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.LocalAs>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\:   :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.LogNeighborChanges>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes accepted from this peer
                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix>`
                            
                            .. attribute:: next_hop_self
                            
                            	Disable the next hop calculation for this neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: next_hop_unchanged
                            
                            	Propagate the iBGP paths's next hop unchanged for this neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: password
                            
                            	Set a password
                            	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Password>`
                            
                            .. attribute:: path_attribute
                            
                            	BGP optional attribute filtering
                            	**type**\:   :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute>`
                            
                            .. attribute:: peer_group
                            
                            	Member of the peer\-group
                            	**type**\:   :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PeerGroup>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList>`
                            
                            .. attribute:: remote_as
                            
                            	Specify a BGP neighbor
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: remove_private_as
                            
                            	Remove private AS number from outbound updates
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Apply route map to neighbor
                            	**type**\: list of    :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap>`
                            
                            .. attribute:: route_reflector_client
                            
                            	Configure a neighbor as Route Reflector client
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_reflector_cluster_id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: send_community
                            
                            	Send Community attribute to this neighbor
                            	**type**\:   :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: send_label
                            
                            	Send NLRI + MPLS Label to this peer
                            	**type**\:   :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel>`
                            
                            .. attribute:: shutdown
                            
                            	Administratively shut down this neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:   :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer>`
                            
                            .. attribute:: soft_reconfiguration
                            
                            	Per neighbor soft reconfiguration
                            	**type**\:   :py:class:`SoftReconfigurationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SoftReconfigurationEnum>`
                            
                            .. attribute:: timers
                            
                            	BGP per neighbor timers
                            	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers>`
                            
                            .. attribute:: translate_update
                            
                            	Translate Update to MBGP format
                            	**type**\:   :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport>`
                            
                            .. attribute:: ttl_security
                            
                            	BGP ttl security check
                            	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity>`
                            
                            .. attribute:: unsuppress_map
                            
                            	Route\-map to selectively unsuppress suppressed routes
                            	**type**\:  str
                            
                            .. attribute:: update_source
                            
                            	Source of routing updates
                            	**type**\:   :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource>`
                            
                            .. attribute:: version
                            
                            	Set the BGP version to match a neighbor
                            	**type**\:  int
                            
                            	**range:** 4..None
                            
                            .. attribute:: weight
                            
                            	Set default weight for routes from this neighbor
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.activate = None
                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths()
                                self.additional_paths.parent = self
                                self.advertise = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise()
                                self.advertise.parent = self
                                self.advertise_map = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap()
                                self.advertise_map.parent = self
                                self.advertisement_interval = None
                                self.aigp = None
                                self.allow_policy = None
                                self.allowas_in = None
                                self.announce = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce()
                                self.announce.parent = self
                                self.as_override = None
                                self.capability = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability()
                                self.capability.parent = self
                                self.cluster_id = None
                                self.default_originate = None
                                self.description = None
                                self.disable_connected_check = None
                                self.distribute_list = YList()
                                self.distribute_list.parent = self
                                self.distribute_list.name = 'distribute_list'
                                self.dmzlink_bw = None
                                self.ebgp_multihop = None
                                self.fall_over = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver()
                                self.fall_over.parent = self
                                self.filter_list = YList()
                                self.filter_list.parent = self
                                self.filter_list.name = 'filter_list'
                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode()
                                self.ha_mode.parent = self
                                self.inherit = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit()
                                self.inherit.parent = self
                                self.local_as = None
                                self.log_neighbor_changes = None
                                self.maximum_prefix = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self.next_hop_self = None
                                self.next_hop_unchanged = None
                                self.password = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Password()
                                self.password.parent = self
                                self.path_attribute = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute()
                                self.path_attribute.parent = self
                                self.peer_group = None
                                self.prefix_list = YList()
                                self.prefix_list.parent = self
                                self.prefix_list.name = 'prefix_list'
                                self.remote_as = None
                                self.remove_private_as = None
                                self.route_map = YList()
                                self.route_map.parent = self
                                self.route_map.name = 'route_map'
                                self.route_reflector_client = None
                                self.route_reflector_cluster_id = None
                                self.send_community = None
                                self.send_label = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel()
                                self.send_label.parent = self
                                self.shutdown = None
                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer()
                                self.slow_peer.parent = self
                                self.soft_reconfiguration = None
                                self.timers = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers()
                                self.timers.parent = self
                                self.translate_update = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate()
                                self.translate_update.parent = self
                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport()
                                self.transport.parent = self
                                self.ttl_security = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity()
                                self.ttl_security.parent = self
                                self.unsuppress_map = None
                                self.update_source = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource()
                                self.update_source.parent = self
                                self.version = None
                                self.weight = None

                            class SoftReconfigurationEnum(Enum):
                                """
                                SoftReconfigurationEnum

                                Per neighbor soft reconfiguration

                                .. data:: inbound = 0

                                """

                                inbound = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SoftReconfigurationEnum']



                            class PeerGroup(object):
                                """
                                Member of the peer\-group
                                
                                .. attribute:: peer_group_name
                                
                                	WORD;;peer\-group name
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.peer_group_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:peer-group'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.peer_group_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PeerGroup']['meta_info']


                            class LocalAs(object):
                                """
                                Specify a local\-as number
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: dual_as
                                
                                	Accept either real AS or local AS from the ebgp peer
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_prepend
                                
                                	Do not prepend local\-as to updates from ebgp peers
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: replace_as
                                
                                	Replace real AS with local AS in the EBGP updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.as_no = None
                                    self.dual_as = None
                                    self.no_prepend = None
                                    self.replace_as = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:local-as'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.as_no is not None:
                                        return True

                                    if self.dual_as is not None:
                                        return True

                                    if self.no_prepend is not None:
                                        return True

                                    if self.replace_as is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.LocalAs']['meta_info']


                            class AdditionalPaths(object):
                                """
                                
                                
                                .. attribute:: disable
                                
                                	Disable additional paths for this neighbor
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to this neighbor
                                	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.disable = None
                                    self.receive = None
                                    self.send = None


                                class Send(object):
                                    """
                                    Send additional paths to this neighbor
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from this neighbor
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.receive = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.receive is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths.Send']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.disable is not None:
                                        return True

                                    if self.receive is not None:
                                        return True

                                    if self.send is not None and self.send._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths']['meta_info']


                            class Advertise(object):
                                """
                                Advertise to this neighbor
                                
                                .. attribute:: additional_paths
                                
                                	Advertise additional paths
                                	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths>`
                                
                                .. attribute:: best_external
                                
                                	Advertise best\-external (at RRs best\-internal) path
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: diverse_path
                                
                                	Advertise diverse path
                                	**type**\:   :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self.best_external = None
                                    self.diverse_path = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath()
                                    self.diverse_path.parent = self


                                class AdditionalPaths(object):
                                    """
                                    Advertise additional paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best>`
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best paths
                                    	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.all = None
                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best()
                                        self.best.parent = self
                                        self.group_best = None


                                    class All(object):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best paths
                                        	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best()
                                            self.best.parent = self
                                            self.group_best = None


                                        class Best(object):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: best_range
                                            
                                            	
                                            	**type**\: list of    :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.best_range = YList()
                                                self.best_range.parent = self
                                                self.best_range.name = 'best_range'


                                            class BestRange(object):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = None
                                                    self.group_best = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.range is None:
                                                        raise YPYModelError('Key property range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        return True

                                                    if self.group_best is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.best_range is not None:
                                                    for child_ref in self.best_range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info']


                                        class GroupBest(object):
                                            """
                                            Select group\-best paths
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.best = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.best is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:all'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.best is not None and self.best._has_data():
                                                return True

                                            if self.group_best is not None and self.group_best._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All']['meta_info']


                                    class Best(object):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: best_range
                                        
                                        	
                                        	**type**\: list of    :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.best_range = YList()
                                            self.best_range.parent = self
                                            self.best_range.name = 'best_range'


                                        class BestRange(object):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.all = None
                                                self.group_best = None


                                            class GroupBest(object):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.all = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.all is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.range is None:
                                                    raise YPYModelError('Key property range is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.all is not None:
                                                    return True

                                                if self.group_best is not None and self.group_best._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.best_range is not None:
                                                for child_ref in self.best_range:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best']['meta_info']


                                    class GroupBest(object):
                                        """
                                        Select group\-best paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\:  int
                                        
                                        	**range:** 2..3
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.all = None
                                            self.best = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.all is not None:
                                                return True

                                            if self.best is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.GroupBest']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.all is not None and self.all._has_data():
                                            return True

                                        if self.best is not None and self.best._has_data():
                                            return True

                                        if self.group_best is not None and self.group_best._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths']['meta_info']


                                class DiversePath(object):
                                    """
                                    Advertise diverse path
                                    
                                    .. attribute:: backup
                                    
                                    	Diverse path can be backup path
                                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: mpath
                                    
                                    	Diverse path can be multipath
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.backup = None
                                        self.mpath = None


                                    class Backup(object):
                                        """
                                        Diverse path can be backup path
                                        
                                        .. attribute:: mpath
                                        
                                        	Diverse path can be multipath
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.mpath = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:backup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.mpath is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath.Backup']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:diverse-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.backup is not None and self.backup._has_data():
                                            return True

                                        if self.mpath is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:advertise'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.additional_paths is not None and self.additional_paths._has_data():
                                        return True

                                    if self.best_external is not None:
                                        return True

                                    if self.diverse_path is not None and self.diverse_path._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise']['meta_info']


                            class AdvertiseMap(object):
                                """
                                specify route\-map for conditional advertisement
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap.Name>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = YList()
                                    self.name.parent = self
                                    self.name.name = 'name'


                                class Name(object):
                                    """
                                    
                                    
                                    .. attribute:: word  <key>
                                    
                                    	advertise route\-map name
                                    	**type**\:  str
                                    
                                    .. attribute:: exist_map
                                    
                                    	condition route\-map name
                                    	**type**\:  str
                                    
                                    .. attribute:: non_exist_map
                                    
                                    	condition route\-map name
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.word = None
                                        self.exist_map = None
                                        self.non_exist_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.word is None:
                                            raise YPYModelError('Key property word is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:name[Cisco-IOS-XE-bgp:word = ' + str(self.word) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.word is not None:
                                            return True

                                        if self.exist_map is not None:
                                            return True

                                        if self.non_exist_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap.Name']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:advertise-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        for child_ref in self.name:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap']['meta_info']


                            class Aigp(object):
                                """
                                Enable a AIGP on neighbor
                                
                                .. attribute:: send
                                
                                	Cost community or MED carrying AIGP VALUE
                                	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.send = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send()
                                    self.send.parent = self


                                class Send(object):
                                    """
                                    Cost community or MED carrying AIGP VALUE
                                    
                                    .. attribute:: cost_community
                                    
                                    	Cost extended community carrying AIGP Value
                                    	**type**\:   :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity>`
                                    
                                    .. attribute:: med
                                    
                                    	Med carrying AIGP Value
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity()
                                        self.cost_community.parent = self
                                        self.med = None


                                    class CostCommunity(object):
                                        """
                                        Cost extended community carrying AIGP Value
                                        
                                        .. attribute:: cc_range
                                        
                                        	
                                        	**type**\: list of    :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.cc_range = YList()
                                            self.cc_range.parent = self
                                            self.cc_range.name = 'cc_range'


                                        class CcRange(object):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Community ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: poi
                                            
                                            	Point of Insertion
                                            	**type**\:   :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.poi = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                self.poi.parent = self


                                            class Poi(object):
                                                """
                                                Point of Insertion
                                                
                                                .. attribute:: igp_cost
                                                
                                                	Point of Insertion After IGP
                                                	**type**\:   :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: pre_bestpath
                                                
                                                	Point of Insertion At Beginning
                                                	**type**\:   :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.igp_cost = None
                                                    self.pre_bestpath = None


                                                class IgpCost(object):
                                                    """
                                                    Point of Insertion After IGP
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.transitive = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:igp-cost'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.transitive is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost']['meta_info']


                                                class PreBestpath(object):
                                                    """
                                                    Point of Insertion At Beginning
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.transitive = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:pre-bestpath'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.transitive is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:poi'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.igp_cost is not None and self.igp_cost._has_data():
                                                        return True

                                                    if self.pre_bestpath is not None and self.pre_bestpath._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.range is None:
                                                    raise YPYModelError('Key property range is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:cc-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.poi is not None and self.poi._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:cost-community'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.cc_range is not None:
                                                for child_ref in self.cc_range:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.cost_community is not None and self.cost_community._has_data():
                                            return True

                                        if self.med is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:aigp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.send is not None and self.send._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp']['meta_info']


                            class Announce(object):
                                """
                                Announce RPKI State using an Extended Community
                                
                                .. attribute:: rpki
                                
                                	Announce RPKI information using an Extended Community
                                	**type**\:   :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.rpki = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki()
                                    self.rpki.parent = self


                                class Rpki(object):
                                    """
                                    Announce RPKI information using an Extended Community
                                    
                                    .. attribute:: state
                                    
                                    	Announce RPKI State information using an Extended Community
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.state = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:rpki'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.state is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:announce'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.rpki is not None and self.rpki._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce']['meta_info']


                            class AllowasIn(object):
                                """
                                Accept as\-path with my AS present in it
                                
                                .. attribute:: as_number
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..10
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.as_number = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:allowas-in'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.as_number is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AllowasIn']['meta_info']


                            class AsOverride(object):
                                """
                                Override matching AS\-number while sending update
                                
                                .. attribute:: disable
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:as-override'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AsOverride']['meta_info']


                            class Capability(object):
                                """
                                Advertise capability to the peer
                                
                                .. attribute:: orf
                                
                                	Advertise ORF capability to the peer
                                	**type**\:   :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.orf = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf()
                                    self.orf.parent = self


                                class Orf(object):
                                    """
                                    Advertise ORF capability to the peer
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Advertise prefixlist ORF capability to this neighbor
                                    	**type**\:  list of   :py:class:`PrefixListEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf.PrefixListEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.prefix_list = YLeafList()
                                        self.prefix_list.parent = self
                                        self.prefix_list.name = 'prefix_list'

                                    class PrefixListEnum(Enum):
                                        """
                                        PrefixListEnum

                                        Advertise prefixlist ORF capability to this neighbor

                                        .. data:: both = 0

                                        .. data:: receive = 1

                                        .. data:: send = 2

                                        """

                                        both = 0

                                        receive = 1

                                        send = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf.PrefixListEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:orf'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.prefix_list is not None:
                                            for child in self.prefix_list:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:capability'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.orf is not None and self.orf._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability']['meta_info']


                            class DefaultOriginate(object):
                                """
                                Originate default route to this neighbour
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria to originate default
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:default-originate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DefaultOriginate']['meta_info']


                            class DistributeList(object):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList.InoutEnum>`
                                
                                .. attribute:: accesslist
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..199
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 1300..2699
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.accesslist = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:distribute-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.accesslist is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList']['meta_info']


                            class EbgpMultihop(object):
                                """
                                Allow EBGP neighbors not on directly connected networks
                                
                                .. attribute:: max_hop
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.max_hop = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ebgp-multihop'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.max_hop is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.EbgpMultihop']['meta_info']


                            class FallOver(object):
                                """
                                session fall on peer route lost
                                
                                .. attribute:: bfd
                                
                                	Use BFD to detect failure
                                	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver.Bfd>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bfd = None


                                class Bfd(object):
                                    """
                                    Use BFD to detect failure
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:bfd'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver.Bfd']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:fall-over'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bfd is not None and self.bfd._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver']['meta_info']


                            class FilterList(object):
                                """
                                Establish BGP filters
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList.InoutEnum>`
                                
                                .. attribute:: as_path_list
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..500
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.as_path_list = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:filter-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.as_path_list is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList']['meta_info']


                            class Inherit(object):
                                """
                                Inherit a template
                                
                                .. attribute:: peer_policy
                                
                                	Inherit a peer\-policy template
                                	**type**\:  str
                                
                                .. attribute:: peer_session
                                
                                	Inherit a peer\-session template
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.peer_policy = None
                                    self.peer_session = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:inherit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.peer_policy is not None:
                                        return True

                                    if self.peer_session is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit']['meta_info']


                            class LogNeighborChanges(object):
                                """
                                Log neighbor up/down and reset reason
                                
                                .. attribute:: disable
                                
                                	disable
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:log-neighbor-changes'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.LogNeighborChanges']['meta_info']


                            class MaximumPrefix(object):
                                """
                                Maximum number of prefixes accepted from this peer
                                
                                .. attribute:: max_prefix_no
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..2147483647
                                
                                .. attribute:: restart
                                
                                	Restart bgp connection after limit is exceeded
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only
                                
                                	Only give warning message when limit is exceeded
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_prefix_no = None
                                    self.restart = None
                                    self.threshold = None
                                    self.warning_only = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:maximum-prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_prefix_no is not None:
                                        return True

                                    if self.restart is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    if self.warning_only is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix']['meta_info']


                            class Password(object):
                                """
                                Set a password
                                
                                .. attribute:: enctype
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: text
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.enctype = None
                                    self.text = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:password'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.enctype is not None:
                                        return True

                                    if self.text is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Password']['meta_info']


                            class PrefixList(object):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList.InoutEnum>`
                                
                                .. attribute:: prefix_list_name
                                
                                	
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.prefix_list_name = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:prefix-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.prefix_list_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList']['meta_info']


                            class PathAttribute(object):
                                """
                                BGP optional attribute filtering
                                
                                .. attribute:: discard
                                
                                	Discard matching path\-attribute for this neighbor
                                	**type**\:   :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard>`
                                
                                .. attribute:: treat_as_withdraw
                                
                                	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                	**type**\:   :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.discard = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard()
                                    self.discard.parent = self
                                    self.treat_as_withdraw = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw()
                                    self.treat_as_withdraw.parent = self


                                class Discard(object):
                                    """
                                    Discard matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:   :py:class:`Attibute_Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Attibute_Type>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Attibute_Type()
                                        self.attibute_type.parent = self
                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range()
                                        self.range.parent = self


                                    class Attibute_Type(object):
                                        """
                                        
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.in_ = None
                                            self.type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:attibute_type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.in_ is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Attibute_Type']['meta_info']


                                    class Range(object):
                                        """
                                        
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.end_value = None
                                            self.in_ = None
                                            self.start_value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:range'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.end_value is not None:
                                                return True

                                            if self.in_ is not None:
                                                return True

                                            if self.start_value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:discard'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.attibute_type is not None and self.attibute_type._has_data():
                                            return True

                                        if self.range is not None and self.range._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard']['meta_info']


                                class TreatAsWithdraw(object):
                                    """
                                    Treat\-as\-withdraw matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:   :py:class:`Attibute_Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type()
                                        self.attibute_type.parent = self
                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                        self.range.parent = self


                                    class Attibute_Type(object):
                                        """
                                        
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.in_ = None
                                            self.type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:attibute_type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.in_ is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type']['meta_info']


                                    class Range(object):
                                        """
                                        
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.end_value = None
                                            self.in_ = None
                                            self.start_value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:range'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.end_value is not None:
                                                return True

                                            if self.in_ is not None:
                                                return True

                                            if self.start_value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:treat-as-withdraw'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.attibute_type is not None and self.attibute_type._has_data():
                                            return True

                                        if self.range is not None and self.range._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:path-attribute'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.discard is not None and self.discard._has_data():
                                        return True

                                    if self.treat_as_withdraw is not None and self.treat_as_withdraw._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute']['meta_info']


                            class RouteMap(object):
                                """
                                Apply route map to neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap.InoutEnum>`
                                
                                .. attribute:: route_map_name
                                
                                	
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.route_map_name = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:route-map[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.route_map_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap']['meta_info']


                            class SendCommunity(object):
                                """
                                Send Community attribute to this neighbor
                                
                                .. attribute:: send_community_where
                                
                                	
                                	**type**\:   :py:class:`SendCommunityWhereEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity.SendCommunityWhereEnum>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.send_community_where = None

                                class SendCommunityWhereEnum(Enum):
                                    """
                                    SendCommunityWhereEnum

                                    .. data:: both = 0

                                    .. data:: extended = 1

                                    .. data:: standard = 2

                                    """

                                    both = 0

                                    extended = 1

                                    standard = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity.SendCommunityWhereEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:send-community'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.send_community_where is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity']['meta_info']


                            class SendLabel(object):
                                """
                                Send NLRI + MPLS Label to this peer
                                
                                .. attribute:: send_label_explicit
                                
                                	
                                	**type**\:   :py:class:`SendLabelExplicitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel.SendLabelExplicitEnum>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.send_label_explicit = None

                                class SendLabelExplicitEnum(Enum):
                                    """
                                    SendLabelExplicitEnum

                                    .. data:: explicit_null = 0

                                    """

                                    explicit_null = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel.SendLabelExplicitEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:send-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.send_label_explicit is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel']['meta_info']


                            class SlowPeer(object):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:   :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:   :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.detection = None
                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self


                                class Detection(object):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\:  int
                                    
                                    	**range:** 120..3600
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:detection'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.Detection']['meta_info']


                                class SplitUpdateGroup(object):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None


                                    class Dynamic(object):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.permanent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:dynamic'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.permanent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:split-update-group'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None and self.dynamic._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:slow-peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.detection is not None and self.detection._has_data():
                                        return True

                                    if self.split_update_group is not None and self.split_update_group._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer']['meta_info']


                            class Timers(object):
                                """
                                BGP per neighbor timers
                                
                                .. attribute:: holdtime
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: keepalive_interval
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: minimum_neighbor_hold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.holdtime = None
                                    self.keepalive_interval = None
                                    self.minimum_neighbor_hold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:timers'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.holdtime is not None:
                                        return True

                                    if self.keepalive_interval is not None:
                                        return True

                                    if self.minimum_neighbor_hold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers']['meta_info']


                            class TranslateUpdate(object):
                                """
                                Translate Update to MBGP format
                                
                                .. attribute:: ipv4
                                
                                	Address Family
                                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4()
                                    self.ipv4.parent = self


                                class Ipv4(object):
                                    """
                                    Address Family
                                    
                                    .. attribute:: multicast
                                    
                                    	Address Family modifier
                                    	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.multicast = None


                                    class Multicast(object):
                                        """
                                        Address Family modifier
                                        
                                        .. attribute:: unicast
                                        
                                        	Address Family modifier
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.unicast = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:multicast'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.unicast is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4.Multicast']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ipv4'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.multicast is not None and self.multicast._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:translate-update'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None and self.ipv4._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate']['meta_info']


                            class Transport(object):
                                """
                                Transport options
                                
                                .. attribute:: connection_mode
                                
                                	Specify passive or active connection
                                	**type**\:   :py:class:`ConnectionModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.ConnectionModeEnum>`
                                
                                .. attribute:: multi_session
                                
                                	Use Multi\-session for transport
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.PathMtuDiscovery>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.connection_mode = None
                                    self.multi_session = None
                                    self.path_mtu_discovery = None

                                class ConnectionModeEnum(Enum):
                                    """
                                    ConnectionModeEnum

                                    Specify passive or active connection

                                    .. data:: active = 0

                                    .. data:: passive = 1

                                    """

                                    active = 0

                                    passive = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.ConnectionModeEnum']



                                class PathMtuDiscovery(object):
                                    """
                                    Use transport path MTU discovery
                                    
                                    .. attribute:: disable
                                    
                                    	disable
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:path-mtu-discovery'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.PathMtuDiscovery']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:transport'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.connection_mode is not None:
                                        return True

                                    if self.multi_session is not None:
                                        return True

                                    if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport']['meta_info']


                            class TtlSecurity(object):
                                """
                                BGP ttl security check
                                
                                .. attribute:: hops
                                
                                	IP hops
                                	**type**\:  int
                                
                                	**range:** 1..254
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.hops = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ttl-security'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.hops is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity']['meta_info']


                            class UpdateSource(object):
                                """
                                Source of routing updates
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.AtmAcrsubinterface>`
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.AtmSubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\:  str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\:  str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\:  str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\:  str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\:  str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  int
                                
                                	**range:** 0..65520
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LispSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\:  str
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\:  str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\:  str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.appnav_compress = None
                                    self.appnav_uncompress = None
                                    self.atm = None
                                    self.atm_acr = None
                                    self.atm_acrsubinterface = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.AtmAcrsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self.atm_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.AtmSubinterface()
                                    self.atm_subinterface.parent = self
                                    self.bdi = None
                                    self.cellular = None
                                    self.cem = None
                                    self.cem_acr = None
                                    self.embedded_service_engine = None
                                    self.fastethernet = None
                                    self.gigabitethernet = None
                                    self.lisp = None
                                    self.lisp_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LispSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self.loopback = None
                                    self.multilink = None
                                    self.nve = None
                                    self.overlay = None
                                    self.port_channel = None
                                    self.port_channel_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self.pseudowire = None
                                    self.serial = None
                                    self.sm = None
                                    self.tengigabitethernet = None
                                    self.tunnel = None
                                    self.vasileft = None
                                    self.vasiright = None
                                    self.virtual_template = None
                                    self.virtualportgroup = None
                                    self.vlan = None


                                class AtmSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.AtmSubinterface']['meta_info']


                                class AtmAcrsubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm_acr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-ACRsubinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm_acr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.AtmAcrsubinterface']['meta_info']


                                class LispSubinterface(object):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:LISP-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LispSubinterface']['meta_info']


                                class PortChannelSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.port_channel = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:Port-channel-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.port_channel is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:update-source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.appnav_compress is not None:
                                        return True

                                    if self.appnav_uncompress is not None:
                                        return True

                                    if self.atm is not None:
                                        return True

                                    if self.atm_acr is not None:
                                        return True

                                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                        return True

                                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                        return True

                                    if self.bdi is not None:
                                        return True

                                    if self.cellular is not None:
                                        return True

                                    if self.cem is not None:
                                        return True

                                    if self.cem_acr is not None:
                                        return True

                                    if self.embedded_service_engine is not None:
                                        return True

                                    if self.fastethernet is not None:
                                        return True

                                    if self.gigabitethernet is not None:
                                        return True

                                    if self.lisp is not None:
                                        return True

                                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                        return True

                                    if self.loopback is not None:
                                        return True

                                    if self.multilink is not None:
                                        return True

                                    if self.nve is not None:
                                        return True

                                    if self.overlay is not None:
                                        return True

                                    if self.port_channel is not None:
                                        return True

                                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                        return True

                                    if self.pseudowire is not None:
                                        return True

                                    if self.serial is not None:
                                        return True

                                    if self.sm is not None:
                                        return True

                                    if self.tengigabitethernet is not None:
                                        return True

                                    if self.tunnel is not None:
                                        return True

                                    if self.vasileft is not None:
                                        return True

                                    if self.vasiright is not None:
                                        return True

                                    if self.virtual_template is not None:
                                        return True

                                    if self.virtualportgroup is not None:
                                        return True

                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource']['meta_info']


                            class HaMode(object):
                                """
                                high availability mode
                                
                                .. attribute:: graceful_restart
                                
                                	graceful\-restart for this peer
                                	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.GracefulRestart>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: sso
                                
                                	stateful\-switchover support for this peer
                                	**type**\:   :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.graceful_restart = None
                                    self.sso = None


                                class GracefulRestart(object):
                                    """
                                    graceful\-restart for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable graceful\-restart
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:graceful-restart'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.GracefulRestart']['meta_info']


                                class Sso(object):
                                    """
                                    stateful\-switchover support for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable stateful\-switchover
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:sso'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.Sso']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ha-mode'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.graceful_restart is not None and self.graceful_restart._has_data():
                                        return True

                                    if self.sso is not None and self.sso._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:neighbor[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.activate is not None:
                                    return True

                                if self.additional_paths is not None and self.additional_paths._has_data():
                                    return True

                                if self.advertise is not None and self.advertise._has_data():
                                    return True

                                if self.advertise_map is not None and self.advertise_map._has_data():
                                    return True

                                if self.advertisement_interval is not None:
                                    return True

                                if self.aigp is not None and self.aigp._has_data():
                                    return True

                                if self.allow_policy is not None:
                                    return True

                                if self.allowas_in is not None and self.allowas_in._has_data():
                                    return True

                                if self.announce is not None and self.announce._has_data():
                                    return True

                                if self.as_override is not None and self.as_override._has_data():
                                    return True

                                if self.capability is not None and self.capability._has_data():
                                    return True

                                if self.cluster_id is not None:
                                    return True

                                if self.default_originate is not None and self.default_originate._has_data():
                                    return True

                                if self.description is not None:
                                    return True

                                if self.disable_connected_check is not None:
                                    return True

                                if self.distribute_list is not None:
                                    for child_ref in self.distribute_list:
                                        if child_ref._has_data():
                                            return True

                                if self.dmzlink_bw is not None:
                                    return True

                                if self.ebgp_multihop is not None and self.ebgp_multihop._has_data():
                                    return True

                                if self.fall_over is not None and self.fall_over._has_data():
                                    return True

                                if self.filter_list is not None:
                                    for child_ref in self.filter_list:
                                        if child_ref._has_data():
                                            return True

                                if self.ha_mode is not None and self.ha_mode._has_data():
                                    return True

                                if self.inherit is not None and self.inherit._has_data():
                                    return True

                                if self.local_as is not None and self.local_as._has_data():
                                    return True

                                if self.log_neighbor_changes is not None and self.log_neighbor_changes._has_data():
                                    return True

                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                    return True

                                if self.next_hop_self is not None:
                                    return True

                                if self.next_hop_unchanged is not None:
                                    return True

                                if self.password is not None and self.password._has_data():
                                    return True

                                if self.path_attribute is not None and self.path_attribute._has_data():
                                    return True

                                if self.peer_group is not None and self.peer_group._has_data():
                                    return True

                                if self.prefix_list is not None:
                                    for child_ref in self.prefix_list:
                                        if child_ref._has_data():
                                            return True

                                if self.remote_as is not None:
                                    return True

                                if self.remove_private_as is not None:
                                    return True

                                if self.route_map is not None:
                                    for child_ref in self.route_map:
                                        if child_ref._has_data():
                                            return True

                                if self.route_reflector_client is not None:
                                    return True

                                if self.route_reflector_cluster_id is not None:
                                    return True

                                if self.send_community is not None and self.send_community._has_data():
                                    return True

                                if self.send_label is not None and self.send_label._has_data():
                                    return True

                                if self.shutdown is not None:
                                    return True

                                if self.slow_peer is not None and self.slow_peer._has_data():
                                    return True

                                if self.soft_reconfiguration is not None:
                                    return True

                                if self.timers is not None and self.timers._has_data():
                                    return True

                                if self.translate_update is not None and self.translate_update._has_data():
                                    return True

                                if self.transport is not None and self.transport._has_data():
                                    return True

                                if self.ttl_security is not None and self.ttl_security._has_data():
                                    return True

                                if self.unsuppress_map is not None:
                                    return True

                                if self.update_source is not None and self.update_source._has_data():
                                    return True

                                if self.version is not None:
                                    return True

                                if self.weight is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor']['meta_info']


                        class Network(object):
                            """
                            Specify a network to announce via BGP
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: backdoor
                            
                            	Specify a BGP backdoor route
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	Network mask
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: route_map
                            
                            	Route\-map to modify the attributes
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.number = None
                                self.backdoor = None
                                self.mask = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.number is None:
                                    raise YPYModelError('Key property number is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:network[Cisco-IOS-XE-bgp:number = ' + str(self.number) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.number is not None:
                                    return True

                                if self.backdoor is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Network']['meta_info']


                        class Redistribute(object):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Application>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp_>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: dvmrp
                            
                            	Redistribution of DVMRP into BGP IPv4 Multicast
                            	**type**\:   :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Dvmrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:   :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis>`
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp>`
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol
                            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.application = None
                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp_()
                                self.bgp.parent = self
                                self.connected = None
                                self.dvmrp = None
                                self.eigrp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp()
                                self.eigrp.parent = self
                                self.isis = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis()
                                self.isis.parent = self
                                self.iso_igrp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp()
                                self.iso_igrp.parent = self
                                self.lisp = None
                                self.mobile = None
                                self.odr = None
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.rip = None
                                self.static = None


                            class Application(object):
                                """
                                Application
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Application.Name>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.name = YList()
                                    self.name.parent = self
                                    self.name.name = 'name'


                                class Name(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	WORD;;Route map name
                                    	**type**\:  str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:name[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Application.Name']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:application'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.name is not None:
                                        for child_ref in self.name:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Application']['meta_info']


                            class Bgp_(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_no = None
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_no is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp_']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Connected']['meta_info']


                            class Dvmrp(object):
                                """
                                Redistribution of DVMRP into BGP IPv4 Multicast
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:dvmrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Dvmrp']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_no = None
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:eigrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_no is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp']['meta_info']


                            class Isis(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default>`
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default()
                                    self.default.parent = self
                                    self.isis_area = YList()
                                    self.isis_area.parent = self
                                    self.isis_area.name = 'isis_area'


                                class IsisArea(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:   :py:class:`RoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea.RoutesEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.clns = None
                                        self.ip = None
                                        self.metric = None
                                        self.route_map = None
                                        self.routes = None

                                    class RoutesEnum(Enum):
                                        """
                                        RoutesEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = 0

                                        level_2 = 1

                                        level_1_2 = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea.RoutesEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:isis-area[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.clns is not None:
                                            return True

                                        if self.ip is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.routes is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea']['meta_info']


                                class Default(object):
                                    """
                                    
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:   :py:class:`RoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default.RoutesEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.clns = None
                                        self.ip = None
                                        self.metric = None
                                        self.route_map = None
                                        self.routes = None

                                    class RoutesEnum(Enum):
                                        """
                                        RoutesEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = 0

                                        level_2 = 1

                                        level_1_2 = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default.RoutesEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.clns is not None:
                                            return True

                                        if self.ip is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.routes is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:isis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.isis_area is not None:
                                        for child_ref in self.isis_area:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis']['meta_info']


                            class Lisp(object):
                                """
                                Locator/ID Separation Protocol
                                
                                .. attribute:: include_connected
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.include_connected = None
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:lisp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.include_connected is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Lisp']['meta_info']


                            class IsoIgrp(object):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default>`
                                
                                .. attribute:: iso_igrp_area
                                
                                	
                                	**type**\: list of    :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.IsoIgrpArea>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default()
                                    self.default.parent = self
                                    self.iso_igrp_area = YList()
                                    self.iso_igrp_area.parent = self
                                    self.iso_igrp_area.name = 'iso_igrp_area'


                                class IsoIgrpArea(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:iso-igrp-area[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.IsoIgrpArea']['meta_info']


                                class Default(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:iso-igrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.iso_igrp_area is not None:
                                        for child_ref in self.iso_igrp_area:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp']['meta_info']


                            class Mobile(object):
                                """
                                Mobile routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:mobile'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Mobile']['meta_info']


                            class Odr(object):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:odr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Odr']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: non_vrf
                                
                                	
                                	**type**\:   :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf>`
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.non_vrf = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf()
                                    self.non_vrf.parent = self
                                    self.vrf = YList()
                                    self.vrf.parent = self
                                    self.vrf.name = 'vrf'


                                class Vrf(object):
                                    """
                                    VPN Routing/Forwarding Instance
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf.Match()
                                        self.match.parent = self
                                        self.metric = None
                                        self.route_map = None


                                    class Match(object):
                                        """
                                        
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:match'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf.Match']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:vrf[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.match is not None and self.match._has_data():
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf']['meta_info']


                                class NonVrf(object):
                                    """
                                    
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match()
                                        self.match.parent = self
                                        self.metric = None
                                        self.route_map = None


                                    class Match(object):
                                        """
                                        
                                        
                                        .. attribute:: external
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: external2
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: internal
                                        
                                        	Redistribute OSPF internal routes
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: nssa_external
                                        
                                        	Redistribute OSPF NSSA external routes
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.external = None
                                            self.external2 = None
                                            self.internal = None
                                            self.metric = None
                                            self.nssa_external = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:match'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.external is not None:
                                                return True

                                            if self.external2 is not None:
                                                return True

                                            if self.internal is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.nssa_external is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:non-vrf'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.match is not None and self.match._has_data():
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ospf[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.non_vrf is not None and self.non_vrf._has_data():
                                        return True

                                    if self.vrf is not None:
                                        for child_ref in self.vrf:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:rip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: clns
                                
                                	Redistribution of OSI dynamic routes
                                	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.clns = None
                                    self.ip = None
                                    self.metric = None
                                    self.route_map = None


                                class Clns(object):
                                    """
                                    Redistribution of OSI dynamic routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:clns'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Clns']['meta_info']


                                class Ip(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Ip']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.clns is not None and self.clns._has_data():
                                        return True

                                    if self.ip is not None and self.ip._has_data():
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:redistribute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.application is not None and self.application._has_data():
                                    return True

                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.dvmrp is not None and self.dvmrp._has_data():
                                    return True

                                if self.eigrp is not None and self.eigrp._has_data():
                                    return True

                                if self.isis is not None and self.isis._has_data():
                                    return True

                                if self.iso_igrp is not None and self.iso_igrp._has_data():
                                    return True

                                if self.lisp is not None and self.lisp._has_data():
                                    return True

                                if self.mobile is not None and self.mobile._has_data():
                                    return True

                                if self.odr is not None and self.odr._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None and self.rip._has_data():
                                    return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute']['meta_info']


                        class TableMap(object):
                            """
                            Map external entry attributes into routing table
                            
                            .. attribute:: filter
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: name
                            
                            	WORD;;route\-map name
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.filter = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:table-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.filter is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.TableMap']['meta_info']


                        class Snmp(object):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\:   :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.context = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context()
                                self.context.parent = self


                            class Context(object):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: context_word
                                
                                	
                                	**type**\: list of    :py:class:`Context_Word <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context.Context_Word>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.context_word = YList()
                                    self.context_word.parent = self
                                    self.context_word.name = 'context_word'


                                class Context_Word(object):
                                    """
                                    
                                    
                                    .. attribute:: context_word  <key>
                                    
                                    	Context Name
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.context_word = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.context_word is None:
                                            raise YPYModelError('Key property context_word is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:context_word[Cisco-IOS-XE-bgp:context_word = ' + str(self.context_word) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.context_word is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context.Context_Word']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:context'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.context_word is not None:
                                        for child_ref in self.context_word:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:snmp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.context is not None and self.context._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.af_name is None:
                                raise YPYModelError('Key property af_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:vpnv6[Cisco-IOS-XE-bgp:af-name = ' + str(self.af_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.af_name is not None:
                                return True

                            if self.auto_summary is not None:
                                return True

                            if self.bgp is not None and self.bgp._has_data():
                                return True

                            if self.default_information is not None and self.default_information._has_data():
                                return True

                            if self.default_metric is not None:
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.distribute_list is not None:
                                for child_ref in self.distribute_list:
                                    if child_ref._has_data():
                                        return True

                            if self.maximum_paths is not None and self.maximum_paths._has_data():
                                return True

                            if self.neighbor is not None:
                                for child_ref in self.neighbor:
                                    if child_ref._has_data():
                                        return True

                            if self.network is not None:
                                for child_ref in self.network:
                                    if child_ref._has_data():
                                        return True

                            if self.redistribute is not None and self.redistribute._has_data():
                                return True

                            if self.snmp is not None and self.snmp._has_data():
                                return True

                            if self.synchronization is not None:
                                return True

                            if self.table_map is not None and self.table_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6']['meta_info']


                    class Nsap(object):
                        """
                        Address family
                        
                        .. attribute:: af_name  <key>
                        
                        	
                        	**type**\:   :py:class:`AfNameEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.AfNameEnum>`
                        
                        .. attribute:: auto_summary
                        
                        	Enable automatic network number summarization
                        	**type**\:  bool
                        
                        .. attribute:: bgp
                        
                        	BGP specific commands
                        	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance>`
                        
                        .. attribute:: distribute_list
                        
                        	Filter networks in routing updates
                        	**type**\: list of    :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:   :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths>`
                        
                        .. attribute:: neighbor
                        
                        	Specify a neighbor router
                        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Specify a network to announce via BGP
                        	**type**\: list of    :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Network>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute>`
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: synchronization
                        
                        	Perform IGP synchronization
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: table_map
                        
                        	Map external entry attributes into routing table
                        	**type**\:   :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.TableMap>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.af_name = None
                            self.auto_summary = None
                            self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_()
                            self.bgp.parent = self
                            self.default_information = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DefaultInformation()
                            self.default_information.parent = self
                            self.default_metric = None
                            self.distance = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance()
                            self.distance.parent = self
                            self.distribute_list = YList()
                            self.distribute_list.parent = self
                            self.distribute_list.name = 'distribute_list'
                            self.maximum_paths = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths()
                            self.maximum_paths.parent = self
                            self.neighbor = YList()
                            self.neighbor.parent = self
                            self.neighbor.name = 'neighbor'
                            self.network = YList()
                            self.network.parent = self
                            self.network.name = 'network'
                            self.redistribute = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute()
                            self.redistribute.parent = self
                            self.snmp = None
                            self.synchronization = None
                            self.table_map = None

                        class AfNameEnum(Enum):
                            """
                            AfNameEnum

                            .. data:: unicast = 0

                            """

                            unicast = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.AfNameEnum']



                        class Bgp_(object):
                            """
                            BGP specific commands
                            
                            .. attribute:: additional_paths
                            
                            	Additional paths in the BGP table
                            	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths>`
                            
                            .. attribute:: advertise_best_external
                            
                            	Advertise best external path to internal peers
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aggregate_timer
                            
                            	Timer interval
                            	**type**\:  int
                            
                            	**range:** 6..60
                            
                            .. attribute:: always_compare_med
                            
                            	Allow comparing MED from different neighbors
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: asnotation
                            
                            	Change the default asplain notation
                            	**type**\:   :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Asnotation>`
                            
                            .. attribute:: bestpath
                            
                            	Change the default bestpath selection
                            	**type**\:   :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath>`
                            
                            .. attribute:: client_to_client
                            
                            	Configure client to client route reflection
                            	**type**\:   :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ClientToClient>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: confederation
                            
                            	AS confederation parameters
                            	**type**\:   :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Confederation>`
                            
                            .. attribute:: consistency_checker
                            
                            	Consistency\-checker
                            	**type**\:   :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ConsistencyChecker>`
                            
                            .. attribute:: dampening
                            
                            	Enable route\-flap dampening
                            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Dampening>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: default
                            
                            	Configure BGP defaults
                            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Default>`
                            
                            .. attribute:: deterministic_med
                            
                            	Pick the best\-MED path among paths advertised from the neighboring AS
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Use DMZ Link Bandwidth as weight for BGP multipaths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enforce_first_as
                            
                            	Enforce the first AS for EBGP routes(default)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enhanced_error
                            
                            	Enabled BGP Enhanced error handling
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fast_external_fallover
                            
                            	Immediately reset session if a link to a directly connected external peer goes down
                            	**type**\:  bool
                            
                            .. attribute:: graceful_restart
                            
                            	Graceful restart capability parameters
                            	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.GracefulRestart>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ha_mode
                            
                            	Select BGP High Availability mode
                            	**type**\:   :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.HaMode>`
                            
                            .. attribute:: inject_map
                            
                            	Routemap which specifies prefixes to inject
                            	**type**\: list of    :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.InjectMap>`
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: maxas_limit
                            
                            	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                            	**type**\:  int
                            
                            	**range:** 1..2000
                            
                            .. attribute:: maxcommunity_limit
                            
                            	Number of communities in the COMMUNITY attribute
                            	**type**\:  int
                            
                            	**range:** 1..1018
                            
                            .. attribute:: nexthop
                            
                            	Nexthop tracking commands
                            	**type**\:   :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Nexthop>`
                            
                            .. attribute:: nopeerup_delay
                            
                            	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                            	**type**\:   :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.NopeerupDelay>`
                            
                            .. attribute:: recursion
                            
                            	recursion rule for the nexthops
                            	**type**\:   :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Recursion>`
                            
                            .. attribute:: redistribute_internal
                            
                            	Allow redistribution of iBGP into IGPs (dangerous)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: regexp
                            
                            	Select regular expression engine
                            	**type**\:   :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Regexp>`
                            
                            .. attribute:: route_map
                            
                            	bgp route\-map commands
                            	**type**\:   :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.RouteMap>`
                            
                            .. attribute:: router_id
                            
                            	Override configured router identifier (peers will reset)
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: scan_time
                            
                            	Configure background scanner interval
                            	**type**\:  int
                            
                            	**range:** 5..60
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:   :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer>`
                            
                            .. attribute:: soft_reconfig_backup
                            
                            	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_inactive
                            
                            	Suppress routes that are not in the routing table
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Transport>`
                            
                            .. attribute:: update_delay
                            
                            	Set the max initial delay for sending update
                            	**type**\:  int
                            
                            	**range:** 1..3600
                            
                            .. attribute:: update_group
                            
                            	Manage peers in bgp update groups
                            	**type**\:   :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.UpdateGroup>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths()
                                self.additional_paths.parent = self
                                self.advertise_best_external = None
                                self.aggregate_timer = None
                                self.always_compare_med = None
                                self.asnotation = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Asnotation()
                                self.asnotation.parent = self
                                self.bestpath = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath()
                                self.bestpath.parent = self
                                self.client_to_client = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ClientToClient()
                                self.client_to_client.parent = self
                                self.cluster_id = None
                                self.confederation = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Confederation()
                                self.confederation.parent = self
                                self.consistency_checker = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ConsistencyChecker()
                                self.consistency_checker.parent = self
                                self.dampening = None
                                self.default = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Default()
                                self.default.parent = self
                                self.deterministic_med = None
                                self.dmzlink_bw = None
                                self.enforce_first_as = None
                                self.enhanced_error = None
                                self.fast_external_fallover = None
                                self.graceful_restart = None
                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.HaMode()
                                self.ha_mode.parent = self
                                self.inject_map = YList()
                                self.inject_map.parent = self
                                self.inject_map.name = 'inject_map'
                                self.log_neighbor_changes = None
                                self.maxas_limit = None
                                self.maxcommunity_limit = None
                                self.nexthop = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Nexthop()
                                self.nexthop.parent = self
                                self.nopeerup_delay = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.NopeerupDelay()
                                self.nopeerup_delay.parent = self
                                self.recursion = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Recursion()
                                self.recursion.parent = self
                                self.redistribute_internal = None
                                self.regexp = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Regexp()
                                self.regexp.parent = self
                                self.route_map = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.RouteMap()
                                self.route_map.parent = self
                                self.router_id = None
                                self.scan_time = None
                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer()
                                self.slow_peer.parent = self
                                self.soft_reconfig_backup = None
                                self.suppress_inactive = None
                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Transport()
                                self.transport.parent = self
                                self.update_delay = None
                                self.update_group = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.UpdateGroup()
                                self.update_group.parent = self


                            class Asnotation(object):
                                """
                                Change the default asplain notation
                                
                                .. attribute:: dot
                                
                                	asdot notation
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dot = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:asnotation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dot is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Asnotation']['meta_info']


                            class NopeerupDelay(object):
                                """
                                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                
                                .. attribute:: cold_boot
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: nsf_switchover
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: post_boot
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: user_initiated
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cold_boot = None
                                    self.nsf_switchover = None
                                    self.post_boot = None
                                    self.user_initiated = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:nopeerup-delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cold_boot is not None:
                                        return True

                                    if self.nsf_switchover is not None:
                                        return True

                                    if self.post_boot is not None:
                                        return True

                                    if self.user_initiated is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.NopeerupDelay']['meta_info']


                            class Recursion(object):
                                """
                                recursion rule for the nexthops
                                
                                .. attribute:: host
                                
                                	recursion via host for the nexthops
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.host = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:recursion'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.host is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Recursion']['meta_info']


                            class AdditionalPaths(object):
                                """
                                Additional paths in the BGP table
                                
                                .. attribute:: install
                                
                                	Additional paths to install into RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: select
                                
                                	Selection criteria to pick the paths
                                	**type**\:   :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to neighbors
                                	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.install = None
                                    self.receive = None
                                    self.select = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select()
                                    self.select.parent = self
                                    self.send = None


                                class Select(object):
                                    """
                                    Selection criteria to pick the paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: backup
                                    
                                    	Select backup path
                                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Best>`
                                    
                                    .. attribute:: best_external
                                    
                                    	Select best\-external path
                                    	**type**\:   :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.BestExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best path
                                    	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.all = None
                                        self.backup = None
                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Best()
                                        self.best.parent = self
                                        self.best_external = None
                                        self.group_best = None


                                    class All(object):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best path
                                        	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All.Best()
                                            self.best.parent = self
                                            self.group_best = None


                                        class Best(object):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All.Best.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = YList()
                                                self.range.parent = self
                                                self.range.name = 'range'


                                            class Range(object):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = None
                                                    self.group_best = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.range is None:
                                                        raise YPYModelError('Key property range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        return True

                                                    if self.group_best is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All.Best.Range']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    for child_ref in self.range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All.Best']['meta_info']


                                        class GroupBest(object):
                                            """
                                            Select group\-best path
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.best = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.best is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All.GroupBest']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:all'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.best is not None and self.best._has_data():
                                                return True

                                            if self.group_best is not None and self.group_best._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.All']['meta_info']


                                    class Backup(object):
                                        """
                                        Select backup path
                                        
                                        .. attribute:: best_external
                                        
                                        	Select best\-external path
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.best_external = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:backup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.best_external is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Backup']['meta_info']


                                    class Best(object):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Best.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.range = YList()
                                            self.range.parent = self
                                            self.range.name = 'range'


                                        class Range(object):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.all = None
                                                self.group_best = None


                                            class GroupBest(object):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.all = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.all is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.range is None:
                                                    raise YPYModelError('Key property range is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.all is not None:
                                                    return True

                                                if self.group_best is not None and self.group_best._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.range is not None:
                                                for child_ref in self.range:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.Best']['meta_info']


                                    class BestExternal(object):
                                        """
                                        Select best\-external path
                                        
                                        .. attribute:: backup
                                        
                                        	Select backup path
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.backup = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.backup is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.BestExternal']['meta_info']


                                    class GroupBest(object):
                                        """
                                        Select group\-best path
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\:  int
                                        
                                        	**range:** 2..3
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.all = None
                                            self.best = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.all is not None:
                                                return True

                                            if self.best is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select.GroupBest']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:select'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.all is not None and self.all._has_data():
                                            return True

                                        if self.backup is not None and self.backup._has_data():
                                            return True

                                        if self.best is not None and self.best._has_data():
                                            return True

                                        if self.best_external is not None and self.best_external._has_data():
                                            return True

                                        if self.group_best is not None and self.group_best._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Select']['meta_info']


                                class Send(object):
                                    """
                                    Send additional paths to neighbors
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.receive = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.receive is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths.Send']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.install is not None:
                                        return True

                                    if self.receive is not None:
                                        return True

                                    if self.select is not None and self.select._has_data():
                                        return True

                                    if self.send is not None and self.send._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.AdditionalPaths']['meta_info']


                            class Bestpath(object):
                                """
                                Change the default bestpath selection
                                
                                .. attribute:: compare_routerid
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: cost_community
                                
                                	cost community
                                	**type**\:   :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.CostCommunity>`
                                
                                .. attribute:: igp_metric
                                
                                	igp metric
                                	**type**\:   :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.IgpMetric>`
                                
                                .. attribute:: med
                                
                                	MED attribute
                                	**type**\:   :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.Med>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.compare_routerid = None
                                    self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.CostCommunity()
                                    self.cost_community.parent = self
                                    self.igp_metric = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.IgpMetric()
                                    self.igp_metric.parent = self
                                    self.med = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.Med()
                                    self.med.parent = self


                                class CostCommunity(object):
                                    """
                                    cost community
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore cost communities in bestpath selection
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:cost-community'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.CostCommunity']['meta_info']


                                class IgpMetric(object):
                                    """
                                    igp metric
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore igp metric in bestpath selection
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:igp-metric'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.IgpMetric']['meta_info']


                                class Med(object):
                                    """
                                    MED attribute
                                    
                                    .. attribute:: confed
                                    
                                    	Compare MED among confederation paths
                                    	**type**\:   :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.Med.Confed>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: missing_at_worst
                                    
                                    	Treat missing MED as the least preferred one
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.confed = None
                                        self.missing_at_worst = None


                                    class Confed(object):
                                        """
                                        Compare MED among confederation paths
                                        
                                        .. attribute:: missing_at_worst
                                        
                                        	Treat missing MED as the least preferred one
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.missing_at_worst = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:confed'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.missing_at_worst is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.Med.Confed']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:med'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.confed is not None and self.confed._has_data():
                                            return True

                                        if self.missing_at_worst is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath.Med']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bestpath'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.compare_routerid is not None:
                                        return True

                                    if self.cost_community is not None and self.cost_community._has_data():
                                        return True

                                    if self.igp_metric is not None and self.igp_metric._has_data():
                                        return True

                                    if self.med is not None and self.med._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Bestpath']['meta_info']


                            class ClientToClient(object):
                                """
                                Configure client to client route reflection
                                
                                .. attribute:: reflection
                                
                                	reflection of routes allowed
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.reflection = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:client-to-client'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.reflection is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ClientToClient']['meta_info']


                            class Confederation(object):
                                """
                                AS confederation parameters
                                
                                .. attribute:: identifier
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: peers
                                
                                	Peer ASs in BGP confederation
                                	**type**\:   :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Confederation.Peers>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.identifier = None
                                    self.peers = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Confederation.Peers()
                                    self.peers.parent = self


                                class Peers(object):
                                    """
                                    Peer ASs in BGP confederation
                                    
                                    .. attribute:: peers_as
                                    
                                    	
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.peers_as = YLeafList()
                                        self.peers_as.parent = self
                                        self.peers_as.name = 'peers_as'

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:peers'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.peers_as is not None:
                                            for child in self.peers_as:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Confederation.Peers']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:confederation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.identifier is not None:
                                        return True

                                    if self.peers is not None and self.peers._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Confederation']['meta_info']


                            class ConsistencyChecker(object):
                                """
                                Consistency\-checker
                                
                                .. attribute:: auto_repair
                                
                                	Auto\-Repair
                                	**type**\:   :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ConsistencyChecker.AutoRepair>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: error_message
                                
                                	Log Error\-Msg
                                	**type**\:   :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ConsistencyChecker.ErrorMessage>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.auto_repair = None
                                    self.error_message = None


                                class AutoRepair(object):
                                    """
                                    Auto\-Repair
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\:  int
                                    
                                    	**range:** 5..1440
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:auto-repair'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ConsistencyChecker.AutoRepair']['meta_info']


                                class ErrorMessage(object):
                                    """
                                    Log Error\-Msg
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\:  int
                                    
                                    	**range:** 5..1440
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:error-message'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ConsistencyChecker.ErrorMessage']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:consistency-checker'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.auto_repair is not None and self.auto_repair._has_data():
                                        return True

                                    if self.error_message is not None and self.error_message._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.ConsistencyChecker']['meta_info']


                            class Dampening(object):
                                """
                                Enable route\-flap dampening
                                
                                .. attribute:: dampen
                                
                                	
                                	**type**\:   :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Dampening.Dampen>`
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria for dampening
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.dampen = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Dampening.Dampen()
                                    self.dampen.parent = self
                                    self.route_map = None


                                class Dampen(object):
                                    """
                                    
                                    
                                    .. attribute:: half_life_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..45
                                    
                                    .. attribute:: max_suppress_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: reuse_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..20000
                                    
                                    .. attribute:: suppress_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..20000
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.half_life_time = None
                                        self.max_suppress_time = None
                                        self.reuse_time = None
                                        self.suppress_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:dampen'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.half_life_time is not None:
                                            return True

                                        if self.max_suppress_time is not None:
                                            return True

                                        if self.reuse_time is not None:
                                            return True

                                        if self.suppress_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Dampening.Dampen']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:dampening'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.dampen is not None and self.dampen._has_data():
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Dampening']['meta_info']


                            class Default(object):
                                """
                                Configure BGP defaults
                                
                                .. attribute:: ipv4_unicast
                                
                                	Activate ipv4\-unicast for a peer by default
                                	**type**\:  bool
                                
                                .. attribute:: ipv6_nexthop
                                
                                	Default IPv6 nexthop format
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: local_preference
                                
                                	local preference (higher=more preferred)
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: route_target
                                
                                	Control behavior based on Route\-Target attributes
                                	**type**\:   :py:class:`RouteTargetEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Default.RouteTargetEnum>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_unicast = None
                                    self.ipv6_nexthop = None
                                    self.local_preference = None
                                    self.route_target = None

                                class RouteTargetEnum(Enum):
                                    """
                                    RouteTargetEnum

                                    Control behavior based on Route\-Target attributes

                                    .. data:: filter = 0

                                    """

                                    filter = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Default.RouteTargetEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_unicast is not None:
                                        return True

                                    if self.ipv6_nexthop is not None:
                                        return True

                                    if self.local_preference is not None:
                                        return True

                                    if self.route_target is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Default']['meta_info']


                            class GracefulRestart(object):
                                """
                                Graceful restart capability parameters
                                
                                .. attribute:: extended
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: restart_time
                                
                                	Set the max time needed to restart and come back up
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: stalepath_time
                                
                                	Set the max time to hold onto restarting peer's stale paths
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.extended = None
                                    self.restart_time = None
                                    self.stalepath_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:graceful-restart'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.extended is not None:
                                        return True

                                    if self.restart_time is not None:
                                        return True

                                    if self.stalepath_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.GracefulRestart']['meta_info']


                            class HaMode(object):
                                """
                                Select BGP High Availability mode
                                
                                .. attribute:: sso
                                
                                	BGP High Availability NSR sso mode
                                	**type**\:   :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.sso = None


                                class Sso(object):
                                    """
                                    BGP High Availability NSR sso mode
                                    
                                    .. attribute:: prefer
                                    
                                    	Perfer BGP High Availability NSR sso mode
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.prefer = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:sso'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.prefer is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.HaMode.Sso']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ha-mode'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.sso is not None and self.sso._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.HaMode']['meta_info']


                            class InjectMap(object):
                                """
                                Routemap which specifies prefixes to inject
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: copy_attributes
                                
                                	Copy attributes from aggregate
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: exist_map
                                
                                	Routemap which specifies exist condition
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.copy_attributes = None
                                    self.exist_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:inject-map[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.copy_attributes is not None:
                                        return True

                                    if self.exist_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.InjectMap']['meta_info']


                            class RouteMap(object):
                                """
                                bgp route\-map commands
                                
                                .. attribute:: priority
                                
                                	Have route\-map set commands take priority over BGP commands such 
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.priority = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:route-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.priority is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.RouteMap']['meta_info']


                            class SlowPeer(object):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:   :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:   :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.detection = None
                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self


                                class Detection(object):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: disable
                                    
                                    	Disable slow\-peer detection
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\:  int
                                    
                                    	**range:** 120..3600
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:detection'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer.Detection']['meta_info']


                                class SplitUpdateGroup(object):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None


                                    class Dynamic(object):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.permanent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:dynamic'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.permanent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:split-update-group'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None and self.dynamic._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:slow-peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.detection is not None and self.detection._has_data():
                                        return True

                                    if self.split_update_group is not None and self.split_update_group._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.SlowPeer']['meta_info']


                            class UpdateGroup(object):
                                """
                                Manage peers in bgp update groups
                                
                                .. attribute:: split
                                
                                	Split update groups based on Policy
                                	**type**\:   :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.UpdateGroup.Split>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.split = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.UpdateGroup.Split()
                                    self.split.parent = self


                                class Split(object):
                                    """
                                    Split update groups based on Policy
                                    
                                    .. attribute:: as_override
                                    
                                    	Keep peers with as\-override in different update groups
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_override = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:split'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.as_override is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.UpdateGroup.Split']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:update-group'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.split is not None and self.split._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.UpdateGroup']['meta_info']


                            class Nexthop(object):
                                """
                                Nexthop tracking commands
                                
                                .. attribute:: route_map
                                
                                	Route map for valid nexthops
                                	**type**\:  str
                                
                                .. attribute:: trigger
                                
                                	Nexthop triggering
                                	**type**\:   :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Nexthop.Trigger>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.route_map = None
                                    self.trigger = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Nexthop.Trigger()
                                    self.trigger.parent = self


                                class Trigger(object):
                                    """
                                    Nexthop triggering
                                    
                                    .. attribute:: delay
                                    
                                    	Set the delay to tigger nexthop tracking
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: enable
                                    
                                    	Enable nexthop tracking
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.delay = None
                                        self.enable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:trigger'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.delay is not None:
                                            return True

                                        if self.enable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Nexthop.Trigger']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:nexthop'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.route_map is not None:
                                        return True

                                    if self.trigger is not None and self.trigger._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Nexthop']['meta_info']


                            class Regexp(object):
                                """
                                Select regular expression engine
                                
                                .. attribute:: deterministic
                                
                                	Enable bounded\-execution\-time regular expression engine
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.deterministic = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:regexp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.deterministic is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Regexp']['meta_info']


                            class Transport(object):
                                """
                                Transport options
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.path_mtu_discovery = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:transport'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.path_mtu_discovery is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_.Transport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.additional_paths is not None and self.additional_paths._has_data():
                                    return True

                                if self.advertise_best_external is not None:
                                    return True

                                if self.aggregate_timer is not None:
                                    return True

                                if self.always_compare_med is not None:
                                    return True

                                if self.asnotation is not None and self.asnotation._has_data():
                                    return True

                                if self.bestpath is not None and self.bestpath._has_data():
                                    return True

                                if self.client_to_client is not None and self.client_to_client._has_data():
                                    return True

                                if self.cluster_id is not None:
                                    return True

                                if self.confederation is not None and self.confederation._has_data():
                                    return True

                                if self.consistency_checker is not None and self.consistency_checker._has_data():
                                    return True

                                if self.dampening is not None and self.dampening._has_data():
                                    return True

                                if self.default is not None and self.default._has_data():
                                    return True

                                if self.deterministic_med is not None:
                                    return True

                                if self.dmzlink_bw is not None:
                                    return True

                                if self.enforce_first_as is not None:
                                    return True

                                if self.enhanced_error is not None:
                                    return True

                                if self.fast_external_fallover is not None:
                                    return True

                                if self.graceful_restart is not None and self.graceful_restart._has_data():
                                    return True

                                if self.ha_mode is not None and self.ha_mode._has_data():
                                    return True

                                if self.inject_map is not None:
                                    for child_ref in self.inject_map:
                                        if child_ref._has_data():
                                            return True

                                if self.log_neighbor_changes is not None:
                                    return True

                                if self.maxas_limit is not None:
                                    return True

                                if self.maxcommunity_limit is not None:
                                    return True

                                if self.nexthop is not None and self.nexthop._has_data():
                                    return True

                                if self.nopeerup_delay is not None and self.nopeerup_delay._has_data():
                                    return True

                                if self.recursion is not None and self.recursion._has_data():
                                    return True

                                if self.redistribute_internal is not None:
                                    return True

                                if self.regexp is not None and self.regexp._has_data():
                                    return True

                                if self.route_map is not None and self.route_map._has_data():
                                    return True

                                if self.router_id is not None:
                                    return True

                                if self.scan_time is not None:
                                    return True

                                if self.slow_peer is not None and self.slow_peer._has_data():
                                    return True

                                if self.soft_reconfig_backup is not None:
                                    return True

                                if self.suppress_inactive is not None:
                                    return True

                                if self.transport is not None and self.transport._has_data():
                                    return True

                                if self.update_delay is not None:
                                    return True

                                if self.update_group is not None and self.update_group._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp_']['meta_info']


                        class DefaultInformation(object):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.originate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:default-information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.originate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DefaultInformation']['meta_info']


                        class Distance(object):
                            """
                            Define an administrative distance
                            
                            .. attribute:: adm_distance
                            
                            	
                            	**type**\: list of    :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.AdmDistance>`
                            
                            .. attribute:: bgp
                            
                            	BGP distance
                            	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.Bgp_>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.adm_distance = YList()
                                self.adm_distance.parent = self
                                self.adm_distance.name = 'adm_distance'
                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.Bgp_()
                                self.bgp.parent = self


                            class Bgp_(object):
                                """
                                BGP distance
                                
                                .. attribute:: extern_as
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: internal_as
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: local
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.extern_as = None
                                    self.internal_as = None
                                    self.local = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.extern_as is not None:
                                        return True

                                    if self.internal_as is not None:
                                        return True

                                    if self.local is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.Bgp_']['meta_info']


                            class AdmDistance(object):
                                """
                                
                                
                                .. attribute:: distance  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: srcip  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildbits  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: acl
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..99
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 1300..1999
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.distance = None
                                    self.srcip = None
                                    self.wildbits = None
                                    self.acl = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.distance is None:
                                        raise YPYModelError('Key property distance is None')
                                    if self.srcip is None:
                                        raise YPYModelError('Key property srcip is None')
                                    if self.wildbits is None:
                                        raise YPYModelError('Key property wildbits is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:adm-distance[Cisco-IOS-XE-bgp:distance = ' + str(self.distance) + '][Cisco-IOS-XE-bgp:srcip = ' + str(self.srcip) + '][Cisco-IOS-XE-bgp:wildbits = ' + str(self.wildbits) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.distance is not None:
                                        return True

                                    if self.srcip is not None:
                                        return True

                                    if self.wildbits is not None:
                                        return True

                                    if self.acl is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.AdmDistance']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.adm_distance is not None:
                                    for child_ref in self.adm_distance:
                                        if child_ref._has_data():
                                            return True

                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance']['meta_info']


                        class DistributeList(object):
                            """
                            Filter networks in routing updates
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 100..199
                            
                            
                            ----
                            	**type**\:  int
                            
                            	**range:** 2000..2699
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	Filter incoming routing updates
                            	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList.In_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: out
                            
                            	Filter outgoing routing updates
                            	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList.Out>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.in_ = None
                                self.out = None


                            class In_(object):
                                """
                                Filter incoming routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:in'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList.In_']['meta_info']


                            class Out(object):
                                """
                                Filter outgoing routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:out'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList.Out']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:distribute-list[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.in_ is not None and self.in_._has_data():
                                    return True

                                if self.out is not None and self.out._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList']['meta_info']


                        class MaximumPaths(object):
                            """
                            Forward packets over multiple paths
                            
                            .. attribute:: eibgp
                            
                            	Both eBGP and iBGP paths as multipath
                            	**type**\:   :py:class:`Eibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp>`
                            
                            .. attribute:: external_rtfilter
                            
                            	VPN prefix multipath on external RTFilter peers
                            	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter>`
                            
                            .. attribute:: ibgp
                            
                            	iBGP\-multipath
                            	**type**\:   :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp>`
                            
                            .. attribute:: max_path
                            
                            	
                            	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eibgp = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp()
                                self.eibgp.parent = self
                                self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter()
                                self.external_rtfilter.parent = self
                                self.ibgp = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp()
                                self.ibgp.parent = self
                                self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath()
                                self.max_path.parent = self


                            class MaxPath(object):
                                """
                                
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath']['meta_info']


                            class ExternalRtfilter(object):
                                """
                                VPN prefix multipath on external RTFilter peers
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter']['meta_info']


                            class Eibgp(object):
                                """
                                Both eBGP and iBGP paths as multipath
                                
                                .. attribute:: external_rtfilter
                                
                                	VPN prefix multipath on external RTFilter peers
                                	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp.ExternalRtfilter>`
                                
                                .. attribute:: max_path
                                
                                	
                                	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp.MaxPath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp.ExternalRtfilter()
                                    self.external_rtfilter.parent = self
                                    self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp.MaxPath()
                                    self.max_path.parent = self


                                class MaxPath(object):
                                    """
                                    
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp.MaxPath']['meta_info']


                                class ExternalRtfilter(object):
                                    """
                                    VPN prefix multipath on external RTFilter peers
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp.ExternalRtfilter']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:eibgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                        return True

                                    if self.max_path is not None and self.max_path._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Eibgp']['meta_info']


                            class Ibgp(object):
                                """
                                iBGP\-multipath
                                
                                .. attribute:: external_rtfilter
                                
                                	VPN prefix multipath on external RTFilter peers
                                	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.ExternalRtfilter>`
                                
                                .. attribute:: max_path
                                
                                	
                                	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.MaxPath>`
                                
                                .. attribute:: unequal_cost
                                
                                	Perform Un\-Equal cost multipath selection
                                	**type**\:   :py:class:`UnequalCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.ExternalRtfilter()
                                    self.external_rtfilter.parent = self
                                    self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.MaxPath()
                                    self.max_path.parent = self
                                    self.unequal_cost = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost()
                                    self.unequal_cost.parent = self


                                class UnequalCost(object):
                                    """
                                    Perform Un\-Equal cost multipath selection
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter>`
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost.MaxPath>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost.MaxPath()
                                        self.max_path.parent = self


                                    class MaxPath(object):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost.MaxPath']['meta_info']


                                    class ExternalRtfilter(object):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:unequal-cost'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                            return True

                                        if self.max_path is not None and self.max_path._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.UnequalCost']['meta_info']


                                class MaxPath(object):
                                    """
                                    
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.MaxPath']['meta_info']


                                class ExternalRtfilter(object):
                                    """
                                    VPN prefix multipath on external RTFilter peers
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp.ExternalRtfilter']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ibgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                        return True

                                    if self.max_path is not None and self.max_path._has_data():
                                        return True

                                    if self.unequal_cost is not None and self.unequal_cost._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:maximum-paths'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eibgp is not None and self.eibgp._has_data():
                                    return True

                                if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                    return True

                                if self.ibgp is not None and self.ibgp._has_data():
                                    return True

                                if self.max_path is not None and self.max_path._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths']['meta_info']


                        class Neighbor(object):
                            """
                            Specify a neighbor router
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: activate
                            
                            	Enable the Address Family for this Neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: additional_paths
                            
                            	
                            	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths>`
                            
                            .. attribute:: advertise
                            
                            	Advertise to this neighbor
                            	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise>`
                            
                            .. attribute:: advertise_map
                            
                            	specify route\-map for conditional advertisement
                            	**type**\:   :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap>`
                            
                            .. attribute:: advertisement_interval
                            
                            	Minimum interval between sending BGP routing updates
                            	**type**\:  int
                            
                            	**range:** 0..600
                            
                            .. attribute:: aigp
                            
                            	Enable a AIGP on neighbor
                            	**type**\:   :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: allow_policy
                            
                            	Enable the policy support for this IBGP Neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allowas_in
                            
                            	Accept as\-path with my AS present in it
                            	**type**\:   :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AllowasIn>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: announce
                            
                            	Announce RPKI State using an Extended Community
                            	**type**\:   :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce>`
                            
                            .. attribute:: as_override
                            
                            	Override matching AS\-number while sending update
                            	**type**\:   :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AsOverride>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Advertise capability to the peer
                            	**type**\:   :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: default_originate
                            
                            	Originate default route to this neighbour
                            	**type**\:   :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DefaultOriginate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: description
                            
                            	Neighbor specific description
                            	**type**\:  str
                            
                            .. attribute:: disable_connected_check
                            
                            	One\-hop away EBGP peer using loopback address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of    :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Propagate the DMZ link bandwidth
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ebgp_multihop
                            
                            	Allow EBGP neighbors not on directly connected networks
                            	**type**\:   :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.EbgpMultihop>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: fall_over
                            
                            	session fall on peer route lost
                            	**type**\:   :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FallOver>`
                            
                            .. attribute:: filter_list
                            
                            	Establish BGP filters
                            	**type**\: list of    :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FilterList>`
                            
                            .. attribute:: ha_mode
                            
                            	high availability mode
                            	**type**\:   :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode>`
                            
                            .. attribute:: inherit
                            
                            	Inherit a template
                            	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Inherit>`
                            
                            .. attribute:: local_as
                            
                            	Specify a local\-as number
                            	**type**\:   :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.LocalAs>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\:   :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.LogNeighborChanges>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes accepted from this peer
                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix>`
                            
                            .. attribute:: next_hop_self
                            
                            	Disable the next hop calculation for this neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: next_hop_unchanged
                            
                            	Propagate the iBGP paths's next hop unchanged for this neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: password
                            
                            	Set a password
                            	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Password>`
                            
                            .. attribute:: path_attribute
                            
                            	BGP optional attribute filtering
                            	**type**\:   :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute>`
                            
                            .. attribute:: peer_group
                            
                            	Member of the peer\-group
                            	**type**\:   :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PeerGroup>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList>`
                            
                            .. attribute:: remote_as
                            
                            	Specify a BGP neighbor
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: remove_private_as
                            
                            	Remove private AS number from outbound updates
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Apply route map to neighbor
                            	**type**\: list of    :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap>`
                            
                            .. attribute:: route_reflector_client
                            
                            	Configure a neighbor as Route Reflector client
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_reflector_cluster_id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: send_community
                            
                            	Send Community attribute to this neighbor
                            	**type**\:   :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: send_label
                            
                            	Send NLRI + MPLS Label to this peer
                            	**type**\:   :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel>`
                            
                            .. attribute:: shutdown
                            
                            	Administratively shut down this neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:   :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer>`
                            
                            .. attribute:: soft_reconfiguration
                            
                            	Per neighbor soft reconfiguration
                            	**type**\:   :py:class:`SoftReconfigurationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SoftReconfigurationEnum>`
                            
                            .. attribute:: timers
                            
                            	BGP per neighbor timers
                            	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Timers>`
                            
                            .. attribute:: translate_update
                            
                            	Translate Update to MBGP format
                            	**type**\:   :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport>`
                            
                            .. attribute:: ttl_security
                            
                            	BGP ttl security check
                            	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity>`
                            
                            .. attribute:: unsuppress_map
                            
                            	Route\-map to selectively unsuppress suppressed routes
                            	**type**\:  str
                            
                            .. attribute:: update_source
                            
                            	Source of routing updates
                            	**type**\:   :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource>`
                            
                            .. attribute:: version
                            
                            	Set the BGP version to match a neighbor
                            	**type**\:  int
                            
                            	**range:** 4..None
                            
                            .. attribute:: weight
                            
                            	Set default weight for routes from this neighbor
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.activate = None
                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths()
                                self.additional_paths.parent = self
                                self.advertise = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise()
                                self.advertise.parent = self
                                self.advertise_map = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap()
                                self.advertise_map.parent = self
                                self.advertisement_interval = None
                                self.aigp = None
                                self.allow_policy = None
                                self.allowas_in = None
                                self.announce = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce()
                                self.announce.parent = self
                                self.as_override = None
                                self.capability = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability()
                                self.capability.parent = self
                                self.cluster_id = None
                                self.default_originate = None
                                self.description = None
                                self.disable_connected_check = None
                                self.distribute_list = YList()
                                self.distribute_list.parent = self
                                self.distribute_list.name = 'distribute_list'
                                self.dmzlink_bw = None
                                self.ebgp_multihop = None
                                self.fall_over = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FallOver()
                                self.fall_over.parent = self
                                self.filter_list = YList()
                                self.filter_list.parent = self
                                self.filter_list.name = 'filter_list'
                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode()
                                self.ha_mode.parent = self
                                self.inherit = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Inherit()
                                self.inherit.parent = self
                                self.local_as = None
                                self.log_neighbor_changes = None
                                self.maximum_prefix = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self.next_hop_self = None
                                self.next_hop_unchanged = None
                                self.password = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Password()
                                self.password.parent = self
                                self.path_attribute = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute()
                                self.path_attribute.parent = self
                                self.peer_group = None
                                self.prefix_list = YList()
                                self.prefix_list.parent = self
                                self.prefix_list.name = 'prefix_list'
                                self.remote_as = None
                                self.remove_private_as = None
                                self.route_map = YList()
                                self.route_map.parent = self
                                self.route_map.name = 'route_map'
                                self.route_reflector_client = None
                                self.route_reflector_cluster_id = None
                                self.send_community = None
                                self.send_label = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel()
                                self.send_label.parent = self
                                self.shutdown = None
                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer()
                                self.slow_peer.parent = self
                                self.soft_reconfiguration = None
                                self.timers = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Timers()
                                self.timers.parent = self
                                self.translate_update = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate()
                                self.translate_update.parent = self
                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport()
                                self.transport.parent = self
                                self.ttl_security = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity()
                                self.ttl_security.parent = self
                                self.unsuppress_map = None
                                self.update_source = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource()
                                self.update_source.parent = self
                                self.version = None
                                self.weight = None

                            class SoftReconfigurationEnum(Enum):
                                """
                                SoftReconfigurationEnum

                                Per neighbor soft reconfiguration

                                .. data:: inbound = 0

                                """

                                inbound = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SoftReconfigurationEnum']



                            class PeerGroup(object):
                                """
                                Member of the peer\-group
                                
                                .. attribute:: peer_group_name
                                
                                	WORD;;peer\-group name
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.peer_group_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:peer-group'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.peer_group_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PeerGroup']['meta_info']


                            class LocalAs(object):
                                """
                                Specify a local\-as number
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: dual_as
                                
                                	Accept either real AS or local AS from the ebgp peer
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_prepend
                                
                                	Do not prepend local\-as to updates from ebgp peers
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: replace_as
                                
                                	Replace real AS with local AS in the EBGP updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.as_no = None
                                    self.dual_as = None
                                    self.no_prepend = None
                                    self.replace_as = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:local-as'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.as_no is not None:
                                        return True

                                    if self.dual_as is not None:
                                        return True

                                    if self.no_prepend is not None:
                                        return True

                                    if self.replace_as is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.LocalAs']['meta_info']


                            class AdditionalPaths(object):
                                """
                                
                                
                                .. attribute:: disable
                                
                                	Disable additional paths for this neighbor
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to this neighbor
                                	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.disable = None
                                    self.receive = None
                                    self.send = None


                                class Send(object):
                                    """
                                    Send additional paths to this neighbor
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from this neighbor
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.receive = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.receive is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths.Send']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.disable is not None:
                                        return True

                                    if self.receive is not None:
                                        return True

                                    if self.send is not None and self.send._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths']['meta_info']


                            class Advertise(object):
                                """
                                Advertise to this neighbor
                                
                                .. attribute:: additional_paths
                                
                                	Advertise additional paths
                                	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths>`
                                
                                .. attribute:: best_external
                                
                                	Advertise best\-external (at RRs best\-internal) path
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: diverse_path
                                
                                	Advertise diverse path
                                	**type**\:   :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self.best_external = None
                                    self.diverse_path = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath()
                                    self.diverse_path.parent = self


                                class AdditionalPaths(object):
                                    """
                                    Advertise additional paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best>`
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best paths
                                    	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.all = None
                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best()
                                        self.best.parent = self
                                        self.group_best = None


                                    class All(object):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best paths
                                        	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best()
                                            self.best.parent = self
                                            self.group_best = None


                                        class Best(object):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: best_range
                                            
                                            	
                                            	**type**\: list of    :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.best_range = YList()
                                                self.best_range.parent = self
                                                self.best_range.name = 'best_range'


                                            class BestRange(object):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = None
                                                    self.group_best = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.range is None:
                                                        raise YPYModelError('Key property range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        return True

                                                    if self.group_best is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.best_range is not None:
                                                    for child_ref in self.best_range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info']


                                        class GroupBest(object):
                                            """
                                            Select group\-best paths
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.best = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.best is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.GroupBest']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:all'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.best is not None and self.best._has_data():
                                                return True

                                            if self.group_best is not None and self.group_best._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All']['meta_info']


                                    class Best(object):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: best_range
                                        
                                        	
                                        	**type**\: list of    :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.best_range = YList()
                                            self.best_range.parent = self
                                            self.best_range.name = 'best_range'


                                        class BestRange(object):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.all = None
                                                self.group_best = None


                                            class GroupBest(object):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.all = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.all is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.range is None:
                                                    raise YPYModelError('Key property range is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.all is not None:
                                                    return True

                                                if self.group_best is not None and self.group_best._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.best_range is not None:
                                                for child_ref in self.best_range:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best']['meta_info']


                                    class GroupBest(object):
                                        """
                                        Select group\-best paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\:  int
                                        
                                        	**range:** 2..3
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.all = None
                                            self.best = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.all is not None:
                                                return True

                                            if self.best is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.GroupBest']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.all is not None and self.all._has_data():
                                            return True

                                        if self.best is not None and self.best._has_data():
                                            return True

                                        if self.group_best is not None and self.group_best._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths']['meta_info']


                                class DiversePath(object):
                                    """
                                    Advertise diverse path
                                    
                                    .. attribute:: backup
                                    
                                    	Diverse path can be backup path
                                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: mpath
                                    
                                    	Diverse path can be multipath
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.backup = None
                                        self.mpath = None


                                    class Backup(object):
                                        """
                                        Diverse path can be backup path
                                        
                                        .. attribute:: mpath
                                        
                                        	Diverse path can be multipath
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.mpath = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:backup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.mpath is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath.Backup']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:diverse-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.backup is not None and self.backup._has_data():
                                            return True

                                        if self.mpath is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:advertise'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.additional_paths is not None and self.additional_paths._has_data():
                                        return True

                                    if self.best_external is not None:
                                        return True

                                    if self.diverse_path is not None and self.diverse_path._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise']['meta_info']


                            class AdvertiseMap(object):
                                """
                                specify route\-map for conditional advertisement
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap.Name>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = YList()
                                    self.name.parent = self
                                    self.name.name = 'name'


                                class Name(object):
                                    """
                                    
                                    
                                    .. attribute:: word  <key>
                                    
                                    	advertise route\-map name
                                    	**type**\:  str
                                    
                                    .. attribute:: exist_map
                                    
                                    	condition route\-map name
                                    	**type**\:  str
                                    
                                    .. attribute:: non_exist_map
                                    
                                    	condition route\-map name
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.word = None
                                        self.exist_map = None
                                        self.non_exist_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.word is None:
                                            raise YPYModelError('Key property word is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:name[Cisco-IOS-XE-bgp:word = ' + str(self.word) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.word is not None:
                                            return True

                                        if self.exist_map is not None:
                                            return True

                                        if self.non_exist_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap.Name']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:advertise-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        for child_ref in self.name:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap']['meta_info']


                            class Aigp(object):
                                """
                                Enable a AIGP on neighbor
                                
                                .. attribute:: send
                                
                                	Cost community or MED carrying AIGP VALUE
                                	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.send = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send()
                                    self.send.parent = self


                                class Send(object):
                                    """
                                    Cost community or MED carrying AIGP VALUE
                                    
                                    .. attribute:: cost_community
                                    
                                    	Cost extended community carrying AIGP Value
                                    	**type**\:   :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity>`
                                    
                                    .. attribute:: med
                                    
                                    	Med carrying AIGP Value
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity()
                                        self.cost_community.parent = self
                                        self.med = None


                                    class CostCommunity(object):
                                        """
                                        Cost extended community carrying AIGP Value
                                        
                                        .. attribute:: cc_range
                                        
                                        	
                                        	**type**\: list of    :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.cc_range = YList()
                                            self.cc_range.parent = self
                                            self.cc_range.name = 'cc_range'


                                        class CcRange(object):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Community ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: poi
                                            
                                            	Point of Insertion
                                            	**type**\:   :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.poi = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                self.poi.parent = self


                                            class Poi(object):
                                                """
                                                Point of Insertion
                                                
                                                .. attribute:: igp_cost
                                                
                                                	Point of Insertion After IGP
                                                	**type**\:   :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: pre_bestpath
                                                
                                                	Point of Insertion At Beginning
                                                	**type**\:   :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.igp_cost = None
                                                    self.pre_bestpath = None


                                                class IgpCost(object):
                                                    """
                                                    Point of Insertion After IGP
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.transitive = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:igp-cost'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.transitive is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost']['meta_info']


                                                class PreBestpath(object):
                                                    """
                                                    Point of Insertion At Beginning
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.transitive = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:pre-bestpath'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.transitive is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:poi'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.igp_cost is not None and self.igp_cost._has_data():
                                                        return True

                                                    if self.pre_bestpath is not None and self.pre_bestpath._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.range is None:
                                                    raise YPYModelError('Key property range is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:cc-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.poi is not None and self.poi._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:cost-community'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.cc_range is not None:
                                                for child_ref in self.cc_range:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.cost_community is not None and self.cost_community._has_data():
                                            return True

                                        if self.med is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:aigp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.send is not None and self.send._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp']['meta_info']


                            class Announce(object):
                                """
                                Announce RPKI State using an Extended Community
                                
                                .. attribute:: rpki
                                
                                	Announce RPKI information using an Extended Community
                                	**type**\:   :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.rpki = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki()
                                    self.rpki.parent = self


                                class Rpki(object):
                                    """
                                    Announce RPKI information using an Extended Community
                                    
                                    .. attribute:: state
                                    
                                    	Announce RPKI State information using an Extended Community
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.state = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:rpki'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.state is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:announce'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.rpki is not None and self.rpki._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce']['meta_info']


                            class AllowasIn(object):
                                """
                                Accept as\-path with my AS present in it
                                
                                .. attribute:: as_number
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..10
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.as_number = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:allowas-in'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.as_number is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AllowasIn']['meta_info']


                            class AsOverride(object):
                                """
                                Override matching AS\-number while sending update
                                
                                .. attribute:: disable
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:as-override'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AsOverride']['meta_info']


                            class Capability(object):
                                """
                                Advertise capability to the peer
                                
                                .. attribute:: orf
                                
                                	Advertise ORF capability to the peer
                                	**type**\:   :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.orf = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf()
                                    self.orf.parent = self


                                class Orf(object):
                                    """
                                    Advertise ORF capability to the peer
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Advertise prefixlist ORF capability to this neighbor
                                    	**type**\:  list of   :py:class:`PrefixListEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf.PrefixListEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.prefix_list = YLeafList()
                                        self.prefix_list.parent = self
                                        self.prefix_list.name = 'prefix_list'

                                    class PrefixListEnum(Enum):
                                        """
                                        PrefixListEnum

                                        Advertise prefixlist ORF capability to this neighbor

                                        .. data:: both = 0

                                        .. data:: receive = 1

                                        .. data:: send = 2

                                        """

                                        both = 0

                                        receive = 1

                                        send = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf.PrefixListEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:orf'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.prefix_list is not None:
                                            for child in self.prefix_list:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:capability'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.orf is not None and self.orf._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability']['meta_info']


                            class DefaultOriginate(object):
                                """
                                Originate default route to this neighbour
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria to originate default
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:default-originate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DefaultOriginate']['meta_info']


                            class DistributeList(object):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList.InoutEnum>`
                                
                                .. attribute:: accesslist
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..199
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 1300..2699
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.accesslist = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:distribute-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.accesslist is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList']['meta_info']


                            class EbgpMultihop(object):
                                """
                                Allow EBGP neighbors not on directly connected networks
                                
                                .. attribute:: max_hop
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.max_hop = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ebgp-multihop'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.max_hop is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.EbgpMultihop']['meta_info']


                            class FallOver(object):
                                """
                                session fall on peer route lost
                                
                                .. attribute:: bfd
                                
                                	Use BFD to detect failure
                                	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FallOver.Bfd>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bfd = None


                                class Bfd(object):
                                    """
                                    Use BFD to detect failure
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:bfd'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FallOver.Bfd']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:fall-over'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bfd is not None and self.bfd._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FallOver']['meta_info']


                            class FilterList(object):
                                """
                                Establish BGP filters
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FilterList.InoutEnum>`
                                
                                .. attribute:: as_path_list
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..500
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.as_path_list = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FilterList.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:filter-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.as_path_list is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FilterList']['meta_info']


                            class Inherit(object):
                                """
                                Inherit a template
                                
                                .. attribute:: peer_policy
                                
                                	Inherit a peer\-policy template
                                	**type**\:  str
                                
                                .. attribute:: peer_session
                                
                                	Inherit a peer\-session template
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.peer_policy = None
                                    self.peer_session = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:inherit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.peer_policy is not None:
                                        return True

                                    if self.peer_session is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Inherit']['meta_info']


                            class LogNeighborChanges(object):
                                """
                                Log neighbor up/down and reset reason
                                
                                .. attribute:: disable
                                
                                	disable
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:log-neighbor-changes'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.LogNeighborChanges']['meta_info']


                            class MaximumPrefix(object):
                                """
                                Maximum number of prefixes accepted from this peer
                                
                                .. attribute:: max_prefix_no
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..2147483647
                                
                                .. attribute:: restart
                                
                                	Restart bgp connection after limit is exceeded
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only
                                
                                	Only give warning message when limit is exceeded
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_prefix_no = None
                                    self.restart = None
                                    self.threshold = None
                                    self.warning_only = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:maximum-prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_prefix_no is not None:
                                        return True

                                    if self.restart is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    if self.warning_only is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix']['meta_info']


                            class Password(object):
                                """
                                Set a password
                                
                                .. attribute:: enctype
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: text
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.enctype = None
                                    self.text = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:password'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.enctype is not None:
                                        return True

                                    if self.text is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Password']['meta_info']


                            class PrefixList(object):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList.InoutEnum>`
                                
                                .. attribute:: prefix_list_name
                                
                                	
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.prefix_list_name = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:prefix-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.prefix_list_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList']['meta_info']


                            class PathAttribute(object):
                                """
                                BGP optional attribute filtering
                                
                                .. attribute:: discard
                                
                                	Discard matching path\-attribute for this neighbor
                                	**type**\:   :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard>`
                                
                                .. attribute:: treat_as_withdraw
                                
                                	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                	**type**\:   :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.discard = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard()
                                    self.discard.parent = self
                                    self.treat_as_withdraw = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw()
                                    self.treat_as_withdraw.parent = self


                                class Discard(object):
                                    """
                                    Discard matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:   :py:class:`Attibute_Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Attibute_Type>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Attibute_Type()
                                        self.attibute_type.parent = self
                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range()
                                        self.range.parent = self


                                    class Attibute_Type(object):
                                        """
                                        
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.in_ = None
                                            self.type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:attibute_type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.in_ is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Attibute_Type']['meta_info']


                                    class Range(object):
                                        """
                                        
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.end_value = None
                                            self.in_ = None
                                            self.start_value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:range'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.end_value is not None:
                                                return True

                                            if self.in_ is not None:
                                                return True

                                            if self.start_value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:discard'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.attibute_type is not None and self.attibute_type._has_data():
                                            return True

                                        if self.range is not None and self.range._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard']['meta_info']


                                class TreatAsWithdraw(object):
                                    """
                                    Treat\-as\-withdraw matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:   :py:class:`Attibute_Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type()
                                        self.attibute_type.parent = self
                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                        self.range.parent = self


                                    class Attibute_Type(object):
                                        """
                                        
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.in_ = None
                                            self.type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:attibute_type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.in_ is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type']['meta_info']


                                    class Range(object):
                                        """
                                        
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.end_value = None
                                            self.in_ = None
                                            self.start_value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:range'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.end_value is not None:
                                                return True

                                            if self.in_ is not None:
                                                return True

                                            if self.start_value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:treat-as-withdraw'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.attibute_type is not None and self.attibute_type._has_data():
                                            return True

                                        if self.range is not None and self.range._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:path-attribute'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.discard is not None and self.discard._has_data():
                                        return True

                                    if self.treat_as_withdraw is not None and self.treat_as_withdraw._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute']['meta_info']


                            class RouteMap(object):
                                """
                                Apply route map to neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap.InoutEnum>`
                                
                                .. attribute:: route_map_name
                                
                                	
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.route_map_name = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:route-map[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.route_map_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap']['meta_info']


                            class SendCommunity(object):
                                """
                                Send Community attribute to this neighbor
                                
                                .. attribute:: send_community_where
                                
                                	
                                	**type**\:   :py:class:`SendCommunityWhereEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity.SendCommunityWhereEnum>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.send_community_where = None

                                class SendCommunityWhereEnum(Enum):
                                    """
                                    SendCommunityWhereEnum

                                    .. data:: both = 0

                                    .. data:: extended = 1

                                    .. data:: standard = 2

                                    """

                                    both = 0

                                    extended = 1

                                    standard = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity.SendCommunityWhereEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:send-community'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.send_community_where is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity']['meta_info']


                            class SendLabel(object):
                                """
                                Send NLRI + MPLS Label to this peer
                                
                                .. attribute:: send_label_explicit
                                
                                	
                                	**type**\:   :py:class:`SendLabelExplicitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel.SendLabelExplicitEnum>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.send_label_explicit = None

                                class SendLabelExplicitEnum(Enum):
                                    """
                                    SendLabelExplicitEnum

                                    .. data:: explicit_null = 0

                                    """

                                    explicit_null = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel.SendLabelExplicitEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:send-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.send_label_explicit is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel']['meta_info']


                            class SlowPeer(object):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:   :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:   :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.detection = None
                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self


                                class Detection(object):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\:  int
                                    
                                    	**range:** 120..3600
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:detection'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.Detection']['meta_info']


                                class SplitUpdateGroup(object):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None


                                    class Dynamic(object):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.permanent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:dynamic'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.permanent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:split-update-group'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None and self.dynamic._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:slow-peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.detection is not None and self.detection._has_data():
                                        return True

                                    if self.split_update_group is not None and self.split_update_group._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer']['meta_info']


                            class Timers(object):
                                """
                                BGP per neighbor timers
                                
                                .. attribute:: holdtime
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: keepalive_interval
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: minimum_neighbor_hold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.holdtime = None
                                    self.keepalive_interval = None
                                    self.minimum_neighbor_hold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:timers'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.holdtime is not None:
                                        return True

                                    if self.keepalive_interval is not None:
                                        return True

                                    if self.minimum_neighbor_hold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Timers']['meta_info']


                            class TranslateUpdate(object):
                                """
                                Translate Update to MBGP format
                                
                                .. attribute:: ipv4
                                
                                	Address Family
                                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4()
                                    self.ipv4.parent = self


                                class Ipv4(object):
                                    """
                                    Address Family
                                    
                                    .. attribute:: multicast
                                    
                                    	Address Family modifier
                                    	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.multicast = None


                                    class Multicast(object):
                                        """
                                        Address Family modifier
                                        
                                        .. attribute:: unicast
                                        
                                        	Address Family modifier
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.unicast = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:multicast'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.unicast is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4.Multicast']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ipv4'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.multicast is not None and self.multicast._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:translate-update'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None and self.ipv4._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate']['meta_info']


                            class Transport(object):
                                """
                                Transport options
                                
                                .. attribute:: connection_mode
                                
                                	Specify passive or active connection
                                	**type**\:   :py:class:`ConnectionModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport.ConnectionModeEnum>`
                                
                                .. attribute:: multi_session
                                
                                	Use Multi\-session for transport
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport.PathMtuDiscovery>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.connection_mode = None
                                    self.multi_session = None
                                    self.path_mtu_discovery = None

                                class ConnectionModeEnum(Enum):
                                    """
                                    ConnectionModeEnum

                                    Specify passive or active connection

                                    .. data:: active = 0

                                    .. data:: passive = 1

                                    """

                                    active = 0

                                    passive = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport.ConnectionModeEnum']



                                class PathMtuDiscovery(object):
                                    """
                                    Use transport path MTU discovery
                                    
                                    .. attribute:: disable
                                    
                                    	disable
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:path-mtu-discovery'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport.PathMtuDiscovery']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:transport'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.connection_mode is not None:
                                        return True

                                    if self.multi_session is not None:
                                        return True

                                    if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport']['meta_info']


                            class TtlSecurity(object):
                                """
                                BGP ttl security check
                                
                                .. attribute:: hops
                                
                                	IP hops
                                	**type**\:  int
                                
                                	**range:** 1..254
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.hops = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ttl-security'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.hops is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity']['meta_info']


                            class UpdateSource(object):
                                """
                                Source of routing updates
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.AtmAcrsubinterface>`
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.AtmSubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\:  str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\:  str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\:  str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\:  str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\:  str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  int
                                
                                	**range:** 0..65520
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LispSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\:  str
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\:  str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\:  str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.appnav_compress = None
                                    self.appnav_uncompress = None
                                    self.atm = None
                                    self.atm_acr = None
                                    self.atm_acrsubinterface = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.AtmAcrsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self.atm_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.AtmSubinterface()
                                    self.atm_subinterface.parent = self
                                    self.bdi = None
                                    self.cellular = None
                                    self.cem = None
                                    self.cem_acr = None
                                    self.embedded_service_engine = None
                                    self.fastethernet = None
                                    self.gigabitethernet = None
                                    self.lisp = None
                                    self.lisp_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LispSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self.loopback = None
                                    self.multilink = None
                                    self.nve = None
                                    self.overlay = None
                                    self.port_channel = None
                                    self.port_channel_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self.pseudowire = None
                                    self.serial = None
                                    self.sm = None
                                    self.tengigabitethernet = None
                                    self.tunnel = None
                                    self.vasileft = None
                                    self.vasiright = None
                                    self.virtual_template = None
                                    self.virtualportgroup = None
                                    self.vlan = None


                                class AtmSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.AtmSubinterface']['meta_info']


                                class AtmAcrsubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm_acr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-ACRsubinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm_acr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.AtmAcrsubinterface']['meta_info']


                                class LispSubinterface(object):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:LISP-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LispSubinterface']['meta_info']


                                class PortChannelSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.port_channel = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:Port-channel-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.port_channel is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:update-source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.appnav_compress is not None:
                                        return True

                                    if self.appnav_uncompress is not None:
                                        return True

                                    if self.atm is not None:
                                        return True

                                    if self.atm_acr is not None:
                                        return True

                                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                        return True

                                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                        return True

                                    if self.bdi is not None:
                                        return True

                                    if self.cellular is not None:
                                        return True

                                    if self.cem is not None:
                                        return True

                                    if self.cem_acr is not None:
                                        return True

                                    if self.embedded_service_engine is not None:
                                        return True

                                    if self.fastethernet is not None:
                                        return True

                                    if self.gigabitethernet is not None:
                                        return True

                                    if self.lisp is not None:
                                        return True

                                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                        return True

                                    if self.loopback is not None:
                                        return True

                                    if self.multilink is not None:
                                        return True

                                    if self.nve is not None:
                                        return True

                                    if self.overlay is not None:
                                        return True

                                    if self.port_channel is not None:
                                        return True

                                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                        return True

                                    if self.pseudowire is not None:
                                        return True

                                    if self.serial is not None:
                                        return True

                                    if self.sm is not None:
                                        return True

                                    if self.tengigabitethernet is not None:
                                        return True

                                    if self.tunnel is not None:
                                        return True

                                    if self.vasileft is not None:
                                        return True

                                    if self.vasiright is not None:
                                        return True

                                    if self.virtual_template is not None:
                                        return True

                                    if self.virtualportgroup is not None:
                                        return True

                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource']['meta_info']


                            class HaMode(object):
                                """
                                high availability mode
                                
                                .. attribute:: graceful_restart
                                
                                	graceful\-restart for this peer
                                	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.GracefulRestart>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: sso
                                
                                	stateful\-switchover support for this peer
                                	**type**\:   :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.graceful_restart = None
                                    self.sso = None


                                class GracefulRestart(object):
                                    """
                                    graceful\-restart for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable graceful\-restart
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:graceful-restart'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.GracefulRestart']['meta_info']


                                class Sso(object):
                                    """
                                    stateful\-switchover support for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable stateful\-switchover
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:sso'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.Sso']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ha-mode'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.graceful_restart is not None and self.graceful_restart._has_data():
                                        return True

                                    if self.sso is not None and self.sso._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:neighbor[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.activate is not None:
                                    return True

                                if self.additional_paths is not None and self.additional_paths._has_data():
                                    return True

                                if self.advertise is not None and self.advertise._has_data():
                                    return True

                                if self.advertise_map is not None and self.advertise_map._has_data():
                                    return True

                                if self.advertisement_interval is not None:
                                    return True

                                if self.aigp is not None and self.aigp._has_data():
                                    return True

                                if self.allow_policy is not None:
                                    return True

                                if self.allowas_in is not None and self.allowas_in._has_data():
                                    return True

                                if self.announce is not None and self.announce._has_data():
                                    return True

                                if self.as_override is not None and self.as_override._has_data():
                                    return True

                                if self.capability is not None and self.capability._has_data():
                                    return True

                                if self.cluster_id is not None:
                                    return True

                                if self.default_originate is not None and self.default_originate._has_data():
                                    return True

                                if self.description is not None:
                                    return True

                                if self.disable_connected_check is not None:
                                    return True

                                if self.distribute_list is not None:
                                    for child_ref in self.distribute_list:
                                        if child_ref._has_data():
                                            return True

                                if self.dmzlink_bw is not None:
                                    return True

                                if self.ebgp_multihop is not None and self.ebgp_multihop._has_data():
                                    return True

                                if self.fall_over is not None and self.fall_over._has_data():
                                    return True

                                if self.filter_list is not None:
                                    for child_ref in self.filter_list:
                                        if child_ref._has_data():
                                            return True

                                if self.ha_mode is not None and self.ha_mode._has_data():
                                    return True

                                if self.inherit is not None and self.inherit._has_data():
                                    return True

                                if self.local_as is not None and self.local_as._has_data():
                                    return True

                                if self.log_neighbor_changes is not None and self.log_neighbor_changes._has_data():
                                    return True

                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                    return True

                                if self.next_hop_self is not None:
                                    return True

                                if self.next_hop_unchanged is not None:
                                    return True

                                if self.password is not None and self.password._has_data():
                                    return True

                                if self.path_attribute is not None and self.path_attribute._has_data():
                                    return True

                                if self.peer_group is not None and self.peer_group._has_data():
                                    return True

                                if self.prefix_list is not None:
                                    for child_ref in self.prefix_list:
                                        if child_ref._has_data():
                                            return True

                                if self.remote_as is not None:
                                    return True

                                if self.remove_private_as is not None:
                                    return True

                                if self.route_map is not None:
                                    for child_ref in self.route_map:
                                        if child_ref._has_data():
                                            return True

                                if self.route_reflector_client is not None:
                                    return True

                                if self.route_reflector_cluster_id is not None:
                                    return True

                                if self.send_community is not None and self.send_community._has_data():
                                    return True

                                if self.send_label is not None and self.send_label._has_data():
                                    return True

                                if self.shutdown is not None:
                                    return True

                                if self.slow_peer is not None and self.slow_peer._has_data():
                                    return True

                                if self.soft_reconfiguration is not None:
                                    return True

                                if self.timers is not None and self.timers._has_data():
                                    return True

                                if self.translate_update is not None and self.translate_update._has_data():
                                    return True

                                if self.transport is not None and self.transport._has_data():
                                    return True

                                if self.ttl_security is not None and self.ttl_security._has_data():
                                    return True

                                if self.unsuppress_map is not None:
                                    return True

                                if self.update_source is not None and self.update_source._has_data():
                                    return True

                                if self.version is not None:
                                    return True

                                if self.weight is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor']['meta_info']


                        class Network(object):
                            """
                            Specify a network to announce via BGP
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: backdoor
                            
                            	Specify a BGP backdoor route
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	Network mask
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: route_map
                            
                            	Route\-map to modify the attributes
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.number = None
                                self.backdoor = None
                                self.mask = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.number is None:
                                    raise YPYModelError('Key property number is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:network[Cisco-IOS-XE-bgp:number = ' + str(self.number) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.number is not None:
                                    return True

                                if self.backdoor is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Network']['meta_info']


                        class Redistribute(object):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Application>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Bgp_>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: dvmrp
                            
                            	Redistribution of DVMRP into BGP IPv4 Multicast
                            	**type**\:   :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Dvmrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:   :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis>`
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp>`
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol
                            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.application = None
                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Bgp_()
                                self.bgp.parent = self
                                self.connected = None
                                self.dvmrp = None
                                self.eigrp = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp()
                                self.eigrp.parent = self
                                self.isis = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis()
                                self.isis.parent = self
                                self.iso_igrp = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp()
                                self.iso_igrp.parent = self
                                self.lisp = None
                                self.mobile = None
                                self.odr = None
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.rip = None
                                self.static = None


                            class Application(object):
                                """
                                Application
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Application.Name>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.name = YList()
                                    self.name.parent = self
                                    self.name.name = 'name'


                                class Name(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	WORD;;Route map name
                                    	**type**\:  str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:name[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Application.Name']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:application'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.name is not None:
                                        for child_ref in self.name:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Application']['meta_info']


                            class Bgp_(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_no = None
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_no is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Bgp_']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Connected']['meta_info']


                            class Dvmrp(object):
                                """
                                Redistribution of DVMRP into BGP IPv4 Multicast
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:dvmrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Dvmrp']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_no = None
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:eigrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_no is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp']['meta_info']


                            class Isis(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default>`
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default()
                                    self.default.parent = self
                                    self.isis_area = YList()
                                    self.isis_area.parent = self
                                    self.isis_area.name = 'isis_area'


                                class IsisArea(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:   :py:class:`RoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea.RoutesEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.clns = None
                                        self.ip = None
                                        self.metric = None
                                        self.route_map = None
                                        self.routes = None

                                    class RoutesEnum(Enum):
                                        """
                                        RoutesEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = 0

                                        level_2 = 1

                                        level_1_2 = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea.RoutesEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:isis-area[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.clns is not None:
                                            return True

                                        if self.ip is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.routes is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea']['meta_info']


                                class Default(object):
                                    """
                                    
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:   :py:class:`RoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default.RoutesEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.clns = None
                                        self.ip = None
                                        self.metric = None
                                        self.route_map = None
                                        self.routes = None

                                    class RoutesEnum(Enum):
                                        """
                                        RoutesEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = 0

                                        level_2 = 1

                                        level_1_2 = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default.RoutesEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.clns is not None:
                                            return True

                                        if self.ip is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.routes is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:isis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.isis_area is not None:
                                        for child_ref in self.isis_area:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis']['meta_info']


                            class Lisp(object):
                                """
                                Locator/ID Separation Protocol
                                
                                .. attribute:: include_connected
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.include_connected = None
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:lisp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.include_connected is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Lisp']['meta_info']


                            class IsoIgrp(object):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default>`
                                
                                .. attribute:: iso_igrp_area
                                
                                	
                                	**type**\: list of    :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.IsoIgrpArea>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default()
                                    self.default.parent = self
                                    self.iso_igrp_area = YList()
                                    self.iso_igrp_area.parent = self
                                    self.iso_igrp_area.name = 'iso_igrp_area'


                                class IsoIgrpArea(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:iso-igrp-area[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.IsoIgrpArea']['meta_info']


                                class Default(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:iso-igrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.iso_igrp_area is not None:
                                        for child_ref in self.iso_igrp_area:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp']['meta_info']


                            class Mobile(object):
                                """
                                Mobile routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:mobile'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Mobile']['meta_info']


                            class Odr(object):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:odr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Odr']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: non_vrf
                                
                                	
                                	**type**\:   :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf>`
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.non_vrf = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf()
                                    self.non_vrf.parent = self
                                    self.vrf = YList()
                                    self.vrf.parent = self
                                    self.vrf.name = 'vrf'


                                class Vrf(object):
                                    """
                                    VPN Routing/Forwarding Instance
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf.Match()
                                        self.match.parent = self
                                        self.metric = None
                                        self.route_map = None


                                    class Match(object):
                                        """
                                        
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:match'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf.Match']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:vrf[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.match is not None and self.match._has_data():
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf']['meta_info']


                                class NonVrf(object):
                                    """
                                    
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match()
                                        self.match.parent = self
                                        self.metric = None
                                        self.route_map = None


                                    class Match(object):
                                        """
                                        
                                        
                                        .. attribute:: external
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: external2
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: internal
                                        
                                        	Redistribute OSPF internal routes
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: nssa_external
                                        
                                        	Redistribute OSPF NSSA external routes
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.external = None
                                            self.external2 = None
                                            self.internal = None
                                            self.metric = None
                                            self.nssa_external = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:match'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.external is not None:
                                                return True

                                            if self.external2 is not None:
                                                return True

                                            if self.internal is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.nssa_external is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:non-vrf'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.match is not None and self.match._has_data():
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ospf[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.non_vrf is not None and self.non_vrf._has_data():
                                        return True

                                    if self.vrf is not None:
                                        for child_ref in self.vrf:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:rip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: clns
                                
                                	Redistribution of OSI dynamic routes
                                	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.clns = None
                                    self.ip = None
                                    self.metric = None
                                    self.route_map = None


                                class Clns(object):
                                    """
                                    Redistribution of OSI dynamic routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:clns'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static.Clns']['meta_info']


                                class Ip(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static.Ip']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.clns is not None and self.clns._has_data():
                                        return True

                                    if self.ip is not None and self.ip._has_data():
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:redistribute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.application is not None and self.application._has_data():
                                    return True

                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.dvmrp is not None and self.dvmrp._has_data():
                                    return True

                                if self.eigrp is not None and self.eigrp._has_data():
                                    return True

                                if self.isis is not None and self.isis._has_data():
                                    return True

                                if self.iso_igrp is not None and self.iso_igrp._has_data():
                                    return True

                                if self.lisp is not None and self.lisp._has_data():
                                    return True

                                if self.mobile is not None and self.mobile._has_data():
                                    return True

                                if self.odr is not None and self.odr._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None and self.rip._has_data():
                                    return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute']['meta_info']


                        class TableMap(object):
                            """
                            Map external entry attributes into routing table
                            
                            .. attribute:: filter
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: name
                            
                            	WORD;;route\-map name
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.filter = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:table-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.filter is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.TableMap']['meta_info']


                        class Snmp(object):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\:   :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.context = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context()
                                self.context.parent = self


                            class Context(object):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: context_word
                                
                                	
                                	**type**\: list of    :py:class:`Context_Word <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context.Context_Word>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.context_word = YList()
                                    self.context_word.parent = self
                                    self.context_word.name = 'context_word'


                                class Context_Word(object):
                                    """
                                    
                                    
                                    .. attribute:: context_word  <key>
                                    
                                    	Context Name
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.context_word = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.context_word is None:
                                            raise YPYModelError('Key property context_word is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:context_word[Cisco-IOS-XE-bgp:context_word = ' + str(self.context_word) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.context_word is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context.Context_Word']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:context'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.context_word is not None:
                                        for child_ref in self.context_word:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:snmp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.context is not None and self.context._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.af_name is None:
                                raise YPYModelError('Key property af_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:nsap[Cisco-IOS-XE-bgp:af-name = ' + str(self.af_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.af_name is not None:
                                return True

                            if self.auto_summary is not None:
                                return True

                            if self.bgp is not None and self.bgp._has_data():
                                return True

                            if self.default_information is not None and self.default_information._has_data():
                                return True

                            if self.default_metric is not None:
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.distribute_list is not None:
                                for child_ref in self.distribute_list:
                                    if child_ref._has_data():
                                        return True

                            if self.maximum_paths is not None and self.maximum_paths._has_data():
                                return True

                            if self.neighbor is not None:
                                for child_ref in self.neighbor:
                                    if child_ref._has_data():
                                        return True

                            if self.network is not None:
                                for child_ref in self.network:
                                    if child_ref._has_data():
                                        return True

                            if self.redistribute is not None and self.redistribute._has_data():
                                return True

                            if self.snmp is not None and self.snmp._has_data():
                                return True

                            if self.synchronization is not None:
                                return True

                            if self.table_map is not None and self.table_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Nsap']['meta_info']


                    class L2Vpn(object):
                        """
                        Address family
                        
                        .. attribute:: af_name  <key>
                        
                        	
                        	**type**\:   :py:class:`AfNameEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.AfNameEnum>`
                        
                        .. attribute:: auto_summary
                        
                        	Enable automatic network number summarization
                        	**type**\:  bool
                        
                        .. attribute:: bgp
                        
                        	BGP specific commands
                        	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance>`
                        
                        .. attribute:: distribute_list
                        
                        	Filter networks in routing updates
                        	**type**\: list of    :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:   :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths>`
                        
                        .. attribute:: neighbor
                        
                        	Specify a neighbor router
                        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Specify a network to announce via BGP
                        	**type**\: list of    :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Network>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute>`
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: synchronization
                        
                        	Perform IGP synchronization
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: table_map
                        
                        	Map external entry attributes into routing table
                        	**type**\:   :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.TableMap>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.af_name = None
                            self.auto_summary = None
                            self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_()
                            self.bgp.parent = self
                            self.default_information = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DefaultInformation()
                            self.default_information.parent = self
                            self.default_metric = None
                            self.distance = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance()
                            self.distance.parent = self
                            self.distribute_list = YList()
                            self.distribute_list.parent = self
                            self.distribute_list.name = 'distribute_list'
                            self.maximum_paths = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths()
                            self.maximum_paths.parent = self
                            self.neighbor = YList()
                            self.neighbor.parent = self
                            self.neighbor.name = 'neighbor'
                            self.network = YList()
                            self.network.parent = self
                            self.network.name = 'network'
                            self.redistribute = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute()
                            self.redistribute.parent = self
                            self.snmp = None
                            self.synchronization = None
                            self.table_map = None

                        class AfNameEnum(Enum):
                            """
                            AfNameEnum

                            .. data:: evpn = 0

                            .. data:: vpls = 1

                            """

                            evpn = 0

                            vpls = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.AfNameEnum']



                        class Bgp_(object):
                            """
                            BGP specific commands
                            
                            .. attribute:: additional_paths
                            
                            	Additional paths in the BGP table
                            	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths>`
                            
                            .. attribute:: advertise_best_external
                            
                            	Advertise best external path to internal peers
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aggregate_timer
                            
                            	Timer interval
                            	**type**\:  int
                            
                            	**range:** 6..60
                            
                            .. attribute:: always_compare_med
                            
                            	Allow comparing MED from different neighbors
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: asnotation
                            
                            	Change the default asplain notation
                            	**type**\:   :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Asnotation>`
                            
                            .. attribute:: bestpath
                            
                            	Change the default bestpath selection
                            	**type**\:   :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath>`
                            
                            .. attribute:: client_to_client
                            
                            	Configure client to client route reflection
                            	**type**\:   :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ClientToClient>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: confederation
                            
                            	AS confederation parameters
                            	**type**\:   :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Confederation>`
                            
                            .. attribute:: consistency_checker
                            
                            	Consistency\-checker
                            	**type**\:   :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ConsistencyChecker>`
                            
                            .. attribute:: dampening
                            
                            	Enable route\-flap dampening
                            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Dampening>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: default
                            
                            	Configure BGP defaults
                            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Default>`
                            
                            .. attribute:: deterministic_med
                            
                            	Pick the best\-MED path among paths advertised from the neighboring AS
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Use DMZ Link Bandwidth as weight for BGP multipaths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enforce_first_as
                            
                            	Enforce the first AS for EBGP routes(default)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enhanced_error
                            
                            	Enabled BGP Enhanced error handling
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fast_external_fallover
                            
                            	Immediately reset session if a link to a directly connected external peer goes down
                            	**type**\:  bool
                            
                            .. attribute:: graceful_restart
                            
                            	Graceful restart capability parameters
                            	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.GracefulRestart>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ha_mode
                            
                            	Select BGP High Availability mode
                            	**type**\:   :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.HaMode>`
                            
                            .. attribute:: inject_map
                            
                            	Routemap which specifies prefixes to inject
                            	**type**\: list of    :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.InjectMap>`
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: maxas_limit
                            
                            	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                            	**type**\:  int
                            
                            	**range:** 1..2000
                            
                            .. attribute:: maxcommunity_limit
                            
                            	Number of communities in the COMMUNITY attribute
                            	**type**\:  int
                            
                            	**range:** 1..1018
                            
                            .. attribute:: nexthop
                            
                            	Nexthop tracking commands
                            	**type**\:   :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Nexthop>`
                            
                            .. attribute:: nopeerup_delay
                            
                            	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                            	**type**\:   :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.NopeerupDelay>`
                            
                            .. attribute:: recursion
                            
                            	recursion rule for the nexthops
                            	**type**\:   :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Recursion>`
                            
                            .. attribute:: redistribute_internal
                            
                            	Allow redistribution of iBGP into IGPs (dangerous)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: regexp
                            
                            	Select regular expression engine
                            	**type**\:   :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Regexp>`
                            
                            .. attribute:: route_map
                            
                            	bgp route\-map commands
                            	**type**\:   :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.RouteMap>`
                            
                            .. attribute:: router_id
                            
                            	Override configured router identifier (peers will reset)
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: scan_time
                            
                            	Configure background scanner interval
                            	**type**\:  int
                            
                            	**range:** 5..60
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:   :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer>`
                            
                            .. attribute:: soft_reconfig_backup
                            
                            	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_inactive
                            
                            	Suppress routes that are not in the routing table
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Transport>`
                            
                            .. attribute:: update_delay
                            
                            	Set the max initial delay for sending update
                            	**type**\:  int
                            
                            	**range:** 1..3600
                            
                            .. attribute:: update_group
                            
                            	Manage peers in bgp update groups
                            	**type**\:   :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.UpdateGroup>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths()
                                self.additional_paths.parent = self
                                self.advertise_best_external = None
                                self.aggregate_timer = None
                                self.always_compare_med = None
                                self.asnotation = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Asnotation()
                                self.asnotation.parent = self
                                self.bestpath = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath()
                                self.bestpath.parent = self
                                self.client_to_client = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ClientToClient()
                                self.client_to_client.parent = self
                                self.cluster_id = None
                                self.confederation = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Confederation()
                                self.confederation.parent = self
                                self.consistency_checker = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ConsistencyChecker()
                                self.consistency_checker.parent = self
                                self.dampening = None
                                self.default = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Default()
                                self.default.parent = self
                                self.deterministic_med = None
                                self.dmzlink_bw = None
                                self.enforce_first_as = None
                                self.enhanced_error = None
                                self.fast_external_fallover = None
                                self.graceful_restart = None
                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.HaMode()
                                self.ha_mode.parent = self
                                self.inject_map = YList()
                                self.inject_map.parent = self
                                self.inject_map.name = 'inject_map'
                                self.log_neighbor_changes = None
                                self.maxas_limit = None
                                self.maxcommunity_limit = None
                                self.nexthop = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Nexthop()
                                self.nexthop.parent = self
                                self.nopeerup_delay = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.NopeerupDelay()
                                self.nopeerup_delay.parent = self
                                self.recursion = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Recursion()
                                self.recursion.parent = self
                                self.redistribute_internal = None
                                self.regexp = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Regexp()
                                self.regexp.parent = self
                                self.route_map = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.RouteMap()
                                self.route_map.parent = self
                                self.router_id = None
                                self.scan_time = None
                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer()
                                self.slow_peer.parent = self
                                self.soft_reconfig_backup = None
                                self.suppress_inactive = None
                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Transport()
                                self.transport.parent = self
                                self.update_delay = None
                                self.update_group = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.UpdateGroup()
                                self.update_group.parent = self


                            class Asnotation(object):
                                """
                                Change the default asplain notation
                                
                                .. attribute:: dot
                                
                                	asdot notation
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dot = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:asnotation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dot is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Asnotation']['meta_info']


                            class NopeerupDelay(object):
                                """
                                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                
                                .. attribute:: cold_boot
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: nsf_switchover
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: post_boot
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: user_initiated
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cold_boot = None
                                    self.nsf_switchover = None
                                    self.post_boot = None
                                    self.user_initiated = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:nopeerup-delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cold_boot is not None:
                                        return True

                                    if self.nsf_switchover is not None:
                                        return True

                                    if self.post_boot is not None:
                                        return True

                                    if self.user_initiated is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.NopeerupDelay']['meta_info']


                            class Recursion(object):
                                """
                                recursion rule for the nexthops
                                
                                .. attribute:: host
                                
                                	recursion via host for the nexthops
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.host = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:recursion'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.host is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Recursion']['meta_info']


                            class AdditionalPaths(object):
                                """
                                Additional paths in the BGP table
                                
                                .. attribute:: install
                                
                                	Additional paths to install into RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: select
                                
                                	Selection criteria to pick the paths
                                	**type**\:   :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to neighbors
                                	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.install = None
                                    self.receive = None
                                    self.select = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select()
                                    self.select.parent = self
                                    self.send = None


                                class Select(object):
                                    """
                                    Selection criteria to pick the paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: backup
                                    
                                    	Select backup path
                                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Best>`
                                    
                                    .. attribute:: best_external
                                    
                                    	Select best\-external path
                                    	**type**\:   :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.BestExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best path
                                    	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.all = None
                                        self.backup = None
                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Best()
                                        self.best.parent = self
                                        self.best_external = None
                                        self.group_best = None


                                    class All(object):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best path
                                        	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All.Best()
                                            self.best.parent = self
                                            self.group_best = None


                                        class Best(object):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All.Best.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = YList()
                                                self.range.parent = self
                                                self.range.name = 'range'


                                            class Range(object):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = None
                                                    self.group_best = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.range is None:
                                                        raise YPYModelError('Key property range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        return True

                                                    if self.group_best is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All.Best.Range']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    for child_ref in self.range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All.Best']['meta_info']


                                        class GroupBest(object):
                                            """
                                            Select group\-best path
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.best = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.best is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All.GroupBest']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:all'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.best is not None and self.best._has_data():
                                                return True

                                            if self.group_best is not None and self.group_best._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.All']['meta_info']


                                    class Backup(object):
                                        """
                                        Select backup path
                                        
                                        .. attribute:: best_external
                                        
                                        	Select best\-external path
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.best_external = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:backup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.best_external is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Backup']['meta_info']


                                    class Best(object):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Best.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.range = YList()
                                            self.range.parent = self
                                            self.range.name = 'range'


                                        class Range(object):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.all = None
                                                self.group_best = None


                                            class GroupBest(object):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.all = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.all is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.range is None:
                                                    raise YPYModelError('Key property range is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.all is not None:
                                                    return True

                                                if self.group_best is not None and self.group_best._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.range is not None:
                                                for child_ref in self.range:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.Best']['meta_info']


                                    class BestExternal(object):
                                        """
                                        Select best\-external path
                                        
                                        .. attribute:: backup
                                        
                                        	Select backup path
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.backup = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.backup is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.BestExternal']['meta_info']


                                    class GroupBest(object):
                                        """
                                        Select group\-best path
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\:  int
                                        
                                        	**range:** 2..3
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.all = None
                                            self.best = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.all is not None:
                                                return True

                                            if self.best is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select.GroupBest']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:select'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.all is not None and self.all._has_data():
                                            return True

                                        if self.backup is not None and self.backup._has_data():
                                            return True

                                        if self.best is not None and self.best._has_data():
                                            return True

                                        if self.best_external is not None and self.best_external._has_data():
                                            return True

                                        if self.group_best is not None and self.group_best._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Select']['meta_info']


                                class Send(object):
                                    """
                                    Send additional paths to neighbors
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.receive = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.receive is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths.Send']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.install is not None:
                                        return True

                                    if self.receive is not None:
                                        return True

                                    if self.select is not None and self.select._has_data():
                                        return True

                                    if self.send is not None and self.send._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.AdditionalPaths']['meta_info']


                            class Bestpath(object):
                                """
                                Change the default bestpath selection
                                
                                .. attribute:: compare_routerid
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: cost_community
                                
                                	cost community
                                	**type**\:   :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.CostCommunity>`
                                
                                .. attribute:: igp_metric
                                
                                	igp metric
                                	**type**\:   :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.IgpMetric>`
                                
                                .. attribute:: med
                                
                                	MED attribute
                                	**type**\:   :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.Med>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.compare_routerid = None
                                    self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.CostCommunity()
                                    self.cost_community.parent = self
                                    self.igp_metric = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.IgpMetric()
                                    self.igp_metric.parent = self
                                    self.med = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.Med()
                                    self.med.parent = self


                                class CostCommunity(object):
                                    """
                                    cost community
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore cost communities in bestpath selection
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:cost-community'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.CostCommunity']['meta_info']


                                class IgpMetric(object):
                                    """
                                    igp metric
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore igp metric in bestpath selection
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:igp-metric'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.IgpMetric']['meta_info']


                                class Med(object):
                                    """
                                    MED attribute
                                    
                                    .. attribute:: confed
                                    
                                    	Compare MED among confederation paths
                                    	**type**\:   :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.Med.Confed>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: missing_at_worst
                                    
                                    	Treat missing MED as the least preferred one
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.confed = None
                                        self.missing_at_worst = None


                                    class Confed(object):
                                        """
                                        Compare MED among confederation paths
                                        
                                        .. attribute:: missing_at_worst
                                        
                                        	Treat missing MED as the least preferred one
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.missing_at_worst = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:confed'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.missing_at_worst is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.Med.Confed']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:med'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.confed is not None and self.confed._has_data():
                                            return True

                                        if self.missing_at_worst is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath.Med']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bestpath'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.compare_routerid is not None:
                                        return True

                                    if self.cost_community is not None and self.cost_community._has_data():
                                        return True

                                    if self.igp_metric is not None and self.igp_metric._has_data():
                                        return True

                                    if self.med is not None and self.med._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Bestpath']['meta_info']


                            class ClientToClient(object):
                                """
                                Configure client to client route reflection
                                
                                .. attribute:: reflection
                                
                                	reflection of routes allowed
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.reflection = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:client-to-client'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.reflection is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ClientToClient']['meta_info']


                            class Confederation(object):
                                """
                                AS confederation parameters
                                
                                .. attribute:: identifier
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: peers
                                
                                	Peer ASs in BGP confederation
                                	**type**\:   :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Confederation.Peers>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.identifier = None
                                    self.peers = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Confederation.Peers()
                                    self.peers.parent = self


                                class Peers(object):
                                    """
                                    Peer ASs in BGP confederation
                                    
                                    .. attribute:: peers_as
                                    
                                    	
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.peers_as = YLeafList()
                                        self.peers_as.parent = self
                                        self.peers_as.name = 'peers_as'

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:peers'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.peers_as is not None:
                                            for child in self.peers_as:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Confederation.Peers']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:confederation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.identifier is not None:
                                        return True

                                    if self.peers is not None and self.peers._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Confederation']['meta_info']


                            class ConsistencyChecker(object):
                                """
                                Consistency\-checker
                                
                                .. attribute:: auto_repair
                                
                                	Auto\-Repair
                                	**type**\:   :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ConsistencyChecker.AutoRepair>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: error_message
                                
                                	Log Error\-Msg
                                	**type**\:   :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ConsistencyChecker.ErrorMessage>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.auto_repair = None
                                    self.error_message = None


                                class AutoRepair(object):
                                    """
                                    Auto\-Repair
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\:  int
                                    
                                    	**range:** 5..1440
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:auto-repair'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ConsistencyChecker.AutoRepair']['meta_info']


                                class ErrorMessage(object):
                                    """
                                    Log Error\-Msg
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\:  int
                                    
                                    	**range:** 5..1440
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:error-message'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ConsistencyChecker.ErrorMessage']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:consistency-checker'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.auto_repair is not None and self.auto_repair._has_data():
                                        return True

                                    if self.error_message is not None and self.error_message._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.ConsistencyChecker']['meta_info']


                            class Dampening(object):
                                """
                                Enable route\-flap dampening
                                
                                .. attribute:: dampen
                                
                                	
                                	**type**\:   :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Dampening.Dampen>`
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria for dampening
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.dampen = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Dampening.Dampen()
                                    self.dampen.parent = self
                                    self.route_map = None


                                class Dampen(object):
                                    """
                                    
                                    
                                    .. attribute:: half_life_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..45
                                    
                                    .. attribute:: max_suppress_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: reuse_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..20000
                                    
                                    .. attribute:: suppress_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..20000
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.half_life_time = None
                                        self.max_suppress_time = None
                                        self.reuse_time = None
                                        self.suppress_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:dampen'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.half_life_time is not None:
                                            return True

                                        if self.max_suppress_time is not None:
                                            return True

                                        if self.reuse_time is not None:
                                            return True

                                        if self.suppress_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Dampening.Dampen']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:dampening'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.dampen is not None and self.dampen._has_data():
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Dampening']['meta_info']


                            class Default(object):
                                """
                                Configure BGP defaults
                                
                                .. attribute:: ipv4_unicast
                                
                                	Activate ipv4\-unicast for a peer by default
                                	**type**\:  bool
                                
                                .. attribute:: ipv6_nexthop
                                
                                	Default IPv6 nexthop format
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: local_preference
                                
                                	local preference (higher=more preferred)
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: route_target
                                
                                	Control behavior based on Route\-Target attributes
                                	**type**\:   :py:class:`RouteTargetEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Default.RouteTargetEnum>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_unicast = None
                                    self.ipv6_nexthop = None
                                    self.local_preference = None
                                    self.route_target = None

                                class RouteTargetEnum(Enum):
                                    """
                                    RouteTargetEnum

                                    Control behavior based on Route\-Target attributes

                                    .. data:: filter = 0

                                    """

                                    filter = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Default.RouteTargetEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_unicast is not None:
                                        return True

                                    if self.ipv6_nexthop is not None:
                                        return True

                                    if self.local_preference is not None:
                                        return True

                                    if self.route_target is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Default']['meta_info']


                            class GracefulRestart(object):
                                """
                                Graceful restart capability parameters
                                
                                .. attribute:: extended
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: restart_time
                                
                                	Set the max time needed to restart and come back up
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: stalepath_time
                                
                                	Set the max time to hold onto restarting peer's stale paths
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.extended = None
                                    self.restart_time = None
                                    self.stalepath_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:graceful-restart'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.extended is not None:
                                        return True

                                    if self.restart_time is not None:
                                        return True

                                    if self.stalepath_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.GracefulRestart']['meta_info']


                            class HaMode(object):
                                """
                                Select BGP High Availability mode
                                
                                .. attribute:: sso
                                
                                	BGP High Availability NSR sso mode
                                	**type**\:   :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.sso = None


                                class Sso(object):
                                    """
                                    BGP High Availability NSR sso mode
                                    
                                    .. attribute:: prefer
                                    
                                    	Perfer BGP High Availability NSR sso mode
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.prefer = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:sso'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.prefer is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.HaMode.Sso']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ha-mode'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.sso is not None and self.sso._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.HaMode']['meta_info']


                            class InjectMap(object):
                                """
                                Routemap which specifies prefixes to inject
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: copy_attributes
                                
                                	Copy attributes from aggregate
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: exist_map
                                
                                	Routemap which specifies exist condition
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.copy_attributes = None
                                    self.exist_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:inject-map[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.copy_attributes is not None:
                                        return True

                                    if self.exist_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.InjectMap']['meta_info']


                            class RouteMap(object):
                                """
                                bgp route\-map commands
                                
                                .. attribute:: priority
                                
                                	Have route\-map set commands take priority over BGP commands such 
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.priority = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:route-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.priority is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.RouteMap']['meta_info']


                            class SlowPeer(object):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:   :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:   :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.detection = None
                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self


                                class Detection(object):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: disable
                                    
                                    	Disable slow\-peer detection
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\:  int
                                    
                                    	**range:** 120..3600
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:detection'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer.Detection']['meta_info']


                                class SplitUpdateGroup(object):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None


                                    class Dynamic(object):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.permanent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:dynamic'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.permanent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:split-update-group'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None and self.dynamic._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:slow-peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.detection is not None and self.detection._has_data():
                                        return True

                                    if self.split_update_group is not None and self.split_update_group._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.SlowPeer']['meta_info']


                            class UpdateGroup(object):
                                """
                                Manage peers in bgp update groups
                                
                                .. attribute:: split
                                
                                	Split update groups based on Policy
                                	**type**\:   :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.UpdateGroup.Split>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.split = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.UpdateGroup.Split()
                                    self.split.parent = self


                                class Split(object):
                                    """
                                    Split update groups based on Policy
                                    
                                    .. attribute:: as_override
                                    
                                    	Keep peers with as\-override in different update groups
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_override = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:split'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.as_override is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.UpdateGroup.Split']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:update-group'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.split is not None and self.split._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.UpdateGroup']['meta_info']


                            class Nexthop(object):
                                """
                                Nexthop tracking commands
                                
                                .. attribute:: route_map
                                
                                	Route map for valid nexthops
                                	**type**\:  str
                                
                                .. attribute:: trigger
                                
                                	Nexthop triggering
                                	**type**\:   :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Nexthop.Trigger>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.route_map = None
                                    self.trigger = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Nexthop.Trigger()
                                    self.trigger.parent = self


                                class Trigger(object):
                                    """
                                    Nexthop triggering
                                    
                                    .. attribute:: delay
                                    
                                    	Set the delay to tigger nexthop tracking
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: enable
                                    
                                    	Enable nexthop tracking
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.delay = None
                                        self.enable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:trigger'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.delay is not None:
                                            return True

                                        if self.enable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Nexthop.Trigger']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:nexthop'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.route_map is not None:
                                        return True

                                    if self.trigger is not None and self.trigger._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Nexthop']['meta_info']


                            class Regexp(object):
                                """
                                Select regular expression engine
                                
                                .. attribute:: deterministic
                                
                                	Enable bounded\-execution\-time regular expression engine
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.deterministic = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:regexp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.deterministic is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Regexp']['meta_info']


                            class Transport(object):
                                """
                                Transport options
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.path_mtu_discovery = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:transport'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.path_mtu_discovery is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_.Transport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.additional_paths is not None and self.additional_paths._has_data():
                                    return True

                                if self.advertise_best_external is not None:
                                    return True

                                if self.aggregate_timer is not None:
                                    return True

                                if self.always_compare_med is not None:
                                    return True

                                if self.asnotation is not None and self.asnotation._has_data():
                                    return True

                                if self.bestpath is not None and self.bestpath._has_data():
                                    return True

                                if self.client_to_client is not None and self.client_to_client._has_data():
                                    return True

                                if self.cluster_id is not None:
                                    return True

                                if self.confederation is not None and self.confederation._has_data():
                                    return True

                                if self.consistency_checker is not None and self.consistency_checker._has_data():
                                    return True

                                if self.dampening is not None and self.dampening._has_data():
                                    return True

                                if self.default is not None and self.default._has_data():
                                    return True

                                if self.deterministic_med is not None:
                                    return True

                                if self.dmzlink_bw is not None:
                                    return True

                                if self.enforce_first_as is not None:
                                    return True

                                if self.enhanced_error is not None:
                                    return True

                                if self.fast_external_fallover is not None:
                                    return True

                                if self.graceful_restart is not None and self.graceful_restart._has_data():
                                    return True

                                if self.ha_mode is not None and self.ha_mode._has_data():
                                    return True

                                if self.inject_map is not None:
                                    for child_ref in self.inject_map:
                                        if child_ref._has_data():
                                            return True

                                if self.log_neighbor_changes is not None:
                                    return True

                                if self.maxas_limit is not None:
                                    return True

                                if self.maxcommunity_limit is not None:
                                    return True

                                if self.nexthop is not None and self.nexthop._has_data():
                                    return True

                                if self.nopeerup_delay is not None and self.nopeerup_delay._has_data():
                                    return True

                                if self.recursion is not None and self.recursion._has_data():
                                    return True

                                if self.redistribute_internal is not None:
                                    return True

                                if self.regexp is not None and self.regexp._has_data():
                                    return True

                                if self.route_map is not None and self.route_map._has_data():
                                    return True

                                if self.router_id is not None:
                                    return True

                                if self.scan_time is not None:
                                    return True

                                if self.slow_peer is not None and self.slow_peer._has_data():
                                    return True

                                if self.soft_reconfig_backup is not None:
                                    return True

                                if self.suppress_inactive is not None:
                                    return True

                                if self.transport is not None and self.transport._has_data():
                                    return True

                                if self.update_delay is not None:
                                    return True

                                if self.update_group is not None and self.update_group._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp_']['meta_info']


                        class DefaultInformation(object):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.originate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:default-information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.originate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DefaultInformation']['meta_info']


                        class Distance(object):
                            """
                            Define an administrative distance
                            
                            .. attribute:: adm_distance
                            
                            	
                            	**type**\: list of    :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.AdmDistance>`
                            
                            .. attribute:: bgp
                            
                            	BGP distance
                            	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.Bgp_>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.adm_distance = YList()
                                self.adm_distance.parent = self
                                self.adm_distance.name = 'adm_distance'
                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.Bgp_()
                                self.bgp.parent = self


                            class Bgp_(object):
                                """
                                BGP distance
                                
                                .. attribute:: extern_as
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: internal_as
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: local
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.extern_as = None
                                    self.internal_as = None
                                    self.local = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.extern_as is not None:
                                        return True

                                    if self.internal_as is not None:
                                        return True

                                    if self.local is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.Bgp_']['meta_info']


                            class AdmDistance(object):
                                """
                                
                                
                                .. attribute:: distance  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: srcip  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildbits  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: acl
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..99
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 1300..1999
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.distance = None
                                    self.srcip = None
                                    self.wildbits = None
                                    self.acl = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.distance is None:
                                        raise YPYModelError('Key property distance is None')
                                    if self.srcip is None:
                                        raise YPYModelError('Key property srcip is None')
                                    if self.wildbits is None:
                                        raise YPYModelError('Key property wildbits is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:adm-distance[Cisco-IOS-XE-bgp:distance = ' + str(self.distance) + '][Cisco-IOS-XE-bgp:srcip = ' + str(self.srcip) + '][Cisco-IOS-XE-bgp:wildbits = ' + str(self.wildbits) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.distance is not None:
                                        return True

                                    if self.srcip is not None:
                                        return True

                                    if self.wildbits is not None:
                                        return True

                                    if self.acl is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.AdmDistance']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.adm_distance is not None:
                                    for child_ref in self.adm_distance:
                                        if child_ref._has_data():
                                            return True

                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance']['meta_info']


                        class DistributeList(object):
                            """
                            Filter networks in routing updates
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 100..199
                            
                            
                            ----
                            	**type**\:  int
                            
                            	**range:** 2000..2699
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	Filter incoming routing updates
                            	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList.In_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: out
                            
                            	Filter outgoing routing updates
                            	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList.Out>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.in_ = None
                                self.out = None


                            class In_(object):
                                """
                                Filter incoming routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:in'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList.In_']['meta_info']


                            class Out(object):
                                """
                                Filter outgoing routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:out'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList.Out']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:distribute-list[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.in_ is not None and self.in_._has_data():
                                    return True

                                if self.out is not None and self.out._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList']['meta_info']


                        class MaximumPaths(object):
                            """
                            Forward packets over multiple paths
                            
                            .. attribute:: eibgp
                            
                            	Both eBGP and iBGP paths as multipath
                            	**type**\:   :py:class:`Eibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp>`
                            
                            .. attribute:: external_rtfilter
                            
                            	VPN prefix multipath on external RTFilter peers
                            	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter>`
                            
                            .. attribute:: ibgp
                            
                            	iBGP\-multipath
                            	**type**\:   :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp>`
                            
                            .. attribute:: max_path
                            
                            	
                            	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eibgp = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp()
                                self.eibgp.parent = self
                                self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter()
                                self.external_rtfilter.parent = self
                                self.ibgp = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp()
                                self.ibgp.parent = self
                                self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath()
                                self.max_path.parent = self


                            class MaxPath(object):
                                """
                                
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath']['meta_info']


                            class ExternalRtfilter(object):
                                """
                                VPN prefix multipath on external RTFilter peers
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter']['meta_info']


                            class Eibgp(object):
                                """
                                Both eBGP and iBGP paths as multipath
                                
                                .. attribute:: external_rtfilter
                                
                                	VPN prefix multipath on external RTFilter peers
                                	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp.ExternalRtfilter>`
                                
                                .. attribute:: max_path
                                
                                	
                                	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp.MaxPath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp.ExternalRtfilter()
                                    self.external_rtfilter.parent = self
                                    self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp.MaxPath()
                                    self.max_path.parent = self


                                class MaxPath(object):
                                    """
                                    
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp.MaxPath']['meta_info']


                                class ExternalRtfilter(object):
                                    """
                                    VPN prefix multipath on external RTFilter peers
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp.ExternalRtfilter']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:eibgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                        return True

                                    if self.max_path is not None and self.max_path._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Eibgp']['meta_info']


                            class Ibgp(object):
                                """
                                iBGP\-multipath
                                
                                .. attribute:: external_rtfilter
                                
                                	VPN prefix multipath on external RTFilter peers
                                	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.ExternalRtfilter>`
                                
                                .. attribute:: max_path
                                
                                	
                                	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.MaxPath>`
                                
                                .. attribute:: unequal_cost
                                
                                	Perform Un\-Equal cost multipath selection
                                	**type**\:   :py:class:`UnequalCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.ExternalRtfilter()
                                    self.external_rtfilter.parent = self
                                    self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.MaxPath()
                                    self.max_path.parent = self
                                    self.unequal_cost = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost()
                                    self.unequal_cost.parent = self


                                class UnequalCost(object):
                                    """
                                    Perform Un\-Equal cost multipath selection
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter>`
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost.MaxPath>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost.MaxPath()
                                        self.max_path.parent = self


                                    class MaxPath(object):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost.MaxPath']['meta_info']


                                    class ExternalRtfilter(object):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:unequal-cost'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                            return True

                                        if self.max_path is not None and self.max_path._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.UnequalCost']['meta_info']


                                class MaxPath(object):
                                    """
                                    
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.MaxPath']['meta_info']


                                class ExternalRtfilter(object):
                                    """
                                    VPN prefix multipath on external RTFilter peers
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp.ExternalRtfilter']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ibgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                        return True

                                    if self.max_path is not None and self.max_path._has_data():
                                        return True

                                    if self.unequal_cost is not None and self.unequal_cost._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:maximum-paths'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eibgp is not None and self.eibgp._has_data():
                                    return True

                                if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                    return True

                                if self.ibgp is not None and self.ibgp._has_data():
                                    return True

                                if self.max_path is not None and self.max_path._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths']['meta_info']


                        class Neighbor(object):
                            """
                            Specify a neighbor router
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: activate
                            
                            	Enable the Address Family for this Neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: additional_paths
                            
                            	
                            	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths>`
                            
                            .. attribute:: advertise
                            
                            	Advertise to this neighbor
                            	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise>`
                            
                            .. attribute:: advertise_map
                            
                            	specify route\-map for conditional advertisement
                            	**type**\:   :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap>`
                            
                            .. attribute:: advertisement_interval
                            
                            	Minimum interval between sending BGP routing updates
                            	**type**\:  int
                            
                            	**range:** 0..600
                            
                            .. attribute:: aigp
                            
                            	Enable a AIGP on neighbor
                            	**type**\:   :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: allow_policy
                            
                            	Enable the policy support for this IBGP Neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allowas_in
                            
                            	Accept as\-path with my AS present in it
                            	**type**\:   :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AllowasIn>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: announce
                            
                            	Announce RPKI State using an Extended Community
                            	**type**\:   :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce>`
                            
                            .. attribute:: as_override
                            
                            	Override matching AS\-number while sending update
                            	**type**\:   :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AsOverride>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Advertise capability to the peer
                            	**type**\:   :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: default_originate
                            
                            	Originate default route to this neighbour
                            	**type**\:   :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DefaultOriginate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: description
                            
                            	Neighbor specific description
                            	**type**\:  str
                            
                            .. attribute:: disable_connected_check
                            
                            	One\-hop away EBGP peer using loopback address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of    :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Propagate the DMZ link bandwidth
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ebgp_multihop
                            
                            	Allow EBGP neighbors not on directly connected networks
                            	**type**\:   :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.EbgpMultihop>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: fall_over
                            
                            	session fall on peer route lost
                            	**type**\:   :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver>`
                            
                            .. attribute:: filter_list
                            
                            	Establish BGP filters
                            	**type**\: list of    :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList>`
                            
                            .. attribute:: ha_mode
                            
                            	high availability mode
                            	**type**\:   :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode>`
                            
                            .. attribute:: inherit
                            
                            	Inherit a template
                            	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit>`
                            
                            .. attribute:: local_as
                            
                            	Specify a local\-as number
                            	**type**\:   :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.LocalAs>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\:   :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.LogNeighborChanges>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes accepted from this peer
                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix>`
                            
                            .. attribute:: next_hop_self
                            
                            	Disable the next hop calculation for this neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: next_hop_unchanged
                            
                            	Propagate the iBGP paths's next hop unchanged for this neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: password
                            
                            	Set a password
                            	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Password>`
                            
                            .. attribute:: path_attribute
                            
                            	BGP optional attribute filtering
                            	**type**\:   :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute>`
                            
                            .. attribute:: peer_group
                            
                            	Member of the peer\-group
                            	**type**\:   :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PeerGroup>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList>`
                            
                            .. attribute:: remote_as
                            
                            	Specify a BGP neighbor
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: remove_private_as
                            
                            	Remove private AS number from outbound updates
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Apply route map to neighbor
                            	**type**\: list of    :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap>`
                            
                            .. attribute:: route_reflector_client
                            
                            	Configure a neighbor as Route Reflector client
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_reflector_cluster_id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: send_community
                            
                            	Send Community attribute to this neighbor
                            	**type**\:   :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: send_label
                            
                            	Send NLRI + MPLS Label to this peer
                            	**type**\:   :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel>`
                            
                            .. attribute:: shutdown
                            
                            	Administratively shut down this neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:   :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer>`
                            
                            .. attribute:: soft_reconfiguration
                            
                            	Per neighbor soft reconfiguration
                            	**type**\:   :py:class:`SoftReconfigurationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SoftReconfigurationEnum>`
                            
                            .. attribute:: timers
                            
                            	BGP per neighbor timers
                            	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers>`
                            
                            .. attribute:: translate_update
                            
                            	Translate Update to MBGP format
                            	**type**\:   :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport>`
                            
                            .. attribute:: ttl_security
                            
                            	BGP ttl security check
                            	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity>`
                            
                            .. attribute:: unsuppress_map
                            
                            	Route\-map to selectively unsuppress suppressed routes
                            	**type**\:  str
                            
                            .. attribute:: update_source
                            
                            	Source of routing updates
                            	**type**\:   :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource>`
                            
                            .. attribute:: version
                            
                            	Set the BGP version to match a neighbor
                            	**type**\:  int
                            
                            	**range:** 4..None
                            
                            .. attribute:: weight
                            
                            	Set default weight for routes from this neighbor
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.activate = None
                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths()
                                self.additional_paths.parent = self
                                self.advertise = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise()
                                self.advertise.parent = self
                                self.advertise_map = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap()
                                self.advertise_map.parent = self
                                self.advertisement_interval = None
                                self.aigp = None
                                self.allow_policy = None
                                self.allowas_in = None
                                self.announce = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce()
                                self.announce.parent = self
                                self.as_override = None
                                self.capability = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability()
                                self.capability.parent = self
                                self.cluster_id = None
                                self.default_originate = None
                                self.description = None
                                self.disable_connected_check = None
                                self.distribute_list = YList()
                                self.distribute_list.parent = self
                                self.distribute_list.name = 'distribute_list'
                                self.dmzlink_bw = None
                                self.ebgp_multihop = None
                                self.fall_over = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver()
                                self.fall_over.parent = self
                                self.filter_list = YList()
                                self.filter_list.parent = self
                                self.filter_list.name = 'filter_list'
                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode()
                                self.ha_mode.parent = self
                                self.inherit = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit()
                                self.inherit.parent = self
                                self.local_as = None
                                self.log_neighbor_changes = None
                                self.maximum_prefix = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self.next_hop_self = None
                                self.next_hop_unchanged = None
                                self.password = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Password()
                                self.password.parent = self
                                self.path_attribute = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute()
                                self.path_attribute.parent = self
                                self.peer_group = None
                                self.prefix_list = YList()
                                self.prefix_list.parent = self
                                self.prefix_list.name = 'prefix_list'
                                self.remote_as = None
                                self.remove_private_as = None
                                self.route_map = YList()
                                self.route_map.parent = self
                                self.route_map.name = 'route_map'
                                self.route_reflector_client = None
                                self.route_reflector_cluster_id = None
                                self.send_community = None
                                self.send_label = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel()
                                self.send_label.parent = self
                                self.shutdown = None
                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer()
                                self.slow_peer.parent = self
                                self.soft_reconfiguration = None
                                self.timers = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers()
                                self.timers.parent = self
                                self.translate_update = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate()
                                self.translate_update.parent = self
                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport()
                                self.transport.parent = self
                                self.ttl_security = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity()
                                self.ttl_security.parent = self
                                self.unsuppress_map = None
                                self.update_source = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource()
                                self.update_source.parent = self
                                self.version = None
                                self.weight = None

                            class SoftReconfigurationEnum(Enum):
                                """
                                SoftReconfigurationEnum

                                Per neighbor soft reconfiguration

                                .. data:: inbound = 0

                                """

                                inbound = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SoftReconfigurationEnum']



                            class PeerGroup(object):
                                """
                                Member of the peer\-group
                                
                                .. attribute:: peer_group_name
                                
                                	WORD;;peer\-group name
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.peer_group_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:peer-group'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.peer_group_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PeerGroup']['meta_info']


                            class LocalAs(object):
                                """
                                Specify a local\-as number
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: dual_as
                                
                                	Accept either real AS or local AS from the ebgp peer
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_prepend
                                
                                	Do not prepend local\-as to updates from ebgp peers
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: replace_as
                                
                                	Replace real AS with local AS in the EBGP updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.as_no = None
                                    self.dual_as = None
                                    self.no_prepend = None
                                    self.replace_as = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:local-as'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.as_no is not None:
                                        return True

                                    if self.dual_as is not None:
                                        return True

                                    if self.no_prepend is not None:
                                        return True

                                    if self.replace_as is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.LocalAs']['meta_info']


                            class AdditionalPaths(object):
                                """
                                
                                
                                .. attribute:: disable
                                
                                	Disable additional paths for this neighbor
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to this neighbor
                                	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.disable = None
                                    self.receive = None
                                    self.send = None


                                class Send(object):
                                    """
                                    Send additional paths to this neighbor
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from this neighbor
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.receive = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.receive is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths.Send']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.disable is not None:
                                        return True

                                    if self.receive is not None:
                                        return True

                                    if self.send is not None and self.send._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths']['meta_info']


                            class Advertise(object):
                                """
                                Advertise to this neighbor
                                
                                .. attribute:: additional_paths
                                
                                	Advertise additional paths
                                	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths>`
                                
                                .. attribute:: best_external
                                
                                	Advertise best\-external (at RRs best\-internal) path
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: diverse_path
                                
                                	Advertise diverse path
                                	**type**\:   :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self.best_external = None
                                    self.diverse_path = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath()
                                    self.diverse_path.parent = self


                                class AdditionalPaths(object):
                                    """
                                    Advertise additional paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best>`
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best paths
                                    	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.all = None
                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best()
                                        self.best.parent = self
                                        self.group_best = None


                                    class All(object):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best paths
                                        	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best()
                                            self.best.parent = self
                                            self.group_best = None


                                        class Best(object):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: best_range
                                            
                                            	
                                            	**type**\: list of    :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.best_range = YList()
                                                self.best_range.parent = self
                                                self.best_range.name = 'best_range'


                                            class BestRange(object):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = None
                                                    self.group_best = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.range is None:
                                                        raise YPYModelError('Key property range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        return True

                                                    if self.group_best is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.best_range is not None:
                                                    for child_ref in self.best_range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info']


                                        class GroupBest(object):
                                            """
                                            Select group\-best paths
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.best = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.best is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.GroupBest']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:all'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.best is not None and self.best._has_data():
                                                return True

                                            if self.group_best is not None and self.group_best._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All']['meta_info']


                                    class Best(object):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: best_range
                                        
                                        	
                                        	**type**\: list of    :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.best_range = YList()
                                            self.best_range.parent = self
                                            self.best_range.name = 'best_range'


                                        class BestRange(object):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.all = None
                                                self.group_best = None


                                            class GroupBest(object):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.all = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.all is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.range is None:
                                                    raise YPYModelError('Key property range is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.all is not None:
                                                    return True

                                                if self.group_best is not None and self.group_best._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.best_range is not None:
                                                for child_ref in self.best_range:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best']['meta_info']


                                    class GroupBest(object):
                                        """
                                        Select group\-best paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\:  int
                                        
                                        	**range:** 2..3
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.all = None
                                            self.best = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.all is not None:
                                                return True

                                            if self.best is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.GroupBest']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.all is not None and self.all._has_data():
                                            return True

                                        if self.best is not None and self.best._has_data():
                                            return True

                                        if self.group_best is not None and self.group_best._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths']['meta_info']


                                class DiversePath(object):
                                    """
                                    Advertise diverse path
                                    
                                    .. attribute:: backup
                                    
                                    	Diverse path can be backup path
                                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: mpath
                                    
                                    	Diverse path can be multipath
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.backup = None
                                        self.mpath = None


                                    class Backup(object):
                                        """
                                        Diverse path can be backup path
                                        
                                        .. attribute:: mpath
                                        
                                        	Diverse path can be multipath
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.mpath = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:backup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.mpath is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath.Backup']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:diverse-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.backup is not None and self.backup._has_data():
                                            return True

                                        if self.mpath is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:advertise'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.additional_paths is not None and self.additional_paths._has_data():
                                        return True

                                    if self.best_external is not None:
                                        return True

                                    if self.diverse_path is not None and self.diverse_path._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise']['meta_info']


                            class AdvertiseMap(object):
                                """
                                specify route\-map for conditional advertisement
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap.Name>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = YList()
                                    self.name.parent = self
                                    self.name.name = 'name'


                                class Name(object):
                                    """
                                    
                                    
                                    .. attribute:: word  <key>
                                    
                                    	advertise route\-map name
                                    	**type**\:  str
                                    
                                    .. attribute:: exist_map
                                    
                                    	condition route\-map name
                                    	**type**\:  str
                                    
                                    .. attribute:: non_exist_map
                                    
                                    	condition route\-map name
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.word = None
                                        self.exist_map = None
                                        self.non_exist_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.word is None:
                                            raise YPYModelError('Key property word is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:name[Cisco-IOS-XE-bgp:word = ' + str(self.word) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.word is not None:
                                            return True

                                        if self.exist_map is not None:
                                            return True

                                        if self.non_exist_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap.Name']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:advertise-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        for child_ref in self.name:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap']['meta_info']


                            class Aigp(object):
                                """
                                Enable a AIGP on neighbor
                                
                                .. attribute:: send
                                
                                	Cost community or MED carrying AIGP VALUE
                                	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.send = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send()
                                    self.send.parent = self


                                class Send(object):
                                    """
                                    Cost community or MED carrying AIGP VALUE
                                    
                                    .. attribute:: cost_community
                                    
                                    	Cost extended community carrying AIGP Value
                                    	**type**\:   :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity>`
                                    
                                    .. attribute:: med
                                    
                                    	Med carrying AIGP Value
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity()
                                        self.cost_community.parent = self
                                        self.med = None


                                    class CostCommunity(object):
                                        """
                                        Cost extended community carrying AIGP Value
                                        
                                        .. attribute:: cc_range
                                        
                                        	
                                        	**type**\: list of    :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.cc_range = YList()
                                            self.cc_range.parent = self
                                            self.cc_range.name = 'cc_range'


                                        class CcRange(object):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Community ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: poi
                                            
                                            	Point of Insertion
                                            	**type**\:   :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.poi = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                self.poi.parent = self


                                            class Poi(object):
                                                """
                                                Point of Insertion
                                                
                                                .. attribute:: igp_cost
                                                
                                                	Point of Insertion After IGP
                                                	**type**\:   :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: pre_bestpath
                                                
                                                	Point of Insertion At Beginning
                                                	**type**\:   :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.igp_cost = None
                                                    self.pre_bestpath = None


                                                class IgpCost(object):
                                                    """
                                                    Point of Insertion After IGP
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.transitive = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:igp-cost'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.transitive is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost']['meta_info']


                                                class PreBestpath(object):
                                                    """
                                                    Point of Insertion At Beginning
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.transitive = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:pre-bestpath'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.transitive is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:poi'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.igp_cost is not None and self.igp_cost._has_data():
                                                        return True

                                                    if self.pre_bestpath is not None and self.pre_bestpath._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.range is None:
                                                    raise YPYModelError('Key property range is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:cc-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.poi is not None and self.poi._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:cost-community'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.cc_range is not None:
                                                for child_ref in self.cc_range:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.cost_community is not None and self.cost_community._has_data():
                                            return True

                                        if self.med is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:aigp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.send is not None and self.send._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp']['meta_info']


                            class Announce(object):
                                """
                                Announce RPKI State using an Extended Community
                                
                                .. attribute:: rpki
                                
                                	Announce RPKI information using an Extended Community
                                	**type**\:   :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.rpki = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki()
                                    self.rpki.parent = self


                                class Rpki(object):
                                    """
                                    Announce RPKI information using an Extended Community
                                    
                                    .. attribute:: state
                                    
                                    	Announce RPKI State information using an Extended Community
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.state = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:rpki'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.state is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:announce'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.rpki is not None and self.rpki._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce']['meta_info']


                            class AllowasIn(object):
                                """
                                Accept as\-path with my AS present in it
                                
                                .. attribute:: as_number
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..10
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.as_number = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:allowas-in'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.as_number is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AllowasIn']['meta_info']


                            class AsOverride(object):
                                """
                                Override matching AS\-number while sending update
                                
                                .. attribute:: disable
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:as-override'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AsOverride']['meta_info']


                            class Capability(object):
                                """
                                Advertise capability to the peer
                                
                                .. attribute:: orf
                                
                                	Advertise ORF capability to the peer
                                	**type**\:   :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.orf = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf()
                                    self.orf.parent = self


                                class Orf(object):
                                    """
                                    Advertise ORF capability to the peer
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Advertise prefixlist ORF capability to this neighbor
                                    	**type**\:  list of   :py:class:`PrefixListEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf.PrefixListEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.prefix_list = YLeafList()
                                        self.prefix_list.parent = self
                                        self.prefix_list.name = 'prefix_list'

                                    class PrefixListEnum(Enum):
                                        """
                                        PrefixListEnum

                                        Advertise prefixlist ORF capability to this neighbor

                                        .. data:: both = 0

                                        .. data:: receive = 1

                                        .. data:: send = 2

                                        """

                                        both = 0

                                        receive = 1

                                        send = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf.PrefixListEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:orf'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.prefix_list is not None:
                                            for child in self.prefix_list:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:capability'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.orf is not None and self.orf._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability']['meta_info']


                            class DefaultOriginate(object):
                                """
                                Originate default route to this neighbour
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria to originate default
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:default-originate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DefaultOriginate']['meta_info']


                            class DistributeList(object):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList.InoutEnum>`
                                
                                .. attribute:: accesslist
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..199
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 1300..2699
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.accesslist = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:distribute-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.accesslist is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList']['meta_info']


                            class EbgpMultihop(object):
                                """
                                Allow EBGP neighbors not on directly connected networks
                                
                                .. attribute:: max_hop
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.max_hop = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ebgp-multihop'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.max_hop is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.EbgpMultihop']['meta_info']


                            class FallOver(object):
                                """
                                session fall on peer route lost
                                
                                .. attribute:: bfd
                                
                                	Use BFD to detect failure
                                	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver.Bfd>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bfd = None


                                class Bfd(object):
                                    """
                                    Use BFD to detect failure
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:bfd'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver.Bfd']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:fall-over'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bfd is not None and self.bfd._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver']['meta_info']


                            class FilterList(object):
                                """
                                Establish BGP filters
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList.InoutEnum>`
                                
                                .. attribute:: as_path_list
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..500
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.as_path_list = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:filter-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.as_path_list is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList']['meta_info']


                            class Inherit(object):
                                """
                                Inherit a template
                                
                                .. attribute:: peer_policy
                                
                                	Inherit a peer\-policy template
                                	**type**\:  str
                                
                                .. attribute:: peer_session
                                
                                	Inherit a peer\-session template
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.peer_policy = None
                                    self.peer_session = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:inherit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.peer_policy is not None:
                                        return True

                                    if self.peer_session is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit']['meta_info']


                            class LogNeighborChanges(object):
                                """
                                Log neighbor up/down and reset reason
                                
                                .. attribute:: disable
                                
                                	disable
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:log-neighbor-changes'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.LogNeighborChanges']['meta_info']


                            class MaximumPrefix(object):
                                """
                                Maximum number of prefixes accepted from this peer
                                
                                .. attribute:: max_prefix_no
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..2147483647
                                
                                .. attribute:: restart
                                
                                	Restart bgp connection after limit is exceeded
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only
                                
                                	Only give warning message when limit is exceeded
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_prefix_no = None
                                    self.restart = None
                                    self.threshold = None
                                    self.warning_only = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:maximum-prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_prefix_no is not None:
                                        return True

                                    if self.restart is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    if self.warning_only is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix']['meta_info']


                            class Password(object):
                                """
                                Set a password
                                
                                .. attribute:: enctype
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: text
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.enctype = None
                                    self.text = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:password'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.enctype is not None:
                                        return True

                                    if self.text is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Password']['meta_info']


                            class PrefixList(object):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList.InoutEnum>`
                                
                                .. attribute:: prefix_list_name
                                
                                	
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.prefix_list_name = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:prefix-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.prefix_list_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList']['meta_info']


                            class PathAttribute(object):
                                """
                                BGP optional attribute filtering
                                
                                .. attribute:: discard
                                
                                	Discard matching path\-attribute for this neighbor
                                	**type**\:   :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard>`
                                
                                .. attribute:: treat_as_withdraw
                                
                                	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                	**type**\:   :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.discard = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard()
                                    self.discard.parent = self
                                    self.treat_as_withdraw = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw()
                                    self.treat_as_withdraw.parent = self


                                class Discard(object):
                                    """
                                    Discard matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:   :py:class:`Attibute_Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Attibute_Type>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Attibute_Type()
                                        self.attibute_type.parent = self
                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range()
                                        self.range.parent = self


                                    class Attibute_Type(object):
                                        """
                                        
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.in_ = None
                                            self.type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:attibute_type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.in_ is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Attibute_Type']['meta_info']


                                    class Range(object):
                                        """
                                        
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.end_value = None
                                            self.in_ = None
                                            self.start_value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:range'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.end_value is not None:
                                                return True

                                            if self.in_ is not None:
                                                return True

                                            if self.start_value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:discard'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.attibute_type is not None and self.attibute_type._has_data():
                                            return True

                                        if self.range is not None and self.range._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard']['meta_info']


                                class TreatAsWithdraw(object):
                                    """
                                    Treat\-as\-withdraw matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:   :py:class:`Attibute_Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type()
                                        self.attibute_type.parent = self
                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                        self.range.parent = self


                                    class Attibute_Type(object):
                                        """
                                        
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.in_ = None
                                            self.type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:attibute_type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.in_ is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type']['meta_info']


                                    class Range(object):
                                        """
                                        
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.end_value = None
                                            self.in_ = None
                                            self.start_value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:range'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.end_value is not None:
                                                return True

                                            if self.in_ is not None:
                                                return True

                                            if self.start_value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:treat-as-withdraw'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.attibute_type is not None and self.attibute_type._has_data():
                                            return True

                                        if self.range is not None and self.range._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:path-attribute'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.discard is not None and self.discard._has_data():
                                        return True

                                    if self.treat_as_withdraw is not None and self.treat_as_withdraw._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute']['meta_info']


                            class RouteMap(object):
                                """
                                Apply route map to neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap.InoutEnum>`
                                
                                .. attribute:: route_map_name
                                
                                	
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.route_map_name = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:route-map[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.route_map_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap']['meta_info']


                            class SendCommunity(object):
                                """
                                Send Community attribute to this neighbor
                                
                                .. attribute:: send_community_where
                                
                                	
                                	**type**\:   :py:class:`SendCommunityWhereEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity.SendCommunityWhereEnum>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.send_community_where = None

                                class SendCommunityWhereEnum(Enum):
                                    """
                                    SendCommunityWhereEnum

                                    .. data:: both = 0

                                    .. data:: extended = 1

                                    .. data:: standard = 2

                                    """

                                    both = 0

                                    extended = 1

                                    standard = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity.SendCommunityWhereEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:send-community'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.send_community_where is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity']['meta_info']


                            class SendLabel(object):
                                """
                                Send NLRI + MPLS Label to this peer
                                
                                .. attribute:: send_label_explicit
                                
                                	
                                	**type**\:   :py:class:`SendLabelExplicitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel.SendLabelExplicitEnum>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.send_label_explicit = None

                                class SendLabelExplicitEnum(Enum):
                                    """
                                    SendLabelExplicitEnum

                                    .. data:: explicit_null = 0

                                    """

                                    explicit_null = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel.SendLabelExplicitEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:send-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.send_label_explicit is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel']['meta_info']


                            class SlowPeer(object):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:   :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:   :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.detection = None
                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self


                                class Detection(object):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\:  int
                                    
                                    	**range:** 120..3600
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:detection'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.Detection']['meta_info']


                                class SplitUpdateGroup(object):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None


                                    class Dynamic(object):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.permanent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:dynamic'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.permanent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:split-update-group'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None and self.dynamic._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:slow-peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.detection is not None and self.detection._has_data():
                                        return True

                                    if self.split_update_group is not None and self.split_update_group._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer']['meta_info']


                            class Timers(object):
                                """
                                BGP per neighbor timers
                                
                                .. attribute:: holdtime
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: keepalive_interval
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: minimum_neighbor_hold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.holdtime = None
                                    self.keepalive_interval = None
                                    self.minimum_neighbor_hold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:timers'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.holdtime is not None:
                                        return True

                                    if self.keepalive_interval is not None:
                                        return True

                                    if self.minimum_neighbor_hold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers']['meta_info']


                            class TranslateUpdate(object):
                                """
                                Translate Update to MBGP format
                                
                                .. attribute:: ipv4
                                
                                	Address Family
                                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4()
                                    self.ipv4.parent = self


                                class Ipv4(object):
                                    """
                                    Address Family
                                    
                                    .. attribute:: multicast
                                    
                                    	Address Family modifier
                                    	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.multicast = None


                                    class Multicast(object):
                                        """
                                        Address Family modifier
                                        
                                        .. attribute:: unicast
                                        
                                        	Address Family modifier
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.unicast = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:multicast'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.unicast is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4.Multicast']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ipv4'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.multicast is not None and self.multicast._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:translate-update'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None and self.ipv4._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate']['meta_info']


                            class Transport(object):
                                """
                                Transport options
                                
                                .. attribute:: connection_mode
                                
                                	Specify passive or active connection
                                	**type**\:   :py:class:`ConnectionModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.ConnectionModeEnum>`
                                
                                .. attribute:: multi_session
                                
                                	Use Multi\-session for transport
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.PathMtuDiscovery>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.connection_mode = None
                                    self.multi_session = None
                                    self.path_mtu_discovery = None

                                class ConnectionModeEnum(Enum):
                                    """
                                    ConnectionModeEnum

                                    Specify passive or active connection

                                    .. data:: active = 0

                                    .. data:: passive = 1

                                    """

                                    active = 0

                                    passive = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.ConnectionModeEnum']



                                class PathMtuDiscovery(object):
                                    """
                                    Use transport path MTU discovery
                                    
                                    .. attribute:: disable
                                    
                                    	disable
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:path-mtu-discovery'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.PathMtuDiscovery']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:transport'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.connection_mode is not None:
                                        return True

                                    if self.multi_session is not None:
                                        return True

                                    if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport']['meta_info']


                            class TtlSecurity(object):
                                """
                                BGP ttl security check
                                
                                .. attribute:: hops
                                
                                	IP hops
                                	**type**\:  int
                                
                                	**range:** 1..254
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.hops = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ttl-security'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.hops is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity']['meta_info']


                            class UpdateSource(object):
                                """
                                Source of routing updates
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.AtmAcrsubinterface>`
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.AtmSubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\:  str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\:  str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\:  str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\:  str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\:  str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  int
                                
                                	**range:** 0..65520
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LispSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\:  str
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\:  str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\:  str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.appnav_compress = None
                                    self.appnav_uncompress = None
                                    self.atm = None
                                    self.atm_acr = None
                                    self.atm_acrsubinterface = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.AtmAcrsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self.atm_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.AtmSubinterface()
                                    self.atm_subinterface.parent = self
                                    self.bdi = None
                                    self.cellular = None
                                    self.cem = None
                                    self.cem_acr = None
                                    self.embedded_service_engine = None
                                    self.fastethernet = None
                                    self.gigabitethernet = None
                                    self.lisp = None
                                    self.lisp_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LispSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self.loopback = None
                                    self.multilink = None
                                    self.nve = None
                                    self.overlay = None
                                    self.port_channel = None
                                    self.port_channel_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self.pseudowire = None
                                    self.serial = None
                                    self.sm = None
                                    self.tengigabitethernet = None
                                    self.tunnel = None
                                    self.vasileft = None
                                    self.vasiright = None
                                    self.virtual_template = None
                                    self.virtualportgroup = None
                                    self.vlan = None


                                class AtmSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.AtmSubinterface']['meta_info']


                                class AtmAcrsubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm_acr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-ACRsubinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm_acr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.AtmAcrsubinterface']['meta_info']


                                class LispSubinterface(object):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:LISP-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LispSubinterface']['meta_info']


                                class PortChannelSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.port_channel = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:Port-channel-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.port_channel is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:update-source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.appnav_compress is not None:
                                        return True

                                    if self.appnav_uncompress is not None:
                                        return True

                                    if self.atm is not None:
                                        return True

                                    if self.atm_acr is not None:
                                        return True

                                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                        return True

                                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                        return True

                                    if self.bdi is not None:
                                        return True

                                    if self.cellular is not None:
                                        return True

                                    if self.cem is not None:
                                        return True

                                    if self.cem_acr is not None:
                                        return True

                                    if self.embedded_service_engine is not None:
                                        return True

                                    if self.fastethernet is not None:
                                        return True

                                    if self.gigabitethernet is not None:
                                        return True

                                    if self.lisp is not None:
                                        return True

                                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                        return True

                                    if self.loopback is not None:
                                        return True

                                    if self.multilink is not None:
                                        return True

                                    if self.nve is not None:
                                        return True

                                    if self.overlay is not None:
                                        return True

                                    if self.port_channel is not None:
                                        return True

                                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                        return True

                                    if self.pseudowire is not None:
                                        return True

                                    if self.serial is not None:
                                        return True

                                    if self.sm is not None:
                                        return True

                                    if self.tengigabitethernet is not None:
                                        return True

                                    if self.tunnel is not None:
                                        return True

                                    if self.vasileft is not None:
                                        return True

                                    if self.vasiright is not None:
                                        return True

                                    if self.virtual_template is not None:
                                        return True

                                    if self.virtualportgroup is not None:
                                        return True

                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource']['meta_info']


                            class HaMode(object):
                                """
                                high availability mode
                                
                                .. attribute:: graceful_restart
                                
                                	graceful\-restart for this peer
                                	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.GracefulRestart>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: sso
                                
                                	stateful\-switchover support for this peer
                                	**type**\:   :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.graceful_restart = None
                                    self.sso = None


                                class GracefulRestart(object):
                                    """
                                    graceful\-restart for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable graceful\-restart
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:graceful-restart'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.GracefulRestart']['meta_info']


                                class Sso(object):
                                    """
                                    stateful\-switchover support for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable stateful\-switchover
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:sso'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.Sso']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ha-mode'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.graceful_restart is not None and self.graceful_restart._has_data():
                                        return True

                                    if self.sso is not None and self.sso._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:neighbor[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.activate is not None:
                                    return True

                                if self.additional_paths is not None and self.additional_paths._has_data():
                                    return True

                                if self.advertise is not None and self.advertise._has_data():
                                    return True

                                if self.advertise_map is not None and self.advertise_map._has_data():
                                    return True

                                if self.advertisement_interval is not None:
                                    return True

                                if self.aigp is not None and self.aigp._has_data():
                                    return True

                                if self.allow_policy is not None:
                                    return True

                                if self.allowas_in is not None and self.allowas_in._has_data():
                                    return True

                                if self.announce is not None and self.announce._has_data():
                                    return True

                                if self.as_override is not None and self.as_override._has_data():
                                    return True

                                if self.capability is not None and self.capability._has_data():
                                    return True

                                if self.cluster_id is not None:
                                    return True

                                if self.default_originate is not None and self.default_originate._has_data():
                                    return True

                                if self.description is not None:
                                    return True

                                if self.disable_connected_check is not None:
                                    return True

                                if self.distribute_list is not None:
                                    for child_ref in self.distribute_list:
                                        if child_ref._has_data():
                                            return True

                                if self.dmzlink_bw is not None:
                                    return True

                                if self.ebgp_multihop is not None and self.ebgp_multihop._has_data():
                                    return True

                                if self.fall_over is not None and self.fall_over._has_data():
                                    return True

                                if self.filter_list is not None:
                                    for child_ref in self.filter_list:
                                        if child_ref._has_data():
                                            return True

                                if self.ha_mode is not None and self.ha_mode._has_data():
                                    return True

                                if self.inherit is not None and self.inherit._has_data():
                                    return True

                                if self.local_as is not None and self.local_as._has_data():
                                    return True

                                if self.log_neighbor_changes is not None and self.log_neighbor_changes._has_data():
                                    return True

                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                    return True

                                if self.next_hop_self is not None:
                                    return True

                                if self.next_hop_unchanged is not None:
                                    return True

                                if self.password is not None and self.password._has_data():
                                    return True

                                if self.path_attribute is not None and self.path_attribute._has_data():
                                    return True

                                if self.peer_group is not None and self.peer_group._has_data():
                                    return True

                                if self.prefix_list is not None:
                                    for child_ref in self.prefix_list:
                                        if child_ref._has_data():
                                            return True

                                if self.remote_as is not None:
                                    return True

                                if self.remove_private_as is not None:
                                    return True

                                if self.route_map is not None:
                                    for child_ref in self.route_map:
                                        if child_ref._has_data():
                                            return True

                                if self.route_reflector_client is not None:
                                    return True

                                if self.route_reflector_cluster_id is not None:
                                    return True

                                if self.send_community is not None and self.send_community._has_data():
                                    return True

                                if self.send_label is not None and self.send_label._has_data():
                                    return True

                                if self.shutdown is not None:
                                    return True

                                if self.slow_peer is not None and self.slow_peer._has_data():
                                    return True

                                if self.soft_reconfiguration is not None:
                                    return True

                                if self.timers is not None and self.timers._has_data():
                                    return True

                                if self.translate_update is not None and self.translate_update._has_data():
                                    return True

                                if self.transport is not None and self.transport._has_data():
                                    return True

                                if self.ttl_security is not None and self.ttl_security._has_data():
                                    return True

                                if self.unsuppress_map is not None:
                                    return True

                                if self.update_source is not None and self.update_source._has_data():
                                    return True

                                if self.version is not None:
                                    return True

                                if self.weight is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor']['meta_info']


                        class Network(object):
                            """
                            Specify a network to announce via BGP
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: backdoor
                            
                            	Specify a BGP backdoor route
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	Network mask
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: route_map
                            
                            	Route\-map to modify the attributes
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.number = None
                                self.backdoor = None
                                self.mask = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.number is None:
                                    raise YPYModelError('Key property number is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:network[Cisco-IOS-XE-bgp:number = ' + str(self.number) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.number is not None:
                                    return True

                                if self.backdoor is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Network']['meta_info']


                        class Redistribute(object):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Application>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp_>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: dvmrp
                            
                            	Redistribution of DVMRP into BGP IPv4 Multicast
                            	**type**\:   :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Dvmrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:   :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis>`
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp>`
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol
                            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.application = None
                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp_()
                                self.bgp.parent = self
                                self.connected = None
                                self.dvmrp = None
                                self.eigrp = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp()
                                self.eigrp.parent = self
                                self.isis = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis()
                                self.isis.parent = self
                                self.iso_igrp = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp()
                                self.iso_igrp.parent = self
                                self.lisp = None
                                self.mobile = None
                                self.odr = None
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.rip = None
                                self.static = None


                            class Application(object):
                                """
                                Application
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Application.Name>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.name = YList()
                                    self.name.parent = self
                                    self.name.name = 'name'


                                class Name(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	WORD;;Route map name
                                    	**type**\:  str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:name[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Application.Name']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:application'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.name is not None:
                                        for child_ref in self.name:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Application']['meta_info']


                            class Bgp_(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_no = None
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_no is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp_']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Connected']['meta_info']


                            class Dvmrp(object):
                                """
                                Redistribution of DVMRP into BGP IPv4 Multicast
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:dvmrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Dvmrp']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_no = None
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:eigrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_no is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp']['meta_info']


                            class Isis(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default>`
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default()
                                    self.default.parent = self
                                    self.isis_area = YList()
                                    self.isis_area.parent = self
                                    self.isis_area.name = 'isis_area'


                                class IsisArea(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:   :py:class:`RoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea.RoutesEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.clns = None
                                        self.ip = None
                                        self.metric = None
                                        self.route_map = None
                                        self.routes = None

                                    class RoutesEnum(Enum):
                                        """
                                        RoutesEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = 0

                                        level_2 = 1

                                        level_1_2 = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea.RoutesEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:isis-area[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.clns is not None:
                                            return True

                                        if self.ip is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.routes is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea']['meta_info']


                                class Default(object):
                                    """
                                    
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:   :py:class:`RoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default.RoutesEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.clns = None
                                        self.ip = None
                                        self.metric = None
                                        self.route_map = None
                                        self.routes = None

                                    class RoutesEnum(Enum):
                                        """
                                        RoutesEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = 0

                                        level_2 = 1

                                        level_1_2 = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default.RoutesEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.clns is not None:
                                            return True

                                        if self.ip is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.routes is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:isis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.isis_area is not None:
                                        for child_ref in self.isis_area:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis']['meta_info']


                            class Lisp(object):
                                """
                                Locator/ID Separation Protocol
                                
                                .. attribute:: include_connected
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.include_connected = None
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:lisp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.include_connected is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Lisp']['meta_info']


                            class IsoIgrp(object):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default>`
                                
                                .. attribute:: iso_igrp_area
                                
                                	
                                	**type**\: list of    :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.IsoIgrpArea>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default()
                                    self.default.parent = self
                                    self.iso_igrp_area = YList()
                                    self.iso_igrp_area.parent = self
                                    self.iso_igrp_area.name = 'iso_igrp_area'


                                class IsoIgrpArea(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:iso-igrp-area[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.IsoIgrpArea']['meta_info']


                                class Default(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:iso-igrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.iso_igrp_area is not None:
                                        for child_ref in self.iso_igrp_area:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp']['meta_info']


                            class Mobile(object):
                                """
                                Mobile routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:mobile'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Mobile']['meta_info']


                            class Odr(object):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:odr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Odr']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: non_vrf
                                
                                	
                                	**type**\:   :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf>`
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.non_vrf = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf()
                                    self.non_vrf.parent = self
                                    self.vrf = YList()
                                    self.vrf.parent = self
                                    self.vrf.name = 'vrf'


                                class Vrf(object):
                                    """
                                    VPN Routing/Forwarding Instance
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf.Match()
                                        self.match.parent = self
                                        self.metric = None
                                        self.route_map = None


                                    class Match(object):
                                        """
                                        
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:match'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf.Match']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:vrf[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.match is not None and self.match._has_data():
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf']['meta_info']


                                class NonVrf(object):
                                    """
                                    
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match()
                                        self.match.parent = self
                                        self.metric = None
                                        self.route_map = None


                                    class Match(object):
                                        """
                                        
                                        
                                        .. attribute:: external
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: external2
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: internal
                                        
                                        	Redistribute OSPF internal routes
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: nssa_external
                                        
                                        	Redistribute OSPF NSSA external routes
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.external = None
                                            self.external2 = None
                                            self.internal = None
                                            self.metric = None
                                            self.nssa_external = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:match'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.external is not None:
                                                return True

                                            if self.external2 is not None:
                                                return True

                                            if self.internal is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.nssa_external is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:non-vrf'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.match is not None and self.match._has_data():
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ospf[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.non_vrf is not None and self.non_vrf._has_data():
                                        return True

                                    if self.vrf is not None:
                                        for child_ref in self.vrf:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:rip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: clns
                                
                                	Redistribution of OSI dynamic routes
                                	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.clns = None
                                    self.ip = None
                                    self.metric = None
                                    self.route_map = None


                                class Clns(object):
                                    """
                                    Redistribution of OSI dynamic routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:clns'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Clns']['meta_info']


                                class Ip(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Ip']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.clns is not None and self.clns._has_data():
                                        return True

                                    if self.ip is not None and self.ip._has_data():
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:redistribute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.application is not None and self.application._has_data():
                                    return True

                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.dvmrp is not None and self.dvmrp._has_data():
                                    return True

                                if self.eigrp is not None and self.eigrp._has_data():
                                    return True

                                if self.isis is not None and self.isis._has_data():
                                    return True

                                if self.iso_igrp is not None and self.iso_igrp._has_data():
                                    return True

                                if self.lisp is not None and self.lisp._has_data():
                                    return True

                                if self.mobile is not None and self.mobile._has_data():
                                    return True

                                if self.odr is not None and self.odr._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None and self.rip._has_data():
                                    return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute']['meta_info']


                        class TableMap(object):
                            """
                            Map external entry attributes into routing table
                            
                            .. attribute:: filter
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: name
                            
                            	WORD;;route\-map name
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.filter = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:table-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.filter is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.TableMap']['meta_info']


                        class Snmp(object):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\:   :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.context = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context()
                                self.context.parent = self


                            class Context(object):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: context_word
                                
                                	
                                	**type**\: list of    :py:class:`Context_Word <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context.Context_Word>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.context_word = YList()
                                    self.context_word.parent = self
                                    self.context_word.name = 'context_word'


                                class Context_Word(object):
                                    """
                                    
                                    
                                    .. attribute:: context_word  <key>
                                    
                                    	Context Name
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.context_word = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.context_word is None:
                                            raise YPYModelError('Key property context_word is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:context_word[Cisco-IOS-XE-bgp:context_word = ' + str(self.context_word) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.context_word is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context.Context_Word']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:context'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.context_word is not None:
                                        for child_ref in self.context_word:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:snmp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.context is not None and self.context._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.af_name is None:
                                raise YPYModelError('Key property af_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:l2vpn[Cisco-IOS-XE-bgp:af-name = ' + str(self.af_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.af_name is not None:
                                return True

                            if self.auto_summary is not None:
                                return True

                            if self.bgp is not None and self.bgp._has_data():
                                return True

                            if self.default_information is not None and self.default_information._has_data():
                                return True

                            if self.default_metric is not None:
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.distribute_list is not None:
                                for child_ref in self.distribute_list:
                                    if child_ref._has_data():
                                        return True

                            if self.maximum_paths is not None and self.maximum_paths._has_data():
                                return True

                            if self.neighbor is not None:
                                for child_ref in self.neighbor:
                                    if child_ref._has_data():
                                        return True

                            if self.network is not None:
                                for child_ref in self.network:
                                    if child_ref._has_data():
                                        return True

                            if self.redistribute is not None and self.redistribute._has_data():
                                return True

                            if self.snmp is not None and self.snmp._has_data():
                                return True

                            if self.synchronization is not None:
                                return True

                            if self.table_map is not None and self.table_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn']['meta_info']


                    class Rtfilter(object):
                        """
                        Address family
                        
                        .. attribute:: af_name  <key>
                        
                        	
                        	**type**\:   :py:class:`AfNameEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.AfNameEnum>`
                        
                        .. attribute:: auto_summary
                        
                        	Enable automatic network number summarization
                        	**type**\:  bool
                        
                        .. attribute:: bgp
                        
                        	BGP specific commands
                        	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance>`
                        
                        .. attribute:: distribute_list
                        
                        	Filter networks in routing updates
                        	**type**\: list of    :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:   :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths>`
                        
                        .. attribute:: neighbor
                        
                        	Specify a neighbor router
                        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Specify a network to announce via BGP
                        	**type**\: list of    :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Network>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute>`
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: synchronization
                        
                        	Perform IGP synchronization
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: table_map
                        
                        	Map external entry attributes into routing table
                        	**type**\:   :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.TableMap>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.af_name = None
                            self.auto_summary = None
                            self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_()
                            self.bgp.parent = self
                            self.default_information = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DefaultInformation()
                            self.default_information.parent = self
                            self.default_metric = None
                            self.distance = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance()
                            self.distance.parent = self
                            self.distribute_list = YList()
                            self.distribute_list.parent = self
                            self.distribute_list.name = 'distribute_list'
                            self.maximum_paths = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths()
                            self.maximum_paths.parent = self
                            self.neighbor = YList()
                            self.neighbor.parent = self
                            self.neighbor.name = 'neighbor'
                            self.network = YList()
                            self.network.parent = self
                            self.network.name = 'network'
                            self.redistribute = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute()
                            self.redistribute.parent = self
                            self.snmp = None
                            self.synchronization = None
                            self.table_map = None

                        class AfNameEnum(Enum):
                            """
                            AfNameEnum

                            .. data:: unicast = 0

                            """

                            unicast = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.AfNameEnum']



                        class Bgp_(object):
                            """
                            BGP specific commands
                            
                            .. attribute:: additional_paths
                            
                            	Additional paths in the BGP table
                            	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths>`
                            
                            .. attribute:: advertise_best_external
                            
                            	Advertise best external path to internal peers
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aggregate_timer
                            
                            	Timer interval
                            	**type**\:  int
                            
                            	**range:** 6..60
                            
                            .. attribute:: always_compare_med
                            
                            	Allow comparing MED from different neighbors
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: asnotation
                            
                            	Change the default asplain notation
                            	**type**\:   :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Asnotation>`
                            
                            .. attribute:: bestpath
                            
                            	Change the default bestpath selection
                            	**type**\:   :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath>`
                            
                            .. attribute:: client_to_client
                            
                            	Configure client to client route reflection
                            	**type**\:   :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ClientToClient>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: confederation
                            
                            	AS confederation parameters
                            	**type**\:   :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Confederation>`
                            
                            .. attribute:: consistency_checker
                            
                            	Consistency\-checker
                            	**type**\:   :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ConsistencyChecker>`
                            
                            .. attribute:: dampening
                            
                            	Enable route\-flap dampening
                            	**type**\:   :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Dampening>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: default
                            
                            	Configure BGP defaults
                            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Default>`
                            
                            .. attribute:: deterministic_med
                            
                            	Pick the best\-MED path among paths advertised from the neighboring AS
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Use DMZ Link Bandwidth as weight for BGP multipaths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enforce_first_as
                            
                            	Enforce the first AS for EBGP routes(default)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enhanced_error
                            
                            	Enabled BGP Enhanced error handling
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fast_external_fallover
                            
                            	Immediately reset session if a link to a directly connected external peer goes down
                            	**type**\:  bool
                            
                            .. attribute:: graceful_restart
                            
                            	Graceful restart capability parameters
                            	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.GracefulRestart>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ha_mode
                            
                            	Select BGP High Availability mode
                            	**type**\:   :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.HaMode>`
                            
                            .. attribute:: inject_map
                            
                            	Routemap which specifies prefixes to inject
                            	**type**\: list of    :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.InjectMap>`
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: maxas_limit
                            
                            	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                            	**type**\:  int
                            
                            	**range:** 1..2000
                            
                            .. attribute:: maxcommunity_limit
                            
                            	Number of communities in the COMMUNITY attribute
                            	**type**\:  int
                            
                            	**range:** 1..1018
                            
                            .. attribute:: nexthop
                            
                            	Nexthop tracking commands
                            	**type**\:   :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Nexthop>`
                            
                            .. attribute:: nopeerup_delay
                            
                            	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                            	**type**\:   :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.NopeerupDelay>`
                            
                            .. attribute:: recursion
                            
                            	recursion rule for the nexthops
                            	**type**\:   :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Recursion>`
                            
                            .. attribute:: redistribute_internal
                            
                            	Allow redistribution of iBGP into IGPs (dangerous)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: regexp
                            
                            	Select regular expression engine
                            	**type**\:   :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Regexp>`
                            
                            .. attribute:: route_map
                            
                            	bgp route\-map commands
                            	**type**\:   :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.RouteMap>`
                            
                            .. attribute:: router_id
                            
                            	Override configured router identifier (peers will reset)
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: scan_time
                            
                            	Configure background scanner interval
                            	**type**\:  int
                            
                            	**range:** 5..60
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:   :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer>`
                            
                            .. attribute:: soft_reconfig_backup
                            
                            	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_inactive
                            
                            	Suppress routes that are not in the routing table
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Transport>`
                            
                            .. attribute:: update_delay
                            
                            	Set the max initial delay for sending update
                            	**type**\:  int
                            
                            	**range:** 1..3600
                            
                            .. attribute:: update_group
                            
                            	Manage peers in bgp update groups
                            	**type**\:   :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.UpdateGroup>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths()
                                self.additional_paths.parent = self
                                self.advertise_best_external = None
                                self.aggregate_timer = None
                                self.always_compare_med = None
                                self.asnotation = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Asnotation()
                                self.asnotation.parent = self
                                self.bestpath = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath()
                                self.bestpath.parent = self
                                self.client_to_client = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ClientToClient()
                                self.client_to_client.parent = self
                                self.cluster_id = None
                                self.confederation = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Confederation()
                                self.confederation.parent = self
                                self.consistency_checker = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ConsistencyChecker()
                                self.consistency_checker.parent = self
                                self.dampening = None
                                self.default = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Default()
                                self.default.parent = self
                                self.deterministic_med = None
                                self.dmzlink_bw = None
                                self.enforce_first_as = None
                                self.enhanced_error = None
                                self.fast_external_fallover = None
                                self.graceful_restart = None
                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.HaMode()
                                self.ha_mode.parent = self
                                self.inject_map = YList()
                                self.inject_map.parent = self
                                self.inject_map.name = 'inject_map'
                                self.log_neighbor_changes = None
                                self.maxas_limit = None
                                self.maxcommunity_limit = None
                                self.nexthop = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Nexthop()
                                self.nexthop.parent = self
                                self.nopeerup_delay = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.NopeerupDelay()
                                self.nopeerup_delay.parent = self
                                self.recursion = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Recursion()
                                self.recursion.parent = self
                                self.redistribute_internal = None
                                self.regexp = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Regexp()
                                self.regexp.parent = self
                                self.route_map = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.RouteMap()
                                self.route_map.parent = self
                                self.router_id = None
                                self.scan_time = None
                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer()
                                self.slow_peer.parent = self
                                self.soft_reconfig_backup = None
                                self.suppress_inactive = None
                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Transport()
                                self.transport.parent = self
                                self.update_delay = None
                                self.update_group = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.UpdateGroup()
                                self.update_group.parent = self


                            class Asnotation(object):
                                """
                                Change the default asplain notation
                                
                                .. attribute:: dot
                                
                                	asdot notation
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dot = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:asnotation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dot is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Asnotation']['meta_info']


                            class NopeerupDelay(object):
                                """
                                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                
                                .. attribute:: cold_boot
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: nsf_switchover
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: post_boot
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: user_initiated
                                
                                	Delay in seconds
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cold_boot = None
                                    self.nsf_switchover = None
                                    self.post_boot = None
                                    self.user_initiated = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:nopeerup-delay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cold_boot is not None:
                                        return True

                                    if self.nsf_switchover is not None:
                                        return True

                                    if self.post_boot is not None:
                                        return True

                                    if self.user_initiated is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.NopeerupDelay']['meta_info']


                            class Recursion(object):
                                """
                                recursion rule for the nexthops
                                
                                .. attribute:: host
                                
                                	recursion via host for the nexthops
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.host = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:recursion'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.host is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Recursion']['meta_info']


                            class AdditionalPaths(object):
                                """
                                Additional paths in the BGP table
                                
                                .. attribute:: install
                                
                                	Additional paths to install into RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: select
                                
                                	Selection criteria to pick the paths
                                	**type**\:   :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to neighbors
                                	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.install = None
                                    self.receive = None
                                    self.select = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select()
                                    self.select.parent = self
                                    self.send = None


                                class Select(object):
                                    """
                                    Selection criteria to pick the paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: backup
                                    
                                    	Select backup path
                                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Best>`
                                    
                                    .. attribute:: best_external
                                    
                                    	Select best\-external path
                                    	**type**\:   :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.BestExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best path
                                    	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.all = None
                                        self.backup = None
                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Best()
                                        self.best.parent = self
                                        self.best_external = None
                                        self.group_best = None


                                    class All(object):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best path
                                        	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All.Best()
                                            self.best.parent = self
                                            self.group_best = None


                                        class Best(object):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All.Best.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = YList()
                                                self.range.parent = self
                                                self.range.name = 'range'


                                            class Range(object):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = None
                                                    self.group_best = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.range is None:
                                                        raise YPYModelError('Key property range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        return True

                                                    if self.group_best is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All.Best.Range']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    for child_ref in self.range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All.Best']['meta_info']


                                        class GroupBest(object):
                                            """
                                            Select group\-best path
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.best = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.best is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All.GroupBest']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:all'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.best is not None and self.best._has_data():
                                                return True

                                            if self.group_best is not None and self.group_best._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.All']['meta_info']


                                    class Backup(object):
                                        """
                                        Select backup path
                                        
                                        .. attribute:: best_external
                                        
                                        	Select best\-external path
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.best_external = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:backup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.best_external is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Backup']['meta_info']


                                    class Best(object):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Best.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.range = YList()
                                            self.range.parent = self
                                            self.range.name = 'range'


                                        class Range(object):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.all = None
                                                self.group_best = None


                                            class GroupBest(object):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.all = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.all is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Best.Range.GroupBest']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.range is None:
                                                    raise YPYModelError('Key property range is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.all is not None:
                                                    return True

                                                if self.group_best is not None and self.group_best._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Best.Range']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.range is not None:
                                                for child_ref in self.range:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.Best']['meta_info']


                                    class BestExternal(object):
                                        """
                                        Select best\-external path
                                        
                                        .. attribute:: backup
                                        
                                        	Select backup path
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.backup = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.backup is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.BestExternal']['meta_info']


                                    class GroupBest(object):
                                        """
                                        Select group\-best path
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\:  int
                                        
                                        	**range:** 2..3
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.all = None
                                            self.best = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.all is not None:
                                                return True

                                            if self.best is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select.GroupBest']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:select'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.all is not None and self.all._has_data():
                                            return True

                                        if self.backup is not None and self.backup._has_data():
                                            return True

                                        if self.best is not None and self.best._has_data():
                                            return True

                                        if self.best_external is not None and self.best_external._has_data():
                                            return True

                                        if self.group_best is not None and self.group_best._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Select']['meta_info']


                                class Send(object):
                                    """
                                    Send additional paths to neighbors
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.receive = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.receive is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths.Send']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.install is not None:
                                        return True

                                    if self.receive is not None:
                                        return True

                                    if self.select is not None and self.select._has_data():
                                        return True

                                    if self.send is not None and self.send._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.AdditionalPaths']['meta_info']


                            class Bestpath(object):
                                """
                                Change the default bestpath selection
                                
                                .. attribute:: compare_routerid
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: cost_community
                                
                                	cost community
                                	**type**\:   :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.CostCommunity>`
                                
                                .. attribute:: igp_metric
                                
                                	igp metric
                                	**type**\:   :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.IgpMetric>`
                                
                                .. attribute:: med
                                
                                	MED attribute
                                	**type**\:   :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.Med>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.compare_routerid = None
                                    self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.CostCommunity()
                                    self.cost_community.parent = self
                                    self.igp_metric = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.IgpMetric()
                                    self.igp_metric.parent = self
                                    self.med = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.Med()
                                    self.med.parent = self


                                class CostCommunity(object):
                                    """
                                    cost community
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore cost communities in bestpath selection
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:cost-community'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.CostCommunity']['meta_info']


                                class IgpMetric(object):
                                    """
                                    igp metric
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore igp metric in bestpath selection
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:igp-metric'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.IgpMetric']['meta_info']


                                class Med(object):
                                    """
                                    MED attribute
                                    
                                    .. attribute:: confed
                                    
                                    	Compare MED among confederation paths
                                    	**type**\:   :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.Med.Confed>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: missing_at_worst
                                    
                                    	Treat missing MED as the least preferred one
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.confed = None
                                        self.missing_at_worst = None


                                    class Confed(object):
                                        """
                                        Compare MED among confederation paths
                                        
                                        .. attribute:: missing_at_worst
                                        
                                        	Treat missing MED as the least preferred one
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.missing_at_worst = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:confed'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.missing_at_worst is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.Med.Confed']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:med'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.confed is not None and self.confed._has_data():
                                            return True

                                        if self.missing_at_worst is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath.Med']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bestpath'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.compare_routerid is not None:
                                        return True

                                    if self.cost_community is not None and self.cost_community._has_data():
                                        return True

                                    if self.igp_metric is not None and self.igp_metric._has_data():
                                        return True

                                    if self.med is not None and self.med._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Bestpath']['meta_info']


                            class ClientToClient(object):
                                """
                                Configure client to client route reflection
                                
                                .. attribute:: reflection
                                
                                	reflection of routes allowed
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.reflection = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:client-to-client'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.reflection is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ClientToClient']['meta_info']


                            class Confederation(object):
                                """
                                AS confederation parameters
                                
                                .. attribute:: identifier
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: peers
                                
                                	Peer ASs in BGP confederation
                                	**type**\:   :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Confederation.Peers>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.identifier = None
                                    self.peers = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Confederation.Peers()
                                    self.peers.parent = self


                                class Peers(object):
                                    """
                                    Peer ASs in BGP confederation
                                    
                                    .. attribute:: peers_as
                                    
                                    	
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.peers_as = YLeafList()
                                        self.peers_as.parent = self
                                        self.peers_as.name = 'peers_as'

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:peers'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.peers_as is not None:
                                            for child in self.peers_as:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Confederation.Peers']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:confederation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.identifier is not None:
                                        return True

                                    if self.peers is not None and self.peers._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Confederation']['meta_info']


                            class ConsistencyChecker(object):
                                """
                                Consistency\-checker
                                
                                .. attribute:: auto_repair
                                
                                	Auto\-Repair
                                	**type**\:   :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ConsistencyChecker.AutoRepair>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: error_message
                                
                                	Log Error\-Msg
                                	**type**\:   :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ConsistencyChecker.ErrorMessage>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.auto_repair = None
                                    self.error_message = None


                                class AutoRepair(object):
                                    """
                                    Auto\-Repair
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\:  int
                                    
                                    	**range:** 5..1440
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:auto-repair'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ConsistencyChecker.AutoRepair']['meta_info']


                                class ErrorMessage(object):
                                    """
                                    Log Error\-Msg
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\:  int
                                    
                                    	**range:** 5..1440
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:error-message'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ConsistencyChecker.ErrorMessage']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:consistency-checker'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.auto_repair is not None and self.auto_repair._has_data():
                                        return True

                                    if self.error_message is not None and self.error_message._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.ConsistencyChecker']['meta_info']


                            class Dampening(object):
                                """
                                Enable route\-flap dampening
                                
                                .. attribute:: dampen
                                
                                	
                                	**type**\:   :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Dampening.Dampen>`
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria for dampening
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.dampen = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Dampening.Dampen()
                                    self.dampen.parent = self
                                    self.route_map = None


                                class Dampen(object):
                                    """
                                    
                                    
                                    .. attribute:: half_life_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..45
                                    
                                    .. attribute:: max_suppress_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: reuse_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..20000
                                    
                                    .. attribute:: suppress_time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..20000
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.half_life_time = None
                                        self.max_suppress_time = None
                                        self.reuse_time = None
                                        self.suppress_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:dampen'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.half_life_time is not None:
                                            return True

                                        if self.max_suppress_time is not None:
                                            return True

                                        if self.reuse_time is not None:
                                            return True

                                        if self.suppress_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Dampening.Dampen']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:dampening'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.dampen is not None and self.dampen._has_data():
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Dampening']['meta_info']


                            class Default(object):
                                """
                                Configure BGP defaults
                                
                                .. attribute:: ipv4_unicast
                                
                                	Activate ipv4\-unicast for a peer by default
                                	**type**\:  bool
                                
                                .. attribute:: ipv6_nexthop
                                
                                	Default IPv6 nexthop format
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: local_preference
                                
                                	local preference (higher=more preferred)
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: route_target
                                
                                	Control behavior based on Route\-Target attributes
                                	**type**\:   :py:class:`RouteTargetEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Default.RouteTargetEnum>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_unicast = None
                                    self.ipv6_nexthop = None
                                    self.local_preference = None
                                    self.route_target = None

                                class RouteTargetEnum(Enum):
                                    """
                                    RouteTargetEnum

                                    Control behavior based on Route\-Target attributes

                                    .. data:: filter = 0

                                    """

                                    filter = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Default.RouteTargetEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_unicast is not None:
                                        return True

                                    if self.ipv6_nexthop is not None:
                                        return True

                                    if self.local_preference is not None:
                                        return True

                                    if self.route_target is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Default']['meta_info']


                            class GracefulRestart(object):
                                """
                                Graceful restart capability parameters
                                
                                .. attribute:: extended
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: restart_time
                                
                                	Set the max time needed to restart and come back up
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: stalepath_time
                                
                                	Set the max time to hold onto restarting peer's stale paths
                                	**type**\:  int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.extended = None
                                    self.restart_time = None
                                    self.stalepath_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:graceful-restart'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.extended is not None:
                                        return True

                                    if self.restart_time is not None:
                                        return True

                                    if self.stalepath_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.GracefulRestart']['meta_info']


                            class HaMode(object):
                                """
                                Select BGP High Availability mode
                                
                                .. attribute:: sso
                                
                                	BGP High Availability NSR sso mode
                                	**type**\:   :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.sso = None


                                class Sso(object):
                                    """
                                    BGP High Availability NSR sso mode
                                    
                                    .. attribute:: prefer
                                    
                                    	Perfer BGP High Availability NSR sso mode
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.prefer = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:sso'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.prefer is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.HaMode.Sso']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ha-mode'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.sso is not None and self.sso._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.HaMode']['meta_info']


                            class InjectMap(object):
                                """
                                Routemap which specifies prefixes to inject
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: copy_attributes
                                
                                	Copy attributes from aggregate
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: exist_map
                                
                                	Routemap which specifies exist condition
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.copy_attributes = None
                                    self.exist_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:inject-map[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.copy_attributes is not None:
                                        return True

                                    if self.exist_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.InjectMap']['meta_info']


                            class RouteMap(object):
                                """
                                bgp route\-map commands
                                
                                .. attribute:: priority
                                
                                	Have route\-map set commands take priority over BGP commands such 
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.priority = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:route-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.priority is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.RouteMap']['meta_info']


                            class SlowPeer(object):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:   :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:   :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.detection = None
                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self


                                class Detection(object):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: disable
                                    
                                    	Disable slow\-peer detection
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\:  int
                                    
                                    	**range:** 120..3600
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:detection'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer.Detection']['meta_info']


                                class SplitUpdateGroup(object):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None


                                    class Dynamic(object):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.permanent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:dynamic'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.permanent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:split-update-group'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None and self.dynamic._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer.SplitUpdateGroup']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:slow-peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.detection is not None and self.detection._has_data():
                                        return True

                                    if self.split_update_group is not None and self.split_update_group._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.SlowPeer']['meta_info']


                            class UpdateGroup(object):
                                """
                                Manage peers in bgp update groups
                                
                                .. attribute:: split
                                
                                	Split update groups based on Policy
                                	**type**\:   :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.UpdateGroup.Split>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.split = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.UpdateGroup.Split()
                                    self.split.parent = self


                                class Split(object):
                                    """
                                    Split update groups based on Policy
                                    
                                    .. attribute:: as_override
                                    
                                    	Keep peers with as\-override in different update groups
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_override = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:split'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.as_override is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.UpdateGroup.Split']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:update-group'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.split is not None and self.split._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.UpdateGroup']['meta_info']


                            class Nexthop(object):
                                """
                                Nexthop tracking commands
                                
                                .. attribute:: route_map
                                
                                	Route map for valid nexthops
                                	**type**\:  str
                                
                                .. attribute:: trigger
                                
                                	Nexthop triggering
                                	**type**\:   :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Nexthop.Trigger>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.route_map = None
                                    self.trigger = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Nexthop.Trigger()
                                    self.trigger.parent = self


                                class Trigger(object):
                                    """
                                    Nexthop triggering
                                    
                                    .. attribute:: delay
                                    
                                    	Set the delay to tigger nexthop tracking
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: enable
                                    
                                    	Enable nexthop tracking
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.delay = None
                                        self.enable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:trigger'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.delay is not None:
                                            return True

                                        if self.enable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Nexthop.Trigger']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:nexthop'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.route_map is not None:
                                        return True

                                    if self.trigger is not None and self.trigger._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Nexthop']['meta_info']


                            class Regexp(object):
                                """
                                Select regular expression engine
                                
                                .. attribute:: deterministic
                                
                                	Enable bounded\-execution\-time regular expression engine
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.deterministic = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:regexp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.deterministic is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Regexp']['meta_info']


                            class Transport(object):
                                """
                                Transport options
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.path_mtu_discovery = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:transport'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.path_mtu_discovery is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_.Transport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.additional_paths is not None and self.additional_paths._has_data():
                                    return True

                                if self.advertise_best_external is not None:
                                    return True

                                if self.aggregate_timer is not None:
                                    return True

                                if self.always_compare_med is not None:
                                    return True

                                if self.asnotation is not None and self.asnotation._has_data():
                                    return True

                                if self.bestpath is not None and self.bestpath._has_data():
                                    return True

                                if self.client_to_client is not None and self.client_to_client._has_data():
                                    return True

                                if self.cluster_id is not None:
                                    return True

                                if self.confederation is not None and self.confederation._has_data():
                                    return True

                                if self.consistency_checker is not None and self.consistency_checker._has_data():
                                    return True

                                if self.dampening is not None and self.dampening._has_data():
                                    return True

                                if self.default is not None and self.default._has_data():
                                    return True

                                if self.deterministic_med is not None:
                                    return True

                                if self.dmzlink_bw is not None:
                                    return True

                                if self.enforce_first_as is not None:
                                    return True

                                if self.enhanced_error is not None:
                                    return True

                                if self.fast_external_fallover is not None:
                                    return True

                                if self.graceful_restart is not None and self.graceful_restart._has_data():
                                    return True

                                if self.ha_mode is not None and self.ha_mode._has_data():
                                    return True

                                if self.inject_map is not None:
                                    for child_ref in self.inject_map:
                                        if child_ref._has_data():
                                            return True

                                if self.log_neighbor_changes is not None:
                                    return True

                                if self.maxas_limit is not None:
                                    return True

                                if self.maxcommunity_limit is not None:
                                    return True

                                if self.nexthop is not None and self.nexthop._has_data():
                                    return True

                                if self.nopeerup_delay is not None and self.nopeerup_delay._has_data():
                                    return True

                                if self.recursion is not None and self.recursion._has_data():
                                    return True

                                if self.redistribute_internal is not None:
                                    return True

                                if self.regexp is not None and self.regexp._has_data():
                                    return True

                                if self.route_map is not None and self.route_map._has_data():
                                    return True

                                if self.router_id is not None:
                                    return True

                                if self.scan_time is not None:
                                    return True

                                if self.slow_peer is not None and self.slow_peer._has_data():
                                    return True

                                if self.soft_reconfig_backup is not None:
                                    return True

                                if self.suppress_inactive is not None:
                                    return True

                                if self.transport is not None and self.transport._has_data():
                                    return True

                                if self.update_delay is not None:
                                    return True

                                if self.update_group is not None and self.update_group._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp_']['meta_info']


                        class DefaultInformation(object):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.originate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:default-information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.originate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DefaultInformation']['meta_info']


                        class Distance(object):
                            """
                            Define an administrative distance
                            
                            .. attribute:: adm_distance
                            
                            	
                            	**type**\: list of    :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.AdmDistance>`
                            
                            .. attribute:: bgp
                            
                            	BGP distance
                            	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.Bgp_>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.adm_distance = YList()
                                self.adm_distance.parent = self
                                self.adm_distance.name = 'adm_distance'
                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.Bgp_()
                                self.bgp.parent = self


                            class Bgp_(object):
                                """
                                BGP distance
                                
                                .. attribute:: extern_as
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: internal_as
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: local
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.extern_as = None
                                    self.internal_as = None
                                    self.local = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.extern_as is not None:
                                        return True

                                    if self.internal_as is not None:
                                        return True

                                    if self.local is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.Bgp_']['meta_info']


                            class AdmDistance(object):
                                """
                                
                                
                                .. attribute:: distance  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: srcip  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildbits  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: acl
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..99
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 1300..1999
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.distance = None
                                    self.srcip = None
                                    self.wildbits = None
                                    self.acl = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.distance is None:
                                        raise YPYModelError('Key property distance is None')
                                    if self.srcip is None:
                                        raise YPYModelError('Key property srcip is None')
                                    if self.wildbits is None:
                                        raise YPYModelError('Key property wildbits is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:adm-distance[Cisco-IOS-XE-bgp:distance = ' + str(self.distance) + '][Cisco-IOS-XE-bgp:srcip = ' + str(self.srcip) + '][Cisco-IOS-XE-bgp:wildbits = ' + str(self.wildbits) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.distance is not None:
                                        return True

                                    if self.srcip is not None:
                                        return True

                                    if self.wildbits is not None:
                                        return True

                                    if self.acl is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.AdmDistance']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.adm_distance is not None:
                                    for child_ref in self.adm_distance:
                                        if child_ref._has_data():
                                            return True

                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance']['meta_info']


                        class DistributeList(object):
                            """
                            Filter networks in routing updates
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 100..199
                            
                            
                            ----
                            	**type**\:  int
                            
                            	**range:** 2000..2699
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	Filter incoming routing updates
                            	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList.In_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: out
                            
                            	Filter outgoing routing updates
                            	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList.Out>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.in_ = None
                                self.out = None


                            class In_(object):
                                """
                                Filter incoming routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:in'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList.In_']['meta_info']


                            class Out(object):
                                """
                                Filter outgoing routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:out'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList.Out']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:distribute-list[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.in_ is not None and self.in_._has_data():
                                    return True

                                if self.out is not None and self.out._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList']['meta_info']


                        class MaximumPaths(object):
                            """
                            Forward packets over multiple paths
                            
                            .. attribute:: eibgp
                            
                            	Both eBGP and iBGP paths as multipath
                            	**type**\:   :py:class:`Eibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp>`
                            
                            .. attribute:: external_rtfilter
                            
                            	VPN prefix multipath on external RTFilter peers
                            	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter>`
                            
                            .. attribute:: ibgp
                            
                            	iBGP\-multipath
                            	**type**\:   :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp>`
                            
                            .. attribute:: max_path
                            
                            	
                            	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eibgp = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp()
                                self.eibgp.parent = self
                                self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter()
                                self.external_rtfilter.parent = self
                                self.ibgp = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp()
                                self.ibgp.parent = self
                                self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath()
                                self.max_path.parent = self


                            class MaxPath(object):
                                """
                                
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath']['meta_info']


                            class ExternalRtfilter(object):
                                """
                                VPN prefix multipath on external RTFilter peers
                                
                                .. attribute:: max
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter']['meta_info']


                            class Eibgp(object):
                                """
                                Both eBGP and iBGP paths as multipath
                                
                                .. attribute:: external_rtfilter
                                
                                	VPN prefix multipath on external RTFilter peers
                                	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp.ExternalRtfilter>`
                                
                                .. attribute:: max_path
                                
                                	
                                	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp.MaxPath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp.ExternalRtfilter()
                                    self.external_rtfilter.parent = self
                                    self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp.MaxPath()
                                    self.max_path.parent = self


                                class MaxPath(object):
                                    """
                                    
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp.MaxPath']['meta_info']


                                class ExternalRtfilter(object):
                                    """
                                    VPN prefix multipath on external RTFilter peers
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp.ExternalRtfilter']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:eibgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                        return True

                                    if self.max_path is not None and self.max_path._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Eibgp']['meta_info']


                            class Ibgp(object):
                                """
                                iBGP\-multipath
                                
                                .. attribute:: external_rtfilter
                                
                                	VPN prefix multipath on external RTFilter peers
                                	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.ExternalRtfilter>`
                                
                                .. attribute:: max_path
                                
                                	
                                	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.MaxPath>`
                                
                                .. attribute:: unequal_cost
                                
                                	Perform Un\-Equal cost multipath selection
                                	**type**\:   :py:class:`UnequalCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.ExternalRtfilter()
                                    self.external_rtfilter.parent = self
                                    self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.MaxPath()
                                    self.max_path.parent = self
                                    self.unequal_cost = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost()
                                    self.unequal_cost.parent = self


                                class UnequalCost(object):
                                    """
                                    Perform Un\-Equal cost multipath selection
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:   :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter>`
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:   :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost.MaxPath>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost.MaxPath()
                                        self.max_path.parent = self


                                    class MaxPath(object):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost.MaxPath']['meta_info']


                                    class ExternalRtfilter(object):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost.ExternalRtfilter']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:unequal-cost'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                            return True

                                        if self.max_path is not None and self.max_path._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.UnequalCost']['meta_info']


                                class MaxPath(object):
                                    """
                                    
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:max-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.MaxPath']['meta_info']


                                class ExternalRtfilter(object):
                                    """
                                    VPN prefix multipath on external RTFilter peers
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:external-rtfilter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp.ExternalRtfilter']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ibgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                        return True

                                    if self.max_path is not None and self.max_path._has_data():
                                        return True

                                    if self.unequal_cost is not None and self.unequal_cost._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:maximum-paths'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eibgp is not None and self.eibgp._has_data():
                                    return True

                                if self.external_rtfilter is not None and self.external_rtfilter._has_data():
                                    return True

                                if self.ibgp is not None and self.ibgp._has_data():
                                    return True

                                if self.max_path is not None and self.max_path._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths']['meta_info']


                        class Neighbor(object):
                            """
                            Specify a neighbor router
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: activate
                            
                            	Enable the Address Family for this Neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: additional_paths
                            
                            	
                            	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths>`
                            
                            .. attribute:: advertise
                            
                            	Advertise to this neighbor
                            	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise>`
                            
                            .. attribute:: advertise_map
                            
                            	specify route\-map for conditional advertisement
                            	**type**\:   :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap>`
                            
                            .. attribute:: advertisement_interval
                            
                            	Minimum interval between sending BGP routing updates
                            	**type**\:  int
                            
                            	**range:** 0..600
                            
                            .. attribute:: aigp
                            
                            	Enable a AIGP on neighbor
                            	**type**\:   :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: allow_policy
                            
                            	Enable the policy support for this IBGP Neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allowas_in
                            
                            	Accept as\-path with my AS present in it
                            	**type**\:   :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AllowasIn>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: announce
                            
                            	Announce RPKI State using an Extended Community
                            	**type**\:   :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce>`
                            
                            .. attribute:: as_override
                            
                            	Override matching AS\-number while sending update
                            	**type**\:   :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AsOverride>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Advertise capability to the peer
                            	**type**\:   :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: default_originate
                            
                            	Originate default route to this neighbour
                            	**type**\:   :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DefaultOriginate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: description
                            
                            	Neighbor specific description
                            	**type**\:  str
                            
                            .. attribute:: disable_connected_check
                            
                            	One\-hop away EBGP peer using loopback address
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of    :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Propagate the DMZ link bandwidth
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ebgp_multihop
                            
                            	Allow EBGP neighbors not on directly connected networks
                            	**type**\:   :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.EbgpMultihop>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: fall_over
                            
                            	session fall on peer route lost
                            	**type**\:   :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver>`
                            
                            .. attribute:: filter_list
                            
                            	Establish BGP filters
                            	**type**\: list of    :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList>`
                            
                            .. attribute:: ha_mode
                            
                            	high availability mode
                            	**type**\:   :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode>`
                            
                            .. attribute:: inherit
                            
                            	Inherit a template
                            	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit>`
                            
                            .. attribute:: local_as
                            
                            	Specify a local\-as number
                            	**type**\:   :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.LocalAs>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\:   :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.LogNeighborChanges>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes accepted from this peer
                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix>`
                            
                            .. attribute:: next_hop_self
                            
                            	Disable the next hop calculation for this neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: next_hop_unchanged
                            
                            	Propagate the iBGP paths's next hop unchanged for this neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: password
                            
                            	Set a password
                            	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Password>`
                            
                            .. attribute:: path_attribute
                            
                            	BGP optional attribute filtering
                            	**type**\:   :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute>`
                            
                            .. attribute:: peer_group
                            
                            	Member of the peer\-group
                            	**type**\:   :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PeerGroup>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList>`
                            
                            .. attribute:: remote_as
                            
                            	Specify a BGP neighbor
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: remove_private_as
                            
                            	Remove private AS number from outbound updates
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Apply route map to neighbor
                            	**type**\: list of    :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap>`
                            
                            .. attribute:: route_reflector_client
                            
                            	Configure a neighbor as Route Reflector client
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_reflector_cluster_id
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: send_community
                            
                            	Send Community attribute to this neighbor
                            	**type**\:   :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: send_label
                            
                            	Send NLRI + MPLS Label to this peer
                            	**type**\:   :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel>`
                            
                            .. attribute:: shutdown
                            
                            	Administratively shut down this neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:   :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer>`
                            
                            .. attribute:: soft_reconfiguration
                            
                            	Per neighbor soft reconfiguration
                            	**type**\:   :py:class:`SoftReconfigurationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SoftReconfigurationEnum>`
                            
                            .. attribute:: timers
                            
                            	BGP per neighbor timers
                            	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers>`
                            
                            .. attribute:: translate_update
                            
                            	Translate Update to MBGP format
                            	**type**\:   :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport>`
                            
                            .. attribute:: ttl_security
                            
                            	BGP ttl security check
                            	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity>`
                            
                            .. attribute:: unsuppress_map
                            
                            	Route\-map to selectively unsuppress suppressed routes
                            	**type**\:  str
                            
                            .. attribute:: update_source
                            
                            	Source of routing updates
                            	**type**\:   :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource>`
                            
                            .. attribute:: version
                            
                            	Set the BGP version to match a neighbor
                            	**type**\:  int
                            
                            	**range:** 4..None
                            
                            .. attribute:: weight
                            
                            	Set default weight for routes from this neighbor
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.activate = None
                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths()
                                self.additional_paths.parent = self
                                self.advertise = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise()
                                self.advertise.parent = self
                                self.advertise_map = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap()
                                self.advertise_map.parent = self
                                self.advertisement_interval = None
                                self.aigp = None
                                self.allow_policy = None
                                self.allowas_in = None
                                self.announce = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce()
                                self.announce.parent = self
                                self.as_override = None
                                self.capability = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability()
                                self.capability.parent = self
                                self.cluster_id = None
                                self.default_originate = None
                                self.description = None
                                self.disable_connected_check = None
                                self.distribute_list = YList()
                                self.distribute_list.parent = self
                                self.distribute_list.name = 'distribute_list'
                                self.dmzlink_bw = None
                                self.ebgp_multihop = None
                                self.fall_over = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver()
                                self.fall_over.parent = self
                                self.filter_list = YList()
                                self.filter_list.parent = self
                                self.filter_list.name = 'filter_list'
                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode()
                                self.ha_mode.parent = self
                                self.inherit = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit()
                                self.inherit.parent = self
                                self.local_as = None
                                self.log_neighbor_changes = None
                                self.maximum_prefix = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self.next_hop_self = None
                                self.next_hop_unchanged = None
                                self.password = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Password()
                                self.password.parent = self
                                self.path_attribute = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute()
                                self.path_attribute.parent = self
                                self.peer_group = None
                                self.prefix_list = YList()
                                self.prefix_list.parent = self
                                self.prefix_list.name = 'prefix_list'
                                self.remote_as = None
                                self.remove_private_as = None
                                self.route_map = YList()
                                self.route_map.parent = self
                                self.route_map.name = 'route_map'
                                self.route_reflector_client = None
                                self.route_reflector_cluster_id = None
                                self.send_community = None
                                self.send_label = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel()
                                self.send_label.parent = self
                                self.shutdown = None
                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer()
                                self.slow_peer.parent = self
                                self.soft_reconfiguration = None
                                self.timers = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers()
                                self.timers.parent = self
                                self.translate_update = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate()
                                self.translate_update.parent = self
                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport()
                                self.transport.parent = self
                                self.ttl_security = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity()
                                self.ttl_security.parent = self
                                self.unsuppress_map = None
                                self.update_source = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource()
                                self.update_source.parent = self
                                self.version = None
                                self.weight = None

                            class SoftReconfigurationEnum(Enum):
                                """
                                SoftReconfigurationEnum

                                Per neighbor soft reconfiguration

                                .. data:: inbound = 0

                                """

                                inbound = 0


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SoftReconfigurationEnum']



                            class PeerGroup(object):
                                """
                                Member of the peer\-group
                                
                                .. attribute:: peer_group_name
                                
                                	WORD;;peer\-group name
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.peer_group_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:peer-group'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.peer_group_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PeerGroup']['meta_info']


                            class LocalAs(object):
                                """
                                Specify a local\-as number
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: dual_as
                                
                                	Accept either real AS or local AS from the ebgp peer
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_prepend
                                
                                	Do not prepend local\-as to updates from ebgp peers
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: replace_as
                                
                                	Replace real AS with local AS in the EBGP updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.as_no = None
                                    self.dual_as = None
                                    self.no_prepend = None
                                    self.replace_as = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:local-as'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.as_no is not None:
                                        return True

                                    if self.dual_as is not None:
                                        return True

                                    if self.no_prepend is not None:
                                        return True

                                    if self.replace_as is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.LocalAs']['meta_info']


                            class AdditionalPaths(object):
                                """
                                
                                
                                .. attribute:: disable
                                
                                	Disable additional paths for this neighbor
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to this neighbor
                                	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.disable = None
                                    self.receive = None
                                    self.send = None


                                class Send(object):
                                    """
                                    Send additional paths to this neighbor
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from this neighbor
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.receive = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.receive is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths.Send']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.disable is not None:
                                        return True

                                    if self.receive is not None:
                                        return True

                                    if self.send is not None and self.send._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths']['meta_info']


                            class Advertise(object):
                                """
                                Advertise to this neighbor
                                
                                .. attribute:: additional_paths
                                
                                	Advertise additional paths
                                	**type**\:   :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths>`
                                
                                .. attribute:: best_external
                                
                                	Advertise best\-external (at RRs best\-internal) path
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: diverse_path
                                
                                	Advertise diverse path
                                	**type**\:   :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self.best_external = None
                                    self.diverse_path = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath()
                                    self.diverse_path.parent = self


                                class AdditionalPaths(object):
                                    """
                                    Advertise additional paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best>`
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best paths
                                    	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.all = None
                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best()
                                        self.best.parent = self
                                        self.group_best = None


                                    class All(object):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:   :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best paths
                                        	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best()
                                            self.best.parent = self
                                            self.group_best = None


                                        class Best(object):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: best_range
                                            
                                            	
                                            	**type**\: list of    :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.best_range = YList()
                                                self.best_range.parent = self
                                                self.best_range.name = 'best_range'


                                            class BestRange(object):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\:  int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.range = None
                                                    self.group_best = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.range is None:
                                                        raise YPYModelError('Key property range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.range is not None:
                                                        return True

                                                    if self.group_best is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.best_range is not None:
                                                    for child_ref in self.best_range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best']['meta_info']


                                        class GroupBest(object):
                                            """
                                            Select group\-best paths
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.best = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.best is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.GroupBest']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:all'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.best is not None and self.best._has_data():
                                                return True

                                            if self.group_best is not None and self.group_best._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All']['meta_info']


                                    class Best(object):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: best_range
                                        
                                        	
                                        	**type**\: list of    :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.best_range = YList()
                                            self.best_range.parent = self
                                            self.best_range.name = 'best_range'


                                        class BestRange(object):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\:  int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:   :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.all = None
                                                self.group_best = None


                                            class GroupBest(object):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.all = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.all is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.range is None:
                                                    raise YPYModelError('Key property range is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:best-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.all is not None:
                                                    return True

                                                if self.group_best is not None and self.group_best._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.best_range is not None:
                                                for child_ref in self.best_range:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best']['meta_info']


                                    class GroupBest(object):
                                        """
                                        Select group\-best paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\:  int
                                        
                                        	**range:** 2..3
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.all = None
                                            self.best = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:group-best'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.all is not None:
                                                return True

                                            if self.best is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.GroupBest']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:additional-paths'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.all is not None and self.all._has_data():
                                            return True

                                        if self.best is not None and self.best._has_data():
                                            return True

                                        if self.group_best is not None and self.group_best._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths']['meta_info']


                                class DiversePath(object):
                                    """
                                    Advertise diverse path
                                    
                                    .. attribute:: backup
                                    
                                    	Diverse path can be backup path
                                    	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: mpath
                                    
                                    	Diverse path can be multipath
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.backup = None
                                        self.mpath = None


                                    class Backup(object):
                                        """
                                        Diverse path can be backup path
                                        
                                        .. attribute:: mpath
                                        
                                        	Diverse path can be multipath
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.mpath = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:backup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.mpath is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath.Backup']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:diverse-path'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.backup is not None and self.backup._has_data():
                                            return True

                                        if self.mpath is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:advertise'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.additional_paths is not None and self.additional_paths._has_data():
                                        return True

                                    if self.best_external is not None:
                                        return True

                                    if self.diverse_path is not None and self.diverse_path._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise']['meta_info']


                            class AdvertiseMap(object):
                                """
                                specify route\-map for conditional advertisement
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap.Name>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = YList()
                                    self.name.parent = self
                                    self.name.name = 'name'


                                class Name(object):
                                    """
                                    
                                    
                                    .. attribute:: word  <key>
                                    
                                    	advertise route\-map name
                                    	**type**\:  str
                                    
                                    .. attribute:: exist_map
                                    
                                    	condition route\-map name
                                    	**type**\:  str
                                    
                                    .. attribute:: non_exist_map
                                    
                                    	condition route\-map name
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.word = None
                                        self.exist_map = None
                                        self.non_exist_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.word is None:
                                            raise YPYModelError('Key property word is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:name[Cisco-IOS-XE-bgp:word = ' + str(self.word) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.word is not None:
                                            return True

                                        if self.exist_map is not None:
                                            return True

                                        if self.non_exist_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap.Name']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:advertise-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        for child_ref in self.name:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap']['meta_info']


                            class Aigp(object):
                                """
                                Enable a AIGP on neighbor
                                
                                .. attribute:: send
                                
                                	Cost community or MED carrying AIGP VALUE
                                	**type**\:   :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.send = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send()
                                    self.send.parent = self


                                class Send(object):
                                    """
                                    Cost community or MED carrying AIGP VALUE
                                    
                                    .. attribute:: cost_community
                                    
                                    	Cost extended community carrying AIGP Value
                                    	**type**\:   :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity>`
                                    
                                    .. attribute:: med
                                    
                                    	Med carrying AIGP Value
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity()
                                        self.cost_community.parent = self
                                        self.med = None


                                    class CostCommunity(object):
                                        """
                                        Cost extended community carrying AIGP Value
                                        
                                        .. attribute:: cc_range
                                        
                                        	
                                        	**type**\: list of    :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.cc_range = YList()
                                            self.cc_range.parent = self
                                            self.cc_range.name = 'cc_range'


                                        class CcRange(object):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Community ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: poi
                                            
                                            	Point of Insertion
                                            	**type**\:   :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.poi = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                self.poi.parent = self


                                            class Poi(object):
                                                """
                                                Point of Insertion
                                                
                                                .. attribute:: igp_cost
                                                
                                                	Point of Insertion After IGP
                                                	**type**\:   :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: pre_bestpath
                                                
                                                	Point of Insertion At Beginning
                                                	**type**\:   :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.igp_cost = None
                                                    self.pre_bestpath = None


                                                class IgpCost(object):
                                                    """
                                                    Point of Insertion After IGP
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.transitive = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:igp-cost'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.transitive is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost']['meta_info']


                                                class PreBestpath(object):
                                                    """
                                                    Point of Insertion At Beginning
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.transitive = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:pre-bestpath'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.transitive is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:poi'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.igp_cost is not None and self.igp_cost._has_data():
                                                        return True

                                                    if self.pre_bestpath is not None and self.pre_bestpath._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.range is None:
                                                    raise YPYModelError('Key property range is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:cc-range[Cisco-IOS-XE-bgp:range = ' + str(self.range) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.poi is not None and self.poi._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:cost-community'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.cc_range is not None:
                                                for child_ref in self.cc_range:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:send'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.cost_community is not None and self.cost_community._has_data():
                                            return True

                                        if self.med is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:aigp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.send is not None and self.send._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp']['meta_info']


                            class Announce(object):
                                """
                                Announce RPKI State using an Extended Community
                                
                                .. attribute:: rpki
                                
                                	Announce RPKI information using an Extended Community
                                	**type**\:   :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.rpki = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki()
                                    self.rpki.parent = self


                                class Rpki(object):
                                    """
                                    Announce RPKI information using an Extended Community
                                    
                                    .. attribute:: state
                                    
                                    	Announce RPKI State information using an Extended Community
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.state = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:rpki'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.state is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:announce'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.rpki is not None and self.rpki._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce']['meta_info']


                            class AllowasIn(object):
                                """
                                Accept as\-path with my AS present in it
                                
                                .. attribute:: as_number
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..10
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.as_number = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:allowas-in'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.as_number is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AllowasIn']['meta_info']


                            class AsOverride(object):
                                """
                                Override matching AS\-number while sending update
                                
                                .. attribute:: disable
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:as-override'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AsOverride']['meta_info']


                            class Capability(object):
                                """
                                Advertise capability to the peer
                                
                                .. attribute:: orf
                                
                                	Advertise ORF capability to the peer
                                	**type**\:   :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.orf = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf()
                                    self.orf.parent = self


                                class Orf(object):
                                    """
                                    Advertise ORF capability to the peer
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Advertise prefixlist ORF capability to this neighbor
                                    	**type**\:  list of   :py:class:`PrefixListEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf.PrefixListEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.prefix_list = YLeafList()
                                        self.prefix_list.parent = self
                                        self.prefix_list.name = 'prefix_list'

                                    class PrefixListEnum(Enum):
                                        """
                                        PrefixListEnum

                                        Advertise prefixlist ORF capability to this neighbor

                                        .. data:: both = 0

                                        .. data:: receive = 1

                                        .. data:: send = 2

                                        """

                                        both = 0

                                        receive = 1

                                        send = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf.PrefixListEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:orf'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.prefix_list is not None:
                                            for child in self.prefix_list:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:capability'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.orf is not None and self.orf._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability']['meta_info']


                            class DefaultOriginate(object):
                                """
                                Originate default route to this neighbour
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria to originate default
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:default-originate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DefaultOriginate']['meta_info']


                            class DistributeList(object):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList.InoutEnum>`
                                
                                .. attribute:: accesslist
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..199
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 1300..2699
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.accesslist = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:distribute-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.accesslist is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList']['meta_info']


                            class EbgpMultihop(object):
                                """
                                Allow EBGP neighbors not on directly connected networks
                                
                                .. attribute:: max_hop
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.max_hop = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ebgp-multihop'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.max_hop is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.EbgpMultihop']['meta_info']


                            class FallOver(object):
                                """
                                session fall on peer route lost
                                
                                .. attribute:: bfd
                                
                                	Use BFD to detect failure
                                	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver.Bfd>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bfd = None


                                class Bfd(object):
                                    """
                                    Use BFD to detect failure
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:bfd'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver.Bfd']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:fall-over'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bfd is not None and self.bfd._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver']['meta_info']


                            class FilterList(object):
                                """
                                Establish BGP filters
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList.InoutEnum>`
                                
                                .. attribute:: as_path_list
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..500
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.as_path_list = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:filter-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.as_path_list is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList']['meta_info']


                            class Inherit(object):
                                """
                                Inherit a template
                                
                                .. attribute:: peer_policy
                                
                                	Inherit a peer\-policy template
                                	**type**\:  str
                                
                                .. attribute:: peer_session
                                
                                	Inherit a peer\-session template
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.peer_policy = None
                                    self.peer_session = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:inherit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.peer_policy is not None:
                                        return True

                                    if self.peer_session is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit']['meta_info']


                            class LogNeighborChanges(object):
                                """
                                Log neighbor up/down and reset reason
                                
                                .. attribute:: disable
                                
                                	disable
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:log-neighbor-changes'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.LogNeighborChanges']['meta_info']


                            class MaximumPrefix(object):
                                """
                                Maximum number of prefixes accepted from this peer
                                
                                .. attribute:: max_prefix_no
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..2147483647
                                
                                .. attribute:: restart
                                
                                	Restart bgp connection after limit is exceeded
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only
                                
                                	Only give warning message when limit is exceeded
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_prefix_no = None
                                    self.restart = None
                                    self.threshold = None
                                    self.warning_only = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:maximum-prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_prefix_no is not None:
                                        return True

                                    if self.restart is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    if self.warning_only is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix']['meta_info']


                            class Password(object):
                                """
                                Set a password
                                
                                .. attribute:: enctype
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                .. attribute:: text
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.enctype = None
                                    self.text = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:password'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.enctype is not None:
                                        return True

                                    if self.text is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Password']['meta_info']


                            class PrefixList(object):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList.InoutEnum>`
                                
                                .. attribute:: prefix_list_name
                                
                                	
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.prefix_list_name = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:prefix-list[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.prefix_list_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList']['meta_info']


                            class PathAttribute(object):
                                """
                                BGP optional attribute filtering
                                
                                .. attribute:: discard
                                
                                	Discard matching path\-attribute for this neighbor
                                	**type**\:   :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard>`
                                
                                .. attribute:: treat_as_withdraw
                                
                                	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                	**type**\:   :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.discard = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard()
                                    self.discard.parent = self
                                    self.treat_as_withdraw = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw()
                                    self.treat_as_withdraw.parent = self


                                class Discard(object):
                                    """
                                    Discard matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:   :py:class:`Attibute_Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Attibute_Type>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Attibute_Type()
                                        self.attibute_type.parent = self
                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range()
                                        self.range.parent = self


                                    class Attibute_Type(object):
                                        """
                                        
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.in_ = None
                                            self.type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:attibute_type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.in_ is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Attibute_Type']['meta_info']


                                    class Range(object):
                                        """
                                        
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.end_value = None
                                            self.in_ = None
                                            self.start_value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:range'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.end_value is not None:
                                                return True

                                            if self.in_ is not None:
                                                return True

                                            if self.start_value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:discard'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.attibute_type is not None and self.attibute_type._has_data():
                                            return True

                                        if self.range is not None and self.range._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard']['meta_info']


                                class TreatAsWithdraw(object):
                                    """
                                    Treat\-as\-withdraw matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:   :py:class:`Attibute_Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:   :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type()
                                        self.attibute_type.parent = self
                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                        self.range.parent = self


                                    class Attibute_Type(object):
                                        """
                                        
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.in_ = None
                                            self.type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:attibute_type'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.in_ is not None:
                                                return True

                                            if self.type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Attibute_Type']['meta_info']


                                    class Range(object):
                                        """
                                        
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.end_value = None
                                            self.in_ = None
                                            self.start_value = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:range'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.end_value is not None:
                                                return True

                                            if self.in_ is not None:
                                                return True

                                            if self.start_value is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:treat-as-withdraw'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.attibute_type is not None and self.attibute_type._has_data():
                                            return True

                                        if self.range is not None and self.range._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:path-attribute'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.discard is not None and self.discard._has_data():
                                        return True

                                    if self.treat_as_withdraw is not None and self.treat_as_withdraw._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute']['meta_info']


                            class RouteMap(object):
                                """
                                Apply route map to neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:   :py:class:`InoutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap.InoutEnum>`
                                
                                .. attribute:: route_map_name
                                
                                	
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.inout = None
                                    self.route_map_name = None

                                class InoutEnum(Enum):
                                    """
                                    InoutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap.InoutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.inout is None:
                                        raise YPYModelError('Key property inout is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:route-map[Cisco-IOS-XE-bgp:inout = ' + str(self.inout) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.inout is not None:
                                        return True

                                    if self.route_map_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap']['meta_info']


                            class SendCommunity(object):
                                """
                                Send Community attribute to this neighbor
                                
                                .. attribute:: send_community_where
                                
                                	
                                	**type**\:   :py:class:`SendCommunityWhereEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity.SendCommunityWhereEnum>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.send_community_where = None

                                class SendCommunityWhereEnum(Enum):
                                    """
                                    SendCommunityWhereEnum

                                    .. data:: both = 0

                                    .. data:: extended = 1

                                    .. data:: standard = 2

                                    """

                                    both = 0

                                    extended = 1

                                    standard = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity.SendCommunityWhereEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:send-community'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.send_community_where is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity']['meta_info']


                            class SendLabel(object):
                                """
                                Send NLRI + MPLS Label to this peer
                                
                                .. attribute:: send_label_explicit
                                
                                	
                                	**type**\:   :py:class:`SendLabelExplicitEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel.SendLabelExplicitEnum>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.send_label_explicit = None

                                class SendLabelExplicitEnum(Enum):
                                    """
                                    SendLabelExplicitEnum

                                    .. data:: explicit_null = 0

                                    """

                                    explicit_null = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel.SendLabelExplicitEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:send-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.send_label_explicit is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel']['meta_info']


                            class SlowPeer(object):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:   :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:   :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.detection = None
                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self


                                class Detection(object):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\:  int
                                    
                                    	**range:** 120..3600
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:detection'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.Detection']['meta_info']


                                class SplitUpdateGroup(object):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:   :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None


                                    class Dynamic(object):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.permanent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:dynamic'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.permanent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:split-update-group'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None and self.dynamic._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:slow-peer'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.detection is not None and self.detection._has_data():
                                        return True

                                    if self.split_update_group is not None and self.split_update_group._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer']['meta_info']


                            class Timers(object):
                                """
                                BGP per neighbor timers
                                
                                .. attribute:: holdtime
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: keepalive_interval
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: minimum_neighbor_hold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.holdtime = None
                                    self.keepalive_interval = None
                                    self.minimum_neighbor_hold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:timers'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.holdtime is not None:
                                        return True

                                    if self.keepalive_interval is not None:
                                        return True

                                    if self.minimum_neighbor_hold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers']['meta_info']


                            class TranslateUpdate(object):
                                """
                                Translate Update to MBGP format
                                
                                .. attribute:: ipv4
                                
                                	Address Family
                                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4()
                                    self.ipv4.parent = self


                                class Ipv4(object):
                                    """
                                    Address Family
                                    
                                    .. attribute:: multicast
                                    
                                    	Address Family modifier
                                    	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.multicast = None


                                    class Multicast(object):
                                        """
                                        Address Family modifier
                                        
                                        .. attribute:: unicast
                                        
                                        	Address Family modifier
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.unicast = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:multicast'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.unicast is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4.Multicast']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ipv4'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.multicast is not None and self.multicast._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:translate-update'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None and self.ipv4._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate']['meta_info']


                            class Transport(object):
                                """
                                Transport options
                                
                                .. attribute:: connection_mode
                                
                                	Specify passive or active connection
                                	**type**\:   :py:class:`ConnectionModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.ConnectionModeEnum>`
                                
                                .. attribute:: multi_session
                                
                                	Use Multi\-session for transport
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.PathMtuDiscovery>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.connection_mode = None
                                    self.multi_session = None
                                    self.path_mtu_discovery = None

                                class ConnectionModeEnum(Enum):
                                    """
                                    ConnectionModeEnum

                                    Specify passive or active connection

                                    .. data:: active = 0

                                    .. data:: passive = 1

                                    """

                                    active = 0

                                    passive = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.ConnectionModeEnum']



                                class PathMtuDiscovery(object):
                                    """
                                    Use transport path MTU discovery
                                    
                                    .. attribute:: disable
                                    
                                    	disable
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:path-mtu-discovery'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.PathMtuDiscovery']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:transport'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.connection_mode is not None:
                                        return True

                                    if self.multi_session is not None:
                                        return True

                                    if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport']['meta_info']


                            class TtlSecurity(object):
                                """
                                BGP ttl security check
                                
                                .. attribute:: hops
                                
                                	IP hops
                                	**type**\:  int
                                
                                	**range:** 1..254
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.hops = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ttl-security'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.hops is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity']['meta_info']


                            class UpdateSource(object):
                                """
                                Source of routing updates
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.AtmAcrsubinterface>`
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.AtmSubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\:  str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\:  str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\:  str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\:  str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\:  str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  int
                                
                                	**range:** 0..65520
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LispSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\:  str
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\:  str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\:  str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.appnav_compress = None
                                    self.appnav_uncompress = None
                                    self.atm = None
                                    self.atm_acr = None
                                    self.atm_acrsubinterface = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.AtmAcrsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self.atm_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.AtmSubinterface()
                                    self.atm_subinterface.parent = self
                                    self.bdi = None
                                    self.cellular = None
                                    self.cem = None
                                    self.cem_acr = None
                                    self.embedded_service_engine = None
                                    self.fastethernet = None
                                    self.gigabitethernet = None
                                    self.lisp = None
                                    self.lisp_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LispSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self.loopback = None
                                    self.multilink = None
                                    self.nve = None
                                    self.overlay = None
                                    self.port_channel = None
                                    self.port_channel_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self.pseudowire = None
                                    self.serial = None
                                    self.sm = None
                                    self.tengigabitethernet = None
                                    self.tunnel = None
                                    self.vasileft = None
                                    self.vasiright = None
                                    self.virtual_template = None
                                    self.virtualportgroup = None
                                    self.vlan = None


                                class AtmSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.AtmSubinterface']['meta_info']


                                class AtmAcrsubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm_acr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-ACRsubinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm_acr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.AtmAcrsubinterface']['meta_info']


                                class LispSubinterface(object):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:LISP-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LispSubinterface']['meta_info']


                                class PortChannelSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.port_channel = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:Port-channel-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.port_channel is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:update-source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.appnav_compress is not None:
                                        return True

                                    if self.appnav_uncompress is not None:
                                        return True

                                    if self.atm is not None:
                                        return True

                                    if self.atm_acr is not None:
                                        return True

                                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                        return True

                                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                        return True

                                    if self.bdi is not None:
                                        return True

                                    if self.cellular is not None:
                                        return True

                                    if self.cem is not None:
                                        return True

                                    if self.cem_acr is not None:
                                        return True

                                    if self.embedded_service_engine is not None:
                                        return True

                                    if self.fastethernet is not None:
                                        return True

                                    if self.gigabitethernet is not None:
                                        return True

                                    if self.lisp is not None:
                                        return True

                                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                        return True

                                    if self.loopback is not None:
                                        return True

                                    if self.multilink is not None:
                                        return True

                                    if self.nve is not None:
                                        return True

                                    if self.overlay is not None:
                                        return True

                                    if self.port_channel is not None:
                                        return True

                                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                        return True

                                    if self.pseudowire is not None:
                                        return True

                                    if self.serial is not None:
                                        return True

                                    if self.sm is not None:
                                        return True

                                    if self.tengigabitethernet is not None:
                                        return True

                                    if self.tunnel is not None:
                                        return True

                                    if self.vasileft is not None:
                                        return True

                                    if self.vasiright is not None:
                                        return True

                                    if self.virtual_template is not None:
                                        return True

                                    if self.virtualportgroup is not None:
                                        return True

                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource']['meta_info']


                            class HaMode(object):
                                """
                                high availability mode
                                
                                .. attribute:: graceful_restart
                                
                                	graceful\-restart for this peer
                                	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.GracefulRestart>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: sso
                                
                                	stateful\-switchover support for this peer
                                	**type**\:   :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.graceful_restart = None
                                    self.sso = None


                                class GracefulRestart(object):
                                    """
                                    graceful\-restart for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable graceful\-restart
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:graceful-restart'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.GracefulRestart']['meta_info']


                                class Sso(object):
                                    """
                                    stateful\-switchover support for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable stateful\-switchover
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:sso'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.Sso']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ha-mode'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.graceful_restart is not None and self.graceful_restart._has_data():
                                        return True

                                    if self.sso is not None and self.sso._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:neighbor[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.activate is not None:
                                    return True

                                if self.additional_paths is not None and self.additional_paths._has_data():
                                    return True

                                if self.advertise is not None and self.advertise._has_data():
                                    return True

                                if self.advertise_map is not None and self.advertise_map._has_data():
                                    return True

                                if self.advertisement_interval is not None:
                                    return True

                                if self.aigp is not None and self.aigp._has_data():
                                    return True

                                if self.allow_policy is not None:
                                    return True

                                if self.allowas_in is not None and self.allowas_in._has_data():
                                    return True

                                if self.announce is not None and self.announce._has_data():
                                    return True

                                if self.as_override is not None and self.as_override._has_data():
                                    return True

                                if self.capability is not None and self.capability._has_data():
                                    return True

                                if self.cluster_id is not None:
                                    return True

                                if self.default_originate is not None and self.default_originate._has_data():
                                    return True

                                if self.description is not None:
                                    return True

                                if self.disable_connected_check is not None:
                                    return True

                                if self.distribute_list is not None:
                                    for child_ref in self.distribute_list:
                                        if child_ref._has_data():
                                            return True

                                if self.dmzlink_bw is not None:
                                    return True

                                if self.ebgp_multihop is not None and self.ebgp_multihop._has_data():
                                    return True

                                if self.fall_over is not None and self.fall_over._has_data():
                                    return True

                                if self.filter_list is not None:
                                    for child_ref in self.filter_list:
                                        if child_ref._has_data():
                                            return True

                                if self.ha_mode is not None and self.ha_mode._has_data():
                                    return True

                                if self.inherit is not None and self.inherit._has_data():
                                    return True

                                if self.local_as is not None and self.local_as._has_data():
                                    return True

                                if self.log_neighbor_changes is not None and self.log_neighbor_changes._has_data():
                                    return True

                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                    return True

                                if self.next_hop_self is not None:
                                    return True

                                if self.next_hop_unchanged is not None:
                                    return True

                                if self.password is not None and self.password._has_data():
                                    return True

                                if self.path_attribute is not None and self.path_attribute._has_data():
                                    return True

                                if self.peer_group is not None and self.peer_group._has_data():
                                    return True

                                if self.prefix_list is not None:
                                    for child_ref in self.prefix_list:
                                        if child_ref._has_data():
                                            return True

                                if self.remote_as is not None:
                                    return True

                                if self.remove_private_as is not None:
                                    return True

                                if self.route_map is not None:
                                    for child_ref in self.route_map:
                                        if child_ref._has_data():
                                            return True

                                if self.route_reflector_client is not None:
                                    return True

                                if self.route_reflector_cluster_id is not None:
                                    return True

                                if self.send_community is not None and self.send_community._has_data():
                                    return True

                                if self.send_label is not None and self.send_label._has_data():
                                    return True

                                if self.shutdown is not None:
                                    return True

                                if self.slow_peer is not None and self.slow_peer._has_data():
                                    return True

                                if self.soft_reconfiguration is not None:
                                    return True

                                if self.timers is not None and self.timers._has_data():
                                    return True

                                if self.translate_update is not None and self.translate_update._has_data():
                                    return True

                                if self.transport is not None and self.transport._has_data():
                                    return True

                                if self.ttl_security is not None and self.ttl_security._has_data():
                                    return True

                                if self.unsuppress_map is not None:
                                    return True

                                if self.update_source is not None and self.update_source._has_data():
                                    return True

                                if self.version is not None:
                                    return True

                                if self.weight is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor']['meta_info']


                        class Network(object):
                            """
                            Specify a network to announce via BGP
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: backdoor
                            
                            	Specify a BGP backdoor route
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	Network mask
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: route_map
                            
                            	Route\-map to modify the attributes
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.number = None
                                self.backdoor = None
                                self.mask = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.number is None:
                                    raise YPYModelError('Key property number is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:network[Cisco-IOS-XE-bgp:number = ' + str(self.number) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.number is not None:
                                    return True

                                if self.backdoor is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Network']['meta_info']


                        class Redistribute(object):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Application>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp_>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: dvmrp
                            
                            	Redistribution of DVMRP into BGP IPv4 Multicast
                            	**type**\:   :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Dvmrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:   :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis>`
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp>`
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol
                            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.application = None
                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp_()
                                self.bgp.parent = self
                                self.connected = None
                                self.dvmrp = None
                                self.eigrp = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp()
                                self.eigrp.parent = self
                                self.isis = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis()
                                self.isis.parent = self
                                self.iso_igrp = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp()
                                self.iso_igrp.parent = self
                                self.lisp = None
                                self.mobile = None
                                self.odr = None
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.rip = None
                                self.static = None


                            class Application(object):
                                """
                                Application
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of    :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Application.Name>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.name = YList()
                                    self.name.parent = self
                                    self.name.name = 'name'


                                class Name(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	WORD;;Route map name
                                    	**type**\:  str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:name[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Application.Name']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:application'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.name is not None:
                                        for child_ref in self.name:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Application']['meta_info']


                            class Bgp_(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_no = None
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_no is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp_']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Connected']['meta_info']


                            class Dvmrp(object):
                                """
                                Redistribution of DVMRP into BGP IPv4 Multicast
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:dvmrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Dvmrp']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_no = None
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:eigrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_no is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp']['meta_info']


                            class Isis(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default>`
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default()
                                    self.default.parent = self
                                    self.isis_area = YList()
                                    self.isis_area.parent = self
                                    self.isis_area.name = 'isis_area'


                                class IsisArea(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:   :py:class:`RoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea.RoutesEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.clns = None
                                        self.ip = None
                                        self.metric = None
                                        self.route_map = None
                                        self.routes = None

                                    class RoutesEnum(Enum):
                                        """
                                        RoutesEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = 0

                                        level_2 = 1

                                        level_1_2 = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea.RoutesEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:isis-area[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.clns is not None:
                                            return True

                                        if self.ip is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.routes is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea']['meta_info']


                                class Default(object):
                                    """
                                    
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:   :py:class:`RoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default.RoutesEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.clns = None
                                        self.ip = None
                                        self.metric = None
                                        self.route_map = None
                                        self.routes = None

                                    class RoutesEnum(Enum):
                                        """
                                        RoutesEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = 0

                                        level_2 = 1

                                        level_1_2 = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default.RoutesEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.clns is not None:
                                            return True

                                        if self.ip is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.routes is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:isis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.isis_area is not None:
                                        for child_ref in self.isis_area:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis']['meta_info']


                            class Lisp(object):
                                """
                                Locator/ID Separation Protocol
                                
                                .. attribute:: include_connected
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.include_connected = None
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:lisp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.include_connected is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Lisp']['meta_info']


                            class IsoIgrp(object):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default>`
                                
                                .. attribute:: iso_igrp_area
                                
                                	
                                	**type**\: list of    :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.IsoIgrpArea>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default()
                                    self.default.parent = self
                                    self.iso_igrp_area = YList()
                                    self.iso_igrp_area.parent = self
                                    self.iso_igrp_area.name = 'iso_igrp_area'


                                class IsoIgrpArea(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:iso-igrp-area[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.IsoIgrpArea']['meta_info']


                                class Default(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:iso-igrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.iso_igrp_area is not None:
                                        for child_ref in self.iso_igrp_area:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp']['meta_info']


                            class Mobile(object):
                                """
                                Mobile routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:mobile'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Mobile']['meta_info']


                            class Odr(object):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:odr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Odr']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: non_vrf
                                
                                	
                                	**type**\:   :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf>`
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.non_vrf = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf()
                                    self.non_vrf.parent = self
                                    self.vrf = YList()
                                    self.vrf.parent = self
                                    self.vrf.name = 'vrf'


                                class Vrf(object):
                                    """
                                    VPN Routing/Forwarding Instance
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf.Match()
                                        self.match.parent = self
                                        self.metric = None
                                        self.route_map = None


                                    class Match(object):
                                        """
                                        
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:match'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf.Match']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:vrf[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.match is not None and self.match._has_data():
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf']['meta_info']


                                class NonVrf(object):
                                    """
                                    
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match()
                                        self.match.parent = self
                                        self.metric = None
                                        self.route_map = None


                                    class Match(object):
                                        """
                                        
                                        
                                        .. attribute:: external
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: external2
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: internal
                                        
                                        	Redistribute OSPF internal routes
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: nssa_external
                                        
                                        	Redistribute OSPF NSSA external routes
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.external = None
                                            self.external2 = None
                                            self.internal = None
                                            self.metric = None
                                            self.nssa_external = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:match'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.external is not None:
                                                return True

                                            if self.external2 is not None:
                                                return True

                                            if self.internal is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.nssa_external is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:non-vrf'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.match is not None and self.match._has_data():
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:ospf[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.non_vrf is not None and self.non_vrf._has_data():
                                        return True

                                    if self.vrf is not None:
                                        for child_ref in self.vrf:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:rip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: clns
                                
                                	Redistribution of OSI dynamic routes
                                	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.clns = None
                                    self.ip = None
                                    self.metric = None
                                    self.route_map = None


                                class Clns(object):
                                    """
                                    Redistribution of OSI dynamic routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:clns'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Clns']['meta_info']


                                class Ip(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:ip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Ip']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.clns is not None and self.clns._has_data():
                                        return True

                                    if self.ip is not None and self.ip._has_data():
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:redistribute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.application is not None and self.application._has_data():
                                    return True

                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.dvmrp is not None and self.dvmrp._has_data():
                                    return True

                                if self.eigrp is not None and self.eigrp._has_data():
                                    return True

                                if self.isis is not None and self.isis._has_data():
                                    return True

                                if self.iso_igrp is not None and self.iso_igrp._has_data():
                                    return True

                                if self.lisp is not None and self.lisp._has_data():
                                    return True

                                if self.mobile is not None and self.mobile._has_data():
                                    return True

                                if self.odr is not None and self.odr._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None and self.rip._has_data():
                                    return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute']['meta_info']


                        class TableMap(object):
                            """
                            Map external entry attributes into routing table
                            
                            .. attribute:: filter
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: name
                            
                            	WORD;;route\-map name
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.filter = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:table-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.filter is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.TableMap']['meta_info']


                        class Snmp(object):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\:   :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.context = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context()
                                self.context.parent = self


                            class Context(object):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: context_word
                                
                                	
                                	**type**\: list of    :py:class:`Context_Word <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context.Context_Word>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.context_word = YList()
                                    self.context_word.parent = self
                                    self.context_word.name = 'context_word'


                                class Context_Word(object):
                                    """
                                    
                                    
                                    .. attribute:: context_word  <key>
                                    
                                    	Context Name
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.context_word = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.context_word is None:
                                            raise YPYModelError('Key property context_word is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:context_word[Cisco-IOS-XE-bgp:context_word = ' + str(self.context_word) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.context_word is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context.Context_Word']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:context'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.context_word is not None:
                                        for child_ref in self.context_word:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:snmp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.context is not None and self.context._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.af_name is None:
                                raise YPYModelError('Key property af_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:rtfilter[Cisco-IOS-XE-bgp:af-name = ' + str(self.af_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.af_name is not None:
                                return True

                            if self.auto_summary is not None:
                                return True

                            if self.bgp is not None and self.bgp._has_data():
                                return True

                            if self.default_information is not None and self.default_information._has_data():
                                return True

                            if self.default_metric is not None:
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.distribute_list is not None:
                                for child_ref in self.distribute_list:
                                    if child_ref._has_data():
                                        return True

                            if self.maximum_paths is not None and self.maximum_paths._has_data():
                                return True

                            if self.neighbor is not None:
                                for child_ref in self.neighbor:
                                    if child_ref._has_data():
                                        return True

                            if self.network is not None:
                                for child_ref in self.network:
                                    if child_ref._has_data():
                                        return True

                            if self.redistribute is not None and self.redistribute._has_data():
                                return True

                            if self.snmp is not None and self.snmp._has_data():
                                return True

                            if self.synchronization is not None:
                                return True

                            if self.table_map is not None and self.table_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:no-vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None:
                            for child_ref in self.ipv4:
                                if child_ref._has_data():
                                    return True

                        if self.ipv6 is not None:
                            for child_ref in self.ipv6:
                                if child_ref._has_data():
                                    return True

                        if self.l2vpn is not None:
                            for child_ref in self.l2vpn:
                                if child_ref._has_data():
                                    return True

                        if self.nsap is not None:
                            for child_ref in self.nsap:
                                if child_ref._has_data():
                                    return True

                        if self.rtfilter is not None:
                            for child_ref in self.rtfilter:
                                if child_ref._has_data():
                                    return True

                        if self.vpnv4 is not None:
                            for child_ref in self.vpnv4:
                                if child_ref._has_data():
                                    return True

                        if self.vpnv6 is not None:
                            for child_ref in self.vpnv6:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.AddressFamily.NoVrf']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:address-family'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.no_vrf is not None and self.no_vrf._has_data():
                        return True

                    if self.with_vrf is not None and self.with_vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Bgp.AddressFamily']['meta_info']


            class Template(object):
                """
                Enter template command mode
                
                .. attribute:: peer_policy
                
                	Template configuration for policy parameters
                	**type**\: list of    :py:class:`PeerPolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerPolicy>`
                
                .. attribute:: peer_session
                
                	Template configuration for session parameters
                	**type**\: list of    :py:class:`PeerSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerSession>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.peer_policy = YList()
                    self.peer_policy.parent = self
                    self.peer_policy.name = 'peer_policy'
                    self.peer_session = YList()
                    self.peer_session.parent = self
                    self.peer_session.name = 'peer_session'


                class PeerPolicy(object):
                    """
                    Template configuration for policy parameters
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: filter_list
                    
                    	Establish BGP filters
                    	**type**\: list of    :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerPolicy.FilterList>`
                    
                    .. attribute:: inherit
                    
                    	Inherit a template
                    	**type**\:   :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerPolicy.Inherit>`
                    
                    .. attribute:: route_map
                    
                    	Apply route map to neighbor
                    	**type**\: list of    :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerPolicy.RouteMap>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.filter_list = YList()
                        self.filter_list.parent = self
                        self.filter_list.name = 'filter_list'
                        self.inherit = Native.Router.Bgp.Template.PeerPolicy.Inherit()
                        self.inherit.parent = self
                        self.route_map = YList()
                        self.route_map.parent = self
                        self.route_map.name = 'route_map'


                    class RouteMap(object):
                        """
                        Apply route map to neighbor
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: in_
                        
                        	Apply map to incoming routes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Apply map to outgong routes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.in_ = None
                            self.out = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:route-map[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.in_ is not None:
                                return True

                            if self.out is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Template.PeerPolicy.RouteMap']['meta_info']


                    class FilterList(object):
                        """
                        Establish BGP filters
                        
                        .. attribute:: filter_range  <key>
                        
                        	AS path access list
                        	**type**\:  int
                        
                        	**range:** 1..500
                        
                        .. attribute:: in_
                        
                        	Filter incoming routes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Filter outgoing routes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.filter_range = None
                            self.in_ = None
                            self.out = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.filter_range is None:
                                raise YPYModelError('Key property filter_range is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:filter-list[Cisco-IOS-XE-bgp:filter-range = ' + str(self.filter_range) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.filter_range is not None:
                                return True

                            if self.in_ is not None:
                                return True

                            if self.out is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Template.PeerPolicy.FilterList']['meta_info']


                    class Inherit(object):
                        """
                        Inherit a template
                        
                        .. attribute:: peer_policy
                        
                        	
                        	**type**\:   :py:class:`PeerPolicy_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy_>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.peer_policy = Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy_()
                            self.peer_policy.parent = self


                        class PeerPolicy_(object):
                            """
                            
                            
                            .. attribute:: template
                            
                            	
                            	**type**\: list of    :py:class:`Template_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy_.Template_>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.template = YList()
                                self.template.parent = self
                                self.template.name = 'template'


                            class Template_(object):
                                """
                                
                                
                                .. attribute:: name  <key>
                                
                                	Template name
                                	**type**\:  str
                                
                                .. attribute:: range
                                
                                	Sequence number
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.range = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:template[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.range is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy_.Template_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:peer-policy'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.template is not None:
                                    for child_ref in self.template:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy_']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:inherit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.peer_policy is not None and self.peer_policy._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Template.PeerPolicy.Inherit']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:peer-policy[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.filter_list is not None:
                            for child_ref in self.filter_list:
                                if child_ref._has_data():
                                    return True

                        if self.inherit is not None and self.inherit._has_data():
                            return True

                        if self.route_map is not None:
                            for child_ref in self.route_map:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Template.PeerPolicy']['meta_info']


                class PeerSession(object):
                    """
                    Template configuration for session parameters
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: password
                    
                    	Set a password
                    	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerSession.Password>`
                    
                    .. attribute:: remote_as
                    
                    	Specify a BGP neighbor
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: update_source
                    
                    	Source of routing updates
                    	**type**\:   :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerSession.UpdateSource>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.password = Native.Router.Bgp.Template.PeerSession.Password()
                        self.password.parent = self
                        self.remote_as = None
                        self.update_source = Native.Router.Bgp.Template.PeerSession.UpdateSource()
                        self.update_source.parent = self


                    class Password(object):
                        """
                        Set a password
                        
                        .. attribute:: password
                        
                        	The password
                        	**type**\:  str
                        
                        .. attribute:: password_range
                        
                        	
                        	**type**\: list of    :py:class:`PasswordRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerSession.Password.PasswordRange>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.password = None
                            self.password_range = YList()
                            self.password_range.parent = self
                            self.password_range.name = 'password_range'


                        class PasswordRange(object):
                            """
                            
                            
                            .. attribute:: encruption_type_range  <key>
                            
                            	Encryption type (0 to disable encryption, 7 for proprietary)
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            .. attribute:: password
                            
                            	The password
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.encruption_type_range = None
                                self.password = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.encruption_type_range is None:
                                    raise YPYModelError('Key property encruption_type_range is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:password-range[Cisco-IOS-XE-bgp:encruption-type-range = ' + str(self.encruption_type_range) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.encruption_type_range is not None:
                                    return True

                                if self.password is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Template.PeerSession.Password.PasswordRange']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:password'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.password is not None:
                                return True

                            if self.password_range is not None:
                                for child_ref in self.password_range:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Template.PeerSession.Password']['meta_info']


                    class UpdateSource(object):
                        """
                        Source of routing updates
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerSession.UpdateSource.AtmAcrsubinterface>`
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerSession.UpdateSource.AtmSubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\:  str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\:  str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\:  str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\:  str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\:  str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  int
                        
                        	**range:** 0..65520
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerSession.UpdateSource.LispSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerSession.UpdateSource.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\:  str
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\:  str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\:  str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.appnav_compress = None
                            self.appnav_uncompress = None
                            self.atm = None
                            self.atm_acr = None
                            self.atm_acrsubinterface = Native.Router.Bgp.Template.PeerSession.UpdateSource.AtmAcrsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self.atm_subinterface = Native.Router.Bgp.Template.PeerSession.UpdateSource.AtmSubinterface()
                            self.atm_subinterface.parent = self
                            self.bdi = None
                            self.cellular = None
                            self.cem = None
                            self.cem_acr = None
                            self.embedded_service_engine = None
                            self.fastethernet = None
                            self.gigabitethernet = None
                            self.lisp = None
                            self.lisp_subinterface = Native.Router.Bgp.Template.PeerSession.UpdateSource.LispSubinterface()
                            self.lisp_subinterface.parent = self
                            self.loopback = None
                            self.multilink = None
                            self.nve = None
                            self.overlay = None
                            self.port_channel = None
                            self.port_channel_subinterface = Native.Router.Bgp.Template.PeerSession.UpdateSource.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self.pseudowire = None
                            self.serial = None
                            self.sm = None
                            self.tengigabitethernet = None
                            self.tunnel = None
                            self.vasileft = None
                            self.vasiright = None
                            self.virtual_template = None
                            self.virtualportgroup = None
                            self.vlan = None


                        class AtmSubinterface(object):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Template.PeerSession.UpdateSource.AtmSubinterface']['meta_info']


                        class AtmAcrsubinterface(object):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm_acr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:ATM-ACRsubinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm_acr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Template.PeerSession.UpdateSource.AtmAcrsubinterface']['meta_info']


                        class LispSubinterface(object):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:LISP-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Template.PeerSession.UpdateSource.LispSubinterface']['meta_info']


                        class PortChannelSubinterface(object):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port_channel = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-bgp:Port-channel-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port_channel is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Bgp.Template.PeerSession.UpdateSource.PortChannelSubinterface']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-bgp:update-source'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.appnav_compress is not None:
                                return True

                            if self.appnav_uncompress is not None:
                                return True

                            if self.atm is not None:
                                return True

                            if self.atm_acr is not None:
                                return True

                            if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                return True

                            if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                return True

                            if self.bdi is not None:
                                return True

                            if self.cellular is not None:
                                return True

                            if self.cem is not None:
                                return True

                            if self.cem_acr is not None:
                                return True

                            if self.embedded_service_engine is not None:
                                return True

                            if self.fastethernet is not None:
                                return True

                            if self.gigabitethernet is not None:
                                return True

                            if self.lisp is not None:
                                return True

                            if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                return True

                            if self.loopback is not None:
                                return True

                            if self.multilink is not None:
                                return True

                            if self.nve is not None:
                                return True

                            if self.overlay is not None:
                                return True

                            if self.port_channel is not None:
                                return True

                            if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                return True

                            if self.pseudowire is not None:
                                return True

                            if self.serial is not None:
                                return True

                            if self.sm is not None:
                                return True

                            if self.tengigabitethernet is not None:
                                return True

                            if self.tunnel is not None:
                                return True

                            if self.vasileft is not None:
                                return True

                            if self.vasiright is not None:
                                return True

                            if self.virtual_template is not None:
                                return True

                            if self.virtualportgroup is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Bgp.Template.PeerSession.UpdateSource']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:peer-session[Cisco-IOS-XE-bgp:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.password is not None and self.password._has_data():
                            return True

                        if self.remote_as is not None:
                            return True

                        if self.update_source is not None and self.update_source._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Template.PeerSession']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:template'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.peer_policy is not None:
                        for child_ref in self.peer_policy:
                            if child_ref._has_data():
                                return True

                    if self.peer_session is not None:
                        for child_ref in self.peer_session:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Bgp.Template']['meta_info']


            class Timers(object):
                """
                Adjust routing timers
                
                .. attribute:: bgp
                
                	BGP timers
                	**type**\:   :py:class:`Bgp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Timers.Bgp_>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bgp = Native.Router.Bgp.Timers.Bgp_()
                    self.bgp.parent = self


                class Bgp_(object):
                    """
                    BGP timers
                    
                    .. attribute:: holdtime
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: keepalive_interval
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: minimum_neighbor_hold
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.holdtime = None
                        self.keepalive_interval = None
                        self.minimum_neighbor_hold = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bgp:bgp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.holdtime is not None:
                            return True

                        if self.keepalive_interval is not None:
                            return True

                        if self.minimum_neighbor_hold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Bgp.Timers.Bgp_']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-bgp:timers'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bgp is not None and self.bgp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Bgp.Timers']['meta_info']

            @property
            def _common_path(self):
                if self.id is None:
                    raise YPYModelError('Key property id is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-bgp:bgp[Cisco-IOS-XE-bgp:id = ' + str(self.id) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.id is not None:
                    return True

                if self.address_family is not None and self.address_family._has_data():
                    return True

                if self.auto_summary is not None:
                    return True

                if self.bgp is not None and self.bgp._has_data():
                    return True

                if self.default_information is not None and self.default_information._has_data():
                    return True

                if self.default_metric is not None:
                    return True

                if self.distance is not None and self.distance._has_data():
                    return True

                if self.distribute_list is not None:
                    for child_ref in self.distribute_list:
                        if child_ref._has_data():
                            return True

                if self.maximum_paths is not None and self.maximum_paths._has_data():
                    return True

                if self.neighbor is not None:
                    for child_ref in self.neighbor:
                        if child_ref._has_data():
                            return True

                if self.network is not None:
                    for child_ref in self.network:
                        if child_ref._has_data():
                            return True

                if self.redistribute is not None and self.redistribute._has_data():
                    return True

                if self.snmp is not None and self.snmp._has_data():
                    return True

                if self.synchronization is not None:
                    return True

                if self.table_map is not None and self.table_map._has_data():
                    return True

                if self.template is not None and self.template._has_data():
                    return True

                if self.timers is not None and self.timers._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Router.Bgp']['meta_info']


        class Eigrp(object):
            """
            Enhanced Interior Gateway Routing Protocol (EIGRP)
            
            .. attribute:: id  <key>
            
            	Autonomous System ID
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 1..65535
            
            
            ----
            	**type**\:  str
            
            
            ----
            .. attribute:: address_family
            
            	Enter Address Family command mode
            	**type**\: list of    :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily>`
            
            .. attribute:: af_interface
            
            	Enter Address Family interface configuration
            	**type**\: list of    :py:class:`AfInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AfInterface>`
            
            .. attribute:: auto_summary
            
            	Enable automatic network number summarization
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: bfd
            
            	BFD configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Bfd>`
            
            .. attribute:: default_information
            
            	Control distribution of default information
            	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DefaultInformation>`
            
            .. attribute:: default_metric
            
            	Set metric of redistributed routes
            	**type**\:   :py:class:`DefaultMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DefaultMetric>`
            
            .. attribute:: distance
            
            	Define an administrative distance
            	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Distance>`
            
            .. attribute:: distribute_list
            
            	Filter entries in eigrp updates
            	**type**\:   :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DistributeList>`
            
            .. attribute:: eigrp
            
            	EIGRP Address Family specific commands
            	**type**\:   :py:class:`Eigrp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Eigrp_>`
            
            .. attribute:: maximum_paths
            
            	Number of paths
            	**type**\:  int
            
            	**range:** 1..32
            
            .. attribute:: metric
            
            	Modify metrics and parameters for advertisement
            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Metric>`
            
            .. attribute:: neighbor
            
            	Specify a neighbor router
            	**type**\:   :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Neighbor>`
            
            .. attribute:: network
            
            	Enable routing on an IP network
            	**type**\: list of    :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Network>`
            
            .. attribute:: nsf
            
            	Non\-stop forwarding
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: offset_list
            
            	Add or subtract offset from EIGRP metrics
            	**type**\:   :py:class:`OffsetList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.OffsetList>`
            
            .. attribute:: passive_interface
            
            	Suppress routing updates on an interface
            	**type**\:   :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.PassiveInterface>`
            
            .. attribute:: redistribute
            
            	Redistribute IPv4 routes from another routing protocol
            	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute>`
            
            .. attribute:: shutdown
            
            	Shutdown this instance of EIGRP
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: summary_metric
            
            	Specify summary to apply metric/filtering
            	**type**\:   :py:class:`SummaryMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.SummaryMetric>`
            
            .. attribute:: timers
            
            	Adjust routing timers
            	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Timers>`
            
            .. attribute:: traffic_share
            
            	How to compute traffic share over alternate paths
            	**type**\:   :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.TrafficShare>`
            
            .. attribute:: variance
            
            	Metric variance multiplier
            	**type**\:  int
            
            	**range:** 1..128
            
            

            """

            _prefix = 'ios-eigrp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.id = None
                self.address_family = YList()
                self.address_family.parent = self
                self.address_family.name = 'address_family'
                self.af_interface = YList()
                self.af_interface.parent = self
                self.af_interface.name = 'af_interface'
                self.auto_summary = None
                self.bfd = Native.Router.Eigrp.Bfd()
                self.bfd.parent = self
                self.default_information = Native.Router.Eigrp.DefaultInformation()
                self.default_information.parent = self
                self.default_metric = Native.Router.Eigrp.DefaultMetric()
                self.default_metric.parent = self
                self.distance = Native.Router.Eigrp.Distance()
                self.distance.parent = self
                self.distribute_list = Native.Router.Eigrp.DistributeList()
                self.distribute_list.parent = self
                self.eigrp = Native.Router.Eigrp.Eigrp_()
                self.eigrp.parent = self
                self.maximum_paths = None
                self.metric = Native.Router.Eigrp.Metric()
                self.metric.parent = self
                self.neighbor = Native.Router.Eigrp.Neighbor()
                self.neighbor.parent = self
                self.network = YList()
                self.network.parent = self
                self.network.name = 'network'
                self.nsf = None
                self.offset_list = Native.Router.Eigrp.OffsetList()
                self.offset_list.parent = self
                self.passive_interface = Native.Router.Eigrp.PassiveInterface()
                self.passive_interface.parent = self
                self.redistribute = Native.Router.Eigrp.Redistribute()
                self.redistribute.parent = self
                self.shutdown = None
                self.summary_metric = Native.Router.Eigrp.SummaryMetric()
                self.summary_metric.parent = self
                self.timers = Native.Router.Eigrp.Timers()
                self.timers.parent = self
                self.traffic_share = Native.Router.Eigrp.TrafficShare()
                self.traffic_share.parent = self
                self.variance = None


            class PassiveInterface(object):
                """
                Suppress routing updates on an interface
                
                .. attribute:: default
                
                	Suppress routing updates on all interfaces
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: interface
                
                	interface name
                	**type**\:  str
                
                .. attribute:: tunnel
                
                	Tunnel interface number
                	**type**\:  int
                
                	**range:** 0..2147483647
                
                .. attribute:: vlan
                
                	Vlan interface number
                	**type**\:  int
                
                	**range:** 1..4094
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = None
                    self.interface = None
                    self.tunnel = None
                    self.vlan = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:passive-interface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None:
                        return True

                    if self.interface is not None:
                        return True

                    if self.tunnel is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Eigrp.PassiveInterface']['meta_info']


            class AddressFamily(object):
                """
                Enter Address Family command mode
                
                .. attribute:: type  <key>
                
                	
                	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.TypeEnum>`
                
                .. attribute:: af_ip_list
                
                	Address family IPv4/IPv6
                	**type**\: list of    :py:class:`AfIpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList>`
                
                .. attribute:: af_ip_vrf_list
                
                	Address family IPv4/IPv6 VRF
                	**type**\: list of    :py:class:`AfIpVrfList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.type = None
                    self.af_ip_list = YList()
                    self.af_ip_list.parent = self
                    self.af_ip_list.name = 'af_ip_list'
                    self.af_ip_vrf_list = YList()
                    self.af_ip_vrf_list.parent = self
                    self.af_ip_vrf_list.name = 'af_ip_vrf_list'

                class TypeEnum(Enum):
                    """
                    TypeEnum

                    .. data:: ipv4 = 0

                    .. data:: ipv6 = 1

                    """

                    ipv4 = 0

                    ipv6 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.TypeEnum']



                class AfIpList(object):
                    """
                    Address family IPv4/IPv6
                    
                    .. attribute:: unicast_multicast  <key>
                    
                    	
                    	**type**\:   :py:class:`UnicastMulticastEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.UnicastMulticastEnum>`
                    
                    .. attribute:: af_interface
                    
                    	Enter Address Family interface configuration
                    	**type**\: list of    :py:class:`AfInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface>`
                    
                    .. attribute:: auto_summary
                    
                    	Enable automatic network number summarization
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: autonomous_system
                    
                    	Specify Address\-Family Autonomous System Number
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: bfd
                    
                    	BFD configuration commands
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Bfd>`
                    
                    .. attribute:: default_information
                    
                    	Control distribution of default information
                    	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation>`
                    
                    .. attribute:: default_metric
                    
                    	Set metric of redistributed routes
                    	**type**\:   :py:class:`DefaultMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric>`
                    
                    .. attribute:: distance
                    
                    	Define an administrative distance
                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Distance>`
                    
                    .. attribute:: distribute_list
                    
                    	Filter entries in eigrp updates
                    	**type**\:   :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList>`
                    
                    .. attribute:: eigrp
                    
                    	EIGRP Address Family specific commands
                    	**type**\:   :py:class:`Eigrp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp_>`
                    
                    .. attribute:: maximum_paths
                    
                    	Number of paths
                    	**type**\:  int
                    
                    	**range:** 1..32
                    
                    .. attribute:: metric
                    
                    	Modify metrics and parameters for advertisement
                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Metric>`
                    
                    .. attribute:: neighbor
                    
                    	Specify a neighbor router
                    	**type**\:   :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Enable routing on an IP network
                    	**type**\: list of    :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Network>`
                    
                    .. attribute:: nsf
                    
                    	Non\-stop forwarding
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: offset_list
                    
                    	Add or subtract offset from EIGRP metrics
                    	**type**\:   :py:class:`OffsetList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList>`
                    
                    .. attribute:: redistribute
                    
                    	Redistribute IPv4 routes from another routing protocol
                    	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute>`
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this instance of EIGRP
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: summary_metric
                    
                    	Specify summary to apply metric/filtering
                    	**type**\:   :py:class:`SummaryMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric>`
                    
                    .. attribute:: timers
                    
                    	Adjust routing timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Timers>`
                    
                    .. attribute:: topology
                    
                    	Topology configuration mode
                    	**type**\:   :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology>`
                    
                    .. attribute:: traffic_share
                    
                    	How to compute traffic share over alternate paths
                    	**type**\:   :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare>`
                    
                    .. attribute:: variance
                    
                    	Metric variance multiplier
                    	**type**\:  int
                    
                    	**range:** 1..128
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.unicast_multicast = None
                        self.af_interface = YList()
                        self.af_interface.parent = self
                        self.af_interface.name = 'af_interface'
                        self.auto_summary = None
                        self.autonomous_system = None
                        self.bfd = Native.Router.Eigrp.AddressFamily.AfIpList.Bfd()
                        self.bfd.parent = self
                        self.default_information = Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation()
                        self.default_information.parent = self
                        self.default_metric = Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric()
                        self.default_metric.parent = self
                        self.distance = Native.Router.Eigrp.AddressFamily.AfIpList.Distance()
                        self.distance.parent = self
                        self.distribute_list = Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList()
                        self.distribute_list.parent = self
                        self.eigrp = Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp_()
                        self.eigrp.parent = self
                        self.maximum_paths = None
                        self.metric = Native.Router.Eigrp.AddressFamily.AfIpList.Metric()
                        self.metric.parent = self
                        self.neighbor = Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor()
                        self.neighbor.parent = self
                        self.network = YList()
                        self.network.parent = self
                        self.network.name = 'network'
                        self.nsf = None
                        self.offset_list = Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList()
                        self.offset_list.parent = self
                        self.redistribute = Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute()
                        self.redistribute.parent = self
                        self.shutdown = None
                        self.summary_metric = Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric()
                        self.summary_metric.parent = self
                        self.timers = Native.Router.Eigrp.AddressFamily.AfIpList.Timers()
                        self.timers.parent = self
                        self.topology = Native.Router.Eigrp.AddressFamily.AfIpList.Topology()
                        self.topology.parent = self
                        self.traffic_share = Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare()
                        self.traffic_share.parent = self
                        self.variance = None

                    class UnicastMulticastEnum(Enum):
                        """
                        UnicastMulticastEnum

                        .. data:: unicast = 0

                        .. data:: multicast = 1

                        """

                        unicast = 0

                        multicast = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.UnicastMulticastEnum']



                    class AfInterface(object):
                        """
                        Enter Address Family interface configuration
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: authentication
                        
                        	authentication subcommands
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication>`
                        
                        .. attribute:: bandwidth_percent
                        
                        	Set percentage of bandwidth percentage limit
                        	**type**\:  int
                        
                        	**range:** 1..999999
                        
                        .. attribute:: hello_interval
                        
                        	Configures hello interval
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: hold_time
                        
                        	Configures hold time
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: passive_interface
                        
                        	Suppress address updates on an interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: split_horizon
                        
                        	Perform split horizon
                        	**type**\:  bool
                        
                        .. attribute:: summary_address
                        
                        	
                        	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.SummaryAddress>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.authentication = Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication()
                            self.authentication.parent = self
                            self.bandwidth_percent = None
                            self.hello_interval = None
                            self.hold_time = None
                            self.passive_interface = None
                            self.split_horizon = None
                            self.summary_address = Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.SummaryAddress()
                            self.summary_address.parent = self


                        class Authentication(object):
                            """
                            authentication subcommands
                            
                            .. attribute:: key_chain
                            
                            	key\-chain
                            	**type**\:  str
                            
                            .. attribute:: mode
                            
                            	authentication mode
                            	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.mode = Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode()
                                self.mode.parent = self


                            class Mode(object):
                                """
                                authentication mode
                                
                                .. attribute:: hmac_sha_256
                                
                                	HMAC\-SHA\-256 Authentication
                                	**type**\:   :py:class:`HmacSha256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode.HmacSha256>`
                                
                                .. attribute:: md5
                                
                                	Keyed message digest
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.hmac_sha_256 = Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode.HmacSha256()
                                    self.hmac_sha_256.parent = self
                                    self.md5 = None


                                class HmacSha256(object):
                                    """
                                    HMAC\-SHA\-256 Authentication
                                    
                                    .. attribute:: auth_key
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: auth_type
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.auth_key = None
                                        self.auth_type = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:hmac-sha-256'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.auth_key is not None:
                                            return True

                                        if self.auth_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode.HmacSha256']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:mode'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.hmac_sha_256 is not None and self.hmac_sha_256._has_data():
                                        return True

                                    if self.md5 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.mode is not None and self.mode._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication']['meta_info']


                        class SummaryAddress(object):
                            """
                            
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:summary-address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.SummaryAddress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:af-interface[Cisco-IOS-XE-eigrp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.bandwidth_percent is not None:
                                return True

                            if self.hello_interval is not None:
                                return True

                            if self.hold_time is not None:
                                return True

                            if self.passive_interface is not None:
                                return True

                            if self.split_horizon is not None:
                                return True

                            if self.summary_address is not None and self.summary_address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface']['meta_info']


                    class Bfd(object):
                        """
                        BFD configuration commands
                        
                        .. attribute:: all_interfaces
                        
                        	Enable BFD on all interfaces
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: interface
                        
                        	Enable BFD on specific interface
                        	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all_interfaces = None
                            self.interface = Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface()
                            self.interface.parent = self


                        class Interface(object):
                            """
                            Enable BFD on specific interface
                            
                            .. attribute:: appnav_compress
                            
                            	Service\-Context Virtual Interface Compress
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: appnav_uncompress
                            
                            	Service\-Context Virtual Interface UnCompress
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: atm
                            
                            	ATM interface
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                            
                            .. attribute:: atm_acr
                            
                            	ATM\-ACR interface
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]
                            
                            .. attribute:: atm_acrsubinterface
                            
                            	
                            	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.AtmAcrsubinterface>`
                            
                            .. attribute:: atm_subinterface
                            
                            	
                            	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.AtmSubinterface>`
                            
                            .. attribute:: bdi
                            
                            	Bridge\-Domain interface
                            	**type**\:  str
                            
                            .. attribute:: cellular
                            
                            	Cellular Interface
                            	**type**\:  str
                            
                            .. attribute:: cem
                            
                            	CEM interface
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]
                            
                            .. attribute:: cem_acr
                            
                            	CEM\-ACR interface
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: embedded_service_engine
                            
                            	cisco embedded service engine module
                            	**type**\:  str
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:  int
                            
                            	**range:** 0..65520
                            
                            .. attribute:: lisp_subinterface
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.LispSubinterface>`
                            
                            .. attribute:: loopback
                            
                            	Loopback interface
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: multilink
                            
                            	Multilink\-group interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nve
                            
                            	Network virtualization endpoint interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: overlay
                            
                            	Overlay interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: port_channel_subinterface
                            
                            	
                            	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.PortChannelSubinterface>`
                            
                            .. attribute:: pseudowire
                            
                            	Pseudowire Interface
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: serial
                            
                            	Serial interface
                            	**type**\:  str
                            
                            .. attribute:: sm
                            
                            	SM Interface
                            	**type**\:  str
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: tunnel
                            
                            	Tunnel interface
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: vasileft
                            
                            	vasileft
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasiright
                            
                            	vasiright
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtual_template
                            
                            	Virtual Template interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtualportgroup
                            
                            	Virtual Port Group
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vlan
                            
                            	Iosxr Vlans
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.appnav_compress = None
                                self.appnav_uncompress = None
                                self.atm = None
                                self.atm_acr = None
                                self.atm_acrsubinterface = Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.AtmAcrsubinterface()
                                self.atm_acrsubinterface.parent = self
                                self.atm_subinterface = Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.AtmSubinterface()
                                self.atm_subinterface.parent = self
                                self.bdi = None
                                self.cellular = None
                                self.cem = None
                                self.cem_acr = None
                                self.embedded_service_engine = None
                                self.fastethernet = None
                                self.gigabitethernet = None
                                self.lisp = None
                                self.lisp_subinterface = Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.LispSubinterface()
                                self.lisp_subinterface.parent = self
                                self.loopback = None
                                self.multilink = None
                                self.nve = None
                                self.overlay = None
                                self.port_channel = None
                                self.port_channel_subinterface = Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.PortChannelSubinterface()
                                self.port_channel_subinterface.parent = self
                                self.pseudowire = None
                                self.serial = None
                                self.sm = None
                                self.tengigabitethernet = None
                                self.tunnel = None
                                self.vasileft = None
                                self.vasiright = None
                                self.virtual_template = None
                                self.virtualportgroup = None
                                self.vlan = None


                            class AtmSubinterface(object):
                                """
                                
                                
                                .. attribute:: atm
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.atm = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ATM-subinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.atm is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.AtmSubinterface']['meta_info']


                            class AtmAcrsubinterface(object):
                                """
                                
                                
                                .. attribute:: atm_acr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.atm_acr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ATM-ACRsubinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.atm_acr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.AtmAcrsubinterface']['meta_info']


                            class LispSubinterface(object):
                                """
                                Locator/ID Separation Protocol Virtual Interface
                                
                                .. attribute:: lisp
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lisp = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:LISP-subinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lisp is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.LispSubinterface']['meta_info']


                            class PortChannelSubinterface(object):
                                """
                                
                                
                                .. attribute:: port_channel
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port_channel = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:Port-channel-subinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port_channel is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.PortChannelSubinterface']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:interface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.appnav_compress is not None:
                                    return True

                                if self.appnav_uncompress is not None:
                                    return True

                                if self.atm is not None:
                                    return True

                                if self.atm_acr is not None:
                                    return True

                                if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                    return True

                                if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                    return True

                                if self.bdi is not None:
                                    return True

                                if self.cellular is not None:
                                    return True

                                if self.cem is not None:
                                    return True

                                if self.cem_acr is not None:
                                    return True

                                if self.embedded_service_engine is not None:
                                    return True

                                if self.fastethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.lisp is not None:
                                    return True

                                if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                    return True

                                if self.loopback is not None:
                                    return True

                                if self.multilink is not None:
                                    return True

                                if self.nve is not None:
                                    return True

                                if self.overlay is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                    return True

                                if self.pseudowire is not None:
                                    return True

                                if self.serial is not None:
                                    return True

                                if self.sm is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.tunnel is not None:
                                    return True

                                if self.vasileft is not None:
                                    return True

                                if self.vasiright is not None:
                                    return True

                                if self.virtual_template is not None:
                                    return True

                                if self.virtualportgroup is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all_interfaces is not None:
                                return True

                            if self.interface is not None and self.interface._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Bfd']['meta_info']


                    class DefaultInformation(object):
                        """
                        Control distribution of default information
                        
                        .. attribute:: in_
                        
                        	Accept input default routing information
                        	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation.In_>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: out
                        
                        	Accept output default routing information
                        	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation.Out>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.in_ = None
                            self.out = None


                        class In_(object):
                            """
                            Accept input default routing information
                            
                            .. attribute:: sa_name
                            
                            	Standard Access\-list name
                            	**type**\:  str
                            
                            .. attribute:: sa_num
                            
                            	A standard expanded IP access list number
                            	**type**\:  int
                            
                            	**range:** 1300..1999
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.sa_name = None
                                self.sa_num = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.sa_name is not None:
                                    return True

                                if self.sa_num is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation.In_']['meta_info']


                        class Out(object):
                            """
                            Accept output default routing information
                            
                            .. attribute:: sa_out_name
                            
                            	Standard Access\-list name
                            	**type**\:  str
                            
                            .. attribute:: sa_out_num
                            
                            	A standard expanded IP access list number
                            	**type**\:  int
                            
                            	**range:** 1300..1999
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.sa_out_name = None
                                self.sa_out_num = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:out'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.sa_out_name is not None:
                                    return True

                                if self.sa_out_num is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation.Out']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:default-information'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.in_ is not None and self.in_._has_data():
                                return True

                            if self.out is not None and self.out._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation']['meta_info']


                    class DefaultMetric(object):
                        """
                        Set metric of redistributed routes
                        
                        .. attribute:: dm_rdr
                        
                        	
                        	**type**\: list of    :py:class:`DmRdr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric.DmRdr>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dm_rdr = YList()
                            self.dm_rdr.parent = self
                            self.dm_rdr.name = 'dm_rdr'


                        class DmRdr(object):
                            """
                            
                            
                            .. attribute:: dm_rdr  <key>
                            
                            	Bandwidth in Kbits per second
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: dm_rdr0
                            
                            	
                            	**type**\: list of    :py:class:`DmRdr0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric.DmRdr.DmRdr0>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dm_rdr = None
                                self.dm_rdr0 = YList()
                                self.dm_rdr0.parent = self
                                self.dm_rdr0.name = 'dm_rdr0'


                            class DmRdr0(object):
                                """
                                
                                
                                .. attribute:: dm_rdr0  <key>
                                
                                	delay metric in 10 microsecond units
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: dm_rdr_pct
                                
                                	Reliability metric where 255 is 100% reliable
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dm_rdr0 = None
                                    self.dm_rdr_pct = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.dm_rdr0 is None:
                                        raise YPYModelError('Key property dm_rdr0 is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:dm-rdr0[Cisco-IOS-XE-eigrp:dm-rdr0 = ' + str(self.dm_rdr0) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dm_rdr0 is not None:
                                        return True

                                    if self.dm_rdr_pct is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric.DmRdr.DmRdr0']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.dm_rdr is None:
                                    raise YPYModelError('Key property dm_rdr is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:dm-rdr[Cisco-IOS-XE-eigrp:dm-rdr = ' + str(self.dm_rdr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dm_rdr is not None:
                                    return True

                                if self.dm_rdr0 is not None:
                                    for child_ref in self.dm_rdr0:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric.DmRdr']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:default-metric'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dm_rdr is not None:
                                for child_ref in self.dm_rdr:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric']['meta_info']


                    class Distance(object):
                        """
                        Define an administrative distance
                        
                        .. attribute:: eigrp
                        
                        	Set distance for internal and external routes
                        	**type**\:   :py:class:`Eigrp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp_>`
                        
                        .. attribute:: rad_dis
                        
                        	
                        	**type**\: list of    :py:class:`RadDis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Distance.RadDis>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp_()
                            self.eigrp.parent = self
                            self.rad_dis = YList()
                            self.rad_dis.parent = self
                            self.rad_dis.name = 'rad_dis'


                        class RadDis(object):
                            """
                            
                            
                            .. attribute:: rad_dis  <key>
                            
                            	Set route administrative distance
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Distance.RadDis.Ipv4>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rad_dis = None
                                self.ipv4 = YList()
                                self.ipv4.parent = self
                                self.ipv4.name = 'ipv4'


                            class Ipv4(object):
                                """
                                
                                
                                .. attribute:: ipv4  <key>
                                
                                	IP Source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv40
                                
                                	Wildcard bits
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None
                                    self.ipv40 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ipv4 is None:
                                        raise YPYModelError('Key property ipv4 is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ipv4[Cisco-IOS-XE-eigrp:ipv4 = ' + str(self.ipv4) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    if self.ipv40 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Distance.RadDis.Ipv4']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.rad_dis is None:
                                    raise YPYModelError('Key property rad_dis is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:rad-dis[Cisco-IOS-XE-eigrp:rad-dis = ' + str(self.rad_dis) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rad_dis is not None:
                                    return True

                                if self.ipv4 is not None:
                                    for child_ref in self.ipv4:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Distance.RadDis']['meta_info']


                        class Eigrp_(object):
                            """
                            Set distance for internal and external routes
                            
                            .. attribute:: di_rt
                            
                            	
                            	**type**\: list of    :py:class:`DiRt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp_.DiRt>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.di_rt = YList()
                                self.di_rt.parent = self
                                self.di_rt.name = 'di_rt'


                            class DiRt(object):
                                """
                                
                                
                                .. attribute:: di_rt  <key>
                                
                                	Distance for internal routes
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: di_rt0
                                
                                	Distance for external routes
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.di_rt = None
                                    self.di_rt0 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.di_rt is None:
                                        raise YPYModelError('Key property di_rt is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:di-rt[Cisco-IOS-XE-eigrp:di-rt = ' + str(self.di_rt) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.di_rt is not None:
                                        return True

                                    if self.di_rt0 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp_.DiRt']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:eigrp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.di_rt is not None:
                                    for child_ref in self.di_rt:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp_']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:distance'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None and self.eigrp._has_data():
                                return True

                            if self.rad_dis is not None:
                                for child_ref in self.rad_dis:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Distance']['meta_info']


                    class DistributeList(object):
                        """
                        Filter entries in eigrp updates
                        
                        .. attribute:: eig_filt
                        
                        	
                        	**type**\: list of    :py:class:`EigFilt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt>`
                        
                        .. attribute:: gateway
                        
                        	Filtering incoming address updates based on gateway
                        	**type**\:   :py:class:`Gateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway>`
                        
                        .. attribute:: prefix
                        
                        	Filter prefixes in address updates
                        	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix>`
                        
                        .. attribute:: route_map
                        
                        	Filter prefixes based on the route\-map
                        	**type**\:   :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eig_filt = YList()
                            self.eig_filt.parent = self
                            self.eig_filt.name = 'eig_filt'
                            self.gateway = Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway()
                            self.gateway.parent = self
                            self.prefix = Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix()
                            self.prefix.parent = self
                            self.route_map = Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap()
                            self.route_map.parent = self


                        class EigFilt(object):
                            """
                            
                            
                            .. attribute:: eig_filt  <key>
                            
                            	IP expanded access list number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	Filter incoming service updates
                            	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt.In_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: out
                            
                            	Filter outgoing service updates
                            	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt.Out>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eig_filt = None
                                self.in_ = None
                                self.out = None


                            class In_(object):
                                """
                                Filter incoming service updates
                                
                                .. attribute:: interface_name
                                
                                	Interface name
                                	**type**\:  list of str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.interface_name = YLeafList()
                                    self.interface_name.parent = self
                                    self.interface_name.name = 'interface_name'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:in'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.interface_name is not None:
                                        for child in self.interface_name:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt.In_']['meta_info']


                            class Out(object):
                                """
                                Filter outgoing service updates
                                
                                .. attribute:: interface_name
                                
                                	Interface name
                                	**type**\:  list of str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.interface_name = YLeafList()
                                    self.interface_name.parent = self
                                    self.interface_name.name = 'interface_name'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:out'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.interface_name is not None:
                                        for child in self.interface_name:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt.Out']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.eig_filt is None:
                                    raise YPYModelError('Key property eig_filt is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:eig-filt[Cisco-IOS-XE-eigrp:eig-filt = ' + str(self.eig_filt) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eig_filt is not None:
                                    return True

                                if self.in_ is not None and self.in_._has_data():
                                    return True

                                if self.out is not None and self.out._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt']['meta_info']


                        class Gateway(object):
                            """
                            Filtering incoming address updates based on gateway
                            
                            .. attribute:: gw_list
                            
                            	
                            	**type**\: list of    :py:class:`GwList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway.GwList>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.gw_list = YList()
                                self.gw_list.parent = self
                                self.gw_list.name = 'gw_list'


                            class GwList(object):
                                """
                                
                                
                                .. attribute:: gw_list  <key>
                                
                                	Name of an IP prefix\-list
                                	**type**\:  str
                                
                                .. attribute:: in_
                                
                                	Filter incoming service updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Filter outgoing service updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.gw_list = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.gw_list is None:
                                        raise YPYModelError('Key property gw_list is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:gw-list[Cisco-IOS-XE-eigrp:gw-list = ' + str(self.gw_list) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.gw_list is not None:
                                        return True

                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway.GwList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:gateway'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.gw_list is not None:
                                    for child_ref in self.gw_list:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway']['meta_info']


                        class Prefix(object):
                            """
                            Filter prefixes in address updates
                            
                            .. attribute:: pl_name
                            
                            	
                            	**type**\: list of    :py:class:`PlName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix.PlName>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.pl_name = YList()
                                self.pl_name.parent = self
                                self.pl_name.name = 'pl_name'


                            class PlName(object):
                                """
                                
                                
                                .. attribute:: pl_name  <key>
                                
                                	Name of an IP prefix\-list
                                	**type**\:  str
                                
                                .. attribute:: gateway
                                
                                	Filtering incoming address updates based on gateway
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: in_
                                
                                	Filter incoming service updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Filter outgoing service updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pl_name = None
                                    self.gateway = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.pl_name is None:
                                        raise YPYModelError('Key property pl_name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:pl-name[Cisco-IOS-XE-eigrp:pl-name = ' + str(self.pl_name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pl_name is not None:
                                        return True

                                    if self.gateway is not None:
                                        return True

                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix.PlName']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.pl_name is not None:
                                    for child_ref in self.pl_name:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix']['meta_info']


                        class RouteMap(object):
                            """
                            Filter prefixes based on the route\-map
                            
                            .. attribute:: rmap_name
                            
                            	
                            	**type**\: list of    :py:class:`RmapName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap.RmapName>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rmap_name = YList()
                                self.rmap_name.parent = self
                                self.rmap_name.name = 'rmap_name'


                            class RmapName(object):
                                """
                                
                                
                                .. attribute:: rmap_name  <key>
                                
                                	route\-map name
                                	**type**\:  str
                                
                                .. attribute:: in_
                                
                                	Filter incoming service updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Filter outgoing service updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.rmap_name = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.rmap_name is None:
                                        raise YPYModelError('Key property rmap_name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:rmap-name[Cisco-IOS-XE-eigrp:rmap-name = ' + str(self.rmap_name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.rmap_name is not None:
                                        return True

                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap.RmapName']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rmap_name is not None:
                                    for child_ref in self.rmap_name:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:distribute-list'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eig_filt is not None:
                                for child_ref in self.eig_filt:
                                    if child_ref._has_data():
                                        return True

                            if self.gateway is not None and self.gateway._has_data():
                                return True

                            if self.prefix is not None and self.prefix._has_data():
                                return True

                            if self.route_map is not None and self.route_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList']['meta_info']


                    class Eigrp_(object):
                        """
                        EIGRP Address Family specific commands
                        
                        .. attribute:: router_id
                        
                        	router id for this EIGRP process
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: stub
                        
                        	Set address\-family in stubbed mode
                        	**type**\:   :py:class:`Stub <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp_.Stub>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.router_id = None
                            self.stub = None


                        class Stub(object):
                            """
                            Set address\-family in stubbed mode
                            
                            .. attribute:: connected
                            
                            	Do advertise connected routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: leak_map
                            
                            	Allow dynamic prefixes based on the leak\-map
                            	**type**\:  str
                            
                            .. attribute:: receive_only
                            
                            	Set receive only neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redistributed
                            
                            	Do advertise redistributed routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: static
                            
                            	Do advertise static routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: summary
                            
                            	Do advertise summary routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.connected = None
                                self.leak_map = None
                                self.receive_only = None
                                self.redistributed = None
                                self.static = None
                                self.summary = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:stub'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.connected is not None:
                                    return True

                                if self.leak_map is not None:
                                    return True

                                if self.receive_only is not None:
                                    return True

                                if self.redistributed is not None:
                                    return True

                                if self.static is not None:
                                    return True

                                if self.summary is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp_.Stub']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:eigrp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.router_id is not None:
                                return True

                            if self.stub is not None and self.stub._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp_']['meta_info']


                    class Metric(object):
                        """
                        Modify metrics and parameters for advertisement
                        
                        .. attribute:: maximum_hops
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weights
                        
                        	Type (Only TOS 0 supported)
                        	**type**\:  int
                        
                        	**range:** 0..8
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.maximum_hops = None
                            self.weights = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:metric'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.maximum_hops is not None:
                                return True

                            if self.weights is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Metric']['meta_info']


                    class Neighbor(object):
                        """
                        Specify a neighbor router
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = YList()
                            self.ipv4.parent = self
                            self.ipv4.name = 'ipv4'


                        class Ipv4(object):
                            """
                            
                            
                            .. attribute:: ipv4  <key>
                            
                            	Neighbor address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: interface
                            
                            	Specify interface for global address
                            	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = None
                                self.interface = Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface()
                                self.interface.parent = self


                            class Interface(object):
                                """
                                Specify interface for global address
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.AtmAcrsubinterface>`
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.AtmSubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\:  str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\:  str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\:  str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\:  str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\:  str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  int
                                
                                	**range:** 0..65520
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.LispSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\:  str
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\:  str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\:  str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.appnav_compress = None
                                    self.appnav_uncompress = None
                                    self.atm = None
                                    self.atm_acr = None
                                    self.atm_acrsubinterface = Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.AtmAcrsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self.atm_subinterface = Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.AtmSubinterface()
                                    self.atm_subinterface.parent = self
                                    self.bdi = None
                                    self.cellular = None
                                    self.cem = None
                                    self.cem_acr = None
                                    self.embedded_service_engine = None
                                    self.fastethernet = None
                                    self.gigabitethernet = None
                                    self.lisp = None
                                    self.lisp_subinterface = Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.LispSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self.loopback = None
                                    self.multilink = None
                                    self.nve = None
                                    self.overlay = None
                                    self.port_channel = None
                                    self.port_channel_subinterface = Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self.pseudowire = None
                                    self.serial = None
                                    self.sm = None
                                    self.tengigabitethernet = None
                                    self.tunnel = None
                                    self.vasileft = None
                                    self.vasiright = None
                                    self.virtual_template = None
                                    self.virtualportgroup = None
                                    self.vlan = None


                                class AtmSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ATM-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.AtmSubinterface']['meta_info']


                                class AtmAcrsubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm_acr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ATM-ACRsubinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm_acr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.AtmAcrsubinterface']['meta_info']


                                class LispSubinterface(object):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:LISP-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.LispSubinterface']['meta_info']


                                class PortChannelSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.port_channel = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:Port-channel-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.port_channel is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.PortChannelSubinterface']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:interface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.appnav_compress is not None:
                                        return True

                                    if self.appnav_uncompress is not None:
                                        return True

                                    if self.atm is not None:
                                        return True

                                    if self.atm_acr is not None:
                                        return True

                                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                        return True

                                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                        return True

                                    if self.bdi is not None:
                                        return True

                                    if self.cellular is not None:
                                        return True

                                    if self.cem is not None:
                                        return True

                                    if self.cem_acr is not None:
                                        return True

                                    if self.embedded_service_engine is not None:
                                        return True

                                    if self.fastethernet is not None:
                                        return True

                                    if self.gigabitethernet is not None:
                                        return True

                                    if self.lisp is not None:
                                        return True

                                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                        return True

                                    if self.loopback is not None:
                                        return True

                                    if self.multilink is not None:
                                        return True

                                    if self.nve is not None:
                                        return True

                                    if self.overlay is not None:
                                        return True

                                    if self.port_channel is not None:
                                        return True

                                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                        return True

                                    if self.pseudowire is not None:
                                        return True

                                    if self.serial is not None:
                                        return True

                                    if self.sm is not None:
                                        return True

                                    if self.tengigabitethernet is not None:
                                        return True

                                    if self.tunnel is not None:
                                        return True

                                    if self.vasileft is not None:
                                        return True

                                    if self.vasiright is not None:
                                        return True

                                    if self.virtual_template is not None:
                                        return True

                                    if self.virtualportgroup is not None:
                                        return True

                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ipv4 is None:
                                    raise YPYModelError('Key property ipv4 is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ipv4[Cisco-IOS-XE-eigrp:ipv4 = ' + str(self.ipv4) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None:
                                    return True

                                if self.interface is not None and self.interface._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:neighbor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None:
                                for child_ref in self.ipv4:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor']['meta_info']


                    class Network(object):
                        """
                        Enable routing on an IP network
                        
                        .. attribute:: number  <key>
                        
                        	Network number
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: wild_card
                        
                        	EIGRP wild card bits
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.wild_card = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:network[Cisco-IOS-XE-eigrp:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.wild_card is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Network']['meta_info']


                    class OffsetList(object):
                        """
                        Add or subtract offset from EIGRP metrics
                        
                        .. attribute:: nsr_list
                        
                        	
                        	**type**\: list of    :py:class:`NsrList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList.NsrList>`
                        
                        .. attribute:: ol_acl
                        
                        	
                        	**type**\: list of    :py:class:`OlAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList.OlAcl>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.nsr_list = YList()
                            self.nsr_list.parent = self
                            self.nsr_list.name = 'nsr_list'
                            self.ol_acl = YList()
                            self.ol_acl.parent = self
                            self.ol_acl.name = 'ol_acl'


                        class NsrList(object):
                            """
                            
                            
                            .. attribute:: nsr_list  <key>
                            
                            	Access list of networks to apply offset (extended range)
                            	**type**\:  int
                            
                            	**range:** 1300..1999
                            
                            .. attribute:: in_
                            
                            	Perform offset on incoming updates
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Perform offset on outgoing updates
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.nsr_list = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.nsr_list is None:
                                    raise YPYModelError('Key property nsr_list is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:nsr-list[Cisco-IOS-XE-eigrp:nsr-list = ' + str(self.nsr_list) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.nsr_list is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList.NsrList']['meta_info']


                        class OlAcl(object):
                            """
                            
                            
                            .. attribute:: ol_acl  <key>
                            
                            	Access\-list name
                            	**type**\:  str
                            
                            .. attribute:: in_
                            
                            	Perform offset on incoming updates
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Perform offset on outgoing updates
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ol_acl = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ol_acl is None:
                                    raise YPYModelError('Key property ol_acl is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ol-acl[Cisco-IOS-XE-eigrp:ol-acl = ' + str(self.ol_acl) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ol_acl is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList.OlAcl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:offset-list'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.nsr_list is not None:
                                for child_ref in self.nsr_list:
                                    if child_ref._has_data():
                                        return True

                            if self.ol_acl is not None:
                                for child_ref in self.ol_acl:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList']['meta_info']


                    class Redistribute(object):
                        """
                        Redistribute IPv4 routes from another routing protocol
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Autonomous system number
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Isis>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: lisp
                        
                        	Locator ID Separation Protocol (LISP)
                        	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Lisp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: mobile
                        
                        	Mobile routes
                        	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Mobile>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: odr
                        
                        	On Demand stub Routes
                        	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Odr>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ospf
                        
                        	Process ID
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Rip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Static>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: vrf
                        
                        	Specify a source virtual routing/forwarding instance
                        	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bgp = YList()
                            self.bgp.parent = self
                            self.bgp.name = 'bgp'
                            self.connected = None
                            self.eigrp = None
                            self.isis = None
                            self.lisp = None
                            self.mobile = None
                            self.odr = None
                            self.ospf = None
                            self.rip = None
                            self.static = None
                            self.vrf = Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Vrf()
                            self.vrf.parent = self


                        class Bgp(object):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: rdr_as  <key>
                            
                            	Autonomous system number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp.Metric>`
                            
                            .. attribute:: rd_lesser_1_period_0_xx_period_yy_greater_
                            
                            	Autonomous system number
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rdr_as = None
                                self.metric = Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp.Metric()
                                self.metric.parent = self
                                self.rd_lesser_1_period_0_xx_period_yy_greater_ = None
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: bandwith
                                
                                	Bandwidth metric in Kbits per second
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: delay
                                
                                	EIGRP delay metric, in 10 microsecond units
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: effective
                                
                                	EIGRP Effective bandwidth metric (Loading) where 255 is 100% loaded
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: mtu
                                
                                	EIGRP MTU of the path
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: reliability
                                
                                	EIGRP reliability metric where 255 is 100% reliable
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwith = None
                                    self.delay = None
                                    self.effective = None
                                    self.mtu = None
                                    self.reliability = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bandwith is not None:
                                        return True

                                    if self.delay is not None:
                                        return True

                                    if self.effective is not None:
                                        return True

                                    if self.mtu is not None:
                                        return True

                                    if self.reliability is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp.Metric']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.rdr_as is None:
                                    raise YPYModelError('Key property rdr_as is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:bgp[Cisco-IOS-XE-eigrp:rdr-as = ' + str(self.rdr_as) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rdr_as is not None:
                                    return True

                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.rd_lesser_1_period_0_xx_period_yy_greater_ is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp']['meta_info']


                        class Connected(object):
                            """
                            Connected
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.metric = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:connected'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.metric is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Connected']['meta_info']


                        class Isis(object):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: is_tag
                            
                            	ISO routing area tag
                            	**type**\:  str
                            
                            .. attribute:: level_1
                            
                            	IS\-IS level\-1 routes only
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: level_1_2
                            
                            	IS\-IS level\-1 and level\-2 routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: level_2
                            
                            	IS\-IS level\-2 routes only
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.is_tag = None
                                self.level_1 = None
                                self.level_1_2 = None
                                self.level_2 = None
                                self.metric = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:isis'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.is_tag is not None:
                                    return True

                                if self.level_1 is not None:
                                    return True

                                if self.level_1_2 is not None:
                                    return True

                                if self.level_2 is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Isis']['meta_info']


                        class Lisp(object):
                            """
                            Locator ID Separation Protocol (LISP)
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.metric = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:lisp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.metric is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Lisp']['meta_info']


                        class Mobile(object):
                            """
                            Mobile routes
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.metric = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:mobile'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.metric is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Mobile']['meta_info']


                        class Odr(object):
                            """
                            On Demand stub Routes
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.metric = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:odr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.metric is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Odr']['meta_info']


                        class Rip(object):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.metric = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:rip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.metric is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Rip']['meta_info']


                        class Static(object):
                            """
                            Static routes
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.metric = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.metric is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Static']['meta_info']


                        class Vrf(object):
                            """
                            Specify a source virtual routing/forwarding instance
                            
                            .. attribute:: global_
                            
                            	global VRF
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: name
                            
                            	Virtual Routing/Forwarding instance name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.global_ = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:vrf'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.global_ is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Vrf']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:redistribute'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bgp is not None:
                                for child_ref in self.bgp:
                                    if child_ref._has_data():
                                        return True

                            if self.connected is not None and self.connected._has_data():
                                return True

                            if self.eigrp is not None:
                                return True

                            if self.isis is not None and self.isis._has_data():
                                return True

                            if self.lisp is not None and self.lisp._has_data():
                                return True

                            if self.mobile is not None and self.mobile._has_data():
                                return True

                            if self.odr is not None and self.odr._has_data():
                                return True

                            if self.ospf is not None:
                                return True

                            if self.rip is not None and self.rip._has_data():
                                return True

                            if self.static is not None and self.static._has_data():
                                return True

                            if self.vrf is not None and self.vrf._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute']['meta_info']


                    class SummaryMetric(object):
                        """
                        Specify summary to apply metric/filtering
                        
                        .. attribute:: a_period_b_period_c_period_d_slash_nn
                        
                        	Summary <network>/<length>, e.g., 192.168.0.0/16
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric.Ipv4>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.a_period_b_period_c_period_d_slash_nn = None
                            self.ipv4 = YList()
                            self.ipv4.parent = self
                            self.ipv4.name = 'ipv4'


                        class Ipv4(object):
                            """
                            
                            
                            .. attribute:: ipv4  <key>
                            
                            	Summary to configure static metric
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	Network mask
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = None
                                self.mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ipv4 is None:
                                    raise YPYModelError('Key property ipv4 is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ipv4[Cisco-IOS-XE-eigrp:ipv4 = ' + str(self.ipv4) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric.Ipv4']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:summary-metric'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.a_period_b_period_c_period_d_slash_nn is not None:
                                return True

                            if self.ipv4 is not None:
                                for child_ref in self.ipv4:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric']['meta_info']


                    class Timers(object):
                        """
                        Adjust routing timers
                        
                        .. attribute:: active_time
                        
                        	time limit for active state
                        	**type**\:   :py:class:`ActiveTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Timers.ActiveTime>`
                        
                        .. attribute:: graceful_restart
                        
                        	EIGRP Graceful Restart timer
                        	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Timers.GracefulRestart>`
                        
                        .. attribute:: nsf
                        
                        	EIGRP NSF timer
                        	**type**\:   :py:class:`Nsf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Timers.Nsf>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.active_time = Native.Router.Eigrp.AddressFamily.AfIpList.Timers.ActiveTime()
                            self.active_time.parent = self
                            self.graceful_restart = Native.Router.Eigrp.AddressFamily.AfIpList.Timers.GracefulRestart()
                            self.graceful_restart.parent = self
                            self.nsf = Native.Router.Eigrp.AddressFamily.AfIpList.Timers.Nsf()
                            self.nsf.parent = self


                        class ActiveTime(object):
                            """
                            time limit for active state
                            
                            .. attribute:: atimer
                            
                            	active state time limit in minutes
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disabled
                            
                            	disable time limit for active state
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atimer = None
                                self.disabled = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:active-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atimer is not None:
                                    return True

                                if self.disabled is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Timers.ActiveTime']['meta_info']


                        class GracefulRestart(object):
                            """
                            EIGRP Graceful Restart timer
                            
                            .. attribute:: purge_time
                            
                            	EIGRP stale route purge time
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.purge_time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:graceful-restart'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.purge_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Timers.GracefulRestart']['meta_info']


                        class Nsf(object):
                            """
                            EIGRP NSF timer
                            
                            .. attribute:: converge
                            
                            	EIGRP time limit for convergence after switchover
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: signal
                            
                            	EIGRP time limit for signaling NSF restart
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.converge = None
                                self.signal = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:nsf'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.converge is not None:
                                    return True

                                if self.signal is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Timers.Nsf']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.active_time is not None and self.active_time._has_data():
                                return True

                            if self.graceful_restart is not None and self.graceful_restart._has_data():
                                return True

                            if self.nsf is not None and self.nsf._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Timers']['meta_info']


                    class TrafficShare(object):
                        """
                        How to compute traffic share over alternate paths
                        
                        .. attribute:: balanced
                        
                        	Share inversely proportional to metric
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: min
                        
                        	All traffic shared among min metric paths
                        	**type**\:   :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare.Min>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.balanced = None
                            self.min = Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare.Min()
                            self.min.parent = self


                        class Min(object):
                            """
                            All traffic shared among min metric paths
                            
                            .. attribute:: across_interfaces
                            
                            	Use different interfaces for equal\-cost paths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.across_interfaces = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:min'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.across_interfaces is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare.Min']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:traffic-share'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.balanced is not None:
                                return True

                            if self.min is not None and self.min._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare']['meta_info']


                    class Topology(object):
                        """
                        Topology configuration mode
                        
                        .. attribute:: base
                        
                        	Base Topology
                        	**type**\:   :py:class:`Base <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.base = None


                        class Base(object):
                            """
                            Base Topology
                            
                            .. attribute:: distance
                            
                            	Define an administrative distance
                            	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter entries in eigrp updates
                            	**type**\:   :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList>`
                            
                            .. attribute:: redistribute
                            
                            	Redistribute IPv6 prefixes from another routing protocol
                            	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.distance = Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance()
                                self.distance.parent = self
                                self.distribute_list = Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList()
                                self.distribute_list.parent = self
                                self.redistribute = Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute()
                                self.redistribute.parent = self


                            class Distance(object):
                                """
                                Define an administrative distance
                                
                                .. attribute:: eigrp
                                
                                	EIGRP\-IPV6 distance
                                	**type**\:   :py:class:`Eigrp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp_>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eigrp = Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp_()
                                    self.eigrp.parent = self


                                class Eigrp_(object):
                                    """
                                    EIGRP\-IPV6 distance
                                    
                                    .. attribute:: distance_list
                                    
                                    	
                                    	**type**\: list of    :py:class:`DistanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp_.DistanceList>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.distance_list = YList()
                                        self.distance_list.parent = self
                                        self.distance_list.name = 'distance_list'


                                    class DistanceList(object):
                                        """
                                        
                                        
                                        .. attribute:: internal_route  <key>
                                        
                                        	Distance for internal routes
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: external_route
                                        
                                        	Distance for external routes
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-eigrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.internal_route = None
                                            self.external_route = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.internal_route is None:
                                                raise YPYModelError('Key property internal_route is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:distance-list[Cisco-IOS-XE-eigrp:internal-route = ' + str(self.internal_route) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.internal_route is not None:
                                                return True

                                            if self.external_route is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp_.DistanceList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:eigrp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.distance_list is not None:
                                            for child_ref in self.distance_list:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp_']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:distance'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eigrp is not None and self.eigrp._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance']['meta_info']


                            class DistributeList(object):
                                """
                                Filter entries in eigrp updates
                                
                                .. attribute:: prefix_list
                                
                                	Filter prefixes in address updates
                                	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList.PrefixList>`
                                
                                .. attribute:: route_map
                                
                                	Filter prefixes based on the route\-map
                                	**type**\: list of    :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList.RouteMap>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.prefix_list = YList()
                                    self.prefix_list.parent = self
                                    self.prefix_list.name = 'prefix_list'
                                    self.route_map = YList()
                                    self.route_map.parent = self
                                    self.route_map.name = 'route_map'


                                class PrefixList(object):
                                    """
                                    Filter prefixes in address updates
                                    
                                    .. attribute:: prefix_list  <key>
                                    
                                    	Name of an IP prefix\-list
                                    	**type**\:  str
                                    
                                    .. attribute:: gateway
                                    
                                    	Filtering incoming address updates based on gateway
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming service updates
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing service updates
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.prefix_list = None
                                        self.gateway = None
                                        self.in_ = None
                                        self.out = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.prefix_list is None:
                                            raise YPYModelError('Key property prefix_list is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:prefix-list[Cisco-IOS-XE-eigrp:prefix-list = ' + str(self.prefix_list) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.prefix_list is not None:
                                            return True

                                        if self.gateway is not None:
                                            return True

                                        if self.in_ is not None:
                                            return True

                                        if self.out is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList.PrefixList']['meta_info']


                                class RouteMap(object):
                                    """
                                    Filter prefixes based on the route\-map
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming service updates
                                    	**type**\:  str
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing service updates
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.in_ = None
                                        self.out = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:route-map[Cisco-IOS-XE-eigrp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.in_ is not None:
                                            return True

                                        if self.out is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList.RouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:distribute-list'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.prefix_list is not None:
                                        for child_ref in self.prefix_list:
                                            if child_ref._has_data():
                                                return True

                                    if self.route_map is not None:
                                        for child_ref in self.route_map:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList']['meta_info']


                            class Redistribute(object):
                                """
                                Redistribute IPv6 prefixes from another routing protocol
                                
                                .. attribute:: connected
                                
                                	Connected Routes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\:   :py:class:`Eigrp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp_>`
                                
                                .. attribute:: static
                                
                                	Static Routes
                                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Static>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.connected = None
                                    self.eigrp = Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp_()
                                    self.eigrp.parent = self
                                    self.static = None


                                class Eigrp_(object):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: as_list
                                    
                                    	
                                    	**type**\: list of    :py:class:`AsList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp_.AsList>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_list = YList()
                                        self.as_list.parent = self
                                        self.as_list.name = 'as_list'


                                    class AsList(object):
                                        """
                                        
                                        
                                        .. attribute:: autonomous_system  <key>
                                        
                                        	Autonomous system number
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-eigrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.autonomous_system = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.autonomous_system is None:
                                                raise YPYModelError('Key property autonomous_system is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:as-list[Cisco-IOS-XE-eigrp:autonomous-system = ' + str(self.autonomous_system) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.autonomous_system is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp_.AsList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:eigrp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.as_list is not None:
                                            for child_ref in self.as_list:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp_']['meta_info']


                                class Static(object):
                                    """
                                    Static Routes
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:static'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Static']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:redistribute'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.connected is not None:
                                        return True

                                    if self.eigrp is not None and self.eigrp._has_data():
                                        return True

                                    if self.static is not None and self.static._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:base'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.distance is not None and self.distance._has_data():
                                    return True

                                if self.distribute_list is not None and self.distribute_list._has_data():
                                    return True

                                if self.redistribute is not None and self.redistribute._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:topology'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.base is not None and self.base._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList.Topology']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.unicast_multicast is None:
                            raise YPYModelError('Key property unicast_multicast is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:af-ip-list[Cisco-IOS-XE-eigrp:unicast-multicast = ' + str(self.unicast_multicast) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.unicast_multicast is not None:
                            return True

                        if self.af_interface is not None:
                            for child_ref in self.af_interface:
                                if child_ref._has_data():
                                    return True

                        if self.auto_summary is not None:
                            return True

                        if self.autonomous_system is not None:
                            return True

                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        if self.default_information is not None and self.default_information._has_data():
                            return True

                        if self.default_metric is not None and self.default_metric._has_data():
                            return True

                        if self.distance is not None and self.distance._has_data():
                            return True

                        if self.distribute_list is not None and self.distribute_list._has_data():
                            return True

                        if self.eigrp is not None and self.eigrp._has_data():
                            return True

                        if self.maximum_paths is not None:
                            return True

                        if self.metric is not None and self.metric._has_data():
                            return True

                        if self.neighbor is not None and self.neighbor._has_data():
                            return True

                        if self.network is not None:
                            for child_ref in self.network:
                                if child_ref._has_data():
                                    return True

                        if self.nsf is not None:
                            return True

                        if self.offset_list is not None and self.offset_list._has_data():
                            return True

                        if self.redistribute is not None and self.redistribute._has_data():
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.summary_metric is not None and self.summary_metric._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.topology is not None and self.topology._has_data():
                            return True

                        if self.traffic_share is not None and self.traffic_share._has_data():
                            return True

                        if self.variance is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpList']['meta_info']


                class AfIpVrfList(object):
                    """
                    Address family IPv4/IPv6 VRF
                    
                    .. attribute:: vrf  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: af_interface
                    
                    	Enter Address Family interface configuration
                    	**type**\: list of    :py:class:`AfInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface>`
                    
                    .. attribute:: auto_summary
                    
                    	Enable automatic network number summarization
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: autonomous_system
                    
                    	Specify Address\-Family Autonomous System Number?
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: bfd
                    
                    	BFD configuration commands
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd>`
                    
                    .. attribute:: default_information
                    
                    	Control distribution of default information
                    	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation>`
                    
                    .. attribute:: default_metric
                    
                    	Set metric of redistributed routes
                    	**type**\:   :py:class:`DefaultMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric>`
                    
                    .. attribute:: distance
                    
                    	Define an administrative distance
                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance>`
                    
                    .. attribute:: distribute_list
                    
                    	Filter entries in eigrp updates
                    	**type**\:   :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList>`
                    
                    .. attribute:: eigrp
                    
                    	EIGRP Address Family specific commands
                    	**type**\:   :py:class:`Eigrp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp_>`
                    
                    .. attribute:: maximum_paths
                    
                    	Number of paths
                    	**type**\:  int
                    
                    	**range:** 1..32
                    
                    .. attribute:: metric
                    
                    	Modify metrics and parameters for advertisement
                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Metric>`
                    
                    .. attribute:: neighbor
                    
                    	Specify a neighbor router
                    	**type**\:   :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Enable routing on an IP network
                    	**type**\: list of    :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Network>`
                    
                    .. attribute:: nsf
                    
                    	Non\-stop forwarding
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: offset_list
                    
                    	Add or subtract offset from EIGRP metrics
                    	**type**\:   :py:class:`OffsetList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList>`
                    
                    .. attribute:: redistribute
                    
                    	Redistribute IPv4 routes from another routing protocol
                    	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute>`
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this instance of EIGRP
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: summary_metric
                    
                    	Specify summary to apply metric/filtering
                    	**type**\:   :py:class:`SummaryMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric>`
                    
                    .. attribute:: timers
                    
                    	Adjust routing timers
                    	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers>`
                    
                    .. attribute:: topology
                    
                    	Topology configuration mode
                    	**type**\:   :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology>`
                    
                    .. attribute:: traffic_share
                    
                    	How to compute traffic share over alternate paths
                    	**type**\:   :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare>`
                    
                    .. attribute:: unicast_multicast
                    
                    	
                    	**type**\:   :py:class:`UnicastMulticastEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.UnicastMulticastEnum>`
                    
                    .. attribute:: variance
                    
                    	Metric variance multiplier
                    	**type**\:  int
                    
                    	**range:** 1..128
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vrf = None
                        self.af_interface = YList()
                        self.af_interface.parent = self
                        self.af_interface.name = 'af_interface'
                        self.auto_summary = None
                        self.autonomous_system = None
                        self.bfd = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd()
                        self.bfd.parent = self
                        self.default_information = Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation()
                        self.default_information.parent = self
                        self.default_metric = Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric()
                        self.default_metric.parent = self
                        self.distance = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance()
                        self.distance.parent = self
                        self.distribute_list = Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList()
                        self.distribute_list.parent = self
                        self.eigrp = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp_()
                        self.eigrp.parent = self
                        self.maximum_paths = None
                        self.metric = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Metric()
                        self.metric.parent = self
                        self.neighbor = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor()
                        self.neighbor.parent = self
                        self.network = YList()
                        self.network.parent = self
                        self.network.name = 'network'
                        self.nsf = None
                        self.offset_list = Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList()
                        self.offset_list.parent = self
                        self.redistribute = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute()
                        self.redistribute.parent = self
                        self.shutdown = None
                        self.summary_metric = Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric()
                        self.summary_metric.parent = self
                        self.timers = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers()
                        self.timers.parent = self
                        self.topology = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology()
                        self.topology.parent = self
                        self.traffic_share = Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare()
                        self.traffic_share.parent = self
                        self.unicast_multicast = None
                        self.variance = None

                    class UnicastMulticastEnum(Enum):
                        """
                        UnicastMulticastEnum

                        .. data:: unicast = 0

                        .. data:: multicast = 1

                        """

                        unicast = 0

                        multicast = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.UnicastMulticastEnum']



                    class AfInterface(object):
                        """
                        Enter Address Family interface configuration
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: authentication
                        
                        	authentication subcommands
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication>`
                        
                        .. attribute:: bandwidth_percent
                        
                        	Set percentage of bandwidth percentage limit
                        	**type**\:  int
                        
                        	**range:** 1..999999
                        
                        .. attribute:: hello_interval
                        
                        	Configures hello interval
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: hold_time
                        
                        	Configures hold time
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: passive_interface
                        
                        	Suppress address updates on an interface
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: split_horizon
                        
                        	Perform split horizon
                        	**type**\:  bool
                        
                        .. attribute:: summary_address
                        
                        	
                        	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.SummaryAddress>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.authentication = Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication()
                            self.authentication.parent = self
                            self.bandwidth_percent = None
                            self.hello_interval = None
                            self.hold_time = None
                            self.passive_interface = None
                            self.split_horizon = None
                            self.summary_address = Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.SummaryAddress()
                            self.summary_address.parent = self


                        class Authentication(object):
                            """
                            authentication subcommands
                            
                            .. attribute:: key_chain
                            
                            	key\-chain
                            	**type**\:  str
                            
                            .. attribute:: mode
                            
                            	authentication mode
                            	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.mode = Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode()
                                self.mode.parent = self


                            class Mode(object):
                                """
                                authentication mode
                                
                                .. attribute:: hmac_sha_256
                                
                                	HMAC\-SHA\-256 Authentication
                                	**type**\:   :py:class:`HmacSha256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode.HmacSha256>`
                                
                                .. attribute:: md5
                                
                                	Keyed message digest
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.hmac_sha_256 = Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode.HmacSha256()
                                    self.hmac_sha_256.parent = self
                                    self.md5 = None


                                class HmacSha256(object):
                                    """
                                    HMAC\-SHA\-256 Authentication
                                    
                                    .. attribute:: auth_key
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: auth_type
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.auth_key = None
                                        self.auth_type = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:hmac-sha-256'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.auth_key is not None:
                                            return True

                                        if self.auth_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode.HmacSha256']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:mode'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.hmac_sha_256 is not None and self.hmac_sha_256._has_data():
                                        return True

                                    if self.md5 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.mode is not None and self.mode._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication']['meta_info']


                        class SummaryAddress(object):
                            """
                            
                            
                            .. attribute:: address
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:summary-address'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.SummaryAddress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:af-interface[Cisco-IOS-XE-eigrp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.bandwidth_percent is not None:
                                return True

                            if self.hello_interval is not None:
                                return True

                            if self.hold_time is not None:
                                return True

                            if self.passive_interface is not None:
                                return True

                            if self.split_horizon is not None:
                                return True

                            if self.summary_address is not None and self.summary_address._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface']['meta_info']


                    class Bfd(object):
                        """
                        BFD configuration commands
                        
                        .. attribute:: all_interfaces
                        
                        	Enable BFD on all interfaces
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: interface
                        
                        	Enable BFD on specific interface
                        	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all_interfaces = None
                            self.interface = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface()
                            self.interface.parent = self


                        class Interface(object):
                            """
                            Enable BFD on specific interface
                            
                            .. attribute:: appnav_compress
                            
                            	Service\-Context Virtual Interface Compress
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: appnav_uncompress
                            
                            	Service\-Context Virtual Interface UnCompress
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: atm
                            
                            	ATM interface
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                            
                            .. attribute:: atm_acr
                            
                            	ATM\-ACR interface
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]
                            
                            .. attribute:: atm_acrsubinterface
                            
                            	
                            	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.AtmAcrsubinterface>`
                            
                            .. attribute:: atm_subinterface
                            
                            	
                            	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.AtmSubinterface>`
                            
                            .. attribute:: bdi
                            
                            	Bridge\-Domain interface
                            	**type**\:  str
                            
                            .. attribute:: cellular
                            
                            	Cellular Interface
                            	**type**\:  str
                            
                            .. attribute:: cem
                            
                            	CEM interface
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]
                            
                            .. attribute:: cem_acr
                            
                            	CEM\-ACR interface
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: embedded_service_engine
                            
                            	cisco embedded service engine module
                            	**type**\:  str
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:  int
                            
                            	**range:** 0..65520
                            
                            .. attribute:: lisp_subinterface
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.LispSubinterface>`
                            
                            .. attribute:: loopback
                            
                            	Loopback interface
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: multilink
                            
                            	Multilink\-group interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nve
                            
                            	Network virtualization endpoint interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: overlay
                            
                            	Overlay interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: port_channel_subinterface
                            
                            	
                            	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.PortChannelSubinterface>`
                            
                            .. attribute:: pseudowire
                            
                            	Pseudowire Interface
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: serial
                            
                            	Serial interface
                            	**type**\:  str
                            
                            .. attribute:: sm
                            
                            	SM Interface
                            	**type**\:  str
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: tunnel
                            
                            	Tunnel interface
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: vasileft
                            
                            	vasileft
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasiright
                            
                            	vasiright
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtual_template
                            
                            	Virtual Template interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtualportgroup
                            
                            	Virtual Port Group
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vlan
                            
                            	Iosxr Vlans
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.appnav_compress = None
                                self.appnav_uncompress = None
                                self.atm = None
                                self.atm_acr = None
                                self.atm_acrsubinterface = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.AtmAcrsubinterface()
                                self.atm_acrsubinterface.parent = self
                                self.atm_subinterface = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.AtmSubinterface()
                                self.atm_subinterface.parent = self
                                self.bdi = None
                                self.cellular = None
                                self.cem = None
                                self.cem_acr = None
                                self.embedded_service_engine = None
                                self.fastethernet = None
                                self.gigabitethernet = None
                                self.lisp = None
                                self.lisp_subinterface = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.LispSubinterface()
                                self.lisp_subinterface.parent = self
                                self.loopback = None
                                self.multilink = None
                                self.nve = None
                                self.overlay = None
                                self.port_channel = None
                                self.port_channel_subinterface = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.PortChannelSubinterface()
                                self.port_channel_subinterface.parent = self
                                self.pseudowire = None
                                self.serial = None
                                self.sm = None
                                self.tengigabitethernet = None
                                self.tunnel = None
                                self.vasileft = None
                                self.vasiright = None
                                self.virtual_template = None
                                self.virtualportgroup = None
                                self.vlan = None


                            class AtmSubinterface(object):
                                """
                                
                                
                                .. attribute:: atm
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.atm = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ATM-subinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.atm is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.AtmSubinterface']['meta_info']


                            class AtmAcrsubinterface(object):
                                """
                                
                                
                                .. attribute:: atm_acr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.atm_acr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ATM-ACRsubinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.atm_acr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.AtmAcrsubinterface']['meta_info']


                            class LispSubinterface(object):
                                """
                                Locator/ID Separation Protocol Virtual Interface
                                
                                .. attribute:: lisp
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lisp = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:LISP-subinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lisp is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.LispSubinterface']['meta_info']


                            class PortChannelSubinterface(object):
                                """
                                
                                
                                .. attribute:: port_channel
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port_channel = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:Port-channel-subinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port_channel is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.PortChannelSubinterface']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:interface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.appnav_compress is not None:
                                    return True

                                if self.appnav_uncompress is not None:
                                    return True

                                if self.atm is not None:
                                    return True

                                if self.atm_acr is not None:
                                    return True

                                if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                    return True

                                if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                    return True

                                if self.bdi is not None:
                                    return True

                                if self.cellular is not None:
                                    return True

                                if self.cem is not None:
                                    return True

                                if self.cem_acr is not None:
                                    return True

                                if self.embedded_service_engine is not None:
                                    return True

                                if self.fastethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.lisp is not None:
                                    return True

                                if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                    return True

                                if self.loopback is not None:
                                    return True

                                if self.multilink is not None:
                                    return True

                                if self.nve is not None:
                                    return True

                                if self.overlay is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                    return True

                                if self.pseudowire is not None:
                                    return True

                                if self.serial is not None:
                                    return True

                                if self.sm is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.tunnel is not None:
                                    return True

                                if self.vasileft is not None:
                                    return True

                                if self.vasiright is not None:
                                    return True

                                if self.virtual_template is not None:
                                    return True

                                if self.virtualportgroup is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all_interfaces is not None:
                                return True

                            if self.interface is not None and self.interface._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd']['meta_info']


                    class DefaultInformation(object):
                        """
                        Control distribution of default information
                        
                        .. attribute:: in_
                        
                        	Accept input default routing information
                        	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation.In_>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: out
                        
                        	Accept output default routing information
                        	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation.Out>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.in_ = None
                            self.out = None


                        class In_(object):
                            """
                            Accept input default routing information
                            
                            .. attribute:: sa_name
                            
                            	Standard Access\-list name
                            	**type**\:  str
                            
                            .. attribute:: sa_num
                            
                            	A standard expanded IP access list number
                            	**type**\:  int
                            
                            	**range:** 1300..1999
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.sa_name = None
                                self.sa_num = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.sa_name is not None:
                                    return True

                                if self.sa_num is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation.In_']['meta_info']


                        class Out(object):
                            """
                            Accept output default routing information
                            
                            .. attribute:: sa_out_name
                            
                            	Standard Access\-list name
                            	**type**\:  str
                            
                            .. attribute:: sa_out_num
                            
                            	A standard expanded IP access list number
                            	**type**\:  int
                            
                            	**range:** 1300..1999
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.sa_out_name = None
                                self.sa_out_num = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:out'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.sa_out_name is not None:
                                    return True

                                if self.sa_out_num is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation.Out']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:default-information'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.in_ is not None and self.in_._has_data():
                                return True

                            if self.out is not None and self.out._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation']['meta_info']


                    class DefaultMetric(object):
                        """
                        Set metric of redistributed routes
                        
                        .. attribute:: dm_rdr
                        
                        	
                        	**type**\: list of    :py:class:`DmRdr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric.DmRdr>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dm_rdr = YList()
                            self.dm_rdr.parent = self
                            self.dm_rdr.name = 'dm_rdr'


                        class DmRdr(object):
                            """
                            
                            
                            .. attribute:: dm_rdr  <key>
                            
                            	Bandwidth in Kbits per second
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: dm_rdr0
                            
                            	
                            	**type**\: list of    :py:class:`DmRdr0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric.DmRdr.DmRdr0>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dm_rdr = None
                                self.dm_rdr0 = YList()
                                self.dm_rdr0.parent = self
                                self.dm_rdr0.name = 'dm_rdr0'


                            class DmRdr0(object):
                                """
                                
                                
                                .. attribute:: dm_rdr0  <key>
                                
                                	delay metric in 10 microsecond units
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: dm_rdr_pct
                                
                                	Reliability metric where 255 is 100% reliable
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dm_rdr0 = None
                                    self.dm_rdr_pct = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.dm_rdr0 is None:
                                        raise YPYModelError('Key property dm_rdr0 is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:dm-rdr0[Cisco-IOS-XE-eigrp:dm-rdr0 = ' + str(self.dm_rdr0) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dm_rdr0 is not None:
                                        return True

                                    if self.dm_rdr_pct is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric.DmRdr.DmRdr0']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.dm_rdr is None:
                                    raise YPYModelError('Key property dm_rdr is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:dm-rdr[Cisco-IOS-XE-eigrp:dm-rdr = ' + str(self.dm_rdr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dm_rdr is not None:
                                    return True

                                if self.dm_rdr0 is not None:
                                    for child_ref in self.dm_rdr0:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric.DmRdr']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:default-metric'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dm_rdr is not None:
                                for child_ref in self.dm_rdr:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric']['meta_info']


                    class Distance(object):
                        """
                        Define an administrative distance
                        
                        .. attribute:: eigrp
                        
                        	Set distance for internal and external routes
                        	**type**\:   :py:class:`Eigrp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp_>`
                        
                        .. attribute:: rad_dis
                        
                        	
                        	**type**\: list of    :py:class:`RadDis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.RadDis>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eigrp = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp_()
                            self.eigrp.parent = self
                            self.rad_dis = YList()
                            self.rad_dis.parent = self
                            self.rad_dis.name = 'rad_dis'


                        class RadDis(object):
                            """
                            
                            
                            .. attribute:: rad_dis  <key>
                            
                            	Set route administrative distance
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.RadDis.Ipv4>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rad_dis = None
                                self.ipv4 = YList()
                                self.ipv4.parent = self
                                self.ipv4.name = 'ipv4'


                            class Ipv4(object):
                                """
                                
                                
                                .. attribute:: ipv4  <key>
                                
                                	IP Source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv40
                                
                                	Wildcard bits
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None
                                    self.ipv40 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ipv4 is None:
                                        raise YPYModelError('Key property ipv4 is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ipv4[Cisco-IOS-XE-eigrp:ipv4 = ' + str(self.ipv4) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    if self.ipv40 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.RadDis.Ipv4']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.rad_dis is None:
                                    raise YPYModelError('Key property rad_dis is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:rad-dis[Cisco-IOS-XE-eigrp:rad-dis = ' + str(self.rad_dis) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rad_dis is not None:
                                    return True

                                if self.ipv4 is not None:
                                    for child_ref in self.ipv4:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.RadDis']['meta_info']


                        class Eigrp_(object):
                            """
                            Set distance for internal and external routes
                            
                            .. attribute:: di_rt
                            
                            	
                            	**type**\: list of    :py:class:`DiRt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp_.DiRt>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.di_rt = YList()
                                self.di_rt.parent = self
                                self.di_rt.name = 'di_rt'


                            class DiRt(object):
                                """
                                
                                
                                .. attribute:: di_rt  <key>
                                
                                	Distance for internal routes
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: di_rt0
                                
                                	Distance for external routes
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.di_rt = None
                                    self.di_rt0 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.di_rt is None:
                                        raise YPYModelError('Key property di_rt is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:di-rt[Cisco-IOS-XE-eigrp:di-rt = ' + str(self.di_rt) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.di_rt is not None:
                                        return True

                                    if self.di_rt0 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp_.DiRt']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:eigrp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.di_rt is not None:
                                    for child_ref in self.di_rt:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp_']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:distance'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eigrp is not None and self.eigrp._has_data():
                                return True

                            if self.rad_dis is not None:
                                for child_ref in self.rad_dis:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance']['meta_info']


                    class DistributeList(object):
                        """
                        Filter entries in eigrp updates
                        
                        .. attribute:: eig_filt
                        
                        	
                        	**type**\: list of    :py:class:`EigFilt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt>`
                        
                        .. attribute:: gateway
                        
                        	Filtering incoming address updates based on gateway
                        	**type**\:   :py:class:`Gateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway>`
                        
                        .. attribute:: prefix
                        
                        	Filter prefixes in address updates
                        	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix>`
                        
                        .. attribute:: route_map
                        
                        	Filter prefixes based on the route\-map
                        	**type**\:   :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eig_filt = YList()
                            self.eig_filt.parent = self
                            self.eig_filt.name = 'eig_filt'
                            self.gateway = Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway()
                            self.gateway.parent = self
                            self.prefix = Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix()
                            self.prefix.parent = self
                            self.route_map = Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap()
                            self.route_map.parent = self


                        class EigFilt(object):
                            """
                            
                            
                            .. attribute:: eig_filt  <key>
                            
                            	IP expanded access list number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..199 \| 1300..2699
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            
                            ----
                            .. attribute:: in_
                            
                            	Filter incoming service updates
                            	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt.In_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: out
                            
                            	Filter outgoing service updates
                            	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt.Out>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eig_filt = None
                                self.in_ = None
                                self.out = None


                            class In_(object):
                                """
                                Filter incoming service updates
                                
                                .. attribute:: interface_name
                                
                                	Interface name
                                	**type**\:  list of str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.interface_name = YLeafList()
                                    self.interface_name.parent = self
                                    self.interface_name.name = 'interface_name'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:in'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.interface_name is not None:
                                        for child in self.interface_name:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt.In_']['meta_info']


                            class Out(object):
                                """
                                Filter outgoing service updates
                                
                                .. attribute:: interface_name
                                
                                	Interface name
                                	**type**\:  list of str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.interface_name = YLeafList()
                                    self.interface_name.parent = self
                                    self.interface_name.name = 'interface_name'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:out'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.interface_name is not None:
                                        for child in self.interface_name:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt.Out']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.eig_filt is None:
                                    raise YPYModelError('Key property eig_filt is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:eig-filt[Cisco-IOS-XE-eigrp:eig-filt = ' + str(self.eig_filt) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eig_filt is not None:
                                    return True

                                if self.in_ is not None and self.in_._has_data():
                                    return True

                                if self.out is not None and self.out._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt']['meta_info']


                        class Gateway(object):
                            """
                            Filtering incoming address updates based on gateway
                            
                            .. attribute:: gw_list
                            
                            	
                            	**type**\: list of    :py:class:`GwList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway.GwList>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.gw_list = YList()
                                self.gw_list.parent = self
                                self.gw_list.name = 'gw_list'


                            class GwList(object):
                                """
                                
                                
                                .. attribute:: gw_list  <key>
                                
                                	Name of an IP prefix\-list
                                	**type**\:  str
                                
                                .. attribute:: in_
                                
                                	Filter incoming service updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Filter outgoing service updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.gw_list = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.gw_list is None:
                                        raise YPYModelError('Key property gw_list is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:gw-list[Cisco-IOS-XE-eigrp:gw-list = ' + str(self.gw_list) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.gw_list is not None:
                                        return True

                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway.GwList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:gateway'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.gw_list is not None:
                                    for child_ref in self.gw_list:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway']['meta_info']


                        class Prefix(object):
                            """
                            Filter prefixes in address updates
                            
                            .. attribute:: pl_name
                            
                            	
                            	**type**\: list of    :py:class:`PlName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix.PlName>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.pl_name = YList()
                                self.pl_name.parent = self
                                self.pl_name.name = 'pl_name'


                            class PlName(object):
                                """
                                
                                
                                .. attribute:: pl_name  <key>
                                
                                	Name of an IP prefix\-list
                                	**type**\:  str
                                
                                .. attribute:: gateway
                                
                                	Filtering incoming address updates based on gateway
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: in_
                                
                                	Filter incoming service updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Filter outgoing service updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.pl_name = None
                                    self.gateway = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.pl_name is None:
                                        raise YPYModelError('Key property pl_name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:pl-name[Cisco-IOS-XE-eigrp:pl-name = ' + str(self.pl_name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.pl_name is not None:
                                        return True

                                    if self.gateway is not None:
                                        return True

                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix.PlName']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.pl_name is not None:
                                    for child_ref in self.pl_name:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix']['meta_info']


                        class RouteMap(object):
                            """
                            Filter prefixes based on the route\-map
                            
                            .. attribute:: rmap_name
                            
                            	
                            	**type**\: list of    :py:class:`RmapName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap.RmapName>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rmap_name = YList()
                                self.rmap_name.parent = self
                                self.rmap_name.name = 'rmap_name'


                            class RmapName(object):
                                """
                                
                                
                                .. attribute:: rmap_name  <key>
                                
                                	route\-map name
                                	**type**\:  str
                                
                                .. attribute:: in_
                                
                                	Filter incoming service updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Filter outgoing service updates
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.rmap_name = None
                                    self.in_ = None
                                    self.out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.rmap_name is None:
                                        raise YPYModelError('Key property rmap_name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:rmap-name[Cisco-IOS-XE-eigrp:rmap-name = ' + str(self.rmap_name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.rmap_name is not None:
                                        return True

                                    if self.in_ is not None:
                                        return True

                                    if self.out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap.RmapName']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rmap_name is not None:
                                    for child_ref in self.rmap_name:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:distribute-list'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eig_filt is not None:
                                for child_ref in self.eig_filt:
                                    if child_ref._has_data():
                                        return True

                            if self.gateway is not None and self.gateway._has_data():
                                return True

                            if self.prefix is not None and self.prefix._has_data():
                                return True

                            if self.route_map is not None and self.route_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList']['meta_info']


                    class Eigrp_(object):
                        """
                        EIGRP Address Family specific commands
                        
                        .. attribute:: router_id
                        
                        	router id for this EIGRP process
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: stub
                        
                        	Set address\-family in stubbed mode
                        	**type**\:   :py:class:`Stub <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp_.Stub>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.router_id = None
                            self.stub = None


                        class Stub(object):
                            """
                            Set address\-family in stubbed mode
                            
                            .. attribute:: connected
                            
                            	Do advertise connected routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: leak_map
                            
                            	Allow dynamic prefixes based on the leak\-map
                            	**type**\:  str
                            
                            .. attribute:: receive_only
                            
                            	Set receive only neighbor
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redistributed
                            
                            	Do advertise redistributed routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: static
                            
                            	Do advertise static routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: summary
                            
                            	Do advertise summary routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.connected = None
                                self.leak_map = None
                                self.receive_only = None
                                self.redistributed = None
                                self.static = None
                                self.summary = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:stub'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.connected is not None:
                                    return True

                                if self.leak_map is not None:
                                    return True

                                if self.receive_only is not None:
                                    return True

                                if self.redistributed is not None:
                                    return True

                                if self.static is not None:
                                    return True

                                if self.summary is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp_.Stub']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:eigrp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.router_id is not None:
                                return True

                            if self.stub is not None and self.stub._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp_']['meta_info']


                    class Metric(object):
                        """
                        Modify metrics and parameters for advertisement
                        
                        .. attribute:: maximum_hops
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weights
                        
                        	Type (Only TOS 0 supported)
                        	**type**\:  int
                        
                        	**range:** 0..8
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.maximum_hops = None
                            self.weights = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:metric'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.maximum_hops is not None:
                                return True

                            if self.weights is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Metric']['meta_info']


                    class Neighbor(object):
                        """
                        Specify a neighbor router
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = YList()
                            self.ipv4.parent = self
                            self.ipv4.name = 'ipv4'


                        class Ipv4(object):
                            """
                            
                            
                            .. attribute:: ipv4  <key>
                            
                            	Neighbor address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: interface
                            
                            	Specify interface for global address
                            	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = None
                                self.interface = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface()
                                self.interface.parent = self


                            class Interface(object):
                                """
                                Specify interface for global address
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.AtmAcrsubinterface>`
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.AtmSubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\:  str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\:  str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\:  str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\:  str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\:  str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  int
                                
                                	**range:** 0..65520
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.LispSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\:  str
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\:  str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\:  str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.appnav_compress = None
                                    self.appnav_uncompress = None
                                    self.atm = None
                                    self.atm_acr = None
                                    self.atm_acrsubinterface = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.AtmAcrsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self.atm_subinterface = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.AtmSubinterface()
                                    self.atm_subinterface.parent = self
                                    self.bdi = None
                                    self.cellular = None
                                    self.cem = None
                                    self.cem_acr = None
                                    self.embedded_service_engine = None
                                    self.fastethernet = None
                                    self.gigabitethernet = None
                                    self.lisp = None
                                    self.lisp_subinterface = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.LispSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self.loopback = None
                                    self.multilink = None
                                    self.nve = None
                                    self.overlay = None
                                    self.port_channel = None
                                    self.port_channel_subinterface = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self.pseudowire = None
                                    self.serial = None
                                    self.sm = None
                                    self.tengigabitethernet = None
                                    self.tunnel = None
                                    self.vasileft = None
                                    self.vasiright = None
                                    self.virtual_template = None
                                    self.virtualportgroup = None
                                    self.vlan = None


                                class AtmSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ATM-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.AtmSubinterface']['meta_info']


                                class AtmAcrsubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.atm_acr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ATM-ACRsubinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.atm_acr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.AtmAcrsubinterface']['meta_info']


                                class LispSubinterface(object):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:LISP-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.LispSubinterface']['meta_info']


                                class PortChannelSubinterface(object):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.port_channel = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:Port-channel-subinterface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.port_channel is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.PortChannelSubinterface']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:interface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.appnav_compress is not None:
                                        return True

                                    if self.appnav_uncompress is not None:
                                        return True

                                    if self.atm is not None:
                                        return True

                                    if self.atm_acr is not None:
                                        return True

                                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                        return True

                                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                        return True

                                    if self.bdi is not None:
                                        return True

                                    if self.cellular is not None:
                                        return True

                                    if self.cem is not None:
                                        return True

                                    if self.cem_acr is not None:
                                        return True

                                    if self.embedded_service_engine is not None:
                                        return True

                                    if self.fastethernet is not None:
                                        return True

                                    if self.gigabitethernet is not None:
                                        return True

                                    if self.lisp is not None:
                                        return True

                                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                        return True

                                    if self.loopback is not None:
                                        return True

                                    if self.multilink is not None:
                                        return True

                                    if self.nve is not None:
                                        return True

                                    if self.overlay is not None:
                                        return True

                                    if self.port_channel is not None:
                                        return True

                                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                        return True

                                    if self.pseudowire is not None:
                                        return True

                                    if self.serial is not None:
                                        return True

                                    if self.sm is not None:
                                        return True

                                    if self.tengigabitethernet is not None:
                                        return True

                                    if self.tunnel is not None:
                                        return True

                                    if self.vasileft is not None:
                                        return True

                                    if self.vasiright is not None:
                                        return True

                                    if self.virtual_template is not None:
                                        return True

                                    if self.virtualportgroup is not None:
                                        return True

                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ipv4 is None:
                                    raise YPYModelError('Key property ipv4 is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ipv4[Cisco-IOS-XE-eigrp:ipv4 = ' + str(self.ipv4) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None:
                                    return True

                                if self.interface is not None and self.interface._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:neighbor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None:
                                for child_ref in self.ipv4:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor']['meta_info']


                    class Network(object):
                        """
                        Enable routing on an IP network
                        
                        .. attribute:: number  <key>
                        
                        	Network number
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: wild_card
                        
                        	EIGRP wild card bits
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.wild_card = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:network[Cisco-IOS-XE-eigrp:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.wild_card is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Network']['meta_info']


                    class OffsetList(object):
                        """
                        Add or subtract offset from EIGRP metrics
                        
                        .. attribute:: nsr_list
                        
                        	
                        	**type**\: list of    :py:class:`NsrList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList.NsrList>`
                        
                        .. attribute:: ol_acl
                        
                        	
                        	**type**\: list of    :py:class:`OlAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList.OlAcl>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.nsr_list = YList()
                            self.nsr_list.parent = self
                            self.nsr_list.name = 'nsr_list'
                            self.ol_acl = YList()
                            self.ol_acl.parent = self
                            self.ol_acl.name = 'ol_acl'


                        class NsrList(object):
                            """
                            
                            
                            .. attribute:: nsr_list  <key>
                            
                            	Access list of networks to apply offset (extended range)
                            	**type**\:  int
                            
                            	**range:** 1300..1999
                            
                            .. attribute:: in_
                            
                            	Perform offset on incoming updates
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Perform offset on outgoing updates
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.nsr_list = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.nsr_list is None:
                                    raise YPYModelError('Key property nsr_list is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:nsr-list[Cisco-IOS-XE-eigrp:nsr-list = ' + str(self.nsr_list) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.nsr_list is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList.NsrList']['meta_info']


                        class OlAcl(object):
                            """
                            
                            
                            .. attribute:: ol_acl  <key>
                            
                            	Access\-list name
                            	**type**\:  str
                            
                            .. attribute:: in_
                            
                            	Perform offset on incoming updates
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Perform offset on outgoing updates
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ol_acl = None
                                self.in_ = None
                                self.out = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ol_acl is None:
                                    raise YPYModelError('Key property ol_acl is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ol-acl[Cisco-IOS-XE-eigrp:ol-acl = ' + str(self.ol_acl) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ol_acl is not None:
                                    return True

                                if self.in_ is not None:
                                    return True

                                if self.out is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList.OlAcl']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:offset-list'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.nsr_list is not None:
                                for child_ref in self.nsr_list:
                                    if child_ref._has_data():
                                        return True

                            if self.ol_acl is not None:
                                for child_ref in self.ol_acl:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList']['meta_info']


                    class Redistribute(object):
                        """
                        Redistribute IPv4 routes from another routing protocol
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Autonomous system number
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Isis>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: lisp
                        
                        	Locator ID Separation Protocol (LISP)
                        	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Lisp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: mobile
                        
                        	Mobile routes
                        	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Mobile>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: odr
                        
                        	On Demand stub Routes
                        	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Odr>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ospf
                        
                        	Process ID
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Rip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Static>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: vrf
                        
                        	Specify a source virtual routing/forwarding instance
                        	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bgp = YList()
                            self.bgp.parent = self
                            self.bgp.name = 'bgp'
                            self.connected = None
                            self.eigrp = None
                            self.isis = None
                            self.lisp = None
                            self.mobile = None
                            self.odr = None
                            self.ospf = None
                            self.rip = None
                            self.static = None
                            self.vrf = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Vrf()
                            self.vrf.parent = self


                        class Bgp(object):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: rdr_as  <key>
                            
                            	Autonomous system number
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp.Metric>`
                            
                            .. attribute:: rd_lesser_1_period_0_xx_period_yy_greater_
                            
                            	Autonomous system number
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rdr_as = None
                                self.metric = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp.Metric()
                                self.metric.parent = self
                                self.rd_lesser_1_period_0_xx_period_yy_greater_ = None
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: bandwith
                                
                                	Bandwidth metric in Kbits per second
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: delay
                                
                                	EIGRP delay metric, in 10 microsecond units
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: effective
                                
                                	EIGRP Effective bandwidth metric (Loading) where 255 is 100% loaded
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: mtu
                                
                                	EIGRP MTU of the path
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: reliability
                                
                                	EIGRP reliability metric where 255 is 100% reliable
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwith = None
                                    self.delay = None
                                    self.effective = None
                                    self.mtu = None
                                    self.reliability = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bandwith is not None:
                                        return True

                                    if self.delay is not None:
                                        return True

                                    if self.effective is not None:
                                        return True

                                    if self.mtu is not None:
                                        return True

                                    if self.reliability is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp.Metric']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.rdr_as is None:
                                    raise YPYModelError('Key property rdr_as is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:bgp[Cisco-IOS-XE-eigrp:rdr-as = ' + str(self.rdr_as) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rdr_as is not None:
                                    return True

                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.rd_lesser_1_period_0_xx_period_yy_greater_ is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp']['meta_info']


                        class Connected(object):
                            """
                            Connected
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.metric = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:connected'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.metric is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Connected']['meta_info']


                        class Isis(object):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: is_tag
                            
                            	ISO routing area tag
                            	**type**\:  str
                            
                            .. attribute:: level_1
                            
                            	IS\-IS level\-1 routes only
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: level_1_2
                            
                            	IS\-IS level\-1 and level\-2 routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: level_2
                            
                            	IS\-IS level\-2 routes only
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.is_tag = None
                                self.level_1 = None
                                self.level_1_2 = None
                                self.level_2 = None
                                self.metric = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:isis'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.is_tag is not None:
                                    return True

                                if self.level_1 is not None:
                                    return True

                                if self.level_1_2 is not None:
                                    return True

                                if self.level_2 is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Isis']['meta_info']


                        class Lisp(object):
                            """
                            Locator ID Separation Protocol (LISP)
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.metric = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:lisp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.metric is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Lisp']['meta_info']


                        class Mobile(object):
                            """
                            Mobile routes
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.metric = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:mobile'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.metric is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Mobile']['meta_info']


                        class Odr(object):
                            """
                            On Demand stub Routes
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.metric = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:odr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.metric is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Odr']['meta_info']


                        class Rip(object):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.metric = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:rip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.metric is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Rip']['meta_info']


                        class Static(object):
                            """
                            Static routes
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.metric = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.metric is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Static']['meta_info']


                        class Vrf(object):
                            """
                            Specify a source virtual routing/forwarding instance
                            
                            .. attribute:: global_
                            
                            	global VRF
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: name
                            
                            	Virtual Routing/Forwarding instance name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.global_ = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:vrf'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.global_ is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Vrf']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:redistribute'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bgp is not None:
                                for child_ref in self.bgp:
                                    if child_ref._has_data():
                                        return True

                            if self.connected is not None and self.connected._has_data():
                                return True

                            if self.eigrp is not None:
                                return True

                            if self.isis is not None and self.isis._has_data():
                                return True

                            if self.lisp is not None and self.lisp._has_data():
                                return True

                            if self.mobile is not None and self.mobile._has_data():
                                return True

                            if self.odr is not None and self.odr._has_data():
                                return True

                            if self.ospf is not None:
                                return True

                            if self.rip is not None and self.rip._has_data():
                                return True

                            if self.static is not None and self.static._has_data():
                                return True

                            if self.vrf is not None and self.vrf._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute']['meta_info']


                    class SummaryMetric(object):
                        """
                        Specify summary to apply metric/filtering
                        
                        .. attribute:: a_period_b_period_c_period_d_slash_nn
                        
                        	Summary <network>/<length>, e.g., 192.168.0.0/16
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric.Ipv4>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.a_period_b_period_c_period_d_slash_nn = None
                            self.ipv4 = YList()
                            self.ipv4.parent = self
                            self.ipv4.name = 'ipv4'


                        class Ipv4(object):
                            """
                            
                            
                            .. attribute:: ipv4  <key>
                            
                            	Summary to configure static metric
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	Network mask
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = None
                                self.mask = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ipv4 is None:
                                    raise YPYModelError('Key property ipv4 is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ipv4[Cisco-IOS-XE-eigrp:ipv4 = ' + str(self.ipv4) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric.Ipv4']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:summary-metric'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.a_period_b_period_c_period_d_slash_nn is not None:
                                return True

                            if self.ipv4 is not None:
                                for child_ref in self.ipv4:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric']['meta_info']


                    class Timers(object):
                        """
                        Adjust routing timers
                        
                        .. attribute:: active_time
                        
                        	time limit for active state
                        	**type**\:   :py:class:`ActiveTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.ActiveTime>`
                        
                        .. attribute:: graceful_restart
                        
                        	EIGRP Graceful Restart timer
                        	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.GracefulRestart>`
                        
                        .. attribute:: nsf
                        
                        	EIGRP NSF timer
                        	**type**\:   :py:class:`Nsf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.Nsf>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.active_time = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.ActiveTime()
                            self.active_time.parent = self
                            self.graceful_restart = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.GracefulRestart()
                            self.graceful_restart.parent = self
                            self.nsf = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.Nsf()
                            self.nsf.parent = self


                        class ActiveTime(object):
                            """
                            time limit for active state
                            
                            .. attribute:: atimer
                            
                            	active state time limit in minutes
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disabled
                            
                            	disable time limit for active state
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atimer = None
                                self.disabled = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:active-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atimer is not None:
                                    return True

                                if self.disabled is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.ActiveTime']['meta_info']


                        class GracefulRestart(object):
                            """
                            EIGRP Graceful Restart timer
                            
                            .. attribute:: purge_time
                            
                            	EIGRP stale route purge time
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.purge_time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:graceful-restart'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.purge_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.GracefulRestart']['meta_info']


                        class Nsf(object):
                            """
                            EIGRP NSF timer
                            
                            .. attribute:: converge
                            
                            	EIGRP time limit for convergence after switchover
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: signal
                            
                            	EIGRP time limit for signaling NSF restart
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.converge = None
                                self.signal = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:nsf'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.converge is not None:
                                    return True

                                if self.signal is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.Nsf']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:timers'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.active_time is not None and self.active_time._has_data():
                                return True

                            if self.graceful_restart is not None and self.graceful_restart._has_data():
                                return True

                            if self.nsf is not None and self.nsf._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers']['meta_info']


                    class TrafficShare(object):
                        """
                        How to compute traffic share over alternate paths
                        
                        .. attribute:: balanced
                        
                        	Share inversely proportional to metric
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: min
                        
                        	All traffic shared among min metric paths
                        	**type**\:   :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare.Min>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.balanced = None
                            self.min = Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare.Min()
                            self.min.parent = self


                        class Min(object):
                            """
                            All traffic shared among min metric paths
                            
                            .. attribute:: across_interfaces
                            
                            	Use different interfaces for equal\-cost paths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.across_interfaces = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:min'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.across_interfaces is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare.Min']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:traffic-share'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.balanced is not None:
                                return True

                            if self.min is not None and self.min._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare']['meta_info']


                    class Topology(object):
                        """
                        Topology configuration mode
                        
                        .. attribute:: base
                        
                        	Base Topology
                        	**type**\:   :py:class:`Base <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.base = None


                        class Base(object):
                            """
                            Base Topology
                            
                            .. attribute:: distance
                            
                            	Define an administrative distance
                            	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter entries in eigrp updates
                            	**type**\:   :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList>`
                            
                            .. attribute:: redistribute
                            
                            	Redistribute IPv6 prefixes from another routing protocol
                            	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.distance = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance()
                                self.distance.parent = self
                                self.distribute_list = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList()
                                self.distribute_list.parent = self
                                self.redistribute = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute()
                                self.redistribute.parent = self


                            class Distance(object):
                                """
                                Define an administrative distance
                                
                                .. attribute:: eigrp
                                
                                	EIGRP\-IPV6 distance
                                	**type**\:   :py:class:`Eigrp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp_>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eigrp = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp_()
                                    self.eigrp.parent = self


                                class Eigrp_(object):
                                    """
                                    EIGRP\-IPV6 distance
                                    
                                    .. attribute:: distance_list
                                    
                                    	
                                    	**type**\: list of    :py:class:`DistanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp_.DistanceList>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.distance_list = YList()
                                        self.distance_list.parent = self
                                        self.distance_list.name = 'distance_list'


                                    class DistanceList(object):
                                        """
                                        
                                        
                                        .. attribute:: internal_route  <key>
                                        
                                        	Distance for internal routes
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: external_route
                                        
                                        	Distance for external routes
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-eigrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.internal_route = None
                                            self.external_route = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.internal_route is None:
                                                raise YPYModelError('Key property internal_route is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:distance-list[Cisco-IOS-XE-eigrp:internal-route = ' + str(self.internal_route) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.internal_route is not None:
                                                return True

                                            if self.external_route is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp_.DistanceList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:eigrp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.distance_list is not None:
                                            for child_ref in self.distance_list:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp_']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:distance'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eigrp is not None and self.eigrp._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance']['meta_info']


                            class DistributeList(object):
                                """
                                Filter entries in eigrp updates
                                
                                .. attribute:: prefix_list
                                
                                	Filter prefixes in address updates
                                	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList.PrefixList>`
                                
                                .. attribute:: route_map
                                
                                	Filter prefixes based on the route\-map
                                	**type**\: list of    :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList.RouteMap>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.prefix_list = YList()
                                    self.prefix_list.parent = self
                                    self.prefix_list.name = 'prefix_list'
                                    self.route_map = YList()
                                    self.route_map.parent = self
                                    self.route_map.name = 'route_map'


                                class PrefixList(object):
                                    """
                                    Filter prefixes in address updates
                                    
                                    .. attribute:: prefix_list  <key>
                                    
                                    	Name of an IP prefix\-list
                                    	**type**\:  str
                                    
                                    .. attribute:: gateway
                                    
                                    	Filtering incoming address updates based on gateway
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming service updates
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing service updates
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.prefix_list = None
                                        self.gateway = None
                                        self.in_ = None
                                        self.out = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.prefix_list is None:
                                            raise YPYModelError('Key property prefix_list is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:prefix-list[Cisco-IOS-XE-eigrp:prefix-list = ' + str(self.prefix_list) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.prefix_list is not None:
                                            return True

                                        if self.gateway is not None:
                                            return True

                                        if self.in_ is not None:
                                            return True

                                        if self.out is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList.PrefixList']['meta_info']


                                class RouteMap(object):
                                    """
                                    Filter prefixes based on the route\-map
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming service updates
                                    	**type**\:  str
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing service updates
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.in_ = None
                                        self.out = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:route-map[Cisco-IOS-XE-eigrp:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.in_ is not None:
                                            return True

                                        if self.out is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList.RouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:distribute-list'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.prefix_list is not None:
                                        for child_ref in self.prefix_list:
                                            if child_ref._has_data():
                                                return True

                                    if self.route_map is not None:
                                        for child_ref in self.route_map:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList']['meta_info']


                            class Redistribute(object):
                                """
                                Redistribute IPv6 prefixes from another routing protocol
                                
                                .. attribute:: connected
                                
                                	Connected Routes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\:   :py:class:`Eigrp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp_>`
                                
                                .. attribute:: static
                                
                                	Static Routes
                                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Static>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.connected = None
                                    self.eigrp = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp_()
                                    self.eigrp.parent = self
                                    self.static = None


                                class Eigrp_(object):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: as_list
                                    
                                    	
                                    	**type**\: list of    :py:class:`AsList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp_.AsList>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_list = YList()
                                        self.as_list.parent = self
                                        self.as_list.name = 'as_list'


                                    class AsList(object):
                                        """
                                        
                                        
                                        .. attribute:: autonomous_system  <key>
                                        
                                        	Autonomous system number
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-eigrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.autonomous_system = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.autonomous_system is None:
                                                raise YPYModelError('Key property autonomous_system is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:as-list[Cisco-IOS-XE-eigrp:autonomous-system = ' + str(self.autonomous_system) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.autonomous_system is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp_.AsList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:eigrp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.as_list is not None:
                                            for child_ref in self.as_list:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp_']['meta_info']


                                class Static(object):
                                    """
                                    Static Routes
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:static'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Static']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:redistribute'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.connected is not None:
                                        return True

                                    if self.eigrp is not None and self.eigrp._has_data():
                                        return True

                                    if self.static is not None and self.static._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:base'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.distance is not None and self.distance._has_data():
                                    return True

                                if self.distribute_list is not None and self.distribute_list._has_data():
                                    return True

                                if self.redistribute is not None and self.redistribute._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:topology'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.base is not None and self.base._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.vrf is None:
                            raise YPYModelError('Key property vrf is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:af-ip-vrf-list[Cisco-IOS-XE-eigrp:vrf = ' + str(self.vrf) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vrf is not None:
                            return True

                        if self.af_interface is not None:
                            for child_ref in self.af_interface:
                                if child_ref._has_data():
                                    return True

                        if self.auto_summary is not None:
                            return True

                        if self.autonomous_system is not None:
                            return True

                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        if self.default_information is not None and self.default_information._has_data():
                            return True

                        if self.default_metric is not None and self.default_metric._has_data():
                            return True

                        if self.distance is not None and self.distance._has_data():
                            return True

                        if self.distribute_list is not None and self.distribute_list._has_data():
                            return True

                        if self.eigrp is not None and self.eigrp._has_data():
                            return True

                        if self.maximum_paths is not None:
                            return True

                        if self.metric is not None and self.metric._has_data():
                            return True

                        if self.neighbor is not None and self.neighbor._has_data():
                            return True

                        if self.network is not None:
                            for child_ref in self.network:
                                if child_ref._has_data():
                                    return True

                        if self.nsf is not None:
                            return True

                        if self.offset_list is not None and self.offset_list._has_data():
                            return True

                        if self.redistribute is not None and self.redistribute._has_data():
                            return True

                        if self.shutdown is not None:
                            return True

                        if self.summary_metric is not None and self.summary_metric._has_data():
                            return True

                        if self.timers is not None and self.timers._has_data():
                            return True

                        if self.topology is not None and self.topology._has_data():
                            return True

                        if self.traffic_share is not None and self.traffic_share._has_data():
                            return True

                        if self.unicast_multicast is not None:
                            return True

                        if self.variance is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.AddressFamily.AfIpVrfList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.type is None:
                        raise YPYModelError('Key property type is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:address-family[Cisco-IOS-XE-eigrp:type = ' + str(self.type) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.type is not None:
                        return True

                    if self.af_ip_list is not None:
                        for child_ref in self.af_ip_list:
                            if child_ref._has_data():
                                return True

                    if self.af_ip_vrf_list is not None:
                        for child_ref in self.af_ip_vrf_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Eigrp.AddressFamily']['meta_info']


            class AfInterface(object):
                """
                Enter Address Family interface configuration
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AfInterface.Authentication>`
                
                .. attribute:: bandwidth_percent
                
                	Set percentage of bandwidth percentage limit
                	**type**\:  int
                
                	**range:** 1..999999
                
                .. attribute:: hello_interval
                
                	Configures hello interval
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: hold_time
                
                	Configures hold time
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: passive_interface
                
                	Suppress address updates on an interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: split_horizon
                
                	Perform split horizon
                	**type**\:  bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:   :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AfInterface.SummaryAddress>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.authentication = Native.Router.Eigrp.AfInterface.Authentication()
                    self.authentication.parent = self
                    self.bandwidth_percent = None
                    self.hello_interval = None
                    self.hold_time = None
                    self.passive_interface = None
                    self.split_horizon = None
                    self.summary_address = Native.Router.Eigrp.AfInterface.SummaryAddress()
                    self.summary_address.parent = self


                class Authentication(object):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  str
                    
                    .. attribute:: mode
                    
                    	authentication mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AfInterface.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = None
                        self.mode = Native.Router.Eigrp.AfInterface.Authentication.Mode()
                        self.mode.parent = self


                    class Mode(object):
                        """
                        authentication mode
                        
                        .. attribute:: hmac_sha_256
                        
                        	HMAC\-SHA\-256 Authentication
                        	**type**\:   :py:class:`HmacSha256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AfInterface.Authentication.Mode.HmacSha256>`
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hmac_sha_256 = Native.Router.Eigrp.AfInterface.Authentication.Mode.HmacSha256()
                            self.hmac_sha_256.parent = self
                            self.md5 = None


                        class HmacSha256(object):
                            """
                            HMAC\-SHA\-256 Authentication
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.auth_key = None
                                self.auth_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:hmac-sha-256'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.auth_key is not None:
                                    return True

                                if self.auth_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.AfInterface.Authentication.Mode.HmacSha256']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hmac_sha_256 is not None and self.hmac_sha_256._has_data():
                                return True

                            if self.md5 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.AfInterface.Authentication.Mode']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None:
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.AfInterface.Authentication']['meta_info']


                class SummaryAddress(object):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: mask
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.mask = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:summary-address'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.mask is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.AfInterface.SummaryAddress']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:af-interface[Cisco-IOS-XE-eigrp:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.bandwidth_percent is not None:
                        return True

                    if self.hello_interval is not None:
                        return True

                    if self.hold_time is not None:
                        return True

                    if self.passive_interface is not None:
                        return True

                    if self.split_horizon is not None:
                        return True

                    if self.summary_address is not None and self.summary_address._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Eigrp.AfInterface']['meta_info']


            class Bfd(object):
                """
                BFD configuration commands
                
                .. attribute:: all_interfaces
                
                	Enable BFD on all interfaces
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: interface
                
                	Enable BFD on specific interface
                	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Bfd.Interface>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.all_interfaces = None
                    self.interface = Native.Router.Eigrp.Bfd.Interface()
                    self.interface.parent = self


                class Interface(object):
                    """
                    Enable BFD on specific interface
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Bfd.Interface.AtmAcrsubinterface>`
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Bfd.Interface.AtmSubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\:  str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\:  str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\:  str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\:  str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  int
                    
                    	**range:** 0..65520
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Bfd.Interface.LispSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Bfd.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\:  str
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\:  str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.appnav_compress = None
                        self.appnav_uncompress = None
                        self.atm = None
                        self.atm_acr = None
                        self.atm_acrsubinterface = Native.Router.Eigrp.Bfd.Interface.AtmAcrsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self.atm_subinterface = Native.Router.Eigrp.Bfd.Interface.AtmSubinterface()
                        self.atm_subinterface.parent = self
                        self.bdi = None
                        self.cellular = None
                        self.cem = None
                        self.cem_acr = None
                        self.embedded_service_engine = None
                        self.fastethernet = None
                        self.gigabitethernet = None
                        self.lisp = None
                        self.lisp_subinterface = Native.Router.Eigrp.Bfd.Interface.LispSubinterface()
                        self.lisp_subinterface.parent = self
                        self.loopback = None
                        self.multilink = None
                        self.nve = None
                        self.overlay = None
                        self.port_channel = None
                        self.port_channel_subinterface = Native.Router.Eigrp.Bfd.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self.pseudowire = None
                        self.serial = None
                        self.sm = None
                        self.tengigabitethernet = None
                        self.tunnel = None
                        self.vasileft = None
                        self.vasiright = None
                        self.virtual_template = None
                        self.virtualportgroup = None
                        self.vlan = None


                    class AtmSubinterface(object):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ATM-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.Bfd.Interface.AtmSubinterface']['meta_info']


                    class AtmAcrsubinterface(object):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.atm_acr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ATM-ACRsubinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.atm_acr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.Bfd.Interface.AtmAcrsubinterface']['meta_info']


                    class LispSubinterface(object):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lisp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:LISP-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lisp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.Bfd.Interface.LispSubinterface']['meta_info']


                    class PortChannelSubinterface(object):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.port_channel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:Port-channel-subinterface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.port_channel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.Bfd.Interface.PortChannelSubinterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.appnav_compress is not None:
                            return True

                        if self.appnav_uncompress is not None:
                            return True

                        if self.atm is not None:
                            return True

                        if self.atm_acr is not None:
                            return True

                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                            return True

                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                            return True

                        if self.bdi is not None:
                            return True

                        if self.cellular is not None:
                            return True

                        if self.cem is not None:
                            return True

                        if self.cem_acr is not None:
                            return True

                        if self.embedded_service_engine is not None:
                            return True

                        if self.fastethernet is not None:
                            return True

                        if self.gigabitethernet is not None:
                            return True

                        if self.lisp is not None:
                            return True

                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                            return True

                        if self.loopback is not None:
                            return True

                        if self.multilink is not None:
                            return True

                        if self.nve is not None:
                            return True

                        if self.overlay is not None:
                            return True

                        if self.port_channel is not None:
                            return True

                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                            return True

                        if self.pseudowire is not None:
                            return True

                        if self.serial is not None:
                            return True

                        if self.sm is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.tunnel is not None:
                            return True

                        if self.vasileft is not None:
                            return True

                        if self.vasiright is not None:
                            return True

                        if self.virtual_template is not None:
                            return True

                        if self.virtualportgroup is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.Bfd.Interface']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.all_interfaces is not None:
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Eigrp.Bfd']['meta_info']


            class DefaultInformation(object):
                """
                Control distribution of default information
                
                .. attribute:: in_
                
                	Accept input default routing information
                	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DefaultInformation.In_>`
                
                	**presence node**\: True
                
                .. attribute:: out
                
                	Accept output default routing information
                	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DefaultInformation.Out>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_ = None
                    self.out = None


                class In_(object):
                    """
                    Accept input default routing information
                    
                    .. attribute:: sa_name
                    
                    	Standard Access\-list name
                    	**type**\:  str
                    
                    .. attribute:: sa_num
                    
                    	A standard expanded IP access list number
                    	**type**\:  int
                    
                    	**range:** 1300..1999
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.sa_name = None
                        self.sa_num = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:in'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.sa_name is not None:
                            return True

                        if self.sa_num is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.DefaultInformation.In_']['meta_info']


                class Out(object):
                    """
                    Accept output default routing information
                    
                    .. attribute:: sa_out_name
                    
                    	Standard Access\-list name
                    	**type**\:  str
                    
                    .. attribute:: sa_out_num
                    
                    	A standard expanded IP access list number
                    	**type**\:  int
                    
                    	**range:** 1300..1999
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.sa_out_name = None
                        self.sa_out_num = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.sa_out_name is not None:
                            return True

                        if self.sa_out_num is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.DefaultInformation.Out']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:default-information'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_ is not None and self.in_._has_data():
                        return True

                    if self.out is not None and self.out._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Eigrp.DefaultInformation']['meta_info']


            class DefaultMetric(object):
                """
                Set metric of redistributed routes
                
                .. attribute:: dm_rdr
                
                	
                	**type**\: list of    :py:class:`DmRdr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DefaultMetric.DmRdr>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dm_rdr = YList()
                    self.dm_rdr.parent = self
                    self.dm_rdr.name = 'dm_rdr'


                class DmRdr(object):
                    """
                    
                    
                    .. attribute:: dm_rdr  <key>
                    
                    	Bandwidth in Kbits per second
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: dm_rdr0
                    
                    	
                    	**type**\: list of    :py:class:`DmRdr0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DefaultMetric.DmRdr.DmRdr0>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dm_rdr = None
                        self.dm_rdr0 = YList()
                        self.dm_rdr0.parent = self
                        self.dm_rdr0.name = 'dm_rdr0'


                    class DmRdr0(object):
                        """
                        
                        
                        .. attribute:: dm_rdr0  <key>
                        
                        	delay metric in 10 microsecond units
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: dm_rdr_pct
                        
                        	Reliability metric where 255 is 100% reliable
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dm_rdr0 = None
                            self.dm_rdr_pct = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.dm_rdr0 is None:
                                raise YPYModelError('Key property dm_rdr0 is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:dm-rdr0[Cisco-IOS-XE-eigrp:dm-rdr0 = ' + str(self.dm_rdr0) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dm_rdr0 is not None:
                                return True

                            if self.dm_rdr_pct is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.DefaultMetric.DmRdr.DmRdr0']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.dm_rdr is None:
                            raise YPYModelError('Key property dm_rdr is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:dm-rdr[Cisco-IOS-XE-eigrp:dm-rdr = ' + str(self.dm_rdr) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dm_rdr is not None:
                            return True

                        if self.dm_rdr0 is not None:
                            for child_ref in self.dm_rdr0:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.DefaultMetric.DmRdr']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:default-metric'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dm_rdr is not None:
                        for child_ref in self.dm_rdr:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Eigrp.DefaultMetric']['meta_info']


            class Distance(object):
                """
                Define an administrative distance
                
                .. attribute:: eigrp
                
                	Set distance for internal and external routes
                	**type**\:   :py:class:`Eigrp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Distance.Eigrp_>`
                
                .. attribute:: rad_dis
                
                	
                	**type**\: list of    :py:class:`RadDis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Distance.RadDis>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.eigrp = Native.Router.Eigrp.Distance.Eigrp_()
                    self.eigrp.parent = self
                    self.rad_dis = YList()
                    self.rad_dis.parent = self
                    self.rad_dis.name = 'rad_dis'


                class RadDis(object):
                    """
                    
                    
                    .. attribute:: rad_dis  <key>
                    
                    	Set route administrative distance
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Distance.RadDis.Ipv4>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.rad_dis = None
                        self.ipv4 = YList()
                        self.ipv4.parent = self
                        self.ipv4.name = 'ipv4'


                    class Ipv4(object):
                        """
                        
                        
                        .. attribute:: ipv4  <key>
                        
                        	IP Source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ipv40
                        
                        	Wildcard bits
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None
                            self.ipv40 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ipv4 is None:
                                raise YPYModelError('Key property ipv4 is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ipv4[Cisco-IOS-XE-eigrp:ipv4 = ' + str(self.ipv4) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None:
                                return True

                            if self.ipv40 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.Distance.RadDis.Ipv4']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.rad_dis is None:
                            raise YPYModelError('Key property rad_dis is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:rad-dis[Cisco-IOS-XE-eigrp:rad-dis = ' + str(self.rad_dis) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.rad_dis is not None:
                            return True

                        if self.ipv4 is not None:
                            for child_ref in self.ipv4:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.Distance.RadDis']['meta_info']


                class Eigrp_(object):
                    """
                    Set distance for internal and external routes
                    
                    .. attribute:: di_rt
                    
                    	
                    	**type**\: list of    :py:class:`DiRt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Distance.Eigrp_.DiRt>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.di_rt = YList()
                        self.di_rt.parent = self
                        self.di_rt.name = 'di_rt'


                    class DiRt(object):
                        """
                        
                        
                        .. attribute:: di_rt  <key>
                        
                        	Distance for internal routes
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: di_rt0
                        
                        	Distance for external routes
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.di_rt = None
                            self.di_rt0 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.di_rt is None:
                                raise YPYModelError('Key property di_rt is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:di-rt[Cisco-IOS-XE-eigrp:di-rt = ' + str(self.di_rt) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.di_rt is not None:
                                return True

                            if self.di_rt0 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.Distance.Eigrp_.DiRt']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:eigrp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.di_rt is not None:
                            for child_ref in self.di_rt:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.Distance.Eigrp_']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:distance'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.eigrp is not None and self.eigrp._has_data():
                        return True

                    if self.rad_dis is not None:
                        for child_ref in self.rad_dis:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Eigrp.Distance']['meta_info']


            class DistributeList(object):
                """
                Filter entries in eigrp updates
                
                .. attribute:: eig_filt
                
                	
                	**type**\: list of    :py:class:`EigFilt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DistributeList.EigFilt>`
                
                .. attribute:: gateway
                
                	Filtering incoming address updates based on gateway
                	**type**\:   :py:class:`Gateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DistributeList.Gateway>`
                
                .. attribute:: prefix
                
                	Filter prefixes in address updates
                	**type**\:   :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DistributeList.Prefix>`
                
                .. attribute:: route_map
                
                	Filter prefixes based on the route\-map
                	**type**\:   :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DistributeList.RouteMap>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.eig_filt = YList()
                    self.eig_filt.parent = self
                    self.eig_filt.name = 'eig_filt'
                    self.gateway = Native.Router.Eigrp.DistributeList.Gateway()
                    self.gateway.parent = self
                    self.prefix = Native.Router.Eigrp.DistributeList.Prefix()
                    self.prefix.parent = self
                    self.route_map = Native.Router.Eigrp.DistributeList.RouteMap()
                    self.route_map.parent = self


                class EigFilt(object):
                    """
                    
                    
                    .. attribute:: eig_filt  <key>
                    
                    	IP expanded access list number
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..199 \| 1300..2699
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    .. attribute:: in_
                    
                    	Filter incoming service updates
                    	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DistributeList.EigFilt.In_>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: out
                    
                    	Filter outgoing service updates
                    	**type**\:   :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DistributeList.EigFilt.Out>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eig_filt = None
                        self.in_ = None
                        self.out = None


                    class In_(object):
                        """
                        Filter incoming service updates
                        
                        .. attribute:: interface_name
                        
                        	Interface name
                        	**type**\:  list of str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.interface_name = YLeafList()
                            self.interface_name.parent = self
                            self.interface_name.name = 'interface_name'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.interface_name is not None:
                                for child in self.interface_name:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.DistributeList.EigFilt.In_']['meta_info']


                    class Out(object):
                        """
                        Filter outgoing service updates
                        
                        .. attribute:: interface_name
                        
                        	Interface name
                        	**type**\:  list of str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.interface_name = YLeafList()
                            self.interface_name.parent = self
                            self.interface_name.name = 'interface_name'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:out'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.interface_name is not None:
                                for child in self.interface_name:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.DistributeList.EigFilt.Out']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.eig_filt is None:
                            raise YPYModelError('Key property eig_filt is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:eig-filt[Cisco-IOS-XE-eigrp:eig-filt = ' + str(self.eig_filt) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eig_filt is not None:
                            return True

                        if self.in_ is not None and self.in_._has_data():
                            return True

                        if self.out is not None and self.out._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.DistributeList.EigFilt']['meta_info']


                class Gateway(object):
                    """
                    Filtering incoming address updates based on gateway
                    
                    .. attribute:: gw_list
                    
                    	
                    	**type**\: list of    :py:class:`GwList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DistributeList.Gateway.GwList>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.gw_list = YList()
                        self.gw_list.parent = self
                        self.gw_list.name = 'gw_list'


                    class GwList(object):
                        """
                        
                        
                        .. attribute:: gw_list  <key>
                        
                        	Name of an IP prefix\-list
                        	**type**\:  str
                        
                        .. attribute:: in_
                        
                        	Filter incoming service updates
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Filter outgoing service updates
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.gw_list = None
                            self.in_ = None
                            self.out = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.gw_list is None:
                                raise YPYModelError('Key property gw_list is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:gw-list[Cisco-IOS-XE-eigrp:gw-list = ' + str(self.gw_list) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.gw_list is not None:
                                return True

                            if self.in_ is not None:
                                return True

                            if self.out is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.DistributeList.Gateway.GwList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:gateway'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.gw_list is not None:
                            for child_ref in self.gw_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.DistributeList.Gateway']['meta_info']


                class Prefix(object):
                    """
                    Filter prefixes in address updates
                    
                    .. attribute:: pl_name
                    
                    	
                    	**type**\: list of    :py:class:`PlName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DistributeList.Prefix.PlName>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.pl_name = YList()
                        self.pl_name.parent = self
                        self.pl_name.name = 'pl_name'


                    class PlName(object):
                        """
                        
                        
                        .. attribute:: pl_name  <key>
                        
                        	Name of an IP prefix\-list
                        	**type**\:  str
                        
                        .. attribute:: gateway
                        
                        	Filtering incoming address updates based on gateway
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: in_
                        
                        	Filter incoming service updates
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Filter outgoing service updates
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.pl_name = None
                            self.gateway = None
                            self.in_ = None
                            self.out = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.pl_name is None:
                                raise YPYModelError('Key property pl_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:pl-name[Cisco-IOS-XE-eigrp:pl-name = ' + str(self.pl_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.pl_name is not None:
                                return True

                            if self.gateway is not None:
                                return True

                            if self.in_ is not None:
                                return True

                            if self.out is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.DistributeList.Prefix.PlName']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:prefix'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.pl_name is not None:
                            for child_ref in self.pl_name:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.DistributeList.Prefix']['meta_info']


                class RouteMap(object):
                    """
                    Filter prefixes based on the route\-map
                    
                    .. attribute:: rmap_name
                    
                    	
                    	**type**\: list of    :py:class:`RmapName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DistributeList.RouteMap.RmapName>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.rmap_name = YList()
                        self.rmap_name.parent = self
                        self.rmap_name.name = 'rmap_name'


                    class RmapName(object):
                        """
                        
                        
                        .. attribute:: rmap_name  <key>
                        
                        	route\-map name
                        	**type**\:  str
                        
                        .. attribute:: in_
                        
                        	Filter incoming service updates
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Filter outgoing service updates
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.rmap_name = None
                            self.in_ = None
                            self.out = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.rmap_name is None:
                                raise YPYModelError('Key property rmap_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:rmap-name[Cisco-IOS-XE-eigrp:rmap-name = ' + str(self.rmap_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.rmap_name is not None:
                                return True

                            if self.in_ is not None:
                                return True

                            if self.out is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.DistributeList.RouteMap.RmapName']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:route-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.rmap_name is not None:
                            for child_ref in self.rmap_name:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.DistributeList.RouteMap']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:distribute-list'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.eig_filt is not None:
                        for child_ref in self.eig_filt:
                            if child_ref._has_data():
                                return True

                    if self.gateway is not None and self.gateway._has_data():
                        return True

                    if self.prefix is not None and self.prefix._has_data():
                        return True

                    if self.route_map is not None and self.route_map._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Eigrp.DistributeList']['meta_info']


            class Eigrp_(object):
                """
                EIGRP Address Family specific commands
                
                .. attribute:: router_id
                
                	router id for this EIGRP process
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: stub
                
                	Set address\-family in stubbed mode
                	**type**\:   :py:class:`Stub <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Eigrp_.Stub>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.router_id = None
                    self.stub = None


                class Stub(object):
                    """
                    Set address\-family in stubbed mode
                    
                    .. attribute:: connected
                    
                    	Do advertise connected routes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: leak_map
                    
                    	Allow dynamic prefixes based on the leak\-map
                    	**type**\:  str
                    
                    .. attribute:: receive_only
                    
                    	Set receive only neighbor
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: redistributed
                    
                    	Do advertise redistributed routes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: static
                    
                    	Do advertise static routes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: summary
                    
                    	Do advertise summary routes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.connected = None
                        self.leak_map = None
                        self.receive_only = None
                        self.redistributed = None
                        self.static = None
                        self.summary = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:stub'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.connected is not None:
                            return True

                        if self.leak_map is not None:
                            return True

                        if self.receive_only is not None:
                            return True

                        if self.redistributed is not None:
                            return True

                        if self.static is not None:
                            return True

                        if self.summary is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.Eigrp_.Stub']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:eigrp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.router_id is not None:
                        return True

                    if self.stub is not None and self.stub._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Eigrp.Eigrp_']['meta_info']


            class Metric(object):
                """
                Modify metrics and parameters for advertisement
                
                .. attribute:: maximum_hops
                
                	Hop count
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: weights
                
                	Type (Only TOS 0 supported)
                	**type**\:  int
                
                	**range:** 0..8
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.maximum_hops = None
                    self.weights = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:metric'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.maximum_hops is not None:
                        return True

                    if self.weights is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Eigrp.Metric']['meta_info']


            class Neighbor(object):
                """
                Specify a neighbor router
                
                .. attribute:: ipv4
                
                	
                	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Neighbor.Ipv4>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipv4 = YList()
                    self.ipv4.parent = self
                    self.ipv4.name = 'ipv4'


                class Ipv4(object):
                    """
                    
                    
                    .. attribute:: ipv4  <key>
                    
                    	Neighbor address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: interface
                    
                    	Specify interface for global address
                    	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Neighbor.Ipv4.Interface>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = None
                        self.interface = Native.Router.Eigrp.Neighbor.Ipv4.Interface()
                        self.interface.parent = self


                    class Interface(object):
                        """
                        Specify interface for global address
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Neighbor.Ipv4.Interface.AtmAcrsubinterface>`
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Neighbor.Ipv4.Interface.AtmSubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\:  str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\:  str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\:  str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\:  str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\:  str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  int
                        
                        	**range:** 0..65520
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Neighbor.Ipv4.Interface.LispSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Neighbor.Ipv4.Interface.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\:  str
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\:  str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\:  str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.appnav_compress = None
                            self.appnav_uncompress = None
                            self.atm = None
                            self.atm_acr = None
                            self.atm_acrsubinterface = Native.Router.Eigrp.Neighbor.Ipv4.Interface.AtmAcrsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self.atm_subinterface = Native.Router.Eigrp.Neighbor.Ipv4.Interface.AtmSubinterface()
                            self.atm_subinterface.parent = self
                            self.bdi = None
                            self.cellular = None
                            self.cem = None
                            self.cem_acr = None
                            self.embedded_service_engine = None
                            self.fastethernet = None
                            self.gigabitethernet = None
                            self.lisp = None
                            self.lisp_subinterface = Native.Router.Eigrp.Neighbor.Ipv4.Interface.LispSubinterface()
                            self.lisp_subinterface.parent = self
                            self.loopback = None
                            self.multilink = None
                            self.nve = None
                            self.overlay = None
                            self.port_channel = None
                            self.port_channel_subinterface = Native.Router.Eigrp.Neighbor.Ipv4.Interface.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self.pseudowire = None
                            self.serial = None
                            self.sm = None
                            self.tengigabitethernet = None
                            self.tunnel = None
                            self.vasileft = None
                            self.vasiright = None
                            self.virtual_template = None
                            self.virtualportgroup = None
                            self.vlan = None


                        class AtmSubinterface(object):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ATM-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.Neighbor.Ipv4.Interface.AtmSubinterface']['meta_info']


                        class AtmAcrsubinterface(object):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm_acr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ATM-ACRsubinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm_acr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.Neighbor.Ipv4.Interface.AtmAcrsubinterface']['meta_info']


                        class LispSubinterface(object):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:LISP-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.Neighbor.Ipv4.Interface.LispSubinterface']['meta_info']


                        class PortChannelSubinterface(object):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port_channel = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eigrp:Port-channel-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port_channel is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Eigrp.Neighbor.Ipv4.Interface.PortChannelSubinterface']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:interface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.appnav_compress is not None:
                                return True

                            if self.appnav_uncompress is not None:
                                return True

                            if self.atm is not None:
                                return True

                            if self.atm_acr is not None:
                                return True

                            if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                return True

                            if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                return True

                            if self.bdi is not None:
                                return True

                            if self.cellular is not None:
                                return True

                            if self.cem is not None:
                                return True

                            if self.cem_acr is not None:
                                return True

                            if self.embedded_service_engine is not None:
                                return True

                            if self.fastethernet is not None:
                                return True

                            if self.gigabitethernet is not None:
                                return True

                            if self.lisp is not None:
                                return True

                            if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                return True

                            if self.loopback is not None:
                                return True

                            if self.multilink is not None:
                                return True

                            if self.nve is not None:
                                return True

                            if self.overlay is not None:
                                return True

                            if self.port_channel is not None:
                                return True

                            if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                return True

                            if self.pseudowire is not None:
                                return True

                            if self.serial is not None:
                                return True

                            if self.sm is not None:
                                return True

                            if self.tengigabitethernet is not None:
                                return True

                            if self.tunnel is not None:
                                return True

                            if self.vasileft is not None:
                                return True

                            if self.vasiright is not None:
                                return True

                            if self.virtual_template is not None:
                                return True

                            if self.virtualportgroup is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.Neighbor.Ipv4.Interface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.ipv4 is None:
                            raise YPYModelError('Key property ipv4 is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ipv4[Cisco-IOS-XE-eigrp:ipv4 = ' + str(self.ipv4) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None:
                            return True

                        if self.interface is not None and self.interface._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.Neighbor.Ipv4']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:neighbor'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipv4 is not None:
                        for child_ref in self.ipv4:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Eigrp.Neighbor']['meta_info']


            class Network(object):
                """
                Enable routing on an IP network
                
                .. attribute:: number  <key>
                
                	Network number
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: wild_card
                
                	EIGRP wild card bits
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.wild_card = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.number is None:
                        raise YPYModelError('Key property number is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:network[Cisco-IOS-XE-eigrp:number = ' + str(self.number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.wild_card is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Eigrp.Network']['meta_info']


            class OffsetList(object):
                """
                Add or subtract offset from EIGRP metrics
                
                .. attribute:: nsr_list
                
                	
                	**type**\: list of    :py:class:`NsrList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.OffsetList.NsrList>`
                
                .. attribute:: ol_acl
                
                	
                	**type**\: list of    :py:class:`OlAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.OffsetList.OlAcl>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.nsr_list = YList()
                    self.nsr_list.parent = self
                    self.nsr_list.name = 'nsr_list'
                    self.ol_acl = YList()
                    self.ol_acl.parent = self
                    self.ol_acl.name = 'ol_acl'


                class NsrList(object):
                    """
                    
                    
                    .. attribute:: nsr_list  <key>
                    
                    	Access list of networks to apply offset (extended range)
                    	**type**\:  int
                    
                    	**range:** 1300..1999
                    
                    .. attribute:: in_
                    
                    	Perform offset on incoming updates
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: out
                    
                    	Perform offset on outgoing updates
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.nsr_list = None
                        self.in_ = None
                        self.out = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.nsr_list is None:
                            raise YPYModelError('Key property nsr_list is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:nsr-list[Cisco-IOS-XE-eigrp:nsr-list = ' + str(self.nsr_list) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.nsr_list is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.out is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.OffsetList.NsrList']['meta_info']


                class OlAcl(object):
                    """
                    
                    
                    .. attribute:: ol_acl  <key>
                    
                    	Access\-list name
                    	**type**\:  str
                    
                    .. attribute:: in_
                    
                    	Perform offset on incoming updates
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: out
                    
                    	Perform offset on outgoing updates
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ol_acl = None
                        self.in_ = None
                        self.out = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.ol_acl is None:
                            raise YPYModelError('Key property ol_acl is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ol-acl[Cisco-IOS-XE-eigrp:ol-acl = ' + str(self.ol_acl) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ol_acl is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.out is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.OffsetList.OlAcl']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:offset-list'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.nsr_list is not None:
                        for child_ref in self.nsr_list:
                            if child_ref._has_data():
                                return True

                    if self.ol_acl is not None:
                        for child_ref in self.ol_acl:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Eigrp.OffsetList']['meta_info']


            class Redistribute(object):
                """
                Redistribute IPv4 routes from another routing protocol
                
                .. attribute:: bgp
                
                	Border Gateway Protocol (BGP)
                	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute.Bgp>`
                
                .. attribute:: connected
                
                	Connected
                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute.Connected>`
                
                	**presence node**\: True
                
                .. attribute:: eigrp
                
                	Autonomous system number
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: isis
                
                	ISO IS\-IS
                	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute.Isis>`
                
                	**presence node**\: True
                
                .. attribute:: lisp
                
                	Locator ID Separation Protocol (LISP)
                	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute.Lisp>`
                
                	**presence node**\: True
                
                .. attribute:: mobile
                
                	Mobile routes
                	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute.Mobile>`
                
                	**presence node**\: True
                
                .. attribute:: odr
                
                	On Demand stub Routes
                	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute.Odr>`
                
                	**presence node**\: True
                
                .. attribute:: ospf
                
                	Process ID
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: rip
                
                	Routing Information Protocol (RIP)
                	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute.Rip>`
                
                	**presence node**\: True
                
                .. attribute:: static
                
                	Static routes
                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute.Static>`
                
                	**presence node**\: True
                
                .. attribute:: vrf
                
                	Specify a source virtual routing/forwarding instance
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute.Vrf>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bgp = YList()
                    self.bgp.parent = self
                    self.bgp.name = 'bgp'
                    self.connected = None
                    self.eigrp = None
                    self.isis = None
                    self.lisp = None
                    self.mobile = None
                    self.odr = None
                    self.ospf = None
                    self.rip = None
                    self.static = None
                    self.vrf = Native.Router.Eigrp.Redistribute.Vrf()
                    self.vrf.parent = self


                class Bgp(object):
                    """
                    Border Gateway Protocol (BGP)
                    
                    .. attribute:: rdr_as  <key>
                    
                    	Autonomous system number
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute.Bgp.Metric>`
                    
                    .. attribute:: rd_lesser_1_period_0_xx_period_yy_greater_
                    
                    	Autonomous system number
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.rdr_as = None
                        self.metric = Native.Router.Eigrp.Redistribute.Bgp.Metric()
                        self.metric.parent = self
                        self.rd_lesser_1_period_0_xx_period_yy_greater_ = None
                        self.route_map = None


                    class Metric(object):
                        """
                        Metric for redistributed routes
                        
                        .. attribute:: bandwith
                        
                        	Bandwidth metric in Kbits per second
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: delay
                        
                        	EIGRP delay metric, in 10 microsecond units
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: effective
                        
                        	EIGRP Effective bandwidth metric (Loading) where 255 is 100% loaded
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: mtu
                        
                        	EIGRP MTU of the path
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: reliability
                        
                        	EIGRP reliability metric where 255 is 100% reliable
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bandwith = None
                            self.delay = None
                            self.effective = None
                            self.mtu = None
                            self.reliability = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eigrp:metric'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bandwith is not None:
                                return True

                            if self.delay is not None:
                                return True

                            if self.effective is not None:
                                return True

                            if self.mtu is not None:
                                return True

                            if self.reliability is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Eigrp.Redistribute.Bgp.Metric']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.rdr_as is None:
                            raise YPYModelError('Key property rdr_as is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:bgp[Cisco-IOS-XE-eigrp:rdr-as = ' + str(self.rdr_as) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.rdr_as is not None:
                            return True

                        if self.metric is not None and self.metric._has_data():
                            return True

                        if self.rd_lesser_1_period_0_xx_period_yy_greater_ is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.Redistribute.Bgp']['meta_info']


                class Connected(object):
                    """
                    Connected
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.metric = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:connected'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.metric is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.Redistribute.Connected']['meta_info']


                class Isis(object):
                    """
                    ISO IS\-IS
                    
                    .. attribute:: is_tag
                    
                    	ISO routing area tag
                    	**type**\:  str
                    
                    .. attribute:: level_1
                    
                    	IS\-IS level\-1 routes only
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: level_1_2
                    
                    	IS\-IS level\-1 and level\-2 routes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: level_2
                    
                    	IS\-IS level\-2 routes only
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.is_tag = None
                        self.level_1 = None
                        self.level_1_2 = None
                        self.level_2 = None
                        self.metric = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:isis'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.is_tag is not None:
                            return True

                        if self.level_1 is not None:
                            return True

                        if self.level_1_2 is not None:
                            return True

                        if self.level_2 is not None:
                            return True

                        if self.metric is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.Redistribute.Isis']['meta_info']


                class Lisp(object):
                    """
                    Locator ID Separation Protocol (LISP)
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.metric = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:lisp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.metric is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.Redistribute.Lisp']['meta_info']


                class Mobile(object):
                    """
                    Mobile routes
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.metric = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:mobile'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.metric is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.Redistribute.Mobile']['meta_info']


                class Odr(object):
                    """
                    On Demand stub Routes
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.metric = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:odr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.metric is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.Redistribute.Odr']['meta_info']


                class Rip(object):
                    """
                    Routing Information Protocol (RIP)
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.metric = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:rip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.metric is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.Redistribute.Rip']['meta_info']


                class Static(object):
                    """
                    Static routes
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.metric = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:static'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.metric is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.Redistribute.Static']['meta_info']


                class Vrf(object):
                    """
                    Specify a source virtual routing/forwarding instance
                    
                    .. attribute:: global_
                    
                    	global VRF
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: name
                    
                    	Virtual Routing/Forwarding instance name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.global_ = None
                        self.name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.global_ is not None:
                            return True

                        if self.name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.Redistribute.Vrf']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:redistribute'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bgp is not None:
                        for child_ref in self.bgp:
                            if child_ref._has_data():
                                return True

                    if self.connected is not None and self.connected._has_data():
                        return True

                    if self.eigrp is not None:
                        return True

                    if self.isis is not None and self.isis._has_data():
                        return True

                    if self.lisp is not None and self.lisp._has_data():
                        return True

                    if self.mobile is not None and self.mobile._has_data():
                        return True

                    if self.odr is not None and self.odr._has_data():
                        return True

                    if self.ospf is not None:
                        return True

                    if self.rip is not None and self.rip._has_data():
                        return True

                    if self.static is not None and self.static._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Eigrp.Redistribute']['meta_info']


            class SummaryMetric(object):
                """
                Specify summary to apply metric/filtering
                
                .. attribute:: a_period_b_period_c_period_d_slash_nn
                
                	Summary <network>/<length>, e.g., 192.168.0.0/16
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ipv4
                
                	
                	**type**\: list of    :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.SummaryMetric.Ipv4>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.a_period_b_period_c_period_d_slash_nn = None
                    self.ipv4 = YList()
                    self.ipv4.parent = self
                    self.ipv4.name = 'ipv4'


                class Ipv4(object):
                    """
                    
                    
                    .. attribute:: ipv4  <key>
                    
                    	Summary to configure static metric
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: mask
                    
                    	Network mask
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = None
                        self.mask = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.ipv4 is None:
                            raise YPYModelError('Key property ipv4 is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:ipv4[Cisco-IOS-XE-eigrp:ipv4 = ' + str(self.ipv4) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None:
                            return True

                        if self.mask is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.SummaryMetric.Ipv4']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:summary-metric'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.a_period_b_period_c_period_d_slash_nn is not None:
                        return True

                    if self.ipv4 is not None:
                        for child_ref in self.ipv4:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Eigrp.SummaryMetric']['meta_info']


            class Timers(object):
                """
                Adjust routing timers
                
                .. attribute:: active_time
                
                	time limit for active state
                	**type**\:   :py:class:`ActiveTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Timers.ActiveTime>`
                
                .. attribute:: graceful_restart
                
                	EIGRP Graceful Restart timer
                	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Timers.GracefulRestart>`
                
                .. attribute:: nsf
                
                	EIGRP NSF timer
                	**type**\:   :py:class:`Nsf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Timers.Nsf>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.active_time = Native.Router.Eigrp.Timers.ActiveTime()
                    self.active_time.parent = self
                    self.graceful_restart = Native.Router.Eigrp.Timers.GracefulRestart()
                    self.graceful_restart.parent = self
                    self.nsf = Native.Router.Eigrp.Timers.Nsf()
                    self.nsf.parent = self


                class ActiveTime(object):
                    """
                    time limit for active state
                    
                    .. attribute:: atimer
                    
                    	active state time limit in minutes
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: disabled
                    
                    	disable time limit for active state
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atimer = None
                        self.disabled = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:active-time'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atimer is not None:
                            return True

                        if self.disabled is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.Timers.ActiveTime']['meta_info']


                class GracefulRestart(object):
                    """
                    EIGRP Graceful Restart timer
                    
                    .. attribute:: purge_time
                    
                    	EIGRP stale route purge time
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.purge_time = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:graceful-restart'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.purge_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.Timers.GracefulRestart']['meta_info']


                class Nsf(object):
                    """
                    EIGRP NSF timer
                    
                    .. attribute:: converge
                    
                    	EIGRP time limit for convergence after switchover
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: signal
                    
                    	EIGRP time limit for signaling NSF restart
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.converge = None
                        self.signal = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:nsf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.converge is not None:
                            return True

                        if self.signal is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.Timers.Nsf']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:timers'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.active_time is not None and self.active_time._has_data():
                        return True

                    if self.graceful_restart is not None and self.graceful_restart._has_data():
                        return True

                    if self.nsf is not None and self.nsf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Eigrp.Timers']['meta_info']


            class TrafficShare(object):
                """
                How to compute traffic share over alternate paths
                
                .. attribute:: balanced
                
                	Share inversely proportional to metric
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: min
                
                	All traffic shared among min metric paths
                	**type**\:   :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.TrafficShare.Min>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.balanced = None
                    self.min = Native.Router.Eigrp.TrafficShare.Min()
                    self.min.parent = self


                class Min(object):
                    """
                    All traffic shared among min metric paths
                    
                    .. attribute:: across_interfaces
                    
                    	Use different interfaces for equal\-cost paths
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.across_interfaces = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eigrp:min'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.across_interfaces is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Eigrp.TrafficShare.Min']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-eigrp:traffic-share'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.balanced is not None:
                        return True

                    if self.min is not None and self.min._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Eigrp.TrafficShare']['meta_info']

            @property
            def _common_path(self):
                if self.id is None:
                    raise YPYModelError('Key property id is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-eigrp:eigrp[Cisco-IOS-XE-eigrp:id = ' + str(self.id) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.id is not None:
                    return True

                if self.address_family is not None:
                    for child_ref in self.address_family:
                        if child_ref._has_data():
                            return True

                if self.af_interface is not None:
                    for child_ref in self.af_interface:
                        if child_ref._has_data():
                            return True

                if self.auto_summary is not None:
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.default_information is not None and self.default_information._has_data():
                    return True

                if self.default_metric is not None and self.default_metric._has_data():
                    return True

                if self.distance is not None and self.distance._has_data():
                    return True

                if self.distribute_list is not None and self.distribute_list._has_data():
                    return True

                if self.eigrp is not None and self.eigrp._has_data():
                    return True

                if self.maximum_paths is not None:
                    return True

                if self.metric is not None and self.metric._has_data():
                    return True

                if self.neighbor is not None and self.neighbor._has_data():
                    return True

                if self.network is not None:
                    for child_ref in self.network:
                        if child_ref._has_data():
                            return True

                if self.nsf is not None:
                    return True

                if self.offset_list is not None and self.offset_list._has_data():
                    return True

                if self.passive_interface is not None and self.passive_interface._has_data():
                    return True

                if self.redistribute is not None and self.redistribute._has_data():
                    return True

                if self.shutdown is not None:
                    return True

                if self.summary_metric is not None and self.summary_metric._has_data():
                    return True

                if self.timers is not None and self.timers._has_data():
                    return True

                if self.traffic_share is not None and self.traffic_share._has_data():
                    return True

                if self.variance is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Router.Eigrp']['meta_info']


        class Isis(object):
            """
            ISO IS\-IS
            
            .. attribute:: address_family
            
            	Enter Address Family command mode
            	**type**\:   :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily>`
            
            .. attribute:: adjacency_check
            
            	Check ISIS neighbor protocol support
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: advertise
            
            	Control which IP routes flow in L1 and L2 LSPs
            	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Advertise>`
            
            .. attribute:: area_password
            
            	Configure the authentication password for an area
            	**type**\:   :py:class:`AreaPassword <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AreaPassword>`
            
            .. attribute:: authentication
            
            	ISIS authentication for LSPs
            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Authentication>`
            
            .. attribute:: bfd
            
            	BFD configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Bfd>`
            
            .. attribute:: default_information
            
            	Control distribution of default information
            	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.DefaultInformation>`
            
            .. attribute:: disable
            
            	
            	**type**\:   :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Disable>`
            
            .. attribute:: distance
            
            	Define an administrative distance
            	**type**\: list of    :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Distance>`
            
            .. attribute:: distribute_list
            
            	Filter networks in routing updates
            	**type**\:   :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.DistributeList>`
            
            .. attribute:: domain_password
            
            	Set the authentication password for a routing domain
            	**type**\:   :py:class:`DomainPassword <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.DomainPassword>`
            
            .. attribute:: fast_flood
            
            	Flood LSPs (that triggered SPF) before running SPF
            	**type**\:   :py:class:`FastFlood <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastFlood>`
            
            	**presence node**\: True
            
            .. attribute:: fast_reroute
            
            	Configure Fast\-Reroute
            	**type**\:   :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute>`
            
            .. attribute:: hello
            
            	Pad ISIS hello PDUs to full MTU
            	**type**\:   :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Hello>`
            
            .. attribute:: help
            
            	Description of the interactive help system
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: hostname
            
            	Dynamic hostname for IS\-IS
            	**type**\:   :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Hostname>`
            
            .. attribute:: ignore_lsp_errors
            
            	Ignore LSPs with bad checksums
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: ip
            
            	IP specific commands
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Ip>`
            
            .. attribute:: is_type
            
            	IS Level for this routing process (OSI only)
            	**type**\:   :py:class:`IsTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.IsTypeEnum>`
            
            .. attribute:: ispf
            
            	Configure execution of incremental SPF
            	**type**\:   :py:class:`Ispf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Ispf>`
            
            .. attribute:: log_adjacency_changes
            
            	Log changes in adjacency state
            	**type**\:   :py:class:`LogAdjacencyChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.LogAdjacencyChanges>`
            
            	**presence node**\: True
            
            .. attribute:: lsp_full
            
            	If we run out of LSP fragments
            	**type**\:   :py:class:`LspFull <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.LspFull>`
            
            .. attribute:: lsp_gen_interval
            
            	Minimum interval between regenerating same LSP
            	**type**\:   :py:class:`LspGenInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.LspGenInterval>`
            
            .. attribute:: lsp_mtu
            
            	Set maximum LSP size
            	**type**\:  int
            
            	**range:** 128..4352
            
            .. attribute:: lsp_refresh_interval
            
            	Set LSP refresh interval
            	**type**\:  int
            
            	**range:** 1..65535
            
            .. attribute:: max_area_addresses
            
            	Allow configuration of more manual area addresses
            	**type**\:  int
            
            	**range:** 3..254
            
            .. attribute:: max_lsp_lifetime
            
            	Set maximum LSP lifetime
            	**type**\:  int
            
            	**range:** 1..65535
            
            .. attribute:: maximum_paths
            
            	Forward packets over multiple paths
            	**type**\:  int
            
            	**range:** 1..32
            
            .. attribute:: metric
            
            	Set ISIS metric for all interfaces
            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Metric>`
            
            .. attribute:: metric_style
            
            	Use old\-style (ISO 10589) or new\-style packet formats
            	**type**\:   :py:class:`MetricStyle <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.MetricStyle>`
            
            .. attribute:: microloop
            
            	Enable microloop protection configuration commands
            	**type**\:   :py:class:`Microloop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Microloop>`
            
            .. attribute:: mpls
            
            	Configure MPLS routing protocol parameters
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Mpls>`
            
            .. attribute:: net
            
            	A Network Entity Title for this process (OSI only)
            	**type**\: list of    :py:class:`Net <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Net>`
            
            .. attribute:: nsf
            
            	Non\-stop forwarding
            	**type**\:   :py:class:`Nsf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Nsf>`
            
            .. attribute:: partition
            
            	CLNS area partition
            	**type**\:   :py:class:`Partition <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Partition>`
            
            .. attribute:: passive_interface
            
            	Suppress routing updates on an interface
            	**type**\:   :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.PassiveInterface>`
            
            .. attribute:: prc_interval
            
            	Minimum interval between partial route calculations
            	**type**\:   :py:class:`PrcInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.PrcInterval>`
            
            .. attribute:: priority
            
            	priority value
            	**type**\:  int
            
            	**range:** 0..127
            
            .. attribute:: protocol
            
            	Set protocol's administrative state
            	**type**\:   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Protocol>`
            
            .. attribute:: redistribute
            
            	Redistribute information from another routing protocol
            	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute>`
            
            .. attribute:: router_id
            
            	Interface of stable IP address for system
            	**type**\:  str
            
            .. attribute:: segment_routing
            
            	Enable Segment Routing Feature
            	**type**\:   :py:class:`SegmentRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SegmentRouting>`
            
            .. attribute:: set_attached_bit
            
            	Conditionally advertise us as attached to L2
            	**type**\:   :py:class:`SetAttachedBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SetAttachedBit>`
            
            .. attribute:: set_overload_bit
            
            	Signal other routers not to use us in SPF
            	**type**\:   :py:class:`SetOverloadBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SetOverloadBit>`
            
            	**presence node**\: True
            
            .. attribute:: skeptical
            
            	Be a cautious NSF helper when refresh adjacency
            	**type**\:   :py:class:`Skeptical <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Skeptical>`
            
            .. attribute:: snmp
            
            	Modify snmp parameters
            	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Snmp>`
            
            .. attribute:: spf_interval
            
            	Minimum interval between SPF calculations
            	**type**\:   :py:class:`SpfInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SpfInterval>`
            
            .. attribute:: summary_address
            
            	Configure IP address summaries
            	**type**\: list of    :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SummaryAddress>`
            
            .. attribute:: ti_lfa
            
            	
            	**type**\:   :py:class:`TiLfa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.TiLfa>`
            
            .. attribute:: traffic_share
            
            	How to compute traffic share over alternate paths
            	**type**\:   :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.TrafficShare>`
            
            .. attribute:: update_queue_depth
            
            	Set Update process queue depth
            	**type**\:  int
            
            	**range:** 1..2147483647
            
            .. attribute:: use
            
            	Use different algorithms during SPF
            	**type**\:   :py:class:`Use <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Use>`
            
            .. attribute:: vrf
            
            	VRF name for this process
            	**type**\:  str
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-isis'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.address_family = Native.Router.Isis.AddressFamily()
                self.address_family.parent = self
                self.adjacency_check = None
                self.advertise = Native.Router.Isis.Advertise()
                self.advertise.parent = self
                self.area_password = Native.Router.Isis.AreaPassword()
                self.area_password.parent = self
                self.authentication = Native.Router.Isis.Authentication()
                self.authentication.parent = self
                self.bfd = Native.Router.Isis.Bfd()
                self.bfd.parent = self
                self.default_information = Native.Router.Isis.DefaultInformation()
                self.default_information.parent = self
                self.disable = Native.Router.Isis.Disable()
                self.disable.parent = self
                self.distance = YList()
                self.distance.parent = self
                self.distance.name = 'distance'
                self.distribute_list = Native.Router.Isis.DistributeList()
                self.distribute_list.parent = self
                self.domain_password = Native.Router.Isis.DomainPassword()
                self.domain_password.parent = self
                self.fast_flood = None
                self.fast_reroute = Native.Router.Isis.FastReroute()
                self.fast_reroute.parent = self
                self.hello = Native.Router.Isis.Hello()
                self.hello.parent = self
                self.help = None
                self.hostname = Native.Router.Isis.Hostname()
                self.hostname.parent = self
                self.ignore_lsp_errors = None
                self.ip = Native.Router.Isis.Ip()
                self.ip.parent = self
                self.is_type = None
                self.ispf = Native.Router.Isis.Ispf()
                self.ispf.parent = self
                self.log_adjacency_changes = None
                self.lsp_full = Native.Router.Isis.LspFull()
                self.lsp_full.parent = self
                self.lsp_gen_interval = Native.Router.Isis.LspGenInterval()
                self.lsp_gen_interval.parent = self
                self.lsp_mtu = None
                self.lsp_refresh_interval = None
                self.max_area_addresses = None
                self.max_lsp_lifetime = None
                self.maximum_paths = None
                self.metric = Native.Router.Isis.Metric()
                self.metric.parent = self
                self.metric_style = Native.Router.Isis.MetricStyle()
                self.metric_style.parent = self
                self.microloop = Native.Router.Isis.Microloop()
                self.microloop.parent = self
                self.mpls = Native.Router.Isis.Mpls()
                self.mpls.parent = self
                self.net = YList()
                self.net.parent = self
                self.net.name = 'net'
                self.nsf = Native.Router.Isis.Nsf()
                self.nsf.parent = self
                self.partition = Native.Router.Isis.Partition()
                self.partition.parent = self
                self.passive_interface = Native.Router.Isis.PassiveInterface()
                self.passive_interface.parent = self
                self.prc_interval = Native.Router.Isis.PrcInterval()
                self.prc_interval.parent = self
                self.priority = None
                self.protocol = Native.Router.Isis.Protocol()
                self.protocol.parent = self
                self.redistribute = Native.Router.Isis.Redistribute()
                self.redistribute.parent = self
                self.router_id = None
                self.segment_routing = Native.Router.Isis.SegmentRouting()
                self.segment_routing.parent = self
                self.set_attached_bit = Native.Router.Isis.SetAttachedBit()
                self.set_attached_bit.parent = self
                self.set_overload_bit = None
                self.skeptical = Native.Router.Isis.Skeptical()
                self.skeptical.parent = self
                self.snmp = Native.Router.Isis.Snmp()
                self.snmp.parent = self
                self.spf_interval = Native.Router.Isis.SpfInterval()
                self.spf_interval.parent = self
                self.summary_address = YList()
                self.summary_address.parent = self
                self.summary_address.name = 'summary_address'
                self.ti_lfa = Native.Router.Isis.TiLfa()
                self.ti_lfa.parent = self
                self.traffic_share = Native.Router.Isis.TrafficShare()
                self.traffic_share.parent = self
                self.update_queue_depth = None
                self.use = Native.Router.Isis.Use()
                self.use.parent = self
                self.vrf = None

            class IsTypeEnum(Enum):
                """
                IsTypeEnum

                IS Level for this routing process (OSI only)

                .. data:: level_1 = 0

                .. data:: level_1_2 = 1

                .. data:: level_2_only = 2

                """

                level_1 = 0

                level_1_2 = 1

                level_2_only = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.IsTypeEnum']



            class MetricStyle(object):
                """
                Use old\-style (ISO 10589) or new\-style packet formats
                
                .. attribute:: narrow
                
                	Use old style of TLVs with narrow metric
                	**type**\:   :py:class:`Narrow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.MetricStyle.Narrow>`
                
                	**presence node**\: True
                
                .. attribute:: transition
                
                	Send and accept both styles of TLVs during transition
                	**type**\:   :py:class:`Transition <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.MetricStyle.Transition>`
                
                	**presence node**\: True
                
                .. attribute:: wide
                
                	Use new style of TLVs to carry wider metric
                	**type**\:   :py:class:`Wide <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.MetricStyle.Wide>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.narrow = None
                    self.transition = None
                    self.wide = None


                class Narrow(object):
                    """
                    Use old style of TLVs with narrow metric
                    
                    .. attribute:: narrow_wide
                    
                    	
                    	**type**\:   :py:class:`IsisLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisLevelTypeEnum>`
                    
                    .. attribute:: transition
                    
                    	Accept both styles of TLVs during transition
                    	**type**\:   :py:class:`IsisLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisLevelTypeEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.narrow_wide = None
                        self.transition = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:metric-style/Cisco-IOS-XE-isis:narrow'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.narrow_wide is not None:
                            return True

                        if self.transition is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.MetricStyle.Narrow']['meta_info']


                class Transition(object):
                    """
                    Send and accept both styles of TLVs during transition
                    
                    .. attribute:: transition
                    
                    	
                    	**type**\:   :py:class:`IsisLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisLevelTypeEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.transition = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:metric-style/Cisco-IOS-XE-isis:transition'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.transition is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.MetricStyle.Transition']['meta_info']


                class Wide(object):
                    """
                    Use new style of TLVs to carry wider metric
                    
                    .. attribute:: narrow_wide
                    
                    	
                    	**type**\:   :py:class:`IsisLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisLevelTypeEnum>`
                    
                    .. attribute:: transition
                    
                    	Accept both styles of TLVs during transition
                    	**type**\:   :py:class:`IsisLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisLevelTypeEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.narrow_wide = None
                        self.transition = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:metric-style/Cisco-IOS-XE-isis:wide'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.narrow_wide is not None:
                            return True

                        if self.transition is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.MetricStyle.Wide']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:metric-style'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.narrow is not None and self.narrow._has_data():
                        return True

                    if self.transition is not None and self.transition._has_data():
                        return True

                    if self.wide is not None and self.wide._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.MetricStyle']['meta_info']


            class AddressFamily(object):
                """
                Enter Address Family command mode
                
                .. attribute:: ipv4
                
                	Address family
                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4>`
                
                .. attribute:: ipv6
                
                	Address family
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipv4 = Native.Router.Isis.AddressFamily.Ipv4()
                    self.ipv4.parent = self
                    self.ipv6 = Native.Router.Isis.AddressFamily.Ipv6()
                    self.ipv6.parent = self


                class Ipv4(object):
                    """
                    Address family
                    
                    .. attribute:: help
                    
                    	Description of the interactive help system
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: snmp
                    
                    	Modify snmp parameters
                    	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Snmp>`
                    
                    .. attribute:: topology
                    
                    	Associate the routing protocol to a topology instance
                    	**type**\: list of    :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology>`
                    
                    .. attribute:: unicast_multicast
                    
                    	
                    	**type**\:   :py:class:`UnicastMulticastEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.UnicastMulticastEnum>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.help = None
                        self.snmp = Native.Router.Isis.AddressFamily.Ipv4.Snmp()
                        self.snmp.parent = self
                        self.topology = YList()
                        self.topology.parent = self
                        self.topology.name = 'topology'
                        self.unicast_multicast = None

                    class UnicastMulticastEnum(Enum):
                        """
                        UnicastMulticastEnum

                        .. data:: unicast = 0

                        .. data:: multicast = 1

                        """

                        unicast = 0

                        multicast = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.UnicastMulticastEnum']



                    class Snmp(object):
                        """
                        Modify snmp parameters
                        
                        .. attribute:: context
                        
                        	Configure a SNMP context
                        	**type**\: list of    :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.context = YList()
                            self.context.parent = self
                            self.context.name = 'context'


                        class Context(object):
                            """
                            Configure a SNMP context
                            
                            .. attribute:: name  <key>
                            
                            	Context Name
                            	**type**\:  str
                            
                            .. attribute:: community
                            
                            	Configure a SNMP v2c Community string and access privs
                            	**type**\:   :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community>`
                            
                            .. attribute:: user
                            
                            	Configure a SNMP v3 user
                            	**type**\:   :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.community = Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community()
                                self.community.parent = self
                                self.user = Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User()
                                self.user.parent = self


                            class Community(object):
                                """
                                Configure a SNMP v2c Community string and access privs
                                
                                .. attribute:: access
                                
                                	
                                	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access>`
                                
                                .. attribute:: community_string
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.access = Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access()
                                    self.access.parent = self
                                    self.community_string = None


                                class Access(object):
                                    """
                                    
                                    
                                    .. attribute:: acl_name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: expanded_acl
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1300..1999
                                    
                                    .. attribute:: ipv6
                                    
                                    	Specify IPv6 Named Access\-List
                                    	**type**\:  str
                                    
                                    .. attribute:: ro
                                    
                                    	Read\-only access with this community string
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: rw
                                    
                                    	Read\-write access with this community string
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: standard_acl
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..99
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.acl_name = None
                                        self.expanded_acl = None
                                        self.ipv6 = None
                                        self.ro = None
                                        self.rw = None
                                        self.standard_acl = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:access'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.acl_name is not None:
                                            return True

                                        if self.expanded_acl is not None:
                                            return True

                                        if self.ipv6 is not None:
                                            return True

                                        if self.ro is not None:
                                            return True

                                        if self.rw is not None:
                                            return True

                                        if self.standard_acl is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:community'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.access is not None and self.access._has_data():
                                        return True

                                    if self.community_string is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community']['meta_info']


                            class User(object):
                                """
                                Configure a SNMP v3 user
                                
                                .. attribute:: name
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: permisssion
                                
                                	
                                	**type**\:   :py:class:`Permisssion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.permisssion = Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion()
                                    self.permisssion.parent = self


                                class Permisssion(object):
                                    """
                                    
                                    
                                    .. attribute:: access
                                    
                                    	specify an access\-list associated with this group
                                    	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access>`
                                    
                                    .. attribute:: auth
                                    
                                    	authentication parameters for the user
                                    	**type**\:   :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth>`
                                    
                                    .. attribute:: credential
                                    
                                    	If the user password is already configured and saved
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: encrypted
                                    
                                    	specifying passwords as MD5 or SHA digests
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.access = Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access()
                                        self.access.parent = self
                                        self.auth = Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth()
                                        self.auth.parent = self
                                        self.credential = None
                                        self.encrypted = None


                                    class Access(object):
                                        """
                                        specify an access\-list associated with this group
                                        
                                        .. attribute:: acl_name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: ipv6
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: standard_acl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.acl_name = None
                                            self.ipv6 = None
                                            self.standard_acl = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:access'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.acl_name is not None:
                                                return True

                                            if self.ipv6 is not None:
                                                return True

                                            if self.standard_acl is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access']['meta_info']


                                    class Auth(object):
                                        """
                                        authentication parameters for the user
                                        
                                        .. attribute:: md5
                                        
                                        	Use HMAC MD5 algorithm for authentication
                                        	**type**\:  str
                                        
                                        .. attribute:: sha
                                        
                                        	Use HMAC SHA algorithm for authentication
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.md5 = None
                                            self.sha = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:auth'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.md5 is not None:
                                                return True

                                            if self.sha is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:permisssion'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.access is not None and self.access._has_data():
                                            return True

                                        if self.auth is not None and self.auth._has_data():
                                            return True

                                        if self.credential is not None:
                                            return True

                                        if self.encrypted is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:user'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.permisssion is not None and self.permisssion._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User']['meta_info']

                            @property
                            def _common_path(self):
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv4/Cisco-IOS-XE-isis:snmp/Cisco-IOS-XE-isis:context[Cisco-IOS-XE-isis:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.community is not None and self.community._has_data():
                                    return True

                                if self.user is not None and self.user._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv4/Cisco-IOS-XE-isis:snmp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.context is not None:
                                for child_ref in self.context:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Snmp']['meta_info']


                    class Topology(object):
                        """
                        Associate the routing protocol to a topology instance
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: advertise
                        
                        	Control which IP routes flow in L1 and L2 LSPs
                        	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Advertise>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation>`
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\: list of    :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance>`
                        
                        .. attribute:: help
                        
                        	Description of the interactive help system
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore_attached_bit
                        
                        	Never install default route to closest L2 router
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ip
                        
                        	IP specific commands
                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:  int
                        
                        	**range:** 1..32
                        
                        .. attribute:: metric
                        
                        	Set ISIS metric for all interfaces
                        	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric>`
                        
                        .. attribute:: prc_interval
                        
                        	Minimum interval between partial route calculations
                        	**type**\:   :py:class:`PrcInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.PrcInterval>`
                        
                        .. attribute:: priority
                        
                        	priority value
                        	**type**\:  int
                        
                        	**range:** 0..127
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute>`
                        
                        .. attribute:: set_attached_bit
                        
                        	Conditionally advertise us as attached to L2
                        	**type**\:   :py:class:`SetAttachedBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit>`
                        
                        .. attribute:: set_overload_bit
                        
                        	Signal other routers not to use us in SPF
                        	**type**\:   :py:class:`SetOverloadBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp>`
                        
                        .. attribute:: spf_interval
                        
                        	Minimum interval between SPF calculations
                        	**type**\:   :py:class:`SpfInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval>`
                        
                        .. attribute:: summary_address
                        
                        	Configure IP address summaries
                        	**type**\: list of    :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress>`
                        
                        .. attribute:: tid
                        
                        	Configuring the routing protocol topology tid
                        	**type**\:  int
                        
                        	**range:** 5..4095
                        
                        .. attribute:: traffic_share
                        
                        	How to compute traffic share over alternate paths
                        	**type**\:   :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.advertise = Native.Router.Isis.AddressFamily.Ipv4.Topology.Advertise()
                            self.advertise.parent = self
                            self.default_information = Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation()
                            self.default_information.parent = self
                            self.distance = YList()
                            self.distance.parent = self
                            self.distance.name = 'distance'
                            self.help = None
                            self.ignore_attached_bit = None
                            self.ip = Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip()
                            self.ip.parent = self
                            self.maximum_paths = None
                            self.metric = Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric()
                            self.metric.parent = self
                            self.prc_interval = Native.Router.Isis.AddressFamily.Ipv4.Topology.PrcInterval()
                            self.prc_interval.parent = self
                            self.priority = None
                            self.redistribute = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute()
                            self.redistribute.parent = self
                            self.set_attached_bit = Native.Router.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit()
                            self.set_attached_bit.parent = self
                            self.set_overload_bit = None
                            self.snmp = Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp()
                            self.snmp.parent = self
                            self.spf_interval = Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval()
                            self.spf_interval.parent = self
                            self.summary_address = YList()
                            self.summary_address.parent = self
                            self.summary_address.name = 'summary_address'
                            self.tid = None
                            self.traffic_share = Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare()
                            self.traffic_share.parent = self


                        class Distance(object):
                            """
                            Define an administrative distance
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: clns
                            
                            	Distance applied for CLNS derived routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ip
                            
                            	Distance applied for IP derived routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ip_list
                            
                            	
                            	**type**\: list of    :py:class:`IpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance.IpList>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.number = None
                                self.clns = None
                                self.ip = None
                                self.ip_list = YList()
                                self.ip_list.parent = self
                                self.ip_list.name = 'ip_list'


                            class IpList(object):
                                """
                                
                                
                                .. attribute:: ip  <key>
                                
                                	IP Source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildcard_bits
                                
                                	
                                	**type**\: list of    :py:class:`WildcardBits <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance.IpList.WildcardBits>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip = None
                                    self.wildcard_bits = YList()
                                    self.wildcard_bits.parent = self
                                    self.wildcard_bits.name = 'wildcard_bits'


                                class WildcardBits(object):
                                    """
                                    
                                    
                                    .. attribute:: w_bits  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: access_list
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  int
                                    
                                    	**range:** 1..99
                                    
                                    
                                    ----
                                    	**type**\:  int
                                    
                                    	**range:** 1300..1999
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.w_bits = None
                                        self.access_list = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.w_bits is None:
                                            raise YPYModelError('Key property w_bits is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:wildcard-bits[Cisco-IOS-XE-isis:w-bits = ' + str(self.w_bits) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.w_bits is not None:
                                            return True

                                        if self.access_list is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance.IpList.WildcardBits']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip is None:
                                        raise YPYModelError('Key property ip is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:ip-list[Cisco-IOS-XE-isis:ip = ' + str(self.ip) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip is not None:
                                        return True

                                    if self.wildcard_bits is not None:
                                        for child_ref in self.wildcard_bits:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance.IpList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.number is None:
                                    raise YPYModelError('Key property number is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:distance[Cisco-IOS-XE-isis:number = ' + str(self.number) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.number is not None:
                                    return True

                                if self.clns is not None:
                                    return True

                                if self.ip is not None:
                                    return True

                                if self.ip_list is not None:
                                    for child_ref in self.ip_list:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance']['meta_info']


                        class Ip(object):
                            """
                            IP specific commands
                            
                            .. attribute:: route
                            
                            	ISIS IP routes
                            	**type**\:   :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.route = Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route()
                                self.route.parent = self


                            class Route(object):
                                """
                                ISIS IP routes
                                
                                .. attribute:: priority
                                
                                	Assign priority to IP prefixes
                                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.priority = Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority()
                                    self.priority.parent = self


                                class Priority(object):
                                    """
                                    Assign priority to IP prefixes
                                    
                                    .. attribute:: high
                                    
                                    	Assign high priority to important IP prefixes in ISIS IP local RIB
                                    	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.high = Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High()
                                        self.high.parent = self


                                    class High(object):
                                        """
                                        Assign high priority to important IP prefixes in ISIS IP local RIB
                                        
                                        .. attribute:: tag
                                        
                                        	Assign high priority to IP prefixes with a specific route tag
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.tag = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:high'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:priority'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.high is not None and self.high._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:route'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.priority is not None and self.priority._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.route is not None and self.route._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip']['meta_info']


                        class Redistribute(object):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\: list of    :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application>`
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:   :py:class:`Isis_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_>`
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: lisp
                            
                            	Locator ID Separation Protocol (LISP)
                            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes redistributed to protocol
                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix>`
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: vrf
                            
                            	Specify a source VRF
                            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.application = YList()
                                self.application.parent = self
                                self.application.name = 'application'
                                self.bgp = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp()
                                self.bgp.parent = self
                                self.connected = None
                                self.eigrp = YList()
                                self.eigrp.parent = self
                                self.eigrp.name = 'eigrp'
                                self.isis = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_()
                                self.isis.parent = self
                                self.iso_igrp = None
                                self.lisp = None
                                self.maximum_prefix = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self.mobile = None
                                self.odr = None
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.ospfv3 = YList()
                                self.ospfv3.parent = self
                                self.ospfv3.name = 'ospfv3'
                                self.rip = None
                                self.static = None
                                self.vrf = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf()
                                self.vrf.parent = self


                            class Application(object):
                                """
                                Application
                                
                                .. attribute:: name  <key>
                                
                                	Application name
                                	**type**\:  str
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:application[Cisco-IOS-XE-isis:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application']['meta_info']


                            class Bgp(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_number
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: clns
                                
                                	Redistribution of BGP NSAP routes
                                	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	Redistribution of BGP IP routes
                                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None
                                    self.clns = None
                                    self.ip = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.MetricTypeEnum']



                                class Clns(object):
                                    """
                                    Redistribution of BGP NSAP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:clns'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns']['meta_info']


                                class Ip(object):
                                    """
                                    Redistribution of BGP IP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_number is not None:
                                        return True

                                    if self.clns is not None and self.clns._has_data():
                                        return True

                                    if self.ip is not None and self.ip._has_data():
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.as_number is None:
                                        raise YPYModelError('Key property as_number is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:eigrp[Cisco-IOS-XE-isis:as-number = ' + str(self.as_number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_number is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp']['meta_info']


                            class Isis_(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: ip
                                
                                	Redistribution of IP routes between levels
                                	**type**\: list of    :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip>`
                                
                                .. attribute:: isis_redistribute
                                
                                	
                                	**type**\: list of    :py:class:`IsisRedistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip = YList()
                                    self.ip.parent = self
                                    self.ip.name = 'ip'
                                    self.isis_redistribute = YList()
                                    self.isis_redistribute.parent = self
                                    self.isis_redistribute.name = 'isis_redistribute'


                                class IsisRedistribute(object):
                                    """
                                    
                                    
                                    .. attribute:: area_tag  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP routes between levels or processes
                                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute.Ip>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.area_tag = None
                                        self.ip = None


                                    class Ip(object):
                                        """
                                        Redistribution of IP routes between levels or processes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute.Ip.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute.Ip.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute.Ip']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.area_tag is None:
                                            raise YPYModelError('Key property area_tag is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:isis-redistribute[Cisco-IOS-XE-isis:area-tag = ' + str(self.area_tag) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.area_tag is not None:
                                            return True

                                        if self.ip is not None and self.ip._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute']['meta_info']


                                class Ip(object):
                                    """
                                    Redistribution of IP routes between levels
                                    
                                    .. attribute:: isis_redist_levels1  <key>
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRedistLevels1Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip.IsisRedistLevels1Enum>`
                                    
                                    .. attribute:: isis_redist_levels2  <key>
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRedistLevels2Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip.IsisRedistLevels2Enum>`
                                    
                                    .. attribute:: distribute_list
                                    
                                    	select routes
                                    	**type**\:  int
                                    
                                    	**range:** 100..199
                                    
                                    .. attribute:: into
                                    
                                    	from level\-n into level\-m
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route matching
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.isis_redist_levels1 = None
                                        self.isis_redist_levels2 = None
                                        self.distribute_list = None
                                        self.into = None
                                        self.route_map = None

                                    class IsisRedistLevels1Enum(Enum):
                                        """
                                        IsisRedistLevels1Enum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        """

                                        level_1 = 0

                                        level_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip.IsisRedistLevels1Enum']


                                    class IsisRedistLevels2Enum(Enum):
                                        """
                                        IsisRedistLevels2Enum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        """

                                        level_1 = 0

                                        level_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip.IsisRedistLevels2Enum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.isis_redist_levels1 is None:
                                            raise YPYModelError('Key property isis_redist_levels1 is None')
                                        if self.isis_redist_levels2 is None:
                                            raise YPYModelError('Key property isis_redist_levels2 is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ip[Cisco-IOS-XE-isis:isis-redist-levels1 = ' + str(self.isis_redist_levels1) + '][Cisco-IOS-XE-isis:isis-redist-levels2 = ' + str(self.isis_redist_levels2) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.isis_redist_levels1 is not None:
                                            return True

                                        if self.isis_redist_levels2 is not None:
                                            return True

                                        if self.distribute_list is not None:
                                            return True

                                        if self.into is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:isis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip is not None:
                                        for child_ref in self.ip:
                                            if child_ref._has_data():
                                                return True

                                    if self.isis_redistribute is not None:
                                        for child_ref in self.isis_redistribute:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_']['meta_info']


                            class IsoIgrp(object):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: area_tag_route_map_container
                                
                                	
                                	**type**\:   :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.area_tag_route_map_container = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer()
                                    self.area_tag_route_map_container.parent = self
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.MetricTypeEnum']



                                class AreaTagRouteMapContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: area_tag
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.area_tag = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:area-tag-route-map-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.area_tag is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:iso-igrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.area_tag_route_map_container is not None and self.area_tag_route_map_container._has_data():
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp']['meta_info']


                            class Lisp(object):
                                """
                                Locator ID Separation Protocol (LISP)
                                
                                .. attribute:: include_connected
                                
                                	Include connected
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.include_connected = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:lisp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.include_connected is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp']['meta_info']


                            class MaximumPrefix(object):
                                """
                                Maximum number of prefixes redistributed to protocol
                                
                                .. attribute:: number
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: threshold_value
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only
                                
                                	Only give warning message when limit is exceeded
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: withdraw
                                
                                	Withdraw redistibuted prefixes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.threshold_value = None
                                    self.warning_only = None
                                    self.withdraw = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:maximum-prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.threshold_value is not None:
                                        return True

                                    if self.warning_only is not None:
                                        return True

                                    if self.withdraw is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix']['meta_info']


                            class Mobile(object):
                                """
                                Mobile routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:mobile'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile']['meta_info']


                            class Odr(object):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:odr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: process_id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.process_id = None
                                    self.levels = None
                                    self.match = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match()
                                    self.match.parent = self
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None
                                    self.vrf = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.MetricTypeEnum']



                                class Match(object):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.internal = None
                                        self.nssa_external = None


                                    class Internal(object):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:internal'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal']['meta_info']


                                    class External(object):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.external_routes = None
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.external_routes is not None:
                                                return True

                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External']['meta_info']


                                    class NssaExternal(object):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_external_routes = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:nssa-external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_external_routes is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:match'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None and self.external._has_data():
                                            return True

                                        if self.internal is not None and self.internal._has_data():
                                            return True

                                        if self.nssa_external is not None and self.nssa_external._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.process_id is None:
                                        raise YPYModelError('Key property process_id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:ospf[Cisco-IOS-XE-isis:process-id = ' + str(self.process_id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.process_id is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.match is not None and self.match._has_data():
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf']['meta_info']


                            class Ospfv3(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: process_id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.process_id = None
                                    self.levels = None
                                    self.match = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match()
                                    self.match.parent = self
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None
                                    self.vrf = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.MetricTypeEnum']



                                class Match(object):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.internal = None
                                        self.nssa_external = None


                                    class Internal(object):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:internal'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal']['meta_info']


                                    class External(object):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.external_routes = None
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.external_routes is not None:
                                                return True

                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External']['meta_info']


                                    class NssaExternal(object):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_external_routes = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:nssa-external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_external_routes is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:match'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None and self.external._has_data():
                                            return True

                                        if self.internal is not None and self.internal._has_data():
                                            return True

                                        if self.nssa_external is not None and self.nssa_external._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.process_id is None:
                                        raise YPYModelError('Key property process_id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:ospfv3[Cisco-IOS-XE-isis:process-id = ' + str(self.process_id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.process_id is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.match is not None and self.match._has_data():
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:rip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: clns
                                
                                	Redistribution of BGP NSAP routes
                                	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	Redistribution of BGP IP routes
                                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.clns = None
                                    self.ip = None


                                class Clns(object):
                                    """
                                    Redistribution of BGP NSAP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:clns'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns']['meta_info']


                                class Ip(object):
                                    """
                                    Redistribution of BGP IP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.clns is not None and self.clns._has_data():
                                        return True

                                    if self.ip is not None and self.ip._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static']['meta_info']


                            class Vrf(object):
                                """
                                Specify a source VRF
                                
                                .. attribute:: global_
                                
                                	global VRF
                                	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_>`
                                
                                .. attribute:: vrf_nm
                                
                                	
                                	**type**\: list of    :py:class:`VrfNm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.global_ = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_()
                                    self.global_.parent = self
                                    self.vrf_nm = YList()
                                    self.vrf_nm.parent = self
                                    self.vrf_nm.name = 'vrf_nm'


                                class VrfNm(object):
                                    """
                                    
                                    
                                    .. attribute:: vrf_nm  <key>
                                    
                                    	Source VRF name
                                    	**type**\:  str
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\:   :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:   :py:class:`Isis_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_>`
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator ID Separation Protocol (LISP)
                                    	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Process ID
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\:   :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.vrf_nm = None
                                        self.application = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application()
                                        self.application.parent = self
                                        self.bgp = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp()
                                        self.bgp.parent = self
                                        self.connected = None
                                        self.eigrp = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp()
                                        self.eigrp.parent = self
                                        self.isis = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_()
                                        self.isis.parent = self
                                        self.iso_igrp = None
                                        self.lisp = None
                                        self.mobile = None
                                        self.ospf = None
                                        self.ospfv3 = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3()
                                        self.ospfv3.parent = self
                                        self.rip = None
                                        self.static = None


                                    class Application(object):
                                        """
                                        Application
                                        
                                        .. attribute:: appname
                                        
                                        	
                                        	**type**\: list of    :py:class:`Appname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.appname = YList()
                                            self.appname.parent = self
                                            self.appname.name = 'appname'


                                        class Appname(object):
                                            """
                                            
                                            
                                            .. attribute:: appname  <key>
                                            
                                            	Application name
                                            	**type**\:  str
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.appname = None
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.appname is None:
                                                    raise YPYModelError('Key property appname is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:appname[Cisco-IOS-XE-isis:appname = ' + str(self.appname) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.appname is not None:
                                                    return True

                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:application'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.appname is not None:
                                                for child_ref in self.appname:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application']['meta_info']


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: a_lesser_1_period_0_xx_period_yy_greater_
                                        
                                        	Autonomous system number
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: bp_as_num
                                        
                                        	
                                        	**type**\: list of    :py:class:`BpAsNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.a_lesser_1_period_0_xx_period_yy_greater_ = None
                                            self.bp_as_num = YList()
                                            self.bp_as_num.parent = self
                                            self.bp_as_num.name = 'bp_as_num'


                                        class BpAsNum(object):
                                            """
                                            
                                            
                                            .. attribute:: bp_as_num  <key>
                                            
                                            	Autonomous system number
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: clns
                                            
                                            	Redistribution of BGP NSAP routes
                                            	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of BGP IP routes
                                            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.bp_as_num = None
                                                self.clns = None
                                                self.ip = None
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.MetricTypeEnum']



                                            class Clns(object):
                                                """
                                                Redistribution of BGP NSAP routes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns.MetricTypeEnum>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.levels = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.route_map = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = 0

                                                    internal = 1

                                                    rib_metric_as_external = 2

                                                    rib_metric_as_internal = 3


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:clns'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.levels is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns']['meta_info']


                                            class Ip(object):
                                                """
                                                Redistribution of BGP IP routes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip.MetricTypeEnum>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.levels = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.route_map = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = 0

                                                    internal = 1

                                                    rib_metric_as_external = 2

                                                    rib_metric_as_internal = 3


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.levels is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.bp_as_num is None:
                                                    raise YPYModelError('Key property bp_as_num is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:bp-as-num[Cisco-IOS-XE-isis:bp-as-num = ' + str(self.bp_as_num) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.bp_as_num is not None:
                                                    return True

                                                if self.clns is not None and self.clns._has_data():
                                                    return True

                                                if self.ip is not None and self.ip._has_data():
                                                    return True

                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:bgp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.a_lesser_1_period_0_xx_period_yy_greater_ is not None:
                                                return True

                                            if self.bp_as_num is not None:
                                                for child_ref in self.bp_as_num:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: eigrp_as
                                        
                                        	
                                        	**type**\: list of    :py:class:`EigrpAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eigrp_as = YList()
                                            self.eigrp_as.parent = self
                                            self.eigrp_as.name = 'eigrp_as'


                                        class EigrpAs(object):
                                            """
                                            
                                            
                                            .. attribute:: eigrp_as  <key>
                                            
                                            	AS number
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eigrp_as = None
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eigrp_as is None:
                                                    raise YPYModelError('Key property eigrp_as is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:eigrp-as[Cisco-IOS-XE-isis:eigrp-as = ' + str(self.eigrp_as) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eigrp_as is not None:
                                                    return True

                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:eigrp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eigrp_as is not None:
                                                for child_ref in self.eigrp_as:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp']['meta_info']


                                    class Isis_(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: ip
                                        
                                        	Redistribution of IP routes between levels or processes
                                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: isis_atag
                                        
                                        	
                                        	**type**\: list of    :py:class:`IsisAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip = None
                                            self.isis_atag = YList()
                                            self.isis_atag.parent = self
                                            self.isis_atag.name = 'isis_atag'


                                        class IsisAtag(object):
                                            """
                                            
                                            
                                            .. attribute:: isis_atag  <key>
                                            
                                            	ISO routing area tag
                                            	**type**\:  str
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP routes between levels or processes
                                            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.isis_atag = None
                                                self.ip = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip()
                                                self.ip.parent = self


                                            class Ip(object):
                                                """
                                                Redistribution of IP routes between levels or processes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip.MetricTypeEnum>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.levels = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.route_map = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = 0

                                                    internal = 1

                                                    rib_metric_as_external = 2

                                                    rib_metric_as_internal = 3


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.levels is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.isis_atag is None:
                                                    raise YPYModelError('Key property isis_atag is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:isis-atag[Cisco-IOS-XE-isis:isis-atag = ' + str(self.isis_atag) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.isis_atag is not None:
                                                    return True

                                                if self.ip is not None and self.ip._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag']['meta_info']


                                        class Ip(object):
                                            """
                                            Redistribution of IP routes between levels or processes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.Ip.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.Ip.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.Ip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:isis'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip is not None and self.ip._has_data():
                                                return True

                                            if self.isis_atag is not None:
                                                for child_ref in self.isis_atag:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_']['meta_info']


                                    class IsoIgrp(object):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: iso_atag
                                        
                                        	
                                        	**type**\: list of    :py:class:`IsoAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:   :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.iso_atag = YList()
                                            self.iso_atag.parent = self
                                            self.iso_atag.name = 'iso_atag'
                                            self.route_map = None


                                        class IsoAtag(object):
                                            """
                                            
                                            
                                            .. attribute:: iso_atag  <key>
                                            
                                            	ISO routing area tag
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.iso_atag = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.iso_atag is None:
                                                    raise YPYModelError('Key property iso_atag is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:iso-atag[Cisco-IOS-XE-isis:iso-atag = ' + str(self.iso_atag) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.iso_atag is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag']['meta_info']


                                        class RouteMap(object):
                                            """
                                            Route map reference
                                            
                                            .. attribute:: rm_point
                                            
                                            	Pointer to route\-map entries
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.rm_point = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:route-map'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.rm_point is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:iso-igrp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.iso_atag is not None:
                                                for child_ref in self.iso_atag:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.route_map is not None and self.route_map._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp']['meta_info']


                                    class Lisp(object):
                                        """
                                        Locator ID Separation Protocol (LISP)
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:lisp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp']['meta_info']


                                    class Mobile(object):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:mobile'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile']['meta_info']


                                    class Ospfv3(object):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: os3_id
                                        
                                        	
                                        	**type**\: list of    :py:class:`Os3Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.os3_id = YList()
                                            self.os3_id.parent = self
                                            self.os3_id.name = 'os3_id'


                                        class Os3Id(object):
                                            """
                                            
                                            
                                            .. attribute:: os3_id  <key>
                                            
                                            	Process ID
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.os3_id = None
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.os3_id is None:
                                                    raise YPYModelError('Key property os3_id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:os3-id[Cisco-IOS-XE-isis:os3-id = ' + str(self.os3_id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.os3_id is not None:
                                                    return True

                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:ospfv3'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.os3_id is not None:
                                                for child_ref in self.os3_id:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:rip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of BGP NSAP routes
                                        	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ip
                                        
                                        	Redistribution of BGP IP routes
                                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.clns = None
                                            self.ip = None
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.MetricTypeEnum']



                                        class Clns(object):
                                            """
                                            Redistribution of BGP NSAP routes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:clns'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns']['meta_info']


                                        class Ip(object):
                                            """
                                            Redistribution of BGP IP routes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.clns is not None and self.clns._has_data():
                                                return True

                                            if self.ip is not None and self.ip._has_data():
                                                return True

                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.vrf_nm is None:
                                            raise YPYModelError('Key property vrf_nm is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:vrf-nm[Cisco-IOS-XE-isis:vrf-nm = ' + str(self.vrf_nm) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.vrf_nm is not None:
                                            return True

                                        if self.application is not None and self.application._has_data():
                                            return True

                                        if self.bgp is not None and self.bgp._has_data():
                                            return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None and self.eigrp._has_data():
                                            return True

                                        if self.isis is not None and self.isis._has_data():
                                            return True

                                        if self.iso_igrp is not None and self.iso_igrp._has_data():
                                            return True

                                        if self.lisp is not None and self.lisp._has_data():
                                            return True

                                        if self.mobile is not None and self.mobile._has_data():
                                            return True

                                        if self.ospf is not None:
                                            return True

                                        if self.ospfv3 is not None and self.ospfv3._has_data():
                                            return True

                                        if self.rip is not None and self.rip._has_data():
                                            return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']


                                class Global_(object):
                                    """
                                    global VRF
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\:   :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:   :py:class:`Isis_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_>`
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator ID Separation Protocol (LISP)
                                    	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Process ID
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\:   :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.application = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application()
                                        self.application.parent = self
                                        self.bgp = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp()
                                        self.bgp.parent = self
                                        self.connected = None
                                        self.eigrp = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp()
                                        self.eigrp.parent = self
                                        self.isis = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_()
                                        self.isis.parent = self
                                        self.iso_igrp = None
                                        self.lisp = None
                                        self.mobile = None
                                        self.ospf = None
                                        self.ospfv3 = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3()
                                        self.ospfv3.parent = self
                                        self.rip = None
                                        self.static = None


                                    class Application(object):
                                        """
                                        Application
                                        
                                        .. attribute:: appname
                                        
                                        	
                                        	**type**\: list of    :py:class:`Appname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.appname = YList()
                                            self.appname.parent = self
                                            self.appname.name = 'appname'


                                        class Appname(object):
                                            """
                                            
                                            
                                            .. attribute:: appname  <key>
                                            
                                            	Application name
                                            	**type**\:  str
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.appname = None
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.appname is None:
                                                    raise YPYModelError('Key property appname is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:appname[Cisco-IOS-XE-isis:appname = ' + str(self.appname) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.appname is not None:
                                                    return True

                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:application'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.appname is not None:
                                                for child_ref in self.appname:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application']['meta_info']


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: a_lesser_1_period_0_xx_period_yy_greater_
                                        
                                        	Autonomous system number
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: bp_as_num
                                        
                                        	
                                        	**type**\: list of    :py:class:`BpAsNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.a_lesser_1_period_0_xx_period_yy_greater_ = None
                                            self.bp_as_num = YList()
                                            self.bp_as_num.parent = self
                                            self.bp_as_num.name = 'bp_as_num'


                                        class BpAsNum(object):
                                            """
                                            
                                            
                                            .. attribute:: bp_as_num  <key>
                                            
                                            	Autonomous system number
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: clns
                                            
                                            	Redistribution of BGP NSAP routes
                                            	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of BGP IP routes
                                            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.bp_as_num = None
                                                self.clns = None
                                                self.ip = None
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.MetricTypeEnum']



                                            class Clns(object):
                                                """
                                                Redistribution of BGP NSAP routes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns.MetricTypeEnum>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.levels = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.route_map = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = 0

                                                    internal = 1

                                                    rib_metric_as_external = 2

                                                    rib_metric_as_internal = 3


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:clns'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.levels is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns']['meta_info']


                                            class Ip(object):
                                                """
                                                Redistribution of BGP IP routes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip.MetricTypeEnum>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.levels = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.route_map = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = 0

                                                    internal = 1

                                                    rib_metric_as_external = 2

                                                    rib_metric_as_internal = 3


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.levels is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.bp_as_num is None:
                                                    raise YPYModelError('Key property bp_as_num is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:bp-as-num[Cisco-IOS-XE-isis:bp-as-num = ' + str(self.bp_as_num) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.bp_as_num is not None:
                                                    return True

                                                if self.clns is not None and self.clns._has_data():
                                                    return True

                                                if self.ip is not None and self.ip._has_data():
                                                    return True

                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:bgp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.a_lesser_1_period_0_xx_period_yy_greater_ is not None:
                                                return True

                                            if self.bp_as_num is not None:
                                                for child_ref in self.bp_as_num:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: eigrp_as
                                        
                                        	
                                        	**type**\: list of    :py:class:`EigrpAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eigrp_as = YList()
                                            self.eigrp_as.parent = self
                                            self.eigrp_as.name = 'eigrp_as'


                                        class EigrpAs(object):
                                            """
                                            
                                            
                                            .. attribute:: eigrp_as  <key>
                                            
                                            	AS number
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eigrp_as = None
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eigrp_as is None:
                                                    raise YPYModelError('Key property eigrp_as is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:eigrp-as[Cisco-IOS-XE-isis:eigrp-as = ' + str(self.eigrp_as) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eigrp_as is not None:
                                                    return True

                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:eigrp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eigrp_as is not None:
                                                for child_ref in self.eigrp_as:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp']['meta_info']


                                    class Isis_(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: ip
                                        
                                        	Redistribution of IP routes between levels or processes
                                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: isis_atag
                                        
                                        	
                                        	**type**\: list of    :py:class:`IsisAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip = None
                                            self.isis_atag = YList()
                                            self.isis_atag.parent = self
                                            self.isis_atag.name = 'isis_atag'


                                        class IsisAtag(object):
                                            """
                                            
                                            
                                            .. attribute:: isis_atag  <key>
                                            
                                            	ISO routing area tag
                                            	**type**\:  str
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP routes between levels or processes
                                            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.isis_atag = None
                                                self.ip = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip()
                                                self.ip.parent = self


                                            class Ip(object):
                                                """
                                                Redistribution of IP routes between levels or processes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip.MetricTypeEnum>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.levels = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.route_map = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = 0

                                                    internal = 1

                                                    rib_metric_as_external = 2

                                                    rib_metric_as_internal = 3


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.levels is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.isis_atag is None:
                                                    raise YPYModelError('Key property isis_atag is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:isis-atag[Cisco-IOS-XE-isis:isis-atag = ' + str(self.isis_atag) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.isis_atag is not None:
                                                    return True

                                                if self.ip is not None and self.ip._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag']['meta_info']


                                        class Ip(object):
                                            """
                                            Redistribution of IP routes between levels or processes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.Ip.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.Ip.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.Ip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:isis'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip is not None and self.ip._has_data():
                                                return True

                                            if self.isis_atag is not None:
                                                for child_ref in self.isis_atag:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_']['meta_info']


                                    class IsoIgrp(object):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: iso_atag
                                        
                                        	
                                        	**type**\: list of    :py:class:`IsoAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:   :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.RouteMap>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.iso_atag = YList()
                                            self.iso_atag.parent = self
                                            self.iso_atag.name = 'iso_atag'
                                            self.route_map = None


                                        class IsoAtag(object):
                                            """
                                            
                                            
                                            .. attribute:: iso_atag  <key>
                                            
                                            	ISO routing area tag
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.iso_atag = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.iso_atag is None:
                                                    raise YPYModelError('Key property iso_atag is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:iso-atag[Cisco-IOS-XE-isis:iso-atag = ' + str(self.iso_atag) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.iso_atag is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag']['meta_info']


                                        class RouteMap(object):
                                            """
                                            Route map reference
                                            
                                            .. attribute:: rm_point
                                            
                                            	Pointer to route\-map entries
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.rm_point = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:route-map'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.rm_point is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.RouteMap']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:iso-igrp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.iso_atag is not None:
                                                for child_ref in self.iso_atag:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.route_map is not None and self.route_map._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp']['meta_info']


                                    class Lisp(object):
                                        """
                                        Locator ID Separation Protocol (LISP)
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:lisp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp']['meta_info']


                                    class Mobile(object):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:mobile'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile']['meta_info']


                                    class Ospfv3(object):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: os3_id
                                        
                                        	
                                        	**type**\: list of    :py:class:`Os3Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.os3_id = YList()
                                            self.os3_id.parent = self
                                            self.os3_id.name = 'os3_id'


                                        class Os3Id(object):
                                            """
                                            
                                            
                                            .. attribute:: os3_id  <key>
                                            
                                            	Process ID
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.os3_id = None
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.os3_id is None:
                                                    raise YPYModelError('Key property os3_id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:os3-id[Cisco-IOS-XE-isis:os3-id = ' + str(self.os3_id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.os3_id is not None:
                                                    return True

                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:ospfv3'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.os3_id is not None:
                                                for child_ref in self.os3_id:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:rip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of BGP NSAP routes
                                        	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ip
                                        
                                        	Redistribution of BGP IP routes
                                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.clns = None
                                            self.ip = None
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.MetricTypeEnum']



                                        class Clns(object):
                                            """
                                            Redistribution of BGP NSAP routes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:clns'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns']['meta_info']


                                        class Ip(object):
                                            """
                                            Redistribution of BGP IP routes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.clns is not None and self.clns._has_data():
                                                return True

                                            if self.ip is not None and self.ip._has_data():
                                                return True

                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:global'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.application is not None and self.application._has_data():
                                            return True

                                        if self.bgp is not None and self.bgp._has_data():
                                            return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None and self.eigrp._has_data():
                                            return True

                                        if self.isis is not None and self.isis._has_data():
                                            return True

                                        if self.iso_igrp is not None and self.iso_igrp._has_data():
                                            return True

                                        if self.lisp is not None and self.lisp._has_data():
                                            return True

                                        if self.mobile is not None and self.mobile._has_data():
                                            return True

                                        if self.ospf is not None:
                                            return True

                                        if self.ospfv3 is not None and self.ospfv3._has_data():
                                            return True

                                        if self.rip is not None and self.rip._has_data():
                                            return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:vrf'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.global_ is not None and self.global_._has_data():
                                        return True

                                    if self.vrf_nm is not None:
                                        for child_ref in self.vrf_nm:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:redistribute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.application is not None:
                                    for child_ref in self.application:
                                        if child_ref._has_data():
                                            return True

                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.eigrp is not None:
                                    for child_ref in self.eigrp:
                                        if child_ref._has_data():
                                            return True

                                if self.isis is not None and self.isis._has_data():
                                    return True

                                if self.iso_igrp is not None and self.iso_igrp._has_data():
                                    return True

                                if self.lisp is not None and self.lisp._has_data():
                                    return True

                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                    return True

                                if self.mobile is not None and self.mobile._has_data():
                                    return True

                                if self.odr is not None and self.odr._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.ospfv3 is not None:
                                    for child_ref in self.ospfv3:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None and self.rip._has_data():
                                    return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                if self.vrf is not None and self.vrf._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']


                        class SetAttachedBit(object):
                            """
                            Conditionally advertise us as attached to L2
                            
                            .. attribute:: route_map
                            
                            	Route\-map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:set-attached-bit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit']['meta_info']


                        class Snmp(object):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\: list of    :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.context = YList()
                                self.context.parent = self
                                self.context.name = 'context'


                            class Context(object):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: name  <key>
                                
                                	Context Name
                                	**type**\:  str
                                
                                .. attribute:: community
                                
                                	Configure a SNMP v2c Community string and access privs
                                	**type**\:   :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community>`
                                
                                .. attribute:: user
                                
                                	Configure a SNMP v3 user
                                	**type**\:   :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.community = Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community()
                                    self.community.parent = self
                                    self.user = Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User()
                                    self.user.parent = self


                                class Community(object):
                                    """
                                    Configure a SNMP v2c Community string and access privs
                                    
                                    .. attribute:: access
                                    
                                    	
                                    	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access>`
                                    
                                    .. attribute:: community_string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.access = Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access()
                                        self.access.parent = self
                                        self.community_string = None


                                    class Access(object):
                                        """
                                        
                                        
                                        .. attribute:: acl_name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: expanded_acl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1300..1999
                                        
                                        .. attribute:: ipv6
                                        
                                        	Specify IPv6 Named Access\-List
                                        	**type**\:  str
                                        
                                        .. attribute:: ro
                                        
                                        	Read\-only access with this community string
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: rw
                                        
                                        	Read\-write access with this community string
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: standard_acl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..99
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.acl_name = None
                                            self.expanded_acl = None
                                            self.ipv6 = None
                                            self.ro = None
                                            self.rw = None
                                            self.standard_acl = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:access'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.acl_name is not None:
                                                return True

                                            if self.expanded_acl is not None:
                                                return True

                                            if self.ipv6 is not None:
                                                return True

                                            if self.ro is not None:
                                                return True

                                            if self.rw is not None:
                                                return True

                                            if self.standard_acl is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:community'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.access is not None and self.access._has_data():
                                            return True

                                        if self.community_string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community']['meta_info']


                                class User(object):
                                    """
                                    Configure a SNMP v3 user
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: permisssion
                                    
                                    	
                                    	**type**\:   :py:class:`Permisssion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.permisssion = Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion()
                                        self.permisssion.parent = self


                                    class Permisssion(object):
                                        """
                                        
                                        
                                        .. attribute:: access
                                        
                                        	specify an access\-list associated with this group
                                        	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access>`
                                        
                                        .. attribute:: auth
                                        
                                        	authentication parameters for the user
                                        	**type**\:   :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth>`
                                        
                                        .. attribute:: credential
                                        
                                        	If the user password is already configured and saved
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: encrypted
                                        
                                        	specifying passwords as MD5 or SHA digests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.access = Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access()
                                            self.access.parent = self
                                            self.auth = Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth()
                                            self.auth.parent = self
                                            self.credential = None
                                            self.encrypted = None


                                        class Access(object):
                                            """
                                            specify an access\-list associated with this group
                                            
                                            .. attribute:: acl_name
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: standard_acl
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.acl_name = None
                                                self.ipv6 = None
                                                self.standard_acl = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:access'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.acl_name is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                if self.standard_acl is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access']['meta_info']


                                        class Auth(object):
                                            """
                                            authentication parameters for the user
                                            
                                            .. attribute:: md5
                                            
                                            	Use HMAC MD5 algorithm for authentication
                                            	**type**\:  str
                                            
                                            .. attribute:: sha
                                            
                                            	Use HMAC SHA algorithm for authentication
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.md5 = None
                                                self.sha = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:auth'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.md5 is not None:
                                                    return True

                                                if self.sha is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:permisssion'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.access is not None and self.access._has_data():
                                                return True

                                            if self.auth is not None and self.auth._has_data():
                                                return True

                                            if self.credential is not None:
                                                return True

                                            if self.encrypted is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:user'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.permisssion is not None and self.permisssion._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:context[Cisco-IOS-XE-isis:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.community is not None and self.community._has_data():
                                        return True

                                    if self.user is not None and self.user._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:snmp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.context is not None:
                                    for child_ref in self.context:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp']['meta_info']


                        class SummaryAddress(object):
                            """
                            Configure IP address summaries
                            
                            .. attribute:: ip  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: level_1
                            
                            	Summarize into level\-1 area
                            	**type**\:   :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level1>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: level_1_2
                            
                            	Summarize into both area and sub\-domain
                            	**type**\:   :py:class:`Level12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level12>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: level_2
                            
                            	Summarize into level\-2 sub\-domain
                            	**type**\:   :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level2>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: metric_tag_container
                            
                            	
                            	**type**\:   :py:class:`MetricTagContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip = None
                                self.mask = None
                                self.level_1 = None
                                self.level_1_2 = None
                                self.level_2 = None
                                self.metric_tag_container = Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer()
                                self.metric_tag_container.parent = self


                            class Level1(object):
                                """
                                Summarize into level\-1 area
                                
                                .. attribute:: metric
                                
                                	Set metric for summay route
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: tag
                                
                                	Set tag
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:level-1'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level1']['meta_info']


                            class Level12(object):
                                """
                                Summarize into both area and sub\-domain
                                
                                .. attribute:: metric
                                
                                	Set metric for summay route
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: tag
                                
                                	Set tag
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:level-1-2'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level12']['meta_info']


                            class Level2(object):
                                """
                                Summarize into level\-2 sub\-domain
                                
                                .. attribute:: metric
                                
                                	Set metric for summay route
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: tag
                                
                                	Set tag
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.metric = None
                                    self.tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:level-2'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.metric is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level2']['meta_info']


                            class MetricTagContainer(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Set metric for summay route
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: tag
                                
                                	Set tag
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:metric-tag-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip is None:
                                    raise YPYModelError('Key property ip is None')
                                if self.mask is None:
                                    raise YPYModelError('Key property mask is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:summary-address[Cisco-IOS-XE-isis:ip = ' + str(self.ip) + '][Cisco-IOS-XE-isis:mask = ' + str(self.mask) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip is not None:
                                    return True

                                if self.mask is not None:
                                    return True

                                if self.level_1 is not None and self.level_1._has_data():
                                    return True

                                if self.level_1_2 is not None and self.level_1_2._has_data():
                                    return True

                                if self.level_2 is not None and self.level_2._has_data():
                                    return True

                                if self.metric_tag_container is not None and self.metric_tag_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress']['meta_info']


                        class TrafficShare(object):
                            """
                            How to compute traffic share over alternate paths
                            
                            .. attribute:: min
                            
                            	All traffic shared among min metric paths
                            	**type**\:   :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.min = Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min()
                                self.min.parent = self


                            class Min(object):
                                """
                                All traffic shared among min metric paths
                                
                                .. attribute:: across_interfaces
                                
                                	Use different interfaces for equal\-cost paths
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.across_interfaces = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:min'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.across_interfaces is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:traffic-share'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.min is not None and self.min._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare']['meta_info']


                        class Advertise(object):
                            """
                            Control which IP routes flow in L1 and L2 LSPs
                            
                            .. attribute:: passive_only
                            
                            	only interface address of passive interfaces
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.passive_only = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:advertise'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.passive_only is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Advertise']['meta_info']


                        class DefaultInformation(object):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:   :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation.Originate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.originate = None


                            class Originate(object):
                                """
                                Distribute a default route
                                
                                .. attribute:: route_map
                                
                                	Route\-map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:originate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation.Originate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:default-information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.originate is not None and self.originate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation']['meta_info']


                        class Metric(object):
                            """
                            Set ISIS metric for all interfaces
                            
                            .. attribute:: metric
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..16777214
                            
                            .. attribute:: metrics
                            
                            	
                            	**type**\: list of    :py:class:`Metrics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = None
                                self.metrics = YList()
                                self.metrics.parent = self
                                self.metrics.name = 'metrics'


                            class Metrics(object):
                                """
                                
                                
                                .. attribute:: level  <key>
                                
                                	
                                	**type**\:   :py:class:`LevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics.LevelEnum>`
                                
                                .. attribute:: metric
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..16777214
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.level = None
                                    self.metric = None

                                class LevelEnum(Enum):
                                    """
                                    LevelEnum

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    """

                                    level_1 = 0

                                    level_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics.LevelEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.level is None:
                                        raise YPYModelError('Key property level is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:metrics[Cisco-IOS-XE-isis:level = ' + str(self.level) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.level is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:metric'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None:
                                    return True

                                if self.metrics is not None:
                                    for child_ref in self.metrics:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric']['meta_info']


                        class PrcInterval(object):
                            """
                            Minimum interval between partial route calculations
                            
                            .. attribute:: initial_wait
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..120000
                            
                            .. attribute:: interval
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..120
                            
                            .. attribute:: minimum_wait
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..120000
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.initial_wait = None
                                self.interval = None
                                self.minimum_wait = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:prc-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.initial_wait is not None:
                                    return True

                                if self.interval is not None:
                                    return True

                                if self.minimum_wait is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.PrcInterval']['meta_info']


                        class SetOverloadBit(object):
                            """
                            Signal other routers not to use us in SPF
                            
                            .. attribute:: on_startup
                            
                            	Set overload\-bit only temporarily after reboot
                            	**type**\:   :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup>`
                            
                            .. attribute:: suppress
                            
                            	If overload\-bit set, suppress the following types of IP prefixes
                            	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.on_startup = Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup()
                                self.on_startup.parent = self
                                self.suppress = Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress()
                                self.suppress.parent = self


                            class OnStartup(object):
                                """
                                Set overload\-bit only temporarily after reboot
                                
                                .. attribute:: time
                                
                                	
                                	**type**\:   :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time>`
                                
                                .. attribute:: wait_for_bgp
                                
                                	Let BGP decide when to unset the overload bit
                                	**type**\:   :py:class:`WaitForBgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.time = Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time()
                                    self.time.parent = self
                                    self.wait_for_bgp = None


                                class Time(object):
                                    """
                                    
                                    
                                    .. attribute:: external
                                    
                                    	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: interlevel
                                    
                                    	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: suppress
                                    
                                    	If overload\-bit set, suppress the following types of IP prefixes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 5..86400
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.interlevel = None
                                        self.suppress = None
                                        self.time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:time'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None:
                                            return True

                                        if self.interlevel is not None:
                                            return True

                                        if self.suppress is not None:
                                            return True

                                        if self.time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time']['meta_info']


                                class WaitForBgp(object):
                                    """
                                    Let BGP decide when to unset the overload bit
                                    
                                    .. attribute:: suppress
                                    
                                    	If overload\-bit set, suppress the following types of IP prefixes
                                    	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.suppress = Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress()
                                        self.suppress.parent = self


                                    class Suppress(object):
                                        """
                                        If overload\-bit set, suppress the following types of IP prefixes
                                        
                                        .. attribute:: external
                                        
                                        	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: interlevel
                                        
                                        	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.external = None
                                            self.interlevel = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:suppress'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.external is not None:
                                                return True

                                            if self.interlevel is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:wait-for-bgp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.suppress is not None and self.suppress._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:on-startup'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.time is not None and self.time._has_data():
                                        return True

                                    if self.wait_for_bgp is not None and self.wait_for_bgp._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup']['meta_info']


                            class Suppress(object):
                                """
                                If overload\-bit set, suppress the following types of IP prefixes
                                
                                .. attribute:: external
                                
                                	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: interlevel
                                
                                	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external = None
                                    self.interlevel = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:suppress'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external is not None:
                                        return True

                                    if self.interlevel is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:set-overload-bit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.on_startup is not None and self.on_startup._has_data():
                                    return True

                                if self.suppress is not None and self.suppress._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit']['meta_info']


                        class SpfInterval(object):
                            """
                            Minimum interval between SPF calculations
                            
                            .. attribute:: intervals
                            
                            	
                            	**type**\:   :py:class:`Intervals <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals>`
                            
                            .. attribute:: level_1_2
                            
                            	
                            	**type**\: list of    :py:class:`Level12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.intervals = Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals()
                                self.intervals.parent = self
                                self.level_1_2 = YList()
                                self.level_1_2.parent = self
                                self.level_1_2.name = 'level_1_2'


                            class Level12(object):
                                """
                                
                                
                                .. attribute:: level  <key>
                                
                                	
                                	**type**\:   :py:class:`LevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12.LevelEnum>`
                                
                                .. attribute:: initial_wait
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..120000
                                
                                .. attribute:: interval
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..120
                                
                                .. attribute:: minimum_wait
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..120000
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.level = None
                                    self.initial_wait = None
                                    self.interval = None
                                    self.minimum_wait = None

                                class LevelEnum(Enum):
                                    """
                                    LevelEnum

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    """

                                    level_1 = 0

                                    level_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12.LevelEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.level is None:
                                        raise YPYModelError('Key property level is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:level-1-2[Cisco-IOS-XE-isis:level = ' + str(self.level) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.level is not None:
                                        return True

                                    if self.initial_wait is not None:
                                        return True

                                    if self.interval is not None:
                                        return True

                                    if self.minimum_wait is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12']['meta_info']


                            class Intervals(object):
                                """
                                
                                
                                .. attribute:: initial_wait
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..120000
                                
                                .. attribute:: interval
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..120
                                
                                .. attribute:: minimum_wait
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..120000
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.initial_wait = None
                                    self.interval = None
                                    self.minimum_wait = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:intervals'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.initial_wait is not None:
                                        return True

                                    if self.interval is not None:
                                        return True

                                    if self.minimum_wait is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:spf-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.intervals is not None and self.intervals._has_data():
                                    return True

                                if self.level_1_2 is not None:
                                    for child_ref in self.level_1_2:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval']['meta_info']

                        @property
                        def _common_path(self):
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv4/Cisco-IOS-XE-isis:topology[Cisco-IOS-XE-isis:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.advertise is not None and self.advertise._has_data():
                                return True

                            if self.default_information is not None and self.default_information._has_data():
                                return True

                            if self.distance is not None:
                                for child_ref in self.distance:
                                    if child_ref._has_data():
                                        return True

                            if self.help is not None:
                                return True

                            if self.ignore_attached_bit is not None:
                                return True

                            if self.ip is not None and self.ip._has_data():
                                return True

                            if self.maximum_paths is not None:
                                return True

                            if self.metric is not None and self.metric._has_data():
                                return True

                            if self.prc_interval is not None and self.prc_interval._has_data():
                                return True

                            if self.priority is not None:
                                return True

                            if self.redistribute is not None and self.redistribute._has_data():
                                return True

                            if self.set_attached_bit is not None and self.set_attached_bit._has_data():
                                return True

                            if self.set_overload_bit is not None and self.set_overload_bit._has_data():
                                return True

                            if self.snmp is not None and self.snmp._has_data():
                                return True

                            if self.spf_interval is not None and self.spf_interval._has_data():
                                return True

                            if self.summary_address is not None:
                                for child_ref in self.summary_address:
                                    if child_ref._has_data():
                                        return True

                            if self.tid is not None:
                                return True

                            if self.traffic_share is not None and self.traffic_share._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4.Topology']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.help is not None:
                            return True

                        if self.snmp is not None and self.snmp._has_data():
                            return True

                        if self.topology is not None:
                            for child_ref in self.topology:
                                if child_ref._has_data():
                                    return True

                        if self.unicast_multicast is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv4']['meta_info']


                class Ipv6(object):
                    """
                    Address family
                    
                    .. attribute:: adjacency_check
                    
                    	Check ISIS neighbor protocol support
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: advertise
                    
                    	Control which IP routes flow in L1 and L2 LSPs
                    	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Advertise>`
                    
                    .. attribute:: bfd
                    
                    	BFD configuration commands
                    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Bfd>`
                    
                    .. attribute:: default_information
                    
                    	Control distribution of default information
                    	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation>`
                    
                    .. attribute:: distance
                    
                    	Administrative distance
                    	**type**\:  int
                    
                    	**range:** 1..254
                    
                    .. attribute:: distribute_list
                    
                    	Filter networks in routing updates
                    	**type**\:   :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.DistributeList>`
                    
                    .. attribute:: help
                    
                    	Description of the interactive help system
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 specific commands
                    	**type**\:   :py:class:`Ipv6_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Ipv6_>`
                    
                    .. attribute:: maximum_paths
                    
                    	Forward packets over multiple paths
                    	**type**\:  int
                    
                    	**range:** 1..32
                    
                    .. attribute:: metric
                    
                    	Set ISIS metric for all interfaces
                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Metric>`
                    
                    .. attribute:: multi_topology
                    
                    	Enable multi\-topology mode
                    	**type**\:   :py:class:`MultiTopology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.MultiTopology>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prc_interval
                    
                    	Minimum interval between partial route calculations
                    	**type**\:   :py:class:`PrcInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.PrcInterval>`
                    
                    .. attribute:: redistribute
                    
                    	Redistribute IPv6 prefixes from another routing protocol
                    	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute>`
                    
                    .. attribute:: router_id
                    
                    	Interface of stable IP address for system
                    	**type**\:  str
                    
                    .. attribute:: set_overload_bit
                    
                    	Signal other routers not to use us in SPF
                    	**type**\:   :py:class:`SetOverloadBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: spf_interval
                    
                    	Minimum interval between SPF calculations
                    	**type**\:   :py:class:`SpfInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SpfInterval>`
                    
                    .. attribute:: summary_prefix
                    
                    	Configure IPv6 summary prefix
                    	**type**\: list of    :py:class:`SummaryPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SummaryPrefix>`
                    
                    .. attribute:: table_map
                    
                    	Map external entry attributes into routing table
                    	**type**\:   :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.TableMap>`
                    
                    .. attribute:: unicast
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.adjacency_check = None
                        self.advertise = Native.Router.Isis.AddressFamily.Ipv6.Advertise()
                        self.advertise.parent = self
                        self.bfd = Native.Router.Isis.AddressFamily.Ipv6.Bfd()
                        self.bfd.parent = self
                        self.default_information = Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation()
                        self.default_information.parent = self
                        self.distance = None
                        self.distribute_list = Native.Router.Isis.AddressFamily.Ipv6.DistributeList()
                        self.distribute_list.parent = self
                        self.help = None
                        self.ipv6 = Native.Router.Isis.AddressFamily.Ipv6.Ipv6_()
                        self.ipv6.parent = self
                        self.maximum_paths = None
                        self.metric = Native.Router.Isis.AddressFamily.Ipv6.Metric()
                        self.metric.parent = self
                        self.multi_topology = None
                        self.prc_interval = Native.Router.Isis.AddressFamily.Ipv6.PrcInterval()
                        self.prc_interval.parent = self
                        self.redistribute = Native.Router.Isis.AddressFamily.Ipv6.Redistribute()
                        self.redistribute.parent = self
                        self.router_id = None
                        self.set_overload_bit = None
                        self.spf_interval = Native.Router.Isis.AddressFamily.Ipv6.SpfInterval()
                        self.spf_interval.parent = self
                        self.summary_prefix = YList()
                        self.summary_prefix.parent = self
                        self.summary_prefix.name = 'summary_prefix'
                        self.table_map = Native.Router.Isis.AddressFamily.Ipv6.TableMap()
                        self.table_map.parent = self
                        self.unicast = None


                    class Advertise(object):
                        """
                        Control which IP routes flow in L1 and L2 LSPs
                        
                        .. attribute:: passive_only
                        
                        	only interface address of passive interfaces
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.passive_only = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:advertise'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.passive_only is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Advertise']['meta_info']


                    class DefaultInformation(object):
                        """
                        Control distribution of default information
                        
                        .. attribute:: originate
                        
                        	Distribute a default route
                        	**type**\:   :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation.Originate>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.originate = None


                        class Originate(object):
                            """
                            Distribute a default route
                            
                            .. attribute:: route_map
                            
                            	Route\-map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.route_map = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:default-information/Cisco-IOS-XE-isis:originate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation.Originate']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:default-information'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.originate is not None and self.originate._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation']['meta_info']


                    class Metric(object):
                        """
                        Set ISIS metric for all interfaces
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: metrics
                        
                        	
                        	**type**\: list of    :py:class:`Metrics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Metric.Metrics>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = None
                            self.metrics = YList()
                            self.metrics.parent = self
                            self.metrics.name = 'metrics'


                        class Metrics(object):
                            """
                            
                            
                            .. attribute:: level  <key>
                            
                            	
                            	**type**\:   :py:class:`LevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Metric.Metrics.LevelEnum>`
                            
                            .. attribute:: metric
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..16777214
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.level = None
                                self.metric = None

                            class LevelEnum(Enum):
                                """
                                LevelEnum

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = 0

                                level_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Metric.Metrics.LevelEnum']


                            @property
                            def _common_path(self):
                                if self.level is None:
                                    raise YPYModelError('Key property level is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:metric/Cisco-IOS-XE-isis:metrics[Cisco-IOS-XE-isis:level = ' + str(self.level) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.level is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Metric.Metrics']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:metric'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None:
                                return True

                            if self.metrics is not None:
                                for child_ref in self.metrics:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Metric']['meta_info']


                    class PrcInterval(object):
                        """
                        Minimum interval between partial route calculations
                        
                        .. attribute:: initial_wait
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..120000
                        
                        .. attribute:: interval
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..120
                        
                        .. attribute:: minimum_wait
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..120000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.initial_wait = None
                            self.interval = None
                            self.minimum_wait = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:prc-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.initial_wait is not None:
                                return True

                            if self.interval is not None:
                                return True

                            if self.minimum_wait is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.PrcInterval']['meta_info']


                    class SetOverloadBit(object):
                        """
                        Signal other routers not to use us in SPF
                        
                        .. attribute:: on_startup
                        
                        	Set overload\-bit only temporarily after reboot
                        	**type**\:   :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup>`
                        
                        .. attribute:: suppress
                        
                        	If overload\-bit set, suppress the following types of IP prefixes
                        	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.on_startup = Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup()
                            self.on_startup.parent = self
                            self.suppress = Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress()
                            self.suppress.parent = self


                        class OnStartup(object):
                            """
                            Set overload\-bit only temporarily after reboot
                            
                            .. attribute:: time
                            
                            	
                            	**type**\:   :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time>`
                            
                            .. attribute:: wait_for_bgp
                            
                            	Let BGP decide when to unset the overload bit
                            	**type**\:   :py:class:`WaitForBgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.time = Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time()
                                self.time.parent = self
                                self.wait_for_bgp = None


                            class Time(object):
                                """
                                
                                
                                .. attribute:: external
                                
                                	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: interlevel
                                
                                	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: suppress
                                
                                	If overload\-bit set, suppress the following types of IP prefixes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: time
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 5..86400
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external = None
                                    self.interlevel = None
                                    self.suppress = None
                                    self.time = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:set-overload-bit/Cisco-IOS-XE-isis:on-startup/Cisco-IOS-XE-isis:time'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external is not None:
                                        return True

                                    if self.interlevel is not None:
                                        return True

                                    if self.suppress is not None:
                                        return True

                                    if self.time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time']['meta_info']


                            class WaitForBgp(object):
                                """
                                Let BGP decide when to unset the overload bit
                                
                                .. attribute:: suppress
                                
                                	If overload\-bit set, suppress the following types of IP prefixes
                                	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.suppress = Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress()
                                    self.suppress.parent = self


                                class Suppress(object):
                                    """
                                    If overload\-bit set, suppress the following types of IP prefixes
                                    
                                    .. attribute:: external
                                    
                                    	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: interlevel
                                    
                                    	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.interlevel = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:set-overload-bit/Cisco-IOS-XE-isis:on-startup/Cisco-IOS-XE-isis:wait-for-bgp/Cisco-IOS-XE-isis:suppress'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None:
                                            return True

                                        if self.interlevel is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:set-overload-bit/Cisco-IOS-XE-isis:on-startup/Cisco-IOS-XE-isis:wait-for-bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.suppress is not None and self.suppress._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:set-overload-bit/Cisco-IOS-XE-isis:on-startup'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.time is not None and self.time._has_data():
                                    return True

                                if self.wait_for_bgp is not None and self.wait_for_bgp._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup']['meta_info']


                        class Suppress(object):
                            """
                            If overload\-bit set, suppress the following types of IP prefixes
                            
                            .. attribute:: external
                            
                            	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: interlevel
                            
                            	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.external = None
                                self.interlevel = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:set-overload-bit/Cisco-IOS-XE-isis:suppress'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.external is not None:
                                    return True

                                if self.interlevel is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:set-overload-bit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.on_startup is not None and self.on_startup._has_data():
                                return True

                            if self.suppress is not None and self.suppress._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit']['meta_info']


                    class SpfInterval(object):
                        """
                        Minimum interval between SPF calculations
                        
                        .. attribute:: intervals
                        
                        	
                        	**type**\:   :py:class:`Intervals <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Intervals>`
                        
                        .. attribute:: level_1_2
                        
                        	
                        	**type**\: list of    :py:class:`Level12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Level12>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.intervals = Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Intervals()
                            self.intervals.parent = self
                            self.level_1_2 = YList()
                            self.level_1_2.parent = self
                            self.level_1_2.name = 'level_1_2'


                        class Level12(object):
                            """
                            
                            
                            .. attribute:: level  <key>
                            
                            	
                            	**type**\:   :py:class:`LevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Level12.LevelEnum>`
                            
                            .. attribute:: initial_wait
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..120000
                            
                            .. attribute:: interval
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..120
                            
                            .. attribute:: minimum_wait
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..120000
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.level = None
                                self.initial_wait = None
                                self.interval = None
                                self.minimum_wait = None

                            class LevelEnum(Enum):
                                """
                                LevelEnum

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = 0

                                level_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Level12.LevelEnum']


                            @property
                            def _common_path(self):
                                if self.level is None:
                                    raise YPYModelError('Key property level is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:spf-interval/Cisco-IOS-XE-isis:level-1-2[Cisco-IOS-XE-isis:level = ' + str(self.level) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.level is not None:
                                    return True

                                if self.initial_wait is not None:
                                    return True

                                if self.interval is not None:
                                    return True

                                if self.minimum_wait is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Level12']['meta_info']


                        class Intervals(object):
                            """
                            
                            
                            .. attribute:: initial_wait
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..120000
                            
                            .. attribute:: interval
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..120
                            
                            .. attribute:: minimum_wait
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..120000
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.initial_wait = None
                                self.interval = None
                                self.minimum_wait = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:spf-interval/Cisco-IOS-XE-isis:intervals'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.initial_wait is not None:
                                    return True

                                if self.interval is not None:
                                    return True

                                if self.minimum_wait is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Intervals']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:spf-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.intervals is not None and self.intervals._has_data():
                                return True

                            if self.level_1_2 is not None:
                                for child_ref in self.level_1_2:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.SpfInterval']['meta_info']


                    class Bfd(object):
                        """
                        BFD configuration commands
                        
                        .. attribute:: all_interfaces
                        
                        	Enable BFD on all interfaces
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: check_ctrl_plane_failure
                        
                        	BFD check control plane failure
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all_interfaces = None
                            self.check_ctrl_plane_failure = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:bfd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all_interfaces is not None:
                                return True

                            if self.check_ctrl_plane_failure is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Bfd']['meta_info']


                    class DistributeList(object):
                        """
                        Filter networks in routing updates
                        
                        .. attribute:: prefix_list
                        
                        	Filter connections based on an IPv6 prefix\-list
                        	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix_list = YList()
                            self.prefix_list.parent = self
                            self.prefix_list.name = 'prefix_list'


                        class PrefixList(object):
                            """
                            Filter connections based on an IPv6 prefix\-list
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: in_
                            
                            	Filter incoming routing updates
                            	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.in_ = None


                            class In_(object):
                                """
                                Filter incoming routing updates
                                
                                .. attribute:: interface
                                
                                	Specify interface
                                	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.interface = Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface()
                                    self.interface.parent = self


                                class Interface(object):
                                    """
                                    Specify interface
                                    
                                    .. attribute:: appnav_compress
                                    
                                    	Service\-Context Virtual Interface Compress
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: appnav_uncompress
                                    
                                    	Service\-Context Virtual Interface UnCompress
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: atm
                                    
                                    	ATM interface
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                    
                                    .. attribute:: atm_acr
                                    
                                    	ATM\-ACR interface
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9]
                                    
                                    .. attribute:: atm_acrsubinterface
                                    
                                    	
                                    	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmAcrsubinterface>`
                                    
                                    .. attribute:: atm_subinterface
                                    
                                    	
                                    	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmSubinterface>`
                                    
                                    .. attribute:: bdi
                                    
                                    	Bridge\-Domain interface
                                    	**type**\:  str
                                    
                                    .. attribute:: cellular
                                    
                                    	Cellular Interface
                                    	**type**\:  str
                                    
                                    .. attribute:: cem
                                    
                                    	CEM interface
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]
                                    
                                    .. attribute:: cem_acr
                                    
                                    	CEM\-ACR interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: embedded_service_engine
                                    
                                    	cisco embedded service engine module
                                    	**type**\:  str
                                    
                                    .. attribute:: fastethernet
                                    
                                    	FastEthernet IEEE 802.3
                                    	**type**\:  str
                                    
                                    .. attribute:: gigabitethernet
                                    
                                    	GigabitEthernet IEEE 802.3z
                                    	**type**\:  str
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator/ID Separation Protocol Virtual Interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..65520
                                    
                                    .. attribute:: lisp_subinterface
                                    
                                    	Locator/ID Separation Protocol Virtual Interface
                                    	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LispSubinterface>`
                                    
                                    .. attribute:: loopback
                                    
                                    	Loopback interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: multilink
                                    
                                    	Multilink\-group interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: nve
                                    
                                    	Network virtualization endpoint interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: overlay
                                    
                                    	Overlay interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: port_channel
                                    
                                    	Ethernet Channel of interfaces
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: port_channel_subinterface
                                    
                                    	
                                    	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface>`
                                    
                                    .. attribute:: pseudowire
                                    
                                    	Pseudowire Interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: serial
                                    
                                    	Serial interface
                                    	**type**\:  str
                                    
                                    .. attribute:: sm
                                    
                                    	SM Interface
                                    	**type**\:  str
                                    
                                    .. attribute:: tengigabitethernet
                                    
                                    	Ten Gigabit Ethernet
                                    	**type**\:  str
                                    
                                    .. attribute:: tunnel
                                    
                                    	Tunnel interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: vasileft
                                    
                                    	vasileft
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: vasiright
                                    
                                    	vasiright
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: virtual_template
                                    
                                    	Virtual Template interface
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: virtualportgroup
                                    
                                    	Virtual Port Group
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: vlan
                                    
                                    	Iosxr Vlans
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.appnav_compress = None
                                        self.appnav_uncompress = None
                                        self.atm = None
                                        self.atm_acr = None
                                        self.atm_acrsubinterface = Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmAcrsubinterface()
                                        self.atm_acrsubinterface.parent = self
                                        self.atm_subinterface = Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmSubinterface()
                                        self.atm_subinterface.parent = self
                                        self.bdi = None
                                        self.cellular = None
                                        self.cem = None
                                        self.cem_acr = None
                                        self.embedded_service_engine = None
                                        self.fastethernet = None
                                        self.gigabitethernet = None
                                        self.lisp = None
                                        self.lisp_subinterface = Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LispSubinterface()
                                        self.lisp_subinterface.parent = self
                                        self.loopback = None
                                        self.multilink = None
                                        self.nve = None
                                        self.overlay = None
                                        self.port_channel = None
                                        self.port_channel_subinterface = Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface()
                                        self.port_channel_subinterface.parent = self
                                        self.pseudowire = None
                                        self.serial = None
                                        self.sm = None
                                        self.tengigabitethernet = None
                                        self.tunnel = None
                                        self.vasileft = None
                                        self.vasiright = None
                                        self.virtual_template = None
                                        self.virtualportgroup = None
                                        self.vlan = None


                                    class AtmSubinterface(object):
                                        """
                                        
                                        
                                        .. attribute:: atm
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.atm = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:ATM-subinterface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.atm is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmSubinterface']['meta_info']


                                    class AtmAcrsubinterface(object):
                                        """
                                        
                                        
                                        .. attribute:: atm_acr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.atm_acr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:ATM-ACRsubinterface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.atm_acr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmAcrsubinterface']['meta_info']


                                    class LispSubinterface(object):
                                        """
                                        Locator/ID Separation Protocol Virtual Interface
                                        
                                        .. attribute:: lisp
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:LISP-subinterface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LispSubinterface']['meta_info']


                                    class PortChannelSubinterface(object):
                                        """
                                        
                                        
                                        .. attribute:: port_channel
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.port_channel = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:Port-channel-subinterface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.port_channel is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:interface'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.appnav_compress is not None:
                                            return True

                                        if self.appnav_uncompress is not None:
                                            return True

                                        if self.atm is not None:
                                            return True

                                        if self.atm_acr is not None:
                                            return True

                                        if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                            return True

                                        if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                            return True

                                        if self.bdi is not None:
                                            return True

                                        if self.cellular is not None:
                                            return True

                                        if self.cem is not None:
                                            return True

                                        if self.cem_acr is not None:
                                            return True

                                        if self.embedded_service_engine is not None:
                                            return True

                                        if self.fastethernet is not None:
                                            return True

                                        if self.gigabitethernet is not None:
                                            return True

                                        if self.lisp is not None:
                                            return True

                                        if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                            return True

                                        if self.loopback is not None:
                                            return True

                                        if self.multilink is not None:
                                            return True

                                        if self.nve is not None:
                                            return True

                                        if self.overlay is not None:
                                            return True

                                        if self.port_channel is not None:
                                            return True

                                        if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                            return True

                                        if self.pseudowire is not None:
                                            return True

                                        if self.serial is not None:
                                            return True

                                        if self.sm is not None:
                                            return True

                                        if self.tengigabitethernet is not None:
                                            return True

                                        if self.tunnel is not None:
                                            return True

                                        if self.vasileft is not None:
                                            return True

                                        if self.vasiright is not None:
                                            return True

                                        if self.virtual_template is not None:
                                            return True

                                        if self.virtualportgroup is not None:
                                            return True

                                        if self.vlan is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:in'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.interface is not None and self.interface._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:distribute-list/Cisco-IOS-XE-isis:prefix-list[Cisco-IOS-XE-isis:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.in_ is not None and self.in_._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:distribute-list'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix_list is not None:
                                for child_ref in self.prefix_list:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.DistributeList']['meta_info']


                    class Ipv6_(object):
                        """
                        IPv6 specific commands
                        
                        .. attribute:: route
                        
                        	ISIS IPV6 routes
                        	**type**\:   :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.route = Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route()
                            self.route.parent = self


                        class Route(object):
                            """
                            ISIS IPV6 routes
                            
                            .. attribute:: priority
                            
                            	Assign priority to IPV6 prefixes
                            	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.priority = Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority()
                                self.priority.parent = self


                            class Priority(object):
                                """
                                Assign priority to IPV6 prefixes
                                
                                .. attribute:: high
                                
                                	Assign high priority to important IPV6 prefixes in ISIS IPV6 local RIB
                                	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority.High>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.high = Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority.High()
                                    self.high.parent = self


                                class High(object):
                                    """
                                    Assign high priority to important IPV6 prefixes in ISIS IPV6 local RIB
                                    
                                    .. attribute:: tag
                                    
                                    	Assign high priority to IPV6 prefixes with a specific route tag
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.tag = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:route/Cisco-IOS-XE-isis:priority/Cisco-IOS-XE-isis:high'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority.High']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:route/Cisco-IOS-XE-isis:priority'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.high is not None and self.high._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:route'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.priority is not None and self.priority._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Ipv6_.Route']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.route is not None and self.route._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Ipv6_']['meta_info']


                    class MultiTopology(object):
                        """
                        Enable multi\-topology mode
                        
                        .. attribute:: transition
                        
                        	Accept and generate both IS\-IS IPv6 and Multi\-topology IPv6 TLVs
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.transition = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:multi-topology'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.transition is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.MultiTopology']['meta_info']


                    class Redistribute(object):
                        """
                        Redistribute IPv6 prefixes from another routing protocol
                        
                        .. attribute:: application
                        
                        	Application Protocol
                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Application>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\:   :py:class:`Isis_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: lisp
                        
                        	Locator ID Separation Protocol (LISP)
                        	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Lisp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: nd
                        
                        	Neighbor Discovery
                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: nemo
                        
                        	Network Mobility (NEMO)
                        	**type**\:   :py:class:`Nemo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nemo>`
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf>`
                        
                        .. attribute:: rip
                        
                        	IPv6 Routing Information Protocol (RIPv6)
                        	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Rip>`
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Static>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.application = None
                            self.bgp = Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Bgp()
                            self.bgp.parent = self
                            self.connected = None
                            self.eigrp = YList()
                            self.eigrp.parent = self
                            self.eigrp.name = 'eigrp'
                            self.isis = None
                            self.lisp = None
                            self.nd = None
                            self.nemo = Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nemo()
                            self.nemo.parent = self
                            self.ospf = YList()
                            self.ospf.parent = self
                            self.ospf.name = 'ospf'
                            self.rip = YList()
                            self.rip.parent = self
                            self.rip.name = 'rip'
                            self.static = None


                        class Application(object):
                            """
                            Application Protocol
                            
                            .. attribute:: include_connected
                            
                            	Include connected
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Application.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.include_connected = None
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Application.MetricTypeEnum']


                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:application'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.include_connected is not None:
                                    return True

                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Application']['meta_info']


                        class Bgp(object):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: as_number
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: include_connected
                            
                            	Include connected
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Bgp.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.as_number = None
                                self.include_connected = None
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Bgp.MetricTypeEnum']


                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:bgp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.as_number is not None:
                                    return True

                                if self.include_connected is not None:
                                    return True

                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Bgp']['meta_info']


                        class Connected(object):
                            """
                            Connected
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Connected.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Connected.MetricTypeEnum']


                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:connected'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Connected']['meta_info']


                        class Eigrp(object):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: as_number  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: include_connected
                            
                            	Include connected
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Eigrp.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.as_number = None
                                self.include_connected = None
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Eigrp.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.as_number is None:
                                    raise YPYModelError('Key property as_number is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:eigrp[Cisco-IOS-XE-isis:as-number = ' + str(self.as_number) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.as_number is not None:
                                    return True

                                if self.include_connected is not None:
                                    return True

                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Eigrp']['meta_info']


                        class Isis_(object):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: isis_leak
                            
                            	
                            	**type**\: list of    :py:class:`IsisLeak <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak>`
                            
                            .. attribute:: isis_redistribute
                            
                            	
                            	**type**\: list of    :py:class:`IsisRedistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisRedistribute>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.isis_leak = YList()
                                self.isis_leak.parent = self
                                self.isis_leak.name = 'isis_leak'
                                self.isis_redistribute = YList()
                                self.isis_redistribute.parent = self
                                self.isis_redistribute.name = 'isis_redistribute'


                            class IsisRedistribute(object):
                                """
                                
                                
                                .. attribute:: area_tag  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: include_connected
                                
                                	Include connected
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisRedistribute.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.area_tag = None
                                    self.include_connected = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisRedistribute.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.area_tag is None:
                                        raise YPYModelError('Key property area_tag is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:isis-redistribute[Cisco-IOS-XE-isis:area-tag = ' + str(self.area_tag) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.area_tag is not None:
                                        return True

                                    if self.include_connected is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisRedistribute']['meta_info']


                            class IsisLeak(object):
                                """
                                
                                
                                .. attribute:: isis_redist_levels1  <key>
                                
                                	
                                	**type**\:   :py:class:`IsisRedistLevels1Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak.IsisRedistLevels1Enum>`
                                
                                .. attribute:: isis_redist_levels2  <key>
                                
                                	
                                	**type**\:   :py:class:`IsisRedistLevels2Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak.IsisRedistLevels2Enum>`
                                
                                .. attribute:: distribute_list
                                
                                	select routes
                                	**type**\:  str
                                
                                .. attribute:: into
                                
                                	from level\-n into level\-m
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map for route matching
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.isis_redist_levels1 = None
                                    self.isis_redist_levels2 = None
                                    self.distribute_list = None
                                    self.into = None
                                    self.route_map = None

                                class IsisRedistLevels1Enum(Enum):
                                    """
                                    IsisRedistLevels1Enum

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    """

                                    level_1 = 0

                                    level_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak.IsisRedistLevels1Enum']


                                class IsisRedistLevels2Enum(Enum):
                                    """
                                    IsisRedistLevels2Enum

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    """

                                    level_1 = 0

                                    level_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak.IsisRedistLevels2Enum']


                                @property
                                def _common_path(self):
                                    if self.isis_redist_levels1 is None:
                                        raise YPYModelError('Key property isis_redist_levels1 is None')
                                    if self.isis_redist_levels2 is None:
                                        raise YPYModelError('Key property isis_redist_levels2 is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:isis-leak[Cisco-IOS-XE-isis:isis-redist-levels1 = ' + str(self.isis_redist_levels1) + '][Cisco-IOS-XE-isis:isis-redist-levels2 = ' + str(self.isis_redist_levels2) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.isis_redist_levels1 is not None:
                                        return True

                                    if self.isis_redist_levels2 is not None:
                                        return True

                                    if self.distribute_list is not None:
                                        return True

                                    if self.into is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:isis'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.isis_leak is not None:
                                    for child_ref in self.isis_leak:
                                        if child_ref._has_data():
                                            return True

                                if self.isis_redistribute is not None:
                                    for child_ref in self.isis_redistribute:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis_']['meta_info']


                        class Lisp(object):
                            """
                            Locator ID Separation Protocol (LISP)
                            
                            .. attribute:: include_connected
                            
                            	Include connected
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Lisp.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.include_connected = None
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Lisp.MetricTypeEnum']


                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:lisp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.include_connected is not None:
                                    return True

                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Lisp']['meta_info']


                        class Nd(object):
                            """
                            Neighbor Discovery
                            
                            .. attribute:: include_connected
                            
                            	Include connected
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nd.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.include_connected = None
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nd.MetricTypeEnum']


                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:nd'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.include_connected is not None:
                                    return True

                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nd']['meta_info']


                        class Nemo(object):
                            """
                            Network Mobility (NEMO)
                            
                            .. attribute:: include_connected
                            
                            	Include connected
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nemo.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.include_connected = None
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nemo.MetricTypeEnum']


                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:nemo'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.include_connected is not None:
                                    return True

                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nemo']['meta_info']


                        class Ospf(object):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: process_id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: include_connected
                            
                            	Include connected
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: match
                            
                            	Redistribution of OSPF routes
                            	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.process_id = None
                                self.include_connected = None
                                self.levels = None
                                self.match = Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match()
                                self.match.parent = self
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.MetricTypeEnum']



                            class Match(object):
                                """
                                Redistribution of OSPF routes
                                
                                .. attribute:: external
                                
                                	Redistribute OSPF external routes
                                	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: internal
                                
                                	Redistribute OSPF internal routes
                                	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: nssa_external
                                
                                	Redistribute OSPF NSSA external routes
                                	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external = None
                                    self.internal = None
                                    self.nssa_external = None


                                class Internal(object):
                                    """
                                    Redistribute OSPF internal routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:internal'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal']['meta_info']


                                class External(object):
                                    """
                                    Redistribute OSPF external routes
                                    
                                    .. attribute:: external_routes
                                    
                                    	
                                    	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.external_routes = None
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:external'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.external_routes is not None:
                                            return True

                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External']['meta_info']


                                class NssaExternal(object):
                                    """
                                    Redistribute OSPF NSSA external routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_external_routes
                                    
                                    	
                                    	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_external_routes = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:nssa-external'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_external_routes is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:match'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external is not None and self.external._has_data():
                                        return True

                                    if self.internal is not None and self.internal._has_data():
                                        return True

                                    if self.nssa_external is not None and self.nssa_external._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match']['meta_info']

                            @property
                            def _common_path(self):
                                if self.process_id is None:
                                    raise YPYModelError('Key property process_id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:ospf[Cisco-IOS-XE-isis:process-id = ' + str(self.process_id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.process_id is not None:
                                    return True

                                if self.include_connected is not None:
                                    return True

                                if self.levels is not None:
                                    return True

                                if self.match is not None and self.match._has_data():
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf']['meta_info']


                        class Rip(object):
                            """
                            IPv6 Routing Information Protocol (RIPv6)
                            
                            .. attribute:: process  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: include_connected
                            
                            	Include connected
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Rip.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.process = None
                                self.include_connected = None
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Rip.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.process is None:
                                    raise YPYModelError('Key property process is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:rip[Cisco-IOS-XE-isis:process = ' + str(self.process) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.process is not None:
                                    return True

                                if self.include_connected is not None:
                                    return True

                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Rip']['meta_info']


                        class Static(object):
                            """
                            Static routes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Static.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Static.MetricTypeEnum']


                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Static']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:redistribute'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.application is not None and self.application._has_data():
                                return True

                            if self.bgp is not None and self.bgp._has_data():
                                return True

                            if self.connected is not None and self.connected._has_data():
                                return True

                            if self.eigrp is not None:
                                for child_ref in self.eigrp:
                                    if child_ref._has_data():
                                        return True

                            if self.isis is not None and self.isis._has_data():
                                return True

                            if self.lisp is not None and self.lisp._has_data():
                                return True

                            if self.nd is not None and self.nd._has_data():
                                return True

                            if self.nemo is not None and self.nemo._has_data():
                                return True

                            if self.ospf is not None:
                                for child_ref in self.ospf:
                                    if child_ref._has_data():
                                        return True

                            if self.rip is not None:
                                for child_ref in self.rip:
                                    if child_ref._has_data():
                                        return True

                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']


                    class SummaryPrefix(object):
                        """
                        Configure IPv6 summary prefix
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SummaryPrefix.LevelsEnum>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.levels = None

                        class LevelsEnum(Enum):
                            """
                            LevelsEnum

                            .. data:: level_1 = 0

                            .. data:: level_1_2 = 1

                            .. data:: level_2 = 2

                            """

                            level_1 = 0

                            level_1_2 = 1

                            level_2 = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.SummaryPrefix.LevelsEnum']


                        @property
                        def _common_path(self):
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:summary-prefix[Cisco-IOS-XE-isis:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.levels is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.SummaryPrefix']['meta_info']


                    class TableMap(object):
                        """
                        Map external entry attributes into routing table
                        
                        .. attribute:: filter
                        
                        	Selective route download
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.filter = None
                            self.name = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6/Cisco-IOS-XE-isis:table-map'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.filter is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6.TableMap']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family/Cisco-IOS-XE-isis:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.adjacency_check is not None:
                            return True

                        if self.advertise is not None and self.advertise._has_data():
                            return True

                        if self.bfd is not None and self.bfd._has_data():
                            return True

                        if self.default_information is not None and self.default_information._has_data():
                            return True

                        if self.distance is not None:
                            return True

                        if self.distribute_list is not None and self.distribute_list._has_data():
                            return True

                        if self.help is not None:
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        if self.maximum_paths is not None:
                            return True

                        if self.metric is not None and self.metric._has_data():
                            return True

                        if self.multi_topology is not None and self.multi_topology._has_data():
                            return True

                        if self.prc_interval is not None and self.prc_interval._has_data():
                            return True

                        if self.redistribute is not None and self.redistribute._has_data():
                            return True

                        if self.router_id is not None:
                            return True

                        if self.set_overload_bit is not None and self.set_overload_bit._has_data():
                            return True

                        if self.spf_interval is not None and self.spf_interval._has_data():
                            return True

                        if self.summary_prefix is not None:
                            for child_ref in self.summary_prefix:
                                if child_ref._has_data():
                                    return True

                        if self.table_map is not None and self.table_map._has_data():
                            return True

                        if self.unicast is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.AddressFamily.Ipv6']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:address-family'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipv4 is not None and self.ipv4._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.AddressFamily']['meta_info']


            class Distance(object):
                """
                Define an administrative distance
                
                .. attribute:: number  <key>
                
                	
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: clns
                
                	Distance applied for CLNS derived routes
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ip
                
                	Distance applied for IP derived routes
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ip_list
                
                	
                	**type**\: list of    :py:class:`IpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Distance.IpList>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.clns = None
                    self.ip = None
                    self.ip_list = YList()
                    self.ip_list.parent = self
                    self.ip_list.name = 'ip_list'


                class IpList(object):
                    """
                    
                    
                    .. attribute:: ip  <key>
                    
                    	IP Source address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: wildcard_bits
                    
                    	
                    	**type**\: list of    :py:class:`WildcardBits <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Distance.IpList.WildcardBits>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = None
                        self.wildcard_bits = YList()
                        self.wildcard_bits.parent = self
                        self.wildcard_bits.name = 'wildcard_bits'


                    class WildcardBits(object):
                        """
                        
                        
                        .. attribute:: w_bits  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..99
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 1300..1999
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.w_bits = None
                            self.access_list = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.w_bits is None:
                                raise YPYModelError('Key property w_bits is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:wildcard-bits[Cisco-IOS-XE-isis:w-bits = ' + str(self.w_bits) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.w_bits is not None:
                                return True

                            if self.access_list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Distance.IpList.WildcardBits']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.ip is None:
                            raise YPYModelError('Key property ip is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ip-list[Cisco-IOS-XE-isis:ip = ' + str(self.ip) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None:
                            return True

                        if self.wildcard_bits is not None:
                            for child_ref in self.wildcard_bits:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Distance.IpList']['meta_info']

                @property
                def _common_path(self):
                    if self.number is None:
                        raise YPYModelError('Key property number is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:distance[Cisco-IOS-XE-isis:number = ' + str(self.number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.clns is not None:
                        return True

                    if self.ip is not None:
                        return True

                    if self.ip_list is not None:
                        for child_ref in self.ip_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.Distance']['meta_info']


            class Ip(object):
                """
                IP specific commands
                
                .. attribute:: route
                
                	ISIS IP routes
                	**type**\:   :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Ip.Route>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.route = Native.Router.Isis.Ip.Route()
                    self.route.parent = self


                class Route(object):
                    """
                    ISIS IP routes
                    
                    .. attribute:: priority
                    
                    	Assign priority to IP prefixes
                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Ip.Route.Priority>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.priority = Native.Router.Isis.Ip.Route.Priority()
                        self.priority.parent = self


                    class Priority(object):
                        """
                        Assign priority to IP prefixes
                        
                        .. attribute:: high
                        
                        	Assign high priority to important IP prefixes in ISIS IP local RIB
                        	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Ip.Route.Priority.High>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.high = Native.Router.Isis.Ip.Route.Priority.High()
                            self.high.parent = self


                        class High(object):
                            """
                            Assign high priority to important IP prefixes in ISIS IP local RIB
                            
                            .. attribute:: tag
                            
                            	Assign high priority to IP prefixes with a specific route tag
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.tag = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:ip/Cisco-IOS-XE-isis:route/Cisco-IOS-XE-isis:priority/Cisco-IOS-XE-isis:high'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Ip.Route.Priority.High']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:ip/Cisco-IOS-XE-isis:route/Cisco-IOS-XE-isis:priority'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.high is not None and self.high._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Ip.Route.Priority']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:ip/Cisco-IOS-XE-isis:route'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.priority is not None and self.priority._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Ip.Route']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.route is not None and self.route._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.Ip']['meta_info']


            class Redistribute(object):
                """
                Redistribute information from another routing protocol
                
                .. attribute:: application
                
                	Application
                	**type**\: list of    :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Application>`
                
                .. attribute:: bgp
                
                	Border Gateway Protocol (BGP)
                	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Bgp>`
                
                .. attribute:: connected
                
                	Connected
                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Connected>`
                
                	**presence node**\: True
                
                .. attribute:: eigrp
                
                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Eigrp>`
                
                .. attribute:: isis
                
                	ISO IS\-IS
                	**type**\:   :py:class:`Isis_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Isis_>`
                
                .. attribute:: iso_igrp
                
                	IGRP for OSI networks
                	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.IsoIgrp>`
                
                	**presence node**\: True
                
                .. attribute:: lisp
                
                	Locator ID Separation Protocol (LISP)
                	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Lisp>`
                
                	**presence node**\: True
                
                .. attribute:: maximum_prefix
                
                	Maximum number of prefixes redistributed to protocol
                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.MaximumPrefix>`
                
                .. attribute:: mobile
                
                	Mobile routes
                	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Mobile>`
                
                	**presence node**\: True
                
                .. attribute:: odr
                
                	On Demand stub Routes
                	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Odr>`
                
                	**presence node**\: True
                
                .. attribute:: ospf
                
                	Open Shortest Path First (OSPF)
                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospf>`
                
                .. attribute:: ospfv3
                
                	Open Shortest Path First (OSPF)
                	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospfv3>`
                
                .. attribute:: rip
                
                	Routing Information Protocol (RIP)
                	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Rip>`
                
                	**presence node**\: True
                
                .. attribute:: static
                
                	Static routes
                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Static>`
                
                	**presence node**\: True
                
                .. attribute:: vrf
                
                	Specify a source VRF
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.application = YList()
                    self.application.parent = self
                    self.application.name = 'application'
                    self.bgp = Native.Router.Isis.Redistribute.Bgp()
                    self.bgp.parent = self
                    self.connected = None
                    self.eigrp = YList()
                    self.eigrp.parent = self
                    self.eigrp.name = 'eigrp'
                    self.isis = Native.Router.Isis.Redistribute.Isis_()
                    self.isis.parent = self
                    self.iso_igrp = None
                    self.lisp = None
                    self.maximum_prefix = Native.Router.Isis.Redistribute.MaximumPrefix()
                    self.maximum_prefix.parent = self
                    self.mobile = None
                    self.odr = None
                    self.ospf = YList()
                    self.ospf.parent = self
                    self.ospf.name = 'ospf'
                    self.ospfv3 = YList()
                    self.ospfv3.parent = self
                    self.ospfv3.name = 'ospfv3'
                    self.rip = None
                    self.static = None
                    self.vrf = Native.Router.Isis.Redistribute.Vrf()
                    self.vrf.parent = self


                class Application(object):
                    """
                    Application
                    
                    .. attribute:: name  <key>
                    
                    	Application name
                    	**type**\:  str
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Application.MetricTypeEnum>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.levels = None
                        self.metric = None
                        self.metric_type = None
                        self.route_map = None

                    class MetricTypeEnum(Enum):
                        """
                        MetricTypeEnum

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = 0

                        internal = 1

                        rib_metric_as_external = 2

                        rib_metric_as_internal = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.Application.MetricTypeEnum']


                    @property
                    def _common_path(self):
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:application[Cisco-IOS-XE-isis:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.levels is not None:
                            return True

                        if self.metric is not None:
                            return True

                        if self.metric_type is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Redistribute.Application']['meta_info']


                class Bgp(object):
                    """
                    Border Gateway Protocol (BGP)
                    
                    .. attribute:: as_number
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: clns
                    
                    	Redistribution of BGP NSAP routes
                    	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Bgp.Clns>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ip
                    
                    	Redistribution of BGP IP routes
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Bgp.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Bgp.MetricTypeEnum>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.as_number = None
                        self.clns = None
                        self.ip = None
                        self.levels = None
                        self.metric = None
                        self.metric_type = None
                        self.route_map = None

                    class MetricTypeEnum(Enum):
                        """
                        MetricTypeEnum

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = 0

                        internal = 1

                        rib_metric_as_external = 2

                        rib_metric_as_internal = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.Bgp.MetricTypeEnum']



                    class Clns(object):
                        """
                        Redistribution of BGP NSAP routes
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Bgp.Clns.MetricTypeEnum>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.levels = None
                            self.metric = None
                            self.metric_type = None
                            self.route_map = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = 0

                            internal = 1

                            rib_metric_as_external = 2

                            rib_metric_as_internal = 3


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Bgp.Clns.MetricTypeEnum']


                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:bgp/Cisco-IOS-XE-isis:clns'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.levels is not None:
                                return True

                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.Bgp.Clns']['meta_info']


                    class Ip(object):
                        """
                        Redistribution of BGP IP routes
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Bgp.Ip.MetricTypeEnum>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.levels = None
                            self.metric = None
                            self.metric_type = None
                            self.route_map = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = 0

                            internal = 1

                            rib_metric_as_external = 2

                            rib_metric_as_internal = 3


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Bgp.Ip.MetricTypeEnum']


                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:bgp/Cisco-IOS-XE-isis:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.levels is not None:
                                return True

                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.Bgp.Ip']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:bgp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.as_number is not None:
                            return True

                        if self.clns is not None and self.clns._has_data():
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.levels is not None:
                            return True

                        if self.metric is not None:
                            return True

                        if self.metric_type is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Redistribute.Bgp']['meta_info']


                class Connected(object):
                    """
                    Connected
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Connected.MetricTypeEnum>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.levels = None
                        self.metric = None
                        self.metric_type = None
                        self.route_map = None

                    class MetricTypeEnum(Enum):
                        """
                        MetricTypeEnum

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = 0

                        internal = 1

                        rib_metric_as_external = 2

                        rib_metric_as_internal = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.Connected.MetricTypeEnum']


                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:connected'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.levels is not None:
                            return True

                        if self.metric is not None:
                            return True

                        if self.metric_type is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Redistribute.Connected']['meta_info']


                class Eigrp(object):
                    """
                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                    
                    .. attribute:: as_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Eigrp.MetricTypeEnum>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.as_number = None
                        self.levels = None
                        self.metric = None
                        self.metric_type = None
                        self.route_map = None

                    class MetricTypeEnum(Enum):
                        """
                        MetricTypeEnum

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = 0

                        internal = 1

                        rib_metric_as_external = 2

                        rib_metric_as_internal = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.Eigrp.MetricTypeEnum']


                    @property
                    def _common_path(self):
                        if self.as_number is None:
                            raise YPYModelError('Key property as_number is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:eigrp[Cisco-IOS-XE-isis:as-number = ' + str(self.as_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.as_number is not None:
                            return True

                        if self.levels is not None:
                            return True

                        if self.metric is not None:
                            return True

                        if self.metric_type is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Redistribute.Eigrp']['meta_info']


                class Isis_(object):
                    """
                    ISO IS\-IS
                    
                    .. attribute:: ip
                    
                    	Redistribution of IP routes between levels
                    	**type**\: list of    :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Isis_.Ip>`
                    
                    .. attribute:: isis_redistribute
                    
                    	
                    	**type**\: list of    :py:class:`IsisRedistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Isis_.IsisRedistribute>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = YList()
                        self.ip.parent = self
                        self.ip.name = 'ip'
                        self.isis_redistribute = YList()
                        self.isis_redistribute.parent = self
                        self.isis_redistribute.name = 'isis_redistribute'


                    class IsisRedistribute(object):
                        """
                        
                        
                        .. attribute:: area_tag  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip
                        
                        	Redistribution of IP routes between levels or processes
                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Isis_.IsisRedistribute.Ip>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.area_tag = None
                            self.ip = None


                        class Ip(object):
                            """
                            Redistribution of IP routes between levels or processes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Isis_.IsisRedistribute.Ip.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Isis_.IsisRedistribute.Ip.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Isis_.IsisRedistribute.Ip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.area_tag is None:
                                raise YPYModelError('Key property area_tag is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:isis-redistribute[Cisco-IOS-XE-isis:area-tag = ' + str(self.area_tag) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.area_tag is not None:
                                return True

                            if self.ip is not None and self.ip._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.Isis_.IsisRedistribute']['meta_info']


                    class Ip(object):
                        """
                        Redistribution of IP routes between levels
                        
                        .. attribute:: isis_redist_levels1  <key>
                        
                        	
                        	**type**\:   :py:class:`IsisRedistLevels1Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Isis_.Ip.IsisRedistLevels1Enum>`
                        
                        .. attribute:: isis_redist_levels2  <key>
                        
                        	
                        	**type**\:   :py:class:`IsisRedistLevels2Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Isis_.Ip.IsisRedistLevels2Enum>`
                        
                        .. attribute:: distribute_list
                        
                        	select routes
                        	**type**\:  int
                        
                        	**range:** 100..199
                        
                        .. attribute:: into
                        
                        	from level\-n into level\-m
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	Route map for route matching
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.isis_redist_levels1 = None
                            self.isis_redist_levels2 = None
                            self.distribute_list = None
                            self.into = None
                            self.route_map = None

                        class IsisRedistLevels1Enum(Enum):
                            """
                            IsisRedistLevels1Enum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Isis_.Ip.IsisRedistLevels1Enum']


                        class IsisRedistLevels2Enum(Enum):
                            """
                            IsisRedistLevels2Enum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Isis_.Ip.IsisRedistLevels2Enum']


                        @property
                        def _common_path(self):
                            if self.isis_redist_levels1 is None:
                                raise YPYModelError('Key property isis_redist_levels1 is None')
                            if self.isis_redist_levels2 is None:
                                raise YPYModelError('Key property isis_redist_levels2 is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:ip[Cisco-IOS-XE-isis:isis-redist-levels1 = ' + str(self.isis_redist_levels1) + '][Cisco-IOS-XE-isis:isis-redist-levels2 = ' + str(self.isis_redist_levels2) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.isis_redist_levels1 is not None:
                                return True

                            if self.isis_redist_levels2 is not None:
                                return True

                            if self.distribute_list is not None:
                                return True

                            if self.into is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.Isis_.Ip']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:isis'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None:
                            for child_ref in self.ip:
                                if child_ref._has_data():
                                    return True

                        if self.isis_redistribute is not None:
                            for child_ref in self.isis_redistribute:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Redistribute.Isis_']['meta_info']


                class IsoIgrp(object):
                    """
                    IGRP for OSI networks
                    
                    .. attribute:: area_tag_route_map_container
                    
                    	
                    	**type**\:   :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer>`
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.IsoIgrp.MetricTypeEnum>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.area_tag_route_map_container = Native.Router.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer()
                        self.area_tag_route_map_container.parent = self
                        self.levels = None
                        self.metric = None
                        self.metric_type = None
                        self.route_map = None

                    class MetricTypeEnum(Enum):
                        """
                        MetricTypeEnum

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = 0

                        internal = 1

                        rib_metric_as_external = 2

                        rib_metric_as_internal = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.IsoIgrp.MetricTypeEnum']



                    class AreaTagRouteMapContainer(object):
                        """
                        
                        
                        .. attribute:: area_tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.area_tag = None
                            self.route_map = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:iso-igrp/Cisco-IOS-XE-isis:area-tag-route-map-container'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.area_tag is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:iso-igrp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.area_tag_route_map_container is not None and self.area_tag_route_map_container._has_data():
                            return True

                        if self.levels is not None:
                            return True

                        if self.metric is not None:
                            return True

                        if self.metric_type is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Redistribute.IsoIgrp']['meta_info']


                class Lisp(object):
                    """
                    Locator ID Separation Protocol (LISP)
                    
                    .. attribute:: include_connected
                    
                    	Include connected
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Lisp.MetricTypeEnum>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.include_connected = None
                        self.levels = None
                        self.metric = None
                        self.metric_type = None
                        self.route_map = None

                    class MetricTypeEnum(Enum):
                        """
                        MetricTypeEnum

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = 0

                        internal = 1

                        rib_metric_as_external = 2

                        rib_metric_as_internal = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.Lisp.MetricTypeEnum']


                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:lisp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.include_connected is not None:
                            return True

                        if self.levels is not None:
                            return True

                        if self.metric is not None:
                            return True

                        if self.metric_type is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Redistribute.Lisp']['meta_info']


                class MaximumPrefix(object):
                    """
                    Maximum number of prefixes redistributed to protocol
                    
                    .. attribute:: number
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: threshold_value
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..100
                    
                    .. attribute:: warning_only
                    
                    	Only give warning message when limit is exceeded
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: withdraw
                    
                    	Withdraw redistibuted prefixes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.number = None
                        self.threshold_value = None
                        self.warning_only = None
                        self.withdraw = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:maximum-prefix'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.number is not None:
                            return True

                        if self.threshold_value is not None:
                            return True

                        if self.warning_only is not None:
                            return True

                        if self.withdraw is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Redistribute.MaximumPrefix']['meta_info']


                class Mobile(object):
                    """
                    Mobile routes
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Mobile.MetricTypeEnum>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.levels = None
                        self.metric = None
                        self.metric_type = None
                        self.route_map = None

                    class MetricTypeEnum(Enum):
                        """
                        MetricTypeEnum

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = 0

                        internal = 1

                        rib_metric_as_external = 2

                        rib_metric_as_internal = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.Mobile.MetricTypeEnum']


                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:mobile'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.levels is not None:
                            return True

                        if self.metric is not None:
                            return True

                        if self.metric_type is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Redistribute.Mobile']['meta_info']


                class Odr(object):
                    """
                    On Demand stub Routes
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Odr.MetricTypeEnum>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.levels = None
                        self.metric = None
                        self.metric_type = None
                        self.route_map = None

                    class MetricTypeEnum(Enum):
                        """
                        MetricTypeEnum

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = 0

                        internal = 1

                        rib_metric_as_external = 2

                        rib_metric_as_internal = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.Odr.MetricTypeEnum']


                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:odr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.levels is not None:
                            return True

                        if self.metric is not None:
                            return True

                        if self.metric_type is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Redistribute.Odr']['meta_info']


                class Ospf(object):
                    """
                    Open Shortest Path First (OSPF)
                    
                    .. attribute:: process_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                    
                    .. attribute:: match
                    
                    	Redistribution of OSPF routes
                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospf.Match>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospf.MetricTypeEnum>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding Instance
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.process_id = None
                        self.levels = None
                        self.match = Native.Router.Isis.Redistribute.Ospf.Match()
                        self.match.parent = self
                        self.metric = None
                        self.metric_type = None
                        self.route_map = None
                        self.vrf = None

                    class MetricTypeEnum(Enum):
                        """
                        MetricTypeEnum

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = 0

                        internal = 1

                        rib_metric_as_external = 2

                        rib_metric_as_internal = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.Ospf.MetricTypeEnum']



                    class Match(object):
                        """
                        Redistribution of OSPF routes
                        
                        .. attribute:: external
                        
                        	Redistribute OSPF external routes
                        	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospf.Match.External>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: internal
                        
                        	Redistribute OSPF internal routes
                        	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospf.Match.Internal>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: nssa_external
                        
                        	Redistribute OSPF NSSA external routes
                        	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospf.Match.NssaExternal>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.external = None
                            self.internal = None
                            self.nssa_external = None


                        class Internal(object):
                            """
                            Redistribute OSPF internal routes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospf.Match.Internal.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Ospf.Match.Internal.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:internal'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Ospf.Match.Internal']['meta_info']


                        class External(object):
                            """
                            Redistribute OSPF external routes
                            
                            .. attribute:: external_routes
                            
                            	
                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospf.Match.External.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.external_routes = None
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Ospf.Match.External.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:external'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.external_routes is not None:
                                    return True

                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Ospf.Match.External']['meta_info']


                        class NssaExternal(object):
                            """
                            Redistribute OSPF NSSA external routes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum>`
                            
                            .. attribute:: nssa_external_routes
                            
                            	
                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.nssa_external_routes = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:nssa-external'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.nssa_external_routes is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Ospf.Match.NssaExternal']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:match'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.external is not None and self.external._has_data():
                                return True

                            if self.internal is not None and self.internal._has_data():
                                return True

                            if self.nssa_external is not None and self.nssa_external._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.Ospf.Match']['meta_info']

                    @property
                    def _common_path(self):
                        if self.process_id is None:
                            raise YPYModelError('Key property process_id is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:ospf[Cisco-IOS-XE-isis:process-id = ' + str(self.process_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.process_id is not None:
                            return True

                        if self.levels is not None:
                            return True

                        if self.match is not None and self.match._has_data():
                            return True

                        if self.metric is not None:
                            return True

                        if self.metric_type is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Redistribute.Ospf']['meta_info']


                class Ospfv3(object):
                    """
                    Open Shortest Path First (OSPF)
                    
                    .. attribute:: process_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                    
                    .. attribute:: match
                    
                    	Redistribution of OSPF routes
                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospfv3.Match>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospfv3.MetricTypeEnum>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding Instance
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.process_id = None
                        self.levels = None
                        self.match = Native.Router.Isis.Redistribute.Ospfv3.Match()
                        self.match.parent = self
                        self.metric = None
                        self.metric_type = None
                        self.route_map = None
                        self.vrf = None

                    class MetricTypeEnum(Enum):
                        """
                        MetricTypeEnum

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = 0

                        internal = 1

                        rib_metric_as_external = 2

                        rib_metric_as_internal = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.Ospfv3.MetricTypeEnum']



                    class Match(object):
                        """
                        Redistribution of OSPF routes
                        
                        .. attribute:: external
                        
                        	Redistribute OSPF external routes
                        	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospfv3.Match.External>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: internal
                        
                        	Redistribute OSPF internal routes
                        	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospfv3.Match.Internal>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: nssa_external
                        
                        	Redistribute OSPF NSSA external routes
                        	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospfv3.Match.NssaExternal>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.external = None
                            self.internal = None
                            self.nssa_external = None


                        class Internal(object):
                            """
                            Redistribute OSPF internal routes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospfv3.Match.Internal.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Ospfv3.Match.Internal.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:internal'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Ospfv3.Match.Internal']['meta_info']


                        class External(object):
                            """
                            Redistribute OSPF external routes
                            
                            .. attribute:: external_routes
                            
                            	
                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospfv3.Match.External.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.external_routes = None
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Ospfv3.Match.External.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:external'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.external_routes is not None:
                                    return True

                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Ospfv3.Match.External']['meta_info']


                        class NssaExternal(object):
                            """
                            Redistribute OSPF NSSA external routes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospfv3.Match.NssaExternal.MetricTypeEnum>`
                            
                            .. attribute:: nssa_external_routes
                            
                            	
                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.nssa_external_routes = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Ospfv3.Match.NssaExternal.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:nssa-external'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.nssa_external_routes is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Ospfv3.Match.NssaExternal']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:match'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.external is not None and self.external._has_data():
                                return True

                            if self.internal is not None and self.internal._has_data():
                                return True

                            if self.nssa_external is not None and self.nssa_external._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.Ospfv3.Match']['meta_info']

                    @property
                    def _common_path(self):
                        if self.process_id is None:
                            raise YPYModelError('Key property process_id is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:ospfv3[Cisco-IOS-XE-isis:process-id = ' + str(self.process_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.process_id is not None:
                            return True

                        if self.levels is not None:
                            return True

                        if self.match is not None and self.match._has_data():
                            return True

                        if self.metric is not None:
                            return True

                        if self.metric_type is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Redistribute.Ospfv3']['meta_info']


                class Rip(object):
                    """
                    Routing Information Protocol (RIP)
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Rip.MetricTypeEnum>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.levels = None
                        self.metric = None
                        self.metric_type = None
                        self.route_map = None

                    class MetricTypeEnum(Enum):
                        """
                        MetricTypeEnum

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = 0

                        internal = 1

                        rib_metric_as_external = 2

                        rib_metric_as_internal = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.Rip.MetricTypeEnum']


                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:rip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.levels is not None:
                            return True

                        if self.metric is not None:
                            return True

                        if self.metric_type is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Redistribute.Rip']['meta_info']


                class Static(object):
                    """
                    Static routes
                    
                    .. attribute:: clns
                    
                    	Redistribution of BGP NSAP routes
                    	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Static.Clns>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ip
                    
                    	Redistribution of BGP IP routes
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Static.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.clns = None
                        self.ip = None


                    class Clns(object):
                        """
                        Redistribution of BGP NSAP routes
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Static.Clns.MetricTypeEnum>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.levels = None
                            self.metric = None
                            self.metric_type = None
                            self.route_map = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = 0

                            internal = 1

                            rib_metric_as_external = 2

                            rib_metric_as_internal = 3


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Static.Clns.MetricTypeEnum']


                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:static/Cisco-IOS-XE-isis:clns'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.levels is not None:
                                return True

                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.Static.Clns']['meta_info']


                    class Ip(object):
                        """
                        Redistribution of BGP IP routes
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Static.Ip.MetricTypeEnum>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.levels = None
                            self.metric = None
                            self.metric_type = None
                            self.route_map = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = 0

                            internal = 1

                            rib_metric_as_external = 2

                            rib_metric_as_internal = 3


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Static.Ip.MetricTypeEnum']


                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:static/Cisco-IOS-XE-isis:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.levels is not None:
                                return True

                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.Static.Ip']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:static'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.clns is not None and self.clns._has_data():
                            return True

                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Redistribute.Static']['meta_info']


                class Vrf(object):
                    """
                    Specify a source VRF
                    
                    .. attribute:: global_
                    
                    	global VRF
                    	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_>`
                    
                    .. attribute:: vrf_nm
                    
                    	
                    	**type**\: list of    :py:class:`VrfNm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.global_ = Native.Router.Isis.Redistribute.Vrf.Global_()
                        self.global_.parent = self
                        self.vrf_nm = YList()
                        self.vrf_nm.parent = self
                        self.vrf_nm.name = 'vrf_nm'


                    class VrfNm(object):
                        """
                        
                        
                        .. attribute:: vrf_nm  <key>
                        
                        	Source VRF name
                        	**type**\:  str
                        
                        .. attribute:: application
                        
                        	Application
                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Application>`
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:   :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\:   :py:class:`Isis_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_>`
                        
                        .. attribute:: iso_igrp
                        
                        	IGRP for OSI networks
                        	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: lisp
                        
                        	Locator ID Separation Protocol (LISP)
                        	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Lisp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: mobile
                        
                        	Mobile routes
                        	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Mobile>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ospf
                        
                        	Process ID
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\:   :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Rip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Static>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vrf_nm = None
                            self.application = Native.Router.Isis.Redistribute.Vrf.VrfNm.Application()
                            self.application.parent = self
                            self.bgp = Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp()
                            self.bgp.parent = self
                            self.connected = None
                            self.eigrp = Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp()
                            self.eigrp.parent = self
                            self.isis = Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_()
                            self.isis.parent = self
                            self.iso_igrp = None
                            self.lisp = None
                            self.mobile = None
                            self.ospf = None
                            self.ospfv3 = Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3()
                            self.ospfv3.parent = self
                            self.rip = None
                            self.static = None


                        class Application(object):
                            """
                            Application
                            
                            .. attribute:: appname
                            
                            	
                            	**type**\: list of    :py:class:`Appname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Application.Appname>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.appname = YList()
                                self.appname.parent = self
                                self.appname.name = 'appname'


                            class Appname(object):
                                """
                                
                                
                                .. attribute:: appname  <key>
                                
                                	Application name
                                	**type**\:  str
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Application.Appname.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.appname = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Application.Appname.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.appname is None:
                                        raise YPYModelError('Key property appname is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:appname[Cisco-IOS-XE-isis:appname = ' + str(self.appname) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.appname is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Application.Appname']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:application'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.appname is not None:
                                    for child_ref in self.appname:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Application']['meta_info']


                        class Bgp(object):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: a_lesser_1_period_0_xx_period_yy_greater_
                            
                            	Autonomous system number
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: bp_as_num
                            
                            	
                            	**type**\: list of    :py:class:`BpAsNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.a_lesser_1_period_0_xx_period_yy_greater_ = None
                                self.bp_as_num = YList()
                                self.bp_as_num.parent = self
                                self.bp_as_num.name = 'bp_as_num'


                            class BpAsNum(object):
                                """
                                
                                
                                .. attribute:: bp_as_num  <key>
                                
                                	Autonomous system number
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: clns
                                
                                	Redistribution of BGP NSAP routes
                                	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	Redistribution of BGP IP routes
                                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bp_as_num = None
                                    self.clns = None
                                    self.ip = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.MetricTypeEnum']



                                class Clns(object):
                                    """
                                    Redistribution of BGP NSAP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:clns'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns']['meta_info']


                                class Ip(object):
                                    """
                                    Redistribution of BGP IP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.bp_as_num is None:
                                        raise YPYModelError('Key property bp_as_num is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:bp-as-num[Cisco-IOS-XE-isis:bp-as-num = ' + str(self.bp_as_num) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bp_as_num is not None:
                                        return True

                                    if self.clns is not None and self.clns._has_data():
                                        return True

                                    if self.ip is not None and self.ip._has_data():
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:bgp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.a_lesser_1_period_0_xx_period_yy_greater_ is not None:
                                    return True

                                if self.bp_as_num is not None:
                                    for child_ref in self.bp_as_num:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp']['meta_info']


                        class Connected(object):
                            """
                            Connected
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Connected.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Connected.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:connected'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Connected']['meta_info']


                        class Eigrp(object):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: eigrp_as
                            
                            	
                            	**type**\: list of    :py:class:`EigrpAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eigrp_as = YList()
                                self.eigrp_as.parent = self
                                self.eigrp_as.name = 'eigrp_as'


                            class EigrpAs(object):
                                """
                                
                                
                                .. attribute:: eigrp_as  <key>
                                
                                	AS number
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eigrp_as = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.eigrp_as is None:
                                        raise YPYModelError('Key property eigrp_as is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:eigrp-as[Cisco-IOS-XE-isis:eigrp-as = ' + str(self.eigrp_as) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eigrp_as is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:eigrp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eigrp_as is not None:
                                    for child_ref in self.eigrp_as:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp']['meta_info']


                        class Isis_(object):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: ip
                            
                            	Redistribution of IP routes between levels or processes
                            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.Ip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: isis_atag
                            
                            	
                            	**type**\: list of    :py:class:`IsisAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip = None
                                self.isis_atag = YList()
                                self.isis_atag.parent = self
                                self.isis_atag.name = 'isis_atag'


                            class IsisAtag(object):
                                """
                                
                                
                                .. attribute:: isis_atag  <key>
                                
                                	ISO routing area tag
                                	**type**\:  str
                                
                                .. attribute:: ip
                                
                                	Redistribution of IP routes between levels or processes
                                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.isis_atag = None
                                    self.ip = Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip()
                                    self.ip.parent = self


                                class Ip(object):
                                    """
                                    Redistribution of IP routes between levels or processes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.isis_atag is None:
                                        raise YPYModelError('Key property isis_atag is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:isis-atag[Cisco-IOS-XE-isis:isis-atag = ' + str(self.isis_atag) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.isis_atag is not None:
                                        return True

                                    if self.ip is not None and self.ip._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag']['meta_info']


                            class Ip(object):
                                """
                                Redistribution of IP routes between levels or processes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.Ip.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.Ip.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_.Ip']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:isis'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip is not None and self.ip._has_data():
                                    return True

                                if self.isis_atag is not None:
                                    for child_ref in self.isis_atag:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis_']['meta_info']


                        class IsoIgrp(object):
                            """
                            IGRP for OSI networks
                            
                            .. attribute:: iso_atag
                            
                            	
                            	**type**\: list of    :py:class:`IsoAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:   :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.iso_atag = YList()
                                self.iso_atag.parent = self
                                self.iso_atag.name = 'iso_atag'
                                self.route_map = None


                            class IsoAtag(object):
                                """
                                
                                
                                .. attribute:: iso_atag  <key>
                                
                                	ISO routing area tag
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.iso_atag = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.iso_atag is None:
                                        raise YPYModelError('Key property iso_atag is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:iso-atag[Cisco-IOS-XE-isis:iso-atag = ' + str(self.iso_atag) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.iso_atag is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag']['meta_info']


                            class RouteMap(object):
                                """
                                Route map reference
                                
                                .. attribute:: rm_point
                                
                                	Pointer to route\-map entries
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.rm_point = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:route-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.rm_point is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:iso-igrp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.iso_atag is not None:
                                    for child_ref in self.iso_atag:
                                        if child_ref._has_data():
                                            return True

                                if self.route_map is not None and self.route_map._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp']['meta_info']


                        class Lisp(object):
                            """
                            Locator ID Separation Protocol (LISP)
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Lisp.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Lisp.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:lisp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Lisp']['meta_info']


                        class Mobile(object):
                            """
                            Mobile routes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Mobile.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Mobile.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:mobile'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Mobile']['meta_info']


                        class Ospfv3(object):
                            """
                            OSPFv3
                            
                            .. attribute:: os3_id
                            
                            	
                            	**type**\: list of    :py:class:`Os3Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.os3_id = YList()
                                self.os3_id.parent = self
                                self.os3_id.name = 'os3_id'


                            class Os3Id(object):
                                """
                                
                                
                                .. attribute:: os3_id  <key>
                                
                                	Process ID
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.os3_id = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.os3_id is None:
                                        raise YPYModelError('Key property os3_id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:os3-id[Cisco-IOS-XE-isis:os3-id = ' + str(self.os3_id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.os3_id is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:ospfv3'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.os3_id is not None:
                                    for child_ref in self.os3_id:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3']['meta_info']


                        class Rip(object):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Rip.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Rip.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:rip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Rip']['meta_info']


                        class Static(object):
                            """
                            Static routes
                            
                            .. attribute:: clns
                            
                            	Redistribution of BGP NSAP routes
                            	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Clns>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ip
                            
                            	Redistribution of BGP IP routes
                            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Ip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.clns = None
                                self.ip = None
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.MetricTypeEnum']



                            class Clns(object):
                                """
                                Redistribution of BGP NSAP routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Clns.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Clns.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:clns'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Clns']['meta_info']


                            class Ip(object):
                                """
                                Redistribution of BGP IP routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Ip.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Ip.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Ip']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.clns is not None and self.clns._has_data():
                                    return True

                                if self.ip is not None and self.ip._has_data():
                                    return True

                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm.Static']['meta_info']

                        @property
                        def _common_path(self):
                            if self.vrf_nm is None:
                                raise YPYModelError('Key property vrf_nm is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:vrf-nm[Cisco-IOS-XE-isis:vrf-nm = ' + str(self.vrf_nm) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vrf_nm is not None:
                                return True

                            if self.application is not None and self.application._has_data():
                                return True

                            if self.bgp is not None and self.bgp._has_data():
                                return True

                            if self.connected is not None and self.connected._has_data():
                                return True

                            if self.eigrp is not None and self.eigrp._has_data():
                                return True

                            if self.isis is not None and self.isis._has_data():
                                return True

                            if self.iso_igrp is not None and self.iso_igrp._has_data():
                                return True

                            if self.lisp is not None and self.lisp._has_data():
                                return True

                            if self.mobile is not None and self.mobile._has_data():
                                return True

                            if self.ospf is not None:
                                return True

                            if self.ospfv3 is not None and self.ospfv3._has_data():
                                return True

                            if self.rip is not None and self.rip._has_data():
                                return True

                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.VrfNm']['meta_info']


                    class Global_(object):
                        """
                        global VRF
                        
                        .. attribute:: application
                        
                        	Application
                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Application>`
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:   :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\:   :py:class:`Isis_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Isis_>`
                        
                        .. attribute:: iso_igrp
                        
                        	IGRP for OSI networks
                        	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: lisp
                        
                        	Locator ID Separation Protocol (LISP)
                        	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Lisp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: mobile
                        
                        	Mobile routes
                        	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Mobile>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ospf
                        
                        	Process ID
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\:   :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Rip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Static>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.application = Native.Router.Isis.Redistribute.Vrf.Global_.Application()
                            self.application.parent = self
                            self.bgp = Native.Router.Isis.Redistribute.Vrf.Global_.Bgp()
                            self.bgp.parent = self
                            self.connected = None
                            self.eigrp = Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp()
                            self.eigrp.parent = self
                            self.isis = Native.Router.Isis.Redistribute.Vrf.Global_.Isis_()
                            self.isis.parent = self
                            self.iso_igrp = None
                            self.lisp = None
                            self.mobile = None
                            self.ospf = None
                            self.ospfv3 = Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3()
                            self.ospfv3.parent = self
                            self.rip = None
                            self.static = None


                        class Application(object):
                            """
                            Application
                            
                            .. attribute:: appname
                            
                            	
                            	**type**\: list of    :py:class:`Appname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Application.Appname>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.appname = YList()
                                self.appname.parent = self
                                self.appname.name = 'appname'


                            class Appname(object):
                                """
                                
                                
                                .. attribute:: appname  <key>
                                
                                	Application name
                                	**type**\:  str
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Application.Appname.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.appname = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Application.Appname.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.appname is None:
                                        raise YPYModelError('Key property appname is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global/Cisco-IOS-XE-isis:application/Cisco-IOS-XE-isis:appname[Cisco-IOS-XE-isis:appname = ' + str(self.appname) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.appname is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Application.Appname']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global/Cisco-IOS-XE-isis:application'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.appname is not None:
                                    for child_ref in self.appname:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Application']['meta_info']


                        class Bgp(object):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: a_lesser_1_period_0_xx_period_yy_greater_
                            
                            	Autonomous system number
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: bp_as_num
                            
                            	
                            	**type**\: list of    :py:class:`BpAsNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.a_lesser_1_period_0_xx_period_yy_greater_ = None
                                self.bp_as_num = YList()
                                self.bp_as_num.parent = self
                                self.bp_as_num.name = 'bp_as_num'


                            class BpAsNum(object):
                                """
                                
                                
                                .. attribute:: bp_as_num  <key>
                                
                                	Autonomous system number
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: clns
                                
                                	Redistribution of BGP NSAP routes
                                	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	Redistribution of BGP IP routes
                                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bp_as_num = None
                                    self.clns = None
                                    self.ip = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.MetricTypeEnum']



                                class Clns(object):
                                    """
                                    Redistribution of BGP NSAP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:clns'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns']['meta_info']


                                class Ip(object):
                                    """
                                    Redistribution of BGP IP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.bp_as_num is None:
                                        raise YPYModelError('Key property bp_as_num is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global/Cisco-IOS-XE-isis:bgp/Cisco-IOS-XE-isis:bp-as-num[Cisco-IOS-XE-isis:bp-as-num = ' + str(self.bp_as_num) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bp_as_num is not None:
                                        return True

                                    if self.clns is not None and self.clns._has_data():
                                        return True

                                    if self.ip is not None and self.ip._has_data():
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global/Cisco-IOS-XE-isis:bgp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.a_lesser_1_period_0_xx_period_yy_greater_ is not None:
                                    return True

                                if self.bp_as_num is not None:
                                    for child_ref in self.bp_as_num:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Bgp']['meta_info']


                        class Connected(object):
                            """
                            Connected
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Connected.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Connected.MetricTypeEnum']


                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global/Cisco-IOS-XE-isis:connected'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Connected']['meta_info']


                        class Eigrp(object):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: eigrp_as
                            
                            	
                            	**type**\: list of    :py:class:`EigrpAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eigrp_as = YList()
                                self.eigrp_as.parent = self
                                self.eigrp_as.name = 'eigrp_as'


                            class EigrpAs(object):
                                """
                                
                                
                                .. attribute:: eigrp_as  <key>
                                
                                	AS number
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eigrp_as = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.eigrp_as is None:
                                        raise YPYModelError('Key property eigrp_as is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global/Cisco-IOS-XE-isis:eigrp/Cisco-IOS-XE-isis:eigrp-as[Cisco-IOS-XE-isis:eigrp-as = ' + str(self.eigrp_as) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eigrp_as is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global/Cisco-IOS-XE-isis:eigrp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eigrp_as is not None:
                                    for child_ref in self.eigrp_as:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp']['meta_info']


                        class Isis_(object):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: ip
                            
                            	Redistribution of IP routes between levels or processes
                            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.Ip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: isis_atag
                            
                            	
                            	**type**\: list of    :py:class:`IsisAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip = None
                                self.isis_atag = YList()
                                self.isis_atag.parent = self
                                self.isis_atag.name = 'isis_atag'


                            class IsisAtag(object):
                                """
                                
                                
                                .. attribute:: isis_atag  <key>
                                
                                	ISO routing area tag
                                	**type**\:  str
                                
                                .. attribute:: ip
                                
                                	Redistribution of IP routes between levels or processes
                                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.isis_atag = None
                                    self.ip = Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip()
                                    self.ip.parent = self


                                class Ip(object):
                                    """
                                    Redistribution of IP routes between levels or processes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.isis_atag is None:
                                        raise YPYModelError('Key property isis_atag is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:isis-atag[Cisco-IOS-XE-isis:isis-atag = ' + str(self.isis_atag) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.isis_atag is not None:
                                        return True

                                    if self.ip is not None and self.ip._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag']['meta_info']


                            class Ip(object):
                                """
                                Redistribution of IP routes between levels or processes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.Ip.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.Ip.MetricTypeEnum']


                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:ip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Isis_.Ip']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global/Cisco-IOS-XE-isis:isis'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip is not None and self.ip._has_data():
                                    return True

                                if self.isis_atag is not None:
                                    for child_ref in self.isis_atag:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Isis_']['meta_info']


                        class IsoIgrp(object):
                            """
                            IGRP for OSI networks
                            
                            .. attribute:: iso_atag
                            
                            	
                            	**type**\: list of    :py:class:`IsoAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:   :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp.RouteMap>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.iso_atag = YList()
                                self.iso_atag.parent = self
                                self.iso_atag.name = 'iso_atag'
                                self.route_map = None


                            class IsoAtag(object):
                                """
                                
                                
                                .. attribute:: iso_atag  <key>
                                
                                	ISO routing area tag
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.iso_atag = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.iso_atag is None:
                                        raise YPYModelError('Key property iso_atag is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global/Cisco-IOS-XE-isis:iso-igrp/Cisco-IOS-XE-isis:iso-atag[Cisco-IOS-XE-isis:iso-atag = ' + str(self.iso_atag) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.iso_atag is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag']['meta_info']


                            class RouteMap(object):
                                """
                                Route map reference
                                
                                .. attribute:: rm_point
                                
                                	Pointer to route\-map entries
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.rm_point = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global/Cisco-IOS-XE-isis:iso-igrp/Cisco-IOS-XE-isis:route-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.rm_point is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp.RouteMap']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global/Cisco-IOS-XE-isis:iso-igrp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.iso_atag is not None:
                                    for child_ref in self.iso_atag:
                                        if child_ref._has_data():
                                            return True

                                if self.route_map is not None and self.route_map._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp']['meta_info']


                        class Lisp(object):
                            """
                            Locator ID Separation Protocol (LISP)
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Lisp.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Lisp.MetricTypeEnum']


                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global/Cisco-IOS-XE-isis:lisp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Lisp']['meta_info']


                        class Mobile(object):
                            """
                            Mobile routes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Mobile.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Mobile.MetricTypeEnum']


                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global/Cisco-IOS-XE-isis:mobile'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Mobile']['meta_info']


                        class Ospfv3(object):
                            """
                            OSPFv3
                            
                            .. attribute:: os3_id
                            
                            	
                            	**type**\: list of    :py:class:`Os3Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.os3_id = YList()
                                self.os3_id.parent = self
                                self.os3_id.name = 'os3_id'


                            class Os3Id(object):
                                """
                                
                                
                                .. attribute:: os3_id  <key>
                                
                                	Process ID
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.os3_id = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.os3_id is None:
                                        raise YPYModelError('Key property os3_id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global/Cisco-IOS-XE-isis:ospfv3/Cisco-IOS-XE-isis:os3-id[Cisco-IOS-XE-isis:os3-id = ' + str(self.os3_id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.os3_id is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global/Cisco-IOS-XE-isis:ospfv3'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.os3_id is not None:
                                    for child_ref in self.os3_id:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3']['meta_info']


                        class Rip(object):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Rip.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Rip.MetricTypeEnum']


                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global/Cisco-IOS-XE-isis:rip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Rip']['meta_info']


                        class Static(object):
                            """
                            Static routes
                            
                            .. attribute:: clns
                            
                            	Redistribution of BGP NSAP routes
                            	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Static.Clns>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ip
                            
                            	Redistribution of BGP IP routes
                            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Static.Ip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Static.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.clns = None
                                self.ip = None
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Static.MetricTypeEnum']



                            class Clns(object):
                                """
                                Redistribution of BGP NSAP routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Static.Clns.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Static.Clns.MetricTypeEnum']


                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global/Cisco-IOS-XE-isis:static/Cisco-IOS-XE-isis:clns'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Static.Clns']['meta_info']


                            class Ip(object):
                                """
                                Redistribution of BGP IP routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Static.Ip.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Static.Ip.MetricTypeEnum']


                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global/Cisco-IOS-XE-isis:static/Cisco-IOS-XE-isis:ip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Static.Ip']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global/Cisco-IOS-XE-isis:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.clns is not None and self.clns._has_data():
                                    return True

                                if self.ip is not None and self.ip._has_data():
                                    return True

                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_.Static']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf/Cisco-IOS-XE-isis:global'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.application is not None and self.application._has_data():
                                return True

                            if self.bgp is not None and self.bgp._has_data():
                                return True

                            if self.connected is not None and self.connected._has_data():
                                return True

                            if self.eigrp is not None and self.eigrp._has_data():
                                return True

                            if self.isis is not None and self.isis._has_data():
                                return True

                            if self.iso_igrp is not None and self.iso_igrp._has_data():
                                return True

                            if self.lisp is not None and self.lisp._has_data():
                                return True

                            if self.mobile is not None and self.mobile._has_data():
                                return True

                            if self.ospf is not None:
                                return True

                            if self.ospfv3 is not None and self.ospfv3._has_data():
                                return True

                            if self.rip is not None and self.rip._has_data():
                                return True

                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Redistribute.Vrf.Global_']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute/Cisco-IOS-XE-isis:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.global_ is not None and self.global_._has_data():
                            return True

                        if self.vrf_nm is not None:
                            for child_ref in self.vrf_nm:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Redistribute.Vrf']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:redistribute'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.application is not None:
                        for child_ref in self.application:
                            if child_ref._has_data():
                                return True

                    if self.bgp is not None and self.bgp._has_data():
                        return True

                    if self.connected is not None and self.connected._has_data():
                        return True

                    if self.eigrp is not None:
                        for child_ref in self.eigrp:
                            if child_ref._has_data():
                                return True

                    if self.isis is not None and self.isis._has_data():
                        return True

                    if self.iso_igrp is not None and self.iso_igrp._has_data():
                        return True

                    if self.lisp is not None and self.lisp._has_data():
                        return True

                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                        return True

                    if self.mobile is not None and self.mobile._has_data():
                        return True

                    if self.odr is not None and self.odr._has_data():
                        return True

                    if self.ospf is not None:
                        for child_ref in self.ospf:
                            if child_ref._has_data():
                                return True

                    if self.ospfv3 is not None:
                        for child_ref in self.ospfv3:
                            if child_ref._has_data():
                                return True

                    if self.rip is not None and self.rip._has_data():
                        return True

                    if self.static is not None and self.static._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.Redistribute']['meta_info']


            class SetAttachedBit(object):
                """
                Conditionally advertise us as attached to L2
                
                .. attribute:: route_map
                
                	Route\-map reference
                	**type**\:  str
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.route_map = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:set-attached-bit'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.route_map is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.SetAttachedBit']['meta_info']


            class Snmp(object):
                """
                Modify snmp parameters
                
                .. attribute:: context
                
                	Configure a SNMP context
                	**type**\: list of    :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Snmp.Context>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.context = YList()
                    self.context.parent = self
                    self.context.name = 'context'


                class Context(object):
                    """
                    Configure a SNMP context
                    
                    .. attribute:: name  <key>
                    
                    	Context Name
                    	**type**\:  str
                    
                    .. attribute:: community
                    
                    	Configure a SNMP v2c Community string and access privs
                    	**type**\:   :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Snmp.Context.Community>`
                    
                    .. attribute:: user
                    
                    	Configure a SNMP v3 user
                    	**type**\:   :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Snmp.Context.User>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.community = Native.Router.Isis.Snmp.Context.Community()
                        self.community.parent = self
                        self.user = Native.Router.Isis.Snmp.Context.User()
                        self.user.parent = self


                    class Community(object):
                        """
                        Configure a SNMP v2c Community string and access privs
                        
                        .. attribute:: access
                        
                        	
                        	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Snmp.Context.Community.Access>`
                        
                        .. attribute:: community_string
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.access = Native.Router.Isis.Snmp.Context.Community.Access()
                            self.access.parent = self
                            self.community_string = None


                        class Access(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: expanded_acl
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1300..1999
                            
                            .. attribute:: ipv6
                            
                            	Specify IPv6 Named Access\-List
                            	**type**\:  str
                            
                            .. attribute:: ro
                            
                            	Read\-only access with this community string
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rw
                            
                            	Read\-write access with this community string
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: standard_acl
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..99
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.expanded_acl = None
                                self.ipv6 = None
                                self.ro = None
                                self.rw = None
                                self.standard_acl = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:access'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.expanded_acl is not None:
                                    return True

                                if self.ipv6 is not None:
                                    return True

                                if self.ro is not None:
                                    return True

                                if self.rw is not None:
                                    return True

                                if self.standard_acl is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Snmp.Context.Community.Access']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:community'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.access is not None and self.access._has_data():
                                return True

                            if self.community_string is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Snmp.Context.Community']['meta_info']


                    class User(object):
                        """
                        Configure a SNMP v3 user
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: permisssion
                        
                        	
                        	**type**\:   :py:class:`Permisssion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Snmp.Context.User.Permisssion>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.permisssion = Native.Router.Isis.Snmp.Context.User.Permisssion()
                            self.permisssion.parent = self


                        class Permisssion(object):
                            """
                            
                            
                            .. attribute:: access
                            
                            	specify an access\-list associated with this group
                            	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Snmp.Context.User.Permisssion.Access>`
                            
                            .. attribute:: auth
                            
                            	authentication parameters for the user
                            	**type**\:   :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Snmp.Context.User.Permisssion.Auth>`
                            
                            .. attribute:: credential
                            
                            	If the user password is already configured and saved
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: encrypted
                            
                            	specifying passwords as MD5 or SHA digests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.access = Native.Router.Isis.Snmp.Context.User.Permisssion.Access()
                                self.access.parent = self
                                self.auth = Native.Router.Isis.Snmp.Context.User.Permisssion.Auth()
                                self.auth.parent = self
                                self.credential = None
                                self.encrypted = None


                            class Access(object):
                                """
                                specify an access\-list associated with this group
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: ipv6
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: standard_acl
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.acl_name = None
                                    self.ipv6 = None
                                    self.standard_acl = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:access'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.acl_name is not None:
                                        return True

                                    if self.ipv6 is not None:
                                        return True

                                    if self.standard_acl is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Snmp.Context.User.Permisssion.Access']['meta_info']


                            class Auth(object):
                                """
                                authentication parameters for the user
                                
                                .. attribute:: md5
                                
                                	Use HMAC MD5 algorithm for authentication
                                	**type**\:  str
                                
                                .. attribute:: sha
                                
                                	Use HMAC SHA algorithm for authentication
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = None
                                    self.sha = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:auth'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None:
                                        return True

                                    if self.sha is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.Snmp.Context.User.Permisssion.Auth']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:permisssion'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.access is not None and self.access._has_data():
                                    return True

                                if self.auth is not None and self.auth._has_data():
                                    return True

                                if self.credential is not None:
                                    return True

                                if self.encrypted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Snmp.Context.User.Permisssion']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:user'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.permisssion is not None and self.permisssion._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Snmp.Context.User']['meta_info']

                    @property
                    def _common_path(self):
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:snmp/Cisco-IOS-XE-isis:context[Cisco-IOS-XE-isis:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.community is not None and self.community._has_data():
                            return True

                        if self.user is not None and self.user._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Snmp.Context']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:snmp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.context is not None:
                        for child_ref in self.context:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.Snmp']['meta_info']


            class SummaryAddress(object):
                """
                Configure IP address summaries
                
                .. attribute:: ip  <key>
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: mask  <key>
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: level_1
                
                	Summarize into level\-1 area
                	**type**\:   :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SummaryAddress.Level1>`
                
                	**presence node**\: True
                
                .. attribute:: level_1_2
                
                	Summarize into both area and sub\-domain
                	**type**\:   :py:class:`Level12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SummaryAddress.Level12>`
                
                	**presence node**\: True
                
                .. attribute:: level_2
                
                	Summarize into level\-2 sub\-domain
                	**type**\:   :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SummaryAddress.Level2>`
                
                	**presence node**\: True
                
                .. attribute:: metric_tag_container
                
                	
                	**type**\:   :py:class:`MetricTagContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SummaryAddress.MetricTagContainer>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = None
                    self.mask = None
                    self.level_1 = None
                    self.level_1_2 = None
                    self.level_2 = None
                    self.metric_tag_container = Native.Router.Isis.SummaryAddress.MetricTagContainer()
                    self.metric_tag_container.parent = self


                class Level1(object):
                    """
                    Summarize into level\-1 area
                    
                    .. attribute:: metric
                    
                    	Set metric for summay route
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: tag
                    
                    	Set tag
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.metric = None
                        self.tag = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:level-1'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.metric is not None:
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.SummaryAddress.Level1']['meta_info']


                class Level12(object):
                    """
                    Summarize into both area and sub\-domain
                    
                    .. attribute:: metric
                    
                    	Set metric for summay route
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: tag
                    
                    	Set tag
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.metric = None
                        self.tag = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:level-1-2'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.metric is not None:
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.SummaryAddress.Level12']['meta_info']


                class Level2(object):
                    """
                    Summarize into level\-2 sub\-domain
                    
                    .. attribute:: metric
                    
                    	Set metric for summay route
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: tag
                    
                    	Set tag
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.metric = None
                        self.tag = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:level-2'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.metric is not None:
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.SummaryAddress.Level2']['meta_info']


                class MetricTagContainer(object):
                    """
                    
                    
                    .. attribute:: metric
                    
                    	Set metric for summay route
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: tag
                    
                    	Set tag
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.metric = None
                        self.tag = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:metric-tag-container'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.metric is not None:
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.SummaryAddress.MetricTagContainer']['meta_info']

                @property
                def _common_path(self):
                    if self.ip is None:
                        raise YPYModelError('Key property ip is None')
                    if self.mask is None:
                        raise YPYModelError('Key property mask is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:summary-address[Cisco-IOS-XE-isis:ip = ' + str(self.ip) + '][Cisco-IOS-XE-isis:mask = ' + str(self.mask) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None:
                        return True

                    if self.mask is not None:
                        return True

                    if self.level_1 is not None and self.level_1._has_data():
                        return True

                    if self.level_1_2 is not None and self.level_1_2._has_data():
                        return True

                    if self.level_2 is not None and self.level_2._has_data():
                        return True

                    if self.metric_tag_container is not None and self.metric_tag_container._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.SummaryAddress']['meta_info']


            class TrafficShare(object):
                """
                How to compute traffic share over alternate paths
                
                .. attribute:: min
                
                	All traffic shared among min metric paths
                	**type**\:   :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.TrafficShare.Min>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.min = Native.Router.Isis.TrafficShare.Min()
                    self.min.parent = self


                class Min(object):
                    """
                    All traffic shared among min metric paths
                    
                    .. attribute:: across_interfaces
                    
                    	Use different interfaces for equal\-cost paths
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.across_interfaces = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:traffic-share/Cisco-IOS-XE-isis:min'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.across_interfaces is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.TrafficShare.Min']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:traffic-share'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.min is not None and self.min._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.TrafficShare']['meta_info']


            class Advertise(object):
                """
                Control which IP routes flow in L1 and L2 LSPs
                
                .. attribute:: passive_only
                
                	only interface address of passive interfaces
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.passive_only = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:advertise'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.passive_only is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.Advertise']['meta_info']


            class DefaultInformation(object):
                """
                Control distribution of default information
                
                .. attribute:: originate
                
                	Distribute a default route
                	**type**\:   :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.DefaultInformation.Originate>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.originate = None


                class Originate(object):
                    """
                    Distribute a default route
                    
                    .. attribute:: route_map
                    
                    	Route\-map reference
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.route_map = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:default-information/Cisco-IOS-XE-isis:originate'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.DefaultInformation.Originate']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:default-information'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.originate is not None and self.originate._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.DefaultInformation']['meta_info']


            class Metric(object):
                """
                Set ISIS metric for all interfaces
                
                .. attribute:: metric
                
                	
                	**type**\:  int
                
                	**range:** 1..16777214
                
                .. attribute:: metrics
                
                	
                	**type**\: list of    :py:class:`Metrics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Metric.Metrics>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.metric = None
                    self.metrics = YList()
                    self.metrics.parent = self
                    self.metrics.name = 'metrics'


                class Metrics(object):
                    """
                    
                    
                    .. attribute:: level  <key>
                    
                    	
                    	**type**\:   :py:class:`LevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Metric.Metrics.LevelEnum>`
                    
                    .. attribute:: metric
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..16777214
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.metric = None

                    class LevelEnum(Enum):
                        """
                        LevelEnum

                        .. data:: level_1 = 0

                        .. data:: level_2 = 1

                        """

                        level_1 = 0

                        level_2 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Metric.Metrics.LevelEnum']


                    @property
                    def _common_path(self):
                        if self.level is None:
                            raise YPYModelError('Key property level is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:metric/Cisco-IOS-XE-isis:metrics[Cisco-IOS-XE-isis:level = ' + str(self.level) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.metric is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Metric.Metrics']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:metric'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.metric is not None:
                        return True

                    if self.metrics is not None:
                        for child_ref in self.metrics:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.Metric']['meta_info']


            class PrcInterval(object):
                """
                Minimum interval between partial route calculations
                
                .. attribute:: initial_wait
                
                	
                	**type**\:  int
                
                	**range:** 1..120000
                
                .. attribute:: interval
                
                	
                	**type**\:  int
                
                	**range:** 1..120
                
                .. attribute:: minimum_wait
                
                	
                	**type**\:  int
                
                	**range:** 1..120000
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.initial_wait = None
                    self.interval = None
                    self.minimum_wait = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:prc-interval'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.initial_wait is not None:
                        return True

                    if self.interval is not None:
                        return True

                    if self.minimum_wait is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.PrcInterval']['meta_info']


            class SetOverloadBit(object):
                """
                Signal other routers not to use us in SPF
                
                .. attribute:: on_startup
                
                	Set overload\-bit only temporarily after reboot
                	**type**\:   :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SetOverloadBit.OnStartup>`
                
                .. attribute:: suppress
                
                	If overload\-bit set, suppress the following types of IP prefixes
                	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SetOverloadBit.Suppress>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.on_startup = Native.Router.Isis.SetOverloadBit.OnStartup()
                    self.on_startup.parent = self
                    self.suppress = Native.Router.Isis.SetOverloadBit.Suppress()
                    self.suppress.parent = self


                class OnStartup(object):
                    """
                    Set overload\-bit only temporarily after reboot
                    
                    .. attribute:: time
                    
                    	
                    	**type**\:   :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SetOverloadBit.OnStartup.Time>`
                    
                    .. attribute:: wait_for_bgp
                    
                    	Let BGP decide when to unset the overload bit
                    	**type**\:   :py:class:`WaitForBgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.time = Native.Router.Isis.SetOverloadBit.OnStartup.Time()
                        self.time.parent = self
                        self.wait_for_bgp = None


                    class Time(object):
                        """
                        
                        
                        .. attribute:: external
                        
                        	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: interlevel
                        
                        	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: suppress
                        
                        	If overload\-bit set, suppress the following types of IP prefixes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 5..86400
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.external = None
                            self.interlevel = None
                            self.suppress = None
                            self.time = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:set-overload-bit/Cisco-IOS-XE-isis:on-startup/Cisco-IOS-XE-isis:time'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.external is not None:
                                return True

                            if self.interlevel is not None:
                                return True

                            if self.suppress is not None:
                                return True

                            if self.time is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.SetOverloadBit.OnStartup.Time']['meta_info']


                    class WaitForBgp(object):
                        """
                        Let BGP decide when to unset the overload bit
                        
                        .. attribute:: suppress
                        
                        	If overload\-bit set, suppress the following types of IP prefixes
                        	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.suppress = Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress()
                            self.suppress.parent = self


                        class Suppress(object):
                            """
                            If overload\-bit set, suppress the following types of IP prefixes
                            
                            .. attribute:: external
                            
                            	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: interlevel
                            
                            	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.external = None
                                self.interlevel = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:set-overload-bit/Cisco-IOS-XE-isis:on-startup/Cisco-IOS-XE-isis:wait-for-bgp/Cisco-IOS-XE-isis:suppress'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.external is not None:
                                    return True

                                if self.interlevel is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:set-overload-bit/Cisco-IOS-XE-isis:on-startup/Cisco-IOS-XE-isis:wait-for-bgp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.suppress is not None and self.suppress._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:set-overload-bit/Cisco-IOS-XE-isis:on-startup'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.time is not None and self.time._has_data():
                            return True

                        if self.wait_for_bgp is not None and self.wait_for_bgp._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.SetOverloadBit.OnStartup']['meta_info']


                class Suppress(object):
                    """
                    If overload\-bit set, suppress the following types of IP prefixes
                    
                    .. attribute:: external
                    
                    	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: interlevel
                    
                    	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.external = None
                        self.interlevel = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:set-overload-bit/Cisco-IOS-XE-isis:suppress'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.external is not None:
                            return True

                        if self.interlevel is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.SetOverloadBit.Suppress']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:set-overload-bit'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.on_startup is not None and self.on_startup._has_data():
                        return True

                    if self.suppress is not None and self.suppress._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.SetOverloadBit']['meta_info']


            class SpfInterval(object):
                """
                Minimum interval between SPF calculations
                
                .. attribute:: intervals
                
                	
                	**type**\:   :py:class:`Intervals <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SpfInterval.Intervals>`
                
                .. attribute:: level_1_2
                
                	
                	**type**\: list of    :py:class:`Level12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SpfInterval.Level12>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.intervals = Native.Router.Isis.SpfInterval.Intervals()
                    self.intervals.parent = self
                    self.level_1_2 = YList()
                    self.level_1_2.parent = self
                    self.level_1_2.name = 'level_1_2'


                class Level12(object):
                    """
                    
                    
                    .. attribute:: level  <key>
                    
                    	
                    	**type**\:   :py:class:`LevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SpfInterval.Level12.LevelEnum>`
                    
                    .. attribute:: initial_wait
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..120000
                    
                    .. attribute:: interval
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..120
                    
                    .. attribute:: minimum_wait
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..120000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.initial_wait = None
                        self.interval = None
                        self.minimum_wait = None

                    class LevelEnum(Enum):
                        """
                        LevelEnum

                        .. data:: level_1 = 0

                        .. data:: level_2 = 1

                        """

                        level_1 = 0

                        level_2 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.SpfInterval.Level12.LevelEnum']


                    @property
                    def _common_path(self):
                        if self.level is None:
                            raise YPYModelError('Key property level is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:spf-interval/Cisco-IOS-XE-isis:level-1-2[Cisco-IOS-XE-isis:level = ' + str(self.level) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.initial_wait is not None:
                            return True

                        if self.interval is not None:
                            return True

                        if self.minimum_wait is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.SpfInterval.Level12']['meta_info']


                class Intervals(object):
                    """
                    
                    
                    .. attribute:: initial_wait
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..120000
                    
                    .. attribute:: interval
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..120
                    
                    .. attribute:: minimum_wait
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..120000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.initial_wait = None
                        self.interval = None
                        self.minimum_wait = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:spf-interval/Cisco-IOS-XE-isis:intervals'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.initial_wait is not None:
                            return True

                        if self.interval is not None:
                            return True

                        if self.minimum_wait is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.SpfInterval.Intervals']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:spf-interval'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.intervals is not None and self.intervals._has_data():
                        return True

                    if self.level_1_2 is not None:
                        for child_ref in self.level_1_2:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.SpfInterval']['meta_info']


            class AreaPassword(object):
                """
                Configure the authentication password for an area
                
                .. attribute:: authenticate
                
                	Authentication
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: snp
                
                	SNP PDUs
                	**type**\:   :py:class:`SnpEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AreaPassword.SnpEnum>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.authenticate = None
                    self.name = None
                    self.snp = None

                class SnpEnum(Enum):
                    """
                    SnpEnum

                    SNP PDUs

                    .. data:: send_only = 0

                    .. data:: validate = 1

                    """

                    send_only = 0

                    validate = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.AreaPassword.SnpEnum']


                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:area-password'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.authenticate is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.snp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.AreaPassword']['meta_info']


            class Authentication(object):
                """
                ISIS authentication for LSPs
                
                .. attribute:: key_chain
                
                	Authentication key\-chain
                	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Authentication.KeyChain>`
                
                .. attribute:: mode
                
                	Authentication mode
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Authentication.Mode>`
                
                .. attribute:: send_only
                
                	Authentication send only, receive ignore
                	**type**\:   :py:class:`SendOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Authentication.SendOnly>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.key_chain = Native.Router.Isis.Authentication.KeyChain()
                    self.key_chain.parent = self
                    self.mode = Native.Router.Isis.Authentication.Mode()
                    self.mode.parent = self
                    self.send_only = None


                class Mode(object):
                    """
                    Authentication mode
                    
                    .. attribute:: md5
                    
                    	Keyed message digest
                    	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Authentication.Mode.Md5>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: text
                    
                    	Clear text password
                    	**type**\:   :py:class:`Text <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Authentication.Mode.Text>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.md5 = None
                        self.text = None


                    class Md5(object):
                        """
                        Keyed message digest
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.levels = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:authentication/Cisco-IOS-XE-isis:mode/Cisco-IOS-XE-isis:md5'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.levels is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Authentication.Mode.Md5']['meta_info']


                    class Text(object):
                        """
                        Clear text password
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.levels = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:authentication/Cisco-IOS-XE-isis:mode/Cisco-IOS-XE-isis:text'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.levels is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Authentication.Mode.Text']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:authentication/Cisco-IOS-XE-isis:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.md5 is not None and self.md5._has_data():
                            return True

                        if self.text is not None and self.text._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Authentication.Mode']['meta_info']


                class KeyChain(object):
                    """
                    Authentication key\-chain
                    
                    .. attribute:: key_chain_list
                    
                    	
                    	**type**\: list of    :py:class:`KeyChainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Authentication.KeyChain.KeyChainList>`
                    
                    .. attribute:: name
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain_list = YList()
                        self.key_chain_list.parent = self
                        self.key_chain_list.name = 'key_chain_list'
                        self.name = None


                    class KeyChainList(object):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.levels = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.levels is None:
                                raise YPYModelError('Key property levels is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:authentication/Cisco-IOS-XE-isis:key-chain/Cisco-IOS-XE-isis:key-chain-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.levels is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Authentication.KeyChain.KeyChainList']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:authentication/Cisco-IOS-XE-isis:key-chain'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain_list is not None:
                            for child_ref in self.key_chain_list:
                                if child_ref._has_data():
                                    return True

                        if self.name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Authentication.KeyChain']['meta_info']


                class SendOnly(object):
                    """
                    Authentication send only, receive ignore
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.levels = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:authentication/Cisco-IOS-XE-isis:send-only'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.levels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Authentication.SendOnly']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:authentication'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.key_chain is not None and self.key_chain._has_data():
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.send_only is not None and self.send_only._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.Authentication']['meta_info']


            class DistributeList(object):
                """
                Filter networks in routing updates
                
                .. attribute:: acl_name
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..99
                
                
                ----
                	**type**\:  int
                
                	**range:** 1300..1999
                
                
                ----
                
                ----
                	**type**\:  str
                
                
                ----
                .. attribute:: gateway
                
                	Filtering incoming updates based on gateway
                	**type**\:  str
                
                .. attribute:: gateway_prefix_in
                
                	Filter incoming routing updates
                	**type**\:  str
                
                .. attribute:: in_
                
                	Filter incoming routing updates
                	**type**\:  str
                
                .. attribute:: prefix
                
                	Filter prefixes in routing updates
                	**type**\:  str
                
                .. attribute:: route_map
                
                	Filter prefixes based on the route\-map
                	**type**\:  str
                
                .. attribute:: route_map_in
                
                	Filter incoming routing updates
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.acl_name = None
                    self.gateway = None
                    self.gateway_prefix_in = None
                    self.in_ = None
                    self.prefix = None
                    self.route_map = None
                    self.route_map_in = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:distribute-list'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.acl_name is not None:
                        return True

                    if self.gateway is not None:
                        return True

                    if self.gateway_prefix_in is not None:
                        return True

                    if self.in_ is not None:
                        return True

                    if self.prefix is not None:
                        return True

                    if self.route_map is not None:
                        return True

                    if self.route_map_in is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.DistributeList']['meta_info']


            class DomainPassword(object):
                """
                Set the authentication password for a routing domain
                
                .. attribute:: authenticate
                
                	Authentication
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: name
                
                	
                	**type**\:  str
                
                .. attribute:: snp
                
                	SNP PDUs
                	**type**\:   :py:class:`SnpEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.DomainPassword.SnpEnum>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.authenticate = None
                    self.name = None
                    self.snp = None

                class SnpEnum(Enum):
                    """
                    SnpEnum

                    SNP PDUs

                    .. data:: send_only = 0

                    .. data:: validate = 1

                    """

                    send_only = 0

                    validate = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.DomainPassword.SnpEnum']


                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:domain-password'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.authenticate is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.snp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.DomainPassword']['meta_info']


            class FastFlood(object):
                """
                Flood LSPs (that triggered SPF) before running SPF
                
                .. attribute:: number
                
                	
                	**type**\:  int
                
                	**range:** 1..15
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.number = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:fast-flood'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.number is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.FastFlood']['meta_info']


            class FastReroute(object):
                """
                Configure Fast\-Reroute
                
                .. attribute:: load_sharing
                
                	Distributes repair paths equally among links and prefixes
                	**type**\:   :py:class:`LoadSharing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.LoadSharing>`
                
                .. attribute:: per_prefix
                
                	Enable Fast\-Reroute Per\-Prefix
                	**type**\:   :py:class:`PerPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.PerPrefix>`
                
                .. attribute:: remote_lfa
                
                	Configuring fast\-reroute remote\-lfa
                	**type**\:   :py:class:`RemoteLfa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.RemoteLfa>`
                
                .. attribute:: tie_break
                
                	Set repair path preference
                	**type**\:   :py:class:`TieBreak <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.TieBreak>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.load_sharing = Native.Router.Isis.FastReroute.LoadSharing()
                    self.load_sharing.parent = self
                    self.per_prefix = Native.Router.Isis.FastReroute.PerPrefix()
                    self.per_prefix.parent = self
                    self.remote_lfa = Native.Router.Isis.FastReroute.RemoteLfa()
                    self.remote_lfa.parent = self
                    self.tie_break = Native.Router.Isis.FastReroute.TieBreak()
                    self.tie_break.parent = self


                class LoadSharing(object):
                    """
                    Distributes repair paths equally among links and prefixes
                    
                    .. attribute:: level_1
                    
                    	Apply to level\-1
                    	**type**\:   :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.LoadSharing.Level1>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: level_2
                    
                    	Apply to level\-2
                    	**type**\:   :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.LoadSharing.Level2>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level_1 = None
                        self.level_2 = None


                    class Level1(object):
                        """
                        Apply to level\-1
                        
                        .. attribute:: disable
                        
                        	Disable load\-sharing
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:fast-reroute/Cisco-IOS-XE-isis:load-sharing/Cisco-IOS-XE-isis:level-1'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.FastReroute.LoadSharing.Level1']['meta_info']


                    class Level2(object):
                        """
                        Apply to level\-2
                        
                        .. attribute:: disable
                        
                        	Disable load\-sharing
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:fast-reroute/Cisco-IOS-XE-isis:load-sharing/Cisco-IOS-XE-isis:level-2'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.FastReroute.LoadSharing.Level2']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:fast-reroute/Cisco-IOS-XE-isis:load-sharing'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level_1 is not None and self.level_1._has_data():
                            return True

                        if self.level_2 is not None and self.level_2._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.FastReroute.LoadSharing']['meta_info']


                class PerPrefix(object):
                    """
                    Enable Fast\-Reroute Per\-Prefix
                    
                    .. attribute:: level_1
                    
                    	Apply to level\-1
                    	**type**\:   :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.PerPrefix.Level1>`
                    
                    .. attribute:: level_2
                    
                    	Apply to level\-2
                    	**type**\:   :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.PerPrefix.Level2>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level_1 = Native.Router.Isis.FastReroute.PerPrefix.Level1()
                        self.level_1.parent = self
                        self.level_2 = Native.Router.Isis.FastReroute.PerPrefix.Level2()
                        self.level_2.parent = self


                    class Level1(object):
                        """
                        Apply to level\-1
                        
                        .. attribute:: all
                        
                        	Enable Fast\-Reroute for primary paths
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	route\-map name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.route_map = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:fast-reroute/Cisco-IOS-XE-isis:per-prefix/Cisco-IOS-XE-isis:level-1'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.FastReroute.PerPrefix.Level1']['meta_info']


                    class Level2(object):
                        """
                        Apply to level\-2
                        
                        .. attribute:: all
                        
                        	Enable Fast\-Reroute for primary paths
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	route\-map name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.route_map = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:fast-reroute/Cisco-IOS-XE-isis:per-prefix/Cisco-IOS-XE-isis:level-2'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.FastReroute.PerPrefix.Level2']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:fast-reroute/Cisco-IOS-XE-isis:per-prefix'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level_1 is not None and self.level_1._has_data():
                            return True

                        if self.level_2 is not None and self.level_2._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.FastReroute.PerPrefix']['meta_info']


                class RemoteLfa(object):
                    """
                    Configuring fast\-reroute remote\-lfa
                    
                    .. attribute:: level_1
                    
                    	Apply to level\-1
                    	**type**\:   :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.RemoteLfa.Level1>`
                    
                    .. attribute:: level_2
                    
                    	Apply to level\-2
                    	**type**\:   :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.RemoteLfa.Level2>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level_1 = Native.Router.Isis.FastReroute.RemoteLfa.Level1()
                        self.level_1.parent = self
                        self.level_2 = Native.Router.Isis.FastReroute.RemoteLfa.Level2()
                        self.level_2.parent = self


                    class Level1(object):
                        """
                        Apply to level\-1
                        
                        .. attribute:: mpls_ldp
                        
                        	Use mpls\-ldp tunnel type
                        	**type**\:   :py:class:`MplsLdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.RemoteLfa.Level1.MplsLdp>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.mpls_ldp = None


                        class MplsLdp(object):
                            """
                            Use mpls\-ldp tunnel type
                            
                            .. attribute:: maximum_metric
                            
                            	maximum metric to reach release node
                            	**type**\:   :py:class:`MaximumMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.RemoteLfa.Level1.MplsLdp.MaximumMetric>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.maximum_metric = None


                            class MaximumMetric(object):
                                """
                                maximum metric to reach release node
                                
                                .. attribute:: max_met
                                
                                	metric value
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.max_met = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:fast-reroute/Cisco-IOS-XE-isis:remote-lfa/Cisco-IOS-XE-isis:level-1/Cisco-IOS-XE-isis:mpls-ldp/Cisco-IOS-XE-isis:maximum-metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.max_met is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.FastReroute.RemoteLfa.Level1.MplsLdp.MaximumMetric']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:fast-reroute/Cisco-IOS-XE-isis:remote-lfa/Cisco-IOS-XE-isis:level-1/Cisco-IOS-XE-isis:mpls-ldp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.maximum_metric is not None and self.maximum_metric._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.FastReroute.RemoteLfa.Level1.MplsLdp']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:fast-reroute/Cisco-IOS-XE-isis:remote-lfa/Cisco-IOS-XE-isis:level-1'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.mpls_ldp is not None and self.mpls_ldp._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.FastReroute.RemoteLfa.Level1']['meta_info']


                    class Level2(object):
                        """
                        Apply to level\-2
                        
                        .. attribute:: mpls_ldp
                        
                        	Use mpls\-ldp tunnel type
                        	**type**\:   :py:class:`MplsLdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.RemoteLfa.Level2.MplsLdp>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.mpls_ldp = None


                        class MplsLdp(object):
                            """
                            Use mpls\-ldp tunnel type
                            
                            .. attribute:: maximum_metric
                            
                            	maximum metric to reach release node
                            	**type**\:   :py:class:`MaximumMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.RemoteLfa.Level2.MplsLdp.MaximumMetric>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.maximum_metric = None


                            class MaximumMetric(object):
                                """
                                maximum metric to reach release node
                                
                                .. attribute:: max_met
                                
                                	metric value
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.max_met = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:fast-reroute/Cisco-IOS-XE-isis:remote-lfa/Cisco-IOS-XE-isis:level-2/Cisco-IOS-XE-isis:mpls-ldp/Cisco-IOS-XE-isis:maximum-metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.max_met is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Isis.FastReroute.RemoteLfa.Level2.MplsLdp.MaximumMetric']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:fast-reroute/Cisco-IOS-XE-isis:remote-lfa/Cisco-IOS-XE-isis:level-2/Cisco-IOS-XE-isis:mpls-ldp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.maximum_metric is not None and self.maximum_metric._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.FastReroute.RemoteLfa.Level2.MplsLdp']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:fast-reroute/Cisco-IOS-XE-isis:remote-lfa/Cisco-IOS-XE-isis:level-2'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.mpls_ldp is not None and self.mpls_ldp._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.FastReroute.RemoteLfa.Level2']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:fast-reroute/Cisco-IOS-XE-isis:remote-lfa'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level_1 is not None and self.level_1._has_data():
                            return True

                        if self.level_2 is not None and self.level_2._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.FastReroute.RemoteLfa']['meta_info']


                class TieBreak(object):
                    """
                    Set repair path preference
                    
                    .. attribute:: level_1
                    
                    	Apply to level\-1
                    	**type**\:   :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.TieBreak.Level1>`
                    
                    .. attribute:: level_2
                    
                    	Apply to level\-2
                    	**type**\:   :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.TieBreak.Level2>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level_1 = Native.Router.Isis.FastReroute.TieBreak.Level1()
                        self.level_1.parent = self
                        self.level_2 = Native.Router.Isis.FastReroute.TieBreak.Level2()
                        self.level_2.parent = self


                    class Level1(object):
                        """
                        Apply to level\-1
                        
                        .. attribute:: downstream
                        
                        	priority number
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: linecard_disjoint
                        
                        	priority number
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: lowest_backup_path_metric
                        
                        	priority number
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: node_protecting
                        
                        	priority number
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: primary_path
                        
                        	priority number
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: secondary_path
                        
                        	priority number
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: srlg_disjoint
                        
                        	priority number
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.downstream = None
                            self.linecard_disjoint = None
                            self.lowest_backup_path_metric = None
                            self.node_protecting = None
                            self.primary_path = None
                            self.secondary_path = None
                            self.srlg_disjoint = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:fast-reroute/Cisco-IOS-XE-isis:tie-break/Cisco-IOS-XE-isis:level-1'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.downstream is not None:
                                return True

                            if self.linecard_disjoint is not None:
                                return True

                            if self.lowest_backup_path_metric is not None:
                                return True

                            if self.node_protecting is not None:
                                return True

                            if self.primary_path is not None:
                                return True

                            if self.secondary_path is not None:
                                return True

                            if self.srlg_disjoint is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.FastReroute.TieBreak.Level1']['meta_info']


                    class Level2(object):
                        """
                        Apply to level\-2
                        
                        .. attribute:: downstream
                        
                        	priority number
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: linecard_disjoint
                        
                        	priority number
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: lowest_backup_path_metric
                        
                        	priority number
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: node_protecting
                        
                        	priority number
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: primary_path
                        
                        	priority number
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: secondary_path
                        
                        	priority number
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: srlg_disjoint
                        
                        	priority number
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.downstream = None
                            self.linecard_disjoint = None
                            self.lowest_backup_path_metric = None
                            self.node_protecting = None
                            self.primary_path = None
                            self.secondary_path = None
                            self.srlg_disjoint = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:fast-reroute/Cisco-IOS-XE-isis:tie-break/Cisco-IOS-XE-isis:level-2'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.downstream is not None:
                                return True

                            if self.linecard_disjoint is not None:
                                return True

                            if self.lowest_backup_path_metric is not None:
                                return True

                            if self.node_protecting is not None:
                                return True

                            if self.primary_path is not None:
                                return True

                            if self.secondary_path is not None:
                                return True

                            if self.srlg_disjoint is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.FastReroute.TieBreak.Level2']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:fast-reroute/Cisco-IOS-XE-isis:tie-break'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level_1 is not None and self.level_1._has_data():
                            return True

                        if self.level_2 is not None and self.level_2._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.FastReroute.TieBreak']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:fast-reroute'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.load_sharing is not None and self.load_sharing._has_data():
                        return True

                    if self.per_prefix is not None and self.per_prefix._has_data():
                        return True

                    if self.remote_lfa is not None and self.remote_lfa._has_data():
                        return True

                    if self.tie_break is not None and self.tie_break._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.FastReroute']['meta_info']


            class TiLfa(object):
                """
                
                
                .. attribute:: level_1
                
                	Apply to level\-1
                	**type**\:   :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.TiLfa.Level1>`
                
                .. attribute:: level_2
                
                	Apply to level\-2
                	**type**\:   :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.TiLfa.Level2>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.level_1 = Native.Router.Isis.TiLfa.Level1()
                    self.level_1.parent = self
                    self.level_2 = None


                class Level1(object):
                    """
                    Apply to level\-1
                    
                    .. attribute:: maximum_metric
                    
                    	maximum metric to reach release node
                    	**type**\:   :py:class:`MaximumMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.TiLfa.Level1.MaximumMetric>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.maximum_metric = Native.Router.Isis.TiLfa.Level1.MaximumMetric()
                        self.maximum_metric.parent = self


                    class MaximumMetric(object):
                        """
                        maximum metric to reach release node
                        
                        .. attribute:: max_met
                        
                        	metric value
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max_met = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:ti-lfa/Cisco-IOS-XE-isis:level-1/Cisco-IOS-XE-isis:maximum-metric'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max_met is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.TiLfa.Level1.MaximumMetric']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:ti-lfa/Cisco-IOS-XE-isis:level-1'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.maximum_metric is not None and self.maximum_metric._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.TiLfa.Level1']['meta_info']


                class Level2(object):
                    """
                    Apply to level\-2
                    
                    .. attribute:: maximum_metric
                    
                    	maximum metric to reach release node
                    	**type**\:   :py:class:`MaximumMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.TiLfa.Level2.MaximumMetric>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.maximum_metric = Native.Router.Isis.TiLfa.Level2.MaximumMetric()
                        self.maximum_metric.parent = self


                    class MaximumMetric(object):
                        """
                        maximum metric to reach release node
                        
                        .. attribute:: max_met
                        
                        	metric value
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max_met = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:ti-lfa/Cisco-IOS-XE-isis:level-2/Cisco-IOS-XE-isis:maximum-metric'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max_met is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.TiLfa.Level2.MaximumMetric']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:ti-lfa/Cisco-IOS-XE-isis:level-2'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.maximum_metric is not None and self.maximum_metric._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.TiLfa.Level2']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:ti-lfa'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.level_1 is not None and self.level_1._has_data():
                        return True

                    if self.level_2 is not None and self.level_2._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.TiLfa']['meta_info']


            class Hello(object):
                """
                Pad ISIS hello PDUs to full MTU
                
                .. attribute:: padding
                
                	Pad hello PDU
                	**type**\:   :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Hello.Padding>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.padding = None


                class Padding(object):
                    """
                    Pad hello PDU
                    
                    .. attribute:: pad_type
                    
                    	
                    	**type**\:   :py:class:`PadTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Hello.Padding.PadTypeEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.pad_type = None

                    class PadTypeEnum(Enum):
                        """
                        PadTypeEnum

                        .. data:: multi_point = 0

                        .. data:: point_to_point = 1

                        """

                        multi_point = 0

                        point_to_point = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Hello.Padding.PadTypeEnum']


                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:hello/Cisco-IOS-XE-isis:padding'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.pad_type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Hello.Padding']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:hello'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.padding is not None and self.padding._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.Hello']['meta_info']


            class Hostname(object):
                """
                Dynamic hostname for IS\-IS
                
                .. attribute:: dynamic
                
                	Dynamic hostname
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dynamic = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:hostname'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dynamic is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.Hostname']['meta_info']


            class Ispf(object):
                """
                Configure execution of incremental SPF
                
                .. attribute:: level
                
                	
                	**type**\:   :py:class:`LevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Ispf.LevelEnum>`
                
                .. attribute:: number
                
                	
                	**type**\:  int
                
                	**range:** 1..600
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.level = None
                    self.number = None

                class LevelEnum(Enum):
                    """
                    LevelEnum

                    .. data:: level_1 = 0

                    .. data:: level_1_2 = 1

                    .. data:: level_2 = 2

                    """

                    level_1 = 0

                    level_1_2 = 1

                    level_2 = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Ispf.LevelEnum']


                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:ispf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.level is not None:
                        return True

                    if self.number is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.Ispf']['meta_info']


            class LogAdjacencyChanges(object):
                """
                Log changes in adjacency state
                
                .. attribute:: all
                
                	Include changes generated by non\-IIH event
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.all = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:log-adjacency-changes'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.all is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.LogAdjacencyChanges']['meta_info']


            class LspFull(object):
                """
                If we run out of LSP fragments
                
                .. attribute:: suppress
                
                	suppress the following types of IP prefixes
                	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.LspFull.Suppress>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.suppress = Native.Router.Isis.LspFull.Suppress()
                    self.suppress.parent = self


                class Suppress(object):
                    """
                    suppress the following types of IP prefixes
                    
                    .. attribute:: external_interlevel_container
                    
                    	
                    	**type**\:   :py:class:`ExternalInterlevelContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.LspFull.Suppress.ExternalInterlevelContainer>`
                    
                    .. attribute:: none
                    
                    	don't suppress any prefixes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.external_interlevel_container = Native.Router.Isis.LspFull.Suppress.ExternalInterlevelContainer()
                        self.external_interlevel_container.parent = self
                        self.none = None


                    class ExternalInterlevelContainer(object):
                        """
                        
                        
                        .. attribute:: external
                        
                        	don't advertise IP prefixes learned from other protocols
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: interlevel
                        
                        	don't advertise IP prefixes learned from another ISIS level
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.external = None
                            self.interlevel = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:lsp-full/Cisco-IOS-XE-isis:suppress/Cisco-IOS-XE-isis:external-interlevel-container'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.external is not None:
                                return True

                            if self.interlevel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.LspFull.Suppress.ExternalInterlevelContainer']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:lsp-full/Cisco-IOS-XE-isis:suppress'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.external_interlevel_container is not None and self.external_interlevel_container._has_data():
                            return True

                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.LspFull.Suppress']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:lsp-full'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.suppress is not None and self.suppress._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.LspFull']['meta_info']


            class LspGenInterval(object):
                """
                Minimum interval between regenerating same LSP
                
                .. attribute:: intervals
                
                	
                	**type**\:   :py:class:`Intervals <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.LspGenInterval.Intervals>`
                
                .. attribute:: intervals_levels
                
                	
                	**type**\:   :py:class:`IntervalsLevels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.LspGenInterval.IntervalsLevels>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.intervals = Native.Router.Isis.LspGenInterval.Intervals()
                    self.intervals.parent = self
                    self.intervals_levels = Native.Router.Isis.LspGenInterval.IntervalsLevels()
                    self.intervals_levels.parent = self


                class Intervals(object):
                    """
                    
                    
                    .. attribute:: initial_wait
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..120000
                    
                    .. attribute:: interval
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..120
                    
                    .. attribute:: wait
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..120000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.initial_wait = None
                        self.interval = None
                        self.wait = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:lsp-gen-interval/Cisco-IOS-XE-isis:intervals'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.initial_wait is not None:
                            return True

                        if self.interval is not None:
                            return True

                        if self.wait is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.LspGenInterval.Intervals']['meta_info']


                class IntervalsLevels(object):
                    """
                    
                    
                    .. attribute:: intervals_level_1
                    
                    	
                    	**type**\:   :py:class:`IntervalsLevel1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1>`
                    
                    .. attribute:: intervals_level_2
                    
                    	
                    	**type**\:   :py:class:`IntervalsLevel2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.intervals_level_1 = Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1()
                        self.intervals_level_1.parent = self
                        self.intervals_level_2 = Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2()
                        self.intervals_level_2.parent = self


                    class IntervalsLevel1(object):
                        """
                        
                        
                        .. attribute:: initial_wait
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..120000
                        
                        .. attribute:: interval
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..120
                        
                        .. attribute:: level_1
                        
                        	Set interval for level 1 only
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: wait
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..120000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.initial_wait = None
                            self.interval = None
                            self.level_1 = None
                            self.wait = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:lsp-gen-interval/Cisco-IOS-XE-isis:intervals-levels/Cisco-IOS-XE-isis:intervals-level-1'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.initial_wait is not None:
                                return True

                            if self.interval is not None:
                                return True

                            if self.level_1 is not None:
                                return True

                            if self.wait is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1']['meta_info']


                    class IntervalsLevel2(object):
                        """
                        
                        
                        .. attribute:: initial_wait
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..120000
                        
                        .. attribute:: interval
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..120
                        
                        .. attribute:: level_2
                        
                        	Set interval for level 2 only
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: wait
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..120000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.initial_wait = None
                            self.interval = None
                            self.level_2 = None
                            self.wait = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:lsp-gen-interval/Cisco-IOS-XE-isis:intervals-levels/Cisco-IOS-XE-isis:intervals-level-2'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.initial_wait is not None:
                                return True

                            if self.interval is not None:
                                return True

                            if self.level_2 is not None:
                                return True

                            if self.wait is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:lsp-gen-interval/Cisco-IOS-XE-isis:intervals-levels'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.intervals_level_1 is not None and self.intervals_level_1._has_data():
                            return True

                        if self.intervals_level_2 is not None and self.intervals_level_2._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.LspGenInterval.IntervalsLevels']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:lsp-gen-interval'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.intervals is not None and self.intervals._has_data():
                        return True

                    if self.intervals_levels is not None and self.intervals_levels._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.LspGenInterval']['meta_info']


            class Microloop(object):
                """
                Enable microloop protection configuration commands
                
                .. attribute:: avoidance
                
                	Enable local microloop avoidance
                	**type**\:   :py:class:`Avoidance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Microloop.Avoidance>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.avoidance = None


                class Avoidance(object):
                    """
                    Enable local microloop avoidance
                    
                    .. attribute:: disable
                    
                    	Disable Microloop avoidance
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: protected
                    
                    	Microloop avoidance for protected link or prefix only
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rib_update_delay
                    
                    	Value of the delay in milliseconds
                    	**type**\:  int
                    
                    	**range:** 1..600000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None
                        self.protected = None
                        self.rib_update_delay = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:microloop/Cisco-IOS-XE-isis:avoidance'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        if self.protected is not None:
                            return True

                        if self.rib_update_delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Microloop.Avoidance']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:microloop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.avoidance is not None and self.avoidance._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.Microloop']['meta_info']


            class Mpls(object):
                """
                Configure MPLS routing protocol parameters
                
                .. attribute:: ldp
                
                	routing protocol commands for MPLS LDP
                	**type**\:   :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Mpls.Ldp>`
                
                .. attribute:: traffic_eng
                
                	routing protocol commands for MPLS Traffic Engineering
                	**type**\:   :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Mpls.TrafficEng>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ldp = Native.Router.Isis.Mpls.Ldp()
                    self.ldp.parent = self
                    self.traffic_eng = Native.Router.Isis.Mpls.TrafficEng()
                    self.traffic_eng.parent = self


                class Ldp(object):
                    """
                    routing protocol commands for MPLS LDP
                    
                    .. attribute:: autoconfig
                    
                    	Configure LDP automatic configuration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Mpls.Ldp.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: sync
                    
                    	Configure LDP\-IGP Synchronization
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sync_igp_shortcuts
                    
                    	Configure LDP\-IGP Synchronization on MPLS shortcuts
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.sync = None
                        self.sync_igp_shortcuts = None


                    class Autoconfig(object):
                        """
                        Configure LDP automatic configuration
                        
                        .. attribute:: level_1
                        
                        	Configure ISIS level\-1 to run MPLS LDP
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: level_2
                        
                        	Configure ISIS level\-2 to run MPLS LDP
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.level_1 = None
                            self.level_2 = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:mpls/Cisco-IOS-XE-isis:ldp/Cisco-IOS-XE-isis:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.level_1 is not None:
                                return True

                            if self.level_2 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Mpls.Ldp.Autoconfig']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:mpls/Cisco-IOS-XE-isis:ldp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.sync is not None:
                            return True

                        if self.sync_igp_shortcuts is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Mpls.Ldp']['meta_info']


                class TrafficEng(object):
                    """
                    routing protocol commands for MPLS Traffic Engineering
                    
                    .. attribute:: level_1
                    
                    	Run MPLS TE on IS\-IS level 1 only
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: level_2
                    
                    	Run MPLS TE on IS\-IS level 2 only
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: multicast_intact
                    
                    	MPLS TE and PIM interaction
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: router_id
                    
                    	Traffic Engineering stable IP address for system
                    	**type**\:   :py:class:`RouterId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Mpls.TrafficEng.RouterId>`
                    
                    .. attribute:: scanner
                    
                    	Timer parameters for TE database
                    	**type**\:   :py:class:`Scanner <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Mpls.TrafficEng.Scanner>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level_1 = None
                        self.level_2 = None
                        self.multicast_intact = None
                        self.router_id = Native.Router.Isis.Mpls.TrafficEng.RouterId()
                        self.router_id.parent = self
                        self.scanner = None


                    class RouterId(object):
                        """
                        Traffic Engineering stable IP address for system
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\:  str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Mpls.TrafficEng.RouterId.AtmAcrsubinterface>`
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Mpls.TrafficEng.RouterId.AtmSubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\:  str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\:  str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\:  str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\:  str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\:  str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\:  str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  int
                        
                        	**range:** 0..65520
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Mpls.TrafficEng.RouterId.LispSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\:  str
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\:  str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\:  str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.appnav_compress = None
                            self.appnav_uncompress = None
                            self.atm = None
                            self.atm_acr = None
                            self.atm_acrsubinterface = Native.Router.Isis.Mpls.TrafficEng.RouterId.AtmAcrsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self.atm_subinterface = Native.Router.Isis.Mpls.TrafficEng.RouterId.AtmSubinterface()
                            self.atm_subinterface.parent = self
                            self.bdi = None
                            self.cellular = None
                            self.cem = None
                            self.cem_acr = None
                            self.embedded_service_engine = None
                            self.fastethernet = None
                            self.gigabitethernet = None
                            self.lisp = None
                            self.lisp_subinterface = Native.Router.Isis.Mpls.TrafficEng.RouterId.LispSubinterface()
                            self.lisp_subinterface.parent = self
                            self.loopback = None
                            self.multilink = None
                            self.nve = None
                            self.overlay = None
                            self.port_channel = None
                            self.port_channel_subinterface = Native.Router.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self.pseudowire = None
                            self.serial = None
                            self.sm = None
                            self.tengigabitethernet = None
                            self.tunnel = None
                            self.vasileft = None
                            self.vasiright = None
                            self.virtual_template = None
                            self.virtualportgroup = None
                            self.vlan = None


                        class AtmSubinterface(object):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:mpls/Cisco-IOS-XE-isis:traffic-eng/Cisco-IOS-XE-isis:router-id/Cisco-IOS-XE-isis:ATM-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Mpls.TrafficEng.RouterId.AtmSubinterface']['meta_info']


                        class AtmAcrsubinterface(object):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.atm_acr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:mpls/Cisco-IOS-XE-isis:traffic-eng/Cisco-IOS-XE-isis:router-id/Cisco-IOS-XE-isis:ATM-ACRsubinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.atm_acr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Mpls.TrafficEng.RouterId.AtmAcrsubinterface']['meta_info']


                        class LispSubinterface(object):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:mpls/Cisco-IOS-XE-isis:traffic-eng/Cisco-IOS-XE-isis:router-id/Cisco-IOS-XE-isis:LISP-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Mpls.TrafficEng.RouterId.LispSubinterface']['meta_info']


                        class PortChannelSubinterface(object):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.port_channel = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:mpls/Cisco-IOS-XE-isis:traffic-eng/Cisco-IOS-XE-isis:router-id/Cisco-IOS-XE-isis:Port-channel-subinterface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.port_channel is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:mpls/Cisco-IOS-XE-isis:traffic-eng/Cisco-IOS-XE-isis:router-id'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.appnav_compress is not None:
                                return True

                            if self.appnav_uncompress is not None:
                                return True

                            if self.atm is not None:
                                return True

                            if self.atm_acr is not None:
                                return True

                            if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                return True

                            if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                return True

                            if self.bdi is not None:
                                return True

                            if self.cellular is not None:
                                return True

                            if self.cem is not None:
                                return True

                            if self.cem_acr is not None:
                                return True

                            if self.embedded_service_engine is not None:
                                return True

                            if self.fastethernet is not None:
                                return True

                            if self.gigabitethernet is not None:
                                return True

                            if self.lisp is not None:
                                return True

                            if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                return True

                            if self.loopback is not None:
                                return True

                            if self.multilink is not None:
                                return True

                            if self.nve is not None:
                                return True

                            if self.overlay is not None:
                                return True

                            if self.port_channel is not None:
                                return True

                            if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                return True

                            if self.pseudowire is not None:
                                return True

                            if self.serial is not None:
                                return True

                            if self.sm is not None:
                                return True

                            if self.tengigabitethernet is not None:
                                return True

                            if self.tunnel is not None:
                                return True

                            if self.vasileft is not None:
                                return True

                            if self.vasiright is not None:
                                return True

                            if self.virtual_template is not None:
                                return True

                            if self.virtualportgroup is not None:
                                return True

                            if self.vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Mpls.TrafficEng.RouterId']['meta_info']


                    class Scanner(object):
                        """
                        Timer parameters for TE database
                        
                        .. attribute:: interval
                        
                        	time (secs) between LSPDB walks for TE
                        	**type**\:  int
                        
                        	**range:** 1..60
                        
                        .. attribute:: max_flash
                        
                        	Number of ISIS LSPs to be processed with no delay
                        	**type**\:  int
                        
                        	**range:** 0..200
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.interval = None
                            self.max_flash = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:mpls/Cisco-IOS-XE-isis:traffic-eng/Cisco-IOS-XE-isis:scanner'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.interval is not None:
                                return True

                            if self.max_flash is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.Mpls.TrafficEng.Scanner']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:mpls/Cisco-IOS-XE-isis:traffic-eng'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level_1 is not None:
                            return True

                        if self.level_2 is not None:
                            return True

                        if self.multicast_intact is not None:
                            return True

                        if self.router_id is not None and self.router_id._has_data():
                            return True

                        if self.scanner is not None and self.scanner._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Mpls.TrafficEng']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ldp is not None and self.ldp._has_data():
                        return True

                    if self.traffic_eng is not None and self.traffic_eng._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.Mpls']['meta_info']


            class Net(object):
                """
                A Network Entity Title for this process (OSI only)
                
                .. attribute:: tag  <key>
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.tag = None

                @property
                def _common_path(self):
                    if self.tag is None:
                        raise YPYModelError('Key property tag is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:net[Cisco-IOS-XE-isis:tag = ' + str(self.tag) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.tag is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.Net']['meta_info']


            class Nsf(object):
                """
                Non\-stop forwarding
                
                .. attribute:: cisco
                
                	Checkpoint method
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ietf
                
                	IETF method
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: interface
                
                	Interface properties
                	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Nsf.Interface>`
                
                .. attribute:: interval
                
                	Minutes
                	**type**\:  int
                
                	**range:** 0..1440
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cisco = None
                    self.ietf = None
                    self.interface = Native.Router.Isis.Nsf.Interface()
                    self.interface.parent = self
                    self.interval = None


                class Interface(object):
                    """
                    Interface properties
                    
                    .. attribute:: wait
                    
                    	Seconds
                    	**type**\:  int
                    
                    	**range:** 1..60
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.wait = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:nsf/Cisco-IOS-XE-isis:interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.wait is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Nsf.Interface']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:nsf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cisco is not None:
                        return True

                    if self.ietf is not None:
                        return True

                    if self.interface is not None and self.interface._has_data():
                        return True

                    if self.interval is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.Nsf']['meta_info']


            class Partition(object):
                """
                CLNS area partition
                
                .. attribute:: avoidance
                
                	Withdraw area prefix if partition detected
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.avoidance = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:partition'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.avoidance is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.Partition']['meta_info']


            class PassiveInterface(object):
                """
                Suppress routing updates on an interface
                
                .. attribute:: default
                
                	Suppress routing updates on all interfaces
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: interface
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = None
                    self.interface = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:passive-interface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None:
                        return True

                    if self.interface is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.PassiveInterface']['meta_info']


            class Disable(object):
                """
                
                
                .. attribute:: passive_interface
                
                	
                	**type**\: list of    :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Disable.PassiveInterface>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.passive_interface = YList()
                    self.passive_interface.parent = self
                    self.passive_interface.name = 'passive_interface'


                class PassiveInterface(object):
                    """
                    
                    
                    .. attribute:: interface  <key>
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interface = None

                    @property
                    def _common_path(self):
                        if self.interface is None:
                            raise YPYModelError('Key property interface is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:disable/Cisco-IOS-XE-isis:passive-interface[Cisco-IOS-XE-isis:interface = ' + str(self.interface) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.Disable.PassiveInterface']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:disable'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.passive_interface is not None:
                        for child_ref in self.passive_interface:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.Disable']['meta_info']


            class Protocol(object):
                """
                Set protocol's administrative state
                
                .. attribute:: shutdown
                
                	Set protocol's administrative state to disable
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.shutdown = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:protocol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.shutdown is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.Protocol']['meta_info']


            class SegmentRouting(object):
                """
                Enable Segment Routing Feature
                
                .. attribute:: mpls
                
                	Enable Segment Routing Feature using MPLS encapsulation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: prefix_sid_map
                
                	Enable prefix\-sid\-map
                	**type**\:   :py:class:`PrefixSidMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SegmentRouting.PrefixSidMap>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.mpls = None
                    self.prefix_sid_map = Native.Router.Isis.SegmentRouting.PrefixSidMap()
                    self.prefix_sid_map.parent = self


                class PrefixSidMap(object):
                    """
                    Enable prefix\-sid\-map
                    
                    .. attribute:: advertise_local
                    
                    	Advertise active local prefix\-SID mappings
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: receive
                    
                    	Enable prefix\-SID mapping client
                    	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SegmentRouting.PrefixSidMap.Receive>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.advertise_local = None
                        self.receive = None


                    class Receive(object):
                        """
                        Enable prefix\-SID mapping client
                        
                        .. attribute:: disable
                        
                        	Disable prefix\-SID mapping
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:segment-routing/Cisco-IOS-XE-isis:prefix-sid-map/Cisco-IOS-XE-isis:receive'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Isis.SegmentRouting.PrefixSidMap.Receive']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:segment-routing/Cisco-IOS-XE-isis:prefix-sid-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.advertise_local is not None:
                            return True

                        if self.receive is not None and self.receive._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Isis.SegmentRouting.PrefixSidMap']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:segment-routing'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.mpls is not None:
                        return True

                    if self.prefix_sid_map is not None and self.prefix_sid_map._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.SegmentRouting']['meta_info']


            class Skeptical(object):
                """
                Be a cautious NSF helper when refresh adjacency
                
                .. attribute:: interval
                
                	Minutes
                	**type**\:  int
                
                	**range:** 0..1440
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.interval = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:skeptical'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.interval is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.Skeptical']['meta_info']


            class Use(object):
                """
                Use different algorithms during SPF
                
                .. attribute:: external_metrics
                
                	Honour external metrics during SPF
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.external_metrics = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:use'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.external_metrics is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.Use']['meta_info']


            class Bfd(object):
                """
                BFD configuration commands
                
                .. attribute:: all_interfaces
                
                	Enable BFD on all interfaces
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: check_ctrl_plane_failure
                
                	BFD check control plane failure
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.all_interfaces = None
                    self.check_ctrl_plane_failure = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis/Cisco-IOS-XE-isis:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.all_interfaces is not None:
                        return True

                    if self.check_ctrl_plane_failure is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Isis.Bfd']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.address_family is not None and self.address_family._has_data():
                    return True

                if self.adjacency_check is not None:
                    return True

                if self.advertise is not None and self.advertise._has_data():
                    return True

                if self.area_password is not None and self.area_password._has_data():
                    return True

                if self.authentication is not None and self.authentication._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.default_information is not None and self.default_information._has_data():
                    return True

                if self.disable is not None and self.disable._has_data():
                    return True

                if self.distance is not None:
                    for child_ref in self.distance:
                        if child_ref._has_data():
                            return True

                if self.distribute_list is not None and self.distribute_list._has_data():
                    return True

                if self.domain_password is not None and self.domain_password._has_data():
                    return True

                if self.fast_flood is not None and self.fast_flood._has_data():
                    return True

                if self.fast_reroute is not None and self.fast_reroute._has_data():
                    return True

                if self.hello is not None and self.hello._has_data():
                    return True

                if self.help is not None:
                    return True

                if self.hostname is not None and self.hostname._has_data():
                    return True

                if self.ignore_lsp_errors is not None:
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.is_type is not None:
                    return True

                if self.ispf is not None and self.ispf._has_data():
                    return True

                if self.log_adjacency_changes is not None and self.log_adjacency_changes._has_data():
                    return True

                if self.lsp_full is not None and self.lsp_full._has_data():
                    return True

                if self.lsp_gen_interval is not None and self.lsp_gen_interval._has_data():
                    return True

                if self.lsp_mtu is not None:
                    return True

                if self.lsp_refresh_interval is not None:
                    return True

                if self.max_area_addresses is not None:
                    return True

                if self.max_lsp_lifetime is not None:
                    return True

                if self.maximum_paths is not None:
                    return True

                if self.metric is not None and self.metric._has_data():
                    return True

                if self.metric_style is not None and self.metric_style._has_data():
                    return True

                if self.microloop is not None and self.microloop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.net is not None:
                    for child_ref in self.net:
                        if child_ref._has_data():
                            return True

                if self.nsf is not None and self.nsf._has_data():
                    return True

                if self.partition is not None and self.partition._has_data():
                    return True

                if self.passive_interface is not None and self.passive_interface._has_data():
                    return True

                if self.prc_interval is not None and self.prc_interval._has_data():
                    return True

                if self.priority is not None:
                    return True

                if self.protocol is not None and self.protocol._has_data():
                    return True

                if self.redistribute is not None and self.redistribute._has_data():
                    return True

                if self.router_id is not None:
                    return True

                if self.segment_routing is not None and self.segment_routing._has_data():
                    return True

                if self.set_attached_bit is not None and self.set_attached_bit._has_data():
                    return True

                if self.set_overload_bit is not None and self.set_overload_bit._has_data():
                    return True

                if self.skeptical is not None and self.skeptical._has_data():
                    return True

                if self.snmp is not None and self.snmp._has_data():
                    return True

                if self.spf_interval is not None and self.spf_interval._has_data():
                    return True

                if self.summary_address is not None:
                    for child_ref in self.summary_address:
                        if child_ref._has_data():
                            return True

                if self.ti_lfa is not None and self.ti_lfa._has_data():
                    return True

                if self.traffic_share is not None and self.traffic_share._has_data():
                    return True

                if self.update_queue_depth is not None:
                    return True

                if self.use is not None and self.use._has_data():
                    return True

                if self.vrf is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Router.Isis']['meta_info']


        class IsisContainer(object):
            """
            
            
            .. attribute:: isis
            
            	ISO IS\-IS
            	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis>`
            
            

            """

            _prefix = 'ios-isis'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.isis = YList()
                self.isis.parent = self
                self.isis.name = 'isis'


            class Isis(object):
                """
                ISO IS\-IS
                
                .. attribute:: area_tag  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: address_family
                
                	Enter Address Family command mode
                	**type**\:   :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily>`
                
                .. attribute:: adjacency_check
                
                	Check ISIS neighbor protocol support
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: advertise
                
                	Control which IP routes flow in L1 and L2 LSPs
                	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Advertise>`
                
                .. attribute:: area_password
                
                	Configure the authentication password for an area
                	**type**\:   :py:class:`AreaPassword <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AreaPassword>`
                
                .. attribute:: authentication
                
                	ISIS authentication for LSPs
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Authentication>`
                
                .. attribute:: bfd
                
                	BFD configuration commands
                	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Bfd>`
                
                .. attribute:: default_information
                
                	Control distribution of default information
                	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.DefaultInformation>`
                
                .. attribute:: disable
                
                	
                	**type**\:   :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Disable>`
                
                .. attribute:: distance
                
                	Define an administrative distance
                	**type**\: list of    :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Distance>`
                
                .. attribute:: distribute_list
                
                	Filter networks in routing updates
                	**type**\:   :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.DistributeList>`
                
                .. attribute:: domain_password
                
                	Set the authentication password for a routing domain
                	**type**\:   :py:class:`DomainPassword <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.DomainPassword>`
                
                .. attribute:: fast_flood
                
                	Flood LSPs (that triggered SPF) before running SPF
                	**type**\:   :py:class:`FastFlood <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastFlood>`
                
                	**presence node**\: True
                
                .. attribute:: fast_reroute
                
                	Configure Fast\-Reroute
                	**type**\:   :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute>`
                
                .. attribute:: hello
                
                	Pad ISIS hello PDUs to full MTU
                	**type**\:   :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Hello>`
                
                .. attribute:: help
                
                	Description of the interactive help system
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hostname
                
                	Dynamic hostname for IS\-IS
                	**type**\:   :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Hostname>`
                
                .. attribute:: ignore_lsp_errors
                
                	Ignore LSPs with bad checksums
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ip
                
                	IP specific commands
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Ip>`
                
                .. attribute:: is_type
                
                	IS Level for this routing process (OSI only)
                	**type**\:   :py:class:`IsTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.IsTypeEnum>`
                
                .. attribute:: ispf
                
                	Configure execution of incremental SPF
                	**type**\:   :py:class:`Ispf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Ispf>`
                
                .. attribute:: log_adjacency_changes
                
                	Log changes in adjacency state
                	**type**\:   :py:class:`LogAdjacencyChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.LogAdjacencyChanges>`
                
                	**presence node**\: True
                
                .. attribute:: lsp_full
                
                	If we run out of LSP fragments
                	**type**\:   :py:class:`LspFull <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.LspFull>`
                
                .. attribute:: lsp_gen_interval
                
                	Minimum interval between regenerating same LSP
                	**type**\:   :py:class:`LspGenInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.LspGenInterval>`
                
                .. attribute:: lsp_mtu
                
                	Set maximum LSP size
                	**type**\:  int
                
                	**range:** 128..4352
                
                .. attribute:: lsp_refresh_interval
                
                	Set LSP refresh interval
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: max_area_addresses
                
                	Allow configuration of more manual area addresses
                	**type**\:  int
                
                	**range:** 3..254
                
                .. attribute:: max_lsp_lifetime
                
                	Set maximum LSP lifetime
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: maximum_paths
                
                	Forward packets over multiple paths
                	**type**\:  int
                
                	**range:** 1..32
                
                .. attribute:: metric
                
                	Set ISIS metric for all interfaces
                	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Metric>`
                
                .. attribute:: metric_style
                
                	Use old\-style (ISO 10589) or new\-style packet formats
                	**type**\:   :py:class:`MetricStyle <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.MetricStyle>`
                
                .. attribute:: microloop
                
                	Enable microloop protection configuration commands
                	**type**\:   :py:class:`Microloop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Microloop>`
                
                .. attribute:: mpls
                
                	Configure MPLS routing protocol parameters
                	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Mpls>`
                
                .. attribute:: net
                
                	A Network Entity Title for this process (OSI only)
                	**type**\: list of    :py:class:`Net <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Net>`
                
                .. attribute:: nsf
                
                	Non\-stop forwarding
                	**type**\:   :py:class:`Nsf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Nsf>`
                
                .. attribute:: partition
                
                	CLNS area partition
                	**type**\:   :py:class:`Partition <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Partition>`
                
                .. attribute:: passive_interface
                
                	Suppress routing updates on an interface
                	**type**\:   :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.PassiveInterface>`
                
                .. attribute:: prc_interval
                
                	Minimum interval between partial route calculations
                	**type**\:   :py:class:`PrcInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.PrcInterval>`
                
                .. attribute:: priority
                
                	priority value
                	**type**\:  int
                
                	**range:** 0..127
                
                .. attribute:: protocol
                
                	Set protocol's administrative state
                	**type**\:   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Protocol>`
                
                .. attribute:: redistribute
                
                	Redistribute information from another routing protocol
                	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute>`
                
                .. attribute:: router_id
                
                	Interface of stable IP address for system
                	**type**\:  str
                
                .. attribute:: segment_routing
                
                	Enable Segment Routing Feature
                	**type**\:   :py:class:`SegmentRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SegmentRouting>`
                
                .. attribute:: set_attached_bit
                
                	Conditionally advertise us as attached to L2
                	**type**\:   :py:class:`SetAttachedBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SetAttachedBit>`
                
                .. attribute:: set_overload_bit
                
                	Signal other routers not to use us in SPF
                	**type**\:   :py:class:`SetOverloadBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SetOverloadBit>`
                
                	**presence node**\: True
                
                .. attribute:: skeptical
                
                	Be a cautious NSF helper when refresh adjacency
                	**type**\:   :py:class:`Skeptical <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Skeptical>`
                
                .. attribute:: snmp
                
                	Modify snmp parameters
                	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Snmp>`
                
                .. attribute:: spf_interval
                
                	Minimum interval between SPF calculations
                	**type**\:   :py:class:`SpfInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SpfInterval>`
                
                .. attribute:: summary_address
                
                	Configure IP address summaries
                	**type**\: list of    :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SummaryAddress>`
                
                .. attribute:: ti_lfa
                
                	
                	**type**\:   :py:class:`TiLfa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.TiLfa>`
                
                .. attribute:: traffic_share
                
                	How to compute traffic share over alternate paths
                	**type**\:   :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.TrafficShare>`
                
                .. attribute:: update_queue_depth
                
                	Set Update process queue depth
                	**type**\:  int
                
                	**range:** 1..2147483647
                
                .. attribute:: use
                
                	Use different algorithms during SPF
                	**type**\:   :py:class:`Use <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Use>`
                
                .. attribute:: vrf
                
                	VRF name for this process
                	**type**\:  str
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.area_tag = None
                    self.address_family = Native.Router.IsisContainer.Isis.AddressFamily()
                    self.address_family.parent = self
                    self.adjacency_check = None
                    self.advertise = Native.Router.IsisContainer.Isis.Advertise()
                    self.advertise.parent = self
                    self.area_password = Native.Router.IsisContainer.Isis.AreaPassword()
                    self.area_password.parent = self
                    self.authentication = Native.Router.IsisContainer.Isis.Authentication()
                    self.authentication.parent = self
                    self.bfd = Native.Router.IsisContainer.Isis.Bfd()
                    self.bfd.parent = self
                    self.default_information = Native.Router.IsisContainer.Isis.DefaultInformation()
                    self.default_information.parent = self
                    self.disable = Native.Router.IsisContainer.Isis.Disable()
                    self.disable.parent = self
                    self.distance = YList()
                    self.distance.parent = self
                    self.distance.name = 'distance'
                    self.distribute_list = Native.Router.IsisContainer.Isis.DistributeList()
                    self.distribute_list.parent = self
                    self.domain_password = Native.Router.IsisContainer.Isis.DomainPassword()
                    self.domain_password.parent = self
                    self.fast_flood = None
                    self.fast_reroute = Native.Router.IsisContainer.Isis.FastReroute()
                    self.fast_reroute.parent = self
                    self.hello = Native.Router.IsisContainer.Isis.Hello()
                    self.hello.parent = self
                    self.help = None
                    self.hostname = Native.Router.IsisContainer.Isis.Hostname()
                    self.hostname.parent = self
                    self.ignore_lsp_errors = None
                    self.ip = Native.Router.IsisContainer.Isis.Ip()
                    self.ip.parent = self
                    self.is_type = None
                    self.ispf = Native.Router.IsisContainer.Isis.Ispf()
                    self.ispf.parent = self
                    self.log_adjacency_changes = None
                    self.lsp_full = Native.Router.IsisContainer.Isis.LspFull()
                    self.lsp_full.parent = self
                    self.lsp_gen_interval = Native.Router.IsisContainer.Isis.LspGenInterval()
                    self.lsp_gen_interval.parent = self
                    self.lsp_mtu = None
                    self.lsp_refresh_interval = None
                    self.max_area_addresses = None
                    self.max_lsp_lifetime = None
                    self.maximum_paths = None
                    self.metric = Native.Router.IsisContainer.Isis.Metric()
                    self.metric.parent = self
                    self.metric_style = Native.Router.IsisContainer.Isis.MetricStyle()
                    self.metric_style.parent = self
                    self.microloop = Native.Router.IsisContainer.Isis.Microloop()
                    self.microloop.parent = self
                    self.mpls = Native.Router.IsisContainer.Isis.Mpls()
                    self.mpls.parent = self
                    self.net = YList()
                    self.net.parent = self
                    self.net.name = 'net'
                    self.nsf = Native.Router.IsisContainer.Isis.Nsf()
                    self.nsf.parent = self
                    self.partition = Native.Router.IsisContainer.Isis.Partition()
                    self.partition.parent = self
                    self.passive_interface = Native.Router.IsisContainer.Isis.PassiveInterface()
                    self.passive_interface.parent = self
                    self.prc_interval = Native.Router.IsisContainer.Isis.PrcInterval()
                    self.prc_interval.parent = self
                    self.priority = None
                    self.protocol = Native.Router.IsisContainer.Isis.Protocol()
                    self.protocol.parent = self
                    self.redistribute = Native.Router.IsisContainer.Isis.Redistribute()
                    self.redistribute.parent = self
                    self.router_id = None
                    self.segment_routing = Native.Router.IsisContainer.Isis.SegmentRouting()
                    self.segment_routing.parent = self
                    self.set_attached_bit = Native.Router.IsisContainer.Isis.SetAttachedBit()
                    self.set_attached_bit.parent = self
                    self.set_overload_bit = None
                    self.skeptical = Native.Router.IsisContainer.Isis.Skeptical()
                    self.skeptical.parent = self
                    self.snmp = Native.Router.IsisContainer.Isis.Snmp()
                    self.snmp.parent = self
                    self.spf_interval = Native.Router.IsisContainer.Isis.SpfInterval()
                    self.spf_interval.parent = self
                    self.summary_address = YList()
                    self.summary_address.parent = self
                    self.summary_address.name = 'summary_address'
                    self.ti_lfa = Native.Router.IsisContainer.Isis.TiLfa()
                    self.ti_lfa.parent = self
                    self.traffic_share = Native.Router.IsisContainer.Isis.TrafficShare()
                    self.traffic_share.parent = self
                    self.update_queue_depth = None
                    self.use = Native.Router.IsisContainer.Isis.Use()
                    self.use.parent = self
                    self.vrf = None

                class IsTypeEnum(Enum):
                    """
                    IsTypeEnum

                    IS Level for this routing process (OSI only)

                    .. data:: level_1 = 0

                    .. data:: level_1_2 = 1

                    .. data:: level_2_only = 2

                    """

                    level_1 = 0

                    level_1_2 = 1

                    level_2_only = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.IsTypeEnum']



                class MetricStyle(object):
                    """
                    Use old\-style (ISO 10589) or new\-style packet formats
                    
                    .. attribute:: narrow
                    
                    	Use old style of TLVs with narrow metric
                    	**type**\:   :py:class:`Narrow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.MetricStyle.Narrow>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transition
                    
                    	Send and accept both styles of TLVs during transition
                    	**type**\:   :py:class:`Transition <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.MetricStyle.Transition>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: wide
                    
                    	Use new style of TLVs to carry wider metric
                    	**type**\:   :py:class:`Wide <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.MetricStyle.Wide>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.narrow = None
                        self.transition = None
                        self.wide = None


                    class Narrow(object):
                        """
                        Use old style of TLVs with narrow metric
                        
                        .. attribute:: narrow_wide
                        
                        	
                        	**type**\:   :py:class:`IsisLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisLevelTypeEnum>`
                        
                        .. attribute:: transition
                        
                        	Accept both styles of TLVs during transition
                        	**type**\:   :py:class:`IsisLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisLevelTypeEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.narrow_wide = None
                            self.transition = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:narrow'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.narrow_wide is not None:
                                return True

                            if self.transition is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.MetricStyle.Narrow']['meta_info']


                    class Transition(object):
                        """
                        Send and accept both styles of TLVs during transition
                        
                        .. attribute:: transition
                        
                        	
                        	**type**\:   :py:class:`IsisLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisLevelTypeEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.transition = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:transition'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.transition is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.MetricStyle.Transition']['meta_info']


                    class Wide(object):
                        """
                        Use new style of TLVs to carry wider metric
                        
                        .. attribute:: narrow_wide
                        
                        	
                        	**type**\:   :py:class:`IsisLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisLevelTypeEnum>`
                        
                        .. attribute:: transition
                        
                        	Accept both styles of TLVs during transition
                        	**type**\:   :py:class:`IsisLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisLevelTypeEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.narrow_wide = None
                            self.transition = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:wide'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.narrow_wide is not None:
                                return True

                            if self.transition is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.MetricStyle.Wide']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:metric-style'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.narrow is not None and self.narrow._has_data():
                            return True

                        if self.transition is not None and self.transition._has_data():
                            return True

                        if self.wide is not None and self.wide._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.MetricStyle']['meta_info']


                class AddressFamily(object):
                    """
                    Enter Address Family command mode
                    
                    .. attribute:: ipv4
                    
                    	Address family
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	Address family
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4()
                        self.ipv4.parent = self
                        self.ipv6 = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6()
                        self.ipv6.parent = self


                    class Ipv4(object):
                        """
                        Address family
                        
                        .. attribute:: help
                        
                        	Description of the interactive help system
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp>`
                        
                        .. attribute:: topology
                        
                        	Associate the routing protocol to a topology instance
                        	**type**\: list of    :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology>`
                        
                        .. attribute:: unicast_multicast
                        
                        	
                        	**type**\:   :py:class:`UnicastMulticastEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.UnicastMulticastEnum>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.help = None
                            self.snmp = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp()
                            self.snmp.parent = self
                            self.topology = YList()
                            self.topology.parent = self
                            self.topology.name = 'topology'
                            self.unicast_multicast = None

                        class UnicastMulticastEnum(Enum):
                            """
                            UnicastMulticastEnum

                            .. data:: unicast = 0

                            .. data:: multicast = 1

                            """

                            unicast = 0

                            multicast = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.UnicastMulticastEnum']



                        class Snmp(object):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\: list of    :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.context = YList()
                                self.context.parent = self
                                self.context.name = 'context'


                            class Context(object):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: name  <key>
                                
                                	Context Name
                                	**type**\:  str
                                
                                .. attribute:: community
                                
                                	Configure a SNMP v2c Community string and access privs
                                	**type**\:   :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community>`
                                
                                .. attribute:: user
                                
                                	Configure a SNMP v3 user
                                	**type**\:   :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.community = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community()
                                    self.community.parent = self
                                    self.user = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User()
                                    self.user.parent = self


                                class Community(object):
                                    """
                                    Configure a SNMP v2c Community string and access privs
                                    
                                    .. attribute:: access
                                    
                                    	
                                    	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access>`
                                    
                                    .. attribute:: community_string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.access = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access()
                                        self.access.parent = self
                                        self.community_string = None


                                    class Access(object):
                                        """
                                        
                                        
                                        .. attribute:: acl_name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: expanded_acl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1300..1999
                                        
                                        .. attribute:: ipv6
                                        
                                        	Specify IPv6 Named Access\-List
                                        	**type**\:  str
                                        
                                        .. attribute:: ro
                                        
                                        	Read\-only access with this community string
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: rw
                                        
                                        	Read\-write access with this community string
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: standard_acl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..99
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.acl_name = None
                                            self.expanded_acl = None
                                            self.ipv6 = None
                                            self.ro = None
                                            self.rw = None
                                            self.standard_acl = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:access'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.acl_name is not None:
                                                return True

                                            if self.expanded_acl is not None:
                                                return True

                                            if self.ipv6 is not None:
                                                return True

                                            if self.ro is not None:
                                                return True

                                            if self.rw is not None:
                                                return True

                                            if self.standard_acl is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:community'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.access is not None and self.access._has_data():
                                            return True

                                        if self.community_string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community']['meta_info']


                                class User(object):
                                    """
                                    Configure a SNMP v3 user
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: permisssion
                                    
                                    	
                                    	**type**\:   :py:class:`Permisssion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.permisssion = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion()
                                        self.permisssion.parent = self


                                    class Permisssion(object):
                                        """
                                        
                                        
                                        .. attribute:: access
                                        
                                        	specify an access\-list associated with this group
                                        	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access>`
                                        
                                        .. attribute:: auth
                                        
                                        	authentication parameters for the user
                                        	**type**\:   :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth>`
                                        
                                        .. attribute:: credential
                                        
                                        	If the user password is already configured and saved
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: encrypted
                                        
                                        	specifying passwords as MD5 or SHA digests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.access = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access()
                                            self.access.parent = self
                                            self.auth = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth()
                                            self.auth.parent = self
                                            self.credential = None
                                            self.encrypted = None


                                        class Access(object):
                                            """
                                            specify an access\-list associated with this group
                                            
                                            .. attribute:: acl_name
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: standard_acl
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.acl_name = None
                                                self.ipv6 = None
                                                self.standard_acl = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:access'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.acl_name is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                if self.standard_acl is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access']['meta_info']


                                        class Auth(object):
                                            """
                                            authentication parameters for the user
                                            
                                            .. attribute:: md5
                                            
                                            	Use HMAC MD5 algorithm for authentication
                                            	**type**\:  str
                                            
                                            .. attribute:: sha
                                            
                                            	Use HMAC SHA algorithm for authentication
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.md5 = None
                                                self.sha = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:auth'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.md5 is not None:
                                                    return True

                                                if self.sha is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:permisssion'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.access is not None and self.access._has_data():
                                                return True

                                            if self.auth is not None and self.auth._has_data():
                                                return True

                                            if self.credential is not None:
                                                return True

                                            if self.encrypted is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:user'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.permisssion is not None and self.permisssion._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:context[Cisco-IOS-XE-isis:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.community is not None and self.community._has_data():
                                        return True

                                    if self.user is not None and self.user._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:snmp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.context is not None:
                                    for child_ref in self.context:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp']['meta_info']


                        class Topology(object):
                            """
                            Associate the routing protocol to a topology instance
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: advertise
                            
                            	Control which IP routes flow in L1 and L2 LSPs
                            	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Advertise>`
                            
                            .. attribute:: default_information
                            
                            	Control distribution of default information
                            	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation>`
                            
                            .. attribute:: distance
                            
                            	Define an administrative distance
                            	**type**\: list of    :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance>`
                            
                            .. attribute:: help
                            
                            	Description of the interactive help system
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore_attached_bit
                            
                            	Never install default route to closest L2 router
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ip
                            
                            	IP specific commands
                            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip>`
                            
                            .. attribute:: maximum_paths
                            
                            	Forward packets over multiple paths
                            	**type**\:  int
                            
                            	**range:** 1..32
                            
                            .. attribute:: metric
                            
                            	Set ISIS metric for all interfaces
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric>`
                            
                            .. attribute:: prc_interval
                            
                            	Minimum interval between partial route calculations
                            	**type**\:   :py:class:`PrcInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.PrcInterval>`
                            
                            .. attribute:: priority
                            
                            	priority value
                            	**type**\:  int
                            
                            	**range:** 0..127
                            
                            .. attribute:: redistribute
                            
                            	Redistribute information from another routing protocol
                            	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute>`
                            
                            .. attribute:: set_attached_bit
                            
                            	Conditionally advertise us as attached to L2
                            	**type**\:   :py:class:`SetAttachedBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit>`
                            
                            .. attribute:: set_overload_bit
                            
                            	Signal other routers not to use us in SPF
                            	**type**\:   :py:class:`SetOverloadBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: snmp
                            
                            	Modify snmp parameters
                            	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp>`
                            
                            .. attribute:: spf_interval
                            
                            	Minimum interval between SPF calculations
                            	**type**\:   :py:class:`SpfInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval>`
                            
                            .. attribute:: summary_address
                            
                            	Configure IP address summaries
                            	**type**\: list of    :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress>`
                            
                            .. attribute:: tid
                            
                            	Configuring the routing protocol topology tid
                            	**type**\:  int
                            
                            	**range:** 5..4095
                            
                            .. attribute:: traffic_share
                            
                            	How to compute traffic share over alternate paths
                            	**type**\:   :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.advertise = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Advertise()
                                self.advertise.parent = self
                                self.default_information = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation()
                                self.default_information.parent = self
                                self.distance = YList()
                                self.distance.parent = self
                                self.distance.name = 'distance'
                                self.help = None
                                self.ignore_attached_bit = None
                                self.ip = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip()
                                self.ip.parent = self
                                self.maximum_paths = None
                                self.metric = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric()
                                self.metric.parent = self
                                self.prc_interval = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.PrcInterval()
                                self.prc_interval.parent = self
                                self.priority = None
                                self.redistribute = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute()
                                self.redistribute.parent = self
                                self.set_attached_bit = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit()
                                self.set_attached_bit.parent = self
                                self.set_overload_bit = None
                                self.snmp = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp()
                                self.snmp.parent = self
                                self.spf_interval = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval()
                                self.spf_interval.parent = self
                                self.summary_address = YList()
                                self.summary_address.parent = self
                                self.summary_address.name = 'summary_address'
                                self.tid = None
                                self.traffic_share = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare()
                                self.traffic_share.parent = self


                            class Distance(object):
                                """
                                Define an administrative distance
                                
                                .. attribute:: number  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: clns
                                
                                	Distance applied for CLNS derived routes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ip
                                
                                	Distance applied for IP derived routes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ip_list
                                
                                	
                                	**type**\: list of    :py:class:`IpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance.IpList>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.clns = None
                                    self.ip = None
                                    self.ip_list = YList()
                                    self.ip_list.parent = self
                                    self.ip_list.name = 'ip_list'


                                class IpList(object):
                                    """
                                    
                                    
                                    .. attribute:: ip  <key>
                                    
                                    	IP Source address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: wildcard_bits
                                    
                                    	
                                    	**type**\: list of    :py:class:`WildcardBits <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance.IpList.WildcardBits>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip = None
                                        self.wildcard_bits = YList()
                                        self.wildcard_bits.parent = self
                                        self.wildcard_bits.name = 'wildcard_bits'


                                    class WildcardBits(object):
                                        """
                                        
                                        
                                        .. attribute:: w_bits  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: access_list
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..99
                                        
                                        
                                        ----
                                        	**type**\:  int
                                        
                                        	**range:** 1300..1999
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.w_bits = None
                                            self.access_list = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.w_bits is None:
                                                raise YPYModelError('Key property w_bits is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:wildcard-bits[Cisco-IOS-XE-isis:w-bits = ' + str(self.w_bits) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.w_bits is not None:
                                                return True

                                            if self.access_list is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance.IpList.WildcardBits']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip is None:
                                            raise YPYModelError('Key property ip is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ip-list[Cisco-IOS-XE-isis:ip = ' + str(self.ip) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip is not None:
                                            return True

                                        if self.wildcard_bits is not None:
                                            for child_ref in self.wildcard_bits:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance.IpList']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.number is None:
                                        raise YPYModelError('Key property number is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:distance[Cisco-IOS-XE-isis:number = ' + str(self.number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.clns is not None:
                                        return True

                                    if self.ip is not None:
                                        return True

                                    if self.ip_list is not None:
                                        for child_ref in self.ip_list:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance']['meta_info']


                            class Ip(object):
                                """
                                IP specific commands
                                
                                .. attribute:: route
                                
                                	ISIS IP routes
                                	**type**\:   :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.route = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route()
                                    self.route.parent = self


                                class Route(object):
                                    """
                                    ISIS IP routes
                                    
                                    .. attribute:: priority
                                    
                                    	Assign priority to IP prefixes
                                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.priority = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority()
                                        self.priority.parent = self


                                    class Priority(object):
                                        """
                                        Assign priority to IP prefixes
                                        
                                        .. attribute:: high
                                        
                                        	Assign high priority to important IP prefixes in ISIS IP local RIB
                                        	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.high = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High()
                                            self.high.parent = self


                                        class High(object):
                                            """
                                            Assign high priority to important IP prefixes in ISIS IP local RIB
                                            
                                            .. attribute:: tag
                                            
                                            	Assign high priority to IP prefixes with a specific route tag
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.tag = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:high'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:priority'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.high is not None and self.high._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:route'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.priority is not None and self.priority._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.route is not None and self.route._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip']['meta_info']


                            class Redistribute(object):
                                """
                                Redistribute information from another routing protocol
                                
                                .. attribute:: application
                                
                                	Application
                                	**type**\: list of    :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application>`
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\:   :py:class:`Isis_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_>`
                                
                                .. attribute:: iso_igrp
                                
                                	IGRP for OSI networks
                                	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: lisp
                                
                                	Locator ID Separation Protocol (LISP)
                                	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes redistributed to protocol
                                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix>`
                                
                                .. attribute:: mobile
                                
                                	Mobile routes
                                	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: odr
                                
                                	On Demand stub Routes
                                	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf>`
                                
                                .. attribute:: ospfv3
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: vrf
                                
                                	Specify a source VRF
                                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.application = YList()
                                    self.application.parent = self
                                    self.application.name = 'application'
                                    self.bgp = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp()
                                    self.bgp.parent = self
                                    self.connected = None
                                    self.eigrp = YList()
                                    self.eigrp.parent = self
                                    self.eigrp.name = 'eigrp'
                                    self.isis = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_()
                                    self.isis.parent = self
                                    self.iso_igrp = None
                                    self.lisp = None
                                    self.maximum_prefix = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self.mobile = None
                                    self.odr = None
                                    self.ospf = YList()
                                    self.ospf.parent = self
                                    self.ospf.name = 'ospf'
                                    self.ospfv3 = YList()
                                    self.ospfv3.parent = self
                                    self.ospfv3.name = 'ospfv3'
                                    self.rip = None
                                    self.static = None
                                    self.vrf = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf()
                                    self.vrf.parent = self


                                class Application(object):
                                    """
                                    Application
                                    
                                    .. attribute:: name  <key>
                                    
                                    	Application name
                                    	**type**\:  str
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:application[Cisco-IOS-XE-isis:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application']['meta_info']


                                class Bgp(object):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: as_number
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    
                                    ----
                                    .. attribute:: clns
                                    
                                    	Redistribution of BGP NSAP routes
                                    	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of BGP IP routes
                                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None
                                        self.clns = None
                                        self.ip = None
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.MetricTypeEnum']



                                    class Clns(object):
                                        """
                                        Redistribution of BGP NSAP routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:clns'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns']['meta_info']


                                    class Ip(object):
                                        """
                                        Redistribution of BGP IP routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:bgp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.as_number is not None:
                                            return True

                                        if self.clns is not None and self.clns._has_data():
                                            return True

                                        if self.ip is not None and self.ip._has_data():
                                            return True

                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp']['meta_info']


                                class Connected(object):
                                    """
                                    Connected
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:connected'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected']['meta_info']


                                class Eigrp(object):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: as_number  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.as_number is None:
                                            raise YPYModelError('Key property as_number is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:eigrp[Cisco-IOS-XE-isis:as-number = ' + str(self.as_number) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.as_number is not None:
                                            return True

                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp']['meta_info']


                                class Isis_(object):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP routes between levels
                                    	**type**\: list of    :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip>`
                                    
                                    .. attribute:: isis_redistribute
                                    
                                    	
                                    	**type**\: list of    :py:class:`IsisRedistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip = YList()
                                        self.ip.parent = self
                                        self.ip.name = 'ip'
                                        self.isis_redistribute = YList()
                                        self.isis_redistribute.parent = self
                                        self.isis_redistribute.name = 'isis_redistribute'


                                    class IsisRedistribute(object):
                                        """
                                        
                                        
                                        .. attribute:: area_tag  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: ip
                                        
                                        	Redistribution of IP routes between levels or processes
                                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.area_tag = None
                                            self.ip = None


                                        class Ip(object):
                                            """
                                            Redistribution of IP routes between levels or processes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute.Ip.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute.Ip.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute.Ip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.area_tag is None:
                                                raise YPYModelError('Key property area_tag is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:isis-redistribute[Cisco-IOS-XE-isis:area-tag = ' + str(self.area_tag) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.area_tag is not None:
                                                return True

                                            if self.ip is not None and self.ip._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.IsisRedistribute']['meta_info']


                                    class Ip(object):
                                        """
                                        Redistribution of IP routes between levels
                                        
                                        .. attribute:: isis_redist_levels1  <key>
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRedistLevels1Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip.IsisRedistLevels1Enum>`
                                        
                                        .. attribute:: isis_redist_levels2  <key>
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRedistLevels2Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip.IsisRedistLevels2Enum>`
                                        
                                        .. attribute:: distribute_list
                                        
                                        	select routes
                                        	**type**\:  int
                                        
                                        	**range:** 100..199
                                        
                                        .. attribute:: into
                                        
                                        	from level\-n into level\-m
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route matching
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.isis_redist_levels1 = None
                                            self.isis_redist_levels2 = None
                                            self.distribute_list = None
                                            self.into = None
                                            self.route_map = None

                                        class IsisRedistLevels1Enum(Enum):
                                            """
                                            IsisRedistLevels1Enum

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            """

                                            level_1 = 0

                                            level_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip.IsisRedistLevels1Enum']


                                        class IsisRedistLevels2Enum(Enum):
                                            """
                                            IsisRedistLevels2Enum

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            """

                                            level_1 = 0

                                            level_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip.IsisRedistLevels2Enum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.isis_redist_levels1 is None:
                                                raise YPYModelError('Key property isis_redist_levels1 is None')
                                            if self.isis_redist_levels2 is None:
                                                raise YPYModelError('Key property isis_redist_levels2 is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:ip[Cisco-IOS-XE-isis:isis-redist-levels1 = ' + str(self.isis_redist_levels1) + '][Cisco-IOS-XE-isis:isis-redist-levels2 = ' + str(self.isis_redist_levels2) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.isis_redist_levels1 is not None:
                                                return True

                                            if self.isis_redist_levels2 is not None:
                                                return True

                                            if self.distribute_list is not None:
                                                return True

                                            if self.into is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_.Ip']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:isis'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip is not None:
                                            for child_ref in self.ip:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis_redistribute is not None:
                                            for child_ref in self.isis_redistribute:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis_']['meta_info']


                                class IsoIgrp(object):
                                    """
                                    IGRP for OSI networks
                                    
                                    .. attribute:: area_tag_route_map_container
                                    
                                    	
                                    	**type**\:   :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer>`
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.area_tag_route_map_container = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer()
                                        self.area_tag_route_map_container.parent = self
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.MetricTypeEnum']



                                    class AreaTagRouteMapContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: area_tag
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.area_tag = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:area-tag-route-map-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.area_tag is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:iso-igrp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.area_tag_route_map_container is not None and self.area_tag_route_map_container._has_data():
                                            return True

                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp']['meta_info']


                                class Lisp(object):
                                    """
                                    Locator ID Separation Protocol (LISP)
                                    
                                    .. attribute:: include_connected
                                    
                                    	Include connected
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.include_connected = None
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:lisp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.include_connected is not None:
                                            return True

                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp']['meta_info']


                                class MaximumPrefix(object):
                                    """
                                    Maximum number of prefixes redistributed to protocol
                                    
                                    .. attribute:: number
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: threshold_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give warning message when limit is exceeded
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: withdraw
                                    
                                    	Withdraw redistibuted prefixes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.number = None
                                        self.threshold_value = None
                                        self.warning_only = None
                                        self.withdraw = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:maximum-prefix'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.number is not None:
                                            return True

                                        if self.threshold_value is not None:
                                            return True

                                        if self.warning_only is not None:
                                            return True

                                        if self.withdraw is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix']['meta_info']


                                class Mobile(object):
                                    """
                                    Mobile routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:mobile'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile']['meta_info']


                                class Odr(object):
                                    """
                                    On Demand stub Routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:odr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr']['meta_info']


                                class Ospf(object):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: process_id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: match
                                    
                                    	Redistribution of OSPF routes
                                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: vrf
                                    
                                    	VPN Routing/Forwarding Instance
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.process_id = None
                                        self.levels = None
                                        self.match = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match()
                                        self.match.parent = self
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None
                                        self.vrf = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.MetricTypeEnum']



                                    class Match(object):
                                        """
                                        Redistribution of OSPF routes
                                        
                                        .. attribute:: external
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: internal
                                        
                                        	Redistribute OSPF internal routes
                                        	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: nssa_external
                                        
                                        	Redistribute OSPF NSSA external routes
                                        	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.external = None
                                            self.internal = None
                                            self.nssa_external = None


                                        class Internal(object):
                                            """
                                            Redistribute OSPF internal routes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:internal'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal']['meta_info']


                                        class External(object):
                                            """
                                            Redistribute OSPF external routes
                                            
                                            .. attribute:: external_routes
                                            
                                            	
                                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.external_routes = None
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:external'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.external_routes is not None:
                                                    return True

                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External']['meta_info']


                                        class NssaExternal(object):
                                            """
                                            Redistribute OSPF NSSA external routes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_external_routes
                                            
                                            	
                                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_external_routes = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:nssa-external'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_external_routes is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:match'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.external is not None and self.external._has_data():
                                                return True

                                            if self.internal is not None and self.internal._has_data():
                                                return True

                                            if self.nssa_external is not None and self.nssa_external._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.process_id is None:
                                            raise YPYModelError('Key property process_id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ospf[Cisco-IOS-XE-isis:process-id = ' + str(self.process_id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.process_id is not None:
                                            return True

                                        if self.levels is not None:
                                            return True

                                        if self.match is not None and self.match._has_data():
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.vrf is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf']['meta_info']


                                class Ospfv3(object):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: process_id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: match
                                    
                                    	Redistribution of OSPF routes
                                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: vrf
                                    
                                    	VPN Routing/Forwarding Instance
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.process_id = None
                                        self.levels = None
                                        self.match = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match()
                                        self.match.parent = self
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None
                                        self.vrf = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.MetricTypeEnum']



                                    class Match(object):
                                        """
                                        Redistribution of OSPF routes
                                        
                                        .. attribute:: external
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: internal
                                        
                                        	Redistribute OSPF internal routes
                                        	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: nssa_external
                                        
                                        	Redistribute OSPF NSSA external routes
                                        	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.external = None
                                            self.internal = None
                                            self.nssa_external = None


                                        class Internal(object):
                                            """
                                            Redistribute OSPF internal routes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:internal'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal']['meta_info']


                                        class External(object):
                                            """
                                            Redistribute OSPF external routes
                                            
                                            .. attribute:: external_routes
                                            
                                            	
                                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.external_routes = None
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:external'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.external_routes is not None:
                                                    return True

                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External']['meta_info']


                                        class NssaExternal(object):
                                            """
                                            Redistribute OSPF NSSA external routes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_external_routes
                                            
                                            	
                                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_external_routes = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:nssa-external'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_external_routes is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:match'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.external is not None and self.external._has_data():
                                                return True

                                            if self.internal is not None and self.internal._has_data():
                                                return True

                                            if self.nssa_external is not None and self.nssa_external._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.process_id is None:
                                            raise YPYModelError('Key property process_id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ospfv3[Cisco-IOS-XE-isis:process-id = ' + str(self.process_id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.process_id is not None:
                                            return True

                                        if self.levels is not None:
                                            return True

                                        if self.match is not None and self.match._has_data():
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.vrf is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3']['meta_info']


                                class Rip(object):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:rip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip']['meta_info']


                                class Static(object):
                                    """
                                    Static routes
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of BGP NSAP routes
                                    	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of BGP IP routes
                                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.clns = None
                                        self.ip = None


                                    class Clns(object):
                                        """
                                        Redistribution of BGP NSAP routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:clns'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns']['meta_info']


                                    class Ip(object):
                                        """
                                        Redistribution of BGP IP routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:static'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.clns is not None and self.clns._has_data():
                                            return True

                                        if self.ip is not None and self.ip._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static']['meta_info']


                                class Vrf(object):
                                    """
                                    Specify a source VRF
                                    
                                    .. attribute:: global_
                                    
                                    	global VRF
                                    	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_>`
                                    
                                    .. attribute:: vrf_nm
                                    
                                    	
                                    	**type**\: list of    :py:class:`VrfNm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.global_ = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_()
                                        self.global_.parent = self
                                        self.vrf_nm = YList()
                                        self.vrf_nm.parent = self
                                        self.vrf_nm.name = 'vrf_nm'


                                    class VrfNm(object):
                                        """
                                        
                                        
                                        .. attribute:: vrf_nm  <key>
                                        
                                        	Source VRF name
                                        	**type**\:  str
                                        
                                        .. attribute:: application
                                        
                                        	Application
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\:   :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_>`
                                        
                                        .. attribute:: iso_igrp
                                        
                                        	IGRP for OSI networks
                                        	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: lisp
                                        
                                        	Locator ID Separation Protocol (LISP)
                                        	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: mobile
                                        
                                        	Mobile routes
                                        	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Process ID
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: ospfv3
                                        
                                        	OSPFv3
                                        	**type**\:   :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.vrf_nm = None
                                            self.application = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application()
                                            self.application.parent = self
                                            self.bgp = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp()
                                            self.bgp.parent = self
                                            self.connected = None
                                            self.eigrp = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp()
                                            self.eigrp.parent = self
                                            self.isis = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_()
                                            self.isis.parent = self
                                            self.iso_igrp = None
                                            self.lisp = None
                                            self.mobile = None
                                            self.ospf = None
                                            self.ospfv3 = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3()
                                            self.ospfv3.parent = self
                                            self.rip = None
                                            self.static = None


                                        class Application(object):
                                            """
                                            Application
                                            
                                            .. attribute:: appname
                                            
                                            	
                                            	**type**\: list of    :py:class:`Appname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.appname = YList()
                                                self.appname.parent = self
                                                self.appname.name = 'appname'


                                            class Appname(object):
                                                """
                                                
                                                
                                                .. attribute:: appname  <key>
                                                
                                                	Application name
                                                	**type**\:  str
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname.MetricTypeEnum>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.appname = None
                                                    self.levels = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.route_map = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = 0

                                                    internal = 1

                                                    rib_metric_as_external = 2

                                                    rib_metric_as_internal = 3


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.appname is None:
                                                        raise YPYModelError('Key property appname is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:appname[Cisco-IOS-XE-isis:appname = ' + str(self.appname) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.appname is not None:
                                                        return True

                                                    if self.levels is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.appname is not None:
                                                    for child_ref in self.appname:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: a_lesser_1_period_0_xx_period_yy_greater_
                                            
                                            	Autonomous system number
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: bp_as_num
                                            
                                            	
                                            	**type**\: list of    :py:class:`BpAsNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.a_lesser_1_period_0_xx_period_yy_greater_ = None
                                                self.bp_as_num = YList()
                                                self.bp_as_num.parent = self
                                                self.bp_as_num.name = 'bp_as_num'


                                            class BpAsNum(object):
                                                """
                                                
                                                
                                                .. attribute:: bp_as_num  <key>
                                                
                                                	Autonomous system number
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: clns
                                                
                                                	Redistribution of BGP NSAP routes
                                                	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: ip
                                                
                                                	Redistribution of BGP IP routes
                                                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.MetricTypeEnum>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.bp_as_num = None
                                                    self.clns = None
                                                    self.ip = None
                                                    self.levels = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.route_map = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = 0

                                                    internal = 1

                                                    rib_metric_as_external = 2

                                                    rib_metric_as_internal = 3


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.MetricTypeEnum']



                                                class Clns(object):
                                                    """
                                                    Redistribution of BGP NSAP routes
                                                    
                                                    .. attribute:: levels
                                                    
                                                    	
                                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	ISIS default metric
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: metric_type
                                                    
                                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns.MetricTypeEnum>`
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map reference
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-isis'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.levels = None
                                                        self.metric = None
                                                        self.metric_type = None
                                                        self.route_map = None

                                                    class MetricTypeEnum(Enum):
                                                        """
                                                        MetricTypeEnum

                                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                                        .. data:: external = 0

                                                        .. data:: internal = 1

                                                        .. data:: rib_metric_as_external = 2

                                                        .. data:: rib_metric_as_internal = 3

                                                        """

                                                        external = 0

                                                        internal = 1

                                                        rib_metric_as_external = 2

                                                        rib_metric_as_internal = 3


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns.MetricTypeEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:clns'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.levels is not None:
                                                            return True

                                                        if self.metric is not None:
                                                            return True

                                                        if self.metric_type is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns']['meta_info']


                                                class Ip(object):
                                                    """
                                                    Redistribution of BGP IP routes
                                                    
                                                    .. attribute:: levels
                                                    
                                                    	
                                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	ISIS default metric
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: metric_type
                                                    
                                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip.MetricTypeEnum>`
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map reference
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-isis'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.levels = None
                                                        self.metric = None
                                                        self.metric_type = None
                                                        self.route_map = None

                                                    class MetricTypeEnum(Enum):
                                                        """
                                                        MetricTypeEnum

                                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                                        .. data:: external = 0

                                                        .. data:: internal = 1

                                                        .. data:: rib_metric_as_external = 2

                                                        .. data:: rib_metric_as_internal = 3

                                                        """

                                                        external = 0

                                                        internal = 1

                                                        rib_metric_as_external = 2

                                                        rib_metric_as_internal = 3


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip.MetricTypeEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.levels is not None:
                                                            return True

                                                        if self.metric is not None:
                                                            return True

                                                        if self.metric_type is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.bp_as_num is None:
                                                        raise YPYModelError('Key property bp_as_num is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:bp-as-num[Cisco-IOS-XE-isis:bp-as-num = ' + str(self.bp_as_num) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.bp_as_num is not None:
                                                        return True

                                                    if self.clns is not None and self.clns._has_data():
                                                        return True

                                                    if self.ip is not None and self.ip._has_data():
                                                        return True

                                                    if self.levels is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:bgp'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.a_lesser_1_period_0_xx_period_yy_greater_ is not None:
                                                    return True

                                                if self.bp_as_num is not None:
                                                    for child_ref in self.bp_as_num:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: eigrp_as
                                            
                                            	
                                            	**type**\: list of    :py:class:`EigrpAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eigrp_as = YList()
                                                self.eigrp_as.parent = self
                                                self.eigrp_as.name = 'eigrp_as'


                                            class EigrpAs(object):
                                                """
                                                
                                                
                                                .. attribute:: eigrp_as  <key>
                                                
                                                	AS number
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs.MetricTypeEnum>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.eigrp_as = None
                                                    self.levels = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.route_map = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = 0

                                                    internal = 1

                                                    rib_metric_as_external = 2

                                                    rib_metric_as_internal = 3


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.eigrp_as is None:
                                                        raise YPYModelError('Key property eigrp_as is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:eigrp-as[Cisco-IOS-XE-isis:eigrp-as = ' + str(self.eigrp_as) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.eigrp_as is not None:
                                                        return True

                                                    if self.levels is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:eigrp'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eigrp_as is not None:
                                                    for child_ref in self.eigrp_as:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp']['meta_info']


                                        class Isis_(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP routes between levels or processes
                                            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.Ip>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: isis_atag
                                            
                                            	
                                            	**type**\: list of    :py:class:`IsisAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip = None
                                                self.isis_atag = YList()
                                                self.isis_atag.parent = self
                                                self.isis_atag.name = 'isis_atag'


                                            class IsisAtag(object):
                                                """
                                                
                                                
                                                .. attribute:: isis_atag  <key>
                                                
                                                	ISO routing area tag
                                                	**type**\:  str
                                                
                                                .. attribute:: ip
                                                
                                                	Redistribution of IP routes between levels or processes
                                                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip>`
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.isis_atag = None
                                                    self.ip = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip()
                                                    self.ip.parent = self


                                                class Ip(object):
                                                    """
                                                    Redistribution of IP routes between levels or processes
                                                    
                                                    .. attribute:: levels
                                                    
                                                    	
                                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	ISIS default metric
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: metric_type
                                                    
                                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip.MetricTypeEnum>`
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map reference
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-isis'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.levels = None
                                                        self.metric = None
                                                        self.metric_type = None
                                                        self.route_map = None

                                                    class MetricTypeEnum(Enum):
                                                        """
                                                        MetricTypeEnum

                                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                                        .. data:: external = 0

                                                        .. data:: internal = 1

                                                        .. data:: rib_metric_as_external = 2

                                                        .. data:: rib_metric_as_internal = 3

                                                        """

                                                        external = 0

                                                        internal = 1

                                                        rib_metric_as_external = 2

                                                        rib_metric_as_internal = 3


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip.MetricTypeEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.levels is not None:
                                                            return True

                                                        if self.metric is not None:
                                                            return True

                                                        if self.metric_type is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.isis_atag is None:
                                                        raise YPYModelError('Key property isis_atag is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:isis-atag[Cisco-IOS-XE-isis:isis-atag = ' + str(self.isis_atag) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.isis_atag is not None:
                                                        return True

                                                    if self.ip is not None and self.ip._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.IsisAtag']['meta_info']


                                            class Ip(object):
                                                """
                                                Redistribution of IP routes between levels or processes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.Ip.MetricTypeEnum>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.levels = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.route_map = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = 0

                                                    internal = 1

                                                    rib_metric_as_external = 2

                                                    rib_metric_as_internal = 3


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.Ip.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.levels is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_.Ip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip is not None and self.ip._has_data():
                                                    return True

                                                if self.isis_atag is not None:
                                                    for child_ref in self.isis_atag:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis_']['meta_info']


                                        class IsoIgrp(object):
                                            """
                                            IGRP for OSI networks
                                            
                                            .. attribute:: iso_atag
                                            
                                            	
                                            	**type**\: list of    :py:class:`IsoAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:   :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.iso_atag = YList()
                                                self.iso_atag.parent = self
                                                self.iso_atag.name = 'iso_atag'
                                                self.route_map = None


                                            class IsoAtag(object):
                                                """
                                                
                                                
                                                .. attribute:: iso_atag  <key>
                                                
                                                	ISO routing area tag
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.iso_atag = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.iso_atag is None:
                                                        raise YPYModelError('Key property iso_atag is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:iso-atag[Cisco-IOS-XE-isis:iso-atag = ' + str(self.iso_atag) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.iso_atag is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag']['meta_info']


                                            class RouteMap(object):
                                                """
                                                Route map reference
                                                
                                                .. attribute:: rm_point
                                                
                                                	Pointer to route\-map entries
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.rm_point = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:route-map'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.rm_point is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:iso-igrp'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.iso_atag is not None:
                                                    for child_ref in self.iso_atag:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.route_map is not None and self.route_map._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp']['meta_info']


                                        class Lisp(object):
                                            """
                                            Locator ID Separation Protocol (LISP)
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:lisp'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp']['meta_info']


                                        class Mobile(object):
                                            """
                                            Mobile routes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:mobile'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile']['meta_info']


                                        class Ospfv3(object):
                                            """
                                            OSPFv3
                                            
                                            .. attribute:: os3_id
                                            
                                            	
                                            	**type**\: list of    :py:class:`Os3Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.os3_id = YList()
                                                self.os3_id.parent = self
                                                self.os3_id.name = 'os3_id'


                                            class Os3Id(object):
                                                """
                                                
                                                
                                                .. attribute:: os3_id  <key>
                                                
                                                	Process ID
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id.MetricTypeEnum>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.os3_id = None
                                                    self.levels = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.route_map = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = 0

                                                    internal = 1

                                                    rib_metric_as_external = 2

                                                    rib_metric_as_internal = 3


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.os3_id is None:
                                                        raise YPYModelError('Key property os3_id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:os3-id[Cisco-IOS-XE-isis:os3-id = ' + str(self.os3_id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.os3_id is not None:
                                                        return True

                                                    if self.levels is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:ospfv3'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.os3_id is not None:
                                                    for child_ref in self.os3_id:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:rip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of BGP NSAP routes
                                            	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of BGP IP routes
                                            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.clns = None
                                                self.ip = None
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.MetricTypeEnum']



                                            class Clns(object):
                                                """
                                                Redistribution of BGP NSAP routes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns.MetricTypeEnum>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.levels = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.route_map = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = 0

                                                    internal = 1

                                                    rib_metric_as_external = 2

                                                    rib_metric_as_internal = 3


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:clns'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.levels is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns']['meta_info']


                                            class Ip(object):
                                                """
                                                Redistribution of BGP IP routes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip.MetricTypeEnum>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.levels = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.route_map = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = 0

                                                    internal = 1

                                                    rib_metric_as_external = 2

                                                    rib_metric_as_internal = 3


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.levels is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.clns is not None and self.clns._has_data():
                                                    return True

                                                if self.ip is not None and self.ip._has_data():
                                                    return True

                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.vrf_nm is None:
                                                raise YPYModelError('Key property vrf_nm is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:vrf-nm[Cisco-IOS-XE-isis:vrf-nm = ' + str(self.vrf_nm) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.vrf_nm is not None:
                                                return True

                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None and self.bgp._has_data():
                                                return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None and self.eigrp._has_data():
                                                return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.iso_igrp is not None and self.iso_igrp._has_data():
                                                return True

                                            if self.lisp is not None and self.lisp._has_data():
                                                return True

                                            if self.mobile is not None and self.mobile._has_data():
                                                return True

                                            if self.ospf is not None:
                                                return True

                                            if self.ospfv3 is not None and self.ospfv3._has_data():
                                                return True

                                            if self.rip is not None and self.rip._has_data():
                                                return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm']['meta_info']


                                    class Global_(object):
                                        """
                                        global VRF
                                        
                                        .. attribute:: application
                                        
                                        	Application
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\:   :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_>`
                                        
                                        .. attribute:: iso_igrp
                                        
                                        	IGRP for OSI networks
                                        	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: lisp
                                        
                                        	Locator ID Separation Protocol (LISP)
                                        	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: mobile
                                        
                                        	Mobile routes
                                        	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Process ID
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: ospfv3
                                        
                                        	OSPFv3
                                        	**type**\:   :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application()
                                            self.application.parent = self
                                            self.bgp = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp()
                                            self.bgp.parent = self
                                            self.connected = None
                                            self.eigrp = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp()
                                            self.eigrp.parent = self
                                            self.isis = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_()
                                            self.isis.parent = self
                                            self.iso_igrp = None
                                            self.lisp = None
                                            self.mobile = None
                                            self.ospf = None
                                            self.ospfv3 = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3()
                                            self.ospfv3.parent = self
                                            self.rip = None
                                            self.static = None


                                        class Application(object):
                                            """
                                            Application
                                            
                                            .. attribute:: appname
                                            
                                            	
                                            	**type**\: list of    :py:class:`Appname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.appname = YList()
                                                self.appname.parent = self
                                                self.appname.name = 'appname'


                                            class Appname(object):
                                                """
                                                
                                                
                                                .. attribute:: appname  <key>
                                                
                                                	Application name
                                                	**type**\:  str
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname.MetricTypeEnum>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.appname = None
                                                    self.levels = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.route_map = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = 0

                                                    internal = 1

                                                    rib_metric_as_external = 2

                                                    rib_metric_as_internal = 3


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.appname is None:
                                                        raise YPYModelError('Key property appname is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:appname[Cisco-IOS-XE-isis:appname = ' + str(self.appname) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.appname is not None:
                                                        return True

                                                    if self.levels is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.appname is not None:
                                                    for child_ref in self.appname:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: a_lesser_1_period_0_xx_period_yy_greater_
                                            
                                            	Autonomous system number
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: bp_as_num
                                            
                                            	
                                            	**type**\: list of    :py:class:`BpAsNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.a_lesser_1_period_0_xx_period_yy_greater_ = None
                                                self.bp_as_num = YList()
                                                self.bp_as_num.parent = self
                                                self.bp_as_num.name = 'bp_as_num'


                                            class BpAsNum(object):
                                                """
                                                
                                                
                                                .. attribute:: bp_as_num  <key>
                                                
                                                	Autonomous system number
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: clns
                                                
                                                	Redistribution of BGP NSAP routes
                                                	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: ip
                                                
                                                	Redistribution of BGP IP routes
                                                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.MetricTypeEnum>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.bp_as_num = None
                                                    self.clns = None
                                                    self.ip = None
                                                    self.levels = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.route_map = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = 0

                                                    internal = 1

                                                    rib_metric_as_external = 2

                                                    rib_metric_as_internal = 3


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.MetricTypeEnum']



                                                class Clns(object):
                                                    """
                                                    Redistribution of BGP NSAP routes
                                                    
                                                    .. attribute:: levels
                                                    
                                                    	
                                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	ISIS default metric
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: metric_type
                                                    
                                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns.MetricTypeEnum>`
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map reference
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-isis'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.levels = None
                                                        self.metric = None
                                                        self.metric_type = None
                                                        self.route_map = None

                                                    class MetricTypeEnum(Enum):
                                                        """
                                                        MetricTypeEnum

                                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                                        .. data:: external = 0

                                                        .. data:: internal = 1

                                                        .. data:: rib_metric_as_external = 2

                                                        .. data:: rib_metric_as_internal = 3

                                                        """

                                                        external = 0

                                                        internal = 1

                                                        rib_metric_as_external = 2

                                                        rib_metric_as_internal = 3


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns.MetricTypeEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:clns'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.levels is not None:
                                                            return True

                                                        if self.metric is not None:
                                                            return True

                                                        if self.metric_type is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns']['meta_info']


                                                class Ip(object):
                                                    """
                                                    Redistribution of BGP IP routes
                                                    
                                                    .. attribute:: levels
                                                    
                                                    	
                                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	ISIS default metric
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: metric_type
                                                    
                                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip.MetricTypeEnum>`
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map reference
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-isis'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.levels = None
                                                        self.metric = None
                                                        self.metric_type = None
                                                        self.route_map = None

                                                    class MetricTypeEnum(Enum):
                                                        """
                                                        MetricTypeEnum

                                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                                        .. data:: external = 0

                                                        .. data:: internal = 1

                                                        .. data:: rib_metric_as_external = 2

                                                        .. data:: rib_metric_as_internal = 3

                                                        """

                                                        external = 0

                                                        internal = 1

                                                        rib_metric_as_external = 2

                                                        rib_metric_as_internal = 3


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip.MetricTypeEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.levels is not None:
                                                            return True

                                                        if self.metric is not None:
                                                            return True

                                                        if self.metric_type is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.bp_as_num is None:
                                                        raise YPYModelError('Key property bp_as_num is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:bp-as-num[Cisco-IOS-XE-isis:bp-as-num = ' + str(self.bp_as_num) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.bp_as_num is not None:
                                                        return True

                                                    if self.clns is not None and self.clns._has_data():
                                                        return True

                                                    if self.ip is not None and self.ip._has_data():
                                                        return True

                                                    if self.levels is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:bgp'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.a_lesser_1_period_0_xx_period_yy_greater_ is not None:
                                                    return True

                                                if self.bp_as_num is not None:
                                                    for child_ref in self.bp_as_num:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: eigrp_as
                                            
                                            	
                                            	**type**\: list of    :py:class:`EigrpAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eigrp_as = YList()
                                                self.eigrp_as.parent = self
                                                self.eigrp_as.name = 'eigrp_as'


                                            class EigrpAs(object):
                                                """
                                                
                                                
                                                .. attribute:: eigrp_as  <key>
                                                
                                                	AS number
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs.MetricTypeEnum>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.eigrp_as = None
                                                    self.levels = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.route_map = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = 0

                                                    internal = 1

                                                    rib_metric_as_external = 2

                                                    rib_metric_as_internal = 3


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.eigrp_as is None:
                                                        raise YPYModelError('Key property eigrp_as is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:eigrp-as[Cisco-IOS-XE-isis:eigrp-as = ' + str(self.eigrp_as) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.eigrp_as is not None:
                                                        return True

                                                    if self.levels is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:eigrp'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eigrp_as is not None:
                                                    for child_ref in self.eigrp_as:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp']['meta_info']


                                        class Isis_(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP routes between levels or processes
                                            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.Ip>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: isis_atag
                                            
                                            	
                                            	**type**\: list of    :py:class:`IsisAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip = None
                                                self.isis_atag = YList()
                                                self.isis_atag.parent = self
                                                self.isis_atag.name = 'isis_atag'


                                            class IsisAtag(object):
                                                """
                                                
                                                
                                                .. attribute:: isis_atag  <key>
                                                
                                                	ISO routing area tag
                                                	**type**\:  str
                                                
                                                .. attribute:: ip
                                                
                                                	Redistribution of IP routes between levels or processes
                                                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip>`
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.isis_atag = None
                                                    self.ip = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip()
                                                    self.ip.parent = self


                                                class Ip(object):
                                                    """
                                                    Redistribution of IP routes between levels or processes
                                                    
                                                    .. attribute:: levels
                                                    
                                                    	
                                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	ISIS default metric
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: metric_type
                                                    
                                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip.MetricTypeEnum>`
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map reference
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-isis'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.levels = None
                                                        self.metric = None
                                                        self.metric_type = None
                                                        self.route_map = None

                                                    class MetricTypeEnum(Enum):
                                                        """
                                                        MetricTypeEnum

                                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                                        .. data:: external = 0

                                                        .. data:: internal = 1

                                                        .. data:: rib_metric_as_external = 2

                                                        .. data:: rib_metric_as_internal = 3

                                                        """

                                                        external = 0

                                                        internal = 1

                                                        rib_metric_as_external = 2

                                                        rib_metric_as_internal = 3


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip.MetricTypeEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.levels is not None:
                                                            return True

                                                        if self.metric is not None:
                                                            return True

                                                        if self.metric_type is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.isis_atag is None:
                                                        raise YPYModelError('Key property isis_atag is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:isis-atag[Cisco-IOS-XE-isis:isis-atag = ' + str(self.isis_atag) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.isis_atag is not None:
                                                        return True

                                                    if self.ip is not None and self.ip._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.IsisAtag']['meta_info']


                                            class Ip(object):
                                                """
                                                Redistribution of IP routes between levels or processes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.Ip.MetricTypeEnum>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.levels = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.route_map = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = 0

                                                    internal = 1

                                                    rib_metric_as_external = 2

                                                    rib_metric_as_internal = 3


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.Ip.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.levels is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_.Ip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip is not None and self.ip._has_data():
                                                    return True

                                                if self.isis_atag is not None:
                                                    for child_ref in self.isis_atag:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis_']['meta_info']


                                        class IsoIgrp(object):
                                            """
                                            IGRP for OSI networks
                                            
                                            .. attribute:: iso_atag
                                            
                                            	
                                            	**type**\: list of    :py:class:`IsoAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:   :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.RouteMap>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.iso_atag = YList()
                                                self.iso_atag.parent = self
                                                self.iso_atag.name = 'iso_atag'
                                                self.route_map = None


                                            class IsoAtag(object):
                                                """
                                                
                                                
                                                .. attribute:: iso_atag  <key>
                                                
                                                	ISO routing area tag
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.iso_atag = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.iso_atag is None:
                                                        raise YPYModelError('Key property iso_atag is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:iso-atag[Cisco-IOS-XE-isis:iso-atag = ' + str(self.iso_atag) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.iso_atag is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag']['meta_info']


                                            class RouteMap(object):
                                                """
                                                Route map reference
                                                
                                                .. attribute:: rm_point
                                                
                                                	Pointer to route\-map entries
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.rm_point = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:route-map'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.rm_point is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.RouteMap']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:iso-igrp'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.iso_atag is not None:
                                                    for child_ref in self.iso_atag:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.route_map is not None and self.route_map._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp']['meta_info']


                                        class Lisp(object):
                                            """
                                            Locator ID Separation Protocol (LISP)
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:lisp'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp']['meta_info']


                                        class Mobile(object):
                                            """
                                            Mobile routes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:mobile'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile']['meta_info']


                                        class Ospfv3(object):
                                            """
                                            OSPFv3
                                            
                                            .. attribute:: os3_id
                                            
                                            	
                                            	**type**\: list of    :py:class:`Os3Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.os3_id = YList()
                                                self.os3_id.parent = self
                                                self.os3_id.name = 'os3_id'


                                            class Os3Id(object):
                                                """
                                                
                                                
                                                .. attribute:: os3_id  <key>
                                                
                                                	Process ID
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id.MetricTypeEnum>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.os3_id = None
                                                    self.levels = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.route_map = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = 0

                                                    internal = 1

                                                    rib_metric_as_external = 2

                                                    rib_metric_as_internal = 3


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.os3_id is None:
                                                        raise YPYModelError('Key property os3_id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:os3-id[Cisco-IOS-XE-isis:os3-id = ' + str(self.os3_id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.os3_id is not None:
                                                        return True

                                                    if self.levels is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:ospfv3'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.os3_id is not None:
                                                    for child_ref in self.os3_id:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:rip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of BGP NSAP routes
                                            	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of BGP IP routes
                                            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.MetricTypeEnum>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.clns = None
                                                self.ip = None
                                                self.levels = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.route_map = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = 0

                                                internal = 1

                                                rib_metric_as_external = 2

                                                rib_metric_as_internal = 3


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.MetricTypeEnum']



                                            class Clns(object):
                                                """
                                                Redistribution of BGP NSAP routes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns.MetricTypeEnum>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.levels = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.route_map = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = 0

                                                    internal = 1

                                                    rib_metric_as_external = 2

                                                    rib_metric_as_internal = 3


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:clns'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.levels is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns']['meta_info']


                                            class Ip(object):
                                                """
                                                Redistribution of BGP IP routes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip.MetricTypeEnum>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.levels = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.route_map = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = 0

                                                    internal = 1

                                                    rib_metric_as_external = 2

                                                    rib_metric_as_internal = 3


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.levels is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.clns is not None and self.clns._has_data():
                                                    return True

                                                if self.ip is not None and self.ip._has_data():
                                                    return True

                                                if self.levels is not None:
                                                    return True

                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:global'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None and self.bgp._has_data():
                                                return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None and self.eigrp._has_data():
                                                return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.iso_igrp is not None and self.iso_igrp._has_data():
                                                return True

                                            if self.lisp is not None and self.lisp._has_data():
                                                return True

                                            if self.mobile is not None and self.mobile._has_data():
                                                return True

                                            if self.ospf is not None:
                                                return True

                                            if self.ospfv3 is not None and self.ospfv3._has_data():
                                                return True

                                            if self.rip is not None and self.rip._has_data():
                                                return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:vrf'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.global_ is not None and self.global_._has_data():
                                            return True

                                        if self.vrf_nm is not None:
                                            for child_ref in self.vrf_nm:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:redistribute'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.application is not None:
                                        for child_ref in self.application:
                                            if child_ref._has_data():
                                                return True

                                    if self.bgp is not None and self.bgp._has_data():
                                        return True

                                    if self.connected is not None and self.connected._has_data():
                                        return True

                                    if self.eigrp is not None:
                                        for child_ref in self.eigrp:
                                            if child_ref._has_data():
                                                return True

                                    if self.isis is not None and self.isis._has_data():
                                        return True

                                    if self.iso_igrp is not None and self.iso_igrp._has_data():
                                        return True

                                    if self.lisp is not None and self.lisp._has_data():
                                        return True

                                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                        return True

                                    if self.mobile is not None and self.mobile._has_data():
                                        return True

                                    if self.odr is not None and self.odr._has_data():
                                        return True

                                    if self.ospf is not None:
                                        for child_ref in self.ospf:
                                            if child_ref._has_data():
                                                return True

                                    if self.ospfv3 is not None:
                                        for child_ref in self.ospfv3:
                                            if child_ref._has_data():
                                                return True

                                    if self.rip is not None and self.rip._has_data():
                                        return True

                                    if self.static is not None and self.static._has_data():
                                        return True

                                    if self.vrf is not None and self.vrf._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute']['meta_info']


                            class SetAttachedBit(object):
                                """
                                Conditionally advertise us as attached to L2
                                
                                .. attribute:: route_map
                                
                                	Route\-map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:set-attached-bit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit']['meta_info']


                            class Snmp(object):
                                """
                                Modify snmp parameters
                                
                                .. attribute:: context
                                
                                	Configure a SNMP context
                                	**type**\: list of    :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.context = YList()
                                    self.context.parent = self
                                    self.context.name = 'context'


                                class Context(object):
                                    """
                                    Configure a SNMP context
                                    
                                    .. attribute:: name  <key>
                                    
                                    	Context Name
                                    	**type**\:  str
                                    
                                    .. attribute:: community
                                    
                                    	Configure a SNMP v2c Community string and access privs
                                    	**type**\:   :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community>`
                                    
                                    .. attribute:: user
                                    
                                    	Configure a SNMP v3 user
                                    	**type**\:   :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.community = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community()
                                        self.community.parent = self
                                        self.user = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User()
                                        self.user.parent = self


                                    class Community(object):
                                        """
                                        Configure a SNMP v2c Community string and access privs
                                        
                                        .. attribute:: access
                                        
                                        	
                                        	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access>`
                                        
                                        .. attribute:: community_string
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.access = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access()
                                            self.access.parent = self
                                            self.community_string = None


                                        class Access(object):
                                            """
                                            
                                            
                                            .. attribute:: acl_name
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: expanded_acl
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1300..1999
                                            
                                            .. attribute:: ipv6
                                            
                                            	Specify IPv6 Named Access\-List
                                            	**type**\:  str
                                            
                                            .. attribute:: ro
                                            
                                            	Read\-only access with this community string
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: rw
                                            
                                            	Read\-write access with this community string
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: standard_acl
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..99
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.acl_name = None
                                                self.expanded_acl = None
                                                self.ipv6 = None
                                                self.ro = None
                                                self.rw = None
                                                self.standard_acl = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:access'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.acl_name is not None:
                                                    return True

                                                if self.expanded_acl is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                if self.ro is not None:
                                                    return True

                                                if self.rw is not None:
                                                    return True

                                                if self.standard_acl is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:community'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.access is not None and self.access._has_data():
                                                return True

                                            if self.community_string is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community']['meta_info']


                                    class User(object):
                                        """
                                        Configure a SNMP v3 user
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: permisssion
                                        
                                        	
                                        	**type**\:   :py:class:`Permisssion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.permisssion = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion()
                                            self.permisssion.parent = self


                                        class Permisssion(object):
                                            """
                                            
                                            
                                            .. attribute:: access
                                            
                                            	specify an access\-list associated with this group
                                            	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access>`
                                            
                                            .. attribute:: auth
                                            
                                            	authentication parameters for the user
                                            	**type**\:   :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth>`
                                            
                                            .. attribute:: credential
                                            
                                            	If the user password is already configured and saved
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: encrypted
                                            
                                            	specifying passwords as MD5 or SHA digests
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.access = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access()
                                                self.access.parent = self
                                                self.auth = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth()
                                                self.auth.parent = self
                                                self.credential = None
                                                self.encrypted = None


                                            class Access(object):
                                                """
                                                specify an access\-list associated with this group
                                                
                                                .. attribute:: acl_name
                                                
                                                	
                                                	**type**\:  str
                                                
                                                .. attribute:: ipv6
                                                
                                                	
                                                	**type**\:  str
                                                
                                                .. attribute:: standard_acl
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.acl_name = None
                                                    self.ipv6 = None
                                                    self.standard_acl = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:access'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.acl_name is not None:
                                                        return True

                                                    if self.ipv6 is not None:
                                                        return True

                                                    if self.standard_acl is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access']['meta_info']


                                            class Auth(object):
                                                """
                                                authentication parameters for the user
                                                
                                                .. attribute:: md5
                                                
                                                	Use HMAC MD5 algorithm for authentication
                                                	**type**\:  str
                                                
                                                .. attribute:: sha
                                                
                                                	Use HMAC SHA algorithm for authentication
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.md5 = None
                                                    self.sha = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:auth'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.md5 is not None:
                                                        return True

                                                    if self.sha is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:permisssion'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.access is not None and self.access._has_data():
                                                    return True

                                                if self.auth is not None and self.auth._has_data():
                                                    return True

                                                if self.credential is not None:
                                                    return True

                                                if self.encrypted is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:user'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.permisssion is not None and self.permisssion._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:context[Cisco-IOS-XE-isis:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.community is not None and self.community._has_data():
                                            return True

                                        if self.user is not None and self.user._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:snmp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.context is not None:
                                        for child_ref in self.context:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp']['meta_info']


                            class SummaryAddress(object):
                                """
                                Configure IP address summaries
                                
                                .. attribute:: ip  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: mask  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: level_1
                                
                                	Summarize into level\-1 area
                                	**type**\:   :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level1>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: level_1_2
                                
                                	Summarize into both area and sub\-domain
                                	**type**\:   :py:class:`Level12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level12>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: level_2
                                
                                	Summarize into level\-2 sub\-domain
                                	**type**\:   :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level2>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: metric_tag_container
                                
                                	
                                	**type**\:   :py:class:`MetricTagContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip = None
                                    self.mask = None
                                    self.level_1 = None
                                    self.level_1_2 = None
                                    self.level_2 = None
                                    self.metric_tag_container = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer()
                                    self.metric_tag_container.parent = self


                                class Level1(object):
                                    """
                                    Summarize into level\-1 area
                                    
                                    .. attribute:: metric
                                    
                                    	Set metric for summay route
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.tag = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:level-1'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level1']['meta_info']


                                class Level12(object):
                                    """
                                    Summarize into both area and sub\-domain
                                    
                                    .. attribute:: metric
                                    
                                    	Set metric for summay route
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.tag = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:level-1-2'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level12']['meta_info']


                                class Level2(object):
                                    """
                                    Summarize into level\-2 sub\-domain
                                    
                                    .. attribute:: metric
                                    
                                    	Set metric for summay route
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.tag = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:level-2'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level2']['meta_info']


                                class MetricTagContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Set metric for summay route
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.tag = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:metric-tag-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip is None:
                                        raise YPYModelError('Key property ip is None')
                                    if self.mask is None:
                                        raise YPYModelError('Key property mask is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:summary-address[Cisco-IOS-XE-isis:ip = ' + str(self.ip) + '][Cisco-IOS-XE-isis:mask = ' + str(self.mask) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip is not None:
                                        return True

                                    if self.mask is not None:
                                        return True

                                    if self.level_1 is not None and self.level_1._has_data():
                                        return True

                                    if self.level_1_2 is not None and self.level_1_2._has_data():
                                        return True

                                    if self.level_2 is not None and self.level_2._has_data():
                                        return True

                                    if self.metric_tag_container is not None and self.metric_tag_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress']['meta_info']


                            class TrafficShare(object):
                                """
                                How to compute traffic share over alternate paths
                                
                                .. attribute:: min
                                
                                	All traffic shared among min metric paths
                                	**type**\:   :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.min = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min()
                                    self.min.parent = self


                                class Min(object):
                                    """
                                    All traffic shared among min metric paths
                                    
                                    .. attribute:: across_interfaces
                                    
                                    	Use different interfaces for equal\-cost paths
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.across_interfaces = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:min'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.across_interfaces is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:traffic-share'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.min is not None and self.min._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare']['meta_info']


                            class Advertise(object):
                                """
                                Control which IP routes flow in L1 and L2 LSPs
                                
                                .. attribute:: passive_only
                                
                                	only interface address of passive interfaces
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.passive_only = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:advertise'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.passive_only is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Advertise']['meta_info']


                            class DefaultInformation(object):
                                """
                                Control distribution of default information
                                
                                .. attribute:: originate
                                
                                	Distribute a default route
                                	**type**\:   :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation.Originate>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.originate = None


                                class Originate(object):
                                    """
                                    Distribute a default route
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:originate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation.Originate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:default-information'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.originate is not None and self.originate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation']['meta_info']


                            class Metric(object):
                                """
                                Set ISIS metric for all interfaces
                                
                                .. attribute:: metric
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..16777214
                                
                                .. attribute:: metrics
                                
                                	
                                	**type**\: list of    :py:class:`Metrics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metrics = YList()
                                    self.metrics.parent = self
                                    self.metrics.name = 'metrics'


                                class Metrics(object):
                                    """
                                    
                                    
                                    .. attribute:: level  <key>
                                    
                                    	
                                    	**type**\:   :py:class:`LevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics.LevelEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..16777214
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.level = None
                                        self.metric = None

                                    class LevelEnum(Enum):
                                        """
                                        LevelEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        """

                                        level_1 = 0

                                        level_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics.LevelEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.level is None:
                                            raise YPYModelError('Key property level is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:metrics[Cisco-IOS-XE-isis:level = ' + str(self.level) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.level is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metrics is not None:
                                        for child_ref in self.metrics:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric']['meta_info']


                            class PrcInterval(object):
                                """
                                Minimum interval between partial route calculations
                                
                                .. attribute:: initial_wait
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..120000
                                
                                .. attribute:: interval
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..120
                                
                                .. attribute:: minimum_wait
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..120000
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.initial_wait = None
                                    self.interval = None
                                    self.minimum_wait = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:prc-interval'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.initial_wait is not None:
                                        return True

                                    if self.interval is not None:
                                        return True

                                    if self.minimum_wait is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.PrcInterval']['meta_info']


                            class SetOverloadBit(object):
                                """
                                Signal other routers not to use us in SPF
                                
                                .. attribute:: on_startup
                                
                                	Set overload\-bit only temporarily after reboot
                                	**type**\:   :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup>`
                                
                                .. attribute:: suppress
                                
                                	If overload\-bit set, suppress the following types of IP prefixes
                                	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.on_startup = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup()
                                    self.on_startup.parent = self
                                    self.suppress = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress()
                                    self.suppress.parent = self


                                class OnStartup(object):
                                    """
                                    Set overload\-bit only temporarily after reboot
                                    
                                    .. attribute:: time
                                    
                                    	
                                    	**type**\:   :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time>`
                                    
                                    .. attribute:: wait_for_bgp
                                    
                                    	Let BGP decide when to unset the overload bit
                                    	**type**\:   :py:class:`WaitForBgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.time = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time()
                                        self.time.parent = self
                                        self.wait_for_bgp = None


                                    class Time(object):
                                        """
                                        
                                        
                                        .. attribute:: external
                                        
                                        	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: interlevel
                                        
                                        	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: suppress
                                        
                                        	If overload\-bit set, suppress the following types of IP prefixes
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: time
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 5..86400
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.external = None
                                            self.interlevel = None
                                            self.suppress = None
                                            self.time = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:time'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.external is not None:
                                                return True

                                            if self.interlevel is not None:
                                                return True

                                            if self.suppress is not None:
                                                return True

                                            if self.time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time']['meta_info']


                                    class WaitForBgp(object):
                                        """
                                        Let BGP decide when to unset the overload bit
                                        
                                        .. attribute:: suppress
                                        
                                        	If overload\-bit set, suppress the following types of IP prefixes
                                        	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.suppress = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress()
                                            self.suppress.parent = self


                                        class Suppress(object):
                                            """
                                            If overload\-bit set, suppress the following types of IP prefixes
                                            
                                            .. attribute:: external
                                            
                                            	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: interlevel
                                            
                                            	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.external = None
                                                self.interlevel = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:suppress'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.external is not None:
                                                    return True

                                                if self.interlevel is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:wait-for-bgp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.suppress is not None and self.suppress._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:on-startup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.time is not None and self.time._has_data():
                                            return True

                                        if self.wait_for_bgp is not None and self.wait_for_bgp._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup']['meta_info']


                                class Suppress(object):
                                    """
                                    If overload\-bit set, suppress the following types of IP prefixes
                                    
                                    .. attribute:: external
                                    
                                    	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: interlevel
                                    
                                    	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.interlevel = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:suppress'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None:
                                            return True

                                        if self.interlevel is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:set-overload-bit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.on_startup is not None and self.on_startup._has_data():
                                        return True

                                    if self.suppress is not None and self.suppress._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit']['meta_info']


                            class SpfInterval(object):
                                """
                                Minimum interval between SPF calculations
                                
                                .. attribute:: intervals
                                
                                	
                                	**type**\:   :py:class:`Intervals <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals>`
                                
                                .. attribute:: level_1_2
                                
                                	
                                	**type**\: list of    :py:class:`Level12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.intervals = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals()
                                    self.intervals.parent = self
                                    self.level_1_2 = YList()
                                    self.level_1_2.parent = self
                                    self.level_1_2.name = 'level_1_2'


                                class Level12(object):
                                    """
                                    
                                    
                                    .. attribute:: level  <key>
                                    
                                    	
                                    	**type**\:   :py:class:`LevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12.LevelEnum>`
                                    
                                    .. attribute:: initial_wait
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..120000
                                    
                                    .. attribute:: interval
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..120
                                    
                                    .. attribute:: minimum_wait
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..120000
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.level = None
                                        self.initial_wait = None
                                        self.interval = None
                                        self.minimum_wait = None

                                    class LevelEnum(Enum):
                                        """
                                        LevelEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        """

                                        level_1 = 0

                                        level_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12.LevelEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.level is None:
                                            raise YPYModelError('Key property level is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:level-1-2[Cisco-IOS-XE-isis:level = ' + str(self.level) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.level is not None:
                                            return True

                                        if self.initial_wait is not None:
                                            return True

                                        if self.interval is not None:
                                            return True

                                        if self.minimum_wait is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12']['meta_info']


                                class Intervals(object):
                                    """
                                    
                                    
                                    .. attribute:: initial_wait
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..120000
                                    
                                    .. attribute:: interval
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..120
                                    
                                    .. attribute:: minimum_wait
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..120000
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.initial_wait = None
                                        self.interval = None
                                        self.minimum_wait = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:intervals'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.initial_wait is not None:
                                            return True

                                        if self.interval is not None:
                                            return True

                                        if self.minimum_wait is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:spf-interval'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.intervals is not None and self.intervals._has_data():
                                        return True

                                    if self.level_1_2 is not None:
                                        for child_ref in self.level_1_2:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:topology[Cisco-IOS-XE-isis:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.advertise is not None and self.advertise._has_data():
                                    return True

                                if self.default_information is not None and self.default_information._has_data():
                                    return True

                                if self.distance is not None:
                                    for child_ref in self.distance:
                                        if child_ref._has_data():
                                            return True

                                if self.help is not None:
                                    return True

                                if self.ignore_attached_bit is not None:
                                    return True

                                if self.ip is not None and self.ip._has_data():
                                    return True

                                if self.maximum_paths is not None:
                                    return True

                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.prc_interval is not None and self.prc_interval._has_data():
                                    return True

                                if self.priority is not None:
                                    return True

                                if self.redistribute is not None and self.redistribute._has_data():
                                    return True

                                if self.set_attached_bit is not None and self.set_attached_bit._has_data():
                                    return True

                                if self.set_overload_bit is not None and self.set_overload_bit._has_data():
                                    return True

                                if self.snmp is not None and self.snmp._has_data():
                                    return True

                                if self.spf_interval is not None and self.spf_interval._has_data():
                                    return True

                                if self.summary_address is not None:
                                    for child_ref in self.summary_address:
                                        if child_ref._has_data():
                                            return True

                                if self.tid is not None:
                                    return True

                                if self.traffic_share is not None and self.traffic_share._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.help is not None:
                                return True

                            if self.snmp is not None and self.snmp._has_data():
                                return True

                            if self.topology is not None:
                                for child_ref in self.topology:
                                    if child_ref._has_data():
                                        return True

                            if self.unicast_multicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv4']['meta_info']


                    class Ipv6(object):
                        """
                        Address family
                        
                        .. attribute:: adjacency_check
                        
                        	Check ISIS neighbor protocol support
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: advertise
                        
                        	Control which IP routes flow in L1 and L2 LSPs
                        	**type**\:   :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Advertise>`
                        
                        .. attribute:: bfd
                        
                        	BFD configuration commands
                        	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Bfd>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance
                        	**type**\:  int
                        
                        	**range:** 1..254
                        
                        .. attribute:: distribute_list
                        
                        	Filter networks in routing updates
                        	**type**\:   :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList>`
                        
                        .. attribute:: help
                        
                        	Description of the interactive help system
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6
                        
                        	IPv6 specific commands
                        	**type**\:   :py:class:`Ipv6_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:  int
                        
                        	**range:** 1..32
                        
                        .. attribute:: metric
                        
                        	Set ISIS metric for all interfaces
                        	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric>`
                        
                        .. attribute:: multi_topology
                        
                        	Enable multi\-topology mode
                        	**type**\:   :py:class:`MultiTopology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.MultiTopology>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prc_interval
                        
                        	Minimum interval between partial route calculations
                        	**type**\:   :py:class:`PrcInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.PrcInterval>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute IPv6 prefixes from another routing protocol
                        	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute>`
                        
                        .. attribute:: router_id
                        
                        	Interface of stable IP address for system
                        	**type**\:  str
                        
                        .. attribute:: set_overload_bit
                        
                        	Signal other routers not to use us in SPF
                        	**type**\:   :py:class:`SetOverloadBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: spf_interval
                        
                        	Minimum interval between SPF calculations
                        	**type**\:   :py:class:`SpfInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval>`
                        
                        .. attribute:: summary_prefix
                        
                        	Configure IPv6 summary prefix
                        	**type**\: list of    :py:class:`SummaryPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SummaryPrefix>`
                        
                        .. attribute:: table_map
                        
                        	Map external entry attributes into routing table
                        	**type**\:   :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.TableMap>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.adjacency_check = None
                            self.advertise = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Advertise()
                            self.advertise.parent = self
                            self.bfd = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Bfd()
                            self.bfd.parent = self
                            self.default_information = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation()
                            self.default_information.parent = self
                            self.distance = None
                            self.distribute_list = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList()
                            self.distribute_list.parent = self
                            self.help = None
                            self.ipv6 = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_()
                            self.ipv6.parent = self
                            self.maximum_paths = None
                            self.metric = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric()
                            self.metric.parent = self
                            self.multi_topology = None
                            self.prc_interval = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.PrcInterval()
                            self.prc_interval.parent = self
                            self.redistribute = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute()
                            self.redistribute.parent = self
                            self.router_id = None
                            self.set_overload_bit = None
                            self.spf_interval = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval()
                            self.spf_interval.parent = self
                            self.summary_prefix = YList()
                            self.summary_prefix.parent = self
                            self.summary_prefix.name = 'summary_prefix'
                            self.table_map = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.TableMap()
                            self.table_map.parent = self
                            self.unicast = None


                        class Advertise(object):
                            """
                            Control which IP routes flow in L1 and L2 LSPs
                            
                            .. attribute:: passive_only
                            
                            	only interface address of passive interfaces
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.passive_only = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:advertise'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.passive_only is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Advertise']['meta_info']


                        class DefaultInformation(object):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:   :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation.Originate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.originate = None


                            class Originate(object):
                                """
                                Distribute a default route
                                
                                .. attribute:: route_map
                                
                                	Route\-map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:originate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation.Originate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:default-information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.originate is not None and self.originate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation']['meta_info']


                        class Metric(object):
                            """
                            Set ISIS metric for all interfaces
                            
                            .. attribute:: metric
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..16777214
                            
                            .. attribute:: metrics
                            
                            	
                            	**type**\: list of    :py:class:`Metrics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric.Metrics>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = None
                                self.metrics = YList()
                                self.metrics.parent = self
                                self.metrics.name = 'metrics'


                            class Metrics(object):
                                """
                                
                                
                                .. attribute:: level  <key>
                                
                                	
                                	**type**\:   :py:class:`LevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric.Metrics.LevelEnum>`
                                
                                .. attribute:: metric
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..16777214
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.level = None
                                    self.metric = None

                                class LevelEnum(Enum):
                                    """
                                    LevelEnum

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    """

                                    level_1 = 0

                                    level_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric.Metrics.LevelEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.level is None:
                                        raise YPYModelError('Key property level is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:metrics[Cisco-IOS-XE-isis:level = ' + str(self.level) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.level is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric.Metrics']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:metric'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None:
                                    return True

                                if self.metrics is not None:
                                    for child_ref in self.metrics:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric']['meta_info']


                        class PrcInterval(object):
                            """
                            Minimum interval between partial route calculations
                            
                            .. attribute:: initial_wait
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..120000
                            
                            .. attribute:: interval
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..120
                            
                            .. attribute:: minimum_wait
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..120000
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.initial_wait = None
                                self.interval = None
                                self.minimum_wait = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:prc-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.initial_wait is not None:
                                    return True

                                if self.interval is not None:
                                    return True

                                if self.minimum_wait is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.PrcInterval']['meta_info']


                        class SetOverloadBit(object):
                            """
                            Signal other routers not to use us in SPF
                            
                            .. attribute:: on_startup
                            
                            	Set overload\-bit only temporarily after reboot
                            	**type**\:   :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup>`
                            
                            .. attribute:: suppress
                            
                            	If overload\-bit set, suppress the following types of IP prefixes
                            	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.on_startup = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup()
                                self.on_startup.parent = self
                                self.suppress = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress()
                                self.suppress.parent = self


                            class OnStartup(object):
                                """
                                Set overload\-bit only temporarily after reboot
                                
                                .. attribute:: time
                                
                                	
                                	**type**\:   :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time>`
                                
                                .. attribute:: wait_for_bgp
                                
                                	Let BGP decide when to unset the overload bit
                                	**type**\:   :py:class:`WaitForBgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.time = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time()
                                    self.time.parent = self
                                    self.wait_for_bgp = None


                                class Time(object):
                                    """
                                    
                                    
                                    .. attribute:: external
                                    
                                    	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: interlevel
                                    
                                    	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: suppress
                                    
                                    	If overload\-bit set, suppress the following types of IP prefixes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 5..86400
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.interlevel = None
                                        self.suppress = None
                                        self.time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:time'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None:
                                            return True

                                        if self.interlevel is not None:
                                            return True

                                        if self.suppress is not None:
                                            return True

                                        if self.time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time']['meta_info']


                                class WaitForBgp(object):
                                    """
                                    Let BGP decide when to unset the overload bit
                                    
                                    .. attribute:: suppress
                                    
                                    	If overload\-bit set, suppress the following types of IP prefixes
                                    	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.suppress = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress()
                                        self.suppress.parent = self


                                    class Suppress(object):
                                        """
                                        If overload\-bit set, suppress the following types of IP prefixes
                                        
                                        .. attribute:: external
                                        
                                        	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: interlevel
                                        
                                        	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.external = None
                                            self.interlevel = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:suppress'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.external is not None:
                                                return True

                                            if self.interlevel is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:wait-for-bgp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.suppress is not None and self.suppress._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:on-startup'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.time is not None and self.time._has_data():
                                        return True

                                    if self.wait_for_bgp is not None and self.wait_for_bgp._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup']['meta_info']


                            class Suppress(object):
                                """
                                If overload\-bit set, suppress the following types of IP prefixes
                                
                                .. attribute:: external
                                
                                	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: interlevel
                                
                                	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external = None
                                    self.interlevel = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:suppress'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external is not None:
                                        return True

                                    if self.interlevel is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:set-overload-bit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.on_startup is not None and self.on_startup._has_data():
                                    return True

                                if self.suppress is not None and self.suppress._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit']['meta_info']


                        class SpfInterval(object):
                            """
                            Minimum interval between SPF calculations
                            
                            .. attribute:: intervals
                            
                            	
                            	**type**\:   :py:class:`Intervals <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Intervals>`
                            
                            .. attribute:: level_1_2
                            
                            	
                            	**type**\: list of    :py:class:`Level12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Level12>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.intervals = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Intervals()
                                self.intervals.parent = self
                                self.level_1_2 = YList()
                                self.level_1_2.parent = self
                                self.level_1_2.name = 'level_1_2'


                            class Level12(object):
                                """
                                
                                
                                .. attribute:: level  <key>
                                
                                	
                                	**type**\:   :py:class:`LevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Level12.LevelEnum>`
                                
                                .. attribute:: initial_wait
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..120000
                                
                                .. attribute:: interval
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..120
                                
                                .. attribute:: minimum_wait
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..120000
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.level = None
                                    self.initial_wait = None
                                    self.interval = None
                                    self.minimum_wait = None

                                class LevelEnum(Enum):
                                    """
                                    LevelEnum

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    """

                                    level_1 = 0

                                    level_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Level12.LevelEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.level is None:
                                        raise YPYModelError('Key property level is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:level-1-2[Cisco-IOS-XE-isis:level = ' + str(self.level) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.level is not None:
                                        return True

                                    if self.initial_wait is not None:
                                        return True

                                    if self.interval is not None:
                                        return True

                                    if self.minimum_wait is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Level12']['meta_info']


                            class Intervals(object):
                                """
                                
                                
                                .. attribute:: initial_wait
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..120000
                                
                                .. attribute:: interval
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..120
                                
                                .. attribute:: minimum_wait
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..120000
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.initial_wait = None
                                    self.interval = None
                                    self.minimum_wait = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:intervals'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.initial_wait is not None:
                                        return True

                                    if self.interval is not None:
                                        return True

                                    if self.minimum_wait is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Intervals']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:spf-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.intervals is not None and self.intervals._has_data():
                                    return True

                                if self.level_1_2 is not None:
                                    for child_ref in self.level_1_2:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval']['meta_info']


                        class Bfd(object):
                            """
                            BFD configuration commands
                            
                            .. attribute:: all_interfaces
                            
                            	Enable BFD on all interfaces
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: check_ctrl_plane_failure
                            
                            	BFD check control plane failure
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all_interfaces = None
                                self.check_ctrl_plane_failure = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:bfd'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all_interfaces is not None:
                                    return True

                                if self.check_ctrl_plane_failure is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Bfd']['meta_info']


                        class DistributeList(object):
                            """
                            Filter networks in routing updates
                            
                            .. attribute:: prefix_list
                            
                            	Filter connections based on an IPv6 prefix\-list
                            	**type**\: list of    :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix_list = YList()
                                self.prefix_list.parent = self
                                self.prefix_list.name = 'prefix_list'


                            class PrefixList(object):
                                """
                                Filter connections based on an IPv6 prefix\-list
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: in_
                                
                                	Filter incoming routing updates
                                	**type**\:   :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.in_ = None


                                class In_(object):
                                    """
                                    Filter incoming routing updates
                                    
                                    .. attribute:: interface
                                    
                                    	Specify interface
                                    	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.interface = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface()
                                        self.interface.parent = self


                                    class Interface(object):
                                        """
                                        Specify interface
                                        
                                        .. attribute:: appnav_compress
                                        
                                        	Service\-Context Virtual Interface Compress
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: appnav_uncompress
                                        
                                        	Service\-Context Virtual Interface UnCompress
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: atm
                                        
                                        	ATM interface
                                        	**type**\:  str
                                        
                                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                        
                                        .. attribute:: atm_acr
                                        
                                        	ATM\-ACR interface
                                        	**type**\:  str
                                        
                                        	**pattern:** [0\-9]
                                        
                                        .. attribute:: atm_acrsubinterface
                                        
                                        	
                                        	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmAcrsubinterface>`
                                        
                                        .. attribute:: atm_subinterface
                                        
                                        	
                                        	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmSubinterface>`
                                        
                                        .. attribute:: bdi
                                        
                                        	Bridge\-Domain interface
                                        	**type**\:  str
                                        
                                        .. attribute:: cellular
                                        
                                        	Cellular Interface
                                        	**type**\:  str
                                        
                                        .. attribute:: cem
                                        
                                        	CEM interface
                                        	**type**\:  str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]
                                        
                                        .. attribute:: cem_acr
                                        
                                        	CEM\-ACR interface
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: embedded_service_engine
                                        
                                        	cisco embedded service engine module
                                        	**type**\:  str
                                        
                                        .. attribute:: fastethernet
                                        
                                        	FastEthernet IEEE 802.3
                                        	**type**\:  str
                                        
                                        .. attribute:: gigabitethernet
                                        
                                        	GigabitEthernet IEEE 802.3z
                                        	**type**\:  str
                                        
                                        .. attribute:: lisp
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\:  int
                                        
                                        	**range:** 0..65520
                                        
                                        .. attribute:: lisp_subinterface
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LispSubinterface>`
                                        
                                        .. attribute:: loopback
                                        
                                        	Loopback interface
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: multilink
                                        
                                        	Multilink\-group interface
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: nve
                                        
                                        	Network virtualization endpoint interface
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: overlay
                                        
                                        	Overlay interface
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: port_channel
                                        
                                        	Ethernet Channel of interfaces
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: port_channel_subinterface
                                        
                                        	
                                        	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface>`
                                        
                                        .. attribute:: pseudowire
                                        
                                        	Pseudowire Interface
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: serial
                                        
                                        	Serial interface
                                        	**type**\:  str
                                        
                                        .. attribute:: sm
                                        
                                        	SM Interface
                                        	**type**\:  str
                                        
                                        .. attribute:: tengigabitethernet
                                        
                                        	Ten Gigabit Ethernet
                                        	**type**\:  str
                                        
                                        .. attribute:: tunnel
                                        
                                        	Tunnel interface
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: vasileft
                                        
                                        	vasileft
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasiright
                                        
                                        	vasiright
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: virtual_template
                                        
                                        	Virtual Template interface
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: virtualportgroup
                                        
                                        	Virtual Port Group
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vlan
                                        
                                        	Iosxr Vlans
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.appnav_compress = None
                                            self.appnav_uncompress = None
                                            self.atm = None
                                            self.atm_acr = None
                                            self.atm_acrsubinterface = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmAcrsubinterface()
                                            self.atm_acrsubinterface.parent = self
                                            self.atm_subinterface = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmSubinterface()
                                            self.atm_subinterface.parent = self
                                            self.bdi = None
                                            self.cellular = None
                                            self.cem = None
                                            self.cem_acr = None
                                            self.embedded_service_engine = None
                                            self.fastethernet = None
                                            self.gigabitethernet = None
                                            self.lisp = None
                                            self.lisp_subinterface = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LispSubinterface()
                                            self.lisp_subinterface.parent = self
                                            self.loopback = None
                                            self.multilink = None
                                            self.nve = None
                                            self.overlay = None
                                            self.port_channel = None
                                            self.port_channel_subinterface = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface()
                                            self.port_channel_subinterface.parent = self
                                            self.pseudowire = None
                                            self.serial = None
                                            self.sm = None
                                            self.tengigabitethernet = None
                                            self.tunnel = None
                                            self.vasileft = None
                                            self.vasiright = None
                                            self.virtual_template = None
                                            self.virtualportgroup = None
                                            self.vlan = None


                                        class AtmSubinterface(object):
                                            """
                                            
                                            
                                            .. attribute:: atm
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.atm = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:ATM-subinterface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.atm is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmSubinterface']['meta_info']


                                        class AtmAcrsubinterface(object):
                                            """
                                            
                                            
                                            .. attribute:: atm_acr
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.atm_acr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:ATM-ACRsubinterface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.atm_acr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.AtmAcrsubinterface']['meta_info']


                                        class LispSubinterface(object):
                                            """
                                            Locator/ID Separation Protocol Virtual Interface
                                            
                                            .. attribute:: lisp
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:LISP-subinterface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LispSubinterface']['meta_info']


                                        class PortChannelSubinterface(object):
                                            """
                                            
                                            
                                            .. attribute:: port_channel
                                            
                                            	
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.port_channel = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-isis:Port-channel-subinterface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.port_channel is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:interface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.appnav_compress is not None:
                                                return True

                                            if self.appnav_uncompress is not None:
                                                return True

                                            if self.atm is not None:
                                                return True

                                            if self.atm_acr is not None:
                                                return True

                                            if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                                return True

                                            if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                                return True

                                            if self.bdi is not None:
                                                return True

                                            if self.cellular is not None:
                                                return True

                                            if self.cem is not None:
                                                return True

                                            if self.cem_acr is not None:
                                                return True

                                            if self.embedded_service_engine is not None:
                                                return True

                                            if self.fastethernet is not None:
                                                return True

                                            if self.gigabitethernet is not None:
                                                return True

                                            if self.lisp is not None:
                                                return True

                                            if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                                return True

                                            if self.loopback is not None:
                                                return True

                                            if self.multilink is not None:
                                                return True

                                            if self.nve is not None:
                                                return True

                                            if self.overlay is not None:
                                                return True

                                            if self.port_channel is not None:
                                                return True

                                            if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                                return True

                                            if self.pseudowire is not None:
                                                return True

                                            if self.serial is not None:
                                                return True

                                            if self.sm is not None:
                                                return True

                                            if self.tengigabitethernet is not None:
                                                return True

                                            if self.tunnel is not None:
                                                return True

                                            if self.vasileft is not None:
                                                return True

                                            if self.vasiright is not None:
                                                return True

                                            if self.virtual_template is not None:
                                                return True

                                            if self.virtualportgroup is not None:
                                                return True

                                            if self.vlan is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:in'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.interface is not None and self.interface._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:prefix-list[Cisco-IOS-XE-isis:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.in_ is not None and self.in_._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:distribute-list'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix_list is not None:
                                    for child_ref in self.prefix_list:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList']['meta_info']


                        class Ipv6_(object):
                            """
                            IPv6 specific commands
                            
                            .. attribute:: route
                            
                            	ISIS IPV6 routes
                            	**type**\:   :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.route = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route()
                                self.route.parent = self


                            class Route(object):
                                """
                                ISIS IPV6 routes
                                
                                .. attribute:: priority
                                
                                	Assign priority to IPV6 prefixes
                                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.priority = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority()
                                    self.priority.parent = self


                                class Priority(object):
                                    """
                                    Assign priority to IPV6 prefixes
                                    
                                    .. attribute:: high
                                    
                                    	Assign high priority to important IPV6 prefixes in ISIS IPV6 local RIB
                                    	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority.High>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.high = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority.High()
                                        self.high.parent = self


                                    class High(object):
                                        """
                                        Assign high priority to important IPV6 prefixes in ISIS IPV6 local RIB
                                        
                                        .. attribute:: tag
                                        
                                        	Assign high priority to IPV6 prefixes with a specific route tag
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.tag = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:high'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority.High']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:priority'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.high is not None and self.high._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route.Priority']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:route'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.priority is not None and self.priority._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_.Route']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:ipv6'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.route is not None and self.route._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6_']['meta_info']


                        class MultiTopology(object):
                            """
                            Enable multi\-topology mode
                            
                            .. attribute:: transition
                            
                            	Accept and generate both IS\-IS IPv6 and Multi\-topology IPv6 TLVs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.transition = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:multi-topology'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.transition is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.MultiTopology']['meta_info']


                        class Redistribute(object):
                            """
                            Redistribute IPv6 prefixes from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application Protocol
                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Application>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:   :py:class:`Isis_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: lisp
                            
                            	Locator ID Separation Protocol (LISP)
                            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: nd
                            
                            	Neighbor Discovery
                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nd>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: nemo
                            
                            	Network Mobility (NEMO)
                            	**type**\:   :py:class:`Nemo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nemo>`
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf>`
                            
                            .. attribute:: rip
                            
                            	IPv6 Routing Information Protocol (RIPv6)
                            	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Rip>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.application = None
                                self.bgp = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Bgp()
                                self.bgp.parent = self
                                self.connected = None
                                self.eigrp = YList()
                                self.eigrp.parent = self
                                self.eigrp.name = 'eigrp'
                                self.isis = None
                                self.lisp = None
                                self.nd = None
                                self.nemo = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nemo()
                                self.nemo.parent = self
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.rip = YList()
                                self.rip.parent = self
                                self.rip.name = 'rip'
                                self.static = None


                            class Application(object):
                                """
                                Application Protocol
                                
                                .. attribute:: include_connected
                                
                                	Include connected
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Application.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.include_connected = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Application.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:application'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.include_connected is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Application']['meta_info']


                            class Bgp(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_number
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: include_connected
                                
                                	Include connected
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Bgp.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None
                                    self.include_connected = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Bgp.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_number is not None:
                                        return True

                                    if self.include_connected is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Bgp']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Connected.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Connected.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Connected']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: include_connected
                                
                                	Include connected
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Eigrp.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None
                                    self.include_connected = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Eigrp.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.as_number is None:
                                        raise YPYModelError('Key property as_number is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:eigrp[Cisco-IOS-XE-isis:as-number = ' + str(self.as_number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_number is not None:
                                        return True

                                    if self.include_connected is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Eigrp']['meta_info']


                            class Isis_(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_leak
                                
                                	
                                	**type**\: list of    :py:class:`IsisLeak <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak>`
                                
                                .. attribute:: isis_redistribute
                                
                                	
                                	**type**\: list of    :py:class:`IsisRedistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisRedistribute>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.isis_leak = YList()
                                    self.isis_leak.parent = self
                                    self.isis_leak.name = 'isis_leak'
                                    self.isis_redistribute = YList()
                                    self.isis_redistribute.parent = self
                                    self.isis_redistribute.name = 'isis_redistribute'


                                class IsisRedistribute(object):
                                    """
                                    
                                    
                                    .. attribute:: area_tag  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: include_connected
                                    
                                    	Include connected
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisRedistribute.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.area_tag = None
                                        self.include_connected = None
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisRedistribute.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.area_tag is None:
                                            raise YPYModelError('Key property area_tag is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:isis-redistribute[Cisco-IOS-XE-isis:area-tag = ' + str(self.area_tag) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.area_tag is not None:
                                            return True

                                        if self.include_connected is not None:
                                            return True

                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisRedistribute']['meta_info']


                                class IsisLeak(object):
                                    """
                                    
                                    
                                    .. attribute:: isis_redist_levels1  <key>
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRedistLevels1Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak.IsisRedistLevels1Enum>`
                                    
                                    .. attribute:: isis_redist_levels2  <key>
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRedistLevels2Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak.IsisRedistLevels2Enum>`
                                    
                                    .. attribute:: distribute_list
                                    
                                    	select routes
                                    	**type**\:  str
                                    
                                    .. attribute:: into
                                    
                                    	from level\-n into level\-m
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route matching
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.isis_redist_levels1 = None
                                        self.isis_redist_levels2 = None
                                        self.distribute_list = None
                                        self.into = None
                                        self.route_map = None

                                    class IsisRedistLevels1Enum(Enum):
                                        """
                                        IsisRedistLevels1Enum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        """

                                        level_1 = 0

                                        level_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak.IsisRedistLevels1Enum']


                                    class IsisRedistLevels2Enum(Enum):
                                        """
                                        IsisRedistLevels2Enum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        """

                                        level_1 = 0

                                        level_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak.IsisRedistLevels2Enum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.isis_redist_levels1 is None:
                                            raise YPYModelError('Key property isis_redist_levels1 is None')
                                        if self.isis_redist_levels2 is None:
                                            raise YPYModelError('Key property isis_redist_levels2 is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:isis-leak[Cisco-IOS-XE-isis:isis-redist-levels1 = ' + str(self.isis_redist_levels1) + '][Cisco-IOS-XE-isis:isis-redist-levels2 = ' + str(self.isis_redist_levels2) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.isis_redist_levels1 is not None:
                                            return True

                                        if self.isis_redist_levels2 is not None:
                                            return True

                                        if self.distribute_list is not None:
                                            return True

                                        if self.into is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_.IsisLeak']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:isis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.isis_leak is not None:
                                        for child_ref in self.isis_leak:
                                            if child_ref._has_data():
                                                return True

                                    if self.isis_redistribute is not None:
                                        for child_ref in self.isis_redistribute:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis_']['meta_info']


                            class Lisp(object):
                                """
                                Locator ID Separation Protocol (LISP)
                                
                                .. attribute:: include_connected
                                
                                	Include connected
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Lisp.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.include_connected = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Lisp.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:lisp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.include_connected is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Lisp']['meta_info']


                            class Nd(object):
                                """
                                Neighbor Discovery
                                
                                .. attribute:: include_connected
                                
                                	Include connected
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nd.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.include_connected = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nd.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:nd'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.include_connected is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nd']['meta_info']


                            class Nemo(object):
                                """
                                Network Mobility (NEMO)
                                
                                .. attribute:: include_connected
                                
                                	Include connected
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nemo.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.include_connected = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nemo.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:nemo'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.include_connected is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nemo']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: process_id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: include_connected
                                
                                	Include connected
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.process_id = None
                                    self.include_connected = None
                                    self.levels = None
                                    self.match = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match()
                                    self.match.parent = self
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.MetricTypeEnum']



                                class Match(object):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.internal = None
                                        self.nssa_external = None


                                    class Internal(object):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:internal'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal']['meta_info']


                                    class External(object):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.external_routes = None
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.external_routes is not None:
                                                return True

                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External']['meta_info']


                                    class NssaExternal(object):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_external_routes = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:nssa-external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_external_routes is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:match'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None and self.external._has_data():
                                            return True

                                        if self.internal is not None and self.internal._has_data():
                                            return True

                                        if self.nssa_external is not None and self.nssa_external._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.process_id is None:
                                        raise YPYModelError('Key property process_id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:ospf[Cisco-IOS-XE-isis:process-id = ' + str(self.process_id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.process_id is not None:
                                        return True

                                    if self.include_connected is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.match is not None and self.match._has_data():
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf']['meta_info']


                            class Rip(object):
                                """
                                IPv6 Routing Information Protocol (RIPv6)
                                
                                .. attribute:: process  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: include_connected
                                
                                	Include connected
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Rip.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.process = None
                                    self.include_connected = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Rip.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.process is None:
                                        raise YPYModelError('Key property process is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:rip[Cisco-IOS-XE-isis:process = ' + str(self.process) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.process is not None:
                                        return True

                                    if self.include_connected is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Static.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Static.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Static']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:redistribute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.application is not None and self.application._has_data():
                                    return True

                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.eigrp is not None:
                                    for child_ref in self.eigrp:
                                        if child_ref._has_data():
                                            return True

                                if self.isis is not None and self.isis._has_data():
                                    return True

                                if self.lisp is not None and self.lisp._has_data():
                                    return True

                                if self.nd is not None and self.nd._has_data():
                                    return True

                                if self.nemo is not None and self.nemo._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None:
                                    for child_ref in self.rip:
                                        if child_ref._has_data():
                                            return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute']['meta_info']


                        class SummaryPrefix(object):
                            """
                            Configure IPv6 summary prefix
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`LevelsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SummaryPrefix.LevelsEnum>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix = None
                                self.levels = None

                            class LevelsEnum(Enum):
                                """
                                LevelsEnum

                                .. data:: level_1 = 0

                                .. data:: level_1_2 = 1

                                .. data:: level_2 = 2

                                """

                                level_1 = 0

                                level_1_2 = 1

                                level_2 = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SummaryPrefix.LevelsEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.prefix is None:
                                    raise YPYModelError('Key property prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:summary-prefix[Cisco-IOS-XE-isis:prefix = ' + str(self.prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix is not None:
                                    return True

                                if self.levels is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SummaryPrefix']['meta_info']


                        class TableMap(object):
                            """
                            Map external entry attributes into routing table
                            
                            .. attribute:: filter
                            
                            	Selective route download
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.filter = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:table-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.filter is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.TableMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.adjacency_check is not None:
                                return True

                            if self.advertise is not None and self.advertise._has_data():
                                return True

                            if self.bfd is not None and self.bfd._has_data():
                                return True

                            if self.default_information is not None and self.default_information._has_data():
                                return True

                            if self.distance is not None:
                                return True

                            if self.distribute_list is not None and self.distribute_list._has_data():
                                return True

                            if self.help is not None:
                                return True

                            if self.ipv6 is not None and self.ipv6._has_data():
                                return True

                            if self.maximum_paths is not None:
                                return True

                            if self.metric is not None and self.metric._has_data():
                                return True

                            if self.multi_topology is not None and self.multi_topology._has_data():
                                return True

                            if self.prc_interval is not None and self.prc_interval._has_data():
                                return True

                            if self.redistribute is not None and self.redistribute._has_data():
                                return True

                            if self.router_id is not None:
                                return True

                            if self.set_overload_bit is not None and self.set_overload_bit._has_data():
                                return True

                            if self.spf_interval is not None and self.spf_interval._has_data():
                                return True

                            if self.summary_prefix is not None:
                                for child_ref in self.summary_prefix:
                                    if child_ref._has_data():
                                        return True

                            if self.table_map is not None and self.table_map._has_data():
                                return True

                            if self.unicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily.Ipv6']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:address-family'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.AddressFamily']['meta_info']


                class Distance(object):
                    """
                    Define an administrative distance
                    
                    .. attribute:: number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    .. attribute:: clns
                    
                    	Distance applied for CLNS derived routes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ip
                    
                    	Distance applied for IP derived routes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ip_list
                    
                    	
                    	**type**\: list of    :py:class:`IpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Distance.IpList>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.number = None
                        self.clns = None
                        self.ip = None
                        self.ip_list = YList()
                        self.ip_list.parent = self
                        self.ip_list.name = 'ip_list'


                    class IpList(object):
                        """
                        
                        
                        .. attribute:: ip  <key>
                        
                        	IP Source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: wildcard_bits
                        
                        	
                        	**type**\: list of    :py:class:`WildcardBits <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Distance.IpList.WildcardBits>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = None
                            self.wildcard_bits = YList()
                            self.wildcard_bits.parent = self
                            self.wildcard_bits.name = 'wildcard_bits'


                        class WildcardBits(object):
                            """
                            
                            
                            .. attribute:: w_bits  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: access_list
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..99
                            
                            
                            ----
                            	**type**\:  int
                            
                            	**range:** 1300..1999
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.w_bits = None
                                self.access_list = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.w_bits is None:
                                    raise YPYModelError('Key property w_bits is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:wildcard-bits[Cisco-IOS-XE-isis:w-bits = ' + str(self.w_bits) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.w_bits is not None:
                                    return True

                                if self.access_list is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Distance.IpList.WildcardBits']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ip is None:
                                raise YPYModelError('Key property ip is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:ip-list[Cisco-IOS-XE-isis:ip = ' + str(self.ip) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None:
                                return True

                            if self.wildcard_bits is not None:
                                for child_ref in self.wildcard_bits:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Distance.IpList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.number is None:
                            raise YPYModelError('Key property number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:distance[Cisco-IOS-XE-isis:number = ' + str(self.number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.number is not None:
                            return True

                        if self.clns is not None:
                            return True

                        if self.ip is not None:
                            return True

                        if self.ip_list is not None:
                            for child_ref in self.ip_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.Distance']['meta_info']


                class Ip(object):
                    """
                    IP specific commands
                    
                    .. attribute:: route
                    
                    	ISIS IP routes
                    	**type**\:   :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Ip.Route>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route = Native.Router.IsisContainer.Isis.Ip.Route()
                        self.route.parent = self


                    class Route(object):
                        """
                        ISIS IP routes
                        
                        .. attribute:: priority
                        
                        	Assign priority to IP prefixes
                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Ip.Route.Priority>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.priority = Native.Router.IsisContainer.Isis.Ip.Route.Priority()
                            self.priority.parent = self


                        class Priority(object):
                            """
                            Assign priority to IP prefixes
                            
                            .. attribute:: high
                            
                            	Assign high priority to important IP prefixes in ISIS IP local RIB
                            	**type**\:   :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Ip.Route.Priority.High>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.high = Native.Router.IsisContainer.Isis.Ip.Route.Priority.High()
                                self.high.parent = self


                            class High(object):
                                """
                                Assign high priority to important IP prefixes in ISIS IP local RIB
                                
                                .. attribute:: tag
                                
                                	Assign high priority to IP prefixes with a specific route tag
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:high'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Ip.Route.Priority.High']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:priority'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.high is not None and self.high._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Ip.Route.Priority']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:route'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.priority is not None and self.priority._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Ip.Route']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route is not None and self.route._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.Ip']['meta_info']


                class Redistribute(object):
                    """
                    Redistribute information from another routing protocol
                    
                    .. attribute:: application
                    
                    	Application
                    	**type**\: list of    :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Application>`
                    
                    .. attribute:: bgp
                    
                    	Border Gateway Protocol (BGP)
                    	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Bgp>`
                    
                    .. attribute:: connected
                    
                    	Connected
                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Connected>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Eigrp>`
                    
                    .. attribute:: isis
                    
                    	ISO IS\-IS
                    	**type**\:   :py:class:`Isis_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Isis_>`
                    
                    .. attribute:: iso_igrp
                    
                    	IGRP for OSI networks
                    	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: lisp
                    
                    	Locator ID Separation Protocol (LISP)
                    	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Lisp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: maximum_prefix
                    
                    	Maximum number of prefixes redistributed to protocol
                    	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.MaximumPrefix>`
                    
                    .. attribute:: mobile
                    
                    	Mobile routes
                    	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Mobile>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: odr
                    
                    	On Demand stub Routes
                    	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Odr>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ospf
                    
                    	Open Shortest Path First (OSPF)
                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospf>`
                    
                    .. attribute:: ospfv3
                    
                    	Open Shortest Path First (OSPF)
                    	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospfv3>`
                    
                    .. attribute:: rip
                    
                    	Routing Information Protocol (RIP)
                    	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Rip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: static
                    
                    	Static routes
                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Static>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: vrf
                    
                    	Specify a source VRF
                    	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.application = YList()
                        self.application.parent = self
                        self.application.name = 'application'
                        self.bgp = Native.Router.IsisContainer.Isis.Redistribute.Bgp()
                        self.bgp.parent = self
                        self.connected = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'
                        self.isis = Native.Router.IsisContainer.Isis.Redistribute.Isis_()
                        self.isis.parent = self
                        self.iso_igrp = None
                        self.lisp = None
                        self.maximum_prefix = Native.Router.IsisContainer.Isis.Redistribute.MaximumPrefix()
                        self.maximum_prefix.parent = self
                        self.mobile = None
                        self.odr = None
                        self.ospf = YList()
                        self.ospf.parent = self
                        self.ospf.name = 'ospf'
                        self.ospfv3 = YList()
                        self.ospfv3.parent = self
                        self.ospfv3.name = 'ospfv3'
                        self.rip = None
                        self.static = None
                        self.vrf = Native.Router.IsisContainer.Isis.Redistribute.Vrf()
                        self.vrf.parent = self


                    class Application(object):
                        """
                        Application
                        
                        .. attribute:: name  <key>
                        
                        	Application name
                        	**type**\:  str
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Application.MetricTypeEnum>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.levels = None
                            self.metric = None
                            self.metric_type = None
                            self.route_map = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = 0

                            internal = 1

                            rib_metric_as_external = 2

                            rib_metric_as_internal = 3


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Application.MetricTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:application[Cisco-IOS-XE-isis:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.levels is not None:
                                return True

                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Application']['meta_info']


                    class Bgp(object):
                        """
                        Border Gateway Protocol (BGP)
                        
                        .. attribute:: as_number
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        
                        ----
                        .. attribute:: clns
                        
                        	Redistribution of BGP NSAP routes
                        	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Bgp.Clns>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ip
                        
                        	Redistribution of BGP IP routes
                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Bgp.Ip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Bgp.MetricTypeEnum>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.as_number = None
                            self.clns = None
                            self.ip = None
                            self.levels = None
                            self.metric = None
                            self.metric_type = None
                            self.route_map = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = 0

                            internal = 1

                            rib_metric_as_external = 2

                            rib_metric_as_internal = 3


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Bgp.MetricTypeEnum']



                        class Clns(object):
                            """
                            Redistribution of BGP NSAP routes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Bgp.Clns.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Bgp.Clns.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:clns'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Bgp.Clns']['meta_info']


                        class Ip(object):
                            """
                            Redistribution of BGP IP routes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Bgp.Ip.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Bgp.Ip.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Bgp.Ip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:bgp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.as_number is not None:
                                return True

                            if self.clns is not None and self.clns._has_data():
                                return True

                            if self.ip is not None and self.ip._has_data():
                                return True

                            if self.levels is not None:
                                return True

                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Bgp']['meta_info']


                    class Connected(object):
                        """
                        Connected
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Connected.MetricTypeEnum>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.levels = None
                            self.metric = None
                            self.metric_type = None
                            self.route_map = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = 0

                            internal = 1

                            rib_metric_as_external = 2

                            rib_metric_as_internal = 3


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Connected.MetricTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:connected'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.levels is not None:
                                return True

                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Connected']['meta_info']


                    class Eigrp(object):
                        """
                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                        
                        .. attribute:: as_number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Eigrp.MetricTypeEnum>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.as_number = None
                            self.levels = None
                            self.metric = None
                            self.metric_type = None
                            self.route_map = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = 0

                            internal = 1

                            rib_metric_as_external = 2

                            rib_metric_as_internal = 3


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Eigrp.MetricTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.as_number is None:
                                raise YPYModelError('Key property as_number is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:eigrp[Cisco-IOS-XE-isis:as-number = ' + str(self.as_number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.as_number is not None:
                                return True

                            if self.levels is not None:
                                return True

                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Eigrp']['meta_info']


                    class Isis_(object):
                        """
                        ISO IS\-IS
                        
                        .. attribute:: ip
                        
                        	Redistribution of IP routes between levels
                        	**type**\: list of    :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Isis_.Ip>`
                        
                        .. attribute:: isis_redistribute
                        
                        	
                        	**type**\: list of    :py:class:`IsisRedistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Isis_.IsisRedistribute>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = YList()
                            self.ip.parent = self
                            self.ip.name = 'ip'
                            self.isis_redistribute = YList()
                            self.isis_redistribute.parent = self
                            self.isis_redistribute.name = 'isis_redistribute'


                        class IsisRedistribute(object):
                            """
                            
                            
                            .. attribute:: area_tag  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: ip
                            
                            	Redistribution of IP routes between levels or processes
                            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Isis_.IsisRedistribute.Ip>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.area_tag = None
                                self.ip = None


                            class Ip(object):
                                """
                                Redistribution of IP routes between levels or processes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Isis_.IsisRedistribute.Ip.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Isis_.IsisRedistribute.Ip.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Isis_.IsisRedistribute.Ip']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.area_tag is None:
                                    raise YPYModelError('Key property area_tag is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:isis-redistribute[Cisco-IOS-XE-isis:area-tag = ' + str(self.area_tag) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.area_tag is not None:
                                    return True

                                if self.ip is not None and self.ip._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Isis_.IsisRedistribute']['meta_info']


                        class Ip(object):
                            """
                            Redistribution of IP routes between levels
                            
                            .. attribute:: isis_redist_levels1  <key>
                            
                            	
                            	**type**\:   :py:class:`IsisRedistLevels1Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Isis_.Ip.IsisRedistLevels1Enum>`
                            
                            .. attribute:: isis_redist_levels2  <key>
                            
                            	
                            	**type**\:   :py:class:`IsisRedistLevels2Enum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Isis_.Ip.IsisRedistLevels2Enum>`
                            
                            .. attribute:: distribute_list
                            
                            	select routes
                            	**type**\:  int
                            
                            	**range:** 100..199
                            
                            .. attribute:: into
                            
                            	from level\-n into level\-m
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map for route matching
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.isis_redist_levels1 = None
                                self.isis_redist_levels2 = None
                                self.distribute_list = None
                                self.into = None
                                self.route_map = None

                            class IsisRedistLevels1Enum(Enum):
                                """
                                IsisRedistLevels1Enum

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = 0

                                level_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Isis_.Ip.IsisRedistLevels1Enum']


                            class IsisRedistLevels2Enum(Enum):
                                """
                                IsisRedistLevels2Enum

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = 0

                                level_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Isis_.Ip.IsisRedistLevels2Enum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.isis_redist_levels1 is None:
                                    raise YPYModelError('Key property isis_redist_levels1 is None')
                                if self.isis_redist_levels2 is None:
                                    raise YPYModelError('Key property isis_redist_levels2 is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:ip[Cisco-IOS-XE-isis:isis-redist-levels1 = ' + str(self.isis_redist_levels1) + '][Cisco-IOS-XE-isis:isis-redist-levels2 = ' + str(self.isis_redist_levels2) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.isis_redist_levels1 is not None:
                                    return True

                                if self.isis_redist_levels2 is not None:
                                    return True

                                if self.distribute_list is not None:
                                    return True

                                if self.into is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Isis_.Ip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None:
                                for child_ref in self.ip:
                                    if child_ref._has_data():
                                        return True

                            if self.isis_redistribute is not None:
                                for child_ref in self.isis_redistribute:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Isis_']['meta_info']


                    class IsoIgrp(object):
                        """
                        IGRP for OSI networks
                        
                        .. attribute:: area_tag_route_map_container
                        
                        	
                        	**type**\:   :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer>`
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp.MetricTypeEnum>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.area_tag_route_map_container = Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer()
                            self.area_tag_route_map_container.parent = self
                            self.levels = None
                            self.metric = None
                            self.metric_type = None
                            self.route_map = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = 0

                            internal = 1

                            rib_metric_as_external = 2

                            rib_metric_as_internal = 3


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp.MetricTypeEnum']



                        class AreaTagRouteMapContainer(object):
                            """
                            
                            
                            .. attribute:: area_tag
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.area_tag = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:area-tag-route-map-container'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.area_tag is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:iso-igrp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.area_tag_route_map_container is not None and self.area_tag_route_map_container._has_data():
                                return True

                            if self.levels is not None:
                                return True

                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp']['meta_info']


                    class Lisp(object):
                        """
                        Locator ID Separation Protocol (LISP)
                        
                        .. attribute:: include_connected
                        
                        	Include connected
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Lisp.MetricTypeEnum>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.include_connected = None
                            self.levels = None
                            self.metric = None
                            self.metric_type = None
                            self.route_map = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = 0

                            internal = 1

                            rib_metric_as_external = 2

                            rib_metric_as_internal = 3


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Lisp.MetricTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:lisp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.include_connected is not None:
                                return True

                            if self.levels is not None:
                                return True

                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Lisp']['meta_info']


                    class MaximumPrefix(object):
                        """
                        Maximum number of prefixes redistributed to protocol
                        
                        .. attribute:: number
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: threshold_value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        .. attribute:: warning_only
                        
                        	Only give warning message when limit is exceeded
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: withdraw
                        
                        	Withdraw redistibuted prefixes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.threshold_value = None
                            self.warning_only = None
                            self.withdraw = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:maximum-prefix'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.threshold_value is not None:
                                return True

                            if self.warning_only is not None:
                                return True

                            if self.withdraw is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.MaximumPrefix']['meta_info']


                    class Mobile(object):
                        """
                        Mobile routes
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Mobile.MetricTypeEnum>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.levels = None
                            self.metric = None
                            self.metric_type = None
                            self.route_map = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = 0

                            internal = 1

                            rib_metric_as_external = 2

                            rib_metric_as_internal = 3


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Mobile.MetricTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:mobile'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.levels is not None:
                                return True

                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Mobile']['meta_info']


                    class Odr(object):
                        """
                        On Demand stub Routes
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Odr.MetricTypeEnum>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.levels = None
                            self.metric = None
                            self.metric_type = None
                            self.route_map = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = 0

                            internal = 1

                            rib_metric_as_external = 2

                            rib_metric_as_internal = 3


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Odr.MetricTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:odr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.levels is not None:
                                return True

                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Odr']['meta_info']


                    class Ospf(object):
                        """
                        Open Shortest Path First (OSPF)
                        
                        .. attribute:: process_id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                        
                        .. attribute:: match
                        
                        	Redistribution of OSPF routes
                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospf.MetricTypeEnum>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: vrf
                        
                        	VPN Routing/Forwarding Instance
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.process_id = None
                            self.levels = None
                            self.match = Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match()
                            self.match.parent = self
                            self.metric = None
                            self.metric_type = None
                            self.route_map = None
                            self.vrf = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = 0

                            internal = 1

                            rib_metric_as_external = 2

                            rib_metric_as_internal = 3


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospf.MetricTypeEnum']



                        class Match(object):
                            """
                            Redistribution of OSPF routes
                            
                            .. attribute:: external
                            
                            	Redistribute OSPF external routes
                            	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.External>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: internal
                            
                            	Redistribute OSPF internal routes
                            	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.Internal>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: nssa_external
                            
                            	Redistribute OSPF NSSA external routes
                            	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.NssaExternal>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.external = None
                                self.internal = None
                                self.nssa_external = None


                            class Internal(object):
                                """
                                Redistribute OSPF internal routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.Internal.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.Internal.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:internal'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.Internal']['meta_info']


                            class External(object):
                                """
                                Redistribute OSPF external routes
                                
                                .. attribute:: external_routes
                                
                                	
                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.External.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.external_routes = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.External.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:external'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.external_routes is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.External']['meta_info']


                            class NssaExternal(object):
                                """
                                Redistribute OSPF NSSA external routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum>`
                                
                                .. attribute:: nssa_external_routes
                                
                                	
                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_external_routes = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:nssa-external'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_external_routes is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.NssaExternal']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:match'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.external is not None and self.external._has_data():
                                    return True

                                if self.internal is not None and self.internal._has_data():
                                    return True

                                if self.nssa_external is not None and self.nssa_external._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.process_id is None:
                                raise YPYModelError('Key property process_id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:ospf[Cisco-IOS-XE-isis:process-id = ' + str(self.process_id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.process_id is not None:
                                return True

                            if self.levels is not None:
                                return True

                            if self.match is not None and self.match._has_data():
                                return True

                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            if self.vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospf']['meta_info']


                    class Ospfv3(object):
                        """
                        Open Shortest Path First (OSPF)
                        
                        .. attribute:: process_id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                        
                        .. attribute:: match
                        
                        	Redistribution of OSPF routes
                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.MetricTypeEnum>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: vrf
                        
                        	VPN Routing/Forwarding Instance
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.process_id = None
                            self.levels = None
                            self.match = Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match()
                            self.match.parent = self
                            self.metric = None
                            self.metric_type = None
                            self.route_map = None
                            self.vrf = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = 0

                            internal = 1

                            rib_metric_as_external = 2

                            rib_metric_as_internal = 3


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.MetricTypeEnum']



                        class Match(object):
                            """
                            Redistribution of OSPF routes
                            
                            .. attribute:: external
                            
                            	Redistribute OSPF external routes
                            	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.External>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: internal
                            
                            	Redistribute OSPF internal routes
                            	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.Internal>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: nssa_external
                            
                            	Redistribute OSPF NSSA external routes
                            	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.NssaExternal>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.external = None
                                self.internal = None
                                self.nssa_external = None


                            class Internal(object):
                                """
                                Redistribute OSPF internal routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.Internal.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.Internal.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:internal'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.Internal']['meta_info']


                            class External(object):
                                """
                                Redistribute OSPF external routes
                                
                                .. attribute:: external_routes
                                
                                	
                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.External.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.external_routes = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.External.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:external'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.external_routes is not None:
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.External']['meta_info']


                            class NssaExternal(object):
                                """
                                Redistribute OSPF NSSA external routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.NssaExternal.MetricTypeEnum>`
                                
                                .. attribute:: nssa_external_routes
                                
                                	
                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_external_routes = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.NssaExternal.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:nssa-external'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_external_routes is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.NssaExternal']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:match'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.external is not None and self.external._has_data():
                                    return True

                                if self.internal is not None and self.internal._has_data():
                                    return True

                                if self.nssa_external is not None and self.nssa_external._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.process_id is None:
                                raise YPYModelError('Key property process_id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:ospfv3[Cisco-IOS-XE-isis:process-id = ' + str(self.process_id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.process_id is not None:
                                return True

                            if self.levels is not None:
                                return True

                            if self.match is not None and self.match._has_data():
                                return True

                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            if self.vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Ospfv3']['meta_info']


                    class Rip(object):
                        """
                        Routing Information Protocol (RIP)
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Rip.MetricTypeEnum>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.levels = None
                            self.metric = None
                            self.metric_type = None
                            self.route_map = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = 0

                            internal = 1

                            rib_metric_as_external = 2

                            rib_metric_as_internal = 3


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Rip.MetricTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:rip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.levels is not None:
                                return True

                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Rip']['meta_info']


                    class Static(object):
                        """
                        Static routes
                        
                        .. attribute:: clns
                        
                        	Redistribution of BGP NSAP routes
                        	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Static.Clns>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ip
                        
                        	Redistribution of BGP IP routes
                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Static.Ip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.clns = None
                            self.ip = None


                        class Clns(object):
                            """
                            Redistribution of BGP NSAP routes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Static.Clns.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Static.Clns.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:clns'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Static.Clns']['meta_info']


                        class Ip(object):
                            """
                            Redistribution of BGP IP routes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Static.Ip.MetricTypeEnum>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None
                                self.metric = None
                                self.metric_type = None
                                self.route_map = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = 0

                                internal = 1

                                rib_metric_as_external = 2

                                rib_metric_as_internal = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Static.Ip.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Static.Ip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:static'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.clns is not None and self.clns._has_data():
                                return True

                            if self.ip is not None and self.ip._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Static']['meta_info']


                    class Vrf(object):
                        """
                        Specify a source VRF
                        
                        .. attribute:: global_
                        
                        	global VRF
                        	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_>`
                        
                        .. attribute:: vrf_nm
                        
                        	
                        	**type**\: list of    :py:class:`VrfNm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.global_ = Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_()
                            self.global_.parent = self
                            self.vrf_nm = YList()
                            self.vrf_nm.parent = self
                            self.vrf_nm.name = 'vrf_nm'


                        class VrfNm(object):
                            """
                            
                            
                            .. attribute:: vrf_nm  <key>
                            
                            	Source VRF name
                            	**type**\:  str
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application>`
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:   :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:   :py:class:`Isis_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_>`
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: lisp
                            
                            	Locator ID Separation Protocol (LISP)
                            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Process ID
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\:   :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.vrf_nm = None
                                self.application = Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application()
                                self.application.parent = self
                                self.bgp = Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp()
                                self.bgp.parent = self
                                self.connected = None
                                self.eigrp = Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp()
                                self.eigrp.parent = self
                                self.isis = Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_()
                                self.isis.parent = self
                                self.iso_igrp = None
                                self.lisp = None
                                self.mobile = None
                                self.ospf = None
                                self.ospfv3 = Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3()
                                self.ospfv3.parent = self
                                self.rip = None
                                self.static = None


                            class Application(object):
                                """
                                Application
                                
                                .. attribute:: appname
                                
                                	
                                	**type**\: list of    :py:class:`Appname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application.Appname>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.appname = YList()
                                    self.appname.parent = self
                                    self.appname.name = 'appname'


                                class Appname(object):
                                    """
                                    
                                    
                                    .. attribute:: appname  <key>
                                    
                                    	Application name
                                    	**type**\:  str
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application.Appname.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.appname = None
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application.Appname.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.appname is None:
                                            raise YPYModelError('Key property appname is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:appname[Cisco-IOS-XE-isis:appname = ' + str(self.appname) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.appname is not None:
                                            return True

                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application.Appname']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:application'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.appname is not None:
                                        for child_ref in self.appname:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application']['meta_info']


                            class Bgp(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: a_lesser_1_period_0_xx_period_yy_greater_
                                
                                	Autonomous system number
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: bp_as_num
                                
                                	
                                	**type**\: list of    :py:class:`BpAsNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.a_lesser_1_period_0_xx_period_yy_greater_ = None
                                    self.bp_as_num = YList()
                                    self.bp_as_num.parent = self
                                    self.bp_as_num.name = 'bp_as_num'


                                class BpAsNum(object):
                                    """
                                    
                                    
                                    .. attribute:: bp_as_num  <key>
                                    
                                    	Autonomous system number
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    
                                    ----
                                    .. attribute:: clns
                                    
                                    	Redistribution of BGP NSAP routes
                                    	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of BGP IP routes
                                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.bp_as_num = None
                                        self.clns = None
                                        self.ip = None
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.MetricTypeEnum']



                                    class Clns(object):
                                        """
                                        Redistribution of BGP NSAP routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:clns'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns']['meta_info']


                                    class Ip(object):
                                        """
                                        Redistribution of BGP IP routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.bp_as_num is None:
                                            raise YPYModelError('Key property bp_as_num is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:bp-as-num[Cisco-IOS-XE-isis:bp-as-num = ' + str(self.bp_as_num) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.bp_as_num is not None:
                                            return True

                                        if self.clns is not None and self.clns._has_data():
                                            return True

                                        if self.ip is not None and self.ip._has_data():
                                            return True

                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.a_lesser_1_period_0_xx_period_yy_greater_ is not None:
                                        return True

                                    if self.bp_as_num is not None:
                                        for child_ref in self.bp_as_num:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Connected.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Connected.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Connected']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: eigrp_as
                                
                                	
                                	**type**\: list of    :py:class:`EigrpAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eigrp_as = YList()
                                    self.eigrp_as.parent = self
                                    self.eigrp_as.name = 'eigrp_as'


                                class EigrpAs(object):
                                    """
                                    
                                    
                                    .. attribute:: eigrp_as  <key>
                                    
                                    	AS number
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eigrp_as = None
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eigrp_as is None:
                                            raise YPYModelError('Key property eigrp_as is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:eigrp-as[Cisco-IOS-XE-isis:eigrp-as = ' + str(self.eigrp_as) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eigrp_as is not None:
                                            return True

                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:eigrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eigrp_as is not None:
                                        for child_ref in self.eigrp_as:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp']['meta_info']


                            class Isis_(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: ip
                                
                                	Redistribution of IP routes between levels or processes
                                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: isis_atag
                                
                                	
                                	**type**\: list of    :py:class:`IsisAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip = None
                                    self.isis_atag = YList()
                                    self.isis_atag.parent = self
                                    self.isis_atag.name = 'isis_atag'


                                class IsisAtag(object):
                                    """
                                    
                                    
                                    .. attribute:: isis_atag  <key>
                                    
                                    	ISO routing area tag
                                    	**type**\:  str
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP routes between levels or processes
                                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.isis_atag = None
                                        self.ip = Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip()
                                        self.ip.parent = self


                                    class Ip(object):
                                        """
                                        Redistribution of IP routes between levels or processes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag.Ip']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.isis_atag is None:
                                            raise YPYModelError('Key property isis_atag is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:isis-atag[Cisco-IOS-XE-isis:isis-atag = ' + str(self.isis_atag) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.isis_atag is not None:
                                            return True

                                        if self.ip is not None and self.ip._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.IsisAtag']['meta_info']


                                class Ip(object):
                                    """
                                    Redistribution of IP routes between levels or processes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.Ip.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.Ip.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_.Ip']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:isis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip is not None and self.ip._has_data():
                                        return True

                                    if self.isis_atag is not None:
                                        for child_ref in self.isis_atag:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis_']['meta_info']


                            class IsoIgrp(object):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: iso_atag
                                
                                	
                                	**type**\: list of    :py:class:`IsoAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:   :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.iso_atag = YList()
                                    self.iso_atag.parent = self
                                    self.iso_atag.name = 'iso_atag'
                                    self.route_map = None


                                class IsoAtag(object):
                                    """
                                    
                                    
                                    .. attribute:: iso_atag  <key>
                                    
                                    	ISO routing area tag
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.iso_atag = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.iso_atag is None:
                                            raise YPYModelError('Key property iso_atag is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:iso-atag[Cisco-IOS-XE-isis:iso-atag = ' + str(self.iso_atag) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.iso_atag is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag']['meta_info']


                                class RouteMap(object):
                                    """
                                    Route map reference
                                    
                                    .. attribute:: rm_point
                                    
                                    	Pointer to route\-map entries
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.rm_point = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.rm_point is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:iso-igrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.iso_atag is not None:
                                        for child_ref in self.iso_atag:
                                            if child_ref._has_data():
                                                return True

                                    if self.route_map is not None and self.route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp']['meta_info']


                            class Lisp(object):
                                """
                                Locator ID Separation Protocol (LISP)
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Lisp.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Lisp.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:lisp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Lisp']['meta_info']


                            class Mobile(object):
                                """
                                Mobile routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Mobile.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Mobile.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:mobile'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Mobile']['meta_info']


                            class Ospfv3(object):
                                """
                                OSPFv3
                                
                                .. attribute:: os3_id
                                
                                	
                                	**type**\: list of    :py:class:`Os3Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.os3_id = YList()
                                    self.os3_id.parent = self
                                    self.os3_id.name = 'os3_id'


                                class Os3Id(object):
                                    """
                                    
                                    
                                    .. attribute:: os3_id  <key>
                                    
                                    	Process ID
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.os3_id = None
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.os3_id is None:
                                            raise YPYModelError('Key property os3_id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:os3-id[Cisco-IOS-XE-isis:os3-id = ' + str(self.os3_id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.os3_id is not None:
                                            return True

                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:ospfv3'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.os3_id is not None:
                                        for child_ref in self.os3_id:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Rip.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Rip.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:rip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: clns
                                
                                	Redistribution of BGP NSAP routes
                                	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	Redistribution of BGP IP routes
                                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.clns = None
                                    self.ip = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.MetricTypeEnum']



                                class Clns(object):
                                    """
                                    Redistribution of BGP NSAP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Clns.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Clns.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:clns'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Clns']['meta_info']


                                class Ip(object):
                                    """
                                    Redistribution of BGP IP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Ip.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Ip.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Ip']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.clns is not None and self.clns._has_data():
                                        return True

                                    if self.ip is not None and self.ip._has_data():
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.vrf_nm is None:
                                    raise YPYModelError('Key property vrf_nm is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:vrf-nm[Cisco-IOS-XE-isis:vrf-nm = ' + str(self.vrf_nm) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.vrf_nm is not None:
                                    return True

                                if self.application is not None and self.application._has_data():
                                    return True

                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.eigrp is not None and self.eigrp._has_data():
                                    return True

                                if self.isis is not None and self.isis._has_data():
                                    return True

                                if self.iso_igrp is not None and self.iso_igrp._has_data():
                                    return True

                                if self.lisp is not None and self.lisp._has_data():
                                    return True

                                if self.mobile is not None and self.mobile._has_data():
                                    return True

                                if self.ospf is not None:
                                    return True

                                if self.ospfv3 is not None and self.ospfv3._has_data():
                                    return True

                                if self.rip is not None and self.rip._has_data():
                                    return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm']['meta_info']


                        class Global_(object):
                            """
                            global VRF
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application>`
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:   :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:   :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:   :py:class:`Isis_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_>`
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: lisp
                            
                            	Locator ID Separation Protocol (LISP)
                            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Process ID
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\:   :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.application = Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application()
                                self.application.parent = self
                                self.bgp = Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp()
                                self.bgp.parent = self
                                self.connected = None
                                self.eigrp = Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp()
                                self.eigrp.parent = self
                                self.isis = Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_()
                                self.isis.parent = self
                                self.iso_igrp = None
                                self.lisp = None
                                self.mobile = None
                                self.ospf = None
                                self.ospfv3 = Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3()
                                self.ospfv3.parent = self
                                self.rip = None
                                self.static = None


                            class Application(object):
                                """
                                Application
                                
                                .. attribute:: appname
                                
                                	
                                	**type**\: list of    :py:class:`Appname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application.Appname>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.appname = YList()
                                    self.appname.parent = self
                                    self.appname.name = 'appname'


                                class Appname(object):
                                    """
                                    
                                    
                                    .. attribute:: appname  <key>
                                    
                                    	Application name
                                    	**type**\:  str
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application.Appname.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.appname = None
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application.Appname.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.appname is None:
                                            raise YPYModelError('Key property appname is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:appname[Cisco-IOS-XE-isis:appname = ' + str(self.appname) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.appname is not None:
                                            return True

                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application.Appname']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:application'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.appname is not None:
                                        for child_ref in self.appname:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application']['meta_info']


                            class Bgp(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: a_lesser_1_period_0_xx_period_yy_greater_
                                
                                	Autonomous system number
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: bp_as_num
                                
                                	
                                	**type**\: list of    :py:class:`BpAsNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.a_lesser_1_period_0_xx_period_yy_greater_ = None
                                    self.bp_as_num = YList()
                                    self.bp_as_num.parent = self
                                    self.bp_as_num.name = 'bp_as_num'


                                class BpAsNum(object):
                                    """
                                    
                                    
                                    .. attribute:: bp_as_num  <key>
                                    
                                    	Autonomous system number
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    
                                    ----
                                    .. attribute:: clns
                                    
                                    	Redistribution of BGP NSAP routes
                                    	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of BGP IP routes
                                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.bp_as_num = None
                                        self.clns = None
                                        self.ip = None
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.MetricTypeEnum']



                                    class Clns(object):
                                        """
                                        Redistribution of BGP NSAP routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:clns'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns']['meta_info']


                                    class Ip(object):
                                        """
                                        Redistribution of BGP IP routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.bp_as_num is None:
                                            raise YPYModelError('Key property bp_as_num is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:bp-as-num[Cisco-IOS-XE-isis:bp-as-num = ' + str(self.bp_as_num) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.bp_as_num is not None:
                                            return True

                                        if self.clns is not None and self.clns._has_data():
                                            return True

                                        if self.ip is not None and self.ip._has_data():
                                            return True

                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:bgp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.a_lesser_1_period_0_xx_period_yy_greater_ is not None:
                                        return True

                                    if self.bp_as_num is not None:
                                        for child_ref in self.bp_as_num:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Connected.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Connected.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Connected']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: eigrp_as
                                
                                	
                                	**type**\: list of    :py:class:`EigrpAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eigrp_as = YList()
                                    self.eigrp_as.parent = self
                                    self.eigrp_as.name = 'eigrp_as'


                                class EigrpAs(object):
                                    """
                                    
                                    
                                    .. attribute:: eigrp_as  <key>
                                    
                                    	AS number
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eigrp_as = None
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eigrp_as is None:
                                            raise YPYModelError('Key property eigrp_as is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:eigrp-as[Cisco-IOS-XE-isis:eigrp-as = ' + str(self.eigrp_as) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eigrp_as is not None:
                                            return True

                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:eigrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eigrp_as is not None:
                                        for child_ref in self.eigrp_as:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp']['meta_info']


                            class Isis_(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: ip
                                
                                	Redistribution of IP routes between levels or processes
                                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: isis_atag
                                
                                	
                                	**type**\: list of    :py:class:`IsisAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip = None
                                    self.isis_atag = YList()
                                    self.isis_atag.parent = self
                                    self.isis_atag.name = 'isis_atag'


                                class IsisAtag(object):
                                    """
                                    
                                    
                                    .. attribute:: isis_atag  <key>
                                    
                                    	ISO routing area tag
                                    	**type**\:  str
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP routes between levels or processes
                                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.isis_atag = None
                                        self.ip = Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip()
                                        self.ip.parent = self


                                    class Ip(object):
                                        """
                                        Redistribution of IP routes between levels or processes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip.MetricTypeEnum>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.levels = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.route_map = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = 0

                                            internal = 1

                                            rib_metric_as_external = 2

                                            rib_metric_as_internal = 3


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.levels is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag.Ip']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.isis_atag is None:
                                            raise YPYModelError('Key property isis_atag is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:isis-atag[Cisco-IOS-XE-isis:isis-atag = ' + str(self.isis_atag) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.isis_atag is not None:
                                            return True

                                        if self.ip is not None and self.ip._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.IsisAtag']['meta_info']


                                class Ip(object):
                                    """
                                    Redistribution of IP routes between levels or processes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.Ip.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.Ip.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_.Ip']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:isis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip is not None and self.ip._has_data():
                                        return True

                                    if self.isis_atag is not None:
                                        for child_ref in self.isis_atag:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis_']['meta_info']


                            class IsoIgrp(object):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: iso_atag
                                
                                	
                                	**type**\: list of    :py:class:`IsoAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:   :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp.RouteMap>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.iso_atag = YList()
                                    self.iso_atag.parent = self
                                    self.iso_atag.name = 'iso_atag'
                                    self.route_map = None


                                class IsoAtag(object):
                                    """
                                    
                                    
                                    .. attribute:: iso_atag  <key>
                                    
                                    	ISO routing area tag
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.iso_atag = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.iso_atag is None:
                                            raise YPYModelError('Key property iso_atag is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:iso-atag[Cisco-IOS-XE-isis:iso-atag = ' + str(self.iso_atag) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.iso_atag is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag']['meta_info']


                                class RouteMap(object):
                                    """
                                    Route map reference
                                    
                                    .. attribute:: rm_point
                                    
                                    	Pointer to route\-map entries
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.rm_point = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.rm_point is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp.RouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:iso-igrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.iso_atag is not None:
                                        for child_ref in self.iso_atag:
                                            if child_ref._has_data():
                                                return True

                                    if self.route_map is not None and self.route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp']['meta_info']


                            class Lisp(object):
                                """
                                Locator ID Separation Protocol (LISP)
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Lisp.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Lisp.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:lisp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Lisp']['meta_info']


                            class Mobile(object):
                                """
                                Mobile routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Mobile.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Mobile.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:mobile'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Mobile']['meta_info']


                            class Ospfv3(object):
                                """
                                OSPFv3
                                
                                .. attribute:: os3_id
                                
                                	
                                	**type**\: list of    :py:class:`Os3Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.os3_id = YList()
                                    self.os3_id.parent = self
                                    self.os3_id.name = 'os3_id'


                                class Os3Id(object):
                                    """
                                    
                                    
                                    .. attribute:: os3_id  <key>
                                    
                                    	Process ID
                                    	**type**\:  int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.os3_id = None
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.os3_id is None:
                                            raise YPYModelError('Key property os3_id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:os3-id[Cisco-IOS-XE-isis:os3-id = ' + str(self.os3_id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.os3_id is not None:
                                            return True

                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:ospfv3'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.os3_id is not None:
                                        for child_ref in self.os3_id:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Rip.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Rip.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:rip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: clns
                                
                                	Redistribution of BGP NSAP routes
                                	**type**\:   :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	Redistribution of BGP IP routes
                                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.MetricTypeEnum>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.clns = None
                                    self.ip = None
                                    self.levels = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = 0

                                    internal = 1

                                    rib_metric_as_external = 2

                                    rib_metric_as_internal = 3


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.MetricTypeEnum']



                                class Clns(object):
                                    """
                                    Redistribution of BGP NSAP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Clns.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Clns.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:clns'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Clns']['meta_info']


                                class Ip(object):
                                    """
                                    Redistribution of BGP IP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:   :py:class:`IsisRoutesLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Ip.MetricTypeEnum>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.levels = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.route_map = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = 0

                                        internal = 1

                                        rib_metric_as_external = 2

                                        rib_metric_as_internal = 3


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Ip.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.levels is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Ip']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.clns is not None and self.clns._has_data():
                                        return True

                                    if self.ip is not None and self.ip._has_data():
                                        return True

                                    if self.levels is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:global'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.application is not None and self.application._has_data():
                                    return True

                                if self.bgp is not None and self.bgp._has_data():
                                    return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.eigrp is not None and self.eigrp._has_data():
                                    return True

                                if self.isis is not None and self.isis._has_data():
                                    return True

                                if self.iso_igrp is not None and self.iso_igrp._has_data():
                                    return True

                                if self.lisp is not None and self.lisp._has_data():
                                    return True

                                if self.mobile is not None and self.mobile._has_data():
                                    return True

                                if self.ospf is not None:
                                    return True

                                if self.ospfv3 is not None and self.ospfv3._has_data():
                                    return True

                                if self.rip is not None and self.rip._has_data():
                                    return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:vrf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.global_ is not None and self.global_._has_data():
                                return True

                            if self.vrf_nm is not None:
                                for child_ref in self.vrf_nm:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:redistribute'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.application is not None:
                            for child_ref in self.application:
                                if child_ref._has_data():
                                    return True

                        if self.bgp is not None and self.bgp._has_data():
                            return True

                        if self.connected is not None and self.connected._has_data():
                            return True

                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        if self.isis is not None and self.isis._has_data():
                            return True

                        if self.iso_igrp is not None and self.iso_igrp._has_data():
                            return True

                        if self.lisp is not None and self.lisp._has_data():
                            return True

                        if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                            return True

                        if self.mobile is not None and self.mobile._has_data():
                            return True

                        if self.odr is not None and self.odr._has_data():
                            return True

                        if self.ospf is not None:
                            for child_ref in self.ospf:
                                if child_ref._has_data():
                                    return True

                        if self.ospfv3 is not None:
                            for child_ref in self.ospfv3:
                                if child_ref._has_data():
                                    return True

                        if self.rip is not None and self.rip._has_data():
                            return True

                        if self.static is not None and self.static._has_data():
                            return True

                        if self.vrf is not None and self.vrf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.Redistribute']['meta_info']


                class SetAttachedBit(object):
                    """
                    Conditionally advertise us as attached to L2
                    
                    .. attribute:: route_map
                    
                    	Route\-map reference
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:set-attached-bit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.SetAttachedBit']['meta_info']


                class Snmp(object):
                    """
                    Modify snmp parameters
                    
                    .. attribute:: context
                    
                    	Configure a SNMP context
                    	**type**\: list of    :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Snmp.Context>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.context = YList()
                        self.context.parent = self
                        self.context.name = 'context'


                    class Context(object):
                        """
                        Configure a SNMP context
                        
                        .. attribute:: name  <key>
                        
                        	Context Name
                        	**type**\:  str
                        
                        .. attribute:: community
                        
                        	Configure a SNMP v2c Community string and access privs
                        	**type**\:   :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Snmp.Context.Community>`
                        
                        .. attribute:: user
                        
                        	Configure a SNMP v3 user
                        	**type**\:   :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Snmp.Context.User>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.community = Native.Router.IsisContainer.Isis.Snmp.Context.Community()
                            self.community.parent = self
                            self.user = Native.Router.IsisContainer.Isis.Snmp.Context.User()
                            self.user.parent = self


                        class Community(object):
                            """
                            Configure a SNMP v2c Community string and access privs
                            
                            .. attribute:: access
                            
                            	
                            	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Snmp.Context.Community.Access>`
                            
                            .. attribute:: community_string
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.access = Native.Router.IsisContainer.Isis.Snmp.Context.Community.Access()
                                self.access.parent = self
                                self.community_string = None


                            class Access(object):
                                """
                                
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: expanded_acl
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1300..1999
                                
                                .. attribute:: ipv6
                                
                                	Specify IPv6 Named Access\-List
                                	**type**\:  str
                                
                                .. attribute:: ro
                                
                                	Read\-only access with this community string
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: rw
                                
                                	Read\-write access with this community string
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: standard_acl
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..99
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.acl_name = None
                                    self.expanded_acl = None
                                    self.ipv6 = None
                                    self.ro = None
                                    self.rw = None
                                    self.standard_acl = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:access'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.acl_name is not None:
                                        return True

                                    if self.expanded_acl is not None:
                                        return True

                                    if self.ipv6 is not None:
                                        return True

                                    if self.ro is not None:
                                        return True

                                    if self.rw is not None:
                                        return True

                                    if self.standard_acl is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Snmp.Context.Community.Access']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:community'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.access is not None and self.access._has_data():
                                    return True

                                if self.community_string is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Snmp.Context.Community']['meta_info']


                        class User(object):
                            """
                            Configure a SNMP v3 user
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: permisssion
                            
                            	
                            	**type**\:   :py:class:`Permisssion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.permisssion = Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion()
                                self.permisssion.parent = self


                            class Permisssion(object):
                                """
                                
                                
                                .. attribute:: access
                                
                                	specify an access\-list associated with this group
                                	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Access>`
                                
                                .. attribute:: auth
                                
                                	authentication parameters for the user
                                	**type**\:   :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Auth>`
                                
                                .. attribute:: credential
                                
                                	If the user password is already configured and saved
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: encrypted
                                
                                	specifying passwords as MD5 or SHA digests
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.access = Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Access()
                                    self.access.parent = self
                                    self.auth = Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Auth()
                                    self.auth.parent = self
                                    self.credential = None
                                    self.encrypted = None


                                class Access(object):
                                    """
                                    specify an access\-list associated with this group
                                    
                                    .. attribute:: acl_name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: ipv6
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: standard_acl
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.acl_name = None
                                        self.ipv6 = None
                                        self.standard_acl = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:access'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.acl_name is not None:
                                            return True

                                        if self.ipv6 is not None:
                                            return True

                                        if self.standard_acl is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Access']['meta_info']


                                class Auth(object):
                                    """
                                    authentication parameters for the user
                                    
                                    .. attribute:: md5
                                    
                                    	Use HMAC MD5 algorithm for authentication
                                    	**type**\:  str
                                    
                                    .. attribute:: sha
                                    
                                    	Use HMAC SHA algorithm for authentication
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.md5 = None
                                        self.sha = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:auth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.md5 is not None:
                                            return True

                                        if self.sha is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Auth']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:permisssion'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.access is not None and self.access._has_data():
                                        return True

                                    if self.auth is not None and self.auth._has_data():
                                        return True

                                    if self.credential is not None:
                                        return True

                                    if self.encrypted is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:user'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.permisssion is not None and self.permisssion._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Snmp.Context.User']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:context[Cisco-IOS-XE-isis:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.community is not None and self.community._has_data():
                                return True

                            if self.user is not None and self.user._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Snmp.Context']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:snmp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.context is not None:
                            for child_ref in self.context:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.Snmp']['meta_info']


                class SummaryAddress(object):
                    """
                    Configure IP address summaries
                    
                    .. attribute:: ip  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: mask  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: level_1
                    
                    	Summarize into level\-1 area
                    	**type**\:   :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SummaryAddress.Level1>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: level_1_2
                    
                    	Summarize into both area and sub\-domain
                    	**type**\:   :py:class:`Level12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SummaryAddress.Level12>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: level_2
                    
                    	Summarize into level\-2 sub\-domain
                    	**type**\:   :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SummaryAddress.Level2>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: metric_tag_container
                    
                    	
                    	**type**\:   :py:class:`MetricTagContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SummaryAddress.MetricTagContainer>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = None
                        self.mask = None
                        self.level_1 = None
                        self.level_1_2 = None
                        self.level_2 = None
                        self.metric_tag_container = Native.Router.IsisContainer.Isis.SummaryAddress.MetricTagContainer()
                        self.metric_tag_container.parent = self


                    class Level1(object):
                        """
                        Summarize into level\-1 area
                        
                        .. attribute:: metric
                        
                        	Set metric for summay route
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: tag
                        
                        	Set tag
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.metric = None
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:level-1'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.metric is not None:
                                return True

                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.SummaryAddress.Level1']['meta_info']


                    class Level12(object):
                        """
                        Summarize into both area and sub\-domain
                        
                        .. attribute:: metric
                        
                        	Set metric for summay route
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: tag
                        
                        	Set tag
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.metric = None
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:level-1-2'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.metric is not None:
                                return True

                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.SummaryAddress.Level12']['meta_info']


                    class Level2(object):
                        """
                        Summarize into level\-2 sub\-domain
                        
                        .. attribute:: metric
                        
                        	Set metric for summay route
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: tag
                        
                        	Set tag
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.metric = None
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:level-2'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.metric is not None:
                                return True

                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.SummaryAddress.Level2']['meta_info']


                    class MetricTagContainer(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Set metric for summay route
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: tag
                        
                        	Set tag
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = None
                            self.tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:metric-tag-container'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None:
                                return True

                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.SummaryAddress.MetricTagContainer']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.ip is None:
                            raise YPYModelError('Key property ip is None')
                        if self.mask is None:
                            raise YPYModelError('Key property mask is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:summary-address[Cisco-IOS-XE-isis:ip = ' + str(self.ip) + '][Cisco-IOS-XE-isis:mask = ' + str(self.mask) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None:
                            return True

                        if self.mask is not None:
                            return True

                        if self.level_1 is not None and self.level_1._has_data():
                            return True

                        if self.level_1_2 is not None and self.level_1_2._has_data():
                            return True

                        if self.level_2 is not None and self.level_2._has_data():
                            return True

                        if self.metric_tag_container is not None and self.metric_tag_container._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.SummaryAddress']['meta_info']


                class TrafficShare(object):
                    """
                    How to compute traffic share over alternate paths
                    
                    .. attribute:: min
                    
                    	All traffic shared among min metric paths
                    	**type**\:   :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.TrafficShare.Min>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.min = Native.Router.IsisContainer.Isis.TrafficShare.Min()
                        self.min.parent = self


                    class Min(object):
                        """
                        All traffic shared among min metric paths
                        
                        .. attribute:: across_interfaces
                        
                        	Use different interfaces for equal\-cost paths
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.across_interfaces = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:min'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.across_interfaces is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.TrafficShare.Min']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:traffic-share'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.min is not None and self.min._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.TrafficShare']['meta_info']


                class Advertise(object):
                    """
                    Control which IP routes flow in L1 and L2 LSPs
                    
                    .. attribute:: passive_only
                    
                    	only interface address of passive interfaces
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.passive_only = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:advertise'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.passive_only is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.Advertise']['meta_info']


                class DefaultInformation(object):
                    """
                    Control distribution of default information
                    
                    .. attribute:: originate
                    
                    	Distribute a default route
                    	**type**\:   :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.DefaultInformation.Originate>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.originate = None


                    class Originate(object):
                        """
                        Distribute a default route
                        
                        .. attribute:: route_map
                        
                        	Route\-map reference
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.route_map = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:originate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.DefaultInformation.Originate']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:default-information'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.originate is not None and self.originate._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.DefaultInformation']['meta_info']


                class Metric(object):
                    """
                    Set ISIS metric for all interfaces
                    
                    .. attribute:: metric
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..16777214
                    
                    .. attribute:: metrics
                    
                    	
                    	**type**\: list of    :py:class:`Metrics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Metric.Metrics>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.metric = None
                        self.metrics = YList()
                        self.metrics.parent = self
                        self.metrics.name = 'metrics'


                    class Metrics(object):
                        """
                        
                        
                        .. attribute:: level  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Metric.Metrics.LevelEnum>`
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.level = None
                            self.metric = None

                        class LevelEnum(Enum):
                            """
                            LevelEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Metric.Metrics.LevelEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.level is None:
                                raise YPYModelError('Key property level is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:metrics[Cisco-IOS-XE-isis:level = ' + str(self.level) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.level is not None:
                                return True

                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Metric.Metrics']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:metric'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.metric is not None:
                            return True

                        if self.metrics is not None:
                            for child_ref in self.metrics:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.Metric']['meta_info']


                class PrcInterval(object):
                    """
                    Minimum interval between partial route calculations
                    
                    .. attribute:: initial_wait
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..120000
                    
                    .. attribute:: interval
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..120
                    
                    .. attribute:: minimum_wait
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..120000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.initial_wait = None
                        self.interval = None
                        self.minimum_wait = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:prc-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.initial_wait is not None:
                            return True

                        if self.interval is not None:
                            return True

                        if self.minimum_wait is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.PrcInterval']['meta_info']


                class SetOverloadBit(object):
                    """
                    Signal other routers not to use us in SPF
                    
                    .. attribute:: on_startup
                    
                    	Set overload\-bit only temporarily after reboot
                    	**type**\:   :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup>`
                    
                    .. attribute:: suppress
                    
                    	If overload\-bit set, suppress the following types of IP prefixes
                    	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SetOverloadBit.Suppress>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.on_startup = Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup()
                        self.on_startup.parent = self
                        self.suppress = Native.Router.IsisContainer.Isis.SetOverloadBit.Suppress()
                        self.suppress.parent = self


                    class OnStartup(object):
                        """
                        Set overload\-bit only temporarily after reboot
                        
                        .. attribute:: time
                        
                        	
                        	**type**\:   :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.Time>`
                        
                        .. attribute:: wait_for_bgp
                        
                        	Let BGP decide when to unset the overload bit
                        	**type**\:   :py:class:`WaitForBgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.time = Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.Time()
                            self.time.parent = self
                            self.wait_for_bgp = None


                        class Time(object):
                            """
                            
                            
                            .. attribute:: external
                            
                            	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: interlevel
                            
                            	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress
                            
                            	If overload\-bit set, suppress the following types of IP prefixes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: time
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 5..86400
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.external = None
                                self.interlevel = None
                                self.suppress = None
                                self.time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.external is not None:
                                    return True

                                if self.interlevel is not None:
                                    return True

                                if self.suppress is not None:
                                    return True

                                if self.time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.Time']['meta_info']


                        class WaitForBgp(object):
                            """
                            Let BGP decide when to unset the overload bit
                            
                            .. attribute:: suppress
                            
                            	If overload\-bit set, suppress the following types of IP prefixes
                            	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.suppress = Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress()
                                self.suppress.parent = self


                            class Suppress(object):
                                """
                                If overload\-bit set, suppress the following types of IP prefixes
                                
                                .. attribute:: external
                                
                                	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: interlevel
                                
                                	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external = None
                                    self.interlevel = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:suppress'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external is not None:
                                        return True

                                    if self.interlevel is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:wait-for-bgp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.suppress is not None and self.suppress._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:on-startup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.time is not None and self.time._has_data():
                                return True

                            if self.wait_for_bgp is not None and self.wait_for_bgp._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup']['meta_info']


                    class Suppress(object):
                        """
                        If overload\-bit set, suppress the following types of IP prefixes
                        
                        .. attribute:: external
                        
                        	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: interlevel
                        
                        	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.external = None
                            self.interlevel = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:suppress'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.external is not None:
                                return True

                            if self.interlevel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.SetOverloadBit.Suppress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:set-overload-bit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.on_startup is not None and self.on_startup._has_data():
                            return True

                        if self.suppress is not None and self.suppress._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.SetOverloadBit']['meta_info']


                class SpfInterval(object):
                    """
                    Minimum interval between SPF calculations
                    
                    .. attribute:: intervals
                    
                    	
                    	**type**\:   :py:class:`Intervals <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SpfInterval.Intervals>`
                    
                    .. attribute:: level_1_2
                    
                    	
                    	**type**\: list of    :py:class:`Level12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SpfInterval.Level12>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.intervals = Native.Router.IsisContainer.Isis.SpfInterval.Intervals()
                        self.intervals.parent = self
                        self.level_1_2 = YList()
                        self.level_1_2.parent = self
                        self.level_1_2.name = 'level_1_2'


                    class Level12(object):
                        """
                        
                        
                        .. attribute:: level  <key>
                        
                        	
                        	**type**\:   :py:class:`LevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SpfInterval.Level12.LevelEnum>`
                        
                        .. attribute:: initial_wait
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..120000
                        
                        .. attribute:: interval
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..120
                        
                        .. attribute:: minimum_wait
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..120000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.level = None
                            self.initial_wait = None
                            self.interval = None
                            self.minimum_wait = None

                        class LevelEnum(Enum):
                            """
                            LevelEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = 0

                            level_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.SpfInterval.Level12.LevelEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.level is None:
                                raise YPYModelError('Key property level is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:level-1-2[Cisco-IOS-XE-isis:level = ' + str(self.level) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.level is not None:
                                return True

                            if self.initial_wait is not None:
                                return True

                            if self.interval is not None:
                                return True

                            if self.minimum_wait is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.SpfInterval.Level12']['meta_info']


                    class Intervals(object):
                        """
                        
                        
                        .. attribute:: initial_wait
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..120000
                        
                        .. attribute:: interval
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..120
                        
                        .. attribute:: minimum_wait
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..120000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.initial_wait = None
                            self.interval = None
                            self.minimum_wait = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:intervals'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.initial_wait is not None:
                                return True

                            if self.interval is not None:
                                return True

                            if self.minimum_wait is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.SpfInterval.Intervals']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:spf-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.intervals is not None and self.intervals._has_data():
                            return True

                        if self.level_1_2 is not None:
                            for child_ref in self.level_1_2:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.SpfInterval']['meta_info']


                class AreaPassword(object):
                    """
                    Configure the authentication password for an area
                    
                    .. attribute:: authenticate
                    
                    	Authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: snp
                    
                    	SNP PDUs
                    	**type**\:   :py:class:`SnpEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AreaPassword.SnpEnum>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authenticate = None
                        self.name = None
                        self.snp = None

                    class SnpEnum(Enum):
                        """
                        SnpEnum

                        SNP PDUs

                        .. data:: send_only = 0

                        .. data:: validate = 1

                        """

                        send_only = 0

                        validate = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.AreaPassword.SnpEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:area-password'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authenticate is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.snp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.AreaPassword']['meta_info']


                class Authentication(object):
                    """
                    ISIS authentication for LSPs
                    
                    .. attribute:: key_chain
                    
                    	Authentication key\-chain
                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	Authentication mode
                    	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Authentication.Mode>`
                    
                    .. attribute:: send_only
                    
                    	Authentication send only, receive ignore
                    	**type**\:   :py:class:`SendOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Authentication.SendOnly>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = Native.Router.IsisContainer.Isis.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self.mode = Native.Router.IsisContainer.Isis.Authentication.Mode()
                        self.mode.parent = self
                        self.send_only = None


                    class Mode(object):
                        """
                        Authentication mode
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Authentication.Mode.Md5>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: text
                        
                        	Clear text password
                        	**type**\:   :py:class:`Text <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Authentication.Mode.Text>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.md5 = None
                            self.text = None


                        class Md5(object):
                            """
                            Keyed message digest
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Authentication.Mode.Md5']['meta_info']


                        class Text(object):
                            """
                            Clear text password
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.levels = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:text'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.levels is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Authentication.Mode.Text']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:mode'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.md5 is not None and self.md5._has_data():
                                return True

                            if self.text is not None and self.text._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Authentication.Mode']['meta_info']


                    class KeyChain(object):
                        """
                        Authentication key\-chain
                        
                        .. attribute:: key_chain_list
                        
                        	
                        	**type**\: list of    :py:class:`KeyChainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Authentication.KeyChain.KeyChainList>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_chain_list = YList()
                            self.key_chain_list.parent = self
                            self.key_chain_list.name = 'key_chain_list'
                            self.name = None


                        class KeyChainList(object):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.levels = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.levels is None:
                                    raise YPYModelError('Key property levels is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:key-chain-list[Cisco-IOS-XE-isis:levels = ' + str(self.levels) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.levels is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Authentication.KeyChain.KeyChainList']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:key-chain'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_chain_list is not None:
                                for child_ref in self.key_chain_list:
                                    if child_ref._has_data():
                                        return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Authentication.KeyChain']['meta_info']


                    class SendOnly(object):
                        """
                        Authentication send only, receive ignore
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:   :py:class:`AuthenticationLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelTypeEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.levels = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:send-only'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.levels is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Authentication.SendOnly']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None and self.key_chain._has_data():
                            return True

                        if self.mode is not None and self.mode._has_data():
                            return True

                        if self.send_only is not None and self.send_only._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.Authentication']['meta_info']


                class DistributeList(object):
                    """
                    Filter networks in routing updates
                    
                    .. attribute:: acl_name
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..99
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 1300..1999
                    
                    
                    ----
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: gateway
                    
                    	Filtering incoming updates based on gateway
                    	**type**\:  str
                    
                    .. attribute:: gateway_prefix_in
                    
                    	Filter incoming routing updates
                    	**type**\:  str
                    
                    .. attribute:: in_
                    
                    	Filter incoming routing updates
                    	**type**\:  str
                    
                    .. attribute:: prefix
                    
                    	Filter prefixes in routing updates
                    	**type**\:  str
                    
                    .. attribute:: route_map
                    
                    	Filter prefixes based on the route\-map
                    	**type**\:  str
                    
                    .. attribute:: route_map_in
                    
                    	Filter incoming routing updates
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acl_name = None
                        self.gateway = None
                        self.gateway_prefix_in = None
                        self.in_ = None
                        self.prefix = None
                        self.route_map = None
                        self.route_map_in = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:distribute-list'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acl_name is not None:
                            return True

                        if self.gateway is not None:
                            return True

                        if self.gateway_prefix_in is not None:
                            return True

                        if self.in_ is not None:
                            return True

                        if self.prefix is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        if self.route_map_in is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.DistributeList']['meta_info']


                class DomainPassword(object):
                    """
                    Set the authentication password for a routing domain
                    
                    .. attribute:: authenticate
                    
                    	Authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: snp
                    
                    	SNP PDUs
                    	**type**\:   :py:class:`SnpEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.DomainPassword.SnpEnum>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authenticate = None
                        self.name = None
                        self.snp = None

                    class SnpEnum(Enum):
                        """
                        SnpEnum

                        SNP PDUs

                        .. data:: send_only = 0

                        .. data:: validate = 1

                        """

                        send_only = 0

                        validate = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.DomainPassword.SnpEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:domain-password'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authenticate is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.snp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.DomainPassword']['meta_info']


                class FastFlood(object):
                    """
                    Flood LSPs (that triggered SPF) before running SPF
                    
                    .. attribute:: number
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..15
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:fast-flood'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.FastFlood']['meta_info']


                class FastReroute(object):
                    """
                    Configure Fast\-Reroute
                    
                    .. attribute:: load_sharing
                    
                    	Distributes repair paths equally among links and prefixes
                    	**type**\:   :py:class:`LoadSharing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.LoadSharing>`
                    
                    .. attribute:: per_prefix
                    
                    	Enable Fast\-Reroute Per\-Prefix
                    	**type**\:   :py:class:`PerPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.PerPrefix>`
                    
                    .. attribute:: remote_lfa
                    
                    	Configuring fast\-reroute remote\-lfa
                    	**type**\:   :py:class:`RemoteLfa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa>`
                    
                    .. attribute:: tie_break
                    
                    	Set repair path preference
                    	**type**\:   :py:class:`TieBreak <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.TieBreak>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.load_sharing = Native.Router.IsisContainer.Isis.FastReroute.LoadSharing()
                        self.load_sharing.parent = self
                        self.per_prefix = Native.Router.IsisContainer.Isis.FastReroute.PerPrefix()
                        self.per_prefix.parent = self
                        self.remote_lfa = Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa()
                        self.remote_lfa.parent = self
                        self.tie_break = Native.Router.IsisContainer.Isis.FastReroute.TieBreak()
                        self.tie_break.parent = self


                    class LoadSharing(object):
                        """
                        Distributes repair paths equally among links and prefixes
                        
                        .. attribute:: level_1
                        
                        	Apply to level\-1
                        	**type**\:   :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.LoadSharing.Level1>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: level_2
                        
                        	Apply to level\-2
                        	**type**\:   :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.LoadSharing.Level2>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.level_1 = None
                            self.level_2 = None


                        class Level1(object):
                            """
                            Apply to level\-1
                            
                            .. attribute:: disable
                            
                            	Disable load\-sharing
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:level-1'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.FastReroute.LoadSharing.Level1']['meta_info']


                        class Level2(object):
                            """
                            Apply to level\-2
                            
                            .. attribute:: disable
                            
                            	Disable load\-sharing
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:level-2'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.FastReroute.LoadSharing.Level2']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:load-sharing'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.level_1 is not None and self.level_1._has_data():
                                return True

                            if self.level_2 is not None and self.level_2._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.FastReroute.LoadSharing']['meta_info']


                    class PerPrefix(object):
                        """
                        Enable Fast\-Reroute Per\-Prefix
                        
                        .. attribute:: level_1
                        
                        	Apply to level\-1
                        	**type**\:   :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level1>`
                        
                        .. attribute:: level_2
                        
                        	Apply to level\-2
                        	**type**\:   :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level2>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.level_1 = Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level1()
                            self.level_1.parent = self
                            self.level_2 = Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level2()
                            self.level_2.parent = self


                        class Level1(object):
                            """
                            Apply to level\-1
                            
                            .. attribute:: all
                            
                            	Enable Fast\-Reroute for primary paths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	route\-map name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:level-1'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level1']['meta_info']


                        class Level2(object):
                            """
                            Apply to level\-2
                            
                            .. attribute:: all
                            
                            	Enable Fast\-Reroute for primary paths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	route\-map name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = None
                                self.route_map = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:level-2'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level2']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:per-prefix'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.level_1 is not None and self.level_1._has_data():
                                return True

                            if self.level_2 is not None and self.level_2._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.FastReroute.PerPrefix']['meta_info']


                    class RemoteLfa(object):
                        """
                        Configuring fast\-reroute remote\-lfa
                        
                        .. attribute:: level_1
                        
                        	Apply to level\-1
                        	**type**\:   :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1>`
                        
                        .. attribute:: level_2
                        
                        	Apply to level\-2
                        	**type**\:   :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.level_1 = Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1()
                            self.level_1.parent = self
                            self.level_2 = Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2()
                            self.level_2.parent = self


                        class Level1(object):
                            """
                            Apply to level\-1
                            
                            .. attribute:: mpls_ldp
                            
                            	Use mpls\-ldp tunnel type
                            	**type**\:   :py:class:`MplsLdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1.MplsLdp>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mpls_ldp = None


                            class MplsLdp(object):
                                """
                                Use mpls\-ldp tunnel type
                                
                                .. attribute:: maximum_metric
                                
                                	maximum metric to reach release node
                                	**type**\:   :py:class:`MaximumMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1.MplsLdp.MaximumMetric>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.maximum_metric = None


                                class MaximumMetric(object):
                                    """
                                    maximum metric to reach release node
                                    
                                    .. attribute:: max_met
                                    
                                    	metric value
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.max_met = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:maximum-metric'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.max_met is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1.MplsLdp.MaximumMetric']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:mpls-ldp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.maximum_metric is not None and self.maximum_metric._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1.MplsLdp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:level-1'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mpls_ldp is not None and self.mpls_ldp._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1']['meta_info']


                        class Level2(object):
                            """
                            Apply to level\-2
                            
                            .. attribute:: mpls_ldp
                            
                            	Use mpls\-ldp tunnel type
                            	**type**\:   :py:class:`MplsLdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2.MplsLdp>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mpls_ldp = None


                            class MplsLdp(object):
                                """
                                Use mpls\-ldp tunnel type
                                
                                .. attribute:: maximum_metric
                                
                                	maximum metric to reach release node
                                	**type**\:   :py:class:`MaximumMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2.MplsLdp.MaximumMetric>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.maximum_metric = None


                                class MaximumMetric(object):
                                    """
                                    maximum metric to reach release node
                                    
                                    .. attribute:: max_met
                                    
                                    	metric value
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.max_met = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-isis:maximum-metric'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.max_met is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2.MplsLdp.MaximumMetric']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:mpls-ldp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.maximum_metric is not None and self.maximum_metric._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2.MplsLdp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:level-2'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mpls_ldp is not None and self.mpls_ldp._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:remote-lfa'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.level_1 is not None and self.level_1._has_data():
                                return True

                            if self.level_2 is not None and self.level_2._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa']['meta_info']


                    class TieBreak(object):
                        """
                        Set repair path preference
                        
                        .. attribute:: level_1
                        
                        	Apply to level\-1
                        	**type**\:   :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level1>`
                        
                        .. attribute:: level_2
                        
                        	Apply to level\-2
                        	**type**\:   :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level2>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.level_1 = Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level1()
                            self.level_1.parent = self
                            self.level_2 = Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level2()
                            self.level_2.parent = self


                        class Level1(object):
                            """
                            Apply to level\-1
                            
                            .. attribute:: downstream
                            
                            	priority number
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: linecard_disjoint
                            
                            	priority number
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: lowest_backup_path_metric
                            
                            	priority number
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: node_protecting
                            
                            	priority number
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: primary_path
                            
                            	priority number
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: secondary_path
                            
                            	priority number
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: srlg_disjoint
                            
                            	priority number
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.downstream = None
                                self.linecard_disjoint = None
                                self.lowest_backup_path_metric = None
                                self.node_protecting = None
                                self.primary_path = None
                                self.secondary_path = None
                                self.srlg_disjoint = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:level-1'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.downstream is not None:
                                    return True

                                if self.linecard_disjoint is not None:
                                    return True

                                if self.lowest_backup_path_metric is not None:
                                    return True

                                if self.node_protecting is not None:
                                    return True

                                if self.primary_path is not None:
                                    return True

                                if self.secondary_path is not None:
                                    return True

                                if self.srlg_disjoint is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level1']['meta_info']


                        class Level2(object):
                            """
                            Apply to level\-2
                            
                            .. attribute:: downstream
                            
                            	priority number
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: linecard_disjoint
                            
                            	priority number
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: lowest_backup_path_metric
                            
                            	priority number
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: node_protecting
                            
                            	priority number
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: primary_path
                            
                            	priority number
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: secondary_path
                            
                            	priority number
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: srlg_disjoint
                            
                            	priority number
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.downstream = None
                                self.linecard_disjoint = None
                                self.lowest_backup_path_metric = None
                                self.node_protecting = None
                                self.primary_path = None
                                self.secondary_path = None
                                self.srlg_disjoint = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:level-2'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.downstream is not None:
                                    return True

                                if self.linecard_disjoint is not None:
                                    return True

                                if self.lowest_backup_path_metric is not None:
                                    return True

                                if self.node_protecting is not None:
                                    return True

                                if self.primary_path is not None:
                                    return True

                                if self.secondary_path is not None:
                                    return True

                                if self.srlg_disjoint is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level2']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:tie-break'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.level_1 is not None and self.level_1._has_data():
                                return True

                            if self.level_2 is not None and self.level_2._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.FastReroute.TieBreak']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:fast-reroute'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.load_sharing is not None and self.load_sharing._has_data():
                            return True

                        if self.per_prefix is not None and self.per_prefix._has_data():
                            return True

                        if self.remote_lfa is not None and self.remote_lfa._has_data():
                            return True

                        if self.tie_break is not None and self.tie_break._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.FastReroute']['meta_info']


                class TiLfa(object):
                    """
                    
                    
                    .. attribute:: level_1
                    
                    	Apply to level\-1
                    	**type**\:   :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.TiLfa.Level1>`
                    
                    .. attribute:: level_2
                    
                    	Apply to level\-2
                    	**type**\:   :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.TiLfa.Level2>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level_1 = Native.Router.IsisContainer.Isis.TiLfa.Level1()
                        self.level_1.parent = self
                        self.level_2 = None


                    class Level1(object):
                        """
                        Apply to level\-1
                        
                        .. attribute:: maximum_metric
                        
                        	maximum metric to reach release node
                        	**type**\:   :py:class:`MaximumMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.TiLfa.Level1.MaximumMetric>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.maximum_metric = Native.Router.IsisContainer.Isis.TiLfa.Level1.MaximumMetric()
                            self.maximum_metric.parent = self


                        class MaximumMetric(object):
                            """
                            maximum metric to reach release node
                            
                            .. attribute:: max_met
                            
                            	metric value
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max_met = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:maximum-metric'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max_met is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.TiLfa.Level1.MaximumMetric']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:level-1'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.maximum_metric is not None and self.maximum_metric._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.TiLfa.Level1']['meta_info']


                    class Level2(object):
                        """
                        Apply to level\-2
                        
                        .. attribute:: maximum_metric
                        
                        	maximum metric to reach release node
                        	**type**\:   :py:class:`MaximumMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.TiLfa.Level2.MaximumMetric>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.maximum_metric = Native.Router.IsisContainer.Isis.TiLfa.Level2.MaximumMetric()
                            self.maximum_metric.parent = self


                        class MaximumMetric(object):
                            """
                            maximum metric to reach release node
                            
                            .. attribute:: max_met
                            
                            	metric value
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max_met = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:maximum-metric'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max_met is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.TiLfa.Level2.MaximumMetric']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:level-2'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.maximum_metric is not None and self.maximum_metric._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.TiLfa.Level2']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ti-lfa'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level_1 is not None and self.level_1._has_data():
                            return True

                        if self.level_2 is not None and self.level_2._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.TiLfa']['meta_info']


                class Hello(object):
                    """
                    Pad ISIS hello PDUs to full MTU
                    
                    .. attribute:: padding
                    
                    	Pad hello PDU
                    	**type**\:   :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Hello.Padding>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.padding = None


                    class Padding(object):
                        """
                        Pad hello PDU
                        
                        .. attribute:: pad_type
                        
                        	
                        	**type**\:   :py:class:`PadTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Hello.Padding.PadTypeEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.pad_type = None

                        class PadTypeEnum(Enum):
                            """
                            PadTypeEnum

                            .. data:: multi_point = 0

                            .. data:: point_to_point = 1

                            """

                            multi_point = 0

                            point_to_point = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Hello.Padding.PadTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:padding'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.pad_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Hello.Padding']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hello'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.padding is not None and self.padding._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.Hello']['meta_info']


                class Hostname(object):
                    """
                    Dynamic hostname for IS\-IS
                    
                    .. attribute:: dynamic
                    
                    	Dynamic hostname
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dynamic = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:hostname'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dynamic is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.Hostname']['meta_info']


                class Ispf(object):
                    """
                    Configure execution of incremental SPF
                    
                    .. attribute:: level
                    
                    	
                    	**type**\:   :py:class:`LevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Ispf.LevelEnum>`
                    
                    .. attribute:: number
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..600
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = None
                        self.number = None

                    class LevelEnum(Enum):
                        """
                        LevelEnum

                        .. data:: level_1 = 0

                        .. data:: level_1_2 = 1

                        .. data:: level_2 = 2

                        """

                        level_1 = 0

                        level_1_2 = 1

                        level_2 = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Ispf.LevelEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:ispf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None:
                            return True

                        if self.number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.Ispf']['meta_info']


                class LogAdjacencyChanges(object):
                    """
                    Log changes in adjacency state
                    
                    .. attribute:: all
                    
                    	Include changes generated by non\-IIH event
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.all = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:log-adjacency-changes'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.all is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.LogAdjacencyChanges']['meta_info']


                class LspFull(object):
                    """
                    If we run out of LSP fragments
                    
                    .. attribute:: suppress
                    
                    	suppress the following types of IP prefixes
                    	**type**\:   :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.LspFull.Suppress>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.suppress = Native.Router.IsisContainer.Isis.LspFull.Suppress()
                        self.suppress.parent = self


                    class Suppress(object):
                        """
                        suppress the following types of IP prefixes
                        
                        .. attribute:: external_interlevel_container
                        
                        	
                        	**type**\:   :py:class:`ExternalInterlevelContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.LspFull.Suppress.ExternalInterlevelContainer>`
                        
                        .. attribute:: none
                        
                        	don't suppress any prefixes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.external_interlevel_container = Native.Router.IsisContainer.Isis.LspFull.Suppress.ExternalInterlevelContainer()
                            self.external_interlevel_container.parent = self
                            self.none = None


                        class ExternalInterlevelContainer(object):
                            """
                            
                            
                            .. attribute:: external
                            
                            	don't advertise IP prefixes learned from other protocols
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: interlevel
                            
                            	don't advertise IP prefixes learned from another ISIS level
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.external = None
                                self.interlevel = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:external-interlevel-container'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.external is not None:
                                    return True

                                if self.interlevel is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.LspFull.Suppress.ExternalInterlevelContainer']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:suppress'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.external_interlevel_container is not None and self.external_interlevel_container._has_data():
                                return True

                            if self.none is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.LspFull.Suppress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:lsp-full'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.suppress is not None and self.suppress._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.LspFull']['meta_info']


                class LspGenInterval(object):
                    """
                    Minimum interval between regenerating same LSP
                    
                    .. attribute:: intervals
                    
                    	
                    	**type**\:   :py:class:`Intervals <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.LspGenInterval.Intervals>`
                    
                    .. attribute:: intervals_levels
                    
                    	
                    	**type**\:   :py:class:`IntervalsLevels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.intervals = Native.Router.IsisContainer.Isis.LspGenInterval.Intervals()
                        self.intervals.parent = self
                        self.intervals_levels = Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels()
                        self.intervals_levels.parent = self


                    class Intervals(object):
                        """
                        
                        
                        .. attribute:: initial_wait
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..120000
                        
                        .. attribute:: interval
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..120
                        
                        .. attribute:: wait
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..120000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.initial_wait = None
                            self.interval = None
                            self.wait = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:intervals'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.initial_wait is not None:
                                return True

                            if self.interval is not None:
                                return True

                            if self.wait is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.LspGenInterval.Intervals']['meta_info']


                    class IntervalsLevels(object):
                        """
                        
                        
                        .. attribute:: intervals_level_1
                        
                        	
                        	**type**\:   :py:class:`IntervalsLevel1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1>`
                        
                        .. attribute:: intervals_level_2
                        
                        	
                        	**type**\:   :py:class:`IntervalsLevel2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.intervals_level_1 = Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1()
                            self.intervals_level_1.parent = self
                            self.intervals_level_2 = Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2()
                            self.intervals_level_2.parent = self


                        class IntervalsLevel1(object):
                            """
                            
                            
                            .. attribute:: initial_wait
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..120000
                            
                            .. attribute:: interval
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..120
                            
                            .. attribute:: level_1
                            
                            	Set interval for level 1 only
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: wait
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..120000
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.initial_wait = None
                                self.interval = None
                                self.level_1 = None
                                self.wait = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:intervals-level-1'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.initial_wait is not None:
                                    return True

                                if self.interval is not None:
                                    return True

                                if self.level_1 is not None:
                                    return True

                                if self.wait is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1']['meta_info']


                        class IntervalsLevel2(object):
                            """
                            
                            
                            .. attribute:: initial_wait
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..120000
                            
                            .. attribute:: interval
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..120
                            
                            .. attribute:: level_2
                            
                            	Set interval for level 2 only
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: wait
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..120000
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.initial_wait = None
                                self.interval = None
                                self.level_2 = None
                                self.wait = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:intervals-level-2'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.initial_wait is not None:
                                    return True

                                if self.interval is not None:
                                    return True

                                if self.level_2 is not None:
                                    return True

                                if self.wait is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:intervals-levels'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.intervals_level_1 is not None and self.intervals_level_1._has_data():
                                return True

                            if self.intervals_level_2 is not None and self.intervals_level_2._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:lsp-gen-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.intervals is not None and self.intervals._has_data():
                            return True

                        if self.intervals_levels is not None and self.intervals_levels._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.LspGenInterval']['meta_info']


                class Microloop(object):
                    """
                    Enable microloop protection configuration commands
                    
                    .. attribute:: avoidance
                    
                    	Enable local microloop avoidance
                    	**type**\:   :py:class:`Avoidance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Microloop.Avoidance>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.avoidance = None


                    class Avoidance(object):
                        """
                        Enable local microloop avoidance
                        
                        .. attribute:: disable
                        
                        	Disable Microloop avoidance
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: protected
                        
                        	Microloop avoidance for protected link or prefix only
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rib_update_delay
                        
                        	Value of the delay in milliseconds
                        	**type**\:  int
                        
                        	**range:** 1..600000
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None
                            self.protected = None
                            self.rib_update_delay = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:avoidance'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            if self.protected is not None:
                                return True

                            if self.rib_update_delay is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Microloop.Avoidance']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:microloop'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.avoidance is not None and self.avoidance._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.Microloop']['meta_info']


                class Mpls(object):
                    """
                    Configure MPLS routing protocol parameters
                    
                    .. attribute:: ldp
                    
                    	routing protocol commands for MPLS LDP
                    	**type**\:   :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Mpls.Ldp>`
                    
                    .. attribute:: traffic_eng
                    
                    	routing protocol commands for MPLS Traffic Engineering
                    	**type**\:   :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Mpls.TrafficEng>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ldp = Native.Router.IsisContainer.Isis.Mpls.Ldp()
                        self.ldp.parent = self
                        self.traffic_eng = Native.Router.IsisContainer.Isis.Mpls.TrafficEng()
                        self.traffic_eng.parent = self


                    class Ldp(object):
                        """
                        routing protocol commands for MPLS LDP
                        
                        .. attribute:: autoconfig
                        
                        	Configure LDP automatic configuration
                        	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Mpls.Ldp.Autoconfig>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: sync
                        
                        	Configure LDP\-IGP Synchronization
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sync_igp_shortcuts
                        
                        	Configure LDP\-IGP Synchronization on MPLS shortcuts
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.autoconfig = None
                            self.sync = None
                            self.sync_igp_shortcuts = None


                        class Autoconfig(object):
                            """
                            Configure LDP automatic configuration
                            
                            .. attribute:: level_1
                            
                            	Configure ISIS level\-1 to run MPLS LDP
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: level_2
                            
                            	Configure ISIS level\-2 to run MPLS LDP
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.level_1 = None
                                self.level_2 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:autoconfig'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.level_1 is not None:
                                    return True

                                if self.level_2 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Mpls.Ldp.Autoconfig']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:ldp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.autoconfig is not None and self.autoconfig._has_data():
                                return True

                            if self.sync is not None:
                                return True

                            if self.sync_igp_shortcuts is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Mpls.Ldp']['meta_info']


                    class TrafficEng(object):
                        """
                        routing protocol commands for MPLS Traffic Engineering
                        
                        .. attribute:: level_1
                        
                        	Run MPLS TE on IS\-IS level 1 only
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: level_2
                        
                        	Run MPLS TE on IS\-IS level 2 only
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast_intact
                        
                        	MPLS TE and PIM interaction
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: router_id
                        
                        	Traffic Engineering stable IP address for system
                        	**type**\:   :py:class:`RouterId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId>`
                        
                        .. attribute:: scanner
                        
                        	Timer parameters for TE database
                        	**type**\:   :py:class:`Scanner <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Mpls.TrafficEng.Scanner>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.level_1 = None
                            self.level_2 = None
                            self.multicast_intact = None
                            self.router_id = Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId()
                            self.router_id.parent = self
                            self.scanner = None


                        class RouterId(object):
                            """
                            Traffic Engineering stable IP address for system
                            
                            .. attribute:: appnav_compress
                            
                            	Service\-Context Virtual Interface Compress
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: appnav_uncompress
                            
                            	Service\-Context Virtual Interface UnCompress
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: atm
                            
                            	ATM interface
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                            
                            .. attribute:: atm_acr
                            
                            	ATM\-ACR interface
                            	**type**\:  str
                            
                            	**pattern:** [0\-9]
                            
                            .. attribute:: atm_acrsubinterface
                            
                            	
                            	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.AtmAcrsubinterface>`
                            
                            .. attribute:: atm_subinterface
                            
                            	
                            	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.AtmSubinterface>`
                            
                            .. attribute:: bdi
                            
                            	Bridge\-Domain interface
                            	**type**\:  str
                            
                            .. attribute:: cellular
                            
                            	Cellular Interface
                            	**type**\:  str
                            
                            .. attribute:: cem
                            
                            	CEM interface
                            	**type**\:  str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]
                            
                            .. attribute:: cem_acr
                            
                            	CEM\-ACR interface
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: embedded_service_engine
                            
                            	cisco embedded service engine module
                            	**type**\:  str
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\:  str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\:  str
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:  int
                            
                            	**range:** 0..65520
                            
                            .. attribute:: lisp_subinterface
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.LispSubinterface>`
                            
                            .. attribute:: loopback
                            
                            	Loopback interface
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: multilink
                            
                            	Multilink\-group interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nve
                            
                            	Network virtualization endpoint interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: overlay
                            
                            	Overlay interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: port_channel_subinterface
                            
                            	
                            	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface>`
                            
                            .. attribute:: pseudowire
                            
                            	Pseudowire Interface
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: serial
                            
                            	Serial interface
                            	**type**\:  str
                            
                            .. attribute:: sm
                            
                            	SM Interface
                            	**type**\:  str
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\:  str
                            
                            .. attribute:: tunnel
                            
                            	Tunnel interface
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: vasileft
                            
                            	vasileft
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasiright
                            
                            	vasiright
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtual_template
                            
                            	Virtual Template interface
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtualportgroup
                            
                            	Virtual Port Group
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vlan
                            
                            	Iosxr Vlans
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.appnav_compress = None
                                self.appnav_uncompress = None
                                self.atm = None
                                self.atm_acr = None
                                self.atm_acrsubinterface = Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.AtmAcrsubinterface()
                                self.atm_acrsubinterface.parent = self
                                self.atm_subinterface = Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.AtmSubinterface()
                                self.atm_subinterface.parent = self
                                self.bdi = None
                                self.cellular = None
                                self.cem = None
                                self.cem_acr = None
                                self.embedded_service_engine = None
                                self.fastethernet = None
                                self.gigabitethernet = None
                                self.lisp = None
                                self.lisp_subinterface = Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.LispSubinterface()
                                self.lisp_subinterface.parent = self
                                self.loopback = None
                                self.multilink = None
                                self.nve = None
                                self.overlay = None
                                self.port_channel = None
                                self.port_channel_subinterface = Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface()
                                self.port_channel_subinterface.parent = self
                                self.pseudowire = None
                                self.serial = None
                                self.sm = None
                                self.tengigabitethernet = None
                                self.tunnel = None
                                self.vasileft = None
                                self.vasiright = None
                                self.virtual_template = None
                                self.virtualportgroup = None
                                self.vlan = None


                            class AtmSubinterface(object):
                                """
                                
                                
                                .. attribute:: atm
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.atm = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:ATM-subinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.atm is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.AtmSubinterface']['meta_info']


                            class AtmAcrsubinterface(object):
                                """
                                
                                
                                .. attribute:: atm_acr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.atm_acr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:ATM-ACRsubinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.atm_acr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.AtmAcrsubinterface']['meta_info']


                            class LispSubinterface(object):
                                """
                                Locator/ID Separation Protocol Virtual Interface
                                
                                .. attribute:: lisp
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lisp = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:LISP-subinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lisp is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.LispSubinterface']['meta_info']


                            class PortChannelSubinterface(object):
                                """
                                
                                
                                .. attribute:: port_channel
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.port_channel = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-isis:Port-channel-subinterface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.port_channel is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:router-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.appnav_compress is not None:
                                    return True

                                if self.appnav_uncompress is not None:
                                    return True

                                if self.atm is not None:
                                    return True

                                if self.atm_acr is not None:
                                    return True

                                if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                                    return True

                                if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                                    return True

                                if self.bdi is not None:
                                    return True

                                if self.cellular is not None:
                                    return True

                                if self.cem is not None:
                                    return True

                                if self.cem_acr is not None:
                                    return True

                                if self.embedded_service_engine is not None:
                                    return True

                                if self.fastethernet is not None:
                                    return True

                                if self.gigabitethernet is not None:
                                    return True

                                if self.lisp is not None:
                                    return True

                                if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                                    return True

                                if self.loopback is not None:
                                    return True

                                if self.multilink is not None:
                                    return True

                                if self.nve is not None:
                                    return True

                                if self.overlay is not None:
                                    return True

                                if self.port_channel is not None:
                                    return True

                                if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                                    return True

                                if self.pseudowire is not None:
                                    return True

                                if self.serial is not None:
                                    return True

                                if self.sm is not None:
                                    return True

                                if self.tengigabitethernet is not None:
                                    return True

                                if self.tunnel is not None:
                                    return True

                                if self.vasileft is not None:
                                    return True

                                if self.vasiright is not None:
                                    return True

                                if self.virtual_template is not None:
                                    return True

                                if self.virtualportgroup is not None:
                                    return True

                                if self.vlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId']['meta_info']


                        class Scanner(object):
                            """
                            Timer parameters for TE database
                            
                            .. attribute:: interval
                            
                            	time (secs) between LSPDB walks for TE
                            	**type**\:  int
                            
                            	**range:** 1..60
                            
                            .. attribute:: max_flash
                            
                            	Number of ISIS LSPs to be processed with no delay
                            	**type**\:  int
                            
                            	**range:** 0..200
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.interval = None
                                self.max_flash = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:scanner'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.interval is not None:
                                    return True

                                if self.max_flash is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.Mpls.TrafficEng.Scanner']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:traffic-eng'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.level_1 is not None:
                                return True

                            if self.level_2 is not None:
                                return True

                            if self.multicast_intact is not None:
                                return True

                            if self.router_id is not None and self.router_id._has_data():
                                return True

                            if self.scanner is not None and self.scanner._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Mpls.TrafficEng']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:mpls'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ldp is not None and self.ldp._has_data():
                            return True

                        if self.traffic_eng is not None and self.traffic_eng._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.Mpls']['meta_info']


                class Net(object):
                    """
                    A Network Entity Title for this process (OSI only)
                    
                    .. attribute:: tag  <key>
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tag = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.tag is None:
                            raise YPYModelError('Key property tag is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:net[Cisco-IOS-XE-isis:tag = ' + str(self.tag) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.Net']['meta_info']


                class Nsf(object):
                    """
                    Non\-stop forwarding
                    
                    .. attribute:: cisco
                    
                    	Checkpoint method
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ietf
                    
                    	IETF method
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: interface
                    
                    	Interface properties
                    	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Nsf.Interface>`
                    
                    .. attribute:: interval
                    
                    	Minutes
                    	**type**\:  int
                    
                    	**range:** 0..1440
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cisco = None
                        self.ietf = None
                        self.interface = Native.Router.IsisContainer.Isis.Nsf.Interface()
                        self.interface.parent = self
                        self.interval = None


                    class Interface(object):
                        """
                        Interface properties
                        
                        .. attribute:: wait
                        
                        	Seconds
                        	**type**\:  int
                        
                        	**range:** 1..60
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.wait = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:interface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.wait is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Nsf.Interface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:nsf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cisco is not None:
                            return True

                        if self.ietf is not None:
                            return True

                        if self.interface is not None and self.interface._has_data():
                            return True

                        if self.interval is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.Nsf']['meta_info']


                class Partition(object):
                    """
                    CLNS area partition
                    
                    .. attribute:: avoidance
                    
                    	Withdraw area prefix if partition detected
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.avoidance = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:partition'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.avoidance is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.Partition']['meta_info']


                class PassiveInterface(object):
                    """
                    Suppress routing updates on an interface
                    
                    .. attribute:: default
                    
                    	Suppress routing updates on all interfaces
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: interface
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.default = None
                        self.interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:passive-interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.default is not None:
                            return True

                        if self.interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.PassiveInterface']['meta_info']


                class Disable(object):
                    """
                    
                    
                    .. attribute:: passive_interface
                    
                    	
                    	**type**\: list of    :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Disable.PassiveInterface>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.passive_interface = YList()
                        self.passive_interface.parent = self
                        self.passive_interface.name = 'passive_interface'


                    class PassiveInterface(object):
                        """
                        
                        
                        .. attribute:: interface  <key>
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.interface is None:
                                raise YPYModelError('Key property interface is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:passive-interface[Cisco-IOS-XE-isis:interface = ' + str(self.interface) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.Disable.PassiveInterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:disable'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.passive_interface is not None:
                            for child_ref in self.passive_interface:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.Disable']['meta_info']


                class Protocol(object):
                    """
                    Set protocol's administrative state
                    
                    .. attribute:: shutdown
                    
                    	Set protocol's administrative state to disable
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.shutdown = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:protocol'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.shutdown is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.Protocol']['meta_info']


                class SegmentRouting(object):
                    """
                    Enable Segment Routing Feature
                    
                    .. attribute:: mpls
                    
                    	Enable Segment Routing Feature using MPLS encapsulation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: prefix_sid_map
                    
                    	Enable prefix\-sid\-map
                    	**type**\:   :py:class:`PrefixSidMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.mpls = None
                        self.prefix_sid_map = Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap()
                        self.prefix_sid_map.parent = self


                    class PrefixSidMap(object):
                        """
                        Enable prefix\-sid\-map
                        
                        .. attribute:: advertise_local
                        
                        	Advertise active local prefix\-SID mappings
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: receive
                        
                        	Enable prefix\-SID mapping client
                        	**type**\:   :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap.Receive>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.advertise_local = None
                            self.receive = None


                        class Receive(object):
                            """
                            Enable prefix\-SID mapping client
                            
                            .. attribute:: disable
                            
                            	Disable prefix\-SID mapping
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-isis:receive'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap.Receive']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-isis:prefix-sid-map'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.advertise_local is not None:
                                return True

                            if self.receive is not None and self.receive._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:segment-routing'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.mpls is not None:
                            return True

                        if self.prefix_sid_map is not None and self.prefix_sid_map._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.SegmentRouting']['meta_info']


                class Skeptical(object):
                    """
                    Be a cautious NSF helper when refresh adjacency
                    
                    .. attribute:: interval
                    
                    	Minutes
                    	**type**\:  int
                    
                    	**range:** 0..1440
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interval = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:skeptical'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interval is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.Skeptical']['meta_info']


                class Use(object):
                    """
                    Use different algorithms during SPF
                    
                    .. attribute:: external_metrics
                    
                    	Honour external metrics during SPF
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.external_metrics = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:use'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.external_metrics is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.Use']['meta_info']


                class Bfd(object):
                    """
                    BFD configuration commands
                    
                    .. attribute:: all_interfaces
                    
                    	Enable BFD on all interfaces
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: check_ctrl_plane_failure
                    
                    	BFD check control plane failure
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.all_interfaces = None
                        self.check_ctrl_plane_failure = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-isis:bfd'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.all_interfaces is not None:
                            return True

                        if self.check_ctrl_plane_failure is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.IsisContainer.Isis.Bfd']['meta_info']

                @property
                def _common_path(self):
                    if self.area_tag is None:
                        raise YPYModelError('Key property area_tag is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis-container/Cisco-IOS-XE-isis:isis[Cisco-IOS-XE-isis:area-tag = ' + str(self.area_tag) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.area_tag is not None:
                        return True

                    if self.address_family is not None and self.address_family._has_data():
                        return True

                    if self.adjacency_check is not None:
                        return True

                    if self.advertise is not None and self.advertise._has_data():
                        return True

                    if self.area_password is not None and self.area_password._has_data():
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.bfd is not None and self.bfd._has_data():
                        return True

                    if self.default_information is not None and self.default_information._has_data():
                        return True

                    if self.disable is not None and self.disable._has_data():
                        return True

                    if self.distance is not None:
                        for child_ref in self.distance:
                            if child_ref._has_data():
                                return True

                    if self.distribute_list is not None and self.distribute_list._has_data():
                        return True

                    if self.domain_password is not None and self.domain_password._has_data():
                        return True

                    if self.fast_flood is not None and self.fast_flood._has_data():
                        return True

                    if self.fast_reroute is not None and self.fast_reroute._has_data():
                        return True

                    if self.hello is not None and self.hello._has_data():
                        return True

                    if self.help is not None:
                        return True

                    if self.hostname is not None and self.hostname._has_data():
                        return True

                    if self.ignore_lsp_errors is not None:
                        return True

                    if self.ip is not None and self.ip._has_data():
                        return True

                    if self.is_type is not None:
                        return True

                    if self.ispf is not None and self.ispf._has_data():
                        return True

                    if self.log_adjacency_changes is not None and self.log_adjacency_changes._has_data():
                        return True

                    if self.lsp_full is not None and self.lsp_full._has_data():
                        return True

                    if self.lsp_gen_interval is not None and self.lsp_gen_interval._has_data():
                        return True

                    if self.lsp_mtu is not None:
                        return True

                    if self.lsp_refresh_interval is not None:
                        return True

                    if self.max_area_addresses is not None:
                        return True

                    if self.max_lsp_lifetime is not None:
                        return True

                    if self.maximum_paths is not None:
                        return True

                    if self.metric is not None and self.metric._has_data():
                        return True

                    if self.metric_style is not None and self.metric_style._has_data():
                        return True

                    if self.microloop is not None and self.microloop._has_data():
                        return True

                    if self.mpls is not None and self.mpls._has_data():
                        return True

                    if self.net is not None:
                        for child_ref in self.net:
                            if child_ref._has_data():
                                return True

                    if self.nsf is not None and self.nsf._has_data():
                        return True

                    if self.partition is not None and self.partition._has_data():
                        return True

                    if self.passive_interface is not None and self.passive_interface._has_data():
                        return True

                    if self.prc_interval is not None and self.prc_interval._has_data():
                        return True

                    if self.priority is not None:
                        return True

                    if self.protocol is not None and self.protocol._has_data():
                        return True

                    if self.redistribute is not None and self.redistribute._has_data():
                        return True

                    if self.router_id is not None:
                        return True

                    if self.segment_routing is not None and self.segment_routing._has_data():
                        return True

                    if self.set_attached_bit is not None and self.set_attached_bit._has_data():
                        return True

                    if self.set_overload_bit is not None and self.set_overload_bit._has_data():
                        return True

                    if self.skeptical is not None and self.skeptical._has_data():
                        return True

                    if self.snmp is not None and self.snmp._has_data():
                        return True

                    if self.spf_interval is not None and self.spf_interval._has_data():
                        return True

                    if self.summary_address is not None:
                        for child_ref in self.summary_address:
                            if child_ref._has_data():
                                return True

                    if self.ti_lfa is not None and self.ti_lfa._has_data():
                        return True

                    if self.traffic_share is not None and self.traffic_share._has_data():
                        return True

                    if self.update_queue_depth is not None:
                        return True

                    if self.use is not None and self.use._has_data():
                        return True

                    if self.vrf is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.IsisContainer.Isis']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-isis:isis-container'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.isis is not None:
                    for child_ref in self.isis:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Router.IsisContainer']['meta_info']


        class Lisp(object):
            """
            Locator/ID Separation Protocol
            
            .. attribute:: alt
            
            	LISP Alternative Topology, LISP\-ALT
            	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Alt>`
            
            .. attribute:: control_packet
            
            	Configure control packet tx option
            	**type**\:   :py:class:`ControlPacket <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.ControlPacket>`
            
            .. attribute:: ddt
            
            	Delegated Database Tree (DDT) mapping system
            	**type**\:   :py:class:`Ddt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ddt>`
            
            	**presence node**\: True
            
            .. attribute:: decapsulation
            
            	Decapsulation behavior (e.g. filters)
            	**type**\:   :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Decapsulation>`
            
            .. attribute:: default
            
            	
            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default>`
            
            .. attribute:: disable_ttl_propagate
            
            	Disable ttl propagation
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: eid_table
            
            	Configure an EID instance for a VRF
            	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable>`
            
            .. attribute:: encapsulation
            
            	Select encapsulation type for data packets
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Encapsulation>`
            
            .. attribute:: etr
            
            	Configures a LISP Egress Tunnel Router (ETR)
            	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Etr>`
            
            .. attribute:: instance_container
            
            	EID instance\-ID
            	**type**\:   :py:class:`InstanceContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer>`
            
            .. attribute:: ipv4
            
            	IPv4 address family
            	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4>`
            
            .. attribute:: ipv6
            
            	IPv6 address family
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6>`
            
            .. attribute:: loc_reach_algorithm
            
            	Configure locator reachability algorithm
            	**type**\:   :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.LocReachAlgorithm>`
            
            .. attribute:: locator_down
            
            	Manually set locator status to down
            	**type**\:   :py:class:`LocatorDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.LocatorDown>`
            
            .. attribute:: locator_scope
            
            	Configure a locator scope
            	**type**\: list of    :py:class:`LocatorScope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.LocatorScope>`
            
            .. attribute:: locator_set
            
            	Configure a named locator set
            	**type**\: list of    :py:class:`LocatorSet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.LocatorSet>`
            
            .. attribute:: locator_table
            
            	Specify the RLOC table
            	**type**\:   :py:class:`LocatorTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.LocatorTable>`
            
            .. attribute:: map_request
            
            	Configure map\-request handling
            	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.MapRequest>`
            
            .. attribute:: map_server
            
            	Map\-Server commands
            	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.MapServer>`
            
            .. attribute:: other_xtr_probe
            
            	Configure parameters for probing of other xTRs in our site
            	**type**\:   :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.OtherXtrProbe>`
            
            .. attribute:: remote_rloc_probe
            
            	Configure parameters for probing of remote RLOCs
            	**type**\:   :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.RemoteRlocProbe>`
            
            .. attribute:: security
            
            	Enable default LISP security and authentication in reply is optional
            	**type**\:   :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Security>`
            
            	**presence node**\: True
            
            .. attribute:: service
            
            	Configure lisp service type
            	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service>`
            
            	**presence node**\: True
            
            .. attribute:: site
            
            	Configure a LISP site on a map server (MS)
            	**type**\: list of    :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site>`
            
            .. attribute:: site_id
            
            	Configure a site\-id for this site
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: syslog
            
            	Configure syslog option
            	**type**\:   :py:class:`Syslog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Syslog>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-lisp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.alt = Native.Router.Lisp.Alt()
                self.alt.parent = self
                self.control_packet = Native.Router.Lisp.ControlPacket()
                self.control_packet.parent = self
                self.ddt = None
                self.decapsulation = Native.Router.Lisp.Decapsulation()
                self.decapsulation.parent = self
                self.default = Native.Router.Lisp.Default()
                self.default.parent = self
                self.disable_ttl_propagate = None
                self.eid_table = Native.Router.Lisp.EidTable()
                self.eid_table.parent = self
                self.encapsulation = Native.Router.Lisp.Encapsulation()
                self.encapsulation.parent = self
                self.etr = Native.Router.Lisp.Etr()
                self.etr.parent = self
                self.instance_container = Native.Router.Lisp.InstanceContainer()
                self.instance_container.parent = self
                self.ipv4 = Native.Router.Lisp.Ipv4()
                self.ipv4.parent = self
                self.ipv6 = Native.Router.Lisp.Ipv6()
                self.ipv6.parent = self
                self.loc_reach_algorithm = Native.Router.Lisp.LocReachAlgorithm()
                self.loc_reach_algorithm.parent = self
                self.locator_down = Native.Router.Lisp.LocatorDown()
                self.locator_down.parent = self
                self.locator_scope = YList()
                self.locator_scope.parent = self
                self.locator_scope.name = 'locator_scope'
                self.locator_set = YList()
                self.locator_set.parent = self
                self.locator_set.name = 'locator_set'
                self.locator_table = Native.Router.Lisp.LocatorTable()
                self.locator_table.parent = self
                self.map_request = Native.Router.Lisp.MapRequest()
                self.map_request.parent = self
                self.map_server = Native.Router.Lisp.MapServer()
                self.map_server.parent = self
                self.other_xtr_probe = Native.Router.Lisp.OtherXtrProbe()
                self.other_xtr_probe.parent = self
                self.remote_rloc_probe = Native.Router.Lisp.RemoteRlocProbe()
                self.remote_rloc_probe.parent = self
                self.security = None
                self.service = None
                self.site = YList()
                self.site.parent = self
                self.site.name = 'site'
                self.site_id = None
                self.syslog = Native.Router.Lisp.Syslog()
                self.syslog.parent = self


            class Default(object):
                """
                
                
                .. attribute:: alt
                
                	LISP Alternative Topology, LISP\-ALT
                	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Alt>`
                
                .. attribute:: control_packet
                
                	Configure control packet tx option
                	**type**\:   :py:class:`ControlPacket <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.ControlPacket>`
                
                .. attribute:: ddt
                
                	Delegated Database Tree (DDT) mapping system
                	**type**\:   :py:class:`Ddt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ddt>`
                
                	**presence node**\: True
                
                .. attribute:: decapsulation
                
                	Decapsulation behavior (e.g. filters)
                	**type**\:   :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Decapsulation>`
                
                .. attribute:: disable_ttl_propagate
                
                	Disable ttl propagation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: eid_table
                
                	Configure an EID instance for a VRF
                	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable>`
                
                .. attribute:: encapsulation
                
                	Select encapsulation type for data packets
                	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Encapsulation>`
                
                .. attribute:: etr
                
                	Configures a LISP Egress Tunnel Router (ETR)
                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Etr>`
                
                .. attribute:: instance_container
                
                	EID instance\-ID
                	**type**\:   :py:class:`InstanceContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer>`
                
                .. attribute:: ipv4
                
                	IPv4 address family
                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4>`
                
                .. attribute:: ipv6
                
                	IPv6 address family
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6>`
                
                .. attribute:: loc_reach_algorithm
                
                	Configure locator reachability algorithm
                	**type**\:   :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.LocReachAlgorithm>`
                
                .. attribute:: locator_down
                
                	Manually set locator status to down
                	**type**\:   :py:class:`LocatorDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.LocatorDown>`
                
                .. attribute:: locator_scope
                
                	Configure a locator scope
                	**type**\: list of    :py:class:`LocatorScope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.LocatorScope>`
                
                .. attribute:: locator_set
                
                	Configure a named locator set
                	**type**\: list of    :py:class:`LocatorSet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.LocatorSet>`
                
                .. attribute:: locator_table
                
                	Specify the RLOC table
                	**type**\:   :py:class:`LocatorTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.LocatorTable>`
                
                .. attribute:: map_request
                
                	Configure map\-request handling
                	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.MapRequest>`
                
                .. attribute:: map_server
                
                	Map\-Server commands
                	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.MapServer>`
                
                .. attribute:: other_xtr_probe
                
                	Configure parameters for probing of other xTRs in our site
                	**type**\:   :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.OtherXtrProbe>`
                
                .. attribute:: remote_rloc_probe
                
                	Configure parameters for probing of remote RLOCs
                	**type**\:   :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.RemoteRlocProbe>`
                
                .. attribute:: security
                
                	Enable default LISP security and authentication in reply is optional
                	**type**\:   :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Security>`
                
                	**presence node**\: True
                
                .. attribute:: service
                
                	Configure lisp service type
                	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service>`
                
                	**presence node**\: True
                
                .. attribute:: site
                
                	Configure a LISP site on a map server (MS)
                	**type**\: list of    :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site>`
                
                .. attribute:: site_id
                
                	Configure a site\-id for this site
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: syslog
                
                	Configure syslog option
                	**type**\:   :py:class:`Syslog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Syslog>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.alt = Native.Router.Lisp.Default.Alt()
                    self.alt.parent = self
                    self.control_packet = Native.Router.Lisp.Default.ControlPacket()
                    self.control_packet.parent = self
                    self.ddt = None
                    self.decapsulation = Native.Router.Lisp.Default.Decapsulation()
                    self.decapsulation.parent = self
                    self.disable_ttl_propagate = None
                    self.eid_table = Native.Router.Lisp.Default.EidTable()
                    self.eid_table.parent = self
                    self.encapsulation = Native.Router.Lisp.Default.Encapsulation()
                    self.encapsulation.parent = self
                    self.etr = Native.Router.Lisp.Default.Etr()
                    self.etr.parent = self
                    self.instance_container = Native.Router.Lisp.Default.InstanceContainer()
                    self.instance_container.parent = self
                    self.ipv4 = Native.Router.Lisp.Default.Ipv4()
                    self.ipv4.parent = self
                    self.ipv6 = Native.Router.Lisp.Default.Ipv6()
                    self.ipv6.parent = self
                    self.loc_reach_algorithm = Native.Router.Lisp.Default.LocReachAlgorithm()
                    self.loc_reach_algorithm.parent = self
                    self.locator_down = Native.Router.Lisp.Default.LocatorDown()
                    self.locator_down.parent = self
                    self.locator_scope = YList()
                    self.locator_scope.parent = self
                    self.locator_scope.name = 'locator_scope'
                    self.locator_set = YList()
                    self.locator_set.parent = self
                    self.locator_set.name = 'locator_set'
                    self.locator_table = Native.Router.Lisp.Default.LocatorTable()
                    self.locator_table.parent = self
                    self.map_request = Native.Router.Lisp.Default.MapRequest()
                    self.map_request.parent = self
                    self.map_server = Native.Router.Lisp.Default.MapServer()
                    self.map_server.parent = self
                    self.other_xtr_probe = Native.Router.Lisp.Default.OtherXtrProbe()
                    self.other_xtr_probe.parent = self
                    self.remote_rloc_probe = Native.Router.Lisp.Default.RemoteRlocProbe()
                    self.remote_rloc_probe.parent = self
                    self.security = None
                    self.service = None
                    self.site = YList()
                    self.site.parent = self
                    self.site.name = 'site'
                    self.site_id = None
                    self.syslog = Native.Router.Lisp.Default.Syslog()
                    self.syslog.parent = self


                class Service(object):
                    """
                    Configure lisp service type
                    
                    .. attribute:: ethernet
                    
                    	
                    	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ethernet = None
                        self.ipv4 = None
                        self.ipv6 = None


                    class Ipv4(object):
                        """
                        
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping>`
                        
                        .. attribute:: default
                        
                        	
                        	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Distance>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.EncapsulationEnum>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.EtrEnable>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.ItrEnable>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapCache>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapCacheLimit>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapCachePersistent>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.ProxyItr>`
                        
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.RouteExport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.SolicitMapRequest>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.UsePetr>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.database_mapping = Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping()
                            self.database_mapping.parent = self
                            self.default = Native.Router.Lisp.Default.Service.Ipv4.Default_()
                            self.default.parent = self
                            self.distance = Native.Router.Lisp.Default.Service.Ipv4.Distance()
                            self.distance.parent = self
                            self.encapsulation = None
                            self.etr = Native.Router.Lisp.Default.Service.Ipv4.Etr()
                            self.etr.parent = self
                            self.etr_enable = Native.Router.Lisp.Default.Service.Ipv4.EtrEnable()
                            self.etr_enable.parent = self
                            self.itr = Native.Router.Lisp.Default.Service.Ipv4.Itr()
                            self.itr.parent = self
                            self.itr_enable = Native.Router.Lisp.Default.Service.Ipv4.ItrEnable()
                            self.itr_enable.parent = self
                            self.map_cache = Native.Router.Lisp.Default.Service.Ipv4.MapCache()
                            self.map_cache.parent = self
                            self.map_cache_limit = Native.Router.Lisp.Default.Service.Ipv4.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self.map_cache_persistent = Native.Router.Lisp.Default.Service.Ipv4.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self.map_request_source = None
                            self.map_resolver = None
                            self.map_server = None
                            self.proxy_etr = None
                            self.proxy_itr = Native.Router.Lisp.Default.Service.Ipv4.ProxyItr()
                            self.proxy_itr.parent = self
                            self.route_export = Native.Router.Lisp.Default.Service.Ipv4.RouteExport()
                            self.route_export.parent = self
                            self.sgt = None
                            self.site_registration = Native.Router.Lisp.Default.Service.Ipv4.SiteRegistration()
                            self.site_registration.parent = self
                            self.solicit_map_request = Native.Router.Lisp.Default.Service.Ipv4.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self.use_petr = YList()
                            self.use_petr.parent = self
                            self.use_petr.name = 'use_petr'

                        class EncapsulationEnum(Enum):
                            """
                            EncapsulationEnum

                            Select encapsulation type for data packets

                            .. data:: lisp = 0

                            .. data:: vxlan = 1

                            """

                            lisp = 0

                            vxlan = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.EncapsulationEnum']



                        class Default_(object):
                            """
                            
                            
                            .. attribute:: database_mapping
                            
                            	Address family specific local EID prefixes database configuration
                            	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.DatabaseMapping>`
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.Distance>`
                            
                            .. attribute:: encapsulation
                            
                            	Select encapsulation type for data packets
                            	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.EncapsulationEnum>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.EtrEnable>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.ItrEnable>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCache>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCacheLimit>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCachePersistent>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_resolver
                            
                            	Configures a LISP Map Resolver (MR)
                            	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: map_server
                            
                            	Configures a LISP Map Server (MS)
                            	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.ProxyItr>`
                            
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.RouteExport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.SolicitMapRequest>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.UsePetr>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.database_mapping = Native.Router.Lisp.Default.Service.Ipv4.Default_.DatabaseMapping()
                                self.database_mapping.parent = self
                                self.distance = Native.Router.Lisp.Default.Service.Ipv4.Default_.Distance()
                                self.distance.parent = self
                                self.encapsulation = None
                                self.etr = Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr()
                                self.etr.parent = self
                                self.etr_enable = Native.Router.Lisp.Default.Service.Ipv4.Default_.EtrEnable()
                                self.etr_enable.parent = self
                                self.itr = Native.Router.Lisp.Default.Service.Ipv4.Default_.Itr()
                                self.itr.parent = self
                                self.itr_enable = Native.Router.Lisp.Default.Service.Ipv4.Default_.ItrEnable()
                                self.itr_enable.parent = self
                                self.map_cache = Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCache()
                                self.map_cache.parent = self
                                self.map_cache_limit = Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self.map_cache_persistent = Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self.map_request_source = None
                                self.map_resolver = None
                                self.map_server = None
                                self.proxy_etr = None
                                self.proxy_itr = Native.Router.Lisp.Default.Service.Ipv4.Default_.ProxyItr()
                                self.proxy_itr.parent = self
                                self.route_export = Native.Router.Lisp.Default.Service.Ipv4.Default_.RouteExport()
                                self.route_export.parent = self
                                self.sgt = None
                                self.site_registration = Native.Router.Lisp.Default.Service.Ipv4.Default_.SiteRegistration()
                                self.site_registration.parent = self
                                self.solicit_map_request = Native.Router.Lisp.Default.Service.Ipv4.Default_.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self.use_petr = YList()
                                self.use_petr.parent = self
                                self.use_petr.name = 'use_petr'

                            class EncapsulationEnum(Enum):
                                """
                                EncapsulationEnum

                                Select encapsulation type for data packets

                                .. data:: lisp = 0

                                .. data:: vxlan = 1

                                """

                                lisp = 0

                                vxlan = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.EncapsulationEnum']



                            class DatabaseMapping(object):
                                """
                                Address family specific local EID prefixes database configuration
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = Native.Router.Lisp.Default.Service.Ipv4.Default_.DatabaseMapping.Limit()
                                    self.limit.parent = self


                                class Limit(object):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\:  int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:database-mapping/Cisco-IOS-XE-lisp:limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.DatabaseMapping.Limit']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:database-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None and self.limit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.DatabaseMapping']['meta_info']


                            class Itr(object):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map_resolver = YList()
                                    self.map_resolver.parent = self
                                    self.map_resolver.name = 'map_resolver'


                                class MapResolver(object):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:itr/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Itr.MapResolver']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map_resolver is not None:
                                        for child_ref in self.map_resolver:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Itr']['meta_info']


                            class ItrEnable(object):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.itr = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:itr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.itr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.ItrEnable']['meta_info']


                            class EtrEnable(object):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.etr = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.etr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.EtrEnable']['meta_info']


                            class Etr(object):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_map_request_mapping = Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self.map_cache_ttl = None
                                    self.map_server = YList()
                                    self.map_server.parent = self
                                    self.map_server.name = 'map_server'


                                class MapServer(object):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None
                                        self.key = Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self.proxy_reply = None


                                    class Key(object):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7>`
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self.key_6 = Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self.key_7 = Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self.key_pwd = Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self


                                        class KeyPwd(object):
                                            """
                                            
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.hash_function = None
                                                self.unc_pwd = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.hash_function is not None:
                                                    return True

                                                if self.unc_pwd is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                        class Key0(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_0 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_0 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                        class Key6(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_6 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_6 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                        class Key7(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_7 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_7 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None and self.key_0._has_data():
                                                return True

                                            if self.key_6 is not None and self.key_6._has_data():
                                                return True

                                            if self.key_7 is not None and self.key_7._has_data():
                                                return True

                                            if self.key_pwd is not None and self.key_pwd._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        if self.proxy_reply is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.MapServer']['meta_info']


                                class AcceptMapRequestMapping(object):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_mappping = None
                                        self.verify = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_mappping is not None:
                                            return True

                                        if self.verify is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                        return True

                                    if self.map_cache_ttl is not None:
                                        return True

                                    if self.map_server is not None:
                                        for child_ref in self.map_server:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Etr']['meta_info']


                            class MapCacheLimit(object):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\:  str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_map_cache_entries = None
                                    self.reserve_list = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-cache-limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_map_cache_entries is not None:
                                        return True

                                    if self.reserve_list is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCacheLimit']['meta_info']


                            class MapResolver(object):
                                """
                                Configures a LISP Map Resolver (MR)
                                
                                .. attribute:: map_request
                                
                                	Map\-Request processing options
                                	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_request = Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest()
                                    self.map_request.parent = self


                                class MapRequest(object):
                                    """
                                    Map\-Request processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.validate = Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate()
                                        self.validate.parent = self


                                    class Validate(object):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	Influence which source RLOCs map requests are accepted from
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            Influence which source RLOCs map requests are accepted from
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.List>`
                                            
                                            .. attribute:: registered
                                            
                                            	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.list = Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.List()
                                                self.list.parent = self
                                                self.registered = Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered()
                                                self.registered.parent = self


                                            class List(object):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\:  str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv4 = None
                                                    self.ipv6 = None

                                                @property
                                                def _common_path(self):

                                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:list'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ipv4 is not None:
                                                        return True

                                                    if self.ipv6 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                            class Registered(object):
                                                """
                                                ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                                
                                                .. attribute:: list
                                                
                                                	Define allowed prefixes using an ip[v6] prefix list
                                                	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.list = Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                    self.list.parent = self


                                                class List(object):
                                                    """
                                                    Define allowed prefixes using an ip[v6] prefix list
                                                    
                                                    .. attribute:: ipv4
                                                    
                                                    	IPv4 prefixes
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: ipv6
                                                    
                                                    	IPv6 prefixes
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ipv4 = None
                                                        self.ipv6 = None

                                                    @property
                                                    def _common_path(self):

                                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered/Cisco-IOS-XE-lisp:list'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ipv4 is not None:
                                                            return True

                                                        if self.ipv6 is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                                @property
                                                def _common_path(self):

                                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.list is not None and self.list._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.list is not None and self.list._has_data():
                                                    return True

                                                if self.registered is not None and self.registered._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source']['meta_info']

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.validate is not None and self.validate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver.MapRequest']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_request is not None and self.map_request._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapResolver']['meta_info']


                            class MapServer(object):
                                """
                                Configures a LISP Map Server (MS)
                                
                                .. attribute:: map_register
                                
                                	Map\-Register processing options
                                	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_register = Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister()
                                    self.map_register.parent = self


                                class MapRegister(object):
                                    """
                                    Map\-Register processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.validate = Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate()
                                        self.validate.parent = self


                                    class Validate(object):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	RLOC Source IP address
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            RLOC Source IP address
                                            
                                            .. attribute:: allowed_locator
                                            
                                            	Against sites' allowed\-locators policy
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.allowed_locator = None

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.allowed_locator is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate.Source']['meta_info']

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.validate is not None and self.validate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer.MapRegister']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_register is not None and self.map_register._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapServer']['meta_info']


                            class SiteRegistration(object):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.SiteRegistration']['meta_info']


                            class SolicitMapRequest(object):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\:  int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ignore = None
                                    self.max_per_entry = None
                                    self.suppression_time = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:solicit-map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ignore is not None:
                                        return True

                                    if self.max_per_entry is not None:
                                        return True

                                    if self.suppression_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.SolicitMapRequest']['meta_info']


                            class Distance(object):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: away
                                
                                	Administrative distance for RIB route installation
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.alt = None
                                    self.away = None
                                    self.dyn_eid = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:distance'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.alt is not None:
                                        return True

                                    if self.away is not None:
                                        return True

                                    if self.dyn_eid is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.Distance']['meta_info']


                            class MapCache(object):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: away_eids
                                
                                	Map cache configuration for the away table
                                	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCache.AwayEids>`
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.away_eids = Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCache.AwayEids()
                                    self.away_eids.parent = self
                                    self.site_registration = None


                                class AwayEids(object):
                                    """
                                    Map cache configuration for the away table
                                    
                                    .. attribute:: send_map_request
                                    
                                    	Export away table entries into the map cache with action set to send\-map\-request
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.send_map_request = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:away-eids'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.send_map_request is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCache.AwayEids']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.away_eids is not None and self.away_eids._has_data():
                                        return True

                                    if self.site_registration is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCache']['meta_info']


                            class MapCachePersistent(object):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\:  int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interval = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-cache-persistent'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interval is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.MapCachePersistent']['meta_info']


                            class ProxyItr(object):
                                """
                                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                
                                .. attribute:: ipv4_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_addr = None
                                    self.ipv6_addr = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:proxy-itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_addr is not None:
                                        return True

                                    if self.ipv6_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.ProxyItr']['meta_info']


                            class RouteExport(object):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.away_eids = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:route-export'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.away_eids is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.RouteExport']['meta_info']


                            class UsePetr(object):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: priority
                                
                                	
                                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default_.UsePetr.Priority>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_address = None
                                    self.priority = Native.Router.Lisp.Default.Service.Ipv4.Default_.UsePetr.Priority()
                                    self.priority.parent = self


                                class Priority(object):
                                    """
                                    
                                    
                                    .. attribute:: priority_value
                                    
                                    	Configures which Locators from a set are preferred
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: weight
                                    
                                    	Traffic load\-spreading among Locators
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.priority_value = None
                                        self.weight = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.priority_value is not None:
                                            return True

                                        if self.weight is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.UsePetr.Priority']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.locator_address is None:
                                        raise YPYModelError('Key property locator_address is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_address is not None:
                                        return True

                                    if self.priority is not None and self.priority._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_.UsePetr']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.database_mapping is not None and self.database_mapping._has_data():
                                    return True

                                if self.distance is not None and self.distance._has_data():
                                    return True

                                if self.encapsulation is not None:
                                    return True

                                if self.etr is not None and self.etr._has_data():
                                    return True

                                if self.etr_enable is not None and self.etr_enable._has_data():
                                    return True

                                if self.itr is not None and self.itr._has_data():
                                    return True

                                if self.itr_enable is not None and self.itr_enable._has_data():
                                    return True

                                if self.map_cache is not None and self.map_cache._has_data():
                                    return True

                                if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                    return True

                                if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                    return True

                                if self.map_request_source is not None:
                                    return True

                                if self.map_resolver is not None and self.map_resolver._has_data():
                                    return True

                                if self.map_server is not None and self.map_server._has_data():
                                    return True

                                if self.proxy_etr is not None:
                                    return True

                                if self.proxy_itr is not None and self.proxy_itr._has_data():
                                    return True

                                if self.route_export is not None and self.route_export._has_data():
                                    return True

                                if self.sgt is not None:
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                    return True

                                if self.use_petr is not None:
                                    for child_ref in self.use_petr:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Default_']['meta_info']


                        class DatabaseMapping(object):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping.Limit()
                                self.limit.parent = self


                            class Limit(object):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\:  int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dynamic = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:database-mapping/Cisco-IOS-XE-lisp:limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dynamic is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping.Limit']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:database-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None and self.limit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping']['meta_info']


                        class Itr(object):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_resolver = YList()
                                self.map_resolver.parent = self
                                self.map_resolver.name = 'map_resolver'


                            class MapResolver(object):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None

                                @property
                                def _common_path(self):
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:itr/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Itr.MapResolver']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_resolver is not None:
                                    for child_ref in self.map_resolver:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Itr']['meta_info']


                        class ItrEnable(object):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.itr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:itr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.itr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.ItrEnable']['meta_info']


                        class EtrEnable(object):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.etr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:etr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.etr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.EtrEnable']['meta_info']


                        class Etr(object):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.accept_map_request_mapping = Native.Router.Lisp.Default.Service.Ipv4.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self.map_cache_ttl = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None
                                    self.key = Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self.key_6 = Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self.key_7 = Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self.key_pwd = Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self


                                    class KeyPwd(object):
                                        """
                                        
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.hash_function = None
                                            self.unc_pwd = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.hash_function is not None:
                                                return True

                                            if self.unc_pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info']


                                    class Key0(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_0 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_0 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info']


                                    class Key6(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_6 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_6 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info']


                                    class Key7(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_7 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_7 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None and self.key_0._has_data():
                                            return True

                                        if self.key_6 is not None and self.key_6._has_data():
                                            return True

                                        if self.key_7 is not None and self.key_7._has_data():
                                            return True

                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer']['meta_info']


                            class AcceptMapRequestMapping(object):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_mappping = None
                                    self.verify = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_mappping is not None:
                                        return True

                                    if self.verify is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:etr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                    return True

                                if self.map_cache_ttl is not None:
                                    return True

                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Etr']['meta_info']


                        class MapCacheLimit(object):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\:  str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max_map_cache_entries = None
                                self.reserve_list = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-cache-limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max_map_cache_entries is not None:
                                    return True

                                if self.reserve_list is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapCacheLimit']['meta_info']


                        class MapResolver(object):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_request = Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest()
                                self.map_request.parent = self


                            class MapRequest(object):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.list = Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self.registered = Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self


                                        class List(object):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                        class Registered(object):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.list = Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self


                                            class List(object):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\:  str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv4 = None
                                                    self.ipv6 = None

                                                @property
                                                def _common_path(self):

                                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered/Cisco-IOS-XE-lisp:list'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ipv4 is not None:
                                                        return True

                                                    if self.ipv6 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.list is not None and self.list._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.list is not None and self.list._has_data():
                                                return True

                                            if self.registered is not None and self.registered._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_request is not None and self.map_request._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapResolver']['meta_info']


                        class MapServer(object):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_register = Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister()
                                self.map_register.parent = self


                            class MapRegister(object):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.allowed_locator = None

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.allowed_locator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_register is not None and self.map_register._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapServer']['meta_info']


                        class SiteRegistration(object):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:site-registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.SiteRegistration']['meta_info']


                        class SolicitMapRequest(object):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\:  int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ignore = None
                                self.max_per_entry = None
                                self.suppression_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:solicit-map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ignore is not None:
                                    return True

                                if self.max_per_entry is not None:
                                    return True

                                if self.suppression_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.SolicitMapRequest']['meta_info']


                        class Distance(object):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: away
                            
                            	Administrative distance for RIB route installation
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.alt = None
                                self.away = None
                                self.dyn_eid = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.alt is not None:
                                    return True

                                if self.away is not None:
                                    return True

                                if self.dyn_eid is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.Distance']['meta_info']


                        class MapCache(object):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: away_eids
                            
                            	Map cache configuration for the away table
                            	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapCache.AwayEids>`
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.away_eids = Native.Router.Lisp.Default.Service.Ipv4.MapCache.AwayEids()
                                self.away_eids.parent = self
                                self.site_registration = None


                            class AwayEids(object):
                                """
                                Map cache configuration for the away table
                                
                                .. attribute:: send_map_request
                                
                                	Export away table entries into the map cache with action set to send\-map\-request
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.send_map_request = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:away-eids'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.send_map_request is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapCache.AwayEids']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.away_eids is not None and self.away_eids._has_data():
                                    return True

                                if self.site_registration is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapCache']['meta_info']


                        class MapCachePersistent(object):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\:  int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interval = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-cache-persistent'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.MapCachePersistent']['meta_info']


                        class ProxyItr(object):
                            """
                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            
                            .. attribute:: ipv4_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv6_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_addr = None
                                self.ipv6_addr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:proxy-itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4_addr is not None:
                                    return True

                                if self.ipv6_addr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.ProxyItr']['meta_info']


                        class RouteExport(object):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.away_eids = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-export'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.away_eids is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.RouteExport']['meta_info']


                        class UsePetr(object):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: priority
                            
                            	
                            	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.UsePetr.Priority>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.locator_address = None
                                self.priority = Native.Router.Lisp.Default.Service.Ipv4.UsePetr.Priority()
                                self.priority.parent = self


                            class Priority(object):
                                """
                                
                                
                                .. attribute:: priority_value
                                
                                	Configures which Locators from a set are preferred
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.priority_value = None
                                    self.weight = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.priority_value is not None:
                                        return True

                                    if self.weight is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.UsePetr.Priority']['meta_info']

                            @property
                            def _common_path(self):
                                if self.locator_address is None:
                                    raise YPYModelError('Key property locator_address is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.locator_address is not None:
                                    return True

                                if self.priority is not None and self.priority._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4.UsePetr']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.database_mapping is not None and self.database_mapping._has_data():
                                return True

                            if self.default is not None and self.default._has_data():
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.encapsulation is not None:
                                return True

                            if self.etr is not None and self.etr._has_data():
                                return True

                            if self.etr_enable is not None and self.etr_enable._has_data():
                                return True

                            if self.itr is not None and self.itr._has_data():
                                return True

                            if self.itr_enable is not None and self.itr_enable._has_data():
                                return True

                            if self.map_cache is not None and self.map_cache._has_data():
                                return True

                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                return True

                            if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                return True

                            if self.map_request_source is not None:
                                return True

                            if self.map_resolver is not None and self.map_resolver._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.proxy_etr is not None:
                                return True

                            if self.proxy_itr is not None and self.proxy_itr._has_data():
                                return True

                            if self.route_export is not None and self.route_export._has_data():
                                return True

                            if self.sgt is not None:
                                return True

                            if self.site_registration is not None and self.site_registration._has_data():
                                return True

                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                return True

                            if self.use_petr is not None:
                                for child_ref in self.use_petr:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv4']['meta_info']


                    class Ipv6(object):
                        """
                        
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping>`
                        
                        .. attribute:: default
                        
                        	
                        	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Distance>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.EncapsulationEnum>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.EtrEnable>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.ItrEnable>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapCache>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapCacheLimit>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapCachePersistent>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.ProxyItr>`
                        
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.RouteExport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.SolicitMapRequest>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.UsePetr>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.database_mapping = Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping()
                            self.database_mapping.parent = self
                            self.default = Native.Router.Lisp.Default.Service.Ipv6.Default_()
                            self.default.parent = self
                            self.distance = Native.Router.Lisp.Default.Service.Ipv6.Distance()
                            self.distance.parent = self
                            self.encapsulation = None
                            self.etr = Native.Router.Lisp.Default.Service.Ipv6.Etr()
                            self.etr.parent = self
                            self.etr_enable = Native.Router.Lisp.Default.Service.Ipv6.EtrEnable()
                            self.etr_enable.parent = self
                            self.itr = Native.Router.Lisp.Default.Service.Ipv6.Itr()
                            self.itr.parent = self
                            self.itr_enable = Native.Router.Lisp.Default.Service.Ipv6.ItrEnable()
                            self.itr_enable.parent = self
                            self.map_cache = Native.Router.Lisp.Default.Service.Ipv6.MapCache()
                            self.map_cache.parent = self
                            self.map_cache_limit = Native.Router.Lisp.Default.Service.Ipv6.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self.map_cache_persistent = Native.Router.Lisp.Default.Service.Ipv6.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self.map_request_source = None
                            self.map_resolver = None
                            self.map_server = None
                            self.proxy_etr = None
                            self.proxy_itr = Native.Router.Lisp.Default.Service.Ipv6.ProxyItr()
                            self.proxy_itr.parent = self
                            self.route_export = Native.Router.Lisp.Default.Service.Ipv6.RouteExport()
                            self.route_export.parent = self
                            self.sgt = None
                            self.site_registration = Native.Router.Lisp.Default.Service.Ipv6.SiteRegistration()
                            self.site_registration.parent = self
                            self.solicit_map_request = Native.Router.Lisp.Default.Service.Ipv6.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self.use_petr = YList()
                            self.use_petr.parent = self
                            self.use_petr.name = 'use_petr'

                        class EncapsulationEnum(Enum):
                            """
                            EncapsulationEnum

                            Select encapsulation type for data packets

                            .. data:: lisp = 0

                            .. data:: vxlan = 1

                            """

                            lisp = 0

                            vxlan = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.EncapsulationEnum']



                        class Default_(object):
                            """
                            
                            
                            .. attribute:: database_mapping
                            
                            	Address family specific local EID prefixes database configuration
                            	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.DatabaseMapping>`
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.Distance>`
                            
                            .. attribute:: encapsulation
                            
                            	Select encapsulation type for data packets
                            	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.EncapsulationEnum>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.EtrEnable>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.ItrEnable>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCache>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCacheLimit>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCachePersistent>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_resolver
                            
                            	Configures a LISP Map Resolver (MR)
                            	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: map_server
                            
                            	Configures a LISP Map Server (MS)
                            	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.ProxyItr>`
                            
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.RouteExport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.SolicitMapRequest>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.UsePetr>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.database_mapping = Native.Router.Lisp.Default.Service.Ipv6.Default_.DatabaseMapping()
                                self.database_mapping.parent = self
                                self.distance = Native.Router.Lisp.Default.Service.Ipv6.Default_.Distance()
                                self.distance.parent = self
                                self.encapsulation = None
                                self.etr = Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr()
                                self.etr.parent = self
                                self.etr_enable = Native.Router.Lisp.Default.Service.Ipv6.Default_.EtrEnable()
                                self.etr_enable.parent = self
                                self.itr = Native.Router.Lisp.Default.Service.Ipv6.Default_.Itr()
                                self.itr.parent = self
                                self.itr_enable = Native.Router.Lisp.Default.Service.Ipv6.Default_.ItrEnable()
                                self.itr_enable.parent = self
                                self.map_cache = Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCache()
                                self.map_cache.parent = self
                                self.map_cache_limit = Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self.map_cache_persistent = Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self.map_request_source = None
                                self.map_resolver = None
                                self.map_server = None
                                self.proxy_etr = None
                                self.proxy_itr = Native.Router.Lisp.Default.Service.Ipv6.Default_.ProxyItr()
                                self.proxy_itr.parent = self
                                self.route_export = Native.Router.Lisp.Default.Service.Ipv6.Default_.RouteExport()
                                self.route_export.parent = self
                                self.sgt = None
                                self.site_registration = Native.Router.Lisp.Default.Service.Ipv6.Default_.SiteRegistration()
                                self.site_registration.parent = self
                                self.solicit_map_request = Native.Router.Lisp.Default.Service.Ipv6.Default_.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self.use_petr = YList()
                                self.use_petr.parent = self
                                self.use_petr.name = 'use_petr'

                            class EncapsulationEnum(Enum):
                                """
                                EncapsulationEnum

                                Select encapsulation type for data packets

                                .. data:: lisp = 0

                                .. data:: vxlan = 1

                                """

                                lisp = 0

                                vxlan = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.EncapsulationEnum']



                            class DatabaseMapping(object):
                                """
                                Address family specific local EID prefixes database configuration
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = Native.Router.Lisp.Default.Service.Ipv6.Default_.DatabaseMapping.Limit()
                                    self.limit.parent = self


                                class Limit(object):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\:  int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:database-mapping/Cisco-IOS-XE-lisp:limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.DatabaseMapping.Limit']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:database-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None and self.limit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.DatabaseMapping']['meta_info']


                            class Itr(object):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map_resolver = YList()
                                    self.map_resolver.parent = self
                                    self.map_resolver.name = 'map_resolver'


                                class MapResolver(object):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:itr/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Itr.MapResolver']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map_resolver is not None:
                                        for child_ref in self.map_resolver:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Itr']['meta_info']


                            class ItrEnable(object):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.itr = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:itr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.itr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.ItrEnable']['meta_info']


                            class EtrEnable(object):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.etr = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.etr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.EtrEnable']['meta_info']


                            class Etr(object):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_map_request_mapping = Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self.map_cache_ttl = None
                                    self.map_server = YList()
                                    self.map_server.parent = self
                                    self.map_server.name = 'map_server'


                                class MapServer(object):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None
                                        self.key = Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self.proxy_reply = None


                                    class Key(object):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7>`
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self.key_6 = Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self.key_7 = Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self.key_pwd = Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self


                                        class KeyPwd(object):
                                            """
                                            
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.hash_function = None
                                                self.unc_pwd = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.hash_function is not None:
                                                    return True

                                                if self.unc_pwd is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                        class Key0(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_0 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_0 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                        class Key6(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_6 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_6 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                        class Key7(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_7 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_7 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None and self.key_0._has_data():
                                                return True

                                            if self.key_6 is not None and self.key_6._has_data():
                                                return True

                                            if self.key_7 is not None and self.key_7._has_data():
                                                return True

                                            if self.key_pwd is not None and self.key_pwd._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        if self.proxy_reply is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.MapServer']['meta_info']


                                class AcceptMapRequestMapping(object):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_mappping = None
                                        self.verify = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_mappping is not None:
                                            return True

                                        if self.verify is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                        return True

                                    if self.map_cache_ttl is not None:
                                        return True

                                    if self.map_server is not None:
                                        for child_ref in self.map_server:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Etr']['meta_info']


                            class MapCacheLimit(object):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\:  str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_map_cache_entries = None
                                    self.reserve_list = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-cache-limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_map_cache_entries is not None:
                                        return True

                                    if self.reserve_list is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCacheLimit']['meta_info']


                            class MapResolver(object):
                                """
                                Configures a LISP Map Resolver (MR)
                                
                                .. attribute:: map_request
                                
                                	Map\-Request processing options
                                	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_request = Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest()
                                    self.map_request.parent = self


                                class MapRequest(object):
                                    """
                                    Map\-Request processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.validate = Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate()
                                        self.validate.parent = self


                                    class Validate(object):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	Influence which source RLOCs map requests are accepted from
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            Influence which source RLOCs map requests are accepted from
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.List>`
                                            
                                            .. attribute:: registered
                                            
                                            	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.list = Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.List()
                                                self.list.parent = self
                                                self.registered = Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered()
                                                self.registered.parent = self


                                            class List(object):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\:  str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv4 = None
                                                    self.ipv6 = None

                                                @property
                                                def _common_path(self):

                                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:list'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ipv4 is not None:
                                                        return True

                                                    if self.ipv6 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                            class Registered(object):
                                                """
                                                ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                                
                                                .. attribute:: list
                                                
                                                	Define allowed prefixes using an ip[v6] prefix list
                                                	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.list = Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                    self.list.parent = self


                                                class List(object):
                                                    """
                                                    Define allowed prefixes using an ip[v6] prefix list
                                                    
                                                    .. attribute:: ipv4
                                                    
                                                    	IPv4 prefixes
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: ipv6
                                                    
                                                    	IPv6 prefixes
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ipv4 = None
                                                        self.ipv6 = None

                                                    @property
                                                    def _common_path(self):

                                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered/Cisco-IOS-XE-lisp:list'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ipv4 is not None:
                                                            return True

                                                        if self.ipv6 is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                                @property
                                                def _common_path(self):

                                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.list is not None and self.list._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.list is not None and self.list._has_data():
                                                    return True

                                                if self.registered is not None and self.registered._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source']['meta_info']

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.validate is not None and self.validate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver.MapRequest']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_request is not None and self.map_request._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapResolver']['meta_info']


                            class MapServer(object):
                                """
                                Configures a LISP Map Server (MS)
                                
                                .. attribute:: map_register
                                
                                	Map\-Register processing options
                                	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_register = Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister()
                                    self.map_register.parent = self


                                class MapRegister(object):
                                    """
                                    Map\-Register processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.validate = Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate()
                                        self.validate.parent = self


                                    class Validate(object):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	RLOC Source IP address
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            RLOC Source IP address
                                            
                                            .. attribute:: allowed_locator
                                            
                                            	Against sites' allowed\-locators policy
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.allowed_locator = None

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.allowed_locator is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate.Source']['meta_info']

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.validate is not None and self.validate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer.MapRegister']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_register is not None and self.map_register._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapServer']['meta_info']


                            class SiteRegistration(object):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.SiteRegistration']['meta_info']


                            class SolicitMapRequest(object):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\:  int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ignore = None
                                    self.max_per_entry = None
                                    self.suppression_time = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:solicit-map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ignore is not None:
                                        return True

                                    if self.max_per_entry is not None:
                                        return True

                                    if self.suppression_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.SolicitMapRequest']['meta_info']


                            class Distance(object):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: away
                                
                                	Administrative distance for RIB route installation
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.alt = None
                                    self.away = None
                                    self.dyn_eid = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:distance'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.alt is not None:
                                        return True

                                    if self.away is not None:
                                        return True

                                    if self.dyn_eid is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.Distance']['meta_info']


                            class MapCache(object):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: away_eids
                                
                                	Map cache configuration for the away table
                                	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCache.AwayEids>`
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.away_eids = Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCache.AwayEids()
                                    self.away_eids.parent = self
                                    self.site_registration = None


                                class AwayEids(object):
                                    """
                                    Map cache configuration for the away table
                                    
                                    .. attribute:: send_map_request
                                    
                                    	Export away table entries into the map cache with action set to send\-map\-request
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.send_map_request = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:away-eids'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.send_map_request is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCache.AwayEids']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.away_eids is not None and self.away_eids._has_data():
                                        return True

                                    if self.site_registration is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCache']['meta_info']


                            class MapCachePersistent(object):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\:  int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interval = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-cache-persistent'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interval is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.MapCachePersistent']['meta_info']


                            class ProxyItr(object):
                                """
                                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                
                                .. attribute:: ipv4_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_addr = None
                                    self.ipv6_addr = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:proxy-itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_addr is not None:
                                        return True

                                    if self.ipv6_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.ProxyItr']['meta_info']


                            class RouteExport(object):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.away_eids = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:route-export'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.away_eids is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.RouteExport']['meta_info']


                            class UsePetr(object):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: priority
                                
                                	
                                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default_.UsePetr.Priority>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_address = None
                                    self.priority = Native.Router.Lisp.Default.Service.Ipv6.Default_.UsePetr.Priority()
                                    self.priority.parent = self


                                class Priority(object):
                                    """
                                    
                                    
                                    .. attribute:: priority_value
                                    
                                    	Configures which Locators from a set are preferred
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: weight
                                    
                                    	Traffic load\-spreading among Locators
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.priority_value = None
                                        self.weight = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.priority_value is not None:
                                            return True

                                        if self.weight is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.UsePetr.Priority']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.locator_address is None:
                                        raise YPYModelError('Key property locator_address is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_address is not None:
                                        return True

                                    if self.priority is not None and self.priority._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_.UsePetr']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.database_mapping is not None and self.database_mapping._has_data():
                                    return True

                                if self.distance is not None and self.distance._has_data():
                                    return True

                                if self.encapsulation is not None:
                                    return True

                                if self.etr is not None and self.etr._has_data():
                                    return True

                                if self.etr_enable is not None and self.etr_enable._has_data():
                                    return True

                                if self.itr is not None and self.itr._has_data():
                                    return True

                                if self.itr_enable is not None and self.itr_enable._has_data():
                                    return True

                                if self.map_cache is not None and self.map_cache._has_data():
                                    return True

                                if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                    return True

                                if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                    return True

                                if self.map_request_source is not None:
                                    return True

                                if self.map_resolver is not None and self.map_resolver._has_data():
                                    return True

                                if self.map_server is not None and self.map_server._has_data():
                                    return True

                                if self.proxy_etr is not None:
                                    return True

                                if self.proxy_itr is not None and self.proxy_itr._has_data():
                                    return True

                                if self.route_export is not None and self.route_export._has_data():
                                    return True

                                if self.sgt is not None:
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                    return True

                                if self.use_petr is not None:
                                    for child_ref in self.use_petr:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Default_']['meta_info']


                        class DatabaseMapping(object):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping.Limit()
                                self.limit.parent = self


                            class Limit(object):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\:  int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dynamic = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:database-mapping/Cisco-IOS-XE-lisp:limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dynamic is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping.Limit']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:database-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None and self.limit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping']['meta_info']


                        class Itr(object):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_resolver = YList()
                                self.map_resolver.parent = self
                                self.map_resolver.name = 'map_resolver'


                            class MapResolver(object):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None

                                @property
                                def _common_path(self):
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:itr/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Itr.MapResolver']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_resolver is not None:
                                    for child_ref in self.map_resolver:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Itr']['meta_info']


                        class ItrEnable(object):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.itr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:itr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.itr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.ItrEnable']['meta_info']


                        class EtrEnable(object):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.etr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:etr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.etr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.EtrEnable']['meta_info']


                        class Etr(object):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.accept_map_request_mapping = Native.Router.Lisp.Default.Service.Ipv6.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self.map_cache_ttl = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None
                                    self.key = Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self.key_6 = Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self.key_7 = Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self.key_pwd = Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self


                                    class KeyPwd(object):
                                        """
                                        
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.hash_function = None
                                            self.unc_pwd = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.hash_function is not None:
                                                return True

                                            if self.unc_pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info']


                                    class Key0(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_0 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_0 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info']


                                    class Key6(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_6 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_6 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info']


                                    class Key7(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_7 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_7 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None and self.key_0._has_data():
                                            return True

                                        if self.key_6 is not None and self.key_6._has_data():
                                            return True

                                        if self.key_7 is not None and self.key_7._has_data():
                                            return True

                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer']['meta_info']


                            class AcceptMapRequestMapping(object):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_mappping = None
                                    self.verify = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_mappping is not None:
                                        return True

                                    if self.verify is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:etr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                    return True

                                if self.map_cache_ttl is not None:
                                    return True

                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Etr']['meta_info']


                        class MapCacheLimit(object):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\:  str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max_map_cache_entries = None
                                self.reserve_list = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-cache-limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max_map_cache_entries is not None:
                                    return True

                                if self.reserve_list is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapCacheLimit']['meta_info']


                        class MapResolver(object):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_request = Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest()
                                self.map_request.parent = self


                            class MapRequest(object):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.list = Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self.registered = Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self


                                        class List(object):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                        class Registered(object):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.list = Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self


                                            class List(object):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\:  str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv4 = None
                                                    self.ipv6 = None

                                                @property
                                                def _common_path(self):

                                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered/Cisco-IOS-XE-lisp:list'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ipv4 is not None:
                                                        return True

                                                    if self.ipv6 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.list is not None and self.list._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.list is not None and self.list._has_data():
                                                return True

                                            if self.registered is not None and self.registered._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_request is not None and self.map_request._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapResolver']['meta_info']


                        class MapServer(object):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_register = Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister()
                                self.map_register.parent = self


                            class MapRegister(object):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.allowed_locator = None

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.allowed_locator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_register is not None and self.map_register._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapServer']['meta_info']


                        class SiteRegistration(object):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:site-registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.SiteRegistration']['meta_info']


                        class SolicitMapRequest(object):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\:  int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ignore = None
                                self.max_per_entry = None
                                self.suppression_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:solicit-map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ignore is not None:
                                    return True

                                if self.max_per_entry is not None:
                                    return True

                                if self.suppression_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.SolicitMapRequest']['meta_info']


                        class Distance(object):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: away
                            
                            	Administrative distance for RIB route installation
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.alt = None
                                self.away = None
                                self.dyn_eid = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.alt is not None:
                                    return True

                                if self.away is not None:
                                    return True

                                if self.dyn_eid is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.Distance']['meta_info']


                        class MapCache(object):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: away_eids
                            
                            	Map cache configuration for the away table
                            	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapCache.AwayEids>`
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.away_eids = Native.Router.Lisp.Default.Service.Ipv6.MapCache.AwayEids()
                                self.away_eids.parent = self
                                self.site_registration = None


                            class AwayEids(object):
                                """
                                Map cache configuration for the away table
                                
                                .. attribute:: send_map_request
                                
                                	Export away table entries into the map cache with action set to send\-map\-request
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.send_map_request = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:away-eids'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.send_map_request is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapCache.AwayEids']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.away_eids is not None and self.away_eids._has_data():
                                    return True

                                if self.site_registration is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapCache']['meta_info']


                        class MapCachePersistent(object):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\:  int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interval = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-cache-persistent'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.MapCachePersistent']['meta_info']


                        class ProxyItr(object):
                            """
                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            
                            .. attribute:: ipv4_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv6_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_addr = None
                                self.ipv6_addr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:proxy-itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4_addr is not None:
                                    return True

                                if self.ipv6_addr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.ProxyItr']['meta_info']


                        class RouteExport(object):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.away_eids = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-export'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.away_eids is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.RouteExport']['meta_info']


                        class UsePetr(object):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: priority
                            
                            	
                            	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.UsePetr.Priority>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.locator_address = None
                                self.priority = Native.Router.Lisp.Default.Service.Ipv6.UsePetr.Priority()
                                self.priority.parent = self


                            class Priority(object):
                                """
                                
                                
                                .. attribute:: priority_value
                                
                                	Configures which Locators from a set are preferred
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.priority_value = None
                                    self.weight = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.priority_value is not None:
                                        return True

                                    if self.weight is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.UsePetr.Priority']['meta_info']

                            @property
                            def _common_path(self):
                                if self.locator_address is None:
                                    raise YPYModelError('Key property locator_address is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.locator_address is not None:
                                    return True

                                if self.priority is not None and self.priority._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6.UsePetr']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.database_mapping is not None and self.database_mapping._has_data():
                                return True

                            if self.default is not None and self.default._has_data():
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.encapsulation is not None:
                                return True

                            if self.etr is not None and self.etr._has_data():
                                return True

                            if self.etr_enable is not None and self.etr_enable._has_data():
                                return True

                            if self.itr is not None and self.itr._has_data():
                                return True

                            if self.itr_enable is not None and self.itr_enable._has_data():
                                return True

                            if self.map_cache is not None and self.map_cache._has_data():
                                return True

                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                return True

                            if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                return True

                            if self.map_request_source is not None:
                                return True

                            if self.map_resolver is not None and self.map_resolver._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.proxy_etr is not None:
                                return True

                            if self.proxy_itr is not None and self.proxy_itr._has_data():
                                return True

                            if self.route_export is not None and self.route_export._has_data():
                                return True

                            if self.sgt is not None:
                                return True

                            if self.site_registration is not None and self.site_registration._has_data():
                                return True

                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                return True

                            if self.use_petr is not None:
                                for child_ref in self.use_petr:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ipv6']['meta_info']


                    class Ethernet(object):
                        """
                        
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping>`
                        
                        .. attribute:: default
                        
                        	
                        	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Encapsulation>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.EtrEnable>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.ItrEnable>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapCacheLimit>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.SolicitMapRequest>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.database_mapping = Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping()
                            self.database_mapping.parent = self
                            self.default = Native.Router.Lisp.Default.Service.Ethernet.Default_()
                            self.default.parent = self
                            self.encapsulation = Native.Router.Lisp.Default.Service.Ethernet.Encapsulation()
                            self.encapsulation.parent = self
                            self.etr = Native.Router.Lisp.Default.Service.Ethernet.Etr()
                            self.etr.parent = self
                            self.etr_enable = Native.Router.Lisp.Default.Service.Ethernet.EtrEnable()
                            self.etr_enable.parent = self
                            self.itr = Native.Router.Lisp.Default.Service.Ethernet.Itr()
                            self.itr.parent = self
                            self.itr_enable = Native.Router.Lisp.Default.Service.Ethernet.ItrEnable()
                            self.itr_enable.parent = self
                            self.map_cache_limit = Native.Router.Lisp.Default.Service.Ethernet.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self.map_request_source = None
                            self.map_resolver = None
                            self.map_server = None
                            self.site_registration = Native.Router.Lisp.Default.Service.Ethernet.SiteRegistration()
                            self.site_registration.parent = self
                            self.solicit_map_request = Native.Router.Lisp.Default.Service.Ethernet.SolicitMapRequest()
                            self.solicit_map_request.parent = self


                        class Default_(object):
                            """
                            
                            
                            .. attribute:: database_mapping
                            
                            	Address family specific local EID prefixes database configuration
                            	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.DatabaseMapping>`
                            
                            .. attribute:: encapsulation
                            
                            	Select encapsulation type for data packets
                            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.Encapsulation>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.EtrEnable>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.ItrEnable>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.MapCacheLimit>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: map_resolver
                            
                            	Configures a LISP Map Resolver (MR)
                            	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: map_server
                            
                            	Configures a LISP Map Server (MS)
                            	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.SolicitMapRequest>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.database_mapping = Native.Router.Lisp.Default.Service.Ethernet.Default_.DatabaseMapping()
                                self.database_mapping.parent = self
                                self.encapsulation = Native.Router.Lisp.Default.Service.Ethernet.Default_.Encapsulation()
                                self.encapsulation.parent = self
                                self.etr = Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr()
                                self.etr.parent = self
                                self.etr_enable = Native.Router.Lisp.Default.Service.Ethernet.Default_.EtrEnable()
                                self.etr_enable.parent = self
                                self.itr = Native.Router.Lisp.Default.Service.Ethernet.Default_.Itr()
                                self.itr.parent = self
                                self.itr_enable = Native.Router.Lisp.Default.Service.Ethernet.Default_.ItrEnable()
                                self.itr_enable.parent = self
                                self.map_cache_limit = Native.Router.Lisp.Default.Service.Ethernet.Default_.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self.map_request_source = None
                                self.map_resolver = None
                                self.map_server = None
                                self.site_registration = Native.Router.Lisp.Default.Service.Ethernet.Default_.SiteRegistration()
                                self.site_registration.parent = self
                                self.solicit_map_request = Native.Router.Lisp.Default.Service.Ethernet.Default_.SolicitMapRequest()
                                self.solicit_map_request.parent = self


                            class Encapsulation(object):
                                """
                                Select encapsulation type for data packets
                                
                                .. attribute:: vxlan
                                
                                	Use VXLAN encapsulation for data packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.vxlan = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:encapsulation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.vxlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Encapsulation']['meta_info']


                            class DatabaseMapping(object):
                                """
                                Address family specific local EID prefixes database configuration
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = Native.Router.Lisp.Default.Service.Ethernet.Default_.DatabaseMapping.Limit()
                                    self.limit.parent = self


                                class Limit(object):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\:  int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:database-mapping/Cisco-IOS-XE-lisp:limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.DatabaseMapping.Limit']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:database-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None and self.limit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.DatabaseMapping']['meta_info']


                            class Itr(object):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map_resolver = YList()
                                    self.map_resolver.parent = self
                                    self.map_resolver.name = 'map_resolver'


                                class MapResolver(object):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:itr/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Itr.MapResolver']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map_resolver is not None:
                                        for child_ref in self.map_resolver:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Itr']['meta_info']


                            class ItrEnable(object):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.itr = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:itr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.itr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.ItrEnable']['meta_info']


                            class EtrEnable(object):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.etr = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.etr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.EtrEnable']['meta_info']


                            class Etr(object):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_map_request_mapping = Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self.map_cache_ttl = None
                                    self.map_server = YList()
                                    self.map_server.parent = self
                                    self.map_server.name = 'map_server'


                                class MapServer(object):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None
                                        self.key = Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self.proxy_reply = None


                                    class Key(object):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7>`
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self.key_6 = Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self.key_7 = Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self.key_pwd = Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self


                                        class KeyPwd(object):
                                            """
                                            
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.hash_function = None
                                                self.unc_pwd = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.hash_function is not None:
                                                    return True

                                                if self.unc_pwd is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                        class Key0(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_0 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_0 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                        class Key6(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_6 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_6 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                        class Key7(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_7 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_7 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None and self.key_0._has_data():
                                                return True

                                            if self.key_6 is not None and self.key_6._has_data():
                                                return True

                                            if self.key_7 is not None and self.key_7._has_data():
                                                return True

                                            if self.key_pwd is not None and self.key_pwd._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        if self.proxy_reply is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.MapServer']['meta_info']


                                class AcceptMapRequestMapping(object):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_mappping = None
                                        self.verify = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_mappping is not None:
                                            return True

                                        if self.verify is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                        return True

                                    if self.map_cache_ttl is not None:
                                        return True

                                    if self.map_server is not None:
                                        for child_ref in self.map_server:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.Etr']['meta_info']


                            class MapCacheLimit(object):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\:  str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_map_cache_entries = None
                                    self.reserve_list = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-cache-limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_map_cache_entries is not None:
                                        return True

                                    if self.reserve_list is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapCacheLimit']['meta_info']


                            class MapResolver(object):
                                """
                                Configures a LISP Map Resolver (MR)
                                
                                .. attribute:: map_request
                                
                                	Map\-Request processing options
                                	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_request = Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest()
                                    self.map_request.parent = self


                                class MapRequest(object):
                                    """
                                    Map\-Request processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.validate = Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate()
                                        self.validate.parent = self


                                    class Validate(object):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	Influence which source RLOCs map requests are accepted from
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            Influence which source RLOCs map requests are accepted from
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.List>`
                                            
                                            .. attribute:: registered
                                            
                                            	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.list = Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.List()
                                                self.list.parent = self
                                                self.registered = Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered()
                                                self.registered.parent = self


                                            class List(object):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\:  str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv4 = None
                                                    self.ipv6 = None

                                                @property
                                                def _common_path(self):

                                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:list'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ipv4 is not None:
                                                        return True

                                                    if self.ipv6 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                            class Registered(object):
                                                """
                                                ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                                
                                                .. attribute:: list
                                                
                                                	Define allowed prefixes using an ip[v6] prefix list
                                                	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.list = Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                    self.list.parent = self


                                                class List(object):
                                                    """
                                                    Define allowed prefixes using an ip[v6] prefix list
                                                    
                                                    .. attribute:: ipv4
                                                    
                                                    	IPv4 prefixes
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: ipv6
                                                    
                                                    	IPv6 prefixes
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ipv4 = None
                                                        self.ipv6 = None

                                                    @property
                                                    def _common_path(self):

                                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered/Cisco-IOS-XE-lisp:list'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ipv4 is not None:
                                                            return True

                                                        if self.ipv6 is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                                @property
                                                def _common_path(self):

                                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.list is not None and self.list._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.list is not None and self.list._has_data():
                                                    return True

                                                if self.registered is not None and self.registered._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source']['meta_info']

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.validate is not None and self.validate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver.MapRequest']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_request is not None and self.map_request._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapResolver']['meta_info']


                            class MapServer(object):
                                """
                                Configures a LISP Map Server (MS)
                                
                                .. attribute:: map_register
                                
                                	Map\-Register processing options
                                	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_register = Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister()
                                    self.map_register.parent = self


                                class MapRegister(object):
                                    """
                                    Map\-Register processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.validate = Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate()
                                        self.validate.parent = self


                                    class Validate(object):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	RLOC Source IP address
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            RLOC Source IP address
                                            
                                            .. attribute:: allowed_locator
                                            
                                            	Against sites' allowed\-locators policy
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.allowed_locator = None

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.allowed_locator is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate.Source']['meta_info']

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.validate is not None and self.validate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer.MapRegister']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_register is not None and self.map_register._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.MapServer']['meta_info']


                            class SiteRegistration(object):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.SiteRegistration']['meta_info']


                            class SolicitMapRequest(object):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\:  int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ignore = None
                                    self.max_per_entry = None
                                    self.suppression_time = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:solicit-map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ignore is not None:
                                        return True

                                    if self.max_per_entry is not None:
                                        return True

                                    if self.suppression_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_.SolicitMapRequest']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.database_mapping is not None and self.database_mapping._has_data():
                                    return True

                                if self.encapsulation is not None and self.encapsulation._has_data():
                                    return True

                                if self.etr is not None and self.etr._has_data():
                                    return True

                                if self.etr_enable is not None and self.etr_enable._has_data():
                                    return True

                                if self.itr is not None and self.itr._has_data():
                                    return True

                                if self.itr_enable is not None and self.itr_enable._has_data():
                                    return True

                                if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                    return True

                                if self.map_request_source is not None:
                                    return True

                                if self.map_resolver is not None and self.map_resolver._has_data():
                                    return True

                                if self.map_server is not None and self.map_server._has_data():
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Default_']['meta_info']


                        class Encapsulation(object):
                            """
                            Select encapsulation type for data packets
                            
                            .. attribute:: vxlan
                            
                            	Use VXLAN encapsulation for data packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.vxlan = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:encapsulation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.vxlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Encapsulation']['meta_info']


                        class DatabaseMapping(object):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping.Limit()
                                self.limit.parent = self


                            class Limit(object):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\:  int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dynamic = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:database-mapping/Cisco-IOS-XE-lisp:limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dynamic is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping.Limit']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:database-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None and self.limit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping']['meta_info']


                        class Itr(object):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_resolver = YList()
                                self.map_resolver.parent = self
                                self.map_resolver.name = 'map_resolver'


                            class MapResolver(object):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None

                                @property
                                def _common_path(self):
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:itr/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Itr.MapResolver']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_resolver is not None:
                                    for child_ref in self.map_resolver:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Itr']['meta_info']


                        class ItrEnable(object):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.itr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:itr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.itr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.ItrEnable']['meta_info']


                        class EtrEnable(object):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.etr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:etr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.etr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.EtrEnable']['meta_info']


                        class Etr(object):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.accept_map_request_mapping = Native.Router.Lisp.Default.Service.Ethernet.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self.map_cache_ttl = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None
                                    self.key = Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self.key_6 = Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self.key_7 = Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self.key_pwd = Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self


                                    class KeyPwd(object):
                                        """
                                        
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.hash_function = None
                                            self.unc_pwd = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.hash_function is not None:
                                                return True

                                            if self.unc_pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info']


                                    class Key0(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_0 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_0 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info']


                                    class Key6(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_6 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_6 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info']


                                    class Key7(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_7 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_7 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None and self.key_0._has_data():
                                            return True

                                        if self.key_6 is not None and self.key_6._has_data():
                                            return True

                                        if self.key_7 is not None and self.key_7._has_data():
                                            return True

                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer']['meta_info']


                            class AcceptMapRequestMapping(object):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_mappping = None
                                    self.verify = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_mappping is not None:
                                        return True

                                    if self.verify is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:etr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                    return True

                                if self.map_cache_ttl is not None:
                                    return True

                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.Etr']['meta_info']


                        class MapCacheLimit(object):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\:  str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max_map_cache_entries = None
                                self.reserve_list = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-cache-limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max_map_cache_entries is not None:
                                    return True

                                if self.reserve_list is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapCacheLimit']['meta_info']


                        class MapResolver(object):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_request = Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest()
                                self.map_request.parent = self


                            class MapRequest(object):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.list = Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self.registered = Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self


                                        class List(object):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                        class Registered(object):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.list = Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self


                                            class List(object):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\:  str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv4 = None
                                                    self.ipv6 = None

                                                @property
                                                def _common_path(self):

                                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered/Cisco-IOS-XE-lisp:list'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ipv4 is not None:
                                                        return True

                                                    if self.ipv6 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.list is not None and self.list._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.list is not None and self.list._has_data():
                                                return True

                                            if self.registered is not None and self.registered._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-resolver'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_request is not None and self.map_request._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapResolver']['meta_info']


                        class MapServer(object):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_register = Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister()
                                self.map_register.parent = self


                            class MapRegister(object):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.allowed_locator = None

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.allowed_locator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_register is not None and self.map_register._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.MapServer']['meta_info']


                        class SiteRegistration(object):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:site-registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.SiteRegistration']['meta_info']


                        class SolicitMapRequest(object):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\:  int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ignore = None
                                self.max_per_entry = None
                                self.suppression_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:solicit-map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ignore is not None:
                                    return True

                                if self.max_per_entry is not None:
                                    return True

                                if self.suppression_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet.SolicitMapRequest']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.database_mapping is not None and self.database_mapping._has_data():
                                return True

                            if self.default is not None and self.default._has_data():
                                return True

                            if self.encapsulation is not None and self.encapsulation._has_data():
                                return True

                            if self.etr is not None and self.etr._has_data():
                                return True

                            if self.etr_enable is not None and self.etr_enable._has_data():
                                return True

                            if self.itr is not None and self.itr._has_data():
                                return True

                            if self.itr_enable is not None and self.itr_enable._has_data():
                                return True

                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                return True

                            if self.map_request_source is not None:
                                return True

                            if self.map_resolver is not None and self.map_resolver._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.site_registration is not None and self.site_registration._has_data():
                                return True

                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Service.Ethernet']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:service'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ethernet is not None and self.ethernet._has_data():
                            return True

                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.Service']['meta_info']


                class Encapsulation(object):
                    """
                    Select encapsulation type for data packets
                    
                    .. attribute:: vxlan
                    
                    	Use VXLAN encapsulation for data packets
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vxlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:encapsulation'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vxlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.Encapsulation']['meta_info']


                class LocatorSet(object):
                    """
                    Configure a named locator set
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: auto_discover_rlocs
                    
                    	Auto discover locators registered by other xTRs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ip_address
                    
                    	Use IPv6 address of interface as locator
                    	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.LocatorSet.IpAddress>`
                    
                    .. attribute:: ipv4_interface
                    
                    	Use IPv4 address of interface as locator
                    	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.LocatorSet.Ipv4Interface>`
                    
                    .. attribute:: ipv6_interface
                    
                    	Use IPv6 address of interface as locator
                    	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.LocatorSet.Ipv6Interface>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.auto_discover_rlocs = None
                        self.ip_address = YList()
                        self.ip_address.parent = self
                        self.ip_address.name = 'ip_address'
                        self.ipv4_interface = YList()
                        self.ipv4_interface.parent = self
                        self.ipv4_interface.name = 'ipv4_interface'
                        self.ipv6_interface = YList()
                        self.ipv6_interface.parent = self
                        self.ipv6_interface.name = 'ipv6_interface'


                    class Ipv4Interface(object):
                        """
                        Use IPv4 address of interface as locator
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: priority
                        
                        	Configures which Locators from a set are preferred
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: weight
                        
                        	Traffic load\-spreading among Locators
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.priority = None
                            self.weight = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.priority is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.LocatorSet.Ipv4Interface']['meta_info']


                    class Ipv6Interface(object):
                        """
                        Use IPv6 address of interface as locator
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: priority
                        
                        	Configures which Locators from a set are preferred
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: weight
                        
                        	Traffic load\-spreading among Locators
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.priority = None
                            self.weight = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.priority is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.LocatorSet.Ipv6Interface']['meta_info']


                    class IpAddress(object):
                        """
                        Use IPv6 address of interface as locator
                        
                        .. attribute:: ip  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: priority
                        
                        	Configures which Locators from a set are preferred
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: weight
                        
                        	Traffic load\-spreading among Locators
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = None
                            self.priority = None
                            self.weight = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ip is None:
                                raise YPYModelError('Key property ip is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ip-address[Cisco-IOS-XE-lisp:ip = ' + str(self.ip) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None:
                                return True

                            if self.priority is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.LocatorSet.IpAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:locator-set[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.auto_discover_rlocs is not None:
                            return True

                        if self.ip_address is not None:
                            for child_ref in self.ip_address:
                                if child_ref._has_data():
                                    return True

                        if self.ipv4_interface is not None:
                            for child_ref in self.ipv4_interface:
                                if child_ref._has_data():
                                    return True

                        if self.ipv6_interface is not None:
                            for child_ref in self.ipv6_interface:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.LocatorSet']['meta_info']


                class LocatorScope(object):
                    """
                    Configure a locator scope
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: rloc_prefix
                    
                    	RLOC prefix to check against ITR RLOC and ETR RLOC
                    	**type**\: one of the below types:
                    
                    	**type**\:  list of str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                    
                    
                    ----
                    	**type**\:  list of str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    .. attribute:: rtr_locator_set
                    
                    	Locator\-set of RTR to use in proxy reply for disjoint/cross AF RLOC
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.rloc_prefix = YLeafList()
                        self.rloc_prefix.parent = self
                        self.rloc_prefix.name = 'rloc_prefix'
                        self.rtr_locator_set = YLeafList()
                        self.rtr_locator_set.parent = self
                        self.rtr_locator_set.name = 'rtr_locator_set'

                    @property
                    def _common_path(self):
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:locator-scope[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.rloc_prefix is not None:
                            for child in self.rloc_prefix:
                                if child is not None:
                                    return True

                        if self.rtr_locator_set is not None:
                            for child in self.rtr_locator_set:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.LocatorScope']['meta_info']


                class InstanceContainer(object):
                    """
                    EID instance\-ID
                    
                    .. attribute:: instance_list
                    
                    	
                    	**type**\: list of    :py:class:`InstanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.instance_list = YList()
                        self.instance_list.parent = self
                        self.instance_list.name = 'instance_list'


                    class InstanceList(object):
                        """
                        
                        
                        .. attribute:: instance_id  <key>
                        
                        	EID instance\-ID
                        	**type**\:  int
                        
                        	**range:** 0..16777214
                        
                        .. attribute:: decapsulation
                        
                        	Decapsulation behavior (e.g. filters)
                        	**type**\:   :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation>`
                        
                        .. attribute:: default
                        
                        	
                        	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_>`
                        
                        .. attribute:: disable_ttl_propagate
                        
                        	Disable ttl propagation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dynamic_eid
                        
                        	Configure a dynamic EID
                        	**type**\: list of    :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid>`
                        
                        .. attribute:: loc_reach_algorithm
                        
                        	Configure locator reachability algorithm
                        	**type**\:   :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm>`
                        
                        .. attribute:: map_server
                        
                        	Map\-Server commands
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer>`
                        
                        .. attribute:: other_xtr_probe
                        
                        	Configure parameters for probing of other xTRs in our site
                        	**type**\:   :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.OtherXtrProbe>`
                        
                        .. attribute:: remote_rloc_probe
                        
                        	Configure parameters for probing of remote RLOCs
                        	**type**\:   :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.RemoteRlocProbe>`
                        
                        .. attribute:: service
                        
                        	Configure lisp service type
                        	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.instance_id = None
                            self.decapsulation = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation()
                            self.decapsulation.parent = self
                            self.default = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_()
                            self.default.parent = self
                            self.disable_ttl_propagate = None
                            self.dynamic_eid = YList()
                            self.dynamic_eid.parent = self
                            self.dynamic_eid.name = 'dynamic_eid'
                            self.loc_reach_algorithm = Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm()
                            self.loc_reach_algorithm.parent = self
                            self.map_server = Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer()
                            self.map_server.parent = self
                            self.other_xtr_probe = Native.Router.Lisp.Default.InstanceContainer.InstanceList.OtherXtrProbe()
                            self.other_xtr_probe.parent = self
                            self.remote_rloc_probe = Native.Router.Lisp.Default.InstanceContainer.InstanceList.RemoteRlocProbe()
                            self.remote_rloc_probe.parent = self
                            self.service = None


                        class Default_(object):
                            """
                            
                            
                            .. attribute:: decapsulation
                            
                            	Decapsulation behavior (e.g. filters)
                            	**type**\:   :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation>`
                            
                            .. attribute:: disable_ttl_propagate
                            
                            	Disable ttl propagation
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dynamic_eid
                            
                            	Configure a dynamic EID
                            	**type**\: list of    :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid>`
                            
                            .. attribute:: loc_reach_algorithm
                            
                            	Configure locator reachability algorithm
                            	**type**\:   :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm>`
                            
                            .. attribute:: map_server
                            
                            	Map\-Server commands
                            	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer>`
                            
                            .. attribute:: other_xtr_probe
                            
                            	Configure parameters for probing of other xTRs in our site
                            	**type**\:   :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.OtherXtrProbe>`
                            
                            .. attribute:: remote_rloc_probe
                            
                            	Configure parameters for probing of remote RLOCs
                            	**type**\:   :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.RemoteRlocProbe>`
                            
                            .. attribute:: service
                            
                            	Configure lisp service type
                            	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.decapsulation = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation()
                                self.decapsulation.parent = self
                                self.disable_ttl_propagate = None
                                self.dynamic_eid = YList()
                                self.dynamic_eid.parent = self
                                self.dynamic_eid.name = 'dynamic_eid'
                                self.loc_reach_algorithm = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm()
                                self.loc_reach_algorithm.parent = self
                                self.map_server = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer()
                                self.map_server.parent = self
                                self.other_xtr_probe = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.OtherXtrProbe()
                                self.other_xtr_probe.parent = self
                                self.remote_rloc_probe = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.RemoteRlocProbe()
                                self.remote_rloc_probe.parent = self
                                self.service = None


                            class Decapsulation(object):
                                """
                                Decapsulation behavior (e.g. filters)
                                
                                .. attribute:: filter
                                
                                	Filters traffic
                                	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.filter = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter()
                                    self.filter.parent = self


                                class Filter(object):
                                    """
                                    Filters traffic
                                    
                                    .. attribute:: rloc
                                    
                                    	Filter based on Routing Locator (RLOC) in packet header
                                    	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.rloc = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc()
                                        self.rloc.parent = self


                                    class Rloc(object):
                                        """
                                        Filter based on Routing Locator (RLOC) in packet header
                                        
                                        .. attribute:: source
                                        
                                        	Filters traffic based on RLOC source address
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            Filters traffic based on RLOC source address
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator\-set Name
                                            	**type**\:  str
                                            
                                            .. attribute:: member
                                            
                                            	Members learned from map\-server
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.member = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.member is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc.Source']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:filter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.rloc is not None and self.rloc._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:decapsulation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.filter is not None and self.filter._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Decapsulation']['meta_info']


                            class DynamicEid(object):
                                """
                                Configure a dynamic EID
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: database_mapping
                                
                                	Configures EID\-prefix and locator\-set for dynamic\-EID
                                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping>`
                                
                                .. attribute:: eid_notify
                                
                                	Configure options for sending/receiving EID\-notify
                                	**type**\:   :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify>`
                                
                                .. attribute:: map_notify_group
                                
                                	Multicast group which to send map\-notifies to
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self.eid_notify = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify()
                                    self.eid_notify.parent = self
                                    self.map_notify_group = None
                                    self.map_server = YList()
                                    self.map_server.parent = self
                                    self.map_server.name = 'map_server'


                                class DatabaseMapping(object):
                                    """
                                    Configures EID\-prefix and locator\-set for dynamic\-EID
                                    
                                    .. attribute:: ipv4_prefix
                                    
                                    	IPv4 EID\-prefix for dynamic\-EID
                                    	**type**\: list of    :py:class:`Ipv4Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Ipv4Prefix>`
                                    
                                    .. attribute:: mac
                                    
                                    	L2 EID records
                                    	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Mac>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_prefix = YList()
                                        self.ipv4_prefix.parent = self
                                        self.ipv4_prefix.name = 'ipv4_prefix'
                                        self.mac = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Mac()
                                        self.mac.parent = self


                                    class Ipv4Prefix(object):
                                        """
                                        IPv4 EID\-prefix for dynamic\-EID
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.locator_set = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-prefix[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.locator_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Ipv4Prefix']['meta_info']


                                    class Mac(object):
                                        """
                                        L2 EID records
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        .. attribute:: mac_addr
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.mac_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:mac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.mac_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Mac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_prefix is not None:
                                            for child_ref in self.ipv4_prefix:
                                                if child_ref._has_data():
                                                    return True

                                        if self.mac is not None and self.mac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping']['meta_info']


                                class EidNotify(object):
                                    """
                                    Configure options for sending/receiving EID\-notify
                                    
                                    .. attribute:: authentication_key
                                    
                                    	Authentication key used for validating received EID\-notify
                                    	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.AuthenticationKey>`
                                    
                                    .. attribute:: gateway_key
                                    
                                    	
                                    	**type**\: list of    :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.authentication_key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.AuthenticationKey()
                                        self.authentication_key.parent = self
                                        self.gateway_key = YList()
                                        self.gateway_key.parent = self
                                        self.gateway_key.name = 'gateway_key'


                                    class AuthenticationKey(object):
                                        """
                                        Authentication key used for validating received EID\-notify
                                        
                                        .. attribute:: key_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: key_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: key_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = None
                                            self.key_6 = None
                                            self.key_7 = None
                                            self.unc_pwd = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:authentication-key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None:
                                                return True

                                            if self.key_6 is not None:
                                                return True

                                            if self.key_7 is not None:
                                                return True

                                            if self.unc_pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.AuthenticationKey']['meta_info']


                                    class GatewayKey(object):
                                        """
                                        
                                        
                                        .. attribute:: gateway_ip  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: key
                                        
                                        	
                                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.gateway_ip = None
                                            self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key()
                                            self.key.parent = self


                                        class Key(object):
                                            """
                                            
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6>`
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0()
                                                self.key_0.parent = self
                                                self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6()
                                                self.key_6.parent = self
                                                self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd()
                                                self.key_pwd.parent = self


                                            class KeyPwd(object):
                                                """
                                                
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum>`
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.hash_function = None
                                                    self.unc_pwd = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.hash_function is not None:
                                                        return True

                                                    if self.unc_pwd is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd']['meta_info']


                                            class Key0(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_0 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_0 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0']['meta_info']


                                            class Key6(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_6 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_6 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.key_0 is not None and self.key_0._has_data():
                                                    return True

                                                if self.key_6 is not None and self.key_6._has_data():
                                                    return True

                                                if self.key_pwd is not None and self.key_pwd._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.gateway_ip is None:
                                                raise YPYModelError('Key property gateway_ip is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:gateway-key[Cisco-IOS-XE-lisp:gateway-ip = ' + str(self.gateway_ip) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.gateway_ip is not None:
                                                return True

                                            if self.key is not None and self.key._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-notify'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.authentication_key is not None and self.authentication_key._has_data():
                                            return True

                                        if self.gateway_key is not None:
                                            for child_ref in self.gateway_key:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify']['meta_info']


                                class MapServer(object):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None
                                        self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key()
                                        self.key.parent = self
                                        self.proxy_reply = None


                                    class Key(object):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7>`
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self


                                        class KeyPwd(object):
                                            """
                                            
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.hash_function = None
                                                self.unc_pwd = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.hash_function is not None:
                                                    return True

                                                if self.unc_pwd is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd']['meta_info']


                                        class Key0(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_0 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_0 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0']['meta_info']


                                        class Key6(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_6 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_6 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6']['meta_info']


                                        class Key7(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_7 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_7 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None and self.key_0._has_data():
                                                return True

                                            if self.key_6 is not None and self.key_6._has_data():
                                                return True

                                            if self.key_7 is not None and self.key_7._has_data():
                                                return True

                                            if self.key_pwd is not None and self.key_pwd._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        if self.proxy_reply is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:dynamic-eid[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.database_mapping is not None and self.database_mapping._has_data():
                                        return True

                                    if self.eid_notify is not None and self.eid_notify._has_data():
                                        return True

                                    if self.map_notify_group is not None:
                                        return True

                                    if self.map_server is not None:
                                        for child_ref in self.map_server:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.DynamicEid']['meta_info']


                            class LocReachAlgorithm(object):
                                """
                                Configure locator reachability algorithm
                                
                                .. attribute:: lsb_reports
                                
                                	Configure data packet LSB report handling
                                	**type**\:   :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm.LsbReports>`
                                
                                .. attribute:: rloc_probing
                                
                                	Probe high priority RLOCs with Map\-Requests as last resort
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lsb_reports = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm.LsbReports()
                                    self.lsb_reports.parent = self
                                    self.rloc_probing = None


                                class LsbReports(object):
                                    """
                                    Configure data packet LSB report handling
                                    
                                    .. attribute:: do_not_transmit
                                    
                                    	Force the setting of the encapsulation header L bit to zero
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore data packet LSB reports
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.do_not_transmit = None
                                        self.ignore = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lsb-reports'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.do_not_transmit is not None:
                                            return True

                                        if self.ignore is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm.LsbReports']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:loc-reach-algorithm'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lsb_reports is not None and self.lsb_reports._has_data():
                                        return True

                                    if self.rloc_probing is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm']['meta_info']


                            class MapServer(object):
                                """
                                Map\-Server commands
                                
                                .. attribute:: rloc
                                
                                	EID instance RLOC membership
                                	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc>`
                                
                                .. attribute:: site_registration
                                
                                	Map\-server site registration options
                                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.SiteRegistration>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.rloc = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc()
                                    self.rloc.parent = self
                                    self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.SiteRegistration()
                                    self.site_registration.parent = self


                                class Rloc(object):
                                    """
                                    EID instance RLOC membership
                                    
                                    .. attribute:: members
                                    
                                    	EID instance RLOC membership
                                    	**type**\:   :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.members = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members()
                                        self.members.parent = self


                                    class Members(object):
                                        """
                                        EID instance RLOC membership
                                        
                                        .. attribute:: distribute
                                        
                                        	EID instance RLOC membership distribution
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: modify_discovered
                                        
                                        	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                        	**type**\:   :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.distribute = None
                                            self.modify_discovered = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered()
                                            self.modify_discovered.parent = self


                                        class ModifyDiscovered(object):
                                            """
                                            Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set from which to get member RLOC addresses
                                            	**type**\:  str
                                            
                                            .. attribute:: operator
                                            
                                            	
                                            	**type**\:   :py:class:`OperatorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.operator = None

                                            class OperatorEnum(Enum):
                                                """
                                                OperatorEnum

                                                .. data:: add = 0

                                                .. data:: override = 1

                                                """

                                                add = 0

                                                override = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:modify-discovered'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.operator is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:members'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.distribute is not None:
                                                return True

                                            if self.modify_discovered is not None and self.modify_discovered._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.members is not None and self.members._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc']['meta_info']


                                class SiteRegistration(object):
                                    """
                                    Map\-server site registration options
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations as a result of accept\-more\-specifics
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.limit = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.limit is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer.SiteRegistration']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.rloc is not None and self.rloc._has_data():
                                        return True

                                    if self.site_registration is not None and self.site_registration._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.MapServer']['meta_info']


                            class OtherXtrProbe(object):
                                """
                                Configure parameters for probing of other xTRs in our site
                                
                                .. attribute:: period
                                
                                	Period between probes in seconds
                                	**type**\:  int
                                
                                	**range:** 5..900
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.period = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:other-xtr-probe'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.period is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.OtherXtrProbe']['meta_info']


                            class RemoteRlocProbe(object):
                                """
                                Configure parameters for probing of remote RLOCs
                                
                                .. attribute:: on_membership_change
                                
                                	Trigger probing upon membership changes for remote RLOC
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: on_route_change
                                
                                	Trigger probing upon routing changes for remote RLOC
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.on_membership_change = None
                                    self.on_route_change = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:remote-rloc-probe'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.on_membership_change is not None:
                                        return True

                                    if self.on_route_change is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.RemoteRlocProbe']['meta_info']


                            class Service(object):
                                """
                                Configure lisp service type
                                
                                .. attribute:: ethernet
                                
                                	
                                	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ipv4
                                
                                	
                                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ipv6
                                
                                	
                                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.ethernet = None
                                    self.ipv4 = None
                                    self.ipv6 = None


                                class Ipv4(object):
                                    """
                                    
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\:  str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping>`
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_>`
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Distance>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EidTable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EtrEnable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ItrEnable>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCacheLimit>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCachePersistent>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteExport>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SolicitMapRequest>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.alt = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt()
                                        self.alt.parent = self
                                        self.alt_vrf = None
                                        self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self.default = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_()
                                        self.default.parent = self
                                        self.distance = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Distance()
                                        self.distance.parent = self
                                        self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EidTable()
                                        self.eid_table.parent = self
                                        self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr()
                                        self.etr.parent = self
                                        self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EtrEnable()
                                        self.etr_enable.parent = self
                                        self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr()
                                        self.itr.parent = self
                                        self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ItrEnable()
                                        self.itr_enable.parent = self
                                        self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache()
                                        self.map_cache.parent = self
                                        self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self.map_cache_persistent = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self.map_request_source = None
                                        self.proxy_etr = None
                                        self.proxy_itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self.route_export = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteExport()
                                        self.route_export.parent = self
                                        self.route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport()
                                        self.route_import.parent = self
                                        self.sgt = None
                                        self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SiteRegistration()
                                        self.site_registration.parent = self
                                        self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self.use_petr = YList()
                                        self.use_petr.parent = self
                                        self.use_petr.name = 'use_petr'


                                    class Default_(object):
                                        """
                                        
                                        
                                        .. attribute:: alt
                                        
                                        	LISP Alternative Topology, LISP\-ALT
                                        	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt>`
                                        
                                        .. attribute:: alt_vrf
                                        
                                        	Activate LISP\-ALT functionality in VRF
                                        	**type**\:  str
                                        
                                        	**status**\: deprecated
                                        
                                        .. attribute:: database_mapping
                                        
                                        	Configures Locator addresses for an ETR
                                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping>`
                                        
                                        .. attribute:: distance
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Distance>`
                                        
                                        .. attribute:: eid_table
                                        
                                        	Bind an eid\-table
                                        	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EidTable>`
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr>`
                                        
                                        .. attribute:: etr_enable
                                        
                                        	
                                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EtrEnable>`
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr>`
                                        
                                        .. attribute:: itr_enable
                                        
                                        	
                                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ItrEnable>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Address family specific map cache configuration
                                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache>`
                                        
                                        .. attribute:: map_cache_limit
                                        
                                        	Configures maximum size of map\-cache
                                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCacheLimit>`
                                        
                                        .. attribute:: map_cache_persistent
                                        
                                        	Dump map\-cache onto flash, making it persistent across reboots
                                        	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCachePersistent>`
                                        
                                        .. attribute:: map_request_source
                                        
                                        	Configures inner header source address in Map\-Request message
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: proxy_etr
                                        
                                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: proxy_itr
                                        
                                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ProxyItr>`
                                        
                                        .. attribute:: route_export
                                        
                                        	Export routes into RIB from LISP
                                        	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteExport>`
                                        
                                        .. attribute:: route_import
                                        
                                        	Import RIB routes by a routing protocol into LISP
                                        	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport>`
                                        
                                        .. attribute:: sgt
                                        
                                        	Enable security group tag propagation in LISP encapsulated traffic
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Site registrations configuration for a given instance\-id
                                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SiteRegistration>`
                                        
                                        .. attribute:: solicit_map_request
                                        
                                        	Configure Solicit\-Map\-Request handling
                                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SolicitMapRequest>`
                                        
                                        .. attribute:: use_petr
                                        
                                        	Encapsulate to Proxy ETR when matching forward\-native entry
                                        	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.alt = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt()
                                            self.alt.parent = self
                                            self.alt_vrf = None
                                            self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping()
                                            self.database_mapping.parent = self
                                            self.distance = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Distance()
                                            self.distance.parent = self
                                            self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EidTable()
                                            self.eid_table.parent = self
                                            self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr()
                                            self.etr.parent = self
                                            self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EtrEnable()
                                            self.etr_enable.parent = self
                                            self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr()
                                            self.itr.parent = self
                                            self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ItrEnable()
                                            self.itr_enable.parent = self
                                            self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache()
                                            self.map_cache.parent = self
                                            self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCacheLimit()
                                            self.map_cache_limit.parent = self
                                            self.map_cache_persistent = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCachePersistent()
                                            self.map_cache_persistent.parent = self
                                            self.map_request_source = None
                                            self.proxy_etr = None
                                            self.proxy_itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ProxyItr()
                                            self.proxy_itr.parent = self
                                            self.route_export = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteExport()
                                            self.route_export.parent = self
                                            self.route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport()
                                            self.route_import.parent = self
                                            self.sgt = None
                                            self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SiteRegistration()
                                            self.site_registration.parent = self
                                            self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SolicitMapRequest()
                                            self.solicit_map_request.parent = self
                                            self.use_petr = YList()
                                            self.use_petr.parent = self
                                            self.use_petr.name = 'use_petr'


                                        class EidTable(object):
                                            """
                                            Bind an eid\-table
                                            
                                            .. attribute:: default
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: vrf
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: vrf_name
                                            
                                            	
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.default = None
                                                self.vrf = None
                                                self.vrf_name = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.default is not None:
                                                    return True

                                                if self.vrf is not None:
                                                    return True

                                                if self.vrf_name is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EidTable']['meta_info']


                                        class Itr(object):
                                            """
                                            Configures a LISP Ingress Tunnel Router (ITR)
                                            
                                            .. attribute:: map_resolver
                                            
                                            	Configures map\-resolver address for sending Map\-Requests
                                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr.MapResolver>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.map_resolver = YList()
                                                self.map_resolver.parent = self
                                                self.map_resolver.name = 'map_resolver'


                                            class MapResolver(object):
                                                """
                                                Configures map\-resolver address for sending Map\-Requests
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ip_addr = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.ip_addr is None:
                                                        raise YPYModelError('Key property ip_addr is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ip_addr is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr.MapResolver']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.map_resolver is not None:
                                                    for child_ref in self.map_resolver:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr']['meta_info']


                                        class ItrEnable(object):
                                            """
                                            
                                            
                                            .. attribute:: itr
                                            
                                            	Configures a LISP Ingress Tunnel Router (ITR)
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.itr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.itr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ItrEnable']['meta_info']


                                        class EtrEnable(object):
                                            """
                                            
                                            
                                            .. attribute:: etr
                                            
                                            	Configures a LISP Egress Tunnel Router (ETR)
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EtrEnable']['meta_info']


                                        class Etr(object):
                                            """
                                            Configures a LISP Egress Tunnel Router (ETR)
                                            
                                            .. attribute:: accept_map_request_mapping
                                            
                                            	
                                            	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping>`
                                            
                                            .. attribute:: map_cache_ttl
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 60..10080
                                            
                                            .. attribute:: map_server
                                            
                                            	Configures map server for ETR registration
                                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping()
                                                self.accept_map_request_mapping.parent = self
                                                self.map_cache_ttl = None
                                                self.map_server = YList()
                                                self.map_server.parent = self
                                                self.map_server.name = 'map_server'


                                            class MapServer(object):
                                                """
                                                Configures map server for ETR registration
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: key
                                                
                                                	Authentication key used with map server
                                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key>`
                                                
                                                .. attribute:: proxy_reply
                                                
                                                	Request Map\-Server to send Map\-Replies on behalf of site
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ip_addr = None
                                                    self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key()
                                                    self.key.parent = self
                                                    self.proxy_reply = None


                                                class Key(object):
                                                    """
                                                    Authentication key used with map server
                                                    
                                                    .. attribute:: key_0
                                                    
                                                    	
                                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0>`
                                                    
                                                    .. attribute:: key_6
                                                    
                                                    	
                                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6>`
                                                    
                                                    .. attribute:: key_7
                                                    
                                                    	
                                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7>`
                                                    
                                                    .. attribute:: key_pwd
                                                    
                                                    	
                                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0()
                                                        self.key_0.parent = self
                                                        self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6()
                                                        self.key_6.parent = self
                                                        self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7()
                                                        self.key_7.parent = self
                                                        self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd()
                                                        self.key_pwd.parent = self


                                                    class KeyPwd(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                        
                                                        .. attribute:: unc_pwd
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.hash_function = None
                                                            self.unc_pwd = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.hash_function is not None:
                                                                return True

                                                            if self.unc_pwd is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                    class Key0(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_0
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.ak_0 = None
                                                            self.hash_function = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.ak_0 is not None:
                                                                return True

                                                            if self.hash_function is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                                    class Key6(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_6
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.ak_6 = None
                                                            self.hash_function = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.ak_6 is not None:
                                                                return True

                                                            if self.hash_function is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                                    class Key7(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_7
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.ak_7 = None
                                                            self.hash_function = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.ak_7 is not None:
                                                                return True

                                                            if self.hash_function is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.key_0 is not None and self.key_0._has_data():
                                                            return True

                                                        if self.key_6 is not None and self.key_6._has_data():
                                                            return True

                                                        if self.key_7 is not None and self.key_7._has_data():
                                                            return True

                                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.ip_addr is None:
                                                        raise YPYModelError('Key property ip_addr is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ip_addr is not None:
                                                        return True

                                                    if self.key is not None and self.key._has_data():
                                                        return True

                                                    if self.proxy_reply is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer']['meta_info']


                                            class AcceptMapRequestMapping(object):
                                                """
                                                
                                                
                                                .. attribute:: accept_mappping
                                                
                                                	
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: verify
                                                
                                                	
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.accept_mappping = None
                                                    self.verify = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.accept_mappping is not None:
                                                        return True

                                                    if self.verify is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                    return True

                                                if self.map_cache_ttl is not None:
                                                    return True

                                                if self.map_server is not None:
                                                    for child_ref in self.map_server:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr']['meta_info']


                                        class MapCacheLimit(object):
                                            """
                                            Configures maximum size of map\-cache
                                            
                                            .. attribute:: max_map_cache_entries
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..100000
                                            
                                            .. attribute:: reserve_list
                                            
                                            	EID\-prefixes guaranteed to be stored in map\-cache
                                            	**type**\:  str
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.max_map_cache_entries = None
                                                self.reserve_list = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.max_map_cache_entries is not None:
                                                    return True

                                                if self.reserve_list is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCacheLimit']['meta_info']


                                        class SiteRegistration(object):
                                            """
                                            Site registrations configuration for a given instance\-id
                                            
                                            .. attribute:: limit
                                            
                                            	Maximum number of site registrations
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Warning threshold to issue system logging
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.limit = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.limit is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SiteRegistration']['meta_info']


                                        class SolicitMapRequest(object):
                                            """
                                            Configure Solicit\-Map\-Request handling
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore SMR bit in incoming Map\-Requests
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: max_per_entry
                                            
                                            	Maximum number of SMRs for addresses under a map\-cache entry
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: suppression_time
                                            
                                            	How long to suppress repeated SMRs for the same address
                                            	**type**\:  int
                                            
                                            	**range:** 1..600
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ignore = None
                                                self.max_per_entry = None
                                                self.suppression_time = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ignore is not None:
                                                    return True

                                                if self.max_per_entry is not None:
                                                    return True

                                                if self.suppression_time is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SolicitMapRequest']['meta_info']


                                        class Alt(object):
                                            """
                                            LISP Alternative Topology, LISP\-ALT
                                            
                                            .. attribute:: summary_route
                                            
                                            	Summary route to install into the ALT table
                                            	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt.SummaryRoute>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.summary_route = YList()
                                                self.summary_route.parent = self
                                                self.summary_route.name = 'summary_route'


                                            class SummaryRoute(object):
                                                """
                                                Summary route to install into the ALT table
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                                
                                                
                                                ----
                                                .. attribute:: route_tag
                                                
                                                	ALT RIB route tag for EID prefix
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.eid_prefix = None
                                                    self.route_tag = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.eid_prefix is None:
                                                        raise YPYModelError('Key property eid_prefix is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.eid_prefix is not None:
                                                        return True

                                                    if self.route_tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt.SummaryRoute']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.summary_route is not None:
                                                    for child_ref in self.summary_route:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt']['meta_info']


                                        class Distance(object):
                                            """
                                            Administrative distance for RIB route installation
                                            
                                            .. attribute:: alt
                                            
                                            	LISP routes installed in the ALT table
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: away
                                            
                                            	Administrative distance for RIB route installation
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: dyn_eid
                                            
                                            	LISP installed routes of type dynamic\-EID
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: site_registrations
                                            
                                            	LISP installed routes of type site\-registrations
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.alt = None
                                                self.away = None
                                                self.dyn_eid = None
                                                self.site_registrations = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.alt is not None:
                                                    return True

                                                if self.away is not None:
                                                    return True

                                                if self.dyn_eid is not None:
                                                    return True

                                                if self.site_registrations is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Distance']['meta_info']


                                        class MapCache(object):
                                            """
                                            Address family specific map cache configuration
                                            
                                            .. attribute:: away_eids
                                            
                                            	Map cache configuration for the away table
                                            	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.AwayEids>`
                                            
                                            .. attribute:: eid_interface
                                            
                                            	Configures static EID\-to\-RLOC mappings for an ITR
                                            	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface>`
                                            
                                            .. attribute:: site_registration
                                            
                                            	Install map cache to map request for site registrations
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.away_eids = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.AwayEids()
                                                self.away_eids.parent = self
                                                self.eid_interface = YList()
                                                self.eid_interface.parent = self
                                                self.eid_interface.name = 'eid_interface'
                                                self.site_registration = None


                                            class EidInterface(object):
                                                """
                                                Configures static EID\-to\-RLOC mappings for an ITR
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                                
                                                
                                                ----
                                                .. attribute:: drop
                                                
                                                	Drop packets that match this map\-cache entry
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: etr_interface_ip
                                                
                                                	
                                                	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp>`
                                                
                                                .. attribute:: map_request
                                                
                                                	Send Map\-Request for LISP destination EID
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: native_forward
                                                
                                                	Natively forward packets that match this map\-cache entry
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.eid_prefix = None
                                                    self.drop = None
                                                    self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp()
                                                    self.etr_interface_ip.parent = self
                                                    self.map_request = None
                                                    self.native_forward = None


                                                class EtrInterfaceIp(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: etr_interface_ip_address
                                                    
                                                    	IP address of loopback or other ETR interface
                                                    	**type**\: one of the below types:
                                                    
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    
                                                    ----
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    
                                                    ----
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.etr_interface_ip_address = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.etr_interface_ip_address is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.eid_prefix is None:
                                                        raise YPYModelError('Key property eid_prefix is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.eid_prefix is not None:
                                                        return True

                                                    if self.drop is not None:
                                                        return True

                                                    if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                        return True

                                                    if self.map_request is not None:
                                                        return True

                                                    if self.native_forward is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface']['meta_info']


                                            class AwayEids(object):
                                                """
                                                Map cache configuration for the away table
                                                
                                                .. attribute:: send_map_request
                                                
                                                	Export away table entries into the map cache with action set to send\-map\-request
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.send_map_request = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.send_map_request is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.AwayEids']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.away_eids is not None and self.away_eids._has_data():
                                                    return True

                                                if self.eid_interface is not None:
                                                    for child_ref in self.eid_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.site_registration is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache']['meta_info']


                                        class MapCachePersistent(object):
                                            """
                                            Dump map\-cache onto flash, making it persistent across reboots
                                            
                                            .. attribute:: interval
                                            
                                            	Interval in minutes of how often the map\-cache is saved
                                            	**type**\:  int
                                            
                                            	**range:** 1..1440
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.interval = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.interval is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCachePersistent']['meta_info']


                                        class ProxyItr(object):
                                            """
                                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                            
                                            .. attribute:: ipv4_addr
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: ipv6_addr
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4_addr = None
                                                self.ipv6_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4_addr is not None:
                                                    return True

                                                if self.ipv6_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ProxyItr']['meta_info']


                                        class RouteExport(object):
                                            """
                                            Export routes into RIB from LISP
                                            
                                            .. attribute:: away_eids
                                            
                                            	Export LISP away EIDs to RIB
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: site_registrations
                                            
                                            	Export LISP site registrations to RIB
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.away_eids = None
                                                self.site_registrations = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.away_eids is not None:
                                                    return True

                                                if self.site_registrations is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteExport']['meta_info']


                                        class UsePetr(object):
                                            """
                                            Encapsulate to Proxy ETR when matching forward\-native entry
                                            
                                            .. attribute:: locator_address  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	
                                            	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr.Priority>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_address = None
                                                self.priority = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr.Priority()
                                                self.priority.parent = self


                                            class Priority(object):
                                                """
                                                
                                                
                                                .. attribute:: priority_value
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.priority_value = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.priority_value is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr.Priority']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.locator_address is None:
                                                    raise YPYModelError('Key property locator_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_address is not None:
                                                    return True

                                                if self.priority is not None and self.priority._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr']['meta_info']


                                        class RouteImport(object):
                                            """
                                            Import RIB routes by a routing protocol into LISP
                                            
                                            .. attribute:: database
                                            
                                            	Use RIB routes to define local EID database entries
                                            	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database>`
                                            
                                            .. attribute:: map_cache
                                            
                                            	Use RIB routes to define EID address space in map\-cache
                                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.database = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database()
                                                self.database.parent = self
                                                self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache()
                                                self.map_cache.parent = self


                                            class Database(object):
                                                """
                                                Use RIB routes to define local EID database entries
                                                
                                                .. attribute:: application
                                                
                                                	Application Protocol
                                                	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application>`
                                                
                                                .. attribute:: bgp
                                                
                                                	Border Gateway Protocol (BGP)
                                                	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp>`
                                                
                                                .. attribute:: connected
                                                
                                                	Connected
                                                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected>`
                                                
                                                .. attribute:: eigrp
                                                
                                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp>`
                                                
                                                .. attribute:: isis
                                                
                                                	ISO IS\-IS
                                                	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis>`
                                                
                                                .. attribute:: maximum_prefix
                                                
                                                	Maximum number of prefixes to pick up from the RIB
                                                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix>`
                                                
                                                .. attribute:: nd
                                                
                                                	Neighbor Discovery
                                                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd>`
                                                
                                                .. attribute:: ospf
                                                
                                                	Open Shortest Path First (OSPF)
                                                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf>`
                                                
                                                .. attribute:: rip
                                                
                                                	Routing Information Protocol (RIP)
                                                	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip>`
                                                
                                                .. attribute:: static
                                                
                                                	Static routes
                                                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.application = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application()
                                                    self.application.parent = self
                                                    self.bgp = YList()
                                                    self.bgp.parent = self
                                                    self.bgp.name = 'bgp'
                                                    self.connected = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected()
                                                    self.connected.parent = self
                                                    self.eigrp = YList()
                                                    self.eigrp.parent = self
                                                    self.eigrp.name = 'eigrp'
                                                    self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis()
                                                    self.isis.parent = self
                                                    self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix()
                                                    self.maximum_prefix.parent = self
                                                    self.nd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd()
                                                    self.nd.parent = self
                                                    self.ospf = YList()
                                                    self.ospf.parent = self
                                                    self.ospf.name = 'ospf'
                                                    self.rip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip()
                                                    self.rip.parent = self
                                                    self.static = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static()
                                                    self.static.parent = self


                                                class Application(object):
                                                    """
                                                    Application Protocol
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application']['meta_info']


                                                class Bgp(object):
                                                    """
                                                    Border Gateway Protocol (BGP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: one of the below types:
                                                    
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    
                                                    ----
                                                    	**type**\:  str
                                                    
                                                    
                                                    ----
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp']['meta_info']


                                                class Connected(object):
                                                    """
                                                    Connected
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected']['meta_info']


                                                class Eigrp(object):
                                                    """
                                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp']['meta_info']


                                                class Isis(object):
                                                    """
                                                    ISO IS\-IS
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport>`
                                                    
                                                    .. attribute:: process_id
                                                    
                                                    	Process name
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self.process_id = None


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        if self.process_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis']['meta_info']


                                                class MaximumPrefix(object):
                                                    """
                                                    Maximum number of prefixes to pick up from the RIB
                                                    
                                                    .. attribute:: number
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    .. attribute:: threshold
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: threshold1
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: warning_only
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: warning_only1
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.number = None
                                                        self.threshold = None
                                                        self.threshold1 = None
                                                        self.warning_only = None
                                                        self.warning_only1 = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.number is not None:
                                                            return True

                                                        if self.threshold is not None:
                                                            return True

                                                        if self.threshold1 is not None:
                                                            return True

                                                        if self.warning_only is not None:
                                                            return True

                                                        if self.warning_only1 is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix']['meta_info']


                                                class Nd(object):
                                                    """
                                                    Neighbor Discovery
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd']['meta_info']


                                                class Ospf(object):
                                                    """
                                                    Open Shortest Path First (OSPF)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf']['meta_info']


                                                class Static(object):
                                                    """
                                                    Static routes
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static']['meta_info']


                                                class Rip(object):
                                                    """
                                                    Routing Information Protocol (RIP)
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.application is not None and self.application._has_data():
                                                        return True

                                                    if self.bgp is not None:
                                                        for child_ref in self.bgp:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.connected is not None and self.connected._has_data():
                                                        return True

                                                    if self.eigrp is not None:
                                                        for child_ref in self.eigrp:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.isis is not None and self.isis._has_data():
                                                        return True

                                                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                        return True

                                                    if self.nd is not None and self.nd._has_data():
                                                        return True

                                                    if self.ospf is not None:
                                                        for child_ref in self.ospf:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.rip is not None and self.rip._has_data():
                                                        return True

                                                    if self.static is not None and self.static._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']


                                            class MapCache(object):
                                                """
                                                Use RIB routes to define EID address space in map\-cache
                                                
                                                .. attribute:: application
                                                
                                                	Application Protocol
                                                	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: bgp
                                                
                                                	Border Gateway Protocol (BGP)
                                                	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp>`
                                                
                                                .. attribute:: connected
                                                
                                                	Connected
                                                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: eigrp
                                                
                                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp>`
                                                
                                                .. attribute:: isis
                                                
                                                	ISO IS\-IS
                                                	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis>`
                                                
                                                .. attribute:: maximum_prefix
                                                
                                                	Maximum number of prefixes to pick up from the RIB
                                                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix>`
                                                
                                                .. attribute:: nd
                                                
                                                	Neighbour Discovery
                                                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: ospf
                                                
                                                	Open Shortest Path First (OSPF)
                                                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf>`
                                                
                                                .. attribute:: rip
                                                
                                                	Routing Information Protocol (RIP)
                                                	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip>`
                                                
                                                .. attribute:: static
                                                
                                                	Static routes
                                                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.application = None
                                                    self.bgp = YList()
                                                    self.bgp.parent = self
                                                    self.bgp.name = 'bgp'
                                                    self.connected = None
                                                    self.eigrp = YList()
                                                    self.eigrp.parent = self
                                                    self.eigrp.name = 'eigrp'
                                                    self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis()
                                                    self.isis.parent = self
                                                    self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix()
                                                    self.maximum_prefix.parent = self
                                                    self.nd = None
                                                    self.ospf = YList()
                                                    self.ospf.parent = self
                                                    self.ospf.name = 'ospf'
                                                    self.rip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip()
                                                    self.rip.parent = self
                                                    self.static = None


                                                class Application(object):
                                                    """
                                                    Application Protocol
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application']['meta_info']


                                                class Bgp(object):
                                                    """
                                                    Border Gateway Protocol (BGP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: one of the below types:
                                                    
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    
                                                    ----
                                                    	**type**\:  str
                                                    
                                                    
                                                    ----
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp']['meta_info']


                                                class Connected(object):
                                                    """
                                                    Connected
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected']['meta_info']


                                                class Eigrp(object):
                                                    """
                                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp']['meta_info']


                                                class Isis(object):
                                                    """
                                                    ISO IS\-IS
                                                    
                                                    .. attribute:: id
                                                    
                                                    	Process name
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis']['meta_info']


                                                class MaximumPrefix(object):
                                                    """
                                                    Maximum number of prefixes to pick up from the RIB
                                                    
                                                    .. attribute:: number
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    .. attribute:: threshold
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: threshold1
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: warning_only
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: warning_only1
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.number = None
                                                        self.threshold = None
                                                        self.threshold1 = None
                                                        self.warning_only = None
                                                        self.warning_only1 = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.number is not None:
                                                            return True

                                                        if self.threshold is not None:
                                                            return True

                                                        if self.threshold1 is not None:
                                                            return True

                                                        if self.warning_only is not None:
                                                            return True

                                                        if self.warning_only1 is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                                class Nd(object):
                                                    """
                                                    Neighbour Discovery
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd']['meta_info']


                                                class Ospf(object):
                                                    """
                                                    Open Shortest Path First (OSPF)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf']['meta_info']


                                                class Static(object):
                                                    """
                                                    Static routes
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static']['meta_info']


                                                class Rip(object):
                                                    """
                                                    Routing Information Protocol (RIP)
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.application is not None and self.application._has_data():
                                                        return True

                                                    if self.bgp is not None:
                                                        for child_ref in self.bgp:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.connected is not None and self.connected._has_data():
                                                        return True

                                                    if self.eigrp is not None:
                                                        for child_ref in self.eigrp:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.isis is not None and self.isis._has_data():
                                                        return True

                                                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                        return True

                                                    if self.nd is not None and self.nd._has_data():
                                                        return True

                                                    if self.ospf is not None:
                                                        for child_ref in self.ospf:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.rip is not None and self.rip._has_data():
                                                        return True

                                                    if self.static is not None and self.static._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.database is not None and self.database._has_data():
                                                    return True

                                                if self.map_cache is not None and self.map_cache._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport']['meta_info']


                                        class DatabaseMapping(object):
                                            """
                                            Configures Locator addresses for an ETR
                                            
                                            .. attribute:: eid_cont
                                            
                                            	
                                            	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont>`
                                            
                                            .. attribute:: limit
                                            
                                            	Configures the maximum size of local EID prefixes database
                                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.Limit>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_cont = YList()
                                                self.eid_cont.parent = self
                                                self.eid_cont.name = 'eid_cont'
                                                self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.Limit()
                                                self.limit.parent = self


                                            class EidCont(object):
                                                """
                                                
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                                
                                                .. attribute:: auto_discover_rlocs
                                                
                                                	
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: ipv4_addrees
                                                
                                                	IPv4 Address of loopback or other ETR interface
                                                	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees>`
                                                
                                                .. attribute:: ipv4_interface
                                                
                                                	
                                                	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface>`
                                                
                                                .. attribute:: ipv6_addrees
                                                
                                                	IPv6 Address of loopback or other ETR interface
                                                	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees>`
                                                
                                                .. attribute:: ipv6_interface
                                                
                                                	
                                                	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface>`
                                                
                                                .. attribute:: locator_set
                                                
                                                	Use locators defined by locator\-set
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.eid_prefix = None
                                                    self.auto_discover_rlocs = None
                                                    self.ipv4_addrees = YList()
                                                    self.ipv4_addrees.parent = self
                                                    self.ipv4_addrees.name = 'ipv4_addrees'
                                                    self.ipv4_interface = YList()
                                                    self.ipv4_interface.parent = self
                                                    self.ipv4_interface.name = 'ipv4_interface'
                                                    self.ipv6_addrees = YList()
                                                    self.ipv6_addrees.parent = self
                                                    self.ipv6_addrees.name = 'ipv6_addrees'
                                                    self.ipv6_interface = YList()
                                                    self.ipv6_interface.parent = self
                                                    self.ipv6_interface.name = 'ipv6_interface'
                                                    self.locator_set = None


                                                class Ipv4Addrees(object):
                                                    """
                                                    IPv4 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.address is None:
                                                            raise YPYModelError('Key property address is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.address is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                                class Ipv6Addrees(object):
                                                    """
                                                    IPv6 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.address is None:
                                                            raise YPYModelError('Key property address is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.address is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                                class Ipv4Interface(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.name = None
                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.name is None:
                                                            raise YPYModelError('Key property name is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.name is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                                class Ipv6Interface(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.name = None
                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.name is None:
                                                            raise YPYModelError('Key property name is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.name is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.eid_prefix is None:
                                                        raise YPYModelError('Key property eid_prefix is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.eid_prefix is not None:
                                                        return True

                                                    if self.auto_discover_rlocs is not None:
                                                        return True

                                                    if self.ipv4_addrees is not None:
                                                        for child_ref in self.ipv4_addrees:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.ipv4_interface is not None:
                                                        for child_ref in self.ipv4_interface:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.ipv6_addrees is not None:
                                                        for child_ref in self.ipv6_addrees:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.ipv6_interface is not None:
                                                        for child_ref in self.ipv6_interface:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.locator_set is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']


                                            class Limit(object):
                                                """
                                                Configures the maximum size of local EID prefixes database
                                                
                                                .. attribute:: dynamic
                                                
                                                	Configures the maximum size of dynamic local EID prefixes database
                                                	**type**\:  int
                                                
                                                	**range:** 1..5000
                                                
                                                .. attribute:: warning_threshold
                                                
                                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.dynamic = None
                                                    self.warning_threshold = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.dynamic is not None:
                                                        return True

                                                    if self.warning_threshold is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.Limit']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_cont is not None:
                                                    for child_ref in self.eid_cont:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.limit is not None and self.limit._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.alt is not None and self.alt._has_data():
                                                return True

                                            if self.alt_vrf is not None:
                                                return True

                                            if self.database_mapping is not None and self.database_mapping._has_data():
                                                return True

                                            if self.distance is not None and self.distance._has_data():
                                                return True

                                            if self.eid_table is not None and self.eid_table._has_data():
                                                return True

                                            if self.etr is not None and self.etr._has_data():
                                                return True

                                            if self.etr_enable is not None and self.etr_enable._has_data():
                                                return True

                                            if self.itr is not None and self.itr._has_data():
                                                return True

                                            if self.itr_enable is not None and self.itr_enable._has_data():
                                                return True

                                            if self.map_cache is not None and self.map_cache._has_data():
                                                return True

                                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                                return True

                                            if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                                return True

                                            if self.map_request_source is not None:
                                                return True

                                            if self.proxy_etr is not None:
                                                return True

                                            if self.proxy_itr is not None and self.proxy_itr._has_data():
                                                return True

                                            if self.route_export is not None and self.route_export._has_data():
                                                return True

                                            if self.route_import is not None and self.route_import._has_data():
                                                return True

                                            if self.sgt is not None:
                                                return True

                                            if self.site_registration is not None and self.site_registration._has_data():
                                                return True

                                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                                return True

                                            if self.use_petr is not None:
                                                for child_ref in self.use_petr:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']


                                    class EidTable(object):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.default = None
                                            self.vrf = None
                                            self.vrf_name = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.default is not None:
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            if self.vrf_name is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EidTable']['meta_info']


                                    class Itr(object):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.map_resolver = YList()
                                            self.map_resolver.parent = self
                                            self.map_resolver.name = 'map_resolver'


                                        class MapResolver(object):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr.MapResolver']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.map_resolver is not None:
                                                for child_ref in self.map_resolver:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr']['meta_info']


                                    class ItrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.itr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.itr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ItrEnable']['meta_info']


                                    class EtrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EtrEnable']['meta_info']


                                    class Etr(object):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self.map_cache_ttl = None
                                            self.map_server = YList()
                                            self.map_server.parent = self
                                            self.map_server.name = 'map_server'


                                        class MapServer(object):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None
                                                self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self.proxy_reply = None


                                            class Key(object):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self


                                                class KeyPwd(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.hash_function = None
                                                        self.unc_pwd = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.hash_function is not None:
                                                            return True

                                                        if self.unc_pwd is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                class Key0(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_0 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_0 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info']


                                                class Key6(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_6 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_6 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info']


                                                class Key7(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_7 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_7 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.key_0 is not None and self.key_0._has_data():
                                                        return True

                                                    if self.key_6 is not None and self.key_6._has_data():
                                                        return True

                                                    if self.key_7 is not None and self.key_7._has_data():
                                                        return True

                                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                if self.key is not None and self.key._has_data():
                                                    return True

                                                if self.proxy_reply is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer']['meta_info']


                                        class AcceptMapRequestMapping(object):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_mappping = None
                                                self.verify = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_mappping is not None:
                                                    return True

                                                if self.verify is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                return True

                                            if self.map_cache_ttl is not None:
                                                return True

                                            if self.map_server is not None:
                                                for child_ref in self.map_server:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr']['meta_info']


                                    class MapCacheLimit(object):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\:  str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max_map_cache_entries = None
                                            self.reserve_list = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max_map_cache_entries is not None:
                                                return True

                                            if self.reserve_list is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCacheLimit']['meta_info']


                                    class SiteRegistration(object):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.limit = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.limit is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SiteRegistration']['meta_info']


                                    class SolicitMapRequest(object):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\:  int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None
                                            self.max_per_entry = None
                                            self.suppression_time = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            if self.max_per_entry is not None:
                                                return True

                                            if self.suppression_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SolicitMapRequest']['meta_info']


                                    class Alt(object):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.summary_route = YList()
                                            self.summary_route.parent = self
                                            self.summary_route.name = 'summary_route'


                                        class SummaryRoute(object):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.route_tag = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.route_tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt.SummaryRoute']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.summary_route is not None:
                                                for child_ref in self.summary_route:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt']['meta_info']


                                    class Distance(object):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.alt = None
                                            self.away = None
                                            self.dyn_eid = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.alt is not None:
                                                return True

                                            if self.away is not None:
                                                return True

                                            if self.dyn_eid is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Distance']['meta_info']


                                    class MapCache(object):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.AwayEids>`
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self.eid_interface = YList()
                                            self.eid_interface.parent = self
                                            self.eid_interface.name = 'eid_interface'
                                            self.site_registration = None


                                        class EidInterface(object):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.drop = None
                                                self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self.map_request = None
                                                self.native_forward = None


                                            class EtrInterfaceIp(object):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.etr_interface_ip_address = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.etr_interface_ip_address is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.drop is not None:
                                                    return True

                                                if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                    return True

                                                if self.map_request is not None:
                                                    return True

                                                if self.native_forward is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface']['meta_info']


                                        class AwayEids(object):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.send_map_request = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.send_map_request is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.AwayEids']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None and self.away_eids._has_data():
                                                return True

                                            if self.eid_interface is not None:
                                                for child_ref in self.eid_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.site_registration is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache']['meta_info']


                                    class MapCachePersistent(object):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\:  int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.interval = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.interval is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCachePersistent']['meta_info']


                                    class ProxyItr(object):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4_addr = None
                                            self.ipv6_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4_addr is not None:
                                                return True

                                            if self.ipv6_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ProxyItr']['meta_info']


                                    class RouteExport(object):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteExport']['meta_info']


                                    class UsePetr(object):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_address = None
                                            self.priority = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr.Priority()
                                            self.priority.parent = self


                                        class Priority(object):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.priority_value = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.priority_value is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr.Priority']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.locator_address is None:
                                                raise YPYModelError('Key property locator_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_address is not None:
                                                return True

                                            if self.priority is not None and self.priority._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr']['meta_info']


                                    class RouteImport(object):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.database = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database()
                                            self.database.parent = self
                                            self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache()
                                            self.map_cache.parent = self


                                        class Database(object):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip()
                                                self.rip.parent = self
                                                self.static = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static()
                                                self.static.parent = self


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self.process_id = None


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    if self.process_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None and self.rip._has_data():
                                                    return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']


                                        class MapCache(object):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = None
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = None
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = None
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip()
                                                self.rip.parent = self
                                                self.static = None


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None and self.rip._has_data():
                                                    return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.database is not None and self.database._has_data():
                                                return True

                                            if self.map_cache is not None and self.map_cache._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport']['meta_info']


                                    class DatabaseMapping(object):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'
                                            self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.Limit()
                                            self.limit.parent = self


                                        class EidCont(object):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface>`
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.auto_discover_rlocs = None
                                                self.ipv4_addrees = YList()
                                                self.ipv4_addrees.parent = self
                                                self.ipv4_addrees.name = 'ipv4_addrees'
                                                self.ipv4_interface = YList()
                                                self.ipv4_interface.parent = self
                                                self.ipv4_interface.name = 'ipv4_interface'
                                                self.ipv6_addrees = YList()
                                                self.ipv6_addrees.parent = self
                                                self.ipv6_addrees.name = 'ipv6_addrees'
                                                self.ipv6_interface = YList()
                                                self.ipv6_interface.parent = self
                                                self.ipv6_interface.name = 'ipv6_interface'
                                                self.locator_set = None


                                            class Ipv4Addrees(object):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                            class Ipv6Addrees(object):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                            class Ipv4Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                            class Ipv6Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.auto_discover_rlocs is not None:
                                                    return True

                                                if self.ipv4_addrees is not None:
                                                    for child_ref in self.ipv4_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv4_interface is not None:
                                                    for child_ref in self.ipv4_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_addrees is not None:
                                                    for child_ref in self.ipv6_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_interface is not None:
                                                    for child_ref in self.ipv6_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.locator_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']


                                        class Limit(object):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\:  int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dynamic = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dynamic is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.Limit']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.limit is not None and self.limit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.alt is not None and self.alt._has_data():
                                            return True

                                        if self.alt_vrf is not None:
                                            return True

                                        if self.database_mapping is not None and self.database_mapping._has_data():
                                            return True

                                        if self.default is not None and self.default._has_data():
                                            return True

                                        if self.distance is not None and self.distance._has_data():
                                            return True

                                        if self.eid_table is not None and self.eid_table._has_data():
                                            return True

                                        if self.etr is not None and self.etr._has_data():
                                            return True

                                        if self.etr_enable is not None and self.etr_enable._has_data():
                                            return True

                                        if self.itr is not None and self.itr._has_data():
                                            return True

                                        if self.itr_enable is not None and self.itr_enable._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                            return True

                                        if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                            return True

                                        if self.map_request_source is not None:
                                            return True

                                        if self.proxy_etr is not None:
                                            return True

                                        if self.proxy_itr is not None and self.proxy_itr._has_data():
                                            return True

                                        if self.route_export is not None and self.route_export._has_data():
                                            return True

                                        if self.route_import is not None and self.route_import._has_data():
                                            return True

                                        if self.sgt is not None:
                                            return True

                                        if self.site_registration is not None and self.site_registration._has_data():
                                            return True

                                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                            return True

                                        if self.use_petr is not None:
                                            for child_ref in self.use_petr:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']


                                class Ipv6(object):
                                    """
                                    
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\:  str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping>`
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_>`
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Distance>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EidTable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EtrEnable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ItrEnable>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCacheLimit>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCachePersistent>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteExport>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SolicitMapRequest>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.alt = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt()
                                        self.alt.parent = self
                                        self.alt_vrf = None
                                        self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self.default = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_()
                                        self.default.parent = self
                                        self.distance = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Distance()
                                        self.distance.parent = self
                                        self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EidTable()
                                        self.eid_table.parent = self
                                        self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr()
                                        self.etr.parent = self
                                        self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EtrEnable()
                                        self.etr_enable.parent = self
                                        self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr()
                                        self.itr.parent = self
                                        self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ItrEnable()
                                        self.itr_enable.parent = self
                                        self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache()
                                        self.map_cache.parent = self
                                        self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self.map_cache_persistent = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self.map_request_source = None
                                        self.proxy_etr = None
                                        self.proxy_itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self.route_export = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteExport()
                                        self.route_export.parent = self
                                        self.route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport()
                                        self.route_import.parent = self
                                        self.sgt = None
                                        self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SiteRegistration()
                                        self.site_registration.parent = self
                                        self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self.use_petr = YList()
                                        self.use_petr.parent = self
                                        self.use_petr.name = 'use_petr'


                                    class Default_(object):
                                        """
                                        
                                        
                                        .. attribute:: alt
                                        
                                        	LISP Alternative Topology, LISP\-ALT
                                        	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt>`
                                        
                                        .. attribute:: alt_vrf
                                        
                                        	Activate LISP\-ALT functionality in VRF
                                        	**type**\:  str
                                        
                                        	**status**\: deprecated
                                        
                                        .. attribute:: database_mapping
                                        
                                        	Configures Locator addresses for an ETR
                                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping>`
                                        
                                        .. attribute:: distance
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Distance>`
                                        
                                        .. attribute:: eid_table
                                        
                                        	Bind an eid\-table
                                        	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EidTable>`
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr>`
                                        
                                        .. attribute:: etr_enable
                                        
                                        	
                                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EtrEnable>`
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr>`
                                        
                                        .. attribute:: itr_enable
                                        
                                        	
                                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ItrEnable>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Address family specific map cache configuration
                                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache>`
                                        
                                        .. attribute:: map_cache_limit
                                        
                                        	Configures maximum size of map\-cache
                                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCacheLimit>`
                                        
                                        .. attribute:: map_cache_persistent
                                        
                                        	Dump map\-cache onto flash, making it persistent across reboots
                                        	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCachePersistent>`
                                        
                                        .. attribute:: map_request_source
                                        
                                        	Configures inner header source address in Map\-Request message
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: proxy_etr
                                        
                                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: proxy_itr
                                        
                                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ProxyItr>`
                                        
                                        .. attribute:: route_export
                                        
                                        	Export routes into RIB from LISP
                                        	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteExport>`
                                        
                                        .. attribute:: route_import
                                        
                                        	Import RIB routes by a routing protocol into LISP
                                        	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport>`
                                        
                                        .. attribute:: sgt
                                        
                                        	Enable security group tag propagation in LISP encapsulated traffic
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Site registrations configuration for a given instance\-id
                                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SiteRegistration>`
                                        
                                        .. attribute:: solicit_map_request
                                        
                                        	Configure Solicit\-Map\-Request handling
                                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SolicitMapRequest>`
                                        
                                        .. attribute:: use_petr
                                        
                                        	Encapsulate to Proxy ETR when matching forward\-native entry
                                        	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.alt = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt()
                                            self.alt.parent = self
                                            self.alt_vrf = None
                                            self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping()
                                            self.database_mapping.parent = self
                                            self.distance = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Distance()
                                            self.distance.parent = self
                                            self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EidTable()
                                            self.eid_table.parent = self
                                            self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr()
                                            self.etr.parent = self
                                            self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EtrEnable()
                                            self.etr_enable.parent = self
                                            self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr()
                                            self.itr.parent = self
                                            self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ItrEnable()
                                            self.itr_enable.parent = self
                                            self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache()
                                            self.map_cache.parent = self
                                            self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCacheLimit()
                                            self.map_cache_limit.parent = self
                                            self.map_cache_persistent = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCachePersistent()
                                            self.map_cache_persistent.parent = self
                                            self.map_request_source = None
                                            self.proxy_etr = None
                                            self.proxy_itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ProxyItr()
                                            self.proxy_itr.parent = self
                                            self.route_export = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteExport()
                                            self.route_export.parent = self
                                            self.route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport()
                                            self.route_import.parent = self
                                            self.sgt = None
                                            self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SiteRegistration()
                                            self.site_registration.parent = self
                                            self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SolicitMapRequest()
                                            self.solicit_map_request.parent = self
                                            self.use_petr = YList()
                                            self.use_petr.parent = self
                                            self.use_petr.name = 'use_petr'


                                        class EidTable(object):
                                            """
                                            Bind an eid\-table
                                            
                                            .. attribute:: default
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: vrf
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: vrf_name
                                            
                                            	
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.default = None
                                                self.vrf = None
                                                self.vrf_name = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.default is not None:
                                                    return True

                                                if self.vrf is not None:
                                                    return True

                                                if self.vrf_name is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EidTable']['meta_info']


                                        class Itr(object):
                                            """
                                            Configures a LISP Ingress Tunnel Router (ITR)
                                            
                                            .. attribute:: map_resolver
                                            
                                            	Configures map\-resolver address for sending Map\-Requests
                                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr.MapResolver>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.map_resolver = YList()
                                                self.map_resolver.parent = self
                                                self.map_resolver.name = 'map_resolver'


                                            class MapResolver(object):
                                                """
                                                Configures map\-resolver address for sending Map\-Requests
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ip_addr = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.ip_addr is None:
                                                        raise YPYModelError('Key property ip_addr is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ip_addr is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr.MapResolver']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.map_resolver is not None:
                                                    for child_ref in self.map_resolver:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr']['meta_info']


                                        class ItrEnable(object):
                                            """
                                            
                                            
                                            .. attribute:: itr
                                            
                                            	Configures a LISP Ingress Tunnel Router (ITR)
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.itr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.itr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ItrEnable']['meta_info']


                                        class EtrEnable(object):
                                            """
                                            
                                            
                                            .. attribute:: etr
                                            
                                            	Configures a LISP Egress Tunnel Router (ETR)
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EtrEnable']['meta_info']


                                        class Etr(object):
                                            """
                                            Configures a LISP Egress Tunnel Router (ETR)
                                            
                                            .. attribute:: accept_map_request_mapping
                                            
                                            	
                                            	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping>`
                                            
                                            .. attribute:: map_cache_ttl
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 60..10080
                                            
                                            .. attribute:: map_server
                                            
                                            	Configures map server for ETR registration
                                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping()
                                                self.accept_map_request_mapping.parent = self
                                                self.map_cache_ttl = None
                                                self.map_server = YList()
                                                self.map_server.parent = self
                                                self.map_server.name = 'map_server'


                                            class MapServer(object):
                                                """
                                                Configures map server for ETR registration
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: key
                                                
                                                	Authentication key used with map server
                                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key>`
                                                
                                                .. attribute:: proxy_reply
                                                
                                                	Request Map\-Server to send Map\-Replies on behalf of site
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ip_addr = None
                                                    self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key()
                                                    self.key.parent = self
                                                    self.proxy_reply = None


                                                class Key(object):
                                                    """
                                                    Authentication key used with map server
                                                    
                                                    .. attribute:: key_0
                                                    
                                                    	
                                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0>`
                                                    
                                                    .. attribute:: key_6
                                                    
                                                    	
                                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6>`
                                                    
                                                    .. attribute:: key_7
                                                    
                                                    	
                                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7>`
                                                    
                                                    .. attribute:: key_pwd
                                                    
                                                    	
                                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0()
                                                        self.key_0.parent = self
                                                        self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6()
                                                        self.key_6.parent = self
                                                        self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7()
                                                        self.key_7.parent = self
                                                        self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd()
                                                        self.key_pwd.parent = self


                                                    class KeyPwd(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                        
                                                        .. attribute:: unc_pwd
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.hash_function = None
                                                            self.unc_pwd = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.hash_function is not None:
                                                                return True

                                                            if self.unc_pwd is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                    class Key0(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_0
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.ak_0 = None
                                                            self.hash_function = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.ak_0 is not None:
                                                                return True

                                                            if self.hash_function is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                                    class Key6(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_6
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.ak_6 = None
                                                            self.hash_function = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.ak_6 is not None:
                                                                return True

                                                            if self.hash_function is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                                    class Key7(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_7
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.ak_7 = None
                                                            self.hash_function = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.ak_7 is not None:
                                                                return True

                                                            if self.hash_function is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.key_0 is not None and self.key_0._has_data():
                                                            return True

                                                        if self.key_6 is not None and self.key_6._has_data():
                                                            return True

                                                        if self.key_7 is not None and self.key_7._has_data():
                                                            return True

                                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.ip_addr is None:
                                                        raise YPYModelError('Key property ip_addr is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ip_addr is not None:
                                                        return True

                                                    if self.key is not None and self.key._has_data():
                                                        return True

                                                    if self.proxy_reply is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer']['meta_info']


                                            class AcceptMapRequestMapping(object):
                                                """
                                                
                                                
                                                .. attribute:: accept_mappping
                                                
                                                	
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: verify
                                                
                                                	
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.accept_mappping = None
                                                    self.verify = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.accept_mappping is not None:
                                                        return True

                                                    if self.verify is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                    return True

                                                if self.map_cache_ttl is not None:
                                                    return True

                                                if self.map_server is not None:
                                                    for child_ref in self.map_server:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr']['meta_info']


                                        class MapCacheLimit(object):
                                            """
                                            Configures maximum size of map\-cache
                                            
                                            .. attribute:: max_map_cache_entries
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..100000
                                            
                                            .. attribute:: reserve_list
                                            
                                            	EID\-prefixes guaranteed to be stored in map\-cache
                                            	**type**\:  str
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.max_map_cache_entries = None
                                                self.reserve_list = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.max_map_cache_entries is not None:
                                                    return True

                                                if self.reserve_list is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCacheLimit']['meta_info']


                                        class SiteRegistration(object):
                                            """
                                            Site registrations configuration for a given instance\-id
                                            
                                            .. attribute:: limit
                                            
                                            	Maximum number of site registrations
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Warning threshold to issue system logging
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.limit = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.limit is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SiteRegistration']['meta_info']


                                        class SolicitMapRequest(object):
                                            """
                                            Configure Solicit\-Map\-Request handling
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore SMR bit in incoming Map\-Requests
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: max_per_entry
                                            
                                            	Maximum number of SMRs for addresses under a map\-cache entry
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: suppression_time
                                            
                                            	How long to suppress repeated SMRs for the same address
                                            	**type**\:  int
                                            
                                            	**range:** 1..600
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ignore = None
                                                self.max_per_entry = None
                                                self.suppression_time = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ignore is not None:
                                                    return True

                                                if self.max_per_entry is not None:
                                                    return True

                                                if self.suppression_time is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SolicitMapRequest']['meta_info']


                                        class Alt(object):
                                            """
                                            LISP Alternative Topology, LISP\-ALT
                                            
                                            .. attribute:: summary_route
                                            
                                            	Summary route to install into the ALT table
                                            	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt.SummaryRoute>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.summary_route = YList()
                                                self.summary_route.parent = self
                                                self.summary_route.name = 'summary_route'


                                            class SummaryRoute(object):
                                                """
                                                Summary route to install into the ALT table
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                                
                                                
                                                ----
                                                .. attribute:: route_tag
                                                
                                                	ALT RIB route tag for EID prefix
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.eid_prefix = None
                                                    self.route_tag = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.eid_prefix is None:
                                                        raise YPYModelError('Key property eid_prefix is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.eid_prefix is not None:
                                                        return True

                                                    if self.route_tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt.SummaryRoute']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.summary_route is not None:
                                                    for child_ref in self.summary_route:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt']['meta_info']


                                        class Distance(object):
                                            """
                                            Administrative distance for RIB route installation
                                            
                                            .. attribute:: alt
                                            
                                            	LISP routes installed in the ALT table
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: away
                                            
                                            	Administrative distance for RIB route installation
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: dyn_eid
                                            
                                            	LISP installed routes of type dynamic\-EID
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: site_registrations
                                            
                                            	LISP installed routes of type site\-registrations
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.alt = None
                                                self.away = None
                                                self.dyn_eid = None
                                                self.site_registrations = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.alt is not None:
                                                    return True

                                                if self.away is not None:
                                                    return True

                                                if self.dyn_eid is not None:
                                                    return True

                                                if self.site_registrations is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Distance']['meta_info']


                                        class MapCache(object):
                                            """
                                            Address family specific map cache configuration
                                            
                                            .. attribute:: away_eids
                                            
                                            	Map cache configuration for the away table
                                            	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.AwayEids>`
                                            
                                            .. attribute:: eid_interface
                                            
                                            	Configures static EID\-to\-RLOC mappings for an ITR
                                            	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface>`
                                            
                                            .. attribute:: site_registration
                                            
                                            	Install map cache to map request for site registrations
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.away_eids = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.AwayEids()
                                                self.away_eids.parent = self
                                                self.eid_interface = YList()
                                                self.eid_interface.parent = self
                                                self.eid_interface.name = 'eid_interface'
                                                self.site_registration = None


                                            class EidInterface(object):
                                                """
                                                Configures static EID\-to\-RLOC mappings for an ITR
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                                
                                                
                                                ----
                                                .. attribute:: drop
                                                
                                                	Drop packets that match this map\-cache entry
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: etr_interface_ip
                                                
                                                	
                                                	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp>`
                                                
                                                .. attribute:: map_request
                                                
                                                	Send Map\-Request for LISP destination EID
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: native_forward
                                                
                                                	Natively forward packets that match this map\-cache entry
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.eid_prefix = None
                                                    self.drop = None
                                                    self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp()
                                                    self.etr_interface_ip.parent = self
                                                    self.map_request = None
                                                    self.native_forward = None


                                                class EtrInterfaceIp(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: etr_interface_ip_address
                                                    
                                                    	IP address of loopback or other ETR interface
                                                    	**type**\: one of the below types:
                                                    
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    
                                                    ----
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    
                                                    ----
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.etr_interface_ip_address = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.etr_interface_ip_address is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.eid_prefix is None:
                                                        raise YPYModelError('Key property eid_prefix is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.eid_prefix is not None:
                                                        return True

                                                    if self.drop is not None:
                                                        return True

                                                    if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                        return True

                                                    if self.map_request is not None:
                                                        return True

                                                    if self.native_forward is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface']['meta_info']


                                            class AwayEids(object):
                                                """
                                                Map cache configuration for the away table
                                                
                                                .. attribute:: send_map_request
                                                
                                                	Export away table entries into the map cache with action set to send\-map\-request
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.send_map_request = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.send_map_request is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.AwayEids']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.away_eids is not None and self.away_eids._has_data():
                                                    return True

                                                if self.eid_interface is not None:
                                                    for child_ref in self.eid_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.site_registration is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache']['meta_info']


                                        class MapCachePersistent(object):
                                            """
                                            Dump map\-cache onto flash, making it persistent across reboots
                                            
                                            .. attribute:: interval
                                            
                                            	Interval in minutes of how often the map\-cache is saved
                                            	**type**\:  int
                                            
                                            	**range:** 1..1440
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.interval = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.interval is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCachePersistent']['meta_info']


                                        class ProxyItr(object):
                                            """
                                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                            
                                            .. attribute:: ipv4_addr
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: ipv6_addr
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4_addr = None
                                                self.ipv6_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4_addr is not None:
                                                    return True

                                                if self.ipv6_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ProxyItr']['meta_info']


                                        class RouteExport(object):
                                            """
                                            Export routes into RIB from LISP
                                            
                                            .. attribute:: away_eids
                                            
                                            	Export LISP away EIDs to RIB
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: site_registrations
                                            
                                            	Export LISP site registrations to RIB
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.away_eids = None
                                                self.site_registrations = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.away_eids is not None:
                                                    return True

                                                if self.site_registrations is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteExport']['meta_info']


                                        class UsePetr(object):
                                            """
                                            Encapsulate to Proxy ETR when matching forward\-native entry
                                            
                                            .. attribute:: locator_address  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	
                                            	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr.Priority>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_address = None
                                                self.priority = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr.Priority()
                                                self.priority.parent = self


                                            class Priority(object):
                                                """
                                                
                                                
                                                .. attribute:: priority_value
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.priority_value = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.priority_value is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr.Priority']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.locator_address is None:
                                                    raise YPYModelError('Key property locator_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_address is not None:
                                                    return True

                                                if self.priority is not None and self.priority._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr']['meta_info']


                                        class RouteImport(object):
                                            """
                                            Import RIB routes by a routing protocol into LISP
                                            
                                            .. attribute:: database
                                            
                                            	Use RIB routes to define local EID database entries
                                            	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database>`
                                            
                                            .. attribute:: map_cache
                                            
                                            	Use RIB routes to define EID address space in map\-cache
                                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.database = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database()
                                                self.database.parent = self
                                                self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache()
                                                self.map_cache.parent = self


                                            class Database(object):
                                                """
                                                Use RIB routes to define local EID database entries
                                                
                                                .. attribute:: application
                                                
                                                	Application Protocol
                                                	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application>`
                                                
                                                .. attribute:: bgp
                                                
                                                	Border Gateway Protocol (BGP)
                                                	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp>`
                                                
                                                .. attribute:: connected
                                                
                                                	Connected
                                                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected>`
                                                
                                                .. attribute:: eigrp
                                                
                                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp>`
                                                
                                                .. attribute:: isis
                                                
                                                	ISO IS\-IS
                                                	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis>`
                                                
                                                .. attribute:: maximum_prefix
                                                
                                                	Maximum number of prefixes to pick up from the RIB
                                                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix>`
                                                
                                                .. attribute:: nd
                                                
                                                	Neighbor Discovery
                                                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd>`
                                                
                                                .. attribute:: ospf
                                                
                                                	Open Shortest Path First (OSPF)
                                                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf>`
                                                
                                                .. attribute:: rip
                                                
                                                	Routing Information Protocol (RIP)
                                                	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip>`
                                                
                                                .. attribute:: static
                                                
                                                	Static routes
                                                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.application = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application()
                                                    self.application.parent = self
                                                    self.bgp = YList()
                                                    self.bgp.parent = self
                                                    self.bgp.name = 'bgp'
                                                    self.connected = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected()
                                                    self.connected.parent = self
                                                    self.eigrp = YList()
                                                    self.eigrp.parent = self
                                                    self.eigrp.name = 'eigrp'
                                                    self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis()
                                                    self.isis.parent = self
                                                    self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix()
                                                    self.maximum_prefix.parent = self
                                                    self.nd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd()
                                                    self.nd.parent = self
                                                    self.ospf = YList()
                                                    self.ospf.parent = self
                                                    self.ospf.name = 'ospf'
                                                    self.rip = YList()
                                                    self.rip.parent = self
                                                    self.rip.name = 'rip'
                                                    self.static = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static()
                                                    self.static.parent = self


                                                class Application(object):
                                                    """
                                                    Application Protocol
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application']['meta_info']


                                                class Bgp(object):
                                                    """
                                                    Border Gateway Protocol (BGP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: one of the below types:
                                                    
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    
                                                    ----
                                                    	**type**\:  str
                                                    
                                                    
                                                    ----
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp']['meta_info']


                                                class Connected(object):
                                                    """
                                                    Connected
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected']['meta_info']


                                                class Eigrp(object):
                                                    """
                                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp']['meta_info']


                                                class Isis(object):
                                                    """
                                                    ISO IS\-IS
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport>`
                                                    
                                                    .. attribute:: process_id
                                                    
                                                    	Process name
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self.process_id = None


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        if self.process_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis']['meta_info']


                                                class MaximumPrefix(object):
                                                    """
                                                    Maximum number of prefixes to pick up from the RIB
                                                    
                                                    .. attribute:: number
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    .. attribute:: threshold
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: threshold1
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: warning_only
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: warning_only1
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.number = None
                                                        self.threshold = None
                                                        self.threshold1 = None
                                                        self.warning_only = None
                                                        self.warning_only1 = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.number is not None:
                                                            return True

                                                        if self.threshold is not None:
                                                            return True

                                                        if self.threshold1 is not None:
                                                            return True

                                                        if self.warning_only is not None:
                                                            return True

                                                        if self.warning_only1 is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix']['meta_info']


                                                class Nd(object):
                                                    """
                                                    Neighbor Discovery
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd']['meta_info']


                                                class Ospf(object):
                                                    """
                                                    Open Shortest Path First (OSPF)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf']['meta_info']


                                                class Static(object):
                                                    """
                                                    Static routes
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static']['meta_info']


                                                class Rip(object):
                                                    """
                                                    Routing Information Protocol (RIP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	User selected string identifying this process
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.application is not None and self.application._has_data():
                                                        return True

                                                    if self.bgp is not None:
                                                        for child_ref in self.bgp:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.connected is not None and self.connected._has_data():
                                                        return True

                                                    if self.eigrp is not None:
                                                        for child_ref in self.eigrp:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.isis is not None and self.isis._has_data():
                                                        return True

                                                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                        return True

                                                    if self.nd is not None and self.nd._has_data():
                                                        return True

                                                    if self.ospf is not None:
                                                        for child_ref in self.ospf:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.rip is not None:
                                                        for child_ref in self.rip:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.static is not None and self.static._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']


                                            class MapCache(object):
                                                """
                                                Use RIB routes to define EID address space in map\-cache
                                                
                                                .. attribute:: application
                                                
                                                	Application Protocol
                                                	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: bgp
                                                
                                                	Border Gateway Protocol (BGP)
                                                	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp>`
                                                
                                                .. attribute:: connected
                                                
                                                	Connected
                                                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: eigrp
                                                
                                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp>`
                                                
                                                .. attribute:: isis
                                                
                                                	ISO IS\-IS
                                                	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis>`
                                                
                                                .. attribute:: maximum_prefix
                                                
                                                	Maximum number of prefixes to pick up from the RIB
                                                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix>`
                                                
                                                .. attribute:: nd
                                                
                                                	Neighbour Discovery
                                                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: ospf
                                                
                                                	Open Shortest Path First (OSPF)
                                                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf>`
                                                
                                                .. attribute:: rip
                                                
                                                	Routing Information Protocol (RIP)
                                                	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip>`
                                                
                                                .. attribute:: static
                                                
                                                	Static routes
                                                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.application = None
                                                    self.bgp = YList()
                                                    self.bgp.parent = self
                                                    self.bgp.name = 'bgp'
                                                    self.connected = None
                                                    self.eigrp = YList()
                                                    self.eigrp.parent = self
                                                    self.eigrp.name = 'eigrp'
                                                    self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis()
                                                    self.isis.parent = self
                                                    self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix()
                                                    self.maximum_prefix.parent = self
                                                    self.nd = None
                                                    self.ospf = YList()
                                                    self.ospf.parent = self
                                                    self.ospf.name = 'ospf'
                                                    self.rip = YList()
                                                    self.rip.parent = self
                                                    self.rip.name = 'rip'
                                                    self.static = None


                                                class Application(object):
                                                    """
                                                    Application Protocol
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application']['meta_info']


                                                class Bgp(object):
                                                    """
                                                    Border Gateway Protocol (BGP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: one of the below types:
                                                    
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    
                                                    ----
                                                    	**type**\:  str
                                                    
                                                    
                                                    ----
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp']['meta_info']


                                                class Connected(object):
                                                    """
                                                    Connected
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected']['meta_info']


                                                class Eigrp(object):
                                                    """
                                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp']['meta_info']


                                                class Isis(object):
                                                    """
                                                    ISO IS\-IS
                                                    
                                                    .. attribute:: id
                                                    
                                                    	Process name
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis']['meta_info']


                                                class MaximumPrefix(object):
                                                    """
                                                    Maximum number of prefixes to pick up from the RIB
                                                    
                                                    .. attribute:: number
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    .. attribute:: threshold
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: threshold1
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: warning_only
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: warning_only1
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.number = None
                                                        self.threshold = None
                                                        self.threshold1 = None
                                                        self.warning_only = None
                                                        self.warning_only1 = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.number is not None:
                                                            return True

                                                        if self.threshold is not None:
                                                            return True

                                                        if self.threshold1 is not None:
                                                            return True

                                                        if self.warning_only is not None:
                                                            return True

                                                        if self.warning_only1 is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                                class Nd(object):
                                                    """
                                                    Neighbour Discovery
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd']['meta_info']


                                                class Ospf(object):
                                                    """
                                                    Open Shortest Path First (OSPF)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf']['meta_info']


                                                class Static(object):
                                                    """
                                                    Static routes
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static']['meta_info']


                                                class Rip(object):
                                                    """
                                                    Routing Information Protocol (RIP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	User selected string identifying this process
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.application is not None and self.application._has_data():
                                                        return True

                                                    if self.bgp is not None:
                                                        for child_ref in self.bgp:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.connected is not None and self.connected._has_data():
                                                        return True

                                                    if self.eigrp is not None:
                                                        for child_ref in self.eigrp:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.isis is not None and self.isis._has_data():
                                                        return True

                                                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                        return True

                                                    if self.nd is not None and self.nd._has_data():
                                                        return True

                                                    if self.ospf is not None:
                                                        for child_ref in self.ospf:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.rip is not None:
                                                        for child_ref in self.rip:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.static is not None and self.static._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.database is not None and self.database._has_data():
                                                    return True

                                                if self.map_cache is not None and self.map_cache._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport']['meta_info']


                                        class DatabaseMapping(object):
                                            """
                                            Configures Locator addresses for an ETR
                                            
                                            .. attribute:: eid_cont
                                            
                                            	
                                            	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont>`
                                            
                                            .. attribute:: limit
                                            
                                            	Configures the maximum size of local EID prefixes database
                                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.Limit>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_cont = YList()
                                                self.eid_cont.parent = self
                                                self.eid_cont.name = 'eid_cont'
                                                self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.Limit()
                                                self.limit.parent = self


                                            class EidCont(object):
                                                """
                                                
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                                
                                                .. attribute:: auto_discover_rlocs
                                                
                                                	
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: ipv4_addrees
                                                
                                                	IPv4 Address of loopback or other ETR interface
                                                	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees>`
                                                
                                                .. attribute:: ipv4_interface
                                                
                                                	
                                                	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface>`
                                                
                                                .. attribute:: ipv6_addrees
                                                
                                                	IPv6 Address of loopback or other ETR interface
                                                	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees>`
                                                
                                                .. attribute:: ipv6_interface
                                                
                                                	
                                                	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface>`
                                                
                                                .. attribute:: locator_set
                                                
                                                	Use locators defined by locator\-set
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.eid_prefix = None
                                                    self.auto_discover_rlocs = None
                                                    self.ipv4_addrees = YList()
                                                    self.ipv4_addrees.parent = self
                                                    self.ipv4_addrees.name = 'ipv4_addrees'
                                                    self.ipv4_interface = YList()
                                                    self.ipv4_interface.parent = self
                                                    self.ipv4_interface.name = 'ipv4_interface'
                                                    self.ipv6_addrees = YList()
                                                    self.ipv6_addrees.parent = self
                                                    self.ipv6_addrees.name = 'ipv6_addrees'
                                                    self.ipv6_interface = YList()
                                                    self.ipv6_interface.parent = self
                                                    self.ipv6_interface.name = 'ipv6_interface'
                                                    self.locator_set = None


                                                class Ipv4Addrees(object):
                                                    """
                                                    IPv4 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.address is None:
                                                            raise YPYModelError('Key property address is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.address is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                                class Ipv6Addrees(object):
                                                    """
                                                    IPv6 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.address is None:
                                                            raise YPYModelError('Key property address is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.address is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                                class Ipv4Interface(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.name = None
                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.name is None:
                                                            raise YPYModelError('Key property name is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.name is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                                class Ipv6Interface(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.name = None
                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.name is None:
                                                            raise YPYModelError('Key property name is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.name is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.eid_prefix is None:
                                                        raise YPYModelError('Key property eid_prefix is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.eid_prefix is not None:
                                                        return True

                                                    if self.auto_discover_rlocs is not None:
                                                        return True

                                                    if self.ipv4_addrees is not None:
                                                        for child_ref in self.ipv4_addrees:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.ipv4_interface is not None:
                                                        for child_ref in self.ipv4_interface:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.ipv6_addrees is not None:
                                                        for child_ref in self.ipv6_addrees:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.ipv6_interface is not None:
                                                        for child_ref in self.ipv6_interface:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.locator_set is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']


                                            class Limit(object):
                                                """
                                                Configures the maximum size of local EID prefixes database
                                                
                                                .. attribute:: dynamic
                                                
                                                	Configures the maximum size of dynamic local EID prefixes database
                                                	**type**\:  int
                                                
                                                	**range:** 1..5000
                                                
                                                .. attribute:: warning_threshold
                                                
                                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.dynamic = None
                                                    self.warning_threshold = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.dynamic is not None:
                                                        return True

                                                    if self.warning_threshold is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.Limit']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_cont is not None:
                                                    for child_ref in self.eid_cont:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.limit is not None and self.limit._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.alt is not None and self.alt._has_data():
                                                return True

                                            if self.alt_vrf is not None:
                                                return True

                                            if self.database_mapping is not None and self.database_mapping._has_data():
                                                return True

                                            if self.distance is not None and self.distance._has_data():
                                                return True

                                            if self.eid_table is not None and self.eid_table._has_data():
                                                return True

                                            if self.etr is not None and self.etr._has_data():
                                                return True

                                            if self.etr_enable is not None and self.etr_enable._has_data():
                                                return True

                                            if self.itr is not None and self.itr._has_data():
                                                return True

                                            if self.itr_enable is not None and self.itr_enable._has_data():
                                                return True

                                            if self.map_cache is not None and self.map_cache._has_data():
                                                return True

                                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                                return True

                                            if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                                return True

                                            if self.map_request_source is not None:
                                                return True

                                            if self.proxy_etr is not None:
                                                return True

                                            if self.proxy_itr is not None and self.proxy_itr._has_data():
                                                return True

                                            if self.route_export is not None and self.route_export._has_data():
                                                return True

                                            if self.route_import is not None and self.route_import._has_data():
                                                return True

                                            if self.sgt is not None:
                                                return True

                                            if self.site_registration is not None and self.site_registration._has_data():
                                                return True

                                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                                return True

                                            if self.use_petr is not None:
                                                for child_ref in self.use_petr:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']


                                    class EidTable(object):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.default = None
                                            self.vrf = None
                                            self.vrf_name = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.default is not None:
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            if self.vrf_name is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EidTable']['meta_info']


                                    class Itr(object):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.map_resolver = YList()
                                            self.map_resolver.parent = self
                                            self.map_resolver.name = 'map_resolver'


                                        class MapResolver(object):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr.MapResolver']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.map_resolver is not None:
                                                for child_ref in self.map_resolver:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr']['meta_info']


                                    class ItrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.itr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.itr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ItrEnable']['meta_info']


                                    class EtrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EtrEnable']['meta_info']


                                    class Etr(object):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self.map_cache_ttl = None
                                            self.map_server = YList()
                                            self.map_server.parent = self
                                            self.map_server.name = 'map_server'


                                        class MapServer(object):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None
                                                self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self.proxy_reply = None


                                            class Key(object):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self


                                                class KeyPwd(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.hash_function = None
                                                        self.unc_pwd = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.hash_function is not None:
                                                            return True

                                                        if self.unc_pwd is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                class Key0(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_0 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_0 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info']


                                                class Key6(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_6 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_6 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info']


                                                class Key7(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_7 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_7 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.key_0 is not None and self.key_0._has_data():
                                                        return True

                                                    if self.key_6 is not None and self.key_6._has_data():
                                                        return True

                                                    if self.key_7 is not None and self.key_7._has_data():
                                                        return True

                                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                if self.key is not None and self.key._has_data():
                                                    return True

                                                if self.proxy_reply is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer']['meta_info']


                                        class AcceptMapRequestMapping(object):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_mappping = None
                                                self.verify = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_mappping is not None:
                                                    return True

                                                if self.verify is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                return True

                                            if self.map_cache_ttl is not None:
                                                return True

                                            if self.map_server is not None:
                                                for child_ref in self.map_server:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr']['meta_info']


                                    class MapCacheLimit(object):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\:  str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max_map_cache_entries = None
                                            self.reserve_list = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max_map_cache_entries is not None:
                                                return True

                                            if self.reserve_list is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCacheLimit']['meta_info']


                                    class SiteRegistration(object):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.limit = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.limit is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SiteRegistration']['meta_info']


                                    class SolicitMapRequest(object):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\:  int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None
                                            self.max_per_entry = None
                                            self.suppression_time = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            if self.max_per_entry is not None:
                                                return True

                                            if self.suppression_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SolicitMapRequest']['meta_info']


                                    class Alt(object):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.summary_route = YList()
                                            self.summary_route.parent = self
                                            self.summary_route.name = 'summary_route'


                                        class SummaryRoute(object):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.route_tag = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.route_tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt.SummaryRoute']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.summary_route is not None:
                                                for child_ref in self.summary_route:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt']['meta_info']


                                    class Distance(object):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.alt = None
                                            self.away = None
                                            self.dyn_eid = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.alt is not None:
                                                return True

                                            if self.away is not None:
                                                return True

                                            if self.dyn_eid is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Distance']['meta_info']


                                    class MapCache(object):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.AwayEids>`
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self.eid_interface = YList()
                                            self.eid_interface.parent = self
                                            self.eid_interface.name = 'eid_interface'
                                            self.site_registration = None


                                        class EidInterface(object):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.drop = None
                                                self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self.map_request = None
                                                self.native_forward = None


                                            class EtrInterfaceIp(object):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.etr_interface_ip_address = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.etr_interface_ip_address is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.drop is not None:
                                                    return True

                                                if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                    return True

                                                if self.map_request is not None:
                                                    return True

                                                if self.native_forward is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface']['meta_info']


                                        class AwayEids(object):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.send_map_request = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.send_map_request is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.AwayEids']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None and self.away_eids._has_data():
                                                return True

                                            if self.eid_interface is not None:
                                                for child_ref in self.eid_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.site_registration is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache']['meta_info']


                                    class MapCachePersistent(object):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\:  int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.interval = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.interval is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCachePersistent']['meta_info']


                                    class ProxyItr(object):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4_addr = None
                                            self.ipv6_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4_addr is not None:
                                                return True

                                            if self.ipv6_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ProxyItr']['meta_info']


                                    class RouteExport(object):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteExport']['meta_info']


                                    class UsePetr(object):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_address = None
                                            self.priority = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr.Priority()
                                            self.priority.parent = self


                                        class Priority(object):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.priority_value = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.priority_value is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr.Priority']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.locator_address is None:
                                                raise YPYModelError('Key property locator_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_address is not None:
                                                return True

                                            if self.priority is not None and self.priority._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr']['meta_info']


                                    class RouteImport(object):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.database = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database()
                                            self.database.parent = self
                                            self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache()
                                            self.map_cache.parent = self


                                        class Database(object):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = YList()
                                                self.rip.parent = self
                                                self.rip.name = 'rip'
                                                self.static = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static()
                                                self.static.parent = self


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self.process_id = None


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    if self.process_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\:  str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None:
                                                    for child_ref in self.rip:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']


                                        class MapCache(object):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = None
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = None
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = None
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = YList()
                                                self.rip.parent = self
                                                self.rip.name = 'rip'
                                                self.static = None


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\:  str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None:
                                                    for child_ref in self.rip:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.database is not None and self.database._has_data():
                                                return True

                                            if self.map_cache is not None and self.map_cache._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport']['meta_info']


                                    class DatabaseMapping(object):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'
                                            self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.Limit()
                                            self.limit.parent = self


                                        class EidCont(object):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface>`
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.auto_discover_rlocs = None
                                                self.ipv4_addrees = YList()
                                                self.ipv4_addrees.parent = self
                                                self.ipv4_addrees.name = 'ipv4_addrees'
                                                self.ipv4_interface = YList()
                                                self.ipv4_interface.parent = self
                                                self.ipv4_interface.name = 'ipv4_interface'
                                                self.ipv6_addrees = YList()
                                                self.ipv6_addrees.parent = self
                                                self.ipv6_addrees.name = 'ipv6_addrees'
                                                self.ipv6_interface = YList()
                                                self.ipv6_interface.parent = self
                                                self.ipv6_interface.name = 'ipv6_interface'
                                                self.locator_set = None


                                            class Ipv4Addrees(object):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                            class Ipv6Addrees(object):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                            class Ipv4Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                            class Ipv6Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.auto_discover_rlocs is not None:
                                                    return True

                                                if self.ipv4_addrees is not None:
                                                    for child_ref in self.ipv4_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv4_interface is not None:
                                                    for child_ref in self.ipv4_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_addrees is not None:
                                                    for child_ref in self.ipv6_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_interface is not None:
                                                    for child_ref in self.ipv6_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.locator_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']


                                        class Limit(object):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\:  int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dynamic = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dynamic is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.Limit']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.limit is not None and self.limit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.alt is not None and self.alt._has_data():
                                            return True

                                        if self.alt_vrf is not None:
                                            return True

                                        if self.database_mapping is not None and self.database_mapping._has_data():
                                            return True

                                        if self.default is not None and self.default._has_data():
                                            return True

                                        if self.distance is not None and self.distance._has_data():
                                            return True

                                        if self.eid_table is not None and self.eid_table._has_data():
                                            return True

                                        if self.etr is not None and self.etr._has_data():
                                            return True

                                        if self.etr_enable is not None and self.etr_enable._has_data():
                                            return True

                                        if self.itr is not None and self.itr._has_data():
                                            return True

                                        if self.itr_enable is not None and self.itr_enable._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                            return True

                                        if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                            return True

                                        if self.map_request_source is not None:
                                            return True

                                        if self.proxy_etr is not None:
                                            return True

                                        if self.proxy_itr is not None and self.proxy_itr._has_data():
                                            return True

                                        if self.route_export is not None and self.route_export._has_data():
                                            return True

                                        if self.route_import is not None and self.route_import._has_data():
                                            return True

                                        if self.sgt is not None:
                                            return True

                                        if self.site_registration is not None and self.site_registration._has_data():
                                            return True

                                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                            return True

                                        if self.use_petr is not None:
                                            for child_ref in self.use_petr:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']


                                class Ethernet(object):
                                    """
                                    
                                    
                                    .. attribute:: broadcast_underlay
                                    
                                    	Multicast group to use for underlay
                                    	**type**\:   :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.BroadcastUnderlay>`
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping>`
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EidTable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EtrEnable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.ItrEnable>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCacheLimit>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SolicitMapRequest>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.broadcast_underlay = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.BroadcastUnderlay()
                                        self.broadcast_underlay.parent = self
                                        self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self.default = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_()
                                        self.default.parent = self
                                        self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EidTable()
                                        self.eid_table.parent = self
                                        self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr()
                                        self.etr.parent = self
                                        self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EtrEnable()
                                        self.etr_enable.parent = self
                                        self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr()
                                        self.itr.parent = self
                                        self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.ItrEnable()
                                        self.itr_enable.parent = self
                                        self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache()
                                        self.map_cache.parent = self
                                        self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self.map_request_source = None
                                        self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SiteRegistration()
                                        self.site_registration.parent = self
                                        self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SolicitMapRequest()
                                        self.solicit_map_request.parent = self


                                    class Default_(object):
                                        """
                                        
                                        
                                        .. attribute:: broadcast_underlay
                                        
                                        	Multicast group to use for underlay
                                        	**type**\:   :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.BroadcastUnderlay>`
                                        
                                        .. attribute:: database_mapping
                                        
                                        	Configures Locator addresses for an ETR
                                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping>`
                                        
                                        .. attribute:: eid_table
                                        
                                        	Bind an eid\-table
                                        	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EidTable>`
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr>`
                                        
                                        .. attribute:: etr_enable
                                        
                                        	
                                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EtrEnable>`
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr>`
                                        
                                        .. attribute:: itr_enable
                                        
                                        	
                                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.ItrEnable>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache>`
                                        
                                        .. attribute:: map_cache_limit
                                        
                                        	Configures maximum size of map\-cache
                                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCacheLimit>`
                                        
                                        .. attribute:: map_request_source
                                        
                                        	Configures inner header source address in Map\-Request message
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: site_registration
                                        
                                        	Site registrations configuration for a given instance\-id
                                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SiteRegistration>`
                                        
                                        .. attribute:: solicit_map_request
                                        
                                        	Configure Solicit\-Map\-Request handling
                                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SolicitMapRequest>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.broadcast_underlay = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.BroadcastUnderlay()
                                            self.broadcast_underlay.parent = self
                                            self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping()
                                            self.database_mapping.parent = self
                                            self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EidTable()
                                            self.eid_table.parent = self
                                            self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr()
                                            self.etr.parent = self
                                            self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EtrEnable()
                                            self.etr_enable.parent = self
                                            self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr()
                                            self.itr.parent = self
                                            self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.ItrEnable()
                                            self.itr_enable.parent = self
                                            self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache()
                                            self.map_cache.parent = self
                                            self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCacheLimit()
                                            self.map_cache_limit.parent = self
                                            self.map_request_source = None
                                            self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SiteRegistration()
                                            self.site_registration.parent = self
                                            self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SolicitMapRequest()
                                            self.solicit_map_request.parent = self


                                        class EidTable(object):
                                            """
                                            Bind an eid\-table
                                            
                                            .. attribute:: vlan
                                            
                                            	VLAN configuration
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.vlan = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.vlan is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EidTable']['meta_info']


                                        class BroadcastUnderlay(object):
                                            """
                                            Multicast group to use for underlay
                                            
                                            .. attribute:: ipv4_multicast
                                            
                                            	IPv4 multicast group address
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: ipv6_multicast
                                            
                                            	IPv6 multicast group address
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4_multicast = None
                                                self.ipv6_multicast = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:broadcast-underlay'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4_multicast is not None:
                                                    return True

                                                if self.ipv6_multicast is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.BroadcastUnderlay']['meta_info']


                                        class DatabaseMapping(object):
                                            """
                                            Configures Locator addresses for an ETR
                                            
                                            .. attribute:: eid_cont
                                            
                                            	EID\-record for RLOC static mapping
                                            	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont>`
                                            
                                            .. attribute:: limit
                                            
                                            	Configures the maximum size of local EID prefixes database
                                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.Limit>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_cont = YList()
                                                self.eid_cont.parent = self
                                                self.eid_cont.name = 'eid_cont'
                                                self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.Limit()
                                                self.limit.parent = self


                                            class EidCont(object):
                                                """
                                                EID\-record for RLOC static mapping
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	xxxx.xxxx.xxxx 48 bit mac address
                                                	**type**\:  str
                                                
                                                	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                                
                                                .. attribute:: ipv4_addrees
                                                
                                                	IPv4 Address of loopback or other ETR interface
                                                	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees>`
                                                
                                                .. attribute:: ipv4_interface
                                                
                                                	
                                                	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface>`
                                                
                                                .. attribute:: ipv6_addrees
                                                
                                                	IPv6 Address of loopback or other ETR interface
                                                	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees>`
                                                
                                                .. attribute:: ipv6_interface
                                                
                                                	
                                                	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface>`
                                                
                                                .. attribute:: locator_set
                                                
                                                	Use locators defined by locator\-set
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.eid_prefix = None
                                                    self.ipv4_addrees = YList()
                                                    self.ipv4_addrees.parent = self
                                                    self.ipv4_addrees.name = 'ipv4_addrees'
                                                    self.ipv4_interface = YList()
                                                    self.ipv4_interface.parent = self
                                                    self.ipv4_interface.name = 'ipv4_interface'
                                                    self.ipv6_addrees = YList()
                                                    self.ipv6_addrees.parent = self
                                                    self.ipv6_addrees.name = 'ipv6_addrees'
                                                    self.ipv6_interface = YList()
                                                    self.ipv6_interface.parent = self
                                                    self.ipv6_interface.name = 'ipv6_interface'
                                                    self.locator_set = None


                                                class Ipv4Addrees(object):
                                                    """
                                                    IPv4 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.address is None:
                                                            raise YPYModelError('Key property address is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.address is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                                class Ipv6Addrees(object):
                                                    """
                                                    IPv6 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.address is None:
                                                            raise YPYModelError('Key property address is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.address is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                                class Ipv4Interface(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.name = None
                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.name is None:
                                                            raise YPYModelError('Key property name is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.name is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                                class Ipv6Interface(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.name = None
                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.name is None:
                                                            raise YPYModelError('Key property name is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.name is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.eid_prefix is None:
                                                        raise YPYModelError('Key property eid_prefix is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.eid_prefix is not None:
                                                        return True

                                                    if self.ipv4_addrees is not None:
                                                        for child_ref in self.ipv4_addrees:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.ipv4_interface is not None:
                                                        for child_ref in self.ipv4_interface:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.ipv6_addrees is not None:
                                                        for child_ref in self.ipv6_addrees:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.ipv6_interface is not None:
                                                        for child_ref in self.ipv6_interface:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.locator_set is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']


                                            class Limit(object):
                                                """
                                                Configures the maximum size of local EID prefixes database
                                                
                                                .. attribute:: dynamic
                                                
                                                	Configures the maximum size of dynamic local EID prefixes database
                                                	**type**\:  int
                                                
                                                	**range:** 1..5000
                                                
                                                .. attribute:: warning_threshold
                                                
                                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.dynamic = None
                                                    self.warning_threshold = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.dynamic is not None:
                                                        return True

                                                    if self.warning_threshold is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.Limit']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_cont is not None:
                                                    for child_ref in self.eid_cont:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.limit is not None and self.limit._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping']['meta_info']


                                        class Itr(object):
                                            """
                                            Configures a LISP Ingress Tunnel Router (ITR)
                                            
                                            .. attribute:: map_resolver
                                            
                                            	Configures map\-resolver address for sending Map\-Requests
                                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr.MapResolver>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.map_resolver = YList()
                                                self.map_resolver.parent = self
                                                self.map_resolver.name = 'map_resolver'


                                            class MapResolver(object):
                                                """
                                                Configures map\-resolver address for sending Map\-Requests
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ip_addr = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.ip_addr is None:
                                                        raise YPYModelError('Key property ip_addr is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ip_addr is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr.MapResolver']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.map_resolver is not None:
                                                    for child_ref in self.map_resolver:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr']['meta_info']


                                        class ItrEnable(object):
                                            """
                                            
                                            
                                            .. attribute:: itr
                                            
                                            	Configures a LISP Ingress Tunnel Router (ITR)
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.itr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.itr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.ItrEnable']['meta_info']


                                        class EtrEnable(object):
                                            """
                                            
                                            
                                            .. attribute:: etr
                                            
                                            	Configures a LISP Egress Tunnel Router (ETR)
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EtrEnable']['meta_info']


                                        class Etr(object):
                                            """
                                            Configures a LISP Egress Tunnel Router (ETR)
                                            
                                            .. attribute:: accept_map_request_mapping
                                            
                                            	
                                            	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping>`
                                            
                                            .. attribute:: map_cache_ttl
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 60..10080
                                            
                                            .. attribute:: map_server
                                            
                                            	Configures map server for ETR registration
                                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping()
                                                self.accept_map_request_mapping.parent = self
                                                self.map_cache_ttl = None
                                                self.map_server = YList()
                                                self.map_server.parent = self
                                                self.map_server.name = 'map_server'


                                            class MapServer(object):
                                                """
                                                Configures map server for ETR registration
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: key
                                                
                                                	Authentication key used with map server
                                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key>`
                                                
                                                .. attribute:: proxy_reply
                                                
                                                	Request Map\-Server to send Map\-Replies on behalf of site
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ip_addr = None
                                                    self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key()
                                                    self.key.parent = self
                                                    self.proxy_reply = None


                                                class Key(object):
                                                    """
                                                    Authentication key used with map server
                                                    
                                                    .. attribute:: key_0
                                                    
                                                    	
                                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0>`
                                                    
                                                    .. attribute:: key_6
                                                    
                                                    	
                                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6>`
                                                    
                                                    .. attribute:: key_7
                                                    
                                                    	
                                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7>`
                                                    
                                                    .. attribute:: key_pwd
                                                    
                                                    	
                                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0()
                                                        self.key_0.parent = self
                                                        self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6()
                                                        self.key_6.parent = self
                                                        self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7()
                                                        self.key_7.parent = self
                                                        self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd()
                                                        self.key_pwd.parent = self


                                                    class KeyPwd(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                        
                                                        .. attribute:: unc_pwd
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.hash_function = None
                                                            self.unc_pwd = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.hash_function is not None:
                                                                return True

                                                            if self.unc_pwd is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                    class Key0(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_0
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.ak_0 = None
                                                            self.hash_function = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.ak_0 is not None:
                                                                return True

                                                            if self.hash_function is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                                    class Key6(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_6
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.ak_6 = None
                                                            self.hash_function = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.ak_6 is not None:
                                                                return True

                                                            if self.hash_function is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                                    class Key7(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_7
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.ak_7 = None
                                                            self.hash_function = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.ak_7 is not None:
                                                                return True

                                                            if self.hash_function is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.key_0 is not None and self.key_0._has_data():
                                                            return True

                                                        if self.key_6 is not None and self.key_6._has_data():
                                                            return True

                                                        if self.key_7 is not None and self.key_7._has_data():
                                                            return True

                                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.ip_addr is None:
                                                        raise YPYModelError('Key property ip_addr is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ip_addr is not None:
                                                        return True

                                                    if self.key is not None and self.key._has_data():
                                                        return True

                                                    if self.proxy_reply is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer']['meta_info']


                                            class AcceptMapRequestMapping(object):
                                                """
                                                
                                                
                                                .. attribute:: accept_mappping
                                                
                                                	
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: verify
                                                
                                                	
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.accept_mappping = None
                                                    self.verify = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.accept_mappping is not None:
                                                        return True

                                                    if self.verify is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                    return True

                                                if self.map_cache_ttl is not None:
                                                    return True

                                                if self.map_server is not None:
                                                    for child_ref in self.map_server:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr']['meta_info']


                                        class MapCacheLimit(object):
                                            """
                                            Configures maximum size of map\-cache
                                            
                                            .. attribute:: max_map_cache_entries
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..100000
                                            
                                            .. attribute:: reserve_list
                                            
                                            	EID\-prefixes guaranteed to be stored in map\-cache
                                            	**type**\:  str
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.max_map_cache_entries = None
                                                self.reserve_list = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.max_map_cache_entries is not None:
                                                    return True

                                                if self.reserve_list is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCacheLimit']['meta_info']


                                        class SiteRegistration(object):
                                            """
                                            Site registrations configuration for a given instance\-id
                                            
                                            .. attribute:: limit
                                            
                                            	Maximum number of site registrations
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Warning threshold to issue system logging
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.limit = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.limit is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SiteRegistration']['meta_info']


                                        class SolicitMapRequest(object):
                                            """
                                            Configure Solicit\-Map\-Request handling
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore SMR bit in incoming Map\-Requests
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: max_per_entry
                                            
                                            	Maximum number of SMRs for addresses under a map\-cache entry
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: suppression_time
                                            
                                            	How long to suppress repeated SMRs for the same address
                                            	**type**\:  int
                                            
                                            	**range:** 1..600
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ignore = None
                                                self.max_per_entry = None
                                                self.suppression_time = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ignore is not None:
                                                    return True

                                                if self.max_per_entry is not None:
                                                    return True

                                                if self.suppression_time is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SolicitMapRequest']['meta_info']


                                        class MapCache(object):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: eid_cont
                                            
                                            	EID\-record for RLOC static mapping
                                            	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_cont = YList()
                                                self.eid_cont.parent = self
                                                self.eid_cont.name = 'eid_cont'


                                            class EidCont(object):
                                                """
                                                EID\-record for RLOC static mapping
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	xxxx.xxxx.xxxx 48 bit mac address
                                                	**type**\:  str
                                                
                                                	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                                
                                                .. attribute:: etr_interface_ip
                                                
                                                	
                                                	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.eid_prefix = None
                                                    self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp()
                                                    self.etr_interface_ip.parent = self


                                                class EtrInterfaceIp(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: etr_interface_ip_address
                                                    
                                                    	IP address of loopback or other ETR interface
                                                    	**type**\: one of the below types:
                                                    
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    
                                                    ----
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    
                                                    ----
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.etr_interface_ip_address = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.etr_interface_ip_address is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.eid_prefix is None:
                                                        raise YPYModelError('Key property eid_prefix is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.eid_prefix is not None:
                                                        return True

                                                    if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_cont is not None:
                                                    for child_ref in self.eid_cont:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.broadcast_underlay is not None and self.broadcast_underlay._has_data():
                                                return True

                                            if self.database_mapping is not None and self.database_mapping._has_data():
                                                return True

                                            if self.eid_table is not None and self.eid_table._has_data():
                                                return True

                                            if self.etr is not None and self.etr._has_data():
                                                return True

                                            if self.etr_enable is not None and self.etr_enable._has_data():
                                                return True

                                            if self.itr is not None and self.itr._has_data():
                                                return True

                                            if self.itr_enable is not None and self.itr_enable._has_data():
                                                return True

                                            if self.map_cache is not None and self.map_cache._has_data():
                                                return True

                                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                                return True

                                            if self.map_request_source is not None:
                                                return True

                                            if self.site_registration is not None and self.site_registration._has_data():
                                                return True

                                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']


                                    class EidTable(object):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vlan
                                        
                                        	VLAN configuration
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.vlan = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.vlan is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EidTable']['meta_info']


                                    class BroadcastUnderlay(object):
                                        """
                                        Multicast group to use for underlay
                                        
                                        .. attribute:: ipv4_multicast
                                        
                                        	IPv4 multicast group address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_multicast
                                        
                                        	IPv6 multicast group address
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4_multicast = None
                                            self.ipv6_multicast = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:broadcast-underlay'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4_multicast is not None:
                                                return True

                                            if self.ipv6_multicast is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.BroadcastUnderlay']['meta_info']


                                    class DatabaseMapping(object):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'
                                            self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.Limit()
                                            self.limit.parent = self


                                        class EidCont(object):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\:  str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface>`
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.ipv4_addrees = YList()
                                                self.ipv4_addrees.parent = self
                                                self.ipv4_addrees.name = 'ipv4_addrees'
                                                self.ipv4_interface = YList()
                                                self.ipv4_interface.parent = self
                                                self.ipv4_interface.name = 'ipv4_interface'
                                                self.ipv6_addrees = YList()
                                                self.ipv6_addrees.parent = self
                                                self.ipv6_addrees.name = 'ipv6_addrees'
                                                self.ipv6_interface = YList()
                                                self.ipv6_interface.parent = self
                                                self.ipv6_interface.name = 'ipv6_interface'
                                                self.locator_set = None


                                            class Ipv4Addrees(object):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                            class Ipv6Addrees(object):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                            class Ipv4Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                            class Ipv6Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.ipv4_addrees is not None:
                                                    for child_ref in self.ipv4_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv4_interface is not None:
                                                    for child_ref in self.ipv4_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_addrees is not None:
                                                    for child_ref in self.ipv6_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_interface is not None:
                                                    for child_ref in self.ipv6_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.locator_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']


                                        class Limit(object):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\:  int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dynamic = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dynamic is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.Limit']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.limit is not None and self.limit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping']['meta_info']


                                    class Itr(object):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.map_resolver = YList()
                                            self.map_resolver.parent = self
                                            self.map_resolver.name = 'map_resolver'


                                        class MapResolver(object):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr.MapResolver']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.map_resolver is not None:
                                                for child_ref in self.map_resolver:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr']['meta_info']


                                    class ItrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.itr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.itr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.ItrEnable']['meta_info']


                                    class EtrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EtrEnable']['meta_info']


                                    class Etr(object):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self.map_cache_ttl = None
                                            self.map_server = YList()
                                            self.map_server.parent = self
                                            self.map_server.name = 'map_server'


                                        class MapServer(object):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None
                                                self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self.proxy_reply = None


                                            class Key(object):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self


                                                class KeyPwd(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.hash_function = None
                                                        self.unc_pwd = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.hash_function is not None:
                                                            return True

                                                        if self.unc_pwd is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                class Key0(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_0 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_0 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info']


                                                class Key6(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_6 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_6 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info']


                                                class Key7(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_7 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_7 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.key_0 is not None and self.key_0._has_data():
                                                        return True

                                                    if self.key_6 is not None and self.key_6._has_data():
                                                        return True

                                                    if self.key_7 is not None and self.key_7._has_data():
                                                        return True

                                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                if self.key is not None and self.key._has_data():
                                                    return True

                                                if self.proxy_reply is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer']['meta_info']


                                        class AcceptMapRequestMapping(object):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_mappping = None
                                                self.verify = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_mappping is not None:
                                                    return True

                                                if self.verify is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                return True

                                            if self.map_cache_ttl is not None:
                                                return True

                                            if self.map_server is not None:
                                                for child_ref in self.map_server:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr']['meta_info']


                                    class MapCacheLimit(object):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\:  str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max_map_cache_entries = None
                                            self.reserve_list = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max_map_cache_entries is not None:
                                                return True

                                            if self.reserve_list is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCacheLimit']['meta_info']


                                    class SiteRegistration(object):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.limit = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.limit is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SiteRegistration']['meta_info']


                                    class SolicitMapRequest(object):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\:  int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None
                                            self.max_per_entry = None
                                            self.suppression_time = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            if self.max_per_entry is not None:
                                                return True

                                            if self.suppression_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SolicitMapRequest']['meta_info']


                                    class MapCache(object):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'


                                        class EidCont(object):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\:  str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self


                                            class EtrInterfaceIp(object):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.etr_interface_ip_address = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.etr_interface_ip_address is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ethernet'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.broadcast_underlay is not None and self.broadcast_underlay._has_data():
                                            return True

                                        if self.database_mapping is not None and self.database_mapping._has_data():
                                            return True

                                        if self.default is not None and self.default._has_data():
                                            return True

                                        if self.eid_table is not None and self.eid_table._has_data():
                                            return True

                                        if self.etr is not None and self.etr._has_data():
                                            return True

                                        if self.etr_enable is not None and self.etr_enable._has_data():
                                            return True

                                        if self.itr is not None and self.itr._has_data():
                                            return True

                                        if self.itr_enable is not None and self.itr_enable._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                            return True

                                        if self.map_request_source is not None:
                                            return True

                                        if self.site_registration is not None and self.site_registration._has_data():
                                            return True

                                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:service'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.ethernet is not None and self.ethernet._has_data():
                                        return True

                                    if self.ipv4 is not None and self.ipv4._has_data():
                                        return True

                                    if self.ipv6 is not None and self.ipv6._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_.Service']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.decapsulation is not None and self.decapsulation._has_data():
                                    return True

                                if self.disable_ttl_propagate is not None:
                                    return True

                                if self.dynamic_eid is not None:
                                    for child_ref in self.dynamic_eid:
                                        if child_ref._has_data():
                                            return True

                                if self.loc_reach_algorithm is not None and self.loc_reach_algorithm._has_data():
                                    return True

                                if self.map_server is not None and self.map_server._has_data():
                                    return True

                                if self.other_xtr_probe is not None and self.other_xtr_probe._has_data():
                                    return True

                                if self.remote_rloc_probe is not None and self.remote_rloc_probe._has_data():
                                    return True

                                if self.service is not None and self.service._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default_']['meta_info']


                        class Decapsulation(object):
                            """
                            Decapsulation behavior (e.g. filters)
                            
                            .. attribute:: filter
                            
                            	Filters traffic
                            	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.filter = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter()
                                self.filter.parent = self


                            class Filter(object):
                                """
                                Filters traffic
                                
                                .. attribute:: rloc
                                
                                	Filter based on Routing Locator (RLOC) in packet header
                                	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.rloc = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc()
                                    self.rloc.parent = self


                                class Rloc(object):
                                    """
                                    Filter based on Routing Locator (RLOC) in packet header
                                    
                                    .. attribute:: source
                                    
                                    	Filters traffic based on RLOC source address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Filters traffic based on RLOC source address
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator\-set Name
                                        	**type**\:  str
                                        
                                        .. attribute:: member
                                        
                                        	Members learned from map\-server
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.member = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.member is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:filter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.rloc is not None and self.rloc._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:decapsulation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.filter is not None and self.filter._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation']['meta_info']


                        class DynamicEid(object):
                            """
                            Configure a dynamic EID
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: database_mapping
                            
                            	Configures EID\-prefix and locator\-set for dynamic\-EID
                            	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping>`
                            
                            .. attribute:: eid_notify
                            
                            	Configure options for sending/receiving EID\-notify
                            	**type**\:   :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify>`
                            
                            .. attribute:: map_notify_group
                            
                            	Multicast group which to send map\-notifies to
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping()
                                self.database_mapping.parent = self
                                self.eid_notify = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify()
                                self.eid_notify.parent = self
                                self.map_notify_group = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class DatabaseMapping(object):
                                """
                                Configures EID\-prefix and locator\-set for dynamic\-EID
                                
                                .. attribute:: ipv4_prefix
                                
                                	IPv4 EID\-prefix for dynamic\-EID
                                	**type**\: list of    :py:class:`Ipv4Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix>`
                                
                                .. attribute:: mac
                                
                                	L2 EID records
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_prefix = YList()
                                    self.ipv4_prefix.parent = self
                                    self.ipv4_prefix.name = 'ipv4_prefix'
                                    self.mac = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac()
                                    self.mac.parent = self


                                class Ipv4Prefix(object):
                                    """
                                    IPv4 EID\-prefix for dynamic\-EID
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.locator_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-prefix[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.locator_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix']['meta_info']


                                class Mac(object):
                                    """
                                    L2 EID records
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\:  str
                                    
                                    .. attribute:: mac_addr
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.mac_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.mac_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_prefix is not None:
                                        for child_ref in self.ipv4_prefix:
                                            if child_ref._has_data():
                                                return True

                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping']['meta_info']


                            class EidNotify(object):
                                """
                                Configure options for sending/receiving EID\-notify
                                
                                .. attribute:: authentication_key
                                
                                	Authentication key used for validating received EID\-notify
                                	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey>`
                                
                                .. attribute:: gateway_key
                                
                                	
                                	**type**\: list of    :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.authentication_key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey()
                                    self.authentication_key.parent = self
                                    self.gateway_key = YList()
                                    self.gateway_key.parent = self
                                    self.gateway_key.name = 'gateway_key'


                                class AuthenticationKey(object):
                                    """
                                    Authentication key used for validating received EID\-notify
                                    
                                    .. attribute:: key_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: key_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: key_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = None
                                        self.key_6 = None
                                        self.key_7 = None
                                        self.unc_pwd = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:authentication-key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None:
                                            return True

                                        if self.key_6 is not None:
                                            return True

                                        if self.key_7 is not None:
                                            return True

                                        if self.unc_pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey']['meta_info']


                                class GatewayKey(object):
                                    """
                                    
                                    
                                    .. attribute:: gateway_ip  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.gateway_ip = None
                                        self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key()
                                        self.key.parent = self


                                    class Key(object):
                                        """
                                        
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6>`
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0()
                                            self.key_0.parent = self
                                            self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6()
                                            self.key_6.parent = self
                                            self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd()
                                            self.key_pwd.parent = self


                                        class KeyPwd(object):
                                            """
                                            
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum>`
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.hash_function = None
                                                self.unc_pwd = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.hash_function is not None:
                                                    return True

                                                if self.unc_pwd is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd']['meta_info']


                                        class Key0(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_0 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_0 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0']['meta_info']


                                        class Key6(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_6 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_6 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None and self.key_0._has_data():
                                                return True

                                            if self.key_6 is not None and self.key_6._has_data():
                                                return True

                                            if self.key_pwd is not None and self.key_pwd._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.gateway_ip is None:
                                            raise YPYModelError('Key property gateway_ip is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:gateway-key[Cisco-IOS-XE-lisp:gateway-ip = ' + str(self.gateway_ip) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.gateway_ip is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-notify'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.authentication_key is not None and self.authentication_key._has_data():
                                        return True

                                    if self.gateway_key is not None:
                                        for child_ref in self.gateway_key:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify']['meta_info']


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None
                                    self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7>`
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self


                                    class KeyPwd(object):
                                        """
                                        
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.hash_function = None
                                            self.unc_pwd = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.hash_function is not None:
                                                return True

                                            if self.unc_pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd']['meta_info']


                                    class Key0(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_0 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_0 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0']['meta_info']


                                    class Key6(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_6 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_6 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6']['meta_info']


                                    class Key7(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_7 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_7 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None and self.key_0._has_data():
                                            return True

                                        if self.key_6 is not None and self.key_6._has_data():
                                            return True

                                        if self.key_7 is not None and self.key_7._has_data():
                                            return True

                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:dynamic-eid[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.database_mapping is not None and self.database_mapping._has_data():
                                    return True

                                if self.eid_notify is not None and self.eid_notify._has_data():
                                    return True

                                if self.map_notify_group is not None:
                                    return True

                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid']['meta_info']


                        class LocReachAlgorithm(object):
                            """
                            Configure locator reachability algorithm
                            
                            .. attribute:: lsb_reports
                            
                            	Configure data packet LSB report handling
                            	**type**\:   :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports>`
                            
                            .. attribute:: rloc_probing
                            
                            	Probe high priority RLOCs with Map\-Requests as last resort
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lsb_reports = Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports()
                                self.lsb_reports.parent = self
                                self.rloc_probing = None


                            class LsbReports(object):
                                """
                                Configure data packet LSB report handling
                                
                                .. attribute:: do_not_transmit
                                
                                	Force the setting of the encapsulation header L bit to zero
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ignore
                                
                                	Ignore data packet LSB reports
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.do_not_transmit = None
                                    self.ignore = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lsb-reports'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.do_not_transmit is not None:
                                        return True

                                    if self.ignore is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:loc-reach-algorithm'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lsb_reports is not None and self.lsb_reports._has_data():
                                    return True

                                if self.rloc_probing is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm']['meta_info']


                        class MapServer(object):
                            """
                            Map\-Server commands
                            
                            .. attribute:: rloc
                            
                            	EID instance RLOC membership
                            	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc>`
                            
                            .. attribute:: site_registration
                            
                            	Map\-server site registration options
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rloc = Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc()
                                self.rloc.parent = self
                                self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration()
                                self.site_registration.parent = self


                            class Rloc(object):
                                """
                                EID instance RLOC membership
                                
                                .. attribute:: members
                                
                                	EID instance RLOC membership
                                	**type**\:   :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.members = Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members()
                                    self.members.parent = self


                                class Members(object):
                                    """
                                    EID instance RLOC membership
                                    
                                    .. attribute:: distribute
                                    
                                    	EID instance RLOC membership distribution
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: modify_discovered
                                    
                                    	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                    	**type**\:   :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.distribute = None
                                        self.modify_discovered = Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered()
                                        self.modify_discovered.parent = self


                                    class ModifyDiscovered(object):
                                        """
                                        Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set from which to get member RLOC addresses
                                        	**type**\:  str
                                        
                                        .. attribute:: operator
                                        
                                        	
                                        	**type**\:   :py:class:`OperatorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.operator = None

                                        class OperatorEnum(Enum):
                                            """
                                            OperatorEnum

                                            .. data:: add = 0

                                            .. data:: override = 1

                                            """

                                            add = 0

                                            override = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:modify-discovered'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.operator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:members'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.distribute is not None:
                                            return True

                                        if self.modify_discovered is not None and self.modify_discovered._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.members is not None and self.members._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc']['meta_info']


                            class SiteRegistration(object):
                                """
                                Map\-server site registration options
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations as a result of accept\-more\-specifics
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rloc is not None and self.rloc._has_data():
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer']['meta_info']


                        class OtherXtrProbe(object):
                            """
                            Configure parameters for probing of other xTRs in our site
                            
                            .. attribute:: period
                            
                            	Period between probes in seconds
                            	**type**\:  int
                            
                            	**range:** 5..900
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.period = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:other-xtr-probe'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.period is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.OtherXtrProbe']['meta_info']


                        class RemoteRlocProbe(object):
                            """
                            Configure parameters for probing of remote RLOCs
                            
                            .. attribute:: on_membership_change
                            
                            	Trigger probing upon membership changes for remote RLOC
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: on_route_change
                            
                            	Trigger probing upon routing changes for remote RLOC
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.on_membership_change = None
                                self.on_route_change = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:remote-rloc-probe'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.on_membership_change is not None:
                                    return True

                                if self.on_route_change is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.RemoteRlocProbe']['meta_info']


                        class Service(object):
                            """
                            Configure lisp service type
                            
                            .. attribute:: ethernet
                            
                            	
                            	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ipv6
                            
                            	
                            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.ethernet = None
                                self.ipv4 = None
                                self.ipv6 = None


                            class Ipv4(object):
                                """
                                
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\:  str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_>`
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.alt = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt()
                                    self.alt.parent = self
                                    self.alt_vrf = None
                                    self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self.default = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_()
                                    self.default.parent = self
                                    self.distance = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance()
                                    self.distance.parent = self
                                    self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable()
                                    self.eid_table.parent = self
                                    self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr()
                                    self.etr.parent = self
                                    self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable()
                                    self.etr_enable.parent = self
                                    self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr()
                                    self.itr.parent = self
                                    self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable()
                                    self.itr_enable.parent = self
                                    self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache()
                                    self.map_cache.parent = self
                                    self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self.map_cache_persistent = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self.map_request_source = None
                                    self.proxy_etr = None
                                    self.proxy_itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self.route_export = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport()
                                    self.route_export.parent = self
                                    self.route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport()
                                    self.route_import.parent = self
                                    self.sgt = None
                                    self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration()
                                    self.site_registration.parent = self
                                    self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self.use_petr = YList()
                                    self.use_petr.parent = self
                                    self.use_petr.name = 'use_petr'


                                class Default_(object):
                                    """
                                    
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\:  str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping>`
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Distance>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EidTable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EtrEnable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ItrEnable>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCacheLimit>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCachePersistent>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteExport>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SolicitMapRequest>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.alt = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt()
                                        self.alt.parent = self
                                        self.alt_vrf = None
                                        self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self.distance = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Distance()
                                        self.distance.parent = self
                                        self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EidTable()
                                        self.eid_table.parent = self
                                        self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr()
                                        self.etr.parent = self
                                        self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EtrEnable()
                                        self.etr_enable.parent = self
                                        self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr()
                                        self.itr.parent = self
                                        self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ItrEnable()
                                        self.itr_enable.parent = self
                                        self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache()
                                        self.map_cache.parent = self
                                        self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self.map_cache_persistent = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self.map_request_source = None
                                        self.proxy_etr = None
                                        self.proxy_itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self.route_export = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteExport()
                                        self.route_export.parent = self
                                        self.route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport()
                                        self.route_import.parent = self
                                        self.sgt = None
                                        self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SiteRegistration()
                                        self.site_registration.parent = self
                                        self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self.use_petr = YList()
                                        self.use_petr.parent = self
                                        self.use_petr.name = 'use_petr'


                                    class EidTable(object):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.default = None
                                            self.vrf = None
                                            self.vrf_name = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.default is not None:
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            if self.vrf_name is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EidTable']['meta_info']


                                    class Itr(object):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.map_resolver = YList()
                                            self.map_resolver.parent = self
                                            self.map_resolver.name = 'map_resolver'


                                        class MapResolver(object):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr.MapResolver']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.map_resolver is not None:
                                                for child_ref in self.map_resolver:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr']['meta_info']


                                    class ItrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.itr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.itr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ItrEnable']['meta_info']


                                    class EtrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EtrEnable']['meta_info']


                                    class Etr(object):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self.map_cache_ttl = None
                                            self.map_server = YList()
                                            self.map_server.parent = self
                                            self.map_server.name = 'map_server'


                                        class MapServer(object):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None
                                                self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self.proxy_reply = None


                                            class Key(object):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7>`
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self


                                                class KeyPwd(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.hash_function = None
                                                        self.unc_pwd = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.hash_function is not None:
                                                            return True

                                                        if self.unc_pwd is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                class Key0(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_0 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_0 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                                class Key6(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_6 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_6 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                                class Key7(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_7 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_7 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.key_0 is not None and self.key_0._has_data():
                                                        return True

                                                    if self.key_6 is not None and self.key_6._has_data():
                                                        return True

                                                    if self.key_7 is not None and self.key_7._has_data():
                                                        return True

                                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                if self.key is not None and self.key._has_data():
                                                    return True

                                                if self.proxy_reply is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer']['meta_info']


                                        class AcceptMapRequestMapping(object):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_mappping = None
                                                self.verify = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_mappping is not None:
                                                    return True

                                                if self.verify is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                return True

                                            if self.map_cache_ttl is not None:
                                                return True

                                            if self.map_server is not None:
                                                for child_ref in self.map_server:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr']['meta_info']


                                    class MapCacheLimit(object):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\:  str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max_map_cache_entries = None
                                            self.reserve_list = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max_map_cache_entries is not None:
                                                return True

                                            if self.reserve_list is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCacheLimit']['meta_info']


                                    class SiteRegistration(object):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.limit = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.limit is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SiteRegistration']['meta_info']


                                    class SolicitMapRequest(object):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\:  int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None
                                            self.max_per_entry = None
                                            self.suppression_time = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            if self.max_per_entry is not None:
                                                return True

                                            if self.suppression_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SolicitMapRequest']['meta_info']


                                    class Alt(object):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.summary_route = YList()
                                            self.summary_route.parent = self
                                            self.summary_route.name = 'summary_route'


                                        class SummaryRoute(object):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.route_tag = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.route_tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt.SummaryRoute']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.summary_route is not None:
                                                for child_ref in self.summary_route:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt']['meta_info']


                                    class Distance(object):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.alt = None
                                            self.away = None
                                            self.dyn_eid = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.alt is not None:
                                                return True

                                            if self.away is not None:
                                                return True

                                            if self.dyn_eid is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Distance']['meta_info']


                                    class MapCache(object):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.AwayEids>`
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self.eid_interface = YList()
                                            self.eid_interface.parent = self
                                            self.eid_interface.name = 'eid_interface'
                                            self.site_registration = None


                                        class EidInterface(object):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.drop = None
                                                self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self.map_request = None
                                                self.native_forward = None


                                            class EtrInterfaceIp(object):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.etr_interface_ip_address = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.etr_interface_ip_address is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.drop is not None:
                                                    return True

                                                if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                    return True

                                                if self.map_request is not None:
                                                    return True

                                                if self.native_forward is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface']['meta_info']


                                        class AwayEids(object):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.send_map_request = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.send_map_request is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.AwayEids']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None and self.away_eids._has_data():
                                                return True

                                            if self.eid_interface is not None:
                                                for child_ref in self.eid_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.site_registration is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache']['meta_info']


                                    class MapCachePersistent(object):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\:  int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.interval = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.interval is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCachePersistent']['meta_info']


                                    class ProxyItr(object):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4_addr = None
                                            self.ipv6_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4_addr is not None:
                                                return True

                                            if self.ipv6_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ProxyItr']['meta_info']


                                    class RouteExport(object):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteExport']['meta_info']


                                    class UsePetr(object):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_address = None
                                            self.priority = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr.Priority()
                                            self.priority.parent = self


                                        class Priority(object):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.priority_value = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.priority_value is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr.Priority']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.locator_address is None:
                                                raise YPYModelError('Key property locator_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_address is not None:
                                                return True

                                            if self.priority is not None and self.priority._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr']['meta_info']


                                    class RouteImport(object):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.database = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database()
                                            self.database.parent = self
                                            self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache()
                                            self.map_cache.parent = self


                                        class Database(object):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip()
                                                self.rip.parent = self
                                                self.static = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static()
                                                self.static.parent = self


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self.process_id = None


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    if self.process_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None and self.rip._has_data():
                                                    return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']


                                        class MapCache(object):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = None
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = None
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = None
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip()
                                                self.rip.parent = self
                                                self.static = None


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None and self.rip._has_data():
                                                    return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.database is not None and self.database._has_data():
                                                return True

                                            if self.map_cache is not None and self.map_cache._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport']['meta_info']


                                    class DatabaseMapping(object):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'
                                            self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.Limit()
                                            self.limit.parent = self


                                        class EidCont(object):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface>`
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.auto_discover_rlocs = None
                                                self.ipv4_addrees = YList()
                                                self.ipv4_addrees.parent = self
                                                self.ipv4_addrees.name = 'ipv4_addrees'
                                                self.ipv4_interface = YList()
                                                self.ipv4_interface.parent = self
                                                self.ipv4_interface.name = 'ipv4_interface'
                                                self.ipv6_addrees = YList()
                                                self.ipv6_addrees.parent = self
                                                self.ipv6_addrees.name = 'ipv6_addrees'
                                                self.ipv6_interface = YList()
                                                self.ipv6_interface.parent = self
                                                self.ipv6_interface.name = 'ipv6_interface'
                                                self.locator_set = None


                                            class Ipv4Addrees(object):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                            class Ipv6Addrees(object):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                            class Ipv4Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                            class Ipv6Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.auto_discover_rlocs is not None:
                                                    return True

                                                if self.ipv4_addrees is not None:
                                                    for child_ref in self.ipv4_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv4_interface is not None:
                                                    for child_ref in self.ipv4_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_addrees is not None:
                                                    for child_ref in self.ipv6_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_interface is not None:
                                                    for child_ref in self.ipv6_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.locator_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']


                                        class Limit(object):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\:  int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dynamic = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dynamic is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.Limit']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.limit is not None and self.limit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.alt is not None and self.alt._has_data():
                                            return True

                                        if self.alt_vrf is not None:
                                            return True

                                        if self.database_mapping is not None and self.database_mapping._has_data():
                                            return True

                                        if self.distance is not None and self.distance._has_data():
                                            return True

                                        if self.eid_table is not None and self.eid_table._has_data():
                                            return True

                                        if self.etr is not None and self.etr._has_data():
                                            return True

                                        if self.etr_enable is not None and self.etr_enable._has_data():
                                            return True

                                        if self.itr is not None and self.itr._has_data():
                                            return True

                                        if self.itr_enable is not None and self.itr_enable._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                            return True

                                        if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                            return True

                                        if self.map_request_source is not None:
                                            return True

                                        if self.proxy_etr is not None:
                                            return True

                                        if self.proxy_itr is not None and self.proxy_itr._has_data():
                                            return True

                                        if self.route_export is not None and self.route_export._has_data():
                                            return True

                                        if self.route_import is not None and self.route_import._has_data():
                                            return True

                                        if self.sgt is not None:
                                            return True

                                        if self.site_registration is not None and self.site_registration._has_data():
                                            return True

                                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                            return True

                                        if self.use_petr is not None:
                                            for child_ref in self.use_petr:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']


                                class EidTable(object):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.default = None
                                        self.vrf = None
                                        self.vrf_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.default is not None:
                                            return True

                                        if self.vrf is not None:
                                            return True

                                        if self.vrf_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable']['meta_info']


                                class Itr(object):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map_resolver = YList()
                                        self.map_resolver.parent = self
                                        self.map_resolver.name = 'map_resolver'


                                    class MapResolver(object):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map_resolver is not None:
                                            for child_ref in self.map_resolver:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr']['meta_info']


                                class ItrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.itr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.itr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable']['meta_info']


                                class EtrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.etr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.etr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable']['meta_info']


                                class Etr(object):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self.map_cache_ttl = None
                                        self.map_server = YList()
                                        self.map_server.parent = self
                                        self.map_server.name = 'map_server'


                                    class MapServer(object):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None
                                            self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self.proxy_reply = None


                                        class Key(object):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self


                                            class KeyPwd(object):
                                                """
                                                
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.hash_function = None
                                                    self.unc_pwd = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.hash_function is not None:
                                                        return True

                                                    if self.unc_pwd is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info']


                                            class Key0(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_0 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_0 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info']


                                            class Key6(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_6 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_6 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info']


                                            class Key7(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_7 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_7 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.key_0 is not None and self.key_0._has_data():
                                                    return True

                                                if self.key_6 is not None and self.key_6._has_data():
                                                    return True

                                                if self.key_7 is not None and self.key_7._has_data():
                                                    return True

                                                if self.key_pwd is not None and self.key_pwd._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            if self.key is not None and self.key._has_data():
                                                return True

                                            if self.proxy_reply is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer']['meta_info']


                                    class AcceptMapRequestMapping(object):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_mappping = None
                                            self.verify = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_mappping is not None:
                                                return True

                                            if self.verify is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                            return True

                                        if self.map_cache_ttl is not None:
                                            return True

                                        if self.map_server is not None:
                                            for child_ref in self.map_server:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr']['meta_info']


                                class MapCacheLimit(object):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\:  str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max_map_cache_entries = None
                                        self.reserve_list = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max_map_cache_entries is not None:
                                            return True

                                        if self.reserve_list is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit']['meta_info']


                                class SiteRegistration(object):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.limit = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.limit is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration']['meta_info']


                                class SolicitMapRequest(object):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\:  int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None
                                        self.max_per_entry = None
                                        self.suppression_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        if self.max_per_entry is not None:
                                            return True

                                        if self.suppression_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest']['meta_info']


                                class Alt(object):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.summary_route = YList()
                                        self.summary_route.parent = self
                                        self.summary_route.name = 'summary_route'


                                    class SummaryRoute(object):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.route_tag = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.route_tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.summary_route is not None:
                                            for child_ref in self.summary_route:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt']['meta_info']


                                class Distance(object):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.alt = None
                                        self.away = None
                                        self.dyn_eid = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.alt is not None:
                                            return True

                                        if self.away is not None:
                                            return True

                                        if self.dyn_eid is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance']['meta_info']


                                class MapCache(object):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids>`
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self.eid_interface = YList()
                                        self.eid_interface.parent = self
                                        self.eid_interface.name = 'eid_interface'
                                        self.site_registration = None


                                    class EidInterface(object):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.drop = None
                                            self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self.map_request = None
                                            self.native_forward = None


                                        class EtrInterfaceIp(object):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr_interface_ip_address = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr_interface_ip_address is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.drop is not None:
                                                return True

                                            if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                return True

                                            if self.map_request is not None:
                                                return True

                                            if self.native_forward is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface']['meta_info']


                                    class AwayEids(object):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.send_map_request = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.send_map_request is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None and self.away_eids._has_data():
                                            return True

                                        if self.eid_interface is not None:
                                            for child_ref in self.eid_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.site_registration is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache']['meta_info']


                                class MapCachePersistent(object):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\:  int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent']['meta_info']


                                class ProxyItr(object):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_addr = None
                                        self.ipv6_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_addr is not None:
                                            return True

                                        if self.ipv6_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr']['meta_info']


                                class RouteExport(object):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport']['meta_info']


                                class UsePetr(object):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_address = None
                                        self.priority = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority()
                                        self.priority.parent = self


                                    class Priority(object):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.priority_value = None
                                            self.weight = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.priority_value is not None:
                                                return True

                                            if self.weight is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.locator_address is None:
                                            raise YPYModelError('Key property locator_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_address is not None:
                                            return True

                                        if self.priority is not None and self.priority._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr']['meta_info']


                                class RouteImport(object):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.database = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database()
                                        self.database.parent = self
                                        self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache()
                                        self.map_cache.parent = self


                                    class Database(object):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip()
                                            self.rip.parent = self
                                            self.static = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static()
                                            self.static.parent = self


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self.process_id = None


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                if self.process_id is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None and self.rip._has_data():
                                                return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']


                                    class MapCache(object):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = None
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = None
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = None
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip()
                                            self.rip.parent = self
                                            self.static = None


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None and self.rip._has_data():
                                                return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.database is not None and self.database._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport']['meta_info']


                                class DatabaseMapping(object):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'
                                        self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit()
                                        self.limit.parent = self


                                    class EidCont(object):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.auto_discover_rlocs = None
                                            self.ipv4_addrees = YList()
                                            self.ipv4_addrees.parent = self
                                            self.ipv4_addrees.name = 'ipv4_addrees'
                                            self.ipv4_interface = YList()
                                            self.ipv4_interface.parent = self
                                            self.ipv4_interface.name = 'ipv4_interface'
                                            self.ipv6_addrees = YList()
                                            self.ipv6_addrees.parent = self
                                            self.ipv6_addrees.name = 'ipv6_addrees'
                                            self.ipv6_interface = YList()
                                            self.ipv6_interface.parent = self
                                            self.ipv6_interface.name = 'ipv6_interface'
                                            self.locator_set = None


                                        class Ipv4Addrees(object):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                        class Ipv6Addrees(object):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                        class Ipv4Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                        class Ipv6Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.auto_discover_rlocs is not None:
                                                return True

                                            if self.ipv4_addrees is not None:
                                                for child_ref in self.ipv4_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv4_interface is not None:
                                                for child_ref in self.ipv4_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_addrees is not None:
                                                for child_ref in self.ipv6_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_interface is not None:
                                                for child_ref in self.ipv6_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.locator_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']


                                    class Limit(object):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\:  int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        if self.limit is not None and self.limit._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.alt is not None and self.alt._has_data():
                                        return True

                                    if self.alt_vrf is not None:
                                        return True

                                    if self.database_mapping is not None and self.database_mapping._has_data():
                                        return True

                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.distance is not None and self.distance._has_data():
                                        return True

                                    if self.eid_table is not None and self.eid_table._has_data():
                                        return True

                                    if self.etr is not None and self.etr._has_data():
                                        return True

                                    if self.etr_enable is not None and self.etr_enable._has_data():
                                        return True

                                    if self.itr is not None and self.itr._has_data():
                                        return True

                                    if self.itr_enable is not None and self.itr_enable._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                        return True

                                    if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                        return True

                                    if self.map_request_source is not None:
                                        return True

                                    if self.proxy_etr is not None:
                                        return True

                                    if self.proxy_itr is not None and self.proxy_itr._has_data():
                                        return True

                                    if self.route_export is not None and self.route_export._has_data():
                                        return True

                                    if self.route_import is not None and self.route_import._has_data():
                                        return True

                                    if self.sgt is not None:
                                        return True

                                    if self.site_registration is not None and self.site_registration._has_data():
                                        return True

                                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                        return True

                                    if self.use_petr is not None:
                                        for child_ref in self.use_petr:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']


                            class Ipv6(object):
                                """
                                
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\:  str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_>`
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.alt = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt()
                                    self.alt.parent = self
                                    self.alt_vrf = None
                                    self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self.default = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_()
                                    self.default.parent = self
                                    self.distance = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance()
                                    self.distance.parent = self
                                    self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable()
                                    self.eid_table.parent = self
                                    self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr()
                                    self.etr.parent = self
                                    self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable()
                                    self.etr_enable.parent = self
                                    self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr()
                                    self.itr.parent = self
                                    self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable()
                                    self.itr_enable.parent = self
                                    self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache()
                                    self.map_cache.parent = self
                                    self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self.map_cache_persistent = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self.map_request_source = None
                                    self.proxy_etr = None
                                    self.proxy_itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self.route_export = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport()
                                    self.route_export.parent = self
                                    self.route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport()
                                    self.route_import.parent = self
                                    self.sgt = None
                                    self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration()
                                    self.site_registration.parent = self
                                    self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self.use_petr = YList()
                                    self.use_petr.parent = self
                                    self.use_petr.name = 'use_petr'


                                class Default_(object):
                                    """
                                    
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\:  str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping>`
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Distance>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EidTable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EtrEnable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ItrEnable>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCacheLimit>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCachePersistent>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteExport>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SolicitMapRequest>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.alt = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt()
                                        self.alt.parent = self
                                        self.alt_vrf = None
                                        self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self.distance = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Distance()
                                        self.distance.parent = self
                                        self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EidTable()
                                        self.eid_table.parent = self
                                        self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr()
                                        self.etr.parent = self
                                        self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EtrEnable()
                                        self.etr_enable.parent = self
                                        self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr()
                                        self.itr.parent = self
                                        self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ItrEnable()
                                        self.itr_enable.parent = self
                                        self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache()
                                        self.map_cache.parent = self
                                        self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self.map_cache_persistent = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self.map_request_source = None
                                        self.proxy_etr = None
                                        self.proxy_itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self.route_export = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteExport()
                                        self.route_export.parent = self
                                        self.route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport()
                                        self.route_import.parent = self
                                        self.sgt = None
                                        self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SiteRegistration()
                                        self.site_registration.parent = self
                                        self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self.use_petr = YList()
                                        self.use_petr.parent = self
                                        self.use_petr.name = 'use_petr'


                                    class EidTable(object):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.default = None
                                            self.vrf = None
                                            self.vrf_name = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.default is not None:
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            if self.vrf_name is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EidTable']['meta_info']


                                    class Itr(object):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.map_resolver = YList()
                                            self.map_resolver.parent = self
                                            self.map_resolver.name = 'map_resolver'


                                        class MapResolver(object):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr.MapResolver']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.map_resolver is not None:
                                                for child_ref in self.map_resolver:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr']['meta_info']


                                    class ItrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.itr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.itr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ItrEnable']['meta_info']


                                    class EtrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EtrEnable']['meta_info']


                                    class Etr(object):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self.map_cache_ttl = None
                                            self.map_server = YList()
                                            self.map_server.parent = self
                                            self.map_server.name = 'map_server'


                                        class MapServer(object):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None
                                                self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self.proxy_reply = None


                                            class Key(object):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7>`
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self


                                                class KeyPwd(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.hash_function = None
                                                        self.unc_pwd = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.hash_function is not None:
                                                            return True

                                                        if self.unc_pwd is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                class Key0(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_0 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_0 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                                class Key6(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_6 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_6 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                                class Key7(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_7 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_7 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.key_0 is not None and self.key_0._has_data():
                                                        return True

                                                    if self.key_6 is not None and self.key_6._has_data():
                                                        return True

                                                    if self.key_7 is not None and self.key_7._has_data():
                                                        return True

                                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                if self.key is not None and self.key._has_data():
                                                    return True

                                                if self.proxy_reply is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer']['meta_info']


                                        class AcceptMapRequestMapping(object):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_mappping = None
                                                self.verify = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_mappping is not None:
                                                    return True

                                                if self.verify is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                return True

                                            if self.map_cache_ttl is not None:
                                                return True

                                            if self.map_server is not None:
                                                for child_ref in self.map_server:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr']['meta_info']


                                    class MapCacheLimit(object):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\:  str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max_map_cache_entries = None
                                            self.reserve_list = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max_map_cache_entries is not None:
                                                return True

                                            if self.reserve_list is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCacheLimit']['meta_info']


                                    class SiteRegistration(object):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.limit = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.limit is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SiteRegistration']['meta_info']


                                    class SolicitMapRequest(object):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\:  int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None
                                            self.max_per_entry = None
                                            self.suppression_time = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            if self.max_per_entry is not None:
                                                return True

                                            if self.suppression_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SolicitMapRequest']['meta_info']


                                    class Alt(object):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.summary_route = YList()
                                            self.summary_route.parent = self
                                            self.summary_route.name = 'summary_route'


                                        class SummaryRoute(object):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.route_tag = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.route_tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt.SummaryRoute']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.summary_route is not None:
                                                for child_ref in self.summary_route:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt']['meta_info']


                                    class Distance(object):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.alt = None
                                            self.away = None
                                            self.dyn_eid = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.alt is not None:
                                                return True

                                            if self.away is not None:
                                                return True

                                            if self.dyn_eid is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Distance']['meta_info']


                                    class MapCache(object):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.AwayEids>`
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self.eid_interface = YList()
                                            self.eid_interface.parent = self
                                            self.eid_interface.name = 'eid_interface'
                                            self.site_registration = None


                                        class EidInterface(object):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.drop = None
                                                self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self.map_request = None
                                                self.native_forward = None


                                            class EtrInterfaceIp(object):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.etr_interface_ip_address = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.etr_interface_ip_address is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.drop is not None:
                                                    return True

                                                if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                    return True

                                                if self.map_request is not None:
                                                    return True

                                                if self.native_forward is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface']['meta_info']


                                        class AwayEids(object):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.send_map_request = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.send_map_request is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.AwayEids']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None and self.away_eids._has_data():
                                                return True

                                            if self.eid_interface is not None:
                                                for child_ref in self.eid_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.site_registration is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache']['meta_info']


                                    class MapCachePersistent(object):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\:  int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.interval = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.interval is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCachePersistent']['meta_info']


                                    class ProxyItr(object):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4_addr = None
                                            self.ipv6_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4_addr is not None:
                                                return True

                                            if self.ipv6_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ProxyItr']['meta_info']


                                    class RouteExport(object):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteExport']['meta_info']


                                    class UsePetr(object):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_address = None
                                            self.priority = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr.Priority()
                                            self.priority.parent = self


                                        class Priority(object):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.priority_value = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.priority_value is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr.Priority']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.locator_address is None:
                                                raise YPYModelError('Key property locator_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_address is not None:
                                                return True

                                            if self.priority is not None and self.priority._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr']['meta_info']


                                    class RouteImport(object):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.database = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database()
                                            self.database.parent = self
                                            self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache()
                                            self.map_cache.parent = self


                                        class Database(object):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = YList()
                                                self.rip.parent = self
                                                self.rip.name = 'rip'
                                                self.static = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static()
                                                self.static.parent = self


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self.process_id = None


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    if self.process_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\:  str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None:
                                                    for child_ref in self.rip:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']


                                        class MapCache(object):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = None
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = None
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = None
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = YList()
                                                self.rip.parent = self
                                                self.rip.name = 'rip'
                                                self.static = None


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\:  str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None:
                                                    for child_ref in self.rip:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.database is not None and self.database._has_data():
                                                return True

                                            if self.map_cache is not None and self.map_cache._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport']['meta_info']


                                    class DatabaseMapping(object):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'
                                            self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.Limit()
                                            self.limit.parent = self


                                        class EidCont(object):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface>`
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.auto_discover_rlocs = None
                                                self.ipv4_addrees = YList()
                                                self.ipv4_addrees.parent = self
                                                self.ipv4_addrees.name = 'ipv4_addrees'
                                                self.ipv4_interface = YList()
                                                self.ipv4_interface.parent = self
                                                self.ipv4_interface.name = 'ipv4_interface'
                                                self.ipv6_addrees = YList()
                                                self.ipv6_addrees.parent = self
                                                self.ipv6_addrees.name = 'ipv6_addrees'
                                                self.ipv6_interface = YList()
                                                self.ipv6_interface.parent = self
                                                self.ipv6_interface.name = 'ipv6_interface'
                                                self.locator_set = None


                                            class Ipv4Addrees(object):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                            class Ipv6Addrees(object):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                            class Ipv4Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                            class Ipv6Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.auto_discover_rlocs is not None:
                                                    return True

                                                if self.ipv4_addrees is not None:
                                                    for child_ref in self.ipv4_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv4_interface is not None:
                                                    for child_ref in self.ipv4_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_addrees is not None:
                                                    for child_ref in self.ipv6_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_interface is not None:
                                                    for child_ref in self.ipv6_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.locator_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']


                                        class Limit(object):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\:  int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dynamic = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dynamic is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.Limit']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.limit is not None and self.limit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.alt is not None and self.alt._has_data():
                                            return True

                                        if self.alt_vrf is not None:
                                            return True

                                        if self.database_mapping is not None and self.database_mapping._has_data():
                                            return True

                                        if self.distance is not None and self.distance._has_data():
                                            return True

                                        if self.eid_table is not None and self.eid_table._has_data():
                                            return True

                                        if self.etr is not None and self.etr._has_data():
                                            return True

                                        if self.etr_enable is not None and self.etr_enable._has_data():
                                            return True

                                        if self.itr is not None and self.itr._has_data():
                                            return True

                                        if self.itr_enable is not None and self.itr_enable._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                            return True

                                        if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                            return True

                                        if self.map_request_source is not None:
                                            return True

                                        if self.proxy_etr is not None:
                                            return True

                                        if self.proxy_itr is not None and self.proxy_itr._has_data():
                                            return True

                                        if self.route_export is not None and self.route_export._has_data():
                                            return True

                                        if self.route_import is not None and self.route_import._has_data():
                                            return True

                                        if self.sgt is not None:
                                            return True

                                        if self.site_registration is not None and self.site_registration._has_data():
                                            return True

                                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                            return True

                                        if self.use_petr is not None:
                                            for child_ref in self.use_petr:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']


                                class EidTable(object):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.default = None
                                        self.vrf = None
                                        self.vrf_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.default is not None:
                                            return True

                                        if self.vrf is not None:
                                            return True

                                        if self.vrf_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable']['meta_info']


                                class Itr(object):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map_resolver = YList()
                                        self.map_resolver.parent = self
                                        self.map_resolver.name = 'map_resolver'


                                    class MapResolver(object):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map_resolver is not None:
                                            for child_ref in self.map_resolver:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr']['meta_info']


                                class ItrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.itr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.itr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable']['meta_info']


                                class EtrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.etr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.etr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable']['meta_info']


                                class Etr(object):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self.map_cache_ttl = None
                                        self.map_server = YList()
                                        self.map_server.parent = self
                                        self.map_server.name = 'map_server'


                                    class MapServer(object):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None
                                            self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self.proxy_reply = None


                                        class Key(object):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self


                                            class KeyPwd(object):
                                                """
                                                
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.hash_function = None
                                                    self.unc_pwd = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.hash_function is not None:
                                                        return True

                                                    if self.unc_pwd is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info']


                                            class Key0(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_0 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_0 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info']


                                            class Key6(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_6 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_6 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info']


                                            class Key7(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_7 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_7 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.key_0 is not None and self.key_0._has_data():
                                                    return True

                                                if self.key_6 is not None and self.key_6._has_data():
                                                    return True

                                                if self.key_7 is not None and self.key_7._has_data():
                                                    return True

                                                if self.key_pwd is not None and self.key_pwd._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            if self.key is not None and self.key._has_data():
                                                return True

                                            if self.proxy_reply is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer']['meta_info']


                                    class AcceptMapRequestMapping(object):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_mappping = None
                                            self.verify = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_mappping is not None:
                                                return True

                                            if self.verify is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                            return True

                                        if self.map_cache_ttl is not None:
                                            return True

                                        if self.map_server is not None:
                                            for child_ref in self.map_server:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr']['meta_info']


                                class MapCacheLimit(object):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\:  str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max_map_cache_entries = None
                                        self.reserve_list = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max_map_cache_entries is not None:
                                            return True

                                        if self.reserve_list is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit']['meta_info']


                                class SiteRegistration(object):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.limit = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.limit is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration']['meta_info']


                                class SolicitMapRequest(object):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\:  int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None
                                        self.max_per_entry = None
                                        self.suppression_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        if self.max_per_entry is not None:
                                            return True

                                        if self.suppression_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest']['meta_info']


                                class Alt(object):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.summary_route = YList()
                                        self.summary_route.parent = self
                                        self.summary_route.name = 'summary_route'


                                    class SummaryRoute(object):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.route_tag = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.route_tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.summary_route is not None:
                                            for child_ref in self.summary_route:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt']['meta_info']


                                class Distance(object):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.alt = None
                                        self.away = None
                                        self.dyn_eid = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.alt is not None:
                                            return True

                                        if self.away is not None:
                                            return True

                                        if self.dyn_eid is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance']['meta_info']


                                class MapCache(object):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids>`
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self.eid_interface = YList()
                                        self.eid_interface.parent = self
                                        self.eid_interface.name = 'eid_interface'
                                        self.site_registration = None


                                    class EidInterface(object):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.drop = None
                                            self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self.map_request = None
                                            self.native_forward = None


                                        class EtrInterfaceIp(object):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr_interface_ip_address = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr_interface_ip_address is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.drop is not None:
                                                return True

                                            if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                return True

                                            if self.map_request is not None:
                                                return True

                                            if self.native_forward is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface']['meta_info']


                                    class AwayEids(object):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.send_map_request = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.send_map_request is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None and self.away_eids._has_data():
                                            return True

                                        if self.eid_interface is not None:
                                            for child_ref in self.eid_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.site_registration is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache']['meta_info']


                                class MapCachePersistent(object):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\:  int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent']['meta_info']


                                class ProxyItr(object):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_addr = None
                                        self.ipv6_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_addr is not None:
                                            return True

                                        if self.ipv6_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr']['meta_info']


                                class RouteExport(object):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport']['meta_info']


                                class UsePetr(object):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_address = None
                                        self.priority = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority()
                                        self.priority.parent = self


                                    class Priority(object):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.priority_value = None
                                            self.weight = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.priority_value is not None:
                                                return True

                                            if self.weight is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.locator_address is None:
                                            raise YPYModelError('Key property locator_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_address is not None:
                                            return True

                                        if self.priority is not None and self.priority._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr']['meta_info']


                                class RouteImport(object):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.database = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database()
                                        self.database.parent = self
                                        self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache()
                                        self.map_cache.parent = self


                                    class Database(object):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = YList()
                                            self.rip.parent = self
                                            self.rip.name = 'rip'
                                            self.static = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static()
                                            self.static.parent = self


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self.process_id = None


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                if self.process_id is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\:  str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None:
                                                for child_ref in self.rip:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']


                                    class MapCache(object):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = None
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = None
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = None
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = YList()
                                            self.rip.parent = self
                                            self.rip.name = 'rip'
                                            self.static = None


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\:  str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None:
                                                for child_ref in self.rip:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.database is not None and self.database._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport']['meta_info']


                                class DatabaseMapping(object):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'
                                        self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit()
                                        self.limit.parent = self


                                    class EidCont(object):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.auto_discover_rlocs = None
                                            self.ipv4_addrees = YList()
                                            self.ipv4_addrees.parent = self
                                            self.ipv4_addrees.name = 'ipv4_addrees'
                                            self.ipv4_interface = YList()
                                            self.ipv4_interface.parent = self
                                            self.ipv4_interface.name = 'ipv4_interface'
                                            self.ipv6_addrees = YList()
                                            self.ipv6_addrees.parent = self
                                            self.ipv6_addrees.name = 'ipv6_addrees'
                                            self.ipv6_interface = YList()
                                            self.ipv6_interface.parent = self
                                            self.ipv6_interface.name = 'ipv6_interface'
                                            self.locator_set = None


                                        class Ipv4Addrees(object):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                        class Ipv6Addrees(object):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                        class Ipv4Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                        class Ipv6Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.auto_discover_rlocs is not None:
                                                return True

                                            if self.ipv4_addrees is not None:
                                                for child_ref in self.ipv4_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv4_interface is not None:
                                                for child_ref in self.ipv4_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_addrees is not None:
                                                for child_ref in self.ipv6_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_interface is not None:
                                                for child_ref in self.ipv6_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.locator_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']


                                    class Limit(object):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\:  int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        if self.limit is not None and self.limit._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.alt is not None and self.alt._has_data():
                                        return True

                                    if self.alt_vrf is not None:
                                        return True

                                    if self.database_mapping is not None and self.database_mapping._has_data():
                                        return True

                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.distance is not None and self.distance._has_data():
                                        return True

                                    if self.eid_table is not None and self.eid_table._has_data():
                                        return True

                                    if self.etr is not None and self.etr._has_data():
                                        return True

                                    if self.etr_enable is not None and self.etr_enable._has_data():
                                        return True

                                    if self.itr is not None and self.itr._has_data():
                                        return True

                                    if self.itr_enable is not None and self.itr_enable._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                        return True

                                    if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                        return True

                                    if self.map_request_source is not None:
                                        return True

                                    if self.proxy_etr is not None:
                                        return True

                                    if self.proxy_itr is not None and self.proxy_itr._has_data():
                                        return True

                                    if self.route_export is not None and self.route_export._has_data():
                                        return True

                                    if self.route_import is not None and self.route_import._has_data():
                                        return True

                                    if self.sgt is not None:
                                        return True

                                    if self.site_registration is not None and self.site_registration._has_data():
                                        return True

                                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                        return True

                                    if self.use_petr is not None:
                                        for child_ref in self.use_petr:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']


                            class Ethernet(object):
                                """
                                
                                
                                .. attribute:: broadcast_underlay
                                
                                	Multicast group to use for underlay
                                	**type**\:   :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay>`
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.broadcast_underlay = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay()
                                    self.broadcast_underlay.parent = self
                                    self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self.default = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_()
                                    self.default.parent = self
                                    self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable()
                                    self.eid_table.parent = self
                                    self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr()
                                    self.etr.parent = self
                                    self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable()
                                    self.etr_enable.parent = self
                                    self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr()
                                    self.itr.parent = self
                                    self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable()
                                    self.itr_enable.parent = self
                                    self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache()
                                    self.map_cache.parent = self
                                    self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self.map_request_source = None
                                    self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration()
                                    self.site_registration.parent = self
                                    self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest()
                                    self.solicit_map_request.parent = self


                                class Default_(object):
                                    """
                                    
                                    
                                    .. attribute:: broadcast_underlay
                                    
                                    	Multicast group to use for underlay
                                    	**type**\:   :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.BroadcastUnderlay>`
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EidTable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EtrEnable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.ItrEnable>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCacheLimit>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SolicitMapRequest>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.broadcast_underlay = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.BroadcastUnderlay()
                                        self.broadcast_underlay.parent = self
                                        self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EidTable()
                                        self.eid_table.parent = self
                                        self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr()
                                        self.etr.parent = self
                                        self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EtrEnable()
                                        self.etr_enable.parent = self
                                        self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr()
                                        self.itr.parent = self
                                        self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.ItrEnable()
                                        self.itr_enable.parent = self
                                        self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache()
                                        self.map_cache.parent = self
                                        self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self.map_request_source = None
                                        self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SiteRegistration()
                                        self.site_registration.parent = self
                                        self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SolicitMapRequest()
                                        self.solicit_map_request.parent = self


                                    class EidTable(object):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vlan
                                        
                                        	VLAN configuration
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.vlan = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.vlan is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EidTable']['meta_info']


                                    class BroadcastUnderlay(object):
                                        """
                                        Multicast group to use for underlay
                                        
                                        .. attribute:: ipv4_multicast
                                        
                                        	IPv4 multicast group address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_multicast
                                        
                                        	IPv6 multicast group address
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4_multicast = None
                                            self.ipv6_multicast = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:broadcast-underlay'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4_multicast is not None:
                                                return True

                                            if self.ipv6_multicast is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.BroadcastUnderlay']['meta_info']


                                    class DatabaseMapping(object):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'
                                            self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.Limit()
                                            self.limit.parent = self


                                        class EidCont(object):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\:  str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface>`
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.ipv4_addrees = YList()
                                                self.ipv4_addrees.parent = self
                                                self.ipv4_addrees.name = 'ipv4_addrees'
                                                self.ipv4_interface = YList()
                                                self.ipv4_interface.parent = self
                                                self.ipv4_interface.name = 'ipv4_interface'
                                                self.ipv6_addrees = YList()
                                                self.ipv6_addrees.parent = self
                                                self.ipv6_addrees.name = 'ipv6_addrees'
                                                self.ipv6_interface = YList()
                                                self.ipv6_interface.parent = self
                                                self.ipv6_interface.name = 'ipv6_interface'
                                                self.locator_set = None


                                            class Ipv4Addrees(object):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                            class Ipv6Addrees(object):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                            class Ipv4Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                            class Ipv6Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.ipv4_addrees is not None:
                                                    for child_ref in self.ipv4_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv4_interface is not None:
                                                    for child_ref in self.ipv4_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_addrees is not None:
                                                    for child_ref in self.ipv6_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_interface is not None:
                                                    for child_ref in self.ipv6_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.locator_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']


                                        class Limit(object):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\:  int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dynamic = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dynamic is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.Limit']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.limit is not None and self.limit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping']['meta_info']


                                    class Itr(object):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.map_resolver = YList()
                                            self.map_resolver.parent = self
                                            self.map_resolver.name = 'map_resolver'


                                        class MapResolver(object):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr.MapResolver']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.map_resolver is not None:
                                                for child_ref in self.map_resolver:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr']['meta_info']


                                    class ItrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.itr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.itr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.ItrEnable']['meta_info']


                                    class EtrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EtrEnable']['meta_info']


                                    class Etr(object):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self.map_cache_ttl = None
                                            self.map_server = YList()
                                            self.map_server.parent = self
                                            self.map_server.name = 'map_server'


                                        class MapServer(object):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None
                                                self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self.proxy_reply = None


                                            class Key(object):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7>`
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self


                                                class KeyPwd(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.hash_function = None
                                                        self.unc_pwd = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.hash_function is not None:
                                                            return True

                                                        if self.unc_pwd is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                class Key0(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_0 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_0 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                                class Key6(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_6 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_6 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                                class Key7(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_7 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_7 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.key_0 is not None and self.key_0._has_data():
                                                        return True

                                                    if self.key_6 is not None and self.key_6._has_data():
                                                        return True

                                                    if self.key_7 is not None and self.key_7._has_data():
                                                        return True

                                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                if self.key is not None and self.key._has_data():
                                                    return True

                                                if self.proxy_reply is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer']['meta_info']


                                        class AcceptMapRequestMapping(object):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_mappping = None
                                                self.verify = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_mappping is not None:
                                                    return True

                                                if self.verify is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                return True

                                            if self.map_cache_ttl is not None:
                                                return True

                                            if self.map_server is not None:
                                                for child_ref in self.map_server:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr']['meta_info']


                                    class MapCacheLimit(object):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\:  str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max_map_cache_entries = None
                                            self.reserve_list = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max_map_cache_entries is not None:
                                                return True

                                            if self.reserve_list is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCacheLimit']['meta_info']


                                    class SiteRegistration(object):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.limit = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.limit is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SiteRegistration']['meta_info']


                                    class SolicitMapRequest(object):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\:  int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None
                                            self.max_per_entry = None
                                            self.suppression_time = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            if self.max_per_entry is not None:
                                                return True

                                            if self.suppression_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SolicitMapRequest']['meta_info']


                                    class MapCache(object):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'


                                        class EidCont(object):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\:  str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self


                                            class EtrInterfaceIp(object):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.etr_interface_ip_address = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.etr_interface_ip_address is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.broadcast_underlay is not None and self.broadcast_underlay._has_data():
                                            return True

                                        if self.database_mapping is not None and self.database_mapping._has_data():
                                            return True

                                        if self.eid_table is not None and self.eid_table._has_data():
                                            return True

                                        if self.etr is not None and self.etr._has_data():
                                            return True

                                        if self.etr_enable is not None and self.etr_enable._has_data():
                                            return True

                                        if self.itr is not None and self.itr._has_data():
                                            return True

                                        if self.itr_enable is not None and self.itr_enable._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                            return True

                                        if self.map_request_source is not None:
                                            return True

                                        if self.site_registration is not None and self.site_registration._has_data():
                                            return True

                                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']


                                class EidTable(object):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vlan
                                    
                                    	VLAN configuration
                                    	**type**\:  int
                                    
                                    	**range:** 1..4094
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.vlan = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.vlan is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable']['meta_info']


                                class BroadcastUnderlay(object):
                                    """
                                    Multicast group to use for underlay
                                    
                                    .. attribute:: ipv4_multicast
                                    
                                    	IPv4 multicast group address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_multicast
                                    
                                    	IPv6 multicast group address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_multicast = None
                                        self.ipv6_multicast = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:broadcast-underlay'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_multicast is not None:
                                            return True

                                        if self.ipv6_multicast is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay']['meta_info']


                                class DatabaseMapping(object):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'
                                        self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit()
                                        self.limit.parent = self


                                    class EidCont(object):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\:  str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.ipv4_addrees = YList()
                                            self.ipv4_addrees.parent = self
                                            self.ipv4_addrees.name = 'ipv4_addrees'
                                            self.ipv4_interface = YList()
                                            self.ipv4_interface.parent = self
                                            self.ipv4_interface.name = 'ipv4_interface'
                                            self.ipv6_addrees = YList()
                                            self.ipv6_addrees.parent = self
                                            self.ipv6_addrees.name = 'ipv6_addrees'
                                            self.ipv6_interface = YList()
                                            self.ipv6_interface.parent = self
                                            self.ipv6_interface.name = 'ipv6_interface'
                                            self.locator_set = None


                                        class Ipv4Addrees(object):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                        class Ipv6Addrees(object):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                        class Ipv4Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                        class Ipv6Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.ipv4_addrees is not None:
                                                for child_ref in self.ipv4_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv4_interface is not None:
                                                for child_ref in self.ipv4_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_addrees is not None:
                                                for child_ref in self.ipv6_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_interface is not None:
                                                for child_ref in self.ipv6_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.locator_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']


                                    class Limit(object):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\:  int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        if self.limit is not None and self.limit._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping']['meta_info']


                                class Itr(object):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map_resolver = YList()
                                        self.map_resolver.parent = self
                                        self.map_resolver.name = 'map_resolver'


                                    class MapResolver(object):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map_resolver is not None:
                                            for child_ref in self.map_resolver:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr']['meta_info']


                                class ItrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.itr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.itr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable']['meta_info']


                                class EtrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.etr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.etr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable']['meta_info']


                                class Etr(object):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self.map_cache_ttl = None
                                        self.map_server = YList()
                                        self.map_server.parent = self
                                        self.map_server.name = 'map_server'


                                    class MapServer(object):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None
                                            self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self.proxy_reply = None


                                        class Key(object):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self


                                            class KeyPwd(object):
                                                """
                                                
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.hash_function = None
                                                    self.unc_pwd = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.hash_function is not None:
                                                        return True

                                                    if self.unc_pwd is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info']


                                            class Key0(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_0 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_0 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info']


                                            class Key6(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_6 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_6 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info']


                                            class Key7(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_7 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_7 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.key_0 is not None and self.key_0._has_data():
                                                    return True

                                                if self.key_6 is not None and self.key_6._has_data():
                                                    return True

                                                if self.key_7 is not None and self.key_7._has_data():
                                                    return True

                                                if self.key_pwd is not None and self.key_pwd._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            if self.key is not None and self.key._has_data():
                                                return True

                                            if self.proxy_reply is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer']['meta_info']


                                    class AcceptMapRequestMapping(object):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_mappping = None
                                            self.verify = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_mappping is not None:
                                                return True

                                            if self.verify is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                            return True

                                        if self.map_cache_ttl is not None:
                                            return True

                                        if self.map_server is not None:
                                            for child_ref in self.map_server:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr']['meta_info']


                                class MapCacheLimit(object):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\:  str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max_map_cache_entries = None
                                        self.reserve_list = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max_map_cache_entries is not None:
                                            return True

                                        if self.reserve_list is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit']['meta_info']


                                class SiteRegistration(object):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.limit = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.limit is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration']['meta_info']


                                class SolicitMapRequest(object):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\:  int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None
                                        self.max_per_entry = None
                                        self.suppression_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        if self.max_per_entry is not None:
                                            return True

                                        if self.suppression_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest']['meta_info']


                                class MapCache(object):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'


                                    class EidCont(object):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\:  str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self


                                        class EtrInterfaceIp(object):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr_interface_ip_address = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr_interface_ip_address is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ethernet'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.broadcast_underlay is not None and self.broadcast_underlay._has_data():
                                        return True

                                    if self.database_mapping is not None and self.database_mapping._has_data():
                                        return True

                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.eid_table is not None and self.eid_table._has_data():
                                        return True

                                    if self.etr is not None and self.etr._has_data():
                                        return True

                                    if self.etr_enable is not None and self.etr_enable._has_data():
                                        return True

                                    if self.itr is not None and self.itr._has_data():
                                        return True

                                    if self.itr_enable is not None and self.itr_enable._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                        return True

                                    if self.map_request_source is not None:
                                        return True

                                    if self.site_registration is not None and self.site_registration._has_data():
                                        return True

                                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:service'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.ethernet is not None and self.ethernet._has_data():
                                    return True

                                if self.ipv4 is not None and self.ipv4._has_data():
                                    return True

                                if self.ipv6 is not None and self.ipv6._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service']['meta_info']

                        @property
                        def _common_path(self):
                            if self.instance_id is None:
                                raise YPYModelError('Key property instance_id is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:instance-container/Cisco-IOS-XE-lisp:instance-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.instance_id is not None:
                                return True

                            if self.decapsulation is not None and self.decapsulation._has_data():
                                return True

                            if self.default is not None and self.default._has_data():
                                return True

                            if self.disable_ttl_propagate is not None:
                                return True

                            if self.dynamic_eid is not None:
                                for child_ref in self.dynamic_eid:
                                    if child_ref._has_data():
                                        return True

                            if self.loc_reach_algorithm is not None and self.loc_reach_algorithm._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.other_xtr_probe is not None and self.other_xtr_probe._has_data():
                                return True

                            if self.remote_rloc_probe is not None and self.remote_rloc_probe._has_data():
                                return True

                            if self.service is not None and self.service._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer.InstanceList']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:instance-container'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.instance_list is not None:
                            for child_ref in self.instance_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.InstanceContainer']['meta_info']


                class Alt(object):
                    """
                    LISP Alternative Topology, LISP\-ALT
                    
                    .. attribute:: summary_route
                    
                    	Summary route to install into the ALT table
                    	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Alt.SummaryRoute>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.summary_route = YList()
                        self.summary_route.parent = self
                        self.summary_route.name = 'summary_route'


                    class SummaryRoute(object):
                        """
                        Summary route to install into the ALT table
                        
                        .. attribute:: eid_prefix  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        
                        ----
                        .. attribute:: route_tag
                        
                        	ALT RIB route tag for EID prefix
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eid_prefix = None
                            self.route_tag = None

                        @property
                        def _common_path(self):
                            if self.eid_prefix is None:
                                raise YPYModelError('Key property eid_prefix is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:alt/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eid_prefix is not None:
                                return True

                            if self.route_tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Alt.SummaryRoute']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:alt'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.summary_route is not None:
                            for child_ref in self.summary_route:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.Alt']['meta_info']


                class ControlPacket(object):
                    """
                    Configure control packet tx option
                    
                    .. attribute:: mtu
                    
                    	Configure control packet MTU
                    	**type**\:  int
                    
                    	**range:** 304..10000
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.mtu = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:control-packet'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.mtu is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.ControlPacket']['meta_info']


                class Ddt(object):
                    """
                    Delegated Database Tree (DDT) mapping system
                    
                    .. attribute:: authoritative
                    
                    	DDT authoritative prefix
                    	**type**\:   :py:class:`Authoritative <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ddt.Authoritative>`
                    
                    .. attribute:: cache_limit
                    
                    	DDT resolver cache entry limit
                    	**type**\:  int
                    
                    	**range:** 1..100000
                    
                    .. attribute:: root
                    
                    	DDT root node
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.authoritative = Native.Router.Lisp.Default.Ddt.Authoritative()
                        self.authoritative.parent = self
                        self.cache_limit = None
                        self.root = None


                    class Authoritative(object):
                        """
                        DDT authoritative prefix
                        
                        .. attribute:: instance_id_eid_prefix_list
                        
                        	
                        	**type**\: list of    :py:class:`InstanceIdEidPrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList>`
                        
                        .. attribute:: instance_id_list
                        
                        	
                        	**type**\: list of    :py:class:`InstanceIdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.instance_id_eid_prefix_list = YList()
                            self.instance_id_eid_prefix_list.parent = self
                            self.instance_id_eid_prefix_list.name = 'instance_id_eid_prefix_list'
                            self.instance_id_list = YList()
                            self.instance_id_list.parent = self
                            self.instance_id_list.name = 'instance_id_list'


                        class InstanceIdEidPrefixList(object):
                            """
                            
                            
                            .. attribute:: instance_id  <key>
                            
                            	EID instance\-ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: eid_prefix  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: delegate
                            
                            	DDT delegation to a child DDT node or map\-server
                            	**type**\:   :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate>`
                            
                            .. attribute:: map_server_peer
                            
                            	Peer map\-servers that are authoritative for the same EID prefixes
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.instance_id = None
                                self.eid_prefix = None
                                self.delegate = Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate()
                                self.delegate.parent = self
                                self.map_server_peer = None


                            class Delegate(object):
                                """
                                DDT delegation to a child DDT node or map\-server
                                
                                .. attribute:: eid_prefix
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: instance_id
                                
                                	EID instance\-ID
                                	**type**\:  str
                                
                                .. attribute:: ip_address
                                
                                	IPv4/6 Child or map\-server node locator address
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: map_server
                                
                                	Delegation points to a map\-server
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: to
                                
                                	DDT delegation to a child DDT node or map\-server
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eid_prefix = None
                                    self.instance_id = None
                                    self.ip_address = None
                                    self.map_server = None
                                    self.to = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:delegate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eid_prefix is not None:
                                        return True

                                    if self.instance_id is not None:
                                        return True

                                    if self.ip_address is not None:
                                        return True

                                    if self.map_server is not None:
                                        return True

                                    if self.to is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.instance_id is None:
                                    raise YPYModelError('Key property instance_id is None')
                                if self.eid_prefix is None:
                                    raise YPYModelError('Key property eid_prefix is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ddt/Cisco-IOS-XE-lisp:authoritative/Cisco-IOS-XE-lisp:instance-id-eid-prefix-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + '][Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.instance_id is not None:
                                    return True

                                if self.eid_prefix is not None:
                                    return True

                                if self.delegate is not None and self.delegate._has_data():
                                    return True

                                if self.map_server_peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info']


                        class InstanceIdList(object):
                            """
                            
                            
                            .. attribute:: instance_id  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: delegate
                            
                            	DDT delegation to a child DDT node or map\-server
                            	**type**\:   :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList.Delegate>`
                            
                            .. attribute:: map_server_peer
                            
                            	Peer map\-servers that are authoritative for the same EID prefixes
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.instance_id = None
                                self.delegate = Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList.Delegate()
                                self.delegate.parent = self
                                self.map_server_peer = None


                            class Delegate(object):
                                """
                                DDT delegation to a child DDT node or map\-server
                                
                                .. attribute:: eid_prefix
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: instance_id
                                
                                	EID instance\-ID
                                	**type**\:  str
                                
                                .. attribute:: ip_address
                                
                                	IPv4/6 Child or map\-server node locator address
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: map_server
                                
                                	Delegation points to a map\-server
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: to
                                
                                	DDT delegation to a child DDT node or map\-server
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eid_prefix = None
                                    self.instance_id = None
                                    self.ip_address = None
                                    self.map_server = None
                                    self.to = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:delegate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eid_prefix is not None:
                                        return True

                                    if self.instance_id is not None:
                                        return True

                                    if self.ip_address is not None:
                                        return True

                                    if self.map_server is not None:
                                        return True

                                    if self.to is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList.Delegate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.instance_id is None:
                                    raise YPYModelError('Key property instance_id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ddt/Cisco-IOS-XE-lisp:authoritative/Cisco-IOS-XE-lisp:instance-id-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.instance_id is not None:
                                    return True

                                if self.delegate is not None and self.delegate._has_data():
                                    return True

                                if self.map_server_peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ddt/Cisco-IOS-XE-lisp:authoritative'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.instance_id_eid_prefix_list is not None:
                                for child_ref in self.instance_id_eid_prefix_list:
                                    if child_ref._has_data():
                                        return True

                            if self.instance_id_list is not None:
                                for child_ref in self.instance_id_list:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ddt.Authoritative']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ddt'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.authoritative is not None and self.authoritative._has_data():
                            return True

                        if self.cache_limit is not None:
                            return True

                        if self.root is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.Ddt']['meta_info']


                class Decapsulation(object):
                    """
                    Decapsulation behavior (e.g. filters)
                    
                    .. attribute:: filter
                    
                    	Filters traffic
                    	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Decapsulation.Filter>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.filter = Native.Router.Lisp.Default.Decapsulation.Filter()
                        self.filter.parent = self


                    class Filter(object):
                        """
                        Filters traffic
                        
                        .. attribute:: rloc
                        
                        	Filter based on Routing Locator (RLOC) in packet header
                        	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Decapsulation.Filter.Rloc>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.rloc = Native.Router.Lisp.Default.Decapsulation.Filter.Rloc()
                            self.rloc.parent = self


                        class Rloc(object):
                            """
                            Filter based on Routing Locator (RLOC) in packet header
                            
                            .. attribute:: source
                            
                            	Filters traffic based on RLOC source address
                            	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Decapsulation.Filter.Rloc.Source>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.source = Native.Router.Lisp.Default.Decapsulation.Filter.Rloc.Source()
                                self.source.parent = self


                            class Source(object):
                                """
                                Filters traffic based on RLOC source address
                                
                                .. attribute:: locator_set
                                
                                	Locator\-set Name
                                	**type**\:  str
                                
                                .. attribute:: member
                                
                                	Members learned from map\-server
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.member = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:decapsulation/Cisco-IOS-XE-lisp:filter/Cisco-IOS-XE-lisp:rloc/Cisco-IOS-XE-lisp:source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.member is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Decapsulation.Filter.Rloc.Source']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:decapsulation/Cisco-IOS-XE-lisp:filter/Cisco-IOS-XE-lisp:rloc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.source is not None and self.source._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Decapsulation.Filter.Rloc']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:decapsulation/Cisco-IOS-XE-lisp:filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.rloc is not None and self.rloc._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Decapsulation.Filter']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:decapsulation'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.filter is not None and self.filter._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.Decapsulation']['meta_info']


                class Etr(object):
                    """
                    Configures a LISP Egress Tunnel Router (ETR)
                    
                    .. attribute:: map_server
                    
                    	Configures map server for ETR registration
                    	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Etr.MapServer>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.map_server = Native.Router.Lisp.Default.Etr.MapServer()
                        self.map_server.parent = self


                    class MapServer(object):
                        """
                        Configures map server for ETR registration
                        
                        .. attribute:: source_address
                        
                        	Configures map server source address
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.source_address = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:map-server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.source_address is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Etr.MapServer']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.map_server is not None and self.map_server._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.Etr']['meta_info']


                class Ipv4(object):
                    """
                    IPv4 address family
                    
                    .. attribute:: alt_vrf
                    
                    	Activate LISP\-ALT functionality in VRF
                    	**type**\:  str
                    
                    	**status**\: deprecated
                    
                    .. attribute:: database_mapping
                    
                    	Address family specific local EID prefixes database configuration
                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.DatabaseMapping>`
                    
                    .. attribute:: distance
                    
                    	Administrative distance for RIB route installation
                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.Distance>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.Etr>`
                    
                    .. attribute:: etr_enable
                    
                    	
                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.EtrEnable>`
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.Itr>`
                    
                    .. attribute:: itr_enable
                    
                    	
                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.ItrEnable>`
                    
                    .. attribute:: locator
                    
                    	Locator related configuration
                    	**type**\:   :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.Locator>`
                    
                    .. attribute:: map_cache
                    
                    	Address family specific map cache configuration
                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapCache>`
                    
                    .. attribute:: map_cache_limit
                    
                    	Configures maximum size of map\-cache
                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapCacheLimit>`
                    
                    .. attribute:: map_cache_persistent
                    
                    	Dump map\-cache onto flash, making it persistent across reboots
                    	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapCachePersistent>`
                    
                    .. attribute:: map_request_source
                    
                    	Configures inner header source address in Map\-Request message
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: map_resolver
                    
                    	Configures a LISP Map Resolver (MR)
                    	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapResolver>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: map_server
                    
                    	Configures a LISP Map Server (MS)
                    	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: path_mtu_discovery
                    
                    	Path MTU discovery
                    	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.PathMtuDiscovery>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: proxy_etr
                    
                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: proxy_itr
                    
                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                    	**type**\: one of the below types:
                    
                    	**type**\:  list of str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  list of str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: route_export
                    
                    	Export routes into RIB from LISP
                    	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteExport>`
                    
                    .. attribute:: route_import
                    
                    	Import RIB routes by a routing protocol into LISP
                    	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport>`
                    
                    .. attribute:: sgt
                    
                    	Enable security group tag propagation in LISP encapsulated traffic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: site_registration
                    
                    	Site registrations configuration for a given instance\-id
                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.SiteRegistration>`
                    
                    .. attribute:: solicit_map_request
                    
                    	Configure Solicit\-Map\-Request handling
                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.SolicitMapRequest>`
                    
                    .. attribute:: use_petr
                    
                    	Encapsulate to Proxy ETR when matching forward\-native entry
                    	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.UsePetr>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.alt_vrf = None
                        self.database_mapping = Native.Router.Lisp.Default.Ipv4.DatabaseMapping()
                        self.database_mapping.parent = self
                        self.distance = Native.Router.Lisp.Default.Ipv4.Distance()
                        self.distance.parent = self
                        self.etr = Native.Router.Lisp.Default.Ipv4.Etr()
                        self.etr.parent = self
                        self.etr_enable = Native.Router.Lisp.Default.Ipv4.EtrEnable()
                        self.etr_enable.parent = self
                        self.itr = Native.Router.Lisp.Default.Ipv4.Itr()
                        self.itr.parent = self
                        self.itr_enable = Native.Router.Lisp.Default.Ipv4.ItrEnable()
                        self.itr_enable.parent = self
                        self.locator = Native.Router.Lisp.Default.Ipv4.Locator()
                        self.locator.parent = self
                        self.map_cache = Native.Router.Lisp.Default.Ipv4.MapCache()
                        self.map_cache.parent = self
                        self.map_cache_limit = Native.Router.Lisp.Default.Ipv4.MapCacheLimit()
                        self.map_cache_limit.parent = self
                        self.map_cache_persistent = Native.Router.Lisp.Default.Ipv4.MapCachePersistent()
                        self.map_cache_persistent.parent = self
                        self.map_request_source = None
                        self.map_resolver = None
                        self.map_server = None
                        self.path_mtu_discovery = None
                        self.proxy_etr = None
                        self.proxy_itr = YLeafList()
                        self.proxy_itr.parent = self
                        self.proxy_itr.name = 'proxy_itr'
                        self.route_export = Native.Router.Lisp.Default.Ipv4.RouteExport()
                        self.route_export.parent = self
                        self.route_import = Native.Router.Lisp.Default.Ipv4.RouteImport()
                        self.route_import.parent = self
                        self.sgt = None
                        self.site_registration = Native.Router.Lisp.Default.Ipv4.SiteRegistration()
                        self.site_registration.parent = self
                        self.solicit_map_request = Native.Router.Lisp.Default.Ipv4.SolicitMapRequest()
                        self.solicit_map_request.parent = self
                        self.use_petr = YList()
                        self.use_petr.parent = self
                        self.use_petr.name = 'use_petr'


                    class DatabaseMapping(object):
                        """
                        Address family specific local EID prefixes database configuration
                        
                        .. attribute:: limit
                        
                        	Configures the maximum size of local EID prefixes database
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.DatabaseMapping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Router.Lisp.Default.Ipv4.DatabaseMapping.Limit()
                            self.limit.parent = self


                        class Limit(object):
                            """
                            Configures the maximum size of local EID prefixes database
                            
                            .. attribute:: dynamic
                            
                            	Configures the maximum size of dynamic local EID prefixes database
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:database-mapping/Cisco-IOS-XE-lisp:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Ipv4.DatabaseMapping.Limit']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:database-mapping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv4.DatabaseMapping']['meta_info']


                    class Distance(object):
                        """
                        Administrative distance for RIB route installation
                        
                        .. attribute:: alt
                        
                        	LISP routes installed in the ALT table
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: dyn_eid
                        
                        	LISP installed routes of type dynamic\-EID
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: site_registrations
                        
                        	LISP installed routes of type site\-registrations
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.alt = None
                            self.dyn_eid = None
                            self.site_registrations = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:distance'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.alt is not None:
                                return True

                            if self.dyn_eid is not None:
                                return True

                            if self.site_registrations is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv4.Distance']['meta_info']


                    class Itr(object):
                        """
                        Configures a LISP Ingress Tunnel Router (ITR)
                        
                        .. attribute:: map_resolver
                        
                        	Configures map\-resolver address for sending Map\-Requests
                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.Itr.MapResolver>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.map_resolver = YList()
                            self.map_resolver.parent = self
                            self.map_resolver.name = 'map_resolver'


                        class MapResolver(object):
                            """
                            Configures map\-resolver address for sending Map\-Requests
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None

                            @property
                            def _common_path(self):
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:itr/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Ipv4.Itr.MapResolver']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:itr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.map_resolver is not None:
                                for child_ref in self.map_resolver:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv4.Itr']['meta_info']


                    class ItrEnable(object):
                        """
                        
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.itr = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:itr-enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.itr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv4.ItrEnable']['meta_info']


                    class Etr(object):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.Etr.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.map_server = YList()
                            self.map_server.parent = self
                            self.map_server.name = 'map_server'


                        class MapServer(object):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.Etr.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None
                                self.key = Native.Router.Lisp.Default.Ipv4.Etr.MapServer.Key()
                                self.key.parent = self
                                self.proxy_reply = None


                            class Key(object):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                .. attribute:: key_6
                                
                                	The ENCRYPTED password
                                	**type**\:  str
                                
                                .. attribute:: key_7
                                
                                	The HIDDEN password
                                	**type**\:  str
                                
                                .. attribute:: pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_0 = None
                                    self.key_6 = None
                                    self.key_7 = None
                                    self.pwd = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_0 is not None:
                                        return True

                                    if self.key_6 is not None:
                                        return True

                                    if self.key_7 is not None:
                                        return True

                                    if self.pwd is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv4.Etr.MapServer.Key']['meta_info']

                            @property
                            def _common_path(self):
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                if self.key is not None and self.key._has_data():
                                    return True

                                if self.proxy_reply is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Ipv4.Etr.MapServer']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:etr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.map_server is not None:
                                for child_ref in self.map_server:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv4.Etr']['meta_info']


                    class EtrEnable(object):
                        """
                        
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.etr = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:etr-enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.etr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv4.EtrEnable']['meta_info']


                    class Locator(object):
                        """
                        Locator related configuration
                        
                        .. attribute:: reachability
                        
                        	Configuration realted to locator reachability
                        	**type**\:   :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.Locator.Reachability>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reachability = Native.Router.Lisp.Default.Ipv4.Locator.Reachability()
                            self.reachability.parent = self


                        class Reachability(object):
                            """
                            Configuration realted to locator reachability
                            
                            .. attribute:: exclude_default
                            
                            	If a remote RLOC is reached via the default route, treat it as unreachable
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.exclude_default = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:locator/Cisco-IOS-XE-lisp:reachability'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.exclude_default is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Ipv4.Locator.Reachability']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:locator'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reachability is not None and self.reachability._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv4.Locator']['meta_info']


                    class MapCache(object):
                        """
                        Address family specific map cache configuration
                        
                        .. attribute:: site_registration
                        
                        	Install map cache to map request for site registrations
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.site_registration = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.site_registration is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv4.MapCache']['meta_info']


                    class MapCacheLimit(object):
                        """
                        Configures maximum size of map\-cache
                        
                        .. attribute:: max_map_cache_entries
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..100000
                        
                        .. attribute:: reserve_list
                        
                        	EID\-prefixes guaranteed to be stored in map\-cache
                        	**type**\:  str
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max_map_cache_entries = None
                            self.reserve_list = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-cache-limit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max_map_cache_entries is not None:
                                return True

                            if self.reserve_list is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv4.MapCacheLimit']['meta_info']


                    class MapCachePersistent(object):
                        """
                        Dump map\-cache onto flash, making it persistent across reboots
                        
                        .. attribute:: interval
                        
                        	Interval in minutes of how often the map\-cache is saved
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interval = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-cache-persistent'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv4.MapCachePersistent']['meta_info']


                    class MapResolver(object):
                        """
                        Configures a LISP Map Resolver (MR)
                        
                        .. attribute:: map_request
                        
                        	Map\-Request processing options
                        	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.map_request = Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest()
                            self.map_request.parent = self


                        class MapRequest(object):
                            """
                            Map\-Request processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.validate = Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate()
                                self.validate.parent = self


                            class Validate(object):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	Influence which source RLOCs map requests are accepted from
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    Influence which source RLOCs map requests are accepted from
                                    
                                    .. attribute:: ipv4
                                    
                                    	IPv4 prefixes
                                    	**type**\:  str
                                    
                                    .. attribute:: ipv6
                                    
                                    	IPv6 prefixes
                                    	**type**\:  str
                                    
                                    .. attribute:: list
                                    
                                    	Define allowed prefixes using an ip[v6] prefix list
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: registered
                                    
                                    	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None
                                        self.ipv6 = None
                                        self.list = None
                                        self.registered = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        if self.ipv6 is not None:
                                            return True

                                        if self.list is not None:
                                            return True

                                        if self.registered is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.validate is not None and self.validate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.map_request is not None and self.map_request._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv4.MapResolver']['meta_info']


                    class MapServer(object):
                        """
                        Configures a LISP Map Server (MS)
                        
                        .. attribute:: map_register
                        
                        	Map\-Register processing options
                        	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.map_register = Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister()
                            self.map_register.parent = self


                        class MapRegister(object):
                            """
                            Map\-Register processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.validate = Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate()
                                self.validate.parent = self


                            class Validate(object):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	RLOC Source IP address
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    RLOC Source IP address
                                    
                                    .. attribute:: allowed_locator
                                    
                                    	Against sites' allowed\-locators policy
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.allowed_locator = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.allowed_locator is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.validate is not None and self.validate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.map_register is not None and self.map_register._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv4.MapServer']['meta_info']


                    class PathMtuDiscovery(object):
                        """
                        Path MTU discovery
                        
                        .. attribute:: max
                        
                        	Upper bound on the path MTU accepted
                        	**type**\:  int
                        
                        	**range:** 68..65535
                        
                        .. attribute:: min
                        
                        	Lower bound on the path MTU accepted
                        	**type**\:  int
                        
                        	**range:** 68..65535
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.max = None
                            self.min = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:path-mtu-discovery'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.max is not None:
                                return True

                            if self.min is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv4.PathMtuDiscovery']['meta_info']


                    class RouteExport(object):
                        """
                        Export routes into RIB from LISP
                        
                        .. attribute:: away_eids
                        
                        	Export LISP away EIDs to RIB
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registrations
                        
                        	Export LISP site registrations to RIB
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.away_eids = None
                            self.site_registrations = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-export'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.away_eids is not None:
                                return True

                            if self.site_registrations is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteExport']['meta_info']


                    class RouteImport(object):
                        """
                        Import RIB routes by a routing protocol into LISP
                        
                        .. attribute:: database
                        
                        	Use RIB routes to define local EID database entries
                        	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database>`
                        
                        .. attribute:: map_cache
                        
                        	Use RIB routes to define EID address space in map\-cache
                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.database = Native.Router.Lisp.Default.Ipv4.RouteImport.Database()
                            self.database.parent = self
                            self.map_cache = Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache()
                            self.map_cache.parent = self


                        class Database(object):
                            """
                            Use RIB routes to define local EID database entries
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected>`
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis>`
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes to pick up from the RIB
                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.MaximumPrefix>`
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bgp = YList()
                                self.bgp.parent = self
                                self.bgp.name = 'bgp'
                                self.connected = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected()
                                self.connected.parent = self
                                self.eigrp = YList()
                                self.eigrp.parent = self
                                self.eigrp.name = 'eigrp'
                                self.isis = YList()
                                self.isis.parent = self
                                self.isis.name = 'isis'
                                self.maximum_prefix = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.ospfv3 = YList()
                                self.ospfv3.parent = self
                                self.ospfv3.name = 'ospfv3'
                                self.rip = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip()
                                self.rip.parent = self
                                self.static = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static()
                                self.static.parent = self


                            class Bgp(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:connected/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp']['meta_info']


                            class Isis(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis']['meta_info']


                            class MaximumPrefix(object):
                                """
                                Maximum number of prefixes to pick up from the RIB
                                
                                .. attribute:: number
                                
                                	
                                	**type**\:  int
                                
                                	**range:** \-2147483648..2147483647
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold1
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only
                                
                                	Only give a warning message and do not limit entries
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: warning_only1
                                
                                	Only give a warning message and do not limit entries
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.threshold = None
                                    self.threshold1 = None
                                    self.warning_only = None
                                    self.warning_only1 = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:maximum-prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    if self.threshold1 is not None:
                                        return True

                                    if self.warning_only is not None:
                                        return True

                                    if self.warning_only1 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf']['meta_info']


                            class Ospfv3(object):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:rip/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:rip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:static/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bgp is not None:
                                    for child_ref in self.bgp:
                                        if child_ref._has_data():
                                            return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.eigrp is not None:
                                    for child_ref in self.eigrp:
                                        if child_ref._has_data():
                                            return True

                                if self.isis is not None:
                                    for child_ref in self.isis:
                                        if child_ref._has_data():
                                            return True

                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.ospfv3 is not None:
                                    for child_ref in self.ospfv3:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None and self.rip._has_data():
                                    return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.Database']['meta_info']


                        class MapCache(object):
                            """
                            Use RIB routes to define EID address space in map\-cache
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Isis>`
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes to pick up from the RIB
                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bgp = YList()
                                self.bgp.parent = self
                                self.bgp.name = 'bgp'
                                self.connected = None
                                self.eigrp = YList()
                                self.eigrp.parent = self
                                self.eigrp.name = 'eigrp'
                                self.isis = YList()
                                self.isis.parent = self
                                self.isis.name = 'isis'
                                self.maximum_prefix = Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.ospfv3 = YList()
                                self.ospfv3.parent = self
                                self.ospfv3.name = 'ospfv3'
                                self.rip = None
                                self.static = None


                            class Bgp(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Bgp']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:connected/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Connected']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']


                            class Isis(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Isis']['meta_info']


                            class MaximumPrefix(object):
                                """
                                Maximum number of prefixes to pick up from the RIB
                                
                                .. attribute:: number
                                
                                	
                                	**type**\:  int
                                
                                	**range:** \-2147483648..2147483647
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold1
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only
                                
                                	Only give a warning message and do not limit entries
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: warning_only1
                                
                                	Only give a warning message and do not limit entries
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.threshold = None
                                    self.threshold1 = None
                                    self.warning_only = None
                                    self.warning_only1 = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:maximum-prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    if self.threshold1 is not None:
                                        return True

                                    if self.warning_only is not None:
                                        return True

                                    if self.warning_only1 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospf']['meta_info']


                            class Ospfv3(object):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:rip/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:rip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:static/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Static']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bgp is not None:
                                    for child_ref in self.bgp:
                                        if child_ref._has_data():
                                            return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.eigrp is not None:
                                    for child_ref in self.eigrp:
                                        if child_ref._has_data():
                                            return True

                                if self.isis is not None:
                                    for child_ref in self.isis:
                                        if child_ref._has_data():
                                            return True

                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.ospfv3 is not None:
                                    for child_ref in self.ospfv3:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None and self.rip._has_data():
                                    return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.database is not None and self.database._has_data():
                                return True

                            if self.map_cache is not None and self.map_cache._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv4.RouteImport']['meta_info']


                    class SiteRegistration(object):
                        """
                        Site registrations configuration for a given instance\-id
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations for a given instance\-id
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:site-registration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv4.SiteRegistration']['meta_info']


                    class SolicitMapRequest(object):
                        """
                        Configure Solicit\-Map\-Request handling
                        
                        .. attribute:: ignore
                        
                        	Ignore SMR bit in incoming Map\-Requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_per_entry
                        
                        	Maximum number of SMRs for addresses under a map\-cache entry
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        .. attribute:: suppression_time
                        
                        	How long to suppress repeated SMRs for the same address
                        	**type**\:  int
                        
                        	**range:** 1..600
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ignore = None
                            self.max_per_entry = None
                            self.suppression_time = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:solicit-map-request'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ignore is not None:
                                return True

                            if self.max_per_entry is not None:
                                return True

                            if self.suppression_time is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv4.SolicitMapRequest']['meta_info']


                    class UsePetr(object):
                        """
                        Encapsulate to Proxy ETR when matching forward\-native entry
                        
                        .. attribute:: locator_address  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: priority
                        
                        	Configures which Locators from a set are preferred
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: weight
                        
                        	Traffic load\-spreading among Locators
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.locator_address = None
                            self.priority = None
                            self.weight = None

                        @property
                        def _common_path(self):
                            if self.locator_address is None:
                                raise YPYModelError('Key property locator_address is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.locator_address is not None:
                                return True

                            if self.priority is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv4.UsePetr']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.alt_vrf is not None:
                            return True

                        if self.database_mapping is not None and self.database_mapping._has_data():
                            return True

                        if self.distance is not None and self.distance._has_data():
                            return True

                        if self.etr is not None and self.etr._has_data():
                            return True

                        if self.etr_enable is not None and self.etr_enable._has_data():
                            return True

                        if self.itr is not None and self.itr._has_data():
                            return True

                        if self.itr_enable is not None and self.itr_enable._has_data():
                            return True

                        if self.locator is not None and self.locator._has_data():
                            return True

                        if self.map_cache is not None and self.map_cache._has_data():
                            return True

                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                            return True

                        if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                            return True

                        if self.map_request_source is not None:
                            return True

                        if self.map_resolver is not None and self.map_resolver._has_data():
                            return True

                        if self.map_server is not None and self.map_server._has_data():
                            return True

                        if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                            return True

                        if self.proxy_etr is not None:
                            return True

                        if self.proxy_itr is not None:
                            for child in self.proxy_itr:
                                if child is not None:
                                    return True

                        if self.route_export is not None and self.route_export._has_data():
                            return True

                        if self.route_import is not None and self.route_import._has_data():
                            return True

                        if self.sgt is not None:
                            return True

                        if self.site_registration is not None and self.site_registration._has_data():
                            return True

                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                            return True

                        if self.use_petr is not None:
                            for child_ref in self.use_petr:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.Ipv4']['meta_info']


                class Ipv6(object):
                    """
                    IPv6 address family
                    
                    .. attribute:: alt_vrf
                    
                    	Activate LISP\-ALT functionality in VRF
                    	**type**\:  str
                    
                    	**status**\: deprecated
                    
                    .. attribute:: database_mapping
                    
                    	Address family specific local EID prefixes database configuration
                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.DatabaseMapping>`
                    
                    .. attribute:: distance
                    
                    	Administrative distance for RIB route installation
                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.Distance>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.Etr>`
                    
                    .. attribute:: etr_enable
                    
                    	
                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.EtrEnable>`
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.Itr>`
                    
                    .. attribute:: itr_enable
                    
                    	
                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.ItrEnable>`
                    
                    .. attribute:: locator
                    
                    	Locator related configuration
                    	**type**\:   :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.Locator>`
                    
                    .. attribute:: map_cache
                    
                    	Address family specific map cache configuration
                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapCache>`
                    
                    .. attribute:: map_cache_limit
                    
                    	Configures maximum size of map\-cache
                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapCacheLimit>`
                    
                    .. attribute:: map_cache_persistent
                    
                    	Dump map\-cache onto flash, making it persistent across reboots
                    	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapCachePersistent>`
                    
                    .. attribute:: map_request_source
                    
                    	Configures inner header source address in Map\-Request message
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: map_resolver
                    
                    	Configures a LISP Map Resolver (MR)
                    	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapResolver>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: map_server
                    
                    	Configures a LISP Map Server (MS)
                    	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: path_mtu_discovery
                    
                    	Path MTU discovery
                    	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.PathMtuDiscovery>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: proxy_etr
                    
                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: proxy_itr
                    
                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                    	**type**\: one of the below types:
                    
                    	**type**\:  list of str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  list of str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: route_export
                    
                    	Export routes into RIB from LISP
                    	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteExport>`
                    
                    .. attribute:: route_import
                    
                    	Import RIB routes by a routing protocol into LISP
                    	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport>`
                    
                    .. attribute:: sgt
                    
                    	Enable security group tag propagation in LISP encapsulated traffic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: site_registration
                    
                    	Site registrations configuration for a given instance\-id
                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.SiteRegistration>`
                    
                    .. attribute:: solicit_map_request
                    
                    	Configure Solicit\-Map\-Request handling
                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.SolicitMapRequest>`
                    
                    .. attribute:: use_petr
                    
                    	Encapsulate to Proxy ETR when matching forward\-native entry
                    	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.UsePetr>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.alt_vrf = None
                        self.database_mapping = Native.Router.Lisp.Default.Ipv6.DatabaseMapping()
                        self.database_mapping.parent = self
                        self.distance = Native.Router.Lisp.Default.Ipv6.Distance()
                        self.distance.parent = self
                        self.etr = Native.Router.Lisp.Default.Ipv6.Etr()
                        self.etr.parent = self
                        self.etr_enable = Native.Router.Lisp.Default.Ipv6.EtrEnable()
                        self.etr_enable.parent = self
                        self.itr = Native.Router.Lisp.Default.Ipv6.Itr()
                        self.itr.parent = self
                        self.itr_enable = Native.Router.Lisp.Default.Ipv6.ItrEnable()
                        self.itr_enable.parent = self
                        self.locator = Native.Router.Lisp.Default.Ipv6.Locator()
                        self.locator.parent = self
                        self.map_cache = Native.Router.Lisp.Default.Ipv6.MapCache()
                        self.map_cache.parent = self
                        self.map_cache_limit = Native.Router.Lisp.Default.Ipv6.MapCacheLimit()
                        self.map_cache_limit.parent = self
                        self.map_cache_persistent = Native.Router.Lisp.Default.Ipv6.MapCachePersistent()
                        self.map_cache_persistent.parent = self
                        self.map_request_source = None
                        self.map_resolver = None
                        self.map_server = None
                        self.path_mtu_discovery = None
                        self.proxy_etr = None
                        self.proxy_itr = YLeafList()
                        self.proxy_itr.parent = self
                        self.proxy_itr.name = 'proxy_itr'
                        self.route_export = Native.Router.Lisp.Default.Ipv6.RouteExport()
                        self.route_export.parent = self
                        self.route_import = Native.Router.Lisp.Default.Ipv6.RouteImport()
                        self.route_import.parent = self
                        self.sgt = None
                        self.site_registration = Native.Router.Lisp.Default.Ipv6.SiteRegistration()
                        self.site_registration.parent = self
                        self.solicit_map_request = Native.Router.Lisp.Default.Ipv6.SolicitMapRequest()
                        self.solicit_map_request.parent = self
                        self.use_petr = YList()
                        self.use_petr.parent = self
                        self.use_petr.name = 'use_petr'


                    class DatabaseMapping(object):
                        """
                        Address family specific local EID prefixes database configuration
                        
                        .. attribute:: limit
                        
                        	Configures the maximum size of local EID prefixes database
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.DatabaseMapping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Router.Lisp.Default.Ipv6.DatabaseMapping.Limit()
                            self.limit.parent = self


                        class Limit(object):
                            """
                            Configures the maximum size of local EID prefixes database
                            
                            .. attribute:: dynamic
                            
                            	Configures the maximum size of dynamic local EID prefixes database
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:database-mapping/Cisco-IOS-XE-lisp:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Ipv6.DatabaseMapping.Limit']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:database-mapping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv6.DatabaseMapping']['meta_info']


                    class Distance(object):
                        """
                        Administrative distance for RIB route installation
                        
                        .. attribute:: alt
                        
                        	LISP routes installed in the ALT table
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: dyn_eid
                        
                        	LISP installed routes of type dynamic\-EID
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: site_registrations
                        
                        	LISP installed routes of type site\-registrations
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.alt = None
                            self.dyn_eid = None
                            self.site_registrations = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:distance'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.alt is not None:
                                return True

                            if self.dyn_eid is not None:
                                return True

                            if self.site_registrations is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv6.Distance']['meta_info']


                    class Itr(object):
                        """
                        Configures a LISP Ingress Tunnel Router (ITR)
                        
                        .. attribute:: map_resolver
                        
                        	Configures map\-resolver address for sending Map\-Requests
                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.Itr.MapResolver>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.map_resolver = YList()
                            self.map_resolver.parent = self
                            self.map_resolver.name = 'map_resolver'


                        class MapResolver(object):
                            """
                            Configures map\-resolver address for sending Map\-Requests
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None

                            @property
                            def _common_path(self):
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:itr/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Ipv6.Itr.MapResolver']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:itr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.map_resolver is not None:
                                for child_ref in self.map_resolver:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv6.Itr']['meta_info']


                    class ItrEnable(object):
                        """
                        
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.itr = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:itr-enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.itr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv6.ItrEnable']['meta_info']


                    class Etr(object):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.Etr.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.map_server = YList()
                            self.map_server.parent = self
                            self.map_server.name = 'map_server'


                        class MapServer(object):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.Etr.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None
                                self.key = Native.Router.Lisp.Default.Ipv6.Etr.MapServer.Key()
                                self.key.parent = self
                                self.proxy_reply = None


                            class Key(object):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                .. attribute:: key_6
                                
                                	The ENCRYPTED password
                                	**type**\:  str
                                
                                .. attribute:: key_7
                                
                                	The HIDDEN password
                                	**type**\:  str
                                
                                .. attribute:: pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_0 = None
                                    self.key_6 = None
                                    self.key_7 = None
                                    self.pwd = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_0 is not None:
                                        return True

                                    if self.key_6 is not None:
                                        return True

                                    if self.key_7 is not None:
                                        return True

                                    if self.pwd is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv6.Etr.MapServer.Key']['meta_info']

                            @property
                            def _common_path(self):
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                if self.key is not None and self.key._has_data():
                                    return True

                                if self.proxy_reply is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Ipv6.Etr.MapServer']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:etr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.map_server is not None:
                                for child_ref in self.map_server:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv6.Etr']['meta_info']


                    class EtrEnable(object):
                        """
                        
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.etr = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:etr-enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.etr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv6.EtrEnable']['meta_info']


                    class Locator(object):
                        """
                        Locator related configuration
                        
                        .. attribute:: reachability
                        
                        	Configuration realted to locator reachability
                        	**type**\:   :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.Locator.Reachability>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reachability = Native.Router.Lisp.Default.Ipv6.Locator.Reachability()
                            self.reachability.parent = self


                        class Reachability(object):
                            """
                            Configuration realted to locator reachability
                            
                            .. attribute:: exclude_default
                            
                            	If a remote RLOC is reached via the default route, treat it as unreachable
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.exclude_default = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:locator/Cisco-IOS-XE-lisp:reachability'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.exclude_default is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Ipv6.Locator.Reachability']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:locator'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reachability is not None and self.reachability._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv6.Locator']['meta_info']


                    class MapCache(object):
                        """
                        Address family specific map cache configuration
                        
                        .. attribute:: site_registration
                        
                        	Install map cache to map request for site registrations
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.site_registration = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.site_registration is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv6.MapCache']['meta_info']


                    class MapCacheLimit(object):
                        """
                        Configures maximum size of map\-cache
                        
                        .. attribute:: max_map_cache_entries
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..100000
                        
                        .. attribute:: reserve_list
                        
                        	EID\-prefixes guaranteed to be stored in map\-cache
                        	**type**\:  str
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max_map_cache_entries = None
                            self.reserve_list = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-cache-limit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max_map_cache_entries is not None:
                                return True

                            if self.reserve_list is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv6.MapCacheLimit']['meta_info']


                    class MapCachePersistent(object):
                        """
                        Dump map\-cache onto flash, making it persistent across reboots
                        
                        .. attribute:: interval
                        
                        	Interval in minutes of how often the map\-cache is saved
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interval = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-cache-persistent'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv6.MapCachePersistent']['meta_info']


                    class MapResolver(object):
                        """
                        Configures a LISP Map Resolver (MR)
                        
                        .. attribute:: map_request
                        
                        	Map\-Request processing options
                        	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.map_request = Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest()
                            self.map_request.parent = self


                        class MapRequest(object):
                            """
                            Map\-Request processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.validate = Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate()
                                self.validate.parent = self


                            class Validate(object):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	Influence which source RLOCs map requests are accepted from
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    Influence which source RLOCs map requests are accepted from
                                    
                                    .. attribute:: ipv4
                                    
                                    	IPv4 prefixes
                                    	**type**\:  str
                                    
                                    .. attribute:: ipv6
                                    
                                    	IPv6 prefixes
                                    	**type**\:  str
                                    
                                    .. attribute:: list
                                    
                                    	Define allowed prefixes using an ip[v6] prefix list
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: registered
                                    
                                    	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None
                                        self.ipv6 = None
                                        self.list = None
                                        self.registered = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        if self.ipv6 is not None:
                                            return True

                                        if self.list is not None:
                                            return True

                                        if self.registered is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.validate is not None and self.validate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.map_request is not None and self.map_request._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv6.MapResolver']['meta_info']


                    class MapServer(object):
                        """
                        Configures a LISP Map Server (MS)
                        
                        .. attribute:: map_register
                        
                        	Map\-Register processing options
                        	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.map_register = Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister()
                            self.map_register.parent = self


                        class MapRegister(object):
                            """
                            Map\-Register processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.validate = Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate()
                                self.validate.parent = self


                            class Validate(object):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	RLOC Source IP address
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    RLOC Source IP address
                                    
                                    .. attribute:: allowed_locator
                                    
                                    	Against sites' allowed\-locators policy
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.allowed_locator = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.allowed_locator is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.validate is not None and self.validate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.map_register is not None and self.map_register._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv6.MapServer']['meta_info']


                    class PathMtuDiscovery(object):
                        """
                        Path MTU discovery
                        
                        .. attribute:: max
                        
                        	Upper bound on the path MTU accepted
                        	**type**\:  int
                        
                        	**range:** 68..65535
                        
                        .. attribute:: min
                        
                        	Lower bound on the path MTU accepted
                        	**type**\:  int
                        
                        	**range:** 68..65535
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.max = None
                            self.min = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:path-mtu-discovery'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.max is not None:
                                return True

                            if self.min is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv6.PathMtuDiscovery']['meta_info']


                    class RouteExport(object):
                        """
                        Export routes into RIB from LISP
                        
                        .. attribute:: away_eids
                        
                        	Export LISP away EIDs to RIB
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registrations
                        
                        	Export LISP site registrations to RIB
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.away_eids = None
                            self.site_registrations = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-export'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.away_eids is not None:
                                return True

                            if self.site_registrations is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteExport']['meta_info']


                    class RouteImport(object):
                        """
                        Import RIB routes by a routing protocol into LISP
                        
                        .. attribute:: database
                        
                        	Use RIB routes to define local EID database entries
                        	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database>`
                        
                        .. attribute:: map_cache
                        
                        	Use RIB routes to define EID address space in map\-cache
                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.database = Native.Router.Lisp.Default.Ipv6.RouteImport.Database()
                            self.database.parent = self
                            self.map_cache = Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache()
                            self.map_cache.parent = self


                        class Database(object):
                            """
                            Use RIB routes to define local EID database entries
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected>`
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis>`
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes to pick up from the RIB
                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.MaximumPrefix>`
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bgp = YList()
                                self.bgp.parent = self
                                self.bgp.name = 'bgp'
                                self.connected = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected()
                                self.connected.parent = self
                                self.eigrp = YList()
                                self.eigrp.parent = self
                                self.eigrp.name = 'eigrp'
                                self.isis = YList()
                                self.isis.parent = self
                                self.isis.name = 'isis'
                                self.maximum_prefix = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.ospfv3 = YList()
                                self.ospfv3.parent = self
                                self.ospfv3.name = 'ospfv3'
                                self.rip = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip()
                                self.rip.parent = self
                                self.static = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static()
                                self.static.parent = self


                            class Bgp(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:connected/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp']['meta_info']


                            class Isis(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis']['meta_info']


                            class MaximumPrefix(object):
                                """
                                Maximum number of prefixes to pick up from the RIB
                                
                                .. attribute:: number
                                
                                	
                                	**type**\:  int
                                
                                	**range:** \-2147483648..2147483647
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold1
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only
                                
                                	Only give a warning message and do not limit entries
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: warning_only1
                                
                                	Only give a warning message and do not limit entries
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.threshold = None
                                    self.threshold1 = None
                                    self.warning_only = None
                                    self.warning_only1 = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:maximum-prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    if self.threshold1 is not None:
                                        return True

                                    if self.warning_only is not None:
                                        return True

                                    if self.warning_only1 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf']['meta_info']


                            class Ospfv3(object):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:rip/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:rip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:static/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bgp is not None:
                                    for child_ref in self.bgp:
                                        if child_ref._has_data():
                                            return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.eigrp is not None:
                                    for child_ref in self.eigrp:
                                        if child_ref._has_data():
                                            return True

                                if self.isis is not None:
                                    for child_ref in self.isis:
                                        if child_ref._has_data():
                                            return True

                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.ospfv3 is not None:
                                    for child_ref in self.ospfv3:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None and self.rip._has_data():
                                    return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.Database']['meta_info']


                        class MapCache(object):
                            """
                            Use RIB routes to define EID address space in map\-cache
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Isis>`
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes to pick up from the RIB
                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bgp = YList()
                                self.bgp.parent = self
                                self.bgp.name = 'bgp'
                                self.connected = None
                                self.eigrp = YList()
                                self.eigrp.parent = self
                                self.eigrp.name = 'eigrp'
                                self.isis = YList()
                                self.isis.parent = self
                                self.isis.name = 'isis'
                                self.maximum_prefix = Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.ospfv3 = YList()
                                self.ospfv3.parent = self
                                self.ospfv3.name = 'ospfv3'
                                self.rip = None
                                self.static = None


                            class Bgp(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Bgp']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:connected/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Connected']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']


                            class Isis(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Isis']['meta_info']


                            class MaximumPrefix(object):
                                """
                                Maximum number of prefixes to pick up from the RIB
                                
                                .. attribute:: number
                                
                                	
                                	**type**\:  int
                                
                                	**range:** \-2147483648..2147483647
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold1
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only
                                
                                	Only give a warning message and do not limit entries
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: warning_only1
                                
                                	Only give a warning message and do not limit entries
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.threshold = None
                                    self.threshold1 = None
                                    self.warning_only = None
                                    self.warning_only1 = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:maximum-prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    if self.threshold1 is not None:
                                        return True

                                    if self.warning_only is not None:
                                        return True

                                    if self.warning_only1 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospf']['meta_info']


                            class Ospfv3(object):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:rip/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:rip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:static/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Static']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bgp is not None:
                                    for child_ref in self.bgp:
                                        if child_ref._has_data():
                                            return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.eigrp is not None:
                                    for child_ref in self.eigrp:
                                        if child_ref._has_data():
                                            return True

                                if self.isis is not None:
                                    for child_ref in self.isis:
                                        if child_ref._has_data():
                                            return True

                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.ospfv3 is not None:
                                    for child_ref in self.ospfv3:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None and self.rip._has_data():
                                    return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.database is not None and self.database._has_data():
                                return True

                            if self.map_cache is not None and self.map_cache._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv6.RouteImport']['meta_info']


                    class SiteRegistration(object):
                        """
                        Site registrations configuration for a given instance\-id
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations for a given instance\-id
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:site-registration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv6.SiteRegistration']['meta_info']


                    class SolicitMapRequest(object):
                        """
                        Configure Solicit\-Map\-Request handling
                        
                        .. attribute:: ignore
                        
                        	Ignore SMR bit in incoming Map\-Requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_per_entry
                        
                        	Maximum number of SMRs for addresses under a map\-cache entry
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        .. attribute:: suppression_time
                        
                        	How long to suppress repeated SMRs for the same address
                        	**type**\:  int
                        
                        	**range:** 1..600
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ignore = None
                            self.max_per_entry = None
                            self.suppression_time = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:solicit-map-request'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ignore is not None:
                                return True

                            if self.max_per_entry is not None:
                                return True

                            if self.suppression_time is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv6.SolicitMapRequest']['meta_info']


                    class UsePetr(object):
                        """
                        Encapsulate to Proxy ETR when matching forward\-native entry
                        
                        .. attribute:: locator_address  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: priority
                        
                        	Configures which Locators from a set are preferred
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: weight
                        
                        	Traffic load\-spreading among Locators
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.locator_address = None
                            self.priority = None
                            self.weight = None

                        @property
                        def _common_path(self):
                            if self.locator_address is None:
                                raise YPYModelError('Key property locator_address is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.locator_address is not None:
                                return True

                            if self.priority is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Ipv6.UsePetr']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.alt_vrf is not None:
                            return True

                        if self.database_mapping is not None and self.database_mapping._has_data():
                            return True

                        if self.distance is not None and self.distance._has_data():
                            return True

                        if self.etr is not None and self.etr._has_data():
                            return True

                        if self.etr_enable is not None and self.etr_enable._has_data():
                            return True

                        if self.itr is not None and self.itr._has_data():
                            return True

                        if self.itr_enable is not None and self.itr_enable._has_data():
                            return True

                        if self.locator is not None and self.locator._has_data():
                            return True

                        if self.map_cache is not None and self.map_cache._has_data():
                            return True

                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                            return True

                        if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                            return True

                        if self.map_request_source is not None:
                            return True

                        if self.map_resolver is not None and self.map_resolver._has_data():
                            return True

                        if self.map_server is not None and self.map_server._has_data():
                            return True

                        if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                            return True

                        if self.proxy_etr is not None:
                            return True

                        if self.proxy_itr is not None:
                            for child in self.proxy_itr:
                                if child is not None:
                                    return True

                        if self.route_export is not None and self.route_export._has_data():
                            return True

                        if self.route_import is not None and self.route_import._has_data():
                            return True

                        if self.sgt is not None:
                            return True

                        if self.site_registration is not None and self.site_registration._has_data():
                            return True

                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                            return True

                        if self.use_petr is not None:
                            for child_ref in self.use_petr:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.Ipv6']['meta_info']


                class LocReachAlgorithm(object):
                    """
                    Configure locator reachability algorithm
                    
                    .. attribute:: lsb_reports
                    
                    	Configure data packet LSB report handling
                    	**type**\:   :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.LocReachAlgorithm.LsbReports>`
                    
                    .. attribute:: rloc_probing
                    
                    	Probe high priority RLOCs with Map\-Requests as last resort
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.lsb_reports = Native.Router.Lisp.Default.LocReachAlgorithm.LsbReports()
                        self.lsb_reports.parent = self
                        self.rloc_probing = None


                    class LsbReports(object):
                        """
                        Configure data packet LSB report handling
                        
                        .. attribute:: do_not_transmit
                        
                        	Force the setting of the encapsulation header L bit to zero
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore data packet LSB reports
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.do_not_transmit = None
                            self.ignore = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:loc-reach-algorithm/Cisco-IOS-XE-lisp:lsb-reports'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.do_not_transmit is not None:
                                return True

                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.LocReachAlgorithm.LsbReports']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:loc-reach-algorithm'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.lsb_reports is not None and self.lsb_reports._has_data():
                            return True

                        if self.rloc_probing is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.LocReachAlgorithm']['meta_info']


                class LocatorDown(object):
                    """
                    Manually set locator status to down
                    
                    .. attribute:: address
                    
                    	IPv4/6 Locator address to be set down
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: ipv4_interface
                    
                    	Use IPv4 address of interface as locator
                    	**type**\:  str
                    
                    .. attribute:: ipv6_interface
                    
                    	Use IPv6 address of interface as locator
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.ipv4_interface = None
                        self.ipv6_interface = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:locator-down'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.ipv4_interface is not None:
                            return True

                        if self.ipv6_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.LocatorDown']['meta_info']


                class LocatorTable(object):
                    """
                    Specify the RLOC table
                    
                    .. attribute:: default
                    
                    	Default VRF
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name
                    	**type**\:  str
                    
                    .. attribute:: vrf_name
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.default = None
                        self.vrf = None
                        self.vrf_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:locator-table'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.default is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        if self.vrf_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.LocatorTable']['meta_info']


                class MapRequest(object):
                    """
                    Configure map\-request handling
                    
                    .. attribute:: itr_rlocs
                    
                    	Configure to use the specified RLOC set as ITR RLOC in map\-request
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.itr_rlocs = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-request'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.itr_rlocs is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.MapRequest']['meta_info']


                class MapServer(object):
                    """
                    Map\-Server commands
                    
                    .. attribute:: rloc
                    
                    	EID instance RLOC membership
                    	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.MapServer.Rloc>`
                    
                    .. attribute:: site_registration
                    
                    	Map\-server site registration options
                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.MapServer.SiteRegistration>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.rloc = Native.Router.Lisp.Default.MapServer.Rloc()
                        self.rloc.parent = self
                        self.site_registration = Native.Router.Lisp.Default.MapServer.SiteRegistration()
                        self.site_registration.parent = self


                    class Rloc(object):
                        """
                        EID instance RLOC membership
                        
                        .. attribute:: members
                        
                        	EID instance RLOC membership
                        	**type**\:   :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.MapServer.Rloc.Members>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.members = Native.Router.Lisp.Default.MapServer.Rloc.Members()
                            self.members.parent = self


                        class Members(object):
                            """
                            EID instance RLOC membership
                            
                            .. attribute:: distribute
                            
                            	EID instance RLOC membership distribution
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: modify_discovered
                            
                            	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                            	**type**\:   :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.MapServer.Rloc.Members.ModifyDiscovered>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.distribute = None
                                self.modify_discovered = Native.Router.Lisp.Default.MapServer.Rloc.Members.ModifyDiscovered()
                                self.modify_discovered.parent = self


                            class ModifyDiscovered(object):
                                """
                                Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                
                                .. attribute:: locator_set
                                
                                	Locator set from which to get member RLOC addresses
                                	**type**\:  str
                                
                                .. attribute:: operator
                                
                                	
                                	**type**\:   :py:class:`OperatorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.operator = None

                                class OperatorEnum(Enum):
                                    """
                                    OperatorEnum

                                    .. data:: add = 0

                                    .. data:: override = 1

                                    """

                                    add = 0

                                    override = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum']


                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:rloc/Cisco-IOS-XE-lisp:members/Cisco-IOS-XE-lisp:modify-discovered'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.operator is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.MapServer.Rloc.Members.ModifyDiscovered']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:rloc/Cisco-IOS-XE-lisp:members'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.distribute is not None:
                                    return True

                                if self.modify_discovered is not None and self.modify_discovered._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.MapServer.Rloc.Members']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:rloc'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.members is not None and self.members._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.MapServer.Rloc']['meta_info']


                    class SiteRegistration(object):
                        """
                        Map\-server site registration options
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations as a result of accept\-more\-specifics
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:site-registration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.MapServer.SiteRegistration']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.rloc is not None and self.rloc._has_data():
                            return True

                        if self.site_registration is not None and self.site_registration._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.MapServer']['meta_info']


                class OtherXtrProbe(object):
                    """
                    Configure parameters for probing of other xTRs in our site
                    
                    .. attribute:: period
                    
                    	Period between probes in seconds
                    	**type**\:  int
                    
                    	**range:** 5..900
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.period = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:other-xtr-probe'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.period is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.OtherXtrProbe']['meta_info']


                class RemoteRlocProbe(object):
                    """
                    Configure parameters for probing of remote RLOCs
                    
                    .. attribute:: on_membership_change
                    
                    	Trigger probing upon membership changes for remote RLOC
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: on_route_change
                    
                    	Trigger probing upon routing changes for remote RLOC
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.on_membership_change = None
                        self.on_route_change = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:remote-rloc-probe'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.on_membership_change is not None:
                            return True

                        if self.on_route_change is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.RemoteRlocProbe']['meta_info']


                class EidTable(object):
                    """
                    Configure an EID instance for a VRF
                    
                    .. attribute:: instance_list
                    
                    	
                    	**type**\: list of    :py:class:`InstanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.instance_list = YList()
                        self.instance_list.parent = self
                        self.instance_list.name = 'instance_list'


                    class InstanceList(object):
                        """
                        
                        
                        .. attribute:: instance_id  <key>
                        
                        	EID instance\-ID
                        	**type**\:  int
                        
                        	**range:** 0..16777214
                        
                        .. attribute:: alt
                        
                        	LISP Alternative Topology, LISP\-ALT
                        	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Alt>`
                        
                        .. attribute:: control_packet
                        
                        	Configure control packet tx option
                        	**type**\:   :py:class:`ControlPacket <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.ControlPacket>`
                        
                        .. attribute:: database_mapping
                        
                        	Configures Locator addresses for an ETR
                        	**type**\: list of    :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.DatabaseMapping>`
                        
                        .. attribute:: ddt
                        
                        	Delegated Database Tree (DDT) mapping system
                        	**type**\:   :py:class:`Ddt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ddt>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: decapsulation
                        
                        	Decapsulation behavior (e.g. filters)
                        	**type**\:   :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation>`
                        
                        .. attribute:: default
                        
                        	Default VRF
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: disable_ttl_propagate
                        
                        	Disable ttl propagation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dynamic_eid
                        
                        	Configure a dynamic EID
                        	**type**\: list of    :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Etr>`
                        
                        .. attribute:: ipv4
                        
                        	IPv4 address family
                        	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4>`
                        
                        .. attribute:: ipv6
                        
                        	IPv6 address family
                        	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6>`
                        
                        .. attribute:: loc_reach_algorithm
                        
                        	Configure locator reachability algorithm
                        	**type**\:   :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm>`
                        
                        .. attribute:: locator_down
                        
                        	Manually set locator status to down
                        	**type**\:   :py:class:`LocatorDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.LocatorDown>`
                        
                        .. attribute:: locator_table
                        
                        	Specify the RLOC table
                        	**type**\:   :py:class:`LocatorTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.LocatorTable>`
                        
                        .. attribute:: map_cache
                        
                        	Configures static EID\-to\-RLOC mappings for an ITR
                        	**type**\: list of    :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.MapCache>`
                        
                        .. attribute:: map_request
                        
                        	Configure map\-request handling
                        	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.MapRequest>`
                        
                        .. attribute:: map_server
                        
                        	Map\-Server commands
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.MapServer>`
                        
                        .. attribute:: other_xtr_probe
                        
                        	Configure parameters for probing of other xTRs in our site
                        	**type**\:   :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.OtherXtrProbe>`
                        
                        .. attribute:: remote_rloc_probe
                        
                        	Configure parameters for probing of remote RLOCs
                        	**type**\:   :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.RemoteRlocProbe>`
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: vrf_name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.instance_id = None
                            self.alt = Native.Router.Lisp.Default.EidTable.InstanceList.Alt()
                            self.alt.parent = self
                            self.control_packet = Native.Router.Lisp.Default.EidTable.InstanceList.ControlPacket()
                            self.control_packet.parent = self
                            self.database_mapping = YList()
                            self.database_mapping.parent = self
                            self.database_mapping.name = 'database_mapping'
                            self.ddt = None
                            self.decapsulation = Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation()
                            self.decapsulation.parent = self
                            self.default = None
                            self.disable_ttl_propagate = None
                            self.dynamic_eid = YList()
                            self.dynamic_eid.parent = self
                            self.dynamic_eid.name = 'dynamic_eid'
                            self.etr = Native.Router.Lisp.Default.EidTable.InstanceList.Etr()
                            self.etr.parent = self
                            self.ipv4 = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4()
                            self.ipv4.parent = self
                            self.ipv6 = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6()
                            self.ipv6.parent = self
                            self.loc_reach_algorithm = Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm()
                            self.loc_reach_algorithm.parent = self
                            self.locator_down = Native.Router.Lisp.Default.EidTable.InstanceList.LocatorDown()
                            self.locator_down.parent = self
                            self.locator_table = Native.Router.Lisp.Default.EidTable.InstanceList.LocatorTable()
                            self.locator_table.parent = self
                            self.map_cache = YList()
                            self.map_cache.parent = self
                            self.map_cache.name = 'map_cache'
                            self.map_request = Native.Router.Lisp.Default.EidTable.InstanceList.MapRequest()
                            self.map_request.parent = self
                            self.map_server = Native.Router.Lisp.Default.EidTable.InstanceList.MapServer()
                            self.map_server.parent = self
                            self.other_xtr_probe = Native.Router.Lisp.Default.EidTable.InstanceList.OtherXtrProbe()
                            self.other_xtr_probe.parent = self
                            self.remote_rloc_probe = Native.Router.Lisp.Default.EidTable.InstanceList.RemoteRlocProbe()
                            self.remote_rloc_probe.parent = self
                            self.vrf = None
                            self.vrf_name = None


                        class DatabaseMapping(object):
                            """
                            Configures Locator addresses for an ETR
                            
                            .. attribute:: eid_prefix  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: locator_set
                            
                            	Use locators defined by locator\-set
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eid_prefix = None
                                self.locator_set = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.eid_prefix is None:
                                    raise YPYModelError('Key property eid_prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eid_prefix is not None:
                                    return True

                                if self.locator_set is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DatabaseMapping']['meta_info']


                        class DynamicEid(object):
                            """
                            Configure a dynamic EID
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: database_mapping
                            
                            	Configures EID\-prefix and locator\-set for dynamic\-EID
                            	**type**\: list of    :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.DatabaseMapping>`
                            
                            .. attribute:: eid_notify
                            
                            	Configure options for sending/receiving EID\-notify
                            	**type**\:   :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify>`
                            
                            .. attribute:: map_notify_group
                            
                            	Multicast group which to send map\-notifies to
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.database_mapping = YList()
                                self.database_mapping.parent = self
                                self.database_mapping.name = 'database_mapping'
                                self.eid_notify = Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify()
                                self.eid_notify.parent = self
                                self.map_notify_group = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class DatabaseMapping(object):
                                """
                                Configures EID\-prefix and locator\-set for dynamic\-EID
                                
                                .. attribute:: eid_prefix  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                .. attribute:: locator_set
                                
                                	Use locators defined by locator\-set
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eid_prefix = None
                                    self.locator_set = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.eid_prefix is None:
                                        raise YPYModelError('Key property eid_prefix is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eid_prefix is not None:
                                        return True

                                    if self.locator_set is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.DatabaseMapping']['meta_info']


                            class EidNotify(object):
                                """
                                Configure options for sending/receiving EID\-notify
                                
                                .. attribute:: authentication_key
                                
                                	Authentication key used for validating received EID\-notify
                                	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey>`
                                
                                .. attribute:: gateway_key
                                
                                	
                                	**type**\: list of    :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.authentication_key = Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey()
                                    self.authentication_key.parent = self
                                    self.gateway_key = YList()
                                    self.gateway_key.parent = self
                                    self.gateway_key.name = 'gateway_key'


                                class AuthenticationKey(object):
                                    """
                                    Authentication key used for validating received EID\-notify
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_0 = None
                                        self.ak_6 = None
                                        self.unc_pwd = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:authentication-key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_0 is not None:
                                            return True

                                        if self.ak_6 is not None:
                                            return True

                                        if self.unc_pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey']['meta_info']


                                class GatewayKey(object):
                                    """
                                    
                                    
                                    .. attribute:: gateway_ip  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	EID\-notify authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey.HashFunctionEnum>`
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.gateway_ip = None
                                        self.ak_0 = None
                                        self.ak_6 = None
                                        self.hash_function = None
                                        self.unc_pwd = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        EID\-notify authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.gateway_ip is None:
                                            raise YPYModelError('Key property gateway_ip is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:gateway-key[Cisco-IOS-XE-lisp:gateway-ip = ' + str(self.gateway_ip) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.gateway_ip is not None:
                                            return True

                                        if self.ak_0 is not None:
                                            return True

                                        if self.ak_6 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        if self.unc_pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-notify'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.authentication_key is not None and self.authentication_key._has_data():
                                        return True

                                    if self.gateway_key is not None:
                                        for child_ref in self.gateway_key:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify']['meta_info']


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip = None
                                    self.key = Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: hash_function
                                    
                                    	Map\-Register authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer.Key.HashFunctionEnum>`
                                    
                                    .. attribute:: key_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: key_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: key_7
                                    
                                    	The HIDDEN password
                                    	**type**\:  str
                                    
                                    .. attribute:: pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hash_function = None
                                        self.key_0 = None
                                        self.key_6 = None
                                        self.key_7 = None
                                        self.pwd = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        Map\-Register authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer.Key.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hash_function is not None:
                                            return True

                                        if self.key_0 is not None:
                                            return True

                                        if self.key_6 is not None:
                                            return True

                                        if self.key_7 is not None:
                                            return True

                                        if self.pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip is None:
                                        raise YPYModelError('Key property ip is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip = ' + str(self.ip) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:dynamic-eid[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.database_mapping is not None:
                                    for child_ref in self.database_mapping:
                                        if child_ref._has_data():
                                            return True

                                if self.eid_notify is not None and self.eid_notify._has_data():
                                    return True

                                if self.map_notify_group is not None:
                                    return True

                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid']['meta_info']


                        class Alt(object):
                            """
                            LISP Alternative Topology, LISP\-ALT
                            
                            .. attribute:: summary_route
                            
                            	Summary route to install into the ALT table
                            	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Alt.SummaryRoute>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.summary_route = YList()
                                self.summary_route.parent = self
                                self.summary_route.name = 'summary_route'


                            class SummaryRoute(object):
                                """
                                Summary route to install into the ALT table
                                
                                .. attribute:: eid_prefix  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: route_tag
                                
                                	ALT RIB route tag for EID prefix
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eid_prefix = None
                                    self.route_tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.eid_prefix is None:
                                        raise YPYModelError('Key property eid_prefix is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eid_prefix is not None:
                                        return True

                                    if self.route_tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Alt.SummaryRoute']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.summary_route is not None:
                                    for child_ref in self.summary_route:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Alt']['meta_info']


                        class ControlPacket(object):
                            """
                            Configure control packet tx option
                            
                            .. attribute:: mtu
                            
                            	Configure control packet MTU
                            	**type**\:  int
                            
                            	**range:** 304..10000
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mtu = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:control-packet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mtu is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.ControlPacket']['meta_info']


                        class Ddt(object):
                            """
                            Delegated Database Tree (DDT) mapping system
                            
                            .. attribute:: authoritative
                            
                            	DDT authoritative prefix
                            	**type**\:   :py:class:`Authoritative <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative>`
                            
                            .. attribute:: cache_limit
                            
                            	DDT resolver cache entry limit
                            	**type**\:  int
                            
                            	**range:** 1..100000
                            
                            .. attribute:: root
                            
                            	DDT root node
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.authoritative = Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative()
                                self.authoritative.parent = self
                                self.cache_limit = None
                                self.root = None


                            class Authoritative(object):
                                """
                                DDT authoritative prefix
                                
                                .. attribute:: instance_id_eid_prefix_list
                                
                                	
                                	**type**\: list of    :py:class:`InstanceIdEidPrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList>`
                                
                                .. attribute:: instance_id_list
                                
                                	
                                	**type**\: list of    :py:class:`InstanceIdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.instance_id_eid_prefix_list = YList()
                                    self.instance_id_eid_prefix_list.parent = self
                                    self.instance_id_eid_prefix_list.name = 'instance_id_eid_prefix_list'
                                    self.instance_id_list = YList()
                                    self.instance_id_list.parent = self
                                    self.instance_id_list.name = 'instance_id_list'


                                class InstanceIdEidPrefixList(object):
                                    """
                                    
                                    
                                    .. attribute:: instance_id  <key>
                                    
                                    	EID instance\-ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    
                                    ----
                                    .. attribute:: delegate
                                    
                                    	DDT delegation to a child DDT node or map\-server
                                    	**type**\:   :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate>`
                                    
                                    .. attribute:: map_server_peer
                                    
                                    	Peer map\-servers that are authoritative for the same EID prefixes
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.instance_id = None
                                        self.eid_prefix = None
                                        self.delegate = Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate()
                                        self.delegate.parent = self
                                        self.map_server_peer = None


                                    class Delegate(object):
                                        """
                                        DDT delegation to a child DDT node or map\-server
                                        
                                        .. attribute:: eid_prefix
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: instance_id
                                        
                                        	EID instance\-ID
                                        	**type**\:  str
                                        
                                        .. attribute:: ip_address
                                        
                                        	IPv4/6 Child or map\-server node locator address
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: map_server
                                        
                                        	Delegation points to a map\-server
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: to
                                        
                                        	DDT delegation to a child DDT node or map\-server
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.instance_id = None
                                            self.ip_address = None
                                            self.map_server = None
                                            self.to = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:delegate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.instance_id is not None:
                                                return True

                                            if self.ip_address is not None:
                                                return True

                                            if self.map_server is not None:
                                                return True

                                            if self.to is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.instance_id is None:
                                            raise YPYModelError('Key property instance_id is None')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id-eid-prefix-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + '][Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.instance_id is not None:
                                            return True

                                        if self.eid_prefix is not None:
                                            return True

                                        if self.delegate is not None and self.delegate._has_data():
                                            return True

                                        if self.map_server_peer is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info']


                                class InstanceIdList(object):
                                    """
                                    
                                    
                                    .. attribute:: instance_id  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: delegate
                                    
                                    	DDT delegation to a child DDT node or map\-server
                                    	**type**\:   :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate>`
                                    
                                    .. attribute:: map_server_peer
                                    
                                    	Peer map\-servers that are authoritative for the same EID prefixes
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.instance_id = None
                                        self.delegate = Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate()
                                        self.delegate.parent = self
                                        self.map_server_peer = None


                                    class Delegate(object):
                                        """
                                        DDT delegation to a child DDT node or map\-server
                                        
                                        .. attribute:: eid_prefix
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: instance_id
                                        
                                        	EID instance\-ID
                                        	**type**\:  str
                                        
                                        .. attribute:: ip_address
                                        
                                        	IPv4/6 Child or map\-server node locator address
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: map_server
                                        
                                        	Delegation points to a map\-server
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: to
                                        
                                        	DDT delegation to a child DDT node or map\-server
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.instance_id = None
                                            self.ip_address = None
                                            self.map_server = None
                                            self.to = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:delegate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.instance_id is not None:
                                                return True

                                            if self.ip_address is not None:
                                                return True

                                            if self.map_server is not None:
                                                return True

                                            if self.to is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.instance_id is None:
                                            raise YPYModelError('Key property instance_id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.instance_id is not None:
                                            return True

                                        if self.delegate is not None and self.delegate._has_data():
                                            return True

                                        if self.map_server_peer is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:authoritative'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.instance_id_eid_prefix_list is not None:
                                        for child_ref in self.instance_id_eid_prefix_list:
                                            if child_ref._has_data():
                                                return True

                                    if self.instance_id_list is not None:
                                        for child_ref in self.instance_id_list:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ddt'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.authoritative is not None and self.authoritative._has_data():
                                    return True

                                if self.cache_limit is not None:
                                    return True

                                if self.root is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ddt']['meta_info']


                        class Decapsulation(object):
                            """
                            Decapsulation behavior (e.g. filters)
                            
                            .. attribute:: filter
                            
                            	Filters traffic
                            	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.filter = Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter()
                                self.filter.parent = self


                            class Filter(object):
                                """
                                Filters traffic
                                
                                .. attribute:: rloc
                                
                                	Filter based on Routing Locator (RLOC) in packet header
                                	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.rloc = Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc()
                                    self.rloc.parent = self


                                class Rloc(object):
                                    """
                                    Filter based on Routing Locator (RLOC) in packet header
                                    
                                    .. attribute:: source
                                    
                                    	Filters traffic based on RLOC source address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Filters traffic based on RLOC source address
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator\-set Name
                                        	**type**\:  str
                                        
                                        .. attribute:: member
                                        
                                        	Members learned from map\-server
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.member = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.member is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:filter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.rloc is not None and self.rloc._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:decapsulation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.filter is not None and self.filter._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation']['meta_info']


                        class Etr(object):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_server = Native.Router.Lisp.Default.EidTable.InstanceList.Etr.MapServer()
                                self.map_server.parent = self


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: source_address
                                
                                	Configures map server source address
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source_address = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Etr.MapServer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_server is not None and self.map_server._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Etr']['meta_info']


                        class Ipv4(object):
                            """
                            IPv4 address family
                            
                            .. attribute:: alt_vrf
                            
                            	Activate LISP\-ALT functionality in VRF
                            	**type**\:  str
                            
                            	**status**\: deprecated
                            
                            .. attribute:: database_mapping
                            
                            	Address family specific local EID prefixes database configuration
                            	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping>`
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Distance>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.EtrEnable>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.ItrEnable>`
                            
                            .. attribute:: locator
                            
                            	Locator related configuration
                            	**type**\:   :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCache>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCacheLimit>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCachePersistent>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_resolver
                            
                            	Configures a LISP Map Resolver (MR)
                            	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: map_server
                            
                            	Configures a LISP Map Server (MS)
                            	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: path_mtu_discovery
                            
                            	Path MTU discovery
                            	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.PathMtuDiscovery>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteExport>`
                            
                            .. attribute:: route_import
                            
                            	Import RIB routes by a routing protocol into LISP
                            	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.UsePetr>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.alt_vrf = None
                                self.database_mapping = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping()
                                self.database_mapping.parent = self
                                self.distance = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Distance()
                                self.distance.parent = self
                                self.etr = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr()
                                self.etr.parent = self
                                self.etr_enable = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.EtrEnable()
                                self.etr_enable.parent = self
                                self.itr = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr()
                                self.itr.parent = self
                                self.itr_enable = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.ItrEnable()
                                self.itr_enable.parent = self
                                self.locator = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator()
                                self.locator.parent = self
                                self.map_cache = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCache()
                                self.map_cache.parent = self
                                self.map_cache_limit = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self.map_cache_persistent = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self.map_request_source = None
                                self.map_resolver = None
                                self.map_server = None
                                self.path_mtu_discovery = None
                                self.proxy_etr = None
                                self.proxy_itr = YLeafList()
                                self.proxy_itr.parent = self
                                self.proxy_itr.name = 'proxy_itr'
                                self.route_export = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteExport()
                                self.route_export.parent = self
                                self.route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport()
                                self.route_import.parent = self
                                self.sgt = None
                                self.site_registration = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SiteRegistration()
                                self.site_registration.parent = self
                                self.solicit_map_request = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self.use_petr = YList()
                                self.use_petr.parent = self
                                self.use_petr.name = 'use_petr'


                            class DatabaseMapping(object):
                                """
                                Address family specific local EID prefixes database configuration
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit()
                                    self.limit.parent = self


                                class Limit(object):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None and self.limit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping']['meta_info']


                            class Distance(object):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.alt = None
                                    self.dyn_eid = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.alt is not None:
                                        return True

                                    if self.dyn_eid is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Distance']['meta_info']


                            class Itr(object):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map_resolver = YList()
                                    self.map_resolver.parent = self
                                    self.map_resolver.name = 'map_resolver'


                                class MapResolver(object):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr.MapResolver']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map_resolver is not None:
                                        for child_ref in self.map_resolver:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr']['meta_info']


                            class ItrEnable(object):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.itr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.itr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.ItrEnable']['meta_info']


                            class Etr(object):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map_server = YList()
                                    self.map_server.parent = self
                                    self.map_server.name = 'map_server'


                                class MapServer(object):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None
                                        self.key = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self.proxy_reply = None


                                    class Key(object):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: key_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: key_7
                                        
                                        	The HIDDEN password
                                        	**type**\:  str
                                        
                                        .. attribute:: pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = None
                                            self.key_6 = None
                                            self.key_7 = None
                                            self.pwd = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None:
                                                return True

                                            if self.key_6 is not None:
                                                return True

                                            if self.key_7 is not None:
                                                return True

                                            if self.pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        if self.proxy_reply is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map_server is not None:
                                        for child_ref in self.map_server:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr']['meta_info']


                            class EtrEnable(object):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.etr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.etr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.EtrEnable']['meta_info']


                            class Locator(object):
                                """
                                Locator related configuration
                                
                                .. attribute:: reachability
                                
                                	Configuration realted to locator reachability
                                	**type**\:   :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator.Reachability>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.reachability = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator.Reachability()
                                    self.reachability.parent = self


                                class Reachability(object):
                                    """
                                    Configuration realted to locator reachability
                                    
                                    .. attribute:: exclude_default
                                    
                                    	If a remote RLOC is reached via the default route, treat it as unreachable
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclude_default = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:reachability'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exclude_default is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator.Reachability']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.reachability is not None and self.reachability._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator']['meta_info']


                            class MapCache(object):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.site_registration = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.site_registration is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCache']['meta_info']


                            class MapCacheLimit(object):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\:  str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_map_cache_entries = None
                                    self.reserve_list = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_map_cache_entries is not None:
                                        return True

                                    if self.reserve_list is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCacheLimit']['meta_info']


                            class MapCachePersistent(object):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\:  int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interval = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interval is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCachePersistent']['meta_info']


                            class MapResolver(object):
                                """
                                Configures a LISP Map Resolver (MR)
                                
                                .. attribute:: map_request
                                
                                	Map\-Request processing options
                                	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_request = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest()
                                    self.map_request.parent = self


                                class MapRequest(object):
                                    """
                                    Map\-Request processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.validate = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate()
                                        self.validate.parent = self


                                    class Validate(object):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	Influence which source RLOCs map requests are accepted from
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            Influence which source RLOCs map requests are accepted from
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: registered
                                            
                                            	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None
                                                self.list = None
                                                self.registered = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                if self.list is not None:
                                                    return True

                                                if self.registered is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.validate is not None and self.validate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_request is not None and self.map_request._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver']['meta_info']


                            class MapServer(object):
                                """
                                Configures a LISP Map Server (MS)
                                
                                .. attribute:: map_register
                                
                                	Map\-Register processing options
                                	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_register = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister()
                                    self.map_register.parent = self


                                class MapRegister(object):
                                    """
                                    Map\-Register processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.validate = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate()
                                        self.validate.parent = self


                                    class Validate(object):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	RLOC Source IP address
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            RLOC Source IP address
                                            
                                            .. attribute:: allowed_locator
                                            
                                            	Against sites' allowed\-locators policy
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.allowed_locator = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.allowed_locator is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.validate is not None and self.validate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_register is not None and self.map_register._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer']['meta_info']


                            class PathMtuDiscovery(object):
                                """
                                Path MTU discovery
                                
                                .. attribute:: max
                                
                                	Upper bound on the path MTU accepted
                                	**type**\:  int
                                
                                	**range:** 68..65535
                                
                                .. attribute:: min
                                
                                	Lower bound on the path MTU accepted
                                	**type**\:  int
                                
                                	**range:** 68..65535
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.max = None
                                    self.min = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:path-mtu-discovery'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.PathMtuDiscovery']['meta_info']


                            class RouteExport(object):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.away_eids = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.away_eids is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteExport']['meta_info']


                            class RouteImport(object):
                                """
                                Import RIB routes by a routing protocol into LISP
                                
                                .. attribute:: database
                                
                                	Use RIB routes to define local EID database entries
                                	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.database = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database()
                                    self.database.parent = self
                                    self.map_cache = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache()
                                    self.map_cache.parent = self


                                class Database(object):
                                    """
                                    Use RIB routes to define local EID database entries
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected>`
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected()
                                        self.connected.parent = self
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = YList()
                                        self.isis.parent = self
                                        self.isis.name = 'isis'
                                        self.maximum_prefix = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.ospfv3 = YList()
                                        self.ospfv3.parent = self
                                        self.ospfv3.name = 'ospfv3'
                                        self.rip = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip()
                                        self.rip.parent = self
                                        self.static = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static()
                                        self.static.parent = self


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis']['meta_info']


                                    class MaximumPrefix(object):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** \-2147483648..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.number = None
                                            self.threshold = None
                                            self.threshold1 = None
                                            self.warning_only = None
                                            self.warning_only1 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.number is not None:
                                                return True

                                            if self.threshold is not None:
                                                return True

                                            if self.threshold1 is not None:
                                                return True

                                            if self.warning_only is not None:
                                                return True

                                            if self.warning_only1 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf']['meta_info']


                                    class Ospfv3(object):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None:
                                            for child_ref in self.isis:
                                                if child_ref._has_data():
                                                    return True

                                        if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ospfv3 is not None:
                                            for child_ref in self.ospfv3:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None and self.rip._has_data():
                                            return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']


                                class MapCache(object):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = None
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = YList()
                                        self.isis.parent = self
                                        self.isis.name = 'isis'
                                        self.maximum_prefix = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.ospfv3 = YList()
                                        self.ospfv3.parent = self
                                        self.ospfv3.name = 'ospfv3'
                                        self.rip = None
                                        self.static = None


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis']['meta_info']


                                    class MaximumPrefix(object):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** \-2147483648..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.number = None
                                            self.threshold = None
                                            self.threshold1 = None
                                            self.warning_only = None
                                            self.warning_only1 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.number is not None:
                                                return True

                                            if self.threshold is not None:
                                                return True

                                            if self.threshold1 is not None:
                                                return True

                                            if self.warning_only is not None:
                                                return True

                                            if self.warning_only1 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf']['meta_info']


                                    class Ospfv3(object):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None:
                                            for child_ref in self.isis:
                                                if child_ref._has_data():
                                                    return True

                                        if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ospfv3 is not None:
                                            for child_ref in self.ospfv3:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None and self.rip._has_data():
                                            return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.database is not None and self.database._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport']['meta_info']


                            class SiteRegistration(object):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations for a given instance\-id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SiteRegistration']['meta_info']


                            class SolicitMapRequest(object):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\:  int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ignore = None
                                    self.max_per_entry = None
                                    self.suppression_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ignore is not None:
                                        return True

                                    if self.max_per_entry is not None:
                                        return True

                                    if self.suppression_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest']['meta_info']


                            class UsePetr(object):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: priority
                                
                                	Configures which Locators from a set are preferred
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_address = None
                                    self.priority = None
                                    self.weight = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.locator_address is None:
                                        raise YPYModelError('Key property locator_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_address is not None:
                                        return True

                                    if self.priority is not None:
                                        return True

                                    if self.weight is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.UsePetr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.alt_vrf is not None:
                                    return True

                                if self.database_mapping is not None and self.database_mapping._has_data():
                                    return True

                                if self.distance is not None and self.distance._has_data():
                                    return True

                                if self.etr is not None and self.etr._has_data():
                                    return True

                                if self.etr_enable is not None and self.etr_enable._has_data():
                                    return True

                                if self.itr is not None and self.itr._has_data():
                                    return True

                                if self.itr_enable is not None and self.itr_enable._has_data():
                                    return True

                                if self.locator is not None and self.locator._has_data():
                                    return True

                                if self.map_cache is not None and self.map_cache._has_data():
                                    return True

                                if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                    return True

                                if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                    return True

                                if self.map_request_source is not None:
                                    return True

                                if self.map_resolver is not None and self.map_resolver._has_data():
                                    return True

                                if self.map_server is not None and self.map_server._has_data():
                                    return True

                                if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                                    return True

                                if self.proxy_etr is not None:
                                    return True

                                if self.proxy_itr is not None:
                                    for child in self.proxy_itr:
                                        if child is not None:
                                            return True

                                if self.route_export is not None and self.route_export._has_data():
                                    return True

                                if self.route_import is not None and self.route_import._has_data():
                                    return True

                                if self.sgt is not None:
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                    return True

                                if self.use_petr is not None:
                                    for child_ref in self.use_petr:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4']['meta_info']


                        class Ipv6(object):
                            """
                            IPv6 address family
                            
                            .. attribute:: alt_vrf
                            
                            	Activate LISP\-ALT functionality in VRF
                            	**type**\:  str
                            
                            	**status**\: deprecated
                            
                            .. attribute:: database_mapping
                            
                            	Address family specific local EID prefixes database configuration
                            	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping>`
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Distance>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.EtrEnable>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.ItrEnable>`
                            
                            .. attribute:: locator
                            
                            	Locator related configuration
                            	**type**\:   :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCache>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCacheLimit>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCachePersistent>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_resolver
                            
                            	Configures a LISP Map Resolver (MR)
                            	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: map_server
                            
                            	Configures a LISP Map Server (MS)
                            	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: path_mtu_discovery
                            
                            	Path MTU discovery
                            	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.PathMtuDiscovery>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteExport>`
                            
                            .. attribute:: route_import
                            
                            	Import RIB routes by a routing protocol into LISP
                            	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.UsePetr>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.alt_vrf = None
                                self.database_mapping = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping()
                                self.database_mapping.parent = self
                                self.distance = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Distance()
                                self.distance.parent = self
                                self.etr = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr()
                                self.etr.parent = self
                                self.etr_enable = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.EtrEnable()
                                self.etr_enable.parent = self
                                self.itr = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr()
                                self.itr.parent = self
                                self.itr_enable = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.ItrEnable()
                                self.itr_enable.parent = self
                                self.locator = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator()
                                self.locator.parent = self
                                self.map_cache = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCache()
                                self.map_cache.parent = self
                                self.map_cache_limit = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self.map_cache_persistent = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self.map_request_source = None
                                self.map_resolver = None
                                self.map_server = None
                                self.path_mtu_discovery = None
                                self.proxy_etr = None
                                self.proxy_itr = YLeafList()
                                self.proxy_itr.parent = self
                                self.proxy_itr.name = 'proxy_itr'
                                self.route_export = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteExport()
                                self.route_export.parent = self
                                self.route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport()
                                self.route_import.parent = self
                                self.sgt = None
                                self.site_registration = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SiteRegistration()
                                self.site_registration.parent = self
                                self.solicit_map_request = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self.use_petr = YList()
                                self.use_petr.parent = self
                                self.use_petr.name = 'use_petr'


                            class DatabaseMapping(object):
                                """
                                Address family specific local EID prefixes database configuration
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit()
                                    self.limit.parent = self


                                class Limit(object):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None and self.limit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping']['meta_info']


                            class Distance(object):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.alt = None
                                    self.dyn_eid = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.alt is not None:
                                        return True

                                    if self.dyn_eid is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Distance']['meta_info']


                            class Itr(object):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map_resolver = YList()
                                    self.map_resolver.parent = self
                                    self.map_resolver.name = 'map_resolver'


                                class MapResolver(object):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr.MapResolver']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map_resolver is not None:
                                        for child_ref in self.map_resolver:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr']['meta_info']


                            class ItrEnable(object):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.itr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.itr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.ItrEnable']['meta_info']


                            class Etr(object):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map_server = YList()
                                    self.map_server.parent = self
                                    self.map_server.name = 'map_server'


                                class MapServer(object):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None
                                        self.key = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self.proxy_reply = None


                                    class Key(object):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: key_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: key_7
                                        
                                        	The HIDDEN password
                                        	**type**\:  str
                                        
                                        .. attribute:: pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = None
                                            self.key_6 = None
                                            self.key_7 = None
                                            self.pwd = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None:
                                                return True

                                            if self.key_6 is not None:
                                                return True

                                            if self.key_7 is not None:
                                                return True

                                            if self.pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        if self.proxy_reply is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map_server is not None:
                                        for child_ref in self.map_server:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr']['meta_info']


                            class EtrEnable(object):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.etr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.etr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.EtrEnable']['meta_info']


                            class Locator(object):
                                """
                                Locator related configuration
                                
                                .. attribute:: reachability
                                
                                	Configuration realted to locator reachability
                                	**type**\:   :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator.Reachability>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.reachability = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator.Reachability()
                                    self.reachability.parent = self


                                class Reachability(object):
                                    """
                                    Configuration realted to locator reachability
                                    
                                    .. attribute:: exclude_default
                                    
                                    	If a remote RLOC is reached via the default route, treat it as unreachable
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclude_default = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:reachability'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exclude_default is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator.Reachability']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.reachability is not None and self.reachability._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator']['meta_info']


                            class MapCache(object):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.site_registration = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.site_registration is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCache']['meta_info']


                            class MapCacheLimit(object):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\:  str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_map_cache_entries = None
                                    self.reserve_list = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_map_cache_entries is not None:
                                        return True

                                    if self.reserve_list is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCacheLimit']['meta_info']


                            class MapCachePersistent(object):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\:  int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interval = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interval is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCachePersistent']['meta_info']


                            class MapResolver(object):
                                """
                                Configures a LISP Map Resolver (MR)
                                
                                .. attribute:: map_request
                                
                                	Map\-Request processing options
                                	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_request = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest()
                                    self.map_request.parent = self


                                class MapRequest(object):
                                    """
                                    Map\-Request processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.validate = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate()
                                        self.validate.parent = self


                                    class Validate(object):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	Influence which source RLOCs map requests are accepted from
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            Influence which source RLOCs map requests are accepted from
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: registered
                                            
                                            	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None
                                                self.list = None
                                                self.registered = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                if self.list is not None:
                                                    return True

                                                if self.registered is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.validate is not None and self.validate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_request is not None and self.map_request._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver']['meta_info']


                            class MapServer(object):
                                """
                                Configures a LISP Map Server (MS)
                                
                                .. attribute:: map_register
                                
                                	Map\-Register processing options
                                	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_register = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister()
                                    self.map_register.parent = self


                                class MapRegister(object):
                                    """
                                    Map\-Register processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.validate = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate()
                                        self.validate.parent = self


                                    class Validate(object):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	RLOC Source IP address
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            RLOC Source IP address
                                            
                                            .. attribute:: allowed_locator
                                            
                                            	Against sites' allowed\-locators policy
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.allowed_locator = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.allowed_locator is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.validate is not None and self.validate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_register is not None and self.map_register._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer']['meta_info']


                            class PathMtuDiscovery(object):
                                """
                                Path MTU discovery
                                
                                .. attribute:: max
                                
                                	Upper bound on the path MTU accepted
                                	**type**\:  int
                                
                                	**range:** 68..65535
                                
                                .. attribute:: min
                                
                                	Lower bound on the path MTU accepted
                                	**type**\:  int
                                
                                	**range:** 68..65535
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.max = None
                                    self.min = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:path-mtu-discovery'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.PathMtuDiscovery']['meta_info']


                            class RouteExport(object):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.away_eids = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.away_eids is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteExport']['meta_info']


                            class RouteImport(object):
                                """
                                Import RIB routes by a routing protocol into LISP
                                
                                .. attribute:: database
                                
                                	Use RIB routes to define local EID database entries
                                	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.database = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database()
                                    self.database.parent = self
                                    self.map_cache = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache()
                                    self.map_cache.parent = self


                                class Database(object):
                                    """
                                    Use RIB routes to define local EID database entries
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected>`
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected()
                                        self.connected.parent = self
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = YList()
                                        self.isis.parent = self
                                        self.isis.name = 'isis'
                                        self.maximum_prefix = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.ospfv3 = YList()
                                        self.ospfv3.parent = self
                                        self.ospfv3.name = 'ospfv3'
                                        self.rip = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip()
                                        self.rip.parent = self
                                        self.static = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static()
                                        self.static.parent = self


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis']['meta_info']


                                    class MaximumPrefix(object):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** \-2147483648..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.number = None
                                            self.threshold = None
                                            self.threshold1 = None
                                            self.warning_only = None
                                            self.warning_only1 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.number is not None:
                                                return True

                                            if self.threshold is not None:
                                                return True

                                            if self.threshold1 is not None:
                                                return True

                                            if self.warning_only is not None:
                                                return True

                                            if self.warning_only1 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf']['meta_info']


                                    class Ospfv3(object):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None:
                                            for child_ref in self.isis:
                                                if child_ref._has_data():
                                                    return True

                                        if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ospfv3 is not None:
                                            for child_ref in self.ospfv3:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None and self.rip._has_data():
                                            return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']


                                class MapCache(object):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = None
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = YList()
                                        self.isis.parent = self
                                        self.isis.name = 'isis'
                                        self.maximum_prefix = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.ospfv3 = YList()
                                        self.ospfv3.parent = self
                                        self.ospfv3.name = 'ospfv3'
                                        self.rip = None
                                        self.static = None


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis']['meta_info']


                                    class MaximumPrefix(object):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** \-2147483648..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.number = None
                                            self.threshold = None
                                            self.threshold1 = None
                                            self.warning_only = None
                                            self.warning_only1 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.number is not None:
                                                return True

                                            if self.threshold is not None:
                                                return True

                                            if self.threshold1 is not None:
                                                return True

                                            if self.warning_only is not None:
                                                return True

                                            if self.warning_only1 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf']['meta_info']


                                    class Ospfv3(object):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None:
                                            for child_ref in self.isis:
                                                if child_ref._has_data():
                                                    return True

                                        if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ospfv3 is not None:
                                            for child_ref in self.ospfv3:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None and self.rip._has_data():
                                            return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.database is not None and self.database._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport']['meta_info']


                            class SiteRegistration(object):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations for a given instance\-id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SiteRegistration']['meta_info']


                            class SolicitMapRequest(object):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\:  int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ignore = None
                                    self.max_per_entry = None
                                    self.suppression_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ignore is not None:
                                        return True

                                    if self.max_per_entry is not None:
                                        return True

                                    if self.suppression_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest']['meta_info']


                            class UsePetr(object):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: priority
                                
                                	Configures which Locators from a set are preferred
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_address = None
                                    self.priority = None
                                    self.weight = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.locator_address is None:
                                        raise YPYModelError('Key property locator_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_address is not None:
                                        return True

                                    if self.priority is not None:
                                        return True

                                    if self.weight is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.UsePetr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.alt_vrf is not None:
                                    return True

                                if self.database_mapping is not None and self.database_mapping._has_data():
                                    return True

                                if self.distance is not None and self.distance._has_data():
                                    return True

                                if self.etr is not None and self.etr._has_data():
                                    return True

                                if self.etr_enable is not None and self.etr_enable._has_data():
                                    return True

                                if self.itr is not None and self.itr._has_data():
                                    return True

                                if self.itr_enable is not None and self.itr_enable._has_data():
                                    return True

                                if self.locator is not None and self.locator._has_data():
                                    return True

                                if self.map_cache is not None and self.map_cache._has_data():
                                    return True

                                if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                    return True

                                if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                    return True

                                if self.map_request_source is not None:
                                    return True

                                if self.map_resolver is not None and self.map_resolver._has_data():
                                    return True

                                if self.map_server is not None and self.map_server._has_data():
                                    return True

                                if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                                    return True

                                if self.proxy_etr is not None:
                                    return True

                                if self.proxy_itr is not None:
                                    for child in self.proxy_itr:
                                        if child is not None:
                                            return True

                                if self.route_export is not None and self.route_export._has_data():
                                    return True

                                if self.route_import is not None and self.route_import._has_data():
                                    return True

                                if self.sgt is not None:
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                    return True

                                if self.use_petr is not None:
                                    for child_ref in self.use_petr:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6']['meta_info']


                        class LocReachAlgorithm(object):
                            """
                            Configure locator reachability algorithm
                            
                            .. attribute:: lsb_reports
                            
                            	Configure data packet LSB report handling
                            	**type**\:   :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports>`
                            
                            .. attribute:: rloc_probing
                            
                            	Probe high priority RLOCs with Map\-Requests as last resort
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lsb_reports = Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports()
                                self.lsb_reports.parent = self
                                self.rloc_probing = None


                            class LsbReports(object):
                                """
                                Configure data packet LSB report handling
                                
                                .. attribute:: do_not_transmit
                                
                                	Force the setting of the encapsulation header L bit to zero
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ignore
                                
                                	Ignore data packet LSB reports
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.do_not_transmit = None
                                    self.ignore = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lsb-reports'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.do_not_transmit is not None:
                                        return True

                                    if self.ignore is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:loc-reach-algorithm'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lsb_reports is not None and self.lsb_reports._has_data():
                                    return True

                                if self.rloc_probing is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm']['meta_info']


                        class LocatorDown(object):
                            """
                            Manually set locator status to down
                            
                            .. attribute:: address
                            
                            	IPv4/6 Locator address to be set down
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: ipv4_interface
                            
                            	Use IPv4 address of interface as locator
                            	**type**\:  str
                            
                            .. attribute:: ipv6_interface
                            
                            	Use IPv6 address of interface as locator
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.ipv4_interface = None
                                self.ipv6_interface = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator-down'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.ipv4_interface is not None:
                                    return True

                                if self.ipv6_interface is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.LocatorDown']['meta_info']


                        class LocatorTable(object):
                            """
                            Specify the RLOC table
                            
                            .. attribute:: default
                            
                            	Default VRF
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vrf
                            
                            	VRF name
                            	**type**\:  str
                            
                            .. attribute:: vrf_name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.default = None
                                self.vrf = None
                                self.vrf_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator-table'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.default is not None:
                                    return True

                                if self.vrf is not None:
                                    return True

                                if self.vrf_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.LocatorTable']['meta_info']


                        class MapRequest(object):
                            """
                            Configure map\-request handling
                            
                            .. attribute:: itr_rlocs
                            
                            	Configure to use the specified RLOC set as ITR RLOC in map\-request
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.itr_rlocs = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.itr_rlocs is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapRequest']['meta_info']


                        class MapServer(object):
                            """
                            Map\-Server commands
                            
                            .. attribute:: rloc
                            
                            	EID instance RLOC membership
                            	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc>`
                            
                            .. attribute:: site_registration
                            
                            	Map\-server site registration options
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.SiteRegistration>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rloc = Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc()
                                self.rloc.parent = self
                                self.site_registration = Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.SiteRegistration()
                                self.site_registration.parent = self


                            class Rloc(object):
                                """
                                EID instance RLOC membership
                                
                                .. attribute:: members
                                
                                	EID instance RLOC membership
                                	**type**\:   :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.members = Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members()
                                    self.members.parent = self


                                class Members(object):
                                    """
                                    EID instance RLOC membership
                                    
                                    .. attribute:: distribute
                                    
                                    	EID instance RLOC membership distribution
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: modify_discovered
                                    
                                    	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                    	**type**\:   :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.distribute = None
                                        self.modify_discovered = Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered()
                                        self.modify_discovered.parent = self


                                    class ModifyDiscovered(object):
                                        """
                                        Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set from which to get member RLOC addresses
                                        	**type**\:  str
                                        
                                        .. attribute:: operator
                                        
                                        	
                                        	**type**\:   :py:class:`OperatorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.operator = None

                                        class OperatorEnum(Enum):
                                            """
                                            OperatorEnum

                                            .. data:: add = 0

                                            .. data:: override = 1

                                            """

                                            add = 0

                                            override = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:modify-discovered'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.operator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:members'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.distribute is not None:
                                            return True

                                        if self.modify_discovered is not None and self.modify_discovered._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.members is not None and self.members._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc']['meta_info']


                            class SiteRegistration(object):
                                """
                                Map\-server site registration options
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations as a result of accept\-more\-specifics
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.SiteRegistration']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rloc is not None and self.rloc._has_data():
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapServer']['meta_info']


                        class OtherXtrProbe(object):
                            """
                            Configure parameters for probing of other xTRs in our site
                            
                            .. attribute:: period
                            
                            	Period between probes in seconds
                            	**type**\:  int
                            
                            	**range:** 5..900
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.period = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:other-xtr-probe'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.period is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.OtherXtrProbe']['meta_info']


                        class RemoteRlocProbe(object):
                            """
                            Configure parameters for probing of remote RLOCs
                            
                            .. attribute:: on_membership_change
                            
                            	Trigger probing upon membership changes for remote RLOC
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: on_route_change
                            
                            	Trigger probing upon routing changes for remote RLOC
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.on_membership_change = None
                                self.on_route_change = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:remote-rloc-probe'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.on_membership_change is not None:
                                    return True

                                if self.on_route_change is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.RemoteRlocProbe']['meta_info']


                        class MapCache(object):
                            """
                            Configures static EID\-to\-RLOC mappings for an ITR
                            
                            .. attribute:: eid_prefix  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: drop
                            
                            	Drop packets that match this map\-cache entry
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: etr_interface_ip
                            
                            	
                            	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp>`
                            
                            .. attribute:: map_request
                            
                            	Send Map\-Request for LISP destination EID
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: native_forward
                            
                            	Natively forward packets that match this map\-cache entry
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eid_prefix = None
                                self.drop = None
                                self.etr_interface_ip = Native.Router.Lisp.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp()
                                self.etr_interface_ip.parent = self
                                self.map_request = None
                                self.native_forward = None


                            class EtrInterfaceIp(object):
                                """
                                
                                
                                .. attribute:: etr_interface_ip_address
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: priority
                                
                                	Configures which Locators from a set are preferred
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.etr_interface_ip_address = None
                                    self.priority = None
                                    self.weight = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.etr_interface_ip_address is not None:
                                        return True

                                    if self.priority is not None:
                                        return True

                                    if self.weight is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.eid_prefix is None:
                                    raise YPYModelError('Key property eid_prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eid_prefix is not None:
                                    return True

                                if self.drop is not None:
                                    return True

                                if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                    return True

                                if self.map_request is not None:
                                    return True

                                if self.native_forward is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList.MapCache']['meta_info']

                        @property
                        def _common_path(self):
                            if self.instance_id is None:
                                raise YPYModelError('Key property instance_id is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:eid-table/Cisco-IOS-XE-lisp:instance-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.instance_id is not None:
                                return True

                            if self.alt is not None and self.alt._has_data():
                                return True

                            if self.control_packet is not None and self.control_packet._has_data():
                                return True

                            if self.database_mapping is not None:
                                for child_ref in self.database_mapping:
                                    if child_ref._has_data():
                                        return True

                            if self.ddt is not None and self.ddt._has_data():
                                return True

                            if self.decapsulation is not None and self.decapsulation._has_data():
                                return True

                            if self.default is not None:
                                return True

                            if self.disable_ttl_propagate is not None:
                                return True

                            if self.dynamic_eid is not None:
                                for child_ref in self.dynamic_eid:
                                    if child_ref._has_data():
                                        return True

                            if self.etr is not None and self.etr._has_data():
                                return True

                            if self.ipv4 is not None and self.ipv4._has_data():
                                return True

                            if self.ipv6 is not None and self.ipv6._has_data():
                                return True

                            if self.loc_reach_algorithm is not None and self.loc_reach_algorithm._has_data():
                                return True

                            if self.locator_down is not None and self.locator_down._has_data():
                                return True

                            if self.locator_table is not None and self.locator_table._has_data():
                                return True

                            if self.map_cache is not None:
                                for child_ref in self.map_cache:
                                    if child_ref._has_data():
                                        return True

                            if self.map_request is not None and self.map_request._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.other_xtr_probe is not None and self.other_xtr_probe._has_data():
                                return True

                            if self.remote_rloc_probe is not None and self.remote_rloc_probe._has_data():
                                return True

                            if self.vrf is not None:
                                return True

                            if self.vrf_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.EidTable.InstanceList']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:eid-table'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.instance_list is not None:
                            for child_ref in self.instance_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.EidTable']['meta_info']


                class Security(object):
                    """
                    Enable default LISP security and authentication in reply is optional
                    
                    .. attribute:: strong
                    
                    	Enable default LISP security and authentication in reply is required
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.strong = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:security'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.strong is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.Security']['meta_info']


                class Site(object):
                    """
                    Configure a LISP site on a map server (MS)
                    
                    .. attribute:: sname  <key>
                    
                    	The site name
                    	**type**\:  str
                    
                    .. attribute:: allowed_locator
                    
                    	Locator from LISP site
                    	**type**\:   :py:class:`AllowedLocator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.AllowedLocator>`
                    
                    .. attribute:: authentication_key
                    
                    	Authentication key used by LISP site
                    	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.AuthenticationKey>`
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default_>`
                    
                    .. attribute:: description
                    
                    	Site description
                    	**type**\:  str
                    
                    .. attribute:: eid_prefix
                    
                    	Site EID address prefix
                    	**type**\:   :py:class:`EidPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.EidPrefix>`
                    
                    .. attribute:: eid_record
                    
                    	Site EID address prefix
                    	**type**\:   :py:class:`EidRecord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.EidRecord>`
                    
                    .. attribute:: site_id
                    
                    	Configure a site\-id for this site
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.sname = None
                        self.allowed_locator = Native.Router.Lisp.Default.Site.AllowedLocator()
                        self.allowed_locator.parent = self
                        self.authentication_key = Native.Router.Lisp.Default.Site.AuthenticationKey()
                        self.authentication_key.parent = self
                        self.default = Native.Router.Lisp.Default.Site.Default_()
                        self.default.parent = self
                        self.description = None
                        self.eid_prefix = Native.Router.Lisp.Default.Site.EidPrefix()
                        self.eid_prefix.parent = self
                        self.eid_record = Native.Router.Lisp.Default.Site.EidRecord()
                        self.eid_record.parent = self
                        self.site_id = None


                    class Default_(object):
                        """
                        
                        
                        .. attribute:: allowed_locator
                        
                        	Locator from LISP site
                        	**type**\:   :py:class:`AllowedLocator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default_.AllowedLocator>`
                        
                        .. attribute:: authentication_key
                        
                        	Authentication key used by LISP site
                        	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default_.AuthenticationKey>`
                        
                        .. attribute:: description
                        
                        	Site description
                        	**type**\:  str
                        
                        .. attribute:: eid_prefix
                        
                        	Site EID address prefix
                        	**type**\:   :py:class:`EidPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default_.EidPrefix>`
                        
                        .. attribute:: eid_record
                        
                        	Site EID address prefix
                        	**type**\:   :py:class:`EidRecord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default_.EidRecord>`
                        
                        .. attribute:: site_id
                        
                        	Configure a site\-id for this site
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.allowed_locator = Native.Router.Lisp.Default.Site.Default_.AllowedLocator()
                            self.allowed_locator.parent = self
                            self.authentication_key = Native.Router.Lisp.Default.Site.Default_.AuthenticationKey()
                            self.authentication_key.parent = self
                            self.description = None
                            self.eid_prefix = Native.Router.Lisp.Default.Site.Default_.EidPrefix()
                            self.eid_prefix.parent = self
                            self.eid_record = Native.Router.Lisp.Default.Site.Default_.EidRecord()
                            self.eid_record.parent = self
                            self.site_id = None


                        class AuthenticationKey(object):
                            """
                            Authentication key used by LISP site
                            
                            .. attribute:: key_0
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\:  str
                            
                            .. attribute:: key_6
                            
                            	The ENCRYPTED password
                            	**type**\:  str
                            
                            .. attribute:: key_7
                            
                            	The ENCRYPTED password
                            	**type**\:  str
                            
                            .. attribute:: unc_pwd
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_0 = None
                                self.key_6 = None
                                self.key_7 = None
                                self.unc_pwd = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:authentication-key'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_0 is not None:
                                    return True

                                if self.key_6 is not None:
                                    return True

                                if self.key_7 is not None:
                                    return True

                                if self.unc_pwd is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Site.Default_.AuthenticationKey']['meta_info']


                        class AllowedLocator(object):
                            """
                            Locator from LISP site
                            
                            .. attribute:: list
                            
                            	Prefixes allowed in registerd locator\-set
                            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default_.AllowedLocator.List>`
                            
                            .. attribute:: ls_ipv4
                            
                            	IPv4 locator allowed in registered locator\-set
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ls_ipv6
                            
                            	IPv6 locator allowed in registered locator\-set
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.list = Native.Router.Lisp.Default.Site.Default_.AllowedLocator.List()
                                self.list.parent = self
                                self.ls_ipv4 = None
                                self.ls_ipv6 = None


                            class List(object):
                                """
                                Prefixes allowed in registerd locator\-set
                                
                                .. attribute:: ipv4
                                
                                	IPv4 prefix\-list name
                                	**type**\:  str
                                
                                .. attribute:: ipv6
                                
                                	IPv6 prefix\-list name
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None
                                    self.ipv6 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    if self.ipv6 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Site.Default_.AllowedLocator.List']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:allowed-locator'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.list is not None and self.list._has_data():
                                    return True

                                if self.ls_ipv4 is not None:
                                    return True

                                if self.ls_ipv6 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Site.Default_.AllowedLocator']['meta_info']


                        class EidPrefix(object):
                            """
                            Site EID address prefix
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: instance_id
                            
                            	EID instance\-ID
                            	**type**\: list of    :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default_.EidPrefix.InstanceId>`
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default_.EidPrefix.Prefixes>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.any_mac = None
                                self.instance_id = YList()
                                self.instance_id.parent = self
                                self.instance_id.name = 'instance_id'
                                self.prefixes = YList()
                                self.prefixes.parent = self
                                self.prefixes.name = 'prefixes'


                            class Prefixes(object):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.prefix = None
                                    self.accept_more_specifics = None
                                    self.route_tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.prefix is None:
                                        raise YPYModelError('Key property prefix is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.prefix is not None:
                                        return True

                                    if self.accept_more_specifics is not None:
                                        return True

                                    if self.route_tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Site.Default_.EidPrefix.Prefixes']['meta_info']


                            class InstanceId(object):
                                """
                                EID instance\-ID
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..16777214
                                
                                .. attribute:: any_mac
                                
                                	Accept registrations for any L2 EID records
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: prefixes
                                
                                	
                                	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default_.EidPrefix.InstanceId.Prefixes>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.any_mac = None
                                    self.prefixes = YList()
                                    self.prefixes.parent = self
                                    self.prefixes.name = 'prefixes'


                                class Prefixes(object):
                                    """
                                    
                                    
                                    .. attribute:: prefix  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    
                                    ----
                                    .. attribute:: accept_more_specifics
                                    
                                    	Accept registrations for more specific EID prefixes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_tag
                                    
                                    	RIB route tag
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.prefix = None
                                        self.accept_more_specifics = None
                                        self.route_tag = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.prefix is None:
                                            raise YPYModelError('Key property prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.prefix is not None:
                                            return True

                                        if self.accept_more_specifics is not None:
                                            return True

                                        if self.route_tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Site.Default_.EidPrefix.InstanceId.Prefixes']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.any_mac is not None:
                                        return True

                                    if self.prefixes is not None:
                                        for child_ref in self.prefixes:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Site.Default_.EidPrefix.InstanceId']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.any_mac is not None:
                                    return True

                                if self.instance_id is not None:
                                    for child_ref in self.instance_id:
                                        if child_ref._has_data():
                                            return True

                                if self.prefixes is not None:
                                    for child_ref in self.prefixes:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Site.Default_.EidPrefix']['meta_info']


                        class EidRecord(object):
                            """
                            Site EID address prefix
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: instance_id
                            
                            	EID instance\-ID
                            	**type**\: list of    :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default_.EidRecord.InstanceId>`
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default_.EidRecord.Prefixes>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.any_mac = None
                                self.instance_id = YList()
                                self.instance_id.parent = self
                                self.instance_id.name = 'instance_id'
                                self.prefixes = YList()
                                self.prefixes.parent = self
                                self.prefixes.name = 'prefixes'


                            class Prefixes(object):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.prefix = None
                                    self.accept_more_specifics = None
                                    self.route_tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.prefix is None:
                                        raise YPYModelError('Key property prefix is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.prefix is not None:
                                        return True

                                    if self.accept_more_specifics is not None:
                                        return True

                                    if self.route_tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Site.Default_.EidRecord.Prefixes']['meta_info']


                            class InstanceId(object):
                                """
                                EID instance\-ID
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..16777214
                                
                                .. attribute:: any_mac
                                
                                	Accept registrations for any L2 EID records
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: prefixes
                                
                                	
                                	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default_.EidRecord.InstanceId.Prefixes>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.any_mac = None
                                    self.prefixes = YList()
                                    self.prefixes.parent = self
                                    self.prefixes.name = 'prefixes'


                                class Prefixes(object):
                                    """
                                    
                                    
                                    .. attribute:: prefix  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    
                                    ----
                                    .. attribute:: accept_more_specifics
                                    
                                    	Accept registrations for more specific EID prefixes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_tag
                                    
                                    	RIB route tag
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.prefix = None
                                        self.accept_more_specifics = None
                                        self.route_tag = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.prefix is None:
                                            raise YPYModelError('Key property prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.prefix is not None:
                                            return True

                                        if self.accept_more_specifics is not None:
                                            return True

                                        if self.route_tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Default.Site.Default_.EidRecord.InstanceId.Prefixes']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.any_mac is not None:
                                        return True

                                    if self.prefixes is not None:
                                        for child_ref in self.prefixes:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Site.Default_.EidRecord.InstanceId']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-record'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.any_mac is not None:
                                    return True

                                if self.instance_id is not None:
                                    for child_ref in self.instance_id:
                                        if child_ref._has_data():
                                            return True

                                if self.prefixes is not None:
                                    for child_ref in self.prefixes:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Site.Default_.EidRecord']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.allowed_locator is not None and self.allowed_locator._has_data():
                                return True

                            if self.authentication_key is not None and self.authentication_key._has_data():
                                return True

                            if self.description is not None:
                                return True

                            if self.eid_prefix is not None and self.eid_prefix._has_data():
                                return True

                            if self.eid_record is not None and self.eid_record._has_data():
                                return True

                            if self.site_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Site.Default_']['meta_info']


                    class AuthenticationKey(object):
                        """
                        Authentication key used by LISP site
                        
                        .. attribute:: key_0
                        
                        	The UNENCRYPTED (cleartext) password
                        	**type**\:  str
                        
                        .. attribute:: key_6
                        
                        	The ENCRYPTED password
                        	**type**\:  str
                        
                        .. attribute:: key_7
                        
                        	The ENCRYPTED password
                        	**type**\:  str
                        
                        .. attribute:: unc_pwd
                        
                        	The UNENCRYPTED (cleartext) password
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_0 = None
                            self.key_6 = None
                            self.key_7 = None
                            self.unc_pwd = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:authentication-key'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_0 is not None:
                                return True

                            if self.key_6 is not None:
                                return True

                            if self.key_7 is not None:
                                return True

                            if self.unc_pwd is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Site.AuthenticationKey']['meta_info']


                    class AllowedLocator(object):
                        """
                        Locator from LISP site
                        
                        .. attribute:: list
                        
                        	Prefixes allowed in registerd locator\-set
                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.AllowedLocator.List>`
                        
                        .. attribute:: ls_ipv4
                        
                        	IPv4 locator allowed in registered locator\-set
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ls_ipv6
                        
                        	IPv6 locator allowed in registered locator\-set
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.list = Native.Router.Lisp.Default.Site.AllowedLocator.List()
                            self.list.parent = self
                            self.ls_ipv4 = None
                            self.ls_ipv6 = None


                        class List(object):
                            """
                            Prefixes allowed in registerd locator\-set
                            
                            .. attribute:: ipv4
                            
                            	IPv4 prefix\-list name
                            	**type**\:  str
                            
                            .. attribute:: ipv6
                            
                            	IPv6 prefix\-list name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = None
                                self.ipv6 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None:
                                    return True

                                if self.ipv6 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Site.AllowedLocator.List']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:allowed-locator'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.list is not None and self.list._has_data():
                                return True

                            if self.ls_ipv4 is not None:
                                return True

                            if self.ls_ipv6 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Site.AllowedLocator']['meta_info']


                    class EidPrefix(object):
                        """
                        Site EID address prefix
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: instance_id
                        
                        	EID instance\-ID
                        	**type**\: list of    :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.EidPrefix.InstanceId>`
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.EidPrefix.Prefixes>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.any_mac = None
                            self.instance_id = YList()
                            self.instance_id.parent = self
                            self.instance_id.name = 'instance_id'
                            self.prefixes = YList()
                            self.prefixes.parent = self
                            self.prefixes.name = 'prefixes'


                        class Prefixes(object):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix = None
                                self.accept_more_specifics = None
                                self.route_tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.prefix is None:
                                    raise YPYModelError('Key property prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix is not None:
                                    return True

                                if self.accept_more_specifics is not None:
                                    return True

                                if self.route_tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Site.EidPrefix.Prefixes']['meta_info']


                        class InstanceId(object):
                            """
                            EID instance\-ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..16777214
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.EidPrefix.InstanceId.Prefixes>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.any_mac = None
                                self.prefixes = YList()
                                self.prefixes.parent = self
                                self.prefixes.name = 'prefixes'


                            class Prefixes(object):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.prefix = None
                                    self.accept_more_specifics = None
                                    self.route_tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.prefix is None:
                                        raise YPYModelError('Key property prefix is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.prefix is not None:
                                        return True

                                    if self.accept_more_specifics is not None:
                                        return True

                                    if self.route_tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Site.EidPrefix.InstanceId.Prefixes']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.any_mac is not None:
                                    return True

                                if self.prefixes is not None:
                                    for child_ref in self.prefixes:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Site.EidPrefix.InstanceId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-prefix'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any_mac is not None:
                                return True

                            if self.instance_id is not None:
                                for child_ref in self.instance_id:
                                    if child_ref._has_data():
                                        return True

                            if self.prefixes is not None:
                                for child_ref in self.prefixes:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Site.EidPrefix']['meta_info']


                    class EidRecord(object):
                        """
                        Site EID address prefix
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: instance_id
                        
                        	EID instance\-ID
                        	**type**\: list of    :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.EidRecord.InstanceId>`
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.EidRecord.Prefixes>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.any_mac = None
                            self.instance_id = YList()
                            self.instance_id.parent = self
                            self.instance_id.name = 'instance_id'
                            self.prefixes = YList()
                            self.prefixes.parent = self
                            self.prefixes.name = 'prefixes'


                        class Prefixes(object):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix = None
                                self.accept_more_specifics = None
                                self.route_tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.prefix is None:
                                    raise YPYModelError('Key property prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix is not None:
                                    return True

                                if self.accept_more_specifics is not None:
                                    return True

                                if self.route_tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Site.EidRecord.Prefixes']['meta_info']


                        class InstanceId(object):
                            """
                            EID instance\-ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..16777214
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.EidRecord.InstanceId.Prefixes>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.any_mac = None
                                self.prefixes = YList()
                                self.prefixes.parent = self
                                self.prefixes.name = 'prefixes'


                            class Prefixes(object):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.prefix = None
                                    self.accept_more_specifics = None
                                    self.route_tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.prefix is None:
                                        raise YPYModelError('Key property prefix is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.prefix is not None:
                                        return True

                                    if self.accept_more_specifics is not None:
                                        return True

                                    if self.route_tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Default.Site.EidRecord.InstanceId.Prefixes']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.any_mac is not None:
                                    return True

                                if self.prefixes is not None:
                                    for child_ref in self.prefixes:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Default.Site.EidRecord.InstanceId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-record'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any_mac is not None:
                                return True

                            if self.instance_id is not None:
                                for child_ref in self.instance_id:
                                    if child_ref._has_data():
                                        return True

                            if self.prefixes is not None:
                                for child_ref in self.prefixes:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Site.EidRecord']['meta_info']

                    @property
                    def _common_path(self):
                        if self.sname is None:
                            raise YPYModelError('Key property sname is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:site[Cisco-IOS-XE-lisp:sname = ' + str(self.sname) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.sname is not None:
                            return True

                        if self.allowed_locator is not None and self.allowed_locator._has_data():
                            return True

                        if self.authentication_key is not None and self.authentication_key._has_data():
                            return True

                        if self.default is not None and self.default._has_data():
                            return True

                        if self.description is not None:
                            return True

                        if self.eid_prefix is not None and self.eid_prefix._has_data():
                            return True

                        if self.eid_record is not None and self.eid_record._has_data():
                            return True

                        if self.site_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.Site']['meta_info']


                class Syslog(object):
                    """
                    Configure syslog option
                    
                    .. attribute:: session
                    
                    	Enable session syslog
                    	**type**\:   :py:class:`Session <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Syslog.Session>`
                    
                    .. attribute:: verbose
                    
                    	Enable verbose syslog
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.session = Native.Router.Lisp.Default.Syslog.Session()
                        self.session.parent = self
                        self.verbose = None


                    class Session(object):
                        """
                        Enable session syslog
                        
                        .. attribute:: changes
                        
                        	Enable session change syslog
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.changes = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:syslog/Cisco-IOS-XE-lisp:session'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.changes is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Default.Syslog.Session']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:syslog'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.session is not None and self.session._has_data():
                            return True

                        if self.verbose is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Default.Syslog']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:default'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.alt is not None and self.alt._has_data():
                        return True

                    if self.control_packet is not None and self.control_packet._has_data():
                        return True

                    if self.ddt is not None and self.ddt._has_data():
                        return True

                    if self.decapsulation is not None and self.decapsulation._has_data():
                        return True

                    if self.disable_ttl_propagate is not None:
                        return True

                    if self.eid_table is not None and self.eid_table._has_data():
                        return True

                    if self.encapsulation is not None and self.encapsulation._has_data():
                        return True

                    if self.etr is not None and self.etr._has_data():
                        return True

                    if self.instance_container is not None and self.instance_container._has_data():
                        return True

                    if self.ipv4 is not None and self.ipv4._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    if self.loc_reach_algorithm is not None and self.loc_reach_algorithm._has_data():
                        return True

                    if self.locator_down is not None and self.locator_down._has_data():
                        return True

                    if self.locator_scope is not None:
                        for child_ref in self.locator_scope:
                            if child_ref._has_data():
                                return True

                    if self.locator_set is not None:
                        for child_ref in self.locator_set:
                            if child_ref._has_data():
                                return True

                    if self.locator_table is not None and self.locator_table._has_data():
                        return True

                    if self.map_request is not None and self.map_request._has_data():
                        return True

                    if self.map_server is not None and self.map_server._has_data():
                        return True

                    if self.other_xtr_probe is not None and self.other_xtr_probe._has_data():
                        return True

                    if self.remote_rloc_probe is not None and self.remote_rloc_probe._has_data():
                        return True

                    if self.security is not None and self.security._has_data():
                        return True

                    if self.service is not None and self.service._has_data():
                        return True

                    if self.site is not None:
                        for child_ref in self.site:
                            if child_ref._has_data():
                                return True

                    if self.site_id is not None:
                        return True

                    if self.syslog is not None and self.syslog._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.Default']['meta_info']


            class Service(object):
                """
                Configure lisp service type
                
                .. attribute:: ethernet
                
                	
                	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet>`
                
                	**presence node**\: True
                
                .. attribute:: ipv4
                
                	
                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4>`
                
                	**presence node**\: True
                
                .. attribute:: ipv6
                
                	
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6>`
                
                	**presence node**\: True
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.ethernet = None
                    self.ipv4 = None
                    self.ipv6 = None


                class Ipv4(object):
                    """
                    
                    
                    .. attribute:: database_mapping
                    
                    	Address family specific local EID prefixes database configuration
                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.DatabaseMapping>`
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default>`
                    
                    .. attribute:: distance
                    
                    	Administrative distance for RIB route installation
                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Distance>`
                    
                    .. attribute:: encapsulation
                    
                    	Select encapsulation type for data packets
                    	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.EncapsulationEnum>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr>`
                    
                    .. attribute:: etr_enable
                    
                    	
                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.EtrEnable>`
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Itr>`
                    
                    .. attribute:: itr_enable
                    
                    	
                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.ItrEnable>`
                    
                    .. attribute:: map_cache
                    
                    	Address family specific map cache configuration
                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapCache>`
                    
                    .. attribute:: map_cache_limit
                    
                    	Configures maximum size of map\-cache
                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapCacheLimit>`
                    
                    .. attribute:: map_cache_persistent
                    
                    	Dump map\-cache onto flash, making it persistent across reboots
                    	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapCachePersistent>`
                    
                    .. attribute:: map_request_source
                    
                    	Configures inner header source address in Map\-Request message
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: map_resolver
                    
                    	Configures a LISP Map Resolver (MR)
                    	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapResolver>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: map_server
                    
                    	Configures a LISP Map Server (MS)
                    	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: proxy_etr
                    
                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: proxy_itr
                    
                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                    	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.ProxyItr>`
                    
                    .. attribute:: route_export
                    
                    	Export routes into RIB from LISP
                    	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.RouteExport>`
                    
                    .. attribute:: sgt
                    
                    	Enable security group tag propagation in LISP encapsulated traffic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: site_registration
                    
                    	Site registrations configuration for a given instance\-id
                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.SiteRegistration>`
                    
                    .. attribute:: solicit_map_request
                    
                    	Configure Solicit\-Map\-Request handling
                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.SolicitMapRequest>`
                    
                    .. attribute:: use_petr
                    
                    	Encapsulate to Proxy ETR when matching forward\-native entry
                    	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.UsePetr>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.database_mapping = Native.Router.Lisp.Service.Ipv4.DatabaseMapping()
                        self.database_mapping.parent = self
                        self.default = Native.Router.Lisp.Service.Ipv4.Default()
                        self.default.parent = self
                        self.distance = Native.Router.Lisp.Service.Ipv4.Distance()
                        self.distance.parent = self
                        self.encapsulation = None
                        self.etr = Native.Router.Lisp.Service.Ipv4.Etr()
                        self.etr.parent = self
                        self.etr_enable = Native.Router.Lisp.Service.Ipv4.EtrEnable()
                        self.etr_enable.parent = self
                        self.itr = Native.Router.Lisp.Service.Ipv4.Itr()
                        self.itr.parent = self
                        self.itr_enable = Native.Router.Lisp.Service.Ipv4.ItrEnable()
                        self.itr_enable.parent = self
                        self.map_cache = Native.Router.Lisp.Service.Ipv4.MapCache()
                        self.map_cache.parent = self
                        self.map_cache_limit = Native.Router.Lisp.Service.Ipv4.MapCacheLimit()
                        self.map_cache_limit.parent = self
                        self.map_cache_persistent = Native.Router.Lisp.Service.Ipv4.MapCachePersistent()
                        self.map_cache_persistent.parent = self
                        self.map_request_source = None
                        self.map_resolver = None
                        self.map_server = None
                        self.proxy_etr = None
                        self.proxy_itr = Native.Router.Lisp.Service.Ipv4.ProxyItr()
                        self.proxy_itr.parent = self
                        self.route_export = Native.Router.Lisp.Service.Ipv4.RouteExport()
                        self.route_export.parent = self
                        self.sgt = None
                        self.site_registration = Native.Router.Lisp.Service.Ipv4.SiteRegistration()
                        self.site_registration.parent = self
                        self.solicit_map_request = Native.Router.Lisp.Service.Ipv4.SolicitMapRequest()
                        self.solicit_map_request.parent = self
                        self.use_petr = YList()
                        self.use_petr.parent = self
                        self.use_petr.name = 'use_petr'

                    class EncapsulationEnum(Enum):
                        """
                        EncapsulationEnum

                        Select encapsulation type for data packets

                        .. data:: lisp = 0

                        .. data:: vxlan = 1

                        """

                        lisp = 0

                        vxlan = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.EncapsulationEnum']



                    class Default(object):
                        """
                        
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Distance>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.EncapsulationEnum>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.EtrEnable>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.ItrEnable>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapCache>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapCacheLimit>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapCachePersistent>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.ProxyItr>`
                        
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.RouteExport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.SolicitMapRequest>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.UsePetr>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.database_mapping = Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping()
                            self.database_mapping.parent = self
                            self.distance = Native.Router.Lisp.Service.Ipv4.Default.Distance()
                            self.distance.parent = self
                            self.encapsulation = None
                            self.etr = Native.Router.Lisp.Service.Ipv4.Default.Etr()
                            self.etr.parent = self
                            self.etr_enable = Native.Router.Lisp.Service.Ipv4.Default.EtrEnable()
                            self.etr_enable.parent = self
                            self.itr = Native.Router.Lisp.Service.Ipv4.Default.Itr()
                            self.itr.parent = self
                            self.itr_enable = Native.Router.Lisp.Service.Ipv4.Default.ItrEnable()
                            self.itr_enable.parent = self
                            self.map_cache = Native.Router.Lisp.Service.Ipv4.Default.MapCache()
                            self.map_cache.parent = self
                            self.map_cache_limit = Native.Router.Lisp.Service.Ipv4.Default.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self.map_cache_persistent = Native.Router.Lisp.Service.Ipv4.Default.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self.map_request_source = None
                            self.map_resolver = None
                            self.map_server = None
                            self.proxy_etr = None
                            self.proxy_itr = Native.Router.Lisp.Service.Ipv4.Default.ProxyItr()
                            self.proxy_itr.parent = self
                            self.route_export = Native.Router.Lisp.Service.Ipv4.Default.RouteExport()
                            self.route_export.parent = self
                            self.sgt = None
                            self.site_registration = Native.Router.Lisp.Service.Ipv4.Default.SiteRegistration()
                            self.site_registration.parent = self
                            self.solicit_map_request = Native.Router.Lisp.Service.Ipv4.Default.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self.use_petr = YList()
                            self.use_petr.parent = self
                            self.use_petr.name = 'use_petr'

                        class EncapsulationEnum(Enum):
                            """
                            EncapsulationEnum

                            Select encapsulation type for data packets

                            .. data:: lisp = 0

                            .. data:: vxlan = 1

                            """

                            lisp = 0

                            vxlan = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.EncapsulationEnum']



                        class DatabaseMapping(object):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping.Limit()
                                self.limit.parent = self


                            class Limit(object):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\:  int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dynamic = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:database-mapping/Cisco-IOS-XE-lisp:limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dynamic is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping.Limit']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:database-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None and self.limit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping']['meta_info']


                        class Itr(object):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_resolver = YList()
                                self.map_resolver.parent = self
                                self.map_resolver.name = 'map_resolver'


                            class MapResolver(object):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None

                                @property
                                def _common_path(self):
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:itr/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.Itr.MapResolver']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_resolver is not None:
                                    for child_ref in self.map_resolver:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.Itr']['meta_info']


                        class ItrEnable(object):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.itr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:itr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.itr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.ItrEnable']['meta_info']


                        class EtrEnable(object):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.etr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.etr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.EtrEnable']['meta_info']


                        class Etr(object):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.AcceptMapRequestMapping>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.accept_map_request_mapping = Native.Router.Lisp.Service.Ipv4.Default.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self.map_cache_ttl = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None
                                    self.key = Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key7>`
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self.key_6 = Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self.key_7 = Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self.key_pwd = Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self


                                    class KeyPwd(object):
                                        """
                                        
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.hash_function = None
                                            self.unc_pwd = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.hash_function is not None:
                                                return True

                                            if self.unc_pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd']['meta_info']


                                    class Key0(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_0 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_0 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key0']['meta_info']


                                    class Key6(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_6 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_6 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key6']['meta_info']


                                    class Key7(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_7 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_7 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key7']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None and self.key_0._has_data():
                                            return True

                                        if self.key_6 is not None and self.key_6._has_data():
                                            return True

                                        if self.key_7 is not None and self.key_7._has_data():
                                            return True

                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer']['meta_info']


                            class AcceptMapRequestMapping(object):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_mappping = None
                                    self.verify = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_mappping is not None:
                                        return True

                                    if self.verify is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr.AcceptMapRequestMapping']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                    return True

                                if self.map_cache_ttl is not None:
                                    return True

                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.Etr']['meta_info']


                        class MapCacheLimit(object):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\:  str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max_map_cache_entries = None
                                self.reserve_list = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-cache-limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max_map_cache_entries is not None:
                                    return True

                                if self.reserve_list is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapCacheLimit']['meta_info']


                        class MapResolver(object):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_request = Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest()
                                self.map_request.parent = self


                            class MapRequest(object):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.list = Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self.registered = Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self


                                        class List(object):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                        class Registered(object):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.list = Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self


                                            class List(object):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\:  str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv4 = None
                                                    self.ipv6 = None

                                                @property
                                                def _common_path(self):

                                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered/Cisco-IOS-XE-lisp:list'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ipv4 is not None:
                                                        return True

                                                    if self.ipv6 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.list is not None and self.list._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.list is not None and self.list._has_data():
                                                return True

                                            if self.registered is not None and self.registered._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_request is not None and self.map_request._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapResolver']['meta_info']


                        class MapServer(object):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_register = Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister()
                                self.map_register.parent = self


                            class MapRegister(object):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.allowed_locator = None

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.allowed_locator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_register is not None and self.map_register._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapServer']['meta_info']


                        class SiteRegistration(object):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:site-registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.SiteRegistration']['meta_info']


                        class SolicitMapRequest(object):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\:  int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ignore = None
                                self.max_per_entry = None
                                self.suppression_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:solicit-map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ignore is not None:
                                    return True

                                if self.max_per_entry is not None:
                                    return True

                                if self.suppression_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.SolicitMapRequest']['meta_info']


                        class Distance(object):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: away
                            
                            	Administrative distance for RIB route installation
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.alt = None
                                self.away = None
                                self.dyn_eid = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.alt is not None:
                                    return True

                                if self.away is not None:
                                    return True

                                if self.dyn_eid is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.Distance']['meta_info']


                        class MapCache(object):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: away_eids
                            
                            	Map cache configuration for the away table
                            	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapCache.AwayEids>`
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.away_eids = Native.Router.Lisp.Service.Ipv4.Default.MapCache.AwayEids()
                                self.away_eids.parent = self
                                self.site_registration = None


                            class AwayEids(object):
                                """
                                Map cache configuration for the away table
                                
                                .. attribute:: send_map_request
                                
                                	Export away table entries into the map cache with action set to send\-map\-request
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.send_map_request = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:away-eids'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.send_map_request is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapCache.AwayEids']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.away_eids is not None and self.away_eids._has_data():
                                    return True

                                if self.site_registration is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapCache']['meta_info']


                        class MapCachePersistent(object):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\:  int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interval = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-cache-persistent'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.MapCachePersistent']['meta_info']


                        class ProxyItr(object):
                            """
                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            
                            .. attribute:: ipv4_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv6_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_addr = None
                                self.ipv6_addr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:proxy-itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4_addr is not None:
                                    return True

                                if self.ipv6_addr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.ProxyItr']['meta_info']


                        class RouteExport(object):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.away_eids = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:route-export'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.away_eids is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.RouteExport']['meta_info']


                        class UsePetr(object):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: priority
                            
                            	
                            	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.UsePetr.Priority>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.locator_address = None
                                self.priority = Native.Router.Lisp.Service.Ipv4.Default.UsePetr.Priority()
                                self.priority.parent = self


                            class Priority(object):
                                """
                                
                                
                                .. attribute:: priority_value
                                
                                	Configures which Locators from a set are preferred
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.priority_value = None
                                    self.weight = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.priority_value is not None:
                                        return True

                                    if self.weight is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.UsePetr.Priority']['meta_info']

                            @property
                            def _common_path(self):
                                if self.locator_address is None:
                                    raise YPYModelError('Key property locator_address is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.locator_address is not None:
                                    return True

                                if self.priority is not None and self.priority._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default.UsePetr']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:default'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.database_mapping is not None and self.database_mapping._has_data():
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.encapsulation is not None:
                                return True

                            if self.etr is not None and self.etr._has_data():
                                return True

                            if self.etr_enable is not None and self.etr_enable._has_data():
                                return True

                            if self.itr is not None and self.itr._has_data():
                                return True

                            if self.itr_enable is not None and self.itr_enable._has_data():
                                return True

                            if self.map_cache is not None and self.map_cache._has_data():
                                return True

                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                return True

                            if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                return True

                            if self.map_request_source is not None:
                                return True

                            if self.map_resolver is not None and self.map_resolver._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.proxy_etr is not None:
                                return True

                            if self.proxy_itr is not None and self.proxy_itr._has_data():
                                return True

                            if self.route_export is not None and self.route_export._has_data():
                                return True

                            if self.sgt is not None:
                                return True

                            if self.site_registration is not None and self.site_registration._has_data():
                                return True

                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                return True

                            if self.use_petr is not None:
                                for child_ref in self.use_petr:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Default']['meta_info']


                    class DatabaseMapping(object):
                        """
                        Address family specific local EID prefixes database configuration
                        
                        .. attribute:: limit
                        
                        	Configures the maximum size of local EID prefixes database
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.DatabaseMapping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Router.Lisp.Service.Ipv4.DatabaseMapping.Limit()
                            self.limit.parent = self


                        class Limit(object):
                            """
                            Configures the maximum size of local EID prefixes database
                            
                            .. attribute:: dynamic
                            
                            	Configures the maximum size of dynamic local EID prefixes database
                            	**type**\:  int
                            
                            	**range:** 1..5000
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:database-mapping/Cisco-IOS-XE-lisp:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.DatabaseMapping.Limit']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:database-mapping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.DatabaseMapping']['meta_info']


                    class Itr(object):
                        """
                        Configures a LISP Ingress Tunnel Router (ITR)
                        
                        .. attribute:: map_resolver
                        
                        	Configures map\-resolver address for sending Map\-Requests
                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Itr.MapResolver>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.map_resolver = YList()
                            self.map_resolver.parent = self
                            self.map_resolver.name = 'map_resolver'


                        class MapResolver(object):
                            """
                            Configures map\-resolver address for sending Map\-Requests
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None

                            @property
                            def _common_path(self):
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:itr/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Itr.MapResolver']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:itr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.map_resolver is not None:
                                for child_ref in self.map_resolver:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Itr']['meta_info']


                    class ItrEnable(object):
                        """
                        
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.itr = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:itr-enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.itr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.ItrEnable']['meta_info']


                    class EtrEnable(object):
                        """
                        
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.etr = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:etr-enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.etr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.EtrEnable']['meta_info']


                    class Etr(object):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: accept_map_request_mapping
                        
                        	
                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                        
                        .. attribute:: map_cache_ttl
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 60..10080
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.accept_map_request_mapping = Native.Router.Lisp.Service.Ipv4.Etr.AcceptMapRequestMapping()
                            self.accept_map_request_mapping.parent = self
                            self.map_cache_ttl = None
                            self.map_server = YList()
                            self.map_server.parent = self
                            self.map_server.name = 'map_server'


                        class MapServer(object):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None
                                self.key = Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key()
                                self.key.parent = self
                                self.proxy_reply = None


                            class Key(object):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_0
                                
                                	
                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                
                                .. attribute:: key_6
                                
                                	
                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                
                                .. attribute:: key_7
                                
                                	
                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                
                                .. attribute:: key_pwd
                                
                                	
                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_0 = Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key0()
                                    self.key_0.parent = self
                                    self.key_6 = Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key6()
                                    self.key_6.parent = self
                                    self.key_7 = Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key7()
                                    self.key_7.parent = self
                                    self.key_pwd = Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                    self.key_pwd.parent = self


                                class KeyPwd(object):
                                    """
                                    
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hash_function = None
                                        self.unc_pwd = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hash_function is not None:
                                            return True

                                        if self.unc_pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info']


                                class Key0(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_0 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_0 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info']


                                class Key6(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_6 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_6 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info']


                                class Key7(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_7 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_7 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_0 is not None and self.key_0._has_data():
                                        return True

                                    if self.key_6 is not None and self.key_6._has_data():
                                        return True

                                    if self.key_7 is not None and self.key_7._has_data():
                                        return True

                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key']['meta_info']

                            @property
                            def _common_path(self):
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                if self.key is not None and self.key._has_data():
                                    return True

                                if self.proxy_reply is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Etr.MapServer']['meta_info']


                        class AcceptMapRequestMapping(object):
                            """
                            
                            
                            .. attribute:: accept_mappping
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: verify
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.accept_mappping = None
                                self.verify = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.accept_mappping is not None:
                                    return True

                                if self.verify is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:etr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                return True

                            if self.map_cache_ttl is not None:
                                return True

                            if self.map_server is not None:
                                for child_ref in self.map_server:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Etr']['meta_info']


                    class MapCacheLimit(object):
                        """
                        Configures maximum size of map\-cache
                        
                        .. attribute:: max_map_cache_entries
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..100000
                        
                        .. attribute:: reserve_list
                        
                        	EID\-prefixes guaranteed to be stored in map\-cache
                        	**type**\:  str
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max_map_cache_entries = None
                            self.reserve_list = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-cache-limit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max_map_cache_entries is not None:
                                return True

                            if self.reserve_list is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.MapCacheLimit']['meta_info']


                    class MapResolver(object):
                        """
                        Configures a LISP Map Resolver (MR)
                        
                        .. attribute:: map_request
                        
                        	Map\-Request processing options
                        	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.map_request = Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest()
                            self.map_request.parent = self


                        class MapRequest(object):
                            """
                            Map\-Request processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.validate = Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate()
                                self.validate.parent = self


                            class Validate(object):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	Influence which source RLOCs map requests are accepted from
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    Influence which source RLOCs map requests are accepted from
                                    
                                    .. attribute:: list
                                    
                                    	Define allowed prefixes using an ip[v6] prefix list
                                    	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List>`
                                    
                                    .. attribute:: registered
                                    
                                    	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                    	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.list = Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List()
                                        self.list.parent = self
                                        self.registered = Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered()
                                        self.registered.parent = self


                                    class List(object):
                                        """
                                        Define allowed prefixes using an ip[v6] prefix list
                                        
                                        .. attribute:: ipv4
                                        
                                        	IPv4 prefixes
                                        	**type**\:  str
                                        
                                        .. attribute:: ipv6
                                        
                                        	IPv6 prefixes
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4 = None
                                            self.ipv6 = None

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4 is not None:
                                                return True

                                            if self.ipv6 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                    class Registered(object):
                                        """
                                        ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.list = Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List()
                                            self.list.parent = self


                                        class List(object):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered/Cisco-IOS-XE-lisp:list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.list is not None and self.list._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.list is not None and self.list._has_data():
                                            return True

                                        if self.registered is not None and self.registered._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.validate is not None and self.validate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.map_request is not None and self.map_request._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.MapResolver']['meta_info']


                    class MapServer(object):
                        """
                        Configures a LISP Map Server (MS)
                        
                        .. attribute:: map_register
                        
                        	Map\-Register processing options
                        	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.map_register = Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister()
                            self.map_register.parent = self


                        class MapRegister(object):
                            """
                            Map\-Register processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.validate = Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate()
                                self.validate.parent = self


                            class Validate(object):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	RLOC Source IP address
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    RLOC Source IP address
                                    
                                    .. attribute:: allowed_locator
                                    
                                    	Against sites' allowed\-locators policy
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.allowed_locator = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.allowed_locator is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.validate is not None and self.validate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.map_register is not None and self.map_register._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.MapServer']['meta_info']


                    class SiteRegistration(object):
                        """
                        Site registrations configuration for a given instance\-id
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:site-registration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.SiteRegistration']['meta_info']


                    class SolicitMapRequest(object):
                        """
                        Configure Solicit\-Map\-Request handling
                        
                        .. attribute:: ignore
                        
                        	Ignore SMR bit in incoming Map\-Requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_per_entry
                        
                        	Maximum number of SMRs for addresses under a map\-cache entry
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        .. attribute:: suppression_time
                        
                        	How long to suppress repeated SMRs for the same address
                        	**type**\:  int
                        
                        	**range:** 1..600
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ignore = None
                            self.max_per_entry = None
                            self.suppression_time = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:solicit-map-request'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ignore is not None:
                                return True

                            if self.max_per_entry is not None:
                                return True

                            if self.suppression_time is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.SolicitMapRequest']['meta_info']


                    class Distance(object):
                        """
                        Administrative distance for RIB route installation
                        
                        .. attribute:: alt
                        
                        	LISP routes installed in the ALT table
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: away
                        
                        	Administrative distance for RIB route installation
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: dyn_eid
                        
                        	LISP installed routes of type dynamic\-EID
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: site_registrations
                        
                        	LISP installed routes of type site\-registrations
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.alt = None
                            self.away = None
                            self.dyn_eid = None
                            self.site_registrations = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:distance'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.alt is not None:
                                return True

                            if self.away is not None:
                                return True

                            if self.dyn_eid is not None:
                                return True

                            if self.site_registrations is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.Distance']['meta_info']


                    class MapCache(object):
                        """
                        Address family specific map cache configuration
                        
                        .. attribute:: away_eids
                        
                        	Map cache configuration for the away table
                        	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapCache.AwayEids>`
                        
                        .. attribute:: site_registration
                        
                        	Install map cache to map request for site registrations
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.away_eids = Native.Router.Lisp.Service.Ipv4.MapCache.AwayEids()
                            self.away_eids.parent = self
                            self.site_registration = None


                        class AwayEids(object):
                            """
                            Map cache configuration for the away table
                            
                            .. attribute:: send_map_request
                            
                            	Export away table entries into the map cache with action set to send\-map\-request
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.send_map_request = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:away-eids'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.send_map_request is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.MapCache.AwayEids']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.away_eids is not None and self.away_eids._has_data():
                                return True

                            if self.site_registration is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.MapCache']['meta_info']


                    class MapCachePersistent(object):
                        """
                        Dump map\-cache onto flash, making it persistent across reboots
                        
                        .. attribute:: interval
                        
                        	Interval in minutes of how often the map\-cache is saved
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interval = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-cache-persistent'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.MapCachePersistent']['meta_info']


                    class ProxyItr(object):
                        """
                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        
                        .. attribute:: ipv4_addr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ipv6_addr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4_addr = None
                            self.ipv6_addr = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:proxy-itr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4_addr is not None:
                                return True

                            if self.ipv6_addr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.ProxyItr']['meta_info']


                    class RouteExport(object):
                        """
                        Export routes into RIB from LISP
                        
                        .. attribute:: away_eids
                        
                        	Export LISP away EIDs to RIB
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registrations
                        
                        	Export LISP site registrations to RIB
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.away_eids = None
                            self.site_registrations = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-export'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.away_eids is not None:
                                return True

                            if self.site_registrations is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.RouteExport']['meta_info']


                    class UsePetr(object):
                        """
                        Encapsulate to Proxy ETR when matching forward\-native entry
                        
                        .. attribute:: locator_address  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: priority
                        
                        	
                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.UsePetr.Priority>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.locator_address = None
                            self.priority = Native.Router.Lisp.Service.Ipv4.UsePetr.Priority()
                            self.priority.parent = self


                        class Priority(object):
                            """
                            
                            
                            .. attribute:: priority_value
                            
                            	Configures which Locators from a set are preferred
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: weight
                            
                            	Traffic load\-spreading among Locators
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.priority_value = None
                                self.weight = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.priority_value is not None:
                                    return True

                                if self.weight is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv4.UsePetr.Priority']['meta_info']

                        @property
                        def _common_path(self):
                            if self.locator_address is None:
                                raise YPYModelError('Key property locator_address is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.locator_address is not None:
                                return True

                            if self.priority is not None and self.priority._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv4.UsePetr']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.database_mapping is not None and self.database_mapping._has_data():
                            return True

                        if self.default is not None and self.default._has_data():
                            return True

                        if self.distance is not None and self.distance._has_data():
                            return True

                        if self.encapsulation is not None:
                            return True

                        if self.etr is not None and self.etr._has_data():
                            return True

                        if self.etr_enable is not None and self.etr_enable._has_data():
                            return True

                        if self.itr is not None and self.itr._has_data():
                            return True

                        if self.itr_enable is not None and self.itr_enable._has_data():
                            return True

                        if self.map_cache is not None and self.map_cache._has_data():
                            return True

                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                            return True

                        if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                            return True

                        if self.map_request_source is not None:
                            return True

                        if self.map_resolver is not None and self.map_resolver._has_data():
                            return True

                        if self.map_server is not None and self.map_server._has_data():
                            return True

                        if self.proxy_etr is not None:
                            return True

                        if self.proxy_itr is not None and self.proxy_itr._has_data():
                            return True

                        if self.route_export is not None and self.route_export._has_data():
                            return True

                        if self.sgt is not None:
                            return True

                        if self.site_registration is not None and self.site_registration._has_data():
                            return True

                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                            return True

                        if self.use_petr is not None:
                            for child_ref in self.use_petr:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Service.Ipv4']['meta_info']


                class Ipv6(object):
                    """
                    
                    
                    .. attribute:: database_mapping
                    
                    	Address family specific local EID prefixes database configuration
                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.DatabaseMapping>`
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default>`
                    
                    .. attribute:: distance
                    
                    	Administrative distance for RIB route installation
                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Distance>`
                    
                    .. attribute:: encapsulation
                    
                    	Select encapsulation type for data packets
                    	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.EncapsulationEnum>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr>`
                    
                    .. attribute:: etr_enable
                    
                    	
                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.EtrEnable>`
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Itr>`
                    
                    .. attribute:: itr_enable
                    
                    	
                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.ItrEnable>`
                    
                    .. attribute:: map_cache
                    
                    	Address family specific map cache configuration
                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapCache>`
                    
                    .. attribute:: map_cache_limit
                    
                    	Configures maximum size of map\-cache
                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapCacheLimit>`
                    
                    .. attribute:: map_cache_persistent
                    
                    	Dump map\-cache onto flash, making it persistent across reboots
                    	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapCachePersistent>`
                    
                    .. attribute:: map_request_source
                    
                    	Configures inner header source address in Map\-Request message
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: map_resolver
                    
                    	Configures a LISP Map Resolver (MR)
                    	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapResolver>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: map_server
                    
                    	Configures a LISP Map Server (MS)
                    	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: proxy_etr
                    
                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: proxy_itr
                    
                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                    	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.ProxyItr>`
                    
                    .. attribute:: route_export
                    
                    	Export routes into RIB from LISP
                    	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.RouteExport>`
                    
                    .. attribute:: sgt
                    
                    	Enable security group tag propagation in LISP encapsulated traffic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: site_registration
                    
                    	Site registrations configuration for a given instance\-id
                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.SiteRegistration>`
                    
                    .. attribute:: solicit_map_request
                    
                    	Configure Solicit\-Map\-Request handling
                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.SolicitMapRequest>`
                    
                    .. attribute:: use_petr
                    
                    	Encapsulate to Proxy ETR when matching forward\-native entry
                    	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.UsePetr>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.database_mapping = Native.Router.Lisp.Service.Ipv6.DatabaseMapping()
                        self.database_mapping.parent = self
                        self.default = Native.Router.Lisp.Service.Ipv6.Default()
                        self.default.parent = self
                        self.distance = Native.Router.Lisp.Service.Ipv6.Distance()
                        self.distance.parent = self
                        self.encapsulation = None
                        self.etr = Native.Router.Lisp.Service.Ipv6.Etr()
                        self.etr.parent = self
                        self.etr_enable = Native.Router.Lisp.Service.Ipv6.EtrEnable()
                        self.etr_enable.parent = self
                        self.itr = Native.Router.Lisp.Service.Ipv6.Itr()
                        self.itr.parent = self
                        self.itr_enable = Native.Router.Lisp.Service.Ipv6.ItrEnable()
                        self.itr_enable.parent = self
                        self.map_cache = Native.Router.Lisp.Service.Ipv6.MapCache()
                        self.map_cache.parent = self
                        self.map_cache_limit = Native.Router.Lisp.Service.Ipv6.MapCacheLimit()
                        self.map_cache_limit.parent = self
                        self.map_cache_persistent = Native.Router.Lisp.Service.Ipv6.MapCachePersistent()
                        self.map_cache_persistent.parent = self
                        self.map_request_source = None
                        self.map_resolver = None
                        self.map_server = None
                        self.proxy_etr = None
                        self.proxy_itr = Native.Router.Lisp.Service.Ipv6.ProxyItr()
                        self.proxy_itr.parent = self
                        self.route_export = Native.Router.Lisp.Service.Ipv6.RouteExport()
                        self.route_export.parent = self
                        self.sgt = None
                        self.site_registration = Native.Router.Lisp.Service.Ipv6.SiteRegistration()
                        self.site_registration.parent = self
                        self.solicit_map_request = Native.Router.Lisp.Service.Ipv6.SolicitMapRequest()
                        self.solicit_map_request.parent = self
                        self.use_petr = YList()
                        self.use_petr.parent = self
                        self.use_petr.name = 'use_petr'

                    class EncapsulationEnum(Enum):
                        """
                        EncapsulationEnum

                        Select encapsulation type for data packets

                        .. data:: lisp = 0

                        .. data:: vxlan = 1

                        """

                        lisp = 0

                        vxlan = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.EncapsulationEnum']



                    class Default(object):
                        """
                        
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Distance>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.EncapsulationEnum>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.EtrEnable>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.ItrEnable>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapCache>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapCacheLimit>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapCachePersistent>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.ProxyItr>`
                        
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.RouteExport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.SolicitMapRequest>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.UsePetr>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.database_mapping = Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping()
                            self.database_mapping.parent = self
                            self.distance = Native.Router.Lisp.Service.Ipv6.Default.Distance()
                            self.distance.parent = self
                            self.encapsulation = None
                            self.etr = Native.Router.Lisp.Service.Ipv6.Default.Etr()
                            self.etr.parent = self
                            self.etr_enable = Native.Router.Lisp.Service.Ipv6.Default.EtrEnable()
                            self.etr_enable.parent = self
                            self.itr = Native.Router.Lisp.Service.Ipv6.Default.Itr()
                            self.itr.parent = self
                            self.itr_enable = Native.Router.Lisp.Service.Ipv6.Default.ItrEnable()
                            self.itr_enable.parent = self
                            self.map_cache = Native.Router.Lisp.Service.Ipv6.Default.MapCache()
                            self.map_cache.parent = self
                            self.map_cache_limit = Native.Router.Lisp.Service.Ipv6.Default.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self.map_cache_persistent = Native.Router.Lisp.Service.Ipv6.Default.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self.map_request_source = None
                            self.map_resolver = None
                            self.map_server = None
                            self.proxy_etr = None
                            self.proxy_itr = Native.Router.Lisp.Service.Ipv6.Default.ProxyItr()
                            self.proxy_itr.parent = self
                            self.route_export = Native.Router.Lisp.Service.Ipv6.Default.RouteExport()
                            self.route_export.parent = self
                            self.sgt = None
                            self.site_registration = Native.Router.Lisp.Service.Ipv6.Default.SiteRegistration()
                            self.site_registration.parent = self
                            self.solicit_map_request = Native.Router.Lisp.Service.Ipv6.Default.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self.use_petr = YList()
                            self.use_petr.parent = self
                            self.use_petr.name = 'use_petr'

                        class EncapsulationEnum(Enum):
                            """
                            EncapsulationEnum

                            Select encapsulation type for data packets

                            .. data:: lisp = 0

                            .. data:: vxlan = 1

                            """

                            lisp = 0

                            vxlan = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.EncapsulationEnum']



                        class DatabaseMapping(object):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping.Limit()
                                self.limit.parent = self


                            class Limit(object):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\:  int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dynamic = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:database-mapping/Cisco-IOS-XE-lisp:limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dynamic is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping.Limit']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:database-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None and self.limit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping']['meta_info']


                        class Itr(object):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_resolver = YList()
                                self.map_resolver.parent = self
                                self.map_resolver.name = 'map_resolver'


                            class MapResolver(object):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None

                                @property
                                def _common_path(self):
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:itr/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.Itr.MapResolver']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_resolver is not None:
                                    for child_ref in self.map_resolver:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.Itr']['meta_info']


                        class ItrEnable(object):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.itr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:itr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.itr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.ItrEnable']['meta_info']


                        class EtrEnable(object):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.etr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.etr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.EtrEnable']['meta_info']


                        class Etr(object):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.AcceptMapRequestMapping>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.accept_map_request_mapping = Native.Router.Lisp.Service.Ipv6.Default.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self.map_cache_ttl = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None
                                    self.key = Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key7>`
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self.key_6 = Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self.key_7 = Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self.key_pwd = Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self


                                    class KeyPwd(object):
                                        """
                                        
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.hash_function = None
                                            self.unc_pwd = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.hash_function is not None:
                                                return True

                                            if self.unc_pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd']['meta_info']


                                    class Key0(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_0 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_0 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key0']['meta_info']


                                    class Key6(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_6 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_6 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key6']['meta_info']


                                    class Key7(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_7 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_7 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key7']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None and self.key_0._has_data():
                                            return True

                                        if self.key_6 is not None and self.key_6._has_data():
                                            return True

                                        if self.key_7 is not None and self.key_7._has_data():
                                            return True

                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer']['meta_info']


                            class AcceptMapRequestMapping(object):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_mappping = None
                                    self.verify = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_mappping is not None:
                                        return True

                                    if self.verify is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr.AcceptMapRequestMapping']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                    return True

                                if self.map_cache_ttl is not None:
                                    return True

                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.Etr']['meta_info']


                        class MapCacheLimit(object):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\:  str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max_map_cache_entries = None
                                self.reserve_list = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-cache-limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max_map_cache_entries is not None:
                                    return True

                                if self.reserve_list is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapCacheLimit']['meta_info']


                        class MapResolver(object):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_request = Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest()
                                self.map_request.parent = self


                            class MapRequest(object):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.list = Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self.registered = Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self


                                        class List(object):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                        class Registered(object):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.list = Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self


                                            class List(object):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\:  str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv4 = None
                                                    self.ipv6 = None

                                                @property
                                                def _common_path(self):

                                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered/Cisco-IOS-XE-lisp:list'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ipv4 is not None:
                                                        return True

                                                    if self.ipv6 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.list is not None and self.list._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.list is not None and self.list._has_data():
                                                return True

                                            if self.registered is not None and self.registered._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_request is not None and self.map_request._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapResolver']['meta_info']


                        class MapServer(object):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_register = Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister()
                                self.map_register.parent = self


                            class MapRegister(object):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.allowed_locator = None

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.allowed_locator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_register is not None and self.map_register._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapServer']['meta_info']


                        class SiteRegistration(object):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:site-registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.SiteRegistration']['meta_info']


                        class SolicitMapRequest(object):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\:  int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ignore = None
                                self.max_per_entry = None
                                self.suppression_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:solicit-map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ignore is not None:
                                    return True

                                if self.max_per_entry is not None:
                                    return True

                                if self.suppression_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.SolicitMapRequest']['meta_info']


                        class Distance(object):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: away
                            
                            	Administrative distance for RIB route installation
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.alt = None
                                self.away = None
                                self.dyn_eid = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.alt is not None:
                                    return True

                                if self.away is not None:
                                    return True

                                if self.dyn_eid is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.Distance']['meta_info']


                        class MapCache(object):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: away_eids
                            
                            	Map cache configuration for the away table
                            	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapCache.AwayEids>`
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.away_eids = Native.Router.Lisp.Service.Ipv6.Default.MapCache.AwayEids()
                                self.away_eids.parent = self
                                self.site_registration = None


                            class AwayEids(object):
                                """
                                Map cache configuration for the away table
                                
                                .. attribute:: send_map_request
                                
                                	Export away table entries into the map cache with action set to send\-map\-request
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.send_map_request = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:away-eids'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.send_map_request is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapCache.AwayEids']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.away_eids is not None and self.away_eids._has_data():
                                    return True

                                if self.site_registration is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapCache']['meta_info']


                        class MapCachePersistent(object):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\:  int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interval = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-cache-persistent'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.MapCachePersistent']['meta_info']


                        class ProxyItr(object):
                            """
                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            
                            .. attribute:: ipv4_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv6_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_addr = None
                                self.ipv6_addr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:proxy-itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4_addr is not None:
                                    return True

                                if self.ipv6_addr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.ProxyItr']['meta_info']


                        class RouteExport(object):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.away_eids = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:route-export'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.away_eids is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.RouteExport']['meta_info']


                        class UsePetr(object):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: priority
                            
                            	
                            	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.UsePetr.Priority>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.locator_address = None
                                self.priority = Native.Router.Lisp.Service.Ipv6.Default.UsePetr.Priority()
                                self.priority.parent = self


                            class Priority(object):
                                """
                                
                                
                                .. attribute:: priority_value
                                
                                	Configures which Locators from a set are preferred
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.priority_value = None
                                    self.weight = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.priority_value is not None:
                                        return True

                                    if self.weight is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.UsePetr.Priority']['meta_info']

                            @property
                            def _common_path(self):
                                if self.locator_address is None:
                                    raise YPYModelError('Key property locator_address is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.locator_address is not None:
                                    return True

                                if self.priority is not None and self.priority._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default.UsePetr']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:default'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.database_mapping is not None and self.database_mapping._has_data():
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.encapsulation is not None:
                                return True

                            if self.etr is not None and self.etr._has_data():
                                return True

                            if self.etr_enable is not None and self.etr_enable._has_data():
                                return True

                            if self.itr is not None and self.itr._has_data():
                                return True

                            if self.itr_enable is not None and self.itr_enable._has_data():
                                return True

                            if self.map_cache is not None and self.map_cache._has_data():
                                return True

                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                return True

                            if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                return True

                            if self.map_request_source is not None:
                                return True

                            if self.map_resolver is not None and self.map_resolver._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.proxy_etr is not None:
                                return True

                            if self.proxy_itr is not None and self.proxy_itr._has_data():
                                return True

                            if self.route_export is not None and self.route_export._has_data():
                                return True

                            if self.sgt is not None:
                                return True

                            if self.site_registration is not None and self.site_registration._has_data():
                                return True

                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                return True

                            if self.use_petr is not None:
                                for child_ref in self.use_petr:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Default']['meta_info']


                    class DatabaseMapping(object):
                        """
                        Address family specific local EID prefixes database configuration
                        
                        .. attribute:: limit
                        
                        	Configures the maximum size of local EID prefixes database
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.DatabaseMapping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Router.Lisp.Service.Ipv6.DatabaseMapping.Limit()
                            self.limit.parent = self


                        class Limit(object):
                            """
                            Configures the maximum size of local EID prefixes database
                            
                            .. attribute:: dynamic
                            
                            	Configures the maximum size of dynamic local EID prefixes database
                            	**type**\:  int
                            
                            	**range:** 1..5000
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:database-mapping/Cisco-IOS-XE-lisp:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.DatabaseMapping.Limit']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:database-mapping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.DatabaseMapping']['meta_info']


                    class Itr(object):
                        """
                        Configures a LISP Ingress Tunnel Router (ITR)
                        
                        .. attribute:: map_resolver
                        
                        	Configures map\-resolver address for sending Map\-Requests
                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Itr.MapResolver>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.map_resolver = YList()
                            self.map_resolver.parent = self
                            self.map_resolver.name = 'map_resolver'


                        class MapResolver(object):
                            """
                            Configures map\-resolver address for sending Map\-Requests
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None

                            @property
                            def _common_path(self):
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:itr/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Itr.MapResolver']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:itr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.map_resolver is not None:
                                for child_ref in self.map_resolver:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Itr']['meta_info']


                    class ItrEnable(object):
                        """
                        
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.itr = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:itr-enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.itr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.ItrEnable']['meta_info']


                    class EtrEnable(object):
                        """
                        
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.etr = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:etr-enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.etr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.EtrEnable']['meta_info']


                    class Etr(object):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: accept_map_request_mapping
                        
                        	
                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                        
                        .. attribute:: map_cache_ttl
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 60..10080
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.accept_map_request_mapping = Native.Router.Lisp.Service.Ipv6.Etr.AcceptMapRequestMapping()
                            self.accept_map_request_mapping.parent = self
                            self.map_cache_ttl = None
                            self.map_server = YList()
                            self.map_server.parent = self
                            self.map_server.name = 'map_server'


                        class MapServer(object):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None
                                self.key = Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key()
                                self.key.parent = self
                                self.proxy_reply = None


                            class Key(object):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_0
                                
                                	
                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                
                                .. attribute:: key_6
                                
                                	
                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                
                                .. attribute:: key_7
                                
                                	
                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                
                                .. attribute:: key_pwd
                                
                                	
                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_0 = Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key0()
                                    self.key_0.parent = self
                                    self.key_6 = Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key6()
                                    self.key_6.parent = self
                                    self.key_7 = Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key7()
                                    self.key_7.parent = self
                                    self.key_pwd = Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                    self.key_pwd.parent = self


                                class KeyPwd(object):
                                    """
                                    
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hash_function = None
                                        self.unc_pwd = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hash_function is not None:
                                            return True

                                        if self.unc_pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info']


                                class Key0(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_0 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_0 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info']


                                class Key6(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_6 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_6 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info']


                                class Key7(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_7 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_7 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_0 is not None and self.key_0._has_data():
                                        return True

                                    if self.key_6 is not None and self.key_6._has_data():
                                        return True

                                    if self.key_7 is not None and self.key_7._has_data():
                                        return True

                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key']['meta_info']

                            @property
                            def _common_path(self):
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                if self.key is not None and self.key._has_data():
                                    return True

                                if self.proxy_reply is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Etr.MapServer']['meta_info']


                        class AcceptMapRequestMapping(object):
                            """
                            
                            
                            .. attribute:: accept_mappping
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: verify
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.accept_mappping = None
                                self.verify = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.accept_mappping is not None:
                                    return True

                                if self.verify is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:etr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                return True

                            if self.map_cache_ttl is not None:
                                return True

                            if self.map_server is not None:
                                for child_ref in self.map_server:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Etr']['meta_info']


                    class MapCacheLimit(object):
                        """
                        Configures maximum size of map\-cache
                        
                        .. attribute:: max_map_cache_entries
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..100000
                        
                        .. attribute:: reserve_list
                        
                        	EID\-prefixes guaranteed to be stored in map\-cache
                        	**type**\:  str
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max_map_cache_entries = None
                            self.reserve_list = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-cache-limit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max_map_cache_entries is not None:
                                return True

                            if self.reserve_list is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.MapCacheLimit']['meta_info']


                    class MapResolver(object):
                        """
                        Configures a LISP Map Resolver (MR)
                        
                        .. attribute:: map_request
                        
                        	Map\-Request processing options
                        	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.map_request = Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest()
                            self.map_request.parent = self


                        class MapRequest(object):
                            """
                            Map\-Request processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.validate = Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate()
                                self.validate.parent = self


                            class Validate(object):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	Influence which source RLOCs map requests are accepted from
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    Influence which source RLOCs map requests are accepted from
                                    
                                    .. attribute:: list
                                    
                                    	Define allowed prefixes using an ip[v6] prefix list
                                    	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List>`
                                    
                                    .. attribute:: registered
                                    
                                    	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                    	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.list = Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List()
                                        self.list.parent = self
                                        self.registered = Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered()
                                        self.registered.parent = self


                                    class List(object):
                                        """
                                        Define allowed prefixes using an ip[v6] prefix list
                                        
                                        .. attribute:: ipv4
                                        
                                        	IPv4 prefixes
                                        	**type**\:  str
                                        
                                        .. attribute:: ipv6
                                        
                                        	IPv6 prefixes
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4 = None
                                            self.ipv6 = None

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4 is not None:
                                                return True

                                            if self.ipv6 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                    class Registered(object):
                                        """
                                        ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.list = Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List()
                                            self.list.parent = self


                                        class List(object):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered/Cisco-IOS-XE-lisp:list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.list is not None and self.list._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.list is not None and self.list._has_data():
                                            return True

                                        if self.registered is not None and self.registered._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.validate is not None and self.validate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.map_request is not None and self.map_request._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.MapResolver']['meta_info']


                    class MapServer(object):
                        """
                        Configures a LISP Map Server (MS)
                        
                        .. attribute:: map_register
                        
                        	Map\-Register processing options
                        	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.map_register = Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister()
                            self.map_register.parent = self


                        class MapRegister(object):
                            """
                            Map\-Register processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.validate = Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate()
                                self.validate.parent = self


                            class Validate(object):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	RLOC Source IP address
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    RLOC Source IP address
                                    
                                    .. attribute:: allowed_locator
                                    
                                    	Against sites' allowed\-locators policy
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.allowed_locator = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.allowed_locator is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.validate is not None and self.validate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.map_register is not None and self.map_register._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.MapServer']['meta_info']


                    class SiteRegistration(object):
                        """
                        Site registrations configuration for a given instance\-id
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:site-registration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.SiteRegistration']['meta_info']


                    class SolicitMapRequest(object):
                        """
                        Configure Solicit\-Map\-Request handling
                        
                        .. attribute:: ignore
                        
                        	Ignore SMR bit in incoming Map\-Requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_per_entry
                        
                        	Maximum number of SMRs for addresses under a map\-cache entry
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        .. attribute:: suppression_time
                        
                        	How long to suppress repeated SMRs for the same address
                        	**type**\:  int
                        
                        	**range:** 1..600
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ignore = None
                            self.max_per_entry = None
                            self.suppression_time = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:solicit-map-request'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ignore is not None:
                                return True

                            if self.max_per_entry is not None:
                                return True

                            if self.suppression_time is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.SolicitMapRequest']['meta_info']


                    class Distance(object):
                        """
                        Administrative distance for RIB route installation
                        
                        .. attribute:: alt
                        
                        	LISP routes installed in the ALT table
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: away
                        
                        	Administrative distance for RIB route installation
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: dyn_eid
                        
                        	LISP installed routes of type dynamic\-EID
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: site_registrations
                        
                        	LISP installed routes of type site\-registrations
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.alt = None
                            self.away = None
                            self.dyn_eid = None
                            self.site_registrations = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:distance'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.alt is not None:
                                return True

                            if self.away is not None:
                                return True

                            if self.dyn_eid is not None:
                                return True

                            if self.site_registrations is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.Distance']['meta_info']


                    class MapCache(object):
                        """
                        Address family specific map cache configuration
                        
                        .. attribute:: away_eids
                        
                        	Map cache configuration for the away table
                        	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapCache.AwayEids>`
                        
                        .. attribute:: site_registration
                        
                        	Install map cache to map request for site registrations
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.away_eids = Native.Router.Lisp.Service.Ipv6.MapCache.AwayEids()
                            self.away_eids.parent = self
                            self.site_registration = None


                        class AwayEids(object):
                            """
                            Map cache configuration for the away table
                            
                            .. attribute:: send_map_request
                            
                            	Export away table entries into the map cache with action set to send\-map\-request
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.send_map_request = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:away-eids'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.send_map_request is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.MapCache.AwayEids']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.away_eids is not None and self.away_eids._has_data():
                                return True

                            if self.site_registration is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.MapCache']['meta_info']


                    class MapCachePersistent(object):
                        """
                        Dump map\-cache onto flash, making it persistent across reboots
                        
                        .. attribute:: interval
                        
                        	Interval in minutes of how often the map\-cache is saved
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interval = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-cache-persistent'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.MapCachePersistent']['meta_info']


                    class ProxyItr(object):
                        """
                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        
                        .. attribute:: ipv4_addr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ipv6_addr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4_addr = None
                            self.ipv6_addr = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:proxy-itr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4_addr is not None:
                                return True

                            if self.ipv6_addr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.ProxyItr']['meta_info']


                    class RouteExport(object):
                        """
                        Export routes into RIB from LISP
                        
                        .. attribute:: away_eids
                        
                        	Export LISP away EIDs to RIB
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registrations
                        
                        	Export LISP site registrations to RIB
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.away_eids = None
                            self.site_registrations = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-export'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.away_eids is not None:
                                return True

                            if self.site_registrations is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.RouteExport']['meta_info']


                    class UsePetr(object):
                        """
                        Encapsulate to Proxy ETR when matching forward\-native entry
                        
                        .. attribute:: locator_address  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: priority
                        
                        	
                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.UsePetr.Priority>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.locator_address = None
                            self.priority = Native.Router.Lisp.Service.Ipv6.UsePetr.Priority()
                            self.priority.parent = self


                        class Priority(object):
                            """
                            
                            
                            .. attribute:: priority_value
                            
                            	Configures which Locators from a set are preferred
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: weight
                            
                            	Traffic load\-spreading among Locators
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.priority_value = None
                                self.weight = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.priority_value is not None:
                                    return True

                                if self.weight is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ipv6.UsePetr.Priority']['meta_info']

                        @property
                        def _common_path(self):
                            if self.locator_address is None:
                                raise YPYModelError('Key property locator_address is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.locator_address is not None:
                                return True

                            if self.priority is not None and self.priority._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ipv6.UsePetr']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.database_mapping is not None and self.database_mapping._has_data():
                            return True

                        if self.default is not None and self.default._has_data():
                            return True

                        if self.distance is not None and self.distance._has_data():
                            return True

                        if self.encapsulation is not None:
                            return True

                        if self.etr is not None and self.etr._has_data():
                            return True

                        if self.etr_enable is not None and self.etr_enable._has_data():
                            return True

                        if self.itr is not None and self.itr._has_data():
                            return True

                        if self.itr_enable is not None and self.itr_enable._has_data():
                            return True

                        if self.map_cache is not None and self.map_cache._has_data():
                            return True

                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                            return True

                        if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                            return True

                        if self.map_request_source is not None:
                            return True

                        if self.map_resolver is not None and self.map_resolver._has_data():
                            return True

                        if self.map_server is not None and self.map_server._has_data():
                            return True

                        if self.proxy_etr is not None:
                            return True

                        if self.proxy_itr is not None and self.proxy_itr._has_data():
                            return True

                        if self.route_export is not None and self.route_export._has_data():
                            return True

                        if self.sgt is not None:
                            return True

                        if self.site_registration is not None and self.site_registration._has_data():
                            return True

                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                            return True

                        if self.use_petr is not None:
                            for child_ref in self.use_petr:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Service.Ipv6']['meta_info']


                class Ethernet(object):
                    """
                    
                    
                    .. attribute:: database_mapping
                    
                    	Address family specific local EID prefixes database configuration
                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.DatabaseMapping>`
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default>`
                    
                    .. attribute:: encapsulation
                    
                    	Select encapsulation type for data packets
                    	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Encapsulation>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr>`
                    
                    .. attribute:: etr_enable
                    
                    	
                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.EtrEnable>`
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Itr>`
                    
                    .. attribute:: itr_enable
                    
                    	
                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.ItrEnable>`
                    
                    .. attribute:: map_cache_limit
                    
                    	Configures maximum size of map\-cache
                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapCacheLimit>`
                    
                    .. attribute:: map_request_source
                    
                    	Configures inner header source address in Map\-Request message
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: map_resolver
                    
                    	Configures a LISP Map Resolver (MR)
                    	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapResolver>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: map_server
                    
                    	Configures a LISP Map Server (MS)
                    	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: site_registration
                    
                    	Site registrations configuration for a given instance\-id
                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.SiteRegistration>`
                    
                    .. attribute:: solicit_map_request
                    
                    	Configure Solicit\-Map\-Request handling
                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.SolicitMapRequest>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.database_mapping = Native.Router.Lisp.Service.Ethernet.DatabaseMapping()
                        self.database_mapping.parent = self
                        self.default = Native.Router.Lisp.Service.Ethernet.Default()
                        self.default.parent = self
                        self.encapsulation = Native.Router.Lisp.Service.Ethernet.Encapsulation()
                        self.encapsulation.parent = self
                        self.etr = Native.Router.Lisp.Service.Ethernet.Etr()
                        self.etr.parent = self
                        self.etr_enable = Native.Router.Lisp.Service.Ethernet.EtrEnable()
                        self.etr_enable.parent = self
                        self.itr = Native.Router.Lisp.Service.Ethernet.Itr()
                        self.itr.parent = self
                        self.itr_enable = Native.Router.Lisp.Service.Ethernet.ItrEnable()
                        self.itr_enable.parent = self
                        self.map_cache_limit = Native.Router.Lisp.Service.Ethernet.MapCacheLimit()
                        self.map_cache_limit.parent = self
                        self.map_request_source = None
                        self.map_resolver = None
                        self.map_server = None
                        self.site_registration = Native.Router.Lisp.Service.Ethernet.SiteRegistration()
                        self.site_registration.parent = self
                        self.solicit_map_request = Native.Router.Lisp.Service.Ethernet.SolicitMapRequest()
                        self.solicit_map_request.parent = self


                    class Default(object):
                        """
                        
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Encapsulation>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.EtrEnable>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.ItrEnable>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapCacheLimit>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.SolicitMapRequest>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.database_mapping = Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping()
                            self.database_mapping.parent = self
                            self.encapsulation = Native.Router.Lisp.Service.Ethernet.Default.Encapsulation()
                            self.encapsulation.parent = self
                            self.etr = Native.Router.Lisp.Service.Ethernet.Default.Etr()
                            self.etr.parent = self
                            self.etr_enable = Native.Router.Lisp.Service.Ethernet.Default.EtrEnable()
                            self.etr_enable.parent = self
                            self.itr = Native.Router.Lisp.Service.Ethernet.Default.Itr()
                            self.itr.parent = self
                            self.itr_enable = Native.Router.Lisp.Service.Ethernet.Default.ItrEnable()
                            self.itr_enable.parent = self
                            self.map_cache_limit = Native.Router.Lisp.Service.Ethernet.Default.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self.map_request_source = None
                            self.map_resolver = None
                            self.map_server = None
                            self.site_registration = Native.Router.Lisp.Service.Ethernet.Default.SiteRegistration()
                            self.site_registration.parent = self
                            self.solicit_map_request = Native.Router.Lisp.Service.Ethernet.Default.SolicitMapRequest()
                            self.solicit_map_request.parent = self


                        class Encapsulation(object):
                            """
                            Select encapsulation type for data packets
                            
                            .. attribute:: vxlan
                            
                            	Use VXLAN encapsulation for data packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.vxlan = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:encapsulation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.vxlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.Encapsulation']['meta_info']


                        class DatabaseMapping(object):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping.Limit()
                                self.limit.parent = self


                            class Limit(object):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\:  int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dynamic = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:database-mapping/Cisco-IOS-XE-lisp:limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dynamic is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping.Limit']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:database-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None and self.limit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping']['meta_info']


                        class Itr(object):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_resolver = YList()
                                self.map_resolver.parent = self
                                self.map_resolver.name = 'map_resolver'


                            class MapResolver(object):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None

                                @property
                                def _common_path(self):
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:itr/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.Itr.MapResolver']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_resolver is not None:
                                    for child_ref in self.map_resolver:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.Itr']['meta_info']


                        class ItrEnable(object):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.itr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:itr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.itr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.ItrEnable']['meta_info']


                        class EtrEnable(object):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.etr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.etr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.EtrEnable']['meta_info']


                        class Etr(object):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.AcceptMapRequestMapping>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.accept_map_request_mapping = Native.Router.Lisp.Service.Ethernet.Default.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self.map_cache_ttl = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None
                                    self.key = Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key7>`
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self.key_6 = Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self.key_7 = Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self.key_pwd = Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self


                                    class KeyPwd(object):
                                        """
                                        
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.hash_function = None
                                            self.unc_pwd = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.hash_function is not None:
                                                return True

                                            if self.unc_pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd']['meta_info']


                                    class Key0(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_0 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_0 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key0']['meta_info']


                                    class Key6(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_6 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_6 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key6']['meta_info']


                                    class Key7(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_7 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_7 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key7']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None and self.key_0._has_data():
                                            return True

                                        if self.key_6 is not None and self.key_6._has_data():
                                            return True

                                        if self.key_7 is not None and self.key_7._has_data():
                                            return True

                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer']['meta_info']


                            class AcceptMapRequestMapping(object):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_mappping = None
                                    self.verify = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_mappping is not None:
                                        return True

                                    if self.verify is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr.AcceptMapRequestMapping']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:etr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                    return True

                                if self.map_cache_ttl is not None:
                                    return True

                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.Etr']['meta_info']


                        class MapCacheLimit(object):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\:  str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max_map_cache_entries = None
                                self.reserve_list = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-cache-limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max_map_cache_entries is not None:
                                    return True

                                if self.reserve_list is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapCacheLimit']['meta_info']


                        class MapResolver(object):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_request = Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest()
                                self.map_request.parent = self


                            class MapRequest(object):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.list = Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self.registered = Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self


                                        class List(object):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                        class Registered(object):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.list = Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self


                                            class List(object):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\:  str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv4 = None
                                                    self.ipv6 = None

                                                @property
                                                def _common_path(self):

                                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered/Cisco-IOS-XE-lisp:list'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ipv4 is not None:
                                                        return True

                                                    if self.ipv6 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.list is not None and self.list._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.list is not None and self.list._has_data():
                                                return True

                                            if self.registered is not None and self.registered._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-resolver'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_request is not None and self.map_request._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapResolver']['meta_info']


                        class MapServer(object):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_register = Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister()
                                self.map_register.parent = self


                            class MapRegister(object):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.allowed_locator = None

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.allowed_locator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_register is not None and self.map_register._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.MapServer']['meta_info']


                        class SiteRegistration(object):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:site-registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.SiteRegistration']['meta_info']


                        class SolicitMapRequest(object):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\:  int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ignore = None
                                self.max_per_entry = None
                                self.suppression_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default/Cisco-IOS-XE-lisp:solicit-map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ignore is not None:
                                    return True

                                if self.max_per_entry is not None:
                                    return True

                                if self.suppression_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default.SolicitMapRequest']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:default'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.database_mapping is not None and self.database_mapping._has_data():
                                return True

                            if self.encapsulation is not None and self.encapsulation._has_data():
                                return True

                            if self.etr is not None and self.etr._has_data():
                                return True

                            if self.etr_enable is not None and self.etr_enable._has_data():
                                return True

                            if self.itr is not None and self.itr._has_data():
                                return True

                            if self.itr_enable is not None and self.itr_enable._has_data():
                                return True

                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                return True

                            if self.map_request_source is not None:
                                return True

                            if self.map_resolver is not None and self.map_resolver._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.site_registration is not None and self.site_registration._has_data():
                                return True

                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Default']['meta_info']


                    class Encapsulation(object):
                        """
                        Select encapsulation type for data packets
                        
                        .. attribute:: vxlan
                        
                        	Use VXLAN encapsulation for data packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vxlan = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:encapsulation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vxlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Encapsulation']['meta_info']


                    class DatabaseMapping(object):
                        """
                        Address family specific local EID prefixes database configuration
                        
                        .. attribute:: limit
                        
                        	Configures the maximum size of local EID prefixes database
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.DatabaseMapping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Router.Lisp.Service.Ethernet.DatabaseMapping.Limit()
                            self.limit.parent = self


                        class Limit(object):
                            """
                            Configures the maximum size of local EID prefixes database
                            
                            .. attribute:: dynamic
                            
                            	Configures the maximum size of dynamic local EID prefixes database
                            	**type**\:  int
                            
                            	**range:** 1..5000
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:database-mapping/Cisco-IOS-XE-lisp:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.DatabaseMapping.Limit']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:database-mapping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.DatabaseMapping']['meta_info']


                    class Itr(object):
                        """
                        Configures a LISP Ingress Tunnel Router (ITR)
                        
                        .. attribute:: map_resolver
                        
                        	Configures map\-resolver address for sending Map\-Requests
                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Itr.MapResolver>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.map_resolver = YList()
                            self.map_resolver.parent = self
                            self.map_resolver.name = 'map_resolver'


                        class MapResolver(object):
                            """
                            Configures map\-resolver address for sending Map\-Requests
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None

                            @property
                            def _common_path(self):
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:itr/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Itr.MapResolver']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:itr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.map_resolver is not None:
                                for child_ref in self.map_resolver:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Itr']['meta_info']


                    class ItrEnable(object):
                        """
                        
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.itr = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:itr-enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.itr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.ItrEnable']['meta_info']


                    class EtrEnable(object):
                        """
                        
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.etr = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:etr-enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.etr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.EtrEnable']['meta_info']


                    class Etr(object):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: accept_map_request_mapping
                        
                        	
                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                        
                        .. attribute:: map_cache_ttl
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 60..10080
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.accept_map_request_mapping = Native.Router.Lisp.Service.Ethernet.Etr.AcceptMapRequestMapping()
                            self.accept_map_request_mapping.parent = self
                            self.map_cache_ttl = None
                            self.map_server = YList()
                            self.map_server.parent = self
                            self.map_server.name = 'map_server'


                        class MapServer(object):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None
                                self.key = Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key()
                                self.key.parent = self
                                self.proxy_reply = None


                            class Key(object):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_0
                                
                                	
                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                
                                .. attribute:: key_6
                                
                                	
                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                
                                .. attribute:: key_7
                                
                                	
                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                
                                .. attribute:: key_pwd
                                
                                	
                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_0 = Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key0()
                                    self.key_0.parent = self
                                    self.key_6 = Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key6()
                                    self.key_6.parent = self
                                    self.key_7 = Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key7()
                                    self.key_7.parent = self
                                    self.key_pwd = Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                    self.key_pwd.parent = self


                                class KeyPwd(object):
                                    """
                                    
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hash_function = None
                                        self.unc_pwd = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hash_function is not None:
                                            return True

                                        if self.unc_pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info']


                                class Key0(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_0 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_0 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info']


                                class Key6(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_6 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_6 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info']


                                class Key7(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_7 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_7 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_0 is not None and self.key_0._has_data():
                                        return True

                                    if self.key_6 is not None and self.key_6._has_data():
                                        return True

                                    if self.key_7 is not None and self.key_7._has_data():
                                        return True

                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key']['meta_info']

                            @property
                            def _common_path(self):
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                if self.key is not None and self.key._has_data():
                                    return True

                                if self.proxy_reply is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Etr.MapServer']['meta_info']


                        class AcceptMapRequestMapping(object):
                            """
                            
                            
                            .. attribute:: accept_mappping
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: verify
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.accept_mappping = None
                                self.verify = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.accept_mappping is not None:
                                    return True

                                if self.verify is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:etr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                return True

                            if self.map_cache_ttl is not None:
                                return True

                            if self.map_server is not None:
                                for child_ref in self.map_server:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.Etr']['meta_info']


                    class MapCacheLimit(object):
                        """
                        Configures maximum size of map\-cache
                        
                        .. attribute:: max_map_cache_entries
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..100000
                        
                        .. attribute:: reserve_list
                        
                        	EID\-prefixes guaranteed to be stored in map\-cache
                        	**type**\:  str
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max_map_cache_entries = None
                            self.reserve_list = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-cache-limit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max_map_cache_entries is not None:
                                return True

                            if self.reserve_list is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.MapCacheLimit']['meta_info']


                    class MapResolver(object):
                        """
                        Configures a LISP Map Resolver (MR)
                        
                        .. attribute:: map_request
                        
                        	Map\-Request processing options
                        	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.map_request = Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest()
                            self.map_request.parent = self


                        class MapRequest(object):
                            """
                            Map\-Request processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.validate = Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate()
                                self.validate.parent = self


                            class Validate(object):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	Influence which source RLOCs map requests are accepted from
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    Influence which source RLOCs map requests are accepted from
                                    
                                    .. attribute:: list
                                    
                                    	Define allowed prefixes using an ip[v6] prefix list
                                    	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List>`
                                    
                                    .. attribute:: registered
                                    
                                    	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                    	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.list = Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List()
                                        self.list.parent = self
                                        self.registered = Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered()
                                        self.registered.parent = self


                                    class List(object):
                                        """
                                        Define allowed prefixes using an ip[v6] prefix list
                                        
                                        .. attribute:: ipv4
                                        
                                        	IPv4 prefixes
                                        	**type**\:  str
                                        
                                        .. attribute:: ipv6
                                        
                                        	IPv6 prefixes
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4 = None
                                            self.ipv6 = None

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4 is not None:
                                                return True

                                            if self.ipv6 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                    class Registered(object):
                                        """
                                        ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.list = Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List()
                                            self.list.parent = self


                                        class List(object):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered/Cisco-IOS-XE-lisp:list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source/Cisco-IOS-XE-lisp:registered'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.list is not None and self.list._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.list is not None and self.list._has_data():
                                            return True

                                        if self.registered is not None and self.registered._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.validate is not None and self.validate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-resolver'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.map_request is not None and self.map_request._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.MapResolver']['meta_info']


                    class MapServer(object):
                        """
                        Configures a LISP Map Server (MS)
                        
                        .. attribute:: map_register
                        
                        	Map\-Register processing options
                        	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.map_register = Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister()
                            self.map_register.parent = self


                        class MapRegister(object):
                            """
                            Map\-Register processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.validate = Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate()
                                self.validate.parent = self


                            class Validate(object):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	RLOC Source IP address
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    RLOC Source IP address
                                    
                                    .. attribute:: allowed_locator
                                    
                                    	Against sites' allowed\-locators policy
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.allowed_locator = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.allowed_locator is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate.Source']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.validate is not None and self.validate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:map-server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.map_register is not None and self.map_register._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.MapServer']['meta_info']


                    class SiteRegistration(object):
                        """
                        Site registrations configuration for a given instance\-id
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:site-registration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.SiteRegistration']['meta_info']


                    class SolicitMapRequest(object):
                        """
                        Configure Solicit\-Map\-Request handling
                        
                        .. attribute:: ignore
                        
                        	Ignore SMR bit in incoming Map\-Requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_per_entry
                        
                        	Maximum number of SMRs for addresses under a map\-cache entry
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        .. attribute:: suppression_time
                        
                        	How long to suppress repeated SMRs for the same address
                        	**type**\:  int
                        
                        	**range:** 1..600
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ignore = None
                            self.max_per_entry = None
                            self.suppression_time = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet/Cisco-IOS-XE-lisp:solicit-map-request'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ignore is not None:
                                return True

                            if self.max_per_entry is not None:
                                return True

                            if self.suppression_time is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Service.Ethernet.SolicitMapRequest']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service/Cisco-IOS-XE-lisp:ethernet'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.database_mapping is not None and self.database_mapping._has_data():
                            return True

                        if self.default is not None and self.default._has_data():
                            return True

                        if self.encapsulation is not None and self.encapsulation._has_data():
                            return True

                        if self.etr is not None and self.etr._has_data():
                            return True

                        if self.etr_enable is not None and self.etr_enable._has_data():
                            return True

                        if self.itr is not None and self.itr._has_data():
                            return True

                        if self.itr_enable is not None and self.itr_enable._has_data():
                            return True

                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                            return True

                        if self.map_request_source is not None:
                            return True

                        if self.map_resolver is not None and self.map_resolver._has_data():
                            return True

                        if self.map_server is not None and self.map_server._has_data():
                            return True

                        if self.site_registration is not None and self.site_registration._has_data():
                            return True

                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Service.Ethernet']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:service'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.ethernet is not None and self.ethernet._has_data():
                        return True

                    if self.ipv4 is not None and self.ipv4._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.Service']['meta_info']


            class Encapsulation(object):
                """
                Select encapsulation type for data packets
                
                .. attribute:: vxlan
                
                	Use VXLAN encapsulation for data packets
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.vxlan = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.vxlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.Encapsulation']['meta_info']


            class LocatorSet(object):
                """
                Configure a named locator set
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: auto_discover_rlocs
                
                	Auto discover locators registered by other xTRs
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ip_address
                
                	Use IPv6 address of interface as locator
                	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.LocatorSet.IpAddress>`
                
                .. attribute:: ipv4_interface
                
                	Use IPv4 address of interface as locator
                	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.LocatorSet.Ipv4Interface>`
                
                .. attribute:: ipv6_interface
                
                	Use IPv6 address of interface as locator
                	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.LocatorSet.Ipv6Interface>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.auto_discover_rlocs = None
                    self.ip_address = YList()
                    self.ip_address.parent = self
                    self.ip_address.name = 'ip_address'
                    self.ipv4_interface = YList()
                    self.ipv4_interface.parent = self
                    self.ipv4_interface.name = 'ipv4_interface'
                    self.ipv6_interface = YList()
                    self.ipv6_interface.parent = self
                    self.ipv6_interface.name = 'ipv6_interface'


                class Ipv4Interface(object):
                    """
                    Use IPv4 address of interface as locator
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: priority
                    
                    	Configures which Locators from a set are preferred
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: weight
                    
                    	Traffic load\-spreading among Locators
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.priority = None
                        self.weight = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.priority is not None:
                            return True

                        if self.weight is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.LocatorSet.Ipv4Interface']['meta_info']


                class Ipv6Interface(object):
                    """
                    Use IPv6 address of interface as locator
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: priority
                    
                    	Configures which Locators from a set are preferred
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: weight
                    
                    	Traffic load\-spreading among Locators
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.priority = None
                        self.weight = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.priority is not None:
                            return True

                        if self.weight is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.LocatorSet.Ipv6Interface']['meta_info']


                class IpAddress(object):
                    """
                    Use IPv6 address of interface as locator
                    
                    .. attribute:: ip  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: priority
                    
                    	Configures which Locators from a set are preferred
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: weight
                    
                    	Traffic load\-spreading among Locators
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = None
                        self.priority = None
                        self.weight = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.ip is None:
                            raise YPYModelError('Key property ip is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ip-address[Cisco-IOS-XE-lisp:ip = ' + str(self.ip) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None:
                            return True

                        if self.priority is not None:
                            return True

                        if self.weight is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.LocatorSet.IpAddress']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:locator-set[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.auto_discover_rlocs is not None:
                        return True

                    if self.ip_address is not None:
                        for child_ref in self.ip_address:
                            if child_ref._has_data():
                                return True

                    if self.ipv4_interface is not None:
                        for child_ref in self.ipv4_interface:
                            if child_ref._has_data():
                                return True

                    if self.ipv6_interface is not None:
                        for child_ref in self.ipv6_interface:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.LocatorSet']['meta_info']


            class LocatorScope(object):
                """
                Configure a locator scope
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: rloc_prefix
                
                	RLOC prefix to check against ITR RLOC and ETR RLOC
                	**type**\: one of the below types:
                
                	**type**\:  list of str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                
                
                ----
                	**type**\:  list of str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                
                
                ----
                .. attribute:: rtr_locator_set
                
                	Locator\-set of RTR to use in proxy reply for disjoint/cross AF RLOC
                	**type**\:  list of str
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.rloc_prefix = YLeafList()
                    self.rloc_prefix.parent = self
                    self.rloc_prefix.name = 'rloc_prefix'
                    self.rtr_locator_set = YLeafList()
                    self.rtr_locator_set.parent = self
                    self.rtr_locator_set.name = 'rtr_locator_set'

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:locator-scope[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.rloc_prefix is not None:
                        for child in self.rloc_prefix:
                            if child is not None:
                                return True

                    if self.rtr_locator_set is not None:
                        for child in self.rtr_locator_set:
                            if child is not None:
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.LocatorScope']['meta_info']


            class InstanceContainer(object):
                """
                EID instance\-ID
                
                .. attribute:: instance_list
                
                	
                	**type**\: list of    :py:class:`InstanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.instance_list = YList()
                    self.instance_list.parent = self
                    self.instance_list.name = 'instance_list'


                class InstanceList(object):
                    """
                    
                    
                    .. attribute:: instance_id  <key>
                    
                    	EID instance\-ID
                    	**type**\:  int
                    
                    	**range:** 0..16777214
                    
                    .. attribute:: decapsulation
                    
                    	Decapsulation behavior (e.g. filters)
                    	**type**\:   :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation>`
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default>`
                    
                    .. attribute:: disable_ttl_propagate
                    
                    	Disable ttl propagation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dynamic_eid
                    
                    	Configure a dynamic EID
                    	**type**\: list of    :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid>`
                    
                    .. attribute:: loc_reach_algorithm
                    
                    	Configure locator reachability algorithm
                    	**type**\:   :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm>`
                    
                    .. attribute:: map_server
                    
                    	Map\-Server commands
                    	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.MapServer>`
                    
                    .. attribute:: other_xtr_probe
                    
                    	Configure parameters for probing of other xTRs in our site
                    	**type**\:   :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.OtherXtrProbe>`
                    
                    .. attribute:: remote_rloc_probe
                    
                    	Configure parameters for probing of remote RLOCs
                    	**type**\:   :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.RemoteRlocProbe>`
                    
                    .. attribute:: service
                    
                    	Configure lisp service type
                    	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.instance_id = None
                        self.decapsulation = Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation()
                        self.decapsulation.parent = self
                        self.default = Native.Router.Lisp.InstanceContainer.InstanceList.Default()
                        self.default.parent = self
                        self.disable_ttl_propagate = None
                        self.dynamic_eid = YList()
                        self.dynamic_eid.parent = self
                        self.dynamic_eid.name = 'dynamic_eid'
                        self.loc_reach_algorithm = Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm()
                        self.loc_reach_algorithm.parent = self
                        self.map_server = Native.Router.Lisp.InstanceContainer.InstanceList.MapServer()
                        self.map_server.parent = self
                        self.other_xtr_probe = Native.Router.Lisp.InstanceContainer.InstanceList.OtherXtrProbe()
                        self.other_xtr_probe.parent = self
                        self.remote_rloc_probe = Native.Router.Lisp.InstanceContainer.InstanceList.RemoteRlocProbe()
                        self.remote_rloc_probe.parent = self
                        self.service = None


                    class Default(object):
                        """
                        
                        
                        .. attribute:: decapsulation
                        
                        	Decapsulation behavior (e.g. filters)
                        	**type**\:   :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation>`
                        
                        .. attribute:: disable_ttl_propagate
                        
                        	Disable ttl propagation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dynamic_eid
                        
                        	Configure a dynamic EID
                        	**type**\: list of    :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid>`
                        
                        .. attribute:: loc_reach_algorithm
                        
                        	Configure locator reachability algorithm
                        	**type**\:   :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm>`
                        
                        .. attribute:: map_server
                        
                        	Map\-Server commands
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer>`
                        
                        .. attribute:: other_xtr_probe
                        
                        	Configure parameters for probing of other xTRs in our site
                        	**type**\:   :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.OtherXtrProbe>`
                        
                        .. attribute:: remote_rloc_probe
                        
                        	Configure parameters for probing of remote RLOCs
                        	**type**\:   :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.RemoteRlocProbe>`
                        
                        .. attribute:: service
                        
                        	Configure lisp service type
                        	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.decapsulation = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation()
                            self.decapsulation.parent = self
                            self.disable_ttl_propagate = None
                            self.dynamic_eid = YList()
                            self.dynamic_eid.parent = self
                            self.dynamic_eid.name = 'dynamic_eid'
                            self.loc_reach_algorithm = Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm()
                            self.loc_reach_algorithm.parent = self
                            self.map_server = Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer()
                            self.map_server.parent = self
                            self.other_xtr_probe = Native.Router.Lisp.InstanceContainer.InstanceList.Default.OtherXtrProbe()
                            self.other_xtr_probe.parent = self
                            self.remote_rloc_probe = Native.Router.Lisp.InstanceContainer.InstanceList.Default.RemoteRlocProbe()
                            self.remote_rloc_probe.parent = self
                            self.service = None


                        class Decapsulation(object):
                            """
                            Decapsulation behavior (e.g. filters)
                            
                            .. attribute:: filter
                            
                            	Filters traffic
                            	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.filter = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter()
                                self.filter.parent = self


                            class Filter(object):
                                """
                                Filters traffic
                                
                                .. attribute:: rloc
                                
                                	Filter based on Routing Locator (RLOC) in packet header
                                	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.rloc = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc()
                                    self.rloc.parent = self


                                class Rloc(object):
                                    """
                                    Filter based on Routing Locator (RLOC) in packet header
                                    
                                    .. attribute:: source
                                    
                                    	Filters traffic based on RLOC source address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Filters traffic based on RLOC source address
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator\-set Name
                                        	**type**\:  str
                                        
                                        .. attribute:: member
                                        
                                        	Members learned from map\-server
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.member = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.member is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:filter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.rloc is not None and self.rloc._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:decapsulation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.filter is not None and self.filter._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation']['meta_info']


                        class DynamicEid(object):
                            """
                            Configure a dynamic EID
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: database_mapping
                            
                            	Configures EID\-prefix and locator\-set for dynamic\-EID
                            	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping>`
                            
                            .. attribute:: eid_notify
                            
                            	Configure options for sending/receiving EID\-notify
                            	**type**\:   :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify>`
                            
                            .. attribute:: map_notify_group
                            
                            	Multicast group which to send map\-notifies to
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping()
                                self.database_mapping.parent = self
                                self.eid_notify = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify()
                                self.eid_notify.parent = self
                                self.map_notify_group = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class DatabaseMapping(object):
                                """
                                Configures EID\-prefix and locator\-set for dynamic\-EID
                                
                                .. attribute:: ipv4_prefix
                                
                                	IPv4 EID\-prefix for dynamic\-EID
                                	**type**\: list of    :py:class:`Ipv4Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix>`
                                
                                .. attribute:: mac
                                
                                	L2 EID records
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Mac>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_prefix = YList()
                                    self.ipv4_prefix.parent = self
                                    self.ipv4_prefix.name = 'ipv4_prefix'
                                    self.mac = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Mac()
                                    self.mac.parent = self


                                class Ipv4Prefix(object):
                                    """
                                    IPv4 EID\-prefix for dynamic\-EID
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.locator_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-prefix[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.locator_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix']['meta_info']


                                class Mac(object):
                                    """
                                    L2 EID records
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\:  str
                                    
                                    .. attribute:: mac_addr
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.mac_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.mac_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_prefix is not None:
                                        for child_ref in self.ipv4_prefix:
                                            if child_ref._has_data():
                                                return True

                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping']['meta_info']


                            class EidNotify(object):
                                """
                                Configure options for sending/receiving EID\-notify
                                
                                .. attribute:: authentication_key
                                
                                	Authentication key used for validating received EID\-notify
                                	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey>`
                                
                                .. attribute:: gateway_key
                                
                                	
                                	**type**\: list of    :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.authentication_key = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey()
                                    self.authentication_key.parent = self
                                    self.gateway_key = YList()
                                    self.gateway_key.parent = self
                                    self.gateway_key.name = 'gateway_key'


                                class AuthenticationKey(object):
                                    """
                                    Authentication key used for validating received EID\-notify
                                    
                                    .. attribute:: key_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: key_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: key_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = None
                                        self.key_6 = None
                                        self.key_7 = None
                                        self.unc_pwd = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:authentication-key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None:
                                            return True

                                        if self.key_6 is not None:
                                            return True

                                        if self.key_7 is not None:
                                            return True

                                        if self.unc_pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey']['meta_info']


                                class GatewayKey(object):
                                    """
                                    
                                    
                                    .. attribute:: gateway_ip  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.gateway_ip = None
                                        self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key()
                                        self.key.parent = self


                                    class Key(object):
                                        """
                                        
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6>`
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0()
                                            self.key_0.parent = self
                                            self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6()
                                            self.key_6.parent = self
                                            self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd()
                                            self.key_pwd.parent = self


                                        class KeyPwd(object):
                                            """
                                            
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum>`
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.hash_function = None
                                                self.unc_pwd = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.hash_function is not None:
                                                    return True

                                                if self.unc_pwd is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd']['meta_info']


                                        class Key0(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_0 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_0 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0']['meta_info']


                                        class Key6(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_6 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_6 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None and self.key_0._has_data():
                                                return True

                                            if self.key_6 is not None and self.key_6._has_data():
                                                return True

                                            if self.key_pwd is not None and self.key_pwd._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.gateway_ip is None:
                                            raise YPYModelError('Key property gateway_ip is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:gateway-key[Cisco-IOS-XE-lisp:gateway-ip = ' + str(self.gateway_ip) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.gateway_ip is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-notify'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.authentication_key is not None and self.authentication_key._has_data():
                                        return True

                                    if self.gateway_key is not None:
                                        for child_ref in self.gateway_key:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify']['meta_info']


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None
                                    self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7>`
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self


                                    class KeyPwd(object):
                                        """
                                        
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.hash_function = None
                                            self.unc_pwd = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.hash_function is not None:
                                                return True

                                            if self.unc_pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd']['meta_info']


                                    class Key0(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_0 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_0 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0']['meta_info']


                                    class Key6(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_6 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_6 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6']['meta_info']


                                    class Key7(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_7 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_7 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None and self.key_0._has_data():
                                            return True

                                        if self.key_6 is not None and self.key_6._has_data():
                                            return True

                                        if self.key_7 is not None and self.key_7._has_data():
                                            return True

                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:dynamic-eid[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.database_mapping is not None and self.database_mapping._has_data():
                                    return True

                                if self.eid_notify is not None and self.eid_notify._has_data():
                                    return True

                                if self.map_notify_group is not None:
                                    return True

                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid']['meta_info']


                        class LocReachAlgorithm(object):
                            """
                            Configure locator reachability algorithm
                            
                            .. attribute:: lsb_reports
                            
                            	Configure data packet LSB report handling
                            	**type**\:   :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports>`
                            
                            .. attribute:: rloc_probing
                            
                            	Probe high priority RLOCs with Map\-Requests as last resort
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lsb_reports = Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports()
                                self.lsb_reports.parent = self
                                self.rloc_probing = None


                            class LsbReports(object):
                                """
                                Configure data packet LSB report handling
                                
                                .. attribute:: do_not_transmit
                                
                                	Force the setting of the encapsulation header L bit to zero
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ignore
                                
                                	Ignore data packet LSB reports
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.do_not_transmit = None
                                    self.ignore = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lsb-reports'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.do_not_transmit is not None:
                                        return True

                                    if self.ignore is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:loc-reach-algorithm'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lsb_reports is not None and self.lsb_reports._has_data():
                                    return True

                                if self.rloc_probing is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm']['meta_info']


                        class MapServer(object):
                            """
                            Map\-Server commands
                            
                            .. attribute:: rloc
                            
                            	EID instance RLOC membership
                            	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc>`
                            
                            .. attribute:: site_registration
                            
                            	Map\-server site registration options
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rloc = Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc()
                                self.rloc.parent = self
                                self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration()
                                self.site_registration.parent = self


                            class Rloc(object):
                                """
                                EID instance RLOC membership
                                
                                .. attribute:: members
                                
                                	EID instance RLOC membership
                                	**type**\:   :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.members = Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members()
                                    self.members.parent = self


                                class Members(object):
                                    """
                                    EID instance RLOC membership
                                    
                                    .. attribute:: distribute
                                    
                                    	EID instance RLOC membership distribution
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: modify_discovered
                                    
                                    	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                    	**type**\:   :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.distribute = None
                                        self.modify_discovered = Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered()
                                        self.modify_discovered.parent = self


                                    class ModifyDiscovered(object):
                                        """
                                        Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set from which to get member RLOC addresses
                                        	**type**\:  str
                                        
                                        .. attribute:: operator
                                        
                                        	
                                        	**type**\:   :py:class:`OperatorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.operator = None

                                        class OperatorEnum(Enum):
                                            """
                                            OperatorEnum

                                            .. data:: add = 0

                                            .. data:: override = 1

                                            """

                                            add = 0

                                            override = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:modify-discovered'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.operator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:members'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.distribute is not None:
                                            return True

                                        if self.modify_discovered is not None and self.modify_discovered._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.members is not None and self.members._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc']['meta_info']


                            class SiteRegistration(object):
                                """
                                Map\-server site registration options
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations as a result of accept\-more\-specifics
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rloc is not None and self.rloc._has_data():
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer']['meta_info']


                        class OtherXtrProbe(object):
                            """
                            Configure parameters for probing of other xTRs in our site
                            
                            .. attribute:: period
                            
                            	Period between probes in seconds
                            	**type**\:  int
                            
                            	**range:** 5..900
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.period = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:other-xtr-probe'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.period is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.OtherXtrProbe']['meta_info']


                        class RemoteRlocProbe(object):
                            """
                            Configure parameters for probing of remote RLOCs
                            
                            .. attribute:: on_membership_change
                            
                            	Trigger probing upon membership changes for remote RLOC
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: on_route_change
                            
                            	Trigger probing upon routing changes for remote RLOC
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.on_membership_change = None
                                self.on_route_change = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:remote-rloc-probe'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.on_membership_change is not None:
                                    return True

                                if self.on_route_change is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.RemoteRlocProbe']['meta_info']


                        class Service(object):
                            """
                            Configure lisp service type
                            
                            .. attribute:: ethernet
                            
                            	
                            	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ipv6
                            
                            	
                            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.ethernet = None
                                self.ipv4 = None
                                self.ipv6 = None


                            class Ipv4(object):
                                """
                                
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\:  str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_>`
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.alt = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt()
                                    self.alt.parent = self
                                    self.alt_vrf = None
                                    self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self.default = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_()
                                    self.default.parent = self
                                    self.distance = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance()
                                    self.distance.parent = self
                                    self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable()
                                    self.eid_table.parent = self
                                    self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr()
                                    self.etr.parent = self
                                    self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable()
                                    self.etr_enable.parent = self
                                    self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr()
                                    self.itr.parent = self
                                    self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable()
                                    self.itr_enable.parent = self
                                    self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache()
                                    self.map_cache.parent = self
                                    self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self.map_cache_persistent = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self.map_request_source = None
                                    self.proxy_etr = None
                                    self.proxy_itr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self.route_export = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport()
                                    self.route_export.parent = self
                                    self.route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport()
                                    self.route_import.parent = self
                                    self.sgt = None
                                    self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration()
                                    self.site_registration.parent = self
                                    self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self.use_petr = YList()
                                    self.use_petr.parent = self
                                    self.use_petr.name = 'use_petr'


                                class Default_(object):
                                    """
                                    
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\:  str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping>`
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Distance>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EidTable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EtrEnable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ItrEnable>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCacheLimit>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCachePersistent>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteExport>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SolicitMapRequest>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.alt = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt()
                                        self.alt.parent = self
                                        self.alt_vrf = None
                                        self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self.distance = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Distance()
                                        self.distance.parent = self
                                        self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EidTable()
                                        self.eid_table.parent = self
                                        self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr()
                                        self.etr.parent = self
                                        self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EtrEnable()
                                        self.etr_enable.parent = self
                                        self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr()
                                        self.itr.parent = self
                                        self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ItrEnable()
                                        self.itr_enable.parent = self
                                        self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache()
                                        self.map_cache.parent = self
                                        self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self.map_cache_persistent = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self.map_request_source = None
                                        self.proxy_etr = None
                                        self.proxy_itr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self.route_export = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteExport()
                                        self.route_export.parent = self
                                        self.route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport()
                                        self.route_import.parent = self
                                        self.sgt = None
                                        self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SiteRegistration()
                                        self.site_registration.parent = self
                                        self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self.use_petr = YList()
                                        self.use_petr.parent = self
                                        self.use_petr.name = 'use_petr'


                                    class EidTable(object):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.default = None
                                            self.vrf = None
                                            self.vrf_name = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.default is not None:
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            if self.vrf_name is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EidTable']['meta_info']


                                    class Itr(object):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.map_resolver = YList()
                                            self.map_resolver.parent = self
                                            self.map_resolver.name = 'map_resolver'


                                        class MapResolver(object):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr.MapResolver']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.map_resolver is not None:
                                                for child_ref in self.map_resolver:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr']['meta_info']


                                    class ItrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.itr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.itr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ItrEnable']['meta_info']


                                    class EtrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EtrEnable']['meta_info']


                                    class Etr(object):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self.map_cache_ttl = None
                                            self.map_server = YList()
                                            self.map_server.parent = self
                                            self.map_server.name = 'map_server'


                                        class MapServer(object):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None
                                                self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self.proxy_reply = None


                                            class Key(object):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7>`
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self


                                                class KeyPwd(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.hash_function = None
                                                        self.unc_pwd = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.hash_function is not None:
                                                            return True

                                                        if self.unc_pwd is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                class Key0(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_0 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_0 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                                class Key6(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_6 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_6 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                                class Key7(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_7 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_7 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.key_0 is not None and self.key_0._has_data():
                                                        return True

                                                    if self.key_6 is not None and self.key_6._has_data():
                                                        return True

                                                    if self.key_7 is not None and self.key_7._has_data():
                                                        return True

                                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                if self.key is not None and self.key._has_data():
                                                    return True

                                                if self.proxy_reply is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer']['meta_info']


                                        class AcceptMapRequestMapping(object):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_mappping = None
                                                self.verify = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_mappping is not None:
                                                    return True

                                                if self.verify is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                return True

                                            if self.map_cache_ttl is not None:
                                                return True

                                            if self.map_server is not None:
                                                for child_ref in self.map_server:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr']['meta_info']


                                    class MapCacheLimit(object):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\:  str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max_map_cache_entries = None
                                            self.reserve_list = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max_map_cache_entries is not None:
                                                return True

                                            if self.reserve_list is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCacheLimit']['meta_info']


                                    class SiteRegistration(object):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.limit = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.limit is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SiteRegistration']['meta_info']


                                    class SolicitMapRequest(object):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\:  int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None
                                            self.max_per_entry = None
                                            self.suppression_time = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            if self.max_per_entry is not None:
                                                return True

                                            if self.suppression_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SolicitMapRequest']['meta_info']


                                    class Alt(object):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.summary_route = YList()
                                            self.summary_route.parent = self
                                            self.summary_route.name = 'summary_route'


                                        class SummaryRoute(object):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.route_tag = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.route_tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt.SummaryRoute']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.summary_route is not None:
                                                for child_ref in self.summary_route:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt']['meta_info']


                                    class Distance(object):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.alt = None
                                            self.away = None
                                            self.dyn_eid = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.alt is not None:
                                                return True

                                            if self.away is not None:
                                                return True

                                            if self.dyn_eid is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Distance']['meta_info']


                                    class MapCache(object):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.AwayEids>`
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self.eid_interface = YList()
                                            self.eid_interface.parent = self
                                            self.eid_interface.name = 'eid_interface'
                                            self.site_registration = None


                                        class EidInterface(object):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.drop = None
                                                self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self.map_request = None
                                                self.native_forward = None


                                            class EtrInterfaceIp(object):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.etr_interface_ip_address = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.etr_interface_ip_address is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.drop is not None:
                                                    return True

                                                if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                    return True

                                                if self.map_request is not None:
                                                    return True

                                                if self.native_forward is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface']['meta_info']


                                        class AwayEids(object):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.send_map_request = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.send_map_request is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.AwayEids']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None and self.away_eids._has_data():
                                                return True

                                            if self.eid_interface is not None:
                                                for child_ref in self.eid_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.site_registration is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache']['meta_info']


                                    class MapCachePersistent(object):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\:  int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.interval = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.interval is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCachePersistent']['meta_info']


                                    class ProxyItr(object):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4_addr = None
                                            self.ipv6_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4_addr is not None:
                                                return True

                                            if self.ipv6_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ProxyItr']['meta_info']


                                    class RouteExport(object):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteExport']['meta_info']


                                    class UsePetr(object):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_address = None
                                            self.priority = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr.Priority()
                                            self.priority.parent = self


                                        class Priority(object):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.priority_value = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.priority_value is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr.Priority']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.locator_address is None:
                                                raise YPYModelError('Key property locator_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_address is not None:
                                                return True

                                            if self.priority is not None and self.priority._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr']['meta_info']


                                    class RouteImport(object):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.database = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database()
                                            self.database.parent = self
                                            self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache()
                                            self.map_cache.parent = self


                                        class Database(object):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip()
                                                self.rip.parent = self
                                                self.static = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static()
                                                self.static.parent = self


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self.process_id = None


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    if self.process_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None and self.rip._has_data():
                                                    return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']


                                        class MapCache(object):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = None
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = None
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = None
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip()
                                                self.rip.parent = self
                                                self.static = None


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None and self.rip._has_data():
                                                    return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.database is not None and self.database._has_data():
                                                return True

                                            if self.map_cache is not None and self.map_cache._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport']['meta_info']


                                    class DatabaseMapping(object):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'
                                            self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.Limit()
                                            self.limit.parent = self


                                        class EidCont(object):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface>`
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.auto_discover_rlocs = None
                                                self.ipv4_addrees = YList()
                                                self.ipv4_addrees.parent = self
                                                self.ipv4_addrees.name = 'ipv4_addrees'
                                                self.ipv4_interface = YList()
                                                self.ipv4_interface.parent = self
                                                self.ipv4_interface.name = 'ipv4_interface'
                                                self.ipv6_addrees = YList()
                                                self.ipv6_addrees.parent = self
                                                self.ipv6_addrees.name = 'ipv6_addrees'
                                                self.ipv6_interface = YList()
                                                self.ipv6_interface.parent = self
                                                self.ipv6_interface.name = 'ipv6_interface'
                                                self.locator_set = None


                                            class Ipv4Addrees(object):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                            class Ipv6Addrees(object):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                            class Ipv4Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                            class Ipv6Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.auto_discover_rlocs is not None:
                                                    return True

                                                if self.ipv4_addrees is not None:
                                                    for child_ref in self.ipv4_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv4_interface is not None:
                                                    for child_ref in self.ipv4_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_addrees is not None:
                                                    for child_ref in self.ipv6_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_interface is not None:
                                                    for child_ref in self.ipv6_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.locator_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']


                                        class Limit(object):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\:  int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dynamic = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dynamic is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.Limit']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.limit is not None and self.limit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.alt is not None and self.alt._has_data():
                                            return True

                                        if self.alt_vrf is not None:
                                            return True

                                        if self.database_mapping is not None and self.database_mapping._has_data():
                                            return True

                                        if self.distance is not None and self.distance._has_data():
                                            return True

                                        if self.eid_table is not None and self.eid_table._has_data():
                                            return True

                                        if self.etr is not None and self.etr._has_data():
                                            return True

                                        if self.etr_enable is not None and self.etr_enable._has_data():
                                            return True

                                        if self.itr is not None and self.itr._has_data():
                                            return True

                                        if self.itr_enable is not None and self.itr_enable._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                            return True

                                        if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                            return True

                                        if self.map_request_source is not None:
                                            return True

                                        if self.proxy_etr is not None:
                                            return True

                                        if self.proxy_itr is not None and self.proxy_itr._has_data():
                                            return True

                                        if self.route_export is not None and self.route_export._has_data():
                                            return True

                                        if self.route_import is not None and self.route_import._has_data():
                                            return True

                                        if self.sgt is not None:
                                            return True

                                        if self.site_registration is not None and self.site_registration._has_data():
                                            return True

                                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                            return True

                                        if self.use_petr is not None:
                                            for child_ref in self.use_petr:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']


                                class EidTable(object):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.default = None
                                        self.vrf = None
                                        self.vrf_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.default is not None:
                                            return True

                                        if self.vrf is not None:
                                            return True

                                        if self.vrf_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable']['meta_info']


                                class Itr(object):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map_resolver = YList()
                                        self.map_resolver.parent = self
                                        self.map_resolver.name = 'map_resolver'


                                    class MapResolver(object):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map_resolver is not None:
                                            for child_ref in self.map_resolver:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr']['meta_info']


                                class ItrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.itr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.itr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable']['meta_info']


                                class EtrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.etr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.etr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable']['meta_info']


                                class Etr(object):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self.map_cache_ttl = None
                                        self.map_server = YList()
                                        self.map_server.parent = self
                                        self.map_server.name = 'map_server'


                                    class MapServer(object):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None
                                            self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self.proxy_reply = None


                                        class Key(object):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self


                                            class KeyPwd(object):
                                                """
                                                
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.hash_function = None
                                                    self.unc_pwd = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.hash_function is not None:
                                                        return True

                                                    if self.unc_pwd is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info']


                                            class Key0(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_0 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_0 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info']


                                            class Key6(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_6 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_6 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info']


                                            class Key7(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_7 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_7 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.key_0 is not None and self.key_0._has_data():
                                                    return True

                                                if self.key_6 is not None and self.key_6._has_data():
                                                    return True

                                                if self.key_7 is not None and self.key_7._has_data():
                                                    return True

                                                if self.key_pwd is not None and self.key_pwd._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            if self.key is not None and self.key._has_data():
                                                return True

                                            if self.proxy_reply is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer']['meta_info']


                                    class AcceptMapRequestMapping(object):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_mappping = None
                                            self.verify = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_mappping is not None:
                                                return True

                                            if self.verify is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                            return True

                                        if self.map_cache_ttl is not None:
                                            return True

                                        if self.map_server is not None:
                                            for child_ref in self.map_server:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr']['meta_info']


                                class MapCacheLimit(object):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\:  str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max_map_cache_entries = None
                                        self.reserve_list = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max_map_cache_entries is not None:
                                            return True

                                        if self.reserve_list is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit']['meta_info']


                                class SiteRegistration(object):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.limit = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.limit is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration']['meta_info']


                                class SolicitMapRequest(object):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\:  int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None
                                        self.max_per_entry = None
                                        self.suppression_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        if self.max_per_entry is not None:
                                            return True

                                        if self.suppression_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest']['meta_info']


                                class Alt(object):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.summary_route = YList()
                                        self.summary_route.parent = self
                                        self.summary_route.name = 'summary_route'


                                    class SummaryRoute(object):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.route_tag = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.route_tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.summary_route is not None:
                                            for child_ref in self.summary_route:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt']['meta_info']


                                class Distance(object):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.alt = None
                                        self.away = None
                                        self.dyn_eid = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.alt is not None:
                                            return True

                                        if self.away is not None:
                                            return True

                                        if self.dyn_eid is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance']['meta_info']


                                class MapCache(object):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids>`
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self.eid_interface = YList()
                                        self.eid_interface.parent = self
                                        self.eid_interface.name = 'eid_interface'
                                        self.site_registration = None


                                    class EidInterface(object):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.drop = None
                                            self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self.map_request = None
                                            self.native_forward = None


                                        class EtrInterfaceIp(object):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr_interface_ip_address = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr_interface_ip_address is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.drop is not None:
                                                return True

                                            if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                return True

                                            if self.map_request is not None:
                                                return True

                                            if self.native_forward is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface']['meta_info']


                                    class AwayEids(object):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.send_map_request = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.send_map_request is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None and self.away_eids._has_data():
                                            return True

                                        if self.eid_interface is not None:
                                            for child_ref in self.eid_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.site_registration is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache']['meta_info']


                                class MapCachePersistent(object):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\:  int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent']['meta_info']


                                class ProxyItr(object):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_addr = None
                                        self.ipv6_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_addr is not None:
                                            return True

                                        if self.ipv6_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr']['meta_info']


                                class RouteExport(object):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport']['meta_info']


                                class UsePetr(object):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_address = None
                                        self.priority = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority()
                                        self.priority.parent = self


                                    class Priority(object):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.priority_value = None
                                            self.weight = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.priority_value is not None:
                                                return True

                                            if self.weight is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.locator_address is None:
                                            raise YPYModelError('Key property locator_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_address is not None:
                                            return True

                                        if self.priority is not None and self.priority._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr']['meta_info']


                                class RouteImport(object):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.database = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database()
                                        self.database.parent = self
                                        self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache()
                                        self.map_cache.parent = self


                                    class Database(object):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip()
                                            self.rip.parent = self
                                            self.static = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static()
                                            self.static.parent = self


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self.process_id = None


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                if self.process_id is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None and self.rip._has_data():
                                                return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']


                                    class MapCache(object):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = None
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = None
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = None
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip()
                                            self.rip.parent = self
                                            self.static = None


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None and self.rip._has_data():
                                                return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.database is not None and self.database._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport']['meta_info']


                                class DatabaseMapping(object):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'
                                        self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit()
                                        self.limit.parent = self


                                    class EidCont(object):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.auto_discover_rlocs = None
                                            self.ipv4_addrees = YList()
                                            self.ipv4_addrees.parent = self
                                            self.ipv4_addrees.name = 'ipv4_addrees'
                                            self.ipv4_interface = YList()
                                            self.ipv4_interface.parent = self
                                            self.ipv4_interface.name = 'ipv4_interface'
                                            self.ipv6_addrees = YList()
                                            self.ipv6_addrees.parent = self
                                            self.ipv6_addrees.name = 'ipv6_addrees'
                                            self.ipv6_interface = YList()
                                            self.ipv6_interface.parent = self
                                            self.ipv6_interface.name = 'ipv6_interface'
                                            self.locator_set = None


                                        class Ipv4Addrees(object):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                        class Ipv6Addrees(object):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                        class Ipv4Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                        class Ipv6Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.auto_discover_rlocs is not None:
                                                return True

                                            if self.ipv4_addrees is not None:
                                                for child_ref in self.ipv4_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv4_interface is not None:
                                                for child_ref in self.ipv4_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_addrees is not None:
                                                for child_ref in self.ipv6_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_interface is not None:
                                                for child_ref in self.ipv6_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.locator_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']


                                    class Limit(object):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\:  int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        if self.limit is not None and self.limit._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.alt is not None and self.alt._has_data():
                                        return True

                                    if self.alt_vrf is not None:
                                        return True

                                    if self.database_mapping is not None and self.database_mapping._has_data():
                                        return True

                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.distance is not None and self.distance._has_data():
                                        return True

                                    if self.eid_table is not None and self.eid_table._has_data():
                                        return True

                                    if self.etr is not None and self.etr._has_data():
                                        return True

                                    if self.etr_enable is not None and self.etr_enable._has_data():
                                        return True

                                    if self.itr is not None and self.itr._has_data():
                                        return True

                                    if self.itr_enable is not None and self.itr_enable._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                        return True

                                    if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                        return True

                                    if self.map_request_source is not None:
                                        return True

                                    if self.proxy_etr is not None:
                                        return True

                                    if self.proxy_itr is not None and self.proxy_itr._has_data():
                                        return True

                                    if self.route_export is not None and self.route_export._has_data():
                                        return True

                                    if self.route_import is not None and self.route_import._has_data():
                                        return True

                                    if self.sgt is not None:
                                        return True

                                    if self.site_registration is not None and self.site_registration._has_data():
                                        return True

                                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                        return True

                                    if self.use_petr is not None:
                                        for child_ref in self.use_petr:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']


                            class Ipv6(object):
                                """
                                
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\:  str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_>`
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.alt = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt()
                                    self.alt.parent = self
                                    self.alt_vrf = None
                                    self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self.default = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_()
                                    self.default.parent = self
                                    self.distance = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance()
                                    self.distance.parent = self
                                    self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable()
                                    self.eid_table.parent = self
                                    self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr()
                                    self.etr.parent = self
                                    self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable()
                                    self.etr_enable.parent = self
                                    self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr()
                                    self.itr.parent = self
                                    self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable()
                                    self.itr_enable.parent = self
                                    self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache()
                                    self.map_cache.parent = self
                                    self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self.map_cache_persistent = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self.map_request_source = None
                                    self.proxy_etr = None
                                    self.proxy_itr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self.route_export = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport()
                                    self.route_export.parent = self
                                    self.route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport()
                                    self.route_import.parent = self
                                    self.sgt = None
                                    self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration()
                                    self.site_registration.parent = self
                                    self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self.use_petr = YList()
                                    self.use_petr.parent = self
                                    self.use_petr.name = 'use_petr'


                                class Default_(object):
                                    """
                                    
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\:  str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping>`
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Distance>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EidTable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EtrEnable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ItrEnable>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCacheLimit>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCachePersistent>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteExport>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SolicitMapRequest>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.alt = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt()
                                        self.alt.parent = self
                                        self.alt_vrf = None
                                        self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self.distance = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Distance()
                                        self.distance.parent = self
                                        self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EidTable()
                                        self.eid_table.parent = self
                                        self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr()
                                        self.etr.parent = self
                                        self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EtrEnable()
                                        self.etr_enable.parent = self
                                        self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr()
                                        self.itr.parent = self
                                        self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ItrEnable()
                                        self.itr_enable.parent = self
                                        self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache()
                                        self.map_cache.parent = self
                                        self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self.map_cache_persistent = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self.map_request_source = None
                                        self.proxy_etr = None
                                        self.proxy_itr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self.route_export = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteExport()
                                        self.route_export.parent = self
                                        self.route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport()
                                        self.route_import.parent = self
                                        self.sgt = None
                                        self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SiteRegistration()
                                        self.site_registration.parent = self
                                        self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self.use_petr = YList()
                                        self.use_petr.parent = self
                                        self.use_petr.name = 'use_petr'


                                    class EidTable(object):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.default = None
                                            self.vrf = None
                                            self.vrf_name = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.default is not None:
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            if self.vrf_name is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EidTable']['meta_info']


                                    class Itr(object):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.map_resolver = YList()
                                            self.map_resolver.parent = self
                                            self.map_resolver.name = 'map_resolver'


                                        class MapResolver(object):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr.MapResolver']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.map_resolver is not None:
                                                for child_ref in self.map_resolver:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr']['meta_info']


                                    class ItrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.itr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.itr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ItrEnable']['meta_info']


                                    class EtrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EtrEnable']['meta_info']


                                    class Etr(object):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self.map_cache_ttl = None
                                            self.map_server = YList()
                                            self.map_server.parent = self
                                            self.map_server.name = 'map_server'


                                        class MapServer(object):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None
                                                self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self.proxy_reply = None


                                            class Key(object):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7>`
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self


                                                class KeyPwd(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.hash_function = None
                                                        self.unc_pwd = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.hash_function is not None:
                                                            return True

                                                        if self.unc_pwd is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                class Key0(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_0 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_0 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                                class Key6(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_6 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_6 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                                class Key7(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_7 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_7 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.key_0 is not None and self.key_0._has_data():
                                                        return True

                                                    if self.key_6 is not None and self.key_6._has_data():
                                                        return True

                                                    if self.key_7 is not None and self.key_7._has_data():
                                                        return True

                                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                if self.key is not None and self.key._has_data():
                                                    return True

                                                if self.proxy_reply is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer']['meta_info']


                                        class AcceptMapRequestMapping(object):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_mappping = None
                                                self.verify = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_mappping is not None:
                                                    return True

                                                if self.verify is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                return True

                                            if self.map_cache_ttl is not None:
                                                return True

                                            if self.map_server is not None:
                                                for child_ref in self.map_server:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr']['meta_info']


                                    class MapCacheLimit(object):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\:  str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max_map_cache_entries = None
                                            self.reserve_list = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max_map_cache_entries is not None:
                                                return True

                                            if self.reserve_list is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCacheLimit']['meta_info']


                                    class SiteRegistration(object):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.limit = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.limit is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SiteRegistration']['meta_info']


                                    class SolicitMapRequest(object):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\:  int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None
                                            self.max_per_entry = None
                                            self.suppression_time = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            if self.max_per_entry is not None:
                                                return True

                                            if self.suppression_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SolicitMapRequest']['meta_info']


                                    class Alt(object):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.summary_route = YList()
                                            self.summary_route.parent = self
                                            self.summary_route.name = 'summary_route'


                                        class SummaryRoute(object):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.route_tag = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.route_tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt.SummaryRoute']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.summary_route is not None:
                                                for child_ref in self.summary_route:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt']['meta_info']


                                    class Distance(object):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.alt = None
                                            self.away = None
                                            self.dyn_eid = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.alt is not None:
                                                return True

                                            if self.away is not None:
                                                return True

                                            if self.dyn_eid is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Distance']['meta_info']


                                    class MapCache(object):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.AwayEids>`
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self.eid_interface = YList()
                                            self.eid_interface.parent = self
                                            self.eid_interface.name = 'eid_interface'
                                            self.site_registration = None


                                        class EidInterface(object):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.drop = None
                                                self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self.map_request = None
                                                self.native_forward = None


                                            class EtrInterfaceIp(object):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.etr_interface_ip_address = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.etr_interface_ip_address is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.drop is not None:
                                                    return True

                                                if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                    return True

                                                if self.map_request is not None:
                                                    return True

                                                if self.native_forward is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface']['meta_info']


                                        class AwayEids(object):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.send_map_request = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.send_map_request is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.AwayEids']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None and self.away_eids._has_data():
                                                return True

                                            if self.eid_interface is not None:
                                                for child_ref in self.eid_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.site_registration is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache']['meta_info']


                                    class MapCachePersistent(object):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\:  int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.interval = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.interval is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCachePersistent']['meta_info']


                                    class ProxyItr(object):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4_addr = None
                                            self.ipv6_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4_addr is not None:
                                                return True

                                            if self.ipv6_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ProxyItr']['meta_info']


                                    class RouteExport(object):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteExport']['meta_info']


                                    class UsePetr(object):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_address = None
                                            self.priority = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr.Priority()
                                            self.priority.parent = self


                                        class Priority(object):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.priority_value = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.priority_value is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr.Priority']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.locator_address is None:
                                                raise YPYModelError('Key property locator_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_address is not None:
                                                return True

                                            if self.priority is not None and self.priority._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr']['meta_info']


                                    class RouteImport(object):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.database = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database()
                                            self.database.parent = self
                                            self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache()
                                            self.map_cache.parent = self


                                        class Database(object):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = YList()
                                                self.rip.parent = self
                                                self.rip.name = 'rip'
                                                self.static = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static()
                                                self.static.parent = self


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self.process_id = None


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    if self.process_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\:  str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None:
                                                    for child_ref in self.rip:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']


                                        class MapCache(object):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = None
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = None
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = None
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = YList()
                                                self.rip.parent = self
                                                self.rip.name = 'rip'
                                                self.static = None


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\:  str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None:
                                                    for child_ref in self.rip:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.database is not None and self.database._has_data():
                                                return True

                                            if self.map_cache is not None and self.map_cache._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport']['meta_info']


                                    class DatabaseMapping(object):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'
                                            self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.Limit()
                                            self.limit.parent = self


                                        class EidCont(object):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface>`
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.auto_discover_rlocs = None
                                                self.ipv4_addrees = YList()
                                                self.ipv4_addrees.parent = self
                                                self.ipv4_addrees.name = 'ipv4_addrees'
                                                self.ipv4_interface = YList()
                                                self.ipv4_interface.parent = self
                                                self.ipv4_interface.name = 'ipv4_interface'
                                                self.ipv6_addrees = YList()
                                                self.ipv6_addrees.parent = self
                                                self.ipv6_addrees.name = 'ipv6_addrees'
                                                self.ipv6_interface = YList()
                                                self.ipv6_interface.parent = self
                                                self.ipv6_interface.name = 'ipv6_interface'
                                                self.locator_set = None


                                            class Ipv4Addrees(object):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                            class Ipv6Addrees(object):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                            class Ipv4Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                            class Ipv6Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.auto_discover_rlocs is not None:
                                                    return True

                                                if self.ipv4_addrees is not None:
                                                    for child_ref in self.ipv4_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv4_interface is not None:
                                                    for child_ref in self.ipv4_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_addrees is not None:
                                                    for child_ref in self.ipv6_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_interface is not None:
                                                    for child_ref in self.ipv6_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.locator_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']


                                        class Limit(object):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\:  int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dynamic = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dynamic is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.Limit']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.limit is not None and self.limit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.alt is not None and self.alt._has_data():
                                            return True

                                        if self.alt_vrf is not None:
                                            return True

                                        if self.database_mapping is not None and self.database_mapping._has_data():
                                            return True

                                        if self.distance is not None and self.distance._has_data():
                                            return True

                                        if self.eid_table is not None and self.eid_table._has_data():
                                            return True

                                        if self.etr is not None and self.etr._has_data():
                                            return True

                                        if self.etr_enable is not None and self.etr_enable._has_data():
                                            return True

                                        if self.itr is not None and self.itr._has_data():
                                            return True

                                        if self.itr_enable is not None and self.itr_enable._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                            return True

                                        if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                            return True

                                        if self.map_request_source is not None:
                                            return True

                                        if self.proxy_etr is not None:
                                            return True

                                        if self.proxy_itr is not None and self.proxy_itr._has_data():
                                            return True

                                        if self.route_export is not None and self.route_export._has_data():
                                            return True

                                        if self.route_import is not None and self.route_import._has_data():
                                            return True

                                        if self.sgt is not None:
                                            return True

                                        if self.site_registration is not None and self.site_registration._has_data():
                                            return True

                                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                            return True

                                        if self.use_petr is not None:
                                            for child_ref in self.use_petr:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']


                                class EidTable(object):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.default = None
                                        self.vrf = None
                                        self.vrf_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.default is not None:
                                            return True

                                        if self.vrf is not None:
                                            return True

                                        if self.vrf_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable']['meta_info']


                                class Itr(object):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map_resolver = YList()
                                        self.map_resolver.parent = self
                                        self.map_resolver.name = 'map_resolver'


                                    class MapResolver(object):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map_resolver is not None:
                                            for child_ref in self.map_resolver:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr']['meta_info']


                                class ItrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.itr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.itr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable']['meta_info']


                                class EtrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.etr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.etr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable']['meta_info']


                                class Etr(object):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self.map_cache_ttl = None
                                        self.map_server = YList()
                                        self.map_server.parent = self
                                        self.map_server.name = 'map_server'


                                    class MapServer(object):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None
                                            self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self.proxy_reply = None


                                        class Key(object):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self


                                            class KeyPwd(object):
                                                """
                                                
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.hash_function = None
                                                    self.unc_pwd = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.hash_function is not None:
                                                        return True

                                                    if self.unc_pwd is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info']


                                            class Key0(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_0 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_0 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info']


                                            class Key6(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_6 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_6 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info']


                                            class Key7(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_7 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_7 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.key_0 is not None and self.key_0._has_data():
                                                    return True

                                                if self.key_6 is not None and self.key_6._has_data():
                                                    return True

                                                if self.key_7 is not None and self.key_7._has_data():
                                                    return True

                                                if self.key_pwd is not None and self.key_pwd._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            if self.key is not None and self.key._has_data():
                                                return True

                                            if self.proxy_reply is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer']['meta_info']


                                    class AcceptMapRequestMapping(object):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_mappping = None
                                            self.verify = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_mappping is not None:
                                                return True

                                            if self.verify is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                            return True

                                        if self.map_cache_ttl is not None:
                                            return True

                                        if self.map_server is not None:
                                            for child_ref in self.map_server:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr']['meta_info']


                                class MapCacheLimit(object):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\:  str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max_map_cache_entries = None
                                        self.reserve_list = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max_map_cache_entries is not None:
                                            return True

                                        if self.reserve_list is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit']['meta_info']


                                class SiteRegistration(object):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.limit = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.limit is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration']['meta_info']


                                class SolicitMapRequest(object):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\:  int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None
                                        self.max_per_entry = None
                                        self.suppression_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        if self.max_per_entry is not None:
                                            return True

                                        if self.suppression_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest']['meta_info']


                                class Alt(object):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.summary_route = YList()
                                        self.summary_route.parent = self
                                        self.summary_route.name = 'summary_route'


                                    class SummaryRoute(object):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.route_tag = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.route_tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.summary_route is not None:
                                            for child_ref in self.summary_route:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt']['meta_info']


                                class Distance(object):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.alt = None
                                        self.away = None
                                        self.dyn_eid = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.alt is not None:
                                            return True

                                        if self.away is not None:
                                            return True

                                        if self.dyn_eid is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance']['meta_info']


                                class MapCache(object):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids>`
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self.eid_interface = YList()
                                        self.eid_interface.parent = self
                                        self.eid_interface.name = 'eid_interface'
                                        self.site_registration = None


                                    class EidInterface(object):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.drop = None
                                            self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self.map_request = None
                                            self.native_forward = None


                                        class EtrInterfaceIp(object):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr_interface_ip_address = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr_interface_ip_address is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.drop is not None:
                                                return True

                                            if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                return True

                                            if self.map_request is not None:
                                                return True

                                            if self.native_forward is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface']['meta_info']


                                    class AwayEids(object):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.send_map_request = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.send_map_request is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None and self.away_eids._has_data():
                                            return True

                                        if self.eid_interface is not None:
                                            for child_ref in self.eid_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.site_registration is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache']['meta_info']


                                class MapCachePersistent(object):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\:  int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent']['meta_info']


                                class ProxyItr(object):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_addr = None
                                        self.ipv6_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_addr is not None:
                                            return True

                                        if self.ipv6_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr']['meta_info']


                                class RouteExport(object):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport']['meta_info']


                                class UsePetr(object):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_address = None
                                        self.priority = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority()
                                        self.priority.parent = self


                                    class Priority(object):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.priority_value = None
                                            self.weight = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.priority_value is not None:
                                                return True

                                            if self.weight is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.locator_address is None:
                                            raise YPYModelError('Key property locator_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_address is not None:
                                            return True

                                        if self.priority is not None and self.priority._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr']['meta_info']


                                class RouteImport(object):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.database = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database()
                                        self.database.parent = self
                                        self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache()
                                        self.map_cache.parent = self


                                    class Database(object):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = YList()
                                            self.rip.parent = self
                                            self.rip.name = 'rip'
                                            self.static = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static()
                                            self.static.parent = self


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self.process_id = None


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                if self.process_id is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\:  str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None:
                                                for child_ref in self.rip:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']


                                    class MapCache(object):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = None
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = None
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = None
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = YList()
                                            self.rip.parent = self
                                            self.rip.name = 'rip'
                                            self.static = None


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\:  str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None:
                                                for child_ref in self.rip:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.database is not None and self.database._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport']['meta_info']


                                class DatabaseMapping(object):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'
                                        self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit()
                                        self.limit.parent = self


                                    class EidCont(object):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.auto_discover_rlocs = None
                                            self.ipv4_addrees = YList()
                                            self.ipv4_addrees.parent = self
                                            self.ipv4_addrees.name = 'ipv4_addrees'
                                            self.ipv4_interface = YList()
                                            self.ipv4_interface.parent = self
                                            self.ipv4_interface.name = 'ipv4_interface'
                                            self.ipv6_addrees = YList()
                                            self.ipv6_addrees.parent = self
                                            self.ipv6_addrees.name = 'ipv6_addrees'
                                            self.ipv6_interface = YList()
                                            self.ipv6_interface.parent = self
                                            self.ipv6_interface.name = 'ipv6_interface'
                                            self.locator_set = None


                                        class Ipv4Addrees(object):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                        class Ipv6Addrees(object):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                        class Ipv4Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                        class Ipv6Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.auto_discover_rlocs is not None:
                                                return True

                                            if self.ipv4_addrees is not None:
                                                for child_ref in self.ipv4_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv4_interface is not None:
                                                for child_ref in self.ipv4_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_addrees is not None:
                                                for child_ref in self.ipv6_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_interface is not None:
                                                for child_ref in self.ipv6_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.locator_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']


                                    class Limit(object):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\:  int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        if self.limit is not None and self.limit._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.alt is not None and self.alt._has_data():
                                        return True

                                    if self.alt_vrf is not None:
                                        return True

                                    if self.database_mapping is not None and self.database_mapping._has_data():
                                        return True

                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.distance is not None and self.distance._has_data():
                                        return True

                                    if self.eid_table is not None and self.eid_table._has_data():
                                        return True

                                    if self.etr is not None and self.etr._has_data():
                                        return True

                                    if self.etr_enable is not None and self.etr_enable._has_data():
                                        return True

                                    if self.itr is not None and self.itr._has_data():
                                        return True

                                    if self.itr_enable is not None and self.itr_enable._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                        return True

                                    if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                        return True

                                    if self.map_request_source is not None:
                                        return True

                                    if self.proxy_etr is not None:
                                        return True

                                    if self.proxy_itr is not None and self.proxy_itr._has_data():
                                        return True

                                    if self.route_export is not None and self.route_export._has_data():
                                        return True

                                    if self.route_import is not None and self.route_import._has_data():
                                        return True

                                    if self.sgt is not None:
                                        return True

                                    if self.site_registration is not None and self.site_registration._has_data():
                                        return True

                                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                        return True

                                    if self.use_petr is not None:
                                        for child_ref in self.use_petr:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']


                            class Ethernet(object):
                                """
                                
                                
                                .. attribute:: broadcast_underlay
                                
                                	Multicast group to use for underlay
                                	**type**\:   :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay>`
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.broadcast_underlay = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay()
                                    self.broadcast_underlay.parent = self
                                    self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self.default = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_()
                                    self.default.parent = self
                                    self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable()
                                    self.eid_table.parent = self
                                    self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr()
                                    self.etr.parent = self
                                    self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable()
                                    self.etr_enable.parent = self
                                    self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr()
                                    self.itr.parent = self
                                    self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable()
                                    self.itr_enable.parent = self
                                    self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache()
                                    self.map_cache.parent = self
                                    self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self.map_request_source = None
                                    self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration()
                                    self.site_registration.parent = self
                                    self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest()
                                    self.solicit_map_request.parent = self


                                class Default_(object):
                                    """
                                    
                                    
                                    .. attribute:: broadcast_underlay
                                    
                                    	Multicast group to use for underlay
                                    	**type**\:   :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.BroadcastUnderlay>`
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EidTable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EtrEnable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.ItrEnable>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCacheLimit>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SolicitMapRequest>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.broadcast_underlay = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.BroadcastUnderlay()
                                        self.broadcast_underlay.parent = self
                                        self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EidTable()
                                        self.eid_table.parent = self
                                        self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr()
                                        self.etr.parent = self
                                        self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EtrEnable()
                                        self.etr_enable.parent = self
                                        self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr()
                                        self.itr.parent = self
                                        self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.ItrEnable()
                                        self.itr_enable.parent = self
                                        self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache()
                                        self.map_cache.parent = self
                                        self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self.map_request_source = None
                                        self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SiteRegistration()
                                        self.site_registration.parent = self
                                        self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SolicitMapRequest()
                                        self.solicit_map_request.parent = self


                                    class EidTable(object):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vlan
                                        
                                        	VLAN configuration
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.vlan = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.vlan is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EidTable']['meta_info']


                                    class BroadcastUnderlay(object):
                                        """
                                        Multicast group to use for underlay
                                        
                                        .. attribute:: ipv4_multicast
                                        
                                        	IPv4 multicast group address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_multicast
                                        
                                        	IPv6 multicast group address
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4_multicast = None
                                            self.ipv6_multicast = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:broadcast-underlay'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4_multicast is not None:
                                                return True

                                            if self.ipv6_multicast is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.BroadcastUnderlay']['meta_info']


                                    class DatabaseMapping(object):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'
                                            self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.Limit()
                                            self.limit.parent = self


                                        class EidCont(object):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\:  str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface>`
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.ipv4_addrees = YList()
                                                self.ipv4_addrees.parent = self
                                                self.ipv4_addrees.name = 'ipv4_addrees'
                                                self.ipv4_interface = YList()
                                                self.ipv4_interface.parent = self
                                                self.ipv4_interface.name = 'ipv4_interface'
                                                self.ipv6_addrees = YList()
                                                self.ipv6_addrees.parent = self
                                                self.ipv6_addrees.name = 'ipv6_addrees'
                                                self.ipv6_interface = YList()
                                                self.ipv6_interface.parent = self
                                                self.ipv6_interface.name = 'ipv6_interface'
                                                self.locator_set = None


                                            class Ipv4Addrees(object):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                            class Ipv6Addrees(object):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                            class Ipv4Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                            class Ipv6Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.ipv4_addrees is not None:
                                                    for child_ref in self.ipv4_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv4_interface is not None:
                                                    for child_ref in self.ipv4_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_addrees is not None:
                                                    for child_ref in self.ipv6_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_interface is not None:
                                                    for child_ref in self.ipv6_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.locator_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']


                                        class Limit(object):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\:  int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dynamic = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dynamic is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.Limit']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.limit is not None and self.limit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping']['meta_info']


                                    class Itr(object):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.map_resolver = YList()
                                            self.map_resolver.parent = self
                                            self.map_resolver.name = 'map_resolver'


                                        class MapResolver(object):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr.MapResolver']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.map_resolver is not None:
                                                for child_ref in self.map_resolver:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr']['meta_info']


                                    class ItrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.itr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.itr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.ItrEnable']['meta_info']


                                    class EtrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EtrEnable']['meta_info']


                                    class Etr(object):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self.map_cache_ttl = None
                                            self.map_server = YList()
                                            self.map_server.parent = self
                                            self.map_server.name = 'map_server'


                                        class MapServer(object):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None
                                                self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self.proxy_reply = None


                                            class Key(object):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7>`
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self


                                                class KeyPwd(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.hash_function = None
                                                        self.unc_pwd = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.hash_function is not None:
                                                            return True

                                                        if self.unc_pwd is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                class Key0(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_0 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_0 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                                class Key6(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_6 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_6 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                                class Key7(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_7 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_7 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.key_0 is not None and self.key_0._has_data():
                                                        return True

                                                    if self.key_6 is not None and self.key_6._has_data():
                                                        return True

                                                    if self.key_7 is not None and self.key_7._has_data():
                                                        return True

                                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                if self.key is not None and self.key._has_data():
                                                    return True

                                                if self.proxy_reply is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer']['meta_info']


                                        class AcceptMapRequestMapping(object):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_mappping = None
                                                self.verify = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_mappping is not None:
                                                    return True

                                                if self.verify is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                return True

                                            if self.map_cache_ttl is not None:
                                                return True

                                            if self.map_server is not None:
                                                for child_ref in self.map_server:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr']['meta_info']


                                    class MapCacheLimit(object):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\:  str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max_map_cache_entries = None
                                            self.reserve_list = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max_map_cache_entries is not None:
                                                return True

                                            if self.reserve_list is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCacheLimit']['meta_info']


                                    class SiteRegistration(object):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.limit = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.limit is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SiteRegistration']['meta_info']


                                    class SolicitMapRequest(object):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\:  int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None
                                            self.max_per_entry = None
                                            self.suppression_time = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            if self.max_per_entry is not None:
                                                return True

                                            if self.suppression_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SolicitMapRequest']['meta_info']


                                    class MapCache(object):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'


                                        class EidCont(object):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\:  str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self


                                            class EtrInterfaceIp(object):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.etr_interface_ip_address = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.etr_interface_ip_address is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.broadcast_underlay is not None and self.broadcast_underlay._has_data():
                                            return True

                                        if self.database_mapping is not None and self.database_mapping._has_data():
                                            return True

                                        if self.eid_table is not None and self.eid_table._has_data():
                                            return True

                                        if self.etr is not None and self.etr._has_data():
                                            return True

                                        if self.etr_enable is not None and self.etr_enable._has_data():
                                            return True

                                        if self.itr is not None and self.itr._has_data():
                                            return True

                                        if self.itr_enable is not None and self.itr_enable._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                            return True

                                        if self.map_request_source is not None:
                                            return True

                                        if self.site_registration is not None and self.site_registration._has_data():
                                            return True

                                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']


                                class EidTable(object):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vlan
                                    
                                    	VLAN configuration
                                    	**type**\:  int
                                    
                                    	**range:** 1..4094
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.vlan = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.vlan is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable']['meta_info']


                                class BroadcastUnderlay(object):
                                    """
                                    Multicast group to use for underlay
                                    
                                    .. attribute:: ipv4_multicast
                                    
                                    	IPv4 multicast group address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_multicast
                                    
                                    	IPv6 multicast group address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_multicast = None
                                        self.ipv6_multicast = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:broadcast-underlay'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_multicast is not None:
                                            return True

                                        if self.ipv6_multicast is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay']['meta_info']


                                class DatabaseMapping(object):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'
                                        self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit()
                                        self.limit.parent = self


                                    class EidCont(object):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\:  str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.ipv4_addrees = YList()
                                            self.ipv4_addrees.parent = self
                                            self.ipv4_addrees.name = 'ipv4_addrees'
                                            self.ipv4_interface = YList()
                                            self.ipv4_interface.parent = self
                                            self.ipv4_interface.name = 'ipv4_interface'
                                            self.ipv6_addrees = YList()
                                            self.ipv6_addrees.parent = self
                                            self.ipv6_addrees.name = 'ipv6_addrees'
                                            self.ipv6_interface = YList()
                                            self.ipv6_interface.parent = self
                                            self.ipv6_interface.name = 'ipv6_interface'
                                            self.locator_set = None


                                        class Ipv4Addrees(object):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                        class Ipv6Addrees(object):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                        class Ipv4Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                        class Ipv6Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.ipv4_addrees is not None:
                                                for child_ref in self.ipv4_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv4_interface is not None:
                                                for child_ref in self.ipv4_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_addrees is not None:
                                                for child_ref in self.ipv6_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_interface is not None:
                                                for child_ref in self.ipv6_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.locator_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']


                                    class Limit(object):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\:  int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        if self.limit is not None and self.limit._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping']['meta_info']


                                class Itr(object):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map_resolver = YList()
                                        self.map_resolver.parent = self
                                        self.map_resolver.name = 'map_resolver'


                                    class MapResolver(object):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map_resolver is not None:
                                            for child_ref in self.map_resolver:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr']['meta_info']


                                class ItrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.itr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.itr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable']['meta_info']


                                class EtrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.etr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.etr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable']['meta_info']


                                class Etr(object):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self.map_cache_ttl = None
                                        self.map_server = YList()
                                        self.map_server.parent = self
                                        self.map_server.name = 'map_server'


                                    class MapServer(object):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None
                                            self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self.proxy_reply = None


                                        class Key(object):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self


                                            class KeyPwd(object):
                                                """
                                                
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.hash_function = None
                                                    self.unc_pwd = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.hash_function is not None:
                                                        return True

                                                    if self.unc_pwd is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info']


                                            class Key0(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_0 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_0 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info']


                                            class Key6(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_6 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_6 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info']


                                            class Key7(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_7 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_7 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.key_0 is not None and self.key_0._has_data():
                                                    return True

                                                if self.key_6 is not None and self.key_6._has_data():
                                                    return True

                                                if self.key_7 is not None and self.key_7._has_data():
                                                    return True

                                                if self.key_pwd is not None and self.key_pwd._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            if self.key is not None and self.key._has_data():
                                                return True

                                            if self.proxy_reply is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer']['meta_info']


                                    class AcceptMapRequestMapping(object):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_mappping = None
                                            self.verify = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_mappping is not None:
                                                return True

                                            if self.verify is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                            return True

                                        if self.map_cache_ttl is not None:
                                            return True

                                        if self.map_server is not None:
                                            for child_ref in self.map_server:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr']['meta_info']


                                class MapCacheLimit(object):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\:  str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max_map_cache_entries = None
                                        self.reserve_list = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max_map_cache_entries is not None:
                                            return True

                                        if self.reserve_list is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit']['meta_info']


                                class SiteRegistration(object):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.limit = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.limit is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration']['meta_info']


                                class SolicitMapRequest(object):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\:  int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None
                                        self.max_per_entry = None
                                        self.suppression_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        if self.max_per_entry is not None:
                                            return True

                                        if self.suppression_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest']['meta_info']


                                class MapCache(object):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'


                                    class EidCont(object):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\:  str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self


                                        class EtrInterfaceIp(object):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr_interface_ip_address = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr_interface_ip_address is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ethernet'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.broadcast_underlay is not None and self.broadcast_underlay._has_data():
                                        return True

                                    if self.database_mapping is not None and self.database_mapping._has_data():
                                        return True

                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.eid_table is not None and self.eid_table._has_data():
                                        return True

                                    if self.etr is not None and self.etr._has_data():
                                        return True

                                    if self.etr_enable is not None and self.etr_enable._has_data():
                                        return True

                                    if self.itr is not None and self.itr._has_data():
                                        return True

                                    if self.itr_enable is not None and self.itr_enable._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                        return True

                                    if self.map_request_source is not None:
                                        return True

                                    if self.site_registration is not None and self.site_registration._has_data():
                                        return True

                                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:service'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.ethernet is not None and self.ethernet._has_data():
                                    return True

                                if self.ipv4 is not None and self.ipv4._has_data():
                                    return True

                                if self.ipv6 is not None and self.ipv6._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.decapsulation is not None and self.decapsulation._has_data():
                                return True

                            if self.disable_ttl_propagate is not None:
                                return True

                            if self.dynamic_eid is not None:
                                for child_ref in self.dynamic_eid:
                                    if child_ref._has_data():
                                        return True

                            if self.loc_reach_algorithm is not None and self.loc_reach_algorithm._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.other_xtr_probe is not None and self.other_xtr_probe._has_data():
                                return True

                            if self.remote_rloc_probe is not None and self.remote_rloc_probe._has_data():
                                return True

                            if self.service is not None and self.service._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Default']['meta_info']


                    class Decapsulation(object):
                        """
                        Decapsulation behavior (e.g. filters)
                        
                        .. attribute:: filter
                        
                        	Filters traffic
                        	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.filter = Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter()
                            self.filter.parent = self


                        class Filter(object):
                            """
                            Filters traffic
                            
                            .. attribute:: rloc
                            
                            	Filter based on Routing Locator (RLOC) in packet header
                            	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rloc = Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc()
                                self.rloc.parent = self


                            class Rloc(object):
                                """
                                Filter based on Routing Locator (RLOC) in packet header
                                
                                .. attribute:: source
                                
                                	Filters traffic based on RLOC source address
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    Filters traffic based on RLOC source address
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator\-set Name
                                    	**type**\:  str
                                    
                                    .. attribute:: member
                                    
                                    	Members learned from map\-server
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.member = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.member is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rloc is not None and self.rloc._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:decapsulation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.filter is not None and self.filter._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation']['meta_info']


                    class DynamicEid(object):
                        """
                        Configure a dynamic EID
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: database_mapping
                        
                        	Configures EID\-prefix and locator\-set for dynamic\-EID
                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping>`
                        
                        .. attribute:: eid_notify
                        
                        	Configure options for sending/receiving EID\-notify
                        	**type**\:   :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify>`
                        
                        .. attribute:: map_notify_group
                        
                        	Multicast group which to send map\-notifies to
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping()
                            self.database_mapping.parent = self
                            self.eid_notify = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify()
                            self.eid_notify.parent = self
                            self.map_notify_group = None
                            self.map_server = YList()
                            self.map_server.parent = self
                            self.map_server.name = 'map_server'


                        class DatabaseMapping(object):
                            """
                            Configures EID\-prefix and locator\-set for dynamic\-EID
                            
                            .. attribute:: ipv4_prefix
                            
                            	IPv4 EID\-prefix for dynamic\-EID
                            	**type**\: list of    :py:class:`Ipv4Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix>`
                            
                            .. attribute:: mac
                            
                            	L2 EID records
                            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_prefix = YList()
                                self.ipv4_prefix.parent = self
                                self.ipv4_prefix.name = 'ipv4_prefix'
                                self.mac = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac()
                                self.mac.parent = self


                            class Ipv4Prefix(object):
                                """
                                IPv4 EID\-prefix for dynamic\-EID
                                
                                .. attribute:: eid_prefix  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                .. attribute:: locator_set
                                
                                	Use locators defined by locator\-set
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eid_prefix = None
                                    self.locator_set = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.eid_prefix is None:
                                        raise YPYModelError('Key property eid_prefix is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-prefix[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eid_prefix is not None:
                                        return True

                                    if self.locator_set is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix']['meta_info']


                            class Mac(object):
                                """
                                L2 EID records
                                
                                .. attribute:: locator_set
                                
                                	Use locators defined by locator\-set
                                	**type**\:  str
                                
                                .. attribute:: mac_addr
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.mac_addr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:mac'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.mac_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4_prefix is not None:
                                    for child_ref in self.ipv4_prefix:
                                        if child_ref._has_data():
                                            return True

                                if self.mac is not None and self.mac._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping']['meta_info']


                        class EidNotify(object):
                            """
                            Configure options for sending/receiving EID\-notify
                            
                            .. attribute:: authentication_key
                            
                            	Authentication key used for validating received EID\-notify
                            	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey>`
                            
                            .. attribute:: gateway_key
                            
                            	
                            	**type**\: list of    :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication_key = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey()
                                self.authentication_key.parent = self
                                self.gateway_key = YList()
                                self.gateway_key.parent = self
                                self.gateway_key.name = 'gateway_key'


                            class AuthenticationKey(object):
                                """
                                Authentication key used for validating received EID\-notify
                                
                                .. attribute:: key_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                .. attribute:: key_6
                                
                                	The ENCRYPTED password
                                	**type**\:  str
                                
                                .. attribute:: key_7
                                
                                	The ENCRYPTED password
                                	**type**\:  str
                                
                                .. attribute:: unc_pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_0 = None
                                    self.key_6 = None
                                    self.key_7 = None
                                    self.unc_pwd = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:authentication-key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_0 is not None:
                                        return True

                                    if self.key_6 is not None:
                                        return True

                                    if self.key_7 is not None:
                                        return True

                                    if self.unc_pwd is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey']['meta_info']


                            class GatewayKey(object):
                                """
                                
                                
                                .. attribute:: gateway_ip  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.gateway_ip = None
                                    self.key = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key()
                                    self.key.parent = self


                                class Key(object):
                                    """
                                    
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6>`
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0()
                                        self.key_0.parent = self
                                        self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6()
                                        self.key_6.parent = self
                                        self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd()
                                        self.key_pwd.parent = self


                                    class KeyPwd(object):
                                        """
                                        
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum>`
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.hash_function = None
                                            self.unc_pwd = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.hash_function is not None:
                                                return True

                                            if self.unc_pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd']['meta_info']


                                    class Key0(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_0 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_0 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0']['meta_info']


                                    class Key6(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_6 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_6 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None and self.key_0._has_data():
                                            return True

                                        if self.key_6 is not None and self.key_6._has_data():
                                            return True

                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.gateway_ip is None:
                                        raise YPYModelError('Key property gateway_ip is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:gateway-key[Cisco-IOS-XE-lisp:gateway-ip = ' + str(self.gateway_ip) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.gateway_ip is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-notify'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication_key is not None and self.authentication_key._has_data():
                                    return True

                                if self.gateway_key is not None:
                                    for child_ref in self.gateway_key:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify']['meta_info']


                        class MapServer(object):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None
                                self.key = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key()
                                self.key.parent = self
                                self.proxy_reply = None


                            class Key(object):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_0
                                
                                	
                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0>`
                                
                                .. attribute:: key_6
                                
                                	
                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6>`
                                
                                .. attribute:: key_7
                                
                                	
                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7>`
                                
                                .. attribute:: key_pwd
                                
                                	
                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0()
                                    self.key_0.parent = self
                                    self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6()
                                    self.key_6.parent = self
                                    self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7()
                                    self.key_7.parent = self
                                    self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd()
                                    self.key_pwd.parent = self


                                class KeyPwd(object):
                                    """
                                    
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hash_function = None
                                        self.unc_pwd = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hash_function is not None:
                                            return True

                                        if self.unc_pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd']['meta_info']


                                class Key0(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_0 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_0 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0']['meta_info']


                                class Key6(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_6 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_6 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6']['meta_info']


                                class Key7(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_7 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_7 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_0 is not None and self.key_0._has_data():
                                        return True

                                    if self.key_6 is not None and self.key_6._has_data():
                                        return True

                                    if self.key_7 is not None and self.key_7._has_data():
                                        return True

                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                if self.key is not None and self.key._has_data():
                                    return True

                                if self.proxy_reply is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:dynamic-eid[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.database_mapping is not None and self.database_mapping._has_data():
                                return True

                            if self.eid_notify is not None and self.eid_notify._has_data():
                                return True

                            if self.map_notify_group is not None:
                                return True

                            if self.map_server is not None:
                                for child_ref in self.map_server:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid']['meta_info']


                    class LocReachAlgorithm(object):
                        """
                        Configure locator reachability algorithm
                        
                        .. attribute:: lsb_reports
                        
                        	Configure data packet LSB report handling
                        	**type**\:   :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports>`
                        
                        .. attribute:: rloc_probing
                        
                        	Probe high priority RLOCs with Map\-Requests as last resort
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lsb_reports = Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports()
                            self.lsb_reports.parent = self
                            self.rloc_probing = None


                        class LsbReports(object):
                            """
                            Configure data packet LSB report handling
                            
                            .. attribute:: do_not_transmit
                            
                            	Force the setting of the encapsulation header L bit to zero
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore data packet LSB reports
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.do_not_transmit = None
                                self.ignore = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lsb-reports'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.do_not_transmit is not None:
                                    return True

                                if self.ignore is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:loc-reach-algorithm'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lsb_reports is not None and self.lsb_reports._has_data():
                                return True

                            if self.rloc_probing is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm']['meta_info']


                    class MapServer(object):
                        """
                        Map\-Server commands
                        
                        .. attribute:: rloc
                        
                        	EID instance RLOC membership
                        	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc>`
                        
                        .. attribute:: site_registration
                        
                        	Map\-server site registration options
                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.SiteRegistration>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.rloc = Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc()
                            self.rloc.parent = self
                            self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.SiteRegistration()
                            self.site_registration.parent = self


                        class Rloc(object):
                            """
                            EID instance RLOC membership
                            
                            .. attribute:: members
                            
                            	EID instance RLOC membership
                            	**type**\:   :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.members = Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members()
                                self.members.parent = self


                            class Members(object):
                                """
                                EID instance RLOC membership
                                
                                .. attribute:: distribute
                                
                                	EID instance RLOC membership distribution
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: modify_discovered
                                
                                	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                	**type**\:   :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.distribute = None
                                    self.modify_discovered = Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered()
                                    self.modify_discovered.parent = self


                                class ModifyDiscovered(object):
                                    """
                                    Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set from which to get member RLOC addresses
                                    	**type**\:  str
                                    
                                    .. attribute:: operator
                                    
                                    	
                                    	**type**\:   :py:class:`OperatorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.operator = None

                                    class OperatorEnum(Enum):
                                        """
                                        OperatorEnum

                                        .. data:: add = 0

                                        .. data:: override = 1

                                        """

                                        add = 0

                                        override = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:modify-discovered'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.operator is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:members'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.distribute is not None:
                                        return True

                                    if self.modify_discovered is not None and self.modify_discovered._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.members is not None and self.members._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc']['meta_info']


                        class SiteRegistration(object):
                            """
                            Map\-server site registration options
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations as a result of accept\-more\-specifics
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.SiteRegistration']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.rloc is not None and self.rloc._has_data():
                                return True

                            if self.site_registration is not None and self.site_registration._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.MapServer']['meta_info']


                    class OtherXtrProbe(object):
                        """
                        Configure parameters for probing of other xTRs in our site
                        
                        .. attribute:: period
                        
                        	Period between probes in seconds
                        	**type**\:  int
                        
                        	**range:** 5..900
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.period = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:other-xtr-probe'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.period is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.OtherXtrProbe']['meta_info']


                    class RemoteRlocProbe(object):
                        """
                        Configure parameters for probing of remote RLOCs
                        
                        .. attribute:: on_membership_change
                        
                        	Trigger probing upon membership changes for remote RLOC
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: on_route_change
                        
                        	Trigger probing upon routing changes for remote RLOC
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.on_membership_change = None
                            self.on_route_change = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:remote-rloc-probe'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.on_membership_change is not None:
                                return True

                            if self.on_route_change is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.RemoteRlocProbe']['meta_info']


                    class Service(object):
                        """
                        Configure lisp service type
                        
                        .. attribute:: ethernet
                        
                        	
                        	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ipv6
                        
                        	
                        	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ethernet = None
                            self.ipv4 = None
                            self.ipv6 = None


                        class Ipv4(object):
                            """
                            
                            
                            .. attribute:: alt
                            
                            	LISP Alternative Topology, LISP\-ALT
                            	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt>`
                            
                            .. attribute:: alt_vrf
                            
                            	Activate LISP\-ALT functionality in VRF
                            	**type**\:  str
                            
                            	**status**\: deprecated
                            
                            .. attribute:: database_mapping
                            
                            	Configures Locator addresses for an ETR
                            	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping>`
                            
                            .. attribute:: default
                            
                            	
                            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default>`
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Distance>`
                            
                            .. attribute:: eid_table
                            
                            	Bind an eid\-table
                            	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EidTable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr>`
                            
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteExport>`
                            
                            .. attribute:: route_import
                            
                            	Import RIB routes by a routing protocol into LISP
                            	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.alt = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt()
                                self.alt.parent = self
                                self.alt_vrf = None
                                self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping()
                                self.database_mapping.parent = self
                                self.default = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default()
                                self.default.parent = self
                                self.distance = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Distance()
                                self.distance.parent = self
                                self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EidTable()
                                self.eid_table.parent = self
                                self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr()
                                self.etr.parent = self
                                self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable()
                                self.etr_enable.parent = self
                                self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr()
                                self.itr.parent = self
                                self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable()
                                self.itr_enable.parent = self
                                self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache()
                                self.map_cache.parent = self
                                self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self.map_cache_persistent = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self.map_request_source = None
                                self.proxy_etr = None
                                self.proxy_itr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr()
                                self.proxy_itr.parent = self
                                self.route_export = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteExport()
                                self.route_export.parent = self
                                self.route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport()
                                self.route_import.parent = self
                                self.sgt = None
                                self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration()
                                self.site_registration.parent = self
                                self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self.use_petr = YList()
                                self.use_petr.parent = self
                                self.use_petr.name = 'use_petr'


                            class Default(object):
                                """
                                
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\:  str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping>`
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.alt = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt()
                                    self.alt.parent = self
                                    self.alt_vrf = None
                                    self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self.distance = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance()
                                    self.distance.parent = self
                                    self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable()
                                    self.eid_table.parent = self
                                    self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr()
                                    self.etr.parent = self
                                    self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable()
                                    self.etr_enable.parent = self
                                    self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr()
                                    self.itr.parent = self
                                    self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable()
                                    self.itr_enable.parent = self
                                    self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache()
                                    self.map_cache.parent = self
                                    self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self.map_cache_persistent = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self.map_request_source = None
                                    self.proxy_etr = None
                                    self.proxy_itr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self.route_export = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport()
                                    self.route_export.parent = self
                                    self.route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport()
                                    self.route_import.parent = self
                                    self.sgt = None
                                    self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration()
                                    self.site_registration.parent = self
                                    self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self.use_petr = YList()
                                    self.use_petr.parent = self
                                    self.use_petr.name = 'use_petr'


                                class EidTable(object):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.default = None
                                        self.vrf = None
                                        self.vrf_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.default is not None:
                                            return True

                                        if self.vrf is not None:
                                            return True

                                        if self.vrf_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable']['meta_info']


                                class Itr(object):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map_resolver = YList()
                                        self.map_resolver.parent = self
                                        self.map_resolver.name = 'map_resolver'


                                    class MapResolver(object):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map_resolver is not None:
                                            for child_ref in self.map_resolver:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr']['meta_info']


                                class ItrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.itr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.itr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable']['meta_info']


                                class EtrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.etr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.etr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable']['meta_info']


                                class Etr(object):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self.map_cache_ttl = None
                                        self.map_server = YList()
                                        self.map_server.parent = self
                                        self.map_server.name = 'map_server'


                                    class MapServer(object):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None
                                            self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self.proxy_reply = None


                                        class Key(object):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7>`
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self


                                            class KeyPwd(object):
                                                """
                                                
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.hash_function = None
                                                    self.unc_pwd = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.hash_function is not None:
                                                        return True

                                                    if self.unc_pwd is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd']['meta_info']


                                            class Key0(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_0 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_0 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0']['meta_info']


                                            class Key6(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_6 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_6 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6']['meta_info']


                                            class Key7(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_7 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_7 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.key_0 is not None and self.key_0._has_data():
                                                    return True

                                                if self.key_6 is not None and self.key_6._has_data():
                                                    return True

                                                if self.key_7 is not None and self.key_7._has_data():
                                                    return True

                                                if self.key_pwd is not None and self.key_pwd._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            if self.key is not None and self.key._has_data():
                                                return True

                                            if self.proxy_reply is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer']['meta_info']


                                    class AcceptMapRequestMapping(object):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_mappping = None
                                            self.verify = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_mappping is not None:
                                                return True

                                            if self.verify is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                            return True

                                        if self.map_cache_ttl is not None:
                                            return True

                                        if self.map_server is not None:
                                            for child_ref in self.map_server:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr']['meta_info']


                                class MapCacheLimit(object):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\:  str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max_map_cache_entries = None
                                        self.reserve_list = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max_map_cache_entries is not None:
                                            return True

                                        if self.reserve_list is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit']['meta_info']


                                class SiteRegistration(object):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.limit = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.limit is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration']['meta_info']


                                class SolicitMapRequest(object):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\:  int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None
                                        self.max_per_entry = None
                                        self.suppression_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        if self.max_per_entry is not None:
                                            return True

                                        if self.suppression_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest']['meta_info']


                                class Alt(object):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.summary_route = YList()
                                        self.summary_route.parent = self
                                        self.summary_route.name = 'summary_route'


                                    class SummaryRoute(object):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.route_tag = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.route_tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.summary_route is not None:
                                            for child_ref in self.summary_route:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt']['meta_info']


                                class Distance(object):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.alt = None
                                        self.away = None
                                        self.dyn_eid = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.alt is not None:
                                            return True

                                        if self.away is not None:
                                            return True

                                        if self.dyn_eid is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance']['meta_info']


                                class MapCache(object):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids>`
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self.eid_interface = YList()
                                        self.eid_interface.parent = self
                                        self.eid_interface.name = 'eid_interface'
                                        self.site_registration = None


                                    class EidInterface(object):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.drop = None
                                            self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self.map_request = None
                                            self.native_forward = None


                                        class EtrInterfaceIp(object):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr_interface_ip_address = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr_interface_ip_address is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.drop is not None:
                                                return True

                                            if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                return True

                                            if self.map_request is not None:
                                                return True

                                            if self.native_forward is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface']['meta_info']


                                    class AwayEids(object):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.send_map_request = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.send_map_request is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None and self.away_eids._has_data():
                                            return True

                                        if self.eid_interface is not None:
                                            for child_ref in self.eid_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.site_registration is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache']['meta_info']


                                class MapCachePersistent(object):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\:  int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent']['meta_info']


                                class ProxyItr(object):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_addr = None
                                        self.ipv6_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_addr is not None:
                                            return True

                                        if self.ipv6_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr']['meta_info']


                                class RouteExport(object):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport']['meta_info']


                                class UsePetr(object):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_address = None
                                        self.priority = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority()
                                        self.priority.parent = self


                                    class Priority(object):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.priority_value = None
                                            self.weight = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.priority_value is not None:
                                                return True

                                            if self.weight is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.locator_address is None:
                                            raise YPYModelError('Key property locator_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_address is not None:
                                            return True

                                        if self.priority is not None and self.priority._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr']['meta_info']


                                class RouteImport(object):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.database = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database()
                                        self.database.parent = self
                                        self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache()
                                        self.map_cache.parent = self


                                    class Database(object):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip()
                                            self.rip.parent = self
                                            self.static = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static()
                                            self.static.parent = self


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self.process_id = None


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                if self.process_id is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None and self.rip._has_data():
                                                return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']


                                    class MapCache(object):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = None
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = None
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = None
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip()
                                            self.rip.parent = self
                                            self.static = None


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None and self.rip._has_data():
                                                return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.database is not None and self.database._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport']['meta_info']


                                class DatabaseMapping(object):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'
                                        self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit()
                                        self.limit.parent = self


                                    class EidCont(object):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.auto_discover_rlocs = None
                                            self.ipv4_addrees = YList()
                                            self.ipv4_addrees.parent = self
                                            self.ipv4_addrees.name = 'ipv4_addrees'
                                            self.ipv4_interface = YList()
                                            self.ipv4_interface.parent = self
                                            self.ipv4_interface.name = 'ipv4_interface'
                                            self.ipv6_addrees = YList()
                                            self.ipv6_addrees.parent = self
                                            self.ipv6_addrees.name = 'ipv6_addrees'
                                            self.ipv6_interface = YList()
                                            self.ipv6_interface.parent = self
                                            self.ipv6_interface.name = 'ipv6_interface'
                                            self.locator_set = None


                                        class Ipv4Addrees(object):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                        class Ipv6Addrees(object):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                        class Ipv4Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                        class Ipv6Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.auto_discover_rlocs is not None:
                                                return True

                                            if self.ipv4_addrees is not None:
                                                for child_ref in self.ipv4_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv4_interface is not None:
                                                for child_ref in self.ipv4_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_addrees is not None:
                                                for child_ref in self.ipv6_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_interface is not None:
                                                for child_ref in self.ipv6_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.locator_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont']['meta_info']


                                    class Limit(object):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\:  int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        if self.limit is not None and self.limit._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.alt is not None and self.alt._has_data():
                                        return True

                                    if self.alt_vrf is not None:
                                        return True

                                    if self.database_mapping is not None and self.database_mapping._has_data():
                                        return True

                                    if self.distance is not None and self.distance._has_data():
                                        return True

                                    if self.eid_table is not None and self.eid_table._has_data():
                                        return True

                                    if self.etr is not None and self.etr._has_data():
                                        return True

                                    if self.etr_enable is not None and self.etr_enable._has_data():
                                        return True

                                    if self.itr is not None and self.itr._has_data():
                                        return True

                                    if self.itr_enable is not None and self.itr_enable._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                        return True

                                    if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                        return True

                                    if self.map_request_source is not None:
                                        return True

                                    if self.proxy_etr is not None:
                                        return True

                                    if self.proxy_itr is not None and self.proxy_itr._has_data():
                                        return True

                                    if self.route_export is not None and self.route_export._has_data():
                                        return True

                                    if self.route_import is not None and self.route_import._has_data():
                                        return True

                                    if self.sgt is not None:
                                        return True

                                    if self.site_registration is not None and self.site_registration._has_data():
                                        return True

                                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                        return True

                                    if self.use_petr is not None:
                                        for child_ref in self.use_petr:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']


                            class EidTable(object):
                                """
                                Bind an eid\-table
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: vrf
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vrf_name
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default = None
                                    self.vrf = None
                                    self.vrf_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    if self.vrf_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EidTable']['meta_info']


                            class Itr(object):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map_resolver = YList()
                                    self.map_resolver.parent = self
                                    self.map_resolver.name = 'map_resolver'


                                class MapResolver(object):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map_resolver is not None:
                                        for child_ref in self.map_resolver:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr']['meta_info']


                            class ItrEnable(object):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.itr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.itr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable']['meta_info']


                            class EtrEnable(object):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.etr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.etr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable']['meta_info']


                            class Etr(object):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self.map_cache_ttl = None
                                    self.map_server = YList()
                                    self.map_server.parent = self
                                    self.map_server.name = 'map_server'


                                class MapServer(object):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None
                                        self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self.proxy_reply = None


                                    class Key(object):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self


                                        class KeyPwd(object):
                                            """
                                            
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.hash_function = None
                                                self.unc_pwd = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.hash_function is not None:
                                                    return True

                                                if self.unc_pwd is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info']


                                        class Key0(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_0 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_0 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info']


                                        class Key6(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_6 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_6 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info']


                                        class Key7(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_7 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_7 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None and self.key_0._has_data():
                                                return True

                                            if self.key_6 is not None and self.key_6._has_data():
                                                return True

                                            if self.key_7 is not None and self.key_7._has_data():
                                                return True

                                            if self.key_pwd is not None and self.key_pwd._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        if self.proxy_reply is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer']['meta_info']


                                class AcceptMapRequestMapping(object):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_mappping = None
                                        self.verify = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_mappping is not None:
                                            return True

                                        if self.verify is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                        return True

                                    if self.map_cache_ttl is not None:
                                        return True

                                    if self.map_server is not None:
                                        for child_ref in self.map_server:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr']['meta_info']


                            class MapCacheLimit(object):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\:  str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_map_cache_entries = None
                                    self.reserve_list = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_map_cache_entries is not None:
                                        return True

                                    if self.reserve_list is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit']['meta_info']


                            class SiteRegistration(object):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration']['meta_info']


                            class SolicitMapRequest(object):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\:  int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ignore = None
                                    self.max_per_entry = None
                                    self.suppression_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ignore is not None:
                                        return True

                                    if self.max_per_entry is not None:
                                        return True

                                    if self.suppression_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest']['meta_info']


                            class Alt(object):
                                """
                                LISP Alternative Topology, LISP\-ALT
                                
                                .. attribute:: summary_route
                                
                                	Summary route to install into the ALT table
                                	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.summary_route = YList()
                                    self.summary_route.parent = self
                                    self.summary_route.name = 'summary_route'


                                class SummaryRoute(object):
                                    """
                                    Summary route to install into the ALT table
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    
                                    ----
                                    .. attribute:: route_tag
                                    
                                    	ALT RIB route tag for EID prefix
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.route_tag = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.route_tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.summary_route is not None:
                                        for child_ref in self.summary_route:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt']['meta_info']


                            class Distance(object):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: away
                                
                                	Administrative distance for RIB route installation
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.alt = None
                                    self.away = None
                                    self.dyn_eid = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.alt is not None:
                                        return True

                                    if self.away is not None:
                                        return True

                                    if self.dyn_eid is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Distance']['meta_info']


                            class MapCache(object):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: away_eids
                                
                                	Map cache configuration for the away table
                                	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids>`
                                
                                .. attribute:: eid_interface
                                
                                	Configures static EID\-to\-RLOC mappings for an ITR
                                	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface>`
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.away_eids = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids()
                                    self.away_eids.parent = self
                                    self.eid_interface = YList()
                                    self.eid_interface.parent = self
                                    self.eid_interface.name = 'eid_interface'
                                    self.site_registration = None


                                class EidInterface(object):
                                    """
                                    Configures static EID\-to\-RLOC mappings for an ITR
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    
                                    ----
                                    .. attribute:: drop
                                    
                                    	Drop packets that match this map\-cache entry
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: etr_interface_ip
                                    
                                    	
                                    	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp>`
                                    
                                    .. attribute:: map_request
                                    
                                    	Send Map\-Request for LISP destination EID
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: native_forward
                                    
                                    	Natively forward packets that match this map\-cache entry
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.drop = None
                                        self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp()
                                        self.etr_interface_ip.parent = self
                                        self.map_request = None
                                        self.native_forward = None


                                    class EtrInterfaceIp(object):
                                        """
                                        
                                        
                                        .. attribute:: etr_interface_ip_address
                                        
                                        	IP address of loopback or other ETR interface
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: priority
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr_interface_ip_address = None
                                            self.priority = None
                                            self.weight = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr_interface_ip_address is not None:
                                                return True

                                            if self.priority is not None:
                                                return True

                                            if self.weight is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.drop is not None:
                                            return True

                                        if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                            return True

                                        if self.map_request is not None:
                                            return True

                                        if self.native_forward is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface']['meta_info']


                                class AwayEids(object):
                                    """
                                    Map cache configuration for the away table
                                    
                                    .. attribute:: send_map_request
                                    
                                    	Export away table entries into the map cache with action set to send\-map\-request
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.send_map_request = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.send_map_request is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.away_eids is not None and self.away_eids._has_data():
                                        return True

                                    if self.eid_interface is not None:
                                        for child_ref in self.eid_interface:
                                            if child_ref._has_data():
                                                return True

                                    if self.site_registration is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache']['meta_info']


                            class MapCachePersistent(object):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\:  int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interval = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interval is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent']['meta_info']


                            class ProxyItr(object):
                                """
                                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                
                                .. attribute:: ipv4_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_addr = None
                                    self.ipv6_addr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_addr is not None:
                                        return True

                                    if self.ipv6_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr']['meta_info']


                            class RouteExport(object):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.away_eids = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.away_eids is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteExport']['meta_info']


                            class UsePetr(object):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: priority
                                
                                	
                                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_address = None
                                    self.priority = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority()
                                    self.priority.parent = self


                                class Priority(object):
                                    """
                                    
                                    
                                    .. attribute:: priority_value
                                    
                                    	Configures which Locators from a set are preferred
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: weight
                                    
                                    	Traffic load\-spreading among Locators
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.priority_value = None
                                        self.weight = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.priority_value is not None:
                                            return True

                                        if self.weight is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.locator_address is None:
                                        raise YPYModelError('Key property locator_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_address is not None:
                                        return True

                                    if self.priority is not None and self.priority._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr']['meta_info']


                            class RouteImport(object):
                                """
                                Import RIB routes by a routing protocol into LISP
                                
                                .. attribute:: database
                                
                                	Use RIB routes to define local EID database entries
                                	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.database = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database()
                                    self.database.parent = self
                                    self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache()
                                    self.map_cache.parent = self


                                class Database(object):
                                    """
                                    Use RIB routes to define local EID database entries
                                    
                                    .. attribute:: application
                                    
                                    	Application Protocol
                                    	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected>`
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix>`
                                    
                                    .. attribute:: nd
                                    
                                    	Neighbor Discovery
                                    	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.application = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application()
                                        self.application.parent = self
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected()
                                        self.connected.parent = self
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis()
                                        self.isis.parent = self
                                        self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self.nd = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd()
                                        self.nd.parent = self
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.rip = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip()
                                        self.rip.parent = self
                                        self.static = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static()
                                        self.static.parent = self


                                    class Application(object):
                                        """
                                        Application Protocol
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application']['meta_info']


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                        
                                        .. attribute:: process_id
                                        
                                        	Process name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self.process_id = None


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            if self.process_id is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis']['meta_info']


                                    class MaximumPrefix(object):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.number = None
                                            self.threshold = None
                                            self.threshold1 = None
                                            self.warning_only = None
                                            self.warning_only1 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.number is not None:
                                                return True

                                            if self.threshold is not None:
                                                return True

                                            if self.threshold1 is not None:
                                                return True

                                            if self.warning_only is not None:
                                                return True

                                            if self.warning_only1 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info']


                                    class Nd(object):
                                        """
                                        Neighbor Discovery
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.application is not None and self.application._has_data():
                                            return True

                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None and self.isis._has_data():
                                            return True

                                        if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                            return True

                                        if self.nd is not None and self.nd._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None and self.rip._has_data():
                                            return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']


                                class MapCache(object):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: application
                                    
                                    	Application Protocol
                                    	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                    
                                    .. attribute:: nd
                                    
                                    	Neighbour Discovery
                                    	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.application = None
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = None
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis()
                                        self.isis.parent = self
                                        self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self.nd = None
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.rip = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip()
                                        self.rip.parent = self
                                        self.static = None


                                    class Application(object):
                                        """
                                        Application Protocol
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application']['meta_info']


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id
                                        
                                        	Process name
                                        	**type**\:  str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info']


                                    class MaximumPrefix(object):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.number = None
                                            self.threshold = None
                                            self.threshold1 = None
                                            self.warning_only = None
                                            self.warning_only1 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.number is not None:
                                                return True

                                            if self.threshold is not None:
                                                return True

                                            if self.threshold1 is not None:
                                                return True

                                            if self.warning_only is not None:
                                                return True

                                            if self.warning_only1 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                    class Nd(object):
                                        """
                                        Neighbour Discovery
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.application is not None and self.application._has_data():
                                            return True

                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None and self.isis._has_data():
                                            return True

                                        if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                            return True

                                        if self.nd is not None and self.nd._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None and self.rip._has_data():
                                            return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.database is not None and self.database._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport']['meta_info']


                            class DatabaseMapping(object):
                                """
                                Configures Locator addresses for an ETR
                                
                                .. attribute:: eid_cont
                                
                                	
                                	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont>`
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eid_cont = YList()
                                    self.eid_cont.parent = self
                                    self.eid_cont.name = 'eid_cont'
                                    self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit()
                                    self.limit.parent = self


                                class EidCont(object):
                                    """
                                    
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    .. attribute:: auto_discover_rlocs
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ipv4_addrees
                                    
                                    	IPv4 Address of loopback or other ETR interface
                                    	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees>`
                                    
                                    .. attribute:: ipv4_interface
                                    
                                    	
                                    	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface>`
                                    
                                    .. attribute:: ipv6_addrees
                                    
                                    	IPv6 Address of loopback or other ETR interface
                                    	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees>`
                                    
                                    .. attribute:: ipv6_interface
                                    
                                    	
                                    	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface>`
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.auto_discover_rlocs = None
                                        self.ipv4_addrees = YList()
                                        self.ipv4_addrees.parent = self
                                        self.ipv4_addrees.name = 'ipv4_addrees'
                                        self.ipv4_interface = YList()
                                        self.ipv4_interface.parent = self
                                        self.ipv4_interface.name = 'ipv4_interface'
                                        self.ipv6_addrees = YList()
                                        self.ipv6_addrees.parent = self
                                        self.ipv6_addrees.name = 'ipv6_addrees'
                                        self.ipv6_interface = YList()
                                        self.ipv6_interface.parent = self
                                        self.ipv6_interface.name = 'ipv6_interface'
                                        self.locator_set = None


                                    class Ipv4Addrees(object):
                                        """
                                        IPv4 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None
                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.address is None:
                                                raise YPYModelError('Key property address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.address is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                    class Ipv6Addrees(object):
                                        """
                                        IPv6 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None
                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.address is None:
                                                raise YPYModelError('Key property address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.address is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                    class Ipv4Interface(object):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\:  str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                    class Ipv6Interface(object):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\:  str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.auto_discover_rlocs is not None:
                                            return True

                                        if self.ipv4_addrees is not None:
                                            for child_ref in self.ipv4_addrees:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ipv4_interface is not None:
                                            for child_ref in self.ipv4_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ipv6_addrees is not None:
                                            for child_ref in self.ipv6_addrees:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ipv6_interface is not None:
                                            for child_ref in self.ipv6_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.locator_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']


                                class Limit(object):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\:  int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eid_cont is not None:
                                        for child_ref in self.eid_cont:
                                            if child_ref._has_data():
                                                return True

                                    if self.limit is not None and self.limit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.alt is not None and self.alt._has_data():
                                    return True

                                if self.alt_vrf is not None:
                                    return True

                                if self.database_mapping is not None and self.database_mapping._has_data():
                                    return True

                                if self.default is not None and self.default._has_data():
                                    return True

                                if self.distance is not None and self.distance._has_data():
                                    return True

                                if self.eid_table is not None and self.eid_table._has_data():
                                    return True

                                if self.etr is not None and self.etr._has_data():
                                    return True

                                if self.etr_enable is not None and self.etr_enable._has_data():
                                    return True

                                if self.itr is not None and self.itr._has_data():
                                    return True

                                if self.itr_enable is not None and self.itr_enable._has_data():
                                    return True

                                if self.map_cache is not None and self.map_cache._has_data():
                                    return True

                                if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                    return True

                                if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                    return True

                                if self.map_request_source is not None:
                                    return True

                                if self.proxy_etr is not None:
                                    return True

                                if self.proxy_itr is not None and self.proxy_itr._has_data():
                                    return True

                                if self.route_export is not None and self.route_export._has_data():
                                    return True

                                if self.route_import is not None and self.route_import._has_data():
                                    return True

                                if self.sgt is not None:
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                    return True

                                if self.use_petr is not None:
                                    for child_ref in self.use_petr:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']


                        class Ipv6(object):
                            """
                            
                            
                            .. attribute:: alt
                            
                            	LISP Alternative Topology, LISP\-ALT
                            	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt>`
                            
                            .. attribute:: alt_vrf
                            
                            	Activate LISP\-ALT functionality in VRF
                            	**type**\:  str
                            
                            	**status**\: deprecated
                            
                            .. attribute:: database_mapping
                            
                            	Configures Locator addresses for an ETR
                            	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping>`
                            
                            .. attribute:: default
                            
                            	
                            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default>`
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Distance>`
                            
                            .. attribute:: eid_table
                            
                            	Bind an eid\-table
                            	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EidTable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr>`
                            
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteExport>`
                            
                            .. attribute:: route_import
                            
                            	Import RIB routes by a routing protocol into LISP
                            	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.alt = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt()
                                self.alt.parent = self
                                self.alt_vrf = None
                                self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping()
                                self.database_mapping.parent = self
                                self.default = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default()
                                self.default.parent = self
                                self.distance = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Distance()
                                self.distance.parent = self
                                self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EidTable()
                                self.eid_table.parent = self
                                self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr()
                                self.etr.parent = self
                                self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable()
                                self.etr_enable.parent = self
                                self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr()
                                self.itr.parent = self
                                self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable()
                                self.itr_enable.parent = self
                                self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache()
                                self.map_cache.parent = self
                                self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self.map_cache_persistent = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self.map_request_source = None
                                self.proxy_etr = None
                                self.proxy_itr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr()
                                self.proxy_itr.parent = self
                                self.route_export = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteExport()
                                self.route_export.parent = self
                                self.route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport()
                                self.route_import.parent = self
                                self.sgt = None
                                self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration()
                                self.site_registration.parent = self
                                self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self.use_petr = YList()
                                self.use_petr.parent = self
                                self.use_petr.name = 'use_petr'


                            class Default(object):
                                """
                                
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\:  str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping>`
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.alt = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt()
                                    self.alt.parent = self
                                    self.alt_vrf = None
                                    self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self.distance = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance()
                                    self.distance.parent = self
                                    self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable()
                                    self.eid_table.parent = self
                                    self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr()
                                    self.etr.parent = self
                                    self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable()
                                    self.etr_enable.parent = self
                                    self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr()
                                    self.itr.parent = self
                                    self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable()
                                    self.itr_enable.parent = self
                                    self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache()
                                    self.map_cache.parent = self
                                    self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self.map_cache_persistent = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self.map_request_source = None
                                    self.proxy_etr = None
                                    self.proxy_itr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self.route_export = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport()
                                    self.route_export.parent = self
                                    self.route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport()
                                    self.route_import.parent = self
                                    self.sgt = None
                                    self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration()
                                    self.site_registration.parent = self
                                    self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self.use_petr = YList()
                                    self.use_petr.parent = self
                                    self.use_petr.name = 'use_petr'


                                class EidTable(object):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.default = None
                                        self.vrf = None
                                        self.vrf_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.default is not None:
                                            return True

                                        if self.vrf is not None:
                                            return True

                                        if self.vrf_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable']['meta_info']


                                class Itr(object):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map_resolver = YList()
                                        self.map_resolver.parent = self
                                        self.map_resolver.name = 'map_resolver'


                                    class MapResolver(object):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map_resolver is not None:
                                            for child_ref in self.map_resolver:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr']['meta_info']


                                class ItrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.itr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.itr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable']['meta_info']


                                class EtrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.etr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.etr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable']['meta_info']


                                class Etr(object):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self.map_cache_ttl = None
                                        self.map_server = YList()
                                        self.map_server.parent = self
                                        self.map_server.name = 'map_server'


                                    class MapServer(object):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None
                                            self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self.proxy_reply = None


                                        class Key(object):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7>`
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self


                                            class KeyPwd(object):
                                                """
                                                
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.hash_function = None
                                                    self.unc_pwd = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.hash_function is not None:
                                                        return True

                                                    if self.unc_pwd is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd']['meta_info']


                                            class Key0(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_0 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_0 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0']['meta_info']


                                            class Key6(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_6 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_6 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6']['meta_info']


                                            class Key7(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_7 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_7 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.key_0 is not None and self.key_0._has_data():
                                                    return True

                                                if self.key_6 is not None and self.key_6._has_data():
                                                    return True

                                                if self.key_7 is not None and self.key_7._has_data():
                                                    return True

                                                if self.key_pwd is not None and self.key_pwd._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            if self.key is not None and self.key._has_data():
                                                return True

                                            if self.proxy_reply is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer']['meta_info']


                                    class AcceptMapRequestMapping(object):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_mappping = None
                                            self.verify = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_mappping is not None:
                                                return True

                                            if self.verify is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                            return True

                                        if self.map_cache_ttl is not None:
                                            return True

                                        if self.map_server is not None:
                                            for child_ref in self.map_server:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr']['meta_info']


                                class MapCacheLimit(object):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\:  str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max_map_cache_entries = None
                                        self.reserve_list = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max_map_cache_entries is not None:
                                            return True

                                        if self.reserve_list is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit']['meta_info']


                                class SiteRegistration(object):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.limit = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.limit is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration']['meta_info']


                                class SolicitMapRequest(object):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\:  int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None
                                        self.max_per_entry = None
                                        self.suppression_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        if self.max_per_entry is not None:
                                            return True

                                        if self.suppression_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest']['meta_info']


                                class Alt(object):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.summary_route = YList()
                                        self.summary_route.parent = self
                                        self.summary_route.name = 'summary_route'


                                    class SummaryRoute(object):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.route_tag = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.route_tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.summary_route is not None:
                                            for child_ref in self.summary_route:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt']['meta_info']


                                class Distance(object):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.alt = None
                                        self.away = None
                                        self.dyn_eid = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.alt is not None:
                                            return True

                                        if self.away is not None:
                                            return True

                                        if self.dyn_eid is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance']['meta_info']


                                class MapCache(object):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids>`
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self.eid_interface = YList()
                                        self.eid_interface.parent = self
                                        self.eid_interface.name = 'eid_interface'
                                        self.site_registration = None


                                    class EidInterface(object):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.drop = None
                                            self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self.map_request = None
                                            self.native_forward = None


                                        class EtrInterfaceIp(object):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr_interface_ip_address = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr_interface_ip_address is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.drop is not None:
                                                return True

                                            if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                return True

                                            if self.map_request is not None:
                                                return True

                                            if self.native_forward is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface']['meta_info']


                                    class AwayEids(object):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.send_map_request = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.send_map_request is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None and self.away_eids._has_data():
                                            return True

                                        if self.eid_interface is not None:
                                            for child_ref in self.eid_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.site_registration is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache']['meta_info']


                                class MapCachePersistent(object):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\:  int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent']['meta_info']


                                class ProxyItr(object):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_addr = None
                                        self.ipv6_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_addr is not None:
                                            return True

                                        if self.ipv6_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr']['meta_info']


                                class RouteExport(object):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport']['meta_info']


                                class UsePetr(object):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_address = None
                                        self.priority = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority()
                                        self.priority.parent = self


                                    class Priority(object):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.priority_value = None
                                            self.weight = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.priority_value is not None:
                                                return True

                                            if self.weight is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.locator_address is None:
                                            raise YPYModelError('Key property locator_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_address is not None:
                                            return True

                                        if self.priority is not None and self.priority._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr']['meta_info']


                                class RouteImport(object):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.database = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database()
                                        self.database.parent = self
                                        self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache()
                                        self.map_cache.parent = self


                                    class Database(object):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = YList()
                                            self.rip.parent = self
                                            self.rip.name = 'rip'
                                            self.static = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static()
                                            self.static.parent = self


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self.process_id = None


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                if self.process_id is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\:  str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None:
                                                for child_ref in self.rip:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']


                                    class MapCache(object):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = None
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = None
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = None
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = YList()
                                            self.rip.parent = self
                                            self.rip.name = 'rip'
                                            self.static = None


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\:  str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None:
                                                for child_ref in self.rip:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.database is not None and self.database._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport']['meta_info']


                                class DatabaseMapping(object):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'
                                        self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit()
                                        self.limit.parent = self


                                    class EidCont(object):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.auto_discover_rlocs = None
                                            self.ipv4_addrees = YList()
                                            self.ipv4_addrees.parent = self
                                            self.ipv4_addrees.name = 'ipv4_addrees'
                                            self.ipv4_interface = YList()
                                            self.ipv4_interface.parent = self
                                            self.ipv4_interface.name = 'ipv4_interface'
                                            self.ipv6_addrees = YList()
                                            self.ipv6_addrees.parent = self
                                            self.ipv6_addrees.name = 'ipv6_addrees'
                                            self.ipv6_interface = YList()
                                            self.ipv6_interface.parent = self
                                            self.ipv6_interface.name = 'ipv6_interface'
                                            self.locator_set = None


                                        class Ipv4Addrees(object):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                        class Ipv6Addrees(object):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                        class Ipv4Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                        class Ipv6Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.auto_discover_rlocs is not None:
                                                return True

                                            if self.ipv4_addrees is not None:
                                                for child_ref in self.ipv4_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv4_interface is not None:
                                                for child_ref in self.ipv4_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_addrees is not None:
                                                for child_ref in self.ipv6_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_interface is not None:
                                                for child_ref in self.ipv6_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.locator_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont']['meta_info']


                                    class Limit(object):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\:  int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        if self.limit is not None and self.limit._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.alt is not None and self.alt._has_data():
                                        return True

                                    if self.alt_vrf is not None:
                                        return True

                                    if self.database_mapping is not None and self.database_mapping._has_data():
                                        return True

                                    if self.distance is not None and self.distance._has_data():
                                        return True

                                    if self.eid_table is not None and self.eid_table._has_data():
                                        return True

                                    if self.etr is not None and self.etr._has_data():
                                        return True

                                    if self.etr_enable is not None and self.etr_enable._has_data():
                                        return True

                                    if self.itr is not None and self.itr._has_data():
                                        return True

                                    if self.itr_enable is not None and self.itr_enable._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                        return True

                                    if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                        return True

                                    if self.map_request_source is not None:
                                        return True

                                    if self.proxy_etr is not None:
                                        return True

                                    if self.proxy_itr is not None and self.proxy_itr._has_data():
                                        return True

                                    if self.route_export is not None and self.route_export._has_data():
                                        return True

                                    if self.route_import is not None and self.route_import._has_data():
                                        return True

                                    if self.sgt is not None:
                                        return True

                                    if self.site_registration is not None and self.site_registration._has_data():
                                        return True

                                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                        return True

                                    if self.use_petr is not None:
                                        for child_ref in self.use_petr:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']


                            class EidTable(object):
                                """
                                Bind an eid\-table
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: vrf
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vrf_name
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default = None
                                    self.vrf = None
                                    self.vrf_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    if self.vrf_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EidTable']['meta_info']


                            class Itr(object):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map_resolver = YList()
                                    self.map_resolver.parent = self
                                    self.map_resolver.name = 'map_resolver'


                                class MapResolver(object):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map_resolver is not None:
                                        for child_ref in self.map_resolver:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr']['meta_info']


                            class ItrEnable(object):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.itr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.itr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable']['meta_info']


                            class EtrEnable(object):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.etr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.etr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable']['meta_info']


                            class Etr(object):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self.map_cache_ttl = None
                                    self.map_server = YList()
                                    self.map_server.parent = self
                                    self.map_server.name = 'map_server'


                                class MapServer(object):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None
                                        self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self.proxy_reply = None


                                    class Key(object):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self


                                        class KeyPwd(object):
                                            """
                                            
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.hash_function = None
                                                self.unc_pwd = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.hash_function is not None:
                                                    return True

                                                if self.unc_pwd is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info']


                                        class Key0(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_0 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_0 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info']


                                        class Key6(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_6 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_6 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info']


                                        class Key7(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_7 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_7 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None and self.key_0._has_data():
                                                return True

                                            if self.key_6 is not None and self.key_6._has_data():
                                                return True

                                            if self.key_7 is not None and self.key_7._has_data():
                                                return True

                                            if self.key_pwd is not None and self.key_pwd._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        if self.proxy_reply is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer']['meta_info']


                                class AcceptMapRequestMapping(object):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_mappping = None
                                        self.verify = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_mappping is not None:
                                            return True

                                        if self.verify is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                        return True

                                    if self.map_cache_ttl is not None:
                                        return True

                                    if self.map_server is not None:
                                        for child_ref in self.map_server:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr']['meta_info']


                            class MapCacheLimit(object):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\:  str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_map_cache_entries = None
                                    self.reserve_list = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_map_cache_entries is not None:
                                        return True

                                    if self.reserve_list is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit']['meta_info']


                            class SiteRegistration(object):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration']['meta_info']


                            class SolicitMapRequest(object):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\:  int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ignore = None
                                    self.max_per_entry = None
                                    self.suppression_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ignore is not None:
                                        return True

                                    if self.max_per_entry is not None:
                                        return True

                                    if self.suppression_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest']['meta_info']


                            class Alt(object):
                                """
                                LISP Alternative Topology, LISP\-ALT
                                
                                .. attribute:: summary_route
                                
                                	Summary route to install into the ALT table
                                	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.summary_route = YList()
                                    self.summary_route.parent = self
                                    self.summary_route.name = 'summary_route'


                                class SummaryRoute(object):
                                    """
                                    Summary route to install into the ALT table
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    
                                    ----
                                    .. attribute:: route_tag
                                    
                                    	ALT RIB route tag for EID prefix
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.route_tag = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.route_tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.summary_route is not None:
                                        for child_ref in self.summary_route:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt']['meta_info']


                            class Distance(object):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: away
                                
                                	Administrative distance for RIB route installation
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.alt = None
                                    self.away = None
                                    self.dyn_eid = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.alt is not None:
                                        return True

                                    if self.away is not None:
                                        return True

                                    if self.dyn_eid is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Distance']['meta_info']


                            class MapCache(object):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: away_eids
                                
                                	Map cache configuration for the away table
                                	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids>`
                                
                                .. attribute:: eid_interface
                                
                                	Configures static EID\-to\-RLOC mappings for an ITR
                                	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface>`
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.away_eids = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids()
                                    self.away_eids.parent = self
                                    self.eid_interface = YList()
                                    self.eid_interface.parent = self
                                    self.eid_interface.name = 'eid_interface'
                                    self.site_registration = None


                                class EidInterface(object):
                                    """
                                    Configures static EID\-to\-RLOC mappings for an ITR
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    
                                    ----
                                    .. attribute:: drop
                                    
                                    	Drop packets that match this map\-cache entry
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: etr_interface_ip
                                    
                                    	
                                    	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp>`
                                    
                                    .. attribute:: map_request
                                    
                                    	Send Map\-Request for LISP destination EID
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: native_forward
                                    
                                    	Natively forward packets that match this map\-cache entry
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.drop = None
                                        self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp()
                                        self.etr_interface_ip.parent = self
                                        self.map_request = None
                                        self.native_forward = None


                                    class EtrInterfaceIp(object):
                                        """
                                        
                                        
                                        .. attribute:: etr_interface_ip_address
                                        
                                        	IP address of loopback or other ETR interface
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: priority
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr_interface_ip_address = None
                                            self.priority = None
                                            self.weight = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr_interface_ip_address is not None:
                                                return True

                                            if self.priority is not None:
                                                return True

                                            if self.weight is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.drop is not None:
                                            return True

                                        if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                            return True

                                        if self.map_request is not None:
                                            return True

                                        if self.native_forward is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface']['meta_info']


                                class AwayEids(object):
                                    """
                                    Map cache configuration for the away table
                                    
                                    .. attribute:: send_map_request
                                    
                                    	Export away table entries into the map cache with action set to send\-map\-request
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.send_map_request = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.send_map_request is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.away_eids is not None and self.away_eids._has_data():
                                        return True

                                    if self.eid_interface is not None:
                                        for child_ref in self.eid_interface:
                                            if child_ref._has_data():
                                                return True

                                    if self.site_registration is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache']['meta_info']


                            class MapCachePersistent(object):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\:  int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interval = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interval is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent']['meta_info']


                            class ProxyItr(object):
                                """
                                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                
                                .. attribute:: ipv4_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_addr = None
                                    self.ipv6_addr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_addr is not None:
                                        return True

                                    if self.ipv6_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr']['meta_info']


                            class RouteExport(object):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.away_eids = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.away_eids is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteExport']['meta_info']


                            class UsePetr(object):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: priority
                                
                                	
                                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_address = None
                                    self.priority = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority()
                                    self.priority.parent = self


                                class Priority(object):
                                    """
                                    
                                    
                                    .. attribute:: priority_value
                                    
                                    	Configures which Locators from a set are preferred
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: weight
                                    
                                    	Traffic load\-spreading among Locators
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.priority_value = None
                                        self.weight = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.priority_value is not None:
                                            return True

                                        if self.weight is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.locator_address is None:
                                        raise YPYModelError('Key property locator_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_address is not None:
                                        return True

                                    if self.priority is not None and self.priority._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr']['meta_info']


                            class RouteImport(object):
                                """
                                Import RIB routes by a routing protocol into LISP
                                
                                .. attribute:: database
                                
                                	Use RIB routes to define local EID database entries
                                	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.database = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database()
                                    self.database.parent = self
                                    self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache()
                                    self.map_cache.parent = self


                                class Database(object):
                                    """
                                    Use RIB routes to define local EID database entries
                                    
                                    .. attribute:: application
                                    
                                    	Application Protocol
                                    	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected>`
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix>`
                                    
                                    .. attribute:: nd
                                    
                                    	Neighbor Discovery
                                    	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.application = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application()
                                        self.application.parent = self
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected()
                                        self.connected.parent = self
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis()
                                        self.isis.parent = self
                                        self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self.nd = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd()
                                        self.nd.parent = self
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.rip = YList()
                                        self.rip.parent = self
                                        self.rip.name = 'rip'
                                        self.static = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static()
                                        self.static.parent = self


                                    class Application(object):
                                        """
                                        Application Protocol
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application']['meta_info']


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                        
                                        .. attribute:: process_id
                                        
                                        	Process name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self.process_id = None


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            if self.process_id is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis']['meta_info']


                                    class MaximumPrefix(object):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.number = None
                                            self.threshold = None
                                            self.threshold1 = None
                                            self.warning_only = None
                                            self.warning_only1 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.number is not None:
                                                return True

                                            if self.threshold is not None:
                                                return True

                                            if self.threshold1 is not None:
                                                return True

                                            if self.warning_only is not None:
                                                return True

                                            if self.warning_only1 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info']


                                    class Nd(object):
                                        """
                                        Neighbor Discovery
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this process
                                        	**type**\:  str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.application is not None and self.application._has_data():
                                            return True

                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None and self.isis._has_data():
                                            return True

                                        if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                            return True

                                        if self.nd is not None and self.nd._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None:
                                            for child_ref in self.rip:
                                                if child_ref._has_data():
                                                    return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']


                                class MapCache(object):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: application
                                    
                                    	Application Protocol
                                    	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                    
                                    .. attribute:: nd
                                    
                                    	Neighbour Discovery
                                    	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.application = None
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = None
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis()
                                        self.isis.parent = self
                                        self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self.nd = None
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.rip = YList()
                                        self.rip.parent = self
                                        self.rip.name = 'rip'
                                        self.static = None


                                    class Application(object):
                                        """
                                        Application Protocol
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application']['meta_info']


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id
                                        
                                        	Process name
                                        	**type**\:  str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info']


                                    class MaximumPrefix(object):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.number = None
                                            self.threshold = None
                                            self.threshold1 = None
                                            self.warning_only = None
                                            self.warning_only1 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.number is not None:
                                                return True

                                            if self.threshold is not None:
                                                return True

                                            if self.threshold1 is not None:
                                                return True

                                            if self.warning_only is not None:
                                                return True

                                            if self.warning_only1 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                    class Nd(object):
                                        """
                                        Neighbour Discovery
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this process
                                        	**type**\:  str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.application is not None and self.application._has_data():
                                            return True

                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None and self.isis._has_data():
                                            return True

                                        if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                            return True

                                        if self.nd is not None and self.nd._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None:
                                            for child_ref in self.rip:
                                                if child_ref._has_data():
                                                    return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.database is not None and self.database._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport']['meta_info']


                            class DatabaseMapping(object):
                                """
                                Configures Locator addresses for an ETR
                                
                                .. attribute:: eid_cont
                                
                                	
                                	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont>`
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eid_cont = YList()
                                    self.eid_cont.parent = self
                                    self.eid_cont.name = 'eid_cont'
                                    self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit()
                                    self.limit.parent = self


                                class EidCont(object):
                                    """
                                    
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: auto_discover_rlocs
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ipv4_addrees
                                    
                                    	IPv4 Address of loopback or other ETR interface
                                    	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees>`
                                    
                                    .. attribute:: ipv4_interface
                                    
                                    	
                                    	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface>`
                                    
                                    .. attribute:: ipv6_addrees
                                    
                                    	IPv6 Address of loopback or other ETR interface
                                    	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees>`
                                    
                                    .. attribute:: ipv6_interface
                                    
                                    	
                                    	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface>`
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.auto_discover_rlocs = None
                                        self.ipv4_addrees = YList()
                                        self.ipv4_addrees.parent = self
                                        self.ipv4_addrees.name = 'ipv4_addrees'
                                        self.ipv4_interface = YList()
                                        self.ipv4_interface.parent = self
                                        self.ipv4_interface.name = 'ipv4_interface'
                                        self.ipv6_addrees = YList()
                                        self.ipv6_addrees.parent = self
                                        self.ipv6_addrees.name = 'ipv6_addrees'
                                        self.ipv6_interface = YList()
                                        self.ipv6_interface.parent = self
                                        self.ipv6_interface.name = 'ipv6_interface'
                                        self.locator_set = None


                                    class Ipv4Addrees(object):
                                        """
                                        IPv4 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None
                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.address is None:
                                                raise YPYModelError('Key property address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.address is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                    class Ipv6Addrees(object):
                                        """
                                        IPv6 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None
                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.address is None:
                                                raise YPYModelError('Key property address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.address is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                    class Ipv4Interface(object):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\:  str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                    class Ipv6Interface(object):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\:  str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.auto_discover_rlocs is not None:
                                            return True

                                        if self.ipv4_addrees is not None:
                                            for child_ref in self.ipv4_addrees:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ipv4_interface is not None:
                                            for child_ref in self.ipv4_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ipv6_addrees is not None:
                                            for child_ref in self.ipv6_addrees:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ipv6_interface is not None:
                                            for child_ref in self.ipv6_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.locator_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']


                                class Limit(object):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\:  int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eid_cont is not None:
                                        for child_ref in self.eid_cont:
                                            if child_ref._has_data():
                                                return True

                                    if self.limit is not None and self.limit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.alt is not None and self.alt._has_data():
                                    return True

                                if self.alt_vrf is not None:
                                    return True

                                if self.database_mapping is not None and self.database_mapping._has_data():
                                    return True

                                if self.default is not None and self.default._has_data():
                                    return True

                                if self.distance is not None and self.distance._has_data():
                                    return True

                                if self.eid_table is not None and self.eid_table._has_data():
                                    return True

                                if self.etr is not None and self.etr._has_data():
                                    return True

                                if self.etr_enable is not None and self.etr_enable._has_data():
                                    return True

                                if self.itr is not None and self.itr._has_data():
                                    return True

                                if self.itr_enable is not None and self.itr_enable._has_data():
                                    return True

                                if self.map_cache is not None and self.map_cache._has_data():
                                    return True

                                if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                    return True

                                if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                    return True

                                if self.map_request_source is not None:
                                    return True

                                if self.proxy_etr is not None:
                                    return True

                                if self.proxy_itr is not None and self.proxy_itr._has_data():
                                    return True

                                if self.route_export is not None and self.route_export._has_data():
                                    return True

                                if self.route_import is not None and self.route_import._has_data():
                                    return True

                                if self.sgt is not None:
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                    return True

                                if self.use_petr is not None:
                                    for child_ref in self.use_petr:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']


                        class Ethernet(object):
                            """
                            
                            
                            .. attribute:: broadcast_underlay
                            
                            	Multicast group to use for underlay
                            	**type**\:   :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay>`
                            
                            .. attribute:: database_mapping
                            
                            	Configures Locator addresses for an ETR
                            	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping>`
                            
                            .. attribute:: default
                            
                            	
                            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default>`
                            
                            .. attribute:: eid_table
                            
                            	Bind an eid\-table
                            	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EidTable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable>`
                            
                            .. attribute:: map_cache
                            
                            	Use RIB routes to define EID address space in map\-cache
                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.broadcast_underlay = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay()
                                self.broadcast_underlay.parent = self
                                self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping()
                                self.database_mapping.parent = self
                                self.default = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default()
                                self.default.parent = self
                                self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EidTable()
                                self.eid_table.parent = self
                                self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr()
                                self.etr.parent = self
                                self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable()
                                self.etr_enable.parent = self
                                self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr()
                                self.itr.parent = self
                                self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable()
                                self.itr_enable.parent = self
                                self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache()
                                self.map_cache.parent = self
                                self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self.map_request_source = None
                                self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration()
                                self.site_registration.parent = self
                                self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest()
                                self.solicit_map_request.parent = self


                            class Default(object):
                                """
                                
                                
                                .. attribute:: broadcast_underlay
                                
                                	Multicast group to use for underlay
                                	**type**\:   :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay>`
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.broadcast_underlay = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay()
                                    self.broadcast_underlay.parent = self
                                    self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable()
                                    self.eid_table.parent = self
                                    self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr()
                                    self.etr.parent = self
                                    self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable()
                                    self.etr_enable.parent = self
                                    self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr()
                                    self.itr.parent = self
                                    self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable()
                                    self.itr_enable.parent = self
                                    self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache()
                                    self.map_cache.parent = self
                                    self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self.map_request_source = None
                                    self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration()
                                    self.site_registration.parent = self
                                    self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest()
                                    self.solicit_map_request.parent = self


                                class EidTable(object):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vlan
                                    
                                    	VLAN configuration
                                    	**type**\:  int
                                    
                                    	**range:** 1..4094
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.vlan = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.vlan is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable']['meta_info']


                                class BroadcastUnderlay(object):
                                    """
                                    Multicast group to use for underlay
                                    
                                    .. attribute:: ipv4_multicast
                                    
                                    	IPv4 multicast group address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_multicast
                                    
                                    	IPv6 multicast group address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_multicast = None
                                        self.ipv6_multicast = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:broadcast-underlay'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_multicast is not None:
                                            return True

                                        if self.ipv6_multicast is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay']['meta_info']


                                class DatabaseMapping(object):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'
                                        self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit()
                                        self.limit.parent = self


                                    class EidCont(object):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\:  str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.ipv4_addrees = YList()
                                            self.ipv4_addrees.parent = self
                                            self.ipv4_addrees.name = 'ipv4_addrees'
                                            self.ipv4_interface = YList()
                                            self.ipv4_interface.parent = self
                                            self.ipv4_interface.name = 'ipv4_interface'
                                            self.ipv6_addrees = YList()
                                            self.ipv6_addrees.parent = self
                                            self.ipv6_addrees.name = 'ipv6_addrees'
                                            self.ipv6_interface = YList()
                                            self.ipv6_interface.parent = self
                                            self.ipv6_interface.name = 'ipv6_interface'
                                            self.locator_set = None


                                        class Ipv4Addrees(object):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                        class Ipv6Addrees(object):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                        class Ipv4Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                        class Ipv6Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.ipv4_addrees is not None:
                                                for child_ref in self.ipv4_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv4_interface is not None:
                                                for child_ref in self.ipv4_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_addrees is not None:
                                                for child_ref in self.ipv6_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_interface is not None:
                                                for child_ref in self.ipv6_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.locator_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont']['meta_info']


                                    class Limit(object):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\:  int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        if self.limit is not None and self.limit._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping']['meta_info']


                                class Itr(object):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map_resolver = YList()
                                        self.map_resolver.parent = self
                                        self.map_resolver.name = 'map_resolver'


                                    class MapResolver(object):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map_resolver is not None:
                                            for child_ref in self.map_resolver:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr']['meta_info']


                                class ItrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.itr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.itr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable']['meta_info']


                                class EtrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.etr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.etr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable']['meta_info']


                                class Etr(object):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self.map_cache_ttl = None
                                        self.map_server = YList()
                                        self.map_server.parent = self
                                        self.map_server.name = 'map_server'


                                    class MapServer(object):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None
                                            self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self.proxy_reply = None


                                        class Key(object):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7>`
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self


                                            class KeyPwd(object):
                                                """
                                                
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.hash_function = None
                                                    self.unc_pwd = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.hash_function is not None:
                                                        return True

                                                    if self.unc_pwd is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd']['meta_info']


                                            class Key0(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_0 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_0 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0']['meta_info']


                                            class Key6(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_6 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_6 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6']['meta_info']


                                            class Key7(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_7 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_7 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.key_0 is not None and self.key_0._has_data():
                                                    return True

                                                if self.key_6 is not None and self.key_6._has_data():
                                                    return True

                                                if self.key_7 is not None and self.key_7._has_data():
                                                    return True

                                                if self.key_pwd is not None and self.key_pwd._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            if self.key is not None and self.key._has_data():
                                                return True

                                            if self.proxy_reply is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer']['meta_info']


                                    class AcceptMapRequestMapping(object):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_mappping = None
                                            self.verify = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_mappping is not None:
                                                return True

                                            if self.verify is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                            return True

                                        if self.map_cache_ttl is not None:
                                            return True

                                        if self.map_server is not None:
                                            for child_ref in self.map_server:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr']['meta_info']


                                class MapCacheLimit(object):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\:  str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max_map_cache_entries = None
                                        self.reserve_list = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max_map_cache_entries is not None:
                                            return True

                                        if self.reserve_list is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit']['meta_info']


                                class SiteRegistration(object):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.limit = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.limit is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration']['meta_info']


                                class SolicitMapRequest(object):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\:  int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None
                                        self.max_per_entry = None
                                        self.suppression_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        if self.max_per_entry is not None:
                                            return True

                                        if self.suppression_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest']['meta_info']


                                class MapCache(object):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'


                                    class EidCont(object):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\:  str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self


                                        class EtrInterfaceIp(object):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr_interface_ip_address = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr_interface_ip_address is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.broadcast_underlay is not None and self.broadcast_underlay._has_data():
                                        return True

                                    if self.database_mapping is not None and self.database_mapping._has_data():
                                        return True

                                    if self.eid_table is not None and self.eid_table._has_data():
                                        return True

                                    if self.etr is not None and self.etr._has_data():
                                        return True

                                    if self.etr_enable is not None and self.etr_enable._has_data():
                                        return True

                                    if self.itr is not None and self.itr._has_data():
                                        return True

                                    if self.itr_enable is not None and self.itr_enable._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                        return True

                                    if self.map_request_source is not None:
                                        return True

                                    if self.site_registration is not None and self.site_registration._has_data():
                                        return True

                                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']


                            class EidTable(object):
                                """
                                Bind an eid\-table
                                
                                .. attribute:: vlan
                                
                                	VLAN configuration
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.vlan = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EidTable']['meta_info']


                            class BroadcastUnderlay(object):
                                """
                                Multicast group to use for underlay
                                
                                .. attribute:: ipv4_multicast
                                
                                	IPv4 multicast group address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_multicast
                                
                                	IPv6 multicast group address
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_multicast = None
                                    self.ipv6_multicast = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:broadcast-underlay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_multicast is not None:
                                        return True

                                    if self.ipv6_multicast is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay']['meta_info']


                            class DatabaseMapping(object):
                                """
                                Configures Locator addresses for an ETR
                                
                                .. attribute:: eid_cont
                                
                                	EID\-record for RLOC static mapping
                                	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont>`
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eid_cont = YList()
                                    self.eid_cont.parent = self
                                    self.eid_cont.name = 'eid_cont'
                                    self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit()
                                    self.limit.parent = self


                                class EidCont(object):
                                    """
                                    EID\-record for RLOC static mapping
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	xxxx.xxxx.xxxx 48 bit mac address
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                    
                                    .. attribute:: ipv4_addrees
                                    
                                    	IPv4 Address of loopback or other ETR interface
                                    	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees>`
                                    
                                    .. attribute:: ipv4_interface
                                    
                                    	
                                    	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface>`
                                    
                                    .. attribute:: ipv6_addrees
                                    
                                    	IPv6 Address of loopback or other ETR interface
                                    	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees>`
                                    
                                    .. attribute:: ipv6_interface
                                    
                                    	
                                    	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface>`
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.ipv4_addrees = YList()
                                        self.ipv4_addrees.parent = self
                                        self.ipv4_addrees.name = 'ipv4_addrees'
                                        self.ipv4_interface = YList()
                                        self.ipv4_interface.parent = self
                                        self.ipv4_interface.name = 'ipv4_interface'
                                        self.ipv6_addrees = YList()
                                        self.ipv6_addrees.parent = self
                                        self.ipv6_addrees.name = 'ipv6_addrees'
                                        self.ipv6_interface = YList()
                                        self.ipv6_interface.parent = self
                                        self.ipv6_interface.name = 'ipv6_interface'
                                        self.locator_set = None


                                    class Ipv4Addrees(object):
                                        """
                                        IPv4 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None
                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.address is None:
                                                raise YPYModelError('Key property address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.address is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                    class Ipv6Addrees(object):
                                        """
                                        IPv6 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None
                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.address is None:
                                                raise YPYModelError('Key property address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.address is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                    class Ipv4Interface(object):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\:  str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                    class Ipv6Interface(object):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\:  str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.ipv4_addrees is not None:
                                            for child_ref in self.ipv4_addrees:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ipv4_interface is not None:
                                            for child_ref in self.ipv4_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ipv6_addrees is not None:
                                            for child_ref in self.ipv6_addrees:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ipv6_interface is not None:
                                            for child_ref in self.ipv6_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.locator_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']


                                class Limit(object):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\:  int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eid_cont is not None:
                                        for child_ref in self.eid_cont:
                                            if child_ref._has_data():
                                                return True

                                    if self.limit is not None and self.limit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping']['meta_info']


                            class Itr(object):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map_resolver = YList()
                                    self.map_resolver.parent = self
                                    self.map_resolver.name = 'map_resolver'


                                class MapResolver(object):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map_resolver is not None:
                                        for child_ref in self.map_resolver:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr']['meta_info']


                            class ItrEnable(object):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.itr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.itr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable']['meta_info']


                            class EtrEnable(object):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.etr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.etr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable']['meta_info']


                            class Etr(object):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self.map_cache_ttl = None
                                    self.map_server = YList()
                                    self.map_server.parent = self
                                    self.map_server.name = 'map_server'


                                class MapServer(object):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None
                                        self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self.proxy_reply = None


                                    class Key(object):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self


                                        class KeyPwd(object):
                                            """
                                            
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.hash_function = None
                                                self.unc_pwd = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.hash_function is not None:
                                                    return True

                                                if self.unc_pwd is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info']


                                        class Key0(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_0 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_0 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info']


                                        class Key6(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_6 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_6 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info']


                                        class Key7(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_7 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_7 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None and self.key_0._has_data():
                                                return True

                                            if self.key_6 is not None and self.key_6._has_data():
                                                return True

                                            if self.key_7 is not None and self.key_7._has_data():
                                                return True

                                            if self.key_pwd is not None and self.key_pwd._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        if self.proxy_reply is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer']['meta_info']


                                class AcceptMapRequestMapping(object):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_mappping = None
                                        self.verify = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_mappping is not None:
                                            return True

                                        if self.verify is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                        return True

                                    if self.map_cache_ttl is not None:
                                        return True

                                    if self.map_server is not None:
                                        for child_ref in self.map_server:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr']['meta_info']


                            class MapCacheLimit(object):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\:  str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_map_cache_entries = None
                                    self.reserve_list = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_map_cache_entries is not None:
                                        return True

                                    if self.reserve_list is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit']['meta_info']


                            class SiteRegistration(object):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration']['meta_info']


                            class SolicitMapRequest(object):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\:  int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ignore = None
                                    self.max_per_entry = None
                                    self.suppression_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ignore is not None:
                                        return True

                                    if self.max_per_entry is not None:
                                        return True

                                    if self.suppression_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest']['meta_info']


                            class MapCache(object):
                                """
                                Use RIB routes to define EID address space in map\-cache
                                
                                .. attribute:: eid_cont
                                
                                	EID\-record for RLOC static mapping
                                	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eid_cont = YList()
                                    self.eid_cont.parent = self
                                    self.eid_cont.name = 'eid_cont'


                                class EidCont(object):
                                    """
                                    EID\-record for RLOC static mapping
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	xxxx.xxxx.xxxx 48 bit mac address
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                    
                                    .. attribute:: etr_interface_ip
                                    
                                    	
                                    	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp()
                                        self.etr_interface_ip.parent = self


                                    class EtrInterfaceIp(object):
                                        """
                                        
                                        
                                        .. attribute:: etr_interface_ip_address
                                        
                                        	IP address of loopback or other ETR interface
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: priority
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr_interface_ip_address = None
                                            self.priority = None
                                            self.weight = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr_interface_ip_address is not None:
                                                return True

                                            if self.priority is not None:
                                                return True

                                            if self.weight is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eid_cont is not None:
                                        for child_ref in self.eid_cont:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ethernet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.broadcast_underlay is not None and self.broadcast_underlay._has_data():
                                    return True

                                if self.database_mapping is not None and self.database_mapping._has_data():
                                    return True

                                if self.default is not None and self.default._has_data():
                                    return True

                                if self.eid_table is not None and self.eid_table._has_data():
                                    return True

                                if self.etr is not None and self.etr._has_data():
                                    return True

                                if self.etr_enable is not None and self.etr_enable._has_data():
                                    return True

                                if self.itr is not None and self.itr._has_data():
                                    return True

                                if self.itr_enable is not None and self.itr_enable._has_data():
                                    return True

                                if self.map_cache is not None and self.map_cache._has_data():
                                    return True

                                if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                    return True

                                if self.map_request_source is not None:
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:service'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ethernet is not None and self.ethernet._has_data():
                                return True

                            if self.ipv4 is not None and self.ipv4._has_data():
                                return True

                            if self.ipv6 is not None and self.ipv6._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList.Service']['meta_info']

                    @property
                    def _common_path(self):
                        if self.instance_id is None:
                            raise YPYModelError('Key property instance_id is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:instance-container/Cisco-IOS-XE-lisp:instance-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.instance_id is not None:
                            return True

                        if self.decapsulation is not None and self.decapsulation._has_data():
                            return True

                        if self.default is not None and self.default._has_data():
                            return True

                        if self.disable_ttl_propagate is not None:
                            return True

                        if self.dynamic_eid is not None:
                            for child_ref in self.dynamic_eid:
                                if child_ref._has_data():
                                    return True

                        if self.loc_reach_algorithm is not None and self.loc_reach_algorithm._has_data():
                            return True

                        if self.map_server is not None and self.map_server._has_data():
                            return True

                        if self.other_xtr_probe is not None and self.other_xtr_probe._has_data():
                            return True

                        if self.remote_rloc_probe is not None and self.remote_rloc_probe._has_data():
                            return True

                        if self.service is not None and self.service._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.InstanceContainer.InstanceList']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:instance-container'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.instance_list is not None:
                        for child_ref in self.instance_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.InstanceContainer']['meta_info']


            class Alt(object):
                """
                LISP Alternative Topology, LISP\-ALT
                
                .. attribute:: summary_route
                
                	Summary route to install into the ALT table
                	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Alt.SummaryRoute>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.summary_route = YList()
                    self.summary_route.parent = self
                    self.summary_route.name = 'summary_route'


                class SummaryRoute(object):
                    """
                    Summary route to install into the ALT table
                    
                    .. attribute:: eid_prefix  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    .. attribute:: route_tag
                    
                    	ALT RIB route tag for EID prefix
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eid_prefix = None
                        self.route_tag = None

                    @property
                    def _common_path(self):
                        if self.eid_prefix is None:
                            raise YPYModelError('Key property eid_prefix is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:alt/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eid_prefix is not None:
                            return True

                        if self.route_tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Alt.SummaryRoute']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:alt'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.summary_route is not None:
                        for child_ref in self.summary_route:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.Alt']['meta_info']


            class ControlPacket(object):
                """
                Configure control packet tx option
                
                .. attribute:: mtu
                
                	Configure control packet MTU
                	**type**\:  int
                
                	**range:** 304..10000
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.mtu = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:control-packet'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.mtu is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.ControlPacket']['meta_info']


            class Ddt(object):
                """
                Delegated Database Tree (DDT) mapping system
                
                .. attribute:: authoritative
                
                	DDT authoritative prefix
                	**type**\:   :py:class:`Authoritative <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ddt.Authoritative>`
                
                .. attribute:: cache_limit
                
                	DDT resolver cache entry limit
                	**type**\:  int
                
                	**range:** 1..100000
                
                .. attribute:: root
                
                	DDT root node
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.authoritative = Native.Router.Lisp.Ddt.Authoritative()
                    self.authoritative.parent = self
                    self.cache_limit = None
                    self.root = None


                class Authoritative(object):
                    """
                    DDT authoritative prefix
                    
                    .. attribute:: instance_id_eid_prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`InstanceIdEidPrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList>`
                    
                    .. attribute:: instance_id_list
                    
                    	
                    	**type**\: list of    :py:class:`InstanceIdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ddt.Authoritative.InstanceIdList>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.instance_id_eid_prefix_list = YList()
                        self.instance_id_eid_prefix_list.parent = self
                        self.instance_id_eid_prefix_list.name = 'instance_id_eid_prefix_list'
                        self.instance_id_list = YList()
                        self.instance_id_list.parent = self
                        self.instance_id_list.name = 'instance_id_list'


                    class InstanceIdEidPrefixList(object):
                        """
                        
                        
                        .. attribute:: instance_id  <key>
                        
                        	EID instance\-ID
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: eid_prefix  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        
                        ----
                        .. attribute:: delegate
                        
                        	DDT delegation to a child DDT node or map\-server
                        	**type**\:   :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate>`
                        
                        .. attribute:: map_server_peer
                        
                        	Peer map\-servers that are authoritative for the same EID prefixes
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.instance_id = None
                            self.eid_prefix = None
                            self.delegate = Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate()
                            self.delegate.parent = self
                            self.map_server_peer = None


                        class Delegate(object):
                            """
                            DDT delegation to a child DDT node or map\-server
                            
                            .. attribute:: eid_prefix
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: instance_id
                            
                            	EID instance\-ID
                            	**type**\:  str
                            
                            .. attribute:: ip_address
                            
                            	IPv4/6 Child or map\-server node locator address
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: map_server
                            
                            	Delegation points to a map\-server
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: to
                            
                            	DDT delegation to a child DDT node or map\-server
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eid_prefix = None
                                self.instance_id = None
                                self.ip_address = None
                                self.map_server = None
                                self.to = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:delegate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eid_prefix is not None:
                                    return True

                                if self.instance_id is not None:
                                    return True

                                if self.ip_address is not None:
                                    return True

                                if self.map_server is not None:
                                    return True

                                if self.to is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate']['meta_info']

                        @property
                        def _common_path(self):
                            if self.instance_id is None:
                                raise YPYModelError('Key property instance_id is None')
                            if self.eid_prefix is None:
                                raise YPYModelError('Key property eid_prefix is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ddt/Cisco-IOS-XE-lisp:authoritative/Cisco-IOS-XE-lisp:instance-id-eid-prefix-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + '][Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.instance_id is not None:
                                return True

                            if self.eid_prefix is not None:
                                return True

                            if self.delegate is not None and self.delegate._has_data():
                                return True

                            if self.map_server_peer is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info']


                    class InstanceIdList(object):
                        """
                        
                        
                        .. attribute:: instance_id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: delegate
                        
                        	DDT delegation to a child DDT node or map\-server
                        	**type**\:   :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ddt.Authoritative.InstanceIdList.Delegate>`
                        
                        .. attribute:: map_server_peer
                        
                        	Peer map\-servers that are authoritative for the same EID prefixes
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.instance_id = None
                            self.delegate = Native.Router.Lisp.Ddt.Authoritative.InstanceIdList.Delegate()
                            self.delegate.parent = self
                            self.map_server_peer = None


                        class Delegate(object):
                            """
                            DDT delegation to a child DDT node or map\-server
                            
                            .. attribute:: eid_prefix
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: instance_id
                            
                            	EID instance\-ID
                            	**type**\:  str
                            
                            .. attribute:: ip_address
                            
                            	IPv4/6 Child or map\-server node locator address
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: map_server
                            
                            	Delegation points to a map\-server
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: to
                            
                            	DDT delegation to a child DDT node or map\-server
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eid_prefix = None
                                self.instance_id = None
                                self.ip_address = None
                                self.map_server = None
                                self.to = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:delegate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eid_prefix is not None:
                                    return True

                                if self.instance_id is not None:
                                    return True

                                if self.ip_address is not None:
                                    return True

                                if self.map_server is not None:
                                    return True

                                if self.to is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ddt.Authoritative.InstanceIdList.Delegate']['meta_info']

                        @property
                        def _common_path(self):
                            if self.instance_id is None:
                                raise YPYModelError('Key property instance_id is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ddt/Cisco-IOS-XE-lisp:authoritative/Cisco-IOS-XE-lisp:instance-id-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.instance_id is not None:
                                return True

                            if self.delegate is not None and self.delegate._has_data():
                                return True

                            if self.map_server_peer is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Ddt.Authoritative.InstanceIdList']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ddt/Cisco-IOS-XE-lisp:authoritative'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.instance_id_eid_prefix_list is not None:
                            for child_ref in self.instance_id_eid_prefix_list:
                                if child_ref._has_data():
                                    return True

                        if self.instance_id_list is not None:
                            for child_ref in self.instance_id_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ddt.Authoritative']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ddt'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.authoritative is not None and self.authoritative._has_data():
                        return True

                    if self.cache_limit is not None:
                        return True

                    if self.root is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.Ddt']['meta_info']


            class Decapsulation(object):
                """
                Decapsulation behavior (e.g. filters)
                
                .. attribute:: filter
                
                	Filters traffic
                	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Decapsulation.Filter>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.filter = Native.Router.Lisp.Decapsulation.Filter()
                    self.filter.parent = self


                class Filter(object):
                    """
                    Filters traffic
                    
                    .. attribute:: rloc
                    
                    	Filter based on Routing Locator (RLOC) in packet header
                    	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Decapsulation.Filter.Rloc>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.rloc = Native.Router.Lisp.Decapsulation.Filter.Rloc()
                        self.rloc.parent = self


                    class Rloc(object):
                        """
                        Filter based on Routing Locator (RLOC) in packet header
                        
                        .. attribute:: source
                        
                        	Filters traffic based on RLOC source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Decapsulation.Filter.Rloc.Source>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.source = Native.Router.Lisp.Decapsulation.Filter.Rloc.Source()
                            self.source.parent = self


                        class Source(object):
                            """
                            Filters traffic based on RLOC source address
                            
                            .. attribute:: locator_set
                            
                            	Locator\-set Name
                            	**type**\:  str
                            
                            .. attribute:: member
                            
                            	Members learned from map\-server
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.locator_set = None
                                self.member = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:decapsulation/Cisco-IOS-XE-lisp:filter/Cisco-IOS-XE-lisp:rloc/Cisco-IOS-XE-lisp:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.locator_set is not None:
                                    return True

                                if self.member is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Decapsulation.Filter.Rloc.Source']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:decapsulation/Cisco-IOS-XE-lisp:filter/Cisco-IOS-XE-lisp:rloc'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Decapsulation.Filter.Rloc']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:decapsulation/Cisco-IOS-XE-lisp:filter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.rloc is not None and self.rloc._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Decapsulation.Filter']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:decapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.filter is not None and self.filter._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.Decapsulation']['meta_info']


            class Etr(object):
                """
                Configures a LISP Egress Tunnel Router (ETR)
                
                .. attribute:: map_server
                
                	Configures map server for ETR registration
                	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Etr.MapServer>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.map_server = Native.Router.Lisp.Etr.MapServer()
                    self.map_server.parent = self


                class MapServer(object):
                    """
                    Configures map server for ETR registration
                    
                    .. attribute:: source_address
                    
                    	Configures map server source address
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source_address = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:map-server'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source_address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Etr.MapServer']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:etr'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.map_server is not None and self.map_server._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.Etr']['meta_info']


            class Ipv4(object):
                """
                IPv4 address family
                
                .. attribute:: alt_vrf
                
                	Activate LISP\-ALT functionality in VRF
                	**type**\:  str
                
                	**status**\: deprecated
                
                .. attribute:: database_mapping
                
                	Address family specific local EID prefixes database configuration
                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.DatabaseMapping>`
                
                .. attribute:: distance
                
                	Administrative distance for RIB route installation
                	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.Distance>`
                
                .. attribute:: etr
                
                	Configures a LISP Egress Tunnel Router (ETR)
                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.Etr>`
                
                .. attribute:: etr_enable
                
                	
                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.EtrEnable>`
                
                .. attribute:: itr
                
                	Configures a LISP Ingress Tunnel Router (ITR)
                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.Itr>`
                
                .. attribute:: itr_enable
                
                	
                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.ItrEnable>`
                
                .. attribute:: locator
                
                	Locator related configuration
                	**type**\:   :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.Locator>`
                
                .. attribute:: map_cache
                
                	Address family specific map cache configuration
                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapCache>`
                
                .. attribute:: map_cache_limit
                
                	Configures maximum size of map\-cache
                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapCacheLimit>`
                
                .. attribute:: map_cache_persistent
                
                	Dump map\-cache onto flash, making it persistent across reboots
                	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapCachePersistent>`
                
                .. attribute:: map_request_source
                
                	Configures inner header source address in Map\-Request message
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: map_resolver
                
                	Configures a LISP Map Resolver (MR)
                	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapResolver>`
                
                	**presence node**\: True
                
                .. attribute:: map_server
                
                	Configures a LISP Map Server (MS)
                	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapServer>`
                
                	**presence node**\: True
                
                .. attribute:: path_mtu_discovery
                
                	Path MTU discovery
                	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.PathMtuDiscovery>`
                
                	**presence node**\: True
                
                .. attribute:: proxy_etr
                
                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_itr
                
                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                	**type**\: one of the below types:
                
                	**type**\:  list of str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  list of str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: route_export
                
                	Export routes into RIB from LISP
                	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteExport>`
                
                .. attribute:: route_import
                
                	Import RIB routes by a routing protocol into LISP
                	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport>`
                
                .. attribute:: sgt
                
                	Enable security group tag propagation in LISP encapsulated traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: site_registration
                
                	Site registrations configuration for a given instance\-id
                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.SiteRegistration>`
                
                .. attribute:: solicit_map_request
                
                	Configure Solicit\-Map\-Request handling
                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.SolicitMapRequest>`
                
                .. attribute:: use_petr
                
                	Encapsulate to Proxy ETR when matching forward\-native entry
                	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.UsePetr>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.alt_vrf = None
                    self.database_mapping = Native.Router.Lisp.Ipv4.DatabaseMapping()
                    self.database_mapping.parent = self
                    self.distance = Native.Router.Lisp.Ipv4.Distance()
                    self.distance.parent = self
                    self.etr = Native.Router.Lisp.Ipv4.Etr()
                    self.etr.parent = self
                    self.etr_enable = Native.Router.Lisp.Ipv4.EtrEnable()
                    self.etr_enable.parent = self
                    self.itr = Native.Router.Lisp.Ipv4.Itr()
                    self.itr.parent = self
                    self.itr_enable = Native.Router.Lisp.Ipv4.ItrEnable()
                    self.itr_enable.parent = self
                    self.locator = Native.Router.Lisp.Ipv4.Locator()
                    self.locator.parent = self
                    self.map_cache = Native.Router.Lisp.Ipv4.MapCache()
                    self.map_cache.parent = self
                    self.map_cache_limit = Native.Router.Lisp.Ipv4.MapCacheLimit()
                    self.map_cache_limit.parent = self
                    self.map_cache_persistent = Native.Router.Lisp.Ipv4.MapCachePersistent()
                    self.map_cache_persistent.parent = self
                    self.map_request_source = None
                    self.map_resolver = None
                    self.map_server = None
                    self.path_mtu_discovery = None
                    self.proxy_etr = None
                    self.proxy_itr = YLeafList()
                    self.proxy_itr.parent = self
                    self.proxy_itr.name = 'proxy_itr'
                    self.route_export = Native.Router.Lisp.Ipv4.RouteExport()
                    self.route_export.parent = self
                    self.route_import = Native.Router.Lisp.Ipv4.RouteImport()
                    self.route_import.parent = self
                    self.sgt = None
                    self.site_registration = Native.Router.Lisp.Ipv4.SiteRegistration()
                    self.site_registration.parent = self
                    self.solicit_map_request = Native.Router.Lisp.Ipv4.SolicitMapRequest()
                    self.solicit_map_request.parent = self
                    self.use_petr = YList()
                    self.use_petr.parent = self
                    self.use_petr.name = 'use_petr'


                class DatabaseMapping(object):
                    """
                    Address family specific local EID prefixes database configuration
                    
                    .. attribute:: limit
                    
                    	Configures the maximum size of local EID prefixes database
                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.DatabaseMapping.Limit>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.limit = Native.Router.Lisp.Ipv4.DatabaseMapping.Limit()
                        self.limit.parent = self


                    class Limit(object):
                        """
                        Configures the maximum size of local EID prefixes database
                        
                        .. attribute:: dynamic
                        
                        	Configures the maximum size of dynamic local EID prefixes database
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dynamic = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:database-mapping/Cisco-IOS-XE-lisp:limit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dynamic is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Ipv4.DatabaseMapping.Limit']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:database-mapping'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.limit is not None and self.limit._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv4.DatabaseMapping']['meta_info']


                class Distance(object):
                    """
                    Administrative distance for RIB route installation
                    
                    .. attribute:: alt
                    
                    	LISP routes installed in the ALT table
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dyn_eid
                    
                    	LISP installed routes of type dynamic\-EID
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: site_registrations
                    
                    	LISP installed routes of type site\-registrations
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.alt = None
                        self.dyn_eid = None
                        self.site_registrations = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:distance'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.alt is not None:
                            return True

                        if self.dyn_eid is not None:
                            return True

                        if self.site_registrations is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv4.Distance']['meta_info']


                class Itr(object):
                    """
                    Configures a LISP Ingress Tunnel Router (ITR)
                    
                    .. attribute:: map_resolver
                    
                    	Configures map\-resolver address for sending Map\-Requests
                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.Itr.MapResolver>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.map_resolver = YList()
                        self.map_resolver.parent = self
                        self.map_resolver.name = 'map_resolver'


                    class MapResolver(object):
                        """
                        Configures map\-resolver address for sending Map\-Requests
                        
                        .. attribute:: ip_addr  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip_addr = None

                        @property
                        def _common_path(self):
                            if self.ip_addr is None:
                                raise YPYModelError('Key property ip_addr is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:itr/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip_addr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Ipv4.Itr.MapResolver']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:itr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.map_resolver is not None:
                            for child_ref in self.map_resolver:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv4.Itr']['meta_info']


                class ItrEnable(object):
                    """
                    
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.itr = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:itr-enable'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.itr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv4.ItrEnable']['meta_info']


                class Etr(object):
                    """
                    Configures a LISP Egress Tunnel Router (ETR)
                    
                    .. attribute:: map_server
                    
                    	Configures map server for ETR registration
                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.Etr.MapServer>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.map_server = YList()
                        self.map_server.parent = self
                        self.map_server.name = 'map_server'


                    class MapServer(object):
                        """
                        Configures map server for ETR registration
                        
                        .. attribute:: ip_addr  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: key
                        
                        	Authentication key used with map server
                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.Etr.MapServer.Key>`
                        
                        .. attribute:: proxy_reply
                        
                        	Request Map\-Server to send Map\-Replies on behalf of site
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip_addr = None
                            self.key = Native.Router.Lisp.Ipv4.Etr.MapServer.Key()
                            self.key.parent = self
                            self.proxy_reply = None


                        class Key(object):
                            """
                            Authentication key used with map server
                            
                            .. attribute:: key_0
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\:  str
                            
                            .. attribute:: key_6
                            
                            	The ENCRYPTED password
                            	**type**\:  str
                            
                            .. attribute:: key_7
                            
                            	The HIDDEN password
                            	**type**\:  str
                            
                            .. attribute:: pwd
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_0 = None
                                self.key_6 = None
                                self.key_7 = None
                                self.pwd = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_0 is not None:
                                    return True

                                if self.key_6 is not None:
                                    return True

                                if self.key_7 is not None:
                                    return True

                                if self.pwd is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv4.Etr.MapServer.Key']['meta_info']

                        @property
                        def _common_path(self):
                            if self.ip_addr is None:
                                raise YPYModelError('Key property ip_addr is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip_addr is not None:
                                return True

                            if self.key is not None and self.key._has_data():
                                return True

                            if self.proxy_reply is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Ipv4.Etr.MapServer']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:etr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.map_server is not None:
                            for child_ref in self.map_server:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv4.Etr']['meta_info']


                class EtrEnable(object):
                    """
                    
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.etr = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:etr-enable'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.etr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv4.EtrEnable']['meta_info']


                class Locator(object):
                    """
                    Locator related configuration
                    
                    .. attribute:: reachability
                    
                    	Configuration realted to locator reachability
                    	**type**\:   :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.Locator.Reachability>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.reachability = Native.Router.Lisp.Ipv4.Locator.Reachability()
                        self.reachability.parent = self


                    class Reachability(object):
                        """
                        Configuration realted to locator reachability
                        
                        .. attribute:: exclude_default
                        
                        	If a remote RLOC is reached via the default route, treat it as unreachable
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.exclude_default = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:locator/Cisco-IOS-XE-lisp:reachability'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.exclude_default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Ipv4.Locator.Reachability']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:locator'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.reachability is not None and self.reachability._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv4.Locator']['meta_info']


                class MapCache(object):
                    """
                    Address family specific map cache configuration
                    
                    .. attribute:: site_registration
                    
                    	Install map cache to map request for site registrations
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.site_registration = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.site_registration is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv4.MapCache']['meta_info']


                class MapCacheLimit(object):
                    """
                    Configures maximum size of map\-cache
                    
                    .. attribute:: max_map_cache_entries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..100000
                    
                    .. attribute:: reserve_list
                    
                    	EID\-prefixes guaranteed to be stored in map\-cache
                    	**type**\:  str
                    
                    .. attribute:: warning_threshold
                    
                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.max_map_cache_entries = None
                        self.reserve_list = None
                        self.warning_threshold = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-cache-limit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.max_map_cache_entries is not None:
                            return True

                        if self.reserve_list is not None:
                            return True

                        if self.warning_threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv4.MapCacheLimit']['meta_info']


                class MapCachePersistent(object):
                    """
                    Dump map\-cache onto flash, making it persistent across reboots
                    
                    .. attribute:: interval
                    
                    	Interval in minutes of how often the map\-cache is saved
                    	**type**\:  int
                    
                    	**range:** 1..1440
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interval = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-cache-persistent'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interval is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv4.MapCachePersistent']['meta_info']


                class MapResolver(object):
                    """
                    Configures a LISP Map Resolver (MR)
                    
                    .. attribute:: map_request
                    
                    	Map\-Request processing options
                    	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapResolver.MapRequest>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.map_request = Native.Router.Lisp.Ipv4.MapResolver.MapRequest()
                        self.map_request.parent = self


                    class MapRequest(object):
                        """
                        Map\-Request processing options
                        
                        .. attribute:: validate
                        
                        	Validation options
                        	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.validate = Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate()
                            self.validate.parent = self


                        class Validate(object):
                            """
                            Validation options
                            
                            .. attribute:: source
                            
                            	Influence which source RLOCs map requests are accepted from
                            	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate.Source>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.source = Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate.Source()
                                self.source.parent = self


                            class Source(object):
                                """
                                Influence which source RLOCs map requests are accepted from
                                
                                .. attribute:: ipv4
                                
                                	IPv4 prefixes
                                	**type**\:  str
                                
                                .. attribute:: ipv6
                                
                                	IPv6 prefixes
                                	**type**\:  str
                                
                                .. attribute:: list
                                
                                	Define allowed prefixes using an ip[v6] prefix list
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: registered
                                
                                	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None
                                    self.ipv6 = None
                                    self.list = None
                                    self.registered = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    if self.ipv6 is not None:
                                        return True

                                    if self.list is not None:
                                        return True

                                    if self.registered is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.source is not None and self.source._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.validate is not None and self.validate._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Ipv4.MapResolver.MapRequest']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-resolver'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.map_request is not None and self.map_request._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv4.MapResolver']['meta_info']


                class MapServer(object):
                    """
                    Configures a LISP Map Server (MS)
                    
                    .. attribute:: map_register
                    
                    	Map\-Register processing options
                    	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapServer.MapRegister>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.map_register = Native.Router.Lisp.Ipv4.MapServer.MapRegister()
                        self.map_register.parent = self


                    class MapRegister(object):
                        """
                        Map\-Register processing options
                        
                        .. attribute:: validate
                        
                        	Validation options
                        	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.validate = Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate()
                            self.validate.parent = self


                        class Validate(object):
                            """
                            Validation options
                            
                            .. attribute:: source
                            
                            	RLOC Source IP address
                            	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate.Source>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.source = Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate.Source()
                                self.source.parent = self


                            class Source(object):
                                """
                                RLOC Source IP address
                                
                                .. attribute:: allowed_locator
                                
                                	Against sites' allowed\-locators policy
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.allowed_locator = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.allowed_locator is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.source is not None and self.source._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.validate is not None and self.validate._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Ipv4.MapServer.MapRegister']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:map-server'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.map_register is not None and self.map_register._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv4.MapServer']['meta_info']


                class PathMtuDiscovery(object):
                    """
                    Path MTU discovery
                    
                    .. attribute:: max
                    
                    	Upper bound on the path MTU accepted
                    	**type**\:  int
                    
                    	**range:** 68..65535
                    
                    .. attribute:: min
                    
                    	Lower bound on the path MTU accepted
                    	**type**\:  int
                    
                    	**range:** 68..65535
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.max = None
                        self.min = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:path-mtu-discovery'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.max is not None:
                            return True

                        if self.min is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv4.PathMtuDiscovery']['meta_info']


                class RouteExport(object):
                    """
                    Export routes into RIB from LISP
                    
                    .. attribute:: away_eids
                    
                    	Export LISP away EIDs to RIB
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: site_registrations
                    
                    	Export LISP site registrations to RIB
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.away_eids = None
                        self.site_registrations = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-export'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.away_eids is not None:
                            return True

                        if self.site_registrations is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv4.RouteExport']['meta_info']


                class RouteImport(object):
                    """
                    Import RIB routes by a routing protocol into LISP
                    
                    .. attribute:: database
                    
                    	Use RIB routes to define local EID database entries
                    	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database>`
                    
                    .. attribute:: map_cache
                    
                    	Use RIB routes to define EID address space in map\-cache
                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.database = Native.Router.Lisp.Ipv4.RouteImport.Database()
                        self.database.parent = self
                        self.map_cache = Native.Router.Lisp.Ipv4.RouteImport.MapCache()
                        self.map_cache.parent = self


                    class Database(object):
                        """
                        Use RIB routes to define local EID database entries
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Connected>`
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Isis>`
                        
                        .. attribute:: maximum_prefix
                        
                        	Maximum number of prefixes to pick up from the RIB
                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.MaximumPrefix>`
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf>`
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Rip>`
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Static>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bgp = YList()
                            self.bgp.parent = self
                            self.bgp.name = 'bgp'
                            self.connected = Native.Router.Lisp.Ipv4.RouteImport.Database.Connected()
                            self.connected.parent = self
                            self.eigrp = YList()
                            self.eigrp.parent = self
                            self.eigrp.name = 'eigrp'
                            self.isis = YList()
                            self.isis.parent = self
                            self.isis.name = 'isis'
                            self.maximum_prefix = Native.Router.Lisp.Ipv4.RouteImport.Database.MaximumPrefix()
                            self.maximum_prefix.parent = self
                            self.ospf = YList()
                            self.ospf.parent = self
                            self.ospf.name = 'ospf'
                            self.ospfv3 = YList()
                            self.ospfv3.parent = self
                            self.ospfv3.name = 'ospfv3'
                            self.rip = Native.Router.Lisp.Ipv4.RouteImport.Database.Rip()
                            self.rip.parent = self
                            self.static = Native.Router.Lisp.Ipv4.RouteImport.Database.Static()
                            self.static.parent = self


                        class Bgp(object):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp']['meta_info']


                        class Connected(object):
                            """
                            Connected
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:connected/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:connected'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Connected']['meta_info']


                        class Eigrp(object):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp']['meta_info']


                        class Isis(object):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Isis']['meta_info']


                        class MaximumPrefix(object):
                            """
                            Maximum number of prefixes to pick up from the RIB
                            
                            .. attribute:: number
                            
                            	
                            	**type**\:  int
                            
                            	**range:** \-2147483648..2147483647
                            
                            .. attribute:: threshold
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold1
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: warning_only
                            
                            	Only give a warning message and do not limit entries
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: warning_only1
                            
                            	Only give a warning message and do not limit entries
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.number = None
                                self.threshold = None
                                self.threshold1 = None
                                self.warning_only = None
                                self.warning_only1 = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:maximum-prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.number is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                if self.threshold1 is not None:
                                    return True

                                if self.warning_only is not None:
                                    return True

                                if self.warning_only1 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info']


                        class Ospf(object):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf']['meta_info']


                        class Ospfv3(object):
                            """
                            OSPFv3
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3']['meta_info']


                        class Rip(object):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:rip/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:rip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Rip']['meta_info']


                        class Static(object):
                            """
                            Static routes
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:static/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database.Static']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bgp is not None:
                                for child_ref in self.bgp:
                                    if child_ref._has_data():
                                        return True

                            if self.connected is not None and self.connected._has_data():
                                return True

                            if self.eigrp is not None:
                                for child_ref in self.eigrp:
                                    if child_ref._has_data():
                                        return True

                            if self.isis is not None:
                                for child_ref in self.isis:
                                    if child_ref._has_data():
                                        return True

                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                return True

                            if self.ospf is not None:
                                for child_ref in self.ospf:
                                    if child_ref._has_data():
                                        return True

                            if self.ospfv3 is not None:
                                for child_ref in self.ospfv3:
                                    if child_ref._has_data():
                                        return True

                            if self.rip is not None and self.rip._has_data():
                                return True

                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.Database']['meta_info']


                    class MapCache(object):
                        """
                        Use RIB routes to define EID address space in map\-cache
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Isis>`
                        
                        .. attribute:: maximum_prefix
                        
                        	Maximum number of prefixes to pick up from the RIB
                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospf>`
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Rip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Static>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bgp = YList()
                            self.bgp.parent = self
                            self.bgp.name = 'bgp'
                            self.connected = None
                            self.eigrp = YList()
                            self.eigrp.parent = self
                            self.eigrp.name = 'eigrp'
                            self.isis = YList()
                            self.isis.parent = self
                            self.isis.name = 'isis'
                            self.maximum_prefix = Native.Router.Lisp.Ipv4.RouteImport.MapCache.MaximumPrefix()
                            self.maximum_prefix.parent = self
                            self.ospf = YList()
                            self.ospf.parent = self
                            self.ospf.name = 'ospf'
                            self.ospfv3 = YList()
                            self.ospfv3.parent = self
                            self.ospfv3.name = 'ospfv3'
                            self.rip = None
                            self.static = None


                        class Bgp(object):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Bgp']['meta_info']


                        class Connected(object):
                            """
                            Connected
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:connected/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:connected'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Connected']['meta_info']


                        class Eigrp(object):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']


                        class Isis(object):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Isis']['meta_info']


                        class MaximumPrefix(object):
                            """
                            Maximum number of prefixes to pick up from the RIB
                            
                            .. attribute:: number
                            
                            	
                            	**type**\:  int
                            
                            	**range:** \-2147483648..2147483647
                            
                            .. attribute:: threshold
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold1
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: warning_only
                            
                            	Only give a warning message and do not limit entries
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: warning_only1
                            
                            	Only give a warning message and do not limit entries
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.number = None
                                self.threshold = None
                                self.threshold1 = None
                                self.warning_only = None
                                self.warning_only1 = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:maximum-prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.number is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                if self.threshold1 is not None:
                                    return True

                                if self.warning_only is not None:
                                    return True

                                if self.warning_only1 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info']


                        class Ospf(object):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospf']['meta_info']


                        class Ospfv3(object):
                            """
                            OSPFv3
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info']


                        class Rip(object):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:rip/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:rip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Rip']['meta_info']


                        class Static(object):
                            """
                            Static routes
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:static/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache.Static']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bgp is not None:
                                for child_ref in self.bgp:
                                    if child_ref._has_data():
                                        return True

                            if self.connected is not None and self.connected._has_data():
                                return True

                            if self.eigrp is not None:
                                for child_ref in self.eigrp:
                                    if child_ref._has_data():
                                        return True

                            if self.isis is not None:
                                for child_ref in self.isis:
                                    if child_ref._has_data():
                                        return True

                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                return True

                            if self.ospf is not None:
                                for child_ref in self.ospf:
                                    if child_ref._has_data():
                                        return True

                            if self.ospfv3 is not None:
                                for child_ref in self.ospfv3:
                                    if child_ref._has_data():
                                        return True

                            if self.rip is not None and self.rip._has_data():
                                return True

                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport.MapCache']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:route-import'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.database is not None and self.database._has_data():
                            return True

                        if self.map_cache is not None and self.map_cache._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv4.RouteImport']['meta_info']


                class SiteRegistration(object):
                    """
                    Site registrations configuration for a given instance\-id
                    
                    .. attribute:: limit
                    
                    	Maximum number of site registrations for a given instance\-id
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: warning_threshold
                    
                    	Warning threshold to issue system logging
                    	**type**\:  int
                    
                    	**range:** 1..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.limit = None
                        self.warning_threshold = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:site-registration'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.limit is not None:
                            return True

                        if self.warning_threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv4.SiteRegistration']['meta_info']


                class SolicitMapRequest(object):
                    """
                    Configure Solicit\-Map\-Request handling
                    
                    .. attribute:: ignore
                    
                    	Ignore SMR bit in incoming Map\-Requests
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_per_entry
                    
                    	Maximum number of SMRs for addresses under a map\-cache entry
                    	**type**\:  int
                    
                    	**range:** 1..100
                    
                    .. attribute:: suppression_time
                    
                    	How long to suppress repeated SMRs for the same address
                    	**type**\:  int
                    
                    	**range:** 1..600
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ignore = None
                        self.max_per_entry = None
                        self.suppression_time = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:solicit-map-request'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ignore is not None:
                            return True

                        if self.max_per_entry is not None:
                            return True

                        if self.suppression_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv4.SolicitMapRequest']['meta_info']


                class UsePetr(object):
                    """
                    Encapsulate to Proxy ETR when matching forward\-native entry
                    
                    .. attribute:: locator_address  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: priority
                    
                    	Configures which Locators from a set are preferred
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: weight
                    
                    	Traffic load\-spreading among Locators
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.locator_address = None
                        self.priority = None
                        self.weight = None

                    @property
                    def _common_path(self):
                        if self.locator_address is None:
                            raise YPYModelError('Key property locator_address is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.locator_address is not None:
                            return True

                        if self.priority is not None:
                            return True

                        if self.weight is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv4.UsePetr']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv4'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.alt_vrf is not None:
                        return True

                    if self.database_mapping is not None and self.database_mapping._has_data():
                        return True

                    if self.distance is not None and self.distance._has_data():
                        return True

                    if self.etr is not None and self.etr._has_data():
                        return True

                    if self.etr_enable is not None and self.etr_enable._has_data():
                        return True

                    if self.itr is not None and self.itr._has_data():
                        return True

                    if self.itr_enable is not None and self.itr_enable._has_data():
                        return True

                    if self.locator is not None and self.locator._has_data():
                        return True

                    if self.map_cache is not None and self.map_cache._has_data():
                        return True

                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                        return True

                    if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                        return True

                    if self.map_request_source is not None:
                        return True

                    if self.map_resolver is not None and self.map_resolver._has_data():
                        return True

                    if self.map_server is not None and self.map_server._has_data():
                        return True

                    if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                        return True

                    if self.proxy_etr is not None:
                        return True

                    if self.proxy_itr is not None:
                        for child in self.proxy_itr:
                            if child is not None:
                                return True

                    if self.route_export is not None and self.route_export._has_data():
                        return True

                    if self.route_import is not None and self.route_import._has_data():
                        return True

                    if self.sgt is not None:
                        return True

                    if self.site_registration is not None and self.site_registration._has_data():
                        return True

                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                        return True

                    if self.use_petr is not None:
                        for child_ref in self.use_petr:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.Ipv4']['meta_info']


            class Ipv6(object):
                """
                IPv6 address family
                
                .. attribute:: alt_vrf
                
                	Activate LISP\-ALT functionality in VRF
                	**type**\:  str
                
                	**status**\: deprecated
                
                .. attribute:: database_mapping
                
                	Address family specific local EID prefixes database configuration
                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.DatabaseMapping>`
                
                .. attribute:: distance
                
                	Administrative distance for RIB route installation
                	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.Distance>`
                
                .. attribute:: etr
                
                	Configures a LISP Egress Tunnel Router (ETR)
                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.Etr>`
                
                .. attribute:: etr_enable
                
                	
                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.EtrEnable>`
                
                .. attribute:: itr
                
                	Configures a LISP Ingress Tunnel Router (ITR)
                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.Itr>`
                
                .. attribute:: itr_enable
                
                	
                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.ItrEnable>`
                
                .. attribute:: locator
                
                	Locator related configuration
                	**type**\:   :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.Locator>`
                
                .. attribute:: map_cache
                
                	Address family specific map cache configuration
                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapCache>`
                
                .. attribute:: map_cache_limit
                
                	Configures maximum size of map\-cache
                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapCacheLimit>`
                
                .. attribute:: map_cache_persistent
                
                	Dump map\-cache onto flash, making it persistent across reboots
                	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapCachePersistent>`
                
                .. attribute:: map_request_source
                
                	Configures inner header source address in Map\-Request message
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: map_resolver
                
                	Configures a LISP Map Resolver (MR)
                	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapResolver>`
                
                	**presence node**\: True
                
                .. attribute:: map_server
                
                	Configures a LISP Map Server (MS)
                	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapServer>`
                
                	**presence node**\: True
                
                .. attribute:: path_mtu_discovery
                
                	Path MTU discovery
                	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.PathMtuDiscovery>`
                
                	**presence node**\: True
                
                .. attribute:: proxy_etr
                
                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_itr
                
                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                	**type**\: one of the below types:
                
                	**type**\:  list of str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  list of str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: route_export
                
                	Export routes into RIB from LISP
                	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteExport>`
                
                .. attribute:: route_import
                
                	Import RIB routes by a routing protocol into LISP
                	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport>`
                
                .. attribute:: sgt
                
                	Enable security group tag propagation in LISP encapsulated traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: site_registration
                
                	Site registrations configuration for a given instance\-id
                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.SiteRegistration>`
                
                .. attribute:: solicit_map_request
                
                	Configure Solicit\-Map\-Request handling
                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.SolicitMapRequest>`
                
                .. attribute:: use_petr
                
                	Encapsulate to Proxy ETR when matching forward\-native entry
                	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.UsePetr>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.alt_vrf = None
                    self.database_mapping = Native.Router.Lisp.Ipv6.DatabaseMapping()
                    self.database_mapping.parent = self
                    self.distance = Native.Router.Lisp.Ipv6.Distance()
                    self.distance.parent = self
                    self.etr = Native.Router.Lisp.Ipv6.Etr()
                    self.etr.parent = self
                    self.etr_enable = Native.Router.Lisp.Ipv6.EtrEnable()
                    self.etr_enable.parent = self
                    self.itr = Native.Router.Lisp.Ipv6.Itr()
                    self.itr.parent = self
                    self.itr_enable = Native.Router.Lisp.Ipv6.ItrEnable()
                    self.itr_enable.parent = self
                    self.locator = Native.Router.Lisp.Ipv6.Locator()
                    self.locator.parent = self
                    self.map_cache = Native.Router.Lisp.Ipv6.MapCache()
                    self.map_cache.parent = self
                    self.map_cache_limit = Native.Router.Lisp.Ipv6.MapCacheLimit()
                    self.map_cache_limit.parent = self
                    self.map_cache_persistent = Native.Router.Lisp.Ipv6.MapCachePersistent()
                    self.map_cache_persistent.parent = self
                    self.map_request_source = None
                    self.map_resolver = None
                    self.map_server = None
                    self.path_mtu_discovery = None
                    self.proxy_etr = None
                    self.proxy_itr = YLeafList()
                    self.proxy_itr.parent = self
                    self.proxy_itr.name = 'proxy_itr'
                    self.route_export = Native.Router.Lisp.Ipv6.RouteExport()
                    self.route_export.parent = self
                    self.route_import = Native.Router.Lisp.Ipv6.RouteImport()
                    self.route_import.parent = self
                    self.sgt = None
                    self.site_registration = Native.Router.Lisp.Ipv6.SiteRegistration()
                    self.site_registration.parent = self
                    self.solicit_map_request = Native.Router.Lisp.Ipv6.SolicitMapRequest()
                    self.solicit_map_request.parent = self
                    self.use_petr = YList()
                    self.use_petr.parent = self
                    self.use_petr.name = 'use_petr'


                class DatabaseMapping(object):
                    """
                    Address family specific local EID prefixes database configuration
                    
                    .. attribute:: limit
                    
                    	Configures the maximum size of local EID prefixes database
                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.DatabaseMapping.Limit>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.limit = Native.Router.Lisp.Ipv6.DatabaseMapping.Limit()
                        self.limit.parent = self


                    class Limit(object):
                        """
                        Configures the maximum size of local EID prefixes database
                        
                        .. attribute:: dynamic
                        
                        	Configures the maximum size of dynamic local EID prefixes database
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dynamic = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:database-mapping/Cisco-IOS-XE-lisp:limit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dynamic is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Ipv6.DatabaseMapping.Limit']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:database-mapping'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.limit is not None and self.limit._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv6.DatabaseMapping']['meta_info']


                class Distance(object):
                    """
                    Administrative distance for RIB route installation
                    
                    .. attribute:: alt
                    
                    	LISP routes installed in the ALT table
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dyn_eid
                    
                    	LISP installed routes of type dynamic\-EID
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: site_registrations
                    
                    	LISP installed routes of type site\-registrations
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.alt = None
                        self.dyn_eid = None
                        self.site_registrations = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:distance'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.alt is not None:
                            return True

                        if self.dyn_eid is not None:
                            return True

                        if self.site_registrations is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv6.Distance']['meta_info']


                class Itr(object):
                    """
                    Configures a LISP Ingress Tunnel Router (ITR)
                    
                    .. attribute:: map_resolver
                    
                    	Configures map\-resolver address for sending Map\-Requests
                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.Itr.MapResolver>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.map_resolver = YList()
                        self.map_resolver.parent = self
                        self.map_resolver.name = 'map_resolver'


                    class MapResolver(object):
                        """
                        Configures map\-resolver address for sending Map\-Requests
                        
                        .. attribute:: ip_addr  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip_addr = None

                        @property
                        def _common_path(self):
                            if self.ip_addr is None:
                                raise YPYModelError('Key property ip_addr is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:itr/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip_addr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Ipv6.Itr.MapResolver']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:itr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.map_resolver is not None:
                            for child_ref in self.map_resolver:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv6.Itr']['meta_info']


                class ItrEnable(object):
                    """
                    
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.itr = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:itr-enable'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.itr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv6.ItrEnable']['meta_info']


                class Etr(object):
                    """
                    Configures a LISP Egress Tunnel Router (ETR)
                    
                    .. attribute:: map_server
                    
                    	Configures map server for ETR registration
                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.Etr.MapServer>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.map_server = YList()
                        self.map_server.parent = self
                        self.map_server.name = 'map_server'


                    class MapServer(object):
                        """
                        Configures map server for ETR registration
                        
                        .. attribute:: ip_addr  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: key
                        
                        	Authentication key used with map server
                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.Etr.MapServer.Key>`
                        
                        .. attribute:: proxy_reply
                        
                        	Request Map\-Server to send Map\-Replies on behalf of site
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip_addr = None
                            self.key = Native.Router.Lisp.Ipv6.Etr.MapServer.Key()
                            self.key.parent = self
                            self.proxy_reply = None


                        class Key(object):
                            """
                            Authentication key used with map server
                            
                            .. attribute:: key_0
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\:  str
                            
                            .. attribute:: key_6
                            
                            	The ENCRYPTED password
                            	**type**\:  str
                            
                            .. attribute:: key_7
                            
                            	The HIDDEN password
                            	**type**\:  str
                            
                            .. attribute:: pwd
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_0 = None
                                self.key_6 = None
                                self.key_7 = None
                                self.pwd = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_0 is not None:
                                    return True

                                if self.key_6 is not None:
                                    return True

                                if self.key_7 is not None:
                                    return True

                                if self.pwd is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv6.Etr.MapServer.Key']['meta_info']

                        @property
                        def _common_path(self):
                            if self.ip_addr is None:
                                raise YPYModelError('Key property ip_addr is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:etr/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip_addr is not None:
                                return True

                            if self.key is not None and self.key._has_data():
                                return True

                            if self.proxy_reply is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Ipv6.Etr.MapServer']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:etr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.map_server is not None:
                            for child_ref in self.map_server:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv6.Etr']['meta_info']


                class EtrEnable(object):
                    """
                    
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.etr = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:etr-enable'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.etr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv6.EtrEnable']['meta_info']


                class Locator(object):
                    """
                    Locator related configuration
                    
                    .. attribute:: reachability
                    
                    	Configuration realted to locator reachability
                    	**type**\:   :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.Locator.Reachability>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.reachability = Native.Router.Lisp.Ipv6.Locator.Reachability()
                        self.reachability.parent = self


                    class Reachability(object):
                        """
                        Configuration realted to locator reachability
                        
                        .. attribute:: exclude_default
                        
                        	If a remote RLOC is reached via the default route, treat it as unreachable
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.exclude_default = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:locator/Cisco-IOS-XE-lisp:reachability'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.exclude_default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Ipv6.Locator.Reachability']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:locator'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.reachability is not None and self.reachability._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv6.Locator']['meta_info']


                class MapCache(object):
                    """
                    Address family specific map cache configuration
                    
                    .. attribute:: site_registration
                    
                    	Install map cache to map request for site registrations
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.site_registration = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.site_registration is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv6.MapCache']['meta_info']


                class MapCacheLimit(object):
                    """
                    Configures maximum size of map\-cache
                    
                    .. attribute:: max_map_cache_entries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..100000
                    
                    .. attribute:: reserve_list
                    
                    	EID\-prefixes guaranteed to be stored in map\-cache
                    	**type**\:  str
                    
                    .. attribute:: warning_threshold
                    
                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.max_map_cache_entries = None
                        self.reserve_list = None
                        self.warning_threshold = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-cache-limit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.max_map_cache_entries is not None:
                            return True

                        if self.reserve_list is not None:
                            return True

                        if self.warning_threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv6.MapCacheLimit']['meta_info']


                class MapCachePersistent(object):
                    """
                    Dump map\-cache onto flash, making it persistent across reboots
                    
                    .. attribute:: interval
                    
                    	Interval in minutes of how often the map\-cache is saved
                    	**type**\:  int
                    
                    	**range:** 1..1440
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interval = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-cache-persistent'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interval is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv6.MapCachePersistent']['meta_info']


                class MapResolver(object):
                    """
                    Configures a LISP Map Resolver (MR)
                    
                    .. attribute:: map_request
                    
                    	Map\-Request processing options
                    	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapResolver.MapRequest>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.map_request = Native.Router.Lisp.Ipv6.MapResolver.MapRequest()
                        self.map_request.parent = self


                    class MapRequest(object):
                        """
                        Map\-Request processing options
                        
                        .. attribute:: validate
                        
                        	Validation options
                        	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.validate = Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate()
                            self.validate.parent = self


                        class Validate(object):
                            """
                            Validation options
                            
                            .. attribute:: source
                            
                            	Influence which source RLOCs map requests are accepted from
                            	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate.Source>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.source = Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate.Source()
                                self.source.parent = self


                            class Source(object):
                                """
                                Influence which source RLOCs map requests are accepted from
                                
                                .. attribute:: ipv4
                                
                                	IPv4 prefixes
                                	**type**\:  str
                                
                                .. attribute:: ipv6
                                
                                	IPv6 prefixes
                                	**type**\:  str
                                
                                .. attribute:: list
                                
                                	Define allowed prefixes using an ip[v6] prefix list
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: registered
                                
                                	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None
                                    self.ipv6 = None
                                    self.list = None
                                    self.registered = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    if self.ipv6 is not None:
                                        return True

                                    if self.list is not None:
                                        return True

                                    if self.registered is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request/Cisco-IOS-XE-lisp:validate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.source is not None and self.source._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver/Cisco-IOS-XE-lisp:map-request'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.validate is not None and self.validate._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Ipv6.MapResolver.MapRequest']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-resolver'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.map_request is not None and self.map_request._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv6.MapResolver']['meta_info']


                class MapServer(object):
                    """
                    Configures a LISP Map Server (MS)
                    
                    .. attribute:: map_register
                    
                    	Map\-Register processing options
                    	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapServer.MapRegister>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.map_register = Native.Router.Lisp.Ipv6.MapServer.MapRegister()
                        self.map_register.parent = self


                    class MapRegister(object):
                        """
                        Map\-Register processing options
                        
                        .. attribute:: validate
                        
                        	Validation options
                        	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.validate = Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate()
                            self.validate.parent = self


                        class Validate(object):
                            """
                            Validation options
                            
                            .. attribute:: source
                            
                            	RLOC Source IP address
                            	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate.Source>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.source = Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate.Source()
                                self.source.parent = self


                            class Source(object):
                                """
                                RLOC Source IP address
                                
                                .. attribute:: allowed_locator
                                
                                	Against sites' allowed\-locators policy
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.allowed_locator = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate/Cisco-IOS-XE-lisp:source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.allowed_locator is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register/Cisco-IOS-XE-lisp:validate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.source is not None and self.source._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:map-register'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.validate is not None and self.validate._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Ipv6.MapServer.MapRegister']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:map-server'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.map_register is not None and self.map_register._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv6.MapServer']['meta_info']


                class PathMtuDiscovery(object):
                    """
                    Path MTU discovery
                    
                    .. attribute:: max
                    
                    	Upper bound on the path MTU accepted
                    	**type**\:  int
                    
                    	**range:** 68..65535
                    
                    .. attribute:: min
                    
                    	Lower bound on the path MTU accepted
                    	**type**\:  int
                    
                    	**range:** 68..65535
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.max = None
                        self.min = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:path-mtu-discovery'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.max is not None:
                            return True

                        if self.min is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv6.PathMtuDiscovery']['meta_info']


                class RouteExport(object):
                    """
                    Export routes into RIB from LISP
                    
                    .. attribute:: away_eids
                    
                    	Export LISP away EIDs to RIB
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: site_registrations
                    
                    	Export LISP site registrations to RIB
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.away_eids = None
                        self.site_registrations = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-export'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.away_eids is not None:
                            return True

                        if self.site_registrations is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv6.RouteExport']['meta_info']


                class RouteImport(object):
                    """
                    Import RIB routes by a routing protocol into LISP
                    
                    .. attribute:: database
                    
                    	Use RIB routes to define local EID database entries
                    	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database>`
                    
                    .. attribute:: map_cache
                    
                    	Use RIB routes to define EID address space in map\-cache
                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.database = Native.Router.Lisp.Ipv6.RouteImport.Database()
                        self.database.parent = self
                        self.map_cache = Native.Router.Lisp.Ipv6.RouteImport.MapCache()
                        self.map_cache.parent = self


                    class Database(object):
                        """
                        Use RIB routes to define local EID database entries
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Connected>`
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Isis>`
                        
                        .. attribute:: maximum_prefix
                        
                        	Maximum number of prefixes to pick up from the RIB
                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.MaximumPrefix>`
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf>`
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Rip>`
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Static>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bgp = YList()
                            self.bgp.parent = self
                            self.bgp.name = 'bgp'
                            self.connected = Native.Router.Lisp.Ipv6.RouteImport.Database.Connected()
                            self.connected.parent = self
                            self.eigrp = YList()
                            self.eigrp.parent = self
                            self.eigrp.name = 'eigrp'
                            self.isis = YList()
                            self.isis.parent = self
                            self.isis.name = 'isis'
                            self.maximum_prefix = Native.Router.Lisp.Ipv6.RouteImport.Database.MaximumPrefix()
                            self.maximum_prefix.parent = self
                            self.ospf = YList()
                            self.ospf.parent = self
                            self.ospf.name = 'ospf'
                            self.ospfv3 = YList()
                            self.ospfv3.parent = self
                            self.ospfv3.name = 'ospfv3'
                            self.rip = Native.Router.Lisp.Ipv6.RouteImport.Database.Rip()
                            self.rip.parent = self
                            self.static = Native.Router.Lisp.Ipv6.RouteImport.Database.Static()
                            self.static.parent = self


                        class Bgp(object):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp']['meta_info']


                        class Connected(object):
                            """
                            Connected
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:connected/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:connected'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Connected']['meta_info']


                        class Eigrp(object):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp']['meta_info']


                        class Isis(object):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Isis']['meta_info']


                        class MaximumPrefix(object):
                            """
                            Maximum number of prefixes to pick up from the RIB
                            
                            .. attribute:: number
                            
                            	
                            	**type**\:  int
                            
                            	**range:** \-2147483648..2147483647
                            
                            .. attribute:: threshold
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold1
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: warning_only
                            
                            	Only give a warning message and do not limit entries
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: warning_only1
                            
                            	Only give a warning message and do not limit entries
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.number = None
                                self.threshold = None
                                self.threshold1 = None
                                self.warning_only = None
                                self.warning_only1 = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:maximum-prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.number is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                if self.threshold1 is not None:
                                    return True

                                if self.warning_only is not None:
                                    return True

                                if self.warning_only1 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info']


                        class Ospf(object):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf']['meta_info']


                        class Ospfv3(object):
                            """
                            OSPFv3
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3']['meta_info']


                        class Rip(object):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:rip/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:rip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Rip']['meta_info']


                        class Static(object):
                            """
                            Static routes
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:static/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database/Cisco-IOS-XE-lisp:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database.Static']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:database'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bgp is not None:
                                for child_ref in self.bgp:
                                    if child_ref._has_data():
                                        return True

                            if self.connected is not None and self.connected._has_data():
                                return True

                            if self.eigrp is not None:
                                for child_ref in self.eigrp:
                                    if child_ref._has_data():
                                        return True

                            if self.isis is not None:
                                for child_ref in self.isis:
                                    if child_ref._has_data():
                                        return True

                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                return True

                            if self.ospf is not None:
                                for child_ref in self.ospf:
                                    if child_ref._has_data():
                                        return True

                            if self.ospfv3 is not None:
                                for child_ref in self.ospfv3:
                                    if child_ref._has_data():
                                        return True

                            if self.rip is not None and self.rip._has_data():
                                return True

                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.Database']['meta_info']


                    class MapCache(object):
                        """
                        Use RIB routes to define EID address space in map\-cache
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Isis>`
                        
                        .. attribute:: maximum_prefix
                        
                        	Maximum number of prefixes to pick up from the RIB
                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospf>`
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Rip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Static>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bgp = YList()
                            self.bgp.parent = self
                            self.bgp.name = 'bgp'
                            self.connected = None
                            self.eigrp = YList()
                            self.eigrp.parent = self
                            self.eigrp.name = 'eigrp'
                            self.isis = YList()
                            self.isis.parent = self
                            self.isis.name = 'isis'
                            self.maximum_prefix = Native.Router.Lisp.Ipv6.RouteImport.MapCache.MaximumPrefix()
                            self.maximum_prefix.parent = self
                            self.ospf = YList()
                            self.ospf.parent = self
                            self.ospf.name = 'ospf'
                            self.ospfv3 = YList()
                            self.ospfv3.parent = self
                            self.ospfv3.name = 'ospfv3'
                            self.rip = None
                            self.static = None


                        class Bgp(object):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Bgp']['meta_info']


                        class Connected(object):
                            """
                            Connected
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:connected/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:connected'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Connected']['meta_info']


                        class Eigrp(object):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']


                        class Isis(object):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Isis']['meta_info']


                        class MaximumPrefix(object):
                            """
                            Maximum number of prefixes to pick up from the RIB
                            
                            .. attribute:: number
                            
                            	
                            	**type**\:  int
                            
                            	**range:** \-2147483648..2147483647
                            
                            .. attribute:: threshold
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold1
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: warning_only
                            
                            	Only give a warning message and do not limit entries
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: warning_only1
                            
                            	Only give a warning message and do not limit entries
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.number = None
                                self.threshold = None
                                self.threshold1 = None
                                self.warning_only = None
                                self.warning_only1 = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:maximum-prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.number is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                if self.threshold1 is not None:
                                    return True

                                if self.warning_only is not None:
                                    return True

                                if self.warning_only1 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info']


                        class Ospf(object):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospf']['meta_info']


                        class Ospfv3(object):
                            """
                            OSPFv3
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info']


                        class Rip(object):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:rip/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:rip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Rip']['meta_info']


                        class Static(object):
                            """
                            Static routes
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:static/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache/Cisco-IOS-XE-lisp:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache.Static']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import/Cisco-IOS-XE-lisp:map-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bgp is not None:
                                for child_ref in self.bgp:
                                    if child_ref._has_data():
                                        return True

                            if self.connected is not None and self.connected._has_data():
                                return True

                            if self.eigrp is not None:
                                for child_ref in self.eigrp:
                                    if child_ref._has_data():
                                        return True

                            if self.isis is not None:
                                for child_ref in self.isis:
                                    if child_ref._has_data():
                                        return True

                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                return True

                            if self.ospf is not None:
                                for child_ref in self.ospf:
                                    if child_ref._has_data():
                                        return True

                            if self.ospfv3 is not None:
                                for child_ref in self.ospfv3:
                                    if child_ref._has_data():
                                        return True

                            if self.rip is not None and self.rip._has_data():
                                return True

                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport.MapCache']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:route-import'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.database is not None and self.database._has_data():
                            return True

                        if self.map_cache is not None and self.map_cache._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv6.RouteImport']['meta_info']


                class SiteRegistration(object):
                    """
                    Site registrations configuration for a given instance\-id
                    
                    .. attribute:: limit
                    
                    	Maximum number of site registrations for a given instance\-id
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: warning_threshold
                    
                    	Warning threshold to issue system logging
                    	**type**\:  int
                    
                    	**range:** 1..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.limit = None
                        self.warning_threshold = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:site-registration'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.limit is not None:
                            return True

                        if self.warning_threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv6.SiteRegistration']['meta_info']


                class SolicitMapRequest(object):
                    """
                    Configure Solicit\-Map\-Request handling
                    
                    .. attribute:: ignore
                    
                    	Ignore SMR bit in incoming Map\-Requests
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_per_entry
                    
                    	Maximum number of SMRs for addresses under a map\-cache entry
                    	**type**\:  int
                    
                    	**range:** 1..100
                    
                    .. attribute:: suppression_time
                    
                    	How long to suppress repeated SMRs for the same address
                    	**type**\:  int
                    
                    	**range:** 1..600
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ignore = None
                        self.max_per_entry = None
                        self.suppression_time = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:solicit-map-request'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ignore is not None:
                            return True

                        if self.max_per_entry is not None:
                            return True

                        if self.suppression_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv6.SolicitMapRequest']['meta_info']


                class UsePetr(object):
                    """
                    Encapsulate to Proxy ETR when matching forward\-native entry
                    
                    .. attribute:: locator_address  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: priority
                    
                    	Configures which Locators from a set are preferred
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: weight
                    
                    	Traffic load\-spreading among Locators
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.locator_address = None
                        self.priority = None
                        self.weight = None

                    @property
                    def _common_path(self):
                        if self.locator_address is None:
                            raise YPYModelError('Key property locator_address is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.locator_address is not None:
                            return True

                        if self.priority is not None:
                            return True

                        if self.weight is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Ipv6.UsePetr']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.alt_vrf is not None:
                        return True

                    if self.database_mapping is not None and self.database_mapping._has_data():
                        return True

                    if self.distance is not None and self.distance._has_data():
                        return True

                    if self.etr is not None and self.etr._has_data():
                        return True

                    if self.etr_enable is not None and self.etr_enable._has_data():
                        return True

                    if self.itr is not None and self.itr._has_data():
                        return True

                    if self.itr_enable is not None and self.itr_enable._has_data():
                        return True

                    if self.locator is not None and self.locator._has_data():
                        return True

                    if self.map_cache is not None and self.map_cache._has_data():
                        return True

                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                        return True

                    if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                        return True

                    if self.map_request_source is not None:
                        return True

                    if self.map_resolver is not None and self.map_resolver._has_data():
                        return True

                    if self.map_server is not None and self.map_server._has_data():
                        return True

                    if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                        return True

                    if self.proxy_etr is not None:
                        return True

                    if self.proxy_itr is not None:
                        for child in self.proxy_itr:
                            if child is not None:
                                return True

                    if self.route_export is not None and self.route_export._has_data():
                        return True

                    if self.route_import is not None and self.route_import._has_data():
                        return True

                    if self.sgt is not None:
                        return True

                    if self.site_registration is not None and self.site_registration._has_data():
                        return True

                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                        return True

                    if self.use_petr is not None:
                        for child_ref in self.use_petr:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.Ipv6']['meta_info']


            class LocReachAlgorithm(object):
                """
                Configure locator reachability algorithm
                
                .. attribute:: lsb_reports
                
                	Configure data packet LSB report handling
                	**type**\:   :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.LocReachAlgorithm.LsbReports>`
                
                .. attribute:: rloc_probing
                
                	Probe high priority RLOCs with Map\-Requests as last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.lsb_reports = Native.Router.Lisp.LocReachAlgorithm.LsbReports()
                    self.lsb_reports.parent = self
                    self.rloc_probing = None


                class LsbReports(object):
                    """
                    Configure data packet LSB report handling
                    
                    .. attribute:: do_not_transmit
                    
                    	Force the setting of the encapsulation header L bit to zero
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ignore
                    
                    	Ignore data packet LSB reports
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.do_not_transmit = None
                        self.ignore = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:loc-reach-algorithm/Cisco-IOS-XE-lisp:lsb-reports'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.do_not_transmit is not None:
                            return True

                        if self.ignore is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.LocReachAlgorithm.LsbReports']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:loc-reach-algorithm'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.lsb_reports is not None and self.lsb_reports._has_data():
                        return True

                    if self.rloc_probing is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.LocReachAlgorithm']['meta_info']


            class LocatorDown(object):
                """
                Manually set locator status to down
                
                .. attribute:: address
                
                	IPv4/6 Locator address to be set down
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: ipv4_interface
                
                	Use IPv4 address of interface as locator
                	**type**\:  str
                
                .. attribute:: ipv6_interface
                
                	Use IPv6 address of interface as locator
                	**type**\:  str
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = None
                    self.ipv4_interface = None
                    self.ipv6_interface = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:locator-down'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None:
                        return True

                    if self.ipv4_interface is not None:
                        return True

                    if self.ipv6_interface is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.LocatorDown']['meta_info']


            class LocatorTable(object):
                """
                Specify the RLOC table
                
                .. attribute:: default
                
                	Default VRF
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vrf
                
                	VRF name
                	**type**\:  str
                
                .. attribute:: vrf_name
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = None
                    self.vrf = None
                    self.vrf_name = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:locator-table'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None:
                        return True

                    if self.vrf is not None:
                        return True

                    if self.vrf_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.LocatorTable']['meta_info']


            class MapRequest(object):
                """
                Configure map\-request handling
                
                .. attribute:: itr_rlocs
                
                	Configure to use the specified RLOC set as ITR RLOC in map\-request
                	**type**\:  str
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.itr_rlocs = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:map-request'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.itr_rlocs is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.MapRequest']['meta_info']


            class MapServer(object):
                """
                Map\-Server commands
                
                .. attribute:: rloc
                
                	EID instance RLOC membership
                	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.MapServer.Rloc>`
                
                .. attribute:: site_registration
                
                	Map\-server site registration options
                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.MapServer.SiteRegistration>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.rloc = Native.Router.Lisp.MapServer.Rloc()
                    self.rloc.parent = self
                    self.site_registration = Native.Router.Lisp.MapServer.SiteRegistration()
                    self.site_registration.parent = self


                class Rloc(object):
                    """
                    EID instance RLOC membership
                    
                    .. attribute:: members
                    
                    	EID instance RLOC membership
                    	**type**\:   :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.MapServer.Rloc.Members>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.members = Native.Router.Lisp.MapServer.Rloc.Members()
                        self.members.parent = self


                    class Members(object):
                        """
                        EID instance RLOC membership
                        
                        .. attribute:: distribute
                        
                        	EID instance RLOC membership distribution
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: modify_discovered
                        
                        	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                        	**type**\:   :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.MapServer.Rloc.Members.ModifyDiscovered>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.distribute = None
                            self.modify_discovered = Native.Router.Lisp.MapServer.Rloc.Members.ModifyDiscovered()
                            self.modify_discovered.parent = self


                        class ModifyDiscovered(object):
                            """
                            Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                            
                            .. attribute:: locator_set
                            
                            	Locator set from which to get member RLOC addresses
                            	**type**\:  str
                            
                            .. attribute:: operator
                            
                            	
                            	**type**\:   :py:class:`OperatorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.locator_set = None
                                self.operator = None

                            class OperatorEnum(Enum):
                                """
                                OperatorEnum

                                .. data:: add = 0

                                .. data:: override = 1

                                """

                                add = 0

                                override = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum']


                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:rloc/Cisco-IOS-XE-lisp:members/Cisco-IOS-XE-lisp:modify-discovered'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.locator_set is not None:
                                    return True

                                if self.operator is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.MapServer.Rloc.Members.ModifyDiscovered']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:rloc/Cisco-IOS-XE-lisp:members'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.distribute is not None:
                                return True

                            if self.modify_discovered is not None and self.modify_discovered._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.MapServer.Rloc.Members']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:rloc'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.members is not None and self.members._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.MapServer.Rloc']['meta_info']


                class SiteRegistration(object):
                    """
                    Map\-server site registration options
                    
                    .. attribute:: limit
                    
                    	Maximum number of site registrations as a result of accept\-more\-specifics
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: warning_threshold
                    
                    	Warning threshold to issue system logging
                    	**type**\:  int
                    
                    	**range:** 1..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.limit = None
                        self.warning_threshold = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:map-server/Cisco-IOS-XE-lisp:site-registration'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.limit is not None:
                            return True

                        if self.warning_threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.MapServer.SiteRegistration']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:map-server'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.rloc is not None and self.rloc._has_data():
                        return True

                    if self.site_registration is not None and self.site_registration._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.MapServer']['meta_info']


            class OtherXtrProbe(object):
                """
                Configure parameters for probing of other xTRs in our site
                
                .. attribute:: period
                
                	Period between probes in seconds
                	**type**\:  int
                
                	**range:** 5..900
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.period = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:other-xtr-probe'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.period is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.OtherXtrProbe']['meta_info']


            class RemoteRlocProbe(object):
                """
                Configure parameters for probing of remote RLOCs
                
                .. attribute:: on_membership_change
                
                	Trigger probing upon membership changes for remote RLOC
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: on_route_change
                
                	Trigger probing upon routing changes for remote RLOC
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.on_membership_change = None
                    self.on_route_change = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:remote-rloc-probe'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.on_membership_change is not None:
                        return True

                    if self.on_route_change is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.RemoteRlocProbe']['meta_info']


            class EidTable(object):
                """
                Configure an EID instance for a VRF
                
                .. attribute:: instance_list
                
                	
                	**type**\: list of    :py:class:`InstanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.instance_list = YList()
                    self.instance_list.parent = self
                    self.instance_list.name = 'instance_list'


                class InstanceList(object):
                    """
                    
                    
                    .. attribute:: instance_id  <key>
                    
                    	EID instance\-ID
                    	**type**\:  int
                    
                    	**range:** 0..16777214
                    
                    .. attribute:: alt
                    
                    	LISP Alternative Topology, LISP\-ALT
                    	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Alt>`
                    
                    .. attribute:: control_packet
                    
                    	Configure control packet tx option
                    	**type**\:   :py:class:`ControlPacket <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.ControlPacket>`
                    
                    .. attribute:: database_mapping
                    
                    	Configures Locator addresses for an ETR
                    	**type**\: list of    :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.DatabaseMapping>`
                    
                    .. attribute:: ddt
                    
                    	Delegated Database Tree (DDT) mapping system
                    	**type**\:   :py:class:`Ddt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ddt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: decapsulation
                    
                    	Decapsulation behavior (e.g. filters)
                    	**type**\:   :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Decapsulation>`
                    
                    .. attribute:: default
                    
                    	Default VRF
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: disable_ttl_propagate
                    
                    	Disable ttl propagation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dynamic_eid
                    
                    	Configure a dynamic EID
                    	**type**\: list of    :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.DynamicEid>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Etr>`
                    
                    .. attribute:: ipv4
                    
                    	IPv4 address family
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 address family
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6>`
                    
                    .. attribute:: loc_reach_algorithm
                    
                    	Configure locator reachability algorithm
                    	**type**\:   :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm>`
                    
                    .. attribute:: locator_down
                    
                    	Manually set locator status to down
                    	**type**\:   :py:class:`LocatorDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.LocatorDown>`
                    
                    .. attribute:: locator_table
                    
                    	Specify the RLOC table
                    	**type**\:   :py:class:`LocatorTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.LocatorTable>`
                    
                    .. attribute:: map_cache
                    
                    	Configures static EID\-to\-RLOC mappings for an ITR
                    	**type**\: list of    :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.MapCache>`
                    
                    .. attribute:: map_request
                    
                    	Configure map\-request handling
                    	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.MapRequest>`
                    
                    .. attribute:: map_server
                    
                    	Map\-Server commands
                    	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.MapServer>`
                    
                    .. attribute:: other_xtr_probe
                    
                    	Configure parameters for probing of other xTRs in our site
                    	**type**\:   :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.OtherXtrProbe>`
                    
                    .. attribute:: remote_rloc_probe
                    
                    	Configure parameters for probing of remote RLOCs
                    	**type**\:   :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.RemoteRlocProbe>`
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: vrf_name
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.instance_id = None
                        self.alt = Native.Router.Lisp.EidTable.InstanceList.Alt()
                        self.alt.parent = self
                        self.control_packet = Native.Router.Lisp.EidTable.InstanceList.ControlPacket()
                        self.control_packet.parent = self
                        self.database_mapping = YList()
                        self.database_mapping.parent = self
                        self.database_mapping.name = 'database_mapping'
                        self.ddt = None
                        self.decapsulation = Native.Router.Lisp.EidTable.InstanceList.Decapsulation()
                        self.decapsulation.parent = self
                        self.default = None
                        self.disable_ttl_propagate = None
                        self.dynamic_eid = YList()
                        self.dynamic_eid.parent = self
                        self.dynamic_eid.name = 'dynamic_eid'
                        self.etr = Native.Router.Lisp.EidTable.InstanceList.Etr()
                        self.etr.parent = self
                        self.ipv4 = Native.Router.Lisp.EidTable.InstanceList.Ipv4()
                        self.ipv4.parent = self
                        self.ipv6 = Native.Router.Lisp.EidTable.InstanceList.Ipv6()
                        self.ipv6.parent = self
                        self.loc_reach_algorithm = Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm()
                        self.loc_reach_algorithm.parent = self
                        self.locator_down = Native.Router.Lisp.EidTable.InstanceList.LocatorDown()
                        self.locator_down.parent = self
                        self.locator_table = Native.Router.Lisp.EidTable.InstanceList.LocatorTable()
                        self.locator_table.parent = self
                        self.map_cache = YList()
                        self.map_cache.parent = self
                        self.map_cache.name = 'map_cache'
                        self.map_request = Native.Router.Lisp.EidTable.InstanceList.MapRequest()
                        self.map_request.parent = self
                        self.map_server = Native.Router.Lisp.EidTable.InstanceList.MapServer()
                        self.map_server.parent = self
                        self.other_xtr_probe = Native.Router.Lisp.EidTable.InstanceList.OtherXtrProbe()
                        self.other_xtr_probe.parent = self
                        self.remote_rloc_probe = Native.Router.Lisp.EidTable.InstanceList.RemoteRlocProbe()
                        self.remote_rloc_probe.parent = self
                        self.vrf = None
                        self.vrf_name = None


                    class DatabaseMapping(object):
                        """
                        Configures Locator addresses for an ETR
                        
                        .. attribute:: eid_prefix  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        
                        ----
                        .. attribute:: locator_set
                        
                        	Use locators defined by locator\-set
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eid_prefix = None
                            self.locator_set = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.eid_prefix is None:
                                raise YPYModelError('Key property eid_prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eid_prefix is not None:
                                return True

                            if self.locator_set is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.DatabaseMapping']['meta_info']


                    class DynamicEid(object):
                        """
                        Configure a dynamic EID
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: database_mapping
                        
                        	Configures EID\-prefix and locator\-set for dynamic\-EID
                        	**type**\: list of    :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.DynamicEid.DatabaseMapping>`
                        
                        .. attribute:: eid_notify
                        
                        	Configure options for sending/receiving EID\-notify
                        	**type**\:   :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify>`
                        
                        .. attribute:: map_notify_group
                        
                        	Multicast group which to send map\-notifies to
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.database_mapping = YList()
                            self.database_mapping.parent = self
                            self.database_mapping.name = 'database_mapping'
                            self.eid_notify = Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify()
                            self.eid_notify.parent = self
                            self.map_notify_group = None
                            self.map_server = YList()
                            self.map_server.parent = self
                            self.map_server.name = 'map_server'


                        class DatabaseMapping(object):
                            """
                            Configures EID\-prefix and locator\-set for dynamic\-EID
                            
                            .. attribute:: eid_prefix  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            .. attribute:: locator_set
                            
                            	Use locators defined by locator\-set
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eid_prefix = None
                                self.locator_set = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.eid_prefix is None:
                                    raise YPYModelError('Key property eid_prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eid_prefix is not None:
                                    return True

                                if self.locator_set is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid.DatabaseMapping']['meta_info']


                        class EidNotify(object):
                            """
                            Configure options for sending/receiving EID\-notify
                            
                            .. attribute:: authentication_key
                            
                            	Authentication key used for validating received EID\-notify
                            	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey>`
                            
                            .. attribute:: gateway_key
                            
                            	
                            	**type**\: list of    :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication_key = Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey()
                                self.authentication_key.parent = self
                                self.gateway_key = YList()
                                self.gateway_key.parent = self
                                self.gateway_key.name = 'gateway_key'


                            class AuthenticationKey(object):
                                """
                                Authentication key used for validating received EID\-notify
                                
                                .. attribute:: ak_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                .. attribute:: ak_6
                                
                                	The ENCRYPTED password
                                	**type**\:  str
                                
                                .. attribute:: unc_pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ak_0 = None
                                    self.ak_6 = None
                                    self.unc_pwd = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:authentication-key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ak_0 is not None:
                                        return True

                                    if self.ak_6 is not None:
                                        return True

                                    if self.unc_pwd is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey']['meta_info']


                            class GatewayKey(object):
                                """
                                
                                
                                .. attribute:: gateway_ip  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: ak_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                .. attribute:: ak_6
                                
                                	The ENCRYPTED password
                                	**type**\:  str
                                
                                .. attribute:: hash_function
                                
                                	EID\-notify authentication type
                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey.HashFunctionEnum>`
                                
                                .. attribute:: unc_pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.gateway_ip = None
                                    self.ak_0 = None
                                    self.ak_6 = None
                                    self.hash_function = None
                                    self.unc_pwd = None

                                class HashFunctionEnum(Enum):
                                    """
                                    HashFunctionEnum

                                    EID\-notify authentication type

                                    .. data:: sha1 = 0

                                    .. data:: sha2 = 1

                                    """

                                    sha1 = 0

                                    sha2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey.HashFunctionEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.gateway_ip is None:
                                        raise YPYModelError('Key property gateway_ip is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:gateway-key[Cisco-IOS-XE-lisp:gateway-ip = ' + str(self.gateway_ip) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.gateway_ip is not None:
                                        return True

                                    if self.ak_0 is not None:
                                        return True

                                    if self.ak_6 is not None:
                                        return True

                                    if self.hash_function is not None:
                                        return True

                                    if self.unc_pwd is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-notify'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication_key is not None and self.authentication_key._has_data():
                                    return True

                                if self.gateway_key is not None:
                                    for child_ref in self.gateway_key:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify']['meta_info']


                        class MapServer(object):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip = None
                                self.key = Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer.Key()
                                self.key.parent = self
                                self.proxy_reply = None


                            class Key(object):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: hash_function
                                
                                	Map\-Register authentication type
                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer.Key.HashFunctionEnum>`
                                
                                .. attribute:: key_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                .. attribute:: key_6
                                
                                	The ENCRYPTED password
                                	**type**\:  str
                                
                                .. attribute:: key_7
                                
                                	The HIDDEN password
                                	**type**\:  str
                                
                                .. attribute:: pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.hash_function = None
                                    self.key_0 = None
                                    self.key_6 = None
                                    self.key_7 = None
                                    self.pwd = None

                                class HashFunctionEnum(Enum):
                                    """
                                    HashFunctionEnum

                                    Map\-Register authentication type

                                    .. data:: sha1 = 0

                                    .. data:: sha2 = 1

                                    """

                                    sha1 = 0

                                    sha2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer.Key.HashFunctionEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.hash_function is not None:
                                        return True

                                    if self.key_0 is not None:
                                        return True

                                    if self.key_6 is not None:
                                        return True

                                    if self.key_7 is not None:
                                        return True

                                    if self.pwd is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer.Key']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip is None:
                                    raise YPYModelError('Key property ip is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip = ' + str(self.ip) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip is not None:
                                    return True

                                if self.key is not None and self.key._has_data():
                                    return True

                                if self.proxy_reply is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:dynamic-eid[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.database_mapping is not None:
                                for child_ref in self.database_mapping:
                                    if child_ref._has_data():
                                        return True

                            if self.eid_notify is not None and self.eid_notify._has_data():
                                return True

                            if self.map_notify_group is not None:
                                return True

                            if self.map_server is not None:
                                for child_ref in self.map_server:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.DynamicEid']['meta_info']


                    class Alt(object):
                        """
                        LISP Alternative Topology, LISP\-ALT
                        
                        .. attribute:: summary_route
                        
                        	Summary route to install into the ALT table
                        	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Alt.SummaryRoute>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.summary_route = YList()
                            self.summary_route.parent = self
                            self.summary_route.name = 'summary_route'


                        class SummaryRoute(object):
                            """
                            Summary route to install into the ALT table
                            
                            .. attribute:: eid_prefix  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: route_tag
                            
                            	ALT RIB route tag for EID prefix
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eid_prefix = None
                                self.route_tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.eid_prefix is None:
                                    raise YPYModelError('Key property eid_prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eid_prefix is not None:
                                    return True

                                if self.route_tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Alt.SummaryRoute']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.summary_route is not None:
                                for child_ref in self.summary_route:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Alt']['meta_info']


                    class ControlPacket(object):
                        """
                        Configure control packet tx option
                        
                        .. attribute:: mtu
                        
                        	Configure control packet MTU
                        	**type**\:  int
                        
                        	**range:** 304..10000
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.mtu = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:control-packet'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.mtu is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.ControlPacket']['meta_info']


                    class Ddt(object):
                        """
                        Delegated Database Tree (DDT) mapping system
                        
                        .. attribute:: authoritative
                        
                        	DDT authoritative prefix
                        	**type**\:   :py:class:`Authoritative <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative>`
                        
                        .. attribute:: cache_limit
                        
                        	DDT resolver cache entry limit
                        	**type**\:  int
                        
                        	**range:** 1..100000
                        
                        .. attribute:: root
                        
                        	DDT root node
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.authoritative = Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative()
                            self.authoritative.parent = self
                            self.cache_limit = None
                            self.root = None


                        class Authoritative(object):
                            """
                            DDT authoritative prefix
                            
                            .. attribute:: instance_id_eid_prefix_list
                            
                            	
                            	**type**\: list of    :py:class:`InstanceIdEidPrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList>`
                            
                            .. attribute:: instance_id_list
                            
                            	
                            	**type**\: list of    :py:class:`InstanceIdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.instance_id_eid_prefix_list = YList()
                                self.instance_id_eid_prefix_list.parent = self
                                self.instance_id_eid_prefix_list.name = 'instance_id_eid_prefix_list'
                                self.instance_id_list = YList()
                                self.instance_id_list.parent = self
                                self.instance_id_list.name = 'instance_id_list'


                            class InstanceIdEidPrefixList(object):
                                """
                                
                                
                                .. attribute:: instance_id  <key>
                                
                                	EID instance\-ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: eid_prefix  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: delegate
                                
                                	DDT delegation to a child DDT node or map\-server
                                	**type**\:   :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate>`
                                
                                .. attribute:: map_server_peer
                                
                                	Peer map\-servers that are authoritative for the same EID prefixes
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.instance_id = None
                                    self.eid_prefix = None
                                    self.delegate = Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate()
                                    self.delegate.parent = self
                                    self.map_server_peer = None


                                class Delegate(object):
                                    """
                                    DDT delegation to a child DDT node or map\-server
                                    
                                    .. attribute:: eid_prefix
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    
                                    ----
                                    .. attribute:: instance_id
                                    
                                    	EID instance\-ID
                                    	**type**\:  str
                                    
                                    .. attribute:: ip_address
                                    
                                    	IPv4/6 Child or map\-server node locator address
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: map_server
                                    
                                    	Delegation points to a map\-server
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: to
                                    
                                    	DDT delegation to a child DDT node or map\-server
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.instance_id = None
                                        self.ip_address = None
                                        self.map_server = None
                                        self.to = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:delegate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.instance_id is not None:
                                            return True

                                        if self.ip_address is not None:
                                            return True

                                        if self.map_server is not None:
                                            return True

                                        if self.to is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.instance_id is None:
                                        raise YPYModelError('Key property instance_id is None')
                                    if self.eid_prefix is None:
                                        raise YPYModelError('Key property eid_prefix is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id-eid-prefix-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + '][Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.instance_id is not None:
                                        return True

                                    if self.eid_prefix is not None:
                                        return True

                                    if self.delegate is not None and self.delegate._has_data():
                                        return True

                                    if self.map_server_peer is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info']


                            class InstanceIdList(object):
                                """
                                
                                
                                .. attribute:: instance_id  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: delegate
                                
                                	DDT delegation to a child DDT node or map\-server
                                	**type**\:   :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate>`
                                
                                .. attribute:: map_server_peer
                                
                                	Peer map\-servers that are authoritative for the same EID prefixes
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.instance_id = None
                                    self.delegate = Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate()
                                    self.delegate.parent = self
                                    self.map_server_peer = None


                                class Delegate(object):
                                    """
                                    DDT delegation to a child DDT node or map\-server
                                    
                                    .. attribute:: eid_prefix
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    
                                    ----
                                    .. attribute:: instance_id
                                    
                                    	EID instance\-ID
                                    	**type**\:  str
                                    
                                    .. attribute:: ip_address
                                    
                                    	IPv4/6 Child or map\-server node locator address
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: map_server
                                    
                                    	Delegation points to a map\-server
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: to
                                    
                                    	DDT delegation to a child DDT node or map\-server
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.instance_id = None
                                        self.ip_address = None
                                        self.map_server = None
                                        self.to = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:delegate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.instance_id is not None:
                                            return True

                                        if self.ip_address is not None:
                                            return True

                                        if self.map_server is not None:
                                            return True

                                        if self.to is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.instance_id is None:
                                        raise YPYModelError('Key property instance_id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.instance_id is not None:
                                        return True

                                    if self.delegate is not None and self.delegate._has_data():
                                        return True

                                    if self.map_server_peer is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:authoritative'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.instance_id_eid_prefix_list is not None:
                                    for child_ref in self.instance_id_eid_prefix_list:
                                        if child_ref._has_data():
                                            return True

                                if self.instance_id_list is not None:
                                    for child_ref in self.instance_id_list:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ddt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.authoritative is not None and self.authoritative._has_data():
                                return True

                            if self.cache_limit is not None:
                                return True

                            if self.root is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ddt']['meta_info']


                    class Decapsulation(object):
                        """
                        Decapsulation behavior (e.g. filters)
                        
                        .. attribute:: filter
                        
                        	Filters traffic
                        	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.filter = Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter()
                            self.filter.parent = self


                        class Filter(object):
                            """
                            Filters traffic
                            
                            .. attribute:: rloc
                            
                            	Filter based on Routing Locator (RLOC) in packet header
                            	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rloc = Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc()
                                self.rloc.parent = self


                            class Rloc(object):
                                """
                                Filter based on Routing Locator (RLOC) in packet header
                                
                                .. attribute:: source
                                
                                	Filters traffic based on RLOC source address
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    Filters traffic based on RLOC source address
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator\-set Name
                                    	**type**\:  str
                                    
                                    .. attribute:: member
                                    
                                    	Members learned from map\-server
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.member = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.member is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rloc is not None and self.rloc._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:decapsulation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.filter is not None and self.filter._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Decapsulation']['meta_info']


                    class Etr(object):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Etr.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.map_server = Native.Router.Lisp.EidTable.InstanceList.Etr.MapServer()
                            self.map_server.parent = self


                        class MapServer(object):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: source_address
                            
                            	Configures map server source address
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.source_address = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.source_address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Etr.MapServer']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Etr']['meta_info']


                    class Ipv4(object):
                        """
                        IPv4 address family
                        
                        .. attribute:: alt_vrf
                        
                        	Activate LISP\-ALT functionality in VRF
                        	**type**\:  str
                        
                        	**status**\: deprecated
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.Distance>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.EtrEnable>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.ItrEnable>`
                        
                        .. attribute:: locator
                        
                        	Locator related configuration
                        	**type**\:   :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCache>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCacheLimit>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCachePersistent>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: path_mtu_discovery
                        
                        	Path MTU discovery
                        	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.PathMtuDiscovery>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\: one of the below types:
                        
                        	**type**\:  list of str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  list of str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteExport>`
                        
                        .. attribute:: route_import
                        
                        	Import RIB routes by a routing protocol into LISP
                        	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.SolicitMapRequest>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.UsePetr>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.alt_vrf = None
                            self.database_mapping = Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping()
                            self.database_mapping.parent = self
                            self.distance = Native.Router.Lisp.EidTable.InstanceList.Ipv4.Distance()
                            self.distance.parent = self
                            self.etr = Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr()
                            self.etr.parent = self
                            self.etr_enable = Native.Router.Lisp.EidTable.InstanceList.Ipv4.EtrEnable()
                            self.etr_enable.parent = self
                            self.itr = Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr()
                            self.itr.parent = self
                            self.itr_enable = Native.Router.Lisp.EidTable.InstanceList.Ipv4.ItrEnable()
                            self.itr_enable.parent = self
                            self.locator = Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator()
                            self.locator.parent = self
                            self.map_cache = Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCache()
                            self.map_cache.parent = self
                            self.map_cache_limit = Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self.map_cache_persistent = Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self.map_request_source = None
                            self.map_resolver = None
                            self.map_server = None
                            self.path_mtu_discovery = None
                            self.proxy_etr = None
                            self.proxy_itr = YLeafList()
                            self.proxy_itr.parent = self
                            self.proxy_itr.name = 'proxy_itr'
                            self.route_export = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteExport()
                            self.route_export.parent = self
                            self.route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport()
                            self.route_import.parent = self
                            self.sgt = None
                            self.site_registration = Native.Router.Lisp.EidTable.InstanceList.Ipv4.SiteRegistration()
                            self.site_registration.parent = self
                            self.solicit_map_request = Native.Router.Lisp.EidTable.InstanceList.Ipv4.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self.use_petr = YList()
                            self.use_petr.parent = self
                            self.use_petr.name = 'use_petr'


                        class DatabaseMapping(object):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit()
                                self.limit.parent = self


                            class Limit(object):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dynamic = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dynamic is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None and self.limit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping']['meta_info']


                        class Distance(object):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.alt = None
                                self.dyn_eid = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.alt is not None:
                                    return True

                                if self.dyn_eid is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.Distance']['meta_info']


                        class Itr(object):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_resolver = YList()
                                self.map_resolver.parent = self
                                self.map_resolver.name = 'map_resolver'


                            class MapResolver(object):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr.MapResolver']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_resolver is not None:
                                    for child_ref in self.map_resolver:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr']['meta_info']


                        class ItrEnable(object):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.itr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.itr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.ItrEnable']['meta_info']


                        class Etr(object):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None
                                    self.key = Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: key_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: key_7
                                    
                                    	The HIDDEN password
                                    	**type**\:  str
                                    
                                    .. attribute:: pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = None
                                        self.key_6 = None
                                        self.key_7 = None
                                        self.pwd = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None:
                                            return True

                                        if self.key_6 is not None:
                                            return True

                                        if self.key_7 is not None:
                                            return True

                                        if self.pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr']['meta_info']


                        class EtrEnable(object):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.etr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.etr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.EtrEnable']['meta_info']


                        class Locator(object):
                            """
                            Locator related configuration
                            
                            .. attribute:: reachability
                            
                            	Configuration realted to locator reachability
                            	**type**\:   :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator.Reachability>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.reachability = Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator.Reachability()
                                self.reachability.parent = self


                            class Reachability(object):
                                """
                                Configuration realted to locator reachability
                                
                                .. attribute:: exclude_default
                                
                                	If a remote RLOC is reached via the default route, treat it as unreachable
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.exclude_default = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:reachability'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.exclude_default is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator.Reachability']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.reachability is not None and self.reachability._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator']['meta_info']


                        class MapCache(object):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.site_registration = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.site_registration is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCache']['meta_info']


                        class MapCacheLimit(object):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\:  str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max_map_cache_entries = None
                                self.reserve_list = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max_map_cache_entries is not None:
                                    return True

                                if self.reserve_list is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCacheLimit']['meta_info']


                        class MapCachePersistent(object):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\:  int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interval = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCachePersistent']['meta_info']


                        class MapResolver(object):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_request = Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest()
                                self.map_request.parent = self


                            class MapRequest(object):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: ipv4
                                        
                                        	IPv4 prefixes
                                        	**type**\:  str
                                        
                                        .. attribute:: ipv6
                                        
                                        	IPv6 prefixes
                                        	**type**\:  str
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4 = None
                                            self.ipv6 = None
                                            self.list = None
                                            self.registered = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4 is not None:
                                                return True

                                            if self.ipv6 is not None:
                                                return True

                                            if self.list is not None:
                                                return True

                                            if self.registered is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_request is not None and self.map_request._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver']['meta_info']


                        class MapServer(object):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_register = Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister()
                                self.map_register.parent = self


                            class MapRegister(object):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.allowed_locator = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.allowed_locator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_register is not None and self.map_register._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer']['meta_info']


                        class PathMtuDiscovery(object):
                            """
                            Path MTU discovery
                            
                            .. attribute:: max
                            
                            	Upper bound on the path MTU accepted
                            	**type**\:  int
                            
                            	**range:** 68..65535
                            
                            .. attribute:: min
                            
                            	Lower bound on the path MTU accepted
                            	**type**\:  int
                            
                            	**range:** 68..65535
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.max = None
                                self.min = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:path-mtu-discovery'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.max is not None:
                                    return True

                                if self.min is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.PathMtuDiscovery']['meta_info']


                        class RouteExport(object):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.away_eids = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.away_eids is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteExport']['meta_info']


                        class RouteImport(object):
                            """
                            Import RIB routes by a routing protocol into LISP
                            
                            .. attribute:: database
                            
                            	Use RIB routes to define local EID database entries
                            	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database>`
                            
                            .. attribute:: map_cache
                            
                            	Use RIB routes to define EID address space in map\-cache
                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.database = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database()
                                self.database.parent = self
                                self.map_cache = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache()
                                self.map_cache.parent = self


                            class Database(object):
                                """
                                Use RIB routes to define local EID database entries
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected>`
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis>`
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes to pick up from the RIB
                                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix>`
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf>`
                                
                                .. attribute:: ospfv3
                                
                                	OSPFv3
                                	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip>`
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bgp = YList()
                                    self.bgp.parent = self
                                    self.bgp.name = 'bgp'
                                    self.connected = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected()
                                    self.connected.parent = self
                                    self.eigrp = YList()
                                    self.eigrp.parent = self
                                    self.eigrp.name = 'eigrp'
                                    self.isis = YList()
                                    self.isis.parent = self
                                    self.isis.name = 'isis'
                                    self.maximum_prefix = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self.ospf = YList()
                                    self.ospf.parent = self
                                    self.ospf.name = 'ospf'
                                    self.ospfv3 = YList()
                                    self.ospfv3.parent = self
                                    self.ospfv3.name = 'ospfv3'
                                    self.rip = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip()
                                    self.rip.parent = self
                                    self.static = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static()
                                    self.static.parent = self


                                class Bgp(object):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    
                                    ----
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp']['meta_info']


                                class Connected(object):
                                    """
                                    Connected
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected']['meta_info']


                                class Eigrp(object):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp']['meta_info']


                                class Isis(object):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis']['meta_info']


                                class MaximumPrefix(object):
                                    """
                                    Maximum number of prefixes to pick up from the RIB
                                    
                                    .. attribute:: number
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** \-2147483648..2147483647
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold1
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: warning_only1
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.number = None
                                        self.threshold = None
                                        self.threshold1 = None
                                        self.warning_only = None
                                        self.warning_only1 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.number is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        if self.threshold1 is not None:
                                            return True

                                        if self.warning_only is not None:
                                            return True

                                        if self.warning_only1 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info']


                                class Ospf(object):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf']['meta_info']


                                class Ospfv3(object):
                                    """
                                    OSPFv3
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3']['meta_info']


                                class Rip(object):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip']['meta_info']


                                class Static(object):
                                    """
                                    Static routes
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bgp is not None:
                                        for child_ref in self.bgp:
                                            if child_ref._has_data():
                                                return True

                                    if self.connected is not None and self.connected._has_data():
                                        return True

                                    if self.eigrp is not None:
                                        for child_ref in self.eigrp:
                                            if child_ref._has_data():
                                                return True

                                    if self.isis is not None:
                                        for child_ref in self.isis:
                                            if child_ref._has_data():
                                                return True

                                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                        return True

                                    if self.ospf is not None:
                                        for child_ref in self.ospf:
                                            if child_ref._has_data():
                                                return True

                                    if self.ospfv3 is not None:
                                        for child_ref in self.ospfv3:
                                            if child_ref._has_data():
                                                return True

                                    if self.rip is not None and self.rip._has_data():
                                        return True

                                    if self.static is not None and self.static._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']


                            class MapCache(object):
                                """
                                Use RIB routes to define EID address space in map\-cache
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis>`
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes to pick up from the RIB
                                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf>`
                                
                                .. attribute:: ospfv3
                                
                                	OSPFv3
                                	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bgp = YList()
                                    self.bgp.parent = self
                                    self.bgp.name = 'bgp'
                                    self.connected = None
                                    self.eigrp = YList()
                                    self.eigrp.parent = self
                                    self.eigrp.name = 'eigrp'
                                    self.isis = YList()
                                    self.isis.parent = self
                                    self.isis.name = 'isis'
                                    self.maximum_prefix = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self.ospf = YList()
                                    self.ospf.parent = self
                                    self.ospf.name = 'ospf'
                                    self.ospfv3 = YList()
                                    self.ospfv3.parent = self
                                    self.ospfv3.name = 'ospfv3'
                                    self.rip = None
                                    self.static = None


                                class Bgp(object):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    
                                    ----
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp']['meta_info']


                                class Connected(object):
                                    """
                                    Connected
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected']['meta_info']


                                class Eigrp(object):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']


                                class Isis(object):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis']['meta_info']


                                class MaximumPrefix(object):
                                    """
                                    Maximum number of prefixes to pick up from the RIB
                                    
                                    .. attribute:: number
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** \-2147483648..2147483647
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold1
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: warning_only1
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.number = None
                                        self.threshold = None
                                        self.threshold1 = None
                                        self.warning_only = None
                                        self.warning_only1 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.number is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        if self.threshold1 is not None:
                                            return True

                                        if self.warning_only is not None:
                                            return True

                                        if self.warning_only1 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                class Ospf(object):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf']['meta_info']


                                class Ospfv3(object):
                                    """
                                    OSPFv3
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info']


                                class Rip(object):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip']['meta_info']


                                class Static(object):
                                    """
                                    Static routes
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bgp is not None:
                                        for child_ref in self.bgp:
                                            if child_ref._has_data():
                                                return True

                                    if self.connected is not None and self.connected._has_data():
                                        return True

                                    if self.eigrp is not None:
                                        for child_ref in self.eigrp:
                                            if child_ref._has_data():
                                                return True

                                    if self.isis is not None:
                                        for child_ref in self.isis:
                                            if child_ref._has_data():
                                                return True

                                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                        return True

                                    if self.ospf is not None:
                                        for child_ref in self.ospf:
                                            if child_ref._has_data():
                                                return True

                                    if self.ospfv3 is not None:
                                        for child_ref in self.ospfv3:
                                            if child_ref._has_data():
                                                return True

                                    if self.rip is not None and self.rip._has_data():
                                        return True

                                    if self.static is not None and self.static._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.database is not None and self.database._has_data():
                                    return True

                                if self.map_cache is not None and self.map_cache._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport']['meta_info']


                        class SiteRegistration(object):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations for a given instance\-id
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.SiteRegistration']['meta_info']


                        class SolicitMapRequest(object):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\:  int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ignore = None
                                self.max_per_entry = None
                                self.suppression_time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ignore is not None:
                                    return True

                                if self.max_per_entry is not None:
                                    return True

                                if self.suppression_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.SolicitMapRequest']['meta_info']


                        class UsePetr(object):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: priority
                            
                            	Configures which Locators from a set are preferred
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: weight
                            
                            	Traffic load\-spreading among Locators
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.locator_address = None
                                self.priority = None
                                self.weight = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.locator_address is None:
                                    raise YPYModelError('Key property locator_address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.locator_address is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                if self.weight is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4.UsePetr']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.alt_vrf is not None:
                                return True

                            if self.database_mapping is not None and self.database_mapping._has_data():
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.etr is not None and self.etr._has_data():
                                return True

                            if self.etr_enable is not None and self.etr_enable._has_data():
                                return True

                            if self.itr is not None and self.itr._has_data():
                                return True

                            if self.itr_enable is not None and self.itr_enable._has_data():
                                return True

                            if self.locator is not None and self.locator._has_data():
                                return True

                            if self.map_cache is not None and self.map_cache._has_data():
                                return True

                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                return True

                            if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                return True

                            if self.map_request_source is not None:
                                return True

                            if self.map_resolver is not None and self.map_resolver._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                                return True

                            if self.proxy_etr is not None:
                                return True

                            if self.proxy_itr is not None:
                                for child in self.proxy_itr:
                                    if child is not None:
                                        return True

                            if self.route_export is not None and self.route_export._has_data():
                                return True

                            if self.route_import is not None and self.route_import._has_data():
                                return True

                            if self.sgt is not None:
                                return True

                            if self.site_registration is not None and self.site_registration._has_data():
                                return True

                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                return True

                            if self.use_petr is not None:
                                for child_ref in self.use_petr:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv4']['meta_info']


                    class Ipv6(object):
                        """
                        IPv6 address family
                        
                        .. attribute:: alt_vrf
                        
                        	Activate LISP\-ALT functionality in VRF
                        	**type**\:  str
                        
                        	**status**\: deprecated
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.Distance>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.EtrEnable>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.ItrEnable>`
                        
                        .. attribute:: locator
                        
                        	Locator related configuration
                        	**type**\:   :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCache>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCacheLimit>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCachePersistent>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: path_mtu_discovery
                        
                        	Path MTU discovery
                        	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.PathMtuDiscovery>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\: one of the below types:
                        
                        	**type**\:  list of str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  list of str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteExport>`
                        
                        .. attribute:: route_import
                        
                        	Import RIB routes by a routing protocol into LISP
                        	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.SolicitMapRequest>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.UsePetr>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.alt_vrf = None
                            self.database_mapping = Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping()
                            self.database_mapping.parent = self
                            self.distance = Native.Router.Lisp.EidTable.InstanceList.Ipv6.Distance()
                            self.distance.parent = self
                            self.etr = Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr()
                            self.etr.parent = self
                            self.etr_enable = Native.Router.Lisp.EidTable.InstanceList.Ipv6.EtrEnable()
                            self.etr_enable.parent = self
                            self.itr = Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr()
                            self.itr.parent = self
                            self.itr_enable = Native.Router.Lisp.EidTable.InstanceList.Ipv6.ItrEnable()
                            self.itr_enable.parent = self
                            self.locator = Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator()
                            self.locator.parent = self
                            self.map_cache = Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCache()
                            self.map_cache.parent = self
                            self.map_cache_limit = Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self.map_cache_persistent = Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self.map_request_source = None
                            self.map_resolver = None
                            self.map_server = None
                            self.path_mtu_discovery = None
                            self.proxy_etr = None
                            self.proxy_itr = YLeafList()
                            self.proxy_itr.parent = self
                            self.proxy_itr.name = 'proxy_itr'
                            self.route_export = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteExport()
                            self.route_export.parent = self
                            self.route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport()
                            self.route_import.parent = self
                            self.sgt = None
                            self.site_registration = Native.Router.Lisp.EidTable.InstanceList.Ipv6.SiteRegistration()
                            self.site_registration.parent = self
                            self.solicit_map_request = Native.Router.Lisp.EidTable.InstanceList.Ipv6.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self.use_petr = YList()
                            self.use_petr.parent = self
                            self.use_petr.name = 'use_petr'


                        class DatabaseMapping(object):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit()
                                self.limit.parent = self


                            class Limit(object):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dynamic = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dynamic is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None and self.limit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping']['meta_info']


                        class Distance(object):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.alt = None
                                self.dyn_eid = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.alt is not None:
                                    return True

                                if self.dyn_eid is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.Distance']['meta_info']


                        class Itr(object):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_resolver = YList()
                                self.map_resolver.parent = self
                                self.map_resolver.name = 'map_resolver'


                            class MapResolver(object):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr.MapResolver']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_resolver is not None:
                                    for child_ref in self.map_resolver:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr']['meta_info']


                        class ItrEnable(object):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.itr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.itr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.ItrEnable']['meta_info']


                        class Etr(object):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None
                                    self.key = Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: key_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: key_7
                                    
                                    	The HIDDEN password
                                    	**type**\:  str
                                    
                                    .. attribute:: pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = None
                                        self.key_6 = None
                                        self.key_7 = None
                                        self.pwd = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None:
                                            return True

                                        if self.key_6 is not None:
                                            return True

                                        if self.key_7 is not None:
                                            return True

                                        if self.pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr']['meta_info']


                        class EtrEnable(object):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.etr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.etr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.EtrEnable']['meta_info']


                        class Locator(object):
                            """
                            Locator related configuration
                            
                            .. attribute:: reachability
                            
                            	Configuration realted to locator reachability
                            	**type**\:   :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator.Reachability>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.reachability = Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator.Reachability()
                                self.reachability.parent = self


                            class Reachability(object):
                                """
                                Configuration realted to locator reachability
                                
                                .. attribute:: exclude_default
                                
                                	If a remote RLOC is reached via the default route, treat it as unreachable
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.exclude_default = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:reachability'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.exclude_default is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator.Reachability']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.reachability is not None and self.reachability._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator']['meta_info']


                        class MapCache(object):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.site_registration = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.site_registration is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCache']['meta_info']


                        class MapCacheLimit(object):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\:  str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max_map_cache_entries = None
                                self.reserve_list = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max_map_cache_entries is not None:
                                    return True

                                if self.reserve_list is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCacheLimit']['meta_info']


                        class MapCachePersistent(object):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\:  int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interval = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCachePersistent']['meta_info']


                        class MapResolver(object):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_request = Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest()
                                self.map_request.parent = self


                            class MapRequest(object):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: ipv4
                                        
                                        	IPv4 prefixes
                                        	**type**\:  str
                                        
                                        .. attribute:: ipv6
                                        
                                        	IPv6 prefixes
                                        	**type**\:  str
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4 = None
                                            self.ipv6 = None
                                            self.list = None
                                            self.registered = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4 is not None:
                                                return True

                                            if self.ipv6 is not None:
                                                return True

                                            if self.list is not None:
                                                return True

                                            if self.registered is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_request is not None and self.map_request._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver']['meta_info']


                        class MapServer(object):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_register = Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister()
                                self.map_register.parent = self


                            class MapRegister(object):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.allowed_locator = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.allowed_locator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_register is not None and self.map_register._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer']['meta_info']


                        class PathMtuDiscovery(object):
                            """
                            Path MTU discovery
                            
                            .. attribute:: max
                            
                            	Upper bound on the path MTU accepted
                            	**type**\:  int
                            
                            	**range:** 68..65535
                            
                            .. attribute:: min
                            
                            	Lower bound on the path MTU accepted
                            	**type**\:  int
                            
                            	**range:** 68..65535
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.max = None
                                self.min = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:path-mtu-discovery'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.max is not None:
                                    return True

                                if self.min is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.PathMtuDiscovery']['meta_info']


                        class RouteExport(object):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.away_eids = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.away_eids is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteExport']['meta_info']


                        class RouteImport(object):
                            """
                            Import RIB routes by a routing protocol into LISP
                            
                            .. attribute:: database
                            
                            	Use RIB routes to define local EID database entries
                            	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database>`
                            
                            .. attribute:: map_cache
                            
                            	Use RIB routes to define EID address space in map\-cache
                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.database = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database()
                                self.database.parent = self
                                self.map_cache = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache()
                                self.map_cache.parent = self


                            class Database(object):
                                """
                                Use RIB routes to define local EID database entries
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected>`
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis>`
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes to pick up from the RIB
                                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix>`
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf>`
                                
                                .. attribute:: ospfv3
                                
                                	OSPFv3
                                	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip>`
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bgp = YList()
                                    self.bgp.parent = self
                                    self.bgp.name = 'bgp'
                                    self.connected = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected()
                                    self.connected.parent = self
                                    self.eigrp = YList()
                                    self.eigrp.parent = self
                                    self.eigrp.name = 'eigrp'
                                    self.isis = YList()
                                    self.isis.parent = self
                                    self.isis.name = 'isis'
                                    self.maximum_prefix = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self.ospf = YList()
                                    self.ospf.parent = self
                                    self.ospf.name = 'ospf'
                                    self.ospfv3 = YList()
                                    self.ospfv3.parent = self
                                    self.ospfv3.name = 'ospfv3'
                                    self.rip = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip()
                                    self.rip.parent = self
                                    self.static = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static()
                                    self.static.parent = self


                                class Bgp(object):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    
                                    ----
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp']['meta_info']


                                class Connected(object):
                                    """
                                    Connected
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected']['meta_info']


                                class Eigrp(object):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp']['meta_info']


                                class Isis(object):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis']['meta_info']


                                class MaximumPrefix(object):
                                    """
                                    Maximum number of prefixes to pick up from the RIB
                                    
                                    .. attribute:: number
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** \-2147483648..2147483647
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold1
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: warning_only1
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.number = None
                                        self.threshold = None
                                        self.threshold1 = None
                                        self.warning_only = None
                                        self.warning_only1 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.number is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        if self.threshold1 is not None:
                                            return True

                                        if self.warning_only is not None:
                                            return True

                                        if self.warning_only1 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info']


                                class Ospf(object):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf']['meta_info']


                                class Ospfv3(object):
                                    """
                                    OSPFv3
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3']['meta_info']


                                class Rip(object):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip']['meta_info']


                                class Static(object):
                                    """
                                    Static routes
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bgp is not None:
                                        for child_ref in self.bgp:
                                            if child_ref._has_data():
                                                return True

                                    if self.connected is not None and self.connected._has_data():
                                        return True

                                    if self.eigrp is not None:
                                        for child_ref in self.eigrp:
                                            if child_ref._has_data():
                                                return True

                                    if self.isis is not None:
                                        for child_ref in self.isis:
                                            if child_ref._has_data():
                                                return True

                                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                        return True

                                    if self.ospf is not None:
                                        for child_ref in self.ospf:
                                            if child_ref._has_data():
                                                return True

                                    if self.ospfv3 is not None:
                                        for child_ref in self.ospfv3:
                                            if child_ref._has_data():
                                                return True

                                    if self.rip is not None and self.rip._has_data():
                                        return True

                                    if self.static is not None and self.static._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']


                            class MapCache(object):
                                """
                                Use RIB routes to define EID address space in map\-cache
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis>`
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes to pick up from the RIB
                                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf>`
                                
                                .. attribute:: ospfv3
                                
                                	OSPFv3
                                	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bgp = YList()
                                    self.bgp.parent = self
                                    self.bgp.name = 'bgp'
                                    self.connected = None
                                    self.eigrp = YList()
                                    self.eigrp.parent = self
                                    self.eigrp.name = 'eigrp'
                                    self.isis = YList()
                                    self.isis.parent = self
                                    self.isis.name = 'isis'
                                    self.maximum_prefix = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self.ospf = YList()
                                    self.ospf.parent = self
                                    self.ospf.name = 'ospf'
                                    self.ospfv3 = YList()
                                    self.ospfv3.parent = self
                                    self.ospfv3.name = 'ospfv3'
                                    self.rip = None
                                    self.static = None


                                class Bgp(object):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    
                                    ----
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp']['meta_info']


                                class Connected(object):
                                    """
                                    Connected
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected']['meta_info']


                                class Eigrp(object):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']


                                class Isis(object):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis']['meta_info']


                                class MaximumPrefix(object):
                                    """
                                    Maximum number of prefixes to pick up from the RIB
                                    
                                    .. attribute:: number
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** \-2147483648..2147483647
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold1
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: warning_only1
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.number = None
                                        self.threshold = None
                                        self.threshold1 = None
                                        self.warning_only = None
                                        self.warning_only1 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.number is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        if self.threshold1 is not None:
                                            return True

                                        if self.warning_only is not None:
                                            return True

                                        if self.warning_only1 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                class Ospf(object):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf']['meta_info']


                                class Ospfv3(object):
                                    """
                                    OSPFv3
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info']


                                class Rip(object):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip']['meta_info']


                                class Static(object):
                                    """
                                    Static routes
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bgp is not None:
                                        for child_ref in self.bgp:
                                            if child_ref._has_data():
                                                return True

                                    if self.connected is not None and self.connected._has_data():
                                        return True

                                    if self.eigrp is not None:
                                        for child_ref in self.eigrp:
                                            if child_ref._has_data():
                                                return True

                                    if self.isis is not None:
                                        for child_ref in self.isis:
                                            if child_ref._has_data():
                                                return True

                                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                        return True

                                    if self.ospf is not None:
                                        for child_ref in self.ospf:
                                            if child_ref._has_data():
                                                return True

                                    if self.ospfv3 is not None:
                                        for child_ref in self.ospfv3:
                                            if child_ref._has_data():
                                                return True

                                    if self.rip is not None and self.rip._has_data():
                                        return True

                                    if self.static is not None and self.static._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.database is not None and self.database._has_data():
                                    return True

                                if self.map_cache is not None and self.map_cache._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport']['meta_info']


                        class SiteRegistration(object):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations for a given instance\-id
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.SiteRegistration']['meta_info']


                        class SolicitMapRequest(object):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\:  int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ignore = None
                                self.max_per_entry = None
                                self.suppression_time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ignore is not None:
                                    return True

                                if self.max_per_entry is not None:
                                    return True

                                if self.suppression_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.SolicitMapRequest']['meta_info']


                        class UsePetr(object):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: priority
                            
                            	Configures which Locators from a set are preferred
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: weight
                            
                            	Traffic load\-spreading among Locators
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.locator_address = None
                                self.priority = None
                                self.weight = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.locator_address is None:
                                    raise YPYModelError('Key property locator_address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.locator_address is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                if self.weight is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6.UsePetr']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.alt_vrf is not None:
                                return True

                            if self.database_mapping is not None and self.database_mapping._has_data():
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.etr is not None and self.etr._has_data():
                                return True

                            if self.etr_enable is not None and self.etr_enable._has_data():
                                return True

                            if self.itr is not None and self.itr._has_data():
                                return True

                            if self.itr_enable is not None and self.itr_enable._has_data():
                                return True

                            if self.locator is not None and self.locator._has_data():
                                return True

                            if self.map_cache is not None and self.map_cache._has_data():
                                return True

                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                return True

                            if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                return True

                            if self.map_request_source is not None:
                                return True

                            if self.map_resolver is not None and self.map_resolver._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                                return True

                            if self.proxy_etr is not None:
                                return True

                            if self.proxy_itr is not None:
                                for child in self.proxy_itr:
                                    if child is not None:
                                        return True

                            if self.route_export is not None and self.route_export._has_data():
                                return True

                            if self.route_import is not None and self.route_import._has_data():
                                return True

                            if self.sgt is not None:
                                return True

                            if self.site_registration is not None and self.site_registration._has_data():
                                return True

                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                return True

                            if self.use_petr is not None:
                                for child_ref in self.use_petr:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.Ipv6']['meta_info']


                    class LocReachAlgorithm(object):
                        """
                        Configure locator reachability algorithm
                        
                        .. attribute:: lsb_reports
                        
                        	Configure data packet LSB report handling
                        	**type**\:   :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm.LsbReports>`
                        
                        .. attribute:: rloc_probing
                        
                        	Probe high priority RLOCs with Map\-Requests as last resort
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lsb_reports = Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm.LsbReports()
                            self.lsb_reports.parent = self
                            self.rloc_probing = None


                        class LsbReports(object):
                            """
                            Configure data packet LSB report handling
                            
                            .. attribute:: do_not_transmit
                            
                            	Force the setting of the encapsulation header L bit to zero
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore data packet LSB reports
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.do_not_transmit = None
                                self.ignore = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lsb-reports'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.do_not_transmit is not None:
                                    return True

                                if self.ignore is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm.LsbReports']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:loc-reach-algorithm'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lsb_reports is not None and self.lsb_reports._has_data():
                                return True

                            if self.rloc_probing is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm']['meta_info']


                    class LocatorDown(object):
                        """
                        Manually set locator status to down
                        
                        .. attribute:: address
                        
                        	IPv4/6 Locator address to be set down
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: ipv4_interface
                        
                        	Use IPv4 address of interface as locator
                        	**type**\:  str
                        
                        .. attribute:: ipv6_interface
                        
                        	Use IPv6 address of interface as locator
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.ipv4_interface = None
                            self.ipv6_interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator-down'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.ipv4_interface is not None:
                                return True

                            if self.ipv6_interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.LocatorDown']['meta_info']


                    class LocatorTable(object):
                        """
                        Specify the RLOC table
                        
                        .. attribute:: default
                        
                        	Default VRF
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vrf
                        
                        	VRF name
                        	**type**\:  str
                        
                        .. attribute:: vrf_name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.default = None
                            self.vrf = None
                            self.vrf_name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator-table'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.default is not None:
                                return True

                            if self.vrf is not None:
                                return True

                            if self.vrf_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.LocatorTable']['meta_info']


                    class MapRequest(object):
                        """
                        Configure map\-request handling
                        
                        .. attribute:: itr_rlocs
                        
                        	Configure to use the specified RLOC set as ITR RLOC in map\-request
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.itr_rlocs = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.itr_rlocs is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.MapRequest']['meta_info']


                    class MapServer(object):
                        """
                        Map\-Server commands
                        
                        .. attribute:: rloc
                        
                        	EID instance RLOC membership
                        	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc>`
                        
                        .. attribute:: site_registration
                        
                        	Map\-server site registration options
                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.MapServer.SiteRegistration>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.rloc = Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc()
                            self.rloc.parent = self
                            self.site_registration = Native.Router.Lisp.EidTable.InstanceList.MapServer.SiteRegistration()
                            self.site_registration.parent = self


                        class Rloc(object):
                            """
                            EID instance RLOC membership
                            
                            .. attribute:: members
                            
                            	EID instance RLOC membership
                            	**type**\:   :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.members = Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members()
                                self.members.parent = self


                            class Members(object):
                                """
                                EID instance RLOC membership
                                
                                .. attribute:: distribute
                                
                                	EID instance RLOC membership distribution
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: modify_discovered
                                
                                	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                	**type**\:   :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.distribute = None
                                    self.modify_discovered = Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered()
                                    self.modify_discovered.parent = self


                                class ModifyDiscovered(object):
                                    """
                                    Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set from which to get member RLOC addresses
                                    	**type**\:  str
                                    
                                    .. attribute:: operator
                                    
                                    	
                                    	**type**\:   :py:class:`OperatorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.operator = None

                                    class OperatorEnum(Enum):
                                        """
                                        OperatorEnum

                                        .. data:: add = 0

                                        .. data:: override = 1

                                        """

                                        add = 0

                                        override = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:modify-discovered'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.operator is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:members'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.distribute is not None:
                                        return True

                                    if self.modify_discovered is not None and self.modify_discovered._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.members is not None and self.members._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc']['meta_info']


                        class SiteRegistration(object):
                            """
                            Map\-server site registration options
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations as a result of accept\-more\-specifics
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.MapServer.SiteRegistration']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.rloc is not None and self.rloc._has_data():
                                return True

                            if self.site_registration is not None and self.site_registration._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.MapServer']['meta_info']


                    class OtherXtrProbe(object):
                        """
                        Configure parameters for probing of other xTRs in our site
                        
                        .. attribute:: period
                        
                        	Period between probes in seconds
                        	**type**\:  int
                        
                        	**range:** 5..900
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.period = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:other-xtr-probe'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.period is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.OtherXtrProbe']['meta_info']


                    class RemoteRlocProbe(object):
                        """
                        Configure parameters for probing of remote RLOCs
                        
                        .. attribute:: on_membership_change
                        
                        	Trigger probing upon membership changes for remote RLOC
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: on_route_change
                        
                        	Trigger probing upon routing changes for remote RLOC
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.on_membership_change = None
                            self.on_route_change = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:remote-rloc-probe'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.on_membership_change is not None:
                                return True

                            if self.on_route_change is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.RemoteRlocProbe']['meta_info']


                    class MapCache(object):
                        """
                        Configures static EID\-to\-RLOC mappings for an ITR
                        
                        .. attribute:: eid_prefix  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        
                        ----
                        .. attribute:: drop
                        
                        	Drop packets that match this map\-cache entry
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: etr_interface_ip
                        
                        	
                        	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.MapCache.EtrInterfaceIp>`
                        
                        .. attribute:: map_request
                        
                        	Send Map\-Request for LISP destination EID
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: native_forward
                        
                        	Natively forward packets that match this map\-cache entry
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eid_prefix = None
                            self.drop = None
                            self.etr_interface_ip = Native.Router.Lisp.EidTable.InstanceList.MapCache.EtrInterfaceIp()
                            self.etr_interface_ip.parent = self
                            self.map_request = None
                            self.native_forward = None


                        class EtrInterfaceIp(object):
                            """
                            
                            
                            .. attribute:: etr_interface_ip_address
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: priority
                            
                            	Configures which Locators from a set are preferred
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: weight
                            
                            	Traffic load\-spreading among Locators
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.etr_interface_ip_address = None
                                self.priority = None
                                self.weight = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.etr_interface_ip_address is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                if self.weight is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.MapCache.EtrInterfaceIp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.eid_prefix is None:
                                raise YPYModelError('Key property eid_prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eid_prefix is not None:
                                return True

                            if self.drop is not None:
                                return True

                            if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                return True

                            if self.map_request is not None:
                                return True

                            if self.native_forward is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList.MapCache']['meta_info']

                    @property
                    def _common_path(self):
                        if self.instance_id is None:
                            raise YPYModelError('Key property instance_id is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:eid-table/Cisco-IOS-XE-lisp:instance-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.instance_id is not None:
                            return True

                        if self.alt is not None and self.alt._has_data():
                            return True

                        if self.control_packet is not None and self.control_packet._has_data():
                            return True

                        if self.database_mapping is not None:
                            for child_ref in self.database_mapping:
                                if child_ref._has_data():
                                    return True

                        if self.ddt is not None and self.ddt._has_data():
                            return True

                        if self.decapsulation is not None and self.decapsulation._has_data():
                            return True

                        if self.default is not None:
                            return True

                        if self.disable_ttl_propagate is not None:
                            return True

                        if self.dynamic_eid is not None:
                            for child_ref in self.dynamic_eid:
                                if child_ref._has_data():
                                    return True

                        if self.etr is not None and self.etr._has_data():
                            return True

                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        if self.loc_reach_algorithm is not None and self.loc_reach_algorithm._has_data():
                            return True

                        if self.locator_down is not None and self.locator_down._has_data():
                            return True

                        if self.locator_table is not None and self.locator_table._has_data():
                            return True

                        if self.map_cache is not None:
                            for child_ref in self.map_cache:
                                if child_ref._has_data():
                                    return True

                        if self.map_request is not None and self.map_request._has_data():
                            return True

                        if self.map_server is not None and self.map_server._has_data():
                            return True

                        if self.other_xtr_probe is not None and self.other_xtr_probe._has_data():
                            return True

                        if self.remote_rloc_probe is not None and self.remote_rloc_probe._has_data():
                            return True

                        if self.vrf is not None:
                            return True

                        if self.vrf_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.EidTable.InstanceList']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:eid-table'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.instance_list is not None:
                        for child_ref in self.instance_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.EidTable']['meta_info']


            class Security(object):
                """
                Enable default LISP security and authentication in reply is optional
                
                .. attribute:: strong
                
                	Enable default LISP security and authentication in reply is required
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.strong = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:security'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.strong is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.Security']['meta_info']


            class Site(object):
                """
                Configure a LISP site on a map server (MS)
                
                .. attribute:: sname  <key>
                
                	The site name
                	**type**\:  str
                
                .. attribute:: allowed_locator
                
                	Locator from LISP site
                	**type**\:   :py:class:`AllowedLocator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.AllowedLocator>`
                
                .. attribute:: authentication_key
                
                	Authentication key used by LISP site
                	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.AuthenticationKey>`
                
                .. attribute:: default
                
                	
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default>`
                
                .. attribute:: description
                
                	Site description
                	**type**\:  str
                
                .. attribute:: eid_prefix
                
                	Site EID address prefix
                	**type**\:   :py:class:`EidPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.EidPrefix>`
                
                .. attribute:: eid_record
                
                	Site EID address prefix
                	**type**\:   :py:class:`EidRecord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.EidRecord>`
                
                .. attribute:: site_id
                
                	Configure a site\-id for this site
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.sname = None
                    self.allowed_locator = Native.Router.Lisp.Site.AllowedLocator()
                    self.allowed_locator.parent = self
                    self.authentication_key = Native.Router.Lisp.Site.AuthenticationKey()
                    self.authentication_key.parent = self
                    self.default = Native.Router.Lisp.Site.Default()
                    self.default.parent = self
                    self.description = None
                    self.eid_prefix = Native.Router.Lisp.Site.EidPrefix()
                    self.eid_prefix.parent = self
                    self.eid_record = Native.Router.Lisp.Site.EidRecord()
                    self.eid_record.parent = self
                    self.site_id = None


                class Default(object):
                    """
                    
                    
                    .. attribute:: allowed_locator
                    
                    	Locator from LISP site
                    	**type**\:   :py:class:`AllowedLocator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.AllowedLocator>`
                    
                    .. attribute:: authentication_key
                    
                    	Authentication key used by LISP site
                    	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.AuthenticationKey>`
                    
                    .. attribute:: description
                    
                    	Site description
                    	**type**\:  str
                    
                    .. attribute:: eid_prefix
                    
                    	Site EID address prefix
                    	**type**\:   :py:class:`EidPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.EidPrefix>`
                    
                    .. attribute:: eid_record
                    
                    	Site EID address prefix
                    	**type**\:   :py:class:`EidRecord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.EidRecord>`
                    
                    .. attribute:: site_id
                    
                    	Configure a site\-id for this site
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.allowed_locator = Native.Router.Lisp.Site.Default.AllowedLocator()
                        self.allowed_locator.parent = self
                        self.authentication_key = Native.Router.Lisp.Site.Default.AuthenticationKey()
                        self.authentication_key.parent = self
                        self.description = None
                        self.eid_prefix = Native.Router.Lisp.Site.Default.EidPrefix()
                        self.eid_prefix.parent = self
                        self.eid_record = Native.Router.Lisp.Site.Default.EidRecord()
                        self.eid_record.parent = self
                        self.site_id = None


                    class AuthenticationKey(object):
                        """
                        Authentication key used by LISP site
                        
                        .. attribute:: key_0
                        
                        	The UNENCRYPTED (cleartext) password
                        	**type**\:  str
                        
                        .. attribute:: key_6
                        
                        	The ENCRYPTED password
                        	**type**\:  str
                        
                        .. attribute:: key_7
                        
                        	The ENCRYPTED password
                        	**type**\:  str
                        
                        .. attribute:: unc_pwd
                        
                        	The UNENCRYPTED (cleartext) password
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_0 = None
                            self.key_6 = None
                            self.key_7 = None
                            self.unc_pwd = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:authentication-key'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_0 is not None:
                                return True

                            if self.key_6 is not None:
                                return True

                            if self.key_7 is not None:
                                return True

                            if self.unc_pwd is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Site.Default.AuthenticationKey']['meta_info']


                    class AllowedLocator(object):
                        """
                        Locator from LISP site
                        
                        .. attribute:: list
                        
                        	Prefixes allowed in registerd locator\-set
                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.AllowedLocator.List>`
                        
                        .. attribute:: ls_ipv4
                        
                        	IPv4 locator allowed in registered locator\-set
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ls_ipv6
                        
                        	IPv6 locator allowed in registered locator\-set
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.list = Native.Router.Lisp.Site.Default.AllowedLocator.List()
                            self.list.parent = self
                            self.ls_ipv4 = None
                            self.ls_ipv6 = None


                        class List(object):
                            """
                            Prefixes allowed in registerd locator\-set
                            
                            .. attribute:: ipv4
                            
                            	IPv4 prefix\-list name
                            	**type**\:  str
                            
                            .. attribute:: ipv6
                            
                            	IPv6 prefix\-list name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = None
                                self.ipv6 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None:
                                    return True

                                if self.ipv6 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Site.Default.AllowedLocator.List']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:allowed-locator'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.list is not None and self.list._has_data():
                                return True

                            if self.ls_ipv4 is not None:
                                return True

                            if self.ls_ipv6 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Site.Default.AllowedLocator']['meta_info']


                    class EidPrefix(object):
                        """
                        Site EID address prefix
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: instance_id
                        
                        	EID instance\-ID
                        	**type**\: list of    :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.EidPrefix.InstanceId>`
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.EidPrefix.Prefixes>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.any_mac = None
                            self.instance_id = YList()
                            self.instance_id.parent = self
                            self.instance_id.name = 'instance_id'
                            self.prefixes = YList()
                            self.prefixes.parent = self
                            self.prefixes.name = 'prefixes'


                        class Prefixes(object):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix = None
                                self.accept_more_specifics = None
                                self.route_tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.prefix is None:
                                    raise YPYModelError('Key property prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix is not None:
                                    return True

                                if self.accept_more_specifics is not None:
                                    return True

                                if self.route_tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Site.Default.EidPrefix.Prefixes']['meta_info']


                        class InstanceId(object):
                            """
                            EID instance\-ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..16777214
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.EidPrefix.InstanceId.Prefixes>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.any_mac = None
                                self.prefixes = YList()
                                self.prefixes.parent = self
                                self.prefixes.name = 'prefixes'


                            class Prefixes(object):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.prefix = None
                                    self.accept_more_specifics = None
                                    self.route_tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.prefix is None:
                                        raise YPYModelError('Key property prefix is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.prefix is not None:
                                        return True

                                    if self.accept_more_specifics is not None:
                                        return True

                                    if self.route_tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Site.Default.EidPrefix.InstanceId.Prefixes']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.any_mac is not None:
                                    return True

                                if self.prefixes is not None:
                                    for child_ref in self.prefixes:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Site.Default.EidPrefix.InstanceId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-prefix'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any_mac is not None:
                                return True

                            if self.instance_id is not None:
                                for child_ref in self.instance_id:
                                    if child_ref._has_data():
                                        return True

                            if self.prefixes is not None:
                                for child_ref in self.prefixes:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Site.Default.EidPrefix']['meta_info']


                    class EidRecord(object):
                        """
                        Site EID address prefix
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: instance_id
                        
                        	EID instance\-ID
                        	**type**\: list of    :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.EidRecord.InstanceId>`
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.EidRecord.Prefixes>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.any_mac = None
                            self.instance_id = YList()
                            self.instance_id.parent = self
                            self.instance_id.name = 'instance_id'
                            self.prefixes = YList()
                            self.prefixes.parent = self
                            self.prefixes.name = 'prefixes'


                        class Prefixes(object):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix = None
                                self.accept_more_specifics = None
                                self.route_tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.prefix is None:
                                    raise YPYModelError('Key property prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix is not None:
                                    return True

                                if self.accept_more_specifics is not None:
                                    return True

                                if self.route_tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Site.Default.EidRecord.Prefixes']['meta_info']


                        class InstanceId(object):
                            """
                            EID instance\-ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..16777214
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.EidRecord.InstanceId.Prefixes>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.any_mac = None
                                self.prefixes = YList()
                                self.prefixes.parent = self
                                self.prefixes.name = 'prefixes'


                            class Prefixes(object):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.prefix = None
                                    self.accept_more_specifics = None
                                    self.route_tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.prefix is None:
                                        raise YPYModelError('Key property prefix is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.prefix is not None:
                                        return True

                                    if self.accept_more_specifics is not None:
                                        return True

                                    if self.route_tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Lisp.Site.Default.EidRecord.InstanceId.Prefixes']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.any_mac is not None:
                                    return True

                                if self.prefixes is not None:
                                    for child_ref in self.prefixes:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Site.Default.EidRecord.InstanceId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-record'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any_mac is not None:
                                return True

                            if self.instance_id is not None:
                                for child_ref in self.instance_id:
                                    if child_ref._has_data():
                                        return True

                            if self.prefixes is not None:
                                for child_ref in self.prefixes:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Site.Default.EidRecord']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.allowed_locator is not None and self.allowed_locator._has_data():
                            return True

                        if self.authentication_key is not None and self.authentication_key._has_data():
                            return True

                        if self.description is not None:
                            return True

                        if self.eid_prefix is not None and self.eid_prefix._has_data():
                            return True

                        if self.eid_record is not None and self.eid_record._has_data():
                            return True

                        if self.site_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Site.Default']['meta_info']


                class AuthenticationKey(object):
                    """
                    Authentication key used by LISP site
                    
                    .. attribute:: key_0
                    
                    	The UNENCRYPTED (cleartext) password
                    	**type**\:  str
                    
                    .. attribute:: key_6
                    
                    	The ENCRYPTED password
                    	**type**\:  str
                    
                    .. attribute:: key_7
                    
                    	The ENCRYPTED password
                    	**type**\:  str
                    
                    .. attribute:: unc_pwd
                    
                    	The UNENCRYPTED (cleartext) password
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_0 = None
                        self.key_6 = None
                        self.key_7 = None
                        self.unc_pwd = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:authentication-key'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_0 is not None:
                            return True

                        if self.key_6 is not None:
                            return True

                        if self.key_7 is not None:
                            return True

                        if self.unc_pwd is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Site.AuthenticationKey']['meta_info']


                class AllowedLocator(object):
                    """
                    Locator from LISP site
                    
                    .. attribute:: list
                    
                    	Prefixes allowed in registerd locator\-set
                    	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.AllowedLocator.List>`
                    
                    .. attribute:: ls_ipv4
                    
                    	IPv4 locator allowed in registered locator\-set
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: ls_ipv6
                    
                    	IPv6 locator allowed in registered locator\-set
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.list = Native.Router.Lisp.Site.AllowedLocator.List()
                        self.list.parent = self
                        self.ls_ipv4 = None
                        self.ls_ipv6 = None


                    class List(object):
                        """
                        Prefixes allowed in registerd locator\-set
                        
                        .. attribute:: ipv4
                        
                        	IPv4 prefix\-list name
                        	**type**\:  str
                        
                        .. attribute:: ipv6
                        
                        	IPv6 prefix\-list name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None
                            self.ipv6 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None:
                                return True

                            if self.ipv6 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Site.AllowedLocator.List']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:allowed-locator'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.list is not None and self.list._has_data():
                            return True

                        if self.ls_ipv4 is not None:
                            return True

                        if self.ls_ipv6 is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Site.AllowedLocator']['meta_info']


                class EidPrefix(object):
                    """
                    Site EID address prefix
                    
                    .. attribute:: any_mac
                    
                    	Accept registrations for any L2 EID records
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: instance_id
                    
                    	EID instance\-ID
                    	**type**\: list of    :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.EidPrefix.InstanceId>`
                    
                    .. attribute:: prefixes
                    
                    	
                    	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.EidPrefix.Prefixes>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.any_mac = None
                        self.instance_id = YList()
                        self.instance_id.parent = self
                        self.instance_id.name = 'instance_id'
                        self.prefixes = YList()
                        self.prefixes.parent = self
                        self.prefixes.name = 'prefixes'


                    class Prefixes(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        
                        ----
                        .. attribute:: accept_more_specifics
                        
                        	Accept registrations for more specific EID prefixes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_tag
                        
                        	RIB route tag
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.accept_more_specifics = None
                            self.route_tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.accept_more_specifics is not None:
                                return True

                            if self.route_tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Site.EidPrefix.Prefixes']['meta_info']


                    class InstanceId(object):
                        """
                        EID instance\-ID
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.EidPrefix.InstanceId.Prefixes>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.any_mac = None
                            self.prefixes = YList()
                            self.prefixes.parent = self
                            self.prefixes.name = 'prefixes'


                        class Prefixes(object):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix = None
                                self.accept_more_specifics = None
                                self.route_tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.prefix is None:
                                    raise YPYModelError('Key property prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix is not None:
                                    return True

                                if self.accept_more_specifics is not None:
                                    return True

                                if self.route_tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Site.EidPrefix.InstanceId.Prefixes']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.any_mac is not None:
                                return True

                            if self.prefixes is not None:
                                for child_ref in self.prefixes:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Site.EidPrefix.InstanceId']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-prefix'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.any_mac is not None:
                            return True

                        if self.instance_id is not None:
                            for child_ref in self.instance_id:
                                if child_ref._has_data():
                                    return True

                        if self.prefixes is not None:
                            for child_ref in self.prefixes:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Site.EidPrefix']['meta_info']


                class EidRecord(object):
                    """
                    Site EID address prefix
                    
                    .. attribute:: any_mac
                    
                    	Accept registrations for any L2 EID records
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: instance_id
                    
                    	EID instance\-ID
                    	**type**\: list of    :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.EidRecord.InstanceId>`
                    
                    .. attribute:: prefixes
                    
                    	
                    	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.EidRecord.Prefixes>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.any_mac = None
                        self.instance_id = YList()
                        self.instance_id.parent = self
                        self.instance_id.name = 'instance_id'
                        self.prefixes = YList()
                        self.prefixes.parent = self
                        self.prefixes.name = 'prefixes'


                    class Prefixes(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        
                        ----
                        .. attribute:: accept_more_specifics
                        
                        	Accept registrations for more specific EID prefixes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_tag
                        
                        	RIB route tag
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.accept_more_specifics = None
                            self.route_tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.accept_more_specifics is not None:
                                return True

                            if self.route_tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Site.EidRecord.Prefixes']['meta_info']


                    class InstanceId(object):
                        """
                        EID instance\-ID
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.EidRecord.InstanceId.Prefixes>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.any_mac = None
                            self.prefixes = YList()
                            self.prefixes.parent = self
                            self.prefixes.name = 'prefixes'


                        class Prefixes(object):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix = None
                                self.accept_more_specifics = None
                                self.route_tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.prefix is None:
                                    raise YPYModelError('Key property prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix is not None:
                                    return True

                                if self.accept_more_specifics is not None:
                                    return True

                                if self.route_tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Lisp.Site.EidRecord.InstanceId.Prefixes']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.any_mac is not None:
                                return True

                            if self.prefixes is not None:
                                for child_ref in self.prefixes:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Lisp.Site.EidRecord.InstanceId']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-record'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.any_mac is not None:
                            return True

                        if self.instance_id is not None:
                            for child_ref in self.instance_id:
                                if child_ref._has_data():
                                    return True

                        if self.prefixes is not None:
                            for child_ref in self.prefixes:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Site.EidRecord']['meta_info']

                @property
                def _common_path(self):
                    if self.sname is None:
                        raise YPYModelError('Key property sname is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:site[Cisco-IOS-XE-lisp:sname = ' + str(self.sname) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.sname is not None:
                        return True

                    if self.allowed_locator is not None and self.allowed_locator._has_data():
                        return True

                    if self.authentication_key is not None and self.authentication_key._has_data():
                        return True

                    if self.default is not None and self.default._has_data():
                        return True

                    if self.description is not None:
                        return True

                    if self.eid_prefix is not None and self.eid_prefix._has_data():
                        return True

                    if self.eid_record is not None and self.eid_record._has_data():
                        return True

                    if self.site_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.Site']['meta_info']


            class Syslog(object):
                """
                Configure syslog option
                
                .. attribute:: session
                
                	Enable session syslog
                	**type**\:   :py:class:`Session <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Syslog.Session>`
                
                .. attribute:: verbose
                
                	Enable verbose syslog
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.session = Native.Router.Lisp.Syslog.Session()
                    self.session.parent = self
                    self.verbose = None


                class Session(object):
                    """
                    Enable session syslog
                    
                    .. attribute:: changes
                    
                    	Enable session change syslog
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.changes = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:syslog/Cisco-IOS-XE-lisp:session'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.changes is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Lisp.Syslog.Session']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp/Cisco-IOS-XE-lisp:syslog'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.session is not None and self.session._has_data():
                        return True

                    if self.verbose is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Lisp.Syslog']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.alt is not None and self.alt._has_data():
                    return True

                if self.control_packet is not None and self.control_packet._has_data():
                    return True

                if self.ddt is not None and self.ddt._has_data():
                    return True

                if self.decapsulation is not None and self.decapsulation._has_data():
                    return True

                if self.default is not None and self.default._has_data():
                    return True

                if self.disable_ttl_propagate is not None:
                    return True

                if self.eid_table is not None and self.eid_table._has_data():
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.etr is not None and self.etr._has_data():
                    return True

                if self.instance_container is not None and self.instance_container._has_data():
                    return True

                if self.ipv4 is not None and self.ipv4._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.loc_reach_algorithm is not None and self.loc_reach_algorithm._has_data():
                    return True

                if self.locator_down is not None and self.locator_down._has_data():
                    return True

                if self.locator_scope is not None:
                    for child_ref in self.locator_scope:
                        if child_ref._has_data():
                            return True

                if self.locator_set is not None:
                    for child_ref in self.locator_set:
                        if child_ref._has_data():
                            return True

                if self.locator_table is not None and self.locator_table._has_data():
                    return True

                if self.map_request is not None and self.map_request._has_data():
                    return True

                if self.map_server is not None and self.map_server._has_data():
                    return True

                if self.other_xtr_probe is not None and self.other_xtr_probe._has_data():
                    return True

                if self.remote_rloc_probe is not None and self.remote_rloc_probe._has_data():
                    return True

                if self.security is not None and self.security._has_data():
                    return True

                if self.service is not None and self.service._has_data():
                    return True

                if self.site is not None:
                    for child_ref in self.site:
                        if child_ref._has_data():
                            return True

                if self.site_id is not None:
                    return True

                if self.syslog is not None and self.syslog._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Router.Lisp']['meta_info']


        class LispList(object):
            """
            Locator/ID Separation Protocol
            
            .. attribute:: lisp  <key>
            
            	Locator/ID Separation Protocol
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: alt
            
            	LISP Alternative Topology, LISP\-ALT
            	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Alt>`
            
            .. attribute:: control_packet
            
            	Configure control packet tx option
            	**type**\:   :py:class:`ControlPacket <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.ControlPacket>`
            
            .. attribute:: ddt
            
            	Delegated Database Tree (DDT) mapping system
            	**type**\:   :py:class:`Ddt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ddt>`
            
            	**presence node**\: True
            
            .. attribute:: decapsulation
            
            	Decapsulation behavior (e.g. filters)
            	**type**\:   :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Decapsulation>`
            
            .. attribute:: default
            
            	
            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default>`
            
            .. attribute:: disable_ttl_propagate
            
            	Disable ttl propagation
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: eid_table
            
            	Configure an EID instance for a VRF
            	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable>`
            
            .. attribute:: encapsulation
            
            	Select encapsulation type for data packets
            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Encapsulation>`
            
            .. attribute:: etr
            
            	Configures a LISP Egress Tunnel Router (ETR)
            	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Etr>`
            
            .. attribute:: instance_container
            
            	EID instance\-ID
            	**type**\:   :py:class:`InstanceContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer>`
            
            .. attribute:: ipv4
            
            	IPv4 address family
            	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4>`
            
            .. attribute:: ipv6
            
            	IPv6 address family
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6>`
            
            .. attribute:: loc_reach_algorithm
            
            	Configure locator reachability algorithm
            	**type**\:   :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.LocReachAlgorithm>`
            
            .. attribute:: locator_down
            
            	Manually set locator status to down
            	**type**\:   :py:class:`LocatorDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.LocatorDown>`
            
            .. attribute:: locator_scope
            
            	Configure a locator scope
            	**type**\: list of    :py:class:`LocatorScope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.LocatorScope>`
            
            .. attribute:: locator_set
            
            	Configure a named locator set
            	**type**\: list of    :py:class:`LocatorSet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.LocatorSet>`
            
            .. attribute:: locator_table
            
            	Specify the RLOC table
            	**type**\:   :py:class:`LocatorTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.LocatorTable>`
            
            .. attribute:: map_request
            
            	Configure map\-request handling
            	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.MapRequest>`
            
            .. attribute:: map_server
            
            	Map\-Server commands
            	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.MapServer>`
            
            .. attribute:: other_xtr_probe
            
            	Configure parameters for probing of other xTRs in our site
            	**type**\:   :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.OtherXtrProbe>`
            
            .. attribute:: remote_rloc_probe
            
            	Configure parameters for probing of remote RLOCs
            	**type**\:   :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.RemoteRlocProbe>`
            
            .. attribute:: security
            
            	Enable default LISP security and authentication in reply is optional
            	**type**\:   :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Security>`
            
            	**presence node**\: True
            
            .. attribute:: service
            
            	Configure lisp service type
            	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service>`
            
            	**presence node**\: True
            
            .. attribute:: site
            
            	Configure a LISP site on a map server (MS)
            	**type**\: list of    :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site>`
            
            .. attribute:: site_id
            
            	Configure a site\-id for this site
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: syslog
            
            	Configure syslog option
            	**type**\:   :py:class:`Syslog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Syslog>`
            
            

            """

            _prefix = 'ios-lisp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.lisp = None
                self.alt = Native.Router.LispList.Alt()
                self.alt.parent = self
                self.control_packet = Native.Router.LispList.ControlPacket()
                self.control_packet.parent = self
                self.ddt = None
                self.decapsulation = Native.Router.LispList.Decapsulation()
                self.decapsulation.parent = self
                self.default = Native.Router.LispList.Default()
                self.default.parent = self
                self.disable_ttl_propagate = None
                self.eid_table = Native.Router.LispList.EidTable()
                self.eid_table.parent = self
                self.encapsulation = Native.Router.LispList.Encapsulation()
                self.encapsulation.parent = self
                self.etr = Native.Router.LispList.Etr()
                self.etr.parent = self
                self.instance_container = Native.Router.LispList.InstanceContainer()
                self.instance_container.parent = self
                self.ipv4 = Native.Router.LispList.Ipv4()
                self.ipv4.parent = self
                self.ipv6 = Native.Router.LispList.Ipv6()
                self.ipv6.parent = self
                self.loc_reach_algorithm = Native.Router.LispList.LocReachAlgorithm()
                self.loc_reach_algorithm.parent = self
                self.locator_down = Native.Router.LispList.LocatorDown()
                self.locator_down.parent = self
                self.locator_scope = YList()
                self.locator_scope.parent = self
                self.locator_scope.name = 'locator_scope'
                self.locator_set = YList()
                self.locator_set.parent = self
                self.locator_set.name = 'locator_set'
                self.locator_table = Native.Router.LispList.LocatorTable()
                self.locator_table.parent = self
                self.map_request = Native.Router.LispList.MapRequest()
                self.map_request.parent = self
                self.map_server = Native.Router.LispList.MapServer()
                self.map_server.parent = self
                self.other_xtr_probe = Native.Router.LispList.OtherXtrProbe()
                self.other_xtr_probe.parent = self
                self.remote_rloc_probe = Native.Router.LispList.RemoteRlocProbe()
                self.remote_rloc_probe.parent = self
                self.security = None
                self.service = None
                self.site = YList()
                self.site.parent = self
                self.site.name = 'site'
                self.site_id = None
                self.syslog = Native.Router.LispList.Syslog()
                self.syslog.parent = self


            class Default(object):
                """
                
                
                .. attribute:: alt
                
                	LISP Alternative Topology, LISP\-ALT
                	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Alt>`
                
                .. attribute:: control_packet
                
                	Configure control packet tx option
                	**type**\:   :py:class:`ControlPacket <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.ControlPacket>`
                
                .. attribute:: ddt
                
                	Delegated Database Tree (DDT) mapping system
                	**type**\:   :py:class:`Ddt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ddt>`
                
                	**presence node**\: True
                
                .. attribute:: decapsulation
                
                	Decapsulation behavior (e.g. filters)
                	**type**\:   :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Decapsulation>`
                
                .. attribute:: disable_ttl_propagate
                
                	Disable ttl propagation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: eid_table
                
                	Configure an EID instance for a VRF
                	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable>`
                
                .. attribute:: encapsulation
                
                	Select encapsulation type for data packets
                	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Encapsulation>`
                
                .. attribute:: etr
                
                	Configures a LISP Egress Tunnel Router (ETR)
                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Etr>`
                
                .. attribute:: instance_container
                
                	EID instance\-ID
                	**type**\:   :py:class:`InstanceContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer>`
                
                .. attribute:: ipv4
                
                	IPv4 address family
                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4>`
                
                .. attribute:: ipv6
                
                	IPv6 address family
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6>`
                
                .. attribute:: loc_reach_algorithm
                
                	Configure locator reachability algorithm
                	**type**\:   :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.LocReachAlgorithm>`
                
                .. attribute:: locator_down
                
                	Manually set locator status to down
                	**type**\:   :py:class:`LocatorDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.LocatorDown>`
                
                .. attribute:: locator_scope
                
                	Configure a locator scope
                	**type**\: list of    :py:class:`LocatorScope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.LocatorScope>`
                
                .. attribute:: locator_set
                
                	Configure a named locator set
                	**type**\: list of    :py:class:`LocatorSet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.LocatorSet>`
                
                .. attribute:: locator_table
                
                	Specify the RLOC table
                	**type**\:   :py:class:`LocatorTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.LocatorTable>`
                
                .. attribute:: map_request
                
                	Configure map\-request handling
                	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.MapRequest>`
                
                .. attribute:: map_server
                
                	Map\-Server commands
                	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.MapServer>`
                
                .. attribute:: other_xtr_probe
                
                	Configure parameters for probing of other xTRs in our site
                	**type**\:   :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.OtherXtrProbe>`
                
                .. attribute:: remote_rloc_probe
                
                	Configure parameters for probing of remote RLOCs
                	**type**\:   :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.RemoteRlocProbe>`
                
                .. attribute:: security
                
                	Enable default LISP security and authentication in reply is optional
                	**type**\:   :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Security>`
                
                	**presence node**\: True
                
                .. attribute:: service
                
                	Configure lisp service type
                	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service>`
                
                	**presence node**\: True
                
                .. attribute:: site
                
                	Configure a LISP site on a map server (MS)
                	**type**\: list of    :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site>`
                
                .. attribute:: site_id
                
                	Configure a site\-id for this site
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: syslog
                
                	Configure syslog option
                	**type**\:   :py:class:`Syslog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Syslog>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.alt = Native.Router.LispList.Default.Alt()
                    self.alt.parent = self
                    self.control_packet = Native.Router.LispList.Default.ControlPacket()
                    self.control_packet.parent = self
                    self.ddt = None
                    self.decapsulation = Native.Router.LispList.Default.Decapsulation()
                    self.decapsulation.parent = self
                    self.disable_ttl_propagate = None
                    self.eid_table = Native.Router.LispList.Default.EidTable()
                    self.eid_table.parent = self
                    self.encapsulation = Native.Router.LispList.Default.Encapsulation()
                    self.encapsulation.parent = self
                    self.etr = Native.Router.LispList.Default.Etr()
                    self.etr.parent = self
                    self.instance_container = Native.Router.LispList.Default.InstanceContainer()
                    self.instance_container.parent = self
                    self.ipv4 = Native.Router.LispList.Default.Ipv4()
                    self.ipv4.parent = self
                    self.ipv6 = Native.Router.LispList.Default.Ipv6()
                    self.ipv6.parent = self
                    self.loc_reach_algorithm = Native.Router.LispList.Default.LocReachAlgorithm()
                    self.loc_reach_algorithm.parent = self
                    self.locator_down = Native.Router.LispList.Default.LocatorDown()
                    self.locator_down.parent = self
                    self.locator_scope = YList()
                    self.locator_scope.parent = self
                    self.locator_scope.name = 'locator_scope'
                    self.locator_set = YList()
                    self.locator_set.parent = self
                    self.locator_set.name = 'locator_set'
                    self.locator_table = Native.Router.LispList.Default.LocatorTable()
                    self.locator_table.parent = self
                    self.map_request = Native.Router.LispList.Default.MapRequest()
                    self.map_request.parent = self
                    self.map_server = Native.Router.LispList.Default.MapServer()
                    self.map_server.parent = self
                    self.other_xtr_probe = Native.Router.LispList.Default.OtherXtrProbe()
                    self.other_xtr_probe.parent = self
                    self.remote_rloc_probe = Native.Router.LispList.Default.RemoteRlocProbe()
                    self.remote_rloc_probe.parent = self
                    self.security = None
                    self.service = None
                    self.site = YList()
                    self.site.parent = self
                    self.site.name = 'site'
                    self.site_id = None
                    self.syslog = Native.Router.LispList.Default.Syslog()
                    self.syslog.parent = self


                class Service(object):
                    """
                    Configure lisp service type
                    
                    .. attribute:: ethernet
                    
                    	
                    	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.ethernet = None
                        self.ipv4 = None
                        self.ipv6 = None


                    class Ipv4(object):
                        """
                        
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping>`
                        
                        .. attribute:: default
                        
                        	
                        	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Distance>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.EncapsulationEnum>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.EtrEnable>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.ItrEnable>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapCache>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapCacheLimit>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapCachePersistent>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.ProxyItr>`
                        
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.RouteExport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.SolicitMapRequest>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.UsePetr>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.database_mapping = Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping()
                            self.database_mapping.parent = self
                            self.default = Native.Router.LispList.Default.Service.Ipv4.Default_()
                            self.default.parent = self
                            self.distance = Native.Router.LispList.Default.Service.Ipv4.Distance()
                            self.distance.parent = self
                            self.encapsulation = None
                            self.etr = Native.Router.LispList.Default.Service.Ipv4.Etr()
                            self.etr.parent = self
                            self.etr_enable = Native.Router.LispList.Default.Service.Ipv4.EtrEnable()
                            self.etr_enable.parent = self
                            self.itr = Native.Router.LispList.Default.Service.Ipv4.Itr()
                            self.itr.parent = self
                            self.itr_enable = Native.Router.LispList.Default.Service.Ipv4.ItrEnable()
                            self.itr_enable.parent = self
                            self.map_cache = Native.Router.LispList.Default.Service.Ipv4.MapCache()
                            self.map_cache.parent = self
                            self.map_cache_limit = Native.Router.LispList.Default.Service.Ipv4.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self.map_cache_persistent = Native.Router.LispList.Default.Service.Ipv4.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self.map_request_source = None
                            self.map_resolver = None
                            self.map_server = None
                            self.proxy_etr = None
                            self.proxy_itr = Native.Router.LispList.Default.Service.Ipv4.ProxyItr()
                            self.proxy_itr.parent = self
                            self.route_export = Native.Router.LispList.Default.Service.Ipv4.RouteExport()
                            self.route_export.parent = self
                            self.sgt = None
                            self.site_registration = Native.Router.LispList.Default.Service.Ipv4.SiteRegistration()
                            self.site_registration.parent = self
                            self.solicit_map_request = Native.Router.LispList.Default.Service.Ipv4.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self.use_petr = YList()
                            self.use_petr.parent = self
                            self.use_petr.name = 'use_petr'

                        class EncapsulationEnum(Enum):
                            """
                            EncapsulationEnum

                            Select encapsulation type for data packets

                            .. data:: lisp = 0

                            .. data:: vxlan = 1

                            """

                            lisp = 0

                            vxlan = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.EncapsulationEnum']



                        class Default_(object):
                            """
                            
                            
                            .. attribute:: database_mapping
                            
                            	Address family specific local EID prefixes database configuration
                            	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.DatabaseMapping>`
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.Distance>`
                            
                            .. attribute:: encapsulation
                            
                            	Select encapsulation type for data packets
                            	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.EncapsulationEnum>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.Etr>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.EtrEnable>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.ItrEnable>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.MapCache>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.MapCacheLimit>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.MapCachePersistent>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_resolver
                            
                            	Configures a LISP Map Resolver (MR)
                            	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: map_server
                            
                            	Configures a LISP Map Server (MS)
                            	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.ProxyItr>`
                            
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.RouteExport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.SolicitMapRequest>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.UsePetr>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.database_mapping = Native.Router.LispList.Default.Service.Ipv4.Default_.DatabaseMapping()
                                self.database_mapping.parent = self
                                self.distance = Native.Router.LispList.Default.Service.Ipv4.Default_.Distance()
                                self.distance.parent = self
                                self.encapsulation = None
                                self.etr = Native.Router.LispList.Default.Service.Ipv4.Default_.Etr()
                                self.etr.parent = self
                                self.etr_enable = Native.Router.LispList.Default.Service.Ipv4.Default_.EtrEnable()
                                self.etr_enable.parent = self
                                self.itr = Native.Router.LispList.Default.Service.Ipv4.Default_.Itr()
                                self.itr.parent = self
                                self.itr_enable = Native.Router.LispList.Default.Service.Ipv4.Default_.ItrEnable()
                                self.itr_enable.parent = self
                                self.map_cache = Native.Router.LispList.Default.Service.Ipv4.Default_.MapCache()
                                self.map_cache.parent = self
                                self.map_cache_limit = Native.Router.LispList.Default.Service.Ipv4.Default_.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self.map_cache_persistent = Native.Router.LispList.Default.Service.Ipv4.Default_.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self.map_request_source = None
                                self.map_resolver = None
                                self.map_server = None
                                self.proxy_etr = None
                                self.proxy_itr = Native.Router.LispList.Default.Service.Ipv4.Default_.ProxyItr()
                                self.proxy_itr.parent = self
                                self.route_export = Native.Router.LispList.Default.Service.Ipv4.Default_.RouteExport()
                                self.route_export.parent = self
                                self.sgt = None
                                self.site_registration = Native.Router.LispList.Default.Service.Ipv4.Default_.SiteRegistration()
                                self.site_registration.parent = self
                                self.solicit_map_request = Native.Router.LispList.Default.Service.Ipv4.Default_.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self.use_petr = YList()
                                self.use_petr.parent = self
                                self.use_petr.name = 'use_petr'

                            class EncapsulationEnum(Enum):
                                """
                                EncapsulationEnum

                                Select encapsulation type for data packets

                                .. data:: lisp = 0

                                .. data:: vxlan = 1

                                """

                                lisp = 0

                                vxlan = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.EncapsulationEnum']



                            class DatabaseMapping(object):
                                """
                                Address family specific local EID prefixes database configuration
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = Native.Router.LispList.Default.Service.Ipv4.Default_.DatabaseMapping.Limit()
                                    self.limit.parent = self


                                class Limit(object):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\:  int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.DatabaseMapping.Limit']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None and self.limit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.DatabaseMapping']['meta_info']


                            class Itr(object):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map_resolver = YList()
                                    self.map_resolver.parent = self
                                    self.map_resolver.name = 'map_resolver'


                                class MapResolver(object):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Itr.MapResolver']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map_resolver is not None:
                                        for child_ref in self.map_resolver:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Itr']['meta_info']


                            class ItrEnable(object):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.itr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.itr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.ItrEnable']['meta_info']


                            class EtrEnable(object):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.etr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.etr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.EtrEnable']['meta_info']


                            class Etr(object):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_map_request_mapping = Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self.map_cache_ttl = None
                                    self.map_server = YList()
                                    self.map_server.parent = self
                                    self.map_server.name = 'map_server'


                                class MapServer(object):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None
                                        self.key = Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self.proxy_reply = None


                                    class Key(object):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7>`
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self.key_6 = Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self.key_7 = Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self.key_pwd = Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self


                                        class KeyPwd(object):
                                            """
                                            
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.hash_function = None
                                                self.unc_pwd = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.hash_function is not None:
                                                    return True

                                                if self.unc_pwd is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                        class Key0(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_0 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_0 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                        class Key6(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_6 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_6 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                        class Key7(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_7 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_7 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None and self.key_0._has_data():
                                                return True

                                            if self.key_6 is not None and self.key_6._has_data():
                                                return True

                                            if self.key_7 is not None and self.key_7._has_data():
                                                return True

                                            if self.key_pwd is not None and self.key_pwd._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        if self.proxy_reply is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.MapServer']['meta_info']


                                class AcceptMapRequestMapping(object):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_mappping = None
                                        self.verify = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_mappping is not None:
                                            return True

                                        if self.verify is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                        return True

                                    if self.map_cache_ttl is not None:
                                        return True

                                    if self.map_server is not None:
                                        for child_ref in self.map_server:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Etr']['meta_info']


                            class MapCacheLimit(object):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\:  str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_map_cache_entries = None
                                    self.reserve_list = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_map_cache_entries is not None:
                                        return True

                                    if self.reserve_list is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapCacheLimit']['meta_info']


                            class MapResolver(object):
                                """
                                Configures a LISP Map Resolver (MR)
                                
                                .. attribute:: map_request
                                
                                	Map\-Request processing options
                                	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_request = Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest()
                                    self.map_request.parent = self


                                class MapRequest(object):
                                    """
                                    Map\-Request processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.validate = Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate()
                                        self.validate.parent = self


                                    class Validate(object):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	Influence which source RLOCs map requests are accepted from
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            Influence which source RLOCs map requests are accepted from
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.List>`
                                            
                                            .. attribute:: registered
                                            
                                            	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.list = Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.List()
                                                self.list.parent = self
                                                self.registered = Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered()
                                                self.registered.parent = self


                                            class List(object):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\:  str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv4 = None
                                                    self.ipv6 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ipv4 is not None:
                                                        return True

                                                    if self.ipv6 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                            class Registered(object):
                                                """
                                                ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                                
                                                .. attribute:: list
                                                
                                                	Define allowed prefixes using an ip[v6] prefix list
                                                	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.list = Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                    self.list.parent = self


                                                class List(object):
                                                    """
                                                    Define allowed prefixes using an ip[v6] prefix list
                                                    
                                                    .. attribute:: ipv4
                                                    
                                                    	IPv4 prefixes
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: ipv6
                                                    
                                                    	IPv6 prefixes
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ipv4 = None
                                                        self.ipv6 = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ipv4 is not None:
                                                            return True

                                                        if self.ipv6 is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:registered'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.list is not None and self.list._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.list is not None and self.list._has_data():
                                                    return True

                                                if self.registered is not None and self.registered._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate.Source']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest.Validate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.validate is not None and self.validate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver.MapRequest']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_request is not None and self.map_request._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapResolver']['meta_info']


                            class MapServer(object):
                                """
                                Configures a LISP Map Server (MS)
                                
                                .. attribute:: map_register
                                
                                	Map\-Register processing options
                                	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_register = Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister()
                                    self.map_register.parent = self


                                class MapRegister(object):
                                    """
                                    Map\-Register processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.validate = Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate()
                                        self.validate.parent = self


                                    class Validate(object):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	RLOC Source IP address
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            RLOC Source IP address
                                            
                                            .. attribute:: allowed_locator
                                            
                                            	Against sites' allowed\-locators policy
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.allowed_locator = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.allowed_locator is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate.Source']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister.Validate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.validate is not None and self.validate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer.MapRegister']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_register is not None and self.map_register._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapServer']['meta_info']


                            class SiteRegistration(object):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.SiteRegistration']['meta_info']


                            class SolicitMapRequest(object):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\:  int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ignore = None
                                    self.max_per_entry = None
                                    self.suppression_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ignore is not None:
                                        return True

                                    if self.max_per_entry is not None:
                                        return True

                                    if self.suppression_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.SolicitMapRequest']['meta_info']


                            class Distance(object):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: away
                                
                                	Administrative distance for RIB route installation
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.alt = None
                                    self.away = None
                                    self.dyn_eid = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.alt is not None:
                                        return True

                                    if self.away is not None:
                                        return True

                                    if self.dyn_eid is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.Distance']['meta_info']


                            class MapCache(object):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: away_eids
                                
                                	Map cache configuration for the away table
                                	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.MapCache.AwayEids>`
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.away_eids = Native.Router.LispList.Default.Service.Ipv4.Default_.MapCache.AwayEids()
                                    self.away_eids.parent = self
                                    self.site_registration = None


                                class AwayEids(object):
                                    """
                                    Map cache configuration for the away table
                                    
                                    .. attribute:: send_map_request
                                    
                                    	Export away table entries into the map cache with action set to send\-map\-request
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.send_map_request = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.send_map_request is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapCache.AwayEids']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.away_eids is not None and self.away_eids._has_data():
                                        return True

                                    if self.site_registration is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapCache']['meta_info']


                            class MapCachePersistent(object):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\:  int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interval = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interval is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.MapCachePersistent']['meta_info']


                            class ProxyItr(object):
                                """
                                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                
                                .. attribute:: ipv4_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_addr = None
                                    self.ipv6_addr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_addr is not None:
                                        return True

                                    if self.ipv6_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.ProxyItr']['meta_info']


                            class RouteExport(object):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.away_eids = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.away_eids is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.RouteExport']['meta_info']


                            class UsePetr(object):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: priority
                                
                                	
                                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default_.UsePetr.Priority>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_address = None
                                    self.priority = Native.Router.LispList.Default.Service.Ipv4.Default_.UsePetr.Priority()
                                    self.priority.parent = self


                                class Priority(object):
                                    """
                                    
                                    
                                    .. attribute:: priority_value
                                    
                                    	Configures which Locators from a set are preferred
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: weight
                                    
                                    	Traffic load\-spreading among Locators
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.priority_value = None
                                        self.weight = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.priority_value is not None:
                                            return True

                                        if self.weight is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.UsePetr.Priority']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.locator_address is None:
                                        raise YPYModelError('Key property locator_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_address is not None:
                                        return True

                                    if self.priority is not None and self.priority._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_.UsePetr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.database_mapping is not None and self.database_mapping._has_data():
                                    return True

                                if self.distance is not None and self.distance._has_data():
                                    return True

                                if self.encapsulation is not None:
                                    return True

                                if self.etr is not None and self.etr._has_data():
                                    return True

                                if self.etr_enable is not None and self.etr_enable._has_data():
                                    return True

                                if self.itr is not None and self.itr._has_data():
                                    return True

                                if self.itr_enable is not None and self.itr_enable._has_data():
                                    return True

                                if self.map_cache is not None and self.map_cache._has_data():
                                    return True

                                if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                    return True

                                if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                    return True

                                if self.map_request_source is not None:
                                    return True

                                if self.map_resolver is not None and self.map_resolver._has_data():
                                    return True

                                if self.map_server is not None and self.map_server._has_data():
                                    return True

                                if self.proxy_etr is not None:
                                    return True

                                if self.proxy_itr is not None and self.proxy_itr._has_data():
                                    return True

                                if self.route_export is not None and self.route_export._has_data():
                                    return True

                                if self.sgt is not None:
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                    return True

                                if self.use_petr is not None:
                                    for child_ref in self.use_petr:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Default_']['meta_info']


                        class DatabaseMapping(object):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping.Limit()
                                self.limit.parent = self


                            class Limit(object):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\:  int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dynamic = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dynamic is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping.Limit']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None and self.limit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping']['meta_info']


                        class Itr(object):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_resolver = YList()
                                self.map_resolver.parent = self
                                self.map_resolver.name = 'map_resolver'


                            class MapResolver(object):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Itr.MapResolver']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_resolver is not None:
                                    for child_ref in self.map_resolver:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Itr']['meta_info']


                        class ItrEnable(object):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.itr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.itr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.ItrEnable']['meta_info']


                        class EtrEnable(object):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.etr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.etr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.EtrEnable']['meta_info']


                        class Etr(object):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.accept_map_request_mapping = Native.Router.LispList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self.map_cache_ttl = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None
                                    self.key = Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self.key_6 = Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self.key_7 = Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self.key_pwd = Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self


                                    class KeyPwd(object):
                                        """
                                        
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.hash_function = None
                                            self.unc_pwd = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.hash_function is not None:
                                                return True

                                            if self.unc_pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info']


                                    class Key0(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_0 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_0 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info']


                                    class Key6(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_6 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_6 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info']


                                    class Key7(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_7 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_7 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None and self.key_0._has_data():
                                            return True

                                        if self.key_6 is not None and self.key_6._has_data():
                                            return True

                                        if self.key_7 is not None and self.key_7._has_data():
                                            return True

                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer']['meta_info']


                            class AcceptMapRequestMapping(object):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_mappping = None
                                    self.verify = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_mappping is not None:
                                        return True

                                    if self.verify is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                    return True

                                if self.map_cache_ttl is not None:
                                    return True

                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Etr']['meta_info']


                        class MapCacheLimit(object):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\:  str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max_map_cache_entries = None
                                self.reserve_list = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max_map_cache_entries is not None:
                                    return True

                                if self.reserve_list is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.MapCacheLimit']['meta_info']


                        class MapResolver(object):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_request = Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest()
                                self.map_request.parent = self


                            class MapRequest(object):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.list = Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self.registered = Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self


                                        class List(object):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                        class Registered(object):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.list = Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self


                                            class List(object):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\:  str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv4 = None
                                                    self.ipv6 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ipv4 is not None:
                                                        return True

                                                    if self.ipv6 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:registered'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.list is not None and self.list._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.list is not None and self.list._has_data():
                                                return True

                                            if self.registered is not None and self.registered._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_request is not None and self.map_request._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.MapResolver']['meta_info']


                        class MapServer(object):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_register = Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister()
                                self.map_register.parent = self


                            class MapRegister(object):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.allowed_locator = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.allowed_locator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_register is not None and self.map_register._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.MapServer']['meta_info']


                        class SiteRegistration(object):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.SiteRegistration']['meta_info']


                        class SolicitMapRequest(object):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\:  int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ignore = None
                                self.max_per_entry = None
                                self.suppression_time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ignore is not None:
                                    return True

                                if self.max_per_entry is not None:
                                    return True

                                if self.suppression_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.SolicitMapRequest']['meta_info']


                        class Distance(object):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: away
                            
                            	Administrative distance for RIB route installation
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.alt = None
                                self.away = None
                                self.dyn_eid = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.alt is not None:
                                    return True

                                if self.away is not None:
                                    return True

                                if self.dyn_eid is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.Distance']['meta_info']


                        class MapCache(object):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: away_eids
                            
                            	Map cache configuration for the away table
                            	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapCache.AwayEids>`
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.away_eids = Native.Router.LispList.Default.Service.Ipv4.MapCache.AwayEids()
                                self.away_eids.parent = self
                                self.site_registration = None


                            class AwayEids(object):
                                """
                                Map cache configuration for the away table
                                
                                .. attribute:: send_map_request
                                
                                	Export away table entries into the map cache with action set to send\-map\-request
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.send_map_request = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.send_map_request is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.MapCache.AwayEids']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.away_eids is not None and self.away_eids._has_data():
                                    return True

                                if self.site_registration is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.MapCache']['meta_info']


                        class MapCachePersistent(object):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\:  int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interval = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.MapCachePersistent']['meta_info']


                        class ProxyItr(object):
                            """
                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            
                            .. attribute:: ipv4_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv6_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_addr = None
                                self.ipv6_addr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4_addr is not None:
                                    return True

                                if self.ipv6_addr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.ProxyItr']['meta_info']


                        class RouteExport(object):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.away_eids = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.away_eids is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.RouteExport']['meta_info']


                        class UsePetr(object):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: priority
                            
                            	
                            	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.UsePetr.Priority>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.locator_address = None
                                self.priority = Native.Router.LispList.Default.Service.Ipv4.UsePetr.Priority()
                                self.priority.parent = self


                            class Priority(object):
                                """
                                
                                
                                .. attribute:: priority_value
                                
                                	Configures which Locators from a set are preferred
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.priority_value = None
                                    self.weight = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.priority_value is not None:
                                        return True

                                    if self.weight is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.UsePetr.Priority']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.locator_address is None:
                                    raise YPYModelError('Key property locator_address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.locator_address is not None:
                                    return True

                                if self.priority is not None and self.priority._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4.UsePetr']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.database_mapping is not None and self.database_mapping._has_data():
                                return True

                            if self.default is not None and self.default._has_data():
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.encapsulation is not None:
                                return True

                            if self.etr is not None and self.etr._has_data():
                                return True

                            if self.etr_enable is not None and self.etr_enable._has_data():
                                return True

                            if self.itr is not None and self.itr._has_data():
                                return True

                            if self.itr_enable is not None and self.itr_enable._has_data():
                                return True

                            if self.map_cache is not None and self.map_cache._has_data():
                                return True

                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                return True

                            if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                return True

                            if self.map_request_source is not None:
                                return True

                            if self.map_resolver is not None and self.map_resolver._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.proxy_etr is not None:
                                return True

                            if self.proxy_itr is not None and self.proxy_itr._has_data():
                                return True

                            if self.route_export is not None and self.route_export._has_data():
                                return True

                            if self.sgt is not None:
                                return True

                            if self.site_registration is not None and self.site_registration._has_data():
                                return True

                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                return True

                            if self.use_petr is not None:
                                for child_ref in self.use_petr:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Service.Ipv4']['meta_info']


                    class Ipv6(object):
                        """
                        
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping>`
                        
                        .. attribute:: default
                        
                        	
                        	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Distance>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.EncapsulationEnum>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.EtrEnable>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.ItrEnable>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapCache>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapCacheLimit>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapCachePersistent>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.ProxyItr>`
                        
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.RouteExport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.SolicitMapRequest>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.UsePetr>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.database_mapping = Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping()
                            self.database_mapping.parent = self
                            self.default = Native.Router.LispList.Default.Service.Ipv6.Default_()
                            self.default.parent = self
                            self.distance = Native.Router.LispList.Default.Service.Ipv6.Distance()
                            self.distance.parent = self
                            self.encapsulation = None
                            self.etr = Native.Router.LispList.Default.Service.Ipv6.Etr()
                            self.etr.parent = self
                            self.etr_enable = Native.Router.LispList.Default.Service.Ipv6.EtrEnable()
                            self.etr_enable.parent = self
                            self.itr = Native.Router.LispList.Default.Service.Ipv6.Itr()
                            self.itr.parent = self
                            self.itr_enable = Native.Router.LispList.Default.Service.Ipv6.ItrEnable()
                            self.itr_enable.parent = self
                            self.map_cache = Native.Router.LispList.Default.Service.Ipv6.MapCache()
                            self.map_cache.parent = self
                            self.map_cache_limit = Native.Router.LispList.Default.Service.Ipv6.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self.map_cache_persistent = Native.Router.LispList.Default.Service.Ipv6.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self.map_request_source = None
                            self.map_resolver = None
                            self.map_server = None
                            self.proxy_etr = None
                            self.proxy_itr = Native.Router.LispList.Default.Service.Ipv6.ProxyItr()
                            self.proxy_itr.parent = self
                            self.route_export = Native.Router.LispList.Default.Service.Ipv6.RouteExport()
                            self.route_export.parent = self
                            self.sgt = None
                            self.site_registration = Native.Router.LispList.Default.Service.Ipv6.SiteRegistration()
                            self.site_registration.parent = self
                            self.solicit_map_request = Native.Router.LispList.Default.Service.Ipv6.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self.use_petr = YList()
                            self.use_petr.parent = self
                            self.use_petr.name = 'use_petr'

                        class EncapsulationEnum(Enum):
                            """
                            EncapsulationEnum

                            Select encapsulation type for data packets

                            .. data:: lisp = 0

                            .. data:: vxlan = 1

                            """

                            lisp = 0

                            vxlan = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.EncapsulationEnum']



                        class Default_(object):
                            """
                            
                            
                            .. attribute:: database_mapping
                            
                            	Address family specific local EID prefixes database configuration
                            	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.DatabaseMapping>`
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.Distance>`
                            
                            .. attribute:: encapsulation
                            
                            	Select encapsulation type for data packets
                            	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.EncapsulationEnum>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.Etr>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.EtrEnable>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.ItrEnable>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.MapCache>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.MapCacheLimit>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.MapCachePersistent>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_resolver
                            
                            	Configures a LISP Map Resolver (MR)
                            	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: map_server
                            
                            	Configures a LISP Map Server (MS)
                            	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.ProxyItr>`
                            
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.RouteExport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.SolicitMapRequest>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.UsePetr>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.database_mapping = Native.Router.LispList.Default.Service.Ipv6.Default_.DatabaseMapping()
                                self.database_mapping.parent = self
                                self.distance = Native.Router.LispList.Default.Service.Ipv6.Default_.Distance()
                                self.distance.parent = self
                                self.encapsulation = None
                                self.etr = Native.Router.LispList.Default.Service.Ipv6.Default_.Etr()
                                self.etr.parent = self
                                self.etr_enable = Native.Router.LispList.Default.Service.Ipv6.Default_.EtrEnable()
                                self.etr_enable.parent = self
                                self.itr = Native.Router.LispList.Default.Service.Ipv6.Default_.Itr()
                                self.itr.parent = self
                                self.itr_enable = Native.Router.LispList.Default.Service.Ipv6.Default_.ItrEnable()
                                self.itr_enable.parent = self
                                self.map_cache = Native.Router.LispList.Default.Service.Ipv6.Default_.MapCache()
                                self.map_cache.parent = self
                                self.map_cache_limit = Native.Router.LispList.Default.Service.Ipv6.Default_.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self.map_cache_persistent = Native.Router.LispList.Default.Service.Ipv6.Default_.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self.map_request_source = None
                                self.map_resolver = None
                                self.map_server = None
                                self.proxy_etr = None
                                self.proxy_itr = Native.Router.LispList.Default.Service.Ipv6.Default_.ProxyItr()
                                self.proxy_itr.parent = self
                                self.route_export = Native.Router.LispList.Default.Service.Ipv6.Default_.RouteExport()
                                self.route_export.parent = self
                                self.sgt = None
                                self.site_registration = Native.Router.LispList.Default.Service.Ipv6.Default_.SiteRegistration()
                                self.site_registration.parent = self
                                self.solicit_map_request = Native.Router.LispList.Default.Service.Ipv6.Default_.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self.use_petr = YList()
                                self.use_petr.parent = self
                                self.use_petr.name = 'use_petr'

                            class EncapsulationEnum(Enum):
                                """
                                EncapsulationEnum

                                Select encapsulation type for data packets

                                .. data:: lisp = 0

                                .. data:: vxlan = 1

                                """

                                lisp = 0

                                vxlan = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.EncapsulationEnum']



                            class DatabaseMapping(object):
                                """
                                Address family specific local EID prefixes database configuration
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = Native.Router.LispList.Default.Service.Ipv6.Default_.DatabaseMapping.Limit()
                                    self.limit.parent = self


                                class Limit(object):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\:  int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.DatabaseMapping.Limit']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None and self.limit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.DatabaseMapping']['meta_info']


                            class Itr(object):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map_resolver = YList()
                                    self.map_resolver.parent = self
                                    self.map_resolver.name = 'map_resolver'


                                class MapResolver(object):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Itr.MapResolver']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map_resolver is not None:
                                        for child_ref in self.map_resolver:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Itr']['meta_info']


                            class ItrEnable(object):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.itr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.itr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.ItrEnable']['meta_info']


                            class EtrEnable(object):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.etr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.etr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.EtrEnable']['meta_info']


                            class Etr(object):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_map_request_mapping = Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self.map_cache_ttl = None
                                    self.map_server = YList()
                                    self.map_server.parent = self
                                    self.map_server.name = 'map_server'


                                class MapServer(object):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None
                                        self.key = Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self.proxy_reply = None


                                    class Key(object):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7>`
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self.key_6 = Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self.key_7 = Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self.key_pwd = Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self


                                        class KeyPwd(object):
                                            """
                                            
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.hash_function = None
                                                self.unc_pwd = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.hash_function is not None:
                                                    return True

                                                if self.unc_pwd is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                        class Key0(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_0 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_0 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                        class Key6(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_6 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_6 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                        class Key7(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_7 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_7 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None and self.key_0._has_data():
                                                return True

                                            if self.key_6 is not None and self.key_6._has_data():
                                                return True

                                            if self.key_7 is not None and self.key_7._has_data():
                                                return True

                                            if self.key_pwd is not None and self.key_pwd._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        if self.proxy_reply is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.MapServer']['meta_info']


                                class AcceptMapRequestMapping(object):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_mappping = None
                                        self.verify = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_mappping is not None:
                                            return True

                                        if self.verify is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                        return True

                                    if self.map_cache_ttl is not None:
                                        return True

                                    if self.map_server is not None:
                                        for child_ref in self.map_server:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Etr']['meta_info']


                            class MapCacheLimit(object):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\:  str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_map_cache_entries = None
                                    self.reserve_list = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_map_cache_entries is not None:
                                        return True

                                    if self.reserve_list is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapCacheLimit']['meta_info']


                            class MapResolver(object):
                                """
                                Configures a LISP Map Resolver (MR)
                                
                                .. attribute:: map_request
                                
                                	Map\-Request processing options
                                	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_request = Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest()
                                    self.map_request.parent = self


                                class MapRequest(object):
                                    """
                                    Map\-Request processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.validate = Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate()
                                        self.validate.parent = self


                                    class Validate(object):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	Influence which source RLOCs map requests are accepted from
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            Influence which source RLOCs map requests are accepted from
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.List>`
                                            
                                            .. attribute:: registered
                                            
                                            	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.list = Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.List()
                                                self.list.parent = self
                                                self.registered = Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered()
                                                self.registered.parent = self


                                            class List(object):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\:  str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv4 = None
                                                    self.ipv6 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ipv4 is not None:
                                                        return True

                                                    if self.ipv6 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                            class Registered(object):
                                                """
                                                ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                                
                                                .. attribute:: list
                                                
                                                	Define allowed prefixes using an ip[v6] prefix list
                                                	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.list = Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                    self.list.parent = self


                                                class List(object):
                                                    """
                                                    Define allowed prefixes using an ip[v6] prefix list
                                                    
                                                    .. attribute:: ipv4
                                                    
                                                    	IPv4 prefixes
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: ipv6
                                                    
                                                    	IPv6 prefixes
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ipv4 = None
                                                        self.ipv6 = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ipv4 is not None:
                                                            return True

                                                        if self.ipv6 is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:registered'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.list is not None and self.list._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.list is not None and self.list._has_data():
                                                    return True

                                                if self.registered is not None and self.registered._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate.Source']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest.Validate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.validate is not None and self.validate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver.MapRequest']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_request is not None and self.map_request._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapResolver']['meta_info']


                            class MapServer(object):
                                """
                                Configures a LISP Map Server (MS)
                                
                                .. attribute:: map_register
                                
                                	Map\-Register processing options
                                	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_register = Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister()
                                    self.map_register.parent = self


                                class MapRegister(object):
                                    """
                                    Map\-Register processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.validate = Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate()
                                        self.validate.parent = self


                                    class Validate(object):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	RLOC Source IP address
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            RLOC Source IP address
                                            
                                            .. attribute:: allowed_locator
                                            
                                            	Against sites' allowed\-locators policy
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.allowed_locator = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.allowed_locator is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate.Source']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister.Validate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.validate is not None and self.validate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer.MapRegister']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_register is not None and self.map_register._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapServer']['meta_info']


                            class SiteRegistration(object):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.SiteRegistration']['meta_info']


                            class SolicitMapRequest(object):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\:  int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ignore = None
                                    self.max_per_entry = None
                                    self.suppression_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ignore is not None:
                                        return True

                                    if self.max_per_entry is not None:
                                        return True

                                    if self.suppression_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.SolicitMapRequest']['meta_info']


                            class Distance(object):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: away
                                
                                	Administrative distance for RIB route installation
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.alt = None
                                    self.away = None
                                    self.dyn_eid = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.alt is not None:
                                        return True

                                    if self.away is not None:
                                        return True

                                    if self.dyn_eid is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.Distance']['meta_info']


                            class MapCache(object):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: away_eids
                                
                                	Map cache configuration for the away table
                                	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.MapCache.AwayEids>`
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.away_eids = Native.Router.LispList.Default.Service.Ipv6.Default_.MapCache.AwayEids()
                                    self.away_eids.parent = self
                                    self.site_registration = None


                                class AwayEids(object):
                                    """
                                    Map cache configuration for the away table
                                    
                                    .. attribute:: send_map_request
                                    
                                    	Export away table entries into the map cache with action set to send\-map\-request
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.send_map_request = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.send_map_request is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapCache.AwayEids']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.away_eids is not None and self.away_eids._has_data():
                                        return True

                                    if self.site_registration is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapCache']['meta_info']


                            class MapCachePersistent(object):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\:  int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interval = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interval is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.MapCachePersistent']['meta_info']


                            class ProxyItr(object):
                                """
                                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                
                                .. attribute:: ipv4_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_addr = None
                                    self.ipv6_addr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_addr is not None:
                                        return True

                                    if self.ipv6_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.ProxyItr']['meta_info']


                            class RouteExport(object):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.away_eids = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.away_eids is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.RouteExport']['meta_info']


                            class UsePetr(object):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: priority
                                
                                	
                                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default_.UsePetr.Priority>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_address = None
                                    self.priority = Native.Router.LispList.Default.Service.Ipv6.Default_.UsePetr.Priority()
                                    self.priority.parent = self


                                class Priority(object):
                                    """
                                    
                                    
                                    .. attribute:: priority_value
                                    
                                    	Configures which Locators from a set are preferred
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: weight
                                    
                                    	Traffic load\-spreading among Locators
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.priority_value = None
                                        self.weight = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.priority_value is not None:
                                            return True

                                        if self.weight is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.UsePetr.Priority']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.locator_address is None:
                                        raise YPYModelError('Key property locator_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_address is not None:
                                        return True

                                    if self.priority is not None and self.priority._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_.UsePetr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.database_mapping is not None and self.database_mapping._has_data():
                                    return True

                                if self.distance is not None and self.distance._has_data():
                                    return True

                                if self.encapsulation is not None:
                                    return True

                                if self.etr is not None and self.etr._has_data():
                                    return True

                                if self.etr_enable is not None and self.etr_enable._has_data():
                                    return True

                                if self.itr is not None and self.itr._has_data():
                                    return True

                                if self.itr_enable is not None and self.itr_enable._has_data():
                                    return True

                                if self.map_cache is not None and self.map_cache._has_data():
                                    return True

                                if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                    return True

                                if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                    return True

                                if self.map_request_source is not None:
                                    return True

                                if self.map_resolver is not None and self.map_resolver._has_data():
                                    return True

                                if self.map_server is not None and self.map_server._has_data():
                                    return True

                                if self.proxy_etr is not None:
                                    return True

                                if self.proxy_itr is not None and self.proxy_itr._has_data():
                                    return True

                                if self.route_export is not None and self.route_export._has_data():
                                    return True

                                if self.sgt is not None:
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                    return True

                                if self.use_petr is not None:
                                    for child_ref in self.use_petr:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Default_']['meta_info']


                        class DatabaseMapping(object):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping.Limit()
                                self.limit.parent = self


                            class Limit(object):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\:  int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dynamic = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dynamic is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping.Limit']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None and self.limit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping']['meta_info']


                        class Itr(object):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_resolver = YList()
                                self.map_resolver.parent = self
                                self.map_resolver.name = 'map_resolver'


                            class MapResolver(object):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Itr.MapResolver']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_resolver is not None:
                                    for child_ref in self.map_resolver:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Itr']['meta_info']


                        class ItrEnable(object):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.itr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.itr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.ItrEnable']['meta_info']


                        class EtrEnable(object):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.etr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.etr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.EtrEnable']['meta_info']


                        class Etr(object):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.accept_map_request_mapping = Native.Router.LispList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self.map_cache_ttl = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None
                                    self.key = Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self.key_6 = Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self.key_7 = Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self.key_pwd = Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self


                                    class KeyPwd(object):
                                        """
                                        
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.hash_function = None
                                            self.unc_pwd = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.hash_function is not None:
                                                return True

                                            if self.unc_pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info']


                                    class Key0(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_0 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_0 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info']


                                    class Key6(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_6 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_6 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info']


                                    class Key7(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_7 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_7 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None and self.key_0._has_data():
                                            return True

                                        if self.key_6 is not None and self.key_6._has_data():
                                            return True

                                        if self.key_7 is not None and self.key_7._has_data():
                                            return True

                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer']['meta_info']


                            class AcceptMapRequestMapping(object):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_mappping = None
                                    self.verify = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_mappping is not None:
                                        return True

                                    if self.verify is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                    return True

                                if self.map_cache_ttl is not None:
                                    return True

                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Etr']['meta_info']


                        class MapCacheLimit(object):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\:  str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max_map_cache_entries = None
                                self.reserve_list = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max_map_cache_entries is not None:
                                    return True

                                if self.reserve_list is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.MapCacheLimit']['meta_info']


                        class MapResolver(object):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_request = Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest()
                                self.map_request.parent = self


                            class MapRequest(object):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.list = Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self.registered = Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self


                                        class List(object):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                        class Registered(object):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.list = Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self


                                            class List(object):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\:  str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv4 = None
                                                    self.ipv6 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ipv4 is not None:
                                                        return True

                                                    if self.ipv6 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:registered'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.list is not None and self.list._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.list is not None and self.list._has_data():
                                                return True

                                            if self.registered is not None and self.registered._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_request is not None and self.map_request._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.MapResolver']['meta_info']


                        class MapServer(object):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_register = Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister()
                                self.map_register.parent = self


                            class MapRegister(object):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.allowed_locator = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.allowed_locator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_register is not None and self.map_register._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.MapServer']['meta_info']


                        class SiteRegistration(object):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.SiteRegistration']['meta_info']


                        class SolicitMapRequest(object):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\:  int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ignore = None
                                self.max_per_entry = None
                                self.suppression_time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ignore is not None:
                                    return True

                                if self.max_per_entry is not None:
                                    return True

                                if self.suppression_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.SolicitMapRequest']['meta_info']


                        class Distance(object):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: away
                            
                            	Administrative distance for RIB route installation
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.alt = None
                                self.away = None
                                self.dyn_eid = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.alt is not None:
                                    return True

                                if self.away is not None:
                                    return True

                                if self.dyn_eid is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.Distance']['meta_info']


                        class MapCache(object):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: away_eids
                            
                            	Map cache configuration for the away table
                            	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapCache.AwayEids>`
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.away_eids = Native.Router.LispList.Default.Service.Ipv6.MapCache.AwayEids()
                                self.away_eids.parent = self
                                self.site_registration = None


                            class AwayEids(object):
                                """
                                Map cache configuration for the away table
                                
                                .. attribute:: send_map_request
                                
                                	Export away table entries into the map cache with action set to send\-map\-request
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.send_map_request = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.send_map_request is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.MapCache.AwayEids']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.away_eids is not None and self.away_eids._has_data():
                                    return True

                                if self.site_registration is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.MapCache']['meta_info']


                        class MapCachePersistent(object):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\:  int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interval = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.MapCachePersistent']['meta_info']


                        class ProxyItr(object):
                            """
                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            
                            .. attribute:: ipv4_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv6_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_addr = None
                                self.ipv6_addr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4_addr is not None:
                                    return True

                                if self.ipv6_addr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.ProxyItr']['meta_info']


                        class RouteExport(object):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.away_eids = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.away_eids is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.RouteExport']['meta_info']


                        class UsePetr(object):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: priority
                            
                            	
                            	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.UsePetr.Priority>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.locator_address = None
                                self.priority = Native.Router.LispList.Default.Service.Ipv6.UsePetr.Priority()
                                self.priority.parent = self


                            class Priority(object):
                                """
                                
                                
                                .. attribute:: priority_value
                                
                                	Configures which Locators from a set are preferred
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.priority_value = None
                                    self.weight = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.priority_value is not None:
                                        return True

                                    if self.weight is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.UsePetr.Priority']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.locator_address is None:
                                    raise YPYModelError('Key property locator_address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.locator_address is not None:
                                    return True

                                if self.priority is not None and self.priority._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6.UsePetr']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.database_mapping is not None and self.database_mapping._has_data():
                                return True

                            if self.default is not None and self.default._has_data():
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.encapsulation is not None:
                                return True

                            if self.etr is not None and self.etr._has_data():
                                return True

                            if self.etr_enable is not None and self.etr_enable._has_data():
                                return True

                            if self.itr is not None and self.itr._has_data():
                                return True

                            if self.itr_enable is not None and self.itr_enable._has_data():
                                return True

                            if self.map_cache is not None and self.map_cache._has_data():
                                return True

                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                return True

                            if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                return True

                            if self.map_request_source is not None:
                                return True

                            if self.map_resolver is not None and self.map_resolver._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.proxy_etr is not None:
                                return True

                            if self.proxy_itr is not None and self.proxy_itr._has_data():
                                return True

                            if self.route_export is not None and self.route_export._has_data():
                                return True

                            if self.sgt is not None:
                                return True

                            if self.site_registration is not None and self.site_registration._has_data():
                                return True

                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                return True

                            if self.use_petr is not None:
                                for child_ref in self.use_petr:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Service.Ipv6']['meta_info']


                    class Ethernet(object):
                        """
                        
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping>`
                        
                        .. attribute:: default
                        
                        	
                        	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Encapsulation>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.EtrEnable>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.ItrEnable>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapCacheLimit>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.SolicitMapRequest>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.database_mapping = Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping()
                            self.database_mapping.parent = self
                            self.default = Native.Router.LispList.Default.Service.Ethernet.Default_()
                            self.default.parent = self
                            self.encapsulation = Native.Router.LispList.Default.Service.Ethernet.Encapsulation()
                            self.encapsulation.parent = self
                            self.etr = Native.Router.LispList.Default.Service.Ethernet.Etr()
                            self.etr.parent = self
                            self.etr_enable = Native.Router.LispList.Default.Service.Ethernet.EtrEnable()
                            self.etr_enable.parent = self
                            self.itr = Native.Router.LispList.Default.Service.Ethernet.Itr()
                            self.itr.parent = self
                            self.itr_enable = Native.Router.LispList.Default.Service.Ethernet.ItrEnable()
                            self.itr_enable.parent = self
                            self.map_cache_limit = Native.Router.LispList.Default.Service.Ethernet.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self.map_request_source = None
                            self.map_resolver = None
                            self.map_server = None
                            self.site_registration = Native.Router.LispList.Default.Service.Ethernet.SiteRegistration()
                            self.site_registration.parent = self
                            self.solicit_map_request = Native.Router.LispList.Default.Service.Ethernet.SolicitMapRequest()
                            self.solicit_map_request.parent = self


                        class Default_(object):
                            """
                            
                            
                            .. attribute:: database_mapping
                            
                            	Address family specific local EID prefixes database configuration
                            	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.DatabaseMapping>`
                            
                            .. attribute:: encapsulation
                            
                            	Select encapsulation type for data packets
                            	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.Encapsulation>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.Etr>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.EtrEnable>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.ItrEnable>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.MapCacheLimit>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: map_resolver
                            
                            	Configures a LISP Map Resolver (MR)
                            	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: map_server
                            
                            	Configures a LISP Map Server (MS)
                            	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.SolicitMapRequest>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.database_mapping = Native.Router.LispList.Default.Service.Ethernet.Default_.DatabaseMapping()
                                self.database_mapping.parent = self
                                self.encapsulation = Native.Router.LispList.Default.Service.Ethernet.Default_.Encapsulation()
                                self.encapsulation.parent = self
                                self.etr = Native.Router.LispList.Default.Service.Ethernet.Default_.Etr()
                                self.etr.parent = self
                                self.etr_enable = Native.Router.LispList.Default.Service.Ethernet.Default_.EtrEnable()
                                self.etr_enable.parent = self
                                self.itr = Native.Router.LispList.Default.Service.Ethernet.Default_.Itr()
                                self.itr.parent = self
                                self.itr_enable = Native.Router.LispList.Default.Service.Ethernet.Default_.ItrEnable()
                                self.itr_enable.parent = self
                                self.map_cache_limit = Native.Router.LispList.Default.Service.Ethernet.Default_.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self.map_request_source = None
                                self.map_resolver = None
                                self.map_server = None
                                self.site_registration = Native.Router.LispList.Default.Service.Ethernet.Default_.SiteRegistration()
                                self.site_registration.parent = self
                                self.solicit_map_request = Native.Router.LispList.Default.Service.Ethernet.Default_.SolicitMapRequest()
                                self.solicit_map_request.parent = self


                            class Encapsulation(object):
                                """
                                Select encapsulation type for data packets
                                
                                .. attribute:: vxlan
                                
                                	Use VXLAN encapsulation for data packets
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.vxlan = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:encapsulation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.vxlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Encapsulation']['meta_info']


                            class DatabaseMapping(object):
                                """
                                Address family specific local EID prefixes database configuration
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = Native.Router.LispList.Default.Service.Ethernet.Default_.DatabaseMapping.Limit()
                                    self.limit.parent = self


                                class Limit(object):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\:  int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.DatabaseMapping.Limit']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None and self.limit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.DatabaseMapping']['meta_info']


                            class Itr(object):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map_resolver = YList()
                                    self.map_resolver.parent = self
                                    self.map_resolver.name = 'map_resolver'


                                class MapResolver(object):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Itr.MapResolver']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map_resolver is not None:
                                        for child_ref in self.map_resolver:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Itr']['meta_info']


                            class ItrEnable(object):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.itr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.itr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.ItrEnable']['meta_info']


                            class EtrEnable(object):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.etr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.etr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.EtrEnable']['meta_info']


                            class Etr(object):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_map_request_mapping = Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self.map_cache_ttl = None
                                    self.map_server = YList()
                                    self.map_server.parent = self
                                    self.map_server.name = 'map_server'


                                class MapServer(object):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None
                                        self.key = Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self.proxy_reply = None


                                    class Key(object):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7>`
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self.key_6 = Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self.key_7 = Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self.key_pwd = Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self


                                        class KeyPwd(object):
                                            """
                                            
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.hash_function = None
                                                self.unc_pwd = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.hash_function is not None:
                                                    return True

                                                if self.unc_pwd is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                        class Key0(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_0 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_0 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                        class Key6(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_6 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_6 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                        class Key7(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_7 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_7 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None and self.key_0._has_data():
                                                return True

                                            if self.key_6 is not None and self.key_6._has_data():
                                                return True

                                            if self.key_7 is not None and self.key_7._has_data():
                                                return True

                                            if self.key_pwd is not None and self.key_pwd._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        if self.proxy_reply is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.MapServer']['meta_info']


                                class AcceptMapRequestMapping(object):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_mappping = None
                                        self.verify = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_mappping is not None:
                                            return True

                                        if self.verify is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                        return True

                                    if self.map_cache_ttl is not None:
                                        return True

                                    if self.map_server is not None:
                                        for child_ref in self.map_server:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.Etr']['meta_info']


                            class MapCacheLimit(object):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\:  str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_map_cache_entries = None
                                    self.reserve_list = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_map_cache_entries is not None:
                                        return True

                                    if self.reserve_list is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapCacheLimit']['meta_info']


                            class MapResolver(object):
                                """
                                Configures a LISP Map Resolver (MR)
                                
                                .. attribute:: map_request
                                
                                	Map\-Request processing options
                                	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_request = Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest()
                                    self.map_request.parent = self


                                class MapRequest(object):
                                    """
                                    Map\-Request processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.validate = Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate()
                                        self.validate.parent = self


                                    class Validate(object):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	Influence which source RLOCs map requests are accepted from
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            Influence which source RLOCs map requests are accepted from
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.List>`
                                            
                                            .. attribute:: registered
                                            
                                            	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.list = Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.List()
                                                self.list.parent = self
                                                self.registered = Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered()
                                                self.registered.parent = self


                                            class List(object):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\:  str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv4 = None
                                                    self.ipv6 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ipv4 is not None:
                                                        return True

                                                    if self.ipv6 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                            class Registered(object):
                                                """
                                                ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                                
                                                .. attribute:: list
                                                
                                                	Define allowed prefixes using an ip[v6] prefix list
                                                	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.list = Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                    self.list.parent = self


                                                class List(object):
                                                    """
                                                    Define allowed prefixes using an ip[v6] prefix list
                                                    
                                                    .. attribute:: ipv4
                                                    
                                                    	IPv4 prefixes
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: ipv6
                                                    
                                                    	IPv6 prefixes
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ipv4 = None
                                                        self.ipv6 = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ipv4 is not None:
                                                            return True

                                                        if self.ipv6 is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:registered'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.list is not None and self.list._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.list is not None and self.list._has_data():
                                                    return True

                                                if self.registered is not None and self.registered._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate.Source']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest.Validate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.validate is not None and self.validate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver.MapRequest']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_request is not None and self.map_request._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapResolver']['meta_info']


                            class MapServer(object):
                                """
                                Configures a LISP Map Server (MS)
                                
                                .. attribute:: map_register
                                
                                	Map\-Register processing options
                                	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_register = Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister()
                                    self.map_register.parent = self


                                class MapRegister(object):
                                    """
                                    Map\-Register processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.validate = Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate()
                                        self.validate.parent = self


                                    class Validate(object):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	RLOC Source IP address
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            RLOC Source IP address
                                            
                                            .. attribute:: allowed_locator
                                            
                                            	Against sites' allowed\-locators policy
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.allowed_locator = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.allowed_locator is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate.Source']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister.Validate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.validate is not None and self.validate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer.MapRegister']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_register is not None and self.map_register._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.MapServer']['meta_info']


                            class SiteRegistration(object):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.SiteRegistration']['meta_info']


                            class SolicitMapRequest(object):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\:  int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ignore = None
                                    self.max_per_entry = None
                                    self.suppression_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ignore is not None:
                                        return True

                                    if self.max_per_entry is not None:
                                        return True

                                    if self.suppression_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_.SolicitMapRequest']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.database_mapping is not None and self.database_mapping._has_data():
                                    return True

                                if self.encapsulation is not None and self.encapsulation._has_data():
                                    return True

                                if self.etr is not None and self.etr._has_data():
                                    return True

                                if self.etr_enable is not None and self.etr_enable._has_data():
                                    return True

                                if self.itr is not None and self.itr._has_data():
                                    return True

                                if self.itr_enable is not None and self.itr_enable._has_data():
                                    return True

                                if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                    return True

                                if self.map_request_source is not None:
                                    return True

                                if self.map_resolver is not None and self.map_resolver._has_data():
                                    return True

                                if self.map_server is not None and self.map_server._has_data():
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Default_']['meta_info']


                        class Encapsulation(object):
                            """
                            Select encapsulation type for data packets
                            
                            .. attribute:: vxlan
                            
                            	Use VXLAN encapsulation for data packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.vxlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:encapsulation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.vxlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Encapsulation']['meta_info']


                        class DatabaseMapping(object):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping.Limit()
                                self.limit.parent = self


                            class Limit(object):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\:  int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dynamic = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dynamic is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping.Limit']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None and self.limit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping']['meta_info']


                        class Itr(object):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_resolver = YList()
                                self.map_resolver.parent = self
                                self.map_resolver.name = 'map_resolver'


                            class MapResolver(object):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Itr.MapResolver']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_resolver is not None:
                                    for child_ref in self.map_resolver:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Itr']['meta_info']


                        class ItrEnable(object):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.itr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.itr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.ItrEnable']['meta_info']


                        class EtrEnable(object):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.etr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.etr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.EtrEnable']['meta_info']


                        class Etr(object):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.accept_map_request_mapping = Native.Router.LispList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self.map_cache_ttl = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None
                                    self.key = Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self.key_6 = Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self.key_7 = Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self.key_pwd = Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self


                                    class KeyPwd(object):
                                        """
                                        
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.hash_function = None
                                            self.unc_pwd = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.hash_function is not None:
                                                return True

                                            if self.unc_pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info']


                                    class Key0(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_0 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_0 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info']


                                    class Key6(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_6 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_6 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info']


                                    class Key7(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_7 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_7 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None and self.key_0._has_data():
                                            return True

                                        if self.key_6 is not None and self.key_6._has_data():
                                            return True

                                        if self.key_7 is not None and self.key_7._has_data():
                                            return True

                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer']['meta_info']


                            class AcceptMapRequestMapping(object):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_mappping = None
                                    self.verify = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_mappping is not None:
                                        return True

                                    if self.verify is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                    return True

                                if self.map_cache_ttl is not None:
                                    return True

                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.Etr']['meta_info']


                        class MapCacheLimit(object):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\:  str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max_map_cache_entries = None
                                self.reserve_list = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max_map_cache_entries is not None:
                                    return True

                                if self.reserve_list is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.MapCacheLimit']['meta_info']


                        class MapResolver(object):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_request = Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest()
                                self.map_request.parent = self


                            class MapRequest(object):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.list = Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self.registered = Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self


                                        class List(object):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                        class Registered(object):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.list = Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self


                                            class List(object):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\:  str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv4 = None
                                                    self.ipv6 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ipv4 is not None:
                                                        return True

                                                    if self.ipv6 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:registered'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.list is not None and self.list._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.list is not None and self.list._has_data():
                                                return True

                                            if self.registered is not None and self.registered._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_request is not None and self.map_request._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.MapResolver']['meta_info']


                        class MapServer(object):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_register = Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister()
                                self.map_register.parent = self


                            class MapRegister(object):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.allowed_locator = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.allowed_locator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_register is not None and self.map_register._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.MapServer']['meta_info']


                        class SiteRegistration(object):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.SiteRegistration']['meta_info']


                        class SolicitMapRequest(object):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\:  int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ignore = None
                                self.max_per_entry = None
                                self.suppression_time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ignore is not None:
                                    return True

                                if self.max_per_entry is not None:
                                    return True

                                if self.suppression_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet.SolicitMapRequest']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ethernet'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.database_mapping is not None and self.database_mapping._has_data():
                                return True

                            if self.default is not None and self.default._has_data():
                                return True

                            if self.encapsulation is not None and self.encapsulation._has_data():
                                return True

                            if self.etr is not None and self.etr._has_data():
                                return True

                            if self.etr_enable is not None and self.etr_enable._has_data():
                                return True

                            if self.itr is not None and self.itr._has_data():
                                return True

                            if self.itr_enable is not None and self.itr_enable._has_data():
                                return True

                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                return True

                            if self.map_request_source is not None:
                                return True

                            if self.map_resolver is not None and self.map_resolver._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.site_registration is not None and self.site_registration._has_data():
                                return True

                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Service.Ethernet']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:service'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.ethernet is not None and self.ethernet._has_data():
                            return True

                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.Service']['meta_info']


                class Encapsulation(object):
                    """
                    Select encapsulation type for data packets
                    
                    .. attribute:: vxlan
                    
                    	Use VXLAN encapsulation for data packets
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vxlan = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:encapsulation'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vxlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.Encapsulation']['meta_info']


                class LocatorSet(object):
                    """
                    Configure a named locator set
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: auto_discover_rlocs
                    
                    	Auto discover locators registered by other xTRs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ip_address
                    
                    	Use IPv6 address of interface as locator
                    	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.LocatorSet.IpAddress>`
                    
                    .. attribute:: ipv4_interface
                    
                    	Use IPv4 address of interface as locator
                    	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.LocatorSet.Ipv4Interface>`
                    
                    .. attribute:: ipv6_interface
                    
                    	Use IPv6 address of interface as locator
                    	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.LocatorSet.Ipv6Interface>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.auto_discover_rlocs = None
                        self.ip_address = YList()
                        self.ip_address.parent = self
                        self.ip_address.name = 'ip_address'
                        self.ipv4_interface = YList()
                        self.ipv4_interface.parent = self
                        self.ipv4_interface.name = 'ipv4_interface'
                        self.ipv6_interface = YList()
                        self.ipv6_interface.parent = self
                        self.ipv6_interface.name = 'ipv6_interface'


                    class Ipv4Interface(object):
                        """
                        Use IPv4 address of interface as locator
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: priority
                        
                        	Configures which Locators from a set are preferred
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: weight
                        
                        	Traffic load\-spreading among Locators
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.priority = None
                            self.weight = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.priority is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.LocatorSet.Ipv4Interface']['meta_info']


                    class Ipv6Interface(object):
                        """
                        Use IPv6 address of interface as locator
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: priority
                        
                        	Configures which Locators from a set are preferred
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: weight
                        
                        	Traffic load\-spreading among Locators
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.priority = None
                            self.weight = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.priority is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.LocatorSet.Ipv6Interface']['meta_info']


                    class IpAddress(object):
                        """
                        Use IPv6 address of interface as locator
                        
                        .. attribute:: ip  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: priority
                        
                        	Configures which Locators from a set are preferred
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: weight
                        
                        	Traffic load\-spreading among Locators
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = None
                            self.priority = None
                            self.weight = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ip is None:
                                raise YPYModelError('Key property ip is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ip-address[Cisco-IOS-XE-lisp:ip = ' + str(self.ip) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None:
                                return True

                            if self.priority is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.LocatorSet.IpAddress']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator-set[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.auto_discover_rlocs is not None:
                            return True

                        if self.ip_address is not None:
                            for child_ref in self.ip_address:
                                if child_ref._has_data():
                                    return True

                        if self.ipv4_interface is not None:
                            for child_ref in self.ipv4_interface:
                                if child_ref._has_data():
                                    return True

                        if self.ipv6_interface is not None:
                            for child_ref in self.ipv6_interface:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.LocatorSet']['meta_info']


                class LocatorScope(object):
                    """
                    Configure a locator scope
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: rloc_prefix
                    
                    	RLOC prefix to check against ITR RLOC and ETR RLOC
                    	**type**\: one of the below types:
                    
                    	**type**\:  list of str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                    
                    
                    ----
                    	**type**\:  list of str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    .. attribute:: rtr_locator_set
                    
                    	Locator\-set of RTR to use in proxy reply for disjoint/cross AF RLOC
                    	**type**\:  list of str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.rloc_prefix = YLeafList()
                        self.rloc_prefix.parent = self
                        self.rloc_prefix.name = 'rloc_prefix'
                        self.rtr_locator_set = YLeafList()
                        self.rtr_locator_set.parent = self
                        self.rtr_locator_set.name = 'rtr_locator_set'

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator-scope[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.rloc_prefix is not None:
                            for child in self.rloc_prefix:
                                if child is not None:
                                    return True

                        if self.rtr_locator_set is not None:
                            for child in self.rtr_locator_set:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.LocatorScope']['meta_info']


                class InstanceContainer(object):
                    """
                    EID instance\-ID
                    
                    .. attribute:: instance_list
                    
                    	
                    	**type**\: list of    :py:class:`InstanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.instance_list = YList()
                        self.instance_list.parent = self
                        self.instance_list.name = 'instance_list'


                    class InstanceList(object):
                        """
                        
                        
                        .. attribute:: instance_id  <key>
                        
                        	EID instance\-ID
                        	**type**\:  int
                        
                        	**range:** 0..16777214
                        
                        .. attribute:: decapsulation
                        
                        	Decapsulation behavior (e.g. filters)
                        	**type**\:   :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation>`
                        
                        .. attribute:: default
                        
                        	
                        	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_>`
                        
                        .. attribute:: disable_ttl_propagate
                        
                        	Disable ttl propagation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dynamic_eid
                        
                        	Configure a dynamic EID
                        	**type**\: list of    :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid>`
                        
                        .. attribute:: loc_reach_algorithm
                        
                        	Configure locator reachability algorithm
                        	**type**\:   :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm>`
                        
                        .. attribute:: map_server
                        
                        	Map\-Server commands
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer>`
                        
                        .. attribute:: other_xtr_probe
                        
                        	Configure parameters for probing of other xTRs in our site
                        	**type**\:   :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.OtherXtrProbe>`
                        
                        .. attribute:: remote_rloc_probe
                        
                        	Configure parameters for probing of remote RLOCs
                        	**type**\:   :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.RemoteRlocProbe>`
                        
                        .. attribute:: service
                        
                        	Configure lisp service type
                        	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.instance_id = None
                            self.decapsulation = Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation()
                            self.decapsulation.parent = self
                            self.default = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_()
                            self.default.parent = self
                            self.disable_ttl_propagate = None
                            self.dynamic_eid = YList()
                            self.dynamic_eid.parent = self
                            self.dynamic_eid.name = 'dynamic_eid'
                            self.loc_reach_algorithm = Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm()
                            self.loc_reach_algorithm.parent = self
                            self.map_server = Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer()
                            self.map_server.parent = self
                            self.other_xtr_probe = Native.Router.LispList.Default.InstanceContainer.InstanceList.OtherXtrProbe()
                            self.other_xtr_probe.parent = self
                            self.remote_rloc_probe = Native.Router.LispList.Default.InstanceContainer.InstanceList.RemoteRlocProbe()
                            self.remote_rloc_probe.parent = self
                            self.service = None


                        class Default_(object):
                            """
                            
                            
                            .. attribute:: decapsulation
                            
                            	Decapsulation behavior (e.g. filters)
                            	**type**\:   :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation>`
                            
                            .. attribute:: disable_ttl_propagate
                            
                            	Disable ttl propagation
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dynamic_eid
                            
                            	Configure a dynamic EID
                            	**type**\: list of    :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid>`
                            
                            .. attribute:: loc_reach_algorithm
                            
                            	Configure locator reachability algorithm
                            	**type**\:   :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm>`
                            
                            .. attribute:: map_server
                            
                            	Map\-Server commands
                            	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer>`
                            
                            .. attribute:: other_xtr_probe
                            
                            	Configure parameters for probing of other xTRs in our site
                            	**type**\:   :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.OtherXtrProbe>`
                            
                            .. attribute:: remote_rloc_probe
                            
                            	Configure parameters for probing of remote RLOCs
                            	**type**\:   :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.RemoteRlocProbe>`
                            
                            .. attribute:: service
                            
                            	Configure lisp service type
                            	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.decapsulation = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation()
                                self.decapsulation.parent = self
                                self.disable_ttl_propagate = None
                                self.dynamic_eid = YList()
                                self.dynamic_eid.parent = self
                                self.dynamic_eid.name = 'dynamic_eid'
                                self.loc_reach_algorithm = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm()
                                self.loc_reach_algorithm.parent = self
                                self.map_server = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer()
                                self.map_server.parent = self
                                self.other_xtr_probe = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.OtherXtrProbe()
                                self.other_xtr_probe.parent = self
                                self.remote_rloc_probe = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.RemoteRlocProbe()
                                self.remote_rloc_probe.parent = self
                                self.service = None


                            class Decapsulation(object):
                                """
                                Decapsulation behavior (e.g. filters)
                                
                                .. attribute:: filter
                                
                                	Filters traffic
                                	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.filter = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter()
                                    self.filter.parent = self


                                class Filter(object):
                                    """
                                    Filters traffic
                                    
                                    .. attribute:: rloc
                                    
                                    	Filter based on Routing Locator (RLOC) in packet header
                                    	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.rloc = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc()
                                        self.rloc.parent = self


                                    class Rloc(object):
                                        """
                                        Filter based on Routing Locator (RLOC) in packet header
                                        
                                        .. attribute:: source
                                        
                                        	Filters traffic based on RLOC source address
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            Filters traffic based on RLOC source address
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator\-set Name
                                            	**type**\:  str
                                            
                                            .. attribute:: member
                                            
                                            	Members learned from map\-server
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.member = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.member is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc.Source']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter.Rloc']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:filter'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.rloc is not None and self.rloc._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation.Filter']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:decapsulation'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.filter is not None and self.filter._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Decapsulation']['meta_info']


                            class DynamicEid(object):
                                """
                                Configure a dynamic EID
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: database_mapping
                                
                                	Configures EID\-prefix and locator\-set for dynamic\-EID
                                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping>`
                                
                                .. attribute:: eid_notify
                                
                                	Configure options for sending/receiving EID\-notify
                                	**type**\:   :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify>`
                                
                                .. attribute:: map_notify_group
                                
                                	Multicast group which to send map\-notifies to
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self.eid_notify = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify()
                                    self.eid_notify.parent = self
                                    self.map_notify_group = None
                                    self.map_server = YList()
                                    self.map_server.parent = self
                                    self.map_server.name = 'map_server'


                                class DatabaseMapping(object):
                                    """
                                    Configures EID\-prefix and locator\-set for dynamic\-EID
                                    
                                    .. attribute:: ipv4_prefix
                                    
                                    	IPv4 EID\-prefix for dynamic\-EID
                                    	**type**\: list of    :py:class:`Ipv4Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Ipv4Prefix>`
                                    
                                    .. attribute:: mac
                                    
                                    	L2 EID records
                                    	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Mac>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_prefix = YList()
                                        self.ipv4_prefix.parent = self
                                        self.ipv4_prefix.name = 'ipv4_prefix'
                                        self.mac = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Mac()
                                        self.mac.parent = self


                                    class Ipv4Prefix(object):
                                        """
                                        IPv4 EID\-prefix for dynamic\-EID
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.locator_set = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-prefix[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.locator_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Ipv4Prefix']['meta_info']


                                    class Mac(object):
                                        """
                                        L2 EID records
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        .. attribute:: mac_addr
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.mac_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:mac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.mac_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping.Mac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_prefix is not None:
                                            for child_ref in self.ipv4_prefix:
                                                if child_ref._has_data():
                                                    return True

                                        if self.mac is not None and self.mac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.DatabaseMapping']['meta_info']


                                class EidNotify(object):
                                    """
                                    Configure options for sending/receiving EID\-notify
                                    
                                    .. attribute:: authentication_key
                                    
                                    	Authentication key used for validating received EID\-notify
                                    	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.AuthenticationKey>`
                                    
                                    .. attribute:: gateway_key
                                    
                                    	
                                    	**type**\: list of    :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.authentication_key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.AuthenticationKey()
                                        self.authentication_key.parent = self
                                        self.gateway_key = YList()
                                        self.gateway_key.parent = self
                                        self.gateway_key.name = 'gateway_key'


                                    class AuthenticationKey(object):
                                        """
                                        Authentication key used for validating received EID\-notify
                                        
                                        .. attribute:: key_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: key_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: key_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = None
                                            self.key_6 = None
                                            self.key_7 = None
                                            self.unc_pwd = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:authentication-key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None:
                                                return True

                                            if self.key_6 is not None:
                                                return True

                                            if self.key_7 is not None:
                                                return True

                                            if self.unc_pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.AuthenticationKey']['meta_info']


                                    class GatewayKey(object):
                                        """
                                        
                                        
                                        .. attribute:: gateway_ip  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: key
                                        
                                        	
                                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.gateway_ip = None
                                            self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key()
                                            self.key.parent = self


                                        class Key(object):
                                            """
                                            
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6>`
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0()
                                                self.key_0.parent = self
                                                self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6()
                                                self.key_6.parent = self
                                                self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd()
                                                self.key_pwd.parent = self


                                            class KeyPwd(object):
                                                """
                                                
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum>`
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.hash_function = None
                                                    self.unc_pwd = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.hash_function is not None:
                                                        return True

                                                    if self.unc_pwd is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd']['meta_info']


                                            class Key0(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_0 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_0 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key0']['meta_info']


                                            class Key6(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_6 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_6 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key.Key6']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.key_0 is not None and self.key_0._has_data():
                                                    return True

                                                if self.key_6 is not None and self.key_6._has_data():
                                                    return True

                                                if self.key_pwd is not None and self.key_pwd._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.gateway_ip is None:
                                                raise YPYModelError('Key property gateway_ip is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:gateway-key[Cisco-IOS-XE-lisp:gateway-ip = ' + str(self.gateway_ip) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.gateway_ip is not None:
                                                return True

                                            if self.key is not None and self.key._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify.GatewayKey']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-notify'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.authentication_key is not None and self.authentication_key._has_data():
                                            return True

                                        if self.gateway_key is not None:
                                            for child_ref in self.gateway_key:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.EidNotify']['meta_info']


                                class MapServer(object):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None
                                        self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key()
                                        self.key.parent = self
                                        self.proxy_reply = None


                                    class Key(object):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7>`
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self


                                        class KeyPwd(object):
                                            """
                                            
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.hash_function = None
                                                self.unc_pwd = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.hash_function is not None:
                                                    return True

                                                if self.unc_pwd is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.KeyPwd']['meta_info']


                                        class Key0(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_0 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_0 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key0']['meta_info']


                                        class Key6(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_6 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_6 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key6']['meta_info']


                                        class Key7(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_7 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_7 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key.Key7']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None and self.key_0._has_data():
                                                return True

                                            if self.key_6 is not None and self.key_6._has_data():
                                                return True

                                            if self.key_7 is not None and self.key_7._has_data():
                                                return True

                                            if self.key_pwd is not None and self.key_pwd._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        if self.proxy_reply is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid.MapServer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:dynamic-eid[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.database_mapping is not None and self.database_mapping._has_data():
                                        return True

                                    if self.eid_notify is not None and self.eid_notify._has_data():
                                        return True

                                    if self.map_notify_group is not None:
                                        return True

                                    if self.map_server is not None:
                                        for child_ref in self.map_server:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.DynamicEid']['meta_info']


                            class LocReachAlgorithm(object):
                                """
                                Configure locator reachability algorithm
                                
                                .. attribute:: lsb_reports
                                
                                	Configure data packet LSB report handling
                                	**type**\:   :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm.LsbReports>`
                                
                                .. attribute:: rloc_probing
                                
                                	Probe high priority RLOCs with Map\-Requests as last resort
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lsb_reports = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm.LsbReports()
                                    self.lsb_reports.parent = self
                                    self.rloc_probing = None


                                class LsbReports(object):
                                    """
                                    Configure data packet LSB report handling
                                    
                                    .. attribute:: do_not_transmit
                                    
                                    	Force the setting of the encapsulation header L bit to zero
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore data packet LSB reports
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.do_not_transmit = None
                                        self.ignore = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lsb-reports'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.do_not_transmit is not None:
                                            return True

                                        if self.ignore is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm.LsbReports']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:loc-reach-algorithm'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lsb_reports is not None and self.lsb_reports._has_data():
                                        return True

                                    if self.rloc_probing is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.LocReachAlgorithm']['meta_info']


                            class MapServer(object):
                                """
                                Map\-Server commands
                                
                                .. attribute:: rloc
                                
                                	EID instance RLOC membership
                                	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc>`
                                
                                .. attribute:: site_registration
                                
                                	Map\-server site registration options
                                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.SiteRegistration>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.rloc = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc()
                                    self.rloc.parent = self
                                    self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.SiteRegistration()
                                    self.site_registration.parent = self


                                class Rloc(object):
                                    """
                                    EID instance RLOC membership
                                    
                                    .. attribute:: members
                                    
                                    	EID instance RLOC membership
                                    	**type**\:   :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.members = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members()
                                        self.members.parent = self


                                    class Members(object):
                                        """
                                        EID instance RLOC membership
                                        
                                        .. attribute:: distribute
                                        
                                        	EID instance RLOC membership distribution
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: modify_discovered
                                        
                                        	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                        	**type**\:   :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.distribute = None
                                            self.modify_discovered = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered()
                                            self.modify_discovered.parent = self


                                        class ModifyDiscovered(object):
                                            """
                                            Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set from which to get member RLOC addresses
                                            	**type**\:  str
                                            
                                            .. attribute:: operator
                                            
                                            	
                                            	**type**\:   :py:class:`OperatorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.operator = None

                                            class OperatorEnum(Enum):
                                                """
                                                OperatorEnum

                                                .. data:: add = 0

                                                .. data:: override = 1

                                                """

                                                add = 0

                                                override = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:modify-discovered'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.operator is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members.ModifyDiscovered']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:members'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.distribute is not None:
                                                return True

                                            if self.modify_discovered is not None and self.modify_discovered._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc.Members']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.members is not None and self.members._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.Rloc']['meta_info']


                                class SiteRegistration(object):
                                    """
                                    Map\-server site registration options
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations as a result of accept\-more\-specifics
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.limit = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.limit is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer.SiteRegistration']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.rloc is not None and self.rloc._has_data():
                                        return True

                                    if self.site_registration is not None and self.site_registration._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.MapServer']['meta_info']


                            class OtherXtrProbe(object):
                                """
                                Configure parameters for probing of other xTRs in our site
                                
                                .. attribute:: period
                                
                                	Period between probes in seconds
                                	**type**\:  int
                                
                                	**range:** 5..900
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.period = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:other-xtr-probe'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.period is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.OtherXtrProbe']['meta_info']


                            class RemoteRlocProbe(object):
                                """
                                Configure parameters for probing of remote RLOCs
                                
                                .. attribute:: on_membership_change
                                
                                	Trigger probing upon membership changes for remote RLOC
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: on_route_change
                                
                                	Trigger probing upon routing changes for remote RLOC
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.on_membership_change = None
                                    self.on_route_change = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:remote-rloc-probe'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.on_membership_change is not None:
                                        return True

                                    if self.on_route_change is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.RemoteRlocProbe']['meta_info']


                            class Service(object):
                                """
                                Configure lisp service type
                                
                                .. attribute:: ethernet
                                
                                	
                                	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ipv4
                                
                                	
                                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ipv6
                                
                                	
                                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.ethernet = None
                                    self.ipv4 = None
                                    self.ipv6 = None


                                class Ipv4(object):
                                    """
                                    
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\:  str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping>`
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_>`
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Distance>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EidTable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EtrEnable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ItrEnable>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCacheLimit>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCachePersistent>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteExport>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SolicitMapRequest>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.alt = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt()
                                        self.alt.parent = self
                                        self.alt_vrf = None
                                        self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self.default = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_()
                                        self.default.parent = self
                                        self.distance = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Distance()
                                        self.distance.parent = self
                                        self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EidTable()
                                        self.eid_table.parent = self
                                        self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr()
                                        self.etr.parent = self
                                        self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EtrEnable()
                                        self.etr_enable.parent = self
                                        self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr()
                                        self.itr.parent = self
                                        self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ItrEnable()
                                        self.itr_enable.parent = self
                                        self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache()
                                        self.map_cache.parent = self
                                        self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self.map_cache_persistent = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self.map_request_source = None
                                        self.proxy_etr = None
                                        self.proxy_itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self.route_export = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteExport()
                                        self.route_export.parent = self
                                        self.route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport()
                                        self.route_import.parent = self
                                        self.sgt = None
                                        self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SiteRegistration()
                                        self.site_registration.parent = self
                                        self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self.use_petr = YList()
                                        self.use_petr.parent = self
                                        self.use_petr.name = 'use_petr'


                                    class Default_(object):
                                        """
                                        
                                        
                                        .. attribute:: alt
                                        
                                        	LISP Alternative Topology, LISP\-ALT
                                        	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt>`
                                        
                                        .. attribute:: alt_vrf
                                        
                                        	Activate LISP\-ALT functionality in VRF
                                        	**type**\:  str
                                        
                                        	**status**\: deprecated
                                        
                                        .. attribute:: database_mapping
                                        
                                        	Configures Locator addresses for an ETR
                                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping>`
                                        
                                        .. attribute:: distance
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Distance>`
                                        
                                        .. attribute:: eid_table
                                        
                                        	Bind an eid\-table
                                        	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EidTable>`
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr>`
                                        
                                        .. attribute:: etr_enable
                                        
                                        	
                                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EtrEnable>`
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr>`
                                        
                                        .. attribute:: itr_enable
                                        
                                        	
                                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ItrEnable>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Address family specific map cache configuration
                                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache>`
                                        
                                        .. attribute:: map_cache_limit
                                        
                                        	Configures maximum size of map\-cache
                                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCacheLimit>`
                                        
                                        .. attribute:: map_cache_persistent
                                        
                                        	Dump map\-cache onto flash, making it persistent across reboots
                                        	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCachePersistent>`
                                        
                                        .. attribute:: map_request_source
                                        
                                        	Configures inner header source address in Map\-Request message
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: proxy_etr
                                        
                                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: proxy_itr
                                        
                                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ProxyItr>`
                                        
                                        .. attribute:: route_export
                                        
                                        	Export routes into RIB from LISP
                                        	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteExport>`
                                        
                                        .. attribute:: route_import
                                        
                                        	Import RIB routes by a routing protocol into LISP
                                        	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport>`
                                        
                                        .. attribute:: sgt
                                        
                                        	Enable security group tag propagation in LISP encapsulated traffic
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Site registrations configuration for a given instance\-id
                                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SiteRegistration>`
                                        
                                        .. attribute:: solicit_map_request
                                        
                                        	Configure Solicit\-Map\-Request handling
                                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SolicitMapRequest>`
                                        
                                        .. attribute:: use_petr
                                        
                                        	Encapsulate to Proxy ETR when matching forward\-native entry
                                        	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.alt = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt()
                                            self.alt.parent = self
                                            self.alt_vrf = None
                                            self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping()
                                            self.database_mapping.parent = self
                                            self.distance = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Distance()
                                            self.distance.parent = self
                                            self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EidTable()
                                            self.eid_table.parent = self
                                            self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr()
                                            self.etr.parent = self
                                            self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EtrEnable()
                                            self.etr_enable.parent = self
                                            self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr()
                                            self.itr.parent = self
                                            self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ItrEnable()
                                            self.itr_enable.parent = self
                                            self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache()
                                            self.map_cache.parent = self
                                            self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCacheLimit()
                                            self.map_cache_limit.parent = self
                                            self.map_cache_persistent = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCachePersistent()
                                            self.map_cache_persistent.parent = self
                                            self.map_request_source = None
                                            self.proxy_etr = None
                                            self.proxy_itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ProxyItr()
                                            self.proxy_itr.parent = self
                                            self.route_export = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteExport()
                                            self.route_export.parent = self
                                            self.route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport()
                                            self.route_import.parent = self
                                            self.sgt = None
                                            self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SiteRegistration()
                                            self.site_registration.parent = self
                                            self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SolicitMapRequest()
                                            self.solicit_map_request.parent = self
                                            self.use_petr = YList()
                                            self.use_petr.parent = self
                                            self.use_petr.name = 'use_petr'


                                        class EidTable(object):
                                            """
                                            Bind an eid\-table
                                            
                                            .. attribute:: default
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: vrf
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: vrf_name
                                            
                                            	
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.default = None
                                                self.vrf = None
                                                self.vrf_name = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.default is not None:
                                                    return True

                                                if self.vrf is not None:
                                                    return True

                                                if self.vrf_name is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EidTable']['meta_info']


                                        class Itr(object):
                                            """
                                            Configures a LISP Ingress Tunnel Router (ITR)
                                            
                                            .. attribute:: map_resolver
                                            
                                            	Configures map\-resolver address for sending Map\-Requests
                                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr.MapResolver>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.map_resolver = YList()
                                                self.map_resolver.parent = self
                                                self.map_resolver.name = 'map_resolver'


                                            class MapResolver(object):
                                                """
                                                Configures map\-resolver address for sending Map\-Requests
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ip_addr = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.ip_addr is None:
                                                        raise YPYModelError('Key property ip_addr is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ip_addr is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr.MapResolver']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.map_resolver is not None:
                                                    for child_ref in self.map_resolver:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Itr']['meta_info']


                                        class ItrEnable(object):
                                            """
                                            
                                            
                                            .. attribute:: itr
                                            
                                            	Configures a LISP Ingress Tunnel Router (ITR)
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.itr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.itr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ItrEnable']['meta_info']


                                        class EtrEnable(object):
                                            """
                                            
                                            
                                            .. attribute:: etr
                                            
                                            	Configures a LISP Egress Tunnel Router (ETR)
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.EtrEnable']['meta_info']


                                        class Etr(object):
                                            """
                                            Configures a LISP Egress Tunnel Router (ETR)
                                            
                                            .. attribute:: accept_map_request_mapping
                                            
                                            	
                                            	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping>`
                                            
                                            .. attribute:: map_cache_ttl
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 60..10080
                                            
                                            .. attribute:: map_server
                                            
                                            	Configures map server for ETR registration
                                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping()
                                                self.accept_map_request_mapping.parent = self
                                                self.map_cache_ttl = None
                                                self.map_server = YList()
                                                self.map_server.parent = self
                                                self.map_server.name = 'map_server'


                                            class MapServer(object):
                                                """
                                                Configures map server for ETR registration
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: key
                                                
                                                	Authentication key used with map server
                                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key>`
                                                
                                                .. attribute:: proxy_reply
                                                
                                                	Request Map\-Server to send Map\-Replies on behalf of site
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ip_addr = None
                                                    self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key()
                                                    self.key.parent = self
                                                    self.proxy_reply = None


                                                class Key(object):
                                                    """
                                                    Authentication key used with map server
                                                    
                                                    .. attribute:: key_0
                                                    
                                                    	
                                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0>`
                                                    
                                                    .. attribute:: key_6
                                                    
                                                    	
                                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6>`
                                                    
                                                    .. attribute:: key_7
                                                    
                                                    	
                                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7>`
                                                    
                                                    .. attribute:: key_pwd
                                                    
                                                    	
                                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0()
                                                        self.key_0.parent = self
                                                        self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6()
                                                        self.key_6.parent = self
                                                        self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7()
                                                        self.key_7.parent = self
                                                        self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd()
                                                        self.key_pwd.parent = self


                                                    class KeyPwd(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                        
                                                        .. attribute:: unc_pwd
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.hash_function = None
                                                            self.unc_pwd = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.hash_function is not None:
                                                                return True

                                                            if self.unc_pwd is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                    class Key0(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_0
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.ak_0 = None
                                                            self.hash_function = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.ak_0 is not None:
                                                                return True

                                                            if self.hash_function is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                                    class Key6(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_6
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.ak_6 = None
                                                            self.hash_function = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.ak_6 is not None:
                                                                return True

                                                            if self.hash_function is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                                    class Key7(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_7
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.ak_7 = None
                                                            self.hash_function = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.ak_7 is not None:
                                                                return True

                                                            if self.hash_function is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.key_0 is not None and self.key_0._has_data():
                                                            return True

                                                        if self.key_6 is not None and self.key_6._has_data():
                                                            return True

                                                        if self.key_7 is not None and self.key_7._has_data():
                                                            return True

                                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.ip_addr is None:
                                                        raise YPYModelError('Key property ip_addr is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ip_addr is not None:
                                                        return True

                                                    if self.key is not None and self.key._has_data():
                                                        return True

                                                    if self.proxy_reply is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.MapServer']['meta_info']


                                            class AcceptMapRequestMapping(object):
                                                """
                                                
                                                
                                                .. attribute:: accept_mappping
                                                
                                                	
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: verify
                                                
                                                	
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.accept_mappping = None
                                                    self.verify = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.accept_mappping is not None:
                                                        return True

                                                    if self.verify is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                    return True

                                                if self.map_cache_ttl is not None:
                                                    return True

                                                if self.map_server is not None:
                                                    for child_ref in self.map_server:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Etr']['meta_info']


                                        class MapCacheLimit(object):
                                            """
                                            Configures maximum size of map\-cache
                                            
                                            .. attribute:: max_map_cache_entries
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..100000
                                            
                                            .. attribute:: reserve_list
                                            
                                            	EID\-prefixes guaranteed to be stored in map\-cache
                                            	**type**\:  str
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.max_map_cache_entries = None
                                                self.reserve_list = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.max_map_cache_entries is not None:
                                                    return True

                                                if self.reserve_list is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCacheLimit']['meta_info']


                                        class SiteRegistration(object):
                                            """
                                            Site registrations configuration for a given instance\-id
                                            
                                            .. attribute:: limit
                                            
                                            	Maximum number of site registrations
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Warning threshold to issue system logging
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.limit = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.limit is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SiteRegistration']['meta_info']


                                        class SolicitMapRequest(object):
                                            """
                                            Configure Solicit\-Map\-Request handling
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore SMR bit in incoming Map\-Requests
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: max_per_entry
                                            
                                            	Maximum number of SMRs for addresses under a map\-cache entry
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: suppression_time
                                            
                                            	How long to suppress repeated SMRs for the same address
                                            	**type**\:  int
                                            
                                            	**range:** 1..600
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ignore = None
                                                self.max_per_entry = None
                                                self.suppression_time = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ignore is not None:
                                                    return True

                                                if self.max_per_entry is not None:
                                                    return True

                                                if self.suppression_time is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.SolicitMapRequest']['meta_info']


                                        class Alt(object):
                                            """
                                            LISP Alternative Topology, LISP\-ALT
                                            
                                            .. attribute:: summary_route
                                            
                                            	Summary route to install into the ALT table
                                            	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt.SummaryRoute>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.summary_route = YList()
                                                self.summary_route.parent = self
                                                self.summary_route.name = 'summary_route'


                                            class SummaryRoute(object):
                                                """
                                                Summary route to install into the ALT table
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                                
                                                
                                                ----
                                                .. attribute:: route_tag
                                                
                                                	ALT RIB route tag for EID prefix
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.eid_prefix = None
                                                    self.route_tag = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.eid_prefix is None:
                                                        raise YPYModelError('Key property eid_prefix is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.eid_prefix is not None:
                                                        return True

                                                    if self.route_tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt.SummaryRoute']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.summary_route is not None:
                                                    for child_ref in self.summary_route:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Alt']['meta_info']


                                        class Distance(object):
                                            """
                                            Administrative distance for RIB route installation
                                            
                                            .. attribute:: alt
                                            
                                            	LISP routes installed in the ALT table
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: away
                                            
                                            	Administrative distance for RIB route installation
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: dyn_eid
                                            
                                            	LISP installed routes of type dynamic\-EID
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: site_registrations
                                            
                                            	LISP installed routes of type site\-registrations
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.alt = None
                                                self.away = None
                                                self.dyn_eid = None
                                                self.site_registrations = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.alt is not None:
                                                    return True

                                                if self.away is not None:
                                                    return True

                                                if self.dyn_eid is not None:
                                                    return True

                                                if self.site_registrations is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.Distance']['meta_info']


                                        class MapCache(object):
                                            """
                                            Address family specific map cache configuration
                                            
                                            .. attribute:: away_eids
                                            
                                            	Map cache configuration for the away table
                                            	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.AwayEids>`
                                            
                                            .. attribute:: eid_interface
                                            
                                            	Configures static EID\-to\-RLOC mappings for an ITR
                                            	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface>`
                                            
                                            .. attribute:: site_registration
                                            
                                            	Install map cache to map request for site registrations
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.away_eids = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.AwayEids()
                                                self.away_eids.parent = self
                                                self.eid_interface = YList()
                                                self.eid_interface.parent = self
                                                self.eid_interface.name = 'eid_interface'
                                                self.site_registration = None


                                            class EidInterface(object):
                                                """
                                                Configures static EID\-to\-RLOC mappings for an ITR
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                                
                                                
                                                ----
                                                .. attribute:: drop
                                                
                                                	Drop packets that match this map\-cache entry
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: etr_interface_ip
                                                
                                                	
                                                	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp>`
                                                
                                                .. attribute:: map_request
                                                
                                                	Send Map\-Request for LISP destination EID
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: native_forward
                                                
                                                	Natively forward packets that match this map\-cache entry
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.eid_prefix = None
                                                    self.drop = None
                                                    self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp()
                                                    self.etr_interface_ip.parent = self
                                                    self.map_request = None
                                                    self.native_forward = None


                                                class EtrInterfaceIp(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: etr_interface_ip_address
                                                    
                                                    	IP address of loopback or other ETR interface
                                                    	**type**\: one of the below types:
                                                    
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    
                                                    ----
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    
                                                    ----
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.etr_interface_ip_address = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.etr_interface_ip_address is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.eid_prefix is None:
                                                        raise YPYModelError('Key property eid_prefix is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.eid_prefix is not None:
                                                        return True

                                                    if self.drop is not None:
                                                        return True

                                                    if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                        return True

                                                    if self.map_request is not None:
                                                        return True

                                                    if self.native_forward is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.EidInterface']['meta_info']


                                            class AwayEids(object):
                                                """
                                                Map cache configuration for the away table
                                                
                                                .. attribute:: send_map_request
                                                
                                                	Export away table entries into the map cache with action set to send\-map\-request
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.send_map_request = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.send_map_request is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache.AwayEids']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.away_eids is not None and self.away_eids._has_data():
                                                    return True

                                                if self.eid_interface is not None:
                                                    for child_ref in self.eid_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.site_registration is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCache']['meta_info']


                                        class MapCachePersistent(object):
                                            """
                                            Dump map\-cache onto flash, making it persistent across reboots
                                            
                                            .. attribute:: interval
                                            
                                            	Interval in minutes of how often the map\-cache is saved
                                            	**type**\:  int
                                            
                                            	**range:** 1..1440
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.interval = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.interval is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.MapCachePersistent']['meta_info']


                                        class ProxyItr(object):
                                            """
                                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                            
                                            .. attribute:: ipv4_addr
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: ipv6_addr
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4_addr = None
                                                self.ipv6_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4_addr is not None:
                                                    return True

                                                if self.ipv6_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.ProxyItr']['meta_info']


                                        class RouteExport(object):
                                            """
                                            Export routes into RIB from LISP
                                            
                                            .. attribute:: away_eids
                                            
                                            	Export LISP away EIDs to RIB
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: site_registrations
                                            
                                            	Export LISP site registrations to RIB
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.away_eids = None
                                                self.site_registrations = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.away_eids is not None:
                                                    return True

                                                if self.site_registrations is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteExport']['meta_info']


                                        class UsePetr(object):
                                            """
                                            Encapsulate to Proxy ETR when matching forward\-native entry
                                            
                                            .. attribute:: locator_address  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	
                                            	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr.Priority>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_address = None
                                                self.priority = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr.Priority()
                                                self.priority.parent = self


                                            class Priority(object):
                                                """
                                                
                                                
                                                .. attribute:: priority_value
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.priority_value = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.priority_value is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr.Priority']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.locator_address is None:
                                                    raise YPYModelError('Key property locator_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_address is not None:
                                                    return True

                                                if self.priority is not None and self.priority._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.UsePetr']['meta_info']


                                        class RouteImport(object):
                                            """
                                            Import RIB routes by a routing protocol into LISP
                                            
                                            .. attribute:: database
                                            
                                            	Use RIB routes to define local EID database entries
                                            	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database>`
                                            
                                            .. attribute:: map_cache
                                            
                                            	Use RIB routes to define EID address space in map\-cache
                                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.database = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database()
                                                self.database.parent = self
                                                self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache()
                                                self.map_cache.parent = self


                                            class Database(object):
                                                """
                                                Use RIB routes to define local EID database entries
                                                
                                                .. attribute:: application
                                                
                                                	Application Protocol
                                                	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application>`
                                                
                                                .. attribute:: bgp
                                                
                                                	Border Gateway Protocol (BGP)
                                                	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp>`
                                                
                                                .. attribute:: connected
                                                
                                                	Connected
                                                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected>`
                                                
                                                .. attribute:: eigrp
                                                
                                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp>`
                                                
                                                .. attribute:: isis
                                                
                                                	ISO IS\-IS
                                                	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis>`
                                                
                                                .. attribute:: maximum_prefix
                                                
                                                	Maximum number of prefixes to pick up from the RIB
                                                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix>`
                                                
                                                .. attribute:: nd
                                                
                                                	Neighbor Discovery
                                                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd>`
                                                
                                                .. attribute:: ospf
                                                
                                                	Open Shortest Path First (OSPF)
                                                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf>`
                                                
                                                .. attribute:: rip
                                                
                                                	Routing Information Protocol (RIP)
                                                	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip>`
                                                
                                                .. attribute:: static
                                                
                                                	Static routes
                                                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.application = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application()
                                                    self.application.parent = self
                                                    self.bgp = YList()
                                                    self.bgp.parent = self
                                                    self.bgp.name = 'bgp'
                                                    self.connected = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected()
                                                    self.connected.parent = self
                                                    self.eigrp = YList()
                                                    self.eigrp.parent = self
                                                    self.eigrp.name = 'eigrp'
                                                    self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis()
                                                    self.isis.parent = self
                                                    self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix()
                                                    self.maximum_prefix.parent = self
                                                    self.nd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd()
                                                    self.nd.parent = self
                                                    self.ospf = YList()
                                                    self.ospf.parent = self
                                                    self.ospf.name = 'ospf'
                                                    self.rip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip()
                                                    self.rip.parent = self
                                                    self.static = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static()
                                                    self.static.parent = self


                                                class Application(object):
                                                    """
                                                    Application Protocol
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Application']['meta_info']


                                                class Bgp(object):
                                                    """
                                                    Border Gateway Protocol (BGP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: one of the below types:
                                                    
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    
                                                    ----
                                                    	**type**\:  str
                                                    
                                                    
                                                    ----
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Bgp']['meta_info']


                                                class Connected(object):
                                                    """
                                                    Connected
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Connected']['meta_info']


                                                class Eigrp(object):
                                                    """
                                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Eigrp']['meta_info']


                                                class Isis(object):
                                                    """
                                                    ISO IS\-IS
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport>`
                                                    
                                                    .. attribute:: process_id
                                                    
                                                    	Process name
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self.process_id = None


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        if self.process_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Isis']['meta_info']


                                                class MaximumPrefix(object):
                                                    """
                                                    Maximum number of prefixes to pick up from the RIB
                                                    
                                                    .. attribute:: number
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    .. attribute:: threshold
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: threshold1
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: warning_only
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: warning_only1
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.number = None
                                                        self.threshold = None
                                                        self.threshold1 = None
                                                        self.warning_only = None
                                                        self.warning_only1 = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.number is not None:
                                                            return True

                                                        if self.threshold is not None:
                                                            return True

                                                        if self.threshold1 is not None:
                                                            return True

                                                        if self.warning_only is not None:
                                                            return True

                                                        if self.warning_only1 is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix']['meta_info']


                                                class Nd(object):
                                                    """
                                                    Neighbor Discovery
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Nd']['meta_info']


                                                class Ospf(object):
                                                    """
                                                    Open Shortest Path First (OSPF)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Ospf']['meta_info']


                                                class Static(object):
                                                    """
                                                    Static routes
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Static']['meta_info']


                                                class Rip(object):
                                                    """
                                                    Routing Information Protocol (RIP)
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database.Rip']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.application is not None and self.application._has_data():
                                                        return True

                                                    if self.bgp is not None:
                                                        for child_ref in self.bgp:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.connected is not None and self.connected._has_data():
                                                        return True

                                                    if self.eigrp is not None:
                                                        for child_ref in self.eigrp:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.isis is not None and self.isis._has_data():
                                                        return True

                                                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                        return True

                                                    if self.nd is not None and self.nd._has_data():
                                                        return True

                                                    if self.ospf is not None:
                                                        for child_ref in self.ospf:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.rip is not None and self.rip._has_data():
                                                        return True

                                                    if self.static is not None and self.static._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.Database']['meta_info']


                                            class MapCache(object):
                                                """
                                                Use RIB routes to define EID address space in map\-cache
                                                
                                                .. attribute:: application
                                                
                                                	Application Protocol
                                                	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: bgp
                                                
                                                	Border Gateway Protocol (BGP)
                                                	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp>`
                                                
                                                .. attribute:: connected
                                                
                                                	Connected
                                                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: eigrp
                                                
                                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp>`
                                                
                                                .. attribute:: isis
                                                
                                                	ISO IS\-IS
                                                	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis>`
                                                
                                                .. attribute:: maximum_prefix
                                                
                                                	Maximum number of prefixes to pick up from the RIB
                                                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix>`
                                                
                                                .. attribute:: nd
                                                
                                                	Neighbour Discovery
                                                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: ospf
                                                
                                                	Open Shortest Path First (OSPF)
                                                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf>`
                                                
                                                .. attribute:: rip
                                                
                                                	Routing Information Protocol (RIP)
                                                	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip>`
                                                
                                                .. attribute:: static
                                                
                                                	Static routes
                                                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.application = None
                                                    self.bgp = YList()
                                                    self.bgp.parent = self
                                                    self.bgp.name = 'bgp'
                                                    self.connected = None
                                                    self.eigrp = YList()
                                                    self.eigrp.parent = self
                                                    self.eigrp.name = 'eigrp'
                                                    self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis()
                                                    self.isis.parent = self
                                                    self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix()
                                                    self.maximum_prefix.parent = self
                                                    self.nd = None
                                                    self.ospf = YList()
                                                    self.ospf.parent = self
                                                    self.ospf.name = 'ospf'
                                                    self.rip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip()
                                                    self.rip.parent = self
                                                    self.static = None


                                                class Application(object):
                                                    """
                                                    Application Protocol
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Application']['meta_info']


                                                class Bgp(object):
                                                    """
                                                    Border Gateway Protocol (BGP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: one of the below types:
                                                    
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    
                                                    ----
                                                    	**type**\:  str
                                                    
                                                    
                                                    ----
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Bgp']['meta_info']


                                                class Connected(object):
                                                    """
                                                    Connected
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Connected']['meta_info']


                                                class Eigrp(object):
                                                    """
                                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp']['meta_info']


                                                class Isis(object):
                                                    """
                                                    ISO IS\-IS
                                                    
                                                    .. attribute:: id
                                                    
                                                    	Process name
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Isis']['meta_info']


                                                class MaximumPrefix(object):
                                                    """
                                                    Maximum number of prefixes to pick up from the RIB
                                                    
                                                    .. attribute:: number
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    .. attribute:: threshold
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: threshold1
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: warning_only
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: warning_only1
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.number = None
                                                        self.threshold = None
                                                        self.threshold1 = None
                                                        self.warning_only = None
                                                        self.warning_only1 = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.number is not None:
                                                            return True

                                                        if self.threshold is not None:
                                                            return True

                                                        if self.threshold1 is not None:
                                                            return True

                                                        if self.warning_only is not None:
                                                            return True

                                                        if self.warning_only1 is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                                class Nd(object):
                                                    """
                                                    Neighbour Discovery
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Nd']['meta_info']


                                                class Ospf(object):
                                                    """
                                                    Open Shortest Path First (OSPF)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Ospf']['meta_info']


                                                class Static(object):
                                                    """
                                                    Static routes
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Static']['meta_info']


                                                class Rip(object):
                                                    """
                                                    Routing Information Protocol (RIP)
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache.Rip']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.application is not None and self.application._has_data():
                                                        return True

                                                    if self.bgp is not None:
                                                        for child_ref in self.bgp:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.connected is not None and self.connected._has_data():
                                                        return True

                                                    if self.eigrp is not None:
                                                        for child_ref in self.eigrp:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.isis is not None and self.isis._has_data():
                                                        return True

                                                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                        return True

                                                    if self.nd is not None and self.nd._has_data():
                                                        return True

                                                    if self.ospf is not None:
                                                        for child_ref in self.ospf:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.rip is not None and self.rip._has_data():
                                                        return True

                                                    if self.static is not None and self.static._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.database is not None and self.database._has_data():
                                                    return True

                                                if self.map_cache is not None and self.map_cache._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.RouteImport']['meta_info']


                                        class DatabaseMapping(object):
                                            """
                                            Configures Locator addresses for an ETR
                                            
                                            .. attribute:: eid_cont
                                            
                                            	
                                            	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont>`
                                            
                                            .. attribute:: limit
                                            
                                            	Configures the maximum size of local EID prefixes database
                                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.Limit>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_cont = YList()
                                                self.eid_cont.parent = self
                                                self.eid_cont.name = 'eid_cont'
                                                self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.Limit()
                                                self.limit.parent = self


                                            class EidCont(object):
                                                """
                                                
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                                
                                                .. attribute:: auto_discover_rlocs
                                                
                                                	
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: ipv4_addrees
                                                
                                                	IPv4 Address of loopback or other ETR interface
                                                	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees>`
                                                
                                                .. attribute:: ipv4_interface
                                                
                                                	
                                                	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface>`
                                                
                                                .. attribute:: ipv6_addrees
                                                
                                                	IPv6 Address of loopback or other ETR interface
                                                	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees>`
                                                
                                                .. attribute:: ipv6_interface
                                                
                                                	
                                                	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface>`
                                                
                                                .. attribute:: locator_set
                                                
                                                	Use locators defined by locator\-set
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.eid_prefix = None
                                                    self.auto_discover_rlocs = None
                                                    self.ipv4_addrees = YList()
                                                    self.ipv4_addrees.parent = self
                                                    self.ipv4_addrees.name = 'ipv4_addrees'
                                                    self.ipv4_interface = YList()
                                                    self.ipv4_interface.parent = self
                                                    self.ipv4_interface.name = 'ipv4_interface'
                                                    self.ipv6_addrees = YList()
                                                    self.ipv6_addrees.parent = self
                                                    self.ipv6_addrees.name = 'ipv6_addrees'
                                                    self.ipv6_interface = YList()
                                                    self.ipv6_interface.parent = self
                                                    self.ipv6_interface.name = 'ipv6_interface'
                                                    self.locator_set = None


                                                class Ipv4Addrees(object):
                                                    """
                                                    IPv4 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.address is None:
                                                            raise YPYModelError('Key property address is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.address is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                                class Ipv6Addrees(object):
                                                    """
                                                    IPv6 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.address is None:
                                                            raise YPYModelError('Key property address is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.address is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                                class Ipv4Interface(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.name = None
                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.name is None:
                                                            raise YPYModelError('Key property name is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.name is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                                class Ipv6Interface(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.name = None
                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.name is None:
                                                            raise YPYModelError('Key property name is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.name is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.eid_prefix is None:
                                                        raise YPYModelError('Key property eid_prefix is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.eid_prefix is not None:
                                                        return True

                                                    if self.auto_discover_rlocs is not None:
                                                        return True

                                                    if self.ipv4_addrees is not None:
                                                        for child_ref in self.ipv4_addrees:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.ipv4_interface is not None:
                                                        for child_ref in self.ipv4_interface:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.ipv6_addrees is not None:
                                                        for child_ref in self.ipv6_addrees:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.ipv6_interface is not None:
                                                        for child_ref in self.ipv6_interface:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.locator_set is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']


                                            class Limit(object):
                                                """
                                                Configures the maximum size of local EID prefixes database
                                                
                                                .. attribute:: dynamic
                                                
                                                	Configures the maximum size of dynamic local EID prefixes database
                                                	**type**\:  int
                                                
                                                	**range:** 1..5000
                                                
                                                .. attribute:: warning_threshold
                                                
                                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.dynamic = None
                                                    self.warning_threshold = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.dynamic is not None:
                                                        return True

                                                    if self.warning_threshold is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping.Limit']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_cont is not None:
                                                    for child_ref in self.eid_cont:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.limit is not None and self.limit._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_.DatabaseMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.alt is not None and self.alt._has_data():
                                                return True

                                            if self.alt_vrf is not None:
                                                return True

                                            if self.database_mapping is not None and self.database_mapping._has_data():
                                                return True

                                            if self.distance is not None and self.distance._has_data():
                                                return True

                                            if self.eid_table is not None and self.eid_table._has_data():
                                                return True

                                            if self.etr is not None and self.etr._has_data():
                                                return True

                                            if self.etr_enable is not None and self.etr_enable._has_data():
                                                return True

                                            if self.itr is not None and self.itr._has_data():
                                                return True

                                            if self.itr_enable is not None and self.itr_enable._has_data():
                                                return True

                                            if self.map_cache is not None and self.map_cache._has_data():
                                                return True

                                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                                return True

                                            if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                                return True

                                            if self.map_request_source is not None:
                                                return True

                                            if self.proxy_etr is not None:
                                                return True

                                            if self.proxy_itr is not None and self.proxy_itr._has_data():
                                                return True

                                            if self.route_export is not None and self.route_export._has_data():
                                                return True

                                            if self.route_import is not None and self.route_import._has_data():
                                                return True

                                            if self.sgt is not None:
                                                return True

                                            if self.site_registration is not None and self.site_registration._has_data():
                                                return True

                                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                                return True

                                            if self.use_petr is not None:
                                                for child_ref in self.use_petr:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Default_']['meta_info']


                                    class EidTable(object):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.default = None
                                            self.vrf = None
                                            self.vrf_name = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.default is not None:
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            if self.vrf_name is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EidTable']['meta_info']


                                    class Itr(object):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.map_resolver = YList()
                                            self.map_resolver.parent = self
                                            self.map_resolver.name = 'map_resolver'


                                        class MapResolver(object):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr.MapResolver']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.map_resolver is not None:
                                                for child_ref in self.map_resolver:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Itr']['meta_info']


                                    class ItrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.itr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.itr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ItrEnable']['meta_info']


                                    class EtrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.EtrEnable']['meta_info']


                                    class Etr(object):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self.map_cache_ttl = None
                                            self.map_server = YList()
                                            self.map_server.parent = self
                                            self.map_server.name = 'map_server'


                                        class MapServer(object):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None
                                                self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self.proxy_reply = None


                                            class Key(object):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self


                                                class KeyPwd(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.hash_function = None
                                                        self.unc_pwd = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.hash_function is not None:
                                                            return True

                                                        if self.unc_pwd is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                class Key0(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_0 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_0 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info']


                                                class Key6(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_6 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_6 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info']


                                                class Key7(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_7 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_7 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.key_0 is not None and self.key_0._has_data():
                                                        return True

                                                    if self.key_6 is not None and self.key_6._has_data():
                                                        return True

                                                    if self.key_7 is not None and self.key_7._has_data():
                                                        return True

                                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer.Key']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                if self.key is not None and self.key._has_data():
                                                    return True

                                                if self.proxy_reply is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.MapServer']['meta_info']


                                        class AcceptMapRequestMapping(object):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_mappping = None
                                                self.verify = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_mappping is not None:
                                                    return True

                                                if self.verify is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                return True

                                            if self.map_cache_ttl is not None:
                                                return True

                                            if self.map_server is not None:
                                                for child_ref in self.map_server:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Etr']['meta_info']


                                    class MapCacheLimit(object):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\:  str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max_map_cache_entries = None
                                            self.reserve_list = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max_map_cache_entries is not None:
                                                return True

                                            if self.reserve_list is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCacheLimit']['meta_info']


                                    class SiteRegistration(object):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.limit = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.limit is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SiteRegistration']['meta_info']


                                    class SolicitMapRequest(object):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\:  int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None
                                            self.max_per_entry = None
                                            self.suppression_time = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            if self.max_per_entry is not None:
                                                return True

                                            if self.suppression_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.SolicitMapRequest']['meta_info']


                                    class Alt(object):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.summary_route = YList()
                                            self.summary_route.parent = self
                                            self.summary_route.name = 'summary_route'


                                        class SummaryRoute(object):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.route_tag = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.route_tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt.SummaryRoute']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.summary_route is not None:
                                                for child_ref in self.summary_route:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Alt']['meta_info']


                                    class Distance(object):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.alt = None
                                            self.away = None
                                            self.dyn_eid = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.alt is not None:
                                                return True

                                            if self.away is not None:
                                                return True

                                            if self.dyn_eid is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.Distance']['meta_info']


                                    class MapCache(object):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.AwayEids>`
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self.eid_interface = YList()
                                            self.eid_interface.parent = self
                                            self.eid_interface.name = 'eid_interface'
                                            self.site_registration = None


                                        class EidInterface(object):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.drop = None
                                                self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self.map_request = None
                                                self.native_forward = None


                                            class EtrInterfaceIp(object):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.etr_interface_ip_address = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.etr_interface_ip_address is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.drop is not None:
                                                    return True

                                                if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                    return True

                                                if self.map_request is not None:
                                                    return True

                                                if self.native_forward is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.EidInterface']['meta_info']


                                        class AwayEids(object):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.send_map_request = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.send_map_request is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache.AwayEids']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None and self.away_eids._has_data():
                                                return True

                                            if self.eid_interface is not None:
                                                for child_ref in self.eid_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.site_registration is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCache']['meta_info']


                                    class MapCachePersistent(object):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\:  int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.interval = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.interval is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.MapCachePersistent']['meta_info']


                                    class ProxyItr(object):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4_addr = None
                                            self.ipv6_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4_addr is not None:
                                                return True

                                            if self.ipv6_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.ProxyItr']['meta_info']


                                    class RouteExport(object):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteExport']['meta_info']


                                    class UsePetr(object):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_address = None
                                            self.priority = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr.Priority()
                                            self.priority.parent = self


                                        class Priority(object):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.priority_value = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.priority_value is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr.Priority']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.locator_address is None:
                                                raise YPYModelError('Key property locator_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_address is not None:
                                                return True

                                            if self.priority is not None and self.priority._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.UsePetr']['meta_info']


                                    class RouteImport(object):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.database = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database()
                                            self.database.parent = self
                                            self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache()
                                            self.map_cache.parent = self


                                        class Database(object):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip()
                                                self.rip.parent = self
                                                self.static = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static()
                                                self.static.parent = self


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self.process_id = None


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    if self.process_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None and self.rip._has_data():
                                                    return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.Database']['meta_info']


                                        class MapCache(object):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = None
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = None
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = None
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip()
                                                self.rip.parent = self
                                                self.static = None


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None and self.rip._has_data():
                                                    return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport.MapCache']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.database is not None and self.database._has_data():
                                                return True

                                            if self.map_cache is not None and self.map_cache._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.RouteImport']['meta_info']


                                    class DatabaseMapping(object):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'
                                            self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.Limit()
                                            self.limit.parent = self


                                        class EidCont(object):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface>`
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.auto_discover_rlocs = None
                                                self.ipv4_addrees = YList()
                                                self.ipv4_addrees.parent = self
                                                self.ipv4_addrees.name = 'ipv4_addrees'
                                                self.ipv4_interface = YList()
                                                self.ipv4_interface.parent = self
                                                self.ipv4_interface.name = 'ipv4_interface'
                                                self.ipv6_addrees = YList()
                                                self.ipv6_addrees.parent = self
                                                self.ipv6_addrees.name = 'ipv6_addrees'
                                                self.ipv6_interface = YList()
                                                self.ipv6_interface.parent = self
                                                self.ipv6_interface.name = 'ipv6_interface'
                                                self.locator_set = None


                                            class Ipv4Addrees(object):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                            class Ipv6Addrees(object):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                            class Ipv4Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                            class Ipv6Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.auto_discover_rlocs is not None:
                                                    return True

                                                if self.ipv4_addrees is not None:
                                                    for child_ref in self.ipv4_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv4_interface is not None:
                                                    for child_ref in self.ipv4_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_addrees is not None:
                                                    for child_ref in self.ipv6_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_interface is not None:
                                                    for child_ref in self.ipv6_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.locator_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']


                                        class Limit(object):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\:  int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dynamic = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dynamic is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping.Limit']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.limit is not None and self.limit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4.DatabaseMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.alt is not None and self.alt._has_data():
                                            return True

                                        if self.alt_vrf is not None:
                                            return True

                                        if self.database_mapping is not None and self.database_mapping._has_data():
                                            return True

                                        if self.default is not None and self.default._has_data():
                                            return True

                                        if self.distance is not None and self.distance._has_data():
                                            return True

                                        if self.eid_table is not None and self.eid_table._has_data():
                                            return True

                                        if self.etr is not None and self.etr._has_data():
                                            return True

                                        if self.etr_enable is not None and self.etr_enable._has_data():
                                            return True

                                        if self.itr is not None and self.itr._has_data():
                                            return True

                                        if self.itr_enable is not None and self.itr_enable._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                            return True

                                        if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                            return True

                                        if self.map_request_source is not None:
                                            return True

                                        if self.proxy_etr is not None:
                                            return True

                                        if self.proxy_itr is not None and self.proxy_itr._has_data():
                                            return True

                                        if self.route_export is not None and self.route_export._has_data():
                                            return True

                                        if self.route_import is not None and self.route_import._has_data():
                                            return True

                                        if self.sgt is not None:
                                            return True

                                        if self.site_registration is not None and self.site_registration._has_data():
                                            return True

                                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                            return True

                                        if self.use_petr is not None:
                                            for child_ref in self.use_petr:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv4']['meta_info']


                                class Ipv6(object):
                                    """
                                    
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\:  str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping>`
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_>`
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Distance>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EidTable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EtrEnable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ItrEnable>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCacheLimit>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCachePersistent>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteExport>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SolicitMapRequest>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.alt = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt()
                                        self.alt.parent = self
                                        self.alt_vrf = None
                                        self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self.default = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_()
                                        self.default.parent = self
                                        self.distance = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Distance()
                                        self.distance.parent = self
                                        self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EidTable()
                                        self.eid_table.parent = self
                                        self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr()
                                        self.etr.parent = self
                                        self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EtrEnable()
                                        self.etr_enable.parent = self
                                        self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr()
                                        self.itr.parent = self
                                        self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ItrEnable()
                                        self.itr_enable.parent = self
                                        self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache()
                                        self.map_cache.parent = self
                                        self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self.map_cache_persistent = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self.map_request_source = None
                                        self.proxy_etr = None
                                        self.proxy_itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self.route_export = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteExport()
                                        self.route_export.parent = self
                                        self.route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport()
                                        self.route_import.parent = self
                                        self.sgt = None
                                        self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SiteRegistration()
                                        self.site_registration.parent = self
                                        self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self.use_petr = YList()
                                        self.use_petr.parent = self
                                        self.use_petr.name = 'use_petr'


                                    class Default_(object):
                                        """
                                        
                                        
                                        .. attribute:: alt
                                        
                                        	LISP Alternative Topology, LISP\-ALT
                                        	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt>`
                                        
                                        .. attribute:: alt_vrf
                                        
                                        	Activate LISP\-ALT functionality in VRF
                                        	**type**\:  str
                                        
                                        	**status**\: deprecated
                                        
                                        .. attribute:: database_mapping
                                        
                                        	Configures Locator addresses for an ETR
                                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping>`
                                        
                                        .. attribute:: distance
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Distance>`
                                        
                                        .. attribute:: eid_table
                                        
                                        	Bind an eid\-table
                                        	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EidTable>`
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr>`
                                        
                                        .. attribute:: etr_enable
                                        
                                        	
                                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EtrEnable>`
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr>`
                                        
                                        .. attribute:: itr_enable
                                        
                                        	
                                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ItrEnable>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Address family specific map cache configuration
                                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache>`
                                        
                                        .. attribute:: map_cache_limit
                                        
                                        	Configures maximum size of map\-cache
                                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCacheLimit>`
                                        
                                        .. attribute:: map_cache_persistent
                                        
                                        	Dump map\-cache onto flash, making it persistent across reboots
                                        	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCachePersistent>`
                                        
                                        .. attribute:: map_request_source
                                        
                                        	Configures inner header source address in Map\-Request message
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: proxy_etr
                                        
                                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: proxy_itr
                                        
                                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ProxyItr>`
                                        
                                        .. attribute:: route_export
                                        
                                        	Export routes into RIB from LISP
                                        	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteExport>`
                                        
                                        .. attribute:: route_import
                                        
                                        	Import RIB routes by a routing protocol into LISP
                                        	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport>`
                                        
                                        .. attribute:: sgt
                                        
                                        	Enable security group tag propagation in LISP encapsulated traffic
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Site registrations configuration for a given instance\-id
                                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SiteRegistration>`
                                        
                                        .. attribute:: solicit_map_request
                                        
                                        	Configure Solicit\-Map\-Request handling
                                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SolicitMapRequest>`
                                        
                                        .. attribute:: use_petr
                                        
                                        	Encapsulate to Proxy ETR when matching forward\-native entry
                                        	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.alt = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt()
                                            self.alt.parent = self
                                            self.alt_vrf = None
                                            self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping()
                                            self.database_mapping.parent = self
                                            self.distance = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Distance()
                                            self.distance.parent = self
                                            self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EidTable()
                                            self.eid_table.parent = self
                                            self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr()
                                            self.etr.parent = self
                                            self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EtrEnable()
                                            self.etr_enable.parent = self
                                            self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr()
                                            self.itr.parent = self
                                            self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ItrEnable()
                                            self.itr_enable.parent = self
                                            self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache()
                                            self.map_cache.parent = self
                                            self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCacheLimit()
                                            self.map_cache_limit.parent = self
                                            self.map_cache_persistent = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCachePersistent()
                                            self.map_cache_persistent.parent = self
                                            self.map_request_source = None
                                            self.proxy_etr = None
                                            self.proxy_itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ProxyItr()
                                            self.proxy_itr.parent = self
                                            self.route_export = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteExport()
                                            self.route_export.parent = self
                                            self.route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport()
                                            self.route_import.parent = self
                                            self.sgt = None
                                            self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SiteRegistration()
                                            self.site_registration.parent = self
                                            self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SolicitMapRequest()
                                            self.solicit_map_request.parent = self
                                            self.use_petr = YList()
                                            self.use_petr.parent = self
                                            self.use_petr.name = 'use_petr'


                                        class EidTable(object):
                                            """
                                            Bind an eid\-table
                                            
                                            .. attribute:: default
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: vrf
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: vrf_name
                                            
                                            	
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.default = None
                                                self.vrf = None
                                                self.vrf_name = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.default is not None:
                                                    return True

                                                if self.vrf is not None:
                                                    return True

                                                if self.vrf_name is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EidTable']['meta_info']


                                        class Itr(object):
                                            """
                                            Configures a LISP Ingress Tunnel Router (ITR)
                                            
                                            .. attribute:: map_resolver
                                            
                                            	Configures map\-resolver address for sending Map\-Requests
                                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr.MapResolver>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.map_resolver = YList()
                                                self.map_resolver.parent = self
                                                self.map_resolver.name = 'map_resolver'


                                            class MapResolver(object):
                                                """
                                                Configures map\-resolver address for sending Map\-Requests
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ip_addr = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.ip_addr is None:
                                                        raise YPYModelError('Key property ip_addr is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ip_addr is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr.MapResolver']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.map_resolver is not None:
                                                    for child_ref in self.map_resolver:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Itr']['meta_info']


                                        class ItrEnable(object):
                                            """
                                            
                                            
                                            .. attribute:: itr
                                            
                                            	Configures a LISP Ingress Tunnel Router (ITR)
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.itr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.itr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ItrEnable']['meta_info']


                                        class EtrEnable(object):
                                            """
                                            
                                            
                                            .. attribute:: etr
                                            
                                            	Configures a LISP Egress Tunnel Router (ETR)
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.EtrEnable']['meta_info']


                                        class Etr(object):
                                            """
                                            Configures a LISP Egress Tunnel Router (ETR)
                                            
                                            .. attribute:: accept_map_request_mapping
                                            
                                            	
                                            	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping>`
                                            
                                            .. attribute:: map_cache_ttl
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 60..10080
                                            
                                            .. attribute:: map_server
                                            
                                            	Configures map server for ETR registration
                                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping()
                                                self.accept_map_request_mapping.parent = self
                                                self.map_cache_ttl = None
                                                self.map_server = YList()
                                                self.map_server.parent = self
                                                self.map_server.name = 'map_server'


                                            class MapServer(object):
                                                """
                                                Configures map server for ETR registration
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: key
                                                
                                                	Authentication key used with map server
                                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key>`
                                                
                                                .. attribute:: proxy_reply
                                                
                                                	Request Map\-Server to send Map\-Replies on behalf of site
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ip_addr = None
                                                    self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key()
                                                    self.key.parent = self
                                                    self.proxy_reply = None


                                                class Key(object):
                                                    """
                                                    Authentication key used with map server
                                                    
                                                    .. attribute:: key_0
                                                    
                                                    	
                                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0>`
                                                    
                                                    .. attribute:: key_6
                                                    
                                                    	
                                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6>`
                                                    
                                                    .. attribute:: key_7
                                                    
                                                    	
                                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7>`
                                                    
                                                    .. attribute:: key_pwd
                                                    
                                                    	
                                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0()
                                                        self.key_0.parent = self
                                                        self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6()
                                                        self.key_6.parent = self
                                                        self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7()
                                                        self.key_7.parent = self
                                                        self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd()
                                                        self.key_pwd.parent = self


                                                    class KeyPwd(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                        
                                                        .. attribute:: unc_pwd
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.hash_function = None
                                                            self.unc_pwd = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.hash_function is not None:
                                                                return True

                                                            if self.unc_pwd is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                    class Key0(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_0
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.ak_0 = None
                                                            self.hash_function = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.ak_0 is not None:
                                                                return True

                                                            if self.hash_function is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                                    class Key6(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_6
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.ak_6 = None
                                                            self.hash_function = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.ak_6 is not None:
                                                                return True

                                                            if self.hash_function is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                                    class Key7(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_7
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.ak_7 = None
                                                            self.hash_function = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.ak_7 is not None:
                                                                return True

                                                            if self.hash_function is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.key_0 is not None and self.key_0._has_data():
                                                            return True

                                                        if self.key_6 is not None and self.key_6._has_data():
                                                            return True

                                                        if self.key_7 is not None and self.key_7._has_data():
                                                            return True

                                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.ip_addr is None:
                                                        raise YPYModelError('Key property ip_addr is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ip_addr is not None:
                                                        return True

                                                    if self.key is not None and self.key._has_data():
                                                        return True

                                                    if self.proxy_reply is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.MapServer']['meta_info']


                                            class AcceptMapRequestMapping(object):
                                                """
                                                
                                                
                                                .. attribute:: accept_mappping
                                                
                                                	
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: verify
                                                
                                                	
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.accept_mappping = None
                                                    self.verify = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.accept_mappping is not None:
                                                        return True

                                                    if self.verify is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                    return True

                                                if self.map_cache_ttl is not None:
                                                    return True

                                                if self.map_server is not None:
                                                    for child_ref in self.map_server:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Etr']['meta_info']


                                        class MapCacheLimit(object):
                                            """
                                            Configures maximum size of map\-cache
                                            
                                            .. attribute:: max_map_cache_entries
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..100000
                                            
                                            .. attribute:: reserve_list
                                            
                                            	EID\-prefixes guaranteed to be stored in map\-cache
                                            	**type**\:  str
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.max_map_cache_entries = None
                                                self.reserve_list = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.max_map_cache_entries is not None:
                                                    return True

                                                if self.reserve_list is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCacheLimit']['meta_info']


                                        class SiteRegistration(object):
                                            """
                                            Site registrations configuration for a given instance\-id
                                            
                                            .. attribute:: limit
                                            
                                            	Maximum number of site registrations
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Warning threshold to issue system logging
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.limit = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.limit is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SiteRegistration']['meta_info']


                                        class SolicitMapRequest(object):
                                            """
                                            Configure Solicit\-Map\-Request handling
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore SMR bit in incoming Map\-Requests
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: max_per_entry
                                            
                                            	Maximum number of SMRs for addresses under a map\-cache entry
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: suppression_time
                                            
                                            	How long to suppress repeated SMRs for the same address
                                            	**type**\:  int
                                            
                                            	**range:** 1..600
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ignore = None
                                                self.max_per_entry = None
                                                self.suppression_time = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ignore is not None:
                                                    return True

                                                if self.max_per_entry is not None:
                                                    return True

                                                if self.suppression_time is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.SolicitMapRequest']['meta_info']


                                        class Alt(object):
                                            """
                                            LISP Alternative Topology, LISP\-ALT
                                            
                                            .. attribute:: summary_route
                                            
                                            	Summary route to install into the ALT table
                                            	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt.SummaryRoute>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.summary_route = YList()
                                                self.summary_route.parent = self
                                                self.summary_route.name = 'summary_route'


                                            class SummaryRoute(object):
                                                """
                                                Summary route to install into the ALT table
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                                
                                                
                                                ----
                                                .. attribute:: route_tag
                                                
                                                	ALT RIB route tag for EID prefix
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.eid_prefix = None
                                                    self.route_tag = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.eid_prefix is None:
                                                        raise YPYModelError('Key property eid_prefix is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.eid_prefix is not None:
                                                        return True

                                                    if self.route_tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt.SummaryRoute']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.summary_route is not None:
                                                    for child_ref in self.summary_route:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Alt']['meta_info']


                                        class Distance(object):
                                            """
                                            Administrative distance for RIB route installation
                                            
                                            .. attribute:: alt
                                            
                                            	LISP routes installed in the ALT table
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: away
                                            
                                            	Administrative distance for RIB route installation
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: dyn_eid
                                            
                                            	LISP installed routes of type dynamic\-EID
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: site_registrations
                                            
                                            	LISP installed routes of type site\-registrations
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.alt = None
                                                self.away = None
                                                self.dyn_eid = None
                                                self.site_registrations = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.alt is not None:
                                                    return True

                                                if self.away is not None:
                                                    return True

                                                if self.dyn_eid is not None:
                                                    return True

                                                if self.site_registrations is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.Distance']['meta_info']


                                        class MapCache(object):
                                            """
                                            Address family specific map cache configuration
                                            
                                            .. attribute:: away_eids
                                            
                                            	Map cache configuration for the away table
                                            	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.AwayEids>`
                                            
                                            .. attribute:: eid_interface
                                            
                                            	Configures static EID\-to\-RLOC mappings for an ITR
                                            	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface>`
                                            
                                            .. attribute:: site_registration
                                            
                                            	Install map cache to map request for site registrations
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.away_eids = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.AwayEids()
                                                self.away_eids.parent = self
                                                self.eid_interface = YList()
                                                self.eid_interface.parent = self
                                                self.eid_interface.name = 'eid_interface'
                                                self.site_registration = None


                                            class EidInterface(object):
                                                """
                                                Configures static EID\-to\-RLOC mappings for an ITR
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                                
                                                
                                                ----
                                                .. attribute:: drop
                                                
                                                	Drop packets that match this map\-cache entry
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: etr_interface_ip
                                                
                                                	
                                                	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp>`
                                                
                                                .. attribute:: map_request
                                                
                                                	Send Map\-Request for LISP destination EID
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: native_forward
                                                
                                                	Natively forward packets that match this map\-cache entry
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.eid_prefix = None
                                                    self.drop = None
                                                    self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp()
                                                    self.etr_interface_ip.parent = self
                                                    self.map_request = None
                                                    self.native_forward = None


                                                class EtrInterfaceIp(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: etr_interface_ip_address
                                                    
                                                    	IP address of loopback or other ETR interface
                                                    	**type**\: one of the below types:
                                                    
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    
                                                    ----
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    
                                                    ----
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.etr_interface_ip_address = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.etr_interface_ip_address is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.eid_prefix is None:
                                                        raise YPYModelError('Key property eid_prefix is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.eid_prefix is not None:
                                                        return True

                                                    if self.drop is not None:
                                                        return True

                                                    if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                        return True

                                                    if self.map_request is not None:
                                                        return True

                                                    if self.native_forward is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.EidInterface']['meta_info']


                                            class AwayEids(object):
                                                """
                                                Map cache configuration for the away table
                                                
                                                .. attribute:: send_map_request
                                                
                                                	Export away table entries into the map cache with action set to send\-map\-request
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.send_map_request = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.send_map_request is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache.AwayEids']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.away_eids is not None and self.away_eids._has_data():
                                                    return True

                                                if self.eid_interface is not None:
                                                    for child_ref in self.eid_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.site_registration is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCache']['meta_info']


                                        class MapCachePersistent(object):
                                            """
                                            Dump map\-cache onto flash, making it persistent across reboots
                                            
                                            .. attribute:: interval
                                            
                                            	Interval in minutes of how often the map\-cache is saved
                                            	**type**\:  int
                                            
                                            	**range:** 1..1440
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.interval = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.interval is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.MapCachePersistent']['meta_info']


                                        class ProxyItr(object):
                                            """
                                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                            
                                            .. attribute:: ipv4_addr
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: ipv6_addr
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4_addr = None
                                                self.ipv6_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4_addr is not None:
                                                    return True

                                                if self.ipv6_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.ProxyItr']['meta_info']


                                        class RouteExport(object):
                                            """
                                            Export routes into RIB from LISP
                                            
                                            .. attribute:: away_eids
                                            
                                            	Export LISP away EIDs to RIB
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: site_registrations
                                            
                                            	Export LISP site registrations to RIB
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.away_eids = None
                                                self.site_registrations = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.away_eids is not None:
                                                    return True

                                                if self.site_registrations is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteExport']['meta_info']


                                        class UsePetr(object):
                                            """
                                            Encapsulate to Proxy ETR when matching forward\-native entry
                                            
                                            .. attribute:: locator_address  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	
                                            	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr.Priority>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_address = None
                                                self.priority = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr.Priority()
                                                self.priority.parent = self


                                            class Priority(object):
                                                """
                                                
                                                
                                                .. attribute:: priority_value
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.priority_value = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.priority_value is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr.Priority']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.locator_address is None:
                                                    raise YPYModelError('Key property locator_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_address is not None:
                                                    return True

                                                if self.priority is not None and self.priority._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.UsePetr']['meta_info']


                                        class RouteImport(object):
                                            """
                                            Import RIB routes by a routing protocol into LISP
                                            
                                            .. attribute:: database
                                            
                                            	Use RIB routes to define local EID database entries
                                            	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database>`
                                            
                                            .. attribute:: map_cache
                                            
                                            	Use RIB routes to define EID address space in map\-cache
                                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.database = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database()
                                                self.database.parent = self
                                                self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache()
                                                self.map_cache.parent = self


                                            class Database(object):
                                                """
                                                Use RIB routes to define local EID database entries
                                                
                                                .. attribute:: application
                                                
                                                	Application Protocol
                                                	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application>`
                                                
                                                .. attribute:: bgp
                                                
                                                	Border Gateway Protocol (BGP)
                                                	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp>`
                                                
                                                .. attribute:: connected
                                                
                                                	Connected
                                                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected>`
                                                
                                                .. attribute:: eigrp
                                                
                                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp>`
                                                
                                                .. attribute:: isis
                                                
                                                	ISO IS\-IS
                                                	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis>`
                                                
                                                .. attribute:: maximum_prefix
                                                
                                                	Maximum number of prefixes to pick up from the RIB
                                                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix>`
                                                
                                                .. attribute:: nd
                                                
                                                	Neighbor Discovery
                                                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd>`
                                                
                                                .. attribute:: ospf
                                                
                                                	Open Shortest Path First (OSPF)
                                                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf>`
                                                
                                                .. attribute:: rip
                                                
                                                	Routing Information Protocol (RIP)
                                                	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip>`
                                                
                                                .. attribute:: static
                                                
                                                	Static routes
                                                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.application = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application()
                                                    self.application.parent = self
                                                    self.bgp = YList()
                                                    self.bgp.parent = self
                                                    self.bgp.name = 'bgp'
                                                    self.connected = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected()
                                                    self.connected.parent = self
                                                    self.eigrp = YList()
                                                    self.eigrp.parent = self
                                                    self.eigrp.name = 'eigrp'
                                                    self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis()
                                                    self.isis.parent = self
                                                    self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix()
                                                    self.maximum_prefix.parent = self
                                                    self.nd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd()
                                                    self.nd.parent = self
                                                    self.ospf = YList()
                                                    self.ospf.parent = self
                                                    self.ospf.name = 'ospf'
                                                    self.rip = YList()
                                                    self.rip.parent = self
                                                    self.rip.name = 'rip'
                                                    self.static = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static()
                                                    self.static.parent = self


                                                class Application(object):
                                                    """
                                                    Application Protocol
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Application']['meta_info']


                                                class Bgp(object):
                                                    """
                                                    Border Gateway Protocol (BGP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: one of the below types:
                                                    
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    
                                                    ----
                                                    	**type**\:  str
                                                    
                                                    
                                                    ----
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Bgp']['meta_info']


                                                class Connected(object):
                                                    """
                                                    Connected
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Connected']['meta_info']


                                                class Eigrp(object):
                                                    """
                                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Eigrp']['meta_info']


                                                class Isis(object):
                                                    """
                                                    ISO IS\-IS
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport>`
                                                    
                                                    .. attribute:: process_id
                                                    
                                                    	Process name
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self.process_id = None


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        if self.process_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Isis']['meta_info']


                                                class MaximumPrefix(object):
                                                    """
                                                    Maximum number of prefixes to pick up from the RIB
                                                    
                                                    .. attribute:: number
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    .. attribute:: threshold
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: threshold1
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: warning_only
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: warning_only1
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.number = None
                                                        self.threshold = None
                                                        self.threshold1 = None
                                                        self.warning_only = None
                                                        self.warning_only1 = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.number is not None:
                                                            return True

                                                        if self.threshold is not None:
                                                            return True

                                                        if self.threshold1 is not None:
                                                            return True

                                                        if self.warning_only is not None:
                                                            return True

                                                        if self.warning_only1 is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix']['meta_info']


                                                class Nd(object):
                                                    """
                                                    Neighbor Discovery
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Nd']['meta_info']


                                                class Ospf(object):
                                                    """
                                                    Open Shortest Path First (OSPF)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Ospf']['meta_info']


                                                class Static(object):
                                                    """
                                                    Static routes
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Static']['meta_info']


                                                class Rip(object):
                                                    """
                                                    Routing Information Protocol (RIP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	User selected string identifying this process
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self


                                                    class LispIpRouteImport(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.locator_set = None
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.locator_set is not None:
                                                                return True

                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database.Rip']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.application is not None and self.application._has_data():
                                                        return True

                                                    if self.bgp is not None:
                                                        for child_ref in self.bgp:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.connected is not None and self.connected._has_data():
                                                        return True

                                                    if self.eigrp is not None:
                                                        for child_ref in self.eigrp:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.isis is not None and self.isis._has_data():
                                                        return True

                                                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                        return True

                                                    if self.nd is not None and self.nd._has_data():
                                                        return True

                                                    if self.ospf is not None:
                                                        for child_ref in self.ospf:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.rip is not None:
                                                        for child_ref in self.rip:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.static is not None and self.static._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.Database']['meta_info']


                                            class MapCache(object):
                                                """
                                                Use RIB routes to define EID address space in map\-cache
                                                
                                                .. attribute:: application
                                                
                                                	Application Protocol
                                                	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: bgp
                                                
                                                	Border Gateway Protocol (BGP)
                                                	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp>`
                                                
                                                .. attribute:: connected
                                                
                                                	Connected
                                                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: eigrp
                                                
                                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp>`
                                                
                                                .. attribute:: isis
                                                
                                                	ISO IS\-IS
                                                	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis>`
                                                
                                                .. attribute:: maximum_prefix
                                                
                                                	Maximum number of prefixes to pick up from the RIB
                                                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix>`
                                                
                                                .. attribute:: nd
                                                
                                                	Neighbour Discovery
                                                	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: ospf
                                                
                                                	Open Shortest Path First (OSPF)
                                                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf>`
                                                
                                                .. attribute:: rip
                                                
                                                	Routing Information Protocol (RIP)
                                                	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip>`
                                                
                                                .. attribute:: static
                                                
                                                	Static routes
                                                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.application = None
                                                    self.bgp = YList()
                                                    self.bgp.parent = self
                                                    self.bgp.name = 'bgp'
                                                    self.connected = None
                                                    self.eigrp = YList()
                                                    self.eigrp.parent = self
                                                    self.eigrp.name = 'eigrp'
                                                    self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis()
                                                    self.isis.parent = self
                                                    self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix()
                                                    self.maximum_prefix.parent = self
                                                    self.nd = None
                                                    self.ospf = YList()
                                                    self.ospf.parent = self
                                                    self.ospf.name = 'ospf'
                                                    self.rip = YList()
                                                    self.rip.parent = self
                                                    self.rip.name = 'rip'
                                                    self.static = None


                                                class Application(object):
                                                    """
                                                    Application Protocol
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Application']['meta_info']


                                                class Bgp(object):
                                                    """
                                                    Border Gateway Protocol (BGP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: one of the below types:
                                                    
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    
                                                    ----
                                                    	**type**\:  str
                                                    
                                                    
                                                    ----
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Bgp']['meta_info']


                                                class Connected(object):
                                                    """
                                                    Connected
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Connected']['meta_info']


                                                class Eigrp(object):
                                                    """
                                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp']['meta_info']


                                                class Isis(object):
                                                    """
                                                    ISO IS\-IS
                                                    
                                                    .. attribute:: id
                                                    
                                                    	Process name
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Isis']['meta_info']


                                                class MaximumPrefix(object):
                                                    """
                                                    Maximum number of prefixes to pick up from the RIB
                                                    
                                                    .. attribute:: number
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    .. attribute:: threshold
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: threshold1
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: warning_only
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: warning_only1
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.number = None
                                                        self.threshold = None
                                                        self.threshold1 = None
                                                        self.warning_only = None
                                                        self.warning_only1 = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.number is not None:
                                                            return True

                                                        if self.threshold is not None:
                                                            return True

                                                        if self.threshold1 is not None:
                                                            return True

                                                        if self.warning_only is not None:
                                                            return True

                                                        if self.warning_only1 is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                                class Nd(object):
                                                    """
                                                    Neighbour Discovery
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Nd']['meta_info']


                                                class Ospf(object):
                                                    """
                                                    Open Shortest Path First (OSPF)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\:  int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Ospf']['meta_info']


                                                class Static(object):
                                                    """
                                                    Static routes
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Static']['meta_info']


                                                class Rip(object):
                                                    """
                                                    Routing Information Protocol (RIP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	User selected string identifying this process
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.id = None
                                                        self.map_cache_container = None


                                                    class MapCacheContainer(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: _is_presence
                                                        
                                                        	Is present if this instance represents presence container else not
                                                        	**type**\: bool
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self._is_presence = True
                                                            self.route_map = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self._is_presence:
                                                                return True
                                                            if self.route_map is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.id is None:
                                                            raise YPYModelError('Key property id is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.id is not None:
                                                            return True

                                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache.Rip']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.application is not None and self.application._has_data():
                                                        return True

                                                    if self.bgp is not None:
                                                        for child_ref in self.bgp:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.connected is not None and self.connected._has_data():
                                                        return True

                                                    if self.eigrp is not None:
                                                        for child_ref in self.eigrp:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.isis is not None and self.isis._has_data():
                                                        return True

                                                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                        return True

                                                    if self.nd is not None and self.nd._has_data():
                                                        return True

                                                    if self.ospf is not None:
                                                        for child_ref in self.ospf:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.rip is not None:
                                                        for child_ref in self.rip:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.static is not None and self.static._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.database is not None and self.database._has_data():
                                                    return True

                                                if self.map_cache is not None and self.map_cache._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.RouteImport']['meta_info']


                                        class DatabaseMapping(object):
                                            """
                                            Configures Locator addresses for an ETR
                                            
                                            .. attribute:: eid_cont
                                            
                                            	
                                            	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont>`
                                            
                                            .. attribute:: limit
                                            
                                            	Configures the maximum size of local EID prefixes database
                                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.Limit>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_cont = YList()
                                                self.eid_cont.parent = self
                                                self.eid_cont.name = 'eid_cont'
                                                self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.Limit()
                                                self.limit.parent = self


                                            class EidCont(object):
                                                """
                                                
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                                
                                                .. attribute:: auto_discover_rlocs
                                                
                                                	
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: ipv4_addrees
                                                
                                                	IPv4 Address of loopback or other ETR interface
                                                	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees>`
                                                
                                                .. attribute:: ipv4_interface
                                                
                                                	
                                                	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface>`
                                                
                                                .. attribute:: ipv6_addrees
                                                
                                                	IPv6 Address of loopback or other ETR interface
                                                	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees>`
                                                
                                                .. attribute:: ipv6_interface
                                                
                                                	
                                                	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface>`
                                                
                                                .. attribute:: locator_set
                                                
                                                	Use locators defined by locator\-set
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.eid_prefix = None
                                                    self.auto_discover_rlocs = None
                                                    self.ipv4_addrees = YList()
                                                    self.ipv4_addrees.parent = self
                                                    self.ipv4_addrees.name = 'ipv4_addrees'
                                                    self.ipv4_interface = YList()
                                                    self.ipv4_interface.parent = self
                                                    self.ipv4_interface.name = 'ipv4_interface'
                                                    self.ipv6_addrees = YList()
                                                    self.ipv6_addrees.parent = self
                                                    self.ipv6_addrees.name = 'ipv6_addrees'
                                                    self.ipv6_interface = YList()
                                                    self.ipv6_interface.parent = self
                                                    self.ipv6_interface.name = 'ipv6_interface'
                                                    self.locator_set = None


                                                class Ipv4Addrees(object):
                                                    """
                                                    IPv4 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.address is None:
                                                            raise YPYModelError('Key property address is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.address is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                                class Ipv6Addrees(object):
                                                    """
                                                    IPv6 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.address is None:
                                                            raise YPYModelError('Key property address is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.address is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                                class Ipv4Interface(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.name = None
                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.name is None:
                                                            raise YPYModelError('Key property name is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.name is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                                class Ipv6Interface(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.name = None
                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.name is None:
                                                            raise YPYModelError('Key property name is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.name is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.eid_prefix is None:
                                                        raise YPYModelError('Key property eid_prefix is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.eid_prefix is not None:
                                                        return True

                                                    if self.auto_discover_rlocs is not None:
                                                        return True

                                                    if self.ipv4_addrees is not None:
                                                        for child_ref in self.ipv4_addrees:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.ipv4_interface is not None:
                                                        for child_ref in self.ipv4_interface:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.ipv6_addrees is not None:
                                                        for child_ref in self.ipv6_addrees:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.ipv6_interface is not None:
                                                        for child_ref in self.ipv6_interface:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.locator_set is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']


                                            class Limit(object):
                                                """
                                                Configures the maximum size of local EID prefixes database
                                                
                                                .. attribute:: dynamic
                                                
                                                	Configures the maximum size of dynamic local EID prefixes database
                                                	**type**\:  int
                                                
                                                	**range:** 1..5000
                                                
                                                .. attribute:: warning_threshold
                                                
                                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.dynamic = None
                                                    self.warning_threshold = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.dynamic is not None:
                                                        return True

                                                    if self.warning_threshold is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping.Limit']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_cont is not None:
                                                    for child_ref in self.eid_cont:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.limit is not None and self.limit._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_.DatabaseMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.alt is not None and self.alt._has_data():
                                                return True

                                            if self.alt_vrf is not None:
                                                return True

                                            if self.database_mapping is not None and self.database_mapping._has_data():
                                                return True

                                            if self.distance is not None and self.distance._has_data():
                                                return True

                                            if self.eid_table is not None and self.eid_table._has_data():
                                                return True

                                            if self.etr is not None and self.etr._has_data():
                                                return True

                                            if self.etr_enable is not None and self.etr_enable._has_data():
                                                return True

                                            if self.itr is not None and self.itr._has_data():
                                                return True

                                            if self.itr_enable is not None and self.itr_enable._has_data():
                                                return True

                                            if self.map_cache is not None and self.map_cache._has_data():
                                                return True

                                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                                return True

                                            if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                                return True

                                            if self.map_request_source is not None:
                                                return True

                                            if self.proxy_etr is not None:
                                                return True

                                            if self.proxy_itr is not None and self.proxy_itr._has_data():
                                                return True

                                            if self.route_export is not None and self.route_export._has_data():
                                                return True

                                            if self.route_import is not None and self.route_import._has_data():
                                                return True

                                            if self.sgt is not None:
                                                return True

                                            if self.site_registration is not None and self.site_registration._has_data():
                                                return True

                                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                                return True

                                            if self.use_petr is not None:
                                                for child_ref in self.use_petr:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Default_']['meta_info']


                                    class EidTable(object):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.default = None
                                            self.vrf = None
                                            self.vrf_name = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.default is not None:
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            if self.vrf_name is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EidTable']['meta_info']


                                    class Itr(object):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.map_resolver = YList()
                                            self.map_resolver.parent = self
                                            self.map_resolver.name = 'map_resolver'


                                        class MapResolver(object):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr.MapResolver']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.map_resolver is not None:
                                                for child_ref in self.map_resolver:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Itr']['meta_info']


                                    class ItrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.itr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.itr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ItrEnable']['meta_info']


                                    class EtrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.EtrEnable']['meta_info']


                                    class Etr(object):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self.map_cache_ttl = None
                                            self.map_server = YList()
                                            self.map_server.parent = self
                                            self.map_server.name = 'map_server'


                                        class MapServer(object):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None
                                                self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self.proxy_reply = None


                                            class Key(object):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self


                                                class KeyPwd(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.hash_function = None
                                                        self.unc_pwd = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.hash_function is not None:
                                                            return True

                                                        if self.unc_pwd is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                class Key0(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_0 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_0 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info']


                                                class Key6(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_6 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_6 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info']


                                                class Key7(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_7 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_7 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.key_0 is not None and self.key_0._has_data():
                                                        return True

                                                    if self.key_6 is not None and self.key_6._has_data():
                                                        return True

                                                    if self.key_7 is not None and self.key_7._has_data():
                                                        return True

                                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer.Key']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                if self.key is not None and self.key._has_data():
                                                    return True

                                                if self.proxy_reply is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.MapServer']['meta_info']


                                        class AcceptMapRequestMapping(object):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_mappping = None
                                                self.verify = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_mappping is not None:
                                                    return True

                                                if self.verify is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                return True

                                            if self.map_cache_ttl is not None:
                                                return True

                                            if self.map_server is not None:
                                                for child_ref in self.map_server:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Etr']['meta_info']


                                    class MapCacheLimit(object):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\:  str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max_map_cache_entries = None
                                            self.reserve_list = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max_map_cache_entries is not None:
                                                return True

                                            if self.reserve_list is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCacheLimit']['meta_info']


                                    class SiteRegistration(object):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.limit = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.limit is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SiteRegistration']['meta_info']


                                    class SolicitMapRequest(object):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\:  int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None
                                            self.max_per_entry = None
                                            self.suppression_time = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            if self.max_per_entry is not None:
                                                return True

                                            if self.suppression_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.SolicitMapRequest']['meta_info']


                                    class Alt(object):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.summary_route = YList()
                                            self.summary_route.parent = self
                                            self.summary_route.name = 'summary_route'


                                        class SummaryRoute(object):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.route_tag = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.route_tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt.SummaryRoute']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.summary_route is not None:
                                                for child_ref in self.summary_route:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Alt']['meta_info']


                                    class Distance(object):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.alt = None
                                            self.away = None
                                            self.dyn_eid = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.alt is not None:
                                                return True

                                            if self.away is not None:
                                                return True

                                            if self.dyn_eid is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.Distance']['meta_info']


                                    class MapCache(object):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.AwayEids>`
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self.eid_interface = YList()
                                            self.eid_interface.parent = self
                                            self.eid_interface.name = 'eid_interface'
                                            self.site_registration = None


                                        class EidInterface(object):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.drop = None
                                                self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self.map_request = None
                                                self.native_forward = None


                                            class EtrInterfaceIp(object):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.etr_interface_ip_address = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.etr_interface_ip_address is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.drop is not None:
                                                    return True

                                                if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                    return True

                                                if self.map_request is not None:
                                                    return True

                                                if self.native_forward is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.EidInterface']['meta_info']


                                        class AwayEids(object):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.send_map_request = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.send_map_request is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache.AwayEids']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None and self.away_eids._has_data():
                                                return True

                                            if self.eid_interface is not None:
                                                for child_ref in self.eid_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.site_registration is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCache']['meta_info']


                                    class MapCachePersistent(object):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\:  int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.interval = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.interval is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.MapCachePersistent']['meta_info']


                                    class ProxyItr(object):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4_addr = None
                                            self.ipv6_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4_addr is not None:
                                                return True

                                            if self.ipv6_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.ProxyItr']['meta_info']


                                    class RouteExport(object):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteExport']['meta_info']


                                    class UsePetr(object):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_address = None
                                            self.priority = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr.Priority()
                                            self.priority.parent = self


                                        class Priority(object):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.priority_value = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.priority_value is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr.Priority']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.locator_address is None:
                                                raise YPYModelError('Key property locator_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_address is not None:
                                                return True

                                            if self.priority is not None and self.priority._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.UsePetr']['meta_info']


                                    class RouteImport(object):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.database = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database()
                                            self.database.parent = self
                                            self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache()
                                            self.map_cache.parent = self


                                        class Database(object):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = YList()
                                                self.rip.parent = self
                                                self.rip.name = 'rip'
                                                self.static = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static()
                                                self.static.parent = self


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self.process_id = None


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    if self.process_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\:  str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None:
                                                    for child_ref in self.rip:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.Database']['meta_info']


                                        class MapCache(object):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = None
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = None
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = None
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = YList()
                                                self.rip.parent = self
                                                self.rip.name = 'rip'
                                                self.static = None


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\:  str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None:
                                                    for child_ref in self.rip:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport.MapCache']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.database is not None and self.database._has_data():
                                                return True

                                            if self.map_cache is not None and self.map_cache._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.RouteImport']['meta_info']


                                    class DatabaseMapping(object):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'
                                            self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.Limit()
                                            self.limit.parent = self


                                        class EidCont(object):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface>`
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.auto_discover_rlocs = None
                                                self.ipv4_addrees = YList()
                                                self.ipv4_addrees.parent = self
                                                self.ipv4_addrees.name = 'ipv4_addrees'
                                                self.ipv4_interface = YList()
                                                self.ipv4_interface.parent = self
                                                self.ipv4_interface.name = 'ipv4_interface'
                                                self.ipv6_addrees = YList()
                                                self.ipv6_addrees.parent = self
                                                self.ipv6_addrees.name = 'ipv6_addrees'
                                                self.ipv6_interface = YList()
                                                self.ipv6_interface.parent = self
                                                self.ipv6_interface.name = 'ipv6_interface'
                                                self.locator_set = None


                                            class Ipv4Addrees(object):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                            class Ipv6Addrees(object):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                            class Ipv4Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                            class Ipv6Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.auto_discover_rlocs is not None:
                                                    return True

                                                if self.ipv4_addrees is not None:
                                                    for child_ref in self.ipv4_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv4_interface is not None:
                                                    for child_ref in self.ipv4_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_addrees is not None:
                                                    for child_ref in self.ipv6_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_interface is not None:
                                                    for child_ref in self.ipv6_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.locator_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']


                                        class Limit(object):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\:  int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dynamic = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dynamic is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping.Limit']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.limit is not None and self.limit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6.DatabaseMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.alt is not None and self.alt._has_data():
                                            return True

                                        if self.alt_vrf is not None:
                                            return True

                                        if self.database_mapping is not None and self.database_mapping._has_data():
                                            return True

                                        if self.default is not None and self.default._has_data():
                                            return True

                                        if self.distance is not None and self.distance._has_data():
                                            return True

                                        if self.eid_table is not None and self.eid_table._has_data():
                                            return True

                                        if self.etr is not None and self.etr._has_data():
                                            return True

                                        if self.etr_enable is not None and self.etr_enable._has_data():
                                            return True

                                        if self.itr is not None and self.itr._has_data():
                                            return True

                                        if self.itr_enable is not None and self.itr_enable._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                            return True

                                        if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                            return True

                                        if self.map_request_source is not None:
                                            return True

                                        if self.proxy_etr is not None:
                                            return True

                                        if self.proxy_itr is not None and self.proxy_itr._has_data():
                                            return True

                                        if self.route_export is not None and self.route_export._has_data():
                                            return True

                                        if self.route_import is not None and self.route_import._has_data():
                                            return True

                                        if self.sgt is not None:
                                            return True

                                        if self.site_registration is not None and self.site_registration._has_data():
                                            return True

                                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                            return True

                                        if self.use_petr is not None:
                                            for child_ref in self.use_petr:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ipv6']['meta_info']


                                class Ethernet(object):
                                    """
                                    
                                    
                                    .. attribute:: broadcast_underlay
                                    
                                    	Multicast group to use for underlay
                                    	**type**\:   :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.BroadcastUnderlay>`
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping>`
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EidTable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EtrEnable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.ItrEnable>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCacheLimit>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SolicitMapRequest>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.broadcast_underlay = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.BroadcastUnderlay()
                                        self.broadcast_underlay.parent = self
                                        self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self.default = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_()
                                        self.default.parent = self
                                        self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EidTable()
                                        self.eid_table.parent = self
                                        self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr()
                                        self.etr.parent = self
                                        self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EtrEnable()
                                        self.etr_enable.parent = self
                                        self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr()
                                        self.itr.parent = self
                                        self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.ItrEnable()
                                        self.itr_enable.parent = self
                                        self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache()
                                        self.map_cache.parent = self
                                        self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self.map_request_source = None
                                        self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SiteRegistration()
                                        self.site_registration.parent = self
                                        self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SolicitMapRequest()
                                        self.solicit_map_request.parent = self


                                    class Default_(object):
                                        """
                                        
                                        
                                        .. attribute:: broadcast_underlay
                                        
                                        	Multicast group to use for underlay
                                        	**type**\:   :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.BroadcastUnderlay>`
                                        
                                        .. attribute:: database_mapping
                                        
                                        	Configures Locator addresses for an ETR
                                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping>`
                                        
                                        .. attribute:: eid_table
                                        
                                        	Bind an eid\-table
                                        	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EidTable>`
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr>`
                                        
                                        .. attribute:: etr_enable
                                        
                                        	
                                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EtrEnable>`
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr>`
                                        
                                        .. attribute:: itr_enable
                                        
                                        	
                                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.ItrEnable>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache>`
                                        
                                        .. attribute:: map_cache_limit
                                        
                                        	Configures maximum size of map\-cache
                                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCacheLimit>`
                                        
                                        .. attribute:: map_request_source
                                        
                                        	Configures inner header source address in Map\-Request message
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: site_registration
                                        
                                        	Site registrations configuration for a given instance\-id
                                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SiteRegistration>`
                                        
                                        .. attribute:: solicit_map_request
                                        
                                        	Configure Solicit\-Map\-Request handling
                                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SolicitMapRequest>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.broadcast_underlay = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.BroadcastUnderlay()
                                            self.broadcast_underlay.parent = self
                                            self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping()
                                            self.database_mapping.parent = self
                                            self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EidTable()
                                            self.eid_table.parent = self
                                            self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr()
                                            self.etr.parent = self
                                            self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EtrEnable()
                                            self.etr_enable.parent = self
                                            self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr()
                                            self.itr.parent = self
                                            self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.ItrEnable()
                                            self.itr_enable.parent = self
                                            self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache()
                                            self.map_cache.parent = self
                                            self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCacheLimit()
                                            self.map_cache_limit.parent = self
                                            self.map_request_source = None
                                            self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SiteRegistration()
                                            self.site_registration.parent = self
                                            self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SolicitMapRequest()
                                            self.solicit_map_request.parent = self


                                        class EidTable(object):
                                            """
                                            Bind an eid\-table
                                            
                                            .. attribute:: vlan
                                            
                                            	VLAN configuration
                                            	**type**\:  int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.vlan = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.vlan is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EidTable']['meta_info']


                                        class BroadcastUnderlay(object):
                                            """
                                            Multicast group to use for underlay
                                            
                                            .. attribute:: ipv4_multicast
                                            
                                            	IPv4 multicast group address
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: ipv6_multicast
                                            
                                            	IPv6 multicast group address
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4_multicast = None
                                                self.ipv6_multicast = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:broadcast-underlay'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4_multicast is not None:
                                                    return True

                                                if self.ipv6_multicast is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.BroadcastUnderlay']['meta_info']


                                        class DatabaseMapping(object):
                                            """
                                            Configures Locator addresses for an ETR
                                            
                                            .. attribute:: eid_cont
                                            
                                            	EID\-record for RLOC static mapping
                                            	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont>`
                                            
                                            .. attribute:: limit
                                            
                                            	Configures the maximum size of local EID prefixes database
                                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.Limit>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_cont = YList()
                                                self.eid_cont.parent = self
                                                self.eid_cont.name = 'eid_cont'
                                                self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.Limit()
                                                self.limit.parent = self


                                            class EidCont(object):
                                                """
                                                EID\-record for RLOC static mapping
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	xxxx.xxxx.xxxx 48 bit mac address
                                                	**type**\:  str
                                                
                                                	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                                
                                                .. attribute:: ipv4_addrees
                                                
                                                	IPv4 Address of loopback or other ETR interface
                                                	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees>`
                                                
                                                .. attribute:: ipv4_interface
                                                
                                                	
                                                	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface>`
                                                
                                                .. attribute:: ipv6_addrees
                                                
                                                	IPv6 Address of loopback or other ETR interface
                                                	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees>`
                                                
                                                .. attribute:: ipv6_interface
                                                
                                                	
                                                	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface>`
                                                
                                                .. attribute:: locator_set
                                                
                                                	Use locators defined by locator\-set
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.eid_prefix = None
                                                    self.ipv4_addrees = YList()
                                                    self.ipv4_addrees.parent = self
                                                    self.ipv4_addrees.name = 'ipv4_addrees'
                                                    self.ipv4_interface = YList()
                                                    self.ipv4_interface.parent = self
                                                    self.ipv4_interface.name = 'ipv4_interface'
                                                    self.ipv6_addrees = YList()
                                                    self.ipv6_addrees.parent = self
                                                    self.ipv6_addrees.name = 'ipv6_addrees'
                                                    self.ipv6_interface = YList()
                                                    self.ipv6_interface.parent = self
                                                    self.ipv6_interface.name = 'ipv6_interface'
                                                    self.locator_set = None


                                                class Ipv4Addrees(object):
                                                    """
                                                    IPv4 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.address is None:
                                                            raise YPYModelError('Key property address is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.address is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                                class Ipv6Addrees(object):
                                                    """
                                                    IPv6 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.address is None:
                                                            raise YPYModelError('Key property address is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.address is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                                class Ipv4Interface(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.name = None
                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.name is None:
                                                            raise YPYModelError('Key property name is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.name is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                                class Ipv6Interface(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.name = None
                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self


                                                    class DatabaseMappingOption(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.down = None
                                                            self.priority = None
                                                            self.weight = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.down is not None:
                                                                return True

                                                            if self.priority is not None:
                                                                return True

                                                            if self.weight is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.name is None:
                                                            raise YPYModelError('Key property name is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.name is not None:
                                                            return True

                                                        if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.eid_prefix is None:
                                                        raise YPYModelError('Key property eid_prefix is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.eid_prefix is not None:
                                                        return True

                                                    if self.ipv4_addrees is not None:
                                                        for child_ref in self.ipv4_addrees:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.ipv4_interface is not None:
                                                        for child_ref in self.ipv4_interface:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.ipv6_addrees is not None:
                                                        for child_ref in self.ipv6_addrees:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.ipv6_interface is not None:
                                                        for child_ref in self.ipv6_interface:
                                                            if child_ref._has_data():
                                                                return True

                                                    if self.locator_set is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']


                                            class Limit(object):
                                                """
                                                Configures the maximum size of local EID prefixes database
                                                
                                                .. attribute:: dynamic
                                                
                                                	Configures the maximum size of dynamic local EID prefixes database
                                                	**type**\:  int
                                                
                                                	**range:** 1..5000
                                                
                                                .. attribute:: warning_threshold
                                                
                                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.dynamic = None
                                                    self.warning_threshold = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.dynamic is not None:
                                                        return True

                                                    if self.warning_threshold is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping.Limit']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_cont is not None:
                                                    for child_ref in self.eid_cont:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.limit is not None and self.limit._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.DatabaseMapping']['meta_info']


                                        class Itr(object):
                                            """
                                            Configures a LISP Ingress Tunnel Router (ITR)
                                            
                                            .. attribute:: map_resolver
                                            
                                            	Configures map\-resolver address for sending Map\-Requests
                                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr.MapResolver>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.map_resolver = YList()
                                                self.map_resolver.parent = self
                                                self.map_resolver.name = 'map_resolver'


                                            class MapResolver(object):
                                                """
                                                Configures map\-resolver address for sending Map\-Requests
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ip_addr = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.ip_addr is None:
                                                        raise YPYModelError('Key property ip_addr is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ip_addr is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr.MapResolver']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.map_resolver is not None:
                                                    for child_ref in self.map_resolver:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Itr']['meta_info']


                                        class ItrEnable(object):
                                            """
                                            
                                            
                                            .. attribute:: itr
                                            
                                            	Configures a LISP Ingress Tunnel Router (ITR)
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.itr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.itr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.ItrEnable']['meta_info']


                                        class EtrEnable(object):
                                            """
                                            
                                            
                                            .. attribute:: etr
                                            
                                            	Configures a LISP Egress Tunnel Router (ETR)
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.EtrEnable']['meta_info']


                                        class Etr(object):
                                            """
                                            Configures a LISP Egress Tunnel Router (ETR)
                                            
                                            .. attribute:: accept_map_request_mapping
                                            
                                            	
                                            	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping>`
                                            
                                            .. attribute:: map_cache_ttl
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 60..10080
                                            
                                            .. attribute:: map_server
                                            
                                            	Configures map server for ETR registration
                                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping()
                                                self.accept_map_request_mapping.parent = self
                                                self.map_cache_ttl = None
                                                self.map_server = YList()
                                                self.map_server.parent = self
                                                self.map_server.name = 'map_server'


                                            class MapServer(object):
                                                """
                                                Configures map server for ETR registration
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: key
                                                
                                                	Authentication key used with map server
                                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key>`
                                                
                                                .. attribute:: proxy_reply
                                                
                                                	Request Map\-Server to send Map\-Replies on behalf of site
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ip_addr = None
                                                    self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key()
                                                    self.key.parent = self
                                                    self.proxy_reply = None


                                                class Key(object):
                                                    """
                                                    Authentication key used with map server
                                                    
                                                    .. attribute:: key_0
                                                    
                                                    	
                                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0>`
                                                    
                                                    .. attribute:: key_6
                                                    
                                                    	
                                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6>`
                                                    
                                                    .. attribute:: key_7
                                                    
                                                    	
                                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7>`
                                                    
                                                    .. attribute:: key_pwd
                                                    
                                                    	
                                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0()
                                                        self.key_0.parent = self
                                                        self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6()
                                                        self.key_6.parent = self
                                                        self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7()
                                                        self.key_7.parent = self
                                                        self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd()
                                                        self.key_pwd.parent = self


                                                    class KeyPwd(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                        
                                                        .. attribute:: unc_pwd
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.hash_function = None
                                                            self.unc_pwd = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.hash_function is not None:
                                                                return True

                                                            if self.unc_pwd is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                    class Key0(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_0
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.ak_0 = None
                                                            self.hash_function = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.ak_0 is not None:
                                                                return True

                                                            if self.hash_function is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                                    class Key6(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_6
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.ak_6 = None
                                                            self.hash_function = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.ak_6 is not None:
                                                                return True

                                                            if self.hash_function is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                                    class Key7(object):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_7
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\:  str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-02-07'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.ak_7 = None
                                                            self.hash_function = None

                                                        class HashFunctionEnum(Enum):
                                                            """
                                                            HashFunctionEnum

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = 0

                                                            sha2 = 1


                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return True

                                                        def _has_data(self):
                                                            if self.ak_7 is not None:
                                                                return True

                                                            if self.hash_function is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.key_0 is not None and self.key_0._has_data():
                                                            return True

                                                        if self.key_6 is not None and self.key_6._has_data():
                                                            return True

                                                        if self.key_7 is not None and self.key_7._has_data():
                                                            return True

                                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.ip_addr is None:
                                                        raise YPYModelError('Key property ip_addr is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ip_addr is not None:
                                                        return True

                                                    if self.key is not None and self.key._has_data():
                                                        return True

                                                    if self.proxy_reply is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.MapServer']['meta_info']


                                            class AcceptMapRequestMapping(object):
                                                """
                                                
                                                
                                                .. attribute:: accept_mappping
                                                
                                                	
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: verify
                                                
                                                	
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.accept_mappping = None
                                                    self.verify = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.accept_mappping is not None:
                                                        return True

                                                    if self.verify is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                    return True

                                                if self.map_cache_ttl is not None:
                                                    return True

                                                if self.map_server is not None:
                                                    for child_ref in self.map_server:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.Etr']['meta_info']


                                        class MapCacheLimit(object):
                                            """
                                            Configures maximum size of map\-cache
                                            
                                            .. attribute:: max_map_cache_entries
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..100000
                                            
                                            .. attribute:: reserve_list
                                            
                                            	EID\-prefixes guaranteed to be stored in map\-cache
                                            	**type**\:  str
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.max_map_cache_entries = None
                                                self.reserve_list = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.max_map_cache_entries is not None:
                                                    return True

                                                if self.reserve_list is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCacheLimit']['meta_info']


                                        class SiteRegistration(object):
                                            """
                                            Site registrations configuration for a given instance\-id
                                            
                                            .. attribute:: limit
                                            
                                            	Maximum number of site registrations
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Warning threshold to issue system logging
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.limit = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.limit is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SiteRegistration']['meta_info']


                                        class SolicitMapRequest(object):
                                            """
                                            Configure Solicit\-Map\-Request handling
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore SMR bit in incoming Map\-Requests
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: max_per_entry
                                            
                                            	Maximum number of SMRs for addresses under a map\-cache entry
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: suppression_time
                                            
                                            	How long to suppress repeated SMRs for the same address
                                            	**type**\:  int
                                            
                                            	**range:** 1..600
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ignore = None
                                                self.max_per_entry = None
                                                self.suppression_time = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ignore is not None:
                                                    return True

                                                if self.max_per_entry is not None:
                                                    return True

                                                if self.suppression_time is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.SolicitMapRequest']['meta_info']


                                        class MapCache(object):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: eid_cont
                                            
                                            	EID\-record for RLOC static mapping
                                            	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_cont = YList()
                                                self.eid_cont.parent = self
                                                self.eid_cont.name = 'eid_cont'


                                            class EidCont(object):
                                                """
                                                EID\-record for RLOC static mapping
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	xxxx.xxxx.xxxx 48 bit mac address
                                                	**type**\:  str
                                                
                                                	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                                
                                                .. attribute:: etr_interface_ip
                                                
                                                	
                                                	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.eid_prefix = None
                                                    self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp()
                                                    self.etr_interface_ip.parent = self


                                                class EtrInterfaceIp(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: etr_interface_ip_address
                                                    
                                                    	IP address of loopback or other ETR interface
                                                    	**type**\: one of the below types:
                                                    
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    
                                                    ----
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    
                                                    ----
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.etr_interface_ip_address = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.etr_interface_ip_address is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.eid_prefix is None:
                                                        raise YPYModelError('Key property eid_prefix is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.eid_prefix is not None:
                                                        return True

                                                    if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache.EidCont']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_cont is not None:
                                                    for child_ref in self.eid_cont:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_.MapCache']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.broadcast_underlay is not None and self.broadcast_underlay._has_data():
                                                return True

                                            if self.database_mapping is not None and self.database_mapping._has_data():
                                                return True

                                            if self.eid_table is not None and self.eid_table._has_data():
                                                return True

                                            if self.etr is not None and self.etr._has_data():
                                                return True

                                            if self.etr_enable is not None and self.etr_enable._has_data():
                                                return True

                                            if self.itr is not None and self.itr._has_data():
                                                return True

                                            if self.itr_enable is not None and self.itr_enable._has_data():
                                                return True

                                            if self.map_cache is not None and self.map_cache._has_data():
                                                return True

                                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                                return True

                                            if self.map_request_source is not None:
                                                return True

                                            if self.site_registration is not None and self.site_registration._has_data():
                                                return True

                                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Default_']['meta_info']


                                    class EidTable(object):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vlan
                                        
                                        	VLAN configuration
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.vlan = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.vlan is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EidTable']['meta_info']


                                    class BroadcastUnderlay(object):
                                        """
                                        Multicast group to use for underlay
                                        
                                        .. attribute:: ipv4_multicast
                                        
                                        	IPv4 multicast group address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_multicast
                                        
                                        	IPv6 multicast group address
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4_multicast = None
                                            self.ipv6_multicast = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:broadcast-underlay'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4_multicast is not None:
                                                return True

                                            if self.ipv6_multicast is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.BroadcastUnderlay']['meta_info']


                                    class DatabaseMapping(object):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'
                                            self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.Limit()
                                            self.limit.parent = self


                                        class EidCont(object):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\:  str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface>`
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.ipv4_addrees = YList()
                                                self.ipv4_addrees.parent = self
                                                self.ipv4_addrees.name = 'ipv4_addrees'
                                                self.ipv4_interface = YList()
                                                self.ipv4_interface.parent = self
                                                self.ipv4_interface.name = 'ipv4_interface'
                                                self.ipv6_addrees = YList()
                                                self.ipv6_addrees.parent = self
                                                self.ipv6_addrees.name = 'ipv6_addrees'
                                                self.ipv6_interface = YList()
                                                self.ipv6_interface.parent = self
                                                self.ipv6_interface.name = 'ipv6_interface'
                                                self.locator_set = None


                                            class Ipv4Addrees(object):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                            class Ipv6Addrees(object):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                            class Ipv4Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                            class Ipv6Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.ipv4_addrees is not None:
                                                    for child_ref in self.ipv4_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv4_interface is not None:
                                                    for child_ref in self.ipv4_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_addrees is not None:
                                                    for child_ref in self.ipv6_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_interface is not None:
                                                    for child_ref in self.ipv6_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.locator_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']


                                        class Limit(object):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\:  int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dynamic = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dynamic is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping.Limit']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.limit is not None and self.limit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.DatabaseMapping']['meta_info']


                                    class Itr(object):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.map_resolver = YList()
                                            self.map_resolver.parent = self
                                            self.map_resolver.name = 'map_resolver'


                                        class MapResolver(object):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr.MapResolver']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.map_resolver is not None:
                                                for child_ref in self.map_resolver:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Itr']['meta_info']


                                    class ItrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.itr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.itr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.ItrEnable']['meta_info']


                                    class EtrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.EtrEnable']['meta_info']


                                    class Etr(object):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self.map_cache_ttl = None
                                            self.map_server = YList()
                                            self.map_server.parent = self
                                            self.map_server.name = 'map_server'


                                        class MapServer(object):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None
                                                self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self.proxy_reply = None


                                            class Key(object):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self


                                                class KeyPwd(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.hash_function = None
                                                        self.unc_pwd = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.hash_function is not None:
                                                            return True

                                                        if self.unc_pwd is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                class Key0(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_0 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_0 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info']


                                                class Key6(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_6 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_6 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info']


                                                class Key7(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_7 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_7 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.key_0 is not None and self.key_0._has_data():
                                                        return True

                                                    if self.key_6 is not None and self.key_6._has_data():
                                                        return True

                                                    if self.key_7 is not None and self.key_7._has_data():
                                                        return True

                                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer.Key']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                if self.key is not None and self.key._has_data():
                                                    return True

                                                if self.proxy_reply is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.MapServer']['meta_info']


                                        class AcceptMapRequestMapping(object):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_mappping = None
                                                self.verify = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_mappping is not None:
                                                    return True

                                                if self.verify is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                return True

                                            if self.map_cache_ttl is not None:
                                                return True

                                            if self.map_server is not None:
                                                for child_ref in self.map_server:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.Etr']['meta_info']


                                    class MapCacheLimit(object):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\:  str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max_map_cache_entries = None
                                            self.reserve_list = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max_map_cache_entries is not None:
                                                return True

                                            if self.reserve_list is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCacheLimit']['meta_info']


                                    class SiteRegistration(object):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.limit = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.limit is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SiteRegistration']['meta_info']


                                    class SolicitMapRequest(object):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\:  int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None
                                            self.max_per_entry = None
                                            self.suppression_time = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            if self.max_per_entry is not None:
                                                return True

                                            if self.suppression_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.SolicitMapRequest']['meta_info']


                                    class MapCache(object):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'


                                        class EidCont(object):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\:  str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self


                                            class EtrInterfaceIp(object):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.etr_interface_ip_address = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.etr_interface_ip_address is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache.EidCont']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet.MapCache']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ethernet'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.broadcast_underlay is not None and self.broadcast_underlay._has_data():
                                            return True

                                        if self.database_mapping is not None and self.database_mapping._has_data():
                                            return True

                                        if self.default is not None and self.default._has_data():
                                            return True

                                        if self.eid_table is not None and self.eid_table._has_data():
                                            return True

                                        if self.etr is not None and self.etr._has_data():
                                            return True

                                        if self.etr_enable is not None and self.etr_enable._has_data():
                                            return True

                                        if self.itr is not None and self.itr._has_data():
                                            return True

                                        if self.itr_enable is not None and self.itr_enable._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                            return True

                                        if self.map_request_source is not None:
                                            return True

                                        if self.site_registration is not None and self.site_registration._has_data():
                                            return True

                                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service.Ethernet']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:service'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.ethernet is not None and self.ethernet._has_data():
                                        return True

                                    if self.ipv4 is not None and self.ipv4._has_data():
                                        return True

                                    if self.ipv6 is not None and self.ipv6._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_.Service']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.decapsulation is not None and self.decapsulation._has_data():
                                    return True

                                if self.disable_ttl_propagate is not None:
                                    return True

                                if self.dynamic_eid is not None:
                                    for child_ref in self.dynamic_eid:
                                        if child_ref._has_data():
                                            return True

                                if self.loc_reach_algorithm is not None and self.loc_reach_algorithm._has_data():
                                    return True

                                if self.map_server is not None and self.map_server._has_data():
                                    return True

                                if self.other_xtr_probe is not None and self.other_xtr_probe._has_data():
                                    return True

                                if self.remote_rloc_probe is not None and self.remote_rloc_probe._has_data():
                                    return True

                                if self.service is not None and self.service._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Default_']['meta_info']


                        class Decapsulation(object):
                            """
                            Decapsulation behavior (e.g. filters)
                            
                            .. attribute:: filter
                            
                            	Filters traffic
                            	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.filter = Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter()
                                self.filter.parent = self


                            class Filter(object):
                                """
                                Filters traffic
                                
                                .. attribute:: rloc
                                
                                	Filter based on Routing Locator (RLOC) in packet header
                                	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.rloc = Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc()
                                    self.rloc.parent = self


                                class Rloc(object):
                                    """
                                    Filter based on Routing Locator (RLOC) in packet header
                                    
                                    .. attribute:: source
                                    
                                    	Filters traffic based on RLOC source address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Filters traffic based on RLOC source address
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator\-set Name
                                        	**type**\:  str
                                        
                                        .. attribute:: member
                                        
                                        	Members learned from map\-server
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.member = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.member is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:filter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.rloc is not None and self.rloc._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:decapsulation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.filter is not None and self.filter._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation']['meta_info']


                        class DynamicEid(object):
                            """
                            Configure a dynamic EID
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: database_mapping
                            
                            	Configures EID\-prefix and locator\-set for dynamic\-EID
                            	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping>`
                            
                            .. attribute:: eid_notify
                            
                            	Configure options for sending/receiving EID\-notify
                            	**type**\:   :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify>`
                            
                            .. attribute:: map_notify_group
                            
                            	Multicast group which to send map\-notifies to
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping()
                                self.database_mapping.parent = self
                                self.eid_notify = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify()
                                self.eid_notify.parent = self
                                self.map_notify_group = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class DatabaseMapping(object):
                                """
                                Configures EID\-prefix and locator\-set for dynamic\-EID
                                
                                .. attribute:: ipv4_prefix
                                
                                	IPv4 EID\-prefix for dynamic\-EID
                                	**type**\: list of    :py:class:`Ipv4Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix>`
                                
                                .. attribute:: mac
                                
                                	L2 EID records
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_prefix = YList()
                                    self.ipv4_prefix.parent = self
                                    self.ipv4_prefix.name = 'ipv4_prefix'
                                    self.mac = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac()
                                    self.mac.parent = self


                                class Ipv4Prefix(object):
                                    """
                                    IPv4 EID\-prefix for dynamic\-EID
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.locator_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-prefix[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.locator_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix']['meta_info']


                                class Mac(object):
                                    """
                                    L2 EID records
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\:  str
                                    
                                    .. attribute:: mac_addr
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.mac_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.mac_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_prefix is not None:
                                        for child_ref in self.ipv4_prefix:
                                            if child_ref._has_data():
                                                return True

                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping']['meta_info']


                            class EidNotify(object):
                                """
                                Configure options for sending/receiving EID\-notify
                                
                                .. attribute:: authentication_key
                                
                                	Authentication key used for validating received EID\-notify
                                	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey>`
                                
                                .. attribute:: gateway_key
                                
                                	
                                	**type**\: list of    :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.authentication_key = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey()
                                    self.authentication_key.parent = self
                                    self.gateway_key = YList()
                                    self.gateway_key.parent = self
                                    self.gateway_key.name = 'gateway_key'


                                class AuthenticationKey(object):
                                    """
                                    Authentication key used for validating received EID\-notify
                                    
                                    .. attribute:: key_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: key_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: key_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = None
                                        self.key_6 = None
                                        self.key_7 = None
                                        self.unc_pwd = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:authentication-key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None:
                                            return True

                                        if self.key_6 is not None:
                                            return True

                                        if self.key_7 is not None:
                                            return True

                                        if self.unc_pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey']['meta_info']


                                class GatewayKey(object):
                                    """
                                    
                                    
                                    .. attribute:: gateway_ip  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.gateway_ip = None
                                        self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key()
                                        self.key.parent = self


                                    class Key(object):
                                        """
                                        
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6>`
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0()
                                            self.key_0.parent = self
                                            self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6()
                                            self.key_6.parent = self
                                            self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd()
                                            self.key_pwd.parent = self


                                        class KeyPwd(object):
                                            """
                                            
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum>`
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.hash_function = None
                                                self.unc_pwd = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.hash_function is not None:
                                                    return True

                                                if self.unc_pwd is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd']['meta_info']


                                        class Key0(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_0 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_0 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0']['meta_info']


                                        class Key6(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_6 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_6 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None and self.key_0._has_data():
                                                return True

                                            if self.key_6 is not None and self.key_6._has_data():
                                                return True

                                            if self.key_pwd is not None and self.key_pwd._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.gateway_ip is None:
                                            raise YPYModelError('Key property gateway_ip is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:gateway-key[Cisco-IOS-XE-lisp:gateway-ip = ' + str(self.gateway_ip) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.gateway_ip is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-notify'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.authentication_key is not None and self.authentication_key._has_data():
                                        return True

                                    if self.gateway_key is not None:
                                        for child_ref in self.gateway_key:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify']['meta_info']


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None
                                    self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7>`
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self


                                    class KeyPwd(object):
                                        """
                                        
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.hash_function = None
                                            self.unc_pwd = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.hash_function is not None:
                                                return True

                                            if self.unc_pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd']['meta_info']


                                    class Key0(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_0 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_0 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0']['meta_info']


                                    class Key6(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_6 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_6 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6']['meta_info']


                                    class Key7(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_7 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_7 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None and self.key_0._has_data():
                                            return True

                                        if self.key_6 is not None and self.key_6._has_data():
                                            return True

                                        if self.key_7 is not None and self.key_7._has_data():
                                            return True

                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:dynamic-eid[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.database_mapping is not None and self.database_mapping._has_data():
                                    return True

                                if self.eid_notify is not None and self.eid_notify._has_data():
                                    return True

                                if self.map_notify_group is not None:
                                    return True

                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid']['meta_info']


                        class LocReachAlgorithm(object):
                            """
                            Configure locator reachability algorithm
                            
                            .. attribute:: lsb_reports
                            
                            	Configure data packet LSB report handling
                            	**type**\:   :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports>`
                            
                            .. attribute:: rloc_probing
                            
                            	Probe high priority RLOCs with Map\-Requests as last resort
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lsb_reports = Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports()
                                self.lsb_reports.parent = self
                                self.rloc_probing = None


                            class LsbReports(object):
                                """
                                Configure data packet LSB report handling
                                
                                .. attribute:: do_not_transmit
                                
                                	Force the setting of the encapsulation header L bit to zero
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ignore
                                
                                	Ignore data packet LSB reports
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.do_not_transmit = None
                                    self.ignore = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lsb-reports'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.do_not_transmit is not None:
                                        return True

                                    if self.ignore is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:loc-reach-algorithm'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lsb_reports is not None and self.lsb_reports._has_data():
                                    return True

                                if self.rloc_probing is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm']['meta_info']


                        class MapServer(object):
                            """
                            Map\-Server commands
                            
                            .. attribute:: rloc
                            
                            	EID instance RLOC membership
                            	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc>`
                            
                            .. attribute:: site_registration
                            
                            	Map\-server site registration options
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rloc = Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc()
                                self.rloc.parent = self
                                self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration()
                                self.site_registration.parent = self


                            class Rloc(object):
                                """
                                EID instance RLOC membership
                                
                                .. attribute:: members
                                
                                	EID instance RLOC membership
                                	**type**\:   :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.members = Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members()
                                    self.members.parent = self


                                class Members(object):
                                    """
                                    EID instance RLOC membership
                                    
                                    .. attribute:: distribute
                                    
                                    	EID instance RLOC membership distribution
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: modify_discovered
                                    
                                    	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                    	**type**\:   :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.distribute = None
                                        self.modify_discovered = Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered()
                                        self.modify_discovered.parent = self


                                    class ModifyDiscovered(object):
                                        """
                                        Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set from which to get member RLOC addresses
                                        	**type**\:  str
                                        
                                        .. attribute:: operator
                                        
                                        	
                                        	**type**\:   :py:class:`OperatorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.operator = None

                                        class OperatorEnum(Enum):
                                            """
                                            OperatorEnum

                                            .. data:: add = 0

                                            .. data:: override = 1

                                            """

                                            add = 0

                                            override = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:modify-discovered'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.operator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:members'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.distribute is not None:
                                            return True

                                        if self.modify_discovered is not None and self.modify_discovered._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.members is not None and self.members._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc']['meta_info']


                            class SiteRegistration(object):
                                """
                                Map\-server site registration options
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations as a result of accept\-more\-specifics
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rloc is not None and self.rloc._has_data():
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer']['meta_info']


                        class OtherXtrProbe(object):
                            """
                            Configure parameters for probing of other xTRs in our site
                            
                            .. attribute:: period
                            
                            	Period between probes in seconds
                            	**type**\:  int
                            
                            	**range:** 5..900
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.period = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:other-xtr-probe'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.period is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.OtherXtrProbe']['meta_info']


                        class RemoteRlocProbe(object):
                            """
                            Configure parameters for probing of remote RLOCs
                            
                            .. attribute:: on_membership_change
                            
                            	Trigger probing upon membership changes for remote RLOC
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: on_route_change
                            
                            	Trigger probing upon routing changes for remote RLOC
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.on_membership_change = None
                                self.on_route_change = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:remote-rloc-probe'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.on_membership_change is not None:
                                    return True

                                if self.on_route_change is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.RemoteRlocProbe']['meta_info']


                        class Service(object):
                            """
                            Configure lisp service type
                            
                            .. attribute:: ethernet
                            
                            	
                            	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ipv6
                            
                            	
                            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.ethernet = None
                                self.ipv4 = None
                                self.ipv6 = None


                            class Ipv4(object):
                                """
                                
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\:  str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_>`
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.alt = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt()
                                    self.alt.parent = self
                                    self.alt_vrf = None
                                    self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self.default = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_()
                                    self.default.parent = self
                                    self.distance = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance()
                                    self.distance.parent = self
                                    self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable()
                                    self.eid_table.parent = self
                                    self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr()
                                    self.etr.parent = self
                                    self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable()
                                    self.etr_enable.parent = self
                                    self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr()
                                    self.itr.parent = self
                                    self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable()
                                    self.itr_enable.parent = self
                                    self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache()
                                    self.map_cache.parent = self
                                    self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self.map_cache_persistent = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self.map_request_source = None
                                    self.proxy_etr = None
                                    self.proxy_itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self.route_export = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport()
                                    self.route_export.parent = self
                                    self.route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport()
                                    self.route_import.parent = self
                                    self.sgt = None
                                    self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration()
                                    self.site_registration.parent = self
                                    self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self.use_petr = YList()
                                    self.use_petr.parent = self
                                    self.use_petr.name = 'use_petr'


                                class Default_(object):
                                    """
                                    
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\:  str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping>`
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Distance>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EidTable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EtrEnable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ItrEnable>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCacheLimit>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCachePersistent>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteExport>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SolicitMapRequest>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.alt = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt()
                                        self.alt.parent = self
                                        self.alt_vrf = None
                                        self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self.distance = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Distance()
                                        self.distance.parent = self
                                        self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EidTable()
                                        self.eid_table.parent = self
                                        self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr()
                                        self.etr.parent = self
                                        self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EtrEnable()
                                        self.etr_enable.parent = self
                                        self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr()
                                        self.itr.parent = self
                                        self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ItrEnable()
                                        self.itr_enable.parent = self
                                        self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache()
                                        self.map_cache.parent = self
                                        self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self.map_cache_persistent = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self.map_request_source = None
                                        self.proxy_etr = None
                                        self.proxy_itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self.route_export = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteExport()
                                        self.route_export.parent = self
                                        self.route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport()
                                        self.route_import.parent = self
                                        self.sgt = None
                                        self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SiteRegistration()
                                        self.site_registration.parent = self
                                        self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self.use_petr = YList()
                                        self.use_petr.parent = self
                                        self.use_petr.name = 'use_petr'


                                    class EidTable(object):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.default = None
                                            self.vrf = None
                                            self.vrf_name = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.default is not None:
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            if self.vrf_name is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EidTable']['meta_info']


                                    class Itr(object):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.map_resolver = YList()
                                            self.map_resolver.parent = self
                                            self.map_resolver.name = 'map_resolver'


                                        class MapResolver(object):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr.MapResolver']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.map_resolver is not None:
                                                for child_ref in self.map_resolver:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Itr']['meta_info']


                                    class ItrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.itr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.itr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ItrEnable']['meta_info']


                                    class EtrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.EtrEnable']['meta_info']


                                    class Etr(object):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self.map_cache_ttl = None
                                            self.map_server = YList()
                                            self.map_server.parent = self
                                            self.map_server.name = 'map_server'


                                        class MapServer(object):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None
                                                self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self.proxy_reply = None


                                            class Key(object):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7>`
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self


                                                class KeyPwd(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.hash_function = None
                                                        self.unc_pwd = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.hash_function is not None:
                                                            return True

                                                        if self.unc_pwd is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                class Key0(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_0 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_0 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                                class Key6(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_6 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_6 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                                class Key7(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_7 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_7 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.key_0 is not None and self.key_0._has_data():
                                                        return True

                                                    if self.key_6 is not None and self.key_6._has_data():
                                                        return True

                                                    if self.key_7 is not None and self.key_7._has_data():
                                                        return True

                                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                if self.key is not None and self.key._has_data():
                                                    return True

                                                if self.proxy_reply is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.MapServer']['meta_info']


                                        class AcceptMapRequestMapping(object):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_mappping = None
                                                self.verify = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_mappping is not None:
                                                    return True

                                                if self.verify is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                return True

                                            if self.map_cache_ttl is not None:
                                                return True

                                            if self.map_server is not None:
                                                for child_ref in self.map_server:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Etr']['meta_info']


                                    class MapCacheLimit(object):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\:  str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max_map_cache_entries = None
                                            self.reserve_list = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max_map_cache_entries is not None:
                                                return True

                                            if self.reserve_list is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCacheLimit']['meta_info']


                                    class SiteRegistration(object):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.limit = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.limit is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SiteRegistration']['meta_info']


                                    class SolicitMapRequest(object):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\:  int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None
                                            self.max_per_entry = None
                                            self.suppression_time = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            if self.max_per_entry is not None:
                                                return True

                                            if self.suppression_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.SolicitMapRequest']['meta_info']


                                    class Alt(object):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.summary_route = YList()
                                            self.summary_route.parent = self
                                            self.summary_route.name = 'summary_route'


                                        class SummaryRoute(object):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.route_tag = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.route_tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt.SummaryRoute']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.summary_route is not None:
                                                for child_ref in self.summary_route:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Alt']['meta_info']


                                    class Distance(object):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.alt = None
                                            self.away = None
                                            self.dyn_eid = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.alt is not None:
                                                return True

                                            if self.away is not None:
                                                return True

                                            if self.dyn_eid is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.Distance']['meta_info']


                                    class MapCache(object):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.AwayEids>`
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self.eid_interface = YList()
                                            self.eid_interface.parent = self
                                            self.eid_interface.name = 'eid_interface'
                                            self.site_registration = None


                                        class EidInterface(object):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.drop = None
                                                self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self.map_request = None
                                                self.native_forward = None


                                            class EtrInterfaceIp(object):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.etr_interface_ip_address = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.etr_interface_ip_address is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.drop is not None:
                                                    return True

                                                if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                    return True

                                                if self.map_request is not None:
                                                    return True

                                                if self.native_forward is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.EidInterface']['meta_info']


                                        class AwayEids(object):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.send_map_request = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.send_map_request is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache.AwayEids']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None and self.away_eids._has_data():
                                                return True

                                            if self.eid_interface is not None:
                                                for child_ref in self.eid_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.site_registration is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCache']['meta_info']


                                    class MapCachePersistent(object):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\:  int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.interval = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.interval is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.MapCachePersistent']['meta_info']


                                    class ProxyItr(object):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4_addr = None
                                            self.ipv6_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4_addr is not None:
                                                return True

                                            if self.ipv6_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.ProxyItr']['meta_info']


                                    class RouteExport(object):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteExport']['meta_info']


                                    class UsePetr(object):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_address = None
                                            self.priority = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr.Priority()
                                            self.priority.parent = self


                                        class Priority(object):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.priority_value = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.priority_value is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr.Priority']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.locator_address is None:
                                                raise YPYModelError('Key property locator_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_address is not None:
                                                return True

                                            if self.priority is not None and self.priority._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.UsePetr']['meta_info']


                                    class RouteImport(object):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.database = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database()
                                            self.database.parent = self
                                            self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache()
                                            self.map_cache.parent = self


                                        class Database(object):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip()
                                                self.rip.parent = self
                                                self.static = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static()
                                                self.static.parent = self


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self.process_id = None


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    if self.process_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None and self.rip._has_data():
                                                    return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.Database']['meta_info']


                                        class MapCache(object):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = None
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = None
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = None
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip()
                                                self.rip.parent = self
                                                self.static = None


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None and self.rip._has_data():
                                                    return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.database is not None and self.database._has_data():
                                                return True

                                            if self.map_cache is not None and self.map_cache._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.RouteImport']['meta_info']


                                    class DatabaseMapping(object):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'
                                            self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.Limit()
                                            self.limit.parent = self


                                        class EidCont(object):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface>`
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.auto_discover_rlocs = None
                                                self.ipv4_addrees = YList()
                                                self.ipv4_addrees.parent = self
                                                self.ipv4_addrees.name = 'ipv4_addrees'
                                                self.ipv4_interface = YList()
                                                self.ipv4_interface.parent = self
                                                self.ipv4_interface.name = 'ipv4_interface'
                                                self.ipv6_addrees = YList()
                                                self.ipv6_addrees.parent = self
                                                self.ipv6_addrees.name = 'ipv6_addrees'
                                                self.ipv6_interface = YList()
                                                self.ipv6_interface.parent = self
                                                self.ipv6_interface.name = 'ipv6_interface'
                                                self.locator_set = None


                                            class Ipv4Addrees(object):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                            class Ipv6Addrees(object):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                            class Ipv4Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                            class Ipv6Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.auto_discover_rlocs is not None:
                                                    return True

                                                if self.ipv4_addrees is not None:
                                                    for child_ref in self.ipv4_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv4_interface is not None:
                                                    for child_ref in self.ipv4_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_addrees is not None:
                                                    for child_ref in self.ipv6_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_interface is not None:
                                                    for child_ref in self.ipv6_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.locator_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']


                                        class Limit(object):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\:  int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dynamic = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dynamic is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping.Limit']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.limit is not None and self.limit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_.DatabaseMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.alt is not None and self.alt._has_data():
                                            return True

                                        if self.alt_vrf is not None:
                                            return True

                                        if self.database_mapping is not None and self.database_mapping._has_data():
                                            return True

                                        if self.distance is not None and self.distance._has_data():
                                            return True

                                        if self.eid_table is not None and self.eid_table._has_data():
                                            return True

                                        if self.etr is not None and self.etr._has_data():
                                            return True

                                        if self.etr_enable is not None and self.etr_enable._has_data():
                                            return True

                                        if self.itr is not None and self.itr._has_data():
                                            return True

                                        if self.itr_enable is not None and self.itr_enable._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                            return True

                                        if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                            return True

                                        if self.map_request_source is not None:
                                            return True

                                        if self.proxy_etr is not None:
                                            return True

                                        if self.proxy_itr is not None and self.proxy_itr._has_data():
                                            return True

                                        if self.route_export is not None and self.route_export._has_data():
                                            return True

                                        if self.route_import is not None and self.route_import._has_data():
                                            return True

                                        if self.sgt is not None:
                                            return True

                                        if self.site_registration is not None and self.site_registration._has_data():
                                            return True

                                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                            return True

                                        if self.use_petr is not None:
                                            for child_ref in self.use_petr:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default_']['meta_info']


                                class EidTable(object):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.default = None
                                        self.vrf = None
                                        self.vrf_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.default is not None:
                                            return True

                                        if self.vrf is not None:
                                            return True

                                        if self.vrf_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable']['meta_info']


                                class Itr(object):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map_resolver = YList()
                                        self.map_resolver.parent = self
                                        self.map_resolver.name = 'map_resolver'


                                    class MapResolver(object):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map_resolver is not None:
                                            for child_ref in self.map_resolver:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr']['meta_info']


                                class ItrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.itr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.itr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable']['meta_info']


                                class EtrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.etr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.etr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable']['meta_info']


                                class Etr(object):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self.map_cache_ttl = None
                                        self.map_server = YList()
                                        self.map_server.parent = self
                                        self.map_server.name = 'map_server'


                                    class MapServer(object):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None
                                            self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self.proxy_reply = None


                                        class Key(object):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self


                                            class KeyPwd(object):
                                                """
                                                
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.hash_function = None
                                                    self.unc_pwd = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.hash_function is not None:
                                                        return True

                                                    if self.unc_pwd is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info']


                                            class Key0(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_0 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_0 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info']


                                            class Key6(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_6 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_6 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info']


                                            class Key7(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_7 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_7 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.key_0 is not None and self.key_0._has_data():
                                                    return True

                                                if self.key_6 is not None and self.key_6._has_data():
                                                    return True

                                                if self.key_7 is not None and self.key_7._has_data():
                                                    return True

                                                if self.key_pwd is not None and self.key_pwd._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            if self.key is not None and self.key._has_data():
                                                return True

                                            if self.proxy_reply is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer']['meta_info']


                                    class AcceptMapRequestMapping(object):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_mappping = None
                                            self.verify = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_mappping is not None:
                                                return True

                                            if self.verify is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                            return True

                                        if self.map_cache_ttl is not None:
                                            return True

                                        if self.map_server is not None:
                                            for child_ref in self.map_server:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr']['meta_info']


                                class MapCacheLimit(object):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\:  str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max_map_cache_entries = None
                                        self.reserve_list = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max_map_cache_entries is not None:
                                            return True

                                        if self.reserve_list is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit']['meta_info']


                                class SiteRegistration(object):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.limit = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.limit is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration']['meta_info']


                                class SolicitMapRequest(object):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\:  int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None
                                        self.max_per_entry = None
                                        self.suppression_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        if self.max_per_entry is not None:
                                            return True

                                        if self.suppression_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest']['meta_info']


                                class Alt(object):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.summary_route = YList()
                                        self.summary_route.parent = self
                                        self.summary_route.name = 'summary_route'


                                    class SummaryRoute(object):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.route_tag = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.route_tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.summary_route is not None:
                                            for child_ref in self.summary_route:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt']['meta_info']


                                class Distance(object):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.alt = None
                                        self.away = None
                                        self.dyn_eid = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.alt is not None:
                                            return True

                                        if self.away is not None:
                                            return True

                                        if self.dyn_eid is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance']['meta_info']


                                class MapCache(object):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids>`
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self.eid_interface = YList()
                                        self.eid_interface.parent = self
                                        self.eid_interface.name = 'eid_interface'
                                        self.site_registration = None


                                    class EidInterface(object):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.drop = None
                                            self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self.map_request = None
                                            self.native_forward = None


                                        class EtrInterfaceIp(object):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr_interface_ip_address = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr_interface_ip_address is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.drop is not None:
                                                return True

                                            if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                return True

                                            if self.map_request is not None:
                                                return True

                                            if self.native_forward is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface']['meta_info']


                                    class AwayEids(object):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.send_map_request = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.send_map_request is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None and self.away_eids._has_data():
                                            return True

                                        if self.eid_interface is not None:
                                            for child_ref in self.eid_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.site_registration is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache']['meta_info']


                                class MapCachePersistent(object):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\:  int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent']['meta_info']


                                class ProxyItr(object):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_addr = None
                                        self.ipv6_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_addr is not None:
                                            return True

                                        if self.ipv6_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr']['meta_info']


                                class RouteExport(object):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport']['meta_info']


                                class UsePetr(object):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_address = None
                                        self.priority = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority()
                                        self.priority.parent = self


                                    class Priority(object):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.priority_value = None
                                            self.weight = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.priority_value is not None:
                                                return True

                                            if self.weight is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.locator_address is None:
                                            raise YPYModelError('Key property locator_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_address is not None:
                                            return True

                                        if self.priority is not None and self.priority._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr']['meta_info']


                                class RouteImport(object):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.database = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database()
                                        self.database.parent = self
                                        self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache()
                                        self.map_cache.parent = self


                                    class Database(object):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip()
                                            self.rip.parent = self
                                            self.static = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static()
                                            self.static.parent = self


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self.process_id = None


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                if self.process_id is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None and self.rip._has_data():
                                                return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']


                                    class MapCache(object):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = None
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = None
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = None
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip()
                                            self.rip.parent = self
                                            self.static = None


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None and self.rip._has_data():
                                                return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.database is not None and self.database._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport']['meta_info']


                                class DatabaseMapping(object):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'
                                        self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit()
                                        self.limit.parent = self


                                    class EidCont(object):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.auto_discover_rlocs = None
                                            self.ipv4_addrees = YList()
                                            self.ipv4_addrees.parent = self
                                            self.ipv4_addrees.name = 'ipv4_addrees'
                                            self.ipv4_interface = YList()
                                            self.ipv4_interface.parent = self
                                            self.ipv4_interface.name = 'ipv4_interface'
                                            self.ipv6_addrees = YList()
                                            self.ipv6_addrees.parent = self
                                            self.ipv6_addrees.name = 'ipv6_addrees'
                                            self.ipv6_interface = YList()
                                            self.ipv6_interface.parent = self
                                            self.ipv6_interface.name = 'ipv6_interface'
                                            self.locator_set = None


                                        class Ipv4Addrees(object):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                        class Ipv6Addrees(object):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                        class Ipv4Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                        class Ipv6Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.auto_discover_rlocs is not None:
                                                return True

                                            if self.ipv4_addrees is not None:
                                                for child_ref in self.ipv4_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv4_interface is not None:
                                                for child_ref in self.ipv4_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_addrees is not None:
                                                for child_ref in self.ipv6_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_interface is not None:
                                                for child_ref in self.ipv6_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.locator_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']


                                    class Limit(object):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\:  int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        if self.limit is not None and self.limit._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.alt is not None and self.alt._has_data():
                                        return True

                                    if self.alt_vrf is not None:
                                        return True

                                    if self.database_mapping is not None and self.database_mapping._has_data():
                                        return True

                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.distance is not None and self.distance._has_data():
                                        return True

                                    if self.eid_table is not None and self.eid_table._has_data():
                                        return True

                                    if self.etr is not None and self.etr._has_data():
                                        return True

                                    if self.etr_enable is not None and self.etr_enable._has_data():
                                        return True

                                    if self.itr is not None and self.itr._has_data():
                                        return True

                                    if self.itr_enable is not None and self.itr_enable._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                        return True

                                    if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                        return True

                                    if self.map_request_source is not None:
                                        return True

                                    if self.proxy_etr is not None:
                                        return True

                                    if self.proxy_itr is not None and self.proxy_itr._has_data():
                                        return True

                                    if self.route_export is not None and self.route_export._has_data():
                                        return True

                                    if self.route_import is not None and self.route_import._has_data():
                                        return True

                                    if self.sgt is not None:
                                        return True

                                    if self.site_registration is not None and self.site_registration._has_data():
                                        return True

                                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                        return True

                                    if self.use_petr is not None:
                                        for child_ref in self.use_petr:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']


                            class Ipv6(object):
                                """
                                
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\:  str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_>`
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.alt = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt()
                                    self.alt.parent = self
                                    self.alt_vrf = None
                                    self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self.default = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_()
                                    self.default.parent = self
                                    self.distance = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance()
                                    self.distance.parent = self
                                    self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable()
                                    self.eid_table.parent = self
                                    self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr()
                                    self.etr.parent = self
                                    self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable()
                                    self.etr_enable.parent = self
                                    self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr()
                                    self.itr.parent = self
                                    self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable()
                                    self.itr_enable.parent = self
                                    self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache()
                                    self.map_cache.parent = self
                                    self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self.map_cache_persistent = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self.map_request_source = None
                                    self.proxy_etr = None
                                    self.proxy_itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self.route_export = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport()
                                    self.route_export.parent = self
                                    self.route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport()
                                    self.route_import.parent = self
                                    self.sgt = None
                                    self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration()
                                    self.site_registration.parent = self
                                    self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self.use_petr = YList()
                                    self.use_petr.parent = self
                                    self.use_petr.name = 'use_petr'


                                class Default_(object):
                                    """
                                    
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\:  str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping>`
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Distance>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EidTable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EtrEnable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ItrEnable>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCacheLimit>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCachePersistent>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteExport>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SolicitMapRequest>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.alt = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt()
                                        self.alt.parent = self
                                        self.alt_vrf = None
                                        self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self.distance = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Distance()
                                        self.distance.parent = self
                                        self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EidTable()
                                        self.eid_table.parent = self
                                        self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr()
                                        self.etr.parent = self
                                        self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EtrEnable()
                                        self.etr_enable.parent = self
                                        self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr()
                                        self.itr.parent = self
                                        self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ItrEnable()
                                        self.itr_enable.parent = self
                                        self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache()
                                        self.map_cache.parent = self
                                        self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self.map_cache_persistent = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self.map_request_source = None
                                        self.proxy_etr = None
                                        self.proxy_itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self.route_export = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteExport()
                                        self.route_export.parent = self
                                        self.route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport()
                                        self.route_import.parent = self
                                        self.sgt = None
                                        self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SiteRegistration()
                                        self.site_registration.parent = self
                                        self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self.use_petr = YList()
                                        self.use_petr.parent = self
                                        self.use_petr.name = 'use_petr'


                                    class EidTable(object):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.default = None
                                            self.vrf = None
                                            self.vrf_name = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.default is not None:
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            if self.vrf_name is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EidTable']['meta_info']


                                    class Itr(object):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.map_resolver = YList()
                                            self.map_resolver.parent = self
                                            self.map_resolver.name = 'map_resolver'


                                        class MapResolver(object):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr.MapResolver']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.map_resolver is not None:
                                                for child_ref in self.map_resolver:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Itr']['meta_info']


                                    class ItrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.itr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.itr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ItrEnable']['meta_info']


                                    class EtrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.EtrEnable']['meta_info']


                                    class Etr(object):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self.map_cache_ttl = None
                                            self.map_server = YList()
                                            self.map_server.parent = self
                                            self.map_server.name = 'map_server'


                                        class MapServer(object):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None
                                                self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self.proxy_reply = None


                                            class Key(object):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7>`
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self


                                                class KeyPwd(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.hash_function = None
                                                        self.unc_pwd = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.hash_function is not None:
                                                            return True

                                                        if self.unc_pwd is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                class Key0(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_0 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_0 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                                class Key6(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_6 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_6 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                                class Key7(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_7 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_7 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.key_0 is not None and self.key_0._has_data():
                                                        return True

                                                    if self.key_6 is not None and self.key_6._has_data():
                                                        return True

                                                    if self.key_7 is not None and self.key_7._has_data():
                                                        return True

                                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                if self.key is not None and self.key._has_data():
                                                    return True

                                                if self.proxy_reply is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.MapServer']['meta_info']


                                        class AcceptMapRequestMapping(object):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_mappping = None
                                                self.verify = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_mappping is not None:
                                                    return True

                                                if self.verify is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                return True

                                            if self.map_cache_ttl is not None:
                                                return True

                                            if self.map_server is not None:
                                                for child_ref in self.map_server:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Etr']['meta_info']


                                    class MapCacheLimit(object):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\:  str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max_map_cache_entries = None
                                            self.reserve_list = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max_map_cache_entries is not None:
                                                return True

                                            if self.reserve_list is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCacheLimit']['meta_info']


                                    class SiteRegistration(object):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.limit = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.limit is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SiteRegistration']['meta_info']


                                    class SolicitMapRequest(object):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\:  int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None
                                            self.max_per_entry = None
                                            self.suppression_time = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            if self.max_per_entry is not None:
                                                return True

                                            if self.suppression_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.SolicitMapRequest']['meta_info']


                                    class Alt(object):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.summary_route = YList()
                                            self.summary_route.parent = self
                                            self.summary_route.name = 'summary_route'


                                        class SummaryRoute(object):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.route_tag = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.route_tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt.SummaryRoute']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.summary_route is not None:
                                                for child_ref in self.summary_route:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Alt']['meta_info']


                                    class Distance(object):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.alt = None
                                            self.away = None
                                            self.dyn_eid = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.alt is not None:
                                                return True

                                            if self.away is not None:
                                                return True

                                            if self.dyn_eid is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.Distance']['meta_info']


                                    class MapCache(object):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.AwayEids>`
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self.eid_interface = YList()
                                            self.eid_interface.parent = self
                                            self.eid_interface.name = 'eid_interface'
                                            self.site_registration = None


                                        class EidInterface(object):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.drop = None
                                                self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self.map_request = None
                                                self.native_forward = None


                                            class EtrInterfaceIp(object):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.etr_interface_ip_address = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.etr_interface_ip_address is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.drop is not None:
                                                    return True

                                                if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                    return True

                                                if self.map_request is not None:
                                                    return True

                                                if self.native_forward is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.EidInterface']['meta_info']


                                        class AwayEids(object):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.send_map_request = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.send_map_request is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache.AwayEids']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None and self.away_eids._has_data():
                                                return True

                                            if self.eid_interface is not None:
                                                for child_ref in self.eid_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.site_registration is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCache']['meta_info']


                                    class MapCachePersistent(object):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\:  int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.interval = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.interval is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.MapCachePersistent']['meta_info']


                                    class ProxyItr(object):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4_addr = None
                                            self.ipv6_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4_addr is not None:
                                                return True

                                            if self.ipv6_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.ProxyItr']['meta_info']


                                    class RouteExport(object):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteExport']['meta_info']


                                    class UsePetr(object):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_address = None
                                            self.priority = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr.Priority()
                                            self.priority.parent = self


                                        class Priority(object):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.priority_value = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.priority_value is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr.Priority']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.locator_address is None:
                                                raise YPYModelError('Key property locator_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_address is not None:
                                                return True

                                            if self.priority is not None and self.priority._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.UsePetr']['meta_info']


                                    class RouteImport(object):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.database = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database()
                                            self.database.parent = self
                                            self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache()
                                            self.map_cache.parent = self


                                        class Database(object):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = YList()
                                                self.rip.parent = self
                                                self.rip.name = 'rip'
                                                self.static = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static()
                                                self.static.parent = self


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self.process_id = None


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    if self.process_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\:  str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None:
                                                    for child_ref in self.rip:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.Database']['meta_info']


                                        class MapCache(object):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = None
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = None
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = None
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = YList()
                                                self.rip.parent = self
                                                self.rip.name = 'rip'
                                                self.static = None


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\:  str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None:
                                                    for child_ref in self.rip:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.database is not None and self.database._has_data():
                                                return True

                                            if self.map_cache is not None and self.map_cache._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.RouteImport']['meta_info']


                                    class DatabaseMapping(object):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'
                                            self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.Limit()
                                            self.limit.parent = self


                                        class EidCont(object):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface>`
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.auto_discover_rlocs = None
                                                self.ipv4_addrees = YList()
                                                self.ipv4_addrees.parent = self
                                                self.ipv4_addrees.name = 'ipv4_addrees'
                                                self.ipv4_interface = YList()
                                                self.ipv4_interface.parent = self
                                                self.ipv4_interface.name = 'ipv4_interface'
                                                self.ipv6_addrees = YList()
                                                self.ipv6_addrees.parent = self
                                                self.ipv6_addrees.name = 'ipv6_addrees'
                                                self.ipv6_interface = YList()
                                                self.ipv6_interface.parent = self
                                                self.ipv6_interface.name = 'ipv6_interface'
                                                self.locator_set = None


                                            class Ipv4Addrees(object):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                            class Ipv6Addrees(object):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                            class Ipv4Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                            class Ipv6Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.auto_discover_rlocs is not None:
                                                    return True

                                                if self.ipv4_addrees is not None:
                                                    for child_ref in self.ipv4_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv4_interface is not None:
                                                    for child_ref in self.ipv4_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_addrees is not None:
                                                    for child_ref in self.ipv6_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_interface is not None:
                                                    for child_ref in self.ipv6_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.locator_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']


                                        class Limit(object):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\:  int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dynamic = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dynamic is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping.Limit']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.limit is not None and self.limit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_.DatabaseMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.alt is not None and self.alt._has_data():
                                            return True

                                        if self.alt_vrf is not None:
                                            return True

                                        if self.database_mapping is not None and self.database_mapping._has_data():
                                            return True

                                        if self.distance is not None and self.distance._has_data():
                                            return True

                                        if self.eid_table is not None and self.eid_table._has_data():
                                            return True

                                        if self.etr is not None and self.etr._has_data():
                                            return True

                                        if self.etr_enable is not None and self.etr_enable._has_data():
                                            return True

                                        if self.itr is not None and self.itr._has_data():
                                            return True

                                        if self.itr_enable is not None and self.itr_enable._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                            return True

                                        if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                            return True

                                        if self.map_request_source is not None:
                                            return True

                                        if self.proxy_etr is not None:
                                            return True

                                        if self.proxy_itr is not None and self.proxy_itr._has_data():
                                            return True

                                        if self.route_export is not None and self.route_export._has_data():
                                            return True

                                        if self.route_import is not None and self.route_import._has_data():
                                            return True

                                        if self.sgt is not None:
                                            return True

                                        if self.site_registration is not None and self.site_registration._has_data():
                                            return True

                                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                            return True

                                        if self.use_petr is not None:
                                            for child_ref in self.use_petr:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default_']['meta_info']


                                class EidTable(object):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.default = None
                                        self.vrf = None
                                        self.vrf_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.default is not None:
                                            return True

                                        if self.vrf is not None:
                                            return True

                                        if self.vrf_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable']['meta_info']


                                class Itr(object):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map_resolver = YList()
                                        self.map_resolver.parent = self
                                        self.map_resolver.name = 'map_resolver'


                                    class MapResolver(object):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map_resolver is not None:
                                            for child_ref in self.map_resolver:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr']['meta_info']


                                class ItrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.itr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.itr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable']['meta_info']


                                class EtrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.etr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.etr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable']['meta_info']


                                class Etr(object):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self.map_cache_ttl = None
                                        self.map_server = YList()
                                        self.map_server.parent = self
                                        self.map_server.name = 'map_server'


                                    class MapServer(object):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None
                                            self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self.proxy_reply = None


                                        class Key(object):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self


                                            class KeyPwd(object):
                                                """
                                                
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.hash_function = None
                                                    self.unc_pwd = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.hash_function is not None:
                                                        return True

                                                    if self.unc_pwd is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info']


                                            class Key0(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_0 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_0 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info']


                                            class Key6(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_6 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_6 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info']


                                            class Key7(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_7 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_7 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.key_0 is not None and self.key_0._has_data():
                                                    return True

                                                if self.key_6 is not None and self.key_6._has_data():
                                                    return True

                                                if self.key_7 is not None and self.key_7._has_data():
                                                    return True

                                                if self.key_pwd is not None and self.key_pwd._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            if self.key is not None and self.key._has_data():
                                                return True

                                            if self.proxy_reply is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer']['meta_info']


                                    class AcceptMapRequestMapping(object):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_mappping = None
                                            self.verify = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_mappping is not None:
                                                return True

                                            if self.verify is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                            return True

                                        if self.map_cache_ttl is not None:
                                            return True

                                        if self.map_server is not None:
                                            for child_ref in self.map_server:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr']['meta_info']


                                class MapCacheLimit(object):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\:  str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max_map_cache_entries = None
                                        self.reserve_list = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max_map_cache_entries is not None:
                                            return True

                                        if self.reserve_list is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit']['meta_info']


                                class SiteRegistration(object):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.limit = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.limit is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration']['meta_info']


                                class SolicitMapRequest(object):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\:  int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None
                                        self.max_per_entry = None
                                        self.suppression_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        if self.max_per_entry is not None:
                                            return True

                                        if self.suppression_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest']['meta_info']


                                class Alt(object):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.summary_route = YList()
                                        self.summary_route.parent = self
                                        self.summary_route.name = 'summary_route'


                                    class SummaryRoute(object):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.route_tag = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.route_tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.summary_route is not None:
                                            for child_ref in self.summary_route:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt']['meta_info']


                                class Distance(object):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.alt = None
                                        self.away = None
                                        self.dyn_eid = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.alt is not None:
                                            return True

                                        if self.away is not None:
                                            return True

                                        if self.dyn_eid is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance']['meta_info']


                                class MapCache(object):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids>`
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self.eid_interface = YList()
                                        self.eid_interface.parent = self
                                        self.eid_interface.name = 'eid_interface'
                                        self.site_registration = None


                                    class EidInterface(object):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.drop = None
                                            self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self.map_request = None
                                            self.native_forward = None


                                        class EtrInterfaceIp(object):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr_interface_ip_address = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr_interface_ip_address is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.drop is not None:
                                                return True

                                            if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                return True

                                            if self.map_request is not None:
                                                return True

                                            if self.native_forward is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface']['meta_info']


                                    class AwayEids(object):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.send_map_request = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.send_map_request is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None and self.away_eids._has_data():
                                            return True

                                        if self.eid_interface is not None:
                                            for child_ref in self.eid_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.site_registration is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache']['meta_info']


                                class MapCachePersistent(object):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\:  int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent']['meta_info']


                                class ProxyItr(object):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_addr = None
                                        self.ipv6_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_addr is not None:
                                            return True

                                        if self.ipv6_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr']['meta_info']


                                class RouteExport(object):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport']['meta_info']


                                class UsePetr(object):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_address = None
                                        self.priority = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority()
                                        self.priority.parent = self


                                    class Priority(object):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.priority_value = None
                                            self.weight = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.priority_value is not None:
                                                return True

                                            if self.weight is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.locator_address is None:
                                            raise YPYModelError('Key property locator_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_address is not None:
                                            return True

                                        if self.priority is not None and self.priority._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr']['meta_info']


                                class RouteImport(object):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.database = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database()
                                        self.database.parent = self
                                        self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache()
                                        self.map_cache.parent = self


                                    class Database(object):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = YList()
                                            self.rip.parent = self
                                            self.rip.name = 'rip'
                                            self.static = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static()
                                            self.static.parent = self


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self.process_id = None


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                if self.process_id is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\:  str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None:
                                                for child_ref in self.rip:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']


                                    class MapCache(object):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = None
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = None
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = None
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = YList()
                                            self.rip.parent = self
                                            self.rip.name = 'rip'
                                            self.static = None


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\:  str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None:
                                                for child_ref in self.rip:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.database is not None and self.database._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport']['meta_info']


                                class DatabaseMapping(object):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'
                                        self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit()
                                        self.limit.parent = self


                                    class EidCont(object):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.auto_discover_rlocs = None
                                            self.ipv4_addrees = YList()
                                            self.ipv4_addrees.parent = self
                                            self.ipv4_addrees.name = 'ipv4_addrees'
                                            self.ipv4_interface = YList()
                                            self.ipv4_interface.parent = self
                                            self.ipv4_interface.name = 'ipv4_interface'
                                            self.ipv6_addrees = YList()
                                            self.ipv6_addrees.parent = self
                                            self.ipv6_addrees.name = 'ipv6_addrees'
                                            self.ipv6_interface = YList()
                                            self.ipv6_interface.parent = self
                                            self.ipv6_interface.name = 'ipv6_interface'
                                            self.locator_set = None


                                        class Ipv4Addrees(object):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                        class Ipv6Addrees(object):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                        class Ipv4Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                        class Ipv6Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.auto_discover_rlocs is not None:
                                                return True

                                            if self.ipv4_addrees is not None:
                                                for child_ref in self.ipv4_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv4_interface is not None:
                                                for child_ref in self.ipv4_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_addrees is not None:
                                                for child_ref in self.ipv6_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_interface is not None:
                                                for child_ref in self.ipv6_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.locator_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']


                                    class Limit(object):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\:  int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        if self.limit is not None and self.limit._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.alt is not None and self.alt._has_data():
                                        return True

                                    if self.alt_vrf is not None:
                                        return True

                                    if self.database_mapping is not None and self.database_mapping._has_data():
                                        return True

                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.distance is not None and self.distance._has_data():
                                        return True

                                    if self.eid_table is not None and self.eid_table._has_data():
                                        return True

                                    if self.etr is not None and self.etr._has_data():
                                        return True

                                    if self.etr_enable is not None and self.etr_enable._has_data():
                                        return True

                                    if self.itr is not None and self.itr._has_data():
                                        return True

                                    if self.itr_enable is not None and self.itr_enable._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                        return True

                                    if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                        return True

                                    if self.map_request_source is not None:
                                        return True

                                    if self.proxy_etr is not None:
                                        return True

                                    if self.proxy_itr is not None and self.proxy_itr._has_data():
                                        return True

                                    if self.route_export is not None and self.route_export._has_data():
                                        return True

                                    if self.route_import is not None and self.route_import._has_data():
                                        return True

                                    if self.sgt is not None:
                                        return True

                                    if self.site_registration is not None and self.site_registration._has_data():
                                        return True

                                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                        return True

                                    if self.use_petr is not None:
                                        for child_ref in self.use_petr:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']


                            class Ethernet(object):
                                """
                                
                                
                                .. attribute:: broadcast_underlay
                                
                                	Multicast group to use for underlay
                                	**type**\:   :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay>`
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.broadcast_underlay = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay()
                                    self.broadcast_underlay.parent = self
                                    self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self.default = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_()
                                    self.default.parent = self
                                    self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable()
                                    self.eid_table.parent = self
                                    self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr()
                                    self.etr.parent = self
                                    self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable()
                                    self.etr_enable.parent = self
                                    self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr()
                                    self.itr.parent = self
                                    self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable()
                                    self.itr_enable.parent = self
                                    self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache()
                                    self.map_cache.parent = self
                                    self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self.map_request_source = None
                                    self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration()
                                    self.site_registration.parent = self
                                    self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest()
                                    self.solicit_map_request.parent = self


                                class Default_(object):
                                    """
                                    
                                    
                                    .. attribute:: broadcast_underlay
                                    
                                    	Multicast group to use for underlay
                                    	**type**\:   :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.BroadcastUnderlay>`
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EidTable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EtrEnable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.ItrEnable>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCacheLimit>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SolicitMapRequest>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.broadcast_underlay = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.BroadcastUnderlay()
                                        self.broadcast_underlay.parent = self
                                        self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EidTable()
                                        self.eid_table.parent = self
                                        self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr()
                                        self.etr.parent = self
                                        self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EtrEnable()
                                        self.etr_enable.parent = self
                                        self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr()
                                        self.itr.parent = self
                                        self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.ItrEnable()
                                        self.itr_enable.parent = self
                                        self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache()
                                        self.map_cache.parent = self
                                        self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self.map_request_source = None
                                        self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SiteRegistration()
                                        self.site_registration.parent = self
                                        self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SolicitMapRequest()
                                        self.solicit_map_request.parent = self


                                    class EidTable(object):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vlan
                                        
                                        	VLAN configuration
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.vlan = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.vlan is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EidTable']['meta_info']


                                    class BroadcastUnderlay(object):
                                        """
                                        Multicast group to use for underlay
                                        
                                        .. attribute:: ipv4_multicast
                                        
                                        	IPv4 multicast group address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_multicast
                                        
                                        	IPv6 multicast group address
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4_multicast = None
                                            self.ipv6_multicast = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:broadcast-underlay'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4_multicast is not None:
                                                return True

                                            if self.ipv6_multicast is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.BroadcastUnderlay']['meta_info']


                                    class DatabaseMapping(object):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'
                                            self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.Limit()
                                            self.limit.parent = self


                                        class EidCont(object):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\:  str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface>`
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.ipv4_addrees = YList()
                                                self.ipv4_addrees.parent = self
                                                self.ipv4_addrees.name = 'ipv4_addrees'
                                                self.ipv4_interface = YList()
                                                self.ipv4_interface.parent = self
                                                self.ipv4_interface.name = 'ipv4_interface'
                                                self.ipv6_addrees = YList()
                                                self.ipv6_addrees.parent = self
                                                self.ipv6_addrees.name = 'ipv6_addrees'
                                                self.ipv6_interface = YList()
                                                self.ipv6_interface.parent = self
                                                self.ipv6_interface.name = 'ipv6_interface'
                                                self.locator_set = None


                                            class Ipv4Addrees(object):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                            class Ipv6Addrees(object):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                            class Ipv4Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                            class Ipv6Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.ipv4_addrees is not None:
                                                    for child_ref in self.ipv4_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv4_interface is not None:
                                                    for child_ref in self.ipv4_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_addrees is not None:
                                                    for child_ref in self.ipv6_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_interface is not None:
                                                    for child_ref in self.ipv6_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.locator_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']


                                        class Limit(object):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\:  int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dynamic = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dynamic is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping.Limit']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.limit is not None and self.limit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.DatabaseMapping']['meta_info']


                                    class Itr(object):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.map_resolver = YList()
                                            self.map_resolver.parent = self
                                            self.map_resolver.name = 'map_resolver'


                                        class MapResolver(object):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr.MapResolver']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.map_resolver is not None:
                                                for child_ref in self.map_resolver:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Itr']['meta_info']


                                    class ItrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.itr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.itr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.ItrEnable']['meta_info']


                                    class EtrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.EtrEnable']['meta_info']


                                    class Etr(object):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self.map_cache_ttl = None
                                            self.map_server = YList()
                                            self.map_server.parent = self
                                            self.map_server.name = 'map_server'


                                        class MapServer(object):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None
                                                self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self.proxy_reply = None


                                            class Key(object):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7>`
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self


                                                class KeyPwd(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.hash_function = None
                                                        self.unc_pwd = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.hash_function is not None:
                                                            return True

                                                        if self.unc_pwd is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                class Key0(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_0 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_0 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                                class Key6(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_6 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_6 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                                class Key7(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_7 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_7 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.key_0 is not None and self.key_0._has_data():
                                                        return True

                                                    if self.key_6 is not None and self.key_6._has_data():
                                                        return True

                                                    if self.key_7 is not None and self.key_7._has_data():
                                                        return True

                                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                if self.key is not None and self.key._has_data():
                                                    return True

                                                if self.proxy_reply is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.MapServer']['meta_info']


                                        class AcceptMapRequestMapping(object):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_mappping = None
                                                self.verify = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_mappping is not None:
                                                    return True

                                                if self.verify is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                return True

                                            if self.map_cache_ttl is not None:
                                                return True

                                            if self.map_server is not None:
                                                for child_ref in self.map_server:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.Etr']['meta_info']


                                    class MapCacheLimit(object):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\:  str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max_map_cache_entries = None
                                            self.reserve_list = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max_map_cache_entries is not None:
                                                return True

                                            if self.reserve_list is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCacheLimit']['meta_info']


                                    class SiteRegistration(object):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.limit = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.limit is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SiteRegistration']['meta_info']


                                    class SolicitMapRequest(object):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\:  int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None
                                            self.max_per_entry = None
                                            self.suppression_time = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            if self.max_per_entry is not None:
                                                return True

                                            if self.suppression_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.SolicitMapRequest']['meta_info']


                                    class MapCache(object):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'


                                        class EidCont(object):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\:  str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self


                                            class EtrInterfaceIp(object):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.etr_interface_ip_address = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.etr_interface_ip_address is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache.EidCont']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_.MapCache']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.broadcast_underlay is not None and self.broadcast_underlay._has_data():
                                            return True

                                        if self.database_mapping is not None and self.database_mapping._has_data():
                                            return True

                                        if self.eid_table is not None and self.eid_table._has_data():
                                            return True

                                        if self.etr is not None and self.etr._has_data():
                                            return True

                                        if self.etr_enable is not None and self.etr_enable._has_data():
                                            return True

                                        if self.itr is not None and self.itr._has_data():
                                            return True

                                        if self.itr_enable is not None and self.itr_enable._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                            return True

                                        if self.map_request_source is not None:
                                            return True

                                        if self.site_registration is not None and self.site_registration._has_data():
                                            return True

                                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default_']['meta_info']


                                class EidTable(object):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vlan
                                    
                                    	VLAN configuration
                                    	**type**\:  int
                                    
                                    	**range:** 1..4094
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.vlan = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.vlan is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable']['meta_info']


                                class BroadcastUnderlay(object):
                                    """
                                    Multicast group to use for underlay
                                    
                                    .. attribute:: ipv4_multicast
                                    
                                    	IPv4 multicast group address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_multicast
                                    
                                    	IPv6 multicast group address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_multicast = None
                                        self.ipv6_multicast = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:broadcast-underlay'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_multicast is not None:
                                            return True

                                        if self.ipv6_multicast is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay']['meta_info']


                                class DatabaseMapping(object):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'
                                        self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit()
                                        self.limit.parent = self


                                    class EidCont(object):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\:  str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.ipv4_addrees = YList()
                                            self.ipv4_addrees.parent = self
                                            self.ipv4_addrees.name = 'ipv4_addrees'
                                            self.ipv4_interface = YList()
                                            self.ipv4_interface.parent = self
                                            self.ipv4_interface.name = 'ipv4_interface'
                                            self.ipv6_addrees = YList()
                                            self.ipv6_addrees.parent = self
                                            self.ipv6_addrees.name = 'ipv6_addrees'
                                            self.ipv6_interface = YList()
                                            self.ipv6_interface.parent = self
                                            self.ipv6_interface.name = 'ipv6_interface'
                                            self.locator_set = None


                                        class Ipv4Addrees(object):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                        class Ipv6Addrees(object):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                        class Ipv4Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                        class Ipv6Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.ipv4_addrees is not None:
                                                for child_ref in self.ipv4_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv4_interface is not None:
                                                for child_ref in self.ipv4_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_addrees is not None:
                                                for child_ref in self.ipv6_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_interface is not None:
                                                for child_ref in self.ipv6_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.locator_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']


                                    class Limit(object):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\:  int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        if self.limit is not None and self.limit._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping']['meta_info']


                                class Itr(object):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map_resolver = YList()
                                        self.map_resolver.parent = self
                                        self.map_resolver.name = 'map_resolver'


                                    class MapResolver(object):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map_resolver is not None:
                                            for child_ref in self.map_resolver:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr']['meta_info']


                                class ItrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.itr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.itr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable']['meta_info']


                                class EtrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.etr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.etr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable']['meta_info']


                                class Etr(object):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self.map_cache_ttl = None
                                        self.map_server = YList()
                                        self.map_server.parent = self
                                        self.map_server.name = 'map_server'


                                    class MapServer(object):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None
                                            self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self.proxy_reply = None


                                        class Key(object):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self


                                            class KeyPwd(object):
                                                """
                                                
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.hash_function = None
                                                    self.unc_pwd = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.hash_function is not None:
                                                        return True

                                                    if self.unc_pwd is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info']


                                            class Key0(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_0 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_0 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info']


                                            class Key6(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_6 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_6 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info']


                                            class Key7(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_7 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_7 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.key_0 is not None and self.key_0._has_data():
                                                    return True

                                                if self.key_6 is not None and self.key_6._has_data():
                                                    return True

                                                if self.key_7 is not None and self.key_7._has_data():
                                                    return True

                                                if self.key_pwd is not None and self.key_pwd._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            if self.key is not None and self.key._has_data():
                                                return True

                                            if self.proxy_reply is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer']['meta_info']


                                    class AcceptMapRequestMapping(object):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_mappping = None
                                            self.verify = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_mappping is not None:
                                                return True

                                            if self.verify is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                            return True

                                        if self.map_cache_ttl is not None:
                                            return True

                                        if self.map_server is not None:
                                            for child_ref in self.map_server:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr']['meta_info']


                                class MapCacheLimit(object):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\:  str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max_map_cache_entries = None
                                        self.reserve_list = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max_map_cache_entries is not None:
                                            return True

                                        if self.reserve_list is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit']['meta_info']


                                class SiteRegistration(object):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.limit = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.limit is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration']['meta_info']


                                class SolicitMapRequest(object):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\:  int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None
                                        self.max_per_entry = None
                                        self.suppression_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        if self.max_per_entry is not None:
                                            return True

                                        if self.suppression_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest']['meta_info']


                                class MapCache(object):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'


                                    class EidCont(object):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\:  str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self


                                        class EtrInterfaceIp(object):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr_interface_ip_address = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr_interface_ip_address is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ethernet'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.broadcast_underlay is not None and self.broadcast_underlay._has_data():
                                        return True

                                    if self.database_mapping is not None and self.database_mapping._has_data():
                                        return True

                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.eid_table is not None and self.eid_table._has_data():
                                        return True

                                    if self.etr is not None and self.etr._has_data():
                                        return True

                                    if self.etr_enable is not None and self.etr_enable._has_data():
                                        return True

                                    if self.itr is not None and self.itr._has_data():
                                        return True

                                    if self.itr_enable is not None and self.itr_enable._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                        return True

                                    if self.map_request_source is not None:
                                        return True

                                    if self.site_registration is not None and self.site_registration._has_data():
                                        return True

                                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:service'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.ethernet is not None and self.ethernet._has_data():
                                    return True

                                if self.ipv4 is not None and self.ipv4._has_data():
                                    return True

                                if self.ipv6 is not None and self.ipv6._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList.Service']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.instance_id is None:
                                raise YPYModelError('Key property instance_id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.instance_id is not None:
                                return True

                            if self.decapsulation is not None and self.decapsulation._has_data():
                                return True

                            if self.default is not None and self.default._has_data():
                                return True

                            if self.disable_ttl_propagate is not None:
                                return True

                            if self.dynamic_eid is not None:
                                for child_ref in self.dynamic_eid:
                                    if child_ref._has_data():
                                        return True

                            if self.loc_reach_algorithm is not None and self.loc_reach_algorithm._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.other_xtr_probe is not None and self.other_xtr_probe._has_data():
                                return True

                            if self.remote_rloc_probe is not None and self.remote_rloc_probe._has_data():
                                return True

                            if self.service is not None and self.service._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.InstanceContainer.InstanceList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-container'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.instance_list is not None:
                            for child_ref in self.instance_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.InstanceContainer']['meta_info']


                class Alt(object):
                    """
                    LISP Alternative Topology, LISP\-ALT
                    
                    .. attribute:: summary_route
                    
                    	Summary route to install into the ALT table
                    	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Alt.SummaryRoute>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.summary_route = YList()
                        self.summary_route.parent = self
                        self.summary_route.name = 'summary_route'


                    class SummaryRoute(object):
                        """
                        Summary route to install into the ALT table
                        
                        .. attribute:: eid_prefix  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        
                        ----
                        .. attribute:: route_tag
                        
                        	ALT RIB route tag for EID prefix
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eid_prefix = None
                            self.route_tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.eid_prefix is None:
                                raise YPYModelError('Key property eid_prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eid_prefix is not None:
                                return True

                            if self.route_tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Alt.SummaryRoute']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.summary_route is not None:
                            for child_ref in self.summary_route:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.Alt']['meta_info']


                class ControlPacket(object):
                    """
                    Configure control packet tx option
                    
                    .. attribute:: mtu
                    
                    	Configure control packet MTU
                    	**type**\:  int
                    
                    	**range:** 304..10000
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.mtu = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:control-packet'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.mtu is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.ControlPacket']['meta_info']


                class Ddt(object):
                    """
                    Delegated Database Tree (DDT) mapping system
                    
                    .. attribute:: authoritative
                    
                    	DDT authoritative prefix
                    	**type**\:   :py:class:`Authoritative <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ddt.Authoritative>`
                    
                    .. attribute:: cache_limit
                    
                    	DDT resolver cache entry limit
                    	**type**\:  int
                    
                    	**range:** 1..100000
                    
                    .. attribute:: root
                    
                    	DDT root node
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.authoritative = Native.Router.LispList.Default.Ddt.Authoritative()
                        self.authoritative.parent = self
                        self.cache_limit = None
                        self.root = None


                    class Authoritative(object):
                        """
                        DDT authoritative prefix
                        
                        .. attribute:: instance_id_eid_prefix_list
                        
                        	
                        	**type**\: list of    :py:class:`InstanceIdEidPrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList>`
                        
                        .. attribute:: instance_id_list
                        
                        	
                        	**type**\: list of    :py:class:`InstanceIdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.instance_id_eid_prefix_list = YList()
                            self.instance_id_eid_prefix_list.parent = self
                            self.instance_id_eid_prefix_list.name = 'instance_id_eid_prefix_list'
                            self.instance_id_list = YList()
                            self.instance_id_list.parent = self
                            self.instance_id_list.name = 'instance_id_list'


                        class InstanceIdEidPrefixList(object):
                            """
                            
                            
                            .. attribute:: instance_id  <key>
                            
                            	EID instance\-ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: eid_prefix  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: delegate
                            
                            	DDT delegation to a child DDT node or map\-server
                            	**type**\:   :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate>`
                            
                            .. attribute:: map_server_peer
                            
                            	Peer map\-servers that are authoritative for the same EID prefixes
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.instance_id = None
                                self.eid_prefix = None
                                self.delegate = Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate()
                                self.delegate.parent = self
                                self.map_server_peer = None


                            class Delegate(object):
                                """
                                DDT delegation to a child DDT node or map\-server
                                
                                .. attribute:: eid_prefix
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: instance_id
                                
                                	EID instance\-ID
                                	**type**\:  str
                                
                                .. attribute:: ip_address
                                
                                	IPv4/6 Child or map\-server node locator address
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: map_server
                                
                                	Delegation points to a map\-server
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: to
                                
                                	DDT delegation to a child DDT node or map\-server
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eid_prefix = None
                                    self.instance_id = None
                                    self.ip_address = None
                                    self.map_server = None
                                    self.to = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:delegate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eid_prefix is not None:
                                        return True

                                    if self.instance_id is not None:
                                        return True

                                    if self.ip_address is not None:
                                        return True

                                    if self.map_server is not None:
                                        return True

                                    if self.to is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.instance_id is None:
                                    raise YPYModelError('Key property instance_id is None')
                                if self.eid_prefix is None:
                                    raise YPYModelError('Key property eid_prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id-eid-prefix-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + '][Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.instance_id is not None:
                                    return True

                                if self.eid_prefix is not None:
                                    return True

                                if self.delegate is not None and self.delegate._has_data():
                                    return True

                                if self.map_server_peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info']


                        class InstanceIdList(object):
                            """
                            
                            
                            .. attribute:: instance_id  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: delegate
                            
                            	DDT delegation to a child DDT node or map\-server
                            	**type**\:   :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList.Delegate>`
                            
                            .. attribute:: map_server_peer
                            
                            	Peer map\-servers that are authoritative for the same EID prefixes
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.instance_id = None
                                self.delegate = Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList.Delegate()
                                self.delegate.parent = self
                                self.map_server_peer = None


                            class Delegate(object):
                                """
                                DDT delegation to a child DDT node or map\-server
                                
                                .. attribute:: eid_prefix
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: instance_id
                                
                                	EID instance\-ID
                                	**type**\:  str
                                
                                .. attribute:: ip_address
                                
                                	IPv4/6 Child or map\-server node locator address
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: map_server
                                
                                	Delegation points to a map\-server
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: to
                                
                                	DDT delegation to a child DDT node or map\-server
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eid_prefix = None
                                    self.instance_id = None
                                    self.ip_address = None
                                    self.map_server = None
                                    self.to = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:delegate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eid_prefix is not None:
                                        return True

                                    if self.instance_id is not None:
                                        return True

                                    if self.ip_address is not None:
                                        return True

                                    if self.map_server is not None:
                                        return True

                                    if self.to is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList.Delegate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.instance_id is None:
                                    raise YPYModelError('Key property instance_id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.instance_id is not None:
                                    return True

                                if self.delegate is not None and self.delegate._has_data():
                                    return True

                                if self.map_server_peer is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:authoritative'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.instance_id_eid_prefix_list is not None:
                                for child_ref in self.instance_id_eid_prefix_list:
                                    if child_ref._has_data():
                                        return True

                            if self.instance_id_list is not None:
                                for child_ref in self.instance_id_list:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ddt.Authoritative']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ddt'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.authoritative is not None and self.authoritative._has_data():
                            return True

                        if self.cache_limit is not None:
                            return True

                        if self.root is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.Ddt']['meta_info']


                class Decapsulation(object):
                    """
                    Decapsulation behavior (e.g. filters)
                    
                    .. attribute:: filter
                    
                    	Filters traffic
                    	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Decapsulation.Filter>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.filter = Native.Router.LispList.Default.Decapsulation.Filter()
                        self.filter.parent = self


                    class Filter(object):
                        """
                        Filters traffic
                        
                        .. attribute:: rloc
                        
                        	Filter based on Routing Locator (RLOC) in packet header
                        	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Decapsulation.Filter.Rloc>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.rloc = Native.Router.LispList.Default.Decapsulation.Filter.Rloc()
                            self.rloc.parent = self


                        class Rloc(object):
                            """
                            Filter based on Routing Locator (RLOC) in packet header
                            
                            .. attribute:: source
                            
                            	Filters traffic based on RLOC source address
                            	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Decapsulation.Filter.Rloc.Source>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.source = Native.Router.LispList.Default.Decapsulation.Filter.Rloc.Source()
                                self.source.parent = self


                            class Source(object):
                                """
                                Filters traffic based on RLOC source address
                                
                                .. attribute:: locator_set
                                
                                	Locator\-set Name
                                	**type**\:  str
                                
                                .. attribute:: member
                                
                                	Members learned from map\-server
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.member = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.member is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Decapsulation.Filter.Rloc.Source']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.source is not None and self.source._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Decapsulation.Filter.Rloc']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:filter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.rloc is not None and self.rloc._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Decapsulation.Filter']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:decapsulation'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.filter is not None and self.filter._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.Decapsulation']['meta_info']


                class Etr(object):
                    """
                    Configures a LISP Egress Tunnel Router (ETR)
                    
                    .. attribute:: map_server
                    
                    	Configures map server for ETR registration
                    	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Etr.MapServer>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.map_server = Native.Router.LispList.Default.Etr.MapServer()
                        self.map_server.parent = self


                    class MapServer(object):
                        """
                        Configures map server for ETR registration
                        
                        .. attribute:: source_address
                        
                        	Configures map server source address
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.source_address = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.source_address is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Etr.MapServer']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.map_server is not None and self.map_server._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.Etr']['meta_info']


                class Ipv4(object):
                    """
                    IPv4 address family
                    
                    .. attribute:: alt_vrf
                    
                    	Activate LISP\-ALT functionality in VRF
                    	**type**\:  str
                    
                    	**status**\: deprecated
                    
                    .. attribute:: database_mapping
                    
                    	Address family specific local EID prefixes database configuration
                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.DatabaseMapping>`
                    
                    .. attribute:: distance
                    
                    	Administrative distance for RIB route installation
                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.Distance>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.Etr>`
                    
                    .. attribute:: etr_enable
                    
                    	
                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.EtrEnable>`
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.Itr>`
                    
                    .. attribute:: itr_enable
                    
                    	
                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.ItrEnable>`
                    
                    .. attribute:: locator
                    
                    	Locator related configuration
                    	**type**\:   :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.Locator>`
                    
                    .. attribute:: map_cache
                    
                    	Address family specific map cache configuration
                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapCache>`
                    
                    .. attribute:: map_cache_limit
                    
                    	Configures maximum size of map\-cache
                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapCacheLimit>`
                    
                    .. attribute:: map_cache_persistent
                    
                    	Dump map\-cache onto flash, making it persistent across reboots
                    	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapCachePersistent>`
                    
                    .. attribute:: map_request_source
                    
                    	Configures inner header source address in Map\-Request message
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: map_resolver
                    
                    	Configures a LISP Map Resolver (MR)
                    	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapResolver>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: map_server
                    
                    	Configures a LISP Map Server (MS)
                    	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: path_mtu_discovery
                    
                    	Path MTU discovery
                    	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.PathMtuDiscovery>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: proxy_etr
                    
                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: proxy_itr
                    
                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                    	**type**\: one of the below types:
                    
                    	**type**\:  list of str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  list of str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: route_export
                    
                    	Export routes into RIB from LISP
                    	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteExport>`
                    
                    .. attribute:: route_import
                    
                    	Import RIB routes by a routing protocol into LISP
                    	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport>`
                    
                    .. attribute:: sgt
                    
                    	Enable security group tag propagation in LISP encapsulated traffic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: site_registration
                    
                    	Site registrations configuration for a given instance\-id
                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.SiteRegistration>`
                    
                    .. attribute:: solicit_map_request
                    
                    	Configure Solicit\-Map\-Request handling
                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.SolicitMapRequest>`
                    
                    .. attribute:: use_petr
                    
                    	Encapsulate to Proxy ETR when matching forward\-native entry
                    	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.UsePetr>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.alt_vrf = None
                        self.database_mapping = Native.Router.LispList.Default.Ipv4.DatabaseMapping()
                        self.database_mapping.parent = self
                        self.distance = Native.Router.LispList.Default.Ipv4.Distance()
                        self.distance.parent = self
                        self.etr = Native.Router.LispList.Default.Ipv4.Etr()
                        self.etr.parent = self
                        self.etr_enable = Native.Router.LispList.Default.Ipv4.EtrEnable()
                        self.etr_enable.parent = self
                        self.itr = Native.Router.LispList.Default.Ipv4.Itr()
                        self.itr.parent = self
                        self.itr_enable = Native.Router.LispList.Default.Ipv4.ItrEnable()
                        self.itr_enable.parent = self
                        self.locator = Native.Router.LispList.Default.Ipv4.Locator()
                        self.locator.parent = self
                        self.map_cache = Native.Router.LispList.Default.Ipv4.MapCache()
                        self.map_cache.parent = self
                        self.map_cache_limit = Native.Router.LispList.Default.Ipv4.MapCacheLimit()
                        self.map_cache_limit.parent = self
                        self.map_cache_persistent = Native.Router.LispList.Default.Ipv4.MapCachePersistent()
                        self.map_cache_persistent.parent = self
                        self.map_request_source = None
                        self.map_resolver = None
                        self.map_server = None
                        self.path_mtu_discovery = None
                        self.proxy_etr = None
                        self.proxy_itr = YLeafList()
                        self.proxy_itr.parent = self
                        self.proxy_itr.name = 'proxy_itr'
                        self.route_export = Native.Router.LispList.Default.Ipv4.RouteExport()
                        self.route_export.parent = self
                        self.route_import = Native.Router.LispList.Default.Ipv4.RouteImport()
                        self.route_import.parent = self
                        self.sgt = None
                        self.site_registration = Native.Router.LispList.Default.Ipv4.SiteRegistration()
                        self.site_registration.parent = self
                        self.solicit_map_request = Native.Router.LispList.Default.Ipv4.SolicitMapRequest()
                        self.solicit_map_request.parent = self
                        self.use_petr = YList()
                        self.use_petr.parent = self
                        self.use_petr.name = 'use_petr'


                    class DatabaseMapping(object):
                        """
                        Address family specific local EID prefixes database configuration
                        
                        .. attribute:: limit
                        
                        	Configures the maximum size of local EID prefixes database
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.DatabaseMapping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Router.LispList.Default.Ipv4.DatabaseMapping.Limit()
                            self.limit.parent = self


                        class Limit(object):
                            """
                            Configures the maximum size of local EID prefixes database
                            
                            .. attribute:: dynamic
                            
                            	Configures the maximum size of dynamic local EID prefixes database
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Ipv4.DatabaseMapping.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv4.DatabaseMapping']['meta_info']


                    class Distance(object):
                        """
                        Administrative distance for RIB route installation
                        
                        .. attribute:: alt
                        
                        	LISP routes installed in the ALT table
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: dyn_eid
                        
                        	LISP installed routes of type dynamic\-EID
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: site_registrations
                        
                        	LISP installed routes of type site\-registrations
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.alt = None
                            self.dyn_eid = None
                            self.site_registrations = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.alt is not None:
                                return True

                            if self.dyn_eid is not None:
                                return True

                            if self.site_registrations is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv4.Distance']['meta_info']


                    class Itr(object):
                        """
                        Configures a LISP Ingress Tunnel Router (ITR)
                        
                        .. attribute:: map_resolver
                        
                        	Configures map\-resolver address for sending Map\-Requests
                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.Itr.MapResolver>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.map_resolver = YList()
                            self.map_resolver.parent = self
                            self.map_resolver.name = 'map_resolver'


                        class MapResolver(object):
                            """
                            Configures map\-resolver address for sending Map\-Requests
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Ipv4.Itr.MapResolver']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.map_resolver is not None:
                                for child_ref in self.map_resolver:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv4.Itr']['meta_info']


                    class ItrEnable(object):
                        """
                        
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.itr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.itr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv4.ItrEnable']['meta_info']


                    class Etr(object):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.Etr.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.map_server = YList()
                            self.map_server.parent = self
                            self.map_server.name = 'map_server'


                        class MapServer(object):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.Etr.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None
                                self.key = Native.Router.LispList.Default.Ipv4.Etr.MapServer.Key()
                                self.key.parent = self
                                self.proxy_reply = None


                            class Key(object):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                .. attribute:: key_6
                                
                                	The ENCRYPTED password
                                	**type**\:  str
                                
                                .. attribute:: key_7
                                
                                	The HIDDEN password
                                	**type**\:  str
                                
                                .. attribute:: pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_0 = None
                                    self.key_6 = None
                                    self.key_7 = None
                                    self.pwd = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_0 is not None:
                                        return True

                                    if self.key_6 is not None:
                                        return True

                                    if self.key_7 is not None:
                                        return True

                                    if self.pwd is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv4.Etr.MapServer.Key']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                if self.key is not None and self.key._has_data():
                                    return True

                                if self.proxy_reply is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Ipv4.Etr.MapServer']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.map_server is not None:
                                for child_ref in self.map_server:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv4.Etr']['meta_info']


                    class EtrEnable(object):
                        """
                        
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.etr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.etr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv4.EtrEnable']['meta_info']


                    class Locator(object):
                        """
                        Locator related configuration
                        
                        .. attribute:: reachability
                        
                        	Configuration realted to locator reachability
                        	**type**\:   :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.Locator.Reachability>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reachability = Native.Router.LispList.Default.Ipv4.Locator.Reachability()
                            self.reachability.parent = self


                        class Reachability(object):
                            """
                            Configuration realted to locator reachability
                            
                            .. attribute:: exclude_default
                            
                            	If a remote RLOC is reached via the default route, treat it as unreachable
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.exclude_default = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:reachability'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.exclude_default is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Ipv4.Locator.Reachability']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reachability is not None and self.reachability._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv4.Locator']['meta_info']


                    class MapCache(object):
                        """
                        Address family specific map cache configuration
                        
                        .. attribute:: site_registration
                        
                        	Install map cache to map request for site registrations
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.site_registration = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.site_registration is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv4.MapCache']['meta_info']


                    class MapCacheLimit(object):
                        """
                        Configures maximum size of map\-cache
                        
                        .. attribute:: max_map_cache_entries
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..100000
                        
                        .. attribute:: reserve_list
                        
                        	EID\-prefixes guaranteed to be stored in map\-cache
                        	**type**\:  str
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max_map_cache_entries = None
                            self.reserve_list = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max_map_cache_entries is not None:
                                return True

                            if self.reserve_list is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv4.MapCacheLimit']['meta_info']


                    class MapCachePersistent(object):
                        """
                        Dump map\-cache onto flash, making it persistent across reboots
                        
                        .. attribute:: interval
                        
                        	Interval in minutes of how often the map\-cache is saved
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interval = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv4.MapCachePersistent']['meta_info']


                    class MapResolver(object):
                        """
                        Configures a LISP Map Resolver (MR)
                        
                        .. attribute:: map_request
                        
                        	Map\-Request processing options
                        	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.map_request = Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest()
                            self.map_request.parent = self


                        class MapRequest(object):
                            """
                            Map\-Request processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.validate = Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate()
                                self.validate.parent = self


                            class Validate(object):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	Influence which source RLOCs map requests are accepted from
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    Influence which source RLOCs map requests are accepted from
                                    
                                    .. attribute:: ipv4
                                    
                                    	IPv4 prefixes
                                    	**type**\:  str
                                    
                                    .. attribute:: ipv6
                                    
                                    	IPv6 prefixes
                                    	**type**\:  str
                                    
                                    .. attribute:: list
                                    
                                    	Define allowed prefixes using an ip[v6] prefix list
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: registered
                                    
                                    	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None
                                        self.ipv6 = None
                                        self.list = None
                                        self.registered = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        if self.ipv6 is not None:
                                            return True

                                        if self.list is not None:
                                            return True

                                        if self.registered is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.validate is not None and self.validate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.map_request is not None and self.map_request._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv4.MapResolver']['meta_info']


                    class MapServer(object):
                        """
                        Configures a LISP Map Server (MS)
                        
                        .. attribute:: map_register
                        
                        	Map\-Register processing options
                        	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapServer.MapRegister>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.map_register = Native.Router.LispList.Default.Ipv4.MapServer.MapRegister()
                            self.map_register.parent = self


                        class MapRegister(object):
                            """
                            Map\-Register processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.validate = Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate()
                                self.validate.parent = self


                            class Validate(object):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	RLOC Source IP address
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    RLOC Source IP address
                                    
                                    .. attribute:: allowed_locator
                                    
                                    	Against sites' allowed\-locators policy
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.allowed_locator = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.allowed_locator is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.validate is not None and self.validate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Ipv4.MapServer.MapRegister']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.map_register is not None and self.map_register._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv4.MapServer']['meta_info']


                    class PathMtuDiscovery(object):
                        """
                        Path MTU discovery
                        
                        .. attribute:: max
                        
                        	Upper bound on the path MTU accepted
                        	**type**\:  int
                        
                        	**range:** 68..65535
                        
                        .. attribute:: min
                        
                        	Lower bound on the path MTU accepted
                        	**type**\:  int
                        
                        	**range:** 68..65535
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.max = None
                            self.min = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:path-mtu-discovery'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.max is not None:
                                return True

                            if self.min is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv4.PathMtuDiscovery']['meta_info']


                    class RouteExport(object):
                        """
                        Export routes into RIB from LISP
                        
                        .. attribute:: away_eids
                        
                        	Export LISP away EIDs to RIB
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registrations
                        
                        	Export LISP site registrations to RIB
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.away_eids = None
                            self.site_registrations = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.away_eids is not None:
                                return True

                            if self.site_registrations is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteExport']['meta_info']


                    class RouteImport(object):
                        """
                        Import RIB routes by a routing protocol into LISP
                        
                        .. attribute:: database
                        
                        	Use RIB routes to define local EID database entries
                        	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database>`
                        
                        .. attribute:: map_cache
                        
                        	Use RIB routes to define EID address space in map\-cache
                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.database = Native.Router.LispList.Default.Ipv4.RouteImport.Database()
                            self.database.parent = self
                            self.map_cache = Native.Router.LispList.Default.Ipv4.RouteImport.MapCache()
                            self.map_cache.parent = self


                        class Database(object):
                            """
                            Use RIB routes to define local EID database entries
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected>`
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis>`
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes to pick up from the RIB
                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.MaximumPrefix>`
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bgp = YList()
                                self.bgp.parent = self
                                self.bgp.name = 'bgp'
                                self.connected = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected()
                                self.connected.parent = self
                                self.eigrp = YList()
                                self.eigrp.parent = self
                                self.eigrp.name = 'eigrp'
                                self.isis = YList()
                                self.isis.parent = self
                                self.isis.name = 'isis'
                                self.maximum_prefix = Native.Router.LispList.Default.Ipv4.RouteImport.Database.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.ospfv3 = YList()
                                self.ospfv3.parent = self
                                self.ospfv3.name = 'ospfv3'
                                self.rip = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip()
                                self.rip.parent = self
                                self.static = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static()
                                self.static.parent = self


                            class Bgp(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp']['meta_info']


                            class Isis(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis']['meta_info']


                            class MaximumPrefix(object):
                                """
                                Maximum number of prefixes to pick up from the RIB
                                
                                .. attribute:: number
                                
                                	
                                	**type**\:  int
                                
                                	**range:** \-2147483648..2147483647
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold1
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only
                                
                                	Only give a warning message and do not limit entries
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: warning_only1
                                
                                	Only give a warning message and do not limit entries
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.threshold = None
                                    self.threshold1 = None
                                    self.warning_only = None
                                    self.warning_only1 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    if self.threshold1 is not None:
                                        return True

                                    if self.warning_only is not None:
                                        return True

                                    if self.warning_only1 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf']['meta_info']


                            class Ospfv3(object):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bgp is not None:
                                    for child_ref in self.bgp:
                                        if child_ref._has_data():
                                            return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.eigrp is not None:
                                    for child_ref in self.eigrp:
                                        if child_ref._has_data():
                                            return True

                                if self.isis is not None:
                                    for child_ref in self.isis:
                                        if child_ref._has_data():
                                            return True

                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.ospfv3 is not None:
                                    for child_ref in self.ospfv3:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None and self.rip._has_data():
                                    return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.Database']['meta_info']


                        class MapCache(object):
                            """
                            Use RIB routes to define EID address space in map\-cache
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Isis>`
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes to pick up from the RIB
                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bgp = YList()
                                self.bgp.parent = self
                                self.bgp.name = 'bgp'
                                self.connected = None
                                self.eigrp = YList()
                                self.eigrp.parent = self
                                self.eigrp.name = 'eigrp'
                                self.isis = YList()
                                self.isis.parent = self
                                self.isis.name = 'isis'
                                self.maximum_prefix = Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.ospfv3 = YList()
                                self.ospfv3.parent = self
                                self.ospfv3.name = 'ospfv3'
                                self.rip = None
                                self.static = None


                            class Bgp(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Bgp']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Connected']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']


                            class Isis(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Isis']['meta_info']


                            class MaximumPrefix(object):
                                """
                                Maximum number of prefixes to pick up from the RIB
                                
                                .. attribute:: number
                                
                                	
                                	**type**\:  int
                                
                                	**range:** \-2147483648..2147483647
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold1
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only
                                
                                	Only give a warning message and do not limit entries
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: warning_only1
                                
                                	Only give a warning message and do not limit entries
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.threshold = None
                                    self.threshold1 = None
                                    self.warning_only = None
                                    self.warning_only1 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    if self.threshold1 is not None:
                                        return True

                                    if self.warning_only is not None:
                                        return True

                                    if self.warning_only1 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospf']['meta_info']


                            class Ospfv3(object):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Static']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bgp is not None:
                                    for child_ref in self.bgp:
                                        if child_ref._has_data():
                                            return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.eigrp is not None:
                                    for child_ref in self.eigrp:
                                        if child_ref._has_data():
                                            return True

                                if self.isis is not None:
                                    for child_ref in self.isis:
                                        if child_ref._has_data():
                                            return True

                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.ospfv3 is not None:
                                    for child_ref in self.ospfv3:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None and self.rip._has_data():
                                    return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport.MapCache']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.database is not None and self.database._has_data():
                                return True

                            if self.map_cache is not None and self.map_cache._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv4.RouteImport']['meta_info']


                    class SiteRegistration(object):
                        """
                        Site registrations configuration for a given instance\-id
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations for a given instance\-id
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv4.SiteRegistration']['meta_info']


                    class SolicitMapRequest(object):
                        """
                        Configure Solicit\-Map\-Request handling
                        
                        .. attribute:: ignore
                        
                        	Ignore SMR bit in incoming Map\-Requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_per_entry
                        
                        	Maximum number of SMRs for addresses under a map\-cache entry
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        .. attribute:: suppression_time
                        
                        	How long to suppress repeated SMRs for the same address
                        	**type**\:  int
                        
                        	**range:** 1..600
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ignore = None
                            self.max_per_entry = None
                            self.suppression_time = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ignore is not None:
                                return True

                            if self.max_per_entry is not None:
                                return True

                            if self.suppression_time is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv4.SolicitMapRequest']['meta_info']


                    class UsePetr(object):
                        """
                        Encapsulate to Proxy ETR when matching forward\-native entry
                        
                        .. attribute:: locator_address  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: priority
                        
                        	Configures which Locators from a set are preferred
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: weight
                        
                        	Traffic load\-spreading among Locators
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.locator_address = None
                            self.priority = None
                            self.weight = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.locator_address is None:
                                raise YPYModelError('Key property locator_address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.locator_address is not None:
                                return True

                            if self.priority is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv4.UsePetr']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.alt_vrf is not None:
                            return True

                        if self.database_mapping is not None and self.database_mapping._has_data():
                            return True

                        if self.distance is not None and self.distance._has_data():
                            return True

                        if self.etr is not None and self.etr._has_data():
                            return True

                        if self.etr_enable is not None and self.etr_enable._has_data():
                            return True

                        if self.itr is not None and self.itr._has_data():
                            return True

                        if self.itr_enable is not None and self.itr_enable._has_data():
                            return True

                        if self.locator is not None and self.locator._has_data():
                            return True

                        if self.map_cache is not None and self.map_cache._has_data():
                            return True

                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                            return True

                        if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                            return True

                        if self.map_request_source is not None:
                            return True

                        if self.map_resolver is not None and self.map_resolver._has_data():
                            return True

                        if self.map_server is not None and self.map_server._has_data():
                            return True

                        if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                            return True

                        if self.proxy_etr is not None:
                            return True

                        if self.proxy_itr is not None:
                            for child in self.proxy_itr:
                                if child is not None:
                                    return True

                        if self.route_export is not None and self.route_export._has_data():
                            return True

                        if self.route_import is not None and self.route_import._has_data():
                            return True

                        if self.sgt is not None:
                            return True

                        if self.site_registration is not None and self.site_registration._has_data():
                            return True

                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                            return True

                        if self.use_petr is not None:
                            for child_ref in self.use_petr:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.Ipv4']['meta_info']


                class Ipv6(object):
                    """
                    IPv6 address family
                    
                    .. attribute:: alt_vrf
                    
                    	Activate LISP\-ALT functionality in VRF
                    	**type**\:  str
                    
                    	**status**\: deprecated
                    
                    .. attribute:: database_mapping
                    
                    	Address family specific local EID prefixes database configuration
                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.DatabaseMapping>`
                    
                    .. attribute:: distance
                    
                    	Administrative distance for RIB route installation
                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.Distance>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.Etr>`
                    
                    .. attribute:: etr_enable
                    
                    	
                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.EtrEnable>`
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.Itr>`
                    
                    .. attribute:: itr_enable
                    
                    	
                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.ItrEnable>`
                    
                    .. attribute:: locator
                    
                    	Locator related configuration
                    	**type**\:   :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.Locator>`
                    
                    .. attribute:: map_cache
                    
                    	Address family specific map cache configuration
                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapCache>`
                    
                    .. attribute:: map_cache_limit
                    
                    	Configures maximum size of map\-cache
                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapCacheLimit>`
                    
                    .. attribute:: map_cache_persistent
                    
                    	Dump map\-cache onto flash, making it persistent across reboots
                    	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapCachePersistent>`
                    
                    .. attribute:: map_request_source
                    
                    	Configures inner header source address in Map\-Request message
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: map_resolver
                    
                    	Configures a LISP Map Resolver (MR)
                    	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapResolver>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: map_server
                    
                    	Configures a LISP Map Server (MS)
                    	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: path_mtu_discovery
                    
                    	Path MTU discovery
                    	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.PathMtuDiscovery>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: proxy_etr
                    
                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: proxy_itr
                    
                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                    	**type**\: one of the below types:
                    
                    	**type**\:  list of str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  list of str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: route_export
                    
                    	Export routes into RIB from LISP
                    	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteExport>`
                    
                    .. attribute:: route_import
                    
                    	Import RIB routes by a routing protocol into LISP
                    	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport>`
                    
                    .. attribute:: sgt
                    
                    	Enable security group tag propagation in LISP encapsulated traffic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: site_registration
                    
                    	Site registrations configuration for a given instance\-id
                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.SiteRegistration>`
                    
                    .. attribute:: solicit_map_request
                    
                    	Configure Solicit\-Map\-Request handling
                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.SolicitMapRequest>`
                    
                    .. attribute:: use_petr
                    
                    	Encapsulate to Proxy ETR when matching forward\-native entry
                    	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.UsePetr>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.alt_vrf = None
                        self.database_mapping = Native.Router.LispList.Default.Ipv6.DatabaseMapping()
                        self.database_mapping.parent = self
                        self.distance = Native.Router.LispList.Default.Ipv6.Distance()
                        self.distance.parent = self
                        self.etr = Native.Router.LispList.Default.Ipv6.Etr()
                        self.etr.parent = self
                        self.etr_enable = Native.Router.LispList.Default.Ipv6.EtrEnable()
                        self.etr_enable.parent = self
                        self.itr = Native.Router.LispList.Default.Ipv6.Itr()
                        self.itr.parent = self
                        self.itr_enable = Native.Router.LispList.Default.Ipv6.ItrEnable()
                        self.itr_enable.parent = self
                        self.locator = Native.Router.LispList.Default.Ipv6.Locator()
                        self.locator.parent = self
                        self.map_cache = Native.Router.LispList.Default.Ipv6.MapCache()
                        self.map_cache.parent = self
                        self.map_cache_limit = Native.Router.LispList.Default.Ipv6.MapCacheLimit()
                        self.map_cache_limit.parent = self
                        self.map_cache_persistent = Native.Router.LispList.Default.Ipv6.MapCachePersistent()
                        self.map_cache_persistent.parent = self
                        self.map_request_source = None
                        self.map_resolver = None
                        self.map_server = None
                        self.path_mtu_discovery = None
                        self.proxy_etr = None
                        self.proxy_itr = YLeafList()
                        self.proxy_itr.parent = self
                        self.proxy_itr.name = 'proxy_itr'
                        self.route_export = Native.Router.LispList.Default.Ipv6.RouteExport()
                        self.route_export.parent = self
                        self.route_import = Native.Router.LispList.Default.Ipv6.RouteImport()
                        self.route_import.parent = self
                        self.sgt = None
                        self.site_registration = Native.Router.LispList.Default.Ipv6.SiteRegistration()
                        self.site_registration.parent = self
                        self.solicit_map_request = Native.Router.LispList.Default.Ipv6.SolicitMapRequest()
                        self.solicit_map_request.parent = self
                        self.use_petr = YList()
                        self.use_petr.parent = self
                        self.use_petr.name = 'use_petr'


                    class DatabaseMapping(object):
                        """
                        Address family specific local EID prefixes database configuration
                        
                        .. attribute:: limit
                        
                        	Configures the maximum size of local EID prefixes database
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.DatabaseMapping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Router.LispList.Default.Ipv6.DatabaseMapping.Limit()
                            self.limit.parent = self


                        class Limit(object):
                            """
                            Configures the maximum size of local EID prefixes database
                            
                            .. attribute:: dynamic
                            
                            	Configures the maximum size of dynamic local EID prefixes database
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Ipv6.DatabaseMapping.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv6.DatabaseMapping']['meta_info']


                    class Distance(object):
                        """
                        Administrative distance for RIB route installation
                        
                        .. attribute:: alt
                        
                        	LISP routes installed in the ALT table
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: dyn_eid
                        
                        	LISP installed routes of type dynamic\-EID
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: site_registrations
                        
                        	LISP installed routes of type site\-registrations
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.alt = None
                            self.dyn_eid = None
                            self.site_registrations = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.alt is not None:
                                return True

                            if self.dyn_eid is not None:
                                return True

                            if self.site_registrations is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv6.Distance']['meta_info']


                    class Itr(object):
                        """
                        Configures a LISP Ingress Tunnel Router (ITR)
                        
                        .. attribute:: map_resolver
                        
                        	Configures map\-resolver address for sending Map\-Requests
                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.Itr.MapResolver>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.map_resolver = YList()
                            self.map_resolver.parent = self
                            self.map_resolver.name = 'map_resolver'


                        class MapResolver(object):
                            """
                            Configures map\-resolver address for sending Map\-Requests
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Ipv6.Itr.MapResolver']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.map_resolver is not None:
                                for child_ref in self.map_resolver:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv6.Itr']['meta_info']


                    class ItrEnable(object):
                        """
                        
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.itr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.itr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv6.ItrEnable']['meta_info']


                    class Etr(object):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.Etr.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.map_server = YList()
                            self.map_server.parent = self
                            self.map_server.name = 'map_server'


                        class MapServer(object):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.Etr.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None
                                self.key = Native.Router.LispList.Default.Ipv6.Etr.MapServer.Key()
                                self.key.parent = self
                                self.proxy_reply = None


                            class Key(object):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                .. attribute:: key_6
                                
                                	The ENCRYPTED password
                                	**type**\:  str
                                
                                .. attribute:: key_7
                                
                                	The HIDDEN password
                                	**type**\:  str
                                
                                .. attribute:: pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_0 = None
                                    self.key_6 = None
                                    self.key_7 = None
                                    self.pwd = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_0 is not None:
                                        return True

                                    if self.key_6 is not None:
                                        return True

                                    if self.key_7 is not None:
                                        return True

                                    if self.pwd is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv6.Etr.MapServer.Key']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                if self.key is not None and self.key._has_data():
                                    return True

                                if self.proxy_reply is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Ipv6.Etr.MapServer']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.map_server is not None:
                                for child_ref in self.map_server:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv6.Etr']['meta_info']


                    class EtrEnable(object):
                        """
                        
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.etr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.etr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv6.EtrEnable']['meta_info']


                    class Locator(object):
                        """
                        Locator related configuration
                        
                        .. attribute:: reachability
                        
                        	Configuration realted to locator reachability
                        	**type**\:   :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.Locator.Reachability>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.reachability = Native.Router.LispList.Default.Ipv6.Locator.Reachability()
                            self.reachability.parent = self


                        class Reachability(object):
                            """
                            Configuration realted to locator reachability
                            
                            .. attribute:: exclude_default
                            
                            	If a remote RLOC is reached via the default route, treat it as unreachable
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.exclude_default = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:reachability'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.exclude_default is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Ipv6.Locator.Reachability']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.reachability is not None and self.reachability._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv6.Locator']['meta_info']


                    class MapCache(object):
                        """
                        Address family specific map cache configuration
                        
                        .. attribute:: site_registration
                        
                        	Install map cache to map request for site registrations
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.site_registration = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.site_registration is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv6.MapCache']['meta_info']


                    class MapCacheLimit(object):
                        """
                        Configures maximum size of map\-cache
                        
                        .. attribute:: max_map_cache_entries
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..100000
                        
                        .. attribute:: reserve_list
                        
                        	EID\-prefixes guaranteed to be stored in map\-cache
                        	**type**\:  str
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max_map_cache_entries = None
                            self.reserve_list = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max_map_cache_entries is not None:
                                return True

                            if self.reserve_list is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv6.MapCacheLimit']['meta_info']


                    class MapCachePersistent(object):
                        """
                        Dump map\-cache onto flash, making it persistent across reboots
                        
                        .. attribute:: interval
                        
                        	Interval in minutes of how often the map\-cache is saved
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interval = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv6.MapCachePersistent']['meta_info']


                    class MapResolver(object):
                        """
                        Configures a LISP Map Resolver (MR)
                        
                        .. attribute:: map_request
                        
                        	Map\-Request processing options
                        	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.map_request = Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest()
                            self.map_request.parent = self


                        class MapRequest(object):
                            """
                            Map\-Request processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.validate = Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate()
                                self.validate.parent = self


                            class Validate(object):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	Influence which source RLOCs map requests are accepted from
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    Influence which source RLOCs map requests are accepted from
                                    
                                    .. attribute:: ipv4
                                    
                                    	IPv4 prefixes
                                    	**type**\:  str
                                    
                                    .. attribute:: ipv6
                                    
                                    	IPv6 prefixes
                                    	**type**\:  str
                                    
                                    .. attribute:: list
                                    
                                    	Define allowed prefixes using an ip[v6] prefix list
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: registered
                                    
                                    	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4 = None
                                        self.ipv6 = None
                                        self.list = None
                                        self.registered = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4 is not None:
                                            return True

                                        if self.ipv6 is not None:
                                            return True

                                        if self.list is not None:
                                            return True

                                        if self.registered is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.validate is not None and self.validate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.map_request is not None and self.map_request._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv6.MapResolver']['meta_info']


                    class MapServer(object):
                        """
                        Configures a LISP Map Server (MS)
                        
                        .. attribute:: map_register
                        
                        	Map\-Register processing options
                        	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapServer.MapRegister>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.map_register = Native.Router.LispList.Default.Ipv6.MapServer.MapRegister()
                            self.map_register.parent = self


                        class MapRegister(object):
                            """
                            Map\-Register processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.validate = Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate()
                                self.validate.parent = self


                            class Validate(object):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	RLOC Source IP address
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    RLOC Source IP address
                                    
                                    .. attribute:: allowed_locator
                                    
                                    	Against sites' allowed\-locators policy
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.allowed_locator = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.allowed_locator is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.validate is not None and self.validate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Ipv6.MapServer.MapRegister']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.map_register is not None and self.map_register._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv6.MapServer']['meta_info']


                    class PathMtuDiscovery(object):
                        """
                        Path MTU discovery
                        
                        .. attribute:: max
                        
                        	Upper bound on the path MTU accepted
                        	**type**\:  int
                        
                        	**range:** 68..65535
                        
                        .. attribute:: min
                        
                        	Lower bound on the path MTU accepted
                        	**type**\:  int
                        
                        	**range:** 68..65535
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.max = None
                            self.min = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:path-mtu-discovery'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.max is not None:
                                return True

                            if self.min is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv6.PathMtuDiscovery']['meta_info']


                    class RouteExport(object):
                        """
                        Export routes into RIB from LISP
                        
                        .. attribute:: away_eids
                        
                        	Export LISP away EIDs to RIB
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registrations
                        
                        	Export LISP site registrations to RIB
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.away_eids = None
                            self.site_registrations = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.away_eids is not None:
                                return True

                            if self.site_registrations is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteExport']['meta_info']


                    class RouteImport(object):
                        """
                        Import RIB routes by a routing protocol into LISP
                        
                        .. attribute:: database
                        
                        	Use RIB routes to define local EID database entries
                        	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database>`
                        
                        .. attribute:: map_cache
                        
                        	Use RIB routes to define EID address space in map\-cache
                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.database = Native.Router.LispList.Default.Ipv6.RouteImport.Database()
                            self.database.parent = self
                            self.map_cache = Native.Router.LispList.Default.Ipv6.RouteImport.MapCache()
                            self.map_cache.parent = self


                        class Database(object):
                            """
                            Use RIB routes to define local EID database entries
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected>`
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis>`
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes to pick up from the RIB
                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.MaximumPrefix>`
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bgp = YList()
                                self.bgp.parent = self
                                self.bgp.name = 'bgp'
                                self.connected = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected()
                                self.connected.parent = self
                                self.eigrp = YList()
                                self.eigrp.parent = self
                                self.eigrp.name = 'eigrp'
                                self.isis = YList()
                                self.isis.parent = self
                                self.isis.name = 'isis'
                                self.maximum_prefix = Native.Router.LispList.Default.Ipv6.RouteImport.Database.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.ospfv3 = YList()
                                self.ospfv3.parent = self
                                self.ospfv3.name = 'ospfv3'
                                self.rip = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip()
                                self.rip.parent = self
                                self.static = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static()
                                self.static.parent = self


                            class Bgp(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp']['meta_info']


                            class Isis(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis']['meta_info']


                            class MaximumPrefix(object):
                                """
                                Maximum number of prefixes to pick up from the RIB
                                
                                .. attribute:: number
                                
                                	
                                	**type**\:  int
                                
                                	**range:** \-2147483648..2147483647
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold1
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only
                                
                                	Only give a warning message and do not limit entries
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: warning_only1
                                
                                	Only give a warning message and do not limit entries
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.threshold = None
                                    self.threshold1 = None
                                    self.warning_only = None
                                    self.warning_only1 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    if self.threshold1 is not None:
                                        return True

                                    if self.warning_only is not None:
                                        return True

                                    if self.warning_only1 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf']['meta_info']


                            class Ospfv3(object):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self


                                class LispIpRouteImport(object):
                                    """
                                    
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bgp is not None:
                                    for child_ref in self.bgp:
                                        if child_ref._has_data():
                                            return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.eigrp is not None:
                                    for child_ref in self.eigrp:
                                        if child_ref._has_data():
                                            return True

                                if self.isis is not None:
                                    for child_ref in self.isis:
                                        if child_ref._has_data():
                                            return True

                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.ospfv3 is not None:
                                    for child_ref in self.ospfv3:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None and self.rip._has_data():
                                    return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.Database']['meta_info']


                        class MapCache(object):
                            """
                            Use RIB routes to define EID address space in map\-cache
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Isis>`
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes to pick up from the RIB
                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bgp = YList()
                                self.bgp.parent = self
                                self.bgp.name = 'bgp'
                                self.connected = None
                                self.eigrp = YList()
                                self.eigrp.parent = self
                                self.eigrp.name = 'eigrp'
                                self.isis = YList()
                                self.isis.parent = self
                                self.isis.name = 'isis'
                                self.maximum_prefix = Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.ospfv3 = YList()
                                self.ospfv3.parent = self
                                self.ospfv3.name = 'ospfv3'
                                self.rip = None
                                self.static = None


                            class Bgp(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Bgp']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Connected']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']


                            class Isis(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Isis']['meta_info']


                            class MaximumPrefix(object):
                                """
                                Maximum number of prefixes to pick up from the RIB
                                
                                .. attribute:: number
                                
                                	
                                	**type**\:  int
                                
                                	**range:** \-2147483648..2147483647
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold1
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only
                                
                                	Only give a warning message and do not limit entries
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: warning_only1
                                
                                	Only give a warning message and do not limit entries
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.threshold = None
                                    self.threshold1 = None
                                    self.warning_only = None
                                    self.warning_only1 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.threshold is not None:
                                        return True

                                    if self.threshold1 is not None:
                                        return True

                                    if self.warning_only is not None:
                                        return True

                                    if self.warning_only1 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospf']['meta_info']


                            class Ospfv3(object):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_cache_container = None


                                class MapCacheContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\:  str
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Static']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bgp is not None:
                                    for child_ref in self.bgp:
                                        if child_ref._has_data():
                                            return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.eigrp is not None:
                                    for child_ref in self.eigrp:
                                        if child_ref._has_data():
                                            return True

                                if self.isis is not None:
                                    for child_ref in self.isis:
                                        if child_ref._has_data():
                                            return True

                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.ospfv3 is not None:
                                    for child_ref in self.ospfv3:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None and self.rip._has_data():
                                    return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport.MapCache']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.database is not None and self.database._has_data():
                                return True

                            if self.map_cache is not None and self.map_cache._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv6.RouteImport']['meta_info']


                    class SiteRegistration(object):
                        """
                        Site registrations configuration for a given instance\-id
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations for a given instance\-id
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv6.SiteRegistration']['meta_info']


                    class SolicitMapRequest(object):
                        """
                        Configure Solicit\-Map\-Request handling
                        
                        .. attribute:: ignore
                        
                        	Ignore SMR bit in incoming Map\-Requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_per_entry
                        
                        	Maximum number of SMRs for addresses under a map\-cache entry
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        .. attribute:: suppression_time
                        
                        	How long to suppress repeated SMRs for the same address
                        	**type**\:  int
                        
                        	**range:** 1..600
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ignore = None
                            self.max_per_entry = None
                            self.suppression_time = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ignore is not None:
                                return True

                            if self.max_per_entry is not None:
                                return True

                            if self.suppression_time is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv6.SolicitMapRequest']['meta_info']


                    class UsePetr(object):
                        """
                        Encapsulate to Proxy ETR when matching forward\-native entry
                        
                        .. attribute:: locator_address  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: priority
                        
                        	Configures which Locators from a set are preferred
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: weight
                        
                        	Traffic load\-spreading among Locators
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.locator_address = None
                            self.priority = None
                            self.weight = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.locator_address is None:
                                raise YPYModelError('Key property locator_address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.locator_address is not None:
                                return True

                            if self.priority is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Ipv6.UsePetr']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.alt_vrf is not None:
                            return True

                        if self.database_mapping is not None and self.database_mapping._has_data():
                            return True

                        if self.distance is not None and self.distance._has_data():
                            return True

                        if self.etr is not None and self.etr._has_data():
                            return True

                        if self.etr_enable is not None and self.etr_enable._has_data():
                            return True

                        if self.itr is not None and self.itr._has_data():
                            return True

                        if self.itr_enable is not None and self.itr_enable._has_data():
                            return True

                        if self.locator is not None and self.locator._has_data():
                            return True

                        if self.map_cache is not None and self.map_cache._has_data():
                            return True

                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                            return True

                        if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                            return True

                        if self.map_request_source is not None:
                            return True

                        if self.map_resolver is not None and self.map_resolver._has_data():
                            return True

                        if self.map_server is not None and self.map_server._has_data():
                            return True

                        if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                            return True

                        if self.proxy_etr is not None:
                            return True

                        if self.proxy_itr is not None:
                            for child in self.proxy_itr:
                                if child is not None:
                                    return True

                        if self.route_export is not None and self.route_export._has_data():
                            return True

                        if self.route_import is not None and self.route_import._has_data():
                            return True

                        if self.sgt is not None:
                            return True

                        if self.site_registration is not None and self.site_registration._has_data():
                            return True

                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                            return True

                        if self.use_petr is not None:
                            for child_ref in self.use_petr:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.Ipv6']['meta_info']


                class LocReachAlgorithm(object):
                    """
                    Configure locator reachability algorithm
                    
                    .. attribute:: lsb_reports
                    
                    	Configure data packet LSB report handling
                    	**type**\:   :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.LocReachAlgorithm.LsbReports>`
                    
                    .. attribute:: rloc_probing
                    
                    	Probe high priority RLOCs with Map\-Requests as last resort
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.lsb_reports = Native.Router.LispList.Default.LocReachAlgorithm.LsbReports()
                        self.lsb_reports.parent = self
                        self.rloc_probing = None


                    class LsbReports(object):
                        """
                        Configure data packet LSB report handling
                        
                        .. attribute:: do_not_transmit
                        
                        	Force the setting of the encapsulation header L bit to zero
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore data packet LSB reports
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.do_not_transmit = None
                            self.ignore = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lsb-reports'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.do_not_transmit is not None:
                                return True

                            if self.ignore is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.LocReachAlgorithm.LsbReports']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:loc-reach-algorithm'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.lsb_reports is not None and self.lsb_reports._has_data():
                            return True

                        if self.rloc_probing is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.LocReachAlgorithm']['meta_info']


                class LocatorDown(object):
                    """
                    Manually set locator status to down
                    
                    .. attribute:: address
                    
                    	IPv4/6 Locator address to be set down
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: ipv4_interface
                    
                    	Use IPv4 address of interface as locator
                    	**type**\:  str
                    
                    .. attribute:: ipv6_interface
                    
                    	Use IPv6 address of interface as locator
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.ipv4_interface = None
                        self.ipv6_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator-down'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.ipv4_interface is not None:
                            return True

                        if self.ipv6_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.LocatorDown']['meta_info']


                class LocatorTable(object):
                    """
                    Specify the RLOC table
                    
                    .. attribute:: default
                    
                    	Default VRF
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name
                    	**type**\:  str
                    
                    .. attribute:: vrf_name
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.default = None
                        self.vrf = None
                        self.vrf_name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator-table'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.default is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        if self.vrf_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.LocatorTable']['meta_info']


                class MapRequest(object):
                    """
                    Configure map\-request handling
                    
                    .. attribute:: itr_rlocs
                    
                    	Configure to use the specified RLOC set as ITR RLOC in map\-request
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.itr_rlocs = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.itr_rlocs is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.MapRequest']['meta_info']


                class MapServer(object):
                    """
                    Map\-Server commands
                    
                    .. attribute:: rloc
                    
                    	EID instance RLOC membership
                    	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.MapServer.Rloc>`
                    
                    .. attribute:: site_registration
                    
                    	Map\-server site registration options
                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.MapServer.SiteRegistration>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.rloc = Native.Router.LispList.Default.MapServer.Rloc()
                        self.rloc.parent = self
                        self.site_registration = Native.Router.LispList.Default.MapServer.SiteRegistration()
                        self.site_registration.parent = self


                    class Rloc(object):
                        """
                        EID instance RLOC membership
                        
                        .. attribute:: members
                        
                        	EID instance RLOC membership
                        	**type**\:   :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.MapServer.Rloc.Members>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.members = Native.Router.LispList.Default.MapServer.Rloc.Members()
                            self.members.parent = self


                        class Members(object):
                            """
                            EID instance RLOC membership
                            
                            .. attribute:: distribute
                            
                            	EID instance RLOC membership distribution
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: modify_discovered
                            
                            	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                            	**type**\:   :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.MapServer.Rloc.Members.ModifyDiscovered>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.distribute = None
                                self.modify_discovered = Native.Router.LispList.Default.MapServer.Rloc.Members.ModifyDiscovered()
                                self.modify_discovered.parent = self


                            class ModifyDiscovered(object):
                                """
                                Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                
                                .. attribute:: locator_set
                                
                                	Locator set from which to get member RLOC addresses
                                	**type**\:  str
                                
                                .. attribute:: operator
                                
                                	
                                	**type**\:   :py:class:`OperatorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.operator = None

                                class OperatorEnum(Enum):
                                    """
                                    OperatorEnum

                                    .. data:: add = 0

                                    .. data:: override = 1

                                    """

                                    add = 0

                                    override = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:modify-discovered'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.operator is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.MapServer.Rloc.Members.ModifyDiscovered']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:members'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.distribute is not None:
                                    return True

                                if self.modify_discovered is not None and self.modify_discovered._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.MapServer.Rloc.Members']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.members is not None and self.members._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.MapServer.Rloc']['meta_info']


                    class SiteRegistration(object):
                        """
                        Map\-server site registration options
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations as a result of accept\-more\-specifics
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.MapServer.SiteRegistration']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.rloc is not None and self.rloc._has_data():
                            return True

                        if self.site_registration is not None and self.site_registration._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.MapServer']['meta_info']


                class OtherXtrProbe(object):
                    """
                    Configure parameters for probing of other xTRs in our site
                    
                    .. attribute:: period
                    
                    	Period between probes in seconds
                    	**type**\:  int
                    
                    	**range:** 5..900
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.period = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:other-xtr-probe'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.period is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.OtherXtrProbe']['meta_info']


                class RemoteRlocProbe(object):
                    """
                    Configure parameters for probing of remote RLOCs
                    
                    .. attribute:: on_membership_change
                    
                    	Trigger probing upon membership changes for remote RLOC
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: on_route_change
                    
                    	Trigger probing upon routing changes for remote RLOC
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.on_membership_change = None
                        self.on_route_change = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:remote-rloc-probe'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.on_membership_change is not None:
                            return True

                        if self.on_route_change is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.RemoteRlocProbe']['meta_info']


                class EidTable(object):
                    """
                    Configure an EID instance for a VRF
                    
                    .. attribute:: instance_list
                    
                    	
                    	**type**\: list of    :py:class:`InstanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.instance_list = YList()
                        self.instance_list.parent = self
                        self.instance_list.name = 'instance_list'


                    class InstanceList(object):
                        """
                        
                        
                        .. attribute:: instance_id  <key>
                        
                        	EID instance\-ID
                        	**type**\:  int
                        
                        	**range:** 0..16777214
                        
                        .. attribute:: alt
                        
                        	LISP Alternative Topology, LISP\-ALT
                        	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Alt>`
                        
                        .. attribute:: control_packet
                        
                        	Configure control packet tx option
                        	**type**\:   :py:class:`ControlPacket <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.ControlPacket>`
                        
                        .. attribute:: database_mapping
                        
                        	Configures Locator addresses for an ETR
                        	**type**\: list of    :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.DatabaseMapping>`
                        
                        .. attribute:: ddt
                        
                        	Delegated Database Tree (DDT) mapping system
                        	**type**\:   :py:class:`Ddt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ddt>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: decapsulation
                        
                        	Decapsulation behavior (e.g. filters)
                        	**type**\:   :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation>`
                        
                        .. attribute:: default
                        
                        	Default VRF
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: disable_ttl_propagate
                        
                        	Disable ttl propagation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dynamic_eid
                        
                        	Configure a dynamic EID
                        	**type**\: list of    :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Etr>`
                        
                        .. attribute:: ipv4
                        
                        	IPv4 address family
                        	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4>`
                        
                        .. attribute:: ipv6
                        
                        	IPv6 address family
                        	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6>`
                        
                        .. attribute:: loc_reach_algorithm
                        
                        	Configure locator reachability algorithm
                        	**type**\:   :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm>`
                        
                        .. attribute:: locator_down
                        
                        	Manually set locator status to down
                        	**type**\:   :py:class:`LocatorDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.LocatorDown>`
                        
                        .. attribute:: locator_table
                        
                        	Specify the RLOC table
                        	**type**\:   :py:class:`LocatorTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.LocatorTable>`
                        
                        .. attribute:: map_cache
                        
                        	Configures static EID\-to\-RLOC mappings for an ITR
                        	**type**\: list of    :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.MapCache>`
                        
                        .. attribute:: map_request
                        
                        	Configure map\-request handling
                        	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.MapRequest>`
                        
                        .. attribute:: map_server
                        
                        	Map\-Server commands
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.MapServer>`
                        
                        .. attribute:: other_xtr_probe
                        
                        	Configure parameters for probing of other xTRs in our site
                        	**type**\:   :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.OtherXtrProbe>`
                        
                        .. attribute:: remote_rloc_probe
                        
                        	Configure parameters for probing of remote RLOCs
                        	**type**\:   :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.RemoteRlocProbe>`
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: vrf_name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.instance_id = None
                            self.alt = Native.Router.LispList.Default.EidTable.InstanceList.Alt()
                            self.alt.parent = self
                            self.control_packet = Native.Router.LispList.Default.EidTable.InstanceList.ControlPacket()
                            self.control_packet.parent = self
                            self.database_mapping = YList()
                            self.database_mapping.parent = self
                            self.database_mapping.name = 'database_mapping'
                            self.ddt = None
                            self.decapsulation = Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation()
                            self.decapsulation.parent = self
                            self.default = None
                            self.disable_ttl_propagate = None
                            self.dynamic_eid = YList()
                            self.dynamic_eid.parent = self
                            self.dynamic_eid.name = 'dynamic_eid'
                            self.etr = Native.Router.LispList.Default.EidTable.InstanceList.Etr()
                            self.etr.parent = self
                            self.ipv4 = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4()
                            self.ipv4.parent = self
                            self.ipv6 = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6()
                            self.ipv6.parent = self
                            self.loc_reach_algorithm = Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm()
                            self.loc_reach_algorithm.parent = self
                            self.locator_down = Native.Router.LispList.Default.EidTable.InstanceList.LocatorDown()
                            self.locator_down.parent = self
                            self.locator_table = Native.Router.LispList.Default.EidTable.InstanceList.LocatorTable()
                            self.locator_table.parent = self
                            self.map_cache = YList()
                            self.map_cache.parent = self
                            self.map_cache.name = 'map_cache'
                            self.map_request = Native.Router.LispList.Default.EidTable.InstanceList.MapRequest()
                            self.map_request.parent = self
                            self.map_server = Native.Router.LispList.Default.EidTable.InstanceList.MapServer()
                            self.map_server.parent = self
                            self.other_xtr_probe = Native.Router.LispList.Default.EidTable.InstanceList.OtherXtrProbe()
                            self.other_xtr_probe.parent = self
                            self.remote_rloc_probe = Native.Router.LispList.Default.EidTable.InstanceList.RemoteRlocProbe()
                            self.remote_rloc_probe.parent = self
                            self.vrf = None
                            self.vrf_name = None


                        class DatabaseMapping(object):
                            """
                            Configures Locator addresses for an ETR
                            
                            .. attribute:: eid_prefix  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: locator_set
                            
                            	Use locators defined by locator\-set
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eid_prefix = None
                                self.locator_set = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.eid_prefix is None:
                                    raise YPYModelError('Key property eid_prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eid_prefix is not None:
                                    return True

                                if self.locator_set is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DatabaseMapping']['meta_info']


                        class DynamicEid(object):
                            """
                            Configure a dynamic EID
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: database_mapping
                            
                            	Configures EID\-prefix and locator\-set for dynamic\-EID
                            	**type**\: list of    :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.DatabaseMapping>`
                            
                            .. attribute:: eid_notify
                            
                            	Configure options for sending/receiving EID\-notify
                            	**type**\:   :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify>`
                            
                            .. attribute:: map_notify_group
                            
                            	Multicast group which to send map\-notifies to
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.database_mapping = YList()
                                self.database_mapping.parent = self
                                self.database_mapping.name = 'database_mapping'
                                self.eid_notify = Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify()
                                self.eid_notify.parent = self
                                self.map_notify_group = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class DatabaseMapping(object):
                                """
                                Configures EID\-prefix and locator\-set for dynamic\-EID
                                
                                .. attribute:: eid_prefix  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                .. attribute:: locator_set
                                
                                	Use locators defined by locator\-set
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eid_prefix = None
                                    self.locator_set = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.eid_prefix is None:
                                        raise YPYModelError('Key property eid_prefix is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eid_prefix is not None:
                                        return True

                                    if self.locator_set is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.DatabaseMapping']['meta_info']


                            class EidNotify(object):
                                """
                                Configure options for sending/receiving EID\-notify
                                
                                .. attribute:: authentication_key
                                
                                	Authentication key used for validating received EID\-notify
                                	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey>`
                                
                                .. attribute:: gateway_key
                                
                                	
                                	**type**\: list of    :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.authentication_key = Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey()
                                    self.authentication_key.parent = self
                                    self.gateway_key = YList()
                                    self.gateway_key.parent = self
                                    self.gateway_key.name = 'gateway_key'


                                class AuthenticationKey(object):
                                    """
                                    Authentication key used for validating received EID\-notify
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_0 = None
                                        self.ak_6 = None
                                        self.unc_pwd = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:authentication-key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_0 is not None:
                                            return True

                                        if self.ak_6 is not None:
                                            return True

                                        if self.unc_pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey']['meta_info']


                                class GatewayKey(object):
                                    """
                                    
                                    
                                    .. attribute:: gateway_ip  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	EID\-notify authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey.HashFunctionEnum>`
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.gateway_ip = None
                                        self.ak_0 = None
                                        self.ak_6 = None
                                        self.hash_function = None
                                        self.unc_pwd = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        EID\-notify authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.gateway_ip is None:
                                            raise YPYModelError('Key property gateway_ip is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:gateway-key[Cisco-IOS-XE-lisp:gateway-ip = ' + str(self.gateway_ip) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.gateway_ip is not None:
                                            return True

                                        if self.ak_0 is not None:
                                            return True

                                        if self.ak_6 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        if self.unc_pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-notify'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.authentication_key is not None and self.authentication_key._has_data():
                                        return True

                                    if self.gateway_key is not None:
                                        for child_ref in self.gateway_key:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify']['meta_info']


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip = None
                                    self.key = Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: hash_function
                                    
                                    	Map\-Register authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer.Key.HashFunctionEnum>`
                                    
                                    .. attribute:: key_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: key_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: key_7
                                    
                                    	The HIDDEN password
                                    	**type**\:  str
                                    
                                    .. attribute:: pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hash_function = None
                                        self.key_0 = None
                                        self.key_6 = None
                                        self.key_7 = None
                                        self.pwd = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        Map\-Register authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer.Key.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hash_function is not None:
                                            return True

                                        if self.key_0 is not None:
                                            return True

                                        if self.key_6 is not None:
                                            return True

                                        if self.key_7 is not None:
                                            return True

                                        if self.pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip is None:
                                        raise YPYModelError('Key property ip is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip = ' + str(self.ip) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:dynamic-eid[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.database_mapping is not None:
                                    for child_ref in self.database_mapping:
                                        if child_ref._has_data():
                                            return True

                                if self.eid_notify is not None and self.eid_notify._has_data():
                                    return True

                                if self.map_notify_group is not None:
                                    return True

                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid']['meta_info']


                        class Alt(object):
                            """
                            LISP Alternative Topology, LISP\-ALT
                            
                            .. attribute:: summary_route
                            
                            	Summary route to install into the ALT table
                            	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Alt.SummaryRoute>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.summary_route = YList()
                                self.summary_route.parent = self
                                self.summary_route.name = 'summary_route'


                            class SummaryRoute(object):
                                """
                                Summary route to install into the ALT table
                                
                                .. attribute:: eid_prefix  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: route_tag
                                
                                	ALT RIB route tag for EID prefix
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eid_prefix = None
                                    self.route_tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.eid_prefix is None:
                                        raise YPYModelError('Key property eid_prefix is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eid_prefix is not None:
                                        return True

                                    if self.route_tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Alt.SummaryRoute']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.summary_route is not None:
                                    for child_ref in self.summary_route:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Alt']['meta_info']


                        class ControlPacket(object):
                            """
                            Configure control packet tx option
                            
                            .. attribute:: mtu
                            
                            	Configure control packet MTU
                            	**type**\:  int
                            
                            	**range:** 304..10000
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mtu = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:control-packet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mtu is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.ControlPacket']['meta_info']


                        class Ddt(object):
                            """
                            Delegated Database Tree (DDT) mapping system
                            
                            .. attribute:: authoritative
                            
                            	DDT authoritative prefix
                            	**type**\:   :py:class:`Authoritative <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative>`
                            
                            .. attribute:: cache_limit
                            
                            	DDT resolver cache entry limit
                            	**type**\:  int
                            
                            	**range:** 1..100000
                            
                            .. attribute:: root
                            
                            	DDT root node
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.authoritative = Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative()
                                self.authoritative.parent = self
                                self.cache_limit = None
                                self.root = None


                            class Authoritative(object):
                                """
                                DDT authoritative prefix
                                
                                .. attribute:: instance_id_eid_prefix_list
                                
                                	
                                	**type**\: list of    :py:class:`InstanceIdEidPrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList>`
                                
                                .. attribute:: instance_id_list
                                
                                	
                                	**type**\: list of    :py:class:`InstanceIdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.instance_id_eid_prefix_list = YList()
                                    self.instance_id_eid_prefix_list.parent = self
                                    self.instance_id_eid_prefix_list.name = 'instance_id_eid_prefix_list'
                                    self.instance_id_list = YList()
                                    self.instance_id_list.parent = self
                                    self.instance_id_list.name = 'instance_id_list'


                                class InstanceIdEidPrefixList(object):
                                    """
                                    
                                    
                                    .. attribute:: instance_id  <key>
                                    
                                    	EID instance\-ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    
                                    ----
                                    .. attribute:: delegate
                                    
                                    	DDT delegation to a child DDT node or map\-server
                                    	**type**\:   :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate>`
                                    
                                    .. attribute:: map_server_peer
                                    
                                    	Peer map\-servers that are authoritative for the same EID prefixes
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.instance_id = None
                                        self.eid_prefix = None
                                        self.delegate = Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate()
                                        self.delegate.parent = self
                                        self.map_server_peer = None


                                    class Delegate(object):
                                        """
                                        DDT delegation to a child DDT node or map\-server
                                        
                                        .. attribute:: eid_prefix
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: instance_id
                                        
                                        	EID instance\-ID
                                        	**type**\:  str
                                        
                                        .. attribute:: ip_address
                                        
                                        	IPv4/6 Child or map\-server node locator address
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: map_server
                                        
                                        	Delegation points to a map\-server
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: to
                                        
                                        	DDT delegation to a child DDT node or map\-server
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.instance_id = None
                                            self.ip_address = None
                                            self.map_server = None
                                            self.to = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:delegate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.instance_id is not None:
                                                return True

                                            if self.ip_address is not None:
                                                return True

                                            if self.map_server is not None:
                                                return True

                                            if self.to is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.instance_id is None:
                                            raise YPYModelError('Key property instance_id is None')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id-eid-prefix-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + '][Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.instance_id is not None:
                                            return True

                                        if self.eid_prefix is not None:
                                            return True

                                        if self.delegate is not None and self.delegate._has_data():
                                            return True

                                        if self.map_server_peer is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info']


                                class InstanceIdList(object):
                                    """
                                    
                                    
                                    .. attribute:: instance_id  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: delegate
                                    
                                    	DDT delegation to a child DDT node or map\-server
                                    	**type**\:   :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate>`
                                    
                                    .. attribute:: map_server_peer
                                    
                                    	Peer map\-servers that are authoritative for the same EID prefixes
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.instance_id = None
                                        self.delegate = Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate()
                                        self.delegate.parent = self
                                        self.map_server_peer = None


                                    class Delegate(object):
                                        """
                                        DDT delegation to a child DDT node or map\-server
                                        
                                        .. attribute:: eid_prefix
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: instance_id
                                        
                                        	EID instance\-ID
                                        	**type**\:  str
                                        
                                        .. attribute:: ip_address
                                        
                                        	IPv4/6 Child or map\-server node locator address
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: map_server
                                        
                                        	Delegation points to a map\-server
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: to
                                        
                                        	DDT delegation to a child DDT node or map\-server
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.instance_id = None
                                            self.ip_address = None
                                            self.map_server = None
                                            self.to = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:delegate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.instance_id is not None:
                                                return True

                                            if self.ip_address is not None:
                                                return True

                                            if self.map_server is not None:
                                                return True

                                            if self.to is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.instance_id is None:
                                            raise YPYModelError('Key property instance_id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.instance_id is not None:
                                            return True

                                        if self.delegate is not None and self.delegate._has_data():
                                            return True

                                        if self.map_server_peer is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:authoritative'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.instance_id_eid_prefix_list is not None:
                                        for child_ref in self.instance_id_eid_prefix_list:
                                            if child_ref._has_data():
                                                return True

                                    if self.instance_id_list is not None:
                                        for child_ref in self.instance_id_list:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ddt'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.authoritative is not None and self.authoritative._has_data():
                                    return True

                                if self.cache_limit is not None:
                                    return True

                                if self.root is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ddt']['meta_info']


                        class Decapsulation(object):
                            """
                            Decapsulation behavior (e.g. filters)
                            
                            .. attribute:: filter
                            
                            	Filters traffic
                            	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.filter = Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter()
                                self.filter.parent = self


                            class Filter(object):
                                """
                                Filters traffic
                                
                                .. attribute:: rloc
                                
                                	Filter based on Routing Locator (RLOC) in packet header
                                	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.rloc = Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc()
                                    self.rloc.parent = self


                                class Rloc(object):
                                    """
                                    Filter based on Routing Locator (RLOC) in packet header
                                    
                                    .. attribute:: source
                                    
                                    	Filters traffic based on RLOC source address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Filters traffic based on RLOC source address
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator\-set Name
                                        	**type**\:  str
                                        
                                        .. attribute:: member
                                        
                                        	Members learned from map\-server
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.member = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.member is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:filter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.rloc is not None and self.rloc._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:decapsulation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.filter is not None and self.filter._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation']['meta_info']


                        class Etr(object):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_server = Native.Router.LispList.Default.EidTable.InstanceList.Etr.MapServer()
                                self.map_server.parent = self


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: source_address
                                
                                	Configures map server source address
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source_address = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Etr.MapServer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_server is not None and self.map_server._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Etr']['meta_info']


                        class Ipv4(object):
                            """
                            IPv4 address family
                            
                            .. attribute:: alt_vrf
                            
                            	Activate LISP\-ALT functionality in VRF
                            	**type**\:  str
                            
                            	**status**\: deprecated
                            
                            .. attribute:: database_mapping
                            
                            	Address family specific local EID prefixes database configuration
                            	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping>`
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Distance>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.EtrEnable>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.ItrEnable>`
                            
                            .. attribute:: locator
                            
                            	Locator related configuration
                            	**type**\:   :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCache>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCacheLimit>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCachePersistent>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_resolver
                            
                            	Configures a LISP Map Resolver (MR)
                            	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: map_server
                            
                            	Configures a LISP Map Server (MS)
                            	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: path_mtu_discovery
                            
                            	Path MTU discovery
                            	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.PathMtuDiscovery>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteExport>`
                            
                            .. attribute:: route_import
                            
                            	Import RIB routes by a routing protocol into LISP
                            	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.UsePetr>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.alt_vrf = None
                                self.database_mapping = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping()
                                self.database_mapping.parent = self
                                self.distance = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Distance()
                                self.distance.parent = self
                                self.etr = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr()
                                self.etr.parent = self
                                self.etr_enable = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.EtrEnable()
                                self.etr_enable.parent = self
                                self.itr = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr()
                                self.itr.parent = self
                                self.itr_enable = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.ItrEnable()
                                self.itr_enable.parent = self
                                self.locator = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator()
                                self.locator.parent = self
                                self.map_cache = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCache()
                                self.map_cache.parent = self
                                self.map_cache_limit = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self.map_cache_persistent = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self.map_request_source = None
                                self.map_resolver = None
                                self.map_server = None
                                self.path_mtu_discovery = None
                                self.proxy_etr = None
                                self.proxy_itr = YLeafList()
                                self.proxy_itr.parent = self
                                self.proxy_itr.name = 'proxy_itr'
                                self.route_export = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteExport()
                                self.route_export.parent = self
                                self.route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport()
                                self.route_import.parent = self
                                self.sgt = None
                                self.site_registration = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SiteRegistration()
                                self.site_registration.parent = self
                                self.solicit_map_request = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self.use_petr = YList()
                                self.use_petr.parent = self
                                self.use_petr.name = 'use_petr'


                            class DatabaseMapping(object):
                                """
                                Address family specific local EID prefixes database configuration
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit()
                                    self.limit.parent = self


                                class Limit(object):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None and self.limit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping']['meta_info']


                            class Distance(object):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.alt = None
                                    self.dyn_eid = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.alt is not None:
                                        return True

                                    if self.dyn_eid is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Distance']['meta_info']


                            class Itr(object):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map_resolver = YList()
                                    self.map_resolver.parent = self
                                    self.map_resolver.name = 'map_resolver'


                                class MapResolver(object):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr.MapResolver']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map_resolver is not None:
                                        for child_ref in self.map_resolver:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr']['meta_info']


                            class ItrEnable(object):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.itr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.itr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.ItrEnable']['meta_info']


                            class Etr(object):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map_server = YList()
                                    self.map_server.parent = self
                                    self.map_server.name = 'map_server'


                                class MapServer(object):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None
                                        self.key = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self.proxy_reply = None


                                    class Key(object):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: key_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: key_7
                                        
                                        	The HIDDEN password
                                        	**type**\:  str
                                        
                                        .. attribute:: pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = None
                                            self.key_6 = None
                                            self.key_7 = None
                                            self.pwd = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None:
                                                return True

                                            if self.key_6 is not None:
                                                return True

                                            if self.key_7 is not None:
                                                return True

                                            if self.pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        if self.proxy_reply is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map_server is not None:
                                        for child_ref in self.map_server:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr']['meta_info']


                            class EtrEnable(object):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.etr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.etr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.EtrEnable']['meta_info']


                            class Locator(object):
                                """
                                Locator related configuration
                                
                                .. attribute:: reachability
                                
                                	Configuration realted to locator reachability
                                	**type**\:   :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator.Reachability>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.reachability = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator.Reachability()
                                    self.reachability.parent = self


                                class Reachability(object):
                                    """
                                    Configuration realted to locator reachability
                                    
                                    .. attribute:: exclude_default
                                    
                                    	If a remote RLOC is reached via the default route, treat it as unreachable
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclude_default = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:reachability'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exclude_default is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator.Reachability']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.reachability is not None and self.reachability._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator']['meta_info']


                            class MapCache(object):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.site_registration = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.site_registration is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCache']['meta_info']


                            class MapCacheLimit(object):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\:  str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_map_cache_entries = None
                                    self.reserve_list = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_map_cache_entries is not None:
                                        return True

                                    if self.reserve_list is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCacheLimit']['meta_info']


                            class MapCachePersistent(object):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\:  int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interval = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interval is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCachePersistent']['meta_info']


                            class MapResolver(object):
                                """
                                Configures a LISP Map Resolver (MR)
                                
                                .. attribute:: map_request
                                
                                	Map\-Request processing options
                                	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_request = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest()
                                    self.map_request.parent = self


                                class MapRequest(object):
                                    """
                                    Map\-Request processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.validate = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate()
                                        self.validate.parent = self


                                    class Validate(object):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	Influence which source RLOCs map requests are accepted from
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            Influence which source RLOCs map requests are accepted from
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: registered
                                            
                                            	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None
                                                self.list = None
                                                self.registered = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                if self.list is not None:
                                                    return True

                                                if self.registered is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.validate is not None and self.validate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_request is not None and self.map_request._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver']['meta_info']


                            class MapServer(object):
                                """
                                Configures a LISP Map Server (MS)
                                
                                .. attribute:: map_register
                                
                                	Map\-Register processing options
                                	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_register = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister()
                                    self.map_register.parent = self


                                class MapRegister(object):
                                    """
                                    Map\-Register processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.validate = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate()
                                        self.validate.parent = self


                                    class Validate(object):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	RLOC Source IP address
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            RLOC Source IP address
                                            
                                            .. attribute:: allowed_locator
                                            
                                            	Against sites' allowed\-locators policy
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.allowed_locator = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.allowed_locator is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.validate is not None and self.validate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_register is not None and self.map_register._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer']['meta_info']


                            class PathMtuDiscovery(object):
                                """
                                Path MTU discovery
                                
                                .. attribute:: max
                                
                                	Upper bound on the path MTU accepted
                                	**type**\:  int
                                
                                	**range:** 68..65535
                                
                                .. attribute:: min
                                
                                	Lower bound on the path MTU accepted
                                	**type**\:  int
                                
                                	**range:** 68..65535
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.max = None
                                    self.min = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:path-mtu-discovery'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.PathMtuDiscovery']['meta_info']


                            class RouteExport(object):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.away_eids = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.away_eids is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteExport']['meta_info']


                            class RouteImport(object):
                                """
                                Import RIB routes by a routing protocol into LISP
                                
                                .. attribute:: database
                                
                                	Use RIB routes to define local EID database entries
                                	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.database = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database()
                                    self.database.parent = self
                                    self.map_cache = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache()
                                    self.map_cache.parent = self


                                class Database(object):
                                    """
                                    Use RIB routes to define local EID database entries
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected>`
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected()
                                        self.connected.parent = self
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = YList()
                                        self.isis.parent = self
                                        self.isis.name = 'isis'
                                        self.maximum_prefix = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.ospfv3 = YList()
                                        self.ospfv3.parent = self
                                        self.ospfv3.name = 'ospfv3'
                                        self.rip = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip()
                                        self.rip.parent = self
                                        self.static = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static()
                                        self.static.parent = self


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis']['meta_info']


                                    class MaximumPrefix(object):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** \-2147483648..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.number = None
                                            self.threshold = None
                                            self.threshold1 = None
                                            self.warning_only = None
                                            self.warning_only1 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.number is not None:
                                                return True

                                            if self.threshold is not None:
                                                return True

                                            if self.threshold1 is not None:
                                                return True

                                            if self.warning_only is not None:
                                                return True

                                            if self.warning_only1 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf']['meta_info']


                                    class Ospfv3(object):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None:
                                            for child_ref in self.isis:
                                                if child_ref._has_data():
                                                    return True

                                        if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ospfv3 is not None:
                                            for child_ref in self.ospfv3:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None and self.rip._has_data():
                                            return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']


                                class MapCache(object):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = None
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = YList()
                                        self.isis.parent = self
                                        self.isis.name = 'isis'
                                        self.maximum_prefix = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.ospfv3 = YList()
                                        self.ospfv3.parent = self
                                        self.ospfv3.name = 'ospfv3'
                                        self.rip = None
                                        self.static = None


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis']['meta_info']


                                    class MaximumPrefix(object):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** \-2147483648..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.number = None
                                            self.threshold = None
                                            self.threshold1 = None
                                            self.warning_only = None
                                            self.warning_only1 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.number is not None:
                                                return True

                                            if self.threshold is not None:
                                                return True

                                            if self.threshold1 is not None:
                                                return True

                                            if self.warning_only is not None:
                                                return True

                                            if self.warning_only1 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf']['meta_info']


                                    class Ospfv3(object):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None:
                                            for child_ref in self.isis:
                                                if child_ref._has_data():
                                                    return True

                                        if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ospfv3 is not None:
                                            for child_ref in self.ospfv3:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None and self.rip._has_data():
                                            return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.database is not None and self.database._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport']['meta_info']


                            class SiteRegistration(object):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations for a given instance\-id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SiteRegistration']['meta_info']


                            class SolicitMapRequest(object):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\:  int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ignore = None
                                    self.max_per_entry = None
                                    self.suppression_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ignore is not None:
                                        return True

                                    if self.max_per_entry is not None:
                                        return True

                                    if self.suppression_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest']['meta_info']


                            class UsePetr(object):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: priority
                                
                                	Configures which Locators from a set are preferred
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_address = None
                                    self.priority = None
                                    self.weight = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.locator_address is None:
                                        raise YPYModelError('Key property locator_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_address is not None:
                                        return True

                                    if self.priority is not None:
                                        return True

                                    if self.weight is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.UsePetr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.alt_vrf is not None:
                                    return True

                                if self.database_mapping is not None and self.database_mapping._has_data():
                                    return True

                                if self.distance is not None and self.distance._has_data():
                                    return True

                                if self.etr is not None and self.etr._has_data():
                                    return True

                                if self.etr_enable is not None and self.etr_enable._has_data():
                                    return True

                                if self.itr is not None and self.itr._has_data():
                                    return True

                                if self.itr_enable is not None and self.itr_enable._has_data():
                                    return True

                                if self.locator is not None and self.locator._has_data():
                                    return True

                                if self.map_cache is not None and self.map_cache._has_data():
                                    return True

                                if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                    return True

                                if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                    return True

                                if self.map_request_source is not None:
                                    return True

                                if self.map_resolver is not None and self.map_resolver._has_data():
                                    return True

                                if self.map_server is not None and self.map_server._has_data():
                                    return True

                                if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                                    return True

                                if self.proxy_etr is not None:
                                    return True

                                if self.proxy_itr is not None:
                                    for child in self.proxy_itr:
                                        if child is not None:
                                            return True

                                if self.route_export is not None and self.route_export._has_data():
                                    return True

                                if self.route_import is not None and self.route_import._has_data():
                                    return True

                                if self.sgt is not None:
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                    return True

                                if self.use_petr is not None:
                                    for child_ref in self.use_petr:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv4']['meta_info']


                        class Ipv6(object):
                            """
                            IPv6 address family
                            
                            .. attribute:: alt_vrf
                            
                            	Activate LISP\-ALT functionality in VRF
                            	**type**\:  str
                            
                            	**status**\: deprecated
                            
                            .. attribute:: database_mapping
                            
                            	Address family specific local EID prefixes database configuration
                            	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping>`
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Distance>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.EtrEnable>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.ItrEnable>`
                            
                            .. attribute:: locator
                            
                            	Locator related configuration
                            	**type**\:   :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCache>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCacheLimit>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCachePersistent>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_resolver
                            
                            	Configures a LISP Map Resolver (MR)
                            	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: map_server
                            
                            	Configures a LISP Map Server (MS)
                            	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: path_mtu_discovery
                            
                            	Path MTU discovery
                            	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.PathMtuDiscovery>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\: one of the below types:
                            
                            	**type**\:  list of str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  list of str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteExport>`
                            
                            .. attribute:: route_import
                            
                            	Import RIB routes by a routing protocol into LISP
                            	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.UsePetr>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.alt_vrf = None
                                self.database_mapping = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping()
                                self.database_mapping.parent = self
                                self.distance = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Distance()
                                self.distance.parent = self
                                self.etr = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr()
                                self.etr.parent = self
                                self.etr_enable = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.EtrEnable()
                                self.etr_enable.parent = self
                                self.itr = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr()
                                self.itr.parent = self
                                self.itr_enable = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.ItrEnable()
                                self.itr_enable.parent = self
                                self.locator = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator()
                                self.locator.parent = self
                                self.map_cache = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCache()
                                self.map_cache.parent = self
                                self.map_cache_limit = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self.map_cache_persistent = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self.map_request_source = None
                                self.map_resolver = None
                                self.map_server = None
                                self.path_mtu_discovery = None
                                self.proxy_etr = None
                                self.proxy_itr = YLeafList()
                                self.proxy_itr.parent = self
                                self.proxy_itr.name = 'proxy_itr'
                                self.route_export = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteExport()
                                self.route_export.parent = self
                                self.route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport()
                                self.route_import.parent = self
                                self.sgt = None
                                self.site_registration = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SiteRegistration()
                                self.site_registration.parent = self
                                self.solicit_map_request = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self.use_petr = YList()
                                self.use_petr.parent = self
                                self.use_petr.name = 'use_petr'


                            class DatabaseMapping(object):
                                """
                                Address family specific local EID prefixes database configuration
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit()
                                    self.limit.parent = self


                                class Limit(object):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None and self.limit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping']['meta_info']


                            class Distance(object):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.alt = None
                                    self.dyn_eid = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.alt is not None:
                                        return True

                                    if self.dyn_eid is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Distance']['meta_info']


                            class Itr(object):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map_resolver = YList()
                                    self.map_resolver.parent = self
                                    self.map_resolver.name = 'map_resolver'


                                class MapResolver(object):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr.MapResolver']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map_resolver is not None:
                                        for child_ref in self.map_resolver:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr']['meta_info']


                            class ItrEnable(object):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.itr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.itr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.ItrEnable']['meta_info']


                            class Etr(object):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map_server = YList()
                                    self.map_server.parent = self
                                    self.map_server.name = 'map_server'


                                class MapServer(object):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None
                                        self.key = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self.proxy_reply = None


                                    class Key(object):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: key_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: key_7
                                        
                                        	The HIDDEN password
                                        	**type**\:  str
                                        
                                        .. attribute:: pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = None
                                            self.key_6 = None
                                            self.key_7 = None
                                            self.pwd = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None:
                                                return True

                                            if self.key_6 is not None:
                                                return True

                                            if self.key_7 is not None:
                                                return True

                                            if self.pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        if self.proxy_reply is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map_server is not None:
                                        for child_ref in self.map_server:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr']['meta_info']


                            class EtrEnable(object):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.etr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.etr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.EtrEnable']['meta_info']


                            class Locator(object):
                                """
                                Locator related configuration
                                
                                .. attribute:: reachability
                                
                                	Configuration realted to locator reachability
                                	**type**\:   :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator.Reachability>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.reachability = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator.Reachability()
                                    self.reachability.parent = self


                                class Reachability(object):
                                    """
                                    Configuration realted to locator reachability
                                    
                                    .. attribute:: exclude_default
                                    
                                    	If a remote RLOC is reached via the default route, treat it as unreachable
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclude_default = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:reachability'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.exclude_default is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator.Reachability']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.reachability is not None and self.reachability._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator']['meta_info']


                            class MapCache(object):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.site_registration = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.site_registration is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCache']['meta_info']


                            class MapCacheLimit(object):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\:  str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_map_cache_entries = None
                                    self.reserve_list = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_map_cache_entries is not None:
                                        return True

                                    if self.reserve_list is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCacheLimit']['meta_info']


                            class MapCachePersistent(object):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\:  int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interval = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interval is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCachePersistent']['meta_info']


                            class MapResolver(object):
                                """
                                Configures a LISP Map Resolver (MR)
                                
                                .. attribute:: map_request
                                
                                	Map\-Request processing options
                                	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_request = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest()
                                    self.map_request.parent = self


                                class MapRequest(object):
                                    """
                                    Map\-Request processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.validate = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate()
                                        self.validate.parent = self


                                    class Validate(object):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	Influence which source RLOCs map requests are accepted from
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            Influence which source RLOCs map requests are accepted from
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: registered
                                            
                                            	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None
                                                self.list = None
                                                self.registered = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                if self.list is not None:
                                                    return True

                                                if self.registered is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.validate is not None and self.validate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_request is not None and self.map_request._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver']['meta_info']


                            class MapServer(object):
                                """
                                Configures a LISP Map Server (MS)
                                
                                .. attribute:: map_register
                                
                                	Map\-Register processing options
                                	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.map_register = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister()
                                    self.map_register.parent = self


                                class MapRegister(object):
                                    """
                                    Map\-Register processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.validate = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate()
                                        self.validate.parent = self


                                    class Validate(object):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	RLOC Source IP address
                                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.source = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source()
                                            self.source.parent = self


                                        class Source(object):
                                            """
                                            RLOC Source IP address
                                            
                                            .. attribute:: allowed_locator
                                            
                                            	Against sites' allowed\-locators policy
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.allowed_locator = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.allowed_locator is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.source is not None and self.source._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.validate is not None and self.validate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.map_register is not None and self.map_register._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer']['meta_info']


                            class PathMtuDiscovery(object):
                                """
                                Path MTU discovery
                                
                                .. attribute:: max
                                
                                	Upper bound on the path MTU accepted
                                	**type**\:  int
                                
                                	**range:** 68..65535
                                
                                .. attribute:: min
                                
                                	Lower bound on the path MTU accepted
                                	**type**\:  int
                                
                                	**range:** 68..65535
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.max = None
                                    self.min = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:path-mtu-discovery'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.max is not None:
                                        return True

                                    if self.min is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.PathMtuDiscovery']['meta_info']


                            class RouteExport(object):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.away_eids = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.away_eids is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteExport']['meta_info']


                            class RouteImport(object):
                                """
                                Import RIB routes by a routing protocol into LISP
                                
                                .. attribute:: database
                                
                                	Use RIB routes to define local EID database entries
                                	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.database = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database()
                                    self.database.parent = self
                                    self.map_cache = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache()
                                    self.map_cache.parent = self


                                class Database(object):
                                    """
                                    Use RIB routes to define local EID database entries
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected>`
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected()
                                        self.connected.parent = self
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = YList()
                                        self.isis.parent = self
                                        self.isis.name = 'isis'
                                        self.maximum_prefix = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.ospfv3 = YList()
                                        self.ospfv3.parent = self
                                        self.ospfv3.name = 'ospfv3'
                                        self.rip = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip()
                                        self.rip.parent = self
                                        self.static = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static()
                                        self.static.parent = self


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis']['meta_info']


                                    class MaximumPrefix(object):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** \-2147483648..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.number = None
                                            self.threshold = None
                                            self.threshold1 = None
                                            self.warning_only = None
                                            self.warning_only1 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.number is not None:
                                                return True

                                            if self.threshold is not None:
                                                return True

                                            if self.threshold1 is not None:
                                                return True

                                            if self.warning_only is not None:
                                                return True

                                            if self.warning_only1 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf']['meta_info']


                                    class Ospfv3(object):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None:
                                            for child_ref in self.isis:
                                                if child_ref._has_data():
                                                    return True

                                        if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ospfv3 is not None:
                                            for child_ref in self.ospfv3:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None and self.rip._has_data():
                                            return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']


                                class MapCache(object):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = None
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = YList()
                                        self.isis.parent = self
                                        self.isis.name = 'isis'
                                        self.maximum_prefix = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.ospfv3 = YList()
                                        self.ospfv3.parent = self
                                        self.ospfv3.name = 'ospfv3'
                                        self.rip = None
                                        self.static = None


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis']['meta_info']


                                    class MaximumPrefix(object):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** \-2147483648..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.number = None
                                            self.threshold = None
                                            self.threshold1 = None
                                            self.warning_only = None
                                            self.warning_only1 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.number is not None:
                                                return True

                                            if self.threshold is not None:
                                                return True

                                            if self.threshold1 is not None:
                                                return True

                                            if self.warning_only is not None:
                                                return True

                                            if self.warning_only1 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf']['meta_info']


                                    class Ospfv3(object):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None:
                                            for child_ref in self.isis:
                                                if child_ref._has_data():
                                                    return True

                                        if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ospfv3 is not None:
                                            for child_ref in self.ospfv3:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None and self.rip._has_data():
                                            return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.database is not None and self.database._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport']['meta_info']


                            class SiteRegistration(object):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations for a given instance\-id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SiteRegistration']['meta_info']


                            class SolicitMapRequest(object):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\:  int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ignore = None
                                    self.max_per_entry = None
                                    self.suppression_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ignore is not None:
                                        return True

                                    if self.max_per_entry is not None:
                                        return True

                                    if self.suppression_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest']['meta_info']


                            class UsePetr(object):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: priority
                                
                                	Configures which Locators from a set are preferred
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_address = None
                                    self.priority = None
                                    self.weight = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.locator_address is None:
                                        raise YPYModelError('Key property locator_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_address is not None:
                                        return True

                                    if self.priority is not None:
                                        return True

                                    if self.weight is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.UsePetr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.alt_vrf is not None:
                                    return True

                                if self.database_mapping is not None and self.database_mapping._has_data():
                                    return True

                                if self.distance is not None and self.distance._has_data():
                                    return True

                                if self.etr is not None and self.etr._has_data():
                                    return True

                                if self.etr_enable is not None and self.etr_enable._has_data():
                                    return True

                                if self.itr is not None and self.itr._has_data():
                                    return True

                                if self.itr_enable is not None and self.itr_enable._has_data():
                                    return True

                                if self.locator is not None and self.locator._has_data():
                                    return True

                                if self.map_cache is not None and self.map_cache._has_data():
                                    return True

                                if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                    return True

                                if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                    return True

                                if self.map_request_source is not None:
                                    return True

                                if self.map_resolver is not None and self.map_resolver._has_data():
                                    return True

                                if self.map_server is not None and self.map_server._has_data():
                                    return True

                                if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                                    return True

                                if self.proxy_etr is not None:
                                    return True

                                if self.proxy_itr is not None:
                                    for child in self.proxy_itr:
                                        if child is not None:
                                            return True

                                if self.route_export is not None and self.route_export._has_data():
                                    return True

                                if self.route_import is not None and self.route_import._has_data():
                                    return True

                                if self.sgt is not None:
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                    return True

                                if self.use_petr is not None:
                                    for child_ref in self.use_petr:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.Ipv6']['meta_info']


                        class LocReachAlgorithm(object):
                            """
                            Configure locator reachability algorithm
                            
                            .. attribute:: lsb_reports
                            
                            	Configure data packet LSB report handling
                            	**type**\:   :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports>`
                            
                            .. attribute:: rloc_probing
                            
                            	Probe high priority RLOCs with Map\-Requests as last resort
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lsb_reports = Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports()
                                self.lsb_reports.parent = self
                                self.rloc_probing = None


                            class LsbReports(object):
                                """
                                Configure data packet LSB report handling
                                
                                .. attribute:: do_not_transmit
                                
                                	Force the setting of the encapsulation header L bit to zero
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ignore
                                
                                	Ignore data packet LSB reports
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.do_not_transmit = None
                                    self.ignore = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lsb-reports'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.do_not_transmit is not None:
                                        return True

                                    if self.ignore is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:loc-reach-algorithm'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lsb_reports is not None and self.lsb_reports._has_data():
                                    return True

                                if self.rloc_probing is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm']['meta_info']


                        class LocatorDown(object):
                            """
                            Manually set locator status to down
                            
                            .. attribute:: address
                            
                            	IPv4/6 Locator address to be set down
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: ipv4_interface
                            
                            	Use IPv4 address of interface as locator
                            	**type**\:  str
                            
                            .. attribute:: ipv6_interface
                            
                            	Use IPv6 address of interface as locator
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None
                                self.ipv4_interface = None
                                self.ipv6_interface = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator-down'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                if self.ipv4_interface is not None:
                                    return True

                                if self.ipv6_interface is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.LocatorDown']['meta_info']


                        class LocatorTable(object):
                            """
                            Specify the RLOC table
                            
                            .. attribute:: default
                            
                            	Default VRF
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vrf
                            
                            	VRF name
                            	**type**\:  str
                            
                            .. attribute:: vrf_name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.default = None
                                self.vrf = None
                                self.vrf_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator-table'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.default is not None:
                                    return True

                                if self.vrf is not None:
                                    return True

                                if self.vrf_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.LocatorTable']['meta_info']


                        class MapRequest(object):
                            """
                            Configure map\-request handling
                            
                            .. attribute:: itr_rlocs
                            
                            	Configure to use the specified RLOC set as ITR RLOC in map\-request
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.itr_rlocs = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.itr_rlocs is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapRequest']['meta_info']


                        class MapServer(object):
                            """
                            Map\-Server commands
                            
                            .. attribute:: rloc
                            
                            	EID instance RLOC membership
                            	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc>`
                            
                            .. attribute:: site_registration
                            
                            	Map\-server site registration options
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.MapServer.SiteRegistration>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rloc = Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc()
                                self.rloc.parent = self
                                self.site_registration = Native.Router.LispList.Default.EidTable.InstanceList.MapServer.SiteRegistration()
                                self.site_registration.parent = self


                            class Rloc(object):
                                """
                                EID instance RLOC membership
                                
                                .. attribute:: members
                                
                                	EID instance RLOC membership
                                	**type**\:   :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.members = Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members()
                                    self.members.parent = self


                                class Members(object):
                                    """
                                    EID instance RLOC membership
                                    
                                    .. attribute:: distribute
                                    
                                    	EID instance RLOC membership distribution
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: modify_discovered
                                    
                                    	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                    	**type**\:   :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.distribute = None
                                        self.modify_discovered = Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered()
                                        self.modify_discovered.parent = self


                                    class ModifyDiscovered(object):
                                        """
                                        Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set from which to get member RLOC addresses
                                        	**type**\:  str
                                        
                                        .. attribute:: operator
                                        
                                        	
                                        	**type**\:   :py:class:`OperatorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.operator = None

                                        class OperatorEnum(Enum):
                                            """
                                            OperatorEnum

                                            .. data:: add = 0

                                            .. data:: override = 1

                                            """

                                            add = 0

                                            override = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:modify-discovered'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.operator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:members'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.distribute is not None:
                                            return True

                                        if self.modify_discovered is not None and self.modify_discovered._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.members is not None and self.members._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc']['meta_info']


                            class SiteRegistration(object):
                                """
                                Map\-server site registration options
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations as a result of accept\-more\-specifics
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapServer.SiteRegistration']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rloc is not None and self.rloc._has_data():
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapServer']['meta_info']


                        class OtherXtrProbe(object):
                            """
                            Configure parameters for probing of other xTRs in our site
                            
                            .. attribute:: period
                            
                            	Period between probes in seconds
                            	**type**\:  int
                            
                            	**range:** 5..900
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.period = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:other-xtr-probe'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.period is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.OtherXtrProbe']['meta_info']


                        class RemoteRlocProbe(object):
                            """
                            Configure parameters for probing of remote RLOCs
                            
                            .. attribute:: on_membership_change
                            
                            	Trigger probing upon membership changes for remote RLOC
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: on_route_change
                            
                            	Trigger probing upon routing changes for remote RLOC
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.on_membership_change = None
                                self.on_route_change = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:remote-rloc-probe'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.on_membership_change is not None:
                                    return True

                                if self.on_route_change is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.RemoteRlocProbe']['meta_info']


                        class MapCache(object):
                            """
                            Configures static EID\-to\-RLOC mappings for an ITR
                            
                            .. attribute:: eid_prefix  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: drop
                            
                            	Drop packets that match this map\-cache entry
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: etr_interface_ip
                            
                            	
                            	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp>`
                            
                            .. attribute:: map_request
                            
                            	Send Map\-Request for LISP destination EID
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: native_forward
                            
                            	Natively forward packets that match this map\-cache entry
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eid_prefix = None
                                self.drop = None
                                self.etr_interface_ip = Native.Router.LispList.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp()
                                self.etr_interface_ip.parent = self
                                self.map_request = None
                                self.native_forward = None


                            class EtrInterfaceIp(object):
                                """
                                
                                
                                .. attribute:: etr_interface_ip_address
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: priority
                                
                                	Configures which Locators from a set are preferred
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.etr_interface_ip_address = None
                                    self.priority = None
                                    self.weight = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.etr_interface_ip_address is not None:
                                        return True

                                    if self.priority is not None:
                                        return True

                                    if self.weight is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.eid_prefix is None:
                                    raise YPYModelError('Key property eid_prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eid_prefix is not None:
                                    return True

                                if self.drop is not None:
                                    return True

                                if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                    return True

                                if self.map_request is not None:
                                    return True

                                if self.native_forward is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList.MapCache']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.instance_id is None:
                                raise YPYModelError('Key property instance_id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.instance_id is not None:
                                return True

                            if self.alt is not None and self.alt._has_data():
                                return True

                            if self.control_packet is not None and self.control_packet._has_data():
                                return True

                            if self.database_mapping is not None:
                                for child_ref in self.database_mapping:
                                    if child_ref._has_data():
                                        return True

                            if self.ddt is not None and self.ddt._has_data():
                                return True

                            if self.decapsulation is not None and self.decapsulation._has_data():
                                return True

                            if self.default is not None:
                                return True

                            if self.disable_ttl_propagate is not None:
                                return True

                            if self.dynamic_eid is not None:
                                for child_ref in self.dynamic_eid:
                                    if child_ref._has_data():
                                        return True

                            if self.etr is not None and self.etr._has_data():
                                return True

                            if self.ipv4 is not None and self.ipv4._has_data():
                                return True

                            if self.ipv6 is not None and self.ipv6._has_data():
                                return True

                            if self.loc_reach_algorithm is not None and self.loc_reach_algorithm._has_data():
                                return True

                            if self.locator_down is not None and self.locator_down._has_data():
                                return True

                            if self.locator_table is not None and self.locator_table._has_data():
                                return True

                            if self.map_cache is not None:
                                for child_ref in self.map_cache:
                                    if child_ref._has_data():
                                        return True

                            if self.map_request is not None and self.map_request._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.other_xtr_probe is not None and self.other_xtr_probe._has_data():
                                return True

                            if self.remote_rloc_probe is not None and self.remote_rloc_probe._has_data():
                                return True

                            if self.vrf is not None:
                                return True

                            if self.vrf_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.EidTable.InstanceList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.instance_list is not None:
                            for child_ref in self.instance_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.EidTable']['meta_info']


                class Security(object):
                    """
                    Enable default LISP security and authentication in reply is optional
                    
                    .. attribute:: strong
                    
                    	Enable default LISP security and authentication in reply is required
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.strong = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:security'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.strong is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.Security']['meta_info']


                class Site(object):
                    """
                    Configure a LISP site on a map server (MS)
                    
                    .. attribute:: sname  <key>
                    
                    	The site name
                    	**type**\:  str
                    
                    .. attribute:: allowed_locator
                    
                    	Locator from LISP site
                    	**type**\:   :py:class:`AllowedLocator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.AllowedLocator>`
                    
                    .. attribute:: authentication_key
                    
                    	Authentication key used by LISP site
                    	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.AuthenticationKey>`
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default_>`
                    
                    .. attribute:: description
                    
                    	Site description
                    	**type**\:  str
                    
                    .. attribute:: eid_prefix
                    
                    	Site EID address prefix
                    	**type**\:   :py:class:`EidPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.EidPrefix>`
                    
                    .. attribute:: eid_record
                    
                    	Site EID address prefix
                    	**type**\:   :py:class:`EidRecord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.EidRecord>`
                    
                    .. attribute:: site_id
                    
                    	Configure a site\-id for this site
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.sname = None
                        self.allowed_locator = Native.Router.LispList.Default.Site.AllowedLocator()
                        self.allowed_locator.parent = self
                        self.authentication_key = Native.Router.LispList.Default.Site.AuthenticationKey()
                        self.authentication_key.parent = self
                        self.default = Native.Router.LispList.Default.Site.Default_()
                        self.default.parent = self
                        self.description = None
                        self.eid_prefix = Native.Router.LispList.Default.Site.EidPrefix()
                        self.eid_prefix.parent = self
                        self.eid_record = Native.Router.LispList.Default.Site.EidRecord()
                        self.eid_record.parent = self
                        self.site_id = None


                    class Default_(object):
                        """
                        
                        
                        .. attribute:: allowed_locator
                        
                        	Locator from LISP site
                        	**type**\:   :py:class:`AllowedLocator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default_.AllowedLocator>`
                        
                        .. attribute:: authentication_key
                        
                        	Authentication key used by LISP site
                        	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default_.AuthenticationKey>`
                        
                        .. attribute:: description
                        
                        	Site description
                        	**type**\:  str
                        
                        .. attribute:: eid_prefix
                        
                        	Site EID address prefix
                        	**type**\:   :py:class:`EidPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default_.EidPrefix>`
                        
                        .. attribute:: eid_record
                        
                        	Site EID address prefix
                        	**type**\:   :py:class:`EidRecord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default_.EidRecord>`
                        
                        .. attribute:: site_id
                        
                        	Configure a site\-id for this site
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.allowed_locator = Native.Router.LispList.Default.Site.Default_.AllowedLocator()
                            self.allowed_locator.parent = self
                            self.authentication_key = Native.Router.LispList.Default.Site.Default_.AuthenticationKey()
                            self.authentication_key.parent = self
                            self.description = None
                            self.eid_prefix = Native.Router.LispList.Default.Site.Default_.EidPrefix()
                            self.eid_prefix.parent = self
                            self.eid_record = Native.Router.LispList.Default.Site.Default_.EidRecord()
                            self.eid_record.parent = self
                            self.site_id = None


                        class AuthenticationKey(object):
                            """
                            Authentication key used by LISP site
                            
                            .. attribute:: key_0
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\:  str
                            
                            .. attribute:: key_6
                            
                            	The ENCRYPTED password
                            	**type**\:  str
                            
                            .. attribute:: key_7
                            
                            	The ENCRYPTED password
                            	**type**\:  str
                            
                            .. attribute:: unc_pwd
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_0 = None
                                self.key_6 = None
                                self.key_7 = None
                                self.unc_pwd = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:authentication-key'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_0 is not None:
                                    return True

                                if self.key_6 is not None:
                                    return True

                                if self.key_7 is not None:
                                    return True

                                if self.unc_pwd is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Site.Default_.AuthenticationKey']['meta_info']


                        class AllowedLocator(object):
                            """
                            Locator from LISP site
                            
                            .. attribute:: list
                            
                            	Prefixes allowed in registerd locator\-set
                            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default_.AllowedLocator.List>`
                            
                            .. attribute:: ls_ipv4
                            
                            	IPv4 locator allowed in registered locator\-set
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ls_ipv6
                            
                            	IPv6 locator allowed in registered locator\-set
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.list = Native.Router.LispList.Default.Site.Default_.AllowedLocator.List()
                                self.list.parent = self
                                self.ls_ipv4 = None
                                self.ls_ipv6 = None


                            class List(object):
                                """
                                Prefixes allowed in registerd locator\-set
                                
                                .. attribute:: ipv4
                                
                                	IPv4 prefix\-list name
                                	**type**\:  str
                                
                                .. attribute:: ipv6
                                
                                	IPv6 prefix\-list name
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None
                                    self.ipv6 = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    if self.ipv6 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Site.Default_.AllowedLocator.List']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:allowed-locator'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.list is not None and self.list._has_data():
                                    return True

                                if self.ls_ipv4 is not None:
                                    return True

                                if self.ls_ipv6 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Site.Default_.AllowedLocator']['meta_info']


                        class EidPrefix(object):
                            """
                            Site EID address prefix
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: instance_id
                            
                            	EID instance\-ID
                            	**type**\: list of    :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default_.EidPrefix.InstanceId>`
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default_.EidPrefix.Prefixes>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.any_mac = None
                                self.instance_id = YList()
                                self.instance_id.parent = self
                                self.instance_id.name = 'instance_id'
                                self.prefixes = YList()
                                self.prefixes.parent = self
                                self.prefixes.name = 'prefixes'


                            class Prefixes(object):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.prefix = None
                                    self.accept_more_specifics = None
                                    self.route_tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.prefix is None:
                                        raise YPYModelError('Key property prefix is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.prefix is not None:
                                        return True

                                    if self.accept_more_specifics is not None:
                                        return True

                                    if self.route_tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Site.Default_.EidPrefix.Prefixes']['meta_info']


                            class InstanceId(object):
                                """
                                EID instance\-ID
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..16777214
                                
                                .. attribute:: any_mac
                                
                                	Accept registrations for any L2 EID records
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: prefixes
                                
                                	
                                	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default_.EidPrefix.InstanceId.Prefixes>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.any_mac = None
                                    self.prefixes = YList()
                                    self.prefixes.parent = self
                                    self.prefixes.name = 'prefixes'


                                class Prefixes(object):
                                    """
                                    
                                    
                                    .. attribute:: prefix  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    
                                    ----
                                    .. attribute:: accept_more_specifics
                                    
                                    	Accept registrations for more specific EID prefixes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_tag
                                    
                                    	RIB route tag
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.prefix = None
                                        self.accept_more_specifics = None
                                        self.route_tag = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.prefix is None:
                                            raise YPYModelError('Key property prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.prefix is not None:
                                            return True

                                        if self.accept_more_specifics is not None:
                                            return True

                                        if self.route_tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Site.Default_.EidPrefix.InstanceId.Prefixes']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.any_mac is not None:
                                        return True

                                    if self.prefixes is not None:
                                        for child_ref in self.prefixes:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Site.Default_.EidPrefix.InstanceId']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.any_mac is not None:
                                    return True

                                if self.instance_id is not None:
                                    for child_ref in self.instance_id:
                                        if child_ref._has_data():
                                            return True

                                if self.prefixes is not None:
                                    for child_ref in self.prefixes:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Site.Default_.EidPrefix']['meta_info']


                        class EidRecord(object):
                            """
                            Site EID address prefix
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: instance_id
                            
                            	EID instance\-ID
                            	**type**\: list of    :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default_.EidRecord.InstanceId>`
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default_.EidRecord.Prefixes>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.any_mac = None
                                self.instance_id = YList()
                                self.instance_id.parent = self
                                self.instance_id.name = 'instance_id'
                                self.prefixes = YList()
                                self.prefixes.parent = self
                                self.prefixes.name = 'prefixes'


                            class Prefixes(object):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.prefix = None
                                    self.accept_more_specifics = None
                                    self.route_tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.prefix is None:
                                        raise YPYModelError('Key property prefix is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.prefix is not None:
                                        return True

                                    if self.accept_more_specifics is not None:
                                        return True

                                    if self.route_tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Site.Default_.EidRecord.Prefixes']['meta_info']


                            class InstanceId(object):
                                """
                                EID instance\-ID
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..16777214
                                
                                .. attribute:: any_mac
                                
                                	Accept registrations for any L2 EID records
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: prefixes
                                
                                	
                                	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default_.EidRecord.InstanceId.Prefixes>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.any_mac = None
                                    self.prefixes = YList()
                                    self.prefixes.parent = self
                                    self.prefixes.name = 'prefixes'


                                class Prefixes(object):
                                    """
                                    
                                    
                                    .. attribute:: prefix  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    
                                    ----
                                    .. attribute:: accept_more_specifics
                                    
                                    	Accept registrations for more specific EID prefixes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_tag
                                    
                                    	RIB route tag
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.prefix = None
                                        self.accept_more_specifics = None
                                        self.route_tag = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.prefix is None:
                                            raise YPYModelError('Key property prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.prefix is not None:
                                            return True

                                        if self.accept_more_specifics is not None:
                                            return True

                                        if self.route_tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Default.Site.Default_.EidRecord.InstanceId.Prefixes']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.any_mac is not None:
                                        return True

                                    if self.prefixes is not None:
                                        for child_ref in self.prefixes:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Site.Default_.EidRecord.InstanceId']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-record'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.any_mac is not None:
                                    return True

                                if self.instance_id is not None:
                                    for child_ref in self.instance_id:
                                        if child_ref._has_data():
                                            return True

                                if self.prefixes is not None:
                                    for child_ref in self.prefixes:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Site.Default_.EidRecord']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.allowed_locator is not None and self.allowed_locator._has_data():
                                return True

                            if self.authentication_key is not None and self.authentication_key._has_data():
                                return True

                            if self.description is not None:
                                return True

                            if self.eid_prefix is not None and self.eid_prefix._has_data():
                                return True

                            if self.eid_record is not None and self.eid_record._has_data():
                                return True

                            if self.site_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Site.Default_']['meta_info']


                    class AuthenticationKey(object):
                        """
                        Authentication key used by LISP site
                        
                        .. attribute:: key_0
                        
                        	The UNENCRYPTED (cleartext) password
                        	**type**\:  str
                        
                        .. attribute:: key_6
                        
                        	The ENCRYPTED password
                        	**type**\:  str
                        
                        .. attribute:: key_7
                        
                        	The ENCRYPTED password
                        	**type**\:  str
                        
                        .. attribute:: unc_pwd
                        
                        	The UNENCRYPTED (cleartext) password
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_0 = None
                            self.key_6 = None
                            self.key_7 = None
                            self.unc_pwd = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:authentication-key'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_0 is not None:
                                return True

                            if self.key_6 is not None:
                                return True

                            if self.key_7 is not None:
                                return True

                            if self.unc_pwd is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Site.AuthenticationKey']['meta_info']


                    class AllowedLocator(object):
                        """
                        Locator from LISP site
                        
                        .. attribute:: list
                        
                        	Prefixes allowed in registerd locator\-set
                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.AllowedLocator.List>`
                        
                        .. attribute:: ls_ipv4
                        
                        	IPv4 locator allowed in registered locator\-set
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ls_ipv6
                        
                        	IPv6 locator allowed in registered locator\-set
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.list = Native.Router.LispList.Default.Site.AllowedLocator.List()
                            self.list.parent = self
                            self.ls_ipv4 = None
                            self.ls_ipv6 = None


                        class List(object):
                            """
                            Prefixes allowed in registerd locator\-set
                            
                            .. attribute:: ipv4
                            
                            	IPv4 prefix\-list name
                            	**type**\:  str
                            
                            .. attribute:: ipv6
                            
                            	IPv6 prefix\-list name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = None
                                self.ipv6 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None:
                                    return True

                                if self.ipv6 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Site.AllowedLocator.List']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:allowed-locator'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.list is not None and self.list._has_data():
                                return True

                            if self.ls_ipv4 is not None:
                                return True

                            if self.ls_ipv6 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Site.AllowedLocator']['meta_info']


                    class EidPrefix(object):
                        """
                        Site EID address prefix
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: instance_id
                        
                        	EID instance\-ID
                        	**type**\: list of    :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.EidPrefix.InstanceId>`
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.EidPrefix.Prefixes>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.any_mac = None
                            self.instance_id = YList()
                            self.instance_id.parent = self
                            self.instance_id.name = 'instance_id'
                            self.prefixes = YList()
                            self.prefixes.parent = self
                            self.prefixes.name = 'prefixes'


                        class Prefixes(object):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix = None
                                self.accept_more_specifics = None
                                self.route_tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.prefix is None:
                                    raise YPYModelError('Key property prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix is not None:
                                    return True

                                if self.accept_more_specifics is not None:
                                    return True

                                if self.route_tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Site.EidPrefix.Prefixes']['meta_info']


                        class InstanceId(object):
                            """
                            EID instance\-ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..16777214
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.EidPrefix.InstanceId.Prefixes>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.any_mac = None
                                self.prefixes = YList()
                                self.prefixes.parent = self
                                self.prefixes.name = 'prefixes'


                            class Prefixes(object):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.prefix = None
                                    self.accept_more_specifics = None
                                    self.route_tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.prefix is None:
                                        raise YPYModelError('Key property prefix is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.prefix is not None:
                                        return True

                                    if self.accept_more_specifics is not None:
                                        return True

                                    if self.route_tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Site.EidPrefix.InstanceId.Prefixes']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.any_mac is not None:
                                    return True

                                if self.prefixes is not None:
                                    for child_ref in self.prefixes:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Site.EidPrefix.InstanceId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-prefix'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any_mac is not None:
                                return True

                            if self.instance_id is not None:
                                for child_ref in self.instance_id:
                                    if child_ref._has_data():
                                        return True

                            if self.prefixes is not None:
                                for child_ref in self.prefixes:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Site.EidPrefix']['meta_info']


                    class EidRecord(object):
                        """
                        Site EID address prefix
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: instance_id
                        
                        	EID instance\-ID
                        	**type**\: list of    :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.EidRecord.InstanceId>`
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.EidRecord.Prefixes>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.any_mac = None
                            self.instance_id = YList()
                            self.instance_id.parent = self
                            self.instance_id.name = 'instance_id'
                            self.prefixes = YList()
                            self.prefixes.parent = self
                            self.prefixes.name = 'prefixes'


                        class Prefixes(object):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix = None
                                self.accept_more_specifics = None
                                self.route_tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.prefix is None:
                                    raise YPYModelError('Key property prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix is not None:
                                    return True

                                if self.accept_more_specifics is not None:
                                    return True

                                if self.route_tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Site.EidRecord.Prefixes']['meta_info']


                        class InstanceId(object):
                            """
                            EID instance\-ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..16777214
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.EidRecord.InstanceId.Prefixes>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.any_mac = None
                                self.prefixes = YList()
                                self.prefixes.parent = self
                                self.prefixes.name = 'prefixes'


                            class Prefixes(object):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.prefix = None
                                    self.accept_more_specifics = None
                                    self.route_tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.prefix is None:
                                        raise YPYModelError('Key property prefix is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.prefix is not None:
                                        return True

                                    if self.accept_more_specifics is not None:
                                        return True

                                    if self.route_tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Default.Site.EidRecord.InstanceId.Prefixes']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.any_mac is not None:
                                    return True

                                if self.prefixes is not None:
                                    for child_ref in self.prefixes:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Default.Site.EidRecord.InstanceId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-record'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any_mac is not None:
                                return True

                            if self.instance_id is not None:
                                for child_ref in self.instance_id:
                                    if child_ref._has_data():
                                        return True

                            if self.prefixes is not None:
                                for child_ref in self.prefixes:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Site.EidRecord']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.sname is None:
                            raise YPYModelError('Key property sname is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site[Cisco-IOS-XE-lisp:sname = ' + str(self.sname) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.sname is not None:
                            return True

                        if self.allowed_locator is not None and self.allowed_locator._has_data():
                            return True

                        if self.authentication_key is not None and self.authentication_key._has_data():
                            return True

                        if self.default is not None and self.default._has_data():
                            return True

                        if self.description is not None:
                            return True

                        if self.eid_prefix is not None and self.eid_prefix._has_data():
                            return True

                        if self.eid_record is not None and self.eid_record._has_data():
                            return True

                        if self.site_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.Site']['meta_info']


                class Syslog(object):
                    """
                    Configure syslog option
                    
                    .. attribute:: session
                    
                    	Enable session syslog
                    	**type**\:   :py:class:`Session <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Syslog.Session>`
                    
                    .. attribute:: verbose
                    
                    	Enable verbose syslog
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.session = Native.Router.LispList.Default.Syslog.Session()
                        self.session.parent = self
                        self.verbose = None


                    class Session(object):
                        """
                        Enable session syslog
                        
                        .. attribute:: changes
                        
                        	Enable session change syslog
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.changes = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:session'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.changes is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Default.Syslog.Session']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:syslog'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.session is not None and self.session._has_data():
                            return True

                        if self.verbose is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Default.Syslog']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.alt is not None and self.alt._has_data():
                        return True

                    if self.control_packet is not None and self.control_packet._has_data():
                        return True

                    if self.ddt is not None and self.ddt._has_data():
                        return True

                    if self.decapsulation is not None and self.decapsulation._has_data():
                        return True

                    if self.disable_ttl_propagate is not None:
                        return True

                    if self.eid_table is not None and self.eid_table._has_data():
                        return True

                    if self.encapsulation is not None and self.encapsulation._has_data():
                        return True

                    if self.etr is not None and self.etr._has_data():
                        return True

                    if self.instance_container is not None and self.instance_container._has_data():
                        return True

                    if self.ipv4 is not None and self.ipv4._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    if self.loc_reach_algorithm is not None and self.loc_reach_algorithm._has_data():
                        return True

                    if self.locator_down is not None and self.locator_down._has_data():
                        return True

                    if self.locator_scope is not None:
                        for child_ref in self.locator_scope:
                            if child_ref._has_data():
                                return True

                    if self.locator_set is not None:
                        for child_ref in self.locator_set:
                            if child_ref._has_data():
                                return True

                    if self.locator_table is not None and self.locator_table._has_data():
                        return True

                    if self.map_request is not None and self.map_request._has_data():
                        return True

                    if self.map_server is not None and self.map_server._has_data():
                        return True

                    if self.other_xtr_probe is not None and self.other_xtr_probe._has_data():
                        return True

                    if self.remote_rloc_probe is not None and self.remote_rloc_probe._has_data():
                        return True

                    if self.security is not None and self.security._has_data():
                        return True

                    if self.service is not None and self.service._has_data():
                        return True

                    if self.site is not None:
                        for child_ref in self.site:
                            if child_ref._has_data():
                                return True

                    if self.site_id is not None:
                        return True

                    if self.syslog is not None and self.syslog._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.Default']['meta_info']


            class Service(object):
                """
                Configure lisp service type
                
                .. attribute:: ethernet
                
                	
                	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet>`
                
                	**presence node**\: True
                
                .. attribute:: ipv4
                
                	
                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4>`
                
                	**presence node**\: True
                
                .. attribute:: ipv6
                
                	
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6>`
                
                	**presence node**\: True
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.ethernet = None
                    self.ipv4 = None
                    self.ipv6 = None


                class Ipv4(object):
                    """
                    
                    
                    .. attribute:: database_mapping
                    
                    	Address family specific local EID prefixes database configuration
                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.DatabaseMapping>`
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default>`
                    
                    .. attribute:: distance
                    
                    	Administrative distance for RIB route installation
                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Distance>`
                    
                    .. attribute:: encapsulation
                    
                    	Select encapsulation type for data packets
                    	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.EncapsulationEnum>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr>`
                    
                    .. attribute:: etr_enable
                    
                    	
                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.EtrEnable>`
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Itr>`
                    
                    .. attribute:: itr_enable
                    
                    	
                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.ItrEnable>`
                    
                    .. attribute:: map_cache
                    
                    	Address family specific map cache configuration
                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapCache>`
                    
                    .. attribute:: map_cache_limit
                    
                    	Configures maximum size of map\-cache
                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapCacheLimit>`
                    
                    .. attribute:: map_cache_persistent
                    
                    	Dump map\-cache onto flash, making it persistent across reboots
                    	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapCachePersistent>`
                    
                    .. attribute:: map_request_source
                    
                    	Configures inner header source address in Map\-Request message
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: map_resolver
                    
                    	Configures a LISP Map Resolver (MR)
                    	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapResolver>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: map_server
                    
                    	Configures a LISP Map Server (MS)
                    	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: proxy_etr
                    
                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: proxy_itr
                    
                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                    	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.ProxyItr>`
                    
                    .. attribute:: route_export
                    
                    	Export routes into RIB from LISP
                    	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.RouteExport>`
                    
                    .. attribute:: sgt
                    
                    	Enable security group tag propagation in LISP encapsulated traffic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: site_registration
                    
                    	Site registrations configuration for a given instance\-id
                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.SiteRegistration>`
                    
                    .. attribute:: solicit_map_request
                    
                    	Configure Solicit\-Map\-Request handling
                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.SolicitMapRequest>`
                    
                    .. attribute:: use_petr
                    
                    	Encapsulate to Proxy ETR when matching forward\-native entry
                    	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.UsePetr>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.database_mapping = Native.Router.LispList.Service.Ipv4.DatabaseMapping()
                        self.database_mapping.parent = self
                        self.default = Native.Router.LispList.Service.Ipv4.Default()
                        self.default.parent = self
                        self.distance = Native.Router.LispList.Service.Ipv4.Distance()
                        self.distance.parent = self
                        self.encapsulation = None
                        self.etr = Native.Router.LispList.Service.Ipv4.Etr()
                        self.etr.parent = self
                        self.etr_enable = Native.Router.LispList.Service.Ipv4.EtrEnable()
                        self.etr_enable.parent = self
                        self.itr = Native.Router.LispList.Service.Ipv4.Itr()
                        self.itr.parent = self
                        self.itr_enable = Native.Router.LispList.Service.Ipv4.ItrEnable()
                        self.itr_enable.parent = self
                        self.map_cache = Native.Router.LispList.Service.Ipv4.MapCache()
                        self.map_cache.parent = self
                        self.map_cache_limit = Native.Router.LispList.Service.Ipv4.MapCacheLimit()
                        self.map_cache_limit.parent = self
                        self.map_cache_persistent = Native.Router.LispList.Service.Ipv4.MapCachePersistent()
                        self.map_cache_persistent.parent = self
                        self.map_request_source = None
                        self.map_resolver = None
                        self.map_server = None
                        self.proxy_etr = None
                        self.proxy_itr = Native.Router.LispList.Service.Ipv4.ProxyItr()
                        self.proxy_itr.parent = self
                        self.route_export = Native.Router.LispList.Service.Ipv4.RouteExport()
                        self.route_export.parent = self
                        self.sgt = None
                        self.site_registration = Native.Router.LispList.Service.Ipv4.SiteRegistration()
                        self.site_registration.parent = self
                        self.solicit_map_request = Native.Router.LispList.Service.Ipv4.SolicitMapRequest()
                        self.solicit_map_request.parent = self
                        self.use_petr = YList()
                        self.use_petr.parent = self
                        self.use_petr.name = 'use_petr'

                    class EncapsulationEnum(Enum):
                        """
                        EncapsulationEnum

                        Select encapsulation type for data packets

                        .. data:: lisp = 0

                        .. data:: vxlan = 1

                        """

                        lisp = 0

                        vxlan = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.EncapsulationEnum']



                    class Default(object):
                        """
                        
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Distance>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.EncapsulationEnum>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.EtrEnable>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.ItrEnable>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapCache>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapCacheLimit>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapCachePersistent>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.ProxyItr>`
                        
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.RouteExport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.SolicitMapRequest>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.UsePetr>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.database_mapping = Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping()
                            self.database_mapping.parent = self
                            self.distance = Native.Router.LispList.Service.Ipv4.Default.Distance()
                            self.distance.parent = self
                            self.encapsulation = None
                            self.etr = Native.Router.LispList.Service.Ipv4.Default.Etr()
                            self.etr.parent = self
                            self.etr_enable = Native.Router.LispList.Service.Ipv4.Default.EtrEnable()
                            self.etr_enable.parent = self
                            self.itr = Native.Router.LispList.Service.Ipv4.Default.Itr()
                            self.itr.parent = self
                            self.itr_enable = Native.Router.LispList.Service.Ipv4.Default.ItrEnable()
                            self.itr_enable.parent = self
                            self.map_cache = Native.Router.LispList.Service.Ipv4.Default.MapCache()
                            self.map_cache.parent = self
                            self.map_cache_limit = Native.Router.LispList.Service.Ipv4.Default.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self.map_cache_persistent = Native.Router.LispList.Service.Ipv4.Default.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self.map_request_source = None
                            self.map_resolver = None
                            self.map_server = None
                            self.proxy_etr = None
                            self.proxy_itr = Native.Router.LispList.Service.Ipv4.Default.ProxyItr()
                            self.proxy_itr.parent = self
                            self.route_export = Native.Router.LispList.Service.Ipv4.Default.RouteExport()
                            self.route_export.parent = self
                            self.sgt = None
                            self.site_registration = Native.Router.LispList.Service.Ipv4.Default.SiteRegistration()
                            self.site_registration.parent = self
                            self.solicit_map_request = Native.Router.LispList.Service.Ipv4.Default.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self.use_petr = YList()
                            self.use_petr.parent = self
                            self.use_petr.name = 'use_petr'

                        class EncapsulationEnum(Enum):
                            """
                            EncapsulationEnum

                            Select encapsulation type for data packets

                            .. data:: lisp = 0

                            .. data:: vxlan = 1

                            """

                            lisp = 0

                            vxlan = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.EncapsulationEnum']



                        class DatabaseMapping(object):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping.Limit()
                                self.limit.parent = self


                            class Limit(object):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\:  int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dynamic = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dynamic is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping.Limit']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None and self.limit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping']['meta_info']


                        class Itr(object):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_resolver = YList()
                                self.map_resolver.parent = self
                                self.map_resolver.name = 'map_resolver'


                            class MapResolver(object):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.Itr.MapResolver']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_resolver is not None:
                                    for child_ref in self.map_resolver:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.Itr']['meta_info']


                        class ItrEnable(object):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.itr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.itr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.ItrEnable']['meta_info']


                        class EtrEnable(object):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.etr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.etr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.EtrEnable']['meta_info']


                        class Etr(object):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.accept_map_request_mapping = Native.Router.LispList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self.map_cache_ttl = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None
                                    self.key = Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key7>`
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self.key_6 = Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self.key_7 = Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self.key_pwd = Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self


                                    class KeyPwd(object):
                                        """
                                        
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.hash_function = None
                                            self.unc_pwd = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.hash_function is not None:
                                                return True

                                            if self.unc_pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd']['meta_info']


                                    class Key0(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_0 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_0 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key0']['meta_info']


                                    class Key6(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_6 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_6 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key6']['meta_info']


                                    class Key7(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_7 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_7 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key7']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None and self.key_0._has_data():
                                            return True

                                        if self.key_6 is not None and self.key_6._has_data():
                                            return True

                                        if self.key_7 is not None and self.key_7._has_data():
                                            return True

                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer']['meta_info']


                            class AcceptMapRequestMapping(object):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_mappping = None
                                    self.verify = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_mappping is not None:
                                        return True

                                    if self.verify is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                    return True

                                if self.map_cache_ttl is not None:
                                    return True

                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.Etr']['meta_info']


                        class MapCacheLimit(object):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\:  str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max_map_cache_entries = None
                                self.reserve_list = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max_map_cache_entries is not None:
                                    return True

                                if self.reserve_list is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.MapCacheLimit']['meta_info']


                        class MapResolver(object):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_request = Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest()
                                self.map_request.parent = self


                            class MapRequest(object):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.list = Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self.registered = Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self


                                        class List(object):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                        class Registered(object):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.list = Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self


                                            class List(object):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\:  str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv4 = None
                                                    self.ipv6 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ipv4 is not None:
                                                        return True

                                                    if self.ipv6 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:registered'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.list is not None and self.list._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.list is not None and self.list._has_data():
                                                return True

                                            if self.registered is not None and self.registered._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_request is not None and self.map_request._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.MapResolver']['meta_info']


                        class MapServer(object):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_register = Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister()
                                self.map_register.parent = self


                            class MapRegister(object):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.allowed_locator = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.allowed_locator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_register is not None and self.map_register._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.MapServer']['meta_info']


                        class SiteRegistration(object):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.SiteRegistration']['meta_info']


                        class SolicitMapRequest(object):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\:  int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ignore = None
                                self.max_per_entry = None
                                self.suppression_time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ignore is not None:
                                    return True

                                if self.max_per_entry is not None:
                                    return True

                                if self.suppression_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.SolicitMapRequest']['meta_info']


                        class Distance(object):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: away
                            
                            	Administrative distance for RIB route installation
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.alt = None
                                self.away = None
                                self.dyn_eid = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.alt is not None:
                                    return True

                                if self.away is not None:
                                    return True

                                if self.dyn_eid is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.Distance']['meta_info']


                        class MapCache(object):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: away_eids
                            
                            	Map cache configuration for the away table
                            	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapCache.AwayEids>`
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.away_eids = Native.Router.LispList.Service.Ipv4.Default.MapCache.AwayEids()
                                self.away_eids.parent = self
                                self.site_registration = None


                            class AwayEids(object):
                                """
                                Map cache configuration for the away table
                                
                                .. attribute:: send_map_request
                                
                                	Export away table entries into the map cache with action set to send\-map\-request
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.send_map_request = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.send_map_request is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.MapCache.AwayEids']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.away_eids is not None and self.away_eids._has_data():
                                    return True

                                if self.site_registration is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.MapCache']['meta_info']


                        class MapCachePersistent(object):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\:  int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interval = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.MapCachePersistent']['meta_info']


                        class ProxyItr(object):
                            """
                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            
                            .. attribute:: ipv4_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv6_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_addr = None
                                self.ipv6_addr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4_addr is not None:
                                    return True

                                if self.ipv6_addr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.ProxyItr']['meta_info']


                        class RouteExport(object):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.away_eids = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.away_eids is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.RouteExport']['meta_info']


                        class UsePetr(object):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: priority
                            
                            	
                            	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.UsePetr.Priority>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.locator_address = None
                                self.priority = Native.Router.LispList.Service.Ipv4.Default.UsePetr.Priority()
                                self.priority.parent = self


                            class Priority(object):
                                """
                                
                                
                                .. attribute:: priority_value
                                
                                	Configures which Locators from a set are preferred
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.priority_value = None
                                    self.weight = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.priority_value is not None:
                                        return True

                                    if self.weight is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.UsePetr.Priority']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.locator_address is None:
                                    raise YPYModelError('Key property locator_address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.locator_address is not None:
                                    return True

                                if self.priority is not None and self.priority._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default.UsePetr']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.database_mapping is not None and self.database_mapping._has_data():
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.encapsulation is not None:
                                return True

                            if self.etr is not None and self.etr._has_data():
                                return True

                            if self.etr_enable is not None and self.etr_enable._has_data():
                                return True

                            if self.itr is not None and self.itr._has_data():
                                return True

                            if self.itr_enable is not None and self.itr_enable._has_data():
                                return True

                            if self.map_cache is not None and self.map_cache._has_data():
                                return True

                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                return True

                            if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                return True

                            if self.map_request_source is not None:
                                return True

                            if self.map_resolver is not None and self.map_resolver._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.proxy_etr is not None:
                                return True

                            if self.proxy_itr is not None and self.proxy_itr._has_data():
                                return True

                            if self.route_export is not None and self.route_export._has_data():
                                return True

                            if self.sgt is not None:
                                return True

                            if self.site_registration is not None and self.site_registration._has_data():
                                return True

                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                return True

                            if self.use_petr is not None:
                                for child_ref in self.use_petr:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.Default']['meta_info']


                    class DatabaseMapping(object):
                        """
                        Address family specific local EID prefixes database configuration
                        
                        .. attribute:: limit
                        
                        	Configures the maximum size of local EID prefixes database
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.DatabaseMapping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Router.LispList.Service.Ipv4.DatabaseMapping.Limit()
                            self.limit.parent = self


                        class Limit(object):
                            """
                            Configures the maximum size of local EID prefixes database
                            
                            .. attribute:: dynamic
                            
                            	Configures the maximum size of dynamic local EID prefixes database
                            	**type**\:  int
                            
                            	**range:** 1..5000
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.DatabaseMapping.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.DatabaseMapping']['meta_info']


                    class Itr(object):
                        """
                        Configures a LISP Ingress Tunnel Router (ITR)
                        
                        .. attribute:: map_resolver
                        
                        	Configures map\-resolver address for sending Map\-Requests
                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Itr.MapResolver>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.map_resolver = YList()
                            self.map_resolver.parent = self
                            self.map_resolver.name = 'map_resolver'


                        class MapResolver(object):
                            """
                            Configures map\-resolver address for sending Map\-Requests
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Itr.MapResolver']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.map_resolver is not None:
                                for child_ref in self.map_resolver:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.Itr']['meta_info']


                    class ItrEnable(object):
                        """
                        
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.itr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.itr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.ItrEnable']['meta_info']


                    class EtrEnable(object):
                        """
                        
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.etr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.etr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.EtrEnable']['meta_info']


                    class Etr(object):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: accept_map_request_mapping
                        
                        	
                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                        
                        .. attribute:: map_cache_ttl
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 60..10080
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.accept_map_request_mapping = Native.Router.LispList.Service.Ipv4.Etr.AcceptMapRequestMapping()
                            self.accept_map_request_mapping.parent = self
                            self.map_cache_ttl = None
                            self.map_server = YList()
                            self.map_server.parent = self
                            self.map_server.name = 'map_server'


                        class MapServer(object):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None
                                self.key = Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key()
                                self.key.parent = self
                                self.proxy_reply = None


                            class Key(object):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_0
                                
                                	
                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                
                                .. attribute:: key_6
                                
                                	
                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                
                                .. attribute:: key_7
                                
                                	
                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                
                                .. attribute:: key_pwd
                                
                                	
                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_0 = Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key0()
                                    self.key_0.parent = self
                                    self.key_6 = Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key6()
                                    self.key_6.parent = self
                                    self.key_7 = Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key7()
                                    self.key_7.parent = self
                                    self.key_pwd = Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                    self.key_pwd.parent = self


                                class KeyPwd(object):
                                    """
                                    
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hash_function = None
                                        self.unc_pwd = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hash_function is not None:
                                            return True

                                        if self.unc_pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info']


                                class Key0(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_0 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_0 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info']


                                class Key6(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_6 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_6 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info']


                                class Key7(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_7 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_7 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_0 is not None and self.key_0._has_data():
                                        return True

                                    if self.key_6 is not None and self.key_6._has_data():
                                        return True

                                    if self.key_7 is not None and self.key_7._has_data():
                                        return True

                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                if self.key is not None and self.key._has_data():
                                    return True

                                if self.proxy_reply is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Etr.MapServer']['meta_info']


                        class AcceptMapRequestMapping(object):
                            """
                            
                            
                            .. attribute:: accept_mappping
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: verify
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.accept_mappping = None
                                self.verify = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.accept_mappping is not None:
                                    return True

                                if self.verify is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                return True

                            if self.map_cache_ttl is not None:
                                return True

                            if self.map_server is not None:
                                for child_ref in self.map_server:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.Etr']['meta_info']


                    class MapCacheLimit(object):
                        """
                        Configures maximum size of map\-cache
                        
                        .. attribute:: max_map_cache_entries
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..100000
                        
                        .. attribute:: reserve_list
                        
                        	EID\-prefixes guaranteed to be stored in map\-cache
                        	**type**\:  str
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max_map_cache_entries = None
                            self.reserve_list = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max_map_cache_entries is not None:
                                return True

                            if self.reserve_list is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.MapCacheLimit']['meta_info']


                    class MapResolver(object):
                        """
                        Configures a LISP Map Resolver (MR)
                        
                        .. attribute:: map_request
                        
                        	Map\-Request processing options
                        	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.map_request = Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest()
                            self.map_request.parent = self


                        class MapRequest(object):
                            """
                            Map\-Request processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.validate = Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate()
                                self.validate.parent = self


                            class Validate(object):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	Influence which source RLOCs map requests are accepted from
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    Influence which source RLOCs map requests are accepted from
                                    
                                    .. attribute:: list
                                    
                                    	Define allowed prefixes using an ip[v6] prefix list
                                    	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List>`
                                    
                                    .. attribute:: registered
                                    
                                    	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                    	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.list = Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List()
                                        self.list.parent = self
                                        self.registered = Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered()
                                        self.registered.parent = self


                                    class List(object):
                                        """
                                        Define allowed prefixes using an ip[v6] prefix list
                                        
                                        .. attribute:: ipv4
                                        
                                        	IPv4 prefixes
                                        	**type**\:  str
                                        
                                        .. attribute:: ipv6
                                        
                                        	IPv6 prefixes
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4 = None
                                            self.ipv6 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4 is not None:
                                                return True

                                            if self.ipv6 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                    class Registered(object):
                                        """
                                        ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.list = Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List()
                                            self.list.parent = self


                                        class List(object):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:registered'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.list is not None and self.list._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.list is not None and self.list._has_data():
                                            return True

                                        if self.registered is not None and self.registered._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.validate is not None and self.validate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.map_request is not None and self.map_request._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.MapResolver']['meta_info']


                    class MapServer(object):
                        """
                        Configures a LISP Map Server (MS)
                        
                        .. attribute:: map_register
                        
                        	Map\-Register processing options
                        	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapServer.MapRegister>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.map_register = Native.Router.LispList.Service.Ipv4.MapServer.MapRegister()
                            self.map_register.parent = self


                        class MapRegister(object):
                            """
                            Map\-Register processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.validate = Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate()
                                self.validate.parent = self


                            class Validate(object):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	RLOC Source IP address
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    RLOC Source IP address
                                    
                                    .. attribute:: allowed_locator
                                    
                                    	Against sites' allowed\-locators policy
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.allowed_locator = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.allowed_locator is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.validate is not None and self.validate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.MapServer.MapRegister']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.map_register is not None and self.map_register._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.MapServer']['meta_info']


                    class SiteRegistration(object):
                        """
                        Site registrations configuration for a given instance\-id
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.SiteRegistration']['meta_info']


                    class SolicitMapRequest(object):
                        """
                        Configure Solicit\-Map\-Request handling
                        
                        .. attribute:: ignore
                        
                        	Ignore SMR bit in incoming Map\-Requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_per_entry
                        
                        	Maximum number of SMRs for addresses under a map\-cache entry
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        .. attribute:: suppression_time
                        
                        	How long to suppress repeated SMRs for the same address
                        	**type**\:  int
                        
                        	**range:** 1..600
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ignore = None
                            self.max_per_entry = None
                            self.suppression_time = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ignore is not None:
                                return True

                            if self.max_per_entry is not None:
                                return True

                            if self.suppression_time is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.SolicitMapRequest']['meta_info']


                    class Distance(object):
                        """
                        Administrative distance for RIB route installation
                        
                        .. attribute:: alt
                        
                        	LISP routes installed in the ALT table
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: away
                        
                        	Administrative distance for RIB route installation
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: dyn_eid
                        
                        	LISP installed routes of type dynamic\-EID
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: site_registrations
                        
                        	LISP installed routes of type site\-registrations
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.alt = None
                            self.away = None
                            self.dyn_eid = None
                            self.site_registrations = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.alt is not None:
                                return True

                            if self.away is not None:
                                return True

                            if self.dyn_eid is not None:
                                return True

                            if self.site_registrations is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.Distance']['meta_info']


                    class MapCache(object):
                        """
                        Address family specific map cache configuration
                        
                        .. attribute:: away_eids
                        
                        	Map cache configuration for the away table
                        	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapCache.AwayEids>`
                        
                        .. attribute:: site_registration
                        
                        	Install map cache to map request for site registrations
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.away_eids = Native.Router.LispList.Service.Ipv4.MapCache.AwayEids()
                            self.away_eids.parent = self
                            self.site_registration = None


                        class AwayEids(object):
                            """
                            Map cache configuration for the away table
                            
                            .. attribute:: send_map_request
                            
                            	Export away table entries into the map cache with action set to send\-map\-request
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.send_map_request = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.send_map_request is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.MapCache.AwayEids']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.away_eids is not None and self.away_eids._has_data():
                                return True

                            if self.site_registration is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.MapCache']['meta_info']


                    class MapCachePersistent(object):
                        """
                        Dump map\-cache onto flash, making it persistent across reboots
                        
                        .. attribute:: interval
                        
                        	Interval in minutes of how often the map\-cache is saved
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interval = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.MapCachePersistent']['meta_info']


                    class ProxyItr(object):
                        """
                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        
                        .. attribute:: ipv4_addr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ipv6_addr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4_addr = None
                            self.ipv6_addr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4_addr is not None:
                                return True

                            if self.ipv6_addr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.ProxyItr']['meta_info']


                    class RouteExport(object):
                        """
                        Export routes into RIB from LISP
                        
                        .. attribute:: away_eids
                        
                        	Export LISP away EIDs to RIB
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registrations
                        
                        	Export LISP site registrations to RIB
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.away_eids = None
                            self.site_registrations = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.away_eids is not None:
                                return True

                            if self.site_registrations is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.RouteExport']['meta_info']


                    class UsePetr(object):
                        """
                        Encapsulate to Proxy ETR when matching forward\-native entry
                        
                        .. attribute:: locator_address  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: priority
                        
                        	
                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.UsePetr.Priority>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.locator_address = None
                            self.priority = Native.Router.LispList.Service.Ipv4.UsePetr.Priority()
                            self.priority.parent = self


                        class Priority(object):
                            """
                            
                            
                            .. attribute:: priority_value
                            
                            	Configures which Locators from a set are preferred
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: weight
                            
                            	Traffic load\-spreading among Locators
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.priority_value = None
                                self.weight = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.priority_value is not None:
                                    return True

                                if self.weight is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv4.UsePetr.Priority']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.locator_address is None:
                                raise YPYModelError('Key property locator_address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.locator_address is not None:
                                return True

                            if self.priority is not None and self.priority._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv4.UsePetr']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.database_mapping is not None and self.database_mapping._has_data():
                            return True

                        if self.default is not None and self.default._has_data():
                            return True

                        if self.distance is not None and self.distance._has_data():
                            return True

                        if self.encapsulation is not None:
                            return True

                        if self.etr is not None and self.etr._has_data():
                            return True

                        if self.etr_enable is not None and self.etr_enable._has_data():
                            return True

                        if self.itr is not None and self.itr._has_data():
                            return True

                        if self.itr_enable is not None and self.itr_enable._has_data():
                            return True

                        if self.map_cache is not None and self.map_cache._has_data():
                            return True

                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                            return True

                        if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                            return True

                        if self.map_request_source is not None:
                            return True

                        if self.map_resolver is not None and self.map_resolver._has_data():
                            return True

                        if self.map_server is not None and self.map_server._has_data():
                            return True

                        if self.proxy_etr is not None:
                            return True

                        if self.proxy_itr is not None and self.proxy_itr._has_data():
                            return True

                        if self.route_export is not None and self.route_export._has_data():
                            return True

                        if self.sgt is not None:
                            return True

                        if self.site_registration is not None and self.site_registration._has_data():
                            return True

                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                            return True

                        if self.use_petr is not None:
                            for child_ref in self.use_petr:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Service.Ipv4']['meta_info']


                class Ipv6(object):
                    """
                    
                    
                    .. attribute:: database_mapping
                    
                    	Address family specific local EID prefixes database configuration
                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.DatabaseMapping>`
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default>`
                    
                    .. attribute:: distance
                    
                    	Administrative distance for RIB route installation
                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Distance>`
                    
                    .. attribute:: encapsulation
                    
                    	Select encapsulation type for data packets
                    	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.EncapsulationEnum>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr>`
                    
                    .. attribute:: etr_enable
                    
                    	
                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.EtrEnable>`
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Itr>`
                    
                    .. attribute:: itr_enable
                    
                    	
                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.ItrEnable>`
                    
                    .. attribute:: map_cache
                    
                    	Address family specific map cache configuration
                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapCache>`
                    
                    .. attribute:: map_cache_limit
                    
                    	Configures maximum size of map\-cache
                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapCacheLimit>`
                    
                    .. attribute:: map_cache_persistent
                    
                    	Dump map\-cache onto flash, making it persistent across reboots
                    	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapCachePersistent>`
                    
                    .. attribute:: map_request_source
                    
                    	Configures inner header source address in Map\-Request message
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: map_resolver
                    
                    	Configures a LISP Map Resolver (MR)
                    	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapResolver>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: map_server
                    
                    	Configures a LISP Map Server (MS)
                    	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: proxy_etr
                    
                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: proxy_itr
                    
                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                    	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.ProxyItr>`
                    
                    .. attribute:: route_export
                    
                    	Export routes into RIB from LISP
                    	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.RouteExport>`
                    
                    .. attribute:: sgt
                    
                    	Enable security group tag propagation in LISP encapsulated traffic
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: site_registration
                    
                    	Site registrations configuration for a given instance\-id
                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.SiteRegistration>`
                    
                    .. attribute:: solicit_map_request
                    
                    	Configure Solicit\-Map\-Request handling
                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.SolicitMapRequest>`
                    
                    .. attribute:: use_petr
                    
                    	Encapsulate to Proxy ETR when matching forward\-native entry
                    	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.UsePetr>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.database_mapping = Native.Router.LispList.Service.Ipv6.DatabaseMapping()
                        self.database_mapping.parent = self
                        self.default = Native.Router.LispList.Service.Ipv6.Default()
                        self.default.parent = self
                        self.distance = Native.Router.LispList.Service.Ipv6.Distance()
                        self.distance.parent = self
                        self.encapsulation = None
                        self.etr = Native.Router.LispList.Service.Ipv6.Etr()
                        self.etr.parent = self
                        self.etr_enable = Native.Router.LispList.Service.Ipv6.EtrEnable()
                        self.etr_enable.parent = self
                        self.itr = Native.Router.LispList.Service.Ipv6.Itr()
                        self.itr.parent = self
                        self.itr_enable = Native.Router.LispList.Service.Ipv6.ItrEnable()
                        self.itr_enable.parent = self
                        self.map_cache = Native.Router.LispList.Service.Ipv6.MapCache()
                        self.map_cache.parent = self
                        self.map_cache_limit = Native.Router.LispList.Service.Ipv6.MapCacheLimit()
                        self.map_cache_limit.parent = self
                        self.map_cache_persistent = Native.Router.LispList.Service.Ipv6.MapCachePersistent()
                        self.map_cache_persistent.parent = self
                        self.map_request_source = None
                        self.map_resolver = None
                        self.map_server = None
                        self.proxy_etr = None
                        self.proxy_itr = Native.Router.LispList.Service.Ipv6.ProxyItr()
                        self.proxy_itr.parent = self
                        self.route_export = Native.Router.LispList.Service.Ipv6.RouteExport()
                        self.route_export.parent = self
                        self.sgt = None
                        self.site_registration = Native.Router.LispList.Service.Ipv6.SiteRegistration()
                        self.site_registration.parent = self
                        self.solicit_map_request = Native.Router.LispList.Service.Ipv6.SolicitMapRequest()
                        self.solicit_map_request.parent = self
                        self.use_petr = YList()
                        self.use_petr.parent = self
                        self.use_petr.name = 'use_petr'

                    class EncapsulationEnum(Enum):
                        """
                        EncapsulationEnum

                        Select encapsulation type for data packets

                        .. data:: lisp = 0

                        .. data:: vxlan = 1

                        """

                        lisp = 0

                        vxlan = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.EncapsulationEnum']



                    class Default(object):
                        """
                        
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Distance>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:   :py:class:`EncapsulationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.EncapsulationEnum>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.EtrEnable>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.ItrEnable>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapCache>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapCacheLimit>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapCachePersistent>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.ProxyItr>`
                        
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.RouteExport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.SolicitMapRequest>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.UsePetr>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.database_mapping = Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping()
                            self.database_mapping.parent = self
                            self.distance = Native.Router.LispList.Service.Ipv6.Default.Distance()
                            self.distance.parent = self
                            self.encapsulation = None
                            self.etr = Native.Router.LispList.Service.Ipv6.Default.Etr()
                            self.etr.parent = self
                            self.etr_enable = Native.Router.LispList.Service.Ipv6.Default.EtrEnable()
                            self.etr_enable.parent = self
                            self.itr = Native.Router.LispList.Service.Ipv6.Default.Itr()
                            self.itr.parent = self
                            self.itr_enable = Native.Router.LispList.Service.Ipv6.Default.ItrEnable()
                            self.itr_enable.parent = self
                            self.map_cache = Native.Router.LispList.Service.Ipv6.Default.MapCache()
                            self.map_cache.parent = self
                            self.map_cache_limit = Native.Router.LispList.Service.Ipv6.Default.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self.map_cache_persistent = Native.Router.LispList.Service.Ipv6.Default.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self.map_request_source = None
                            self.map_resolver = None
                            self.map_server = None
                            self.proxy_etr = None
                            self.proxy_itr = Native.Router.LispList.Service.Ipv6.Default.ProxyItr()
                            self.proxy_itr.parent = self
                            self.route_export = Native.Router.LispList.Service.Ipv6.Default.RouteExport()
                            self.route_export.parent = self
                            self.sgt = None
                            self.site_registration = Native.Router.LispList.Service.Ipv6.Default.SiteRegistration()
                            self.site_registration.parent = self
                            self.solicit_map_request = Native.Router.LispList.Service.Ipv6.Default.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self.use_petr = YList()
                            self.use_petr.parent = self
                            self.use_petr.name = 'use_petr'

                        class EncapsulationEnum(Enum):
                            """
                            EncapsulationEnum

                            Select encapsulation type for data packets

                            .. data:: lisp = 0

                            .. data:: vxlan = 1

                            """

                            lisp = 0

                            vxlan = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.EncapsulationEnum']



                        class DatabaseMapping(object):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping.Limit()
                                self.limit.parent = self


                            class Limit(object):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\:  int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dynamic = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dynamic is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping.Limit']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None and self.limit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping']['meta_info']


                        class Itr(object):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_resolver = YList()
                                self.map_resolver.parent = self
                                self.map_resolver.name = 'map_resolver'


                            class MapResolver(object):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.Itr.MapResolver']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_resolver is not None:
                                    for child_ref in self.map_resolver:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.Itr']['meta_info']


                        class ItrEnable(object):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.itr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.itr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.ItrEnable']['meta_info']


                        class EtrEnable(object):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.etr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.etr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.EtrEnable']['meta_info']


                        class Etr(object):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.accept_map_request_mapping = Native.Router.LispList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self.map_cache_ttl = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None
                                    self.key = Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key7>`
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self.key_6 = Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self.key_7 = Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self.key_pwd = Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self


                                    class KeyPwd(object):
                                        """
                                        
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.hash_function = None
                                            self.unc_pwd = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.hash_function is not None:
                                                return True

                                            if self.unc_pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd']['meta_info']


                                    class Key0(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_0 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_0 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key0']['meta_info']


                                    class Key6(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_6 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_6 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key6']['meta_info']


                                    class Key7(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_7 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_7 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key7']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None and self.key_0._has_data():
                                            return True

                                        if self.key_6 is not None and self.key_6._has_data():
                                            return True

                                        if self.key_7 is not None and self.key_7._has_data():
                                            return True

                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer']['meta_info']


                            class AcceptMapRequestMapping(object):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_mappping = None
                                    self.verify = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_mappping is not None:
                                        return True

                                    if self.verify is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                    return True

                                if self.map_cache_ttl is not None:
                                    return True

                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.Etr']['meta_info']


                        class MapCacheLimit(object):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\:  str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max_map_cache_entries = None
                                self.reserve_list = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max_map_cache_entries is not None:
                                    return True

                                if self.reserve_list is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.MapCacheLimit']['meta_info']


                        class MapResolver(object):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_request = Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest()
                                self.map_request.parent = self


                            class MapRequest(object):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.list = Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self.registered = Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self


                                        class List(object):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                        class Registered(object):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.list = Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self


                                            class List(object):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\:  str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv4 = None
                                                    self.ipv6 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ipv4 is not None:
                                                        return True

                                                    if self.ipv6 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:registered'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.list is not None and self.list._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.list is not None and self.list._has_data():
                                                return True

                                            if self.registered is not None and self.registered._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_request is not None and self.map_request._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.MapResolver']['meta_info']


                        class MapServer(object):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_register = Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister()
                                self.map_register.parent = self


                            class MapRegister(object):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.allowed_locator = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.allowed_locator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_register is not None and self.map_register._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.MapServer']['meta_info']


                        class SiteRegistration(object):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.SiteRegistration']['meta_info']


                        class SolicitMapRequest(object):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\:  int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ignore = None
                                self.max_per_entry = None
                                self.suppression_time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ignore is not None:
                                    return True

                                if self.max_per_entry is not None:
                                    return True

                                if self.suppression_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.SolicitMapRequest']['meta_info']


                        class Distance(object):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: away
                            
                            	Administrative distance for RIB route installation
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.alt = None
                                self.away = None
                                self.dyn_eid = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.alt is not None:
                                    return True

                                if self.away is not None:
                                    return True

                                if self.dyn_eid is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.Distance']['meta_info']


                        class MapCache(object):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: away_eids
                            
                            	Map cache configuration for the away table
                            	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapCache.AwayEids>`
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.away_eids = Native.Router.LispList.Service.Ipv6.Default.MapCache.AwayEids()
                                self.away_eids.parent = self
                                self.site_registration = None


                            class AwayEids(object):
                                """
                                Map cache configuration for the away table
                                
                                .. attribute:: send_map_request
                                
                                	Export away table entries into the map cache with action set to send\-map\-request
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.send_map_request = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.send_map_request is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.MapCache.AwayEids']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.away_eids is not None and self.away_eids._has_data():
                                    return True

                                if self.site_registration is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.MapCache']['meta_info']


                        class MapCachePersistent(object):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\:  int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interval = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.MapCachePersistent']['meta_info']


                        class ProxyItr(object):
                            """
                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            
                            .. attribute:: ipv4_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv6_addr
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_addr = None
                                self.ipv6_addr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4_addr is not None:
                                    return True

                                if self.ipv6_addr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.ProxyItr']['meta_info']


                        class RouteExport(object):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.away_eids = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.away_eids is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.RouteExport']['meta_info']


                        class UsePetr(object):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: priority
                            
                            	
                            	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.UsePetr.Priority>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.locator_address = None
                                self.priority = Native.Router.LispList.Service.Ipv6.Default.UsePetr.Priority()
                                self.priority.parent = self


                            class Priority(object):
                                """
                                
                                
                                .. attribute:: priority_value
                                
                                	Configures which Locators from a set are preferred
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.priority_value = None
                                    self.weight = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.priority_value is not None:
                                        return True

                                    if self.weight is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.UsePetr.Priority']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.locator_address is None:
                                    raise YPYModelError('Key property locator_address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.locator_address is not None:
                                    return True

                                if self.priority is not None and self.priority._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default.UsePetr']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.database_mapping is not None and self.database_mapping._has_data():
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.encapsulation is not None:
                                return True

                            if self.etr is not None and self.etr._has_data():
                                return True

                            if self.etr_enable is not None and self.etr_enable._has_data():
                                return True

                            if self.itr is not None and self.itr._has_data():
                                return True

                            if self.itr_enable is not None and self.itr_enable._has_data():
                                return True

                            if self.map_cache is not None and self.map_cache._has_data():
                                return True

                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                return True

                            if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                return True

                            if self.map_request_source is not None:
                                return True

                            if self.map_resolver is not None and self.map_resolver._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.proxy_etr is not None:
                                return True

                            if self.proxy_itr is not None and self.proxy_itr._has_data():
                                return True

                            if self.route_export is not None and self.route_export._has_data():
                                return True

                            if self.sgt is not None:
                                return True

                            if self.site_registration is not None and self.site_registration._has_data():
                                return True

                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                return True

                            if self.use_petr is not None:
                                for child_ref in self.use_petr:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.Default']['meta_info']


                    class DatabaseMapping(object):
                        """
                        Address family specific local EID prefixes database configuration
                        
                        .. attribute:: limit
                        
                        	Configures the maximum size of local EID prefixes database
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.DatabaseMapping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Router.LispList.Service.Ipv6.DatabaseMapping.Limit()
                            self.limit.parent = self


                        class Limit(object):
                            """
                            Configures the maximum size of local EID prefixes database
                            
                            .. attribute:: dynamic
                            
                            	Configures the maximum size of dynamic local EID prefixes database
                            	**type**\:  int
                            
                            	**range:** 1..5000
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.DatabaseMapping.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.DatabaseMapping']['meta_info']


                    class Itr(object):
                        """
                        Configures a LISP Ingress Tunnel Router (ITR)
                        
                        .. attribute:: map_resolver
                        
                        	Configures map\-resolver address for sending Map\-Requests
                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Itr.MapResolver>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.map_resolver = YList()
                            self.map_resolver.parent = self
                            self.map_resolver.name = 'map_resolver'


                        class MapResolver(object):
                            """
                            Configures map\-resolver address for sending Map\-Requests
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Itr.MapResolver']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.map_resolver is not None:
                                for child_ref in self.map_resolver:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.Itr']['meta_info']


                    class ItrEnable(object):
                        """
                        
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.itr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.itr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.ItrEnable']['meta_info']


                    class EtrEnable(object):
                        """
                        
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.etr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.etr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.EtrEnable']['meta_info']


                    class Etr(object):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: accept_map_request_mapping
                        
                        	
                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                        
                        .. attribute:: map_cache_ttl
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 60..10080
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.accept_map_request_mapping = Native.Router.LispList.Service.Ipv6.Etr.AcceptMapRequestMapping()
                            self.accept_map_request_mapping.parent = self
                            self.map_cache_ttl = None
                            self.map_server = YList()
                            self.map_server.parent = self
                            self.map_server.name = 'map_server'


                        class MapServer(object):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None
                                self.key = Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key()
                                self.key.parent = self
                                self.proxy_reply = None


                            class Key(object):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_0
                                
                                	
                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                
                                .. attribute:: key_6
                                
                                	
                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                
                                .. attribute:: key_7
                                
                                	
                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                
                                .. attribute:: key_pwd
                                
                                	
                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_0 = Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key0()
                                    self.key_0.parent = self
                                    self.key_6 = Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key6()
                                    self.key_6.parent = self
                                    self.key_7 = Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key7()
                                    self.key_7.parent = self
                                    self.key_pwd = Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                    self.key_pwd.parent = self


                                class KeyPwd(object):
                                    """
                                    
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hash_function = None
                                        self.unc_pwd = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hash_function is not None:
                                            return True

                                        if self.unc_pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info']


                                class Key0(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_0 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_0 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info']


                                class Key6(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_6 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_6 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info']


                                class Key7(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_7 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_7 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_0 is not None and self.key_0._has_data():
                                        return True

                                    if self.key_6 is not None and self.key_6._has_data():
                                        return True

                                    if self.key_7 is not None and self.key_7._has_data():
                                        return True

                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                if self.key is not None and self.key._has_data():
                                    return True

                                if self.proxy_reply is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Etr.MapServer']['meta_info']


                        class AcceptMapRequestMapping(object):
                            """
                            
                            
                            .. attribute:: accept_mappping
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: verify
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.accept_mappping = None
                                self.verify = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.accept_mappping is not None:
                                    return True

                                if self.verify is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                return True

                            if self.map_cache_ttl is not None:
                                return True

                            if self.map_server is not None:
                                for child_ref in self.map_server:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.Etr']['meta_info']


                    class MapCacheLimit(object):
                        """
                        Configures maximum size of map\-cache
                        
                        .. attribute:: max_map_cache_entries
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..100000
                        
                        .. attribute:: reserve_list
                        
                        	EID\-prefixes guaranteed to be stored in map\-cache
                        	**type**\:  str
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max_map_cache_entries = None
                            self.reserve_list = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max_map_cache_entries is not None:
                                return True

                            if self.reserve_list is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.MapCacheLimit']['meta_info']


                    class MapResolver(object):
                        """
                        Configures a LISP Map Resolver (MR)
                        
                        .. attribute:: map_request
                        
                        	Map\-Request processing options
                        	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.map_request = Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest()
                            self.map_request.parent = self


                        class MapRequest(object):
                            """
                            Map\-Request processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.validate = Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate()
                                self.validate.parent = self


                            class Validate(object):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	Influence which source RLOCs map requests are accepted from
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    Influence which source RLOCs map requests are accepted from
                                    
                                    .. attribute:: list
                                    
                                    	Define allowed prefixes using an ip[v6] prefix list
                                    	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List>`
                                    
                                    .. attribute:: registered
                                    
                                    	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                    	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.list = Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List()
                                        self.list.parent = self
                                        self.registered = Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered()
                                        self.registered.parent = self


                                    class List(object):
                                        """
                                        Define allowed prefixes using an ip[v6] prefix list
                                        
                                        .. attribute:: ipv4
                                        
                                        	IPv4 prefixes
                                        	**type**\:  str
                                        
                                        .. attribute:: ipv6
                                        
                                        	IPv6 prefixes
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4 = None
                                            self.ipv6 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4 is not None:
                                                return True

                                            if self.ipv6 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                    class Registered(object):
                                        """
                                        ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.list = Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List()
                                            self.list.parent = self


                                        class List(object):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:registered'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.list is not None and self.list._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.list is not None and self.list._has_data():
                                            return True

                                        if self.registered is not None and self.registered._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.validate is not None and self.validate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.map_request is not None and self.map_request._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.MapResolver']['meta_info']


                    class MapServer(object):
                        """
                        Configures a LISP Map Server (MS)
                        
                        .. attribute:: map_register
                        
                        	Map\-Register processing options
                        	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapServer.MapRegister>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.map_register = Native.Router.LispList.Service.Ipv6.MapServer.MapRegister()
                            self.map_register.parent = self


                        class MapRegister(object):
                            """
                            Map\-Register processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.validate = Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate()
                                self.validate.parent = self


                            class Validate(object):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	RLOC Source IP address
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    RLOC Source IP address
                                    
                                    .. attribute:: allowed_locator
                                    
                                    	Against sites' allowed\-locators policy
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.allowed_locator = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.allowed_locator is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.validate is not None and self.validate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.MapServer.MapRegister']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.map_register is not None and self.map_register._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.MapServer']['meta_info']


                    class SiteRegistration(object):
                        """
                        Site registrations configuration for a given instance\-id
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.SiteRegistration']['meta_info']


                    class SolicitMapRequest(object):
                        """
                        Configure Solicit\-Map\-Request handling
                        
                        .. attribute:: ignore
                        
                        	Ignore SMR bit in incoming Map\-Requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_per_entry
                        
                        	Maximum number of SMRs for addresses under a map\-cache entry
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        .. attribute:: suppression_time
                        
                        	How long to suppress repeated SMRs for the same address
                        	**type**\:  int
                        
                        	**range:** 1..600
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ignore = None
                            self.max_per_entry = None
                            self.suppression_time = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ignore is not None:
                                return True

                            if self.max_per_entry is not None:
                                return True

                            if self.suppression_time is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.SolicitMapRequest']['meta_info']


                    class Distance(object):
                        """
                        Administrative distance for RIB route installation
                        
                        .. attribute:: alt
                        
                        	LISP routes installed in the ALT table
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: away
                        
                        	Administrative distance for RIB route installation
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: dyn_eid
                        
                        	LISP installed routes of type dynamic\-EID
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: site_registrations
                        
                        	LISP installed routes of type site\-registrations
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.alt = None
                            self.away = None
                            self.dyn_eid = None
                            self.site_registrations = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.alt is not None:
                                return True

                            if self.away is not None:
                                return True

                            if self.dyn_eid is not None:
                                return True

                            if self.site_registrations is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.Distance']['meta_info']


                    class MapCache(object):
                        """
                        Address family specific map cache configuration
                        
                        .. attribute:: away_eids
                        
                        	Map cache configuration for the away table
                        	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapCache.AwayEids>`
                        
                        .. attribute:: site_registration
                        
                        	Install map cache to map request for site registrations
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.away_eids = Native.Router.LispList.Service.Ipv6.MapCache.AwayEids()
                            self.away_eids.parent = self
                            self.site_registration = None


                        class AwayEids(object):
                            """
                            Map cache configuration for the away table
                            
                            .. attribute:: send_map_request
                            
                            	Export away table entries into the map cache with action set to send\-map\-request
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.send_map_request = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.send_map_request is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.MapCache.AwayEids']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.away_eids is not None and self.away_eids._has_data():
                                return True

                            if self.site_registration is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.MapCache']['meta_info']


                    class MapCachePersistent(object):
                        """
                        Dump map\-cache onto flash, making it persistent across reboots
                        
                        .. attribute:: interval
                        
                        	Interval in minutes of how often the map\-cache is saved
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interval = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.MapCachePersistent']['meta_info']


                    class ProxyItr(object):
                        """
                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        
                        .. attribute:: ipv4_addr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ipv6_addr
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4_addr = None
                            self.ipv6_addr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4_addr is not None:
                                return True

                            if self.ipv6_addr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.ProxyItr']['meta_info']


                    class RouteExport(object):
                        """
                        Export routes into RIB from LISP
                        
                        .. attribute:: away_eids
                        
                        	Export LISP away EIDs to RIB
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registrations
                        
                        	Export LISP site registrations to RIB
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.away_eids = None
                            self.site_registrations = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.away_eids is not None:
                                return True

                            if self.site_registrations is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.RouteExport']['meta_info']


                    class UsePetr(object):
                        """
                        Encapsulate to Proxy ETR when matching forward\-native entry
                        
                        .. attribute:: locator_address  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: priority
                        
                        	
                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.UsePetr.Priority>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.locator_address = None
                            self.priority = Native.Router.LispList.Service.Ipv6.UsePetr.Priority()
                            self.priority.parent = self


                        class Priority(object):
                            """
                            
                            
                            .. attribute:: priority_value
                            
                            	Configures which Locators from a set are preferred
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: weight
                            
                            	Traffic load\-spreading among Locators
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.priority_value = None
                                self.weight = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.priority_value is not None:
                                    return True

                                if self.weight is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ipv6.UsePetr.Priority']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.locator_address is None:
                                raise YPYModelError('Key property locator_address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.locator_address is not None:
                                return True

                            if self.priority is not None and self.priority._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ipv6.UsePetr']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.database_mapping is not None and self.database_mapping._has_data():
                            return True

                        if self.default is not None and self.default._has_data():
                            return True

                        if self.distance is not None and self.distance._has_data():
                            return True

                        if self.encapsulation is not None:
                            return True

                        if self.etr is not None and self.etr._has_data():
                            return True

                        if self.etr_enable is not None and self.etr_enable._has_data():
                            return True

                        if self.itr is not None and self.itr._has_data():
                            return True

                        if self.itr_enable is not None and self.itr_enable._has_data():
                            return True

                        if self.map_cache is not None and self.map_cache._has_data():
                            return True

                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                            return True

                        if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                            return True

                        if self.map_request_source is not None:
                            return True

                        if self.map_resolver is not None and self.map_resolver._has_data():
                            return True

                        if self.map_server is not None and self.map_server._has_data():
                            return True

                        if self.proxy_etr is not None:
                            return True

                        if self.proxy_itr is not None and self.proxy_itr._has_data():
                            return True

                        if self.route_export is not None and self.route_export._has_data():
                            return True

                        if self.sgt is not None:
                            return True

                        if self.site_registration is not None and self.site_registration._has_data():
                            return True

                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                            return True

                        if self.use_petr is not None:
                            for child_ref in self.use_petr:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Service.Ipv6']['meta_info']


                class Ethernet(object):
                    """
                    
                    
                    .. attribute:: database_mapping
                    
                    	Address family specific local EID prefixes database configuration
                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.DatabaseMapping>`
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default>`
                    
                    .. attribute:: encapsulation
                    
                    	Select encapsulation type for data packets
                    	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Encapsulation>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr>`
                    
                    .. attribute:: etr_enable
                    
                    	
                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.EtrEnable>`
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Itr>`
                    
                    .. attribute:: itr_enable
                    
                    	
                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.ItrEnable>`
                    
                    .. attribute:: map_cache_limit
                    
                    	Configures maximum size of map\-cache
                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapCacheLimit>`
                    
                    .. attribute:: map_request_source
                    
                    	Configures inner header source address in Map\-Request message
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: map_resolver
                    
                    	Configures a LISP Map Resolver (MR)
                    	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapResolver>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: map_server
                    
                    	Configures a LISP Map Server (MS)
                    	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: site_registration
                    
                    	Site registrations configuration for a given instance\-id
                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.SiteRegistration>`
                    
                    .. attribute:: solicit_map_request
                    
                    	Configure Solicit\-Map\-Request handling
                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.SolicitMapRequest>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.database_mapping = Native.Router.LispList.Service.Ethernet.DatabaseMapping()
                        self.database_mapping.parent = self
                        self.default = Native.Router.LispList.Service.Ethernet.Default()
                        self.default.parent = self
                        self.encapsulation = Native.Router.LispList.Service.Ethernet.Encapsulation()
                        self.encapsulation.parent = self
                        self.etr = Native.Router.LispList.Service.Ethernet.Etr()
                        self.etr.parent = self
                        self.etr_enable = Native.Router.LispList.Service.Ethernet.EtrEnable()
                        self.etr_enable.parent = self
                        self.itr = Native.Router.LispList.Service.Ethernet.Itr()
                        self.itr.parent = self
                        self.itr_enable = Native.Router.LispList.Service.Ethernet.ItrEnable()
                        self.itr_enable.parent = self
                        self.map_cache_limit = Native.Router.LispList.Service.Ethernet.MapCacheLimit()
                        self.map_cache_limit.parent = self
                        self.map_request_source = None
                        self.map_resolver = None
                        self.map_server = None
                        self.site_registration = Native.Router.LispList.Service.Ethernet.SiteRegistration()
                        self.site_registration.parent = self
                        self.solicit_map_request = Native.Router.LispList.Service.Ethernet.SolicitMapRequest()
                        self.solicit_map_request.parent = self


                    class Default(object):
                        """
                        
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Encapsulation>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.EtrEnable>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.ItrEnable>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapCacheLimit>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.SolicitMapRequest>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.database_mapping = Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping()
                            self.database_mapping.parent = self
                            self.encapsulation = Native.Router.LispList.Service.Ethernet.Default.Encapsulation()
                            self.encapsulation.parent = self
                            self.etr = Native.Router.LispList.Service.Ethernet.Default.Etr()
                            self.etr.parent = self
                            self.etr_enable = Native.Router.LispList.Service.Ethernet.Default.EtrEnable()
                            self.etr_enable.parent = self
                            self.itr = Native.Router.LispList.Service.Ethernet.Default.Itr()
                            self.itr.parent = self
                            self.itr_enable = Native.Router.LispList.Service.Ethernet.Default.ItrEnable()
                            self.itr_enable.parent = self
                            self.map_cache_limit = Native.Router.LispList.Service.Ethernet.Default.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self.map_request_source = None
                            self.map_resolver = None
                            self.map_server = None
                            self.site_registration = Native.Router.LispList.Service.Ethernet.Default.SiteRegistration()
                            self.site_registration.parent = self
                            self.solicit_map_request = Native.Router.LispList.Service.Ethernet.Default.SolicitMapRequest()
                            self.solicit_map_request.parent = self


                        class Encapsulation(object):
                            """
                            Select encapsulation type for data packets
                            
                            .. attribute:: vxlan
                            
                            	Use VXLAN encapsulation for data packets
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.vxlan = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:encapsulation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.vxlan is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.Encapsulation']['meta_info']


                        class DatabaseMapping(object):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping.Limit()
                                self.limit.parent = self


                            class Limit(object):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\:  int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dynamic = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dynamic is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping.Limit']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None and self.limit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping']['meta_info']


                        class Itr(object):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_resolver = YList()
                                self.map_resolver.parent = self
                                self.map_resolver.name = 'map_resolver'


                            class MapResolver(object):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.Itr.MapResolver']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_resolver is not None:
                                    for child_ref in self.map_resolver:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.Itr']['meta_info']


                        class ItrEnable(object):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.itr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.itr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.ItrEnable']['meta_info']


                        class EtrEnable(object):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.etr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.etr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.EtrEnable']['meta_info']


                        class Etr(object):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.accept_map_request_mapping = Native.Router.LispList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self.map_cache_ttl = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None
                                    self.key = Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key7>`
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self.key_6 = Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self.key_7 = Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self.key_pwd = Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self


                                    class KeyPwd(object):
                                        """
                                        
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.hash_function = None
                                            self.unc_pwd = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.hash_function is not None:
                                                return True

                                            if self.unc_pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd']['meta_info']


                                    class Key0(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_0 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_0 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key0']['meta_info']


                                    class Key6(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_6 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_6 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key6']['meta_info']


                                    class Key7(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_7 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_7 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key7']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None and self.key_0._has_data():
                                            return True

                                        if self.key_6 is not None and self.key_6._has_data():
                                            return True

                                        if self.key_7 is not None and self.key_7._has_data():
                                            return True

                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer']['meta_info']


                            class AcceptMapRequestMapping(object):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_mappping = None
                                    self.verify = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_mappping is not None:
                                        return True

                                    if self.verify is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                    return True

                                if self.map_cache_ttl is not None:
                                    return True

                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.Etr']['meta_info']


                        class MapCacheLimit(object):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\:  str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max_map_cache_entries = None
                                self.reserve_list = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max_map_cache_entries is not None:
                                    return True

                                if self.reserve_list is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.MapCacheLimit']['meta_info']


                        class MapResolver(object):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_request = Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest()
                                self.map_request.parent = self


                            class MapRequest(object):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.list = Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self.registered = Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self


                                        class List(object):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                        class Registered(object):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.list = Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self


                                            class List(object):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\:  str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ipv4 = None
                                                    self.ipv6 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ipv4 is not None:
                                                        return True

                                                    if self.ipv6 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:registered'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.list is not None and self.list._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.list is not None and self.list._has_data():
                                                return True

                                            if self.registered is not None and self.registered._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_request is not None and self.map_request._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.MapResolver']['meta_info']


                        class MapServer(object):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_register = Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister()
                                self.map_register.parent = self


                            class MapRegister(object):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.allowed_locator = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.allowed_locator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_register is not None and self.map_register._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.MapServer']['meta_info']


                        class SiteRegistration(object):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.SiteRegistration']['meta_info']


                        class SolicitMapRequest(object):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\:  int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ignore = None
                                self.max_per_entry = None
                                self.suppression_time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ignore is not None:
                                    return True

                                if self.max_per_entry is not None:
                                    return True

                                if self.suppression_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default.SolicitMapRequest']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.database_mapping is not None and self.database_mapping._has_data():
                                return True

                            if self.encapsulation is not None and self.encapsulation._has_data():
                                return True

                            if self.etr is not None and self.etr._has_data():
                                return True

                            if self.etr_enable is not None and self.etr_enable._has_data():
                                return True

                            if self.itr is not None and self.itr._has_data():
                                return True

                            if self.itr_enable is not None and self.itr_enable._has_data():
                                return True

                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                return True

                            if self.map_request_source is not None:
                                return True

                            if self.map_resolver is not None and self.map_resolver._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.site_registration is not None and self.site_registration._has_data():
                                return True

                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.Default']['meta_info']


                    class Encapsulation(object):
                        """
                        Select encapsulation type for data packets
                        
                        .. attribute:: vxlan
                        
                        	Use VXLAN encapsulation for data packets
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vxlan = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:encapsulation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vxlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.Encapsulation']['meta_info']


                    class DatabaseMapping(object):
                        """
                        Address family specific local EID prefixes database configuration
                        
                        .. attribute:: limit
                        
                        	Configures the maximum size of local EID prefixes database
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.DatabaseMapping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Router.LispList.Service.Ethernet.DatabaseMapping.Limit()
                            self.limit.parent = self


                        class Limit(object):
                            """
                            Configures the maximum size of local EID prefixes database
                            
                            .. attribute:: dynamic
                            
                            	Configures the maximum size of dynamic local EID prefixes database
                            	**type**\:  int
                            
                            	**range:** 1..5000
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.dynamic = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.dynamic is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.DatabaseMapping.Limit']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.DatabaseMapping']['meta_info']


                    class Itr(object):
                        """
                        Configures a LISP Ingress Tunnel Router (ITR)
                        
                        .. attribute:: map_resolver
                        
                        	Configures map\-resolver address for sending Map\-Requests
                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Itr.MapResolver>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.map_resolver = YList()
                            self.map_resolver.parent = self
                            self.map_resolver.name = 'map_resolver'


                        class MapResolver(object):
                            """
                            Configures map\-resolver address for sending Map\-Requests
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.Itr.MapResolver']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.map_resolver is not None:
                                for child_ref in self.map_resolver:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.Itr']['meta_info']


                    class ItrEnable(object):
                        """
                        
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.itr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.itr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.ItrEnable']['meta_info']


                    class EtrEnable(object):
                        """
                        
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.etr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.etr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.EtrEnable']['meta_info']


                    class Etr(object):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: accept_map_request_mapping
                        
                        	
                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                        
                        .. attribute:: map_cache_ttl
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 60..10080
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.accept_map_request_mapping = Native.Router.LispList.Service.Ethernet.Etr.AcceptMapRequestMapping()
                            self.accept_map_request_mapping.parent = self
                            self.map_cache_ttl = None
                            self.map_server = YList()
                            self.map_server.parent = self
                            self.map_server.name = 'map_server'


                        class MapServer(object):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None
                                self.key = Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key()
                                self.key.parent = self
                                self.proxy_reply = None


                            class Key(object):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_0
                                
                                	
                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                
                                .. attribute:: key_6
                                
                                	
                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                
                                .. attribute:: key_7
                                
                                	
                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                
                                .. attribute:: key_pwd
                                
                                	
                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_0 = Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key0()
                                    self.key_0.parent = self
                                    self.key_6 = Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key6()
                                    self.key_6.parent = self
                                    self.key_7 = Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key7()
                                    self.key_7.parent = self
                                    self.key_pwd = Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                    self.key_pwd.parent = self


                                class KeyPwd(object):
                                    """
                                    
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hash_function = None
                                        self.unc_pwd = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hash_function is not None:
                                            return True

                                        if self.unc_pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info']


                                class Key0(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_0 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_0 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info']


                                class Key6(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_6 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_6 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info']


                                class Key7(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_7 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_7 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_0 is not None and self.key_0._has_data():
                                        return True

                                    if self.key_6 is not None and self.key_6._has_data():
                                        return True

                                    if self.key_7 is not None and self.key_7._has_data():
                                        return True

                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                if self.key is not None and self.key._has_data():
                                    return True

                                if self.proxy_reply is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.Etr.MapServer']['meta_info']


                        class AcceptMapRequestMapping(object):
                            """
                            
                            
                            .. attribute:: accept_mappping
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: verify
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.accept_mappping = None
                                self.verify = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.accept_mappping is not None:
                                    return True

                                if self.verify is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                return True

                            if self.map_cache_ttl is not None:
                                return True

                            if self.map_server is not None:
                                for child_ref in self.map_server:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.Etr']['meta_info']


                    class MapCacheLimit(object):
                        """
                        Configures maximum size of map\-cache
                        
                        .. attribute:: max_map_cache_entries
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..100000
                        
                        .. attribute:: reserve_list
                        
                        	EID\-prefixes guaranteed to be stored in map\-cache
                        	**type**\:  str
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.max_map_cache_entries = None
                            self.reserve_list = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.max_map_cache_entries is not None:
                                return True

                            if self.reserve_list is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.MapCacheLimit']['meta_info']


                    class MapResolver(object):
                        """
                        Configures a LISP Map Resolver (MR)
                        
                        .. attribute:: map_request
                        
                        	Map\-Request processing options
                        	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.map_request = Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest()
                            self.map_request.parent = self


                        class MapRequest(object):
                            """
                            Map\-Request processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.validate = Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate()
                                self.validate.parent = self


                            class Validate(object):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	Influence which source RLOCs map requests are accepted from
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    Influence which source RLOCs map requests are accepted from
                                    
                                    .. attribute:: list
                                    
                                    	Define allowed prefixes using an ip[v6] prefix list
                                    	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List>`
                                    
                                    .. attribute:: registered
                                    
                                    	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                    	**type**\:   :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.list = Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List()
                                        self.list.parent = self
                                        self.registered = Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered()
                                        self.registered.parent = self


                                    class List(object):
                                        """
                                        Define allowed prefixes using an ip[v6] prefix list
                                        
                                        .. attribute:: ipv4
                                        
                                        	IPv4 prefixes
                                        	**type**\:  str
                                        
                                        .. attribute:: ipv6
                                        
                                        	IPv6 prefixes
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4 = None
                                            self.ipv6 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4 is not None:
                                                return True

                                            if self.ipv6 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List']['meta_info']


                                    class Registered(object):
                                        """
                                        ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.list = Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List()
                                            self.list.parent = self


                                        class List(object):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ipv4 = None
                                                self.ipv6 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ipv4 is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:registered'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.list is not None and self.list._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.list is not None and self.list._has_data():
                                            return True

                                        if self.registered is not None and self.registered._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.validate is not None and self.validate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.map_request is not None and self.map_request._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.MapResolver']['meta_info']


                    class MapServer(object):
                        """
                        Configures a LISP Map Server (MS)
                        
                        .. attribute:: map_register
                        
                        	Map\-Register processing options
                        	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapServer.MapRegister>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.map_register = Native.Router.LispList.Service.Ethernet.MapServer.MapRegister()
                            self.map_register.parent = self


                        class MapRegister(object):
                            """
                            Map\-Register processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.validate = Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate()
                                self.validate.parent = self


                            class Validate(object):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	RLOC Source IP address
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    RLOC Source IP address
                                    
                                    .. attribute:: allowed_locator
                                    
                                    	Against sites' allowed\-locators policy
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.allowed_locator = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.allowed_locator is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate.Source']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.validate is not None and self.validate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Service.Ethernet.MapServer.MapRegister']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.map_register is not None and self.map_register._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.MapServer']['meta_info']


                    class SiteRegistration(object):
                        """
                        Site registrations configuration for a given instance\-id
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.SiteRegistration']['meta_info']


                    class SolicitMapRequest(object):
                        """
                        Configure Solicit\-Map\-Request handling
                        
                        .. attribute:: ignore
                        
                        	Ignore SMR bit in incoming Map\-Requests
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_per_entry
                        
                        	Maximum number of SMRs for addresses under a map\-cache entry
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        .. attribute:: suppression_time
                        
                        	How long to suppress repeated SMRs for the same address
                        	**type**\:  int
                        
                        	**range:** 1..600
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ignore = None
                            self.max_per_entry = None
                            self.suppression_time = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ignore is not None:
                                return True

                            if self.max_per_entry is not None:
                                return True

                            if self.suppression_time is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Service.Ethernet.SolicitMapRequest']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ethernet'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.database_mapping is not None and self.database_mapping._has_data():
                            return True

                        if self.default is not None and self.default._has_data():
                            return True

                        if self.encapsulation is not None and self.encapsulation._has_data():
                            return True

                        if self.etr is not None and self.etr._has_data():
                            return True

                        if self.etr_enable is not None and self.etr_enable._has_data():
                            return True

                        if self.itr is not None and self.itr._has_data():
                            return True

                        if self.itr_enable is not None and self.itr_enable._has_data():
                            return True

                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                            return True

                        if self.map_request_source is not None:
                            return True

                        if self.map_resolver is not None and self.map_resolver._has_data():
                            return True

                        if self.map_server is not None and self.map_server._has_data():
                            return True

                        if self.site_registration is not None and self.site_registration._has_data():
                            return True

                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Service.Ethernet']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:service'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.ethernet is not None and self.ethernet._has_data():
                        return True

                    if self.ipv4 is not None and self.ipv4._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.Service']['meta_info']


            class Encapsulation(object):
                """
                Select encapsulation type for data packets
                
                .. attribute:: vxlan
                
                	Use VXLAN encapsulation for data packets
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.vxlan = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:encapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.vxlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.Encapsulation']['meta_info']


            class LocatorSet(object):
                """
                Configure a named locator set
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: auto_discover_rlocs
                
                	Auto discover locators registered by other xTRs
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ip_address
                
                	Use IPv6 address of interface as locator
                	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.LocatorSet.IpAddress>`
                
                .. attribute:: ipv4_interface
                
                	Use IPv4 address of interface as locator
                	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.LocatorSet.Ipv4Interface>`
                
                .. attribute:: ipv6_interface
                
                	Use IPv6 address of interface as locator
                	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.LocatorSet.Ipv6Interface>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.auto_discover_rlocs = None
                    self.ip_address = YList()
                    self.ip_address.parent = self
                    self.ip_address.name = 'ip_address'
                    self.ipv4_interface = YList()
                    self.ipv4_interface.parent = self
                    self.ipv4_interface.name = 'ipv4_interface'
                    self.ipv6_interface = YList()
                    self.ipv6_interface.parent = self
                    self.ipv6_interface.name = 'ipv6_interface'


                class Ipv4Interface(object):
                    """
                    Use IPv4 address of interface as locator
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: priority
                    
                    	Configures which Locators from a set are preferred
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: weight
                    
                    	Traffic load\-spreading among Locators
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.priority = None
                        self.weight = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.priority is not None:
                            return True

                        if self.weight is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.LocatorSet.Ipv4Interface']['meta_info']


                class Ipv6Interface(object):
                    """
                    Use IPv6 address of interface as locator
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: priority
                    
                    	Configures which Locators from a set are preferred
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: weight
                    
                    	Traffic load\-spreading among Locators
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.priority = None
                        self.weight = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.priority is not None:
                            return True

                        if self.weight is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.LocatorSet.Ipv6Interface']['meta_info']


                class IpAddress(object):
                    """
                    Use IPv6 address of interface as locator
                    
                    .. attribute:: ip  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: priority
                    
                    	Configures which Locators from a set are preferred
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: weight
                    
                    	Traffic load\-spreading among Locators
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = None
                        self.priority = None
                        self.weight = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.ip is None:
                            raise YPYModelError('Key property ip is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ip-address[Cisco-IOS-XE-lisp:ip = ' + str(self.ip) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None:
                            return True

                        if self.priority is not None:
                            return True

                        if self.weight is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.LocatorSet.IpAddress']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator-set[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.auto_discover_rlocs is not None:
                        return True

                    if self.ip_address is not None:
                        for child_ref in self.ip_address:
                            if child_ref._has_data():
                                return True

                    if self.ipv4_interface is not None:
                        for child_ref in self.ipv4_interface:
                            if child_ref._has_data():
                                return True

                    if self.ipv6_interface is not None:
                        for child_ref in self.ipv6_interface:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.LocatorSet']['meta_info']


            class LocatorScope(object):
                """
                Configure a locator scope
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: rloc_prefix
                
                	RLOC prefix to check against ITR RLOC and ETR RLOC
                	**type**\: one of the below types:
                
                	**type**\:  list of str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                
                
                ----
                	**type**\:  list of str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                
                
                ----
                .. attribute:: rtr_locator_set
                
                	Locator\-set of RTR to use in proxy reply for disjoint/cross AF RLOC
                	**type**\:  list of str
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.rloc_prefix = YLeafList()
                    self.rloc_prefix.parent = self
                    self.rloc_prefix.name = 'rloc_prefix'
                    self.rtr_locator_set = YLeafList()
                    self.rtr_locator_set.parent = self
                    self.rtr_locator_set.name = 'rtr_locator_set'

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator-scope[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.rloc_prefix is not None:
                        for child in self.rloc_prefix:
                            if child is not None:
                                return True

                    if self.rtr_locator_set is not None:
                        for child in self.rtr_locator_set:
                            if child is not None:
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.LocatorScope']['meta_info']


            class InstanceContainer(object):
                """
                EID instance\-ID
                
                .. attribute:: instance_list
                
                	
                	**type**\: list of    :py:class:`InstanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.instance_list = YList()
                    self.instance_list.parent = self
                    self.instance_list.name = 'instance_list'


                class InstanceList(object):
                    """
                    
                    
                    .. attribute:: instance_id  <key>
                    
                    	EID instance\-ID
                    	**type**\:  int
                    
                    	**range:** 0..16777214
                    
                    .. attribute:: decapsulation
                    
                    	Decapsulation behavior (e.g. filters)
                    	**type**\:   :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation>`
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default>`
                    
                    .. attribute:: disable_ttl_propagate
                    
                    	Disable ttl propagation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dynamic_eid
                    
                    	Configure a dynamic EID
                    	**type**\: list of    :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid>`
                    
                    .. attribute:: loc_reach_algorithm
                    
                    	Configure locator reachability algorithm
                    	**type**\:   :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm>`
                    
                    .. attribute:: map_server
                    
                    	Map\-Server commands
                    	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.MapServer>`
                    
                    .. attribute:: other_xtr_probe
                    
                    	Configure parameters for probing of other xTRs in our site
                    	**type**\:   :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.OtherXtrProbe>`
                    
                    .. attribute:: remote_rloc_probe
                    
                    	Configure parameters for probing of remote RLOCs
                    	**type**\:   :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.RemoteRlocProbe>`
                    
                    .. attribute:: service
                    
                    	Configure lisp service type
                    	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.instance_id = None
                        self.decapsulation = Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation()
                        self.decapsulation.parent = self
                        self.default = Native.Router.LispList.InstanceContainer.InstanceList.Default()
                        self.default.parent = self
                        self.disable_ttl_propagate = None
                        self.dynamic_eid = YList()
                        self.dynamic_eid.parent = self
                        self.dynamic_eid.name = 'dynamic_eid'
                        self.loc_reach_algorithm = Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm()
                        self.loc_reach_algorithm.parent = self
                        self.map_server = Native.Router.LispList.InstanceContainer.InstanceList.MapServer()
                        self.map_server.parent = self
                        self.other_xtr_probe = Native.Router.LispList.InstanceContainer.InstanceList.OtherXtrProbe()
                        self.other_xtr_probe.parent = self
                        self.remote_rloc_probe = Native.Router.LispList.InstanceContainer.InstanceList.RemoteRlocProbe()
                        self.remote_rloc_probe.parent = self
                        self.service = None


                    class Default(object):
                        """
                        
                        
                        .. attribute:: decapsulation
                        
                        	Decapsulation behavior (e.g. filters)
                        	**type**\:   :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation>`
                        
                        .. attribute:: disable_ttl_propagate
                        
                        	Disable ttl propagation
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dynamic_eid
                        
                        	Configure a dynamic EID
                        	**type**\: list of    :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid>`
                        
                        .. attribute:: loc_reach_algorithm
                        
                        	Configure locator reachability algorithm
                        	**type**\:   :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm>`
                        
                        .. attribute:: map_server
                        
                        	Map\-Server commands
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer>`
                        
                        .. attribute:: other_xtr_probe
                        
                        	Configure parameters for probing of other xTRs in our site
                        	**type**\:   :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.OtherXtrProbe>`
                        
                        .. attribute:: remote_rloc_probe
                        
                        	Configure parameters for probing of remote RLOCs
                        	**type**\:   :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.RemoteRlocProbe>`
                        
                        .. attribute:: service
                        
                        	Configure lisp service type
                        	**type**\:   :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.decapsulation = Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation()
                            self.decapsulation.parent = self
                            self.disable_ttl_propagate = None
                            self.dynamic_eid = YList()
                            self.dynamic_eid.parent = self
                            self.dynamic_eid.name = 'dynamic_eid'
                            self.loc_reach_algorithm = Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm()
                            self.loc_reach_algorithm.parent = self
                            self.map_server = Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer()
                            self.map_server.parent = self
                            self.other_xtr_probe = Native.Router.LispList.InstanceContainer.InstanceList.Default.OtherXtrProbe()
                            self.other_xtr_probe.parent = self
                            self.remote_rloc_probe = Native.Router.LispList.InstanceContainer.InstanceList.Default.RemoteRlocProbe()
                            self.remote_rloc_probe.parent = self
                            self.service = None


                        class Decapsulation(object):
                            """
                            Decapsulation behavior (e.g. filters)
                            
                            .. attribute:: filter
                            
                            	Filters traffic
                            	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.filter = Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter()
                                self.filter.parent = self


                            class Filter(object):
                                """
                                Filters traffic
                                
                                .. attribute:: rloc
                                
                                	Filter based on Routing Locator (RLOC) in packet header
                                	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.rloc = Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc()
                                    self.rloc.parent = self


                                class Rloc(object):
                                    """
                                    Filter based on Routing Locator (RLOC) in packet header
                                    
                                    .. attribute:: source
                                    
                                    	Filters traffic based on RLOC source address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Filters traffic based on RLOC source address
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator\-set Name
                                        	**type**\:  str
                                        
                                        .. attribute:: member
                                        
                                        	Members learned from map\-server
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.member = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.member is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:filter'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.rloc is not None and self.rloc._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:decapsulation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.filter is not None and self.filter._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation']['meta_info']


                        class DynamicEid(object):
                            """
                            Configure a dynamic EID
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: database_mapping
                            
                            	Configures EID\-prefix and locator\-set for dynamic\-EID
                            	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping>`
                            
                            .. attribute:: eid_notify
                            
                            	Configure options for sending/receiving EID\-notify
                            	**type**\:   :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify>`
                            
                            .. attribute:: map_notify_group
                            
                            	Multicast group which to send map\-notifies to
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping()
                                self.database_mapping.parent = self
                                self.eid_notify = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify()
                                self.eid_notify.parent = self
                                self.map_notify_group = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class DatabaseMapping(object):
                                """
                                Configures EID\-prefix and locator\-set for dynamic\-EID
                                
                                .. attribute:: ipv4_prefix
                                
                                	IPv4 EID\-prefix for dynamic\-EID
                                	**type**\: list of    :py:class:`Ipv4Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix>`
                                
                                .. attribute:: mac
                                
                                	L2 EID records
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Mac>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_prefix = YList()
                                    self.ipv4_prefix.parent = self
                                    self.ipv4_prefix.name = 'ipv4_prefix'
                                    self.mac = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Mac()
                                    self.mac.parent = self


                                class Ipv4Prefix(object):
                                    """
                                    IPv4 EID\-prefix for dynamic\-EID
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.locator_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-prefix[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.locator_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix']['meta_info']


                                class Mac(object):
                                    """
                                    L2 EID records
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\:  str
                                    
                                    .. attribute:: mac_addr
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.mac_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.mac_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_prefix is not None:
                                        for child_ref in self.ipv4_prefix:
                                            if child_ref._has_data():
                                                return True

                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping']['meta_info']


                            class EidNotify(object):
                                """
                                Configure options for sending/receiving EID\-notify
                                
                                .. attribute:: authentication_key
                                
                                	Authentication key used for validating received EID\-notify
                                	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey>`
                                
                                .. attribute:: gateway_key
                                
                                	
                                	**type**\: list of    :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.authentication_key = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey()
                                    self.authentication_key.parent = self
                                    self.gateway_key = YList()
                                    self.gateway_key.parent = self
                                    self.gateway_key.name = 'gateway_key'


                                class AuthenticationKey(object):
                                    """
                                    Authentication key used for validating received EID\-notify
                                    
                                    .. attribute:: key_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: key_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: key_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = None
                                        self.key_6 = None
                                        self.key_7 = None
                                        self.unc_pwd = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:authentication-key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None:
                                            return True

                                        if self.key_6 is not None:
                                            return True

                                        if self.key_7 is not None:
                                            return True

                                        if self.unc_pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey']['meta_info']


                                class GatewayKey(object):
                                    """
                                    
                                    
                                    .. attribute:: gateway_ip  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.gateway_ip = None
                                        self.key = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key()
                                        self.key.parent = self


                                    class Key(object):
                                        """
                                        
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6>`
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0()
                                            self.key_0.parent = self
                                            self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6()
                                            self.key_6.parent = self
                                            self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd()
                                            self.key_pwd.parent = self


                                        class KeyPwd(object):
                                            """
                                            
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum>`
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.hash_function = None
                                                self.unc_pwd = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.hash_function is not None:
                                                    return True

                                                if self.unc_pwd is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd']['meta_info']


                                        class Key0(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_0 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_0 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0']['meta_info']


                                        class Key6(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_6 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_6 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None and self.key_0._has_data():
                                                return True

                                            if self.key_6 is not None and self.key_6._has_data():
                                                return True

                                            if self.key_pwd is not None and self.key_pwd._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.gateway_ip is None:
                                            raise YPYModelError('Key property gateway_ip is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:gateway-key[Cisco-IOS-XE-lisp:gateway-ip = ' + str(self.gateway_ip) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.gateway_ip is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-notify'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.authentication_key is not None and self.authentication_key._has_data():
                                        return True

                                    if self.gateway_key is not None:
                                        for child_ref in self.gateway_key:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify']['meta_info']


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None
                                    self.key = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7>`
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self


                                    class KeyPwd(object):
                                        """
                                        
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.hash_function = None
                                            self.unc_pwd = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.hash_function is not None:
                                                return True

                                            if self.unc_pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd']['meta_info']


                                    class Key0(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_0 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_0 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0']['meta_info']


                                    class Key6(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_6 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_6 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6']['meta_info']


                                    class Key7(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_7 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_7 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None and self.key_0._has_data():
                                            return True

                                        if self.key_6 is not None and self.key_6._has_data():
                                            return True

                                        if self.key_7 is not None and self.key_7._has_data():
                                            return True

                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:dynamic-eid[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.database_mapping is not None and self.database_mapping._has_data():
                                    return True

                                if self.eid_notify is not None and self.eid_notify._has_data():
                                    return True

                                if self.map_notify_group is not None:
                                    return True

                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid']['meta_info']


                        class LocReachAlgorithm(object):
                            """
                            Configure locator reachability algorithm
                            
                            .. attribute:: lsb_reports
                            
                            	Configure data packet LSB report handling
                            	**type**\:   :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports>`
                            
                            .. attribute:: rloc_probing
                            
                            	Probe high priority RLOCs with Map\-Requests as last resort
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lsb_reports = Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports()
                                self.lsb_reports.parent = self
                                self.rloc_probing = None


                            class LsbReports(object):
                                """
                                Configure data packet LSB report handling
                                
                                .. attribute:: do_not_transmit
                                
                                	Force the setting of the encapsulation header L bit to zero
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ignore
                                
                                	Ignore data packet LSB reports
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.do_not_transmit = None
                                    self.ignore = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lsb-reports'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.do_not_transmit is not None:
                                        return True

                                    if self.ignore is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:loc-reach-algorithm'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lsb_reports is not None and self.lsb_reports._has_data():
                                    return True

                                if self.rloc_probing is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm']['meta_info']


                        class MapServer(object):
                            """
                            Map\-Server commands
                            
                            .. attribute:: rloc
                            
                            	EID instance RLOC membership
                            	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc>`
                            
                            .. attribute:: site_registration
                            
                            	Map\-server site registration options
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rloc = Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc()
                                self.rloc.parent = self
                                self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration()
                                self.site_registration.parent = self


                            class Rloc(object):
                                """
                                EID instance RLOC membership
                                
                                .. attribute:: members
                                
                                	EID instance RLOC membership
                                	**type**\:   :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.members = Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members()
                                    self.members.parent = self


                                class Members(object):
                                    """
                                    EID instance RLOC membership
                                    
                                    .. attribute:: distribute
                                    
                                    	EID instance RLOC membership distribution
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: modify_discovered
                                    
                                    	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                    	**type**\:   :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.distribute = None
                                        self.modify_discovered = Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered()
                                        self.modify_discovered.parent = self


                                    class ModifyDiscovered(object):
                                        """
                                        Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set from which to get member RLOC addresses
                                        	**type**\:  str
                                        
                                        .. attribute:: operator
                                        
                                        	
                                        	**type**\:   :py:class:`OperatorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.operator = None

                                        class OperatorEnum(Enum):
                                            """
                                            OperatorEnum

                                            .. data:: add = 0

                                            .. data:: override = 1

                                            """

                                            add = 0

                                            override = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:modify-discovered'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.operator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:members'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.distribute is not None:
                                            return True

                                        if self.modify_discovered is not None and self.modify_discovered._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.members is not None and self.members._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc']['meta_info']


                            class SiteRegistration(object):
                                """
                                Map\-server site registration options
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations as a result of accept\-more\-specifics
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rloc is not None and self.rloc._has_data():
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer']['meta_info']


                        class OtherXtrProbe(object):
                            """
                            Configure parameters for probing of other xTRs in our site
                            
                            .. attribute:: period
                            
                            	Period between probes in seconds
                            	**type**\:  int
                            
                            	**range:** 5..900
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.period = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:other-xtr-probe'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.period is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.OtherXtrProbe']['meta_info']


                        class RemoteRlocProbe(object):
                            """
                            Configure parameters for probing of remote RLOCs
                            
                            .. attribute:: on_membership_change
                            
                            	Trigger probing upon membership changes for remote RLOC
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: on_route_change
                            
                            	Trigger probing upon routing changes for remote RLOC
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.on_membership_change = None
                                self.on_route_change = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:remote-rloc-probe'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.on_membership_change is not None:
                                    return True

                                if self.on_route_change is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.RemoteRlocProbe']['meta_info']


                        class Service(object):
                            """
                            Configure lisp service type
                            
                            .. attribute:: ethernet
                            
                            	
                            	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ipv6
                            
                            	
                            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.ethernet = None
                                self.ipv4 = None
                                self.ipv6 = None


                            class Ipv4(object):
                                """
                                
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\:  str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_>`
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.alt = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt()
                                    self.alt.parent = self
                                    self.alt_vrf = None
                                    self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self.default = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_()
                                    self.default.parent = self
                                    self.distance = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance()
                                    self.distance.parent = self
                                    self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable()
                                    self.eid_table.parent = self
                                    self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr()
                                    self.etr.parent = self
                                    self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable()
                                    self.etr_enable.parent = self
                                    self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr()
                                    self.itr.parent = self
                                    self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable()
                                    self.itr_enable.parent = self
                                    self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache()
                                    self.map_cache.parent = self
                                    self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self.map_cache_persistent = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self.map_request_source = None
                                    self.proxy_etr = None
                                    self.proxy_itr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self.route_export = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport()
                                    self.route_export.parent = self
                                    self.route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport()
                                    self.route_import.parent = self
                                    self.sgt = None
                                    self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration()
                                    self.site_registration.parent = self
                                    self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self.use_petr = YList()
                                    self.use_petr.parent = self
                                    self.use_petr.name = 'use_petr'


                                class Default_(object):
                                    """
                                    
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\:  str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping>`
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Distance>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EidTable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EtrEnable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ItrEnable>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCacheLimit>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCachePersistent>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteExport>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SolicitMapRequest>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.alt = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt()
                                        self.alt.parent = self
                                        self.alt_vrf = None
                                        self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self.distance = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Distance()
                                        self.distance.parent = self
                                        self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EidTable()
                                        self.eid_table.parent = self
                                        self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr()
                                        self.etr.parent = self
                                        self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EtrEnable()
                                        self.etr_enable.parent = self
                                        self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr()
                                        self.itr.parent = self
                                        self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ItrEnable()
                                        self.itr_enable.parent = self
                                        self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache()
                                        self.map_cache.parent = self
                                        self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self.map_cache_persistent = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self.map_request_source = None
                                        self.proxy_etr = None
                                        self.proxy_itr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self.route_export = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteExport()
                                        self.route_export.parent = self
                                        self.route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport()
                                        self.route_import.parent = self
                                        self.sgt = None
                                        self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SiteRegistration()
                                        self.site_registration.parent = self
                                        self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self.use_petr = YList()
                                        self.use_petr.parent = self
                                        self.use_petr.name = 'use_petr'


                                    class EidTable(object):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.default = None
                                            self.vrf = None
                                            self.vrf_name = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.default is not None:
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            if self.vrf_name is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EidTable']['meta_info']


                                    class Itr(object):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.map_resolver = YList()
                                            self.map_resolver.parent = self
                                            self.map_resolver.name = 'map_resolver'


                                        class MapResolver(object):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr.MapResolver']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.map_resolver is not None:
                                                for child_ref in self.map_resolver:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Itr']['meta_info']


                                    class ItrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.itr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.itr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ItrEnable']['meta_info']


                                    class EtrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.EtrEnable']['meta_info']


                                    class Etr(object):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self.map_cache_ttl = None
                                            self.map_server = YList()
                                            self.map_server.parent = self
                                            self.map_server.name = 'map_server'


                                        class MapServer(object):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None
                                                self.key = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self.proxy_reply = None


                                            class Key(object):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7>`
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self


                                                class KeyPwd(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.hash_function = None
                                                        self.unc_pwd = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.hash_function is not None:
                                                            return True

                                                        if self.unc_pwd is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                class Key0(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_0 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_0 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                                class Key6(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_6 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_6 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                                class Key7(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_7 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_7 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.key_0 is not None and self.key_0._has_data():
                                                        return True

                                                    if self.key_6 is not None and self.key_6._has_data():
                                                        return True

                                                    if self.key_7 is not None and self.key_7._has_data():
                                                        return True

                                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer.Key']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                if self.key is not None and self.key._has_data():
                                                    return True

                                                if self.proxy_reply is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.MapServer']['meta_info']


                                        class AcceptMapRequestMapping(object):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_mappping = None
                                                self.verify = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_mappping is not None:
                                                    return True

                                                if self.verify is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                return True

                                            if self.map_cache_ttl is not None:
                                                return True

                                            if self.map_server is not None:
                                                for child_ref in self.map_server:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Etr']['meta_info']


                                    class MapCacheLimit(object):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\:  str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max_map_cache_entries = None
                                            self.reserve_list = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max_map_cache_entries is not None:
                                                return True

                                            if self.reserve_list is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCacheLimit']['meta_info']


                                    class SiteRegistration(object):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.limit = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.limit is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SiteRegistration']['meta_info']


                                    class SolicitMapRequest(object):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\:  int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None
                                            self.max_per_entry = None
                                            self.suppression_time = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            if self.max_per_entry is not None:
                                                return True

                                            if self.suppression_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.SolicitMapRequest']['meta_info']


                                    class Alt(object):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.summary_route = YList()
                                            self.summary_route.parent = self
                                            self.summary_route.name = 'summary_route'


                                        class SummaryRoute(object):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.route_tag = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.route_tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt.SummaryRoute']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.summary_route is not None:
                                                for child_ref in self.summary_route:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Alt']['meta_info']


                                    class Distance(object):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.alt = None
                                            self.away = None
                                            self.dyn_eid = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.alt is not None:
                                                return True

                                            if self.away is not None:
                                                return True

                                            if self.dyn_eid is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.Distance']['meta_info']


                                    class MapCache(object):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.AwayEids>`
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self.eid_interface = YList()
                                            self.eid_interface.parent = self
                                            self.eid_interface.name = 'eid_interface'
                                            self.site_registration = None


                                        class EidInterface(object):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.drop = None
                                                self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self.map_request = None
                                                self.native_forward = None


                                            class EtrInterfaceIp(object):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.etr_interface_ip_address = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.etr_interface_ip_address is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.drop is not None:
                                                    return True

                                                if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                    return True

                                                if self.map_request is not None:
                                                    return True

                                                if self.native_forward is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.EidInterface']['meta_info']


                                        class AwayEids(object):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.send_map_request = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.send_map_request is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache.AwayEids']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None and self.away_eids._has_data():
                                                return True

                                            if self.eid_interface is not None:
                                                for child_ref in self.eid_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.site_registration is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCache']['meta_info']


                                    class MapCachePersistent(object):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\:  int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.interval = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.interval is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.MapCachePersistent']['meta_info']


                                    class ProxyItr(object):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4_addr = None
                                            self.ipv6_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4_addr is not None:
                                                return True

                                            if self.ipv6_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.ProxyItr']['meta_info']


                                    class RouteExport(object):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteExport']['meta_info']


                                    class UsePetr(object):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_address = None
                                            self.priority = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr.Priority()
                                            self.priority.parent = self


                                        class Priority(object):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.priority_value = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.priority_value is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr.Priority']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.locator_address is None:
                                                raise YPYModelError('Key property locator_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_address is not None:
                                                return True

                                            if self.priority is not None and self.priority._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.UsePetr']['meta_info']


                                    class RouteImport(object):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.database = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database()
                                            self.database.parent = self
                                            self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache()
                                            self.map_cache.parent = self


                                        class Database(object):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip()
                                                self.rip.parent = self
                                                self.static = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static()
                                                self.static.parent = self


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self.process_id = None


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    if self.process_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None and self.rip._has_data():
                                                    return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.Database']['meta_info']


                                        class MapCache(object):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = None
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = None
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = None
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip()
                                                self.rip.parent = self
                                                self.static = None


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None and self.rip._has_data():
                                                    return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport.MapCache']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.database is not None and self.database._has_data():
                                                return True

                                            if self.map_cache is not None and self.map_cache._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.RouteImport']['meta_info']


                                    class DatabaseMapping(object):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'
                                            self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.Limit()
                                            self.limit.parent = self


                                        class EidCont(object):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface>`
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.auto_discover_rlocs = None
                                                self.ipv4_addrees = YList()
                                                self.ipv4_addrees.parent = self
                                                self.ipv4_addrees.name = 'ipv4_addrees'
                                                self.ipv4_interface = YList()
                                                self.ipv4_interface.parent = self
                                                self.ipv4_interface.name = 'ipv4_interface'
                                                self.ipv6_addrees = YList()
                                                self.ipv6_addrees.parent = self
                                                self.ipv6_addrees.name = 'ipv6_addrees'
                                                self.ipv6_interface = YList()
                                                self.ipv6_interface.parent = self
                                                self.ipv6_interface.name = 'ipv6_interface'
                                                self.locator_set = None


                                            class Ipv4Addrees(object):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                            class Ipv6Addrees(object):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                            class Ipv4Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                            class Ipv6Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.auto_discover_rlocs is not None:
                                                    return True

                                                if self.ipv4_addrees is not None:
                                                    for child_ref in self.ipv4_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv4_interface is not None:
                                                    for child_ref in self.ipv4_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_addrees is not None:
                                                    for child_ref in self.ipv6_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_interface is not None:
                                                    for child_ref in self.ipv6_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.locator_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.EidCont']['meta_info']


                                        class Limit(object):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\:  int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dynamic = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dynamic is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping.Limit']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.limit is not None and self.limit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_.DatabaseMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.alt is not None and self.alt._has_data():
                                            return True

                                        if self.alt_vrf is not None:
                                            return True

                                        if self.database_mapping is not None and self.database_mapping._has_data():
                                            return True

                                        if self.distance is not None and self.distance._has_data():
                                            return True

                                        if self.eid_table is not None and self.eid_table._has_data():
                                            return True

                                        if self.etr is not None and self.etr._has_data():
                                            return True

                                        if self.etr_enable is not None and self.etr_enable._has_data():
                                            return True

                                        if self.itr is not None and self.itr._has_data():
                                            return True

                                        if self.itr_enable is not None and self.itr_enable._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                            return True

                                        if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                            return True

                                        if self.map_request_source is not None:
                                            return True

                                        if self.proxy_etr is not None:
                                            return True

                                        if self.proxy_itr is not None and self.proxy_itr._has_data():
                                            return True

                                        if self.route_export is not None and self.route_export._has_data():
                                            return True

                                        if self.route_import is not None and self.route_import._has_data():
                                            return True

                                        if self.sgt is not None:
                                            return True

                                        if self.site_registration is not None and self.site_registration._has_data():
                                            return True

                                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                            return True

                                        if self.use_petr is not None:
                                            for child_ref in self.use_petr:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default_']['meta_info']


                                class EidTable(object):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.default = None
                                        self.vrf = None
                                        self.vrf_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.default is not None:
                                            return True

                                        if self.vrf is not None:
                                            return True

                                        if self.vrf_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable']['meta_info']


                                class Itr(object):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map_resolver = YList()
                                        self.map_resolver.parent = self
                                        self.map_resolver.name = 'map_resolver'


                                    class MapResolver(object):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map_resolver is not None:
                                            for child_ref in self.map_resolver:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr']['meta_info']


                                class ItrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.itr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.itr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable']['meta_info']


                                class EtrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.etr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.etr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable']['meta_info']


                                class Etr(object):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self.map_cache_ttl = None
                                        self.map_server = YList()
                                        self.map_server.parent = self
                                        self.map_server.name = 'map_server'


                                    class MapServer(object):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None
                                            self.key = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self.proxy_reply = None


                                        class Key(object):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self


                                            class KeyPwd(object):
                                                """
                                                
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.hash_function = None
                                                    self.unc_pwd = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.hash_function is not None:
                                                        return True

                                                    if self.unc_pwd is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info']


                                            class Key0(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_0 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_0 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info']


                                            class Key6(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_6 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_6 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info']


                                            class Key7(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_7 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_7 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.key_0 is not None and self.key_0._has_data():
                                                    return True

                                                if self.key_6 is not None and self.key_6._has_data():
                                                    return True

                                                if self.key_7 is not None and self.key_7._has_data():
                                                    return True

                                                if self.key_pwd is not None and self.key_pwd._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            if self.key is not None and self.key._has_data():
                                                return True

                                            if self.proxy_reply is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer']['meta_info']


                                    class AcceptMapRequestMapping(object):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_mappping = None
                                            self.verify = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_mappping is not None:
                                                return True

                                            if self.verify is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                            return True

                                        if self.map_cache_ttl is not None:
                                            return True

                                        if self.map_server is not None:
                                            for child_ref in self.map_server:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr']['meta_info']


                                class MapCacheLimit(object):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\:  str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max_map_cache_entries = None
                                        self.reserve_list = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max_map_cache_entries is not None:
                                            return True

                                        if self.reserve_list is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit']['meta_info']


                                class SiteRegistration(object):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.limit = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.limit is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration']['meta_info']


                                class SolicitMapRequest(object):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\:  int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None
                                        self.max_per_entry = None
                                        self.suppression_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        if self.max_per_entry is not None:
                                            return True

                                        if self.suppression_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest']['meta_info']


                                class Alt(object):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.summary_route = YList()
                                        self.summary_route.parent = self
                                        self.summary_route.name = 'summary_route'


                                    class SummaryRoute(object):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.route_tag = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.route_tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.summary_route is not None:
                                            for child_ref in self.summary_route:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt']['meta_info']


                                class Distance(object):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.alt = None
                                        self.away = None
                                        self.dyn_eid = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.alt is not None:
                                            return True

                                        if self.away is not None:
                                            return True

                                        if self.dyn_eid is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance']['meta_info']


                                class MapCache(object):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids>`
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self.eid_interface = YList()
                                        self.eid_interface.parent = self
                                        self.eid_interface.name = 'eid_interface'
                                        self.site_registration = None


                                    class EidInterface(object):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.drop = None
                                            self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self.map_request = None
                                            self.native_forward = None


                                        class EtrInterfaceIp(object):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr_interface_ip_address = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr_interface_ip_address is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.drop is not None:
                                                return True

                                            if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                return True

                                            if self.map_request is not None:
                                                return True

                                            if self.native_forward is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface']['meta_info']


                                    class AwayEids(object):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.send_map_request = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.send_map_request is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None and self.away_eids._has_data():
                                            return True

                                        if self.eid_interface is not None:
                                            for child_ref in self.eid_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.site_registration is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache']['meta_info']


                                class MapCachePersistent(object):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\:  int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent']['meta_info']


                                class ProxyItr(object):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_addr = None
                                        self.ipv6_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_addr is not None:
                                            return True

                                        if self.ipv6_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr']['meta_info']


                                class RouteExport(object):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport']['meta_info']


                                class UsePetr(object):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_address = None
                                        self.priority = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority()
                                        self.priority.parent = self


                                    class Priority(object):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.priority_value = None
                                            self.weight = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.priority_value is not None:
                                                return True

                                            if self.weight is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.locator_address is None:
                                            raise YPYModelError('Key property locator_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_address is not None:
                                            return True

                                        if self.priority is not None and self.priority._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr']['meta_info']


                                class RouteImport(object):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.database = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database()
                                        self.database.parent = self
                                        self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache()
                                        self.map_cache.parent = self


                                    class Database(object):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip()
                                            self.rip.parent = self
                                            self.static = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static()
                                            self.static.parent = self


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self.process_id = None


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                if self.process_id is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None and self.rip._has_data():
                                                return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database']['meta_info']


                                    class MapCache(object):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = None
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = None
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = None
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip()
                                            self.rip.parent = self
                                            self.static = None


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None and self.rip._has_data():
                                                return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.database is not None and self.database._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport']['meta_info']


                                class DatabaseMapping(object):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'
                                        self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit()
                                        self.limit.parent = self


                                    class EidCont(object):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.auto_discover_rlocs = None
                                            self.ipv4_addrees = YList()
                                            self.ipv4_addrees.parent = self
                                            self.ipv4_addrees.name = 'ipv4_addrees'
                                            self.ipv4_interface = YList()
                                            self.ipv4_interface.parent = self
                                            self.ipv4_interface.name = 'ipv4_interface'
                                            self.ipv6_addrees = YList()
                                            self.ipv6_addrees.parent = self
                                            self.ipv6_addrees.name = 'ipv6_addrees'
                                            self.ipv6_interface = YList()
                                            self.ipv6_interface.parent = self
                                            self.ipv6_interface.name = 'ipv6_interface'
                                            self.locator_set = None


                                        class Ipv4Addrees(object):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                        class Ipv6Addrees(object):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                        class Ipv4Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                        class Ipv6Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.auto_discover_rlocs is not None:
                                                return True

                                            if self.ipv4_addrees is not None:
                                                for child_ref in self.ipv4_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv4_interface is not None:
                                                for child_ref in self.ipv4_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_addrees is not None:
                                                for child_ref in self.ipv6_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_interface is not None:
                                                for child_ref in self.ipv6_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.locator_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']


                                    class Limit(object):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\:  int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        if self.limit is not None and self.limit._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.alt is not None and self.alt._has_data():
                                        return True

                                    if self.alt_vrf is not None:
                                        return True

                                    if self.database_mapping is not None and self.database_mapping._has_data():
                                        return True

                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.distance is not None and self.distance._has_data():
                                        return True

                                    if self.eid_table is not None and self.eid_table._has_data():
                                        return True

                                    if self.etr is not None and self.etr._has_data():
                                        return True

                                    if self.etr_enable is not None and self.etr_enable._has_data():
                                        return True

                                    if self.itr is not None and self.itr._has_data():
                                        return True

                                    if self.itr_enable is not None and self.itr_enable._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                        return True

                                    if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                        return True

                                    if self.map_request_source is not None:
                                        return True

                                    if self.proxy_etr is not None:
                                        return True

                                    if self.proxy_itr is not None and self.proxy_itr._has_data():
                                        return True

                                    if self.route_export is not None and self.route_export._has_data():
                                        return True

                                    if self.route_import is not None and self.route_import._has_data():
                                        return True

                                    if self.sgt is not None:
                                        return True

                                    if self.site_registration is not None and self.site_registration._has_data():
                                        return True

                                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                        return True

                                    if self.use_petr is not None:
                                        for child_ref in self.use_petr:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4']['meta_info']


                            class Ipv6(object):
                                """
                                
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\:  str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_>`
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.alt = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt()
                                    self.alt.parent = self
                                    self.alt_vrf = None
                                    self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self.default = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_()
                                    self.default.parent = self
                                    self.distance = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance()
                                    self.distance.parent = self
                                    self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable()
                                    self.eid_table.parent = self
                                    self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr()
                                    self.etr.parent = self
                                    self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable()
                                    self.etr_enable.parent = self
                                    self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr()
                                    self.itr.parent = self
                                    self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable()
                                    self.itr_enable.parent = self
                                    self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache()
                                    self.map_cache.parent = self
                                    self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self.map_cache_persistent = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self.map_request_source = None
                                    self.proxy_etr = None
                                    self.proxy_itr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self.route_export = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport()
                                    self.route_export.parent = self
                                    self.route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport()
                                    self.route_import.parent = self
                                    self.sgt = None
                                    self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration()
                                    self.site_registration.parent = self
                                    self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self.use_petr = YList()
                                    self.use_petr.parent = self
                                    self.use_petr.name = 'use_petr'


                                class Default_(object):
                                    """
                                    
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\:  str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping>`
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Distance>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EidTable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EtrEnable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ItrEnable>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCacheLimit>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCachePersistent>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteExport>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SolicitMapRequest>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.alt = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt()
                                        self.alt.parent = self
                                        self.alt_vrf = None
                                        self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self.distance = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Distance()
                                        self.distance.parent = self
                                        self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EidTable()
                                        self.eid_table.parent = self
                                        self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr()
                                        self.etr.parent = self
                                        self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EtrEnable()
                                        self.etr_enable.parent = self
                                        self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr()
                                        self.itr.parent = self
                                        self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ItrEnable()
                                        self.itr_enable.parent = self
                                        self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache()
                                        self.map_cache.parent = self
                                        self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self.map_cache_persistent = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self.map_request_source = None
                                        self.proxy_etr = None
                                        self.proxy_itr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self.route_export = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteExport()
                                        self.route_export.parent = self
                                        self.route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport()
                                        self.route_import.parent = self
                                        self.sgt = None
                                        self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SiteRegistration()
                                        self.site_registration.parent = self
                                        self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self.use_petr = YList()
                                        self.use_petr.parent = self
                                        self.use_petr.name = 'use_petr'


                                    class EidTable(object):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.default = None
                                            self.vrf = None
                                            self.vrf_name = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.default is not None:
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            if self.vrf_name is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EidTable']['meta_info']


                                    class Itr(object):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.map_resolver = YList()
                                            self.map_resolver.parent = self
                                            self.map_resolver.name = 'map_resolver'


                                        class MapResolver(object):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr.MapResolver']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.map_resolver is not None:
                                                for child_ref in self.map_resolver:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Itr']['meta_info']


                                    class ItrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.itr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.itr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ItrEnable']['meta_info']


                                    class EtrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.EtrEnable']['meta_info']


                                    class Etr(object):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self.map_cache_ttl = None
                                            self.map_server = YList()
                                            self.map_server.parent = self
                                            self.map_server.name = 'map_server'


                                        class MapServer(object):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None
                                                self.key = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self.proxy_reply = None


                                            class Key(object):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7>`
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self


                                                class KeyPwd(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.hash_function = None
                                                        self.unc_pwd = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.hash_function is not None:
                                                            return True

                                                        if self.unc_pwd is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                class Key0(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_0 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_0 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                                class Key6(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_6 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_6 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                                class Key7(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_7 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_7 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.key_0 is not None and self.key_0._has_data():
                                                        return True

                                                    if self.key_6 is not None and self.key_6._has_data():
                                                        return True

                                                    if self.key_7 is not None and self.key_7._has_data():
                                                        return True

                                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer.Key']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                if self.key is not None and self.key._has_data():
                                                    return True

                                                if self.proxy_reply is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.MapServer']['meta_info']


                                        class AcceptMapRequestMapping(object):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_mappping = None
                                                self.verify = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_mappping is not None:
                                                    return True

                                                if self.verify is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                return True

                                            if self.map_cache_ttl is not None:
                                                return True

                                            if self.map_server is not None:
                                                for child_ref in self.map_server:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Etr']['meta_info']


                                    class MapCacheLimit(object):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\:  str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max_map_cache_entries = None
                                            self.reserve_list = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max_map_cache_entries is not None:
                                                return True

                                            if self.reserve_list is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCacheLimit']['meta_info']


                                    class SiteRegistration(object):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.limit = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.limit is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SiteRegistration']['meta_info']


                                    class SolicitMapRequest(object):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\:  int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None
                                            self.max_per_entry = None
                                            self.suppression_time = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            if self.max_per_entry is not None:
                                                return True

                                            if self.suppression_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.SolicitMapRequest']['meta_info']


                                    class Alt(object):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.summary_route = YList()
                                            self.summary_route.parent = self
                                            self.summary_route.name = 'summary_route'


                                        class SummaryRoute(object):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.route_tag = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.route_tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt.SummaryRoute']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.summary_route is not None:
                                                for child_ref in self.summary_route:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Alt']['meta_info']


                                    class Distance(object):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.alt = None
                                            self.away = None
                                            self.dyn_eid = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.alt is not None:
                                                return True

                                            if self.away is not None:
                                                return True

                                            if self.dyn_eid is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.Distance']['meta_info']


                                    class MapCache(object):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.AwayEids>`
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self.eid_interface = YList()
                                            self.eid_interface.parent = self
                                            self.eid_interface.name = 'eid_interface'
                                            self.site_registration = None


                                        class EidInterface(object):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            
                                            ----
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.drop = None
                                                self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self.map_request = None
                                                self.native_forward = None


                                            class EtrInterfaceIp(object):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.etr_interface_ip_address = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.etr_interface_ip_address is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.drop is not None:
                                                    return True

                                                if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                    return True

                                                if self.map_request is not None:
                                                    return True

                                                if self.native_forward is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.EidInterface']['meta_info']


                                        class AwayEids(object):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.send_map_request = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.send_map_request is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache.AwayEids']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None and self.away_eids._has_data():
                                                return True

                                            if self.eid_interface is not None:
                                                for child_ref in self.eid_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.site_registration is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCache']['meta_info']


                                    class MapCachePersistent(object):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\:  int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.interval = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.interval is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.MapCachePersistent']['meta_info']


                                    class ProxyItr(object):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4_addr = None
                                            self.ipv6_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4_addr is not None:
                                                return True

                                            if self.ipv6_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.ProxyItr']['meta_info']


                                    class RouteExport(object):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.away_eids = None
                                            self.site_registrations = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.away_eids is not None:
                                                return True

                                            if self.site_registrations is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteExport']['meta_info']


                                    class UsePetr(object):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_address = None
                                            self.priority = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr.Priority()
                                            self.priority.parent = self


                                        class Priority(object):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.priority_value = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.priority_value is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr.Priority']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.locator_address is None:
                                                raise YPYModelError('Key property locator_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_address is not None:
                                                return True

                                            if self.priority is not None and self.priority._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.UsePetr']['meta_info']


                                    class RouteImport(object):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.database = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database()
                                            self.database.parent = self
                                            self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache()
                                            self.map_cache.parent = self


                                        class Database(object):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = YList()
                                                self.rip.parent = self
                                                self.rip.name = 'rip'
                                                self.static = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static()
                                                self.static.parent = self


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self.process_id = None


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    if self.process_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\:  str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self


                                                class LispIpRouteImport(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.locator_set = None
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.locator_set is not None:
                                                            return True

                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None:
                                                    for child_ref in self.rip:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.Database']['meta_info']


                                        class MapCache(object):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.application = None
                                                self.bgp = YList()
                                                self.bgp.parent = self
                                                self.bgp.name = 'bgp'
                                                self.connected = None
                                                self.eigrp = YList()
                                                self.eigrp.parent = self
                                                self.eigrp.name = 'eigrp'
                                                self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self.nd = None
                                                self.ospf = YList()
                                                self.ospf.parent = self
                                                self.ospf.name = 'ospf'
                                                self.rip = YList()
                                                self.rip.parent = self
                                                self.rip.name = 'rip'
                                                self.static = None


                                            class Application(object):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Application']['meta_info']


                                            class Bgp(object):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                
                                                ----
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Bgp']['meta_info']


                                            class Connected(object):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Connected']['meta_info']


                                            class Eigrp(object):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Eigrp']['meta_info']


                                            class Isis(object):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\:  str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Isis']['meta_info']


                                            class MaximumPrefix(object):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.number = None
                                                    self.threshold = None
                                                    self.threshold1 = None
                                                    self.warning_only = None
                                                    self.warning_only1 = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.number is not None:
                                                        return True

                                                    if self.threshold is not None:
                                                        return True

                                                    if self.threshold1 is not None:
                                                        return True

                                                    if self.warning_only is not None:
                                                        return True

                                                    if self.warning_only1 is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                            class Nd(object):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Nd']['meta_info']


                                            class Ospf(object):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Ospf']['meta_info']


                                            class Static(object):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Static']['meta_info']


                                            class Rip(object):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\:  str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.id = None
                                                    self.map_cache_container = None


                                                class MapCacheContainer(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: _is_presence
                                                    
                                                    	Is present if this instance represents presence container else not
                                                    	**type**\: bool
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self._is_presence = True
                                                        self.route_map = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self._is_presence:
                                                            return True
                                                        if self.route_map is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.id is None:
                                                        raise YPYModelError('Key property id is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.id is not None:
                                                        return True

                                                    if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache.Rip']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.application is not None and self.application._has_data():
                                                    return True

                                                if self.bgp is not None:
                                                    for child_ref in self.bgp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.connected is not None and self.connected._has_data():
                                                    return True

                                                if self.eigrp is not None:
                                                    for child_ref in self.eigrp:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.isis is not None and self.isis._has_data():
                                                    return True

                                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                    return True

                                                if self.nd is not None and self.nd._has_data():
                                                    return True

                                                if self.ospf is not None:
                                                    for child_ref in self.ospf:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.rip is not None:
                                                    for child_ref in self.rip:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.static is not None and self.static._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport.MapCache']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.database is not None and self.database._has_data():
                                                return True

                                            if self.map_cache is not None and self.map_cache._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.RouteImport']['meta_info']


                                    class DatabaseMapping(object):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'
                                            self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.Limit()
                                            self.limit.parent = self


                                        class EidCont(object):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface>`
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.auto_discover_rlocs = None
                                                self.ipv4_addrees = YList()
                                                self.ipv4_addrees.parent = self
                                                self.ipv4_addrees.name = 'ipv4_addrees'
                                                self.ipv4_interface = YList()
                                                self.ipv4_interface.parent = self
                                                self.ipv4_interface.name = 'ipv4_interface'
                                                self.ipv6_addrees = YList()
                                                self.ipv6_addrees.parent = self
                                                self.ipv6_addrees.name = 'ipv6_addrees'
                                                self.ipv6_interface = YList()
                                                self.ipv6_interface.parent = self
                                                self.ipv6_interface.name = 'ipv6_interface'
                                                self.locator_set = None


                                            class Ipv4Addrees(object):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                            class Ipv6Addrees(object):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                            class Ipv4Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                            class Ipv6Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.auto_discover_rlocs is not None:
                                                    return True

                                                if self.ipv4_addrees is not None:
                                                    for child_ref in self.ipv4_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv4_interface is not None:
                                                    for child_ref in self.ipv4_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_addrees is not None:
                                                    for child_ref in self.ipv6_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_interface is not None:
                                                    for child_ref in self.ipv6_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.locator_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.EidCont']['meta_info']


                                        class Limit(object):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\:  int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dynamic = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dynamic is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping.Limit']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.limit is not None and self.limit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_.DatabaseMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.alt is not None and self.alt._has_data():
                                            return True

                                        if self.alt_vrf is not None:
                                            return True

                                        if self.database_mapping is not None and self.database_mapping._has_data():
                                            return True

                                        if self.distance is not None and self.distance._has_data():
                                            return True

                                        if self.eid_table is not None and self.eid_table._has_data():
                                            return True

                                        if self.etr is not None and self.etr._has_data():
                                            return True

                                        if self.etr_enable is not None and self.etr_enable._has_data():
                                            return True

                                        if self.itr is not None and self.itr._has_data():
                                            return True

                                        if self.itr_enable is not None and self.itr_enable._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                            return True

                                        if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                            return True

                                        if self.map_request_source is not None:
                                            return True

                                        if self.proxy_etr is not None:
                                            return True

                                        if self.proxy_itr is not None and self.proxy_itr._has_data():
                                            return True

                                        if self.route_export is not None and self.route_export._has_data():
                                            return True

                                        if self.route_import is not None and self.route_import._has_data():
                                            return True

                                        if self.sgt is not None:
                                            return True

                                        if self.site_registration is not None and self.site_registration._has_data():
                                            return True

                                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                            return True

                                        if self.use_petr is not None:
                                            for child_ref in self.use_petr:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default_']['meta_info']


                                class EidTable(object):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.default = None
                                        self.vrf = None
                                        self.vrf_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.default is not None:
                                            return True

                                        if self.vrf is not None:
                                            return True

                                        if self.vrf_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable']['meta_info']


                                class Itr(object):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map_resolver = YList()
                                        self.map_resolver.parent = self
                                        self.map_resolver.name = 'map_resolver'


                                    class MapResolver(object):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map_resolver is not None:
                                            for child_ref in self.map_resolver:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr']['meta_info']


                                class ItrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.itr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.itr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable']['meta_info']


                                class EtrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.etr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.etr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable']['meta_info']


                                class Etr(object):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self.map_cache_ttl = None
                                        self.map_server = YList()
                                        self.map_server.parent = self
                                        self.map_server.name = 'map_server'


                                    class MapServer(object):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None
                                            self.key = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self.proxy_reply = None


                                        class Key(object):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self


                                            class KeyPwd(object):
                                                """
                                                
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.hash_function = None
                                                    self.unc_pwd = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.hash_function is not None:
                                                        return True

                                                    if self.unc_pwd is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info']


                                            class Key0(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_0 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_0 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info']


                                            class Key6(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_6 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_6 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info']


                                            class Key7(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_7 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_7 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.key_0 is not None and self.key_0._has_data():
                                                    return True

                                                if self.key_6 is not None and self.key_6._has_data():
                                                    return True

                                                if self.key_7 is not None and self.key_7._has_data():
                                                    return True

                                                if self.key_pwd is not None and self.key_pwd._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            if self.key is not None and self.key._has_data():
                                                return True

                                            if self.proxy_reply is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer']['meta_info']


                                    class AcceptMapRequestMapping(object):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_mappping = None
                                            self.verify = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_mappping is not None:
                                                return True

                                            if self.verify is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                            return True

                                        if self.map_cache_ttl is not None:
                                            return True

                                        if self.map_server is not None:
                                            for child_ref in self.map_server:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr']['meta_info']


                                class MapCacheLimit(object):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\:  str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max_map_cache_entries = None
                                        self.reserve_list = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max_map_cache_entries is not None:
                                            return True

                                        if self.reserve_list is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit']['meta_info']


                                class SiteRegistration(object):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.limit = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.limit is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration']['meta_info']


                                class SolicitMapRequest(object):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\:  int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None
                                        self.max_per_entry = None
                                        self.suppression_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        if self.max_per_entry is not None:
                                            return True

                                        if self.suppression_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest']['meta_info']


                                class Alt(object):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.summary_route = YList()
                                        self.summary_route.parent = self
                                        self.summary_route.name = 'summary_route'


                                    class SummaryRoute(object):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.route_tag = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.route_tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.summary_route is not None:
                                            for child_ref in self.summary_route:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt']['meta_info']


                                class Distance(object):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.alt = None
                                        self.away = None
                                        self.dyn_eid = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.alt is not None:
                                            return True

                                        if self.away is not None:
                                            return True

                                        if self.dyn_eid is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance']['meta_info']


                                class MapCache(object):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids>`
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self.eid_interface = YList()
                                        self.eid_interface.parent = self
                                        self.eid_interface.name = 'eid_interface'
                                        self.site_registration = None


                                    class EidInterface(object):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.drop = None
                                            self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self.map_request = None
                                            self.native_forward = None


                                        class EtrInterfaceIp(object):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr_interface_ip_address = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr_interface_ip_address is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.drop is not None:
                                                return True

                                            if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                return True

                                            if self.map_request is not None:
                                                return True

                                            if self.native_forward is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface']['meta_info']


                                    class AwayEids(object):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.send_map_request = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.send_map_request is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None and self.away_eids._has_data():
                                            return True

                                        if self.eid_interface is not None:
                                            for child_ref in self.eid_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.site_registration is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache']['meta_info']


                                class MapCachePersistent(object):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\:  int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent']['meta_info']


                                class ProxyItr(object):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_addr = None
                                        self.ipv6_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_addr is not None:
                                            return True

                                        if self.ipv6_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr']['meta_info']


                                class RouteExport(object):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport']['meta_info']


                                class UsePetr(object):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_address = None
                                        self.priority = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority()
                                        self.priority.parent = self


                                    class Priority(object):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.priority_value = None
                                            self.weight = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.priority_value is not None:
                                                return True

                                            if self.weight is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.locator_address is None:
                                            raise YPYModelError('Key property locator_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_address is not None:
                                            return True

                                        if self.priority is not None and self.priority._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr']['meta_info']


                                class RouteImport(object):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.database = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database()
                                        self.database.parent = self
                                        self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache()
                                        self.map_cache.parent = self


                                    class Database(object):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = YList()
                                            self.rip.parent = self
                                            self.rip.name = 'rip'
                                            self.static = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static()
                                            self.static.parent = self


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self.process_id = None


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                if self.process_id is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\:  str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None:
                                                for child_ref in self.rip:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database']['meta_info']


                                    class MapCache(object):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = None
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = None
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = None
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = YList()
                                            self.rip.parent = self
                                            self.rip.name = 'rip'
                                            self.static = None


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\:  str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None:
                                                for child_ref in self.rip:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.database is not None and self.database._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport']['meta_info']


                                class DatabaseMapping(object):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'
                                        self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit()
                                        self.limit.parent = self


                                    class EidCont(object):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.auto_discover_rlocs = None
                                            self.ipv4_addrees = YList()
                                            self.ipv4_addrees.parent = self
                                            self.ipv4_addrees.name = 'ipv4_addrees'
                                            self.ipv4_interface = YList()
                                            self.ipv4_interface.parent = self
                                            self.ipv4_interface.name = 'ipv4_interface'
                                            self.ipv6_addrees = YList()
                                            self.ipv6_addrees.parent = self
                                            self.ipv6_addrees.name = 'ipv6_addrees'
                                            self.ipv6_interface = YList()
                                            self.ipv6_interface.parent = self
                                            self.ipv6_interface.name = 'ipv6_interface'
                                            self.locator_set = None


                                        class Ipv4Addrees(object):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                        class Ipv6Addrees(object):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                        class Ipv4Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                        class Ipv6Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.auto_discover_rlocs is not None:
                                                return True

                                            if self.ipv4_addrees is not None:
                                                for child_ref in self.ipv4_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv4_interface is not None:
                                                for child_ref in self.ipv4_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_addrees is not None:
                                                for child_ref in self.ipv6_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_interface is not None:
                                                for child_ref in self.ipv6_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.locator_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']


                                    class Limit(object):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\:  int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        if self.limit is not None and self.limit._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.alt is not None and self.alt._has_data():
                                        return True

                                    if self.alt_vrf is not None:
                                        return True

                                    if self.database_mapping is not None and self.database_mapping._has_data():
                                        return True

                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.distance is not None and self.distance._has_data():
                                        return True

                                    if self.eid_table is not None and self.eid_table._has_data():
                                        return True

                                    if self.etr is not None and self.etr._has_data():
                                        return True

                                    if self.etr_enable is not None and self.etr_enable._has_data():
                                        return True

                                    if self.itr is not None and self.itr._has_data():
                                        return True

                                    if self.itr_enable is not None and self.itr_enable._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                        return True

                                    if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                        return True

                                    if self.map_request_source is not None:
                                        return True

                                    if self.proxy_etr is not None:
                                        return True

                                    if self.proxy_itr is not None and self.proxy_itr._has_data():
                                        return True

                                    if self.route_export is not None and self.route_export._has_data():
                                        return True

                                    if self.route_import is not None and self.route_import._has_data():
                                        return True

                                    if self.sgt is not None:
                                        return True

                                    if self.site_registration is not None and self.site_registration._has_data():
                                        return True

                                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                        return True

                                    if self.use_petr is not None:
                                        for child_ref in self.use_petr:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6']['meta_info']


                            class Ethernet(object):
                                """
                                
                                
                                .. attribute:: broadcast_underlay
                                
                                	Multicast group to use for underlay
                                	**type**\:   :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay>`
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:   :py:class:`Default_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.broadcast_underlay = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay()
                                    self.broadcast_underlay.parent = self
                                    self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self.default = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_()
                                    self.default.parent = self
                                    self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable()
                                    self.eid_table.parent = self
                                    self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr()
                                    self.etr.parent = self
                                    self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable()
                                    self.etr_enable.parent = self
                                    self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr()
                                    self.itr.parent = self
                                    self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable()
                                    self.itr_enable.parent = self
                                    self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache()
                                    self.map_cache.parent = self
                                    self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self.map_request_source = None
                                    self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration()
                                    self.site_registration.parent = self
                                    self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest()
                                    self.solicit_map_request.parent = self


                                class Default_(object):
                                    """
                                    
                                    
                                    .. attribute:: broadcast_underlay
                                    
                                    	Multicast group to use for underlay
                                    	**type**\:   :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.BroadcastUnderlay>`
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EidTable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EtrEnable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.ItrEnable>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCacheLimit>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SolicitMapRequest>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.broadcast_underlay = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.BroadcastUnderlay()
                                        self.broadcast_underlay.parent = self
                                        self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EidTable()
                                        self.eid_table.parent = self
                                        self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr()
                                        self.etr.parent = self
                                        self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EtrEnable()
                                        self.etr_enable.parent = self
                                        self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr()
                                        self.itr.parent = self
                                        self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.ItrEnable()
                                        self.itr_enable.parent = self
                                        self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache()
                                        self.map_cache.parent = self
                                        self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self.map_request_source = None
                                        self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SiteRegistration()
                                        self.site_registration.parent = self
                                        self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SolicitMapRequest()
                                        self.solicit_map_request.parent = self


                                    class EidTable(object):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vlan
                                        
                                        	VLAN configuration
                                        	**type**\:  int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.vlan = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.vlan is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EidTable']['meta_info']


                                    class BroadcastUnderlay(object):
                                        """
                                        Multicast group to use for underlay
                                        
                                        .. attribute:: ipv4_multicast
                                        
                                        	IPv4 multicast group address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_multicast
                                        
                                        	IPv6 multicast group address
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4_multicast = None
                                            self.ipv6_multicast = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:broadcast-underlay'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4_multicast is not None:
                                                return True

                                            if self.ipv6_multicast is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.BroadcastUnderlay']['meta_info']


                                    class DatabaseMapping(object):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'
                                            self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.Limit()
                                            self.limit.parent = self


                                        class EidCont(object):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\:  str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface>`
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.ipv4_addrees = YList()
                                                self.ipv4_addrees.parent = self
                                                self.ipv4_addrees.name = 'ipv4_addrees'
                                                self.ipv4_interface = YList()
                                                self.ipv4_interface.parent = self
                                                self.ipv4_interface.name = 'ipv4_interface'
                                                self.ipv6_addrees = YList()
                                                self.ipv6_addrees.parent = self
                                                self.ipv6_addrees.name = 'ipv6_addrees'
                                                self.ipv6_interface = YList()
                                                self.ipv6_interface.parent = self
                                                self.ipv6_interface.name = 'ipv6_interface'
                                                self.locator_set = None


                                            class Ipv4Addrees(object):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                            class Ipv6Addrees(object):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.address is None:
                                                        raise YPYModelError('Key property address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.address is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                            class Ipv4Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                            class Ipv6Interface(object):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\:  str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.name = None
                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self


                                                class DatabaseMappingOption(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.down = None
                                                        self.priority = None
                                                        self.weight = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.down is not None:
                                                            return True

                                                        if self.priority is not None:
                                                            return True

                                                        if self.weight is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.name is None:
                                                        raise YPYModelError('Key property name is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.name is not None:
                                                        return True

                                                    if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.ipv4_addrees is not None:
                                                    for child_ref in self.ipv4_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv4_interface is not None:
                                                    for child_ref in self.ipv4_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_addrees is not None:
                                                    for child_ref in self.ipv6_addrees:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.ipv6_interface is not None:
                                                    for child_ref in self.ipv6_interface:
                                                        if child_ref._has_data():
                                                            return True

                                                if self.locator_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.EidCont']['meta_info']


                                        class Limit(object):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\:  int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.dynamic = None
                                                self.warning_threshold = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.dynamic is not None:
                                                    return True

                                                if self.warning_threshold is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping.Limit']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.limit is not None and self.limit._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.DatabaseMapping']['meta_info']


                                    class Itr(object):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.map_resolver = YList()
                                            self.map_resolver.parent = self
                                            self.map_resolver.name = 'map_resolver'


                                        class MapResolver(object):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr.MapResolver']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.map_resolver is not None:
                                                for child_ref in self.map_resolver:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Itr']['meta_info']


                                    class ItrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.itr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.itr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.ItrEnable']['meta_info']


                                    class EtrEnable(object):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.EtrEnable']['meta_info']


                                    class Etr(object):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self.map_cache_ttl = None
                                            self.map_server = YList()
                                            self.map_server.parent = self
                                            self.map_server.name = 'map_server'


                                        class MapServer(object):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ip_addr = None
                                                self.key = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self.proxy_reply = None


                                            class Key(object):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7>`
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self


                                                class KeyPwd(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.hash_function = None
                                                        self.unc_pwd = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.hash_function is not None:
                                                            return True

                                                        if self.unc_pwd is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.KeyPwd']['meta_info']


                                                class Key0(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_0 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_0 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key0']['meta_info']


                                                class Key6(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_6 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_6 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key6']['meta_info']


                                                class Key7(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\:  str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.ak_7 = None
                                                        self.hash_function = None

                                                    class HashFunctionEnum(Enum):
                                                        """
                                                        HashFunctionEnum

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = 0

                                                        sha2 = 1


                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.ak_7 is not None:
                                                            return True

                                                        if self.hash_function is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key.Key7']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.key_0 is not None and self.key_0._has_data():
                                                        return True

                                                    if self.key_6 is not None and self.key_6._has_data():
                                                        return True

                                                    if self.key_7 is not None and self.key_7._has_data():
                                                        return True

                                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer.Key']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.ip_addr is None:
                                                    raise YPYModelError('Key property ip_addr is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ip_addr is not None:
                                                    return True

                                                if self.key is not None and self.key._has_data():
                                                    return True

                                                if self.proxy_reply is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.MapServer']['meta_info']


                                        class AcceptMapRequestMapping(object):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.accept_mappping = None
                                                self.verify = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.accept_mappping is not None:
                                                    return True

                                                if self.verify is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr.AcceptMapRequestMapping']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                                return True

                                            if self.map_cache_ttl is not None:
                                                return True

                                            if self.map_server is not None:
                                                for child_ref in self.map_server:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.Etr']['meta_info']


                                    class MapCacheLimit(object):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\:  str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.max_map_cache_entries = None
                                            self.reserve_list = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.max_map_cache_entries is not None:
                                                return True

                                            if self.reserve_list is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCacheLimit']['meta_info']


                                    class SiteRegistration(object):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.limit = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.limit is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SiteRegistration']['meta_info']


                                    class SolicitMapRequest(object):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\:  int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ignore = None
                                            self.max_per_entry = None
                                            self.suppression_time = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ignore is not None:
                                                return True

                                            if self.max_per_entry is not None:
                                                return True

                                            if self.suppression_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.SolicitMapRequest']['meta_info']


                                    class MapCache(object):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_cont = YList()
                                            self.eid_cont.parent = self
                                            self.eid_cont.name = 'eid_cont'


                                        class EidCont(object):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\:  str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.eid_prefix = None
                                                self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self


                                            class EtrInterfaceIp(object):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: one of the below types:
                                                
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                
                                                ----
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.etr_interface_ip_address = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.etr_interface_ip_address is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont.EtrInterfaceIp']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.eid_prefix is None:
                                                    raise YPYModelError('Key property eid_prefix is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.eid_prefix is not None:
                                                    return True

                                                if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache.EidCont']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_cont is not None:
                                                for child_ref in self.eid_cont:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_.MapCache']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.broadcast_underlay is not None and self.broadcast_underlay._has_data():
                                            return True

                                        if self.database_mapping is not None and self.database_mapping._has_data():
                                            return True

                                        if self.eid_table is not None and self.eid_table._has_data():
                                            return True

                                        if self.etr is not None and self.etr._has_data():
                                            return True

                                        if self.etr_enable is not None and self.etr_enable._has_data():
                                            return True

                                        if self.itr is not None and self.itr._has_data():
                                            return True

                                        if self.itr_enable is not None and self.itr_enable._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                            return True

                                        if self.map_request_source is not None:
                                            return True

                                        if self.site_registration is not None and self.site_registration._has_data():
                                            return True

                                        if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default_']['meta_info']


                                class EidTable(object):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vlan
                                    
                                    	VLAN configuration
                                    	**type**\:  int
                                    
                                    	**range:** 1..4094
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.vlan = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.vlan is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable']['meta_info']


                                class BroadcastUnderlay(object):
                                    """
                                    Multicast group to use for underlay
                                    
                                    .. attribute:: ipv4_multicast
                                    
                                    	IPv4 multicast group address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_multicast
                                    
                                    	IPv6 multicast group address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_multicast = None
                                        self.ipv6_multicast = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:broadcast-underlay'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_multicast is not None:
                                            return True

                                        if self.ipv6_multicast is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay']['meta_info']


                                class DatabaseMapping(object):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'
                                        self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit()
                                        self.limit.parent = self


                                    class EidCont(object):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\:  str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.ipv4_addrees = YList()
                                            self.ipv4_addrees.parent = self
                                            self.ipv4_addrees.name = 'ipv4_addrees'
                                            self.ipv4_interface = YList()
                                            self.ipv4_interface.parent = self
                                            self.ipv4_interface.name = 'ipv4_interface'
                                            self.ipv6_addrees = YList()
                                            self.ipv6_addrees.parent = self
                                            self.ipv6_addrees.name = 'ipv6_addrees'
                                            self.ipv6_interface = YList()
                                            self.ipv6_interface.parent = self
                                            self.ipv6_interface.name = 'ipv6_interface'
                                            self.locator_set = None


                                        class Ipv4Addrees(object):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                        class Ipv6Addrees(object):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                        class Ipv4Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                        class Ipv6Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.ipv4_addrees is not None:
                                                for child_ref in self.ipv4_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv4_interface is not None:
                                                for child_ref in self.ipv4_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_addrees is not None:
                                                for child_ref in self.ipv6_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_interface is not None:
                                                for child_ref in self.ipv6_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.locator_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']


                                    class Limit(object):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\:  int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        if self.limit is not None and self.limit._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping']['meta_info']


                                class Itr(object):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map_resolver = YList()
                                        self.map_resolver.parent = self
                                        self.map_resolver.name = 'map_resolver'


                                    class MapResolver(object):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map_resolver is not None:
                                            for child_ref in self.map_resolver:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr']['meta_info']


                                class ItrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.itr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.itr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable']['meta_info']


                                class EtrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.etr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.etr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable']['meta_info']


                                class Etr(object):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self.map_cache_ttl = None
                                        self.map_server = YList()
                                        self.map_server.parent = self
                                        self.map_server.name = 'map_server'


                                    class MapServer(object):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None
                                            self.key = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self.proxy_reply = None


                                        class Key(object):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self


                                            class KeyPwd(object):
                                                """
                                                
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.hash_function = None
                                                    self.unc_pwd = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.hash_function is not None:
                                                        return True

                                                    if self.unc_pwd is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info']


                                            class Key0(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_0 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_0 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info']


                                            class Key6(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_6 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_6 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info']


                                            class Key7(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_7 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_7 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.key_0 is not None and self.key_0._has_data():
                                                    return True

                                                if self.key_6 is not None and self.key_6._has_data():
                                                    return True

                                                if self.key_7 is not None and self.key_7._has_data():
                                                    return True

                                                if self.key_pwd is not None and self.key_pwd._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            if self.key is not None and self.key._has_data():
                                                return True

                                            if self.proxy_reply is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer']['meta_info']


                                    class AcceptMapRequestMapping(object):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_mappping = None
                                            self.verify = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_mappping is not None:
                                                return True

                                            if self.verify is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                            return True

                                        if self.map_cache_ttl is not None:
                                            return True

                                        if self.map_server is not None:
                                            for child_ref in self.map_server:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr']['meta_info']


                                class MapCacheLimit(object):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\:  str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max_map_cache_entries = None
                                        self.reserve_list = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max_map_cache_entries is not None:
                                            return True

                                        if self.reserve_list is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit']['meta_info']


                                class SiteRegistration(object):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.limit = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.limit is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration']['meta_info']


                                class SolicitMapRequest(object):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\:  int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None
                                        self.max_per_entry = None
                                        self.suppression_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        if self.max_per_entry is not None:
                                            return True

                                        if self.suppression_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest']['meta_info']


                                class MapCache(object):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'


                                    class EidCont(object):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\:  str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self


                                        class EtrInterfaceIp(object):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr_interface_ip_address = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr_interface_ip_address is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ethernet'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.broadcast_underlay is not None and self.broadcast_underlay._has_data():
                                        return True

                                    if self.database_mapping is not None and self.database_mapping._has_data():
                                        return True

                                    if self.default is not None and self.default._has_data():
                                        return True

                                    if self.eid_table is not None and self.eid_table._has_data():
                                        return True

                                    if self.etr is not None and self.etr._has_data():
                                        return True

                                    if self.etr_enable is not None and self.etr_enable._has_data():
                                        return True

                                    if self.itr is not None and self.itr._has_data():
                                        return True

                                    if self.itr_enable is not None and self.itr_enable._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                        return True

                                    if self.map_request_source is not None:
                                        return True

                                    if self.site_registration is not None and self.site_registration._has_data():
                                        return True

                                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:service'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.ethernet is not None and self.ethernet._has_data():
                                    return True

                                if self.ipv4 is not None and self.ipv4._has_data():
                                    return True

                                if self.ipv6 is not None and self.ipv6._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default.Service']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.decapsulation is not None and self.decapsulation._has_data():
                                return True

                            if self.disable_ttl_propagate is not None:
                                return True

                            if self.dynamic_eid is not None:
                                for child_ref in self.dynamic_eid:
                                    if child_ref._has_data():
                                        return True

                            if self.loc_reach_algorithm is not None and self.loc_reach_algorithm._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.other_xtr_probe is not None and self.other_xtr_probe._has_data():
                                return True

                            if self.remote_rloc_probe is not None and self.remote_rloc_probe._has_data():
                                return True

                            if self.service is not None and self.service._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Default']['meta_info']


                    class Decapsulation(object):
                        """
                        Decapsulation behavior (e.g. filters)
                        
                        .. attribute:: filter
                        
                        	Filters traffic
                        	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.filter = Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter()
                            self.filter.parent = self


                        class Filter(object):
                            """
                            Filters traffic
                            
                            .. attribute:: rloc
                            
                            	Filter based on Routing Locator (RLOC) in packet header
                            	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rloc = Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc()
                                self.rloc.parent = self


                            class Rloc(object):
                                """
                                Filter based on Routing Locator (RLOC) in packet header
                                
                                .. attribute:: source
                                
                                	Filters traffic based on RLOC source address
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    Filters traffic based on RLOC source address
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator\-set Name
                                    	**type**\:  str
                                    
                                    .. attribute:: member
                                    
                                    	Members learned from map\-server
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.member = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.member is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rloc is not None and self.rloc._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:decapsulation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.filter is not None and self.filter._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation']['meta_info']


                    class DynamicEid(object):
                        """
                        Configure a dynamic EID
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: database_mapping
                        
                        	Configures EID\-prefix and locator\-set for dynamic\-EID
                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping>`
                        
                        .. attribute:: eid_notify
                        
                        	Configure options for sending/receiving EID\-notify
                        	**type**\:   :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify>`
                        
                        .. attribute:: map_notify_group
                        
                        	Multicast group which to send map\-notifies to
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping()
                            self.database_mapping.parent = self
                            self.eid_notify = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify()
                            self.eid_notify.parent = self
                            self.map_notify_group = None
                            self.map_server = YList()
                            self.map_server.parent = self
                            self.map_server.name = 'map_server'


                        class DatabaseMapping(object):
                            """
                            Configures EID\-prefix and locator\-set for dynamic\-EID
                            
                            .. attribute:: ipv4_prefix
                            
                            	IPv4 EID\-prefix for dynamic\-EID
                            	**type**\: list of    :py:class:`Ipv4Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix>`
                            
                            .. attribute:: mac
                            
                            	L2 EID records
                            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_prefix = YList()
                                self.ipv4_prefix.parent = self
                                self.ipv4_prefix.name = 'ipv4_prefix'
                                self.mac = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac()
                                self.mac.parent = self


                            class Ipv4Prefix(object):
                                """
                                IPv4 EID\-prefix for dynamic\-EID
                                
                                .. attribute:: eid_prefix  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                .. attribute:: locator_set
                                
                                	Use locators defined by locator\-set
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eid_prefix = None
                                    self.locator_set = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.eid_prefix is None:
                                        raise YPYModelError('Key property eid_prefix is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-prefix[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eid_prefix is not None:
                                        return True

                                    if self.locator_set is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix']['meta_info']


                            class Mac(object):
                                """
                                L2 EID records
                                
                                .. attribute:: locator_set
                                
                                	Use locators defined by locator\-set
                                	**type**\:  str
                                
                                .. attribute:: mac_addr
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.mac_addr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:mac'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.mac_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Mac']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4_prefix is not None:
                                    for child_ref in self.ipv4_prefix:
                                        if child_ref._has_data():
                                            return True

                                if self.mac is not None and self.mac._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping']['meta_info']


                        class EidNotify(object):
                            """
                            Configure options for sending/receiving EID\-notify
                            
                            .. attribute:: authentication_key
                            
                            	Authentication key used for validating received EID\-notify
                            	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey>`
                            
                            .. attribute:: gateway_key
                            
                            	
                            	**type**\: list of    :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication_key = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey()
                                self.authentication_key.parent = self
                                self.gateway_key = YList()
                                self.gateway_key.parent = self
                                self.gateway_key.name = 'gateway_key'


                            class AuthenticationKey(object):
                                """
                                Authentication key used for validating received EID\-notify
                                
                                .. attribute:: key_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                .. attribute:: key_6
                                
                                	The ENCRYPTED password
                                	**type**\:  str
                                
                                .. attribute:: key_7
                                
                                	The ENCRYPTED password
                                	**type**\:  str
                                
                                .. attribute:: unc_pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_0 = None
                                    self.key_6 = None
                                    self.key_7 = None
                                    self.unc_pwd = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:authentication-key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_0 is not None:
                                        return True

                                    if self.key_6 is not None:
                                        return True

                                    if self.key_7 is not None:
                                        return True

                                    if self.unc_pwd is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey']['meta_info']


                            class GatewayKey(object):
                                """
                                
                                
                                .. attribute:: gateway_ip  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.gateway_ip = None
                                    self.key = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key()
                                    self.key.parent = self


                                class Key(object):
                                    """
                                    
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6>`
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0()
                                        self.key_0.parent = self
                                        self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6()
                                        self.key_6.parent = self
                                        self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd()
                                        self.key_pwd.parent = self


                                    class KeyPwd(object):
                                        """
                                        
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum>`
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.hash_function = None
                                            self.unc_pwd = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.hash_function is not None:
                                                return True

                                            if self.unc_pwd is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd']['meta_info']


                                    class Key0(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_0 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_0 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0']['meta_info']


                                    class Key6(object):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\:  str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ak_6 = None
                                            self.hash_function = None

                                        class HashFunctionEnum(Enum):
                                            """
                                            HashFunctionEnum

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = 0

                                            sha2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunctionEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ak_6 is not None:
                                                return True

                                            if self.hash_function is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None and self.key_0._has_data():
                                            return True

                                        if self.key_6 is not None and self.key_6._has_data():
                                            return True

                                        if self.key_pwd is not None and self.key_pwd._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.gateway_ip is None:
                                        raise YPYModelError('Key property gateway_ip is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:gateway-key[Cisco-IOS-XE-lisp:gateway-ip = ' + str(self.gateway_ip) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.gateway_ip is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-notify'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication_key is not None and self.authentication_key._has_data():
                                    return True

                                if self.gateway_key is not None:
                                    for child_ref in self.gateway_key:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify']['meta_info']


                        class MapServer(object):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_addr = None
                                self.key = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key()
                                self.key.parent = self
                                self.proxy_reply = None


                            class Key(object):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_0
                                
                                	
                                	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0>`
                                
                                .. attribute:: key_6
                                
                                	
                                	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6>`
                                
                                .. attribute:: key_7
                                
                                	
                                	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7>`
                                
                                .. attribute:: key_pwd
                                
                                	
                                	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0()
                                    self.key_0.parent = self
                                    self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6()
                                    self.key_6.parent = self
                                    self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7()
                                    self.key_7.parent = self
                                    self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd()
                                    self.key_pwd.parent = self


                                class KeyPwd(object):
                                    """
                                    
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hash_function = None
                                        self.unc_pwd = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hash_function is not None:
                                            return True

                                        if self.unc_pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd']['meta_info']


                                class Key0(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_0 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_0 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0']['meta_info']


                                class Key6(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_6 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_6 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6']['meta_info']


                                class Key7(object):
                                    """
                                    
                                    
                                    .. attribute:: ak_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7.HashFunctionEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ak_7 = None
                                        self.hash_function = None

                                    class HashFunctionEnum(Enum):
                                        """
                                        HashFunctionEnum

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = 0

                                        sha2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7.HashFunctionEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ak_7 is not None:
                                            return True

                                        if self.hash_function is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.key_0 is not None and self.key_0._has_data():
                                        return True

                                    if self.key_6 is not None and self.key_6._has_data():
                                        return True

                                    if self.key_7 is not None and self.key_7._has_data():
                                        return True

                                    if self.key_pwd is not None and self.key_pwd._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_addr is None:
                                    raise YPYModelError('Key property ip_addr is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_addr is not None:
                                    return True

                                if self.key is not None and self.key._has_data():
                                    return True

                                if self.proxy_reply is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:dynamic-eid[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.database_mapping is not None and self.database_mapping._has_data():
                                return True

                            if self.eid_notify is not None and self.eid_notify._has_data():
                                return True

                            if self.map_notify_group is not None:
                                return True

                            if self.map_server is not None:
                                for child_ref in self.map_server:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid']['meta_info']


                    class LocReachAlgorithm(object):
                        """
                        Configure locator reachability algorithm
                        
                        .. attribute:: lsb_reports
                        
                        	Configure data packet LSB report handling
                        	**type**\:   :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports>`
                        
                        .. attribute:: rloc_probing
                        
                        	Probe high priority RLOCs with Map\-Requests as last resort
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lsb_reports = Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports()
                            self.lsb_reports.parent = self
                            self.rloc_probing = None


                        class LsbReports(object):
                            """
                            Configure data packet LSB report handling
                            
                            .. attribute:: do_not_transmit
                            
                            	Force the setting of the encapsulation header L bit to zero
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore data packet LSB reports
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.do_not_transmit = None
                                self.ignore = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lsb-reports'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.do_not_transmit is not None:
                                    return True

                                if self.ignore is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:loc-reach-algorithm'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lsb_reports is not None and self.lsb_reports._has_data():
                                return True

                            if self.rloc_probing is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm']['meta_info']


                    class MapServer(object):
                        """
                        Map\-Server commands
                        
                        .. attribute:: rloc
                        
                        	EID instance RLOC membership
                        	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc>`
                        
                        .. attribute:: site_registration
                        
                        	Map\-server site registration options
                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.MapServer.SiteRegistration>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.rloc = Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc()
                            self.rloc.parent = self
                            self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.MapServer.SiteRegistration()
                            self.site_registration.parent = self


                        class Rloc(object):
                            """
                            EID instance RLOC membership
                            
                            .. attribute:: members
                            
                            	EID instance RLOC membership
                            	**type**\:   :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.members = Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members()
                                self.members.parent = self


                            class Members(object):
                                """
                                EID instance RLOC membership
                                
                                .. attribute:: distribute
                                
                                	EID instance RLOC membership distribution
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: modify_discovered
                                
                                	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                	**type**\:   :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.distribute = None
                                    self.modify_discovered = Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered()
                                    self.modify_discovered.parent = self


                                class ModifyDiscovered(object):
                                    """
                                    Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set from which to get member RLOC addresses
                                    	**type**\:  str
                                    
                                    .. attribute:: operator
                                    
                                    	
                                    	**type**\:   :py:class:`OperatorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.operator = None

                                    class OperatorEnum(Enum):
                                        """
                                        OperatorEnum

                                        .. data:: add = 0

                                        .. data:: override = 1

                                        """

                                        add = 0

                                        override = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:modify-discovered'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.operator is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:members'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.distribute is not None:
                                        return True

                                    if self.modify_discovered is not None and self.modify_discovered._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.members is not None and self.members._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc']['meta_info']


                        class SiteRegistration(object):
                            """
                            Map\-server site registration options
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations as a result of accept\-more\-specifics
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.MapServer.SiteRegistration']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.rloc is not None and self.rloc._has_data():
                                return True

                            if self.site_registration is not None and self.site_registration._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.MapServer']['meta_info']


                    class OtherXtrProbe(object):
                        """
                        Configure parameters for probing of other xTRs in our site
                        
                        .. attribute:: period
                        
                        	Period between probes in seconds
                        	**type**\:  int
                        
                        	**range:** 5..900
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.period = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:other-xtr-probe'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.period is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.OtherXtrProbe']['meta_info']


                    class RemoteRlocProbe(object):
                        """
                        Configure parameters for probing of remote RLOCs
                        
                        .. attribute:: on_membership_change
                        
                        	Trigger probing upon membership changes for remote RLOC
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: on_route_change
                        
                        	Trigger probing upon routing changes for remote RLOC
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.on_membership_change = None
                            self.on_route_change = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:remote-rloc-probe'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.on_membership_change is not None:
                                return True

                            if self.on_route_change is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.RemoteRlocProbe']['meta_info']


                    class Service(object):
                        """
                        Configure lisp service type
                        
                        .. attribute:: ethernet
                        
                        	
                        	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ipv6
                        
                        	
                        	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ethernet = None
                            self.ipv4 = None
                            self.ipv6 = None


                        class Ipv4(object):
                            """
                            
                            
                            .. attribute:: alt
                            
                            	LISP Alternative Topology, LISP\-ALT
                            	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt>`
                            
                            .. attribute:: alt_vrf
                            
                            	Activate LISP\-ALT functionality in VRF
                            	**type**\:  str
                            
                            	**status**\: deprecated
                            
                            .. attribute:: database_mapping
                            
                            	Configures Locator addresses for an ETR
                            	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping>`
                            
                            .. attribute:: default
                            
                            	
                            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default>`
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Distance>`
                            
                            .. attribute:: eid_table
                            
                            	Bind an eid\-table
                            	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EidTable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr>`
                            
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteExport>`
                            
                            .. attribute:: route_import
                            
                            	Import RIB routes by a routing protocol into LISP
                            	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.alt = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt()
                                self.alt.parent = self
                                self.alt_vrf = None
                                self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping()
                                self.database_mapping.parent = self
                                self.default = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default()
                                self.default.parent = self
                                self.distance = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Distance()
                                self.distance.parent = self
                                self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EidTable()
                                self.eid_table.parent = self
                                self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr()
                                self.etr.parent = self
                                self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable()
                                self.etr_enable.parent = self
                                self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr()
                                self.itr.parent = self
                                self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable()
                                self.itr_enable.parent = self
                                self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache()
                                self.map_cache.parent = self
                                self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self.map_cache_persistent = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self.map_request_source = None
                                self.proxy_etr = None
                                self.proxy_itr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr()
                                self.proxy_itr.parent = self
                                self.route_export = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteExport()
                                self.route_export.parent = self
                                self.route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport()
                                self.route_import.parent = self
                                self.sgt = None
                                self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration()
                                self.site_registration.parent = self
                                self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self.use_petr = YList()
                                self.use_petr.parent = self
                                self.use_petr.name = 'use_petr'


                            class Default(object):
                                """
                                
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\:  str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping>`
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.alt = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt()
                                    self.alt.parent = self
                                    self.alt_vrf = None
                                    self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self.distance = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance()
                                    self.distance.parent = self
                                    self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable()
                                    self.eid_table.parent = self
                                    self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr()
                                    self.etr.parent = self
                                    self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable()
                                    self.etr_enable.parent = self
                                    self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr()
                                    self.itr.parent = self
                                    self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable()
                                    self.itr_enable.parent = self
                                    self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache()
                                    self.map_cache.parent = self
                                    self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self.map_cache_persistent = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self.map_request_source = None
                                    self.proxy_etr = None
                                    self.proxy_itr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self.route_export = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport()
                                    self.route_export.parent = self
                                    self.route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport()
                                    self.route_import.parent = self
                                    self.sgt = None
                                    self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration()
                                    self.site_registration.parent = self
                                    self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self.use_petr = YList()
                                    self.use_petr.parent = self
                                    self.use_petr.name = 'use_petr'


                                class EidTable(object):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.default = None
                                        self.vrf = None
                                        self.vrf_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.default is not None:
                                            return True

                                        if self.vrf is not None:
                                            return True

                                        if self.vrf_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable']['meta_info']


                                class Itr(object):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map_resolver = YList()
                                        self.map_resolver.parent = self
                                        self.map_resolver.name = 'map_resolver'


                                    class MapResolver(object):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map_resolver is not None:
                                            for child_ref in self.map_resolver:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr']['meta_info']


                                class ItrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.itr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.itr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable']['meta_info']


                                class EtrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.etr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.etr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable']['meta_info']


                                class Etr(object):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self.map_cache_ttl = None
                                        self.map_server = YList()
                                        self.map_server.parent = self
                                        self.map_server.name = 'map_server'


                                    class MapServer(object):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None
                                            self.key = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self.proxy_reply = None


                                        class Key(object):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7>`
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self


                                            class KeyPwd(object):
                                                """
                                                
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.hash_function = None
                                                    self.unc_pwd = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.hash_function is not None:
                                                        return True

                                                    if self.unc_pwd is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd']['meta_info']


                                            class Key0(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_0 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_0 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0']['meta_info']


                                            class Key6(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_6 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_6 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6']['meta_info']


                                            class Key7(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_7 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_7 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.key_0 is not None and self.key_0._has_data():
                                                    return True

                                                if self.key_6 is not None and self.key_6._has_data():
                                                    return True

                                                if self.key_7 is not None and self.key_7._has_data():
                                                    return True

                                                if self.key_pwd is not None and self.key_pwd._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            if self.key is not None and self.key._has_data():
                                                return True

                                            if self.proxy_reply is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer']['meta_info']


                                    class AcceptMapRequestMapping(object):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_mappping = None
                                            self.verify = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_mappping is not None:
                                                return True

                                            if self.verify is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                            return True

                                        if self.map_cache_ttl is not None:
                                            return True

                                        if self.map_server is not None:
                                            for child_ref in self.map_server:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr']['meta_info']


                                class MapCacheLimit(object):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\:  str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max_map_cache_entries = None
                                        self.reserve_list = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max_map_cache_entries is not None:
                                            return True

                                        if self.reserve_list is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit']['meta_info']


                                class SiteRegistration(object):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.limit = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.limit is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration']['meta_info']


                                class SolicitMapRequest(object):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\:  int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None
                                        self.max_per_entry = None
                                        self.suppression_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        if self.max_per_entry is not None:
                                            return True

                                        if self.suppression_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest']['meta_info']


                                class Alt(object):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.summary_route = YList()
                                        self.summary_route.parent = self
                                        self.summary_route.name = 'summary_route'


                                    class SummaryRoute(object):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.route_tag = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.route_tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.summary_route is not None:
                                            for child_ref in self.summary_route:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt']['meta_info']


                                class Distance(object):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.alt = None
                                        self.away = None
                                        self.dyn_eid = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.alt is not None:
                                            return True

                                        if self.away is not None:
                                            return True

                                        if self.dyn_eid is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance']['meta_info']


                                class MapCache(object):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids>`
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self.eid_interface = YList()
                                        self.eid_interface.parent = self
                                        self.eid_interface.name = 'eid_interface'
                                        self.site_registration = None


                                    class EidInterface(object):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.drop = None
                                            self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self.map_request = None
                                            self.native_forward = None


                                        class EtrInterfaceIp(object):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr_interface_ip_address = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr_interface_ip_address is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.drop is not None:
                                                return True

                                            if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                return True

                                            if self.map_request is not None:
                                                return True

                                            if self.native_forward is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface']['meta_info']


                                    class AwayEids(object):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.send_map_request = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.send_map_request is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None and self.away_eids._has_data():
                                            return True

                                        if self.eid_interface is not None:
                                            for child_ref in self.eid_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.site_registration is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache']['meta_info']


                                class MapCachePersistent(object):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\:  int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent']['meta_info']


                                class ProxyItr(object):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_addr = None
                                        self.ipv6_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_addr is not None:
                                            return True

                                        if self.ipv6_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr']['meta_info']


                                class RouteExport(object):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport']['meta_info']


                                class UsePetr(object):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_address = None
                                        self.priority = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority()
                                        self.priority.parent = self


                                    class Priority(object):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.priority_value = None
                                            self.weight = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.priority_value is not None:
                                                return True

                                            if self.weight is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.locator_address is None:
                                            raise YPYModelError('Key property locator_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_address is not None:
                                            return True

                                        if self.priority is not None and self.priority._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr']['meta_info']


                                class RouteImport(object):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.database = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database()
                                        self.database.parent = self
                                        self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache()
                                        self.map_cache.parent = self


                                    class Database(object):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip()
                                            self.rip.parent = self
                                            self.static = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static()
                                            self.static.parent = self


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self.process_id = None


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                if self.process_id is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None and self.rip._has_data():
                                                return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database']['meta_info']


                                    class MapCache(object):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = None
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = None
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = None
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip()
                                            self.rip.parent = self
                                            self.static = None


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None and self.rip._has_data():
                                                return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.database is not None and self.database._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport']['meta_info']


                                class DatabaseMapping(object):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'
                                        self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit()
                                        self.limit.parent = self


                                    class EidCont(object):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.auto_discover_rlocs = None
                                            self.ipv4_addrees = YList()
                                            self.ipv4_addrees.parent = self
                                            self.ipv4_addrees.name = 'ipv4_addrees'
                                            self.ipv4_interface = YList()
                                            self.ipv4_interface.parent = self
                                            self.ipv4_interface.name = 'ipv4_interface'
                                            self.ipv6_addrees = YList()
                                            self.ipv6_addrees.parent = self
                                            self.ipv6_addrees.name = 'ipv6_addrees'
                                            self.ipv6_interface = YList()
                                            self.ipv6_interface.parent = self
                                            self.ipv6_interface.name = 'ipv6_interface'
                                            self.locator_set = None


                                        class Ipv4Addrees(object):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                        class Ipv6Addrees(object):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                        class Ipv4Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                        class Ipv6Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.auto_discover_rlocs is not None:
                                                return True

                                            if self.ipv4_addrees is not None:
                                                for child_ref in self.ipv4_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv4_interface is not None:
                                                for child_ref in self.ipv4_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_addrees is not None:
                                                for child_ref in self.ipv6_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_interface is not None:
                                                for child_ref in self.ipv6_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.locator_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont']['meta_info']


                                    class Limit(object):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\:  int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        if self.limit is not None and self.limit._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.alt is not None and self.alt._has_data():
                                        return True

                                    if self.alt_vrf is not None:
                                        return True

                                    if self.database_mapping is not None and self.database_mapping._has_data():
                                        return True

                                    if self.distance is not None and self.distance._has_data():
                                        return True

                                    if self.eid_table is not None and self.eid_table._has_data():
                                        return True

                                    if self.etr is not None and self.etr._has_data():
                                        return True

                                    if self.etr_enable is not None and self.etr_enable._has_data():
                                        return True

                                    if self.itr is not None and self.itr._has_data():
                                        return True

                                    if self.itr_enable is not None and self.itr_enable._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                        return True

                                    if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                        return True

                                    if self.map_request_source is not None:
                                        return True

                                    if self.proxy_etr is not None:
                                        return True

                                    if self.proxy_itr is not None and self.proxy_itr._has_data():
                                        return True

                                    if self.route_export is not None and self.route_export._has_data():
                                        return True

                                    if self.route_import is not None and self.route_import._has_data():
                                        return True

                                    if self.sgt is not None:
                                        return True

                                    if self.site_registration is not None and self.site_registration._has_data():
                                        return True

                                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                        return True

                                    if self.use_petr is not None:
                                        for child_ref in self.use_petr:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default']['meta_info']


                            class EidTable(object):
                                """
                                Bind an eid\-table
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: vrf
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vrf_name
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default = None
                                    self.vrf = None
                                    self.vrf_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    if self.vrf_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EidTable']['meta_info']


                            class Itr(object):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map_resolver = YList()
                                    self.map_resolver.parent = self
                                    self.map_resolver.name = 'map_resolver'


                                class MapResolver(object):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map_resolver is not None:
                                        for child_ref in self.map_resolver:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr']['meta_info']


                            class ItrEnable(object):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.itr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.itr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable']['meta_info']


                            class EtrEnable(object):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.etr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.etr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable']['meta_info']


                            class Etr(object):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self.map_cache_ttl = None
                                    self.map_server = YList()
                                    self.map_server.parent = self
                                    self.map_server.name = 'map_server'


                                class MapServer(object):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None
                                        self.key = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self.proxy_reply = None


                                    class Key(object):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self


                                        class KeyPwd(object):
                                            """
                                            
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.hash_function = None
                                                self.unc_pwd = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.hash_function is not None:
                                                    return True

                                                if self.unc_pwd is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd']['meta_info']


                                        class Key0(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_0 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_0 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0']['meta_info']


                                        class Key6(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_6 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_6 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6']['meta_info']


                                        class Key7(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_7 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_7 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None and self.key_0._has_data():
                                                return True

                                            if self.key_6 is not None and self.key_6._has_data():
                                                return True

                                            if self.key_7 is not None and self.key_7._has_data():
                                                return True

                                            if self.key_pwd is not None and self.key_pwd._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        if self.proxy_reply is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer']['meta_info']


                                class AcceptMapRequestMapping(object):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_mappping = None
                                        self.verify = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_mappping is not None:
                                            return True

                                        if self.verify is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                        return True

                                    if self.map_cache_ttl is not None:
                                        return True

                                    if self.map_server is not None:
                                        for child_ref in self.map_server:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr']['meta_info']


                            class MapCacheLimit(object):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\:  str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_map_cache_entries = None
                                    self.reserve_list = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_map_cache_entries is not None:
                                        return True

                                    if self.reserve_list is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit']['meta_info']


                            class SiteRegistration(object):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration']['meta_info']


                            class SolicitMapRequest(object):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\:  int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ignore = None
                                    self.max_per_entry = None
                                    self.suppression_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ignore is not None:
                                        return True

                                    if self.max_per_entry is not None:
                                        return True

                                    if self.suppression_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest']['meta_info']


                            class Alt(object):
                                """
                                LISP Alternative Topology, LISP\-ALT
                                
                                .. attribute:: summary_route
                                
                                	Summary route to install into the ALT table
                                	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.summary_route = YList()
                                    self.summary_route.parent = self
                                    self.summary_route.name = 'summary_route'


                                class SummaryRoute(object):
                                    """
                                    Summary route to install into the ALT table
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    
                                    ----
                                    .. attribute:: route_tag
                                    
                                    	ALT RIB route tag for EID prefix
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.route_tag = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.route_tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.summary_route is not None:
                                        for child_ref in self.summary_route:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt']['meta_info']


                            class Distance(object):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: away
                                
                                	Administrative distance for RIB route installation
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.alt = None
                                    self.away = None
                                    self.dyn_eid = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.alt is not None:
                                        return True

                                    if self.away is not None:
                                        return True

                                    if self.dyn_eid is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Distance']['meta_info']


                            class MapCache(object):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: away_eids
                                
                                	Map cache configuration for the away table
                                	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids>`
                                
                                .. attribute:: eid_interface
                                
                                	Configures static EID\-to\-RLOC mappings for an ITR
                                	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface>`
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.away_eids = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids()
                                    self.away_eids.parent = self
                                    self.eid_interface = YList()
                                    self.eid_interface.parent = self
                                    self.eid_interface.name = 'eid_interface'
                                    self.site_registration = None


                                class EidInterface(object):
                                    """
                                    Configures static EID\-to\-RLOC mappings for an ITR
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    
                                    ----
                                    .. attribute:: drop
                                    
                                    	Drop packets that match this map\-cache entry
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: etr_interface_ip
                                    
                                    	
                                    	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp>`
                                    
                                    .. attribute:: map_request
                                    
                                    	Send Map\-Request for LISP destination EID
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: native_forward
                                    
                                    	Natively forward packets that match this map\-cache entry
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.drop = None
                                        self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp()
                                        self.etr_interface_ip.parent = self
                                        self.map_request = None
                                        self.native_forward = None


                                    class EtrInterfaceIp(object):
                                        """
                                        
                                        
                                        .. attribute:: etr_interface_ip_address
                                        
                                        	IP address of loopback or other ETR interface
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: priority
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr_interface_ip_address = None
                                            self.priority = None
                                            self.weight = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr_interface_ip_address is not None:
                                                return True

                                            if self.priority is not None:
                                                return True

                                            if self.weight is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.drop is not None:
                                            return True

                                        if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                            return True

                                        if self.map_request is not None:
                                            return True

                                        if self.native_forward is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface']['meta_info']


                                class AwayEids(object):
                                    """
                                    Map cache configuration for the away table
                                    
                                    .. attribute:: send_map_request
                                    
                                    	Export away table entries into the map cache with action set to send\-map\-request
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.send_map_request = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.send_map_request is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.away_eids is not None and self.away_eids._has_data():
                                        return True

                                    if self.eid_interface is not None:
                                        for child_ref in self.eid_interface:
                                            if child_ref._has_data():
                                                return True

                                    if self.site_registration is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache']['meta_info']


                            class MapCachePersistent(object):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\:  int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interval = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interval is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent']['meta_info']


                            class ProxyItr(object):
                                """
                                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                
                                .. attribute:: ipv4_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_addr = None
                                    self.ipv6_addr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_addr is not None:
                                        return True

                                    if self.ipv6_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr']['meta_info']


                            class RouteExport(object):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.away_eids = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.away_eids is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteExport']['meta_info']


                            class UsePetr(object):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: priority
                                
                                	
                                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_address = None
                                    self.priority = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority()
                                    self.priority.parent = self


                                class Priority(object):
                                    """
                                    
                                    
                                    .. attribute:: priority_value
                                    
                                    	Configures which Locators from a set are preferred
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: weight
                                    
                                    	Traffic load\-spreading among Locators
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.priority_value = None
                                        self.weight = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.priority_value is not None:
                                            return True

                                        if self.weight is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.locator_address is None:
                                        raise YPYModelError('Key property locator_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_address is not None:
                                        return True

                                    if self.priority is not None and self.priority._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr']['meta_info']


                            class RouteImport(object):
                                """
                                Import RIB routes by a routing protocol into LISP
                                
                                .. attribute:: database
                                
                                	Use RIB routes to define local EID database entries
                                	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.database = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database()
                                    self.database.parent = self
                                    self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache()
                                    self.map_cache.parent = self


                                class Database(object):
                                    """
                                    Use RIB routes to define local EID database entries
                                    
                                    .. attribute:: application
                                    
                                    	Application Protocol
                                    	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected>`
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix>`
                                    
                                    .. attribute:: nd
                                    
                                    	Neighbor Discovery
                                    	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.application = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application()
                                        self.application.parent = self
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected()
                                        self.connected.parent = self
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis()
                                        self.isis.parent = self
                                        self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self.nd = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd()
                                        self.nd.parent = self
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.rip = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip()
                                        self.rip.parent = self
                                        self.static = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static()
                                        self.static.parent = self


                                    class Application(object):
                                        """
                                        Application Protocol
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application']['meta_info']


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                        
                                        .. attribute:: process_id
                                        
                                        	Process name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self.process_id = None


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            if self.process_id is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis']['meta_info']


                                    class MaximumPrefix(object):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.number = None
                                            self.threshold = None
                                            self.threshold1 = None
                                            self.warning_only = None
                                            self.warning_only1 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.number is not None:
                                                return True

                                            if self.threshold is not None:
                                                return True

                                            if self.threshold1 is not None:
                                                return True

                                            if self.warning_only is not None:
                                                return True

                                            if self.warning_only1 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info']


                                    class Nd(object):
                                        """
                                        Neighbor Discovery
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.application is not None and self.application._has_data():
                                            return True

                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None and self.isis._has_data():
                                            return True

                                        if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                            return True

                                        if self.nd is not None and self.nd._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None and self.rip._has_data():
                                            return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database']['meta_info']


                                class MapCache(object):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: application
                                    
                                    	Application Protocol
                                    	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                    
                                    .. attribute:: nd
                                    
                                    	Neighbour Discovery
                                    	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.application = None
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = None
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis()
                                        self.isis.parent = self
                                        self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self.nd = None
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.rip = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip()
                                        self.rip.parent = self
                                        self.static = None


                                    class Application(object):
                                        """
                                        Application Protocol
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application']['meta_info']


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id
                                        
                                        	Process name
                                        	**type**\:  str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis']['meta_info']


                                    class MaximumPrefix(object):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.number = None
                                            self.threshold = None
                                            self.threshold1 = None
                                            self.warning_only = None
                                            self.warning_only1 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.number is not None:
                                                return True

                                            if self.threshold is not None:
                                                return True

                                            if self.threshold1 is not None:
                                                return True

                                            if self.warning_only is not None:
                                                return True

                                            if self.warning_only1 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                    class Nd(object):
                                        """
                                        Neighbour Discovery
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.application is not None and self.application._has_data():
                                            return True

                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None and self.isis._has_data():
                                            return True

                                        if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                            return True

                                        if self.nd is not None and self.nd._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None and self.rip._has_data():
                                            return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.database is not None and self.database._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport']['meta_info']


                            class DatabaseMapping(object):
                                """
                                Configures Locator addresses for an ETR
                                
                                .. attribute:: eid_cont
                                
                                	
                                	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont>`
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eid_cont = YList()
                                    self.eid_cont.parent = self
                                    self.eid_cont.name = 'eid_cont'
                                    self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit()
                                    self.limit.parent = self


                                class EidCont(object):
                                    """
                                    
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    .. attribute:: auto_discover_rlocs
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ipv4_addrees
                                    
                                    	IPv4 Address of loopback or other ETR interface
                                    	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees>`
                                    
                                    .. attribute:: ipv4_interface
                                    
                                    	
                                    	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface>`
                                    
                                    .. attribute:: ipv6_addrees
                                    
                                    	IPv6 Address of loopback or other ETR interface
                                    	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees>`
                                    
                                    .. attribute:: ipv6_interface
                                    
                                    	
                                    	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface>`
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.auto_discover_rlocs = None
                                        self.ipv4_addrees = YList()
                                        self.ipv4_addrees.parent = self
                                        self.ipv4_addrees.name = 'ipv4_addrees'
                                        self.ipv4_interface = YList()
                                        self.ipv4_interface.parent = self
                                        self.ipv4_interface.name = 'ipv4_interface'
                                        self.ipv6_addrees = YList()
                                        self.ipv6_addrees.parent = self
                                        self.ipv6_addrees.name = 'ipv6_addrees'
                                        self.ipv6_interface = YList()
                                        self.ipv6_interface.parent = self
                                        self.ipv6_interface.name = 'ipv6_interface'
                                        self.locator_set = None


                                    class Ipv4Addrees(object):
                                        """
                                        IPv4 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None
                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.address is None:
                                                raise YPYModelError('Key property address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.address is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                    class Ipv6Addrees(object):
                                        """
                                        IPv6 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None
                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.address is None:
                                                raise YPYModelError('Key property address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.address is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                    class Ipv4Interface(object):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\:  str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                    class Ipv6Interface(object):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\:  str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.auto_discover_rlocs is not None:
                                            return True

                                        if self.ipv4_addrees is not None:
                                            for child_ref in self.ipv4_addrees:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ipv4_interface is not None:
                                            for child_ref in self.ipv4_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ipv6_addrees is not None:
                                            for child_ref in self.ipv6_addrees:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ipv6_interface is not None:
                                            for child_ref in self.ipv6_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.locator_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont']['meta_info']


                                class Limit(object):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\:  int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eid_cont is not None:
                                        for child_ref in self.eid_cont:
                                            if child_ref._has_data():
                                                return True

                                    if self.limit is not None and self.limit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.alt is not None and self.alt._has_data():
                                    return True

                                if self.alt_vrf is not None:
                                    return True

                                if self.database_mapping is not None and self.database_mapping._has_data():
                                    return True

                                if self.default is not None and self.default._has_data():
                                    return True

                                if self.distance is not None and self.distance._has_data():
                                    return True

                                if self.eid_table is not None and self.eid_table._has_data():
                                    return True

                                if self.etr is not None and self.etr._has_data():
                                    return True

                                if self.etr_enable is not None and self.etr_enable._has_data():
                                    return True

                                if self.itr is not None and self.itr._has_data():
                                    return True

                                if self.itr_enable is not None and self.itr_enable._has_data():
                                    return True

                                if self.map_cache is not None and self.map_cache._has_data():
                                    return True

                                if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                    return True

                                if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                    return True

                                if self.map_request_source is not None:
                                    return True

                                if self.proxy_etr is not None:
                                    return True

                                if self.proxy_itr is not None and self.proxy_itr._has_data():
                                    return True

                                if self.route_export is not None and self.route_export._has_data():
                                    return True

                                if self.route_import is not None and self.route_import._has_data():
                                    return True

                                if self.sgt is not None:
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                    return True

                                if self.use_petr is not None:
                                    for child_ref in self.use_petr:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4']['meta_info']


                        class Ipv6(object):
                            """
                            
                            
                            .. attribute:: alt
                            
                            	LISP Alternative Topology, LISP\-ALT
                            	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt>`
                            
                            .. attribute:: alt_vrf
                            
                            	Activate LISP\-ALT functionality in VRF
                            	**type**\:  str
                            
                            	**status**\: deprecated
                            
                            .. attribute:: database_mapping
                            
                            	Configures Locator addresses for an ETR
                            	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping>`
                            
                            .. attribute:: default
                            
                            	
                            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default>`
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Distance>`
                            
                            .. attribute:: eid_table
                            
                            	Bind an eid\-table
                            	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EidTable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr>`
                            
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteExport>`
                            
                            .. attribute:: route_import
                            
                            	Import RIB routes by a routing protocol into LISP
                            	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.alt = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt()
                                self.alt.parent = self
                                self.alt_vrf = None
                                self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping()
                                self.database_mapping.parent = self
                                self.default = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default()
                                self.default.parent = self
                                self.distance = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Distance()
                                self.distance.parent = self
                                self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EidTable()
                                self.eid_table.parent = self
                                self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr()
                                self.etr.parent = self
                                self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable()
                                self.etr_enable.parent = self
                                self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr()
                                self.itr.parent = self
                                self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable()
                                self.itr_enable.parent = self
                                self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache()
                                self.map_cache.parent = self
                                self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self.map_cache_persistent = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self.map_request_source = None
                                self.proxy_etr = None
                                self.proxy_itr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr()
                                self.proxy_itr.parent = self
                                self.route_export = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteExport()
                                self.route_export.parent = self
                                self.route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport()
                                self.route_import.parent = self
                                self.sgt = None
                                self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration()
                                self.site_registration.parent = self
                                self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self.use_petr = YList()
                                self.use_petr.parent = self
                                self.use_petr.name = 'use_petr'


                            class Default(object):
                                """
                                
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\:  str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping>`
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:   :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.alt = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt()
                                    self.alt.parent = self
                                    self.alt_vrf = None
                                    self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self.distance = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance()
                                    self.distance.parent = self
                                    self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable()
                                    self.eid_table.parent = self
                                    self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr()
                                    self.etr.parent = self
                                    self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable()
                                    self.etr_enable.parent = self
                                    self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr()
                                    self.itr.parent = self
                                    self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable()
                                    self.itr_enable.parent = self
                                    self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache()
                                    self.map_cache.parent = self
                                    self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self.map_cache_persistent = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self.map_request_source = None
                                    self.proxy_etr = None
                                    self.proxy_itr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self.route_export = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport()
                                    self.route_export.parent = self
                                    self.route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport()
                                    self.route_import.parent = self
                                    self.sgt = None
                                    self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration()
                                    self.site_registration.parent = self
                                    self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self.use_petr = YList()
                                    self.use_petr.parent = self
                                    self.use_petr.name = 'use_petr'


                                class EidTable(object):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.default = None
                                        self.vrf = None
                                        self.vrf_name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.default is not None:
                                            return True

                                        if self.vrf is not None:
                                            return True

                                        if self.vrf_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable']['meta_info']


                                class Itr(object):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map_resolver = YList()
                                        self.map_resolver.parent = self
                                        self.map_resolver.name = 'map_resolver'


                                    class MapResolver(object):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map_resolver is not None:
                                            for child_ref in self.map_resolver:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr']['meta_info']


                                class ItrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.itr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.itr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable']['meta_info']


                                class EtrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.etr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.etr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable']['meta_info']


                                class Etr(object):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self.map_cache_ttl = None
                                        self.map_server = YList()
                                        self.map_server.parent = self
                                        self.map_server.name = 'map_server'


                                    class MapServer(object):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None
                                            self.key = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self.proxy_reply = None


                                        class Key(object):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7>`
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self


                                            class KeyPwd(object):
                                                """
                                                
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.hash_function = None
                                                    self.unc_pwd = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.hash_function is not None:
                                                        return True

                                                    if self.unc_pwd is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd']['meta_info']


                                            class Key0(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_0 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_0 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0']['meta_info']


                                            class Key6(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_6 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_6 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6']['meta_info']


                                            class Key7(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_7 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_7 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.key_0 is not None and self.key_0._has_data():
                                                    return True

                                                if self.key_6 is not None and self.key_6._has_data():
                                                    return True

                                                if self.key_7 is not None and self.key_7._has_data():
                                                    return True

                                                if self.key_pwd is not None and self.key_pwd._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            if self.key is not None and self.key._has_data():
                                                return True

                                            if self.proxy_reply is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer']['meta_info']


                                    class AcceptMapRequestMapping(object):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_mappping = None
                                            self.verify = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_mappping is not None:
                                                return True

                                            if self.verify is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                            return True

                                        if self.map_cache_ttl is not None:
                                            return True

                                        if self.map_server is not None:
                                            for child_ref in self.map_server:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr']['meta_info']


                                class MapCacheLimit(object):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\:  str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max_map_cache_entries = None
                                        self.reserve_list = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max_map_cache_entries is not None:
                                            return True

                                        if self.reserve_list is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit']['meta_info']


                                class SiteRegistration(object):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.limit = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.limit is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration']['meta_info']


                                class SolicitMapRequest(object):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\:  int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None
                                        self.max_per_entry = None
                                        self.suppression_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        if self.max_per_entry is not None:
                                            return True

                                        if self.suppression_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest']['meta_info']


                                class Alt(object):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.summary_route = YList()
                                        self.summary_route.parent = self
                                        self.summary_route.name = 'summary_route'


                                    class SummaryRoute(object):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.route_tag = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.route_tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.summary_route is not None:
                                            for child_ref in self.summary_route:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt']['meta_info']


                                class Distance(object):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.alt = None
                                        self.away = None
                                        self.dyn_eid = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.alt is not None:
                                            return True

                                        if self.away is not None:
                                            return True

                                        if self.dyn_eid is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance']['meta_info']


                                class MapCache(object):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids>`
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self.eid_interface = YList()
                                        self.eid_interface.parent = self
                                        self.eid_interface.name = 'eid_interface'
                                        self.site_registration = None


                                    class EidInterface(object):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        
                                        ----
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.drop = None
                                            self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self.map_request = None
                                            self.native_forward = None


                                        class EtrInterfaceIp(object):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr_interface_ip_address = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr_interface_ip_address is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.drop is not None:
                                                return True

                                            if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                return True

                                            if self.map_request is not None:
                                                return True

                                            if self.native_forward is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface']['meta_info']


                                    class AwayEids(object):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.send_map_request = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.send_map_request is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None and self.away_eids._has_data():
                                            return True

                                        if self.eid_interface is not None:
                                            for child_ref in self.eid_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.site_registration is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache']['meta_info']


                                class MapCachePersistent(object):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\:  int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.interval = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.interval is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent']['meta_info']


                                class ProxyItr(object):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_addr = None
                                        self.ipv6_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_addr is not None:
                                            return True

                                        if self.ipv6_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr']['meta_info']


                                class RouteExport(object):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.away_eids = None
                                        self.site_registrations = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.away_eids is not None:
                                            return True

                                        if self.site_registrations is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport']['meta_info']


                                class UsePetr(object):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_address = None
                                        self.priority = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority()
                                        self.priority.parent = self


                                    class Priority(object):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.priority_value = None
                                            self.weight = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.priority_value is not None:
                                                return True

                                            if self.weight is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.locator_address is None:
                                            raise YPYModelError('Key property locator_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_address is not None:
                                            return True

                                        if self.priority is not None and self.priority._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr']['meta_info']


                                class RouteImport(object):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.database = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database()
                                        self.database.parent = self
                                        self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache()
                                        self.map_cache.parent = self


                                    class Database(object):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = YList()
                                            self.rip.parent = self
                                            self.rip.name = 'rip'
                                            self.static = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static()
                                            self.static.parent = self


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self.process_id = None


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                if self.process_id is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\:  str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self


                                            class LispIpRouteImport(object):
                                                """
                                                
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\:  str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.locator_set = None
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.locator_set is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None:
                                                for child_ref in self.rip:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database']['meta_info']


                                    class MapCache(object):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.application = None
                                            self.bgp = YList()
                                            self.bgp.parent = self
                                            self.bgp.name = 'bgp'
                                            self.connected = None
                                            self.eigrp = YList()
                                            self.eigrp.parent = self
                                            self.eigrp.name = 'eigrp'
                                            self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self.nd = None
                                            self.ospf = YList()
                                            self.ospf.parent = self
                                            self.ospf.name = 'ospf'
                                            self.rip = YList()
                                            self.rip.parent = self
                                            self.rip.name = 'rip'
                                            self.static = None


                                        class Application(object):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application']['meta_info']


                                        class Bgp(object):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            
                                            ----
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp']['meta_info']


                                        class Connected(object):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected']['meta_info']


                                        class Eigrp(object):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp']['meta_info']


                                        class Isis(object):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\:  str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis']['meta_info']


                                        class MaximumPrefix(object):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.number = None
                                                self.threshold = None
                                                self.threshold1 = None
                                                self.warning_only = None
                                                self.warning_only1 = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.number is not None:
                                                    return True

                                                if self.threshold is not None:
                                                    return True

                                                if self.threshold1 is not None:
                                                    return True

                                                if self.warning_only is not None:
                                                    return True

                                                if self.warning_only1 is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                        class Nd(object):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd']['meta_info']


                                        class Ospf(object):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf']['meta_info']


                                        class Static(object):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static']['meta_info']


                                        class Rip(object):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\:  str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.map_cache_container = None


                                            class MapCacheContainer(object):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\:  str
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.route_map = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.route_map is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.application is not None and self.application._has_data():
                                                return True

                                            if self.bgp is not None:
                                                for child_ref in self.bgp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.connected is not None and self.connected._has_data():
                                                return True

                                            if self.eigrp is not None:
                                                for child_ref in self.eigrp:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis is not None and self.isis._has_data():
                                                return True

                                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                                return True

                                            if self.nd is not None and self.nd._has_data():
                                                return True

                                            if self.ospf is not None:
                                                for child_ref in self.ospf:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.rip is not None:
                                                for child_ref in self.rip:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.static is not None and self.static._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.database is not None and self.database._has_data():
                                            return True

                                        if self.map_cache is not None and self.map_cache._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport']['meta_info']


                                class DatabaseMapping(object):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'
                                        self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit()
                                        self.limit.parent = self


                                    class EidCont(object):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.auto_discover_rlocs = None
                                            self.ipv4_addrees = YList()
                                            self.ipv4_addrees.parent = self
                                            self.ipv4_addrees.name = 'ipv4_addrees'
                                            self.ipv4_interface = YList()
                                            self.ipv4_interface.parent = self
                                            self.ipv4_interface.name = 'ipv4_interface'
                                            self.ipv6_addrees = YList()
                                            self.ipv6_addrees.parent = self
                                            self.ipv6_addrees.name = 'ipv6_addrees'
                                            self.ipv6_interface = YList()
                                            self.ipv6_interface.parent = self
                                            self.ipv6_interface.name = 'ipv6_interface'
                                            self.locator_set = None


                                        class Ipv4Addrees(object):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                        class Ipv6Addrees(object):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                        class Ipv4Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                        class Ipv6Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.auto_discover_rlocs is not None:
                                                return True

                                            if self.ipv4_addrees is not None:
                                                for child_ref in self.ipv4_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv4_interface is not None:
                                                for child_ref in self.ipv4_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_addrees is not None:
                                                for child_ref in self.ipv6_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_interface is not None:
                                                for child_ref in self.ipv6_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.locator_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont']['meta_info']


                                    class Limit(object):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\:  int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        if self.limit is not None and self.limit._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.alt is not None and self.alt._has_data():
                                        return True

                                    if self.alt_vrf is not None:
                                        return True

                                    if self.database_mapping is not None and self.database_mapping._has_data():
                                        return True

                                    if self.distance is not None and self.distance._has_data():
                                        return True

                                    if self.eid_table is not None and self.eid_table._has_data():
                                        return True

                                    if self.etr is not None and self.etr._has_data():
                                        return True

                                    if self.etr_enable is not None and self.etr_enable._has_data():
                                        return True

                                    if self.itr is not None and self.itr._has_data():
                                        return True

                                    if self.itr_enable is not None and self.itr_enable._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                        return True

                                    if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                        return True

                                    if self.map_request_source is not None:
                                        return True

                                    if self.proxy_etr is not None:
                                        return True

                                    if self.proxy_itr is not None and self.proxy_itr._has_data():
                                        return True

                                    if self.route_export is not None and self.route_export._has_data():
                                        return True

                                    if self.route_import is not None and self.route_import._has_data():
                                        return True

                                    if self.sgt is not None:
                                        return True

                                    if self.site_registration is not None and self.site_registration._has_data():
                                        return True

                                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                        return True

                                    if self.use_petr is not None:
                                        for child_ref in self.use_petr:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default']['meta_info']


                            class EidTable(object):
                                """
                                Bind an eid\-table
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: vrf
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vrf_name
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default = None
                                    self.vrf = None
                                    self.vrf_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    if self.vrf_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EidTable']['meta_info']


                            class Itr(object):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map_resolver = YList()
                                    self.map_resolver.parent = self
                                    self.map_resolver.name = 'map_resolver'


                                class MapResolver(object):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map_resolver is not None:
                                        for child_ref in self.map_resolver:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr']['meta_info']


                            class ItrEnable(object):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.itr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.itr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable']['meta_info']


                            class EtrEnable(object):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.etr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.etr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable']['meta_info']


                            class Etr(object):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self.map_cache_ttl = None
                                    self.map_server = YList()
                                    self.map_server.parent = self
                                    self.map_server.name = 'map_server'


                                class MapServer(object):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None
                                        self.key = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self.proxy_reply = None


                                    class Key(object):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self


                                        class KeyPwd(object):
                                            """
                                            
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.hash_function = None
                                                self.unc_pwd = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.hash_function is not None:
                                                    return True

                                                if self.unc_pwd is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd']['meta_info']


                                        class Key0(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_0 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_0 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0']['meta_info']


                                        class Key6(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_6 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_6 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6']['meta_info']


                                        class Key7(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_7 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_7 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None and self.key_0._has_data():
                                                return True

                                            if self.key_6 is not None and self.key_6._has_data():
                                                return True

                                            if self.key_7 is not None and self.key_7._has_data():
                                                return True

                                            if self.key_pwd is not None and self.key_pwd._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        if self.proxy_reply is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer']['meta_info']


                                class AcceptMapRequestMapping(object):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_mappping = None
                                        self.verify = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_mappping is not None:
                                            return True

                                        if self.verify is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                        return True

                                    if self.map_cache_ttl is not None:
                                        return True

                                    if self.map_server is not None:
                                        for child_ref in self.map_server:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr']['meta_info']


                            class MapCacheLimit(object):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\:  str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_map_cache_entries = None
                                    self.reserve_list = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_map_cache_entries is not None:
                                        return True

                                    if self.reserve_list is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit']['meta_info']


                            class SiteRegistration(object):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration']['meta_info']


                            class SolicitMapRequest(object):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\:  int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ignore = None
                                    self.max_per_entry = None
                                    self.suppression_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ignore is not None:
                                        return True

                                    if self.max_per_entry is not None:
                                        return True

                                    if self.suppression_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest']['meta_info']


                            class Alt(object):
                                """
                                LISP Alternative Topology, LISP\-ALT
                                
                                .. attribute:: summary_route
                                
                                	Summary route to install into the ALT table
                                	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.summary_route = YList()
                                    self.summary_route.parent = self
                                    self.summary_route.name = 'summary_route'


                                class SummaryRoute(object):
                                    """
                                    Summary route to install into the ALT table
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    
                                    ----
                                    .. attribute:: route_tag
                                    
                                    	ALT RIB route tag for EID prefix
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.route_tag = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.route_tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.summary_route is not None:
                                        for child_ref in self.summary_route:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt']['meta_info']


                            class Distance(object):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: away
                                
                                	Administrative distance for RIB route installation
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.alt = None
                                    self.away = None
                                    self.dyn_eid = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.alt is not None:
                                        return True

                                    if self.away is not None:
                                        return True

                                    if self.dyn_eid is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Distance']['meta_info']


                            class MapCache(object):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: away_eids
                                
                                	Map cache configuration for the away table
                                	**type**\:   :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids>`
                                
                                .. attribute:: eid_interface
                                
                                	Configures static EID\-to\-RLOC mappings for an ITR
                                	**type**\: list of    :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface>`
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.away_eids = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids()
                                    self.away_eids.parent = self
                                    self.eid_interface = YList()
                                    self.eid_interface.parent = self
                                    self.eid_interface.name = 'eid_interface'
                                    self.site_registration = None


                                class EidInterface(object):
                                    """
                                    Configures static EID\-to\-RLOC mappings for an ITR
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    
                                    ----
                                    .. attribute:: drop
                                    
                                    	Drop packets that match this map\-cache entry
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: etr_interface_ip
                                    
                                    	
                                    	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp>`
                                    
                                    .. attribute:: map_request
                                    
                                    	Send Map\-Request for LISP destination EID
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: native_forward
                                    
                                    	Natively forward packets that match this map\-cache entry
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.drop = None
                                        self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp()
                                        self.etr_interface_ip.parent = self
                                        self.map_request = None
                                        self.native_forward = None


                                    class EtrInterfaceIp(object):
                                        """
                                        
                                        
                                        .. attribute:: etr_interface_ip_address
                                        
                                        	IP address of loopback or other ETR interface
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: priority
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr_interface_ip_address = None
                                            self.priority = None
                                            self.weight = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr_interface_ip_address is not None:
                                                return True

                                            if self.priority is not None:
                                                return True

                                            if self.weight is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-interface[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.drop is not None:
                                            return True

                                        if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                            return True

                                        if self.map_request is not None:
                                            return True

                                        if self.native_forward is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface']['meta_info']


                                class AwayEids(object):
                                    """
                                    Map cache configuration for the away table
                                    
                                    .. attribute:: send_map_request
                                    
                                    	Export away table entries into the map cache with action set to send\-map\-request
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.send_map_request = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:away-eids'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.send_map_request is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.away_eids is not None and self.away_eids._has_data():
                                        return True

                                    if self.eid_interface is not None:
                                        for child_ref in self.eid_interface:
                                            if child_ref._has_data():
                                                return True

                                    if self.site_registration is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache']['meta_info']


                            class MapCachePersistent(object):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\:  int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interval = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interval is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent']['meta_info']


                            class ProxyItr(object):
                                """
                                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                
                                .. attribute:: ipv4_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_addr
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_addr = None
                                    self.ipv6_addr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:proxy-itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_addr is not None:
                                        return True

                                    if self.ipv6_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr']['meta_info']


                            class RouteExport(object):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.away_eids = None
                                    self.site_registrations = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.away_eids is not None:
                                        return True

                                    if self.site_registrations is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteExport']['meta_info']


                            class UsePetr(object):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: priority
                                
                                	
                                	**type**\:   :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_address = None
                                    self.priority = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority()
                                    self.priority.parent = self


                                class Priority(object):
                                    """
                                    
                                    
                                    .. attribute:: priority_value
                                    
                                    	Configures which Locators from a set are preferred
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: weight
                                    
                                    	Traffic load\-spreading among Locators
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.priority_value = None
                                        self.weight = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:priority'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.priority_value is not None:
                                            return True

                                        if self.weight is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.locator_address is None:
                                        raise YPYModelError('Key property locator_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_address is not None:
                                        return True

                                    if self.priority is not None and self.priority._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr']['meta_info']


                            class RouteImport(object):
                                """
                                Import RIB routes by a routing protocol into LISP
                                
                                .. attribute:: database
                                
                                	Use RIB routes to define local EID database entries
                                	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.database = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database()
                                    self.database.parent = self
                                    self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache()
                                    self.map_cache.parent = self


                                class Database(object):
                                    """
                                    Use RIB routes to define local EID database entries
                                    
                                    .. attribute:: application
                                    
                                    	Application Protocol
                                    	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected>`
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix>`
                                    
                                    .. attribute:: nd
                                    
                                    	Neighbor Discovery
                                    	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.application = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application()
                                        self.application.parent = self
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected()
                                        self.connected.parent = self
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis()
                                        self.isis.parent = self
                                        self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self.nd = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd()
                                        self.nd.parent = self
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.rip = YList()
                                        self.rip.parent = self
                                        self.rip.name = 'rip'
                                        self.static = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static()
                                        self.static.parent = self


                                    class Application(object):
                                        """
                                        Application Protocol
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application']['meta_info']


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                        
                                        .. attribute:: process_id
                                        
                                        	Process name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self.process_id = None


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            if self.process_id is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis']['meta_info']


                                    class MaximumPrefix(object):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.number = None
                                            self.threshold = None
                                            self.threshold1 = None
                                            self.warning_only = None
                                            self.warning_only1 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.number is not None:
                                                return True

                                            if self.threshold is not None:
                                                return True

                                            if self.threshold1 is not None:
                                                return True

                                            if self.warning_only is not None:
                                                return True

                                            if self.warning_only1 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info']


                                    class Nd(object):
                                        """
                                        Neighbor Discovery
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this process
                                        	**type**\:  str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self


                                        class LispIpRouteImport(object):
                                            """
                                            
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.locator_set = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.locator_set is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.application is not None and self.application._has_data():
                                            return True

                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None and self.isis._has_data():
                                            return True

                                        if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                            return True

                                        if self.nd is not None and self.nd._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None:
                                            for child_ref in self.rip:
                                                if child_ref._has_data():
                                                    return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database']['meta_info']


                                class MapCache(object):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: application
                                    
                                    	Application Protocol
                                    	**type**\:   :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                    
                                    .. attribute:: nd
                                    
                                    	Neighbour Discovery
                                    	**type**\:   :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.application = None
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = None
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis()
                                        self.isis.parent = self
                                        self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self.nd = None
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.rip = YList()
                                        self.rip.parent = self
                                        self.rip.name = 'rip'
                                        self.static = None


                                    class Application(object):
                                        """
                                        Application Protocol
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:application'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application']['meta_info']


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id
                                        
                                        	Process name
                                        	**type**\:  str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis']['meta_info']


                                    class MaximumPrefix(object):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.number = None
                                            self.threshold = None
                                            self.threshold1 = None
                                            self.warning_only = None
                                            self.warning_only1 = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.number is not None:
                                                return True

                                            if self.threshold is not None:
                                                return True

                                            if self.threshold1 is not None:
                                                return True

                                            if self.warning_only is not None:
                                                return True

                                            if self.warning_only1 is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                    class Nd(object):
                                        """
                                        Neighbour Discovery
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:nd'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this process
                                        	**type**\:  str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.map_cache_container = None


                                        class MapCacheContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\:  str
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.map_cache_container is not None and self.map_cache_container._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.application is not None and self.application._has_data():
                                            return True

                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None and self.isis._has_data():
                                            return True

                                        if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                            return True

                                        if self.nd is not None and self.nd._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None:
                                            for child_ref in self.rip:
                                                if child_ref._has_data():
                                                    return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.database is not None and self.database._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport']['meta_info']


                            class DatabaseMapping(object):
                                """
                                Configures Locator addresses for an ETR
                                
                                .. attribute:: eid_cont
                                
                                	
                                	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont>`
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eid_cont = YList()
                                    self.eid_cont.parent = self
                                    self.eid_cont.name = 'eid_cont'
                                    self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit()
                                    self.limit.parent = self


                                class EidCont(object):
                                    """
                                    
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: auto_discover_rlocs
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ipv4_addrees
                                    
                                    	IPv4 Address of loopback or other ETR interface
                                    	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees>`
                                    
                                    .. attribute:: ipv4_interface
                                    
                                    	
                                    	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface>`
                                    
                                    .. attribute:: ipv6_addrees
                                    
                                    	IPv6 Address of loopback or other ETR interface
                                    	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees>`
                                    
                                    .. attribute:: ipv6_interface
                                    
                                    	
                                    	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface>`
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.auto_discover_rlocs = None
                                        self.ipv4_addrees = YList()
                                        self.ipv4_addrees.parent = self
                                        self.ipv4_addrees.name = 'ipv4_addrees'
                                        self.ipv4_interface = YList()
                                        self.ipv4_interface.parent = self
                                        self.ipv4_interface.name = 'ipv4_interface'
                                        self.ipv6_addrees = YList()
                                        self.ipv6_addrees.parent = self
                                        self.ipv6_addrees.name = 'ipv6_addrees'
                                        self.ipv6_interface = YList()
                                        self.ipv6_interface.parent = self
                                        self.ipv6_interface.name = 'ipv6_interface'
                                        self.locator_set = None


                                    class Ipv4Addrees(object):
                                        """
                                        IPv4 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None
                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.address is None:
                                                raise YPYModelError('Key property address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.address is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                    class Ipv6Addrees(object):
                                        """
                                        IPv6 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None
                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.address is None:
                                                raise YPYModelError('Key property address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.address is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                    class Ipv4Interface(object):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\:  str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                    class Ipv6Interface(object):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\:  str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.auto_discover_rlocs is not None:
                                            return True

                                        if self.ipv4_addrees is not None:
                                            for child_ref in self.ipv4_addrees:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ipv4_interface is not None:
                                            for child_ref in self.ipv4_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ipv6_addrees is not None:
                                            for child_ref in self.ipv6_addrees:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ipv6_interface is not None:
                                            for child_ref in self.ipv6_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.locator_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont']['meta_info']


                                class Limit(object):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\:  int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eid_cont is not None:
                                        for child_ref in self.eid_cont:
                                            if child_ref._has_data():
                                                return True

                                    if self.limit is not None and self.limit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.alt is not None and self.alt._has_data():
                                    return True

                                if self.alt_vrf is not None:
                                    return True

                                if self.database_mapping is not None and self.database_mapping._has_data():
                                    return True

                                if self.default is not None and self.default._has_data():
                                    return True

                                if self.distance is not None and self.distance._has_data():
                                    return True

                                if self.eid_table is not None and self.eid_table._has_data():
                                    return True

                                if self.etr is not None and self.etr._has_data():
                                    return True

                                if self.etr_enable is not None and self.etr_enable._has_data():
                                    return True

                                if self.itr is not None and self.itr._has_data():
                                    return True

                                if self.itr_enable is not None and self.itr_enable._has_data():
                                    return True

                                if self.map_cache is not None and self.map_cache._has_data():
                                    return True

                                if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                    return True

                                if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                    return True

                                if self.map_request_source is not None:
                                    return True

                                if self.proxy_etr is not None:
                                    return True

                                if self.proxy_itr is not None and self.proxy_itr._has_data():
                                    return True

                                if self.route_export is not None and self.route_export._has_data():
                                    return True

                                if self.route_import is not None and self.route_import._has_data():
                                    return True

                                if self.sgt is not None:
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                    return True

                                if self.use_petr is not None:
                                    for child_ref in self.use_petr:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6']['meta_info']


                        class Ethernet(object):
                            """
                            
                            
                            .. attribute:: broadcast_underlay
                            
                            	Multicast group to use for underlay
                            	**type**\:   :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay>`
                            
                            .. attribute:: database_mapping
                            
                            	Configures Locator addresses for an ETR
                            	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping>`
                            
                            .. attribute:: default
                            
                            	
                            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default>`
                            
                            .. attribute:: eid_table
                            
                            	Bind an eid\-table
                            	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EidTable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable>`
                            
                            .. attribute:: map_cache
                            
                            	Use RIB routes to define EID address space in map\-cache
                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.broadcast_underlay = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay()
                                self.broadcast_underlay.parent = self
                                self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping()
                                self.database_mapping.parent = self
                                self.default = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default()
                                self.default.parent = self
                                self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EidTable()
                                self.eid_table.parent = self
                                self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr()
                                self.etr.parent = self
                                self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable()
                                self.etr_enable.parent = self
                                self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr()
                                self.itr.parent = self
                                self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable()
                                self.itr_enable.parent = self
                                self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache()
                                self.map_cache.parent = self
                                self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self.map_request_source = None
                                self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration()
                                self.site_registration.parent = self
                                self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest()
                                self.solicit_map_request.parent = self


                            class Default(object):
                                """
                                
                                
                                .. attribute:: broadcast_underlay
                                
                                	Multicast group to use for underlay
                                	**type**\:   :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay>`
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:   :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.broadcast_underlay = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay()
                                    self.broadcast_underlay.parent = self
                                    self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable()
                                    self.eid_table.parent = self
                                    self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr()
                                    self.etr.parent = self
                                    self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable()
                                    self.etr_enable.parent = self
                                    self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr()
                                    self.itr.parent = self
                                    self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable()
                                    self.itr_enable.parent = self
                                    self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache()
                                    self.map_cache.parent = self
                                    self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self.map_request_source = None
                                    self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration()
                                    self.site_registration.parent = self
                                    self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest()
                                    self.solicit_map_request.parent = self


                                class EidTable(object):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vlan
                                    
                                    	VLAN configuration
                                    	**type**\:  int
                                    
                                    	**range:** 1..4094
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.vlan = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.vlan is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable']['meta_info']


                                class BroadcastUnderlay(object):
                                    """
                                    Multicast group to use for underlay
                                    
                                    .. attribute:: ipv4_multicast
                                    
                                    	IPv4 multicast group address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_multicast
                                    
                                    	IPv6 multicast group address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipv4_multicast = None
                                        self.ipv6_multicast = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:broadcast-underlay'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipv4_multicast is not None:
                                            return True

                                        if self.ipv6_multicast is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay']['meta_info']


                                class DatabaseMapping(object):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'
                                        self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit()
                                        self.limit.parent = self


                                    class EidCont(object):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\:  str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.ipv4_addrees = YList()
                                            self.ipv4_addrees.parent = self
                                            self.ipv4_addrees.name = 'ipv4_addrees'
                                            self.ipv4_interface = YList()
                                            self.ipv4_interface.parent = self
                                            self.ipv4_interface.name = 'ipv4_interface'
                                            self.ipv6_addrees = YList()
                                            self.ipv6_addrees.parent = self
                                            self.ipv6_addrees.name = 'ipv6_addrees'
                                            self.ipv6_interface = YList()
                                            self.ipv6_interface.parent = self
                                            self.ipv6_interface.name = 'ipv6_interface'
                                            self.locator_set = None


                                        class Ipv4Addrees(object):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                        class Ipv6Addrees(object):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.address = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.address is None:
                                                    raise YPYModelError('Key property address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.address is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                        class Ipv4Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                        class Ipv6Interface(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\:  str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self


                                            class DatabaseMappingOption(object):
                                                """
                                                
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\:  int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.down = None
                                                    self.priority = None
                                                    self.weight = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.down is not None:
                                                        return True

                                                    if self.priority is not None:
                                                        return True

                                                    if self.weight is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.ipv4_addrees is not None:
                                                for child_ref in self.ipv4_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv4_interface is not None:
                                                for child_ref in self.ipv4_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_addrees is not None:
                                                for child_ref in self.ipv6_addrees:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.ipv6_interface is not None:
                                                for child_ref in self.ipv6_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.locator_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont']['meta_info']


                                    class Limit(object):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\:  int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\:  int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.dynamic = None
                                            self.warning_threshold = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.dynamic is not None:
                                                return True

                                            if self.warning_threshold is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        if self.limit is not None and self.limit._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping']['meta_info']


                                class Itr(object):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.map_resolver = YList()
                                        self.map_resolver.parent = self
                                        self.map_resolver.name = 'map_resolver'


                                    class MapResolver(object):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.map_resolver is not None:
                                            for child_ref in self.map_resolver:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr']['meta_info']


                                class ItrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.itr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.itr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable']['meta_info']


                                class EtrEnable(object):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.etr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.etr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable']['meta_info']


                                class Etr(object):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self.map_cache_ttl = None
                                        self.map_server = YList()
                                        self.map_server.parent = self
                                        self.map_server.name = 'map_server'


                                    class MapServer(object):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ip_addr = None
                                            self.key = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self.proxy_reply = None


                                        class Key(object):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7>`
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self


                                            class KeyPwd(object):
                                                """
                                                
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.hash_function = None
                                                    self.unc_pwd = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.hash_function is not None:
                                                        return True

                                                    if self.unc_pwd is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd']['meta_info']


                                            class Key0(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_0 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_0 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0']['meta_info']


                                            class Key6(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_6 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_6 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6']['meta_info']


                                            class Key7(object):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\:  str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.ak_7 = None
                                                    self.hash_function = None

                                                class HashFunctionEnum(Enum):
                                                    """
                                                    HashFunctionEnum

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = 0

                                                    sha2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.ak_7 is not None:
                                                        return True

                                                    if self.hash_function is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.key_0 is not None and self.key_0._has_data():
                                                    return True

                                                if self.key_6 is not None and self.key_6._has_data():
                                                    return True

                                                if self.key_7 is not None and self.key_7._has_data():
                                                    return True

                                                if self.key_pwd is not None and self.key_pwd._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.ip_addr is None:
                                                raise YPYModelError('Key property ip_addr is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ip_addr is not None:
                                                return True

                                            if self.key is not None and self.key._has_data():
                                                return True

                                            if self.proxy_reply is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer']['meta_info']


                                    class AcceptMapRequestMapping(object):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.accept_mappping = None
                                            self.verify = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.accept_mappping is not None:
                                                return True

                                            if self.verify is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                            return True

                                        if self.map_cache_ttl is not None:
                                            return True

                                        if self.map_server is not None:
                                            for child_ref in self.map_server:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr']['meta_info']


                                class MapCacheLimit(object):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\:  str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.max_map_cache_entries = None
                                        self.reserve_list = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.max_map_cache_entries is not None:
                                            return True

                                        if self.reserve_list is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit']['meta_info']


                                class SiteRegistration(object):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.limit = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.limit is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration']['meta_info']


                                class SolicitMapRequest(object):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\:  int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ignore = None
                                        self.max_per_entry = None
                                        self.suppression_time = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ignore is not None:
                                            return True

                                        if self.max_per_entry is not None:
                                            return True

                                        if self.suppression_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest']['meta_info']


                                class MapCache(object):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_cont = YList()
                                        self.eid_cont.parent = self
                                        self.eid_cont.name = 'eid_cont'


                                    class EidCont(object):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\:  str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.eid_prefix = None
                                            self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self


                                        class EtrInterfaceIp(object):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: one of the below types:
                                            
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            	**type**\:  str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            
                                            ----
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.etr_interface_ip_address = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.etr_interface_ip_address is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.eid_prefix is None:
                                                raise YPYModelError('Key property eid_prefix is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.eid_prefix is not None:
                                                return True

                                            if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_cont is not None:
                                            for child_ref in self.eid_cont:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.broadcast_underlay is not None and self.broadcast_underlay._has_data():
                                        return True

                                    if self.database_mapping is not None and self.database_mapping._has_data():
                                        return True

                                    if self.eid_table is not None and self.eid_table._has_data():
                                        return True

                                    if self.etr is not None and self.etr._has_data():
                                        return True

                                    if self.etr_enable is not None and self.etr_enable._has_data():
                                        return True

                                    if self.itr is not None and self.itr._has_data():
                                        return True

                                    if self.itr_enable is not None and self.itr_enable._has_data():
                                        return True

                                    if self.map_cache is not None and self.map_cache._has_data():
                                        return True

                                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                        return True

                                    if self.map_request_source is not None:
                                        return True

                                    if self.site_registration is not None and self.site_registration._has_data():
                                        return True

                                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default']['meta_info']


                            class EidTable(object):
                                """
                                Bind an eid\-table
                                
                                .. attribute:: vlan
                                
                                	VLAN configuration
                                	**type**\:  int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.vlan = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.vlan is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EidTable']['meta_info']


                            class BroadcastUnderlay(object):
                                """
                                Multicast group to use for underlay
                                
                                .. attribute:: ipv4_multicast
                                
                                	IPv4 multicast group address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_multicast
                                
                                	IPv6 multicast group address
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_multicast = None
                                    self.ipv6_multicast = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:broadcast-underlay'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4_multicast is not None:
                                        return True

                                    if self.ipv6_multicast is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay']['meta_info']


                            class DatabaseMapping(object):
                                """
                                Configures Locator addresses for an ETR
                                
                                .. attribute:: eid_cont
                                
                                	EID\-record for RLOC static mapping
                                	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont>`
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eid_cont = YList()
                                    self.eid_cont.parent = self
                                    self.eid_cont.name = 'eid_cont'
                                    self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit()
                                    self.limit.parent = self


                                class EidCont(object):
                                    """
                                    EID\-record for RLOC static mapping
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	xxxx.xxxx.xxxx 48 bit mac address
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                    
                                    .. attribute:: ipv4_addrees
                                    
                                    	IPv4 Address of loopback or other ETR interface
                                    	**type**\: list of    :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees>`
                                    
                                    .. attribute:: ipv4_interface
                                    
                                    	
                                    	**type**\: list of    :py:class:`Ipv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface>`
                                    
                                    .. attribute:: ipv6_addrees
                                    
                                    	IPv6 Address of loopback or other ETR interface
                                    	**type**\: list of    :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees>`
                                    
                                    .. attribute:: ipv6_interface
                                    
                                    	
                                    	**type**\: list of    :py:class:`Ipv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface>`
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.ipv4_addrees = YList()
                                        self.ipv4_addrees.parent = self
                                        self.ipv4_addrees.name = 'ipv4_addrees'
                                        self.ipv4_interface = YList()
                                        self.ipv4_interface.parent = self
                                        self.ipv4_interface.name = 'ipv4_interface'
                                        self.ipv6_addrees = YList()
                                        self.ipv6_addrees.parent = self
                                        self.ipv6_addrees.name = 'ipv6_addrees'
                                        self.ipv6_interface = YList()
                                        self.ipv6_interface.parent = self
                                        self.ipv6_interface.name = 'ipv6_interface'
                                        self.locator_set = None


                                    class Ipv4Addrees(object):
                                        """
                                        IPv4 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None
                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.address is None:
                                                raise YPYModelError('Key property address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.address is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees']['meta_info']


                                    class Ipv6Addrees(object):
                                        """
                                        IPv6 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None
                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.address is None:
                                                raise YPYModelError('Key property address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6-addrees[Cisco-IOS-XE-lisp:address = ' + str(self.address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.address is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees']['meta_info']


                                    class Ipv4Interface(object):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\:  str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv4-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Interface']['meta_info']


                                    class Ipv6Interface(object):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\:  str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:   :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self


                                        class DatabaseMappingOption(object):
                                            """
                                            
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\:  int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.down = None
                                                self.priority = None
                                                self.weight = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping-option'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.down is not None:
                                                    return True

                                                if self.priority is not None:
                                                    return True

                                                if self.weight is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface.DatabaseMappingOption']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:IPv6-interface[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.database_mapping_option is not None and self.database_mapping_option._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Interface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.ipv4_addrees is not None:
                                            for child_ref in self.ipv4_addrees:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ipv4_interface is not None:
                                            for child_ref in self.ipv4_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ipv6_addrees is not None:
                                            for child_ref in self.ipv6_addrees:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ipv6_interface is not None:
                                            for child_ref in self.ipv6_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.locator_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont']['meta_info']


                                class Limit(object):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\:  int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dynamic = None
                                        self.warning_threshold = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dynamic is not None:
                                            return True

                                        if self.warning_threshold is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eid_cont is not None:
                                        for child_ref in self.eid_cont:
                                            if child_ref._has_data():
                                                return True

                                    if self.limit is not None and self.limit._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping']['meta_info']


                            class Itr(object):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.map_resolver = YList()
                                    self.map_resolver.parent = self
                                    self.map_resolver.name = 'map_resolver'


                                class MapResolver(object):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.map_resolver is not None:
                                        for child_ref in self.map_resolver:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr']['meta_info']


                            class ItrEnable(object):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.itr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.itr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable']['meta_info']


                            class EtrEnable(object):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.etr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.etr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable']['meta_info']


                            class Etr(object):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:   :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self.map_cache_ttl = None
                                    self.map_server = YList()
                                    self.map_server.parent = self
                                    self.map_server.name = 'map_server'


                                class MapServer(object):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_addr = None
                                        self.key = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self.proxy_reply = None


                                    class Key(object):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:   :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:   :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:   :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:   :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self


                                        class KeyPwd(object):
                                            """
                                            
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum>`
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.hash_function = None
                                                self.unc_pwd = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-pwd'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.hash_function is not None:
                                                    return True

                                                if self.unc_pwd is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd']['meta_info']


                                        class Key0(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_0 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-0'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_0 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0']['meta_info']


                                        class Key6(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_6 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-6'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_6 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6']['meta_info']


                                        class Key7(object):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\:  str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.ak_7 = None
                                                self.hash_function = None

                                            class HashFunctionEnum(Enum):
                                                """
                                                HashFunctionEnum

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = 0

                                                sha2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunctionEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key-7'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.ak_7 is not None:
                                                    return True

                                                if self.hash_function is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.key_0 is not None and self.key_0._has_data():
                                                return True

                                            if self.key_6 is not None and self.key_6._has_data():
                                                return True

                                            if self.key_7 is not None and self.key_7._has_data():
                                                return True

                                            if self.key_pwd is not None and self.key_pwd._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_addr is None:
                                            raise YPYModelError('Key property ip_addr is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_addr is not None:
                                            return True

                                        if self.key is not None and self.key._has_data():
                                            return True

                                        if self.proxy_reply is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer']['meta_info']


                                class AcceptMapRequestMapping(object):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.accept_mappping = None
                                        self.verify = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:accept-map-request-mapping'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.accept_mappping is not None:
                                            return True

                                        if self.verify is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.accept_map_request_mapping is not None and self.accept_map_request_mapping._has_data():
                                        return True

                                    if self.map_cache_ttl is not None:
                                        return True

                                    if self.map_server is not None:
                                        for child_ref in self.map_server:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr']['meta_info']


                            class MapCacheLimit(object):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\:  str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.max_map_cache_entries = None
                                    self.reserve_list = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.max_map_cache_entries is not None:
                                        return True

                                    if self.reserve_list is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit']['meta_info']


                            class SiteRegistration(object):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.limit = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.limit is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration']['meta_info']


                            class SolicitMapRequest(object):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\:  int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ignore = None
                                    self.max_per_entry = None
                                    self.suppression_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ignore is not None:
                                        return True

                                    if self.max_per_entry is not None:
                                        return True

                                    if self.suppression_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest']['meta_info']


                            class MapCache(object):
                                """
                                Use RIB routes to define EID address space in map\-cache
                                
                                .. attribute:: eid_cont
                                
                                	EID\-record for RLOC static mapping
                                	**type**\: list of    :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.eid_cont = YList()
                                    self.eid_cont.parent = self
                                    self.eid_cont.name = 'eid_cont'


                                class EidCont(object):
                                    """
                                    EID\-record for RLOC static mapping
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	xxxx.xxxx.xxxx 48 bit mac address
                                    	**type**\:  str
                                    
                                    	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                    
                                    .. attribute:: etr_interface_ip
                                    
                                    	
                                    	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp()
                                        self.etr_interface_ip.parent = self


                                    class EtrInterfaceIp(object):
                                        """
                                        
                                        
                                        .. attribute:: etr_interface_ip_address
                                        
                                        	IP address of loopback or other ETR interface
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        
                                        ----
                                        .. attribute:: priority
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\:  int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.etr_interface_ip_address = None
                                            self.priority = None
                                            self.weight = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.etr_interface_ip_address is not None:
                                                return True

                                            if self.priority is not None:
                                                return True

                                            if self.weight is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.eid_prefix is None:
                                            raise YPYModelError('Key property eid_prefix is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-cont[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.eid_cont is not None:
                                        for child_ref in self.eid_cont:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ethernet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.broadcast_underlay is not None and self.broadcast_underlay._has_data():
                                    return True

                                if self.database_mapping is not None and self.database_mapping._has_data():
                                    return True

                                if self.default is not None and self.default._has_data():
                                    return True

                                if self.eid_table is not None and self.eid_table._has_data():
                                    return True

                                if self.etr is not None and self.etr._has_data():
                                    return True

                                if self.etr_enable is not None and self.etr_enable._has_data():
                                    return True

                                if self.itr is not None and self.itr._has_data():
                                    return True

                                if self.itr_enable is not None and self.itr_enable._has_data():
                                    return True

                                if self.map_cache is not None and self.map_cache._has_data():
                                    return True

                                if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                    return True

                                if self.map_request_source is not None:
                                    return True

                                if self.site_registration is not None and self.site_registration._has_data():
                                    return True

                                if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:service'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ethernet is not None and self.ethernet._has_data():
                                return True

                            if self.ipv4 is not None and self.ipv4._has_data():
                                return True

                            if self.ipv6 is not None and self.ipv6._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList.Service']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.instance_id is None:
                            raise YPYModelError('Key property instance_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.instance_id is not None:
                            return True

                        if self.decapsulation is not None and self.decapsulation._has_data():
                            return True

                        if self.default is not None and self.default._has_data():
                            return True

                        if self.disable_ttl_propagate is not None:
                            return True

                        if self.dynamic_eid is not None:
                            for child_ref in self.dynamic_eid:
                                if child_ref._has_data():
                                    return True

                        if self.loc_reach_algorithm is not None and self.loc_reach_algorithm._has_data():
                            return True

                        if self.map_server is not None and self.map_server._has_data():
                            return True

                        if self.other_xtr_probe is not None and self.other_xtr_probe._has_data():
                            return True

                        if self.remote_rloc_probe is not None and self.remote_rloc_probe._has_data():
                            return True

                        if self.service is not None and self.service._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.InstanceContainer.InstanceList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-container'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.instance_list is not None:
                        for child_ref in self.instance_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.InstanceContainer']['meta_info']


            class Alt(object):
                """
                LISP Alternative Topology, LISP\-ALT
                
                .. attribute:: summary_route
                
                	Summary route to install into the ALT table
                	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Alt.SummaryRoute>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.summary_route = YList()
                    self.summary_route.parent = self
                    self.summary_route.name = 'summary_route'


                class SummaryRoute(object):
                    """
                    Summary route to install into the ALT table
                    
                    .. attribute:: eid_prefix  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    
                    ----
                    .. attribute:: route_tag
                    
                    	ALT RIB route tag for EID prefix
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.eid_prefix = None
                        self.route_tag = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.eid_prefix is None:
                            raise YPYModelError('Key property eid_prefix is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.eid_prefix is not None:
                            return True

                        if self.route_tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Alt.SummaryRoute']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.summary_route is not None:
                        for child_ref in self.summary_route:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.Alt']['meta_info']


            class ControlPacket(object):
                """
                Configure control packet tx option
                
                .. attribute:: mtu
                
                	Configure control packet MTU
                	**type**\:  int
                
                	**range:** 304..10000
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.mtu = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:control-packet'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.mtu is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.ControlPacket']['meta_info']


            class Ddt(object):
                """
                Delegated Database Tree (DDT) mapping system
                
                .. attribute:: authoritative
                
                	DDT authoritative prefix
                	**type**\:   :py:class:`Authoritative <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ddt.Authoritative>`
                
                .. attribute:: cache_limit
                
                	DDT resolver cache entry limit
                	**type**\:  int
                
                	**range:** 1..100000
                
                .. attribute:: root
                
                	DDT root node
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.authoritative = Native.Router.LispList.Ddt.Authoritative()
                    self.authoritative.parent = self
                    self.cache_limit = None
                    self.root = None


                class Authoritative(object):
                    """
                    DDT authoritative prefix
                    
                    .. attribute:: instance_id_eid_prefix_list
                    
                    	
                    	**type**\: list of    :py:class:`InstanceIdEidPrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList>`
                    
                    .. attribute:: instance_id_list
                    
                    	
                    	**type**\: list of    :py:class:`InstanceIdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ddt.Authoritative.InstanceIdList>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.instance_id_eid_prefix_list = YList()
                        self.instance_id_eid_prefix_list.parent = self
                        self.instance_id_eid_prefix_list.name = 'instance_id_eid_prefix_list'
                        self.instance_id_list = YList()
                        self.instance_id_list.parent = self
                        self.instance_id_list.name = 'instance_id_list'


                    class InstanceIdEidPrefixList(object):
                        """
                        
                        
                        .. attribute:: instance_id  <key>
                        
                        	EID instance\-ID
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: eid_prefix  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        
                        ----
                        .. attribute:: delegate
                        
                        	DDT delegation to a child DDT node or map\-server
                        	**type**\:   :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate>`
                        
                        .. attribute:: map_server_peer
                        
                        	Peer map\-servers that are authoritative for the same EID prefixes
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.instance_id = None
                            self.eid_prefix = None
                            self.delegate = Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate()
                            self.delegate.parent = self
                            self.map_server_peer = None


                        class Delegate(object):
                            """
                            DDT delegation to a child DDT node or map\-server
                            
                            .. attribute:: eid_prefix
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: instance_id
                            
                            	EID instance\-ID
                            	**type**\:  str
                            
                            .. attribute:: ip_address
                            
                            	IPv4/6 Child or map\-server node locator address
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: map_server
                            
                            	Delegation points to a map\-server
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: to
                            
                            	DDT delegation to a child DDT node or map\-server
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eid_prefix = None
                                self.instance_id = None
                                self.ip_address = None
                                self.map_server = None
                                self.to = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:delegate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eid_prefix is not None:
                                    return True

                                if self.instance_id is not None:
                                    return True

                                if self.ip_address is not None:
                                    return True

                                if self.map_server is not None:
                                    return True

                                if self.to is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.instance_id is None:
                                raise YPYModelError('Key property instance_id is None')
                            if self.eid_prefix is None:
                                raise YPYModelError('Key property eid_prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id-eid-prefix-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + '][Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.instance_id is not None:
                                return True

                            if self.eid_prefix is not None:
                                return True

                            if self.delegate is not None and self.delegate._has_data():
                                return True

                            if self.map_server_peer is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info']


                    class InstanceIdList(object):
                        """
                        
                        
                        .. attribute:: instance_id  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: delegate
                        
                        	DDT delegation to a child DDT node or map\-server
                        	**type**\:   :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ddt.Authoritative.InstanceIdList.Delegate>`
                        
                        .. attribute:: map_server_peer
                        
                        	Peer map\-servers that are authoritative for the same EID prefixes
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.instance_id = None
                            self.delegate = Native.Router.LispList.Ddt.Authoritative.InstanceIdList.Delegate()
                            self.delegate.parent = self
                            self.map_server_peer = None


                        class Delegate(object):
                            """
                            DDT delegation to a child DDT node or map\-server
                            
                            .. attribute:: eid_prefix
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: instance_id
                            
                            	EID instance\-ID
                            	**type**\:  str
                            
                            .. attribute:: ip_address
                            
                            	IPv4/6 Child or map\-server node locator address
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: map_server
                            
                            	Delegation points to a map\-server
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: to
                            
                            	DDT delegation to a child DDT node or map\-server
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eid_prefix = None
                                self.instance_id = None
                                self.ip_address = None
                                self.map_server = None
                                self.to = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:delegate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eid_prefix is not None:
                                    return True

                                if self.instance_id is not None:
                                    return True

                                if self.ip_address is not None:
                                    return True

                                if self.map_server is not None:
                                    return True

                                if self.to is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ddt.Authoritative.InstanceIdList.Delegate']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.instance_id is None:
                                raise YPYModelError('Key property instance_id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.instance_id is not None:
                                return True

                            if self.delegate is not None and self.delegate._has_data():
                                return True

                            if self.map_server_peer is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Ddt.Authoritative.InstanceIdList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:authoritative'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.instance_id_eid_prefix_list is not None:
                            for child_ref in self.instance_id_eid_prefix_list:
                                if child_ref._has_data():
                                    return True

                        if self.instance_id_list is not None:
                            for child_ref in self.instance_id_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ddt.Authoritative']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ddt'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.authoritative is not None and self.authoritative._has_data():
                        return True

                    if self.cache_limit is not None:
                        return True

                    if self.root is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.Ddt']['meta_info']


            class Decapsulation(object):
                """
                Decapsulation behavior (e.g. filters)
                
                .. attribute:: filter
                
                	Filters traffic
                	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Decapsulation.Filter>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.filter = Native.Router.LispList.Decapsulation.Filter()
                    self.filter.parent = self


                class Filter(object):
                    """
                    Filters traffic
                    
                    .. attribute:: rloc
                    
                    	Filter based on Routing Locator (RLOC) in packet header
                    	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Decapsulation.Filter.Rloc>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.rloc = Native.Router.LispList.Decapsulation.Filter.Rloc()
                        self.rloc.parent = self


                    class Rloc(object):
                        """
                        Filter based on Routing Locator (RLOC) in packet header
                        
                        .. attribute:: source
                        
                        	Filters traffic based on RLOC source address
                        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Decapsulation.Filter.Rloc.Source>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.source = Native.Router.LispList.Decapsulation.Filter.Rloc.Source()
                            self.source.parent = self


                        class Source(object):
                            """
                            Filters traffic based on RLOC source address
                            
                            .. attribute:: locator_set
                            
                            	Locator\-set Name
                            	**type**\:  str
                            
                            .. attribute:: member
                            
                            	Members learned from map\-server
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.locator_set = None
                                self.member = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.locator_set is not None:
                                    return True

                                if self.member is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Decapsulation.Filter.Rloc.Source']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.source is not None and self.source._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Decapsulation.Filter.Rloc']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:filter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.rloc is not None and self.rloc._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Decapsulation.Filter']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:decapsulation'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.filter is not None and self.filter._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.Decapsulation']['meta_info']


            class Etr(object):
                """
                Configures a LISP Egress Tunnel Router (ETR)
                
                .. attribute:: map_server
                
                	Configures map server for ETR registration
                	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Etr.MapServer>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.map_server = Native.Router.LispList.Etr.MapServer()
                    self.map_server.parent = self


                class MapServer(object):
                    """
                    Configures map server for ETR registration
                    
                    .. attribute:: source_address
                    
                    	Configures map server source address
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source_address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source_address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Etr.MapServer']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.map_server is not None and self.map_server._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.Etr']['meta_info']


            class Ipv4(object):
                """
                IPv4 address family
                
                .. attribute:: alt_vrf
                
                	Activate LISP\-ALT functionality in VRF
                	**type**\:  str
                
                	**status**\: deprecated
                
                .. attribute:: database_mapping
                
                	Address family specific local EID prefixes database configuration
                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.DatabaseMapping>`
                
                .. attribute:: distance
                
                	Administrative distance for RIB route installation
                	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.Distance>`
                
                .. attribute:: etr
                
                	Configures a LISP Egress Tunnel Router (ETR)
                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.Etr>`
                
                .. attribute:: etr_enable
                
                	
                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.EtrEnable>`
                
                .. attribute:: itr
                
                	Configures a LISP Ingress Tunnel Router (ITR)
                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.Itr>`
                
                .. attribute:: itr_enable
                
                	
                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.ItrEnable>`
                
                .. attribute:: locator
                
                	Locator related configuration
                	**type**\:   :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.Locator>`
                
                .. attribute:: map_cache
                
                	Address family specific map cache configuration
                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapCache>`
                
                .. attribute:: map_cache_limit
                
                	Configures maximum size of map\-cache
                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapCacheLimit>`
                
                .. attribute:: map_cache_persistent
                
                	Dump map\-cache onto flash, making it persistent across reboots
                	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapCachePersistent>`
                
                .. attribute:: map_request_source
                
                	Configures inner header source address in Map\-Request message
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: map_resolver
                
                	Configures a LISP Map Resolver (MR)
                	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapResolver>`
                
                	**presence node**\: True
                
                .. attribute:: map_server
                
                	Configures a LISP Map Server (MS)
                	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapServer>`
                
                	**presence node**\: True
                
                .. attribute:: path_mtu_discovery
                
                	Path MTU discovery
                	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.PathMtuDiscovery>`
                
                	**presence node**\: True
                
                .. attribute:: proxy_etr
                
                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_itr
                
                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                	**type**\: one of the below types:
                
                	**type**\:  list of str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  list of str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: route_export
                
                	Export routes into RIB from LISP
                	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteExport>`
                
                .. attribute:: route_import
                
                	Import RIB routes by a routing protocol into LISP
                	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport>`
                
                .. attribute:: sgt
                
                	Enable security group tag propagation in LISP encapsulated traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: site_registration
                
                	Site registrations configuration for a given instance\-id
                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.SiteRegistration>`
                
                .. attribute:: solicit_map_request
                
                	Configure Solicit\-Map\-Request handling
                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.SolicitMapRequest>`
                
                .. attribute:: use_petr
                
                	Encapsulate to Proxy ETR when matching forward\-native entry
                	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.UsePetr>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.alt_vrf = None
                    self.database_mapping = Native.Router.LispList.Ipv4.DatabaseMapping()
                    self.database_mapping.parent = self
                    self.distance = Native.Router.LispList.Ipv4.Distance()
                    self.distance.parent = self
                    self.etr = Native.Router.LispList.Ipv4.Etr()
                    self.etr.parent = self
                    self.etr_enable = Native.Router.LispList.Ipv4.EtrEnable()
                    self.etr_enable.parent = self
                    self.itr = Native.Router.LispList.Ipv4.Itr()
                    self.itr.parent = self
                    self.itr_enable = Native.Router.LispList.Ipv4.ItrEnable()
                    self.itr_enable.parent = self
                    self.locator = Native.Router.LispList.Ipv4.Locator()
                    self.locator.parent = self
                    self.map_cache = Native.Router.LispList.Ipv4.MapCache()
                    self.map_cache.parent = self
                    self.map_cache_limit = Native.Router.LispList.Ipv4.MapCacheLimit()
                    self.map_cache_limit.parent = self
                    self.map_cache_persistent = Native.Router.LispList.Ipv4.MapCachePersistent()
                    self.map_cache_persistent.parent = self
                    self.map_request_source = None
                    self.map_resolver = None
                    self.map_server = None
                    self.path_mtu_discovery = None
                    self.proxy_etr = None
                    self.proxy_itr = YLeafList()
                    self.proxy_itr.parent = self
                    self.proxy_itr.name = 'proxy_itr'
                    self.route_export = Native.Router.LispList.Ipv4.RouteExport()
                    self.route_export.parent = self
                    self.route_import = Native.Router.LispList.Ipv4.RouteImport()
                    self.route_import.parent = self
                    self.sgt = None
                    self.site_registration = Native.Router.LispList.Ipv4.SiteRegistration()
                    self.site_registration.parent = self
                    self.solicit_map_request = Native.Router.LispList.Ipv4.SolicitMapRequest()
                    self.solicit_map_request.parent = self
                    self.use_petr = YList()
                    self.use_petr.parent = self
                    self.use_petr.name = 'use_petr'


                class DatabaseMapping(object):
                    """
                    Address family specific local EID prefixes database configuration
                    
                    .. attribute:: limit
                    
                    	Configures the maximum size of local EID prefixes database
                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.DatabaseMapping.Limit>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.limit = Native.Router.LispList.Ipv4.DatabaseMapping.Limit()
                        self.limit.parent = self


                    class Limit(object):
                        """
                        Configures the maximum size of local EID prefixes database
                        
                        .. attribute:: dynamic
                        
                        	Configures the maximum size of dynamic local EID prefixes database
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dynamic = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dynamic is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Ipv4.DatabaseMapping.Limit']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.limit is not None and self.limit._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv4.DatabaseMapping']['meta_info']


                class Distance(object):
                    """
                    Administrative distance for RIB route installation
                    
                    .. attribute:: alt
                    
                    	LISP routes installed in the ALT table
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dyn_eid
                    
                    	LISP installed routes of type dynamic\-EID
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: site_registrations
                    
                    	LISP installed routes of type site\-registrations
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.alt = None
                        self.dyn_eid = None
                        self.site_registrations = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.alt is not None:
                            return True

                        if self.dyn_eid is not None:
                            return True

                        if self.site_registrations is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv4.Distance']['meta_info']


                class Itr(object):
                    """
                    Configures a LISP Ingress Tunnel Router (ITR)
                    
                    .. attribute:: map_resolver
                    
                    	Configures map\-resolver address for sending Map\-Requests
                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.Itr.MapResolver>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.map_resolver = YList()
                        self.map_resolver.parent = self
                        self.map_resolver.name = 'map_resolver'


                    class MapResolver(object):
                        """
                        Configures map\-resolver address for sending Map\-Requests
                        
                        .. attribute:: ip_addr  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip_addr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ip_addr is None:
                                raise YPYModelError('Key property ip_addr is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip_addr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Ipv4.Itr.MapResolver']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.map_resolver is not None:
                            for child_ref in self.map_resolver:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv4.Itr']['meta_info']


                class ItrEnable(object):
                    """
                    
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.itr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.itr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv4.ItrEnable']['meta_info']


                class Etr(object):
                    """
                    Configures a LISP Egress Tunnel Router (ETR)
                    
                    .. attribute:: map_server
                    
                    	Configures map server for ETR registration
                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.Etr.MapServer>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.map_server = YList()
                        self.map_server.parent = self
                        self.map_server.name = 'map_server'


                    class MapServer(object):
                        """
                        Configures map server for ETR registration
                        
                        .. attribute:: ip_addr  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: key
                        
                        	Authentication key used with map server
                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.Etr.MapServer.Key>`
                        
                        .. attribute:: proxy_reply
                        
                        	Request Map\-Server to send Map\-Replies on behalf of site
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip_addr = None
                            self.key = Native.Router.LispList.Ipv4.Etr.MapServer.Key()
                            self.key.parent = self
                            self.proxy_reply = None


                        class Key(object):
                            """
                            Authentication key used with map server
                            
                            .. attribute:: key_0
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\:  str
                            
                            .. attribute:: key_6
                            
                            	The ENCRYPTED password
                            	**type**\:  str
                            
                            .. attribute:: key_7
                            
                            	The HIDDEN password
                            	**type**\:  str
                            
                            .. attribute:: pwd
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_0 = None
                                self.key_6 = None
                                self.key_7 = None
                                self.pwd = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_0 is not None:
                                    return True

                                if self.key_6 is not None:
                                    return True

                                if self.key_7 is not None:
                                    return True

                                if self.pwd is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv4.Etr.MapServer.Key']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ip_addr is None:
                                raise YPYModelError('Key property ip_addr is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip_addr is not None:
                                return True

                            if self.key is not None and self.key._has_data():
                                return True

                            if self.proxy_reply is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Ipv4.Etr.MapServer']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.map_server is not None:
                            for child_ref in self.map_server:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv4.Etr']['meta_info']


                class EtrEnable(object):
                    """
                    
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.etr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.etr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv4.EtrEnable']['meta_info']


                class Locator(object):
                    """
                    Locator related configuration
                    
                    .. attribute:: reachability
                    
                    	Configuration realted to locator reachability
                    	**type**\:   :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.Locator.Reachability>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.reachability = Native.Router.LispList.Ipv4.Locator.Reachability()
                        self.reachability.parent = self


                    class Reachability(object):
                        """
                        Configuration realted to locator reachability
                        
                        .. attribute:: exclude_default
                        
                        	If a remote RLOC is reached via the default route, treat it as unreachable
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.exclude_default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:reachability'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.exclude_default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Ipv4.Locator.Reachability']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.reachability is not None and self.reachability._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv4.Locator']['meta_info']


                class MapCache(object):
                    """
                    Address family specific map cache configuration
                    
                    .. attribute:: site_registration
                    
                    	Install map cache to map request for site registrations
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.site_registration = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.site_registration is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv4.MapCache']['meta_info']


                class MapCacheLimit(object):
                    """
                    Configures maximum size of map\-cache
                    
                    .. attribute:: max_map_cache_entries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..100000
                    
                    .. attribute:: reserve_list
                    
                    	EID\-prefixes guaranteed to be stored in map\-cache
                    	**type**\:  str
                    
                    .. attribute:: warning_threshold
                    
                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.max_map_cache_entries = None
                        self.reserve_list = None
                        self.warning_threshold = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.max_map_cache_entries is not None:
                            return True

                        if self.reserve_list is not None:
                            return True

                        if self.warning_threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv4.MapCacheLimit']['meta_info']


                class MapCachePersistent(object):
                    """
                    Dump map\-cache onto flash, making it persistent across reboots
                    
                    .. attribute:: interval
                    
                    	Interval in minutes of how often the map\-cache is saved
                    	**type**\:  int
                    
                    	**range:** 1..1440
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interval = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interval is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv4.MapCachePersistent']['meta_info']


                class MapResolver(object):
                    """
                    Configures a LISP Map Resolver (MR)
                    
                    .. attribute:: map_request
                    
                    	Map\-Request processing options
                    	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapResolver.MapRequest>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.map_request = Native.Router.LispList.Ipv4.MapResolver.MapRequest()
                        self.map_request.parent = self


                    class MapRequest(object):
                        """
                        Map\-Request processing options
                        
                        .. attribute:: validate
                        
                        	Validation options
                        	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.validate = Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate()
                            self.validate.parent = self


                        class Validate(object):
                            """
                            Validation options
                            
                            .. attribute:: source
                            
                            	Influence which source RLOCs map requests are accepted from
                            	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate.Source>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.source = Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate.Source()
                                self.source.parent = self


                            class Source(object):
                                """
                                Influence which source RLOCs map requests are accepted from
                                
                                .. attribute:: ipv4
                                
                                	IPv4 prefixes
                                	**type**\:  str
                                
                                .. attribute:: ipv6
                                
                                	IPv6 prefixes
                                	**type**\:  str
                                
                                .. attribute:: list
                                
                                	Define allowed prefixes using an ip[v6] prefix list
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: registered
                                
                                	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None
                                    self.ipv6 = None
                                    self.list = None
                                    self.registered = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    if self.ipv6 is not None:
                                        return True

                                    if self.list is not None:
                                        return True

                                    if self.registered is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.source is not None and self.source._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.validate is not None and self.validate._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Ipv4.MapResolver.MapRequest']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.map_request is not None and self.map_request._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv4.MapResolver']['meta_info']


                class MapServer(object):
                    """
                    Configures a LISP Map Server (MS)
                    
                    .. attribute:: map_register
                    
                    	Map\-Register processing options
                    	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapServer.MapRegister>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.map_register = Native.Router.LispList.Ipv4.MapServer.MapRegister()
                        self.map_register.parent = self


                    class MapRegister(object):
                        """
                        Map\-Register processing options
                        
                        .. attribute:: validate
                        
                        	Validation options
                        	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.validate = Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate()
                            self.validate.parent = self


                        class Validate(object):
                            """
                            Validation options
                            
                            .. attribute:: source
                            
                            	RLOC Source IP address
                            	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate.Source>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.source = Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate.Source()
                                self.source.parent = self


                            class Source(object):
                                """
                                RLOC Source IP address
                                
                                .. attribute:: allowed_locator
                                
                                	Against sites' allowed\-locators policy
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.allowed_locator = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.allowed_locator is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.source is not None and self.source._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.validate is not None and self.validate._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Ipv4.MapServer.MapRegister']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.map_register is not None and self.map_register._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv4.MapServer']['meta_info']


                class PathMtuDiscovery(object):
                    """
                    Path MTU discovery
                    
                    .. attribute:: max
                    
                    	Upper bound on the path MTU accepted
                    	**type**\:  int
                    
                    	**range:** 68..65535
                    
                    .. attribute:: min
                    
                    	Lower bound on the path MTU accepted
                    	**type**\:  int
                    
                    	**range:** 68..65535
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.max = None
                        self.min = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:path-mtu-discovery'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.max is not None:
                            return True

                        if self.min is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv4.PathMtuDiscovery']['meta_info']


                class RouteExport(object):
                    """
                    Export routes into RIB from LISP
                    
                    .. attribute:: away_eids
                    
                    	Export LISP away EIDs to RIB
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: site_registrations
                    
                    	Export LISP site registrations to RIB
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.away_eids = None
                        self.site_registrations = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.away_eids is not None:
                            return True

                        if self.site_registrations is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv4.RouteExport']['meta_info']


                class RouteImport(object):
                    """
                    Import RIB routes by a routing protocol into LISP
                    
                    .. attribute:: database
                    
                    	Use RIB routes to define local EID database entries
                    	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database>`
                    
                    .. attribute:: map_cache
                    
                    	Use RIB routes to define EID address space in map\-cache
                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.database = Native.Router.LispList.Ipv4.RouteImport.Database()
                        self.database.parent = self
                        self.map_cache = Native.Router.LispList.Ipv4.RouteImport.MapCache()
                        self.map_cache.parent = self


                    class Database(object):
                        """
                        Use RIB routes to define local EID database entries
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Connected>`
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Isis>`
                        
                        .. attribute:: maximum_prefix
                        
                        	Maximum number of prefixes to pick up from the RIB
                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.MaximumPrefix>`
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Ospf>`
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Rip>`
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Static>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bgp = YList()
                            self.bgp.parent = self
                            self.bgp.name = 'bgp'
                            self.connected = Native.Router.LispList.Ipv4.RouteImport.Database.Connected()
                            self.connected.parent = self
                            self.eigrp = YList()
                            self.eigrp.parent = self
                            self.eigrp.name = 'eigrp'
                            self.isis = YList()
                            self.isis.parent = self
                            self.isis.name = 'isis'
                            self.maximum_prefix = Native.Router.LispList.Ipv4.RouteImport.Database.MaximumPrefix()
                            self.maximum_prefix.parent = self
                            self.ospf = YList()
                            self.ospf.parent = self
                            self.ospf.name = 'ospf'
                            self.ospfv3 = YList()
                            self.ospfv3.parent = self
                            self.ospfv3.name = 'ospfv3'
                            self.rip = Native.Router.LispList.Ipv4.RouteImport.Database.Rip()
                            self.rip.parent = self
                            self.static = Native.Router.LispList.Ipv4.RouteImport.Database.Static()
                            self.static.parent = self


                        class Bgp(object):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.lisp_ip_route_import = Native.Router.LispList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Bgp']['meta_info']


                        class Connected(object):
                            """
                            Connected
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp_ip_route_import = Native.Router.LispList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Connected']['meta_info']


                        class Eigrp(object):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.lisp_ip_route_import = Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp']['meta_info']


                        class Isis(object):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.lisp_ip_route_import = Native.Router.LispList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Isis']['meta_info']


                        class MaximumPrefix(object):
                            """
                            Maximum number of prefixes to pick up from the RIB
                            
                            .. attribute:: number
                            
                            	
                            	**type**\:  int
                            
                            	**range:** \-2147483648..2147483647
                            
                            .. attribute:: threshold
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold1
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: warning_only
                            
                            	Only give a warning message and do not limit entries
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: warning_only1
                            
                            	Only give a warning message and do not limit entries
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.number = None
                                self.threshold = None
                                self.threshold1 = None
                                self.warning_only = None
                                self.warning_only1 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.number is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                if self.threshold1 is not None:
                                    return True

                                if self.warning_only is not None:
                                    return True

                                if self.warning_only1 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info']


                        class Ospf(object):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.lisp_ip_route_import = Native.Router.LispList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Ospf']['meta_info']


                        class Ospfv3(object):
                            """
                            OSPFv3
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.lisp_ip_route_import = Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3']['meta_info']


                        class Rip(object):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp_ip_route_import = Native.Router.LispList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Rip']['meta_info']


                        class Static(object):
                            """
                            Static routes
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp_ip_route_import = Native.Router.LispList.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.Database.Static']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bgp is not None:
                                for child_ref in self.bgp:
                                    if child_ref._has_data():
                                        return True

                            if self.connected is not None and self.connected._has_data():
                                return True

                            if self.eigrp is not None:
                                for child_ref in self.eigrp:
                                    if child_ref._has_data():
                                        return True

                            if self.isis is not None:
                                for child_ref in self.isis:
                                    if child_ref._has_data():
                                        return True

                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                return True

                            if self.ospf is not None:
                                for child_ref in self.ospf:
                                    if child_ref._has_data():
                                        return True

                            if self.ospfv3 is not None:
                                for child_ref in self.ospfv3:
                                    if child_ref._has_data():
                                        return True

                            if self.rip is not None and self.rip._has_data():
                                return True

                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.Database']['meta_info']


                    class MapCache(object):
                        """
                        Use RIB routes to define EID address space in map\-cache
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Isis>`
                        
                        .. attribute:: maximum_prefix
                        
                        	Maximum number of prefixes to pick up from the RIB
                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospf>`
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Rip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Static>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bgp = YList()
                            self.bgp.parent = self
                            self.bgp.name = 'bgp'
                            self.connected = None
                            self.eigrp = YList()
                            self.eigrp.parent = self
                            self.eigrp.name = 'eigrp'
                            self.isis = YList()
                            self.isis.parent = self
                            self.isis.name = 'isis'
                            self.maximum_prefix = Native.Router.LispList.Ipv4.RouteImport.MapCache.MaximumPrefix()
                            self.maximum_prefix.parent = self
                            self.ospf = YList()
                            self.ospf.parent = self
                            self.ospf.name = 'ospf'
                            self.ospfv3 = YList()
                            self.ospfv3.parent = self
                            self.ospfv3.name = 'ospfv3'
                            self.rip = None
                            self.static = None


                        class Bgp(object):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Bgp']['meta_info']


                        class Connected(object):
                            """
                            Connected
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Connected']['meta_info']


                        class Eigrp(object):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']


                        class Isis(object):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Isis']['meta_info']


                        class MaximumPrefix(object):
                            """
                            Maximum number of prefixes to pick up from the RIB
                            
                            .. attribute:: number
                            
                            	
                            	**type**\:  int
                            
                            	**range:** \-2147483648..2147483647
                            
                            .. attribute:: threshold
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold1
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: warning_only
                            
                            	Only give a warning message and do not limit entries
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: warning_only1
                            
                            	Only give a warning message and do not limit entries
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.number = None
                                self.threshold = None
                                self.threshold1 = None
                                self.warning_only = None
                                self.warning_only1 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.number is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                if self.threshold1 is not None:
                                    return True

                                if self.warning_only is not None:
                                    return True

                                if self.warning_only1 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info']


                        class Ospf(object):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospf']['meta_info']


                        class Ospfv3(object):
                            """
                            OSPFv3
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info']


                        class Rip(object):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Rip']['meta_info']


                        class Static(object):
                            """
                            Static routes
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache.Static']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bgp is not None:
                                for child_ref in self.bgp:
                                    if child_ref._has_data():
                                        return True

                            if self.connected is not None and self.connected._has_data():
                                return True

                            if self.eigrp is not None:
                                for child_ref in self.eigrp:
                                    if child_ref._has_data():
                                        return True

                            if self.isis is not None:
                                for child_ref in self.isis:
                                    if child_ref._has_data():
                                        return True

                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                return True

                            if self.ospf is not None:
                                for child_ref in self.ospf:
                                    if child_ref._has_data():
                                        return True

                            if self.ospfv3 is not None:
                                for child_ref in self.ospfv3:
                                    if child_ref._has_data():
                                        return True

                            if self.rip is not None and self.rip._has_data():
                                return True

                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport.MapCache']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.database is not None and self.database._has_data():
                            return True

                        if self.map_cache is not None and self.map_cache._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv4.RouteImport']['meta_info']


                class SiteRegistration(object):
                    """
                    Site registrations configuration for a given instance\-id
                    
                    .. attribute:: limit
                    
                    	Maximum number of site registrations for a given instance\-id
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: warning_threshold
                    
                    	Warning threshold to issue system logging
                    	**type**\:  int
                    
                    	**range:** 1..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.limit = None
                        self.warning_threshold = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.limit is not None:
                            return True

                        if self.warning_threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv4.SiteRegistration']['meta_info']


                class SolicitMapRequest(object):
                    """
                    Configure Solicit\-Map\-Request handling
                    
                    .. attribute:: ignore
                    
                    	Ignore SMR bit in incoming Map\-Requests
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_per_entry
                    
                    	Maximum number of SMRs for addresses under a map\-cache entry
                    	**type**\:  int
                    
                    	**range:** 1..100
                    
                    .. attribute:: suppression_time
                    
                    	How long to suppress repeated SMRs for the same address
                    	**type**\:  int
                    
                    	**range:** 1..600
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ignore = None
                        self.max_per_entry = None
                        self.suppression_time = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ignore is not None:
                            return True

                        if self.max_per_entry is not None:
                            return True

                        if self.suppression_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv4.SolicitMapRequest']['meta_info']


                class UsePetr(object):
                    """
                    Encapsulate to Proxy ETR when matching forward\-native entry
                    
                    .. attribute:: locator_address  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: priority
                    
                    	Configures which Locators from a set are preferred
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: weight
                    
                    	Traffic load\-spreading among Locators
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.locator_address = None
                        self.priority = None
                        self.weight = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.locator_address is None:
                            raise YPYModelError('Key property locator_address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.locator_address is not None:
                            return True

                        if self.priority is not None:
                            return True

                        if self.weight is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv4.UsePetr']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.alt_vrf is not None:
                        return True

                    if self.database_mapping is not None and self.database_mapping._has_data():
                        return True

                    if self.distance is not None and self.distance._has_data():
                        return True

                    if self.etr is not None and self.etr._has_data():
                        return True

                    if self.etr_enable is not None and self.etr_enable._has_data():
                        return True

                    if self.itr is not None and self.itr._has_data():
                        return True

                    if self.itr_enable is not None and self.itr_enable._has_data():
                        return True

                    if self.locator is not None and self.locator._has_data():
                        return True

                    if self.map_cache is not None and self.map_cache._has_data():
                        return True

                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                        return True

                    if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                        return True

                    if self.map_request_source is not None:
                        return True

                    if self.map_resolver is not None and self.map_resolver._has_data():
                        return True

                    if self.map_server is not None and self.map_server._has_data():
                        return True

                    if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                        return True

                    if self.proxy_etr is not None:
                        return True

                    if self.proxy_itr is not None:
                        for child in self.proxy_itr:
                            if child is not None:
                                return True

                    if self.route_export is not None and self.route_export._has_data():
                        return True

                    if self.route_import is not None and self.route_import._has_data():
                        return True

                    if self.sgt is not None:
                        return True

                    if self.site_registration is not None and self.site_registration._has_data():
                        return True

                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                        return True

                    if self.use_petr is not None:
                        for child_ref in self.use_petr:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.Ipv4']['meta_info']


            class Ipv6(object):
                """
                IPv6 address family
                
                .. attribute:: alt_vrf
                
                	Activate LISP\-ALT functionality in VRF
                	**type**\:  str
                
                	**status**\: deprecated
                
                .. attribute:: database_mapping
                
                	Address family specific local EID prefixes database configuration
                	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.DatabaseMapping>`
                
                .. attribute:: distance
                
                	Administrative distance for RIB route installation
                	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.Distance>`
                
                .. attribute:: etr
                
                	Configures a LISP Egress Tunnel Router (ETR)
                	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.Etr>`
                
                .. attribute:: etr_enable
                
                	
                	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.EtrEnable>`
                
                .. attribute:: itr
                
                	Configures a LISP Ingress Tunnel Router (ITR)
                	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.Itr>`
                
                .. attribute:: itr_enable
                
                	
                	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.ItrEnable>`
                
                .. attribute:: locator
                
                	Locator related configuration
                	**type**\:   :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.Locator>`
                
                .. attribute:: map_cache
                
                	Address family specific map cache configuration
                	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapCache>`
                
                .. attribute:: map_cache_limit
                
                	Configures maximum size of map\-cache
                	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapCacheLimit>`
                
                .. attribute:: map_cache_persistent
                
                	Dump map\-cache onto flash, making it persistent across reboots
                	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapCachePersistent>`
                
                .. attribute:: map_request_source
                
                	Configures inner header source address in Map\-Request message
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: map_resolver
                
                	Configures a LISP Map Resolver (MR)
                	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapResolver>`
                
                	**presence node**\: True
                
                .. attribute:: map_server
                
                	Configures a LISP Map Server (MS)
                	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapServer>`
                
                	**presence node**\: True
                
                .. attribute:: path_mtu_discovery
                
                	Path MTU discovery
                	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.PathMtuDiscovery>`
                
                	**presence node**\: True
                
                .. attribute:: proxy_etr
                
                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_itr
                
                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                	**type**\: one of the below types:
                
                	**type**\:  list of str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  list of str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: route_export
                
                	Export routes into RIB from LISP
                	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteExport>`
                
                .. attribute:: route_import
                
                	Import RIB routes by a routing protocol into LISP
                	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport>`
                
                .. attribute:: sgt
                
                	Enable security group tag propagation in LISP encapsulated traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: site_registration
                
                	Site registrations configuration for a given instance\-id
                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.SiteRegistration>`
                
                .. attribute:: solicit_map_request
                
                	Configure Solicit\-Map\-Request handling
                	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.SolicitMapRequest>`
                
                .. attribute:: use_petr
                
                	Encapsulate to Proxy ETR when matching forward\-native entry
                	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.UsePetr>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.alt_vrf = None
                    self.database_mapping = Native.Router.LispList.Ipv6.DatabaseMapping()
                    self.database_mapping.parent = self
                    self.distance = Native.Router.LispList.Ipv6.Distance()
                    self.distance.parent = self
                    self.etr = Native.Router.LispList.Ipv6.Etr()
                    self.etr.parent = self
                    self.etr_enable = Native.Router.LispList.Ipv6.EtrEnable()
                    self.etr_enable.parent = self
                    self.itr = Native.Router.LispList.Ipv6.Itr()
                    self.itr.parent = self
                    self.itr_enable = Native.Router.LispList.Ipv6.ItrEnable()
                    self.itr_enable.parent = self
                    self.locator = Native.Router.LispList.Ipv6.Locator()
                    self.locator.parent = self
                    self.map_cache = Native.Router.LispList.Ipv6.MapCache()
                    self.map_cache.parent = self
                    self.map_cache_limit = Native.Router.LispList.Ipv6.MapCacheLimit()
                    self.map_cache_limit.parent = self
                    self.map_cache_persistent = Native.Router.LispList.Ipv6.MapCachePersistent()
                    self.map_cache_persistent.parent = self
                    self.map_request_source = None
                    self.map_resolver = None
                    self.map_server = None
                    self.path_mtu_discovery = None
                    self.proxy_etr = None
                    self.proxy_itr = YLeafList()
                    self.proxy_itr.parent = self
                    self.proxy_itr.name = 'proxy_itr'
                    self.route_export = Native.Router.LispList.Ipv6.RouteExport()
                    self.route_export.parent = self
                    self.route_import = Native.Router.LispList.Ipv6.RouteImport()
                    self.route_import.parent = self
                    self.sgt = None
                    self.site_registration = Native.Router.LispList.Ipv6.SiteRegistration()
                    self.site_registration.parent = self
                    self.solicit_map_request = Native.Router.LispList.Ipv6.SolicitMapRequest()
                    self.solicit_map_request.parent = self
                    self.use_petr = YList()
                    self.use_petr.parent = self
                    self.use_petr.name = 'use_petr'


                class DatabaseMapping(object):
                    """
                    Address family specific local EID prefixes database configuration
                    
                    .. attribute:: limit
                    
                    	Configures the maximum size of local EID prefixes database
                    	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.DatabaseMapping.Limit>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.limit = Native.Router.LispList.Ipv6.DatabaseMapping.Limit()
                        self.limit.parent = self


                    class Limit(object):
                        """
                        Configures the maximum size of local EID prefixes database
                        
                        .. attribute:: dynamic
                        
                        	Configures the maximum size of dynamic local EID prefixes database
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dynamic = None
                            self.warning_threshold = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dynamic is not None:
                                return True

                            if self.warning_threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Ipv6.DatabaseMapping.Limit']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.limit is not None and self.limit._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv6.DatabaseMapping']['meta_info']


                class Distance(object):
                    """
                    Administrative distance for RIB route installation
                    
                    .. attribute:: alt
                    
                    	LISP routes installed in the ALT table
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dyn_eid
                    
                    	LISP installed routes of type dynamic\-EID
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: site_registrations
                    
                    	LISP installed routes of type site\-registrations
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.alt = None
                        self.dyn_eid = None
                        self.site_registrations = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.alt is not None:
                            return True

                        if self.dyn_eid is not None:
                            return True

                        if self.site_registrations is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv6.Distance']['meta_info']


                class Itr(object):
                    """
                    Configures a LISP Ingress Tunnel Router (ITR)
                    
                    .. attribute:: map_resolver
                    
                    	Configures map\-resolver address for sending Map\-Requests
                    	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.Itr.MapResolver>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.map_resolver = YList()
                        self.map_resolver.parent = self
                        self.map_resolver.name = 'map_resolver'


                    class MapResolver(object):
                        """
                        Configures map\-resolver address for sending Map\-Requests
                        
                        .. attribute:: ip_addr  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip_addr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ip_addr is None:
                                raise YPYModelError('Key property ip_addr is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip_addr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Ipv6.Itr.MapResolver']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.map_resolver is not None:
                            for child_ref in self.map_resolver:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv6.Itr']['meta_info']


                class ItrEnable(object):
                    """
                    
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.itr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.itr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv6.ItrEnable']['meta_info']


                class Etr(object):
                    """
                    Configures a LISP Egress Tunnel Router (ETR)
                    
                    .. attribute:: map_server
                    
                    	Configures map server for ETR registration
                    	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.Etr.MapServer>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.map_server = YList()
                        self.map_server.parent = self
                        self.map_server.name = 'map_server'


                    class MapServer(object):
                        """
                        Configures map server for ETR registration
                        
                        .. attribute:: ip_addr  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: key
                        
                        	Authentication key used with map server
                        	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.Etr.MapServer.Key>`
                        
                        .. attribute:: proxy_reply
                        
                        	Request Map\-Server to send Map\-Replies on behalf of site
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip_addr = None
                            self.key = Native.Router.LispList.Ipv6.Etr.MapServer.Key()
                            self.key.parent = self
                            self.proxy_reply = None


                        class Key(object):
                            """
                            Authentication key used with map server
                            
                            .. attribute:: key_0
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\:  str
                            
                            .. attribute:: key_6
                            
                            	The ENCRYPTED password
                            	**type**\:  str
                            
                            .. attribute:: key_7
                            
                            	The HIDDEN password
                            	**type**\:  str
                            
                            .. attribute:: pwd
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_0 = None
                                self.key_6 = None
                                self.key_7 = None
                                self.pwd = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_0 is not None:
                                    return True

                                if self.key_6 is not None:
                                    return True

                                if self.key_7 is not None:
                                    return True

                                if self.pwd is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv6.Etr.MapServer.Key']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ip_addr is None:
                                raise YPYModelError('Key property ip_addr is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip_addr is not None:
                                return True

                            if self.key is not None and self.key._has_data():
                                return True

                            if self.proxy_reply is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Ipv6.Etr.MapServer']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.map_server is not None:
                            for child_ref in self.map_server:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv6.Etr']['meta_info']


                class EtrEnable(object):
                    """
                    
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.etr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.etr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv6.EtrEnable']['meta_info']


                class Locator(object):
                    """
                    Locator related configuration
                    
                    .. attribute:: reachability
                    
                    	Configuration realted to locator reachability
                    	**type**\:   :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.Locator.Reachability>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.reachability = Native.Router.LispList.Ipv6.Locator.Reachability()
                        self.reachability.parent = self


                    class Reachability(object):
                        """
                        Configuration realted to locator reachability
                        
                        .. attribute:: exclude_default
                        
                        	If a remote RLOC is reached via the default route, treat it as unreachable
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.exclude_default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:reachability'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.exclude_default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Ipv6.Locator.Reachability']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.reachability is not None and self.reachability._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv6.Locator']['meta_info']


                class MapCache(object):
                    """
                    Address family specific map cache configuration
                    
                    .. attribute:: site_registration
                    
                    	Install map cache to map request for site registrations
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.site_registration = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.site_registration is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv6.MapCache']['meta_info']


                class MapCacheLimit(object):
                    """
                    Configures maximum size of map\-cache
                    
                    .. attribute:: max_map_cache_entries
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..100000
                    
                    .. attribute:: reserve_list
                    
                    	EID\-prefixes guaranteed to be stored in map\-cache
                    	**type**\:  str
                    
                    .. attribute:: warning_threshold
                    
                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.max_map_cache_entries = None
                        self.reserve_list = None
                        self.warning_threshold = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.max_map_cache_entries is not None:
                            return True

                        if self.reserve_list is not None:
                            return True

                        if self.warning_threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv6.MapCacheLimit']['meta_info']


                class MapCachePersistent(object):
                    """
                    Dump map\-cache onto flash, making it persistent across reboots
                    
                    .. attribute:: interval
                    
                    	Interval in minutes of how often the map\-cache is saved
                    	**type**\:  int
                    
                    	**range:** 1..1440
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interval = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interval is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv6.MapCachePersistent']['meta_info']


                class MapResolver(object):
                    """
                    Configures a LISP Map Resolver (MR)
                    
                    .. attribute:: map_request
                    
                    	Map\-Request processing options
                    	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapResolver.MapRequest>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.map_request = Native.Router.LispList.Ipv6.MapResolver.MapRequest()
                        self.map_request.parent = self


                    class MapRequest(object):
                        """
                        Map\-Request processing options
                        
                        .. attribute:: validate
                        
                        	Validation options
                        	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.validate = Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate()
                            self.validate.parent = self


                        class Validate(object):
                            """
                            Validation options
                            
                            .. attribute:: source
                            
                            	Influence which source RLOCs map requests are accepted from
                            	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate.Source>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.source = Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate.Source()
                                self.source.parent = self


                            class Source(object):
                                """
                                Influence which source RLOCs map requests are accepted from
                                
                                .. attribute:: ipv4
                                
                                	IPv4 prefixes
                                	**type**\:  str
                                
                                .. attribute:: ipv6
                                
                                	IPv6 prefixes
                                	**type**\:  str
                                
                                .. attribute:: list
                                
                                	Define allowed prefixes using an ip[v6] prefix list
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: registered
                                
                                	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4 = None
                                    self.ipv6 = None
                                    self.list = None
                                    self.registered = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv4 is not None:
                                        return True

                                    if self.ipv6 is not None:
                                        return True

                                    if self.list is not None:
                                        return True

                                    if self.registered is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.source is not None and self.source._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.validate is not None and self.validate._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Ipv6.MapResolver.MapRequest']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.map_request is not None and self.map_request._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv6.MapResolver']['meta_info']


                class MapServer(object):
                    """
                    Configures a LISP Map Server (MS)
                    
                    .. attribute:: map_register
                    
                    	Map\-Register processing options
                    	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapServer.MapRegister>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.map_register = Native.Router.LispList.Ipv6.MapServer.MapRegister()
                        self.map_register.parent = self


                    class MapRegister(object):
                        """
                        Map\-Register processing options
                        
                        .. attribute:: validate
                        
                        	Validation options
                        	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.validate = Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate()
                            self.validate.parent = self


                        class Validate(object):
                            """
                            Validation options
                            
                            .. attribute:: source
                            
                            	RLOC Source IP address
                            	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate.Source>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.source = Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate.Source()
                                self.source.parent = self


                            class Source(object):
                                """
                                RLOC Source IP address
                                
                                .. attribute:: allowed_locator
                                
                                	Against sites' allowed\-locators policy
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.allowed_locator = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.allowed_locator is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.source is not None and self.source._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.validate is not None and self.validate._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Ipv6.MapServer.MapRegister']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.map_register is not None and self.map_register._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv6.MapServer']['meta_info']


                class PathMtuDiscovery(object):
                    """
                    Path MTU discovery
                    
                    .. attribute:: max
                    
                    	Upper bound on the path MTU accepted
                    	**type**\:  int
                    
                    	**range:** 68..65535
                    
                    .. attribute:: min
                    
                    	Lower bound on the path MTU accepted
                    	**type**\:  int
                    
                    	**range:** 68..65535
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.max = None
                        self.min = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:path-mtu-discovery'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.max is not None:
                            return True

                        if self.min is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv6.PathMtuDiscovery']['meta_info']


                class RouteExport(object):
                    """
                    Export routes into RIB from LISP
                    
                    .. attribute:: away_eids
                    
                    	Export LISP away EIDs to RIB
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: site_registrations
                    
                    	Export LISP site registrations to RIB
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.away_eids = None
                        self.site_registrations = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.away_eids is not None:
                            return True

                        if self.site_registrations is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv6.RouteExport']['meta_info']


                class RouteImport(object):
                    """
                    Import RIB routes by a routing protocol into LISP
                    
                    .. attribute:: database
                    
                    	Use RIB routes to define local EID database entries
                    	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database>`
                    
                    .. attribute:: map_cache
                    
                    	Use RIB routes to define EID address space in map\-cache
                    	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.database = Native.Router.LispList.Ipv6.RouteImport.Database()
                        self.database.parent = self
                        self.map_cache = Native.Router.LispList.Ipv6.RouteImport.MapCache()
                        self.map_cache.parent = self


                    class Database(object):
                        """
                        Use RIB routes to define local EID database entries
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Connected>`
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Isis>`
                        
                        .. attribute:: maximum_prefix
                        
                        	Maximum number of prefixes to pick up from the RIB
                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.MaximumPrefix>`
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Ospf>`
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Rip>`
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Static>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bgp = YList()
                            self.bgp.parent = self
                            self.bgp.name = 'bgp'
                            self.connected = Native.Router.LispList.Ipv6.RouteImport.Database.Connected()
                            self.connected.parent = self
                            self.eigrp = YList()
                            self.eigrp.parent = self
                            self.eigrp.name = 'eigrp'
                            self.isis = YList()
                            self.isis.parent = self
                            self.isis.name = 'isis'
                            self.maximum_prefix = Native.Router.LispList.Ipv6.RouteImport.Database.MaximumPrefix()
                            self.maximum_prefix.parent = self
                            self.ospf = YList()
                            self.ospf.parent = self
                            self.ospf.name = 'ospf'
                            self.ospfv3 = YList()
                            self.ospfv3.parent = self
                            self.ospfv3.name = 'ospfv3'
                            self.rip = Native.Router.LispList.Ipv6.RouteImport.Database.Rip()
                            self.rip.parent = self
                            self.static = Native.Router.LispList.Ipv6.RouteImport.Database.Static()
                            self.static.parent = self


                        class Bgp(object):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.lisp_ip_route_import = Native.Router.LispList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Bgp']['meta_info']


                        class Connected(object):
                            """
                            Connected
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp_ip_route_import = Native.Router.LispList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Connected']['meta_info']


                        class Eigrp(object):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.lisp_ip_route_import = Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp']['meta_info']


                        class Isis(object):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.lisp_ip_route_import = Native.Router.LispList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Isis']['meta_info']


                        class MaximumPrefix(object):
                            """
                            Maximum number of prefixes to pick up from the RIB
                            
                            .. attribute:: number
                            
                            	
                            	**type**\:  int
                            
                            	**range:** \-2147483648..2147483647
                            
                            .. attribute:: threshold
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold1
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: warning_only
                            
                            	Only give a warning message and do not limit entries
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: warning_only1
                            
                            	Only give a warning message and do not limit entries
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.number = None
                                self.threshold = None
                                self.threshold1 = None
                                self.warning_only = None
                                self.warning_only1 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.number is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                if self.threshold1 is not None:
                                    return True

                                if self.warning_only is not None:
                                    return True

                                if self.warning_only1 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info']


                        class Ospf(object):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.lisp_ip_route_import = Native.Router.LispList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Ospf']['meta_info']


                        class Ospfv3(object):
                            """
                            OSPFv3
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.lisp_ip_route_import = Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3']['meta_info']


                        class Rip(object):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp_ip_route_import = Native.Router.LispList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Rip']['meta_info']


                        class Static(object):
                            """
                            Static routes
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lisp_ip_route_import = Native.Router.LispList.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self


                            class LispIpRouteImport(object):
                                """
                                
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.locator_set = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.locator_set is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.Database.Static']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bgp is not None:
                                for child_ref in self.bgp:
                                    if child_ref._has_data():
                                        return True

                            if self.connected is not None and self.connected._has_data():
                                return True

                            if self.eigrp is not None:
                                for child_ref in self.eigrp:
                                    if child_ref._has_data():
                                        return True

                            if self.isis is not None:
                                for child_ref in self.isis:
                                    if child_ref._has_data():
                                        return True

                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                return True

                            if self.ospf is not None:
                                for child_ref in self.ospf:
                                    if child_ref._has_data():
                                        return True

                            if self.ospfv3 is not None:
                                for child_ref in self.ospfv3:
                                    if child_ref._has_data():
                                        return True

                            if self.rip is not None and self.rip._has_data():
                                return True

                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.Database']['meta_info']


                    class MapCache(object):
                        """
                        Use RIB routes to define EID address space in map\-cache
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Isis>`
                        
                        .. attribute:: maximum_prefix
                        
                        	Maximum number of prefixes to pick up from the RIB
                        	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospf>`
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Rip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Static>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bgp = YList()
                            self.bgp.parent = self
                            self.bgp.name = 'bgp'
                            self.connected = None
                            self.eigrp = YList()
                            self.eigrp.parent = self
                            self.eigrp.name = 'eigrp'
                            self.isis = YList()
                            self.isis.parent = self
                            self.isis.name = 'isis'
                            self.maximum_prefix = Native.Router.LispList.Ipv6.RouteImport.MapCache.MaximumPrefix()
                            self.maximum_prefix.parent = self
                            self.ospf = YList()
                            self.ospf.parent = self
                            self.ospf.name = 'ospf'
                            self.ospfv3 = YList()
                            self.ospfv3.parent = self
                            self.ospfv3.name = 'ospfv3'
                            self.rip = None
                            self.static = None


                        class Bgp(object):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Bgp']['meta_info']


                        class Connected(object):
                            """
                            Connected
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Connected']['meta_info']


                        class Eigrp(object):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']


                        class Isis(object):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Isis']['meta_info']


                        class MaximumPrefix(object):
                            """
                            Maximum number of prefixes to pick up from the RIB
                            
                            .. attribute:: number
                            
                            	
                            	**type**\:  int
                            
                            	**range:** \-2147483648..2147483647
                            
                            .. attribute:: threshold
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold1
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: warning_only
                            
                            	Only give a warning message and do not limit entries
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: warning_only1
                            
                            	Only give a warning message and do not limit entries
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.number = None
                                self.threshold = None
                                self.threshold1 = None
                                self.warning_only = None
                                self.warning_only1 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.number is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                if self.threshold1 is not None:
                                    return True

                                if self.warning_only is not None:
                                    return True

                                if self.warning_only1 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info']


                        class Ospf(object):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospf']['meta_info']


                        class Ospfv3(object):
                            """
                            OSPFv3
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info']


                        class Rip(object):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Rip']['meta_info']


                        class Static(object):
                            """
                            Static routes
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_cache_container = None


                            class MapCacheContainer(object):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_cache_container is not None and self.map_cache_container._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache.Static']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bgp is not None:
                                for child_ref in self.bgp:
                                    if child_ref._has_data():
                                        return True

                            if self.connected is not None and self.connected._has_data():
                                return True

                            if self.eigrp is not None:
                                for child_ref in self.eigrp:
                                    if child_ref._has_data():
                                        return True

                            if self.isis is not None:
                                for child_ref in self.isis:
                                    if child_ref._has_data():
                                        return True

                            if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                return True

                            if self.ospf is not None:
                                for child_ref in self.ospf:
                                    if child_ref._has_data():
                                        return True

                            if self.ospfv3 is not None:
                                for child_ref in self.ospfv3:
                                    if child_ref._has_data():
                                        return True

                            if self.rip is not None and self.rip._has_data():
                                return True

                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport.MapCache']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.database is not None and self.database._has_data():
                            return True

                        if self.map_cache is not None and self.map_cache._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv6.RouteImport']['meta_info']


                class SiteRegistration(object):
                    """
                    Site registrations configuration for a given instance\-id
                    
                    .. attribute:: limit
                    
                    	Maximum number of site registrations for a given instance\-id
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: warning_threshold
                    
                    	Warning threshold to issue system logging
                    	**type**\:  int
                    
                    	**range:** 1..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.limit = None
                        self.warning_threshold = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.limit is not None:
                            return True

                        if self.warning_threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv6.SiteRegistration']['meta_info']


                class SolicitMapRequest(object):
                    """
                    Configure Solicit\-Map\-Request handling
                    
                    .. attribute:: ignore
                    
                    	Ignore SMR bit in incoming Map\-Requests
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_per_entry
                    
                    	Maximum number of SMRs for addresses under a map\-cache entry
                    	**type**\:  int
                    
                    	**range:** 1..100
                    
                    .. attribute:: suppression_time
                    
                    	How long to suppress repeated SMRs for the same address
                    	**type**\:  int
                    
                    	**range:** 1..600
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ignore = None
                        self.max_per_entry = None
                        self.suppression_time = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ignore is not None:
                            return True

                        if self.max_per_entry is not None:
                            return True

                        if self.suppression_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv6.SolicitMapRequest']['meta_info']


                class UsePetr(object):
                    """
                    Encapsulate to Proxy ETR when matching forward\-native entry
                    
                    .. attribute:: locator_address  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: priority
                    
                    	Configures which Locators from a set are preferred
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: weight
                    
                    	Traffic load\-spreading among Locators
                    	**type**\:  int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.locator_address = None
                        self.priority = None
                        self.weight = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.locator_address is None:
                            raise YPYModelError('Key property locator_address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.locator_address is not None:
                            return True

                        if self.priority is not None:
                            return True

                        if self.weight is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Ipv6.UsePetr']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.alt_vrf is not None:
                        return True

                    if self.database_mapping is not None and self.database_mapping._has_data():
                        return True

                    if self.distance is not None and self.distance._has_data():
                        return True

                    if self.etr is not None and self.etr._has_data():
                        return True

                    if self.etr_enable is not None and self.etr_enable._has_data():
                        return True

                    if self.itr is not None and self.itr._has_data():
                        return True

                    if self.itr_enable is not None and self.itr_enable._has_data():
                        return True

                    if self.locator is not None and self.locator._has_data():
                        return True

                    if self.map_cache is not None and self.map_cache._has_data():
                        return True

                    if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                        return True

                    if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                        return True

                    if self.map_request_source is not None:
                        return True

                    if self.map_resolver is not None and self.map_resolver._has_data():
                        return True

                    if self.map_server is not None and self.map_server._has_data():
                        return True

                    if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                        return True

                    if self.proxy_etr is not None:
                        return True

                    if self.proxy_itr is not None:
                        for child in self.proxy_itr:
                            if child is not None:
                                return True

                    if self.route_export is not None and self.route_export._has_data():
                        return True

                    if self.route_import is not None and self.route_import._has_data():
                        return True

                    if self.sgt is not None:
                        return True

                    if self.site_registration is not None and self.site_registration._has_data():
                        return True

                    if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                        return True

                    if self.use_petr is not None:
                        for child_ref in self.use_petr:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.Ipv6']['meta_info']


            class LocReachAlgorithm(object):
                """
                Configure locator reachability algorithm
                
                .. attribute:: lsb_reports
                
                	Configure data packet LSB report handling
                	**type**\:   :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.LocReachAlgorithm.LsbReports>`
                
                .. attribute:: rloc_probing
                
                	Probe high priority RLOCs with Map\-Requests as last resort
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.lsb_reports = Native.Router.LispList.LocReachAlgorithm.LsbReports()
                    self.lsb_reports.parent = self
                    self.rloc_probing = None


                class LsbReports(object):
                    """
                    Configure data packet LSB report handling
                    
                    .. attribute:: do_not_transmit
                    
                    	Force the setting of the encapsulation header L bit to zero
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ignore
                    
                    	Ignore data packet LSB reports
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.do_not_transmit = None
                        self.ignore = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:lsb-reports'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.do_not_transmit is not None:
                            return True

                        if self.ignore is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.LocReachAlgorithm.LsbReports']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:loc-reach-algorithm'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.lsb_reports is not None and self.lsb_reports._has_data():
                        return True

                    if self.rloc_probing is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.LocReachAlgorithm']['meta_info']


            class LocatorDown(object):
                """
                Manually set locator status to down
                
                .. attribute:: address
                
                	IPv4/6 Locator address to be set down
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: ipv4_interface
                
                	Use IPv4 address of interface as locator
                	**type**\:  str
                
                .. attribute:: ipv6_interface
                
                	Use IPv6 address of interface as locator
                	**type**\:  str
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address = None
                    self.ipv4_interface = None
                    self.ipv6_interface = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator-down'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address is not None:
                        return True

                    if self.ipv4_interface is not None:
                        return True

                    if self.ipv6_interface is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.LocatorDown']['meta_info']


            class LocatorTable(object):
                """
                Specify the RLOC table
                
                .. attribute:: default
                
                	Default VRF
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vrf
                
                	VRF name
                	**type**\:  str
                
                .. attribute:: vrf_name
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = None
                    self.vrf = None
                    self.vrf_name = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator-table'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None:
                        return True

                    if self.vrf is not None:
                        return True

                    if self.vrf_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.LocatorTable']['meta_info']


            class MapRequest(object):
                """
                Configure map\-request handling
                
                .. attribute:: itr_rlocs
                
                	Configure to use the specified RLOC set as ITR RLOC in map\-request
                	**type**\:  str
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.itr_rlocs = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.itr_rlocs is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.MapRequest']['meta_info']


            class MapServer(object):
                """
                Map\-Server commands
                
                .. attribute:: rloc
                
                	EID instance RLOC membership
                	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.MapServer.Rloc>`
                
                .. attribute:: site_registration
                
                	Map\-server site registration options
                	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.MapServer.SiteRegistration>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.rloc = Native.Router.LispList.MapServer.Rloc()
                    self.rloc.parent = self
                    self.site_registration = Native.Router.LispList.MapServer.SiteRegistration()
                    self.site_registration.parent = self


                class Rloc(object):
                    """
                    EID instance RLOC membership
                    
                    .. attribute:: members
                    
                    	EID instance RLOC membership
                    	**type**\:   :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.MapServer.Rloc.Members>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.members = Native.Router.LispList.MapServer.Rloc.Members()
                        self.members.parent = self


                    class Members(object):
                        """
                        EID instance RLOC membership
                        
                        .. attribute:: distribute
                        
                        	EID instance RLOC membership distribution
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: modify_discovered
                        
                        	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                        	**type**\:   :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.MapServer.Rloc.Members.ModifyDiscovered>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.distribute = None
                            self.modify_discovered = Native.Router.LispList.MapServer.Rloc.Members.ModifyDiscovered()
                            self.modify_discovered.parent = self


                        class ModifyDiscovered(object):
                            """
                            Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                            
                            .. attribute:: locator_set
                            
                            	Locator set from which to get member RLOC addresses
                            	**type**\:  str
                            
                            .. attribute:: operator
                            
                            	
                            	**type**\:   :py:class:`OperatorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.locator_set = None
                                self.operator = None

                            class OperatorEnum(Enum):
                                """
                                OperatorEnum

                                .. data:: add = 0

                                .. data:: override = 1

                                """

                                add = 0

                                override = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:modify-discovered'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.locator_set is not None:
                                    return True

                                if self.operator is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.MapServer.Rloc.Members.ModifyDiscovered']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:members'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.distribute is not None:
                                return True

                            if self.modify_discovered is not None and self.modify_discovered._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.MapServer.Rloc.Members']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.members is not None and self.members._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.MapServer.Rloc']['meta_info']


                class SiteRegistration(object):
                    """
                    Map\-server site registration options
                    
                    .. attribute:: limit
                    
                    	Maximum number of site registrations as a result of accept\-more\-specifics
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: warning_threshold
                    
                    	Warning threshold to issue system logging
                    	**type**\:  int
                    
                    	**range:** 1..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.limit = None
                        self.warning_threshold = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.limit is not None:
                            return True

                        if self.warning_threshold is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.MapServer.SiteRegistration']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.rloc is not None and self.rloc._has_data():
                        return True

                    if self.site_registration is not None and self.site_registration._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.MapServer']['meta_info']


            class OtherXtrProbe(object):
                """
                Configure parameters for probing of other xTRs in our site
                
                .. attribute:: period
                
                	Period between probes in seconds
                	**type**\:  int
                
                	**range:** 5..900
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.period = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:other-xtr-probe'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.period is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.OtherXtrProbe']['meta_info']


            class RemoteRlocProbe(object):
                """
                Configure parameters for probing of remote RLOCs
                
                .. attribute:: on_membership_change
                
                	Trigger probing upon membership changes for remote RLOC
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: on_route_change
                
                	Trigger probing upon routing changes for remote RLOC
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.on_membership_change = None
                    self.on_route_change = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:remote-rloc-probe'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.on_membership_change is not None:
                        return True

                    if self.on_route_change is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.RemoteRlocProbe']['meta_info']


            class EidTable(object):
                """
                Configure an EID instance for a VRF
                
                .. attribute:: instance_list
                
                	
                	**type**\: list of    :py:class:`InstanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.instance_list = YList()
                    self.instance_list.parent = self
                    self.instance_list.name = 'instance_list'


                class InstanceList(object):
                    """
                    
                    
                    .. attribute:: instance_id  <key>
                    
                    	EID instance\-ID
                    	**type**\:  int
                    
                    	**range:** 0..16777214
                    
                    .. attribute:: alt
                    
                    	LISP Alternative Topology, LISP\-ALT
                    	**type**\:   :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Alt>`
                    
                    .. attribute:: control_packet
                    
                    	Configure control packet tx option
                    	**type**\:   :py:class:`ControlPacket <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.ControlPacket>`
                    
                    .. attribute:: database_mapping
                    
                    	Configures Locator addresses for an ETR
                    	**type**\: list of    :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.DatabaseMapping>`
                    
                    .. attribute:: ddt
                    
                    	Delegated Database Tree (DDT) mapping system
                    	**type**\:   :py:class:`Ddt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ddt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: decapsulation
                    
                    	Decapsulation behavior (e.g. filters)
                    	**type**\:   :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Decapsulation>`
                    
                    .. attribute:: default
                    
                    	Default VRF
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: disable_ttl_propagate
                    
                    	Disable ttl propagation
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dynamic_eid
                    
                    	Configure a dynamic EID
                    	**type**\: list of    :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.DynamicEid>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Etr>`
                    
                    .. attribute:: ipv4
                    
                    	IPv4 address family
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 address family
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6>`
                    
                    .. attribute:: loc_reach_algorithm
                    
                    	Configure locator reachability algorithm
                    	**type**\:   :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm>`
                    
                    .. attribute:: locator_down
                    
                    	Manually set locator status to down
                    	**type**\:   :py:class:`LocatorDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.LocatorDown>`
                    
                    .. attribute:: locator_table
                    
                    	Specify the RLOC table
                    	**type**\:   :py:class:`LocatorTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.LocatorTable>`
                    
                    .. attribute:: map_cache
                    
                    	Configures static EID\-to\-RLOC mappings for an ITR
                    	**type**\: list of    :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.MapCache>`
                    
                    .. attribute:: map_request
                    
                    	Configure map\-request handling
                    	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.MapRequest>`
                    
                    .. attribute:: map_server
                    
                    	Map\-Server commands
                    	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.MapServer>`
                    
                    .. attribute:: other_xtr_probe
                    
                    	Configure parameters for probing of other xTRs in our site
                    	**type**\:   :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.OtherXtrProbe>`
                    
                    .. attribute:: remote_rloc_probe
                    
                    	Configure parameters for probing of remote RLOCs
                    	**type**\:   :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.RemoteRlocProbe>`
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: vrf_name
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.instance_id = None
                        self.alt = Native.Router.LispList.EidTable.InstanceList.Alt()
                        self.alt.parent = self
                        self.control_packet = Native.Router.LispList.EidTable.InstanceList.ControlPacket()
                        self.control_packet.parent = self
                        self.database_mapping = YList()
                        self.database_mapping.parent = self
                        self.database_mapping.name = 'database_mapping'
                        self.ddt = None
                        self.decapsulation = Native.Router.LispList.EidTable.InstanceList.Decapsulation()
                        self.decapsulation.parent = self
                        self.default = None
                        self.disable_ttl_propagate = None
                        self.dynamic_eid = YList()
                        self.dynamic_eid.parent = self
                        self.dynamic_eid.name = 'dynamic_eid'
                        self.etr = Native.Router.LispList.EidTable.InstanceList.Etr()
                        self.etr.parent = self
                        self.ipv4 = Native.Router.LispList.EidTable.InstanceList.Ipv4()
                        self.ipv4.parent = self
                        self.ipv6 = Native.Router.LispList.EidTable.InstanceList.Ipv6()
                        self.ipv6.parent = self
                        self.loc_reach_algorithm = Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm()
                        self.loc_reach_algorithm.parent = self
                        self.locator_down = Native.Router.LispList.EidTable.InstanceList.LocatorDown()
                        self.locator_down.parent = self
                        self.locator_table = Native.Router.LispList.EidTable.InstanceList.LocatorTable()
                        self.locator_table.parent = self
                        self.map_cache = YList()
                        self.map_cache.parent = self
                        self.map_cache.name = 'map_cache'
                        self.map_request = Native.Router.LispList.EidTable.InstanceList.MapRequest()
                        self.map_request.parent = self
                        self.map_server = Native.Router.LispList.EidTable.InstanceList.MapServer()
                        self.map_server.parent = self
                        self.other_xtr_probe = Native.Router.LispList.EidTable.InstanceList.OtherXtrProbe()
                        self.other_xtr_probe.parent = self
                        self.remote_rloc_probe = Native.Router.LispList.EidTable.InstanceList.RemoteRlocProbe()
                        self.remote_rloc_probe.parent = self
                        self.vrf = None
                        self.vrf_name = None


                    class DatabaseMapping(object):
                        """
                        Configures Locator addresses for an ETR
                        
                        .. attribute:: eid_prefix  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        
                        ----
                        .. attribute:: locator_set
                        
                        	Use locators defined by locator\-set
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eid_prefix = None
                            self.locator_set = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.eid_prefix is None:
                                raise YPYModelError('Key property eid_prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eid_prefix is not None:
                                return True

                            if self.locator_set is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.DatabaseMapping']['meta_info']


                    class DynamicEid(object):
                        """
                        Configure a dynamic EID
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: database_mapping
                        
                        	Configures EID\-prefix and locator\-set for dynamic\-EID
                        	**type**\: list of    :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.DynamicEid.DatabaseMapping>`
                        
                        .. attribute:: eid_notify
                        
                        	Configure options for sending/receiving EID\-notify
                        	**type**\:   :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify>`
                        
                        .. attribute:: map_notify_group
                        
                        	Multicast group which to send map\-notifies to
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.database_mapping = YList()
                            self.database_mapping.parent = self
                            self.database_mapping.name = 'database_mapping'
                            self.eid_notify = Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify()
                            self.eid_notify.parent = self
                            self.map_notify_group = None
                            self.map_server = YList()
                            self.map_server.parent = self
                            self.map_server.name = 'map_server'


                        class DatabaseMapping(object):
                            """
                            Configures EID\-prefix and locator\-set for dynamic\-EID
                            
                            .. attribute:: eid_prefix  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            .. attribute:: locator_set
                            
                            	Use locators defined by locator\-set
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eid_prefix = None
                                self.locator_set = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.eid_prefix is None:
                                    raise YPYModelError('Key property eid_prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eid_prefix is not None:
                                    return True

                                if self.locator_set is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid.DatabaseMapping']['meta_info']


                        class EidNotify(object):
                            """
                            Configure options for sending/receiving EID\-notify
                            
                            .. attribute:: authentication_key
                            
                            	Authentication key used for validating received EID\-notify
                            	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey>`
                            
                            .. attribute:: gateway_key
                            
                            	
                            	**type**\: list of    :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication_key = Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey()
                                self.authentication_key.parent = self
                                self.gateway_key = YList()
                                self.gateway_key.parent = self
                                self.gateway_key.name = 'gateway_key'


                            class AuthenticationKey(object):
                                """
                                Authentication key used for validating received EID\-notify
                                
                                .. attribute:: ak_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                .. attribute:: ak_6
                                
                                	The ENCRYPTED password
                                	**type**\:  str
                                
                                .. attribute:: unc_pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ak_0 = None
                                    self.ak_6 = None
                                    self.unc_pwd = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:authentication-key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ak_0 is not None:
                                        return True

                                    if self.ak_6 is not None:
                                        return True

                                    if self.unc_pwd is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey']['meta_info']


                            class GatewayKey(object):
                                """
                                
                                
                                .. attribute:: gateway_ip  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: ak_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                .. attribute:: ak_6
                                
                                	The ENCRYPTED password
                                	**type**\:  str
                                
                                .. attribute:: hash_function
                                
                                	EID\-notify authentication type
                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey.HashFunctionEnum>`
                                
                                .. attribute:: unc_pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.gateway_ip = None
                                    self.ak_0 = None
                                    self.ak_6 = None
                                    self.hash_function = None
                                    self.unc_pwd = None

                                class HashFunctionEnum(Enum):
                                    """
                                    HashFunctionEnum

                                    EID\-notify authentication type

                                    .. data:: sha1 = 0

                                    .. data:: sha2 = 1

                                    """

                                    sha1 = 0

                                    sha2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey.HashFunctionEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.gateway_ip is None:
                                        raise YPYModelError('Key property gateway_ip is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:gateway-key[Cisco-IOS-XE-lisp:gateway-ip = ' + str(self.gateway_ip) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.gateway_ip is not None:
                                        return True

                                    if self.ak_0 is not None:
                                        return True

                                    if self.ak_6 is not None:
                                        return True

                                    if self.hash_function is not None:
                                        return True

                                    if self.unc_pwd is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-notify'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication_key is not None and self.authentication_key._has_data():
                                    return True

                                if self.gateway_key is not None:
                                    for child_ref in self.gateway_key:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify']['meta_info']


                        class MapServer(object):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip = None
                                self.key = Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer.Key()
                                self.key.parent = self
                                self.proxy_reply = None


                            class Key(object):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: hash_function
                                
                                	Map\-Register authentication type
                                	**type**\:   :py:class:`HashFunctionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer.Key.HashFunctionEnum>`
                                
                                .. attribute:: key_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                .. attribute:: key_6
                                
                                	The ENCRYPTED password
                                	**type**\:  str
                                
                                .. attribute:: key_7
                                
                                	The HIDDEN password
                                	**type**\:  str
                                
                                .. attribute:: pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.hash_function = None
                                    self.key_0 = None
                                    self.key_6 = None
                                    self.key_7 = None
                                    self.pwd = None

                                class HashFunctionEnum(Enum):
                                    """
                                    HashFunctionEnum

                                    Map\-Register authentication type

                                    .. data:: sha1 = 0

                                    .. data:: sha2 = 1

                                    """

                                    sha1 = 0

                                    sha2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer.Key.HashFunctionEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.hash_function is not None:
                                        return True

                                    if self.key_0 is not None:
                                        return True

                                    if self.key_6 is not None:
                                        return True

                                    if self.key_7 is not None:
                                        return True

                                    if self.pwd is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer.Key']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip is None:
                                    raise YPYModelError('Key property ip is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip = ' + str(self.ip) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip is not None:
                                    return True

                                if self.key is not None and self.key._has_data():
                                    return True

                                if self.proxy_reply is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:dynamic-eid[Cisco-IOS-XE-lisp:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.database_mapping is not None:
                                for child_ref in self.database_mapping:
                                    if child_ref._has_data():
                                        return True

                            if self.eid_notify is not None and self.eid_notify._has_data():
                                return True

                            if self.map_notify_group is not None:
                                return True

                            if self.map_server is not None:
                                for child_ref in self.map_server:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.DynamicEid']['meta_info']


                    class Alt(object):
                        """
                        LISP Alternative Topology, LISP\-ALT
                        
                        .. attribute:: summary_route
                        
                        	Summary route to install into the ALT table
                        	**type**\: list of    :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Alt.SummaryRoute>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.summary_route = YList()
                            self.summary_route.parent = self
                            self.summary_route.name = 'summary_route'


                        class SummaryRoute(object):
                            """
                            Summary route to install into the ALT table
                            
                            .. attribute:: eid_prefix  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: route_tag
                            
                            	ALT RIB route tag for EID prefix
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.eid_prefix = None
                                self.route_tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.eid_prefix is None:
                                    raise YPYModelError('Key property eid_prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:summary-route[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.eid_prefix is not None:
                                    return True

                                if self.route_tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Alt.SummaryRoute']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:alt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.summary_route is not None:
                                for child_ref in self.summary_route:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Alt']['meta_info']


                    class ControlPacket(object):
                        """
                        Configure control packet tx option
                        
                        .. attribute:: mtu
                        
                        	Configure control packet MTU
                        	**type**\:  int
                        
                        	**range:** 304..10000
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.mtu = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:control-packet'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.mtu is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.ControlPacket']['meta_info']


                    class Ddt(object):
                        """
                        Delegated Database Tree (DDT) mapping system
                        
                        .. attribute:: authoritative
                        
                        	DDT authoritative prefix
                        	**type**\:   :py:class:`Authoritative <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative>`
                        
                        .. attribute:: cache_limit
                        
                        	DDT resolver cache entry limit
                        	**type**\:  int
                        
                        	**range:** 1..100000
                        
                        .. attribute:: root
                        
                        	DDT root node
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.authoritative = Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative()
                            self.authoritative.parent = self
                            self.cache_limit = None
                            self.root = None


                        class Authoritative(object):
                            """
                            DDT authoritative prefix
                            
                            .. attribute:: instance_id_eid_prefix_list
                            
                            	
                            	**type**\: list of    :py:class:`InstanceIdEidPrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList>`
                            
                            .. attribute:: instance_id_list
                            
                            	
                            	**type**\: list of    :py:class:`InstanceIdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.instance_id_eid_prefix_list = YList()
                                self.instance_id_eid_prefix_list.parent = self
                                self.instance_id_eid_prefix_list.name = 'instance_id_eid_prefix_list'
                                self.instance_id_list = YList()
                                self.instance_id_list.parent = self
                                self.instance_id_list.name = 'instance_id_list'


                            class InstanceIdEidPrefixList(object):
                                """
                                
                                
                                .. attribute:: instance_id  <key>
                                
                                	EID instance\-ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: eid_prefix  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: delegate
                                
                                	DDT delegation to a child DDT node or map\-server
                                	**type**\:   :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate>`
                                
                                .. attribute:: map_server_peer
                                
                                	Peer map\-servers that are authoritative for the same EID prefixes
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.instance_id = None
                                    self.eid_prefix = None
                                    self.delegate = Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate()
                                    self.delegate.parent = self
                                    self.map_server_peer = None


                                class Delegate(object):
                                    """
                                    DDT delegation to a child DDT node or map\-server
                                    
                                    .. attribute:: eid_prefix
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    
                                    ----
                                    .. attribute:: instance_id
                                    
                                    	EID instance\-ID
                                    	**type**\:  str
                                    
                                    .. attribute:: ip_address
                                    
                                    	IPv4/6 Child or map\-server node locator address
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: map_server
                                    
                                    	Delegation points to a map\-server
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: to
                                    
                                    	DDT delegation to a child DDT node or map\-server
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.instance_id = None
                                        self.ip_address = None
                                        self.map_server = None
                                        self.to = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:delegate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.instance_id is not None:
                                            return True

                                        if self.ip_address is not None:
                                            return True

                                        if self.map_server is not None:
                                            return True

                                        if self.to is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.instance_id is None:
                                        raise YPYModelError('Key property instance_id is None')
                                    if self.eid_prefix is None:
                                        raise YPYModelError('Key property eid_prefix is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id-eid-prefix-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + '][Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.instance_id is not None:
                                        return True

                                    if self.eid_prefix is not None:
                                        return True

                                    if self.delegate is not None and self.delegate._has_data():
                                        return True

                                    if self.map_server_peer is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList']['meta_info']


                            class InstanceIdList(object):
                                """
                                
                                
                                .. attribute:: instance_id  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: delegate
                                
                                	DDT delegation to a child DDT node or map\-server
                                	**type**\:   :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate>`
                                
                                .. attribute:: map_server_peer
                                
                                	Peer map\-servers that are authoritative for the same EID prefixes
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.instance_id = None
                                    self.delegate = Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate()
                                    self.delegate.parent = self
                                    self.map_server_peer = None


                                class Delegate(object):
                                    """
                                    DDT delegation to a child DDT node or map\-server
                                    
                                    .. attribute:: eid_prefix
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    
                                    ----
                                    .. attribute:: instance_id
                                    
                                    	EID instance\-ID
                                    	**type**\:  str
                                    
                                    .. attribute:: ip_address
                                    
                                    	IPv4/6 Child or map\-server node locator address
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    
                                    ----
                                    .. attribute:: map_server
                                    
                                    	Delegation points to a map\-server
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: to
                                    
                                    	DDT delegation to a child DDT node or map\-server
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.eid_prefix = None
                                        self.instance_id = None
                                        self.ip_address = None
                                        self.map_server = None
                                        self.to = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:delegate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.eid_prefix is not None:
                                            return True

                                        if self.instance_id is not None:
                                            return True

                                        if self.ip_address is not None:
                                            return True

                                        if self.map_server is not None:
                                            return True

                                        if self.to is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.instance_id is None:
                                        raise YPYModelError('Key property instance_id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.instance_id is not None:
                                        return True

                                    if self.delegate is not None and self.delegate._has_data():
                                        return True

                                    if self.map_server_peer is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:authoritative'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.instance_id_eid_prefix_list is not None:
                                    for child_ref in self.instance_id_eid_prefix_list:
                                        if child_ref._has_data():
                                            return True

                                if self.instance_id_list is not None:
                                    for child_ref in self.instance_id_list:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ddt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.authoritative is not None and self.authoritative._has_data():
                                return True

                            if self.cache_limit is not None:
                                return True

                            if self.root is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ddt']['meta_info']


                    class Decapsulation(object):
                        """
                        Decapsulation behavior (e.g. filters)
                        
                        .. attribute:: filter
                        
                        	Filters traffic
                        	**type**\:   :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.filter = Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter()
                            self.filter.parent = self


                        class Filter(object):
                            """
                            Filters traffic
                            
                            .. attribute:: rloc
                            
                            	Filter based on Routing Locator (RLOC) in packet header
                            	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rloc = Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc()
                                self.rloc.parent = self


                            class Rloc(object):
                                """
                                Filter based on Routing Locator (RLOC) in packet header
                                
                                .. attribute:: source
                                
                                	Filters traffic based on RLOC source address
                                	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source()
                                    self.source.parent = self


                                class Source(object):
                                    """
                                    Filters traffic based on RLOC source address
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator\-set Name
                                    	**type**\:  str
                                    
                                    .. attribute:: member
                                    
                                    	Members learned from map\-server
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.member = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.member is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None and self.source._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:filter'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rloc is not None and self.rloc._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:decapsulation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.filter is not None and self.filter._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Decapsulation']['meta_info']


                    class Etr(object):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Etr.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.map_server = Native.Router.LispList.EidTable.InstanceList.Etr.MapServer()
                            self.map_server.parent = self


                        class MapServer(object):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: source_address
                            
                            	Configures map server source address
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.source_address = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.source_address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Etr.MapServer']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Etr']['meta_info']


                    class Ipv4(object):
                        """
                        IPv4 address family
                        
                        .. attribute:: alt_vrf
                        
                        	Activate LISP\-ALT functionality in VRF
                        	**type**\:  str
                        
                        	**status**\: deprecated
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.Distance>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.EtrEnable>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.ItrEnable>`
                        
                        .. attribute:: locator
                        
                        	Locator related configuration
                        	**type**\:   :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCache>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCacheLimit>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCachePersistent>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: path_mtu_discovery
                        
                        	Path MTU discovery
                        	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.PathMtuDiscovery>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\: one of the below types:
                        
                        	**type**\:  list of str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  list of str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteExport>`
                        
                        .. attribute:: route_import
                        
                        	Import RIB routes by a routing protocol into LISP
                        	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.SolicitMapRequest>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.UsePetr>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.alt_vrf = None
                            self.database_mapping = Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping()
                            self.database_mapping.parent = self
                            self.distance = Native.Router.LispList.EidTable.InstanceList.Ipv4.Distance()
                            self.distance.parent = self
                            self.etr = Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr()
                            self.etr.parent = self
                            self.etr_enable = Native.Router.LispList.EidTable.InstanceList.Ipv4.EtrEnable()
                            self.etr_enable.parent = self
                            self.itr = Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr()
                            self.itr.parent = self
                            self.itr_enable = Native.Router.LispList.EidTable.InstanceList.Ipv4.ItrEnable()
                            self.itr_enable.parent = self
                            self.locator = Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator()
                            self.locator.parent = self
                            self.map_cache = Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCache()
                            self.map_cache.parent = self
                            self.map_cache_limit = Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self.map_cache_persistent = Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self.map_request_source = None
                            self.map_resolver = None
                            self.map_server = None
                            self.path_mtu_discovery = None
                            self.proxy_etr = None
                            self.proxy_itr = YLeafList()
                            self.proxy_itr.parent = self
                            self.proxy_itr.name = 'proxy_itr'
                            self.route_export = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteExport()
                            self.route_export.parent = self
                            self.route_import = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport()
                            self.route_import.parent = self
                            self.sgt = None
                            self.site_registration = Native.Router.LispList.EidTable.InstanceList.Ipv4.SiteRegistration()
                            self.site_registration.parent = self
                            self.solicit_map_request = Native.Router.LispList.EidTable.InstanceList.Ipv4.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self.use_petr = YList()
                            self.use_petr.parent = self
                            self.use_petr.name = 'use_petr'


                        class DatabaseMapping(object):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit()
                                self.limit.parent = self


                            class Limit(object):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dynamic = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dynamic is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None and self.limit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping']['meta_info']


                        class Distance(object):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.alt = None
                                self.dyn_eid = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.alt is not None:
                                    return True

                                if self.dyn_eid is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.Distance']['meta_info']


                        class Itr(object):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_resolver = YList()
                                self.map_resolver.parent = self
                                self.map_resolver.name = 'map_resolver'


                            class MapResolver(object):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr.MapResolver']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_resolver is not None:
                                    for child_ref in self.map_resolver:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr']['meta_info']


                        class ItrEnable(object):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.itr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.itr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.ItrEnable']['meta_info']


                        class Etr(object):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None
                                    self.key = Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: key_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: key_7
                                    
                                    	The HIDDEN password
                                    	**type**\:  str
                                    
                                    .. attribute:: pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = None
                                        self.key_6 = None
                                        self.key_7 = None
                                        self.pwd = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None:
                                            return True

                                        if self.key_6 is not None:
                                            return True

                                        if self.key_7 is not None:
                                            return True

                                        if self.pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr']['meta_info']


                        class EtrEnable(object):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.etr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.etr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.EtrEnable']['meta_info']


                        class Locator(object):
                            """
                            Locator related configuration
                            
                            .. attribute:: reachability
                            
                            	Configuration realted to locator reachability
                            	**type**\:   :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator.Reachability>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.reachability = Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator.Reachability()
                                self.reachability.parent = self


                            class Reachability(object):
                                """
                                Configuration realted to locator reachability
                                
                                .. attribute:: exclude_default
                                
                                	If a remote RLOC is reached via the default route, treat it as unreachable
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.exclude_default = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:reachability'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.exclude_default is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator.Reachability']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.reachability is not None and self.reachability._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator']['meta_info']


                        class MapCache(object):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.site_registration = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.site_registration is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCache']['meta_info']


                        class MapCacheLimit(object):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\:  str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max_map_cache_entries = None
                                self.reserve_list = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max_map_cache_entries is not None:
                                    return True

                                if self.reserve_list is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCacheLimit']['meta_info']


                        class MapCachePersistent(object):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\:  int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interval = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCachePersistent']['meta_info']


                        class MapResolver(object):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_request = Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest()
                                self.map_request.parent = self


                            class MapRequest(object):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: ipv4
                                        
                                        	IPv4 prefixes
                                        	**type**\:  str
                                        
                                        .. attribute:: ipv6
                                        
                                        	IPv6 prefixes
                                        	**type**\:  str
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4 = None
                                            self.ipv6 = None
                                            self.list = None
                                            self.registered = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4 is not None:
                                                return True

                                            if self.ipv6 is not None:
                                                return True

                                            if self.list is not None:
                                                return True

                                            if self.registered is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_request is not None and self.map_request._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver']['meta_info']


                        class MapServer(object):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_register = Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister()
                                self.map_register.parent = self


                            class MapRegister(object):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.allowed_locator = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.allowed_locator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_register is not None and self.map_register._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer']['meta_info']


                        class PathMtuDiscovery(object):
                            """
                            Path MTU discovery
                            
                            .. attribute:: max
                            
                            	Upper bound on the path MTU accepted
                            	**type**\:  int
                            
                            	**range:** 68..65535
                            
                            .. attribute:: min
                            
                            	Lower bound on the path MTU accepted
                            	**type**\:  int
                            
                            	**range:** 68..65535
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.max = None
                                self.min = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:path-mtu-discovery'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.max is not None:
                                    return True

                                if self.min is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.PathMtuDiscovery']['meta_info']


                        class RouteExport(object):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.away_eids = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.away_eids is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteExport']['meta_info']


                        class RouteImport(object):
                            """
                            Import RIB routes by a routing protocol into LISP
                            
                            .. attribute:: database
                            
                            	Use RIB routes to define local EID database entries
                            	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database>`
                            
                            .. attribute:: map_cache
                            
                            	Use RIB routes to define EID address space in map\-cache
                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.database = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database()
                                self.database.parent = self
                                self.map_cache = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache()
                                self.map_cache.parent = self


                            class Database(object):
                                """
                                Use RIB routes to define local EID database entries
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected>`
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis>`
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes to pick up from the RIB
                                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix>`
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf>`
                                
                                .. attribute:: ospfv3
                                
                                	OSPFv3
                                	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip>`
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bgp = YList()
                                    self.bgp.parent = self
                                    self.bgp.name = 'bgp'
                                    self.connected = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected()
                                    self.connected.parent = self
                                    self.eigrp = YList()
                                    self.eigrp.parent = self
                                    self.eigrp.name = 'eigrp'
                                    self.isis = YList()
                                    self.isis.parent = self
                                    self.isis.name = 'isis'
                                    self.maximum_prefix = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self.ospf = YList()
                                    self.ospf.parent = self
                                    self.ospf.name = 'ospf'
                                    self.ospfv3 = YList()
                                    self.ospfv3.parent = self
                                    self.ospfv3.name = 'ospfv3'
                                    self.rip = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip()
                                    self.rip.parent = self
                                    self.static = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static()
                                    self.static.parent = self


                                class Bgp(object):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    
                                    ----
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp']['meta_info']


                                class Connected(object):
                                    """
                                    Connected
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected']['meta_info']


                                class Eigrp(object):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp']['meta_info']


                                class Isis(object):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis']['meta_info']


                                class MaximumPrefix(object):
                                    """
                                    Maximum number of prefixes to pick up from the RIB
                                    
                                    .. attribute:: number
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** \-2147483648..2147483647
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold1
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: warning_only1
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.number = None
                                        self.threshold = None
                                        self.threshold1 = None
                                        self.warning_only = None
                                        self.warning_only1 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.number is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        if self.threshold1 is not None:
                                            return True

                                        if self.warning_only is not None:
                                            return True

                                        if self.warning_only1 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix']['meta_info']


                                class Ospf(object):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf']['meta_info']


                                class Ospfv3(object):
                                    """
                                    OSPFv3
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3']['meta_info']


                                class Rip(object):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip']['meta_info']


                                class Static(object):
                                    """
                                    Static routes
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bgp is not None:
                                        for child_ref in self.bgp:
                                            if child_ref._has_data():
                                                return True

                                    if self.connected is not None and self.connected._has_data():
                                        return True

                                    if self.eigrp is not None:
                                        for child_ref in self.eigrp:
                                            if child_ref._has_data():
                                                return True

                                    if self.isis is not None:
                                        for child_ref in self.isis:
                                            if child_ref._has_data():
                                                return True

                                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                        return True

                                    if self.ospf is not None:
                                        for child_ref in self.ospf:
                                            if child_ref._has_data():
                                                return True

                                    if self.ospfv3 is not None:
                                        for child_ref in self.ospfv3:
                                            if child_ref._has_data():
                                                return True

                                    if self.rip is not None and self.rip._has_data():
                                        return True

                                    if self.static is not None and self.static._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database']['meta_info']


                            class MapCache(object):
                                """
                                Use RIB routes to define EID address space in map\-cache
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis>`
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes to pick up from the RIB
                                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf>`
                                
                                .. attribute:: ospfv3
                                
                                	OSPFv3
                                	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bgp = YList()
                                    self.bgp.parent = self
                                    self.bgp.name = 'bgp'
                                    self.connected = None
                                    self.eigrp = YList()
                                    self.eigrp.parent = self
                                    self.eigrp.name = 'eigrp'
                                    self.isis = YList()
                                    self.isis.parent = self
                                    self.isis.name = 'isis'
                                    self.maximum_prefix = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self.ospf = YList()
                                    self.ospf.parent = self
                                    self.ospf.name = 'ospf'
                                    self.ospfv3 = YList()
                                    self.ospfv3.parent = self
                                    self.ospfv3.name = 'ospfv3'
                                    self.rip = None
                                    self.static = None


                                class Bgp(object):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    
                                    ----
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp']['meta_info']


                                class Connected(object):
                                    """
                                    Connected
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected']['meta_info']


                                class Eigrp(object):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp']['meta_info']


                                class Isis(object):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis']['meta_info']


                                class MaximumPrefix(object):
                                    """
                                    Maximum number of prefixes to pick up from the RIB
                                    
                                    .. attribute:: number
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** \-2147483648..2147483647
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold1
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: warning_only1
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.number = None
                                        self.threshold = None
                                        self.threshold1 = None
                                        self.warning_only = None
                                        self.warning_only1 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.number is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        if self.threshold1 is not None:
                                            return True

                                        if self.warning_only is not None:
                                            return True

                                        if self.warning_only1 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                class Ospf(object):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf']['meta_info']


                                class Ospfv3(object):
                                    """
                                    OSPFv3
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3']['meta_info']


                                class Rip(object):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip']['meta_info']


                                class Static(object):
                                    """
                                    Static routes
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bgp is not None:
                                        for child_ref in self.bgp:
                                            if child_ref._has_data():
                                                return True

                                    if self.connected is not None and self.connected._has_data():
                                        return True

                                    if self.eigrp is not None:
                                        for child_ref in self.eigrp:
                                            if child_ref._has_data():
                                                return True

                                    if self.isis is not None:
                                        for child_ref in self.isis:
                                            if child_ref._has_data():
                                                return True

                                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                        return True

                                    if self.ospf is not None:
                                        for child_ref in self.ospf:
                                            if child_ref._has_data():
                                                return True

                                    if self.ospfv3 is not None:
                                        for child_ref in self.ospfv3:
                                            if child_ref._has_data():
                                                return True

                                    if self.rip is not None and self.rip._has_data():
                                        return True

                                    if self.static is not None and self.static._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.database is not None and self.database._has_data():
                                    return True

                                if self.map_cache is not None and self.map_cache._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport']['meta_info']


                        class SiteRegistration(object):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations for a given instance\-id
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.SiteRegistration']['meta_info']


                        class SolicitMapRequest(object):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\:  int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ignore = None
                                self.max_per_entry = None
                                self.suppression_time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ignore is not None:
                                    return True

                                if self.max_per_entry is not None:
                                    return True

                                if self.suppression_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.SolicitMapRequest']['meta_info']


                        class UsePetr(object):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: priority
                            
                            	Configures which Locators from a set are preferred
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: weight
                            
                            	Traffic load\-spreading among Locators
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.locator_address = None
                                self.priority = None
                                self.weight = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.locator_address is None:
                                    raise YPYModelError('Key property locator_address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.locator_address is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                if self.weight is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4.UsePetr']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.alt_vrf is not None:
                                return True

                            if self.database_mapping is not None and self.database_mapping._has_data():
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.etr is not None and self.etr._has_data():
                                return True

                            if self.etr_enable is not None and self.etr_enable._has_data():
                                return True

                            if self.itr is not None and self.itr._has_data():
                                return True

                            if self.itr_enable is not None and self.itr_enable._has_data():
                                return True

                            if self.locator is not None and self.locator._has_data():
                                return True

                            if self.map_cache is not None and self.map_cache._has_data():
                                return True

                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                return True

                            if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                return True

                            if self.map_request_source is not None:
                                return True

                            if self.map_resolver is not None and self.map_resolver._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                                return True

                            if self.proxy_etr is not None:
                                return True

                            if self.proxy_itr is not None:
                                for child in self.proxy_itr:
                                    if child is not None:
                                        return True

                            if self.route_export is not None and self.route_export._has_data():
                                return True

                            if self.route_import is not None and self.route_import._has_data():
                                return True

                            if self.sgt is not None:
                                return True

                            if self.site_registration is not None and self.site_registration._has_data():
                                return True

                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                return True

                            if self.use_petr is not None:
                                for child_ref in self.use_petr:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv4']['meta_info']


                    class Ipv6(object):
                        """
                        IPv6 address family
                        
                        .. attribute:: alt_vrf
                        
                        	Activate LISP\-ALT functionality in VRF
                        	**type**\:  str
                        
                        	**status**\: deprecated
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:   :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.Distance>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:   :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:   :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.EtrEnable>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:   :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:   :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.ItrEnable>`
                        
                        .. attribute:: locator
                        
                        	Locator related configuration
                        	**type**\:   :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCache>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:   :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCacheLimit>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:   :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCachePersistent>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:   :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:   :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: path_mtu_discovery
                        
                        	Path MTU discovery
                        	**type**\:   :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.PathMtuDiscovery>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\: one of the below types:
                        
                        	**type**\:  list of str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  list of str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:   :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteExport>`
                        
                        .. attribute:: route_import
                        
                        	Import RIB routes by a routing protocol into LISP
                        	**type**\:   :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:   :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.SolicitMapRequest>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of    :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.UsePetr>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.alt_vrf = None
                            self.database_mapping = Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping()
                            self.database_mapping.parent = self
                            self.distance = Native.Router.LispList.EidTable.InstanceList.Ipv6.Distance()
                            self.distance.parent = self
                            self.etr = Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr()
                            self.etr.parent = self
                            self.etr_enable = Native.Router.LispList.EidTable.InstanceList.Ipv6.EtrEnable()
                            self.etr_enable.parent = self
                            self.itr = Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr()
                            self.itr.parent = self
                            self.itr_enable = Native.Router.LispList.EidTable.InstanceList.Ipv6.ItrEnable()
                            self.itr_enable.parent = self
                            self.locator = Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator()
                            self.locator.parent = self
                            self.map_cache = Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCache()
                            self.map_cache.parent = self
                            self.map_cache_limit = Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self.map_cache_persistent = Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self.map_request_source = None
                            self.map_resolver = None
                            self.map_server = None
                            self.path_mtu_discovery = None
                            self.proxy_etr = None
                            self.proxy_itr = YLeafList()
                            self.proxy_itr.parent = self
                            self.proxy_itr.name = 'proxy_itr'
                            self.route_export = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteExport()
                            self.route_export.parent = self
                            self.route_import = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport()
                            self.route_import.parent = self
                            self.sgt = None
                            self.site_registration = Native.Router.LispList.EidTable.InstanceList.Ipv6.SiteRegistration()
                            self.site_registration.parent = self
                            self.solicit_map_request = Native.Router.LispList.EidTable.InstanceList.Ipv6.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self.use_petr = YList()
                            self.use_petr.parent = self
                            self.use_petr.name = 'use_petr'


                        class DatabaseMapping(object):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit()
                                self.limit.parent = self


                            class Limit(object):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.dynamic = None
                                    self.warning_threshold = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:limit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.dynamic is not None:
                                        return True

                                    if self.warning_threshold is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:database-mapping'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None and self.limit._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping']['meta_info']


                        class Distance(object):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.alt = None
                                self.dyn_eid = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.alt is not None:
                                    return True

                                if self.dyn_eid is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.Distance']['meta_info']


                        class Itr(object):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of    :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_resolver = YList()
                                self.map_resolver.parent = self
                                self.map_resolver.name = 'map_resolver'


                            class MapResolver(object):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr.MapResolver']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_resolver is not None:
                                    for child_ref in self.map_resolver:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr']['meta_info']


                        class ItrEnable(object):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.itr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:itr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.itr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.ItrEnable']['meta_info']


                        class Etr(object):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of    :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.map_server = YList()
                                self.map_server.parent = self
                                self.map_server.name = 'map_server'


                            class MapServer(object):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:   :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_addr = None
                                    self.key = Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self.proxy_reply = None


                                class Key(object):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    .. attribute:: key_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\:  str
                                    
                                    .. attribute:: key_7
                                    
                                    	The HIDDEN password
                                    	**type**\:  str
                                    
                                    .. attribute:: pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.key_0 = None
                                        self.key_6 = None
                                        self.key_7 = None
                                        self.pwd = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.key_0 is not None:
                                            return True

                                        if self.key_6 is not None:
                                            return True

                                        if self.key_7 is not None:
                                            return True

                                        if self.pwd is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer.Key']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_addr is None:
                                        raise YPYModelError('Key property ip_addr is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server[Cisco-IOS-XE-lisp:ip-addr = ' + str(self.ip_addr) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_addr is not None:
                                        return True

                                    if self.key is not None and self.key._has_data():
                                        return True

                                    if self.proxy_reply is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.map_server is not None:
                                    for child_ref in self.map_server:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr']['meta_info']


                        class EtrEnable(object):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.etr = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-enable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.etr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.EtrEnable']['meta_info']


                        class Locator(object):
                            """
                            Locator related configuration
                            
                            .. attribute:: reachability
                            
                            	Configuration realted to locator reachability
                            	**type**\:   :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator.Reachability>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.reachability = Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator.Reachability()
                                self.reachability.parent = self


                            class Reachability(object):
                                """
                                Configuration realted to locator reachability
                                
                                .. attribute:: exclude_default
                                
                                	If a remote RLOC is reached via the default route, treat it as unreachable
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.exclude_default = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:reachability'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.exclude_default is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator.Reachability']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.reachability is not None and self.reachability._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator']['meta_info']


                        class MapCache(object):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.site_registration = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.site_registration is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCache']['meta_info']


                        class MapCacheLimit(object):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\:  str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.max_map_cache_entries = None
                                self.reserve_list = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.max_map_cache_entries is not None:
                                    return True

                                if self.reserve_list is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCacheLimit']['meta_info']


                        class MapCachePersistent(object):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\:  int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.interval = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-persistent'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCachePersistent']['meta_info']


                        class MapResolver(object):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:   :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_request = Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest()
                                self.map_request.parent = self


                            class MapRequest(object):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: ipv4
                                        
                                        	IPv4 prefixes
                                        	**type**\:  str
                                        
                                        .. attribute:: ipv6
                                        
                                        	IPv6 prefixes
                                        	**type**\:  str
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipv4 = None
                                            self.ipv6 = None
                                            self.list = None
                                            self.registered = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipv4 is not None:
                                                return True

                                            if self.ipv6 is not None:
                                                return True

                                            if self.list is not None:
                                                return True

                                            if self.registered is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-resolver'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_request is not None and self.map_request._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver']['meta_info']


                        class MapServer(object):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:   :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.map_register = Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister()
                                self.map_register.parent = self


                            class MapRegister(object):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:   :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.validate = Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate()
                                    self.validate.parent = self


                                class Validate(object):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.source = Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self


                                    class Source(object):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.allowed_locator = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:source'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.allowed_locator is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:validate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.source is not None and self.source._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-register'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.validate is not None and self.validate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.map_register is not None and self.map_register._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer']['meta_info']


                        class PathMtuDiscovery(object):
                            """
                            Path MTU discovery
                            
                            .. attribute:: max
                            
                            	Upper bound on the path MTU accepted
                            	**type**\:  int
                            
                            	**range:** 68..65535
                            
                            .. attribute:: min
                            
                            	Lower bound on the path MTU accepted
                            	**type**\:  int
                            
                            	**range:** 68..65535
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.max = None
                                self.min = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:path-mtu-discovery'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.max is not None:
                                    return True

                                if self.min is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.PathMtuDiscovery']['meta_info']


                        class RouteExport(object):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.away_eids = None
                                self.site_registrations = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-export'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.away_eids is not None:
                                    return True

                                if self.site_registrations is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteExport']['meta_info']


                        class RouteImport(object):
                            """
                            Import RIB routes by a routing protocol into LISP
                            
                            .. attribute:: database
                            
                            	Use RIB routes to define local EID database entries
                            	**type**\:   :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database>`
                            
                            .. attribute:: map_cache
                            
                            	Use RIB routes to define EID address space in map\-cache
                            	**type**\:   :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.database = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database()
                                self.database.parent = self
                                self.map_cache = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache()
                                self.map_cache.parent = self


                            class Database(object):
                                """
                                Use RIB routes to define local EID database entries
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected>`
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis>`
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes to pick up from the RIB
                                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix>`
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf>`
                                
                                .. attribute:: ospfv3
                                
                                	OSPFv3
                                	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip>`
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bgp = YList()
                                    self.bgp.parent = self
                                    self.bgp.name = 'bgp'
                                    self.connected = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected()
                                    self.connected.parent = self
                                    self.eigrp = YList()
                                    self.eigrp.parent = self
                                    self.eigrp.name = 'eigrp'
                                    self.isis = YList()
                                    self.isis.parent = self
                                    self.isis.name = 'isis'
                                    self.maximum_prefix = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self.ospf = YList()
                                    self.ospf.parent = self
                                    self.ospf.name = 'ospf'
                                    self.ospfv3 = YList()
                                    self.ospfv3.parent = self
                                    self.ospfv3.name = 'ospfv3'
                                    self.rip = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip()
                                    self.rip.parent = self
                                    self.static = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static()
                                    self.static.parent = self


                                class Bgp(object):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    
                                    ----
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp']['meta_info']


                                class Connected(object):
                                    """
                                    Connected
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected']['meta_info']


                                class Eigrp(object):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp']['meta_info']


                                class Isis(object):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis']['meta_info']


                                class MaximumPrefix(object):
                                    """
                                    Maximum number of prefixes to pick up from the RIB
                                    
                                    .. attribute:: number
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** \-2147483648..2147483647
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold1
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: warning_only1
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.number = None
                                        self.threshold = None
                                        self.threshold1 = None
                                        self.warning_only = None
                                        self.warning_only1 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.number is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        if self.threshold1 is not None:
                                            return True

                                        if self.warning_only is not None:
                                            return True

                                        if self.warning_only1 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix']['meta_info']


                                class Ospf(object):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf']['meta_info']


                                class Ospfv3(object):
                                    """
                                    OSPFv3
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3']['meta_info']


                                class Rip(object):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip']['meta_info']


                                class Static(object):
                                    """
                                    Static routes
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:   :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self


                                    class LispIpRouteImport(object):
                                        """
                                        
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\:  str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.locator_set = None
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:lisp-ip-route-import'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.locator_set is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.lisp_ip_route_import is not None and self.lisp_ip_route_import._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:database'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bgp is not None:
                                        for child_ref in self.bgp:
                                            if child_ref._has_data():
                                                return True

                                    if self.connected is not None and self.connected._has_data():
                                        return True

                                    if self.eigrp is not None:
                                        for child_ref in self.eigrp:
                                            if child_ref._has_data():
                                                return True

                                    if self.isis is not None:
                                        for child_ref in self.isis:
                                            if child_ref._has_data():
                                                return True

                                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                        return True

                                    if self.ospf is not None:
                                        for child_ref in self.ospf:
                                            if child_ref._has_data():
                                                return True

                                    if self.ospfv3 is not None:
                                        for child_ref in self.ospfv3:
                                            if child_ref._has_data():
                                                return True

                                    if self.rip is not None and self.rip._has_data():
                                        return True

                                    if self.static is not None and self.static._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database']['meta_info']


                            class MapCache(object):
                                """
                                Use RIB routes to define EID address space in map\-cache
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\: list of    :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis>`
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes to pick up from the RIB
                                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf>`
                                
                                .. attribute:: ospfv3
                                
                                	OSPFv3
                                	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:   :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.bgp = YList()
                                    self.bgp.parent = self
                                    self.bgp.name = 'bgp'
                                    self.connected = None
                                    self.eigrp = YList()
                                    self.eigrp.parent = self
                                    self.eigrp.name = 'eigrp'
                                    self.isis = YList()
                                    self.isis.parent = self
                                    self.isis.name = 'isis'
                                    self.maximum_prefix = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self.ospf = YList()
                                    self.ospf.parent = self
                                    self.ospf.name = 'ospf'
                                    self.ospfv3 = YList()
                                    self.ospfv3.parent = self
                                    self.ospfv3.name = 'ospfv3'
                                    self.rip = None
                                    self.static = None


                                class Bgp(object):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: one of the below types:
                                    
                                    	**type**\:  int
                                    
                                    	**range:** 1..4294967295
                                    
                                    
                                    ----
                                    	**type**\:  str
                                    
                                    
                                    ----
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:bgp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp']['meta_info']


                                class Connected(object):
                                    """
                                    Connected
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:connected'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected']['meta_info']


                                class Eigrp(object):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eigrp[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp']['meta_info']


                                class Isis(object):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:isis[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis']['meta_info']


                                class MaximumPrefix(object):
                                    """
                                    Maximum number of prefixes to pick up from the RIB
                                    
                                    .. attribute:: number
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** \-2147483648..2147483647
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold1
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: warning_only1
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.number = None
                                        self.threshold = None
                                        self.threshold1 = None
                                        self.warning_only = None
                                        self.warning_only1 = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:maximum-prefix'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.number is not None:
                                            return True

                                        if self.threshold is not None:
                                            return True

                                        if self.threshold1 is not None:
                                            return True

                                        if self.warning_only is not None:
                                            return True

                                        if self.warning_only1 is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix']['meta_info']


                                class Ospf(object):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospf[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf']['meta_info']


                                class Ospfv3(object):
                                    """
                                    OSPFv3
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:ospfv3[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3']['meta_info']


                                class Rip(object):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:rip'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip']['meta_info']


                                class Static(object):
                                    """
                                    Static routes
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:   :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.map_cache_container = None


                                    class MapCacheContainer(object):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.route_map = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache-container'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:static'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.map_cache_container is not None and self.map_cache_container._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.bgp is not None:
                                        for child_ref in self.bgp:
                                            if child_ref._has_data():
                                                return True

                                    if self.connected is not None and self.connected._has_data():
                                        return True

                                    if self.eigrp is not None:
                                        for child_ref in self.eigrp:
                                            if child_ref._has_data():
                                                return True

                                    if self.isis is not None:
                                        for child_ref in self.isis:
                                            if child_ref._has_data():
                                                return True

                                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                        return True

                                    if self.ospf is not None:
                                        for child_ref in self.ospf:
                                            if child_ref._has_data():
                                                return True

                                    if self.ospfv3 is not None:
                                        for child_ref in self.ospfv3:
                                            if child_ref._has_data():
                                                return True

                                    if self.rip is not None and self.rip._has_data():
                                        return True

                                    if self.static is not None and self.static._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:route-import'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.database is not None and self.database._has_data():
                                    return True

                                if self.map_cache is not None and self.map_cache._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport']['meta_info']


                        class SiteRegistration(object):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations for a given instance\-id
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.SiteRegistration']['meta_info']


                        class SolicitMapRequest(object):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\:  int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ignore = None
                                self.max_per_entry = None
                                self.suppression_time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:solicit-map-request'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ignore is not None:
                                    return True

                                if self.max_per_entry is not None:
                                    return True

                                if self.suppression_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.SolicitMapRequest']['meta_info']


                        class UsePetr(object):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: priority
                            
                            	Configures which Locators from a set are preferred
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: weight
                            
                            	Traffic load\-spreading among Locators
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.locator_address = None
                                self.priority = None
                                self.weight = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.locator_address is None:
                                    raise YPYModelError('Key property locator_address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:use-petr[Cisco-IOS-XE-lisp:locator-address = ' + str(self.locator_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.locator_address is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                if self.weight is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6.UsePetr']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.alt_vrf is not None:
                                return True

                            if self.database_mapping is not None and self.database_mapping._has_data():
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.etr is not None and self.etr._has_data():
                                return True

                            if self.etr_enable is not None and self.etr_enable._has_data():
                                return True

                            if self.itr is not None and self.itr._has_data():
                                return True

                            if self.itr_enable is not None and self.itr_enable._has_data():
                                return True

                            if self.locator is not None and self.locator._has_data():
                                return True

                            if self.map_cache is not None and self.map_cache._has_data():
                                return True

                            if self.map_cache_limit is not None and self.map_cache_limit._has_data():
                                return True

                            if self.map_cache_persistent is not None and self.map_cache_persistent._has_data():
                                return True

                            if self.map_request_source is not None:
                                return True

                            if self.map_resolver is not None and self.map_resolver._has_data():
                                return True

                            if self.map_server is not None and self.map_server._has_data():
                                return True

                            if self.path_mtu_discovery is not None and self.path_mtu_discovery._has_data():
                                return True

                            if self.proxy_etr is not None:
                                return True

                            if self.proxy_itr is not None:
                                for child in self.proxy_itr:
                                    if child is not None:
                                        return True

                            if self.route_export is not None and self.route_export._has_data():
                                return True

                            if self.route_import is not None and self.route_import._has_data():
                                return True

                            if self.sgt is not None:
                                return True

                            if self.site_registration is not None and self.site_registration._has_data():
                                return True

                            if self.solicit_map_request is not None and self.solicit_map_request._has_data():
                                return True

                            if self.use_petr is not None:
                                for child_ref in self.use_petr:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.Ipv6']['meta_info']


                    class LocReachAlgorithm(object):
                        """
                        Configure locator reachability algorithm
                        
                        .. attribute:: lsb_reports
                        
                        	Configure data packet LSB report handling
                        	**type**\:   :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm.LsbReports>`
                        
                        .. attribute:: rloc_probing
                        
                        	Probe high priority RLOCs with Map\-Requests as last resort
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.lsb_reports = Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm.LsbReports()
                            self.lsb_reports.parent = self
                            self.rloc_probing = None


                        class LsbReports(object):
                            """
                            Configure data packet LSB report handling
                            
                            .. attribute:: do_not_transmit
                            
                            	Force the setting of the encapsulation header L bit to zero
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore data packet LSB reports
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.do_not_transmit = None
                                self.ignore = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:lsb-reports'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.do_not_transmit is not None:
                                    return True

                                if self.ignore is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm.LsbReports']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:loc-reach-algorithm'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.lsb_reports is not None and self.lsb_reports._has_data():
                                return True

                            if self.rloc_probing is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm']['meta_info']


                    class LocatorDown(object):
                        """
                        Manually set locator status to down
                        
                        .. attribute:: address
                        
                        	IPv4/6 Locator address to be set down
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: ipv4_interface
                        
                        	Use IPv4 address of interface as locator
                        	**type**\:  str
                        
                        .. attribute:: ipv6_interface
                        
                        	Use IPv6 address of interface as locator
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None
                            self.ipv4_interface = None
                            self.ipv6_interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator-down'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            if self.ipv4_interface is not None:
                                return True

                            if self.ipv6_interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.LocatorDown']['meta_info']


                    class LocatorTable(object):
                        """
                        Specify the RLOC table
                        
                        .. attribute:: default
                        
                        	Default VRF
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vrf
                        
                        	VRF name
                        	**type**\:  str
                        
                        .. attribute:: vrf_name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.default = None
                            self.vrf = None
                            self.vrf_name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:locator-table'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.default is not None:
                                return True

                            if self.vrf is not None:
                                return True

                            if self.vrf_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.LocatorTable']['meta_info']


                    class MapRequest(object):
                        """
                        Configure map\-request handling
                        
                        .. attribute:: itr_rlocs
                        
                        	Configure to use the specified RLOC set as ITR RLOC in map\-request
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.itr_rlocs = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-request'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.itr_rlocs is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.MapRequest']['meta_info']


                    class MapServer(object):
                        """
                        Map\-Server commands
                        
                        .. attribute:: rloc
                        
                        	EID instance RLOC membership
                        	**type**\:   :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc>`
                        
                        .. attribute:: site_registration
                        
                        	Map\-server site registration options
                        	**type**\:   :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.MapServer.SiteRegistration>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.rloc = Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc()
                            self.rloc.parent = self
                            self.site_registration = Native.Router.LispList.EidTable.InstanceList.MapServer.SiteRegistration()
                            self.site_registration.parent = self


                        class Rloc(object):
                            """
                            EID instance RLOC membership
                            
                            .. attribute:: members
                            
                            	EID instance RLOC membership
                            	**type**\:   :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.members = Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members()
                                self.members.parent = self


                            class Members(object):
                                """
                                EID instance RLOC membership
                                
                                .. attribute:: distribute
                                
                                	EID instance RLOC membership distribution
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: modify_discovered
                                
                                	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                	**type**\:   :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.distribute = None
                                    self.modify_discovered = Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered()
                                    self.modify_discovered.parent = self


                                class ModifyDiscovered(object):
                                    """
                                    Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set from which to get member RLOC addresses
                                    	**type**\:  str
                                    
                                    .. attribute:: operator
                                    
                                    	
                                    	**type**\:   :py:class:`OperatorEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.locator_set = None
                                        self.operator = None

                                    class OperatorEnum(Enum):
                                        """
                                        OperatorEnum

                                        .. data:: add = 0

                                        .. data:: override = 1

                                        """

                                        add = 0

                                        override = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.OperatorEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:modify-discovered'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.locator_set is not None:
                                            return True

                                        if self.operator is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:members'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.distribute is not None:
                                        return True

                                    if self.modify_discovered is not None and self.modify_discovered._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:rloc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.members is not None and self.members._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc']['meta_info']


                        class SiteRegistration(object):
                            """
                            Map\-server site registration options
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations as a result of accept\-more\-specifics
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.limit = None
                                self.warning_threshold = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:site-registration'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.limit is not None:
                                    return True

                                if self.warning_threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.MapServer.SiteRegistration']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.rloc is not None and self.rloc._has_data():
                                return True

                            if self.site_registration is not None and self.site_registration._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.MapServer']['meta_info']


                    class OtherXtrProbe(object):
                        """
                        Configure parameters for probing of other xTRs in our site
                        
                        .. attribute:: period
                        
                        	Period between probes in seconds
                        	**type**\:  int
                        
                        	**range:** 5..900
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.period = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:other-xtr-probe'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.period is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.OtherXtrProbe']['meta_info']


                    class RemoteRlocProbe(object):
                        """
                        Configure parameters for probing of remote RLOCs
                        
                        .. attribute:: on_membership_change
                        
                        	Trigger probing upon membership changes for remote RLOC
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: on_route_change
                        
                        	Trigger probing upon routing changes for remote RLOC
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.on_membership_change = None
                            self.on_route_change = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:remote-rloc-probe'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.on_membership_change is not None:
                                return True

                            if self.on_route_change is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.RemoteRlocProbe']['meta_info']


                    class MapCache(object):
                        """
                        Configures static EID\-to\-RLOC mappings for an ITR
                        
                        .. attribute:: eid_prefix  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        
                        ----
                        .. attribute:: drop
                        
                        	Drop packets that match this map\-cache entry
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: etr_interface_ip
                        
                        	
                        	**type**\:   :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.MapCache.EtrInterfaceIp>`
                        
                        .. attribute:: map_request
                        
                        	Send Map\-Request for LISP destination EID
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: native_forward
                        
                        	Natively forward packets that match this map\-cache entry
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.eid_prefix = None
                            self.drop = None
                            self.etr_interface_ip = Native.Router.LispList.EidTable.InstanceList.MapCache.EtrInterfaceIp()
                            self.etr_interface_ip.parent = self
                            self.map_request = None
                            self.native_forward = None


                        class EtrInterfaceIp(object):
                            """
                            
                            
                            .. attribute:: etr_interface_ip_address
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: priority
                            
                            	Configures which Locators from a set are preferred
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: weight
                            
                            	Traffic load\-spreading among Locators
                            	**type**\:  int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.etr_interface_ip_address = None
                                self.priority = None
                                self.weight = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:etr-interface-ip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.etr_interface_ip_address is not None:
                                    return True

                                if self.priority is not None:
                                    return True

                                if self.weight is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.MapCache.EtrInterfaceIp']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.eid_prefix is None:
                                raise YPYModelError('Key property eid_prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:map-cache[Cisco-IOS-XE-lisp:eid-prefix = ' + str(self.eid_prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.eid_prefix is not None:
                                return True

                            if self.drop is not None:
                                return True

                            if self.etr_interface_ip is not None and self.etr_interface_ip._has_data():
                                return True

                            if self.map_request is not None:
                                return True

                            if self.native_forward is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.EidTable.InstanceList.MapCache']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.instance_id is None:
                            raise YPYModelError('Key property instance_id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-list[Cisco-IOS-XE-lisp:instance-id = ' + str(self.instance_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.instance_id is not None:
                            return True

                        if self.alt is not None and self.alt._has_data():
                            return True

                        if self.control_packet is not None and self.control_packet._has_data():
                            return True

                        if self.database_mapping is not None:
                            for child_ref in self.database_mapping:
                                if child_ref._has_data():
                                    return True

                        if self.ddt is not None and self.ddt._has_data():
                            return True

                        if self.decapsulation is not None and self.decapsulation._has_data():
                            return True

                        if self.default is not None:
                            return True

                        if self.disable_ttl_propagate is not None:
                            return True

                        if self.dynamic_eid is not None:
                            for child_ref in self.dynamic_eid:
                                if child_ref._has_data():
                                    return True

                        if self.etr is not None and self.etr._has_data():
                            return True

                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        if self.loc_reach_algorithm is not None and self.loc_reach_algorithm._has_data():
                            return True

                        if self.locator_down is not None and self.locator_down._has_data():
                            return True

                        if self.locator_table is not None and self.locator_table._has_data():
                            return True

                        if self.map_cache is not None:
                            for child_ref in self.map_cache:
                                if child_ref._has_data():
                                    return True

                        if self.map_request is not None and self.map_request._has_data():
                            return True

                        if self.map_server is not None and self.map_server._has_data():
                            return True

                        if self.other_xtr_probe is not None and self.other_xtr_probe._has_data():
                            return True

                        if self.remote_rloc_probe is not None and self.remote_rloc_probe._has_data():
                            return True

                        if self.vrf is not None:
                            return True

                        if self.vrf_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.EidTable.InstanceList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-table'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.instance_list is not None:
                        for child_ref in self.instance_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.EidTable']['meta_info']


            class Security(object):
                """
                Enable default LISP security and authentication in reply is optional
                
                .. attribute:: strong
                
                	Enable default LISP security and authentication in reply is required
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.strong = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:security'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.strong is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.Security']['meta_info']


            class Site(object):
                """
                Configure a LISP site on a map server (MS)
                
                .. attribute:: sname  <key>
                
                	The site name
                	**type**\:  str
                
                .. attribute:: allowed_locator
                
                	Locator from LISP site
                	**type**\:   :py:class:`AllowedLocator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.AllowedLocator>`
                
                .. attribute:: authentication_key
                
                	Authentication key used by LISP site
                	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.AuthenticationKey>`
                
                .. attribute:: default
                
                	
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default>`
                
                .. attribute:: description
                
                	Site description
                	**type**\:  str
                
                .. attribute:: eid_prefix
                
                	Site EID address prefix
                	**type**\:   :py:class:`EidPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.EidPrefix>`
                
                .. attribute:: eid_record
                
                	Site EID address prefix
                	**type**\:   :py:class:`EidRecord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.EidRecord>`
                
                .. attribute:: site_id
                
                	Configure a site\-id for this site
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.sname = None
                    self.allowed_locator = Native.Router.LispList.Site.AllowedLocator()
                    self.allowed_locator.parent = self
                    self.authentication_key = Native.Router.LispList.Site.AuthenticationKey()
                    self.authentication_key.parent = self
                    self.default = Native.Router.LispList.Site.Default()
                    self.default.parent = self
                    self.description = None
                    self.eid_prefix = Native.Router.LispList.Site.EidPrefix()
                    self.eid_prefix.parent = self
                    self.eid_record = Native.Router.LispList.Site.EidRecord()
                    self.eid_record.parent = self
                    self.site_id = None


                class Default(object):
                    """
                    
                    
                    .. attribute:: allowed_locator
                    
                    	Locator from LISP site
                    	**type**\:   :py:class:`AllowedLocator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.AllowedLocator>`
                    
                    .. attribute:: authentication_key
                    
                    	Authentication key used by LISP site
                    	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.AuthenticationKey>`
                    
                    .. attribute:: description
                    
                    	Site description
                    	**type**\:  str
                    
                    .. attribute:: eid_prefix
                    
                    	Site EID address prefix
                    	**type**\:   :py:class:`EidPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.EidPrefix>`
                    
                    .. attribute:: eid_record
                    
                    	Site EID address prefix
                    	**type**\:   :py:class:`EidRecord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.EidRecord>`
                    
                    .. attribute:: site_id
                    
                    	Configure a site\-id for this site
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.allowed_locator = Native.Router.LispList.Site.Default.AllowedLocator()
                        self.allowed_locator.parent = self
                        self.authentication_key = Native.Router.LispList.Site.Default.AuthenticationKey()
                        self.authentication_key.parent = self
                        self.description = None
                        self.eid_prefix = Native.Router.LispList.Site.Default.EidPrefix()
                        self.eid_prefix.parent = self
                        self.eid_record = Native.Router.LispList.Site.Default.EidRecord()
                        self.eid_record.parent = self
                        self.site_id = None


                    class AuthenticationKey(object):
                        """
                        Authentication key used by LISP site
                        
                        .. attribute:: key_0
                        
                        	The UNENCRYPTED (cleartext) password
                        	**type**\:  str
                        
                        .. attribute:: key_6
                        
                        	The ENCRYPTED password
                        	**type**\:  str
                        
                        .. attribute:: key_7
                        
                        	The ENCRYPTED password
                        	**type**\:  str
                        
                        .. attribute:: unc_pwd
                        
                        	The UNENCRYPTED (cleartext) password
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_0 = None
                            self.key_6 = None
                            self.key_7 = None
                            self.unc_pwd = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:authentication-key'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_0 is not None:
                                return True

                            if self.key_6 is not None:
                                return True

                            if self.key_7 is not None:
                                return True

                            if self.unc_pwd is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Site.Default.AuthenticationKey']['meta_info']


                    class AllowedLocator(object):
                        """
                        Locator from LISP site
                        
                        .. attribute:: list
                        
                        	Prefixes allowed in registerd locator\-set
                        	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.AllowedLocator.List>`
                        
                        .. attribute:: ls_ipv4
                        
                        	IPv4 locator allowed in registered locator\-set
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ls_ipv6
                        
                        	IPv6 locator allowed in registered locator\-set
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.list = Native.Router.LispList.Site.Default.AllowedLocator.List()
                            self.list.parent = self
                            self.ls_ipv4 = None
                            self.ls_ipv6 = None


                        class List(object):
                            """
                            Prefixes allowed in registerd locator\-set
                            
                            .. attribute:: ipv4
                            
                            	IPv4 prefix\-list name
                            	**type**\:  str
                            
                            .. attribute:: ipv6
                            
                            	IPv6 prefix\-list name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = None
                                self.ipv6 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None:
                                    return True

                                if self.ipv6 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Site.Default.AllowedLocator.List']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:allowed-locator'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.list is not None and self.list._has_data():
                                return True

                            if self.ls_ipv4 is not None:
                                return True

                            if self.ls_ipv6 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Site.Default.AllowedLocator']['meta_info']


                    class EidPrefix(object):
                        """
                        Site EID address prefix
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: instance_id
                        
                        	EID instance\-ID
                        	**type**\: list of    :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.EidPrefix.InstanceId>`
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.EidPrefix.Prefixes>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.any_mac = None
                            self.instance_id = YList()
                            self.instance_id.parent = self
                            self.instance_id.name = 'instance_id'
                            self.prefixes = YList()
                            self.prefixes.parent = self
                            self.prefixes.name = 'prefixes'


                        class Prefixes(object):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix = None
                                self.accept_more_specifics = None
                                self.route_tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.prefix is None:
                                    raise YPYModelError('Key property prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix is not None:
                                    return True

                                if self.accept_more_specifics is not None:
                                    return True

                                if self.route_tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Site.Default.EidPrefix.Prefixes']['meta_info']


                        class InstanceId(object):
                            """
                            EID instance\-ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..16777214
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.EidPrefix.InstanceId.Prefixes>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.any_mac = None
                                self.prefixes = YList()
                                self.prefixes.parent = self
                                self.prefixes.name = 'prefixes'


                            class Prefixes(object):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.prefix = None
                                    self.accept_more_specifics = None
                                    self.route_tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.prefix is None:
                                        raise YPYModelError('Key property prefix is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.prefix is not None:
                                        return True

                                    if self.accept_more_specifics is not None:
                                        return True

                                    if self.route_tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Site.Default.EidPrefix.InstanceId.Prefixes']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.any_mac is not None:
                                    return True

                                if self.prefixes is not None:
                                    for child_ref in self.prefixes:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Site.Default.EidPrefix.InstanceId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-prefix'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any_mac is not None:
                                return True

                            if self.instance_id is not None:
                                for child_ref in self.instance_id:
                                    if child_ref._has_data():
                                        return True

                            if self.prefixes is not None:
                                for child_ref in self.prefixes:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Site.Default.EidPrefix']['meta_info']


                    class EidRecord(object):
                        """
                        Site EID address prefix
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: instance_id
                        
                        	EID instance\-ID
                        	**type**\: list of    :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.EidRecord.InstanceId>`
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.EidRecord.Prefixes>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.any_mac = None
                            self.instance_id = YList()
                            self.instance_id.parent = self
                            self.instance_id.name = 'instance_id'
                            self.prefixes = YList()
                            self.prefixes.parent = self
                            self.prefixes.name = 'prefixes'


                        class Prefixes(object):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix = None
                                self.accept_more_specifics = None
                                self.route_tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.prefix is None:
                                    raise YPYModelError('Key property prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix is not None:
                                    return True

                                if self.accept_more_specifics is not None:
                                    return True

                                if self.route_tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Site.Default.EidRecord.Prefixes']['meta_info']


                        class InstanceId(object):
                            """
                            EID instance\-ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..16777214
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.EidRecord.InstanceId.Prefixes>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.any_mac = None
                                self.prefixes = YList()
                                self.prefixes.parent = self
                                self.prefixes.name = 'prefixes'


                            class Prefixes(object):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                
                                ----
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.prefix = None
                                    self.accept_more_specifics = None
                                    self.route_tag = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.prefix is None:
                                        raise YPYModelError('Key property prefix is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.prefix is not None:
                                        return True

                                    if self.accept_more_specifics is not None:
                                        return True

                                    if self.route_tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.LispList.Site.Default.EidRecord.InstanceId.Prefixes']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.any_mac is not None:
                                    return True

                                if self.prefixes is not None:
                                    for child_ref in self.prefixes:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Site.Default.EidRecord.InstanceId']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-record'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any_mac is not None:
                                return True

                            if self.instance_id is not None:
                                for child_ref in self.instance_id:
                                    if child_ref._has_data():
                                        return True

                            if self.prefixes is not None:
                                for child_ref in self.prefixes:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Site.Default.EidRecord']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.allowed_locator is not None and self.allowed_locator._has_data():
                            return True

                        if self.authentication_key is not None and self.authentication_key._has_data():
                            return True

                        if self.description is not None:
                            return True

                        if self.eid_prefix is not None and self.eid_prefix._has_data():
                            return True

                        if self.eid_record is not None and self.eid_record._has_data():
                            return True

                        if self.site_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Site.Default']['meta_info']


                class AuthenticationKey(object):
                    """
                    Authentication key used by LISP site
                    
                    .. attribute:: key_0
                    
                    	The UNENCRYPTED (cleartext) password
                    	**type**\:  str
                    
                    .. attribute:: key_6
                    
                    	The ENCRYPTED password
                    	**type**\:  str
                    
                    .. attribute:: key_7
                    
                    	The ENCRYPTED password
                    	**type**\:  str
                    
                    .. attribute:: unc_pwd
                    
                    	The UNENCRYPTED (cleartext) password
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_0 = None
                        self.key_6 = None
                        self.key_7 = None
                        self.unc_pwd = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:authentication-key'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_0 is not None:
                            return True

                        if self.key_6 is not None:
                            return True

                        if self.key_7 is not None:
                            return True

                        if self.unc_pwd is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Site.AuthenticationKey']['meta_info']


                class AllowedLocator(object):
                    """
                    Locator from LISP site
                    
                    .. attribute:: list
                    
                    	Prefixes allowed in registerd locator\-set
                    	**type**\:   :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.AllowedLocator.List>`
                    
                    .. attribute:: ls_ipv4
                    
                    	IPv4 locator allowed in registered locator\-set
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: ls_ipv6
                    
                    	IPv6 locator allowed in registered locator\-set
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.list = Native.Router.LispList.Site.AllowedLocator.List()
                        self.list.parent = self
                        self.ls_ipv4 = None
                        self.ls_ipv6 = None


                    class List(object):
                        """
                        Prefixes allowed in registerd locator\-set
                        
                        .. attribute:: ipv4
                        
                        	IPv4 prefix\-list name
                        	**type**\:  str
                        
                        .. attribute:: ipv6
                        
                        	IPv6 prefix\-list name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None
                            self.ipv6 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:list'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None:
                                return True

                            if self.ipv6 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Site.AllowedLocator.List']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:allowed-locator'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.list is not None and self.list._has_data():
                            return True

                        if self.ls_ipv4 is not None:
                            return True

                        if self.ls_ipv6 is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Site.AllowedLocator']['meta_info']


                class EidPrefix(object):
                    """
                    Site EID address prefix
                    
                    .. attribute:: any_mac
                    
                    	Accept registrations for any L2 EID records
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: instance_id
                    
                    	EID instance\-ID
                    	**type**\: list of    :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.EidPrefix.InstanceId>`
                    
                    .. attribute:: prefixes
                    
                    	
                    	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.EidPrefix.Prefixes>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.any_mac = None
                        self.instance_id = YList()
                        self.instance_id.parent = self
                        self.instance_id.name = 'instance_id'
                        self.prefixes = YList()
                        self.prefixes.parent = self
                        self.prefixes.name = 'prefixes'


                    class Prefixes(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        
                        ----
                        .. attribute:: accept_more_specifics
                        
                        	Accept registrations for more specific EID prefixes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_tag
                        
                        	RIB route tag
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.accept_more_specifics = None
                            self.route_tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.accept_more_specifics is not None:
                                return True

                            if self.route_tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Site.EidPrefix.Prefixes']['meta_info']


                    class InstanceId(object):
                        """
                        EID instance\-ID
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.EidPrefix.InstanceId.Prefixes>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.any_mac = None
                            self.prefixes = YList()
                            self.prefixes.parent = self
                            self.prefixes.name = 'prefixes'


                        class Prefixes(object):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix = None
                                self.accept_more_specifics = None
                                self.route_tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.prefix is None:
                                    raise YPYModelError('Key property prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix is not None:
                                    return True

                                if self.accept_more_specifics is not None:
                                    return True

                                if self.route_tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Site.EidPrefix.InstanceId.Prefixes']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.any_mac is not None:
                                return True

                            if self.prefixes is not None:
                                for child_ref in self.prefixes:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Site.EidPrefix.InstanceId']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-prefix'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.any_mac is not None:
                            return True

                        if self.instance_id is not None:
                            for child_ref in self.instance_id:
                                if child_ref._has_data():
                                    return True

                        if self.prefixes is not None:
                            for child_ref in self.prefixes:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Site.EidPrefix']['meta_info']


                class EidRecord(object):
                    """
                    Site EID address prefix
                    
                    .. attribute:: any_mac
                    
                    	Accept registrations for any L2 EID records
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: instance_id
                    
                    	EID instance\-ID
                    	**type**\: list of    :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.EidRecord.InstanceId>`
                    
                    .. attribute:: prefixes
                    
                    	
                    	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.EidRecord.Prefixes>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.any_mac = None
                        self.instance_id = YList()
                        self.instance_id.parent = self
                        self.instance_id.name = 'instance_id'
                        self.prefixes = YList()
                        self.prefixes.parent = self
                        self.prefixes.name = 'prefixes'


                    class Prefixes(object):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        
                        ----
                        .. attribute:: accept_more_specifics
                        
                        	Accept registrations for more specific EID prefixes
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_tag
                        
                        	RIB route tag
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix = None
                            self.accept_more_specifics = None
                            self.route_tag = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.prefix is None:
                                raise YPYModelError('Key property prefix is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix is not None:
                                return True

                            if self.accept_more_specifics is not None:
                                return True

                            if self.route_tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Site.EidRecord.Prefixes']['meta_info']


                    class InstanceId(object):
                        """
                        EID instance\-ID
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.EidRecord.InstanceId.Prefixes>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.any_mac = None
                            self.prefixes = YList()
                            self.prefixes.parent = self
                            self.prefixes.name = 'prefixes'


                        class Prefixes(object):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            
                            ----
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix = None
                                self.accept_more_specifics = None
                                self.route_tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.prefix is None:
                                    raise YPYModelError('Key property prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-lisp:prefixes[Cisco-IOS-XE-lisp:prefix = ' + str(self.prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix is not None:
                                    return True

                                if self.accept_more_specifics is not None:
                                    return True

                                if self.route_tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.LispList.Site.EidRecord.InstanceId.Prefixes']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-lisp:instance-id[Cisco-IOS-XE-lisp:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.any_mac is not None:
                                return True

                            if self.prefixes is not None:
                                for child_ref in self.prefixes:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.LispList.Site.EidRecord.InstanceId']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:eid-record'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.any_mac is not None:
                            return True

                        if self.instance_id is not None:
                            for child_ref in self.instance_id:
                                if child_ref._has_data():
                                    return True

                        if self.prefixes is not None:
                            for child_ref in self.prefixes:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Site.EidRecord']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.sname is None:
                        raise YPYModelError('Key property sname is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:site[Cisco-IOS-XE-lisp:sname = ' + str(self.sname) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.sname is not None:
                        return True

                    if self.allowed_locator is not None and self.allowed_locator._has_data():
                        return True

                    if self.authentication_key is not None and self.authentication_key._has_data():
                        return True

                    if self.default is not None and self.default._has_data():
                        return True

                    if self.description is not None:
                        return True

                    if self.eid_prefix is not None and self.eid_prefix._has_data():
                        return True

                    if self.eid_record is not None and self.eid_record._has_data():
                        return True

                    if self.site_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.Site']['meta_info']


            class Syslog(object):
                """
                Configure syslog option
                
                .. attribute:: session
                
                	Enable session syslog
                	**type**\:   :py:class:`Session <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Syslog.Session>`
                
                .. attribute:: verbose
                
                	Enable verbose syslog
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.session = Native.Router.LispList.Syslog.Session()
                    self.session.parent = self
                    self.verbose = None


                class Session(object):
                    """
                    Enable session syslog
                    
                    .. attribute:: changes
                    
                    	Enable session change syslog
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.changes = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-lisp:session'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.changes is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.LispList.Syslog.Session']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-lisp:syslog'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.session is not None and self.session._has_data():
                        return True

                    if self.verbose is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.LispList.Syslog']['meta_info']

            @property
            def _common_path(self):
                if self.lisp is None:
                    raise YPYModelError('Key property lisp is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-lisp:lisp-list[Cisco-IOS-XE-lisp:lisp = ' + str(self.lisp) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.lisp is not None:
                    return True

                if self.alt is not None and self.alt._has_data():
                    return True

                if self.control_packet is not None and self.control_packet._has_data():
                    return True

                if self.ddt is not None and self.ddt._has_data():
                    return True

                if self.decapsulation is not None and self.decapsulation._has_data():
                    return True

                if self.default is not None and self.default._has_data():
                    return True

                if self.disable_ttl_propagate is not None:
                    return True

                if self.eid_table is not None and self.eid_table._has_data():
                    return True

                if self.encapsulation is not None and self.encapsulation._has_data():
                    return True

                if self.etr is not None and self.etr._has_data():
                    return True

                if self.instance_container is not None and self.instance_container._has_data():
                    return True

                if self.ipv4 is not None and self.ipv4._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.loc_reach_algorithm is not None and self.loc_reach_algorithm._has_data():
                    return True

                if self.locator_down is not None and self.locator_down._has_data():
                    return True

                if self.locator_scope is not None:
                    for child_ref in self.locator_scope:
                        if child_ref._has_data():
                            return True

                if self.locator_set is not None:
                    for child_ref in self.locator_set:
                        if child_ref._has_data():
                            return True

                if self.locator_table is not None and self.locator_table._has_data():
                    return True

                if self.map_request is not None and self.map_request._has_data():
                    return True

                if self.map_server is not None and self.map_server._has_data():
                    return True

                if self.other_xtr_probe is not None and self.other_xtr_probe._has_data():
                    return True

                if self.remote_rloc_probe is not None and self.remote_rloc_probe._has_data():
                    return True

                if self.security is not None and self.security._has_data():
                    return True

                if self.service is not None and self.service._has_data():
                    return True

                if self.site is not None:
                    for child_ref in self.site:
                        if child_ref._has_data():
                            return True

                if self.site_id is not None:
                    return True

                if self.syslog is not None and self.syslog._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Router.LispList']['meta_info']


        class Ospf(object):
            """
            Open Shortest Path First (OSPF)
            
            .. attribute:: id  <key>
            
            	
            	**type**\:  int
            
            	**range:** 1..65535
            
            .. attribute:: address_family
            
            	Enter Address Family command mode
            	**type**\:   :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily>`
            
            .. attribute:: area
            
            	OSPF area parameters
            	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area>`
            
            .. attribute:: auto_cost
            
            	Calculate OSPF interface cost according to bandwidth
            	**type**\:   :py:class:`AutoCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AutoCost>`
            
            	**presence node**\: True
            
            .. attribute:: bfd
            
            	BFD configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Bfd>`
            
            .. attribute:: capability
            
            	Enable specific OSPF feature
            	**type**\:   :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Capability>`
            
            .. attribute:: compatible
            
            	OSPF compatibility list
            	**type**\:   :py:class:`Compatible <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Compatible>`
            
            .. attribute:: default_information
            
            	Control distribution of default information
            	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DefaultInformation>`
            
            .. attribute:: default_metric
            
            	Set metric of redistributed routes
            	**type**\:  int
            
            	**range:** 1..16777214
            
            .. attribute:: disable
            
            	
            	**type**\:   :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Disable>`
            
            .. attribute:: discard_route
            
            	Enable or disable discard\-route installation
            	**type**\:   :py:class:`DiscardRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DiscardRoute>`
            
            	**presence node**\: True
            
            .. attribute:: distance
            
            	Define an administrative distance
            	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Distance>`
            
            .. attribute:: distribute_list
            
            	Filter networks in routing updates
            	**type**\:   :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DistributeList>`
            
            .. attribute:: domain_id
            
            	OSPF domain\-id
            	**type**\:   :py:class:`DomainId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DomainId>`
            
            .. attribute:: domain_tag
            
            	OSPF domain\-tag
            	**type**\:  int
            
            	**range:** 1..4294967295
            
            .. attribute:: event_log
            
            	OSPF Event Logging
            	**type**\:   :py:class:`EventLog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.EventLog>`
            
            	**presence node**\: True
            
            .. attribute:: fast_reroute
            
            	LFA FastReroute parameters
            	**type**\:   :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute>`
            
            .. attribute:: graceful_restart
            
            	Graceful\-restart options
            	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.GracefulRestart>`
            
            	**presence node**\: True
            
            .. attribute:: ignore
            
            	Do not complain about specific event
            	**type**\:   :py:class:`Ignore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Ignore>`
            
            .. attribute:: interface_id
            
            	Source of the interface ID
            	**type**\:   :py:class:`InterfaceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.InterfaceId>`
            
            .. attribute:: ispf
            
            	Enable incremental SPF computation
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: limit
            
            	Limit a specific OSPF feature
            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Limit>`
            
            .. attribute:: local_rib_criteria
            
            	Enable or disable usage of local RIB as route criteria
            	**type**\:   :py:class:`LocalRibCriteria <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.LocalRibCriteria>`
            
            .. attribute:: log_adjacency_changes
            
            	Log changes in adjacency state
            	**type**\:   :py:class:`LogAdjacencyChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.LogAdjacencyChanges>`
            
            	**presence node**\: True
            
            .. attribute:: max_lsa
            
            	maximum number of LSAs OSPF process will receive
            	**type**\:   :py:class:`MaxLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.MaxLsa>`
            
            .. attribute:: max_metric
            
            	Set maximum metric
            	**type**\:   :py:class:`MaxMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.MaxMetric>`
            
            .. attribute:: maximum_paths
            
            	Forward packets over multiple paths
            	**type**\:  int
            
            	**range:** 1..32
            
            .. attribute:: microloop
            
            	Traffic microloop control parameters
            	**type**\:   :py:class:`Microloop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Microloop>`
            
            .. attribute:: mpls
            
            	Configure MPLS routing protocol parameters
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls>`
            
            .. attribute:: neighbor
            
            	Specify a neighbor router
            	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Neighbor>`
            
            .. attribute:: network
            
            	Enable routing on an IP network
            	**type**\: list of    :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Network>`
            
            .. attribute:: nsf
            
            	Non\-stop forwarding
            	**type**\:   :py:class:`Nsf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Nsf>`
            
            	**presence node**\: True
            
            .. attribute:: nsr
            
            	Enable non\-stop routing
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: passive_interface
            
            	Suppress routing updates on an interface
            	**type**\:   :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.PassiveInterface>`
            
            .. attribute:: prefix_priority
            
            	OSPF prefix priority
            	**type**\:   :py:class:`PrefixPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.PrefixPriority>`
            
            .. attribute:: prefix_suppression
            
            	OSPF prefix suppression
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: priority
            
            	OSPF topology priority
            	**type**\:  int
            
            	**range:** 0..127
            
            .. attribute:: process_min_time
            
            	Percentage of quantum to be used before releasing CPU
            	**type**\:   :py:class:`ProcessMinTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.ProcessMinTime>`
            
            .. attribute:: queue_depth
            
            	OSPF Hello/Router process queue depth
            	**type**\:   :py:class:`QueueDepth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.QueueDepth>`
            
            .. attribute:: redistribute
            
            	Redistribute information from another routing protocol
            	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute>`
            
            .. attribute:: router_id
            
            	Override configured router identifier (peers will reset)
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: shutdown
            
            	Shutdown the OSPF protocol under the current instance
            	**type**\:  bool
            
            .. attribute:: snmp
            
            	Modify snmp parameters
            	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Snmp>`
            
            .. attribute:: summary_address
            
            	Configure IP address summaries
            	**type**\: list of    :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.SummaryAddress>`
            
            .. attribute:: timers
            
            	Adjust routing timers
            	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Timers>`
            
            .. attribute:: traffic_share
            
            	How to compute traffic share over alternate paths
            	**type**\:   :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.TrafficShare>`
            
            .. attribute:: ttl_security
            
            	TTL security check
            	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.TtlSecurity>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding Instance
            	**type**\:  str
            
            

            """

            _prefix = 'ios-ospf'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.id = None
                self.address_family = Native.Router.Ospf.AddressFamily()
                self.address_family.parent = self
                self.area = YList()
                self.area.parent = self
                self.area.name = 'area'
                self.auto_cost = None
                self.bfd = Native.Router.Ospf.Bfd()
                self.bfd.parent = self
                self.capability = Native.Router.Ospf.Capability()
                self.capability.parent = self
                self.compatible = Native.Router.Ospf.Compatible()
                self.compatible.parent = self
                self.default_information = Native.Router.Ospf.DefaultInformation()
                self.default_information.parent = self
                self.default_metric = None
                self.disable = Native.Router.Ospf.Disable()
                self.disable.parent = self
                self.discard_route = None
                self.distance = Native.Router.Ospf.Distance()
                self.distance.parent = self
                self.distribute_list = Native.Router.Ospf.DistributeList()
                self.distribute_list.parent = self
                self.domain_id = Native.Router.Ospf.DomainId()
                self.domain_id.parent = self
                self.domain_tag = None
                self.event_log = None
                self.fast_reroute = Native.Router.Ospf.FastReroute()
                self.fast_reroute.parent = self
                self.graceful_restart = None
                self.ignore = Native.Router.Ospf.Ignore()
                self.ignore.parent = self
                self.interface_id = Native.Router.Ospf.InterfaceId()
                self.interface_id.parent = self
                self.ispf = None
                self.limit = Native.Router.Ospf.Limit()
                self.limit.parent = self
                self.local_rib_criteria = Native.Router.Ospf.LocalRibCriteria()
                self.local_rib_criteria.parent = self
                self.log_adjacency_changes = None
                self.max_lsa = Native.Router.Ospf.MaxLsa()
                self.max_lsa.parent = self
                self.max_metric = Native.Router.Ospf.MaxMetric()
                self.max_metric.parent = self
                self.maximum_paths = None
                self.microloop = Native.Router.Ospf.Microloop()
                self.microloop.parent = self
                self.mpls = Native.Router.Ospf.Mpls()
                self.mpls.parent = self
                self.neighbor = YList()
                self.neighbor.parent = self
                self.neighbor.name = 'neighbor'
                self.network = YList()
                self.network.parent = self
                self.network.name = 'network'
                self.nsf = None
                self.nsr = None
                self.passive_interface = Native.Router.Ospf.PassiveInterface()
                self.passive_interface.parent = self
                self.prefix_priority = Native.Router.Ospf.PrefixPriority()
                self.prefix_priority.parent = self
                self.prefix_suppression = None
                self.priority = None
                self.process_min_time = Native.Router.Ospf.ProcessMinTime()
                self.process_min_time.parent = self
                self.queue_depth = Native.Router.Ospf.QueueDepth()
                self.queue_depth.parent = self
                self.redistribute = Native.Router.Ospf.Redistribute()
                self.redistribute.parent = self
                self.router_id = None
                self.shutdown = None
                self.snmp = Native.Router.Ospf.Snmp()
                self.snmp.parent = self
                self.summary_address = YList()
                self.summary_address.parent = self
                self.summary_address.name = 'summary_address'
                self.timers = Native.Router.Ospf.Timers()
                self.timers.parent = self
                self.traffic_share = Native.Router.Ospf.TrafficShare()
                self.traffic_share.parent = self
                self.ttl_security = Native.Router.Ospf.TtlSecurity()
                self.ttl_security.parent = self
                self.vrf = None


            class AddressFamily(object):
                """
                Enter Address Family command mode
                
                .. attribute:: ipv4
                
                	Address family
                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4>`
                
                .. attribute:: ipv4_1
                
                	
                	**type**\:   :py:class:`Ipv4_1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4_1>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipv4 = Native.Router.Ospf.AddressFamily.Ipv4()
                    self.ipv4.parent = self
                    self.ipv4_1 = Native.Router.Ospf.AddressFamily.Ipv4_1()
                    self.ipv4_1.parent = self


                class Ipv4_1(object):
                    """
                    
                    
                    .. attribute:: ipv4
                    
                    	Address family
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4()
                        self.ipv4.parent = self


                    class Ipv4(object):
                        """
                        Address family
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp>`
                        
                        .. attribute:: topology
                        
                        	Associate the routing protocol to a topology instance
                        	**type**\:   :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Topology>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.snmp = Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp()
                            self.snmp.parent = self
                            self.topology = Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Topology()
                            self.topology.parent = self


                        class Snmp(object):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\: list of    :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.context = YList()
                                self.context.parent = self
                                self.context.name = 'context'


                            class Context(object):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: name  <key>
                                
                                	Context Name
                                	**type**\:  str
                                
                                .. attribute:: community
                                
                                	Configure a SNMP v2c Community string and access privs
                                	**type**\:   :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.Community>`
                                
                                .. attribute:: user
                                
                                	Configure a SNMP v3 user
                                	**type**\:   :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.community = Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.Community()
                                    self.community.parent = self
                                    self.user = Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User()
                                    self.user.parent = self


                                class Community(object):
                                    """
                                    Configure a SNMP v2c Community string and access privs
                                    
                                    .. attribute:: access
                                    
                                    	
                                    	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.Community.Access>`
                                    
                                    .. attribute:: community_string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.access = Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.Community.Access()
                                        self.access.parent = self
                                        self.community_string = None


                                    class Access(object):
                                        """
                                        
                                        
                                        .. attribute:: acl_name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: expanded_acl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1300..1999
                                        
                                        .. attribute:: ipv6
                                        
                                        	Specify IPv6 Named Access\-List
                                        	**type**\:  str
                                        
                                        .. attribute:: ro
                                        
                                        	Read\-only access with this community string
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: rw
                                        
                                        	Read\-write access with this community string
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: standard_acl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..99
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.acl_name = None
                                            self.expanded_acl = None
                                            self.ipv6 = None
                                            self.ro = None
                                            self.rw = None
                                            self.standard_acl = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:access'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.acl_name is not None:
                                                return True

                                            if self.expanded_acl is not None:
                                                return True

                                            if self.ipv6 is not None:
                                                return True

                                            if self.ro is not None:
                                                return True

                                            if self.rw is not None:
                                                return True

                                            if self.standard_acl is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.Community.Access']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:community'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.access is not None and self.access._has_data():
                                            return True

                                        if self.community_string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.Community']['meta_info']


                                class User(object):
                                    """
                                    Configure a SNMP v3 user
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: permisssion
                                    
                                    	
                                    	**type**\:   :py:class:`Permisssion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.permisssion = Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion()
                                        self.permisssion.parent = self


                                    class Permisssion(object):
                                        """
                                        
                                        
                                        .. attribute:: access
                                        
                                        	specify an access\-list associated with this group
                                        	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion.Access>`
                                        
                                        .. attribute:: auth
                                        
                                        	authentication parameters for the user
                                        	**type**\:   :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion.Auth>`
                                        
                                        .. attribute:: credential
                                        
                                        	If the user password is already configured and saved
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: encrypted
                                        
                                        	specifying passwords as MD5 or SHA digests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.access = Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion.Access()
                                            self.access.parent = self
                                            self.auth = Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion.Auth()
                                            self.auth.parent = self
                                            self.credential = None
                                            self.encrypted = None


                                        class Access(object):
                                            """
                                            specify an access\-list associated with this group
                                            
                                            .. attribute:: acl_name
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: standard_acl
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospf'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.acl_name = None
                                                self.ipv6 = None
                                                self.standard_acl = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:access'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.acl_name is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                if self.standard_acl is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion.Access']['meta_info']


                                        class Auth(object):
                                            """
                                            authentication parameters for the user
                                            
                                            .. attribute:: md5
                                            
                                            	Use HMAC MD5 algorithm for authentication
                                            	**type**\:  str
                                            
                                            .. attribute:: sha
                                            
                                            	Use HMAC SHA algorithm for authentication
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospf'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.md5 = None
                                                self.sha = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:auth'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.md5 is not None:
                                                    return True

                                                if self.sha is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion.Auth']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:permisssion'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.access is not None and self.access._has_data():
                                                return True

                                            if self.auth is not None and self.auth._has_data():
                                                return True

                                            if self.credential is not None:
                                                return True

                                            if self.encrypted is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User.Permisssion']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:user'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.permisssion is not None and self.permisssion._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context.User']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:context[Cisco-IOS-XE-ospf:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.community is not None and self.community._has_data():
                                        return True

                                    if self.user is not None and self.user._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp.Context']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:snmp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.context is not None:
                                    for child_ref in self.context:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Snmp']['meta_info']


                        class Topology(object):
                            """
                            Associate the routing protocol to a topology instance
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: tid
                            
                            	Configuring the routing protocol topology tid
                            	**type**\:  int
                            
                            	**range:** 32..127
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.tid = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:topology'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.tid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4.Topology']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.snmp is not None and self.snmp._has_data():
                                return True

                            if self.topology is not None and self.topology._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1.Ipv4']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipv4_1'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4_1']['meta_info']


                class Ipv4(object):
                    """
                    Address family
                    
                    .. attribute:: multicast
                    
                    	Address Family Modifier
                    	**type**\:   :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Multicast>`
                    
                    .. attribute:: unicast
                    
                    	Address Family Modifier
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Unicast>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.multicast = Native.Router.Ospf.AddressFamily.Ipv4.Multicast()
                        self.multicast.parent = self
                        self.unicast = Native.Router.Ospf.AddressFamily.Ipv4.Unicast()
                        self.unicast.parent = self


                    class Unicast(object):
                        """
                        Address Family Modifier
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp>`
                        
                        .. attribute:: topology
                        
                        	Associate the routing protocol to a topology instance
                        	**type**\:   :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Topology>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.snmp = Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp()
                            self.snmp.parent = self
                            self.topology = Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Topology()
                            self.topology.parent = self


                        class Snmp(object):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\: list of    :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.context = YList()
                                self.context.parent = self
                                self.context.name = 'context'


                            class Context(object):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: name  <key>
                                
                                	Context Name
                                	**type**\:  str
                                
                                .. attribute:: community
                                
                                	Configure a SNMP v2c Community string and access privs
                                	**type**\:   :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community>`
                                
                                .. attribute:: user
                                
                                	Configure a SNMP v3 user
                                	**type**\:   :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.community = Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community()
                                    self.community.parent = self
                                    self.user = Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User()
                                    self.user.parent = self


                                class Community(object):
                                    """
                                    Configure a SNMP v2c Community string and access privs
                                    
                                    .. attribute:: access
                                    
                                    	
                                    	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community.Access>`
                                    
                                    .. attribute:: community_string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.access = Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community.Access()
                                        self.access.parent = self
                                        self.community_string = None


                                    class Access(object):
                                        """
                                        
                                        
                                        .. attribute:: acl_name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: expanded_acl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1300..1999
                                        
                                        .. attribute:: ipv6
                                        
                                        	Specify IPv6 Named Access\-List
                                        	**type**\:  str
                                        
                                        .. attribute:: ro
                                        
                                        	Read\-only access with this community string
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: rw
                                        
                                        	Read\-write access with this community string
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: standard_acl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..99
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.acl_name = None
                                            self.expanded_acl = None
                                            self.ipv6 = None
                                            self.ro = None
                                            self.rw = None
                                            self.standard_acl = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:access'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.acl_name is not None:
                                                return True

                                            if self.expanded_acl is not None:
                                                return True

                                            if self.ipv6 is not None:
                                                return True

                                            if self.ro is not None:
                                                return True

                                            if self.rw is not None:
                                                return True

                                            if self.standard_acl is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community.Access']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:community'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.access is not None and self.access._has_data():
                                            return True

                                        if self.community_string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community']['meta_info']


                                class User(object):
                                    """
                                    Configure a SNMP v3 user
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: permisssion
                                    
                                    	
                                    	**type**\:   :py:class:`Permisssion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.permisssion = Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion()
                                        self.permisssion.parent = self


                                    class Permisssion(object):
                                        """
                                        
                                        
                                        .. attribute:: access
                                        
                                        	specify an access\-list associated with this group
                                        	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Access>`
                                        
                                        .. attribute:: auth
                                        
                                        	authentication parameters for the user
                                        	**type**\:   :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Auth>`
                                        
                                        .. attribute:: credential
                                        
                                        	If the user password is already configured and saved
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: encrypted
                                        
                                        	specifying passwords as MD5 or SHA digests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.access = Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Access()
                                            self.access.parent = self
                                            self.auth = Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Auth()
                                            self.auth.parent = self
                                            self.credential = None
                                            self.encrypted = None


                                        class Access(object):
                                            """
                                            specify an access\-list associated with this group
                                            
                                            .. attribute:: acl_name
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: standard_acl
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospf'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.acl_name = None
                                                self.ipv6 = None
                                                self.standard_acl = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:access'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.acl_name is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                if self.standard_acl is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Access']['meta_info']


                                        class Auth(object):
                                            """
                                            authentication parameters for the user
                                            
                                            .. attribute:: md5
                                            
                                            	Use HMAC MD5 algorithm for authentication
                                            	**type**\:  str
                                            
                                            .. attribute:: sha
                                            
                                            	Use HMAC SHA algorithm for authentication
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospf'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.md5 = None
                                                self.sha = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:auth'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.md5 is not None:
                                                    return True

                                                if self.sha is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Auth']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:permisssion'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.access is not None and self.access._has_data():
                                                return True

                                            if self.auth is not None and self.auth._has_data():
                                                return True

                                            if self.credential is not None:
                                                return True

                                            if self.encrypted is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:user'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.permisssion is not None and self.permisssion._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:context[Cisco-IOS-XE-ospf:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.community is not None and self.community._has_data():
                                        return True

                                    if self.user is not None and self.user._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:snmp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.context is not None:
                                    for child_ref in self.context:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp']['meta_info']


                        class Topology(object):
                            """
                            Associate the routing protocol to a topology instance
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: tid
                            
                            	Configuring the routing protocol topology tid
                            	**type**\:  int
                            
                            	**range:** 32..127
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.tid = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:topology'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.tid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Topology']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.snmp is not None and self.snmp._has_data():
                                return True

                            if self.topology is not None and self.topology._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Unicast']['meta_info']


                    class Multicast(object):
                        """
                        Address Family Modifier
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp>`
                        
                        .. attribute:: topology
                        
                        	Associate the routing protocol to a topology instance
                        	**type**\:   :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Topology>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.snmp = Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp()
                            self.snmp.parent = self
                            self.topology = Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Topology()
                            self.topology.parent = self


                        class Snmp(object):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\: list of    :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.context = YList()
                                self.context.parent = self
                                self.context.name = 'context'


                            class Context(object):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: name  <key>
                                
                                	Context Name
                                	**type**\:  str
                                
                                .. attribute:: community
                                
                                	Configure a SNMP v2c Community string and access privs
                                	**type**\:   :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community>`
                                
                                .. attribute:: user
                                
                                	Configure a SNMP v3 user
                                	**type**\:   :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.community = Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community()
                                    self.community.parent = self
                                    self.user = Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User()
                                    self.user.parent = self


                                class Community(object):
                                    """
                                    Configure a SNMP v2c Community string and access privs
                                    
                                    .. attribute:: access
                                    
                                    	
                                    	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community.Access>`
                                    
                                    .. attribute:: community_string
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.access = Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community.Access()
                                        self.access.parent = self
                                        self.community_string = None


                                    class Access(object):
                                        """
                                        
                                        
                                        .. attribute:: acl_name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: expanded_acl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1300..1999
                                        
                                        .. attribute:: ipv6
                                        
                                        	Specify IPv6 Named Access\-List
                                        	**type**\:  str
                                        
                                        .. attribute:: ro
                                        
                                        	Read\-only access with this community string
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: rw
                                        
                                        	Read\-write access with this community string
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: standard_acl
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..99
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.acl_name = None
                                            self.expanded_acl = None
                                            self.ipv6 = None
                                            self.ro = None
                                            self.rw = None
                                            self.standard_acl = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:access'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.acl_name is not None:
                                                return True

                                            if self.expanded_acl is not None:
                                                return True

                                            if self.ipv6 is not None:
                                                return True

                                            if self.ro is not None:
                                                return True

                                            if self.rw is not None:
                                                return True

                                            if self.standard_acl is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community.Access']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:community'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.access is not None and self.access._has_data():
                                            return True

                                        if self.community_string is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community']['meta_info']


                                class User(object):
                                    """
                                    Configure a SNMP v3 user
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: permisssion
                                    
                                    	
                                    	**type**\:   :py:class:`Permisssion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.permisssion = Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion()
                                        self.permisssion.parent = self


                                    class Permisssion(object):
                                        """
                                        
                                        
                                        .. attribute:: access
                                        
                                        	specify an access\-list associated with this group
                                        	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Access>`
                                        
                                        .. attribute:: auth
                                        
                                        	authentication parameters for the user
                                        	**type**\:   :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Auth>`
                                        
                                        .. attribute:: credential
                                        
                                        	If the user password is already configured and saved
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: encrypted
                                        
                                        	specifying passwords as MD5 or SHA digests
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.access = Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Access()
                                            self.access.parent = self
                                            self.auth = Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Auth()
                                            self.auth.parent = self
                                            self.credential = None
                                            self.encrypted = None


                                        class Access(object):
                                            """
                                            specify an access\-list associated with this group
                                            
                                            .. attribute:: acl_name
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: ipv6
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: standard_acl
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospf'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.acl_name = None
                                                self.ipv6 = None
                                                self.standard_acl = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:access'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.acl_name is not None:
                                                    return True

                                                if self.ipv6 is not None:
                                                    return True

                                                if self.standard_acl is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Access']['meta_info']


                                        class Auth(object):
                                            """
                                            authentication parameters for the user
                                            
                                            .. attribute:: md5
                                            
                                            	Use HMAC MD5 algorithm for authentication
                                            	**type**\:  str
                                            
                                            .. attribute:: sha
                                            
                                            	Use HMAC SHA algorithm for authentication
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospf'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.md5 = None
                                                self.sha = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:auth'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.md5 is not None:
                                                    return True

                                                if self.sha is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Auth']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:permisssion'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.access is not None and self.access._has_data():
                                                return True

                                            if self.auth is not None and self.auth._has_data():
                                                return True

                                            if self.credential is not None:
                                                return True

                                            if self.encrypted is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:user'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.permisssion is not None and self.permisssion._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:context[Cisco-IOS-XE-ospf:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.community is not None and self.community._has_data():
                                        return True

                                    if self.user is not None and self.user._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:snmp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.context is not None:
                                    for child_ref in self.context:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp']['meta_info']


                        class Topology(object):
                            """
                            Associate the routing protocol to a topology instance
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: tid
                            
                            	Configuring the routing protocol topology tid
                            	**type**\:  int
                            
                            	**range:** 32..127
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.tid = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:topology'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.tid is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Topology']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:multicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.snmp is not None and self.snmp._has_data():
                                return True

                            if self.topology is not None and self.topology._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4.Multicast']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipv4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.multicast is not None and self.multicast._has_data():
                            return True

                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.AddressFamily.Ipv4']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:address-family'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipv4 is not None and self.ipv4._has_data():
                        return True

                    if self.ipv4_1 is not None and self.ipv4_1._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.AddressFamily']['meta_info']


            class Area(object):
                """
                OSPF area parameters
                
                .. attribute:: id  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                
                ----
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: authentication
                
                	Enable authentication
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Authentication>`
                
                	**presence node**\: True
                
                .. attribute:: capability
                
                	Enable area specific capability
                	**type**\:   :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Capability>`
                
                .. attribute:: default_cost
                
                	Set the summary default\-cost of a NSSA/stub area
                	**type**\:  int
                
                	**range:** 0..16777215
                
                .. attribute:: filter_list
                
                	Filter networks between OSPF areas
                	**type**\: list of    :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.FilterList>`
                
                .. attribute:: ipv4_range
                
                	
                	**type**\:   :py:class:`Ipv4Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Ipv4Range>`
                
                .. attribute:: ipv6_range
                
                	
                	**type**\:   :py:class:`Ipv6Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Ipv6Range>`
                
                .. attribute:: nssa
                
                	Specify a NSSA area
                	**type**\:   :py:class:`Nssa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Nssa>`
                
                	**presence node**\: True
                
                .. attribute:: sham_link
                
                	Define a sham link and its parameters
                	**type**\: list of    :py:class:`ShamLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.ShamLink>`
                
                .. attribute:: stub
                
                	Specify a stub area
                	**type**\:   :py:class:`Stub <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Stub>`
                
                	**presence node**\: True
                
                .. attribute:: virtual_link
                
                	Define a virtual link and its parameters
                	**type**\: list of    :py:class:`VirtualLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.authentication = None
                    self.capability = Native.Router.Ospf.Area.Capability()
                    self.capability.parent = self
                    self.default_cost = None
                    self.filter_list = YList()
                    self.filter_list.parent = self
                    self.filter_list.name = 'filter_list'
                    self.ipv4_range = Native.Router.Ospf.Area.Ipv4Range()
                    self.ipv4_range.parent = self
                    self.ipv6_range = Native.Router.Ospf.Area.Ipv6Range()
                    self.ipv6_range.parent = self
                    self.nssa = None
                    self.sham_link = YList()
                    self.sham_link.parent = self
                    self.sham_link.name = 'sham_link'
                    self.stub = None
                    self.virtual_link = YList()
                    self.virtual_link.parent = self
                    self.virtual_link.name = 'virtual_link'


                class Authentication(object):
                    """
                    Enable authentication
                    
                    .. attribute:: message_digest
                    
                    	Use message\-digest authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.message_digest = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.message_digest is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Area.Authentication']['meta_info']


                class Capability(object):
                    """
                    Enable area specific capability
                    
                    .. attribute:: default_exclusion
                    
                    	Enable exclusion of links from base topology
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.default_exclusion = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:capability'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.default_exclusion is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Area.Capability']['meta_info']


                class FilterList(object):
                    """
                    Filter networks between OSPF areas
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:   :py:class:`InOutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.FilterList.InOutEnum>`
                    
                    .. attribute:: prefix
                    
                    	Filter prefixes between OSPF areas
                    	**type**\:  str
                    
                    	**mandatory**\: True
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_out = None
                        self.prefix = None

                    class InOutEnum(Enum):
                        """
                        InOutEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Area.FilterList.InOutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.in_out is None:
                            raise YPYModelError('Key property in_out is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:filter-list[Cisco-IOS-XE-ospf:in-out = ' + str(self.in_out) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_out is not None:
                            return True

                        if self.prefix is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Area.FilterList']['meta_info']


                class Nssa(object):
                    """
                    Specify a NSSA area
                    
                    .. attribute:: default_information_originate
                    
                    	Originate Type 7 default into NSSA area
                    	**type**\:   :py:class:`DefaultInformationOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: no_ext_capability
                    
                    	Do not send domain specific capabilities into NSSA
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: no_redistribution
                    
                    	No redistribution into this NSSA area
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: no_summary
                    
                    	Do not send summary LSA into NSSA
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nssa_only
                    
                    	Limit default advertisement to this NSSA area
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: translate
                    
                    	Translate LSA
                    	**type**\:   :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Nssa.Translate>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.default_information_originate = None
                        self.no_ext_capability = None
                        self.no_redistribution = None
                        self.no_summary = None
                        self.nssa_only = None
                        self.translate = Native.Router.Ospf.Area.Nssa.Translate()
                        self.translate.parent = self


                    class DefaultInformationOriginate(object):
                        """
                        Originate Type 7 default into NSSA area
                        
                        .. attribute:: metric
                        
                        	OSPF default metric
                        	**type**\:  int
                        
                        	**range:** 0..16777214
                        
                        .. attribute:: metric_type
                        
                        	OSPF metric type for default routes
                        	**type**\:  int
                        
                        	**range:** 1..2
                        
                        .. attribute:: no_ext_capability
                        
                        	Do not send domain specific capabilities into NSSA
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: no_redistribution
                        
                        	No redistribution into this NSSA area
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: no_summary
                        
                        	Do not send summary LSA into NSSA
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: nssa_only
                        
                        	Limit default advertisement to this NSSA area
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: translate
                        
                        	Translate LSA
                        	**type**\:   :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.metric = None
                            self.metric_type = None
                            self.no_ext_capability = None
                            self.no_redistribution = None
                            self.no_summary = None
                            self.nssa_only = None
                            self.translate = Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate()
                            self.translate.parent = self


                        class Translate(object):
                            """
                            Translate LSA
                            
                            .. attribute:: type7
                            
                            	From Type 7 to Type 5
                            	**type**\:   :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate.Type7>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.type7 = Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate.Type7()
                                self.type7.parent = self


                            class Type7(object):
                                """
                                From Type 7 to Type 5
                                
                                .. attribute:: always
                                
                                	Always translate LSAs on this ABR
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: suppress_fa
                                
                                	Suppress forwarding address in translated LSAs
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.always = None
                                    self.suppress_fa = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:type7'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.always is not None:
                                        return True

                                    if self.suppress_fa is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate.Type7']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:translate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.type7 is not None and self.type7._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:default-information-originate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.no_ext_capability is not None:
                                return True

                            if self.no_redistribution is not None:
                                return True

                            if self.no_summary is not None:
                                return True

                            if self.nssa_only is not None:
                                return True

                            if self.translate is not None and self.translate._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate']['meta_info']


                    class Translate(object):
                        """
                        Translate LSA
                        
                        .. attribute:: type7
                        
                        	From Type 7 to Type 5
                        	**type**\:   :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Nssa.Translate.Type7>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.type7 = Native.Router.Ospf.Area.Nssa.Translate.Type7()
                            self.type7.parent = self


                        class Type7(object):
                            """
                            From Type 7 to Type 5
                            
                            .. attribute:: always
                            
                            	Always translate LSAs on this ABR
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_fa
                            
                            	Suppress forwarding address in translated LSAs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.always = None
                                self.suppress_fa = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:type7'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.always is not None:
                                    return True

                                if self.suppress_fa is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Area.Nssa.Translate.Type7']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:translate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.type7 is not None and self.type7._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Area.Nssa.Translate']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:nssa'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.default_information_originate is not None and self.default_information_originate._has_data():
                            return True

                        if self.no_ext_capability is not None:
                            return True

                        if self.no_redistribution is not None:
                            return True

                        if self.no_summary is not None:
                            return True

                        if self.nssa_only is not None:
                            return True

                        if self.translate is not None and self.translate._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Area.Nssa']['meta_info']


                class Ipv4Range(object):
                    """
                    
                    
                    .. attribute:: range
                    
                    	Summarize routes matching address/mask (border routers only)
                    	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Ipv4Range.Range>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.range = YList()
                        self.range.parent = self
                        self.range.name = 'range'


                    class Range(object):
                        """
                        Summarize routes matching address/mask (border routers only)
                        
                        .. attribute:: ip  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: advertise
                        
                        	Advertise this range (default)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cost
                        
                        	User specified metric for this range
                        	**type**\:  int
                        
                        	**range:** 0..16777215
                        
                        .. attribute:: not_advertise
                        
                        	DoNotAdvertise this range
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = None
                            self.mask = None
                            self.advertise = None
                            self.cost = None
                            self.not_advertise = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ip is None:
                                raise YPYModelError('Key property ip is None')
                            if self.mask is None:
                                raise YPYModelError('Key property mask is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:range[Cisco-IOS-XE-ospf:ip = ' + str(self.ip) + '][Cisco-IOS-XE-ospf:mask = ' + str(self.mask) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.advertise is not None:
                                return True

                            if self.cost is not None:
                                return True

                            if self.not_advertise is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Area.Ipv4Range.Range']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipv4-range'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.range is not None:
                            for child_ref in self.range:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Area.Ipv4Range']['meta_info']


                class Ipv6Range(object):
                    """
                    
                    
                    .. attribute:: range
                    
                    	Summarize routes matching address/mask (border routers only)
                    	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Ipv6Range.Range>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.range = YList()
                        self.range.parent = self
                        self.range.name = 'range'


                    class Range(object):
                        """
                        Summarize routes matching address/mask (border routers only)
                        
                        .. attribute:: ip  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: advertise
                        
                        	Advertise this range (default)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cost
                        
                        	User specified metric for this range
                        	**type**\:  int
                        
                        	**range:** 0..16777215
                        
                        .. attribute:: not_advertise
                        
                        	DoNotAdvertise this range
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = None
                            self.advertise = None
                            self.cost = None
                            self.not_advertise = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ip is None:
                                raise YPYModelError('Key property ip is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:range[Cisco-IOS-XE-ospf:ip = ' + str(self.ip) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None:
                                return True

                            if self.advertise is not None:
                                return True

                            if self.cost is not None:
                                return True

                            if self.not_advertise is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Area.Ipv6Range.Range']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ipv6-range'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.range is not None:
                            for child_ref in self.range:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Area.Ipv6Range']['meta_info']


                class ShamLink(object):
                    """
                    Define a sham link and its parameters
                    
                    .. attribute:: source  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: dest  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: cost
                    
                    	Associate a cost with the sham\-link
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: ttl_security
                    
                    	TTL security check
                    	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.ShamLink.TtlSecurity>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.dest = None
                        self.cost = None
                        self.ttl_security = Native.Router.Ospf.Area.ShamLink.TtlSecurity()
                        self.ttl_security.parent = self


                    class TtlSecurity(object):
                        """
                        TTL security check
                        
                        .. attribute:: hops
                        
                        	IP hops
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hops = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:ttl-security'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hops is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Area.ShamLink.TtlSecurity']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.source is None:
                            raise YPYModelError('Key property source is None')
                        if self.dest is None:
                            raise YPYModelError('Key property dest is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:sham-link[Cisco-IOS-XE-ospf:source = ' + str(self.source) + '][Cisco-IOS-XE-ospf:dest = ' + str(self.dest) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None:
                            return True

                        if self.dest is not None:
                            return True

                        if self.cost is not None:
                            return True

                        if self.ttl_security is not None and self.ttl_security._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Area.ShamLink']['meta_info']


                class Stub(object):
                    """
                    Specify a stub area
                    
                    .. attribute:: no_ext_capability
                    
                    	Do not send domain specific capabilities into stub area
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: no_summary
                    
                    	Do not send summary LSA into stub area
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.no_ext_capability = None
                        self.no_summary = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:stub'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.no_ext_capability is not None:
                            return True

                        if self.no_summary is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Area.Stub']['meta_info']


                class VirtualLink(object):
                    """
                    Define a virtual link and its parameters
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: authentication
                    
                    	Set authentication type
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication>`
                    
                    .. attribute:: authentication_key
                    
                    	Set authentication key
                    	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.AuthenticationKey>`
                    
                    .. attribute:: dead_interval
                    
                    	Dead router detection time
                    	**type**\:   :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.DeadInterval>`
                    
                    .. attribute:: hello_interval
                    
                    	Hello packet interval
                    	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.HelloInterval>`
                    
                    .. attribute:: message_digest_key
                    
                    	Set message digest key
                    	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.MessageDigestKey>`
                    
                    .. attribute:: retransmit_interval
                    
                    	LSA retransmit interval
                    	**type**\:   :py:class:`RetransmitInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.RetransmitInterval>`
                    
                    .. attribute:: topology
                    
                    	Disable virtual link on topology
                    	**type**\:   :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Topology>`
                    
                    .. attribute:: transmit_delay
                    
                    	LSA transmission delay
                    	**type**\:   :py:class:`TransmitDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.TransmitDelay>`
                    
                    .. attribute:: ttl_security
                    
                    	TTL security check
                    	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.TtlSecurity>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.authentication = Native.Router.Ospf.Area.VirtualLink.Authentication()
                        self.authentication.parent = self
                        self.authentication_key = Native.Router.Ospf.Area.VirtualLink.AuthenticationKey()
                        self.authentication_key.parent = self
                        self.dead_interval = Native.Router.Ospf.Area.VirtualLink.DeadInterval()
                        self.dead_interval.parent = self
                        self.hello_interval = Native.Router.Ospf.Area.VirtualLink.HelloInterval()
                        self.hello_interval.parent = self
                        self.message_digest_key = YList()
                        self.message_digest_key.parent = self
                        self.message_digest_key.name = 'message_digest_key'
                        self.retransmit_interval = Native.Router.Ospf.Area.VirtualLink.RetransmitInterval()
                        self.retransmit_interval.parent = self
                        self.topology = Native.Router.Ospf.Area.VirtualLink.Topology()
                        self.topology.parent = self
                        self.transmit_delay = Native.Router.Ospf.Area.VirtualLink.TransmitDelay()
                        self.transmit_delay.parent = self
                        self.ttl_security = Native.Router.Ospf.Area.VirtualLink.TtlSecurity()
                        self.ttl_security.parent = self


                    class Authentication(object):
                        """
                        Set authentication type
                        
                        .. attribute:: authentication_key
                        
                        	Set authentication key
                        	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.AuthenticationKey>`
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain>`
                        
                        .. attribute:: message_digest
                        
                        	Message\-digest authentication
                        	**type**\:   :py:class:`MessageDigest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest>`
                        
                        .. attribute:: message_digest_key
                        
                        	Set message digest key
                        	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey>`
                        
                        .. attribute:: null
                        
                        	No authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.authentication_key = Native.Router.Ospf.Area.VirtualLink.Authentication.AuthenticationKey()
                            self.authentication_key.parent = self
                            self.key_chain = Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain()
                            self.key_chain.parent = self
                            self.message_digest = Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest()
                            self.message_digest.parent = self
                            self.message_digest_key = YList()
                            self.message_digest_key.parent = self
                            self.message_digest_key.name = 'message_digest_key'
                            self.null = None


                        class AuthenticationKey(object):
                            """
                            Set authentication key
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.auth_key = None
                                self.auth_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication-key'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.auth_key is not None:
                                    return True

                                if self.auth_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.AuthenticationKey']['meta_info']


                        class MessageDigestKey(object):
                            """
                            Set message digest key
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: md5
                            
                            	Use MD5 algorithm
                            	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey.Md5>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.md5 = Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey.Md5()
                                self.md5.parent = self


                            class Md5(object):
                                """
                                Use MD5 algorithm
                                
                                .. attribute:: auth_key
                                
                                	
                                	**type**\:  str
                                
                                	**length:** 1..16
                                
                                .. attribute:: auth_type
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.auth_key = None
                                    self.auth_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:md5'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.auth_key is not None:
                                        return True

                                    if self.auth_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey.Md5']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:message-digest-key[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.md5 is not None and self.md5._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey']['meta_info']


                        class KeyChain(object):
                            """
                            Use a key\-chain for cryptographic authentication keys
                            
                            .. attribute:: authentication_key
                            
                            	Set authentication key
                            	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey>`
                            
                            .. attribute:: message_digest_key
                            
                            	Set message digest key
                            	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication_key = Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey()
                                self.authentication_key.parent = self
                                self.message_digest_key = YList()
                                self.message_digest_key.parent = self
                                self.message_digest_key.name = 'message_digest_key'
                                self.name = None


                            class AuthenticationKey(object):
                                """
                                Set authentication key
                                
                                .. attribute:: auth_key
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: auth_type
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.auth_key = None
                                    self.auth_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication-key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.auth_key is not None:
                                        return True

                                    if self.auth_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey']['meta_info']


                            class MessageDigestKey(object):
                                """
                                Set message digest key
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: md5
                                
                                	Use MD5 algorithm
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.md5 = Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 algorithm
                                    
                                    .. attribute:: auth_key
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**length:** 1..16
                                    
                                    .. attribute:: auth_type
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..7
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.auth_key = None
                                        self.auth_type = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.auth_key is not None:
                                            return True

                                        if self.auth_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:message-digest-key[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:key-chain'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication_key is not None and self.authentication_key._has_data():
                                    return True

                                if self.message_digest_key is not None:
                                    for child_ref in self.message_digest_key:
                                        if child_ref._has_data():
                                            return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain']['meta_info']


                        class MessageDigest(object):
                            """
                            Message\-digest authentication
                            
                            .. attribute:: authentication_key
                            
                            	Set authentication key
                            	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey>`
                            
                            .. attribute:: message_digest_key
                            
                            	Set message digest key
                            	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication_key = Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey()
                                self.authentication_key.parent = self
                                self.message_digest_key = YList()
                                self.message_digest_key.parent = self
                                self.message_digest_key.name = 'message_digest_key'


                            class AuthenticationKey(object):
                                """
                                Set authentication key
                                
                                .. attribute:: auth_key
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: auth_type
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.auth_key = None
                                    self.auth_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication-key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.auth_key is not None:
                                        return True

                                    if self.auth_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey']['meta_info']


                            class MessageDigestKey(object):
                                """
                                Set message digest key
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: md5
                                
                                	Use MD5 algorithm
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.md5 = Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 algorithm
                                    
                                    .. attribute:: auth_key
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**length:** 1..16
                                    
                                    .. attribute:: auth_type
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..7
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.auth_key = None
                                        self.auth_type = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.auth_key is not None:
                                            return True

                                        if self.auth_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:message-digest-key[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:message-digest'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication_key is not None and self.authentication_key._has_data():
                                    return True

                                if self.message_digest_key is not None:
                                    for child_ref in self.message_digest_key:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.authentication_key is not None and self.authentication_key._has_data():
                                return True

                            if self.key_chain is not None and self.key_chain._has_data():
                                return True

                            if self.message_digest is not None and self.message_digest._has_data():
                                return True

                            if self.message_digest_key is not None:
                                for child_ref in self.message_digest_key:
                                    if child_ref._has_data():
                                        return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Area.VirtualLink.Authentication']['meta_info']


                    class HelloInterval(object):
                        """
                        Hello packet interval
                        
                        .. attribute:: hello_interval_value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..8192
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval_value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:hello-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval_value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Area.VirtualLink.HelloInterval']['meta_info']


                    class DeadInterval(object):
                        """
                        Dead router detection time
                        
                        .. attribute:: dead_interval_value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..8192
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dead_interval_value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:dead-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dead_interval_value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Area.VirtualLink.DeadInterval']['meta_info']


                    class RetransmitInterval(object):
                        """
                        LSA retransmit interval
                        
                        .. attribute:: retransmit_interval_value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..8192
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.retransmit_interval_value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:retransmit-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.retransmit_interval_value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Area.VirtualLink.RetransmitInterval']['meta_info']


                    class TransmitDelay(object):
                        """
                        LSA transmission delay
                        
                        .. attribute:: transmit_delay_value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..8192
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.transmit_delay_value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:transmit-delay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.transmit_delay_value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Area.VirtualLink.TransmitDelay']['meta_info']


                    class Topology(object):
                        """
                        Disable virtual link on topology
                        
                        .. attribute:: disable
                        
                        	Disable virtual link
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:topology'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Area.VirtualLink.Topology']['meta_info']


                    class TtlSecurity(object):
                        """
                        TTL security check
                        
                        .. attribute:: hops
                        
                        	IP hops
                        	**type**\:  int
                        
                        	**range:** 1..254
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hops = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:ttl-security'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hops is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Area.VirtualLink.TtlSecurity']['meta_info']


                    class AuthenticationKey(object):
                        """
                        Set authentication key
                        
                        .. attribute:: auth_key
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: auth_type
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.auth_key = None
                            self.auth_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:authentication-key'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.auth_key is not None:
                                return True

                            if self.auth_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Area.VirtualLink.AuthenticationKey']['meta_info']


                    class MessageDigestKey(object):
                        """
                        Set message digest key
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: md5
                        
                        	Use MD5 algorithm
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.MessageDigestKey.Md5>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.md5 = Native.Router.Ospf.Area.VirtualLink.MessageDigestKey.Md5()
                            self.md5.parent = self


                        class Md5(object):
                            """
                            Use MD5 algorithm
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\:  str
                            
                            	**length:** 1..16
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.auth_key = None
                                self.auth_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.auth_key is not None:
                                    return True

                                if self.auth_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Area.VirtualLink.MessageDigestKey.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:message-digest-key[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.md5 is not None and self.md5._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Area.VirtualLink.MessageDigestKey']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:virtual-link[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.authentication_key is not None and self.authentication_key._has_data():
                            return True

                        if self.dead_interval is not None and self.dead_interval._has_data():
                            return True

                        if self.hello_interval is not None and self.hello_interval._has_data():
                            return True

                        if self.message_digest_key is not None:
                            for child_ref in self.message_digest_key:
                                if child_ref._has_data():
                                    return True

                        if self.retransmit_interval is not None and self.retransmit_interval._has_data():
                            return True

                        if self.topology is not None and self.topology._has_data():
                            return True

                        if self.transmit_delay is not None and self.transmit_delay._has_data():
                            return True

                        if self.ttl_security is not None and self.ttl_security._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Area.VirtualLink']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:area[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.capability is not None and self.capability._has_data():
                        return True

                    if self.default_cost is not None:
                        return True

                    if self.filter_list is not None:
                        for child_ref in self.filter_list:
                            if child_ref._has_data():
                                return True

                    if self.ipv4_range is not None and self.ipv4_range._has_data():
                        return True

                    if self.ipv6_range is not None and self.ipv6_range._has_data():
                        return True

                    if self.nssa is not None and self.nssa._has_data():
                        return True

                    if self.sham_link is not None:
                        for child_ref in self.sham_link:
                            if child_ref._has_data():
                                return True

                    if self.stub is not None and self.stub._has_data():
                        return True

                    if self.virtual_link is not None:
                        for child_ref in self.virtual_link:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.Area']['meta_info']


            class AutoCost(object):
                """
                Calculate OSPF interface cost according to bandwidth
                
                .. attribute:: reference_bandwidth
                
                	Use reference bandwidth method to assign OSPF cost
                	**type**\:  int
                
                	**range:** 1..4294967
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.reference_bandwidth = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:auto-cost'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.reference_bandwidth is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.AutoCost']['meta_info']


            class EventLog(object):
                """
                OSPF Event Logging
                
                .. attribute:: one_shot
                
                	Disable Logging When Log Buffer Becomes Full
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pause
                
                	Pause Event Logging
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: size
                
                	Maximum Number of Events Stored in the Event Log
                	**type**\:  int
                
                	**range:** 1..65534
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.one_shot = None
                    self.pause = None
                    self.size = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:event-log'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.one_shot is not None:
                        return True

                    if self.pause is not None:
                        return True

                    if self.size is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.EventLog']['meta_info']


            class Bfd(object):
                """
                BFD configuration commands
                
                .. attribute:: all_interfaces
                
                	Enable BFD on all interfaces
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.all_interfaces = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.all_interfaces is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.Bfd']['meta_info']


            class InterfaceId(object):
                """
                Source of the interface ID
                
                .. attribute:: snmp_if_index
                
                	SNMP MIB ifIndex
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.snmp_if_index = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:interface-id'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.snmp_if_index is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.InterfaceId']['meta_info']


            class LogAdjacencyChanges(object):
                """
                Log changes in adjacency state
                
                .. attribute:: detail
                
                	Log all state changes
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.detail = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:log-adjacency-changes'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.detail is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.LogAdjacencyChanges']['meta_info']


            class MaxLsa(object):
                """
                maximum number of LSAs OSPF process will receive
                
                .. attribute:: ignore_count
                
                	maximum number of times adjacencies can be suppressed
                	**type**\:  int
                
                	**range:** 1..65534
                
                .. attribute:: ignore_time
                
                	time during which all adjacencies are suppressed
                	**type**\:  int
                
                	**range:** 1..17895
                
                .. attribute:: number
                
                	
                	**type**\:  int
                
                	**range:** 1..4294967294
                
                .. attribute:: reset_time
                
                	time after which ignore\-count is reset to zero
                	**type**\:  int
                
                	**range:** 2..35791
                
                .. attribute:: threshold_value
                
                	
                	**type**\:  int
                
                	**range:** 1..100
                
                .. attribute:: warning_only
                
                	Only give warning message when limit is exceeded
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ignore_count = None
                    self.ignore_time = None
                    self.number = None
                    self.reset_time = None
                    self.threshold_value = None
                    self.warning_only = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:max-lsa'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ignore_count is not None:
                        return True

                    if self.ignore_time is not None:
                        return True

                    if self.number is not None:
                        return True

                    if self.reset_time is not None:
                        return True

                    if self.threshold_value is not None:
                        return True

                    if self.warning_only is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.MaxLsa']['meta_info']


            class MaxMetric(object):
                """
                Set maximum metric
                
                .. attribute:: router_lsa
                
                	Maximum metric in self\-originated router\-LSAs
                	**type**\:   :py:class:`RouterLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.MaxMetric.RouterLsa>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.router_lsa = None


                class RouterLsa(object):
                    """
                    Maximum metric in self\-originated router\-LSAs
                    
                    .. attribute:: external_lsa
                    
                    	Override external\-lsa metric with max\-metric value
                    	**type**\:   :py:class:`ExternalLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.MaxMetric.RouterLsa.ExternalLsa>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: include_stub
                    
                    	Set maximum metric for stub links in router\-LSAs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: on_startup
                    
                    	Set maximum metric temporarily after reboot
                    	**type**\:   :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.MaxMetric.RouterLsa.OnStartup>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: summary_lsa
                    
                    	Override summary\-lsa metric with max\-metric value
                    	**type**\:   :py:class:`SummaryLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.MaxMetric.RouterLsa.SummaryLsa>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.external_lsa = None
                        self.include_stub = None
                        self.on_startup = None
                        self.summary_lsa = None


                    class ExternalLsa(object):
                        """
                        Override external\-lsa metric with max\-metric value
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..16777215
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:external-lsa'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.MaxMetric.RouterLsa.ExternalLsa']['meta_info']


                    class OnStartup(object):
                        """
                        Set maximum metric temporarily after reboot
                        
                        .. attribute:: time
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 5..86400
                        
                        .. attribute:: wait_for_bgp
                        
                        	Let BGP decide when to originate router\-LSA with normal metric
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.time = None
                            self.wait_for_bgp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:on-startup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.time is not None:
                                return True

                            if self.wait_for_bgp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.MaxMetric.RouterLsa.OnStartup']['meta_info']


                    class SummaryLsa(object):
                        """
                        Override summary\-lsa metric with max\-metric value
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..16777215
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:summary-lsa'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.MaxMetric.RouterLsa.SummaryLsa']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:router-lsa'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.external_lsa is not None and self.external_lsa._has_data():
                            return True

                        if self.include_stub is not None:
                            return True

                        if self.on_startup is not None and self.on_startup._has_data():
                            return True

                        if self.summary_lsa is not None and self.summary_lsa._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.MaxMetric.RouterLsa']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:max-metric'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.router_lsa is not None and self.router_lsa._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.MaxMetric']['meta_info']


            class PassiveInterface(object):
                """
                Suppress routing updates on an interface
                
                .. attribute:: default
                
                	Suppress routing updates on all interfaces
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: interface
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = None
                    self.interface = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:passive-interface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None:
                        return True

                    if self.interface is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.PassiveInterface']['meta_info']


            class Disable(object):
                """
                
                
                .. attribute:: passive_interface
                
                	
                	**type**\: list of    :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Disable.PassiveInterface>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.passive_interface = YList()
                    self.passive_interface.parent = self
                    self.passive_interface.name = 'passive_interface'


                class PassiveInterface(object):
                    """
                    
                    
                    .. attribute:: interface  <key>
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.interface is None:
                            raise YPYModelError('Key property interface is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:passive-interface[Cisco-IOS-XE-ospf:interface = ' + str(self.interface) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Disable.PassiveInterface']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:disable'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.passive_interface is not None:
                        for child_ref in self.passive_interface:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.Disable']['meta_info']


            class QueueDepth(object):
                """
                OSPF Hello/Router process queue depth
                
                .. attribute:: hello
                
                	OSPF Hello process queue depth
                	**type**\:   :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.QueueDepth.Hello>`
                
                .. attribute:: update
                
                	OSPF Router process queue depth
                	**type**\:   :py:class:`Update <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.QueueDepth.Update>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.hello = Native.Router.Ospf.QueueDepth.Hello()
                    self.hello.parent = self
                    self.update = Native.Router.Ospf.QueueDepth.Update()
                    self.update.parent = self


                class Hello(object):
                    """
                    OSPF Hello process queue depth
                    
                    .. attribute:: options
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..2147483647
                    
                    
                    ----
                    	**type**\:   :py:class:`OptionsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.options = None

                    class OptionsEnum(Enum):
                        """
                        OptionsEnum

                        .. data:: unlimited = 0

                        """

                        unlimited = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.QueueDepth.Hello.OptionsEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:hello'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.options is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.QueueDepth.Hello']['meta_info']


                class Update(object):
                    """
                    OSPF Router process queue depth
                    
                    .. attribute:: options
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..2147483647
                    
                    
                    ----
                    	**type**\:   :py:class:`OptionsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.options = None

                    class OptionsEnum(Enum):
                        """
                        OptionsEnum

                        .. data:: unlimited = 0

                        """

                        unlimited = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.QueueDepth.Update.OptionsEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:update'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.options is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.QueueDepth.Update']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:queue-depth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.hello is not None and self.hello._has_data():
                        return True

                    if self.update is not None and self.update._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.QueueDepth']['meta_info']


            class Timers(object):
                """
                Adjust routing timers
                
                .. attribute:: lsa
                
                	OSPF LSA timers
                	**type**\:   :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Timers.Lsa>`
                
                .. attribute:: pacing
                
                	OSPF pacing timers
                	**type**\:   :py:class:`Pacing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Timers.Pacing>`
                
                .. attribute:: throttle
                
                	OSPF throttle timers
                	**type**\:   :py:class:`Throttle <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Timers.Throttle>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.lsa = Native.Router.Ospf.Timers.Lsa()
                    self.lsa.parent = self
                    self.pacing = Native.Router.Ospf.Timers.Pacing()
                    self.pacing.parent = self
                    self.throttle = Native.Router.Ospf.Timers.Throttle()
                    self.throttle.parent = self


                class Lsa(object):
                    """
                    OSPF LSA timers
                    
                    .. attribute:: arrival
                    
                    	OSPF LSA arrival timer
                    	**type**\:  int
                    
                    	**range:** 0..600000
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.arrival = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:lsa'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.arrival is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Timers.Lsa']['meta_info']


                class Pacing(object):
                    """
                    OSPF pacing timers
                    
                    .. attribute:: flood
                    
                    	OSPF flood pacing timer
                    	**type**\:  int
                    
                    	**range:** 5..100
                    
                    .. attribute:: lsa_group
                    
                    	OSPF LSA group pacing timer
                    	**type**\:  int
                    
                    	**range:** 10..1800
                    
                    .. attribute:: retransmission
                    
                    	OSPF retransmission pacing timer
                    	**type**\:  int
                    
                    	**range:** 5..200
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.flood = None
                        self.lsa_group = None
                        self.retransmission = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:pacing'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.flood is not None:
                            return True

                        if self.lsa_group is not None:
                            return True

                        if self.retransmission is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Timers.Pacing']['meta_info']


                class Throttle(object):
                    """
                    OSPF throttle timers
                    
                    .. attribute:: lsa
                    
                    	OSPF LSA throttle timers
                    	**type**\:   :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Timers.Throttle.Lsa>`
                    
                    .. attribute:: spf
                    
                    	OSPF SPF throttle timers
                    	**type**\:   :py:class:`Spf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Timers.Throttle.Spf>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.lsa = Native.Router.Ospf.Timers.Throttle.Lsa()
                        self.lsa.parent = self
                        self.spf = Native.Router.Ospf.Timers.Throttle.Spf()
                        self.spf.parent = self


                    class Lsa(object):
                        """
                        OSPF LSA throttle timers
                        
                        .. attribute:: all
                        
                        	For all type of OSPF LSAs
                        	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Timers.Throttle.Lsa.All>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = Native.Router.Ospf.Timers.Throttle.Lsa.All()
                            self.all.parent = self


                        class All(object):
                            """
                            For all type of OSPF LSAs
                            
                            .. attribute:: delay
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..600000
                            
                            .. attribute:: max_delay
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..600000
                            
                            .. attribute:: min_delay
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..600000
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.delay = None
                                self.max_delay = None
                                self.min_delay = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:all'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.delay is not None:
                                    return True

                                if self.max_delay is not None:
                                    return True

                                if self.min_delay is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Timers.Throttle.Lsa.All']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:lsa'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None and self.all._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Timers.Throttle.Lsa']['meta_info']


                    class Spf(object):
                        """
                        OSPF SPF throttle timers
                        
                        .. attribute:: delay
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..600000
                        
                        .. attribute:: max_delay
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..600000
                        
                        .. attribute:: min_delay
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..600000
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.delay = None
                            self.max_delay = None
                            self.min_delay = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:spf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.delay is not None:
                                return True

                            if self.max_delay is not None:
                                return True

                            if self.min_delay is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Timers.Throttle.Spf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:throttle'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.lsa is not None and self.lsa._has_data():
                            return True

                        if self.spf is not None and self.spf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Timers.Throttle']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:timers'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.lsa is not None and self.lsa._has_data():
                        return True

                    if self.pacing is not None and self.pacing._has_data():
                        return True

                    if self.throttle is not None and self.throttle._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.Timers']['meta_info']


            class TrafficShare(object):
                """
                How to compute traffic share over alternate paths
                
                .. attribute:: across_interfaces
                
                	Use different interfaces for equal\-cost paths
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: min
                
                	All traffic shared among min metric paths
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.across_interfaces = None
                    self.min = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:traffic-share'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.across_interfaces is not None:
                        return True

                    if self.min is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.TrafficShare']['meta_info']


            class TtlSecurity(object):
                """
                TTL security check
                
                .. attribute:: all_interfaces
                
                	Enable TTL Security on all interfaces
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hops
                
                	IP hops
                	**type**\:  int
                
                	**range:** 1..254
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.all_interfaces = None
                    self.hops = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:ttl-security'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.all_interfaces is not None:
                        return True

                    if self.hops is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.TtlSecurity']['meta_info']


            class Capability(object):
                """
                Enable specific OSPF feature
                
                .. attribute:: capability_type
                
                	
                	**type**\:   :py:class:`CapabilityTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Capability.CapabilityTypeEnum>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.capability_type = None

                class CapabilityTypeEnum(Enum):
                    """
                    CapabilityTypeEnum

                    .. data:: lls = 0

                    .. data:: opaque = 1

                    .. data:: transit = 2

                    .. data:: vrf_lite = 3

                    """

                    lls = 0

                    opaque = 1

                    transit = 2

                    vrf_lite = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Capability.CapabilityTypeEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:capability'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.capability_type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.Capability']['meta_info']


            class Compatible(object):
                """
                OSPF compatibility list
                
                .. attribute:: rfc1583
                
                	Compatible with RFC 1583
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: rfc1587
                
                	Compatible with RFC 1587
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: rfc5243
                
                	Compatible with RFC 5243
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.rfc1583 = None
                    self.rfc1587 = None
                    self.rfc5243 = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:compatible'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.rfc1583 is not None:
                        return True

                    if self.rfc1587 is not None:
                        return True

                    if self.rfc5243 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.Compatible']['meta_info']


            class DefaultInformation(object):
                """
                Control distribution of default information
                
                .. attribute:: originate
                
                	Distribute a default route
                	**type**\:   :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DefaultInformation.Originate>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.originate = None


                class Originate(object):
                    """
                    Distribute a default route
                    
                    .. attribute:: always
                    
                    	Always advertise default route
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: metric
                    
                    	OSPF default metric
                    	**type**\:  int
                    
                    	**range:** 0..16777214
                    
                    .. attribute:: metric_type
                    
                    	OSPF metric type for default routes
                    	**type**\:  int
                    
                    	**range:** 1..2
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.always = None
                        self.metric = None
                        self.metric_type = None
                        self.route_map = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:originate'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.always is not None:
                            return True

                        if self.metric is not None:
                            return True

                        if self.metric_type is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.DefaultInformation.Originate']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:default-information'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.originate is not None and self.originate._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.DefaultInformation']['meta_info']


            class DiscardRoute(object):
                """
                Enable or disable discard\-route installation
                
                .. attribute:: external
                
                	Discard route for redistributed summarised routes
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: internal
                
                	Discard route for summarised internal routes
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: metric
                
                	
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.external = None
                    self.internal = None
                    self.metric = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:discard-route'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.external is not None:
                        return True

                    if self.internal is not None:
                        return True

                    if self.metric is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.DiscardRoute']['meta_info']


            class Distance(object):
                """
                Define an administrative distance
                
                .. attribute:: ospf
                
                	OSPF routes Administrative distance
                	**type**\:   :py:class:`Ospf_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Distance.Ospf_>`
                
                .. attribute:: ospf_distance
                
                	
                	**type**\:   :py:class:`OspfDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Distance.OspfDistance>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ospf = Native.Router.Ospf.Distance.Ospf_()
                    self.ospf.parent = self
                    self.ospf_distance = Native.Router.Ospf.Distance.OspfDistance()
                    self.ospf_distance.parent = self


                class OspfDistance(object):
                    """
                    
                    
                    .. attribute:: acl_name
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..99
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 1300..1999
                    
                    
                    ----
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: distance
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    .. attribute:: ip
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: wildcard
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acl_name = None
                        self.distance = None
                        self.ip = None
                        self.wildcard = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ospf-distance'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acl_name is not None:
                            return True

                        if self.distance is not None:
                            return True

                        if self.ip is not None:
                            return True

                        if self.wildcard is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Distance.OspfDistance']['meta_info']


                class Ospf_(object):
                    """
                    OSPF routes Administrative distance
                    
                    .. attribute:: external
                    
                    	External routes
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    .. attribute:: inter_area
                    
                    	Inter\-area routes
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    .. attribute:: intra_area
                    
                    	Intra\-area routes
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.external = None
                        self.inter_area = None
                        self.intra_area = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ospf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.external is not None:
                            return True

                        if self.inter_area is not None:
                            return True

                        if self.intra_area is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Distance.Ospf_']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:distance'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ospf is not None and self.ospf._has_data():
                        return True

                    if self.ospf_distance is not None and self.ospf_distance._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.Distance']['meta_info']


            class Redistribute(object):
                """
                Redistribute information from another routing protocol
                
                .. attribute:: application
                
                	Application
                	**type**\: list of    :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Application>`
                
                .. attribute:: bgp
                
                	Border Gateway Protocol (BGP)
                	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Bgp>`
                
                .. attribute:: connected
                
                	Connected
                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Connected>`
                
                	**presence node**\: True
                
                .. attribute:: eigrp
                
                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Eigrp>`
                
                .. attribute:: isis
                
                	ISO IS\-IS
                	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Isis>`
                
                	**presence node**\: True
                
                .. attribute:: iso_igrp
                
                	IGRP for OSI networks
                	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.IsoIgrp>`
                
                	**presence node**\: True
                
                .. attribute:: lisp
                
                	Locator ID Separation Protocol (LISP)
                	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Lisp>`
                
                .. attribute:: maximum_prefix
                
                	Maximum number of prefixes redistributed to protocol
                	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.MaximumPrefix>`
                
                .. attribute:: mobile
                
                	Mobile routes
                	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Mobile>`
                
                	**presence node**\: True
                
                .. attribute:: odr
                
                	On Demand stub Routes
                	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Odr>`
                
                	**presence node**\: True
                
                .. attribute:: ospf
                
                	Open Shortest Path First (OSPF)
                	**type**\: list of    :py:class:`Ospf_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospf_>`
                
                .. attribute:: ospfv3
                
                	OSPFv3
                	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospfv3>`
                
                .. attribute:: rip
                
                	Routing Information Protocol (RIP)
                	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Rip>`
                
                .. attribute:: static
                
                	Static routes
                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Static>`
                
                	**presence node**\: True
                
                .. attribute:: vrf
                
                	Specify a source VRF
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.application = YList()
                    self.application.parent = self
                    self.application.name = 'application'
                    self.bgp = YList()
                    self.bgp.parent = self
                    self.bgp.name = 'bgp'
                    self.connected = None
                    self.eigrp = YList()
                    self.eigrp.parent = self
                    self.eigrp.name = 'eigrp'
                    self.isis = None
                    self.iso_igrp = None
                    self.lisp = Native.Router.Ospf.Redistribute.Lisp()
                    self.lisp.parent = self
                    self.maximum_prefix = Native.Router.Ospf.Redistribute.MaximumPrefix()
                    self.maximum_prefix.parent = self
                    self.mobile = None
                    self.odr = None
                    self.ospf = YList()
                    self.ospf.parent = self
                    self.ospf.name = 'ospf'
                    self.ospfv3 = YList()
                    self.ospfv3.parent = self
                    self.ospfv3.name = 'ospfv3'
                    self.rip = YList()
                    self.rip.parent = self
                    self.rip.name = 'rip'
                    self.static = None
                    self.vrf = Native.Router.Ospf.Redistribute.Vrf()
                    self.vrf.parent = self


                class Application(object):
                    """
                    Application
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: redist_options
                    
                    	
                    	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Application.RedistOptions>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.redist_options = Native.Router.Ospf.Redistribute.Application.RedistOptions()
                        self.redist_options.parent = self


                    class RedistOptions(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Application.RedistOptions.MetricTypeEnum>`
                        
                        .. attribute:: nssa_only
                        
                        	Limit redistributed routes to NSSA areas
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = None
                            self.metric_type = None
                            self.nssa_only = None
                            self.route_map = None
                            self.subnets = None
                            self.tag = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = 0

                            Y_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Application.RedistOptions.MetricTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.nssa_only is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            if self.subnets is not None:
                                return True

                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Redistribute.Application.RedistOptions']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:application[Cisco-IOS-XE-ospf:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.redist_options is not None and self.redist_options._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Redistribute.Application']['meta_info']


                class Bgp(object):
                    """
                    Border Gateway Protocol (BGP)
                    
                    .. attribute:: as_number  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: redist_options
                    
                    	
                    	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Bgp.RedistOptions>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.as_number = None
                        self.redist_options = Native.Router.Ospf.Redistribute.Bgp.RedistOptions()
                        self.redist_options.parent = self


                    class RedistOptions(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Bgp.RedistOptions.MetricTypeEnum>`
                        
                        .. attribute:: nssa_only
                        
                        	Limit redistributed routes to NSSA areas
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = None
                            self.metric_type = None
                            self.nssa_only = None
                            self.route_map = None
                            self.subnets = None
                            self.tag = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = 0

                            Y_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Bgp.RedistOptions.MetricTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.nssa_only is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            if self.subnets is not None:
                                return True

                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Redistribute.Bgp.RedistOptions']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.as_number is None:
                            raise YPYModelError('Key property as_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:bgp[Cisco-IOS-XE-ospf:as-number = ' + str(self.as_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.as_number is not None:
                            return True

                        if self.redist_options is not None and self.redist_options._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Redistribute.Bgp']['meta_info']


                class Connected(object):
                    """
                    Connected
                    
                    .. attribute:: redist_options
                    
                    	
                    	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Connected.RedistOptions>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.redist_options = Native.Router.Ospf.Redistribute.Connected.RedistOptions()
                        self.redist_options.parent = self


                    class RedistOptions(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Connected.RedistOptions.MetricTypeEnum>`
                        
                        .. attribute:: nssa_only
                        
                        	Limit redistributed routes to NSSA areas
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = None
                            self.metric_type = None
                            self.nssa_only = None
                            self.route_map = None
                            self.subnets = None
                            self.tag = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = 0

                            Y_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Connected.RedistOptions.MetricTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.nssa_only is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            if self.subnets is not None:
                                return True

                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Redistribute.Connected.RedistOptions']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:connected'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.redist_options is not None and self.redist_options._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Redistribute.Connected']['meta_info']


                class Eigrp(object):
                    """
                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                    
                    .. attribute:: as_number  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: redist_options
                    
                    	
                    	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Eigrp.RedistOptions>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.as_number = None
                        self.redist_options = Native.Router.Ospf.Redistribute.Eigrp.RedistOptions()
                        self.redist_options.parent = self


                    class RedistOptions(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Eigrp.RedistOptions.MetricTypeEnum>`
                        
                        .. attribute:: nssa_only
                        
                        	Limit redistributed routes to NSSA areas
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = None
                            self.metric_type = None
                            self.nssa_only = None
                            self.route_map = None
                            self.subnets = None
                            self.tag = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = 0

                            Y_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Eigrp.RedistOptions.MetricTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.nssa_only is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            if self.subnets is not None:
                                return True

                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Redistribute.Eigrp.RedistOptions']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.as_number is None:
                            raise YPYModelError('Key property as_number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:eigrp[Cisco-IOS-XE-ospf:as-number = ' + str(self.as_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.as_number is not None:
                            return True

                        if self.redist_options is not None and self.redist_options._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Redistribute.Eigrp']['meta_info']


                class Isis(object):
                    """
                    ISO IS\-IS
                    
                    .. attribute:: isis_area
                    
                    	
                    	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Isis.IsisArea>`
                    
                    .. attribute:: isis_level_routes
                    
                    	
                    	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Isis.IsisLevelRoutesEnum>`
                    
                    .. attribute:: redist_options
                    
                    	
                    	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Isis.RedistOptions>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.isis_area = YList()
                        self.isis_area.parent = self
                        self.isis_area.name = 'isis_area'
                        self.isis_level_routes = None
                        self.redist_options = Native.Router.Ospf.Redistribute.Isis.RedistOptions()
                        self.redist_options.parent = self

                    class IsisLevelRoutesEnum(Enum):
                        """
                        IsisLevelRoutesEnum

                        .. data:: level_1 = 0

                        .. data:: level_2 = 1

                        .. data:: level_1_2 = 2

                        """

                        level_1 = 0

                        level_2 = 1

                        level_1_2 = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Redistribute.Isis.IsisLevelRoutesEnum']



                    class IsisArea(object):
                        """
                        
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: isis_level_routes
                        
                        	
                        	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Isis.IsisArea.IsisLevelRoutesEnum>`
                        
                        .. attribute:: redist_options
                        
                        	
                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Isis.IsisArea.RedistOptions>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.isis_level_routes = None
                            self.redist_options = Native.Router.Ospf.Redistribute.Isis.IsisArea.RedistOptions()
                            self.redist_options.parent = self

                        class IsisLevelRoutesEnum(Enum):
                            """
                            IsisLevelRoutesEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            .. data:: level_1_2 = 2

                            """

                            level_1 = 0

                            level_2 = 1

                            level_1_2 = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Isis.IsisArea.IsisLevelRoutesEnum']



                        class RedistOptions(object):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Isis.IsisArea.RedistOptions.MetricTypeEnum>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = None
                                self.metric_type = None
                                self.nssa_only = None
                                self.route_map = None
                                self.subnets = None
                                self.tag = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = 0

                                Y_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Isis.IsisArea.RedistOptions.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.nssa_only is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                if self.subnets is not None:
                                    return True

                                if self.tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Isis.IsisArea.RedistOptions']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:isis-area[Cisco-IOS-XE-ospf:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.isis_level_routes is not None:
                                return True

                            if self.redist_options is not None and self.redist_options._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Redistribute.Isis.IsisArea']['meta_info']


                    class RedistOptions(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Isis.RedistOptions.MetricTypeEnum>`
                        
                        .. attribute:: nssa_only
                        
                        	Limit redistributed routes to NSSA areas
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = None
                            self.metric_type = None
                            self.nssa_only = None
                            self.route_map = None
                            self.subnets = None
                            self.tag = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = 0

                            Y_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Isis.RedistOptions.MetricTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.nssa_only is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            if self.subnets is not None:
                                return True

                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Redistribute.Isis.RedistOptions']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:isis'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.isis_area is not None:
                            for child_ref in self.isis_area:
                                if child_ref._has_data():
                                    return True

                        if self.isis_level_routes is not None:
                            return True

                        if self.redist_options is not None and self.redist_options._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Redistribute.Isis']['meta_info']


                class IsoIgrp(object):
                    """
                    IGRP for OSI networks
                    
                    .. attribute:: area_tag_route_map_container
                    
                    	
                    	**type**\:   :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.IsoIgrp.AreaTagRouteMapContainer>`
                    
                    .. attribute:: iso_igrp_container
                    
                    	
                    	**type**\:   :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.IsoIgrp.IsoIgrpContainer>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.area_tag_route_map_container = Native.Router.Ospf.Redistribute.IsoIgrp.AreaTagRouteMapContainer()
                        self.area_tag_route_map_container.parent = self
                        self.iso_igrp_container = Native.Router.Ospf.Redistribute.IsoIgrp.IsoIgrpContainer()
                        self.iso_igrp_container.parent = self
                        self.route_map = None


                    class AreaTagRouteMapContainer(object):
                        """
                        
                        
                        .. attribute:: area_tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.area_tag = None
                            self.route_map = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:area-tag-route-map-container'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.area_tag is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Redistribute.IsoIgrp.AreaTagRouteMapContainer']['meta_info']


                    class IsoIgrpContainer(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.IsoIgrp.IsoIgrpContainer.MetricTypeEnum>`
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = None
                            self.metric_type = None
                            self.subnets = None
                            self.tag = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = 0

                            Y_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.IsoIgrp.IsoIgrpContainer.MetricTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:iso-igrp-container'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.subnets is not None:
                                return True

                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Redistribute.IsoIgrp.IsoIgrpContainer']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:iso-igrp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.area_tag_route_map_container is not None and self.area_tag_route_map_container._has_data():
                            return True

                        if self.iso_igrp_container is not None and self.iso_igrp_container._has_data():
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Redistribute.IsoIgrp']['meta_info']


                class Lisp(object):
                    """
                    Locator ID Separation Protocol (LISP)
                    
                    .. attribute:: redist_options
                    
                    	
                    	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Lisp.RedistOptions>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.redist_options = Native.Router.Ospf.Redistribute.Lisp.RedistOptions()
                        self.redist_options.parent = self


                    class RedistOptions(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Lisp.RedistOptions.MetricTypeEnum>`
                        
                        .. attribute:: nssa_only
                        
                        	Limit redistributed routes to NSSA areas
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = None
                            self.metric_type = None
                            self.nssa_only = None
                            self.route_map = None
                            self.subnets = None
                            self.tag = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = 0

                            Y_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Lisp.RedistOptions.MetricTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.nssa_only is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            if self.subnets is not None:
                                return True

                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Redistribute.Lisp.RedistOptions']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:lisp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.redist_options is not None and self.redist_options._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Redistribute.Lisp']['meta_info']


                class Mobile(object):
                    """
                    Mobile routes
                    
                    .. attribute:: redist_options
                    
                    	
                    	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Mobile.RedistOptions>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.redist_options = Native.Router.Ospf.Redistribute.Mobile.RedistOptions()
                        self.redist_options.parent = self


                    class RedistOptions(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Mobile.RedistOptions.MetricTypeEnum>`
                        
                        .. attribute:: nssa_only
                        
                        	Limit redistributed routes to NSSA areas
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = None
                            self.metric_type = None
                            self.nssa_only = None
                            self.route_map = None
                            self.subnets = None
                            self.tag = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = 0

                            Y_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Mobile.RedistOptions.MetricTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.nssa_only is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            if self.subnets is not None:
                                return True

                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Redistribute.Mobile.RedistOptions']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:mobile'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.redist_options is not None and self.redist_options._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Redistribute.Mobile']['meta_info']


                class Odr(object):
                    """
                    On Demand stub Routes
                    
                    .. attribute:: redist_options
                    
                    	
                    	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Odr.RedistOptions>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.redist_options = Native.Router.Ospf.Redistribute.Odr.RedistOptions()
                        self.redist_options.parent = self


                    class RedistOptions(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Odr.RedistOptions.MetricTypeEnum>`
                        
                        .. attribute:: nssa_only
                        
                        	Limit redistributed routes to NSSA areas
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = None
                            self.metric_type = None
                            self.nssa_only = None
                            self.route_map = None
                            self.subnets = None
                            self.tag = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = 0

                            Y_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Odr.RedistOptions.MetricTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.nssa_only is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            if self.subnets is not None:
                                return True

                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Redistribute.Odr.RedistOptions']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:odr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.redist_options is not None and self.redist_options._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Redistribute.Odr']['meta_info']


                class Ospf_(object):
                    """
                    Open Shortest Path First (OSPF)
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: match
                    
                    	Redistribution of OSPF routes
                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospf_.Match>`
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospf_.MetricTypeEnum>`
                    
                    .. attribute:: nssa_only
                    
                    	Limit redistributed routes to NSSA areas
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    .. attribute:: subnets
                    
                    	Consider subnets for redistribution into OSPF
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: tag
                    
                    	Set tag for routes redistributed into OSPF
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding Instance
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.match = Native.Router.Ospf.Redistribute.Ospf_.Match()
                        self.match.parent = self
                        self.metric = None
                        self.metric_type = None
                        self.nssa_only = None
                        self.route_map = None
                        self.subnets = None
                        self.tag = None
                        self.vrf = None

                    class MetricTypeEnum(Enum):
                        """
                        MetricTypeEnum

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: Y_1 = 0

                        .. data:: Y_2 = 1

                        """

                        Y_1 = 0

                        Y_2 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Redistribute.Ospf_.MetricTypeEnum']



                    class Match(object):
                        """
                        Redistribution of OSPF routes
                        
                        .. attribute:: external
                        
                        	Redistribute OSPF external routes
                        	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospf_.Match.External>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: internal
                        
                        	Redistribute OSPF internal routes
                        	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospf_.Match.Internal>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: nssa_external
                        
                        	Redistribute OSPF NSSA external routes
                        	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospf_.Match.NssaExternal>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.external = None
                            self.internal = None
                            self.nssa_external = None


                        class Internal(object):
                            """
                            Redistribute OSPF internal routes
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospf_.Match.Internal.MetricTypeEnum>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.metric = None
                                self.metric_type = None
                                self.nssa_only = None
                                self.route_map = None
                                self.subnets = None
                                self.tag = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = 0

                                Y_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Ospf_.Match.Internal.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:internal'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.nssa_only is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                if self.subnets is not None:
                                    return True

                                if self.tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Ospf_.Match.Internal']['meta_info']


                        class External(object):
                            """
                            Redistribute OSPF external routes
                            
                            .. attribute:: external_routes
                            
                            	
                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospf_.Match.External.MetricTypeEnum>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.external_routes = None
                                self.metric = None
                                self.metric_type = None
                                self.nssa_only = None
                                self.route_map = None
                                self.subnets = None
                                self.tag = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = 0

                                Y_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Ospf_.Match.External.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:external'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.external_routes is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.nssa_only is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                if self.subnets is not None:
                                    return True

                                if self.tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Ospf_.Match.External']['meta_info']


                        class NssaExternal(object):
                            """
                            Redistribute OSPF NSSA external routes
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospf_.Match.NssaExternal.MetricTypeEnum>`
                            
                            .. attribute:: nssa_external_routes
                            
                            	
                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.metric = None
                                self.metric_type = None
                                self.nssa_external_routes = None
                                self.nssa_only = None
                                self.route_map = None
                                self.subnets = None
                                self.tag = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = 0

                                Y_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Ospf_.Match.NssaExternal.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:nssa-external'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.nssa_external_routes is not None:
                                    return True

                                if self.nssa_only is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                if self.subnets is not None:
                                    return True

                                if self.tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Ospf_.Match.NssaExternal']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:match'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.external is not None and self.external._has_data():
                                return True

                            if self.internal is not None and self.internal._has_data():
                                return True

                            if self.nssa_external is not None and self.nssa_external._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Redistribute.Ospf_.Match']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ospf[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.match is not None and self.match._has_data():
                            return True

                        if self.metric is not None:
                            return True

                        if self.metric_type is not None:
                            return True

                        if self.nssa_only is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        if self.subnets is not None:
                            return True

                        if self.tag is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Redistribute.Ospf_']['meta_info']


                class Ospfv3(object):
                    """
                    OSPFv3
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: match
                    
                    	Redistribution of OSPF routes
                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospfv3.Match>`
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospfv3.MetricTypeEnum>`
                    
                    .. attribute:: nssa_only
                    
                    	Limit redistributed routes to NSSA areas
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    .. attribute:: subnets
                    
                    	Consider subnets for redistribution into OSPF
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: tag
                    
                    	Set tag for routes redistributed into OSPF
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.match = Native.Router.Ospf.Redistribute.Ospfv3.Match()
                        self.match.parent = self
                        self.metric = None
                        self.metric_type = None
                        self.nssa_only = None
                        self.route_map = None
                        self.subnets = None
                        self.tag = None

                    class MetricTypeEnum(Enum):
                        """
                        MetricTypeEnum

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: Y_1 = 0

                        .. data:: Y_2 = 1

                        """

                        Y_1 = 0

                        Y_2 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Redistribute.Ospfv3.MetricTypeEnum']



                    class Match(object):
                        """
                        Redistribution of OSPF routes
                        
                        .. attribute:: external
                        
                        	Redistribute OSPF external routes
                        	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospfv3.Match.External>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: internal
                        
                        	Redistribute OSPF internal routes
                        	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospfv3.Match.Internal>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: nssa_external
                        
                        	Redistribute OSPF NSSA external routes
                        	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospfv3.Match.NssaExternal>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.external = None
                            self.internal = None
                            self.nssa_external = None


                        class Internal(object):
                            """
                            Redistribute OSPF internal routes
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospfv3.Match.Internal.MetricTypeEnum>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.metric = None
                                self.metric_type = None
                                self.nssa_only = None
                                self.route_map = None
                                self.subnets = None
                                self.tag = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = 0

                                Y_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Ospfv3.Match.Internal.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:internal'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.nssa_only is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                if self.subnets is not None:
                                    return True

                                if self.tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Ospfv3.Match.Internal']['meta_info']


                        class External(object):
                            """
                            Redistribute OSPF external routes
                            
                            .. attribute:: external_routes
                            
                            	
                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospfv3.Match.External.MetricTypeEnum>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.external_routes = None
                                self.metric = None
                                self.metric_type = None
                                self.nssa_only = None
                                self.route_map = None
                                self.subnets = None
                                self.tag = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = 0

                                Y_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Ospfv3.Match.External.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:external'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.external_routes is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.nssa_only is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                if self.subnets is not None:
                                    return True

                                if self.tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Ospfv3.Match.External']['meta_info']


                        class NssaExternal(object):
                            """
                            Redistribute OSPF NSSA external routes
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospfv3.Match.NssaExternal.MetricTypeEnum>`
                            
                            .. attribute:: nssa_external_routes
                            
                            	
                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.metric = None
                                self.metric_type = None
                                self.nssa_external_routes = None
                                self.nssa_only = None
                                self.route_map = None
                                self.subnets = None
                                self.tag = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = 0

                                Y_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Ospfv3.Match.NssaExternal.MetricTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:nssa-external'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.nssa_external_routes is not None:
                                    return True

                                if self.nssa_only is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                if self.subnets is not None:
                                    return True

                                if self.tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Ospfv3.Match.NssaExternal']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:match'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.external is not None and self.external._has_data():
                                return True

                            if self.internal is not None and self.internal._has_data():
                                return True

                            if self.nssa_external is not None and self.nssa_external._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Redistribute.Ospfv3.Match']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ospfv3[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.match is not None and self.match._has_data():
                            return True

                        if self.metric is not None:
                            return True

                        if self.metric_type is not None:
                            return True

                        if self.nssa_only is not None:
                            return True

                        if self.route_map is not None:
                            return True

                        if self.subnets is not None:
                            return True

                        if self.tag is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Redistribute.Ospfv3']['meta_info']


                class Rip(object):
                    """
                    Routing Information Protocol (RIP)
                    
                    .. attribute:: id  <key>
                    
                    	User selected string identifying this rip process
                    	**type**\:  str
                    
                    .. attribute:: redist_options
                    
                    	
                    	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Rip.RedistOptions>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.redist_options = Native.Router.Ospf.Redistribute.Rip.RedistOptions()
                        self.redist_options.parent = self


                    class RedistOptions(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Rip.RedistOptions.MetricTypeEnum>`
                        
                        .. attribute:: nssa_only
                        
                        	Limit redistributed routes to NSSA areas
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = None
                            self.metric_type = None
                            self.nssa_only = None
                            self.route_map = None
                            self.subnets = None
                            self.tag = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = 0

                            Y_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Rip.RedistOptions.MetricTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.nssa_only is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            if self.subnets is not None:
                                return True

                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Redistribute.Rip.RedistOptions']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:rip[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.redist_options is not None and self.redist_options._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Redistribute.Rip']['meta_info']


                class Static(object):
                    """
                    Static routes
                    
                    .. attribute:: redist_options
                    
                    	
                    	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Static.RedistOptions>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.redist_options = Native.Router.Ospf.Redistribute.Static.RedistOptions()
                        self.redist_options.parent = self


                    class RedistOptions(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Static.RedistOptions.MetricTypeEnum>`
                        
                        .. attribute:: nssa_only
                        
                        	Limit redistributed routes to NSSA areas
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = None
                            self.metric_type = None
                            self.nssa_only = None
                            self.route_map = None
                            self.subnets = None
                            self.tag = None

                        class MetricTypeEnum(Enum):
                            """
                            MetricTypeEnum

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = 0

                            Y_2 = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Static.RedistOptions.MetricTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.nssa_only is not None:
                                return True

                            if self.route_map is not None:
                                return True

                            if self.subnets is not None:
                                return True

                            if self.tag is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Redistribute.Static.RedistOptions']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:static'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.redist_options is not None and self.redist_options._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Redistribute.Static']['meta_info']


                class MaximumPrefix(object):
                    """
                    Maximum number of prefixes redistributed to protocol
                    
                    .. attribute:: number
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: threshold_warning_only_container
                    
                    	
                    	**type**\:   :py:class:`ThresholdWarningOnlyContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.number = None
                        self.threshold_warning_only_container = Native.Router.Ospf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer()
                        self.threshold_warning_only_container.parent = self


                    class ThresholdWarningOnlyContainer(object):
                        """
                        
                        
                        .. attribute:: threshold
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        .. attribute:: warning_only
                        
                        	Only give warning message when limit is exceeded
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.threshold = None
                            self.warning_only = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:threshold-warning-only-container'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.threshold is not None:
                                return True

                            if self.warning_only is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:maximum-prefix'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.number is not None:
                            return True

                        if self.threshold_warning_only_container is not None and self.threshold_warning_only_container._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Redistribute.MaximumPrefix']['meta_info']


                class Vrf(object):
                    """
                    Specify a source VRF
                    
                    .. attribute:: global_
                    
                    	global VRF
                    	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_>`
                    
                    .. attribute:: non_global_vrf
                    
                    	
                    	**type**\: list of    :py:class:`NonGlobalVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.global_ = Native.Router.Ospf.Redistribute.Vrf.Global_()
                        self.global_.parent = self
                        self.non_global_vrf = YList()
                        self.non_global_vrf.parent = self
                        self.non_global_vrf.name = 'non_global_vrf'


                    class NonGlobalVrf(object):
                        """
                        
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: application
                        
                        	Application
                        	**type**\: list of    :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application>`
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: iso_igrp
                        
                        	IGRP for OSI networks
                        	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: lisp
                        
                        	Locator ID Separation Protocol (LISP)
                        	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp>`
                        
                        .. attribute:: mobile
                        
                        	Mobile routes
                        	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: odr
                        
                        	On Demand stub Routes
                        	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of    :py:class:`Ospf_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_>`
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip>`
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.application = YList()
                            self.application.parent = self
                            self.application.name = 'application'
                            self.bgp = YList()
                            self.bgp.parent = self
                            self.bgp.name = 'bgp'
                            self.connected = None
                            self.eigrp = YList()
                            self.eigrp.parent = self
                            self.eigrp.name = 'eigrp'
                            self.isis = None
                            self.iso_igrp = None
                            self.lisp = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp()
                            self.lisp.parent = self
                            self.mobile = None
                            self.odr = None
                            self.ospf = YList()
                            self.ospf.parent = self
                            self.ospf.name = 'ospf'
                            self.ospfv3 = YList()
                            self.ospfv3.parent = self
                            self.ospfv3.name = 'ospfv3'
                            self.rip = YList()
                            self.rip.parent = self
                            self.rip.name = 'rip'
                            self.static = None


                        class Application(object):
                            """
                            Application
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions()
                                self.redist_options.parent = self


                            class RedistOptions(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:application[Cisco-IOS-XE-ospf:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.redist_options is not None and self.redist_options._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application']['meta_info']


                        class Bgp(object):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: as_number  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.as_number = None
                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions()
                                self.redist_options.parent = self


                            class RedistOptions(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.as_number is None:
                                    raise YPYModelError('Key property as_number is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:bgp[Cisco-IOS-XE-ospf:as-number = ' + str(self.as_number) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.as_number is not None:
                                    return True

                                if self.redist_options is not None and self.redist_options._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp']['meta_info']


                        class Connected(object):
                            """
                            Connected
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions()
                                self.redist_options.parent = self


                            class RedistOptions(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:connected'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.redist_options is not None and self.redist_options._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected']['meta_info']


                        class Eigrp(object):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: as_number  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.as_number = None
                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions()
                                self.redist_options.parent = self


                            class RedistOptions(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.as_number is None:
                                    raise YPYModelError('Key property as_number is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:eigrp[Cisco-IOS-XE-ospf:as-number = ' + str(self.as_number) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.as_number is not None:
                                    return True

                                if self.redist_options is not None and self.redist_options._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp']['meta_info']


                        class Isis(object):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: isis_area
                            
                            	
                            	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea>`
                            
                            .. attribute:: isis_level_routes
                            
                            	
                            	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisLevelRoutesEnum>`
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.isis_area = YList()
                                self.isis_area.parent = self
                                self.isis_area.name = 'isis_area'
                                self.isis_level_routes = None
                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions()
                                self.redist_options.parent = self

                            class IsisLevelRoutesEnum(Enum):
                                """
                                IsisLevelRoutesEnum

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                .. data:: level_1_2 = 2

                                """

                                level_1 = 0

                                level_2 = 1

                                level_1_2 = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisLevelRoutesEnum']



                            class IsisArea(object):
                                """
                                
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: isis_level_routes
                                
                                	
                                	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutesEnum>`
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.isis_level_routes = None
                                    self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions()
                                    self.redist_options.parent = self

                                class IsisLevelRoutesEnum(Enum):
                                    """
                                    IsisLevelRoutesEnum

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    .. data:: level_1_2 = 2

                                    """

                                    level_1 = 0

                                    level_2 = 1

                                    level_1_2 = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutesEnum']



                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:isis-area[Cisco-IOS-XE-ospf:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.isis_level_routes is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea']['meta_info']


                            class RedistOptions(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:isis'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.isis_area is not None:
                                    for child_ref in self.isis_area:
                                        if child_ref._has_data():
                                            return True

                                if self.isis_level_routes is not None:
                                    return True

                                if self.redist_options is not None and self.redist_options._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis']['meta_info']


                        class IsoIgrp(object):
                            """
                            IGRP for OSI networks
                            
                            .. attribute:: area_tag_route_map_container
                            
                            	
                            	**type**\:   :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer>`
                            
                            .. attribute:: iso_igrp_container
                            
                            	
                            	**type**\:   :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.area_tag_route_map_container = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer()
                                self.area_tag_route_map_container.parent = self
                                self.iso_igrp_container = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer()
                                self.iso_igrp_container.parent = self
                                self.route_map = None


                            class AreaTagRouteMapContainer(object):
                                """
                                
                                
                                .. attribute:: area_tag
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.area_tag = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:area-tag-route-map-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.area_tag is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer']['meta_info']


                            class IsoIgrpContainer(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricTypeEnum>`
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:iso-igrp-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:iso-igrp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.area_tag_route_map_container is not None and self.area_tag_route_map_container._has_data():
                                    return True

                                if self.iso_igrp_container is not None and self.iso_igrp_container._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp']['meta_info']


                        class Lisp(object):
                            """
                            Locator ID Separation Protocol (LISP)
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions()
                                self.redist_options.parent = self


                            class RedistOptions(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:lisp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.redist_options is not None and self.redist_options._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp']['meta_info']


                        class Mobile(object):
                            """
                            Mobile routes
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions()
                                self.redist_options.parent = self


                            class RedistOptions(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:mobile'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.redist_options is not None and self.redist_options._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile']['meta_info']


                        class Odr(object):
                            """
                            On Demand stub Routes
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions()
                                self.redist_options.parent = self


                            class RedistOptions(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:odr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.redist_options is not None and self.redist_options._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr']['meta_info']


                        class Ospf_(object):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: match
                            
                            	Redistribution of OSPF routes
                            	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match>`
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.MetricTypeEnum>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: vrf
                            
                            	VPN Routing/Forwarding Instance
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.match = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match()
                                self.match.parent = self
                                self.metric = None
                                self.metric_type = None
                                self.nssa_only = None
                                self.route_map = None
                                self.subnets = None
                                self.tag = None
                                self.vrf = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = 0

                                Y_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.MetricTypeEnum']



                            class Match(object):
                                """
                                Redistribution of OSPF routes
                                
                                .. attribute:: external
                                
                                	Redistribute OSPF external routes
                                	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.External>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: internal
                                
                                	Redistribute OSPF internal routes
                                	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.Internal>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: nssa_external
                                
                                	Redistribute OSPF NSSA external routes
                                	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.NssaExternal>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external = None
                                    self.internal = None
                                    self.nssa_external = None


                                class Internal(object):
                                    """
                                    Redistribute OSPF internal routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.Internal.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.Internal.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:internal'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.Internal']['meta_info']


                                class External(object):
                                    """
                                    Redistribute OSPF external routes
                                    
                                    .. attribute:: external_routes
                                    
                                    	
                                    	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.External.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.external_routes = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.External.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:external'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.external_routes is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.External']['meta_info']


                                class NssaExternal(object):
                                    """
                                    Redistribute OSPF NSSA external routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.NssaExternal.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_external_routes
                                    
                                    	
                                    	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_external_routes = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.NssaExternal.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:nssa-external'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_external_routes is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match.NssaExternal']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:match'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external is not None and self.external._has_data():
                                        return True

                                    if self.internal is not None and self.internal._has_data():
                                        return True

                                    if self.nssa_external is not None and self.nssa_external._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_.Match']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:ospf[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.match is not None and self.match._has_data():
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.nssa_only is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                if self.subnets is not None:
                                    return True

                                if self.tag is not None:
                                    return True

                                if self.vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf_']['meta_info']


                        class Ospfv3(object):
                            """
                            OSPFv3
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: match
                            
                            	Redistribution of OSPF routes
                            	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match>`
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.MetricTypeEnum>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.match = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match()
                                self.match.parent = self
                                self.metric = None
                                self.metric_type = None
                                self.nssa_only = None
                                self.route_map = None
                                self.subnets = None
                                self.tag = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = 0

                                Y_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.MetricTypeEnum']



                            class Match(object):
                                """
                                Redistribution of OSPF routes
                                
                                .. attribute:: external
                                
                                	Redistribute OSPF external routes
                                	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: internal
                                
                                	Redistribute OSPF internal routes
                                	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: nssa_external
                                
                                	Redistribute OSPF NSSA external routes
                                	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external = None
                                    self.internal = None
                                    self.nssa_external = None


                                class Internal(object):
                                    """
                                    Redistribute OSPF internal routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:internal'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal']['meta_info']


                                class External(object):
                                    """
                                    Redistribute OSPF external routes
                                    
                                    .. attribute:: external_routes
                                    
                                    	
                                    	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.external_routes = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:external'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.external_routes is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External']['meta_info']


                                class NssaExternal(object):
                                    """
                                    Redistribute OSPF NSSA external routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_external_routes
                                    
                                    	
                                    	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_external_routes = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:nssa-external'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_external_routes is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:match'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external is not None and self.external._has_data():
                                        return True

                                    if self.internal is not None and self.internal._has_data():
                                        return True

                                    if self.nssa_external is not None and self.nssa_external._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:ospfv3[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.match is not None and self.match._has_data():
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.nssa_only is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                if self.subnets is not None:
                                    return True

                                if self.tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3']['meta_info']


                        class Rip(object):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: id  <key>
                            
                            	User selected string identifying this rip process
                            	**type**\:  str
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions()
                                self.redist_options.parent = self


                            class RedistOptions(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:rip[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.redist_options is not None and self.redist_options._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip']['meta_info']


                        class Static(object):
                            """
                            Static routes
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions()
                                self.redist_options.parent = self


                            class RedistOptions(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.redist_options is not None and self.redist_options._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:non-global-vrf[Cisco-IOS-XE-ospf:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.application is not None:
                                for child_ref in self.application:
                                    if child_ref._has_data():
                                        return True

                            if self.bgp is not None:
                                for child_ref in self.bgp:
                                    if child_ref._has_data():
                                        return True

                            if self.connected is not None and self.connected._has_data():
                                return True

                            if self.eigrp is not None:
                                for child_ref in self.eigrp:
                                    if child_ref._has_data():
                                        return True

                            if self.isis is not None and self.isis._has_data():
                                return True

                            if self.iso_igrp is not None and self.iso_igrp._has_data():
                                return True

                            if self.lisp is not None and self.lisp._has_data():
                                return True

                            if self.mobile is not None and self.mobile._has_data():
                                return True

                            if self.odr is not None and self.odr._has_data():
                                return True

                            if self.ospf is not None:
                                for child_ref in self.ospf:
                                    if child_ref._has_data():
                                        return True

                            if self.ospfv3 is not None:
                                for child_ref in self.ospfv3:
                                    if child_ref._has_data():
                                        return True

                            if self.rip is not None:
                                for child_ref in self.rip:
                                    if child_ref._has_data():
                                        return True

                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf']['meta_info']


                    class Global_(object):
                        """
                        global VRF
                        
                        .. attribute:: application
                        
                        	Application
                        	**type**\: list of    :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Application>`
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Isis>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: iso_igrp
                        
                        	IGRP for OSI networks
                        	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: lisp
                        
                        	Locator ID Separation Protocol (LISP)
                        	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp>`
                        
                        .. attribute:: mobile
                        
                        	Mobile routes
                        	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: odr
                        
                        	On Demand stub Routes
                        	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Odr>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of    :py:class:`Ospf_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_>`
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\: list of    :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Rip>`
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Static>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.application = YList()
                            self.application.parent = self
                            self.application.name = 'application'
                            self.bgp = YList()
                            self.bgp.parent = self
                            self.bgp.name = 'bgp'
                            self.connected = None
                            self.eigrp = YList()
                            self.eigrp.parent = self
                            self.eigrp.name = 'eigrp'
                            self.isis = None
                            self.iso_igrp = None
                            self.lisp = Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp()
                            self.lisp.parent = self
                            self.mobile = None
                            self.odr = None
                            self.ospf = YList()
                            self.ospf.parent = self
                            self.ospf.name = 'ospf'
                            self.ospfv3 = YList()
                            self.ospfv3.parent = self
                            self.ospfv3.name = 'ospfv3'
                            self.rip = YList()
                            self.rip.parent = self
                            self.rip.name = 'rip'
                            self.static = None


                        class Application(object):
                            """
                            Application
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Application.RedistOptions>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Application.RedistOptions()
                                self.redist_options.parent = self


                            class RedistOptions(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Application.RedistOptions.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Application.RedistOptions.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Application.RedistOptions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:application[Cisco-IOS-XE-ospf:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.redist_options is not None and self.redist_options._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Application']['meta_info']


                        class Bgp(object):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: as_number  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp.RedistOptions>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.as_number = None
                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp.RedistOptions()
                                self.redist_options.parent = self


                            class RedistOptions(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp.RedistOptions.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp.RedistOptions.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp.RedistOptions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.as_number is None:
                                    raise YPYModelError('Key property as_number is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:bgp[Cisco-IOS-XE-ospf:as-number = ' + str(self.as_number) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.as_number is not None:
                                    return True

                                if self.redist_options is not None and self.redist_options._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp']['meta_info']


                        class Connected(object):
                            """
                            Connected
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Connected.RedistOptions>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Connected.RedistOptions()
                                self.redist_options.parent = self


                            class RedistOptions(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Connected.RedistOptions.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Connected.RedistOptions.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Connected.RedistOptions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:connected'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.redist_options is not None and self.redist_options._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Connected']['meta_info']


                        class Eigrp(object):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: as_number  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 1..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            
                            ----
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp.RedistOptions>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.as_number = None
                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp.RedistOptions()
                                self.redist_options.parent = self


                            class RedistOptions(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp.RedistOptions.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp.RedistOptions.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp.RedistOptions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.as_number is None:
                                    raise YPYModelError('Key property as_number is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:eigrp[Cisco-IOS-XE-ospf:as-number = ' + str(self.as_number) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.as_number is not None:
                                    return True

                                if self.redist_options is not None and self.redist_options._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp']['meta_info']


                        class Isis(object):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: isis_area
                            
                            	
                            	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea>`
                            
                            .. attribute:: isis_level_routes
                            
                            	
                            	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisLevelRoutesEnum>`
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.RedistOptions>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.isis_area = YList()
                                self.isis_area.parent = self
                                self.isis_area.name = 'isis_area'
                                self.isis_level_routes = None
                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.RedistOptions()
                                self.redist_options.parent = self

                            class IsisLevelRoutesEnum(Enum):
                                """
                                IsisLevelRoutesEnum

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                .. data:: level_1_2 = 2

                                """

                                level_1 = 0

                                level_2 = 1

                                level_1_2 = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisLevelRoutesEnum']



                            class IsisArea(object):
                                """
                                
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: isis_level_routes
                                
                                	
                                	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.IsisLevelRoutesEnum>`
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.isis_level_routes = None
                                    self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions()
                                    self.redist_options.parent = self

                                class IsisLevelRoutesEnum(Enum):
                                    """
                                    IsisLevelRoutesEnum

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    .. data:: level_1_2 = 2

                                    """

                                    level_1 = 0

                                    level_2 = 1

                                    level_1_2 = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.IsisLevelRoutesEnum']



                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:isis-area[Cisco-IOS-XE-ospf:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.isis_level_routes is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea']['meta_info']


                            class RedistOptions(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.RedistOptions.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.RedistOptions.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.RedistOptions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:isis'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.isis_area is not None:
                                    for child_ref in self.isis_area:
                                        if child_ref._has_data():
                                            return True

                                if self.isis_level_routes is not None:
                                    return True

                                if self.redist_options is not None and self.redist_options._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Isis']['meta_info']


                        class IsoIgrp(object):
                            """
                            IGRP for OSI networks
                            
                            .. attribute:: area_tag_route_map_container
                            
                            	
                            	**type**\:   :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer>`
                            
                            .. attribute:: iso_igrp_container
                            
                            	
                            	**type**\:   :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.area_tag_route_map_container = Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer()
                                self.area_tag_route_map_container.parent = self
                                self.iso_igrp_container = Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer()
                                self.iso_igrp_container.parent = self
                                self.route_map = None


                            class AreaTagRouteMapContainer(object):
                                """
                                
                                
                                .. attribute:: area_tag
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.area_tag = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:area-tag-route-map-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.area_tag is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer']['meta_info']


                            class IsoIgrpContainer(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer.MetricTypeEnum>`
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:iso-igrp-container'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:iso-igrp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.area_tag_route_map_container is not None and self.area_tag_route_map_container._has_data():
                                    return True

                                if self.iso_igrp_container is not None and self.iso_igrp_container._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp']['meta_info']


                        class Lisp(object):
                            """
                            Locator ID Separation Protocol (LISP)
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp.RedistOptions>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp.RedistOptions()
                                self.redist_options.parent = self


                            class RedistOptions(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp.RedistOptions.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp.RedistOptions.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp.RedistOptions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:lisp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.redist_options is not None and self.redist_options._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp']['meta_info']


                        class Mobile(object):
                            """
                            Mobile routes
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile.RedistOptions>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile.RedistOptions()
                                self.redist_options.parent = self


                            class RedistOptions(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile.RedistOptions.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile.RedistOptions.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile.RedistOptions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:mobile'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.redist_options is not None and self.redist_options._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile']['meta_info']


                        class Odr(object):
                            """
                            On Demand stub Routes
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Odr.RedistOptions>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Odr.RedistOptions()
                                self.redist_options.parent = self


                            class RedistOptions(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Odr.RedistOptions.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Odr.RedistOptions.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Odr.RedistOptions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:odr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.redist_options is not None and self.redist_options._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Odr']['meta_info']


                        class Ospf_(object):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: match
                            
                            	Redistribution of OSPF routes
                            	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match>`
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.MetricTypeEnum>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: vrf
                            
                            	VPN Routing/Forwarding Instance
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.match = Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match()
                                self.match.parent = self
                                self.metric = None
                                self.metric_type = None
                                self.nssa_only = None
                                self.route_map = None
                                self.subnets = None
                                self.tag = None
                                self.vrf = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = 0

                                Y_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.MetricTypeEnum']



                            class Match(object):
                                """
                                Redistribution of OSPF routes
                                
                                .. attribute:: external
                                
                                	Redistribute OSPF external routes
                                	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.External>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: internal
                                
                                	Redistribute OSPF internal routes
                                	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.Internal>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: nssa_external
                                
                                	Redistribute OSPF NSSA external routes
                                	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.NssaExternal>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external = None
                                    self.internal = None
                                    self.nssa_external = None


                                class Internal(object):
                                    """
                                    Redistribute OSPF internal routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.Internal.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.Internal.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:internal'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.Internal']['meta_info']


                                class External(object):
                                    """
                                    Redistribute OSPF external routes
                                    
                                    .. attribute:: external_routes
                                    
                                    	
                                    	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.External.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.external_routes = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.External.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:external'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.external_routes is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.External']['meta_info']


                                class NssaExternal(object):
                                    """
                                    Redistribute OSPF NSSA external routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.NssaExternal.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_external_routes
                                    
                                    	
                                    	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_external_routes = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.NssaExternal.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:nssa-external'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_external_routes is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match.NssaExternal']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:match'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external is not None and self.external._has_data():
                                        return True

                                    if self.internal is not None and self.internal._has_data():
                                        return True

                                    if self.nssa_external is not None and self.nssa_external._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_.Match']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:ospf[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.match is not None and self.match._has_data():
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.nssa_only is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                if self.subnets is not None:
                                    return True

                                if self.tag is not None:
                                    return True

                                if self.vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf_']['meta_info']


                        class Ospfv3(object):
                            """
                            OSPFv3
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: match
                            
                            	Redistribution of OSPF routes
                            	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match>`
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.MetricTypeEnum>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.match = Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match()
                                self.match.parent = self
                                self.metric = None
                                self.metric_type = None
                                self.nssa_only = None
                                self.route_map = None
                                self.subnets = None
                                self.tag = None

                            class MetricTypeEnum(Enum):
                                """
                                MetricTypeEnum

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = 0

                                Y_2 = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.MetricTypeEnum']



                            class Match(object):
                                """
                                Redistribution of OSPF routes
                                
                                .. attribute:: external
                                
                                	Redistribute OSPF external routes
                                	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.External>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: internal
                                
                                	Redistribute OSPF internal routes
                                	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: nssa_external
                                
                                	Redistribute OSPF NSSA external routes
                                	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external = None
                                    self.internal = None
                                    self.nssa_external = None


                                class Internal(object):
                                    """
                                    Redistribute OSPF internal routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:internal'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal']['meta_info']


                                class External(object):
                                    """
                                    Redistribute OSPF external routes
                                    
                                    .. attribute:: external_routes
                                    
                                    	
                                    	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.External.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.external_routes = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.External.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:external'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.external_routes is not None:
                                            return True

                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.External']['meta_info']


                                class NssaExternal(object):
                                    """
                                    Redistribute OSPF NSSA external routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_external_routes
                                    
                                    	
                                    	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_external_routes = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:nssa-external'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_external_routes is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:match'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external is not None and self.external._has_data():
                                        return True

                                    if self.internal is not None and self.internal._has_data():
                                        return True

                                    if self.nssa_external is not None and self.nssa_external._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:ospfv3[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.match is not None and self.match._has_data():
                                    return True

                                if self.metric is not None:
                                    return True

                                if self.metric_type is not None:
                                    return True

                                if self.nssa_only is not None:
                                    return True

                                if self.route_map is not None:
                                    return True

                                if self.subnets is not None:
                                    return True

                                if self.tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3']['meta_info']


                        class Rip(object):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: id  <key>
                            
                            	User selected string identifying this rip process
                            	**type**\:  str
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Rip.RedistOptions>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Rip.RedistOptions()
                                self.redist_options.parent = self


                            class RedistOptions(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Rip.RedistOptions.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Rip.RedistOptions.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Rip.RedistOptions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:rip[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.redist_options is not None and self.redist_options._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Rip']['meta_info']


                        class Static(object):
                            """
                            Static routes
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Static.RedistOptions>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Static.RedistOptions()
                                self.redist_options.parent = self


                            class RedistOptions(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Static.RedistOptions.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Static.RedistOptions.MetricTypeEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:redist-options'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Static.RedistOptions']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:static'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.redist_options is not None and self.redist_options._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_.Static']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:global'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.application is not None:
                                for child_ref in self.application:
                                    if child_ref._has_data():
                                        return True

                            if self.bgp is not None:
                                for child_ref in self.bgp:
                                    if child_ref._has_data():
                                        return True

                            if self.connected is not None and self.connected._has_data():
                                return True

                            if self.eigrp is not None:
                                for child_ref in self.eigrp:
                                    if child_ref._has_data():
                                        return True

                            if self.isis is not None and self.isis._has_data():
                                return True

                            if self.iso_igrp is not None and self.iso_igrp._has_data():
                                return True

                            if self.lisp is not None and self.lisp._has_data():
                                return True

                            if self.mobile is not None and self.mobile._has_data():
                                return True

                            if self.odr is not None and self.odr._has_data():
                                return True

                            if self.ospf is not None:
                                for child_ref in self.ospf:
                                    if child_ref._has_data():
                                        return True

                            if self.ospfv3 is not None:
                                for child_ref in self.ospfv3:
                                    if child_ref._has_data():
                                        return True

                            if self.rip is not None:
                                for child_ref in self.rip:
                                    if child_ref._has_data():
                                        return True

                            if self.static is not None and self.static._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf.Global_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.global_ is not None and self.global_._has_data():
                            return True

                        if self.non_global_vrf is not None:
                            for child_ref in self.non_global_vrf:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Redistribute.Vrf']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:redistribute'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.application is not None:
                        for child_ref in self.application:
                            if child_ref._has_data():
                                return True

                    if self.bgp is not None:
                        for child_ref in self.bgp:
                            if child_ref._has_data():
                                return True

                    if self.connected is not None and self.connected._has_data():
                        return True

                    if self.eigrp is not None:
                        for child_ref in self.eigrp:
                            if child_ref._has_data():
                                return True

                    if self.isis is not None and self.isis._has_data():
                        return True

                    if self.iso_igrp is not None and self.iso_igrp._has_data():
                        return True

                    if self.lisp is not None and self.lisp._has_data():
                        return True

                    if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                        return True

                    if self.mobile is not None and self.mobile._has_data():
                        return True

                    if self.odr is not None and self.odr._has_data():
                        return True

                    if self.ospf is not None:
                        for child_ref in self.ospf:
                            if child_ref._has_data():
                                return True

                    if self.ospfv3 is not None:
                        for child_ref in self.ospfv3:
                            if child_ref._has_data():
                                return True

                    if self.rip is not None:
                        for child_ref in self.rip:
                            if child_ref._has_data():
                                return True

                    if self.static is not None and self.static._has_data():
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.Redistribute']['meta_info']


            class DistributeList(object):
                """
                Filter networks in routing updates
                
                .. attribute:: accesslist
                
                	
                	**type**\: list of    :py:class:`Accesslist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DistributeList.Accesslist>`
                
                .. attribute:: accesslist_ifname
                
                	
                	**type**\: list of    :py:class:`AccesslistIfname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DistributeList.AccesslistIfname>`
                
                .. attribute:: accesslist_prefix_gateway
                
                	
                	**type**\: list of    :py:class:`AccesslistPrefixGateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DistributeList.AccesslistPrefixGateway>`
                
                .. attribute:: accesslist_prefix_gateway_ifname
                
                	
                	**type**\: list of    :py:class:`AccesslistPrefixGatewayIfname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DistributeList.AccesslistPrefixGatewayIfname>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.accesslist = YList()
                    self.accesslist.parent = self
                    self.accesslist.name = 'accesslist'
                    self.accesslist_ifname = YList()
                    self.accesslist_ifname.parent = self
                    self.accesslist_ifname.name = 'accesslist_ifname'
                    self.accesslist_prefix_gateway = YList()
                    self.accesslist_prefix_gateway.parent = self
                    self.accesslist_prefix_gateway.name = 'accesslist_prefix_gateway'
                    self.accesslist_prefix_gateway_ifname = YList()
                    self.accesslist_prefix_gateway_ifname.parent = self
                    self.accesslist_prefix_gateway_ifname.name = 'accesslist_prefix_gateway_ifname'


                class Accesslist(object):
                    """
                    
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:   :py:class:`AccessListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutTypeEnum>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_out = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.in_out is None:
                            raise YPYModelError('Key property in_out is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:accesslist[Cisco-IOS-XE-ospf:in-out = ' + str(self.in_out) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_out is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.DistributeList.Accesslist']['meta_info']


                class AccesslistIfname(object):
                    """
                    
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:   :py:class:`AccessListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutTypeEnum>`
                    
                    .. attribute:: interface  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: interface_routing_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: isis_tag
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding Instance
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_out = None
                        self.interface = None
                        self.interface_routing_id = None
                        self.isis_tag = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.in_out is None:
                            raise YPYModelError('Key property in_out is None')
                        if self.interface is None:
                            raise YPYModelError('Key property interface is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:accesslist-ifname[Cisco-IOS-XE-ospf:in-out = ' + str(self.in_out) + '][Cisco-IOS-XE-ospf:interface = ' + str(self.interface) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_out is not None:
                            return True

                        if self.interface is not None:
                            return True

                        if self.interface_routing_id is not None:
                            return True

                        if self.isis_tag is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.DistributeList.AccesslistIfname']['meta_info']


                class AccesslistPrefixGateway(object):
                    """
                    
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:   :py:class:`AccessListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutTypeEnum>`
                    
                    .. attribute:: name
                    
                    	
                    	**type**\:  str
                    
                    	**mandatory**\: True
                    
                    .. attribute:: prefix_gateway
                    
                    	
                    	**type**\:   :py:class:`PrefixGatewayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DistributeList.AccesslistPrefixGateway.PrefixGatewayEnum>`
                    
                    	**mandatory**\: True
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_out = None
                        self.name = None
                        self.prefix_gateway = None

                    class PrefixGatewayEnum(Enum):
                        """
                        PrefixGatewayEnum

                        .. data:: prefix = 0

                        .. data:: gateway = 1

                        .. data:: route_map = 2

                        """

                        prefix = 0

                        gateway = 1

                        route_map = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.DistributeList.AccesslistPrefixGateway.PrefixGatewayEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.in_out is None:
                            raise YPYModelError('Key property in_out is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:accesslist-prefix-gateway[Cisco-IOS-XE-ospf:in-out = ' + str(self.in_out) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_out is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.prefix_gateway is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.DistributeList.AccesslistPrefixGateway']['meta_info']


                class AccesslistPrefixGatewayIfname(object):
                    """
                    
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:   :py:class:`AccessListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutTypeEnum>`
                    
                    .. attribute:: interface  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: interface_routing_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: isis_tag
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	
                    	**type**\:  str
                    
                    	**mandatory**\: True
                    
                    .. attribute:: prefix_gateway
                    
                    	
                    	**type**\:   :py:class:`PrefixGatewayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DistributeList.AccesslistPrefixGatewayIfname.PrefixGatewayEnum>`
                    
                    	**mandatory**\: True
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding Instance
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_out = None
                        self.interface = None
                        self.interface_routing_id = None
                        self.isis_tag = None
                        self.name = None
                        self.prefix_gateway = None
                        self.vrf = None

                    class PrefixGatewayEnum(Enum):
                        """
                        PrefixGatewayEnum

                        .. data:: prefix = 0

                        .. data:: gateway = 1

                        .. data:: route_map = 2

                        """

                        prefix = 0

                        gateway = 1

                        route_map = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.DistributeList.AccesslistPrefixGatewayIfname.PrefixGatewayEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.in_out is None:
                            raise YPYModelError('Key property in_out is None')
                        if self.interface is None:
                            raise YPYModelError('Key property interface is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:accesslist-prefix-gateway-ifname[Cisco-IOS-XE-ospf:in-out = ' + str(self.in_out) + '][Cisco-IOS-XE-ospf:interface = ' + str(self.interface) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_out is not None:
                            return True

                        if self.interface is not None:
                            return True

                        if self.interface_routing_id is not None:
                            return True

                        if self.isis_tag is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.prefix_gateway is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.DistributeList.AccesslistPrefixGatewayIfname']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:distribute-list'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.accesslist is not None:
                        for child_ref in self.accesslist:
                            if child_ref._has_data():
                                return True

                    if self.accesslist_ifname is not None:
                        for child_ref in self.accesslist_ifname:
                            if child_ref._has_data():
                                return True

                    if self.accesslist_prefix_gateway is not None:
                        for child_ref in self.accesslist_prefix_gateway:
                            if child_ref._has_data():
                                return True

                    if self.accesslist_prefix_gateway_ifname is not None:
                        for child_ref in self.accesslist_prefix_gateway_ifname:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.DistributeList']['meta_info']


            class DomainId(object):
                """
                OSPF domain\-id
                
                .. attribute:: ip_format
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: ip_format_secondary
                
                	
                	**type**\:   :py:class:`IpFormatSecondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DomainId.IpFormatSecondary>`
                
                .. attribute:: null
                
                	Null Domain\-ID
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: type
                
                	OSPF domain ID type in Hex format
                	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DomainId.Type>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip_format = None
                    self.ip_format_secondary = Native.Router.Ospf.DomainId.IpFormatSecondary()
                    self.ip_format_secondary.parent = self
                    self.null = None
                    self.type = Native.Router.Ospf.DomainId.Type()
                    self.type.parent = self


                class IpFormatSecondary(object):
                    """
                    
                    
                    .. attribute:: ip
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: secondary
                    
                    	Secondary Domain\-ID
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = None
                        self.secondary = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ip-format-secondary'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None:
                            return True

                        if self.secondary is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.DomainId.IpFormatSecondary']['meta_info']


                class Type(object):
                    """
                    OSPF domain ID type in Hex format
                    
                    .. attribute:: type_leaf
                    
                    	
                    	**type**\:   :py:class:`TypeLeafEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DomainId.Type.TypeLeafEnum>`
                    
                    .. attribute:: value
                    
                    	OSPF domain ID value in Hex format
                    	**type**\:  str
                    
                    	**pattern:** [0\-9a\-fA\-F]{12}
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.type_leaf = None
                        self.value = None

                    class TypeLeafEnum(Enum):
                        """
                        TypeLeafEnum

                        .. data:: Y_0005 = 0

                        .. data:: Y_0105 = 1

                        .. data:: Y_0205 = 2

                        .. data:: Y_8005 = 3

                        """

                        Y_0005 = 0

                        Y_0105 = 1

                        Y_0205 = 2

                        Y_8005 = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.DomainId.Type.TypeLeafEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.type_leaf is not None:
                            return True

                        if self.value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.DomainId.Type']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:domain-id'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip_format is not None:
                        return True

                    if self.ip_format_secondary is not None and self.ip_format_secondary._has_data():
                        return True

                    if self.null is not None:
                        return True

                    if self.type is not None and self.type._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.DomainId']['meta_info']


            class FastReroute(object):
                """
                LFA FastReroute parameters
                
                .. attribute:: keep_all_paths
                
                	Keep LFA FRR audit trail
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: per_prefix
                
                	Per\-prefix LFA FRR parameters
                	**type**\:   :py:class:`PerPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.keep_all_paths = None
                    self.per_prefix = Native.Router.Ospf.FastReroute.PerPrefix()
                    self.per_prefix.parent = self


                class PerPrefix(object):
                    """
                    Per\-prefix LFA FRR parameters
                    
                    .. attribute:: enable
                    
                    	Enable LFA Fast Reroute
                    	**type**\:   :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.Enable>`
                    
                    .. attribute:: remote_lfa
                    
                    	Remote LFA FastReroute parameters
                    	**type**\:   :py:class:`RemoteLfa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa>`
                    
                    .. attribute:: tie_break
                    
                    	LFA FRR repair path selection policy tiebreaks
                    	**type**\:   :py:class:`TieBreak <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.TieBreak>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enable = Native.Router.Ospf.FastReroute.PerPrefix.Enable()
                        self.enable.parent = self
                        self.remote_lfa = Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa()
                        self.remote_lfa.parent = self
                        self.tie_break = Native.Router.Ospf.FastReroute.PerPrefix.TieBreak()
                        self.tie_break.parent = self


                    class Enable(object):
                        """
                        Enable LFA Fast Reroute
                        
                        .. attribute:: area
                        
                        	Area to enable LFA FRR in
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: prefix_priority
                        
                        	Priority of prefixes to be protected
                        	**type**\:   :py:class:`PrefixPriorityEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.Enable.PrefixPriorityEnum>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.area = None
                            self.prefix_priority = None

                        class PrefixPriorityEnum(Enum):
                            """
                            PrefixPriorityEnum

                            Priority of prefixes to be protected

                            .. data:: high = 0

                            .. data:: low = 1

                            """

                            high = 0

                            low = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.FastReroute.PerPrefix.Enable.PrefixPriorityEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:enable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.area is not None:
                                return True

                            if self.prefix_priority is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.FastReroute.PerPrefix.Enable']['meta_info']


                    class RemoteLfa(object):
                        """
                        Remote LFA FastReroute parameters
                        
                        .. attribute:: area
                        
                        	Area for remote LFA command
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: maximum_cost
                        
                        	Maximum distance to tunnel endpoint
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: tunnel
                        
                        	Remote LFA tunnel type
                        	**type**\:   :py:class:`TunnelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa.TunnelEnum>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.area = None
                            self.maximum_cost = None
                            self.tunnel = None

                        class TunnelEnum(Enum):
                            """
                            TunnelEnum

                            Remote LFA tunnel type

                            .. data:: mpls_ldp = 0

                            """

                            mpls_ldp = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa.TunnelEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:remote-lfa'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.area is not None:
                                return True

                            if self.maximum_cost is not None:
                                return True

                            if self.tunnel is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa']['meta_info']


                    class TieBreak(object):
                        """
                        LFA FRR repair path selection policy tiebreaks
                        
                        .. attribute:: broadcast_interface_disjoint
                        
                        	Interface protection attribute
                        	**type**\:   :py:class:`BroadcastInterfaceDisjoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.BroadcastInterfaceDisjoint>`
                        
                        .. attribute:: downstream
                        
                        	Downstream repair path attribute
                        	**type**\:   :py:class:`Downstream <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Downstream>`
                        
                        .. attribute:: linecard_disjoint
                        
                        	Line card protection attribute
                        	**type**\:   :py:class:`LinecardDisjoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LinecardDisjoint>`
                        
                        .. attribute:: lowest_metric
                        
                        	Lowest metric repair path attribute
                        	**type**\:   :py:class:`LowestMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LowestMetric>`
                        
                        .. attribute:: node_protecting
                        
                        	Node protecting repair path attribute
                        	**type**\:   :py:class:`NodeProtecting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.NodeProtecting>`
                        
                        .. attribute:: primary_path
                        
                        	Equal cost multipath attribute
                        	**type**\:   :py:class:`PrimaryPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.PrimaryPath>`
                        
                        .. attribute:: secondary_path
                        
                        	Not\-equal cost multipath attribute
                        	**type**\:   :py:class:`SecondaryPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.SecondaryPath>`
                        
                        .. attribute:: srlg
                        
                        	Shared risk link group attribute
                        	**type**\:   :py:class:`Srlg <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Srlg>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.broadcast_interface_disjoint = Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.BroadcastInterfaceDisjoint()
                            self.broadcast_interface_disjoint.parent = self
                            self.downstream = Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Downstream()
                            self.downstream.parent = self
                            self.linecard_disjoint = Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LinecardDisjoint()
                            self.linecard_disjoint.parent = self
                            self.lowest_metric = Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LowestMetric()
                            self.lowest_metric.parent = self
                            self.node_protecting = Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.NodeProtecting()
                            self.node_protecting.parent = self
                            self.primary_path = Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.PrimaryPath()
                            self.primary_path.parent = self
                            self.secondary_path = Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.SecondaryPath()
                            self.secondary_path.parent = self
                            self.srlg = Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Srlg()
                            self.srlg.parent = self


                        class BroadcastInterfaceDisjoint(object):
                            """
                            Interface protection attribute
                            
                            .. attribute:: index
                            
                            	Tiebreak attribute priority
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: required
                            
                            	Mandatory repair path attribute
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.index = None
                                self.required = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:broadcast-interface-disjoint'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.index is not None:
                                    return True

                                if self.required is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.BroadcastInterfaceDisjoint']['meta_info']


                        class Downstream(object):
                            """
                            Downstream repair path attribute
                            
                            .. attribute:: index
                            
                            	Tiebreak attribute priority
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: required
                            
                            	Mandatory repair path attribute
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.index = None
                                self.required = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:downstream'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.index is not None:
                                    return True

                                if self.required is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Downstream']['meta_info']


                        class LinecardDisjoint(object):
                            """
                            Line card protection attribute
                            
                            .. attribute:: index
                            
                            	Tiebreak attribute priority
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: required
                            
                            	Mandatory repair path attribute
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.index = None
                                self.required = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:linecard-disjoint'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.index is not None:
                                    return True

                                if self.required is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LinecardDisjoint']['meta_info']


                        class LowestMetric(object):
                            """
                            Lowest metric repair path attribute
                            
                            .. attribute:: index
                            
                            	Tiebreak attribute priority
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: required
                            
                            	Mandatory repair path attribute
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.index = None
                                self.required = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:lowest-metric'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.index is not None:
                                    return True

                                if self.required is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LowestMetric']['meta_info']


                        class NodeProtecting(object):
                            """
                            Node protecting repair path attribute
                            
                            .. attribute:: index
                            
                            	Tiebreak attribute priority
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: required
                            
                            	Mandatory repair path attribute
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.index = None
                                self.required = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:node-protecting'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.index is not None:
                                    return True

                                if self.required is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.NodeProtecting']['meta_info']


                        class PrimaryPath(object):
                            """
                            Equal cost multipath attribute
                            
                            .. attribute:: index
                            
                            	Tiebreak attribute priority
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: required
                            
                            	Mandatory repair path attribute
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.index = None
                                self.required = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:primary-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.index is not None:
                                    return True

                                if self.required is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.PrimaryPath']['meta_info']


                        class SecondaryPath(object):
                            """
                            Not\-equal cost multipath attribute
                            
                            .. attribute:: index
                            
                            	Tiebreak attribute priority
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: required
                            
                            	Mandatory repair path attribute
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.index = None
                                self.required = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:secondary-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.index is not None:
                                    return True

                                if self.required is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.SecondaryPath']['meta_info']


                        class Srlg(object):
                            """
                            Shared risk link group attribute
                            
                            .. attribute:: index
                            
                            	Tiebreak attribute priority
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: required
                            
                            	Mandatory repair path attribute
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.index = None
                                self.required = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:srlg'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.index is not None:
                                    return True

                                if self.required is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Srlg']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:tie-break'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.broadcast_interface_disjoint is not None and self.broadcast_interface_disjoint._has_data():
                                return True

                            if self.downstream is not None and self.downstream._has_data():
                                return True

                            if self.linecard_disjoint is not None and self.linecard_disjoint._has_data():
                                return True

                            if self.lowest_metric is not None and self.lowest_metric._has_data():
                                return True

                            if self.node_protecting is not None and self.node_protecting._has_data():
                                return True

                            if self.primary_path is not None and self.primary_path._has_data():
                                return True

                            if self.secondary_path is not None and self.secondary_path._has_data():
                                return True

                            if self.srlg is not None and self.srlg._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.FastReroute.PerPrefix.TieBreak']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:per-prefix'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enable is not None and self.enable._has_data():
                            return True

                        if self.remote_lfa is not None and self.remote_lfa._has_data():
                            return True

                        if self.tie_break is not None and self.tie_break._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.FastReroute.PerPrefix']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:fast-reroute'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.keep_all_paths is not None:
                        return True

                    if self.per_prefix is not None and self.per_prefix._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.FastReroute']['meta_info']


            class GracefulRestart(object):
                """
                Graceful\-restart options
                
                .. attribute:: disable
                
                	Graceful restart disable
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: helper
                
                	helper support
                	**type**\:   :py:class:`Helper <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.GracefulRestart.Helper>`
                
                	**presence node**\: True
                
                .. attribute:: restart_interval
                
                	Graceful restart interval
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.disable = None
                    self.helper = None
                    self.restart_interval = None


                class Helper(object):
                    """
                    helper support
                    
                    .. attribute:: disable
                    
                    	disable helper support
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: strict_lsa_checking
                    
                    	enable helper strict LSA checking
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None
                        self.strict_lsa_checking = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:helper'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        if self.strict_lsa_checking is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.GracefulRestart.Helper']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:graceful-restart'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.disable is not None:
                        return True

                    if self.helper is not None and self.helper._has_data():
                        return True

                    if self.restart_interval is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.GracefulRestart']['meta_info']


            class Ignore(object):
                """
                Do not complain about specific event
                
                .. attribute:: lsa
                
                	Do not complain upon receiving LSA of the specified type
                	**type**\:   :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Ignore.Lsa>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.lsa = Native.Router.Ospf.Ignore.Lsa()
                    self.lsa.parent = self


                class Lsa(object):
                    """
                    Do not complain upon receiving LSA of the specified type
                    
                    .. attribute:: mospf
                    
                    	MOSPF Type 6 LSA
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.mospf = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:lsa'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.mospf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Ignore.Lsa']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:ignore'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.lsa is not None and self.lsa._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.Ignore']['meta_info']


            class Limit(object):
                """
                Limit a specific OSPF feature
                
                .. attribute:: retransmissions
                
                	LS update, DBD, and LS request retransmissions
                	**type**\:   :py:class:`Retransmissions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Limit.Retransmissions>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.retransmissions = Native.Router.Ospf.Limit.Retransmissions()
                    self.retransmissions.parent = self


                class Retransmissions(object):
                    """
                    LS update, DBD, and LS request retransmissions
                    
                    .. attribute:: dc
                    
                    	Demand circuit retransmissions
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    
                    ----
                    	**type**\:   :py:class:`LimitDcNonDcTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.LimitDcNonDcTypeEnum>`
                    
                    
                    ----
                    .. attribute:: non_dc
                    
                    	Non\-demand\-circuit retransmissions
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    
                    ----
                    	**type**\:   :py:class:`LimitDcNonDcTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.LimitDcNonDcTypeEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dc = None
                        self.non_dc = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:retransmissions'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dc is not None:
                            return True

                        if self.non_dc is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Limit.Retransmissions']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:limit'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.retransmissions is not None and self.retransmissions._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.Limit']['meta_info']


            class LocalRibCriteria(object):
                """
                Enable or disable usage of local RIB as route criteria
                
                .. attribute:: forwarding_address
                
                	Local RIB used to validate external/NSSA forwarding addresses
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: inter_area_summary
                
                	Local RIB used as criteria for inter\-area summaries
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: nssa_translation
                
                	Local RIB used as criteria for NSSA translation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.forwarding_address = None
                    self.inter_area_summary = None
                    self.nssa_translation = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:local-rib-criteria'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.forwarding_address is not None:
                        return True

                    if self.inter_area_summary is not None:
                        return True

                    if self.nssa_translation is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.LocalRibCriteria']['meta_info']


            class Microloop(object):
                """
                Traffic microloop control parameters
                
                .. attribute:: avoidance
                
                	Traffic microloop avoidance parameters
                	**type**\:   :py:class:`Avoidance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Microloop.Avoidance>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.avoidance = None


                class Avoidance(object):
                    """
                    Traffic microloop avoidance parameters
                    
                    .. attribute:: disable
                    
                    	Microloop avoidance auto\-enable prohibited
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: protected
                    
                    	Microloop avoidance for protected prefixes only
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rib_update_delay
                    
                    	Delay before updating the RIB
                    	**type**\:  int
                    
                    	**range:** 1..600000
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None
                        self.protected = None
                        self.rib_update_delay = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:avoidance'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        if self.protected is not None:
                            return True

                        if self.rib_update_delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Microloop.Avoidance']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:microloop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.avoidance is not None and self.avoidance._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.Microloop']['meta_info']


            class Mpls(object):
                """
                Configure MPLS routing protocol parameters
                
                .. attribute:: ldp
                
                	routing protocol commands for MPLS LDP
                	**type**\:   :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.Ldp>`
                
                .. attribute:: traffic_eng
                
                	routing protocol commands for MPLS Traffic Engineering
                	**type**\:   :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.TrafficEng>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ldp = Native.Router.Ospf.Mpls.Ldp()
                    self.ldp.parent = self
                    self.traffic_eng = Native.Router.Ospf.Mpls.TrafficEng()
                    self.traffic_eng.parent = self


                class Ldp(object):
                    """
                    routing protocol commands for MPLS LDP
                    
                    .. attribute:: autoconfig
                    
                    	Configure LDP automatic configuration
                    	**type**\:   :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.Ldp.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: sync
                    
                    	Configure LDP\-IGP Synchronization
                    	**type**\:   :py:class:`Sync <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.Ldp.Sync>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.autoconfig = None
                        self.sync = None


                    class Autoconfig(object):
                        """
                        Configure LDP automatic configuration
                        
                        .. attribute:: area
                        
                        	Configure an OSPF area to run MPLS LDP
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.area = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:autoconfig'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.area is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Mpls.Ldp.Autoconfig']['meta_info']


                    class Sync(object):
                        """
                        Configure LDP\-IGP Synchronization
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:sync'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Mpls.Ldp.Sync']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ldp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.autoconfig is not None and self.autoconfig._has_data():
                            return True

                        if self.sync is not None and self.sync._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Mpls.Ldp']['meta_info']


                class TrafficEng(object):
                    """
                    routing protocol commands for MPLS Traffic Engineering
                    
                    .. attribute:: area
                    
                    	configure an ospf area to run MPLS Traffic Engineering
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: autoroute_exclude
                    
                    	MPLS TE autoroute exclude
                    	**type**\:   :py:class:`AutorouteExclude <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.TrafficEng.AutorouteExclude>`
                    
                    .. attribute:: interface
                    
                    	MPLS TE interface configuration for this OSPF process
                    	**type**\:   :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.TrafficEng.Interface>`
                    
                    .. attribute:: mesh_group_container
                    
                    	
                    	**type**\:   :py:class:`MeshGroupContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.TrafficEng.MeshGroupContainer>`
                    
                    .. attribute:: multicast_intact
                    
                    	MPLS TE and PIM interaction
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: router_id
                    
                    	Traffic Engineering stable IP address for system
                    	**type**\:   :py:class:`RouterId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.TrafficEng.RouterId>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.area = None
                        self.autoroute_exclude = Native.Router.Ospf.Mpls.TrafficEng.AutorouteExclude()
                        self.autoroute_exclude.parent = self
                        self.interface = Native.Router.Ospf.Mpls.TrafficEng.Interface()
                        self.interface.parent = self
                        self.mesh_group_container = Native.Router.Ospf.Mpls.TrafficEng.MeshGroupContainer()
                        self.mesh_group_container.parent = self
                        self.multicast_intact = None
                        self.router_id = Native.Router.Ospf.Mpls.TrafficEng.RouterId()
                        self.router_id.parent = self


                    class AutorouteExclude(object):
                        """
                        MPLS TE autoroute exclude
                        
                        .. attribute:: prefix_list
                        
                        	Filter prefixes
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.prefix_list = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:autoroute-exclude'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.prefix_list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Mpls.TrafficEng.AutorouteExclude']['meta_info']


                    class Interface(object):
                        """
                        MPLS TE interface configuration for this OSPF process
                        
                        .. attribute:: area
                        
                        	advertise MPLS TE information for this interface into area
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: id
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.area = None
                            self.id = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:interface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.area is not None:
                                return True

                            if self.id is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Mpls.TrafficEng.Interface']['meta_info']


                    class MeshGroupContainer(object):
                        """
                        
                        
                        .. attribute:: area
                        
                        	configure flooding scope as area
                        	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.TrafficEng.MeshGroupContainer.Area>`
                        
                        .. attribute:: id
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: interface
                        
                        	Interface
                        	**type**\:  str
                        
                        .. attribute:: mesh_group
                        
                        	Traffic Engineering Mesh\-Group advertisement
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.area = YList()
                            self.area.parent = self
                            self.area.name = 'area'
                            self.id = None
                            self.interface = None
                            self.mesh_group = None


                        class Area(object):
                            """
                            configure flooding scope as area
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:area[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Mpls.TrafficEng.MeshGroupContainer.Area']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:mesh-group-container'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.area is not None:
                                for child_ref in self.area:
                                    if child_ref._has_data():
                                        return True

                            if self.id is not None:
                                return True

                            if self.interface is not None:
                                return True

                            if self.mesh_group is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Mpls.TrafficEng.MeshGroupContainer']['meta_info']


                    class RouterId(object):
                        """
                        Traffic Engineering stable IP address for system
                        
                        .. attribute:: id
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: interface
                        
                        	Interface
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:router-id'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Mpls.TrafficEng.RouterId']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:traffic-eng'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.area is not None:
                            return True

                        if self.autoroute_exclude is not None and self.autoroute_exclude._has_data():
                            return True

                        if self.interface is not None and self.interface._has_data():
                            return True

                        if self.mesh_group_container is not None and self.mesh_group_container._has_data():
                            return True

                        if self.multicast_intact is not None:
                            return True

                        if self.router_id is not None and self.router_id._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Mpls.TrafficEng']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ldp is not None and self.ldp._has_data():
                        return True

                    if self.traffic_eng is not None and self.traffic_eng._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.Mpls']['meta_info']


            class Neighbor(object):
                """
                Specify a neighbor router
                
                .. attribute:: ip  <key>
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: cost
                
                	OSPF cost for point\-to\-multipoint neighbor
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: database_filter
                
                	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                	**type**\:   :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Neighbor.DatabaseFilter>`
                
                .. attribute:: poll_interval
                
                	OSPF dead\-router polling interval
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: priority
                
                	OSPF priority of non\-broadcast neighbor
                	**type**\:  int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = None
                    self.cost = None
                    self.database_filter = Native.Router.Ospf.Neighbor.DatabaseFilter()
                    self.database_filter.parent = self
                    self.poll_interval = None
                    self.priority = None


                class DatabaseFilter(object):
                    """
                    Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                    
                    .. attribute:: all
                    
                    	Filter all LSA
                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Neighbor.DatabaseFilter.All>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.all = Native.Router.Ospf.Neighbor.DatabaseFilter.All()
                        self.all.parent = self


                    class All(object):
                        """
                        Filter all LSA
                        
                        .. attribute:: out
                        
                        	Outgoing LSA
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.out = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:all'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.out is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Neighbor.DatabaseFilter.All']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:database-filter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.all is not None and self.all._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Neighbor.DatabaseFilter']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.ip is None:
                        raise YPYModelError('Key property ip is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:neighbor[Cisco-IOS-XE-ospf:ip = ' + str(self.ip) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None:
                        return True

                    if self.cost is not None:
                        return True

                    if self.database_filter is not None and self.database_filter._has_data():
                        return True

                    if self.poll_interval is not None:
                        return True

                    if self.priority is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.Neighbor']['meta_info']


            class Network(object):
                """
                Enable routing on an IP network
                
                .. attribute:: ip  <key>
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: mask  <key>
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: area
                
                	Set the OSPF area ID
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                
                ----
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = None
                    self.mask = None
                    self.area = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.ip is None:
                        raise YPYModelError('Key property ip is None')
                    if self.mask is None:
                        raise YPYModelError('Key property mask is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:network[Cisco-IOS-XE-ospf:ip = ' + str(self.ip) + '][Cisco-IOS-XE-ospf:mask = ' + str(self.mask) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None:
                        return True

                    if self.mask is not None:
                        return True

                    if self.area is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.Network']['meta_info']


            class Nsf(object):
                """
                Non\-stop forwarding
                
                .. attribute:: cisco
                
                	Cisco Non\-stop forwarding
                	**type**\:   :py:class:`Cisco <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Nsf.Cisco>`
                
                	**presence node**\: True
                
                .. attribute:: ietf
                
                	IETF graceful restart
                	**type**\:   :py:class:`Ietf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Nsf.Ietf>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.cisco = None
                    self.ietf = Native.Router.Ospf.Nsf.Ietf()
                    self.ietf.parent = self


                class Cisco(object):
                    """
                    Cisco Non\-stop forwarding
                    
                    .. attribute:: helper
                    
                    	helper support
                    	**type**\:   :py:class:`Helper <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Nsf.Cisco.Helper>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.helper = None


                    class Helper(object):
                        """
                        helper support
                        
                        .. attribute:: disable
                        
                        	disable helper support
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:helper'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Nsf.Cisco.Helper']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:cisco'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.helper is not None and self.helper._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Nsf.Cisco']['meta_info']


                class Ietf(object):
                    """
                    IETF graceful restart
                    
                    .. attribute:: helper
                    
                    	helper support
                    	**type**\:   :py:class:`Helper <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Nsf.Ietf.Helper>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.helper = None


                    class Helper(object):
                        """
                        helper support
                        
                        .. attribute:: disable
                        
                        	disable helper support
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: strict_lsa_checking
                        
                        	enable helper strict LSA checking
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.disable = None
                            self.strict_lsa_checking = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:helper'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.disable is not None:
                                return True

                            if self.strict_lsa_checking is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Nsf.Ietf.Helper']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:ietf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.helper is not None and self.helper._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Nsf.Ietf']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:nsf'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.cisco is not None and self.cisco._has_data():
                        return True

                    if self.ietf is not None and self.ietf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.Nsf']['meta_info']


            class PrefixPriority(object):
                """
                OSPF prefix priority
                
                .. attribute:: high
                
                	High prefix priority
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: route_map
                
                	Prefix priority selection by route\-map
                	**type**\:  str
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.high = None
                    self.route_map = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:prefix-priority'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.high is not None:
                        return True

                    if self.route_map is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.PrefixPriority']['meta_info']


            class ProcessMinTime(object):
                """
                Percentage of quantum to be used before releasing CPU
                
                .. attribute:: percent
                
                	percent
                	**type**\:  int
                
                	**range:** 1..100
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.percent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:process-min-time'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.percent is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.ProcessMinTime']['meta_info']


            class Snmp(object):
                """
                Modify snmp parameters
                
                .. attribute:: context
                
                	Configure a SNMP context
                	**type**\: list of    :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Snmp.Context>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.context = YList()
                    self.context.parent = self
                    self.context.name = 'context'


                class Context(object):
                    """
                    Configure a SNMP context
                    
                    .. attribute:: name  <key>
                    
                    	Context Name
                    	**type**\:  str
                    
                    .. attribute:: community
                    
                    	Configure a SNMP v2c Community string and access privs
                    	**type**\:   :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Snmp.Context.Community>`
                    
                    .. attribute:: user
                    
                    	Configure a SNMP v3 user
                    	**type**\:   :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Snmp.Context.User>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.community = Native.Router.Ospf.Snmp.Context.Community()
                        self.community.parent = self
                        self.user = Native.Router.Ospf.Snmp.Context.User()
                        self.user.parent = self


                    class Community(object):
                        """
                        Configure a SNMP v2c Community string and access privs
                        
                        .. attribute:: access
                        
                        	
                        	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Snmp.Context.Community.Access>`
                        
                        .. attribute:: community_string
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.access = Native.Router.Ospf.Snmp.Context.Community.Access()
                            self.access.parent = self
                            self.community_string = None


                        class Access(object):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: expanded_acl
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1300..1999
                            
                            .. attribute:: ipv6
                            
                            	Specify IPv6 Named Access\-List
                            	**type**\:  str
                            
                            .. attribute:: ro
                            
                            	Read\-only access with this community string
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rw
                            
                            	Read\-write access with this community string
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: standard_acl
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..99
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.acl_name = None
                                self.expanded_acl = None
                                self.ipv6 = None
                                self.ro = None
                                self.rw = None
                                self.standard_acl = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:access'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.acl_name is not None:
                                    return True

                                if self.expanded_acl is not None:
                                    return True

                                if self.ipv6 is not None:
                                    return True

                                if self.ro is not None:
                                    return True

                                if self.rw is not None:
                                    return True

                                if self.standard_acl is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Snmp.Context.Community.Access']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:community'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.access is not None and self.access._has_data():
                                return True

                            if self.community_string is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Snmp.Context.Community']['meta_info']


                    class User(object):
                        """
                        Configure a SNMP v3 user
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: permisssion
                        
                        	
                        	**type**\:   :py:class:`Permisssion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Snmp.Context.User.Permisssion>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.permisssion = Native.Router.Ospf.Snmp.Context.User.Permisssion()
                            self.permisssion.parent = self


                        class Permisssion(object):
                            """
                            
                            
                            .. attribute:: access
                            
                            	specify an access\-list associated with this group
                            	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Snmp.Context.User.Permisssion.Access>`
                            
                            .. attribute:: auth
                            
                            	authentication parameters for the user
                            	**type**\:   :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Snmp.Context.User.Permisssion.Auth>`
                            
                            .. attribute:: credential
                            
                            	If the user password is already configured and saved
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: encrypted
                            
                            	specifying passwords as MD5 or SHA digests
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.access = Native.Router.Ospf.Snmp.Context.User.Permisssion.Access()
                                self.access.parent = self
                                self.auth = Native.Router.Ospf.Snmp.Context.User.Permisssion.Auth()
                                self.auth.parent = self
                                self.credential = None
                                self.encrypted = None


                            class Access(object):
                                """
                                specify an access\-list associated with this group
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: ipv6
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: standard_acl
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.acl_name = None
                                    self.ipv6 = None
                                    self.standard_acl = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:access'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.acl_name is not None:
                                        return True

                                    if self.ipv6 is not None:
                                        return True

                                    if self.standard_acl is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Snmp.Context.User.Permisssion.Access']['meta_info']


                            class Auth(object):
                                """
                                authentication parameters for the user
                                
                                .. attribute:: md5
                                
                                	Use HMAC MD5 algorithm for authentication
                                	**type**\:  str
                                
                                .. attribute:: sha
                                
                                	Use HMAC SHA algorithm for authentication
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.md5 = None
                                    self.sha = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:auth'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.md5 is not None:
                                        return True

                                    if self.sha is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospf.Snmp.Context.User.Permisssion.Auth']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospf:permisssion'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.access is not None and self.access._has_data():
                                    return True

                                if self.auth is not None and self.auth._has_data():
                                    return True

                                if self.credential is not None:
                                    return True

                                if self.encrypted is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospf.Snmp.Context.User.Permisssion']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospf:user'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.permisssion is not None and self.permisssion._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospf.Snmp.Context.User']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospf:context[Cisco-IOS-XE-ospf:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.community is not None and self.community._has_data():
                            return True

                        if self.user is not None and self.user._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospf.Snmp.Context']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:snmp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.context is not None:
                        for child_ref in self.context:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.Snmp']['meta_info']


            class SummaryAddress(object):
                """
                Configure IP address summaries
                
                .. attribute:: ip  <key>
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: wildcard  <key>
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: not_advertise
                
                	Do not advertise when translating OSPF type\-7 LSA
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: nssa_only
                
                	Limit summary to NSSA areas
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: tag
                
                	Set tag
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = None
                    self.wildcard = None
                    self.not_advertise = None
                    self.nssa_only = None
                    self.tag = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.ip is None:
                        raise YPYModelError('Key property ip is None')
                    if self.wildcard is None:
                        raise YPYModelError('Key property wildcard is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospf:summary-address[Cisco-IOS-XE-ospf:ip = ' + str(self.ip) + '][Cisco-IOS-XE-ospf:wildcard = ' + str(self.wildcard) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None:
                        return True

                    if self.wildcard is not None:
                        return True

                    if self.not_advertise is not None:
                        return True

                    if self.nssa_only is not None:
                        return True

                    if self.tag is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospf.SummaryAddress']['meta_info']

            @property
            def _common_path(self):
                if self.id is None:
                    raise YPYModelError('Key property id is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-ospf:ospf[Cisco-IOS-XE-ospf:id = ' + str(self.id) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.id is not None:
                    return True

                if self.address_family is not None and self.address_family._has_data():
                    return True

                if self.area is not None:
                    for child_ref in self.area:
                        if child_ref._has_data():
                            return True

                if self.auto_cost is not None and self.auto_cost._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.capability is not None and self.capability._has_data():
                    return True

                if self.compatible is not None and self.compatible._has_data():
                    return True

                if self.default_information is not None and self.default_information._has_data():
                    return True

                if self.default_metric is not None:
                    return True

                if self.disable is not None and self.disable._has_data():
                    return True

                if self.discard_route is not None and self.discard_route._has_data():
                    return True

                if self.distance is not None and self.distance._has_data():
                    return True

                if self.distribute_list is not None and self.distribute_list._has_data():
                    return True

                if self.domain_id is not None and self.domain_id._has_data():
                    return True

                if self.domain_tag is not None:
                    return True

                if self.event_log is not None and self.event_log._has_data():
                    return True

                if self.fast_reroute is not None and self.fast_reroute._has_data():
                    return True

                if self.graceful_restart is not None and self.graceful_restart._has_data():
                    return True

                if self.ignore is not None and self.ignore._has_data():
                    return True

                if self.interface_id is not None and self.interface_id._has_data():
                    return True

                if self.ispf is not None:
                    return True

                if self.limit is not None and self.limit._has_data():
                    return True

                if self.local_rib_criteria is not None and self.local_rib_criteria._has_data():
                    return True

                if self.log_adjacency_changes is not None and self.log_adjacency_changes._has_data():
                    return True

                if self.max_lsa is not None and self.max_lsa._has_data():
                    return True

                if self.max_metric is not None and self.max_metric._has_data():
                    return True

                if self.maximum_paths is not None:
                    return True

                if self.microloop is not None and self.microloop._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                if self.neighbor is not None:
                    for child_ref in self.neighbor:
                        if child_ref._has_data():
                            return True

                if self.network is not None:
                    for child_ref in self.network:
                        if child_ref._has_data():
                            return True

                if self.nsf is not None and self.nsf._has_data():
                    return True

                if self.nsr is not None:
                    return True

                if self.passive_interface is not None and self.passive_interface._has_data():
                    return True

                if self.prefix_priority is not None and self.prefix_priority._has_data():
                    return True

                if self.prefix_suppression is not None:
                    return True

                if self.priority is not None:
                    return True

                if self.process_min_time is not None and self.process_min_time._has_data():
                    return True

                if self.queue_depth is not None and self.queue_depth._has_data():
                    return True

                if self.redistribute is not None and self.redistribute._has_data():
                    return True

                if self.router_id is not None:
                    return True

                if self.shutdown is not None:
                    return True

                if self.snmp is not None and self.snmp._has_data():
                    return True

                if self.summary_address is not None:
                    for child_ref in self.summary_address:
                        if child_ref._has_data():
                            return True

                if self.timers is not None and self.timers._has_data():
                    return True

                if self.traffic_share is not None and self.traffic_share._has_data():
                    return True

                if self.ttl_security is not None and self.ttl_security._has_data():
                    return True

                if self.vrf is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Router.Ospf']['meta_info']


        class Ospfv3(object):
            """
            OSPFv3
            
            .. attribute:: id  <key>
            
            	
            	**type**\:  int
            
            	**range:** 1..65535
            
            .. attribute:: address_family
            
            	Enter Address Family command mode
            	**type**\:   :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily>`
            
            .. attribute:: area
            
            	OSPF area parameters
            	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area>`
            
            .. attribute:: authentication
            
            	Authentication parameters
            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Authentication>`
            
            .. attribute:: auto_cost
            
            	Calculate OSPF interface cost according to bandwidth
            	**type**\:   :py:class:`AutoCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AutoCost>`
            
            	**presence node**\: True
            
            .. attribute:: bfd
            
            	BFD configuration commands
            	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Bfd>`
            
            .. attribute:: disable
            
            	
            	**type**\:   :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Disable>`
            
            .. attribute:: event_log
            
            	OSPF Event Logging
            	**type**\:   :py:class:`EventLog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.EventLog>`
            
            	**presence node**\: True
            
            .. attribute:: graceful_restart
            
            	Graceful\-restart options
            	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.GracefulRestart>`
            
            	**presence node**\: True
            
            .. attribute:: interface_id
            
            	Source of the interface ID
            	**type**\:   :py:class:`InterfaceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.InterfaceId>`
            
            .. attribute:: log_adjacency_changes
            
            	Log changes in adjacency state
            	**type**\:   :py:class:`LogAdjacencyChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.LogAdjacencyChanges>`
            
            	**presence node**\: True
            
            .. attribute:: manet
            
            	Specify MANET OSPF parameters
            	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Manet>`
            
            .. attribute:: max_lsa
            
            	maximum number of LSAs OSPF process will receive
            	**type**\:   :py:class:`MaxLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.MaxLsa>`
            
            .. attribute:: max_metric
            
            	Set maximum metric
            	**type**\:   :py:class:`MaxMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.MaxMetric>`
            
            .. attribute:: nsr
            
            	Enable non\-stop routing
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: passive_interface
            
            	Suppress routing updates on an interface
            	**type**\:   :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.PassiveInterface>`
            
            .. attribute:: queue_depth
            
            	OSPF Hello/Router process queue depth
            	**type**\:   :py:class:`QueueDepth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.QueueDepth>`
            
            .. attribute:: router_id
            
            	Override configured router identifier (peers will reset)
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: timers
            
            	Adjust routing timers
            	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Timers>`
            
            .. attribute:: traffic_share
            
            	How to compute traffic share over alternate paths
            	**type**\:   :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.TrafficShare>`
            
            .. attribute:: ttl_security
            
            	TTL security check
            	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.TtlSecurity>`
            
            

            """

            _prefix = 'ios-ospfv3'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.id = None
                self.address_family = Native.Router.Ospfv3.AddressFamily()
                self.address_family.parent = self
                self.area = YList()
                self.area.parent = self
                self.area.name = 'area'
                self.authentication = Native.Router.Ospfv3.Authentication()
                self.authentication.parent = self
                self.auto_cost = None
                self.bfd = Native.Router.Ospfv3.Bfd()
                self.bfd.parent = self
                self.disable = Native.Router.Ospfv3.Disable()
                self.disable.parent = self
                self.event_log = None
                self.graceful_restart = None
                self.interface_id = Native.Router.Ospfv3.InterfaceId()
                self.interface_id.parent = self
                self.log_adjacency_changes = None
                self.manet = Native.Router.Ospfv3.Manet()
                self.manet.parent = self
                self.max_lsa = Native.Router.Ospfv3.MaxLsa()
                self.max_lsa.parent = self
                self.max_metric = Native.Router.Ospfv3.MaxMetric()
                self.max_metric.parent = self
                self.nsr = None
                self.passive_interface = Native.Router.Ospfv3.PassiveInterface()
                self.passive_interface.parent = self
                self.queue_depth = Native.Router.Ospfv3.QueueDepth()
                self.queue_depth.parent = self
                self.router_id = None
                self.timers = Native.Router.Ospfv3.Timers()
                self.timers.parent = self
                self.traffic_share = Native.Router.Ospfv3.TrafficShare()
                self.traffic_share.parent = self
                self.ttl_security = Native.Router.Ospfv3.TtlSecurity()
                self.ttl_security.parent = self


            class Area(object):
                """
                OSPF area parameters
                
                .. attribute:: id  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                
                ----
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: authentication
                
                	Enable authentication
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Authentication>`
                
                	**presence node**\: True
                
                .. attribute:: capability
                
                	Enable area specific capability
                	**type**\:   :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Capability>`
                
                .. attribute:: default_cost
                
                	Set the summary default\-cost of a NSSA/stub area
                	**type**\:  int
                
                	**range:** 0..16777215
                
                .. attribute:: filter_list
                
                	Filter networks between OSPF areas
                	**type**\: list of    :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.FilterList>`
                
                .. attribute:: ipv4_range
                
                	
                	**type**\:   :py:class:`Ipv4Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Ipv4Range>`
                
                .. attribute:: ipv6_range
                
                	
                	**type**\:   :py:class:`Ipv6Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Ipv6Range>`
                
                .. attribute:: nssa
                
                	Specify a NSSA area
                	**type**\:   :py:class:`Nssa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Nssa>`
                
                	**presence node**\: True
                
                .. attribute:: sham_link
                
                	Define a sham link and its parameters
                	**type**\: list of    :py:class:`ShamLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.ShamLink>`
                
                .. attribute:: stub
                
                	Specify a stub area
                	**type**\:   :py:class:`Stub <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Stub>`
                
                	**presence node**\: True
                
                .. attribute:: virtual_link
                
                	Define a virtual link and its parameters
                	**type**\: list of    :py:class:`VirtualLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink>`
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = None
                    self.authentication = None
                    self.capability = Native.Router.Ospfv3.Area.Capability()
                    self.capability.parent = self
                    self.default_cost = None
                    self.filter_list = YList()
                    self.filter_list.parent = self
                    self.filter_list.name = 'filter_list'
                    self.ipv4_range = Native.Router.Ospfv3.Area.Ipv4Range()
                    self.ipv4_range.parent = self
                    self.ipv6_range = Native.Router.Ospfv3.Area.Ipv6Range()
                    self.ipv6_range.parent = self
                    self.nssa = None
                    self.sham_link = YList()
                    self.sham_link.parent = self
                    self.sham_link.name = 'sham_link'
                    self.stub = None
                    self.virtual_link = YList()
                    self.virtual_link.parent = self
                    self.virtual_link.name = 'virtual_link'


                class Authentication(object):
                    """
                    Enable authentication
                    
                    .. attribute:: message_digest
                    
                    	Use message\-digest authentication
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.message_digest = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.message_digest is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.Area.Authentication']['meta_info']


                class Capability(object):
                    """
                    Enable area specific capability
                    
                    .. attribute:: default_exclusion
                    
                    	Enable exclusion of links from base topology
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.default_exclusion = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:capability'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.default_exclusion is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.Area.Capability']['meta_info']


                class FilterList(object):
                    """
                    Filter networks between OSPF areas
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:   :py:class:`InOutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.FilterList.InOutEnum>`
                    
                    .. attribute:: prefix
                    
                    	Filter prefixes between OSPF areas
                    	**type**\:  str
                    
                    	**mandatory**\: True
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_out = None
                        self.prefix = None

                    class InOutEnum(Enum):
                        """
                        InOutEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.Area.FilterList.InOutEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.in_out is None:
                            raise YPYModelError('Key property in_out is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:filter-list[Cisco-IOS-XE-ospfv3:in-out = ' + str(self.in_out) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_out is not None:
                            return True

                        if self.prefix is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.Area.FilterList']['meta_info']


                class Nssa(object):
                    """
                    Specify a NSSA area
                    
                    .. attribute:: default_information_originate
                    
                    	Originate Type 7 default into NSSA area
                    	**type**\:   :py:class:`DefaultInformationOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: no_ext_capability
                    
                    	Do not send domain specific capabilities into NSSA
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: no_redistribution
                    
                    	No redistribution into this NSSA area
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: no_summary
                    
                    	Do not send summary LSA into NSSA
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nssa_only
                    
                    	Limit default advertisement to this NSSA area
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: translate
                    
                    	Translate LSA
                    	**type**\:   :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Nssa.Translate>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.default_information_originate = None
                        self.no_ext_capability = None
                        self.no_redistribution = None
                        self.no_summary = None
                        self.nssa_only = None
                        self.translate = Native.Router.Ospfv3.Area.Nssa.Translate()
                        self.translate.parent = self


                    class DefaultInformationOriginate(object):
                        """
                        Originate Type 7 default into NSSA area
                        
                        .. attribute:: metric
                        
                        	OSPF default metric
                        	**type**\:  int
                        
                        	**range:** 0..16777214
                        
                        .. attribute:: metric_type
                        
                        	OSPF metric type for default routes
                        	**type**\:  int
                        
                        	**range:** 1..2
                        
                        .. attribute:: no_ext_capability
                        
                        	Do not send domain specific capabilities into NSSA
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: no_redistribution
                        
                        	No redistribution into this NSSA area
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: no_summary
                        
                        	Do not send summary LSA into NSSA
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: nssa_only
                        
                        	Limit default advertisement to this NSSA area
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: translate
                        
                        	Translate LSA
                        	**type**\:   :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.metric = None
                            self.metric_type = None
                            self.no_ext_capability = None
                            self.no_redistribution = None
                            self.no_summary = None
                            self.nssa_only = None
                            self.translate = Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate()
                            self.translate.parent = self


                        class Translate(object):
                            """
                            Translate LSA
                            
                            .. attribute:: type7
                            
                            	From Type 7 to Type 5
                            	**type**\:   :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate.Type7>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.type7 = Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate.Type7()
                                self.type7.parent = self


                            class Type7(object):
                                """
                                From Type 7 to Type 5
                                
                                .. attribute:: always
                                
                                	Always translate LSAs on this ABR
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: suppress_fa
                                
                                	Suppress forwarding address in translated LSAs
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.always = None
                                    self.suppress_fa = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:type7'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.always is not None:
                                        return True

                                    if self.suppress_fa is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate.Type7']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:translate'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.type7 is not None and self.type7._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:default-information-originate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.metric is not None:
                                return True

                            if self.metric_type is not None:
                                return True

                            if self.no_ext_capability is not None:
                                return True

                            if self.no_redistribution is not None:
                                return True

                            if self.no_summary is not None:
                                return True

                            if self.nssa_only is not None:
                                return True

                            if self.translate is not None and self.translate._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate']['meta_info']


                    class Translate(object):
                        """
                        Translate LSA
                        
                        .. attribute:: type7
                        
                        	From Type 7 to Type 5
                        	**type**\:   :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Nssa.Translate.Type7>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.type7 = Native.Router.Ospfv3.Area.Nssa.Translate.Type7()
                            self.type7.parent = self


                        class Type7(object):
                            """
                            From Type 7 to Type 5
                            
                            .. attribute:: always
                            
                            	Always translate LSAs on this ABR
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_fa
                            
                            	Suppress forwarding address in translated LSAs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.always = None
                                self.suppress_fa = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:type7'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.always is not None:
                                    return True

                                if self.suppress_fa is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.Area.Nssa.Translate.Type7']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:translate'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.type7 is not None and self.type7._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.Area.Nssa.Translate']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.default_information_originate is not None and self.default_information_originate._has_data():
                            return True

                        if self.no_ext_capability is not None:
                            return True

                        if self.no_redistribution is not None:
                            return True

                        if self.no_summary is not None:
                            return True

                        if self.nssa_only is not None:
                            return True

                        if self.translate is not None and self.translate._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.Area.Nssa']['meta_info']


                class Ipv4Range(object):
                    """
                    
                    
                    .. attribute:: range
                    
                    	Summarize routes matching address/mask (border routers only)
                    	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Ipv4Range.Range>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.range = YList()
                        self.range.parent = self
                        self.range.name = 'range'


                    class Range(object):
                        """
                        Summarize routes matching address/mask (border routers only)
                        
                        .. attribute:: ip  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: advertise
                        
                        	Advertise this range (default)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cost
                        
                        	User specified metric for this range
                        	**type**\:  int
                        
                        	**range:** 0..16777215
                        
                        .. attribute:: not_advertise
                        
                        	DoNotAdvertise this range
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = None
                            self.mask = None
                            self.advertise = None
                            self.cost = None
                            self.not_advertise = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ip is None:
                                raise YPYModelError('Key property ip is None')
                            if self.mask is None:
                                raise YPYModelError('Key property mask is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:range[Cisco-IOS-XE-ospfv3:ip = ' + str(self.ip) + '][Cisco-IOS-XE-ospfv3:mask = ' + str(self.mask) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.advertise is not None:
                                return True

                            if self.cost is not None:
                                return True

                            if self.not_advertise is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.Area.Ipv4Range.Range']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv4-range'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.range is not None:
                            for child_ref in self.range:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.Area.Ipv4Range']['meta_info']


                class Ipv6Range(object):
                    """
                    
                    
                    .. attribute:: range
                    
                    	Summarize routes matching address/mask (border routers only)
                    	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Ipv6Range.Range>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.range = YList()
                        self.range.parent = self
                        self.range.name = 'range'


                    class Range(object):
                        """
                        Summarize routes matching address/mask (border routers only)
                        
                        .. attribute:: ip  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: advertise
                        
                        	Advertise this range (default)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cost
                        
                        	User specified metric for this range
                        	**type**\:  int
                        
                        	**range:** 0..16777215
                        
                        .. attribute:: not_advertise
                        
                        	DoNotAdvertise this range
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = None
                            self.advertise = None
                            self.cost = None
                            self.not_advertise = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ip is None:
                                raise YPYModelError('Key property ip is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:range[Cisco-IOS-XE-ospfv3:ip = ' + str(self.ip) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None:
                                return True

                            if self.advertise is not None:
                                return True

                            if self.cost is not None:
                                return True

                            if self.not_advertise is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.Area.Ipv6Range.Range']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv6-range'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.range is not None:
                            for child_ref in self.range:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.Area.Ipv6Range']['meta_info']


                class ShamLink(object):
                    """
                    Define a sham link and its parameters
                    
                    .. attribute:: source  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: dest  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: cost
                    
                    	Associate a cost with the sham\-link
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: ttl_security
                    
                    	TTL security check
                    	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.ShamLink.TtlSecurity>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.source = None
                        self.dest = None
                        self.cost = None
                        self.ttl_security = Native.Router.Ospfv3.Area.ShamLink.TtlSecurity()
                        self.ttl_security.parent = self


                    class TtlSecurity(object):
                        """
                        TTL security check
                        
                        .. attribute:: hops
                        
                        	IP hops
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hops = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ttl-security'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hops is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.Area.ShamLink.TtlSecurity']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.source is None:
                            raise YPYModelError('Key property source is None')
                        if self.dest is None:
                            raise YPYModelError('Key property dest is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:sham-link[Cisco-IOS-XE-ospfv3:source = ' + str(self.source) + '][Cisco-IOS-XE-ospfv3:dest = ' + str(self.dest) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.source is not None:
                            return True

                        if self.dest is not None:
                            return True

                        if self.cost is not None:
                            return True

                        if self.ttl_security is not None and self.ttl_security._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.Area.ShamLink']['meta_info']


                class Stub(object):
                    """
                    Specify a stub area
                    
                    .. attribute:: no_ext_capability
                    
                    	Do not send domain specific capabilities into stub area
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: no_summary
                    
                    	Do not send summary LSA into stub area
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.no_ext_capability = None
                        self.no_summary = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:stub'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.no_ext_capability is not None:
                            return True

                        if self.no_summary is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.Area.Stub']['meta_info']


                class VirtualLink(object):
                    """
                    Define a virtual link and its parameters
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: authentication
                    
                    	Set authentication type
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication>`
                    
                    .. attribute:: authentication_key
                    
                    	Set authentication key
                    	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.AuthenticationKey>`
                    
                    .. attribute:: dead_interval
                    
                    	Dead router detection time
                    	**type**\:   :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.DeadInterval>`
                    
                    .. attribute:: hello_interval
                    
                    	Hello packet interval
                    	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.HelloInterval>`
                    
                    .. attribute:: message_digest_key
                    
                    	Set message digest key
                    	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey>`
                    
                    .. attribute:: retransmit_interval
                    
                    	LSA retransmit interval
                    	**type**\:   :py:class:`RetransmitInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.RetransmitInterval>`
                    
                    .. attribute:: topology
                    
                    	Disable virtual link on topology
                    	**type**\:   :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Topology>`
                    
                    .. attribute:: transmit_delay
                    
                    	LSA transmission delay
                    	**type**\:   :py:class:`TransmitDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.TransmitDelay>`
                    
                    .. attribute:: ttl_security
                    
                    	TTL security check
                    	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.TtlSecurity>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.authentication = Native.Router.Ospfv3.Area.VirtualLink.Authentication()
                        self.authentication.parent = self
                        self.authentication_key = Native.Router.Ospfv3.Area.VirtualLink.AuthenticationKey()
                        self.authentication_key.parent = self
                        self.dead_interval = Native.Router.Ospfv3.Area.VirtualLink.DeadInterval()
                        self.dead_interval.parent = self
                        self.hello_interval = Native.Router.Ospfv3.Area.VirtualLink.HelloInterval()
                        self.hello_interval.parent = self
                        self.message_digest_key = YList()
                        self.message_digest_key.parent = self
                        self.message_digest_key.name = 'message_digest_key'
                        self.retransmit_interval = Native.Router.Ospfv3.Area.VirtualLink.RetransmitInterval()
                        self.retransmit_interval.parent = self
                        self.topology = Native.Router.Ospfv3.Area.VirtualLink.Topology()
                        self.topology.parent = self
                        self.transmit_delay = Native.Router.Ospfv3.Area.VirtualLink.TransmitDelay()
                        self.transmit_delay.parent = self
                        self.ttl_security = Native.Router.Ospfv3.Area.VirtualLink.TtlSecurity()
                        self.ttl_security.parent = self


                    class Authentication(object):
                        """
                        Set authentication type
                        
                        .. attribute:: authentication_key
                        
                        	Set authentication key
                        	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.AuthenticationKey>`
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain>`
                        
                        .. attribute:: message_digest
                        
                        	Message\-digest authentication
                        	**type**\:   :py:class:`MessageDigest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest>`
                        
                        .. attribute:: message_digest_key
                        
                        	Set message digest key
                        	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey>`
                        
                        .. attribute:: null
                        
                        	No authentication
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.authentication_key = Native.Router.Ospfv3.Area.VirtualLink.Authentication.AuthenticationKey()
                            self.authentication_key.parent = self
                            self.key_chain = Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain()
                            self.key_chain.parent = self
                            self.message_digest = Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest()
                            self.message_digest.parent = self
                            self.message_digest_key = YList()
                            self.message_digest_key.parent = self
                            self.message_digest_key.name = 'message_digest_key'
                            self.null = None


                        class AuthenticationKey(object):
                            """
                            Set authentication key
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.auth_key = None
                                self.auth_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication-key'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.auth_key is not None:
                                    return True

                                if self.auth_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.AuthenticationKey']['meta_info']


                        class MessageDigestKey(object):
                            """
                            Set message digest key
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: md5
                            
                            	Use MD5 algorithm
                            	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey.Md5>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.md5 = Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey.Md5()
                                self.md5.parent = self


                            class Md5(object):
                                """
                                Use MD5 algorithm
                                
                                .. attribute:: auth_key
                                
                                	
                                	**type**\:  str
                                
                                	**length:** 1..16
                                
                                .. attribute:: auth_type
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.auth_key = None
                                    self.auth_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.auth_key is not None:
                                        return True

                                    if self.auth_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey.Md5']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest-key[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.md5 is not None and self.md5._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey']['meta_info']


                        class KeyChain(object):
                            """
                            Use a key\-chain for cryptographic authentication keys
                            
                            .. attribute:: authentication_key
                            
                            	Set authentication key
                            	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey>`
                            
                            .. attribute:: message_digest_key
                            
                            	Set message digest key
                            	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication_key = Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey()
                                self.authentication_key.parent = self
                                self.message_digest_key = YList()
                                self.message_digest_key.parent = self
                                self.message_digest_key.name = 'message_digest_key'
                                self.name = None


                            class AuthenticationKey(object):
                                """
                                Set authentication key
                                
                                .. attribute:: auth_key
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: auth_type
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.auth_key = None
                                    self.auth_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication-key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.auth_key is not None:
                                        return True

                                    if self.auth_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey']['meta_info']


                            class MessageDigestKey(object):
                                """
                                Set message digest key
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: md5
                                
                                	Use MD5 algorithm
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.md5 = Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 algorithm
                                    
                                    .. attribute:: auth_key
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**length:** 1..16
                                    
                                    .. attribute:: auth_type
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..7
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.auth_key = None
                                        self.auth_type = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.auth_key is not None:
                                            return True

                                        if self.auth_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest-key[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-chain'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication_key is not None and self.authentication_key._has_data():
                                    return True

                                if self.message_digest_key is not None:
                                    for child_ref in self.message_digest_key:
                                        if child_ref._has_data():
                                            return True

                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain']['meta_info']


                        class MessageDigest(object):
                            """
                            Message\-digest authentication
                            
                            .. attribute:: authentication_key
                            
                            	Set authentication key
                            	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey>`
                            
                            .. attribute:: message_digest_key
                            
                            	Set message digest key
                            	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.authentication_key = Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey()
                                self.authentication_key.parent = self
                                self.message_digest_key = YList()
                                self.message_digest_key.parent = self
                                self.message_digest_key.name = 'message_digest_key'


                            class AuthenticationKey(object):
                                """
                                Set authentication key
                                
                                .. attribute:: auth_key
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: auth_type
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.auth_key = None
                                    self.auth_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication-key'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.auth_key is not None:
                                        return True

                                    if self.auth_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey']['meta_info']


                            class MessageDigestKey(object):
                                """
                                Set message digest key
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: md5
                                
                                	Use MD5 algorithm
                                	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.md5 = Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5()
                                    self.md5.parent = self


                                class Md5(object):
                                    """
                                    Use MD5 algorithm
                                    
                                    .. attribute:: auth_key
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**length:** 1..16
                                    
                                    .. attribute:: auth_type
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..7
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.auth_key = None
                                        self.auth_type = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.auth_key is not None:
                                            return True

                                        if self.auth_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest-key[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.md5 is not None and self.md5._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.authentication_key is not None and self.authentication_key._has_data():
                                    return True

                                if self.message_digest_key is not None:
                                    for child_ref in self.message_digest_key:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.authentication_key is not None and self.authentication_key._has_data():
                                return True

                            if self.key_chain is not None and self.key_chain._has_data():
                                return True

                            if self.message_digest is not None and self.message_digest._has_data():
                                return True

                            if self.message_digest_key is not None:
                                for child_ref in self.message_digest_key:
                                    if child_ref._has_data():
                                        return True

                            if self.null is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink.Authentication']['meta_info']


                    class HelloInterval(object):
                        """
                        Hello packet interval
                        
                        .. attribute:: hello_interval_value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..8192
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hello_interval_value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hello-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hello_interval_value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink.HelloInterval']['meta_info']


                    class DeadInterval(object):
                        """
                        Dead router detection time
                        
                        .. attribute:: dead_interval_value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..8192
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dead_interval_value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dead-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dead_interval_value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink.DeadInterval']['meta_info']


                    class RetransmitInterval(object):
                        """
                        LSA retransmit interval
                        
                        .. attribute:: retransmit_interval_value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..8192
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.retransmit_interval_value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:retransmit-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.retransmit_interval_value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink.RetransmitInterval']['meta_info']


                    class TransmitDelay(object):
                        """
                        LSA transmission delay
                        
                        .. attribute:: transmit_delay_value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..8192
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.transmit_delay_value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:transmit-delay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.transmit_delay_value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink.TransmitDelay']['meta_info']


                    class Topology(object):
                        """
                        Disable virtual link on topology
                        
                        .. attribute:: disable
                        
                        	Disable virtual link
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.disable = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:topology'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.disable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink.Topology']['meta_info']


                    class TtlSecurity(object):
                        """
                        TTL security check
                        
                        .. attribute:: hops
                        
                        	IP hops
                        	**type**\:  int
                        
                        	**range:** 1..254
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.hops = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ttl-security'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.hops is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink.TtlSecurity']['meta_info']


                    class AuthenticationKey(object):
                        """
                        Set authentication key
                        
                        .. attribute:: auth_key
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: auth_type
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.auth_key = None
                            self.auth_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication-key'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.auth_key is not None:
                                return True

                            if self.auth_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink.AuthenticationKey']['meta_info']


                    class MessageDigestKey(object):
                        """
                        Set message digest key
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: md5
                        
                        	Use MD5 algorithm
                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey.Md5>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.md5 = Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey.Md5()
                            self.md5.parent = self


                        class Md5(object):
                            """
                            Use MD5 algorithm
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\:  str
                            
                            	**length:** 1..16
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..7
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.auth_key = None
                                self.auth_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.auth_key is not None:
                                    return True

                                if self.auth_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey.Md5']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest-key[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.md5 is not None and self.md5._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:virtual-link[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.authentication_key is not None and self.authentication_key._has_data():
                            return True

                        if self.dead_interval is not None and self.dead_interval._has_data():
                            return True

                        if self.hello_interval is not None and self.hello_interval._has_data():
                            return True

                        if self.message_digest_key is not None:
                            for child_ref in self.message_digest_key:
                                if child_ref._has_data():
                                    return True

                        if self.retransmit_interval is not None and self.retransmit_interval._has_data():
                            return True

                        if self.topology is not None and self.topology._has_data():
                            return True

                        if self.transmit_delay is not None and self.transmit_delay._has_data():
                            return True

                        if self.ttl_security is not None and self.ttl_security._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.Area.VirtualLink']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.id is None:
                        raise YPYModelError('Key property id is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None:
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.capability is not None and self.capability._has_data():
                        return True

                    if self.default_cost is not None:
                        return True

                    if self.filter_list is not None:
                        for child_ref in self.filter_list:
                            if child_ref._has_data():
                                return True

                    if self.ipv4_range is not None and self.ipv4_range._has_data():
                        return True

                    if self.ipv6_range is not None and self.ipv6_range._has_data():
                        return True

                    if self.nssa is not None and self.nssa._has_data():
                        return True

                    if self.sham_link is not None:
                        for child_ref in self.sham_link:
                            if child_ref._has_data():
                                return True

                    if self.stub is not None and self.stub._has_data():
                        return True

                    if self.virtual_link is not None:
                        for child_ref in self.virtual_link:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospfv3.Area']['meta_info']


            class AutoCost(object):
                """
                Calculate OSPF interface cost according to bandwidth
                
                .. attribute:: reference_bandwidth
                
                	Use reference bandwidth method to assign OSPF cost
                	**type**\:  int
                
                	**range:** 1..4294967
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.reference_bandwidth = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:auto-cost'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.reference_bandwidth is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospfv3.AutoCost']['meta_info']


            class EventLog(object):
                """
                OSPF Event Logging
                
                .. attribute:: one_shot
                
                	Disable Logging When Log Buffer Becomes Full
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pause
                
                	Pause Event Logging
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: size
                
                	Maximum Number of Events Stored in the Event Log
                	**type**\:  int
                
                	**range:** 1..65534
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.one_shot = None
                    self.pause = None
                    self.size = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:event-log'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.one_shot is not None:
                        return True

                    if self.pause is not None:
                        return True

                    if self.size is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospfv3.EventLog']['meta_info']


            class Bfd(object):
                """
                BFD configuration commands
                
                .. attribute:: all_interfaces
                
                	Enable BFD on all interfaces
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.all_interfaces = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.all_interfaces is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospfv3.Bfd']['meta_info']


            class InterfaceId(object):
                """
                Source of the interface ID
                
                .. attribute:: snmp_if_index
                
                	SNMP MIB ifIndex
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.snmp_if_index = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:interface-id'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.snmp_if_index is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospfv3.InterfaceId']['meta_info']


            class LogAdjacencyChanges(object):
                """
                Log changes in adjacency state
                
                .. attribute:: detail
                
                	Log all state changes
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.detail = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:log-adjacency-changes'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.detail is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospfv3.LogAdjacencyChanges']['meta_info']


            class MaxLsa(object):
                """
                maximum number of LSAs OSPF process will receive
                
                .. attribute:: ignore_count
                
                	maximum number of times adjacencies can be suppressed
                	**type**\:  int
                
                	**range:** 1..65534
                
                .. attribute:: ignore_time
                
                	time during which all adjacencies are suppressed
                	**type**\:  int
                
                	**range:** 1..17895
                
                .. attribute:: number
                
                	
                	**type**\:  int
                
                	**range:** 1..4294967294
                
                .. attribute:: reset_time
                
                	time after which ignore\-count is reset to zero
                	**type**\:  int
                
                	**range:** 2..35791
                
                .. attribute:: threshold_value
                
                	
                	**type**\:  int
                
                	**range:** 1..100
                
                .. attribute:: warning_only
                
                	Only give warning message when limit is exceeded
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ignore_count = None
                    self.ignore_time = None
                    self.number = None
                    self.reset_time = None
                    self.threshold_value = None
                    self.warning_only = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:max-lsa'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ignore_count is not None:
                        return True

                    if self.ignore_time is not None:
                        return True

                    if self.number is not None:
                        return True

                    if self.reset_time is not None:
                        return True

                    if self.threshold_value is not None:
                        return True

                    if self.warning_only is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospfv3.MaxLsa']['meta_info']


            class MaxMetric(object):
                """
                Set maximum metric
                
                .. attribute:: router_lsa
                
                	Maximum metric in self\-originated router\-LSAs
                	**type**\:   :py:class:`RouterLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.MaxMetric.RouterLsa>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.router_lsa = None


                class RouterLsa(object):
                    """
                    Maximum metric in self\-originated router\-LSAs
                    
                    .. attribute:: external_lsa
                    
                    	Override external\-lsa metric with max\-metric value
                    	**type**\:   :py:class:`ExternalLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.MaxMetric.RouterLsa.ExternalLsa>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: include_stub
                    
                    	Set maximum metric for stub links in router\-LSAs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: on_startup
                    
                    	Set maximum metric temporarily after reboot
                    	**type**\:   :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.MaxMetric.RouterLsa.OnStartup>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: summary_lsa
                    
                    	Override summary\-lsa metric with max\-metric value
                    	**type**\:   :py:class:`SummaryLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.MaxMetric.RouterLsa.SummaryLsa>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.external_lsa = None
                        self.include_stub = None
                        self.on_startup = None
                        self.summary_lsa = None


                    class ExternalLsa(object):
                        """
                        Override external\-lsa metric with max\-metric value
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..16777215
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external-lsa'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.MaxMetric.RouterLsa.ExternalLsa']['meta_info']


                    class OnStartup(object):
                        """
                        Set maximum metric temporarily after reboot
                        
                        .. attribute:: time
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 5..86400
                        
                        .. attribute:: wait_for_bgp
                        
                        	Let BGP decide when to originate router\-LSA with normal metric
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.time = None
                            self.wait_for_bgp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:on-startup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.time is not None:
                                return True

                            if self.wait_for_bgp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.MaxMetric.RouterLsa.OnStartup']['meta_info']


                    class SummaryLsa(object):
                        """
                        Override summary\-lsa metric with max\-metric value
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..16777215
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.metric = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:summary-lsa'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.metric is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.MaxMetric.RouterLsa.SummaryLsa']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:router-lsa'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.external_lsa is not None and self.external_lsa._has_data():
                            return True

                        if self.include_stub is not None:
                            return True

                        if self.on_startup is not None and self.on_startup._has_data():
                            return True

                        if self.summary_lsa is not None and self.summary_lsa._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.MaxMetric.RouterLsa']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:max-metric'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.router_lsa is not None and self.router_lsa._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospfv3.MaxMetric']['meta_info']


            class PassiveInterface(object):
                """
                Suppress routing updates on an interface
                
                .. attribute:: default
                
                	Suppress routing updates on all interfaces
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: interface
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = None
                    self.interface = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:passive-interface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None:
                        return True

                    if self.interface is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospfv3.PassiveInterface']['meta_info']


            class Disable(object):
                """
                
                
                .. attribute:: passive_interface
                
                	
                	**type**\: list of    :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Disable.PassiveInterface>`
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.passive_interface = YList()
                    self.passive_interface.parent = self
                    self.passive_interface.name = 'passive_interface'


                class PassiveInterface(object):
                    """
                    
                    
                    .. attribute:: interface  <key>
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.interface is None:
                            raise YPYModelError('Key property interface is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:passive-interface[Cisco-IOS-XE-ospfv3:interface = ' + str(self.interface) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.Disable.PassiveInterface']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:disable'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.passive_interface is not None:
                        for child_ref in self.passive_interface:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospfv3.Disable']['meta_info']


            class QueueDepth(object):
                """
                OSPF Hello/Router process queue depth
                
                .. attribute:: hello
                
                	OSPF Hello process queue depth
                	**type**\:   :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.QueueDepth.Hello>`
                
                .. attribute:: update
                
                	OSPF Router process queue depth
                	**type**\:   :py:class:`Update <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.QueueDepth.Update>`
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.hello = Native.Router.Ospfv3.QueueDepth.Hello()
                    self.hello.parent = self
                    self.update = Native.Router.Ospfv3.QueueDepth.Update()
                    self.update.parent = self


                class Hello(object):
                    """
                    OSPF Hello process queue depth
                    
                    .. attribute:: options
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..2147483647
                    
                    
                    ----
                    	**type**\:   :py:class:`OptionsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.options = None

                    class OptionsEnum(Enum):
                        """
                        OptionsEnum

                        .. data:: unlimited = 0

                        """

                        unlimited = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.QueueDepth.Hello.OptionsEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hello'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.options is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.QueueDepth.Hello']['meta_info']


                class Update(object):
                    """
                    OSPF Router process queue depth
                    
                    .. attribute:: options
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..2147483647
                    
                    
                    ----
                    	**type**\:   :py:class:`OptionsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum>`
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.options = None

                    class OptionsEnum(Enum):
                        """
                        OptionsEnum

                        .. data:: unlimited = 0

                        """

                        unlimited = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.QueueDepth.Update.OptionsEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:update'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.options is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.QueueDepth.Update']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:queue-depth'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.hello is not None and self.hello._has_data():
                        return True

                    if self.update is not None and self.update._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospfv3.QueueDepth']['meta_info']


            class Timers(object):
                """
                Adjust routing timers
                
                .. attribute:: lsa
                
                	OSPF LSA timers
                	**type**\:   :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Timers.Lsa>`
                
                .. attribute:: pacing
                
                	OSPF pacing timers
                	**type**\:   :py:class:`Pacing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Timers.Pacing>`
                
                .. attribute:: throttle
                
                	OSPF throttle timers
                	**type**\:   :py:class:`Throttle <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Timers.Throttle>`
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.lsa = Native.Router.Ospfv3.Timers.Lsa()
                    self.lsa.parent = self
                    self.pacing = Native.Router.Ospfv3.Timers.Pacing()
                    self.pacing.parent = self
                    self.throttle = Native.Router.Ospfv3.Timers.Throttle()
                    self.throttle.parent = self


                class Lsa(object):
                    """
                    OSPF LSA timers
                    
                    .. attribute:: arrival
                    
                    	OSPF LSA arrival timer
                    	**type**\:  int
                    
                    	**range:** 0..600000
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.arrival = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lsa'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.arrival is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.Timers.Lsa']['meta_info']


                class Pacing(object):
                    """
                    OSPF pacing timers
                    
                    .. attribute:: flood
                    
                    	OSPF flood pacing timer
                    	**type**\:  int
                    
                    	**range:** 5..100
                    
                    .. attribute:: lsa_group
                    
                    	OSPF LSA group pacing timer
                    	**type**\:  int
                    
                    	**range:** 10..1800
                    
                    .. attribute:: retransmission
                    
                    	OSPF retransmission pacing timer
                    	**type**\:  int
                    
                    	**range:** 5..200
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.flood = None
                        self.lsa_group = None
                        self.retransmission = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:pacing'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.flood is not None:
                            return True

                        if self.lsa_group is not None:
                            return True

                        if self.retransmission is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.Timers.Pacing']['meta_info']


                class Throttle(object):
                    """
                    OSPF throttle timers
                    
                    .. attribute:: lsa
                    
                    	OSPF LSA throttle timers
                    	**type**\:   :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Timers.Throttle.Lsa>`
                    
                    .. attribute:: spf
                    
                    	OSPF SPF throttle timers
                    	**type**\:   :py:class:`Spf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Timers.Throttle.Spf>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.lsa = Native.Router.Ospfv3.Timers.Throttle.Lsa()
                        self.lsa.parent = self
                        self.spf = Native.Router.Ospfv3.Timers.Throttle.Spf()
                        self.spf.parent = self


                    class Lsa(object):
                        """
                        OSPF LSA throttle timers
                        
                        .. attribute:: all
                        
                        	For all type of OSPF LSAs
                        	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Timers.Throttle.Lsa.All>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = Native.Router.Ospfv3.Timers.Throttle.Lsa.All()
                            self.all.parent = self


                        class All(object):
                            """
                            For all type of OSPF LSAs
                            
                            .. attribute:: delay
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..600000
                            
                            .. attribute:: max_delay
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..600000
                            
                            .. attribute:: min_delay
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..600000
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.delay = None
                                self.max_delay = None
                                self.min_delay = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:all'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.delay is not None:
                                    return True

                                if self.max_delay is not None:
                                    return True

                                if self.min_delay is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.Timers.Throttle.Lsa.All']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lsa'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None and self.all._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.Timers.Throttle.Lsa']['meta_info']


                    class Spf(object):
                        """
                        OSPF SPF throttle timers
                        
                        .. attribute:: delay
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..600000
                        
                        .. attribute:: max_delay
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..600000
                        
                        .. attribute:: min_delay
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..600000
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.delay = None
                            self.max_delay = None
                            self.min_delay = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:spf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.delay is not None:
                                return True

                            if self.max_delay is not None:
                                return True

                            if self.min_delay is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.Timers.Throttle.Spf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throttle'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.lsa is not None and self.lsa._has_data():
                            return True

                        if self.spf is not None and self.spf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.Timers.Throttle']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:timers'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.lsa is not None and self.lsa._has_data():
                        return True

                    if self.pacing is not None and self.pacing._has_data():
                        return True

                    if self.throttle is not None and self.throttle._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospfv3.Timers']['meta_info']


            class TrafficShare(object):
                """
                How to compute traffic share over alternate paths
                
                .. attribute:: across_interfaces
                
                	Use different interfaces for equal\-cost paths
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: min
                
                	All traffic shared among min metric paths
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.across_interfaces = None
                    self.min = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:traffic-share'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.across_interfaces is not None:
                        return True

                    if self.min is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospfv3.TrafficShare']['meta_info']


            class TtlSecurity(object):
                """
                TTL security check
                
                .. attribute:: all_interfaces
                
                	Enable TTL Security on all interfaces
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hops
                
                	IP hops
                	**type**\:  int
                
                	**range:** 1..254
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.all_interfaces = None
                    self.hops = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ttl-security'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.all_interfaces is not None:
                        return True

                    if self.hops is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospfv3.TtlSecurity']['meta_info']


            class Authentication(object):
                """
                Authentication parameters
                
                .. attribute:: mode
                
                	Authentication operation mode
                	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Authentication.ModeEnum>`
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.mode = None

                class ModeEnum(Enum):
                    """
                    ModeEnum

                    Authentication operation mode

                    .. data:: deployment = 0

                    .. data:: strict = 1

                    """

                    deployment = 0

                    strict = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.Authentication.ModeEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.mode is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospfv3.Authentication']['meta_info']


            class GracefulRestart(object):
                """
                Graceful\-restart options
                
                .. attribute:: helper
                
                	helper support
                	**type**\:   :py:class:`Helper <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.GracefulRestart.Helper>`
                
                	**presence node**\: True
                
                .. attribute:: restart_interval
                
                	Graceful restart interval
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.helper = None
                    self.restart_interval = None


                class Helper(object):
                    """
                    helper support
                    
                    .. attribute:: disable
                    
                    	disable helper support
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: strict_lsa_checking
                    
                    	enable helper strict LSA checking
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None
                        self.strict_lsa_checking = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:helper'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        if self.strict_lsa_checking is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.GracefulRestart.Helper']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:graceful-restart'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.helper is not None and self.helper._has_data():
                        return True

                    if self.restart_interval is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospfv3.GracefulRestart']['meta_info']


            class Manet(object):
                """
                Specify MANET OSPF parameters
                
                .. attribute:: cache
                
                	Specify MANET cache sizes
                	**type**\:   :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Manet.Cache>`
                
                .. attribute:: hello
                
                	Unicast Hellos rather than multicast
                	**type**\:   :py:class:`HelloEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Manet.HelloEnum>`
                
                .. attribute:: peering
                
                	MANET OSPF Smart Peering
                	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Manet.Peering>`
                
                .. attribute:: willingness
                
                	Specify Relay willingness value
                	**type**\:  int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cache = Native.Router.Ospfv3.Manet.Cache()
                    self.cache.parent = self
                    self.hello = None
                    self.peering = Native.Router.Ospfv3.Manet.Peering()
                    self.peering.parent = self
                    self.willingness = None

                class HelloEnum(Enum):
                    """
                    HelloEnum

                    Unicast Hellos rather than multicast

                    .. data:: unicast = 0

                    """

                    unicast = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.Manet.HelloEnum']



                class Cache(object):
                    """
                    Specify MANET cache sizes
                    
                    .. attribute:: acknowledgement
                    
                    	Specify MANET acknowledgement cache size
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: update
                    
                    	Specify MANET LSA cache size
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acknowledgement = None
                        self.update = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cache'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acknowledgement is not None:
                            return True

                        if self.update is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.Manet.Cache']['meta_info']


                class Peering(object):
                    """
                    MANET OSPF Smart Peering
                    
                    .. attribute:: selective
                    
                    	Enable selective peering
                    	**type**\:   :py:class:`Selective <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Manet.Peering.Selective>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.selective = Native.Router.Ospfv3.Manet.Peering.Selective()
                        self.selective.parent = self


                    class Selective(object):
                        """
                        Enable selective peering
                        
                        .. attribute:: disable
                        
                        	Disable selective peering
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: per_interface
                        
                        	Select peers per interface rather than per node
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redundancy
                        
                        	Redundant paths
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.disable = None
                            self.per_interface = None
                            self.redundancy = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:selective'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.disable is not None:
                                return True

                            if self.per_interface is not None:
                                return True

                            if self.redundancy is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.Manet.Peering.Selective']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.selective is not None and self.selective._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.Manet.Peering']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cache is not None and self.cache._has_data():
                        return True

                    if self.hello is not None:
                        return True

                    if self.peering is not None and self.peering._has_data():
                        return True

                    if self.willingness is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospfv3.Manet']['meta_info']


            class AddressFamily(object):
                """
                Enter Address Family command mode
                
                .. attribute:: ipv4
                
                	IPv4 Address family
                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4>`
                
                .. attribute:: ipv6
                
                	IPv6 Address family
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6>`
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipv4 = Native.Router.Ospfv3.AddressFamily.Ipv4()
                    self.ipv4.parent = self
                    self.ipv6 = Native.Router.Ospfv3.AddressFamily.Ipv6()
                    self.ipv6.parent = self


                class Ipv4(object):
                    """
                    IPv4 Address family
                    
                    .. attribute:: unicast
                    
                    	Address Family Modifier
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: vrf
                    
                    	Specify parameters for a VPN Routing/Forwarding instance
                    	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.unicast = None
                        self.vrf = YList()
                        self.vrf.parent = self
                        self.vrf.name = 'vrf'


                    class Unicast(object):
                        """
                        Address Family Modifier
                        
                        .. attribute:: area
                        
                        	OSPF area parameters
                        	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area>`
                        
                        .. attribute:: authentication
                        
                        	Authentication parameters
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Authentication>`
                        
                        .. attribute:: auto_cost
                        
                        	Calculate OSPF interface cost according to bandwidth
                        	**type**\:   :py:class:`AutoCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.AutoCost>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: bfd
                        
                        	BFD configuration commands
                        	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Bfd>`
                        
                        .. attribute:: capability
                        
                        	Enable specific OSPF feature
                        	**type**\:   :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Capability>`
                        
                        .. attribute:: compatible
                        
                        	OSPF compatibility list
                        	**type**\:   :py:class:`Compatible <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Compatible>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\:   :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable>`
                        
                        .. attribute:: discard_route
                        
                        	Enable or disable discard\-route installation
                        	**type**\:   :py:class:`DiscardRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DiscardRoute>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance>`
                        
                        .. attribute:: event_log
                        
                        	OSPF Event Logging
                        	**type**\:   :py:class:`EventLog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.EventLog>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: graceful_restart
                        
                        	Graceful\-restart options
                        	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.GracefulRestart>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: interface_id
                        
                        	Source of the interface ID
                        	**type**\:   :py:class:`InterfaceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.InterfaceId>`
                        
                        .. attribute:: log_adjacency_changes
                        
                        	Log changes in adjacency state
                        	**type**\:   :py:class:`LogAdjacencyChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.LogAdjacencyChanges>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF parameters
                        	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet>`
                        
                        .. attribute:: max_lsa
                        
                        	maximum number of LSAs OSPF process will receive
                        	**type**\:   :py:class:`MaxLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxLsa>`
                        
                        .. attribute:: max_metric
                        
                        	Set maximum metric
                        	**type**\:   :py:class:`MaxMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:  int
                        
                        	**range:** 1..32
                        
                        .. attribute:: nsr
                        
                        	Enable non\-stop routing
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: passive_interface
                        
                        	Suppress routing updates on an interface
                        	**type**\:   :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.PassiveInterface>`
                        
                        .. attribute:: queue_depth
                        
                        	OSPF Hello/Router process queue depth
                        	**type**\:   :py:class:`QueueDepth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute>`
                        
                        .. attribute:: router_id
                        
                        	Override configured router identifier (peers will reset)
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: summary_prefix
                        
                        	
                        	**type**\: list of    :py:class:`SummaryPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.SummaryPrefix>`
                        
                        .. attribute:: timers
                        
                        	Adjust routing timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers>`
                        
                        .. attribute:: traffic_share
                        
                        	How to compute traffic share over alternate paths
                        	**type**\:   :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TrafficShare>`
                        
                        .. attribute:: ttl_security
                        
                        	TTL security check
                        	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TtlSecurity>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.area = YList()
                            self.area.parent = self
                            self.area.name = 'area'
                            self.authentication = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Authentication()
                            self.authentication.parent = self
                            self.auto_cost = None
                            self.bfd = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Bfd()
                            self.bfd.parent = self
                            self.capability = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Capability()
                            self.capability.parent = self
                            self.compatible = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Compatible()
                            self.compatible.parent = self
                            self.default_information = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation()
                            self.default_information.parent = self
                            self.default_metric = None
                            self.disable = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable()
                            self.disable.parent = self
                            self.discard_route = None
                            self.distance = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance()
                            self.distance.parent = self
                            self.event_log = None
                            self.graceful_restart = None
                            self.interface_id = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.InterfaceId()
                            self.interface_id.parent = self
                            self.log_adjacency_changes = None
                            self.manet = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet()
                            self.manet.parent = self
                            self.max_lsa = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxLsa()
                            self.max_lsa.parent = self
                            self.max_metric = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric()
                            self.max_metric.parent = self
                            self.maximum_paths = None
                            self.nsr = None
                            self.passive_interface = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.PassiveInterface()
                            self.passive_interface.parent = self
                            self.queue_depth = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth()
                            self.queue_depth.parent = self
                            self.redistribute = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute()
                            self.redistribute.parent = self
                            self.router_id = None
                            self.summary_prefix = YList()
                            self.summary_prefix.parent = self
                            self.summary_prefix.name = 'summary_prefix'
                            self.timers = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers()
                            self.timers.parent = self
                            self.traffic_share = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TrafficShare()
                            self.traffic_share.parent = self
                            self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TtlSecurity()
                            self.ttl_security.parent = self


                        class Area(object):
                            """
                            OSPF area parameters
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: authentication
                            
                            	Enable authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Authentication>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Enable area specific capability
                            	**type**\:   :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Capability>`
                            
                            .. attribute:: default_cost
                            
                            	Set the summary default\-cost of a NSSA/stub area
                            	**type**\:  int
                            
                            	**range:** 0..16777215
                            
                            .. attribute:: filter_list
                            
                            	Filter networks between OSPF areas
                            	**type**\: list of    :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.FilterList>`
                            
                            .. attribute:: ipv4_range
                            
                            	
                            	**type**\:   :py:class:`Ipv4Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range>`
                            
                            .. attribute:: ipv6_range
                            
                            	
                            	**type**\:   :py:class:`Ipv6Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range>`
                            
                            .. attribute:: nssa
                            
                            	Specify a NSSA area
                            	**type**\:   :py:class:`Nssa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: sham_link
                            
                            	Define a sham link and its parameters
                            	**type**\: list of    :py:class:`ShamLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink>`
                            
                            .. attribute:: stub
                            
                            	Specify a stub area
                            	**type**\:   :py:class:`Stub <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Stub>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: virtual_link
                            
                            	Define a virtual link and its parameters
                            	**type**\: list of    :py:class:`VirtualLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.authentication = None
                                self.capability = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Capability()
                                self.capability.parent = self
                                self.default_cost = None
                                self.filter_list = YList()
                                self.filter_list.parent = self
                                self.filter_list.name = 'filter_list'
                                self.ipv4_range = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range()
                                self.ipv4_range.parent = self
                                self.ipv6_range = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range()
                                self.ipv6_range.parent = self
                                self.nssa = None
                                self.sham_link = YList()
                                self.sham_link.parent = self
                                self.sham_link.name = 'sham_link'
                                self.stub = None
                                self.virtual_link = YList()
                                self.virtual_link.parent = self
                                self.virtual_link.name = 'virtual_link'


                            class Authentication(object):
                                """
                                Enable authentication
                                
                                .. attribute:: message_digest
                                
                                	Use message\-digest authentication
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.message_digest = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.message_digest is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Authentication']['meta_info']


                            class Capability(object):
                                """
                                Enable area specific capability
                                
                                .. attribute:: default_exclusion
                                
                                	Enable exclusion of links from base topology
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default_exclusion = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:capability'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default_exclusion is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Capability']['meta_info']


                            class FilterList(object):
                                """
                                Filter networks between OSPF areas
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:   :py:class:`InOutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.FilterList.InOutEnum>`
                                
                                .. attribute:: prefix
                                
                                	Filter prefixes between OSPF areas
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_out = None
                                    self.prefix = None

                                class InOutEnum(Enum):
                                    """
                                    InOutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.FilterList.InOutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.in_out is None:
                                        raise YPYModelError('Key property in_out is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:filter-list[Cisco-IOS-XE-ospfv3:in-out = ' + str(self.in_out) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_out is not None:
                                        return True

                                    if self.prefix is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.FilterList']['meta_info']


                            class Nssa(object):
                                """
                                Specify a NSSA area
                                
                                .. attribute:: default_information_originate
                                
                                	Originate Type 7 default into NSSA area
                                	**type**\:   :py:class:`DefaultInformationOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_ext_capability
                                
                                	Do not send domain specific capabilities into NSSA
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_redistribution
                                
                                	No redistribution into this NSSA area
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_summary
                                
                                	Do not send summary LSA into NSSA
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit default advertisement to this NSSA area
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: translate
                                
                                	Translate LSA
                                	**type**\:   :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.default_information_originate = None
                                    self.no_ext_capability = None
                                    self.no_redistribution = None
                                    self.no_summary = None
                                    self.nssa_only = None
                                    self.translate = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate()
                                    self.translate.parent = self


                                class DefaultInformationOriginate(object):
                                    """
                                    Originate Type 7 default into NSSA area
                                    
                                    .. attribute:: metric
                                    
                                    	OSPF default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..16777214
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF metric type for default routes
                                    	**type**\:  int
                                    
                                    	**range:** 1..2
                                    
                                    .. attribute:: no_ext_capability
                                    
                                    	Do not send domain specific capabilities into NSSA
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: no_redistribution
                                    
                                    	No redistribution into this NSSA area
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: no_summary
                                    
                                    	Do not send summary LSA into NSSA
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit default advertisement to this NSSA area
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: translate
                                    
                                    	Translate LSA
                                    	**type**\:   :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.metric_type = None
                                        self.no_ext_capability = None
                                        self.no_redistribution = None
                                        self.no_summary = None
                                        self.nssa_only = None
                                        self.translate = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate()
                                        self.translate.parent = self


                                    class Translate(object):
                                        """
                                        Translate LSA
                                        
                                        .. attribute:: type7
                                        
                                        	From Type 7 to Type 5
                                        	**type**\:   :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.type7 = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7()
                                            self.type7.parent = self


                                        class Type7(object):
                                            """
                                            From Type 7 to Type 5
                                            
                                            .. attribute:: always
                                            
                                            	Always translate LSAs on this ABR
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: suppress_fa
                                            
                                            	Suppress forwarding address in translated LSAs
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.always = None
                                                self.suppress_fa = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:type7'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.always is not None:
                                                    return True

                                                if self.suppress_fa is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:translate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.type7 is not None and self.type7._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:default-information-originate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.no_ext_capability is not None:
                                            return True

                                        if self.no_redistribution is not None:
                                            return True

                                        if self.no_summary is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.translate is not None and self.translate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate']['meta_info']


                                class Translate(object):
                                    """
                                    Translate LSA
                                    
                                    .. attribute:: type7
                                    
                                    	From Type 7 to Type 5
                                    	**type**\:   :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate.Type7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.type7 = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate.Type7()
                                        self.type7.parent = self


                                    class Type7(object):
                                        """
                                        From Type 7 to Type 5
                                        
                                        .. attribute:: always
                                        
                                        	Always translate LSAs on this ABR
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: suppress_fa
                                        
                                        	Suppress forwarding address in translated LSAs
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.always = None
                                            self.suppress_fa = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:type7'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.always is not None:
                                                return True

                                            if self.suppress_fa is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate.Type7']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:translate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.type7 is not None and self.type7._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.default_information_originate is not None and self.default_information_originate._has_data():
                                        return True

                                    if self.no_ext_capability is not None:
                                        return True

                                    if self.no_redistribution is not None:
                                        return True

                                    if self.no_summary is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.translate is not None and self.translate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa']['meta_info']


                            class Ipv4Range(object):
                                """
                                
                                
                                .. attribute:: range
                                
                                	Summarize routes matching address/mask (border routers only)
                                	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range.Range>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.range = YList()
                                    self.range.parent = self
                                    self.range.name = 'range'


                                class Range(object):
                                    """
                                    Summarize routes matching address/mask (border routers only)
                                    
                                    .. attribute:: ip  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: mask  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise this range (default)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: cost
                                    
                                    	User specified metric for this range
                                    	**type**\:  int
                                    
                                    	**range:** 0..16777215
                                    
                                    .. attribute:: not_advertise
                                    
                                    	DoNotAdvertise this range
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip = None
                                        self.mask = None
                                        self.advertise = None
                                        self.cost = None
                                        self.not_advertise = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip is None:
                                            raise YPYModelError('Key property ip is None')
                                        if self.mask is None:
                                            raise YPYModelError('Key property mask is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:range[Cisco-IOS-XE-ospfv3:ip = ' + str(self.ip) + '][Cisco-IOS-XE-ospfv3:mask = ' + str(self.mask) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip is not None:
                                            return True

                                        if self.mask is not None:
                                            return True

                                        if self.advertise is not None:
                                            return True

                                        if self.cost is not None:
                                            return True

                                        if self.not_advertise is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range.Range']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv4-range'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.range is not None:
                                        for child_ref in self.range:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range']['meta_info']


                            class Ipv6Range(object):
                                """
                                
                                
                                .. attribute:: range
                                
                                	Summarize routes matching address/mask (border routers only)
                                	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range.Range>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.range = YList()
                                    self.range.parent = self
                                    self.range.name = 'range'


                                class Range(object):
                                    """
                                    Summarize routes matching address/mask (border routers only)
                                    
                                    .. attribute:: ip  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise this range (default)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: cost
                                    
                                    	User specified metric for this range
                                    	**type**\:  int
                                    
                                    	**range:** 0..16777215
                                    
                                    .. attribute:: not_advertise
                                    
                                    	DoNotAdvertise this range
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip = None
                                        self.advertise = None
                                        self.cost = None
                                        self.not_advertise = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip is None:
                                            raise YPYModelError('Key property ip is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:range[Cisco-IOS-XE-ospfv3:ip = ' + str(self.ip) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip is not None:
                                            return True

                                        if self.advertise is not None:
                                            return True

                                        if self.cost is not None:
                                            return True

                                        if self.not_advertise is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range.Range']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv6-range'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.range is not None:
                                        for child_ref in self.range:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range']['meta_info']


                            class ShamLink(object):
                                """
                                Define a sham link and its parameters
                                
                                .. attribute:: source  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: dest  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: cost
                                
                                	Associate a cost with the sham\-link
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: ttl_security
                                
                                	TTL security check
                                	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink.TtlSecurity>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = None
                                    self.dest = None
                                    self.cost = None
                                    self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink.TtlSecurity()
                                    self.ttl_security.parent = self


                                class TtlSecurity(object):
                                    """
                                    TTL security check
                                    
                                    .. attribute:: hops
                                    
                                    	IP hops
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hops = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ttl-security'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hops is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink.TtlSecurity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.source is None:
                                        raise YPYModelError('Key property source is None')
                                    if self.dest is None:
                                        raise YPYModelError('Key property dest is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:sham-link[Cisco-IOS-XE-ospfv3:source = ' + str(self.source) + '][Cisco-IOS-XE-ospfv3:dest = ' + str(self.dest) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None:
                                        return True

                                    if self.dest is not None:
                                        return True

                                    if self.cost is not None:
                                        return True

                                    if self.ttl_security is not None and self.ttl_security._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink']['meta_info']


                            class Stub(object):
                                """
                                Specify a stub area
                                
                                .. attribute:: no_ext_capability
                                
                                	Do not send domain specific capabilities into stub area
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_summary
                                
                                	Do not send summary LSA into stub area
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.no_ext_capability = None
                                    self.no_summary = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:stub'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.no_ext_capability is not None:
                                        return True

                                    if self.no_summary is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Stub']['meta_info']


                            class VirtualLink(object):
                                """
                                Define a virtual link and its parameters
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: authentication
                                
                                	Set authentication type
                                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication>`
                                
                                .. attribute:: authentication_key
                                
                                	Set authentication key
                                	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.AuthenticationKey>`
                                
                                .. attribute:: dead_interval
                                
                                	Dead router detection time
                                	**type**\:   :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.DeadInterval>`
                                
                                .. attribute:: hello_interval
                                
                                	Hello packet interval
                                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.HelloInterval>`
                                
                                .. attribute:: message_digest_key
                                
                                	Set message digest key
                                	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey>`
                                
                                .. attribute:: retransmit_interval
                                
                                	LSA retransmit interval
                                	**type**\:   :py:class:`RetransmitInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.RetransmitInterval>`
                                
                                .. attribute:: topology
                                
                                	Disable virtual link on topology
                                	**type**\:   :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Topology>`
                                
                                .. attribute:: transmit_delay
                                
                                	LSA transmission delay
                                	**type**\:   :py:class:`TransmitDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TransmitDelay>`
                                
                                .. attribute:: ttl_security
                                
                                	TTL security check
                                	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TtlSecurity>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.authentication = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication()
                                    self.authentication.parent = self
                                    self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.AuthenticationKey()
                                    self.authentication_key.parent = self
                                    self.dead_interval = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.DeadInterval()
                                    self.dead_interval.parent = self
                                    self.hello_interval = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.HelloInterval()
                                    self.hello_interval.parent = self
                                    self.message_digest_key = YList()
                                    self.message_digest_key.parent = self
                                    self.message_digest_key.name = 'message_digest_key'
                                    self.retransmit_interval = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.RetransmitInterval()
                                    self.retransmit_interval.parent = self
                                    self.topology = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Topology()
                                    self.topology.parent = self
                                    self.transmit_delay = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TransmitDelay()
                                    self.transmit_delay.parent = self
                                    self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TtlSecurity()
                                    self.ttl_security.parent = self


                                class Authentication(object):
                                    """
                                    Set authentication type
                                    
                                    .. attribute:: authentication_key
                                    
                                    	Set authentication key
                                    	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.AuthenticationKey>`
                                    
                                    .. attribute:: key_chain
                                    
                                    	Use a key\-chain for cryptographic authentication keys
                                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain>`
                                    
                                    .. attribute:: message_digest
                                    
                                    	Message\-digest authentication
                                    	**type**\:   :py:class:`MessageDigest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest>`
                                    
                                    .. attribute:: message_digest_key
                                    
                                    	Set message digest key
                                    	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey>`
                                    
                                    .. attribute:: null
                                    
                                    	No authentication
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.AuthenticationKey()
                                        self.authentication_key.parent = self
                                        self.key_chain = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain()
                                        self.key_chain.parent = self
                                        self.message_digest = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest()
                                        self.message_digest.parent = self
                                        self.message_digest_key = YList()
                                        self.message_digest_key.parent = self
                                        self.message_digest_key.name = 'message_digest_key'
                                        self.null = None


                                    class AuthenticationKey(object):
                                        """
                                        Set authentication key
                                        
                                        .. attribute:: auth_key
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: auth_type
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.auth_key = None
                                            self.auth_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication-key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.auth_key is not None:
                                                return True

                                            if self.auth_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.AuthenticationKey']['meta_info']


                                    class MessageDigestKey(object):
                                        """
                                        Set message digest key
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: md5
                                        
                                        	Use MD5 algorithm
                                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5()
                                            self.md5.parent = self


                                        class Md5(object):
                                            """
                                            Use MD5 algorithm
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**length:** 1..16
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.auth_key = None
                                                self.auth_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.auth_key is not None:
                                                    return True

                                                if self.auth_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest-key[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.md5 is not None and self.md5._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey']['meta_info']


                                    class KeyChain(object):
                                        """
                                        Use a key\-chain for cryptographic authentication keys
                                        
                                        .. attribute:: authentication_key
                                        
                                        	Set authentication key
                                        	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey>`
                                        
                                        .. attribute:: message_digest_key
                                        
                                        	Set message digest key
                                        	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey>`
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey()
                                            self.authentication_key.parent = self
                                            self.message_digest_key = YList()
                                            self.message_digest_key.parent = self
                                            self.message_digest_key.name = 'message_digest_key'
                                            self.name = None


                                        class AuthenticationKey(object):
                                            """
                                            Set authentication key
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.auth_key = None
                                                self.auth_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication-key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.auth_key is not None:
                                                    return True

                                                if self.auth_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey']['meta_info']


                                        class MessageDigestKey(object):
                                            """
                                            Set message digest key
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: md5
                                            
                                            	Use MD5 algorithm
                                            	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5()
                                                self.md5.parent = self


                                            class Md5(object):
                                                """
                                                Use MD5 algorithm
                                                
                                                .. attribute:: auth_key
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**length:** 1..16
                                                
                                                .. attribute:: auth_type
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.auth_key = None
                                                    self.auth_type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.auth_key is not None:
                                                        return True

                                                    if self.auth_type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest-key[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.md5 is not None and self.md5._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-chain'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.authentication_key is not None and self.authentication_key._has_data():
                                                return True

                                            if self.message_digest_key is not None:
                                                for child_ref in self.message_digest_key:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.name is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain']['meta_info']


                                    class MessageDigest(object):
                                        """
                                        Message\-digest authentication
                                        
                                        .. attribute:: authentication_key
                                        
                                        	Set authentication key
                                        	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey>`
                                        
                                        .. attribute:: message_digest_key
                                        
                                        	Set message digest key
                                        	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey()
                                            self.authentication_key.parent = self
                                            self.message_digest_key = YList()
                                            self.message_digest_key.parent = self
                                            self.message_digest_key.name = 'message_digest_key'


                                        class AuthenticationKey(object):
                                            """
                                            Set authentication key
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.auth_key = None
                                                self.auth_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication-key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.auth_key is not None:
                                                    return True

                                                if self.auth_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey']['meta_info']


                                        class MessageDigestKey(object):
                                            """
                                            Set message digest key
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: md5
                                            
                                            	Use MD5 algorithm
                                            	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5()
                                                self.md5.parent = self


                                            class Md5(object):
                                                """
                                                Use MD5 algorithm
                                                
                                                .. attribute:: auth_key
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**length:** 1..16
                                                
                                                .. attribute:: auth_type
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.auth_key = None
                                                    self.auth_type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.auth_key is not None:
                                                        return True

                                                    if self.auth_type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest-key[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.md5 is not None and self.md5._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.authentication_key is not None and self.authentication_key._has_data():
                                                return True

                                            if self.message_digest_key is not None:
                                                for child_ref in self.message_digest_key:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.authentication_key is not None and self.authentication_key._has_data():
                                            return True

                                        if self.key_chain is not None and self.key_chain._has_data():
                                            return True

                                        if self.message_digest is not None and self.message_digest._has_data():
                                            return True

                                        if self.message_digest_key is not None:
                                            for child_ref in self.message_digest_key:
                                                if child_ref._has_data():
                                                    return True

                                        if self.null is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication']['meta_info']


                                class HelloInterval(object):
                                    """
                                    Hello packet interval
                                    
                                    .. attribute:: hello_interval_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hello_interval_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hello-interval'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hello_interval_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.HelloInterval']['meta_info']


                                class DeadInterval(object):
                                    """
                                    Dead router detection time
                                    
                                    .. attribute:: dead_interval_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dead_interval_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dead-interval'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dead_interval_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.DeadInterval']['meta_info']


                                class RetransmitInterval(object):
                                    """
                                    LSA retransmit interval
                                    
                                    .. attribute:: retransmit_interval_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.retransmit_interval_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:retransmit-interval'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.retransmit_interval_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.RetransmitInterval']['meta_info']


                                class TransmitDelay(object):
                                    """
                                    LSA transmission delay
                                    
                                    .. attribute:: transmit_delay_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.transmit_delay_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:transmit-delay'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.transmit_delay_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TransmitDelay']['meta_info']


                                class Topology(object):
                                    """
                                    Disable virtual link on topology
                                    
                                    .. attribute:: disable
                                    
                                    	Disable virtual link
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:topology'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Topology']['meta_info']


                                class TtlSecurity(object):
                                    """
                                    TTL security check
                                    
                                    .. attribute:: hops
                                    
                                    	IP hops
                                    	**type**\:  int
                                    
                                    	**range:** 1..254
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hops = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ttl-security'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hops is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TtlSecurity']['meta_info']


                                class AuthenticationKey(object):
                                    """
                                    Set authentication key
                                    
                                    .. attribute:: auth_key
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: auth_type
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..7
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.auth_key = None
                                        self.auth_type = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication-key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.auth_key is not None:
                                            return True

                                        if self.auth_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.AuthenticationKey']['meta_info']


                                class MessageDigestKey(object):
                                    """
                                    Set message digest key
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: md5
                                    
                                    	Use MD5 algorithm
                                    	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey.Md5>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey.Md5()
                                        self.md5.parent = self


                                    class Md5(object):
                                        """
                                        Use MD5 algorithm
                                        
                                        .. attribute:: auth_key
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**length:** 1..16
                                        
                                        .. attribute:: auth_type
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.auth_key = None
                                            self.auth_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.auth_key is not None:
                                                return True

                                            if self.auth_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey.Md5']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest-key[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.md5 is not None and self.md5._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:virtual-link[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.authentication is not None and self.authentication._has_data():
                                        return True

                                    if self.authentication_key is not None and self.authentication_key._has_data():
                                        return True

                                    if self.dead_interval is not None and self.dead_interval._has_data():
                                        return True

                                    if self.hello_interval is not None and self.hello_interval._has_data():
                                        return True

                                    if self.message_digest_key is not None:
                                        for child_ref in self.message_digest_key:
                                            if child_ref._has_data():
                                                return True

                                    if self.retransmit_interval is not None and self.retransmit_interval._has_data():
                                        return True

                                    if self.topology is not None and self.topology._has_data():
                                        return True

                                    if self.transmit_delay is not None and self.transmit_delay._has_data():
                                        return True

                                    if self.ttl_security is not None and self.ttl_security._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                if self.capability is not None and self.capability._has_data():
                                    return True

                                if self.default_cost is not None:
                                    return True

                                if self.filter_list is not None:
                                    for child_ref in self.filter_list:
                                        if child_ref._has_data():
                                            return True

                                if self.ipv4_range is not None and self.ipv4_range._has_data():
                                    return True

                                if self.ipv6_range is not None and self.ipv6_range._has_data():
                                    return True

                                if self.nssa is not None and self.nssa._has_data():
                                    return True

                                if self.sham_link is not None:
                                    for child_ref in self.sham_link:
                                        if child_ref._has_data():
                                            return True

                                if self.stub is not None and self.stub._has_data():
                                    return True

                                if self.virtual_link is not None:
                                    for child_ref in self.virtual_link:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area']['meta_info']


                        class AutoCost(object):
                            """
                            Calculate OSPF interface cost according to bandwidth
                            
                            .. attribute:: reference_bandwidth
                            
                            	Use reference bandwidth method to assign OSPF cost
                            	**type**\:  int
                            
                            	**range:** 1..4294967
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.reference_bandwidth = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:auto-cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.reference_bandwidth is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.AutoCost']['meta_info']


                        class EventLog(object):
                            """
                            OSPF Event Logging
                            
                            .. attribute:: one_shot
                            
                            	Disable Logging When Log Buffer Becomes Full
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: pause
                            
                            	Pause Event Logging
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: size
                            
                            	Maximum Number of Events Stored in the Event Log
                            	**type**\:  int
                            
                            	**range:** 1..65534
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.one_shot = None
                                self.pause = None
                                self.size = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:event-log'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.one_shot is not None:
                                    return True

                                if self.pause is not None:
                                    return True

                                if self.size is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.EventLog']['meta_info']


                        class Bfd(object):
                            """
                            BFD configuration commands
                            
                            .. attribute:: all_interfaces
                            
                            	Enable BFD on all interfaces
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all_interfaces = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all_interfaces is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Bfd']['meta_info']


                        class InterfaceId(object):
                            """
                            Source of the interface ID
                            
                            .. attribute:: snmp_if_index
                            
                            	SNMP MIB ifIndex
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.snmp_if_index = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:interface-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.snmp_if_index is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.InterfaceId']['meta_info']


                        class LogAdjacencyChanges(object):
                            """
                            Log changes in adjacency state
                            
                            .. attribute:: detail
                            
                            	Log all state changes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.detail = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:log-adjacency-changes'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.detail is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.LogAdjacencyChanges']['meta_info']


                        class MaxLsa(object):
                            """
                            maximum number of LSAs OSPF process will receive
                            
                            .. attribute:: ignore_count
                            
                            	maximum number of times adjacencies can be suppressed
                            	**type**\:  int
                            
                            	**range:** 1..65534
                            
                            .. attribute:: ignore_time
                            
                            	time during which all adjacencies are suppressed
                            	**type**\:  int
                            
                            	**range:** 1..17895
                            
                            .. attribute:: number
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967294
                            
                            .. attribute:: reset_time
                            
                            	time after which ignore\-count is reset to zero
                            	**type**\:  int
                            
                            	**range:** 2..35791
                            
                            .. attribute:: threshold_value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: warning_only
                            
                            	Only give warning message when limit is exceeded
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ignore_count = None
                                self.ignore_time = None
                                self.number = None
                                self.reset_time = None
                                self.threshold_value = None
                                self.warning_only = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:max-lsa'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ignore_count is not None:
                                    return True

                                if self.ignore_time is not None:
                                    return True

                                if self.number is not None:
                                    return True

                                if self.reset_time is not None:
                                    return True

                                if self.threshold_value is not None:
                                    return True

                                if self.warning_only is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxLsa']['meta_info']


                        class MaxMetric(object):
                            """
                            Set maximum metric
                            
                            .. attribute:: router_lsa
                            
                            	Maximum metric in self\-originated router\-LSAs
                            	**type**\:   :py:class:`RouterLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.router_lsa = None


                            class RouterLsa(object):
                                """
                                Maximum metric in self\-originated router\-LSAs
                                
                                .. attribute:: external_lsa
                                
                                	Override external\-lsa metric with max\-metric value
                                	**type**\:   :py:class:`ExternalLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.ExternalLsa>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: include_stub
                                
                                	Set maximum metric for stub links in router\-LSAs
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: on_startup
                                
                                	Set maximum metric temporarily after reboot
                                	**type**\:   :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.OnStartup>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: summary_lsa
                                
                                	Override summary\-lsa metric with max\-metric value
                                	**type**\:   :py:class:`SummaryLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.SummaryLsa>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.external_lsa = None
                                    self.include_stub = None
                                    self.on_startup = None
                                    self.summary_lsa = None


                                class ExternalLsa(object):
                                    """
                                    Override external\-lsa metric with max\-metric value
                                    
                                    .. attribute:: metric
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..16777215
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external-lsa'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.ExternalLsa']['meta_info']


                                class OnStartup(object):
                                    """
                                    Set maximum metric temporarily after reboot
                                    
                                    .. attribute:: time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 5..86400
                                    
                                    .. attribute:: wait_for_bgp
                                    
                                    	Let BGP decide when to originate router\-LSA with normal metric
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.time = None
                                        self.wait_for_bgp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:on-startup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.time is not None:
                                            return True

                                        if self.wait_for_bgp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.OnStartup']['meta_info']


                                class SummaryLsa(object):
                                    """
                                    Override summary\-lsa metric with max\-metric value
                                    
                                    .. attribute:: metric
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..16777215
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:summary-lsa'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.SummaryLsa']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:router-lsa'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.external_lsa is not None and self.external_lsa._has_data():
                                        return True

                                    if self.include_stub is not None:
                                        return True

                                    if self.on_startup is not None and self.on_startup._has_data():
                                        return True

                                    if self.summary_lsa is not None and self.summary_lsa._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:max-metric'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.router_lsa is not None and self.router_lsa._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric']['meta_info']


                        class PassiveInterface(object):
                            """
                            Suppress routing updates on an interface
                            
                            .. attribute:: default
                            
                            	Suppress routing updates on all interfaces
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: interface
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.default = None
                                self.interface = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:passive-interface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.default is not None:
                                    return True

                                if self.interface is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.PassiveInterface']['meta_info']


                        class Disable(object):
                            """
                            
                            
                            .. attribute:: passive_interface
                            
                            	
                            	**type**\: list of    :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable.PassiveInterface>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.passive_interface = YList()
                                self.passive_interface.parent = self
                                self.passive_interface.name = 'passive_interface'


                            class PassiveInterface(object):
                                """
                                
                                
                                .. attribute:: interface  <key>
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.interface is None:
                                        raise YPYModelError('Key property interface is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:passive-interface[Cisco-IOS-XE-ospfv3:interface = ' + str(self.interface) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable.PassiveInterface']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:disable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.passive_interface is not None:
                                    for child_ref in self.passive_interface:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable']['meta_info']


                        class QueueDepth(object):
                            """
                            OSPF Hello/Router process queue depth
                            
                            .. attribute:: hello
                            
                            	OSPF Hello process queue depth
                            	**type**\:   :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Hello>`
                            
                            .. attribute:: update
                            
                            	OSPF Router process queue depth
                            	**type**\:   :py:class:`Update <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Update>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hello = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Hello()
                                self.hello.parent = self
                                self.update = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Update()
                                self.update.parent = self


                            class Hello(object):
                                """
                                OSPF Hello process queue depth
                                
                                .. attribute:: options
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..2147483647
                                
                                
                                ----
                                	**type**\:   :py:class:`OptionsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum>`
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.options = None

                                class OptionsEnum(Enum):
                                    """
                                    OptionsEnum

                                    .. data:: unlimited = 0

                                    """

                                    unlimited = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Hello.OptionsEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hello'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.options is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Hello']['meta_info']


                            class Update(object):
                                """
                                OSPF Router process queue depth
                                
                                .. attribute:: options
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..2147483647
                                
                                
                                ----
                                	**type**\:   :py:class:`OptionsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum>`
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.options = None

                                class OptionsEnum(Enum):
                                    """
                                    OptionsEnum

                                    .. data:: unlimited = 0

                                    """

                                    unlimited = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Update.OptionsEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:update'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.options is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Update']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:queue-depth'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hello is not None and self.hello._has_data():
                                    return True

                                if self.update is not None and self.update._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth']['meta_info']


                        class Timers(object):
                            """
                            Adjust routing timers
                            
                            .. attribute:: lsa
                            
                            	OSPF LSA timers
                            	**type**\:   :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Lsa>`
                            
                            .. attribute:: pacing
                            
                            	OSPF pacing timers
                            	**type**\:   :py:class:`Pacing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Pacing>`
                            
                            .. attribute:: throttle
                            
                            	OSPF throttle timers
                            	**type**\:   :py:class:`Throttle <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lsa = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Lsa()
                                self.lsa.parent = self
                                self.pacing = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Pacing()
                                self.pacing.parent = self
                                self.throttle = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle()
                                self.throttle.parent = self


                            class Lsa(object):
                                """
                                OSPF LSA timers
                                
                                .. attribute:: arrival
                                
                                	OSPF LSA arrival timer
                                	**type**\:  int
                                
                                	**range:** 0..600000
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.arrival = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lsa'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.arrival is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Lsa']['meta_info']


                            class Pacing(object):
                                """
                                OSPF pacing timers
                                
                                .. attribute:: flood
                                
                                	OSPF flood pacing timer
                                	**type**\:  int
                                
                                	**range:** 5..100
                                
                                .. attribute:: lsa_group
                                
                                	OSPF LSA group pacing timer
                                	**type**\:  int
                                
                                	**range:** 10..1800
                                
                                .. attribute:: retransmission
                                
                                	OSPF retransmission pacing timer
                                	**type**\:  int
                                
                                	**range:** 5..200
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.flood = None
                                    self.lsa_group = None
                                    self.retransmission = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:pacing'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.flood is not None:
                                        return True

                                    if self.lsa_group is not None:
                                        return True

                                    if self.retransmission is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Pacing']['meta_info']


                            class Throttle(object):
                                """
                                OSPF throttle timers
                                
                                .. attribute:: lsa
                                
                                	OSPF LSA throttle timers
                                	**type**\:   :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa>`
                                
                                .. attribute:: spf
                                
                                	OSPF SPF throttle timers
                                	**type**\:   :py:class:`Spf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Spf>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lsa = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa()
                                    self.lsa.parent = self
                                    self.spf = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Spf()
                                    self.spf.parent = self


                                class Lsa(object):
                                    """
                                    OSPF LSA throttle timers
                                    
                                    .. attribute:: all
                                    
                                    	For all type of OSPF LSAs
                                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa.All>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.all = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa.All()
                                        self.all.parent = self


                                    class All(object):
                                        """
                                        For all type of OSPF LSAs
                                        
                                        .. attribute:: delay
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..600000
                                        
                                        .. attribute:: max_delay
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..600000
                                        
                                        .. attribute:: min_delay
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..600000
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.delay = None
                                            self.max_delay = None
                                            self.min_delay = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:all'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.delay is not None:
                                                return True

                                            if self.max_delay is not None:
                                                return True

                                            if self.min_delay is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa.All']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lsa'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.all is not None and self.all._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa']['meta_info']


                                class Spf(object):
                                    """
                                    OSPF SPF throttle timers
                                    
                                    .. attribute:: delay
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..600000
                                    
                                    .. attribute:: max_delay
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..600000
                                    
                                    .. attribute:: min_delay
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..600000
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.delay = None
                                        self.max_delay = None
                                        self.min_delay = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:spf'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.delay is not None:
                                            return True

                                        if self.max_delay is not None:
                                            return True

                                        if self.min_delay is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Spf']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throttle'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lsa is not None and self.lsa._has_data():
                                        return True

                                    if self.spf is not None and self.spf._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lsa is not None and self.lsa._has_data():
                                    return True

                                if self.pacing is not None and self.pacing._has_data():
                                    return True

                                if self.throttle is not None and self.throttle._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers']['meta_info']


                        class TrafficShare(object):
                            """
                            How to compute traffic share over alternate paths
                            
                            .. attribute:: across_interfaces
                            
                            	Use different interfaces for equal\-cost paths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: min
                            
                            	All traffic shared among min metric paths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.across_interfaces = None
                                self.min = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:traffic-share'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.across_interfaces is not None:
                                    return True

                                if self.min is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TrafficShare']['meta_info']


                        class TtlSecurity(object):
                            """
                            TTL security check
                            
                            .. attribute:: all_interfaces
                            
                            	Enable TTL Security on all interfaces
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: hops
                            
                            	IP hops
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all_interfaces = None
                                self.hops = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ttl-security'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all_interfaces is not None:
                                    return True

                                if self.hops is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TtlSecurity']['meta_info']


                        class Capability(object):
                            """
                            Enable specific OSPF feature
                            
                            .. attribute:: capability_type
                            
                            	
                            	**type**\:   :py:class:`CapabilityTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Capability.CapabilityTypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.capability_type = None

                            class CapabilityTypeEnum(Enum):
                                """
                                CapabilityTypeEnum

                                .. data:: lls = 0

                                .. data:: opaque = 1

                                .. data:: transit = 2

                                .. data:: vrf_lite = 3

                                """

                                lls = 0

                                opaque = 1

                                transit = 2

                                vrf_lite = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Capability.CapabilityTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:capability'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.capability_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Capability']['meta_info']


                        class Compatible(object):
                            """
                            OSPF compatibility list
                            
                            .. attribute:: rfc1583
                            
                            	Compatible with RFC 1583
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rfc1587
                            
                            	Compatible with RFC 1587
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rfc5243
                            
                            	Compatible with RFC 5243
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rfc1583 = None
                                self.rfc1587 = None
                                self.rfc5243 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:compatible'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rfc1583 is not None:
                                    return True

                                if self.rfc1587 is not None:
                                    return True

                                if self.rfc5243 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Compatible']['meta_info']


                        class DefaultInformation(object):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:   :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation.Originate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.originate = None


                            class Originate(object):
                                """
                                Distribute a default route
                                
                                .. attribute:: always
                                
                                	Always advertise default route
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	OSPF default metric
                                	**type**\:  int
                                
                                	**range:** 0..16777214
                                
                                .. attribute:: metric_type
                                
                                	OSPF metric type for default routes
                                	**type**\:  int
                                
                                	**range:** 1..2
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.always = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:originate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.always is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation.Originate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:default-information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.originate is not None and self.originate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation']['meta_info']


                        class DiscardRoute(object):
                            """
                            Enable or disable discard\-route installation
                            
                            .. attribute:: external
                            
                            	Discard route for redistributed summarised routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: internal
                            
                            	Discard route for summarised internal routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: metric
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.external = None
                                self.internal = None
                                self.metric = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:discard-route'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.external is not None:
                                    return True

                                if self.internal is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DiscardRoute']['meta_info']


                        class Distance(object):
                            """
                            Define an administrative distance
                            
                            .. attribute:: ospf
                            
                            	OSPF routes Administrative distance
                            	**type**\:   :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.Ospf>`
                            
                            .. attribute:: ospf_distance
                            
                            	
                            	**type**\:   :py:class:`OspfDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.OspfDistance>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ospf = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.Ospf()
                                self.ospf.parent = self
                                self.ospf_distance = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.OspfDistance()
                                self.ospf_distance.parent = self


                            class OspfDistance(object):
                                """
                                
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..99
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 1300..1999
                                
                                
                                ----
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: distance
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildcard
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.acl_name = None
                                    self.distance = None
                                    self.ip = None
                                    self.wildcard = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospf-distance'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.acl_name is not None:
                                        return True

                                    if self.distance is not None:
                                        return True

                                    if self.ip is not None:
                                        return True

                                    if self.wildcard is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.OspfDistance']['meta_info']


                            class Ospf(object):
                                """
                                OSPF routes Administrative distance
                                
                                .. attribute:: external
                                
                                	External routes
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: inter_area
                                
                                	Inter\-area routes
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: intra_area
                                
                                	Intra\-area routes
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external = None
                                    self.inter_area = None
                                    self.intra_area = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospf'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external is not None:
                                        return True

                                    if self.inter_area is not None:
                                        return True

                                    if self.intra_area is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.Ospf']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ospf is not None and self.ospf._has_data():
                                    return True

                                if self.ospf_distance is not None and self.ospf_distance._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance']['meta_info']


                        class Redistribute(object):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\: list of    :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application>`
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: lisp
                            
                            	Locator ID Separation Protocol (LISP)
                            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp>`
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes redistributed to protocol
                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix>`
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of    :py:class:`Ospfv3_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: vrf
                            
                            	Specify a source VRF
                            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.application = YList()
                                self.application.parent = self
                                self.application.name = 'application'
                                self.bgp = YList()
                                self.bgp.parent = self
                                self.bgp.name = 'bgp'
                                self.connected = None
                                self.eigrp = YList()
                                self.eigrp.parent = self
                                self.eigrp.name = 'eigrp'
                                self.isis = None
                                self.iso_igrp = None
                                self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp()
                                self.lisp.parent = self
                                self.maximum_prefix = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self.mobile = None
                                self.odr = None
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.ospfv3 = YList()
                                self.ospfv3.parent = self
                                self.ospfv3.name = 'ospfv3'
                                self.rip = YList()
                                self.rip.parent = self
                                self.rip.name = 'rip'
                                self.static = None
                                self.vrf = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf()
                                self.vrf.parent = self


                            class Application(object):
                                """
                                Application
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:application[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application']['meta_info']


                            class Bgp(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.as_number is None:
                                        raise YPYModelError('Key property as_number is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bgp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_number is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RedistOptions>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.as_number is None:
                                        raise YPYModelError('Key property as_number is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:eigrp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_number is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp']['meta_info']


                            class Isis(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea>`
                                
                                .. attribute:: isis_level_routes
                                
                                	
                                	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisLevelRoutesEnum>`
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RedistOptions>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.isis_area = YList()
                                    self.isis_area.parent = self
                                    self.isis_area.name = 'isis_area'
                                    self.isis_level_routes = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RedistOptions()
                                    self.redist_options.parent = self

                                class IsisLevelRoutesEnum(Enum):
                                    """
                                    IsisLevelRoutesEnum

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    .. data:: level_1_2 = 2

                                    """

                                    level_1 = 0

                                    level_2 = 1

                                    level_1_2 = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisLevelRoutesEnum']



                                class IsisArea(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: isis_level_routes
                                    
                                    	
                                    	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.IsisLevelRoutesEnum>`
                                    
                                    .. attribute:: redist_options
                                    
                                    	
                                    	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RedistOptions>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.isis_level_routes = None
                                        self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RedistOptions()
                                        self.redist_options.parent = self

                                    class IsisLevelRoutesEnum(Enum):
                                        """
                                        IsisLevelRoutesEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = 0

                                        level_2 = 1

                                        level_1_2 = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.IsisLevelRoutesEnum']



                                    class RedistOptions(object):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RedistOptions.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RedistOptions.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RedistOptions']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis-area[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.isis_level_routes is not None:
                                            return True

                                        if self.redist_options is not None and self.redist_options._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea']['meta_info']


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.isis_area is not None:
                                        for child_ref in self.isis_area:
                                            if child_ref._has_data():
                                                return True

                                    if self.isis_level_routes is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis']['meta_info']


                            class IsoIgrp(object):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: area_tag_route_map_container
                                
                                	
                                	**type**\:   :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer>`
                                
                                .. attribute:: iso_igrp_container
                                
                                	
                                	**type**\:   :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer()
                                    self.area_tag_route_map_container.parent = self
                                    self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer()
                                    self.iso_igrp_container.parent = self
                                    self.route_map = None


                                class AreaTagRouteMapContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: area_tag
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.area_tag = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area-tag-route-map-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.area_tag is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer']['meta_info']


                                class IsoIgrpContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer.MetricTypeEnum>`
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.area_tag_route_map_container is not None and self.area_tag_route_map_container._has_data():
                                        return True

                                    if self.iso_igrp_container is not None and self.iso_igrp_container._has_data():
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp']['meta_info']


                            class Lisp(object):
                                """
                                Locator ID Separation Protocol (LISP)
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lisp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp']['meta_info']


                            class Mobile(object):
                                """
                                Mobile routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RedistOptions>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mobile'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile']['meta_info']


                            class Odr(object):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RedistOptions>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:odr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match()
                                    self.match.parent = self
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None
                                    self.vrf = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.MetricTypeEnum']



                                class Match(object):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.internal = None
                                        self.nssa_external = None


                                    class Internal(object):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal']['meta_info']


                                    class External(object):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.external_routes = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.external_routes is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External']['meta_info']


                                    class NssaExternal(object):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_external_routes = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_external_routes is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None and self.external._has_data():
                                            return True

                                        if self.internal is not None and self.internal._has_data():
                                            return True

                                        if self.nssa_external is not None and self.nssa_external._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospf[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.match is not None and self.match._has_data():
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf']['meta_info']


                            class Ospfv3_(object):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match()
                                    self.match.parent = self
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.MetricTypeEnum']



                                class Match(object):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.internal = None
                                        self.nssa_external = None


                                    class Internal(object):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.Internal.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.Internal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.Internal']['meta_info']


                                    class External(object):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.External.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.external_routes = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.External.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.external_routes is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.External']['meta_info']


                                    class NssaExternal(object):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.NssaExternal.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_external_routes = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.NssaExternal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_external_routes is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match.NssaExternal']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None and self.external._has_data():
                                            return True

                                        if self.internal is not None and self.internal._has_data():
                                            return True

                                        if self.nssa_external is not None and self.nssa_external._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_.Match']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospfv3[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.match is not None and self.match._has_data():
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3_']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: id  <key>
                                
                                	User selected string identifying this rip process
                                	**type**\:  str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:rip[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static.RedistOptions>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static']['meta_info']


                            class MaximumPrefix(object):
                                """
                                Maximum number of prefixes redistributed to protocol
                                
                                .. attribute:: number
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: threshold_warning_only_container
                                
                                	
                                	**type**\:   :py:class:`ThresholdWarningOnlyContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.threshold_warning_only_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer()
                                    self.threshold_warning_only_container.parent = self


                                class ThresholdWarningOnlyContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give warning message when limit is exceeded
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.threshold = None
                                        self.warning_only = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:threshold-warning-only-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.threshold is not None:
                                            return True

                                        if self.warning_only is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:maximum-prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.threshold_warning_only_container is not None and self.threshold_warning_only_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix']['meta_info']


                            class Vrf(object):
                                """
                                Specify a source VRF
                                
                                .. attribute:: global_
                                
                                	global VRF
                                	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_>`
                                
                                .. attribute:: non_global_vrf
                                
                                	
                                	**type**\: list of    :py:class:`NonGlobalVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.global_ = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_()
                                    self.global_.parent = self
                                    self.non_global_vrf = YList()
                                    self.non_global_vrf.parent = self
                                    self.non_global_vrf.name = 'non_global_vrf'


                                class NonGlobalVrf(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\: list of    :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator ID Separation Protocol (LISP)
                                    	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of    :py:class:`Ospfv3_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.application = YList()
                                        self.application.parent = self
                                        self.application.name = 'application'
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = None
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = None
                                        self.iso_igrp = None
                                        self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp()
                                        self.lisp.parent = self
                                        self.mobile = None
                                        self.odr = None
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.ospfv3 = YList()
                                        self.ospfv3.parent = self
                                        self.ospfv3.name = 'ospfv3'
                                        self.rip = YList()
                                        self.rip.parent = self
                                        self.rip.name = 'rip'
                                        self.static = None


                                    class Application(object):
                                        """
                                        Application
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:application[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application']['meta_info']


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_number = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.as_number is None:
                                                raise YPYModelError('Key property as_number is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bgp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.as_number is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_number = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.as_number is None:
                                                raise YPYModelError('Key property as_number is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:eigrp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.as_number is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea>`
                                        
                                        .. attribute:: isis_level_routes
                                        
                                        	
                                        	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisLevelRoutesEnum>`
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.isis_area = YList()
                                            self.isis_area.parent = self
                                            self.isis_area.name = 'isis_area'
                                            self.isis_level_routes = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions()
                                            self.redist_options.parent = self

                                        class IsisLevelRoutesEnum(Enum):
                                            """
                                            IsisLevelRoutesEnum

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = 0

                                            level_2 = 1

                                            level_1_2 = 2


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisLevelRoutesEnum']



                                        class IsisArea(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: isis_level_routes
                                            
                                            	
                                            	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutesEnum>`
                                            
                                            .. attribute:: redist_options
                                            
                                            	
                                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.isis_level_routes = None
                                                self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions()
                                                self.redist_options.parent = self

                                            class IsisLevelRoutesEnum(Enum):
                                                """
                                                IsisLevelRoutesEnum

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = 0

                                                level_2 = 1

                                                level_1_2 = 2


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutesEnum']



                                            class RedistOptions(object):
                                                """
                                                
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis-area[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.isis_level_routes is not None:
                                                    return True

                                                if self.redist_options is not None and self.redist_options._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea']['meta_info']


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.isis_area is not None:
                                                for child_ref in self.isis_area:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis_level_routes is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis']['meta_info']


                                    class IsoIgrp(object):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: area_tag_route_map_container
                                        
                                        	
                                        	**type**\:   :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer>`
                                        
                                        .. attribute:: iso_igrp_container
                                        
                                        	
                                        	**type**\:   :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer()
                                            self.area_tag_route_map_container.parent = self
                                            self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer()
                                            self.iso_igrp_container.parent = self
                                            self.route_map = None


                                        class AreaTagRouteMapContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: area_tag
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.area_tag = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area-tag-route-map-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.area_tag is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer']['meta_info']


                                        class IsoIgrpContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricTypeEnum>`
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.area_tag_route_map_container is not None and self.area_tag_route_map_container._has_data():
                                                return True

                                            if self.iso_igrp_container is not None and self.iso_igrp_container._has_data():
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp']['meta_info']


                                    class Lisp(object):
                                        """
                                        Locator ID Separation Protocol (LISP)
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lisp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp']['meta_info']


                                    class Mobile(object):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mobile'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile']['meta_info']


                                    class Odr(object):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:odr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match()
                                            self.match.parent = self
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None
                                            self.vrf = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.MetricTypeEnum']



                                        class Match(object):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.external = None
                                                self.internal = None
                                                self.nssa_external = None


                                            class Internal(object):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal']['meta_info']


                                            class External(object):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.external_routes = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.external_routes is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External']['meta_info']


                                            class NssaExternal(object):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_external_routes = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_external_routes is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.external is not None and self.external._has_data():
                                                    return True

                                                if self.internal is not None and self.internal._has_data():
                                                    return True

                                                if self.nssa_external is not None and self.nssa_external._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospf[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.match is not None and self.match._has_data():
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf']['meta_info']


                                    class Ospfv3_(object):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match()
                                            self.match.parent = self
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.MetricTypeEnum']



                                        class Match(object):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.external = None
                                                self.internal = None
                                                self.nssa_external = None


                                            class Internal(object):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.Internal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.Internal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.Internal']['meta_info']


                                            class External(object):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.External.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.external_routes = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.External.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.external_routes is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.External']['meta_info']


                                            class NssaExternal(object):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.NssaExternal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_external_routes = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.NssaExternal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_external_routes is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.NssaExternal']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.external is not None and self.external._has_data():
                                                    return True

                                                if self.internal is not None and self.internal._has_data():
                                                    return True

                                                if self.nssa_external is not None and self.nssa_external._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospfv3[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.match is not None and self.match._has_data():
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this rip process
                                        	**type**\:  str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:rip[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:non-global-vrf[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.application is not None:
                                            for child_ref in self.application:
                                                if child_ref._has_data():
                                                    return True

                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None and self.isis._has_data():
                                            return True

                                        if self.iso_igrp is not None and self.iso_igrp._has_data():
                                            return True

                                        if self.lisp is not None and self.lisp._has_data():
                                            return True

                                        if self.mobile is not None and self.mobile._has_data():
                                            return True

                                        if self.odr is not None and self.odr._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ospfv3 is not None:
                                            for child_ref in self.ospfv3:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None:
                                            for child_ref in self.rip:
                                                if child_ref._has_data():
                                                    return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']


                                class Global_(object):
                                    """
                                    global VRF
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\: list of    :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator ID Separation Protocol (LISP)
                                    	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of    :py:class:`Ospfv3_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.application = YList()
                                        self.application.parent = self
                                        self.application.name = 'application'
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = None
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = None
                                        self.iso_igrp = None
                                        self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp()
                                        self.lisp.parent = self
                                        self.mobile = None
                                        self.odr = None
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.ospfv3 = YList()
                                        self.ospfv3.parent = self
                                        self.ospfv3.name = 'ospfv3'
                                        self.rip = YList()
                                        self.rip.parent = self
                                        self.rip.name = 'rip'
                                        self.static = None


                                    class Application(object):
                                        """
                                        Application
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:application[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application']['meta_info']


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_number = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.as_number is None:
                                                raise YPYModelError('Key property as_number is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bgp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.as_number is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_number = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.as_number is None:
                                                raise YPYModelError('Key property as_number is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:eigrp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.as_number is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea>`
                                        
                                        .. attribute:: isis_level_routes
                                        
                                        	
                                        	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisLevelRoutesEnum>`
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.isis_area = YList()
                                            self.isis_area.parent = self
                                            self.isis_area.name = 'isis_area'
                                            self.isis_level_routes = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions()
                                            self.redist_options.parent = self

                                        class IsisLevelRoutesEnum(Enum):
                                            """
                                            IsisLevelRoutesEnum

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = 0

                                            level_2 = 1

                                            level_1_2 = 2


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisLevelRoutesEnum']



                                        class IsisArea(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: isis_level_routes
                                            
                                            	
                                            	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.IsisLevelRoutesEnum>`
                                            
                                            .. attribute:: redist_options
                                            
                                            	
                                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.isis_level_routes = None
                                                self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions()
                                                self.redist_options.parent = self

                                            class IsisLevelRoutesEnum(Enum):
                                                """
                                                IsisLevelRoutesEnum

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = 0

                                                level_2 = 1

                                                level_1_2 = 2


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.IsisLevelRoutesEnum']



                                            class RedistOptions(object):
                                                """
                                                
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis-area[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.isis_level_routes is not None:
                                                    return True

                                                if self.redist_options is not None and self.redist_options._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea']['meta_info']


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.isis_area is not None:
                                                for child_ref in self.isis_area:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis_level_routes is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis']['meta_info']


                                    class IsoIgrp(object):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: area_tag_route_map_container
                                        
                                        	
                                        	**type**\:   :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer>`
                                        
                                        .. attribute:: iso_igrp_container
                                        
                                        	
                                        	**type**\:   :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer()
                                            self.area_tag_route_map_container.parent = self
                                            self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer()
                                            self.iso_igrp_container.parent = self
                                            self.route_map = None


                                        class AreaTagRouteMapContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: area_tag
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.area_tag = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area-tag-route-map-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.area_tag is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer']['meta_info']


                                        class IsoIgrpContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer.MetricTypeEnum>`
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.area_tag_route_map_container is not None and self.area_tag_route_map_container._has_data():
                                                return True

                                            if self.iso_igrp_container is not None and self.iso_igrp_container._has_data():
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp']['meta_info']


                                    class Lisp(object):
                                        """
                                        Locator ID Separation Protocol (LISP)
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lisp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp']['meta_info']


                                    class Mobile(object):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mobile'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile']['meta_info']


                                    class Odr(object):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:odr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match()
                                            self.match.parent = self
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None
                                            self.vrf = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.MetricTypeEnum']



                                        class Match(object):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.external = None
                                                self.internal = None
                                                self.nssa_external = None


                                            class Internal(object):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal']['meta_info']


                                            class External(object):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.external_routes = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.external_routes is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External']['meta_info']


                                            class NssaExternal(object):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_external_routes = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_external_routes is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.external is not None and self.external._has_data():
                                                    return True

                                                if self.internal is not None and self.internal._has_data():
                                                    return True

                                                if self.nssa_external is not None and self.nssa_external._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospf[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.match is not None and self.match._has_data():
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf']['meta_info']


                                    class Ospfv3_(object):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match()
                                            self.match.parent = self
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.MetricTypeEnum']



                                        class Match(object):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.external = None
                                                self.internal = None
                                                self.nssa_external = None


                                            class Internal(object):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.Internal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.Internal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.Internal']['meta_info']


                                            class External(object):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.External.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.external_routes = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.External.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.external_routes is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.External']['meta_info']


                                            class NssaExternal(object):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.NssaExternal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_external_routes = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.NssaExternal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_external_routes is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.NssaExternal']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.external is not None and self.external._has_data():
                                                    return True

                                                if self.internal is not None and self.internal._has_data():
                                                    return True

                                                if self.nssa_external is not None and self.nssa_external._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospfv3[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.match is not None and self.match._has_data():
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3_']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this rip process
                                        	**type**\:  str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:rip[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:global'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.application is not None:
                                            for child_ref in self.application:
                                                if child_ref._has_data():
                                                    return True

                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None and self.isis._has_data():
                                            return True

                                        if self.iso_igrp is not None and self.iso_igrp._has_data():
                                            return True

                                        if self.lisp is not None and self.lisp._has_data():
                                            return True

                                        if self.mobile is not None and self.mobile._has_data():
                                            return True

                                        if self.odr is not None and self.odr._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ospfv3 is not None:
                                            for child_ref in self.ospfv3:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None:
                                            for child_ref in self.rip:
                                                if child_ref._has_data():
                                                    return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:vrf'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.global_ is not None and self.global_._has_data():
                                        return True

                                    if self.non_global_vrf is not None:
                                        for child_ref in self.non_global_vrf:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redistribute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.application is not None:
                                    for child_ref in self.application:
                                        if child_ref._has_data():
                                            return True

                                if self.bgp is not None:
                                    for child_ref in self.bgp:
                                        if child_ref._has_data():
                                            return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.eigrp is not None:
                                    for child_ref in self.eigrp:
                                        if child_ref._has_data():
                                            return True

                                if self.isis is not None and self.isis._has_data():
                                    return True

                                if self.iso_igrp is not None and self.iso_igrp._has_data():
                                    return True

                                if self.lisp is not None and self.lisp._has_data():
                                    return True

                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                    return True

                                if self.mobile is not None and self.mobile._has_data():
                                    return True

                                if self.odr is not None and self.odr._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.ospfv3 is not None:
                                    for child_ref in self.ospfv3:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None:
                                    for child_ref in self.rip:
                                        if child_ref._has_data():
                                            return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                if self.vrf is not None and self.vrf._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']


                        class Authentication(object):
                            """
                            Authentication parameters
                            
                            .. attribute:: mode
                            
                            	Authentication operation mode
                            	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Authentication.ModeEnum>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mode = None

                            class ModeEnum(Enum):
                                """
                                ModeEnum

                                Authentication operation mode

                                .. data:: deployment = 0

                                .. data:: normal = 1

                                .. data:: strict = 2

                                """

                                deployment = 0

                                normal = 1

                                strict = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Authentication.ModeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Authentication']['meta_info']


                        class GracefulRestart(object):
                            """
                            Graceful\-restart options
                            
                            .. attribute:: disable
                            
                            	Graceful restart disable
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: helper
                            
                            	helper support
                            	**type**\:   :py:class:`Helper <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.GracefulRestart.Helper>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: restart_interval
                            
                            	Graceful restart interval
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None
                                self.helper = None
                                self.restart_interval = None


                            class Helper(object):
                                """
                                helper support
                                
                                .. attribute:: disable
                                
                                	disable helper support
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: strict_lsa_checking
                                
                                	enable helper strict LSA checking
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None
                                    self.strict_lsa_checking = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:helper'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    if self.strict_lsa_checking is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.GracefulRestart.Helper']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:graceful-restart'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                if self.helper is not None and self.helper._has_data():
                                    return True

                                if self.restart_interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.GracefulRestart']['meta_info']


                        class Manet(object):
                            """
                            Specify MANET OSPF parameters
                            
                            .. attribute:: cache
                            
                            	Specify MANET cache sizes
                            	**type**\:   :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Cache>`
                            
                            .. attribute:: hello
                            
                            	Unicast Hellos rather than multicast
                            	**type**\:   :py:class:`HelloEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.HelloEnum>`
                            
                            .. attribute:: peering
                            
                            	MANET OSPF Smart Peering
                            	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering>`
                            
                            .. attribute:: willingness
                            
                            	Specify Relay willingness value
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cache = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Cache()
                                self.cache.parent = self
                                self.hello = None
                                self.peering = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering()
                                self.peering.parent = self
                                self.willingness = None

                            class HelloEnum(Enum):
                                """
                                HelloEnum

                                Unicast Hellos rather than multicast

                                .. data:: unicast = 0

                                .. data:: multicast = 1

                                """

                                unicast = 0

                                multicast = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.HelloEnum']



                            class Cache(object):
                                """
                                Specify MANET cache sizes
                                
                                .. attribute:: acknowledgement
                                
                                	Specify MANET acknowledgement cache size
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: update
                                
                                	Specify MANET LSA cache size
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.acknowledgement = None
                                    self.update = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.acknowledgement is not None:
                                        return True

                                    if self.update is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Cache']['meta_info']


                            class Peering(object):
                                """
                                MANET OSPF Smart Peering
                                
                                .. attribute:: selective
                                
                                	Enable selective peering
                                	**type**\:   :py:class:`Selective <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering.Selective>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.selective = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering.Selective()
                                    self.selective.parent = self


                                class Selective(object):
                                    """
                                    Enable selective peering
                                    
                                    .. attribute:: disable
                                    
                                    	Disable selective peering
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: per_interface
                                    
                                    	Select peers per interface rather than per node
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: redundancy
                                    
                                    	Redundant paths
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.disable = None
                                        self.per_interface = None
                                        self.redundancy = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:selective'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.disable is not None:
                                            return True

                                        if self.per_interface is not None:
                                            return True

                                        if self.redundancy is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering.Selective']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.selective is not None and self.selective._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cache is not None and self.cache._has_data():
                                    return True

                                if self.hello is not None:
                                    return True

                                if self.peering is not None and self.peering._has_data():
                                    return True

                                if self.willingness is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet']['meta_info']


                        class SummaryPrefix(object):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            .. attribute:: not_advertise
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: nssa_only
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix = None
                                self.not_advertise = None
                                self.nssa_only = None
                                self.tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.prefix is None:
                                    raise YPYModelError('Key property prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:summary-prefix[Cisco-IOS-XE-ospfv3:prefix = ' + str(self.prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix is not None:
                                    return True

                                if self.not_advertise is not None:
                                    return True

                                if self.nssa_only is not None:
                                    return True

                                if self.tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.SummaryPrefix']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.area is not None:
                                for child_ref in self.area:
                                    if child_ref._has_data():
                                        return True

                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.auto_cost is not None and self.auto_cost._has_data():
                                return True

                            if self.bfd is not None and self.bfd._has_data():
                                return True

                            if self.capability is not None and self.capability._has_data():
                                return True

                            if self.compatible is not None and self.compatible._has_data():
                                return True

                            if self.default_information is not None and self.default_information._has_data():
                                return True

                            if self.default_metric is not None:
                                return True

                            if self.disable is not None and self.disable._has_data():
                                return True

                            if self.discard_route is not None and self.discard_route._has_data():
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.event_log is not None and self.event_log._has_data():
                                return True

                            if self.graceful_restart is not None and self.graceful_restart._has_data():
                                return True

                            if self.interface_id is not None and self.interface_id._has_data():
                                return True

                            if self.log_adjacency_changes is not None and self.log_adjacency_changes._has_data():
                                return True

                            if self.manet is not None and self.manet._has_data():
                                return True

                            if self.max_lsa is not None and self.max_lsa._has_data():
                                return True

                            if self.max_metric is not None and self.max_metric._has_data():
                                return True

                            if self.maximum_paths is not None:
                                return True

                            if self.nsr is not None:
                                return True

                            if self.passive_interface is not None and self.passive_interface._has_data():
                                return True

                            if self.queue_depth is not None and self.queue_depth._has_data():
                                return True

                            if self.redistribute is not None and self.redistribute._has_data():
                                return True

                            if self.router_id is not None:
                                return True

                            if self.summary_prefix is not None:
                                for child_ref in self.summary_prefix:
                                    if child_ref._has_data():
                                        return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.traffic_share is not None and self.traffic_share._has_data():
                                return True

                            if self.ttl_security is not None and self.ttl_security._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast']['meta_info']


                    class Vrf(object):
                        """
                        Specify parameters for a VPN Routing/Forwarding instance
                        
                        .. attribute:: vrf  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: area
                        
                        	OSPF area parameters
                        	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area>`
                        
                        .. attribute:: authentication
                        
                        	Authentication parameters
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Authentication>`
                        
                        .. attribute:: auto_cost
                        
                        	Calculate OSPF interface cost according to bandwidth
                        	**type**\:   :py:class:`AutoCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.AutoCost>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: bfd
                        
                        	BFD configuration commands
                        	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Bfd>`
                        
                        .. attribute:: capability
                        
                        	Enable specific OSPF feature
                        	**type**\:   :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Capability>`
                        
                        .. attribute:: compatible
                        
                        	OSPF compatibility list
                        	**type**\:   :py:class:`Compatible <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Compatible>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\:   :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable>`
                        
                        .. attribute:: discard_route
                        
                        	Enable or disable discard\-route installation
                        	**type**\:   :py:class:`DiscardRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DiscardRoute>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance>`
                        
                        .. attribute:: event_log
                        
                        	OSPF Event Logging
                        	**type**\:   :py:class:`EventLog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.EventLog>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: graceful_restart
                        
                        	Graceful\-restart options
                        	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.GracefulRestart>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: interface_id
                        
                        	Source of the interface ID
                        	**type**\:   :py:class:`InterfaceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.InterfaceId>`
                        
                        .. attribute:: log_adjacency_changes
                        
                        	Log changes in adjacency state
                        	**type**\:   :py:class:`LogAdjacencyChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.LogAdjacencyChanges>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF parameters
                        	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet>`
                        
                        .. attribute:: max_lsa
                        
                        	maximum number of LSAs OSPF process will receive
                        	**type**\:   :py:class:`MaxLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxLsa>`
                        
                        .. attribute:: max_metric
                        
                        	Set maximum metric
                        	**type**\:   :py:class:`MaxMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:  int
                        
                        	**range:** 1..32
                        
                        .. attribute:: nsr
                        
                        	Enable non\-stop routing
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: passive_interface
                        
                        	Suppress routing updates on an interface
                        	**type**\:   :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.PassiveInterface>`
                        
                        .. attribute:: queue_depth
                        
                        	OSPF Hello/Router process queue depth
                        	**type**\:   :py:class:`QueueDepth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute>`
                        
                        .. attribute:: router_id
                        
                        	Override configured router identifier (peers will reset)
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: summary_prefix
                        
                        	
                        	**type**\: list of    :py:class:`SummaryPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.SummaryPrefix>`
                        
                        .. attribute:: timers
                        
                        	Adjust routing timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers>`
                        
                        .. attribute:: traffic_share
                        
                        	How to compute traffic share over alternate paths
                        	**type**\:   :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TrafficShare>`
                        
                        .. attribute:: ttl_security
                        
                        	TTL security check
                        	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TtlSecurity>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vrf = None
                            self.area = YList()
                            self.area.parent = self
                            self.area.name = 'area'
                            self.authentication = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Authentication()
                            self.authentication.parent = self
                            self.auto_cost = None
                            self.bfd = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Bfd()
                            self.bfd.parent = self
                            self.capability = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Capability()
                            self.capability.parent = self
                            self.compatible = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Compatible()
                            self.compatible.parent = self
                            self.default_information = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation()
                            self.default_information.parent = self
                            self.default_metric = None
                            self.disable = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable()
                            self.disable.parent = self
                            self.discard_route = None
                            self.distance = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance()
                            self.distance.parent = self
                            self.event_log = None
                            self.graceful_restart = None
                            self.interface_id = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.InterfaceId()
                            self.interface_id.parent = self
                            self.log_adjacency_changes = None
                            self.manet = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet()
                            self.manet.parent = self
                            self.max_lsa = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxLsa()
                            self.max_lsa.parent = self
                            self.max_metric = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric()
                            self.max_metric.parent = self
                            self.maximum_paths = None
                            self.nsr = None
                            self.passive_interface = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.PassiveInterface()
                            self.passive_interface.parent = self
                            self.queue_depth = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth()
                            self.queue_depth.parent = self
                            self.redistribute = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute()
                            self.redistribute.parent = self
                            self.router_id = None
                            self.summary_prefix = YList()
                            self.summary_prefix.parent = self
                            self.summary_prefix.name = 'summary_prefix'
                            self.timers = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers()
                            self.timers.parent = self
                            self.traffic_share = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TrafficShare()
                            self.traffic_share.parent = self
                            self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TtlSecurity()
                            self.ttl_security.parent = self
                            self.unicast = None


                        class Area(object):
                            """
                            OSPF area parameters
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: authentication
                            
                            	Enable authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Authentication>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Enable area specific capability
                            	**type**\:   :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Capability>`
                            
                            .. attribute:: default_cost
                            
                            	Set the summary default\-cost of a NSSA/stub area
                            	**type**\:  int
                            
                            	**range:** 0..16777215
                            
                            .. attribute:: filter_list
                            
                            	Filter networks between OSPF areas
                            	**type**\: list of    :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.FilterList>`
                            
                            .. attribute:: ipv4_range
                            
                            	
                            	**type**\:   :py:class:`Ipv4Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range>`
                            
                            .. attribute:: ipv6_range
                            
                            	
                            	**type**\:   :py:class:`Ipv6Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range>`
                            
                            .. attribute:: nssa
                            
                            	Specify a NSSA area
                            	**type**\:   :py:class:`Nssa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: sham_link
                            
                            	Define a sham link and its parameters
                            	**type**\: list of    :py:class:`ShamLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink>`
                            
                            .. attribute:: stub
                            
                            	Specify a stub area
                            	**type**\:   :py:class:`Stub <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Stub>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: virtual_link
                            
                            	Define a virtual link and its parameters
                            	**type**\: list of    :py:class:`VirtualLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.authentication = None
                                self.capability = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Capability()
                                self.capability.parent = self
                                self.default_cost = None
                                self.filter_list = YList()
                                self.filter_list.parent = self
                                self.filter_list.name = 'filter_list'
                                self.ipv4_range = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range()
                                self.ipv4_range.parent = self
                                self.ipv6_range = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range()
                                self.ipv6_range.parent = self
                                self.nssa = None
                                self.sham_link = YList()
                                self.sham_link.parent = self
                                self.sham_link.name = 'sham_link'
                                self.stub = None
                                self.virtual_link = YList()
                                self.virtual_link.parent = self
                                self.virtual_link.name = 'virtual_link'


                            class Authentication(object):
                                """
                                Enable authentication
                                
                                .. attribute:: message_digest
                                
                                	Use message\-digest authentication
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.message_digest = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.message_digest is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Authentication']['meta_info']


                            class Capability(object):
                                """
                                Enable area specific capability
                                
                                .. attribute:: default_exclusion
                                
                                	Enable exclusion of links from base topology
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default_exclusion = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:capability'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default_exclusion is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Capability']['meta_info']


                            class FilterList(object):
                                """
                                Filter networks between OSPF areas
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:   :py:class:`InOutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.FilterList.InOutEnum>`
                                
                                .. attribute:: prefix
                                
                                	Filter prefixes between OSPF areas
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_out = None
                                    self.prefix = None

                                class InOutEnum(Enum):
                                    """
                                    InOutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.FilterList.InOutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.in_out is None:
                                        raise YPYModelError('Key property in_out is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:filter-list[Cisco-IOS-XE-ospfv3:in-out = ' + str(self.in_out) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_out is not None:
                                        return True

                                    if self.prefix is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.FilterList']['meta_info']


                            class Nssa(object):
                                """
                                Specify a NSSA area
                                
                                .. attribute:: default_information_originate
                                
                                	Originate Type 7 default into NSSA area
                                	**type**\:   :py:class:`DefaultInformationOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_ext_capability
                                
                                	Do not send domain specific capabilities into NSSA
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_redistribution
                                
                                	No redistribution into this NSSA area
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_summary
                                
                                	Do not send summary LSA into NSSA
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit default advertisement to this NSSA area
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: translate
                                
                                	Translate LSA
                                	**type**\:   :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.default_information_originate = None
                                    self.no_ext_capability = None
                                    self.no_redistribution = None
                                    self.no_summary = None
                                    self.nssa_only = None
                                    self.translate = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate()
                                    self.translate.parent = self


                                class DefaultInformationOriginate(object):
                                    """
                                    Originate Type 7 default into NSSA area
                                    
                                    .. attribute:: metric
                                    
                                    	OSPF default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..16777214
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF metric type for default routes
                                    	**type**\:  int
                                    
                                    	**range:** 1..2
                                    
                                    .. attribute:: no_ext_capability
                                    
                                    	Do not send domain specific capabilities into NSSA
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: no_redistribution
                                    
                                    	No redistribution into this NSSA area
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: no_summary
                                    
                                    	Do not send summary LSA into NSSA
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit default advertisement to this NSSA area
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: translate
                                    
                                    	Translate LSA
                                    	**type**\:   :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.metric_type = None
                                        self.no_ext_capability = None
                                        self.no_redistribution = None
                                        self.no_summary = None
                                        self.nssa_only = None
                                        self.translate = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate()
                                        self.translate.parent = self


                                    class Translate(object):
                                        """
                                        Translate LSA
                                        
                                        .. attribute:: type7
                                        
                                        	From Type 7 to Type 5
                                        	**type**\:   :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.type7 = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7()
                                            self.type7.parent = self


                                        class Type7(object):
                                            """
                                            From Type 7 to Type 5
                                            
                                            .. attribute:: always
                                            
                                            	Always translate LSAs on this ABR
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: suppress_fa
                                            
                                            	Suppress forwarding address in translated LSAs
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.always = None
                                                self.suppress_fa = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:type7'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.always is not None:
                                                    return True

                                                if self.suppress_fa is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:translate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.type7 is not None and self.type7._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:default-information-originate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.no_ext_capability is not None:
                                            return True

                                        if self.no_redistribution is not None:
                                            return True

                                        if self.no_summary is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.translate is not None and self.translate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate']['meta_info']


                                class Translate(object):
                                    """
                                    Translate LSA
                                    
                                    .. attribute:: type7
                                    
                                    	From Type 7 to Type 5
                                    	**type**\:   :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate.Type7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.type7 = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate.Type7()
                                        self.type7.parent = self


                                    class Type7(object):
                                        """
                                        From Type 7 to Type 5
                                        
                                        .. attribute:: always
                                        
                                        	Always translate LSAs on this ABR
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: suppress_fa
                                        
                                        	Suppress forwarding address in translated LSAs
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.always = None
                                            self.suppress_fa = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:type7'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.always is not None:
                                                return True

                                            if self.suppress_fa is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate.Type7']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:translate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.type7 is not None and self.type7._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.default_information_originate is not None and self.default_information_originate._has_data():
                                        return True

                                    if self.no_ext_capability is not None:
                                        return True

                                    if self.no_redistribution is not None:
                                        return True

                                    if self.no_summary is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.translate is not None and self.translate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa']['meta_info']


                            class Ipv4Range(object):
                                """
                                
                                
                                .. attribute:: range
                                
                                	Summarize routes matching address/mask (border routers only)
                                	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range.Range>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.range = YList()
                                    self.range.parent = self
                                    self.range.name = 'range'


                                class Range(object):
                                    """
                                    Summarize routes matching address/mask (border routers only)
                                    
                                    .. attribute:: ip  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: mask  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise this range (default)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: cost
                                    
                                    	User specified metric for this range
                                    	**type**\:  int
                                    
                                    	**range:** 0..16777215
                                    
                                    .. attribute:: not_advertise
                                    
                                    	DoNotAdvertise this range
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip = None
                                        self.mask = None
                                        self.advertise = None
                                        self.cost = None
                                        self.not_advertise = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip is None:
                                            raise YPYModelError('Key property ip is None')
                                        if self.mask is None:
                                            raise YPYModelError('Key property mask is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:range[Cisco-IOS-XE-ospfv3:ip = ' + str(self.ip) + '][Cisco-IOS-XE-ospfv3:mask = ' + str(self.mask) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip is not None:
                                            return True

                                        if self.mask is not None:
                                            return True

                                        if self.advertise is not None:
                                            return True

                                        if self.cost is not None:
                                            return True

                                        if self.not_advertise is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range.Range']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv4-range'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.range is not None:
                                        for child_ref in self.range:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range']['meta_info']


                            class Ipv6Range(object):
                                """
                                
                                
                                .. attribute:: range
                                
                                	Summarize routes matching address/mask (border routers only)
                                	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range.Range>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.range = YList()
                                    self.range.parent = self
                                    self.range.name = 'range'


                                class Range(object):
                                    """
                                    Summarize routes matching address/mask (border routers only)
                                    
                                    .. attribute:: ip  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise this range (default)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: cost
                                    
                                    	User specified metric for this range
                                    	**type**\:  int
                                    
                                    	**range:** 0..16777215
                                    
                                    .. attribute:: not_advertise
                                    
                                    	DoNotAdvertise this range
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip = None
                                        self.advertise = None
                                        self.cost = None
                                        self.not_advertise = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip is None:
                                            raise YPYModelError('Key property ip is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:range[Cisco-IOS-XE-ospfv3:ip = ' + str(self.ip) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip is not None:
                                            return True

                                        if self.advertise is not None:
                                            return True

                                        if self.cost is not None:
                                            return True

                                        if self.not_advertise is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range.Range']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv6-range'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.range is not None:
                                        for child_ref in self.range:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range']['meta_info']


                            class ShamLink(object):
                                """
                                Define a sham link and its parameters
                                
                                .. attribute:: source  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: dest  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: cost
                                
                                	Associate a cost with the sham\-link
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: ttl_security
                                
                                	TTL security check
                                	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink.TtlSecurity>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = None
                                    self.dest = None
                                    self.cost = None
                                    self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink.TtlSecurity()
                                    self.ttl_security.parent = self


                                class TtlSecurity(object):
                                    """
                                    TTL security check
                                    
                                    .. attribute:: hops
                                    
                                    	IP hops
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hops = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ttl-security'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hops is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink.TtlSecurity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.source is None:
                                        raise YPYModelError('Key property source is None')
                                    if self.dest is None:
                                        raise YPYModelError('Key property dest is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:sham-link[Cisco-IOS-XE-ospfv3:source = ' + str(self.source) + '][Cisco-IOS-XE-ospfv3:dest = ' + str(self.dest) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None:
                                        return True

                                    if self.dest is not None:
                                        return True

                                    if self.cost is not None:
                                        return True

                                    if self.ttl_security is not None and self.ttl_security._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink']['meta_info']


                            class Stub(object):
                                """
                                Specify a stub area
                                
                                .. attribute:: no_ext_capability
                                
                                	Do not send domain specific capabilities into stub area
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_summary
                                
                                	Do not send summary LSA into stub area
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.no_ext_capability = None
                                    self.no_summary = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:stub'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.no_ext_capability is not None:
                                        return True

                                    if self.no_summary is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Stub']['meta_info']


                            class VirtualLink(object):
                                """
                                Define a virtual link and its parameters
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: authentication
                                
                                	Set authentication type
                                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication>`
                                
                                .. attribute:: authentication_key
                                
                                	Set authentication key
                                	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.AuthenticationKey>`
                                
                                .. attribute:: dead_interval
                                
                                	Dead router detection time
                                	**type**\:   :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.DeadInterval>`
                                
                                .. attribute:: hello_interval
                                
                                	Hello packet interval
                                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.HelloInterval>`
                                
                                .. attribute:: message_digest_key
                                
                                	Set message digest key
                                	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey>`
                                
                                .. attribute:: retransmit_interval
                                
                                	LSA retransmit interval
                                	**type**\:   :py:class:`RetransmitInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.RetransmitInterval>`
                                
                                .. attribute:: topology
                                
                                	Disable virtual link on topology
                                	**type**\:   :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Topology>`
                                
                                .. attribute:: transmit_delay
                                
                                	LSA transmission delay
                                	**type**\:   :py:class:`TransmitDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TransmitDelay>`
                                
                                .. attribute:: ttl_security
                                
                                	TTL security check
                                	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TtlSecurity>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.authentication = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication()
                                    self.authentication.parent = self
                                    self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.AuthenticationKey()
                                    self.authentication_key.parent = self
                                    self.dead_interval = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.DeadInterval()
                                    self.dead_interval.parent = self
                                    self.hello_interval = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.HelloInterval()
                                    self.hello_interval.parent = self
                                    self.message_digest_key = YList()
                                    self.message_digest_key.parent = self
                                    self.message_digest_key.name = 'message_digest_key'
                                    self.retransmit_interval = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.RetransmitInterval()
                                    self.retransmit_interval.parent = self
                                    self.topology = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Topology()
                                    self.topology.parent = self
                                    self.transmit_delay = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TransmitDelay()
                                    self.transmit_delay.parent = self
                                    self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TtlSecurity()
                                    self.ttl_security.parent = self


                                class Authentication(object):
                                    """
                                    Set authentication type
                                    
                                    .. attribute:: authentication_key
                                    
                                    	Set authentication key
                                    	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.AuthenticationKey>`
                                    
                                    .. attribute:: key_chain
                                    
                                    	Use a key\-chain for cryptographic authentication keys
                                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain>`
                                    
                                    .. attribute:: message_digest
                                    
                                    	Message\-digest authentication
                                    	**type**\:   :py:class:`MessageDigest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest>`
                                    
                                    .. attribute:: message_digest_key
                                    
                                    	Set message digest key
                                    	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey>`
                                    
                                    .. attribute:: null
                                    
                                    	No authentication
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.AuthenticationKey()
                                        self.authentication_key.parent = self
                                        self.key_chain = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain()
                                        self.key_chain.parent = self
                                        self.message_digest = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest()
                                        self.message_digest.parent = self
                                        self.message_digest_key = YList()
                                        self.message_digest_key.parent = self
                                        self.message_digest_key.name = 'message_digest_key'
                                        self.null = None


                                    class AuthenticationKey(object):
                                        """
                                        Set authentication key
                                        
                                        .. attribute:: auth_key
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: auth_type
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.auth_key = None
                                            self.auth_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication-key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.auth_key is not None:
                                                return True

                                            if self.auth_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.AuthenticationKey']['meta_info']


                                    class MessageDigestKey(object):
                                        """
                                        Set message digest key
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: md5
                                        
                                        	Use MD5 algorithm
                                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5()
                                            self.md5.parent = self


                                        class Md5(object):
                                            """
                                            Use MD5 algorithm
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**length:** 1..16
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.auth_key = None
                                                self.auth_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.auth_key is not None:
                                                    return True

                                                if self.auth_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest-key[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.md5 is not None and self.md5._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey']['meta_info']


                                    class KeyChain(object):
                                        """
                                        Use a key\-chain for cryptographic authentication keys
                                        
                                        .. attribute:: authentication_key
                                        
                                        	Set authentication key
                                        	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey>`
                                        
                                        .. attribute:: message_digest_key
                                        
                                        	Set message digest key
                                        	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey>`
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey()
                                            self.authentication_key.parent = self
                                            self.message_digest_key = YList()
                                            self.message_digest_key.parent = self
                                            self.message_digest_key.name = 'message_digest_key'
                                            self.name = None


                                        class AuthenticationKey(object):
                                            """
                                            Set authentication key
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.auth_key = None
                                                self.auth_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication-key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.auth_key is not None:
                                                    return True

                                                if self.auth_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey']['meta_info']


                                        class MessageDigestKey(object):
                                            """
                                            Set message digest key
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: md5
                                            
                                            	Use MD5 algorithm
                                            	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5()
                                                self.md5.parent = self


                                            class Md5(object):
                                                """
                                                Use MD5 algorithm
                                                
                                                .. attribute:: auth_key
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**length:** 1..16
                                                
                                                .. attribute:: auth_type
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.auth_key = None
                                                    self.auth_type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.auth_key is not None:
                                                        return True

                                                    if self.auth_type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest-key[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.md5 is not None and self.md5._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-chain'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.authentication_key is not None and self.authentication_key._has_data():
                                                return True

                                            if self.message_digest_key is not None:
                                                for child_ref in self.message_digest_key:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.name is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain']['meta_info']


                                    class MessageDigest(object):
                                        """
                                        Message\-digest authentication
                                        
                                        .. attribute:: authentication_key
                                        
                                        	Set authentication key
                                        	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey>`
                                        
                                        .. attribute:: message_digest_key
                                        
                                        	Set message digest key
                                        	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey()
                                            self.authentication_key.parent = self
                                            self.message_digest_key = YList()
                                            self.message_digest_key.parent = self
                                            self.message_digest_key.name = 'message_digest_key'


                                        class AuthenticationKey(object):
                                            """
                                            Set authentication key
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.auth_key = None
                                                self.auth_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication-key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.auth_key is not None:
                                                    return True

                                                if self.auth_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey']['meta_info']


                                        class MessageDigestKey(object):
                                            """
                                            Set message digest key
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: md5
                                            
                                            	Use MD5 algorithm
                                            	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5()
                                                self.md5.parent = self


                                            class Md5(object):
                                                """
                                                Use MD5 algorithm
                                                
                                                .. attribute:: auth_key
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**length:** 1..16
                                                
                                                .. attribute:: auth_type
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.auth_key = None
                                                    self.auth_type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.auth_key is not None:
                                                        return True

                                                    if self.auth_type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest-key[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.md5 is not None and self.md5._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.authentication_key is not None and self.authentication_key._has_data():
                                                return True

                                            if self.message_digest_key is not None:
                                                for child_ref in self.message_digest_key:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.authentication_key is not None and self.authentication_key._has_data():
                                            return True

                                        if self.key_chain is not None and self.key_chain._has_data():
                                            return True

                                        if self.message_digest is not None and self.message_digest._has_data():
                                            return True

                                        if self.message_digest_key is not None:
                                            for child_ref in self.message_digest_key:
                                                if child_ref._has_data():
                                                    return True

                                        if self.null is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication']['meta_info']


                                class HelloInterval(object):
                                    """
                                    Hello packet interval
                                    
                                    .. attribute:: hello_interval_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hello_interval_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hello-interval'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hello_interval_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.HelloInterval']['meta_info']


                                class DeadInterval(object):
                                    """
                                    Dead router detection time
                                    
                                    .. attribute:: dead_interval_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dead_interval_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dead-interval'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dead_interval_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.DeadInterval']['meta_info']


                                class RetransmitInterval(object):
                                    """
                                    LSA retransmit interval
                                    
                                    .. attribute:: retransmit_interval_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.retransmit_interval_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:retransmit-interval'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.retransmit_interval_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.RetransmitInterval']['meta_info']


                                class TransmitDelay(object):
                                    """
                                    LSA transmission delay
                                    
                                    .. attribute:: transmit_delay_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.transmit_delay_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:transmit-delay'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.transmit_delay_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TransmitDelay']['meta_info']


                                class Topology(object):
                                    """
                                    Disable virtual link on topology
                                    
                                    .. attribute:: disable
                                    
                                    	Disable virtual link
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:topology'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Topology']['meta_info']


                                class TtlSecurity(object):
                                    """
                                    TTL security check
                                    
                                    .. attribute:: hops
                                    
                                    	IP hops
                                    	**type**\:  int
                                    
                                    	**range:** 1..254
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hops = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ttl-security'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hops is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TtlSecurity']['meta_info']


                                class AuthenticationKey(object):
                                    """
                                    Set authentication key
                                    
                                    .. attribute:: auth_key
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: auth_type
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..7
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.auth_key = None
                                        self.auth_type = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication-key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.auth_key is not None:
                                            return True

                                        if self.auth_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.AuthenticationKey']['meta_info']


                                class MessageDigestKey(object):
                                    """
                                    Set message digest key
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: md5
                                    
                                    	Use MD5 algorithm
                                    	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey.Md5>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey.Md5()
                                        self.md5.parent = self


                                    class Md5(object):
                                        """
                                        Use MD5 algorithm
                                        
                                        .. attribute:: auth_key
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**length:** 1..16
                                        
                                        .. attribute:: auth_type
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.auth_key = None
                                            self.auth_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.auth_key is not None:
                                                return True

                                            if self.auth_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey.Md5']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest-key[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.md5 is not None and self.md5._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:virtual-link[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.authentication is not None and self.authentication._has_data():
                                        return True

                                    if self.authentication_key is not None and self.authentication_key._has_data():
                                        return True

                                    if self.dead_interval is not None and self.dead_interval._has_data():
                                        return True

                                    if self.hello_interval is not None and self.hello_interval._has_data():
                                        return True

                                    if self.message_digest_key is not None:
                                        for child_ref in self.message_digest_key:
                                            if child_ref._has_data():
                                                return True

                                    if self.retransmit_interval is not None and self.retransmit_interval._has_data():
                                        return True

                                    if self.topology is not None and self.topology._has_data():
                                        return True

                                    if self.transmit_delay is not None and self.transmit_delay._has_data():
                                        return True

                                    if self.ttl_security is not None and self.ttl_security._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                if self.capability is not None and self.capability._has_data():
                                    return True

                                if self.default_cost is not None:
                                    return True

                                if self.filter_list is not None:
                                    for child_ref in self.filter_list:
                                        if child_ref._has_data():
                                            return True

                                if self.ipv4_range is not None and self.ipv4_range._has_data():
                                    return True

                                if self.ipv6_range is not None and self.ipv6_range._has_data():
                                    return True

                                if self.nssa is not None and self.nssa._has_data():
                                    return True

                                if self.sham_link is not None:
                                    for child_ref in self.sham_link:
                                        if child_ref._has_data():
                                            return True

                                if self.stub is not None and self.stub._has_data():
                                    return True

                                if self.virtual_link is not None:
                                    for child_ref in self.virtual_link:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area']['meta_info']


                        class AutoCost(object):
                            """
                            Calculate OSPF interface cost according to bandwidth
                            
                            .. attribute:: reference_bandwidth
                            
                            	Use reference bandwidth method to assign OSPF cost
                            	**type**\:  int
                            
                            	**range:** 1..4294967
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.reference_bandwidth = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:auto-cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.reference_bandwidth is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.AutoCost']['meta_info']


                        class EventLog(object):
                            """
                            OSPF Event Logging
                            
                            .. attribute:: one_shot
                            
                            	Disable Logging When Log Buffer Becomes Full
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: pause
                            
                            	Pause Event Logging
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: size
                            
                            	Maximum Number of Events Stored in the Event Log
                            	**type**\:  int
                            
                            	**range:** 1..65534
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.one_shot = None
                                self.pause = None
                                self.size = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:event-log'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.one_shot is not None:
                                    return True

                                if self.pause is not None:
                                    return True

                                if self.size is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.EventLog']['meta_info']


                        class Bfd(object):
                            """
                            BFD configuration commands
                            
                            .. attribute:: all_interfaces
                            
                            	Enable BFD on all interfaces
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all_interfaces = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all_interfaces is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Bfd']['meta_info']


                        class InterfaceId(object):
                            """
                            Source of the interface ID
                            
                            .. attribute:: snmp_if_index
                            
                            	SNMP MIB ifIndex
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.snmp_if_index = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:interface-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.snmp_if_index is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.InterfaceId']['meta_info']


                        class LogAdjacencyChanges(object):
                            """
                            Log changes in adjacency state
                            
                            .. attribute:: detail
                            
                            	Log all state changes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.detail = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:log-adjacency-changes'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.detail is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.LogAdjacencyChanges']['meta_info']


                        class MaxLsa(object):
                            """
                            maximum number of LSAs OSPF process will receive
                            
                            .. attribute:: ignore_count
                            
                            	maximum number of times adjacencies can be suppressed
                            	**type**\:  int
                            
                            	**range:** 1..65534
                            
                            .. attribute:: ignore_time
                            
                            	time during which all adjacencies are suppressed
                            	**type**\:  int
                            
                            	**range:** 1..17895
                            
                            .. attribute:: number
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967294
                            
                            .. attribute:: reset_time
                            
                            	time after which ignore\-count is reset to zero
                            	**type**\:  int
                            
                            	**range:** 2..35791
                            
                            .. attribute:: threshold_value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: warning_only
                            
                            	Only give warning message when limit is exceeded
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ignore_count = None
                                self.ignore_time = None
                                self.number = None
                                self.reset_time = None
                                self.threshold_value = None
                                self.warning_only = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:max-lsa'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ignore_count is not None:
                                    return True

                                if self.ignore_time is not None:
                                    return True

                                if self.number is not None:
                                    return True

                                if self.reset_time is not None:
                                    return True

                                if self.threshold_value is not None:
                                    return True

                                if self.warning_only is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxLsa']['meta_info']


                        class MaxMetric(object):
                            """
                            Set maximum metric
                            
                            .. attribute:: router_lsa
                            
                            	Maximum metric in self\-originated router\-LSAs
                            	**type**\:   :py:class:`RouterLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.router_lsa = None


                            class RouterLsa(object):
                                """
                                Maximum metric in self\-originated router\-LSAs
                                
                                .. attribute:: external_lsa
                                
                                	Override external\-lsa metric with max\-metric value
                                	**type**\:   :py:class:`ExternalLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.ExternalLsa>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: include_stub
                                
                                	Set maximum metric for stub links in router\-LSAs
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: on_startup
                                
                                	Set maximum metric temporarily after reboot
                                	**type**\:   :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.OnStartup>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: summary_lsa
                                
                                	Override summary\-lsa metric with max\-metric value
                                	**type**\:   :py:class:`SummaryLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.SummaryLsa>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.external_lsa = None
                                    self.include_stub = None
                                    self.on_startup = None
                                    self.summary_lsa = None


                                class ExternalLsa(object):
                                    """
                                    Override external\-lsa metric with max\-metric value
                                    
                                    .. attribute:: metric
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..16777215
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external-lsa'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.ExternalLsa']['meta_info']


                                class OnStartup(object):
                                    """
                                    Set maximum metric temporarily after reboot
                                    
                                    .. attribute:: time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 5..86400
                                    
                                    .. attribute:: wait_for_bgp
                                    
                                    	Let BGP decide when to originate router\-LSA with normal metric
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.time = None
                                        self.wait_for_bgp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:on-startup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.time is not None:
                                            return True

                                        if self.wait_for_bgp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.OnStartup']['meta_info']


                                class SummaryLsa(object):
                                    """
                                    Override summary\-lsa metric with max\-metric value
                                    
                                    .. attribute:: metric
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..16777215
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:summary-lsa'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.SummaryLsa']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:router-lsa'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.external_lsa is not None and self.external_lsa._has_data():
                                        return True

                                    if self.include_stub is not None:
                                        return True

                                    if self.on_startup is not None and self.on_startup._has_data():
                                        return True

                                    if self.summary_lsa is not None and self.summary_lsa._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:max-metric'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.router_lsa is not None and self.router_lsa._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric']['meta_info']


                        class PassiveInterface(object):
                            """
                            Suppress routing updates on an interface
                            
                            .. attribute:: default
                            
                            	Suppress routing updates on all interfaces
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: interface
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.default = None
                                self.interface = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:passive-interface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.default is not None:
                                    return True

                                if self.interface is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.PassiveInterface']['meta_info']


                        class Disable(object):
                            """
                            
                            
                            .. attribute:: passive_interface
                            
                            	
                            	**type**\: list of    :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable.PassiveInterface>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.passive_interface = YList()
                                self.passive_interface.parent = self
                                self.passive_interface.name = 'passive_interface'


                            class PassiveInterface(object):
                                """
                                
                                
                                .. attribute:: interface  <key>
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.interface is None:
                                        raise YPYModelError('Key property interface is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:passive-interface[Cisco-IOS-XE-ospfv3:interface = ' + str(self.interface) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable.PassiveInterface']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:disable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.passive_interface is not None:
                                    for child_ref in self.passive_interface:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable']['meta_info']


                        class QueueDepth(object):
                            """
                            OSPF Hello/Router process queue depth
                            
                            .. attribute:: hello
                            
                            	OSPF Hello process queue depth
                            	**type**\:   :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Hello>`
                            
                            .. attribute:: update
                            
                            	OSPF Router process queue depth
                            	**type**\:   :py:class:`Update <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Update>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hello = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Hello()
                                self.hello.parent = self
                                self.update = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Update()
                                self.update.parent = self


                            class Hello(object):
                                """
                                OSPF Hello process queue depth
                                
                                .. attribute:: options
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..2147483647
                                
                                
                                ----
                                	**type**\:   :py:class:`OptionsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum>`
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.options = None

                                class OptionsEnum(Enum):
                                    """
                                    OptionsEnum

                                    .. data:: unlimited = 0

                                    """

                                    unlimited = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Hello.OptionsEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hello'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.options is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Hello']['meta_info']


                            class Update(object):
                                """
                                OSPF Router process queue depth
                                
                                .. attribute:: options
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..2147483647
                                
                                
                                ----
                                	**type**\:   :py:class:`OptionsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum>`
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.options = None

                                class OptionsEnum(Enum):
                                    """
                                    OptionsEnum

                                    .. data:: unlimited = 0

                                    """

                                    unlimited = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Update.OptionsEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:update'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.options is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Update']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:queue-depth'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hello is not None and self.hello._has_data():
                                    return True

                                if self.update is not None and self.update._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth']['meta_info']


                        class Timers(object):
                            """
                            Adjust routing timers
                            
                            .. attribute:: lsa
                            
                            	OSPF LSA timers
                            	**type**\:   :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Lsa>`
                            
                            .. attribute:: pacing
                            
                            	OSPF pacing timers
                            	**type**\:   :py:class:`Pacing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Pacing>`
                            
                            .. attribute:: throttle
                            
                            	OSPF throttle timers
                            	**type**\:   :py:class:`Throttle <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lsa = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Lsa()
                                self.lsa.parent = self
                                self.pacing = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Pacing()
                                self.pacing.parent = self
                                self.throttle = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle()
                                self.throttle.parent = self


                            class Lsa(object):
                                """
                                OSPF LSA timers
                                
                                .. attribute:: arrival
                                
                                	OSPF LSA arrival timer
                                	**type**\:  int
                                
                                	**range:** 0..600000
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.arrival = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lsa'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.arrival is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Lsa']['meta_info']


                            class Pacing(object):
                                """
                                OSPF pacing timers
                                
                                .. attribute:: flood
                                
                                	OSPF flood pacing timer
                                	**type**\:  int
                                
                                	**range:** 5..100
                                
                                .. attribute:: lsa_group
                                
                                	OSPF LSA group pacing timer
                                	**type**\:  int
                                
                                	**range:** 10..1800
                                
                                .. attribute:: retransmission
                                
                                	OSPF retransmission pacing timer
                                	**type**\:  int
                                
                                	**range:** 5..200
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.flood = None
                                    self.lsa_group = None
                                    self.retransmission = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:pacing'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.flood is not None:
                                        return True

                                    if self.lsa_group is not None:
                                        return True

                                    if self.retransmission is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Pacing']['meta_info']


                            class Throttle(object):
                                """
                                OSPF throttle timers
                                
                                .. attribute:: lsa
                                
                                	OSPF LSA throttle timers
                                	**type**\:   :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa>`
                                
                                .. attribute:: spf
                                
                                	OSPF SPF throttle timers
                                	**type**\:   :py:class:`Spf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Spf>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lsa = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa()
                                    self.lsa.parent = self
                                    self.spf = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Spf()
                                    self.spf.parent = self


                                class Lsa(object):
                                    """
                                    OSPF LSA throttle timers
                                    
                                    .. attribute:: all
                                    
                                    	For all type of OSPF LSAs
                                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa.All>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.all = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa.All()
                                        self.all.parent = self


                                    class All(object):
                                        """
                                        For all type of OSPF LSAs
                                        
                                        .. attribute:: delay
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..600000
                                        
                                        .. attribute:: max_delay
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..600000
                                        
                                        .. attribute:: min_delay
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..600000
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.delay = None
                                            self.max_delay = None
                                            self.min_delay = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:all'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.delay is not None:
                                                return True

                                            if self.max_delay is not None:
                                                return True

                                            if self.min_delay is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa.All']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lsa'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.all is not None and self.all._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa']['meta_info']


                                class Spf(object):
                                    """
                                    OSPF SPF throttle timers
                                    
                                    .. attribute:: delay
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..600000
                                    
                                    .. attribute:: max_delay
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..600000
                                    
                                    .. attribute:: min_delay
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..600000
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.delay = None
                                        self.max_delay = None
                                        self.min_delay = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:spf'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.delay is not None:
                                            return True

                                        if self.max_delay is not None:
                                            return True

                                        if self.min_delay is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Spf']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throttle'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lsa is not None and self.lsa._has_data():
                                        return True

                                    if self.spf is not None and self.spf._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lsa is not None and self.lsa._has_data():
                                    return True

                                if self.pacing is not None and self.pacing._has_data():
                                    return True

                                if self.throttle is not None and self.throttle._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers']['meta_info']


                        class TrafficShare(object):
                            """
                            How to compute traffic share over alternate paths
                            
                            .. attribute:: across_interfaces
                            
                            	Use different interfaces for equal\-cost paths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: min
                            
                            	All traffic shared among min metric paths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.across_interfaces = None
                                self.min = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:traffic-share'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.across_interfaces is not None:
                                    return True

                                if self.min is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TrafficShare']['meta_info']


                        class TtlSecurity(object):
                            """
                            TTL security check
                            
                            .. attribute:: all_interfaces
                            
                            	Enable TTL Security on all interfaces
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: hops
                            
                            	IP hops
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all_interfaces = None
                                self.hops = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ttl-security'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all_interfaces is not None:
                                    return True

                                if self.hops is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TtlSecurity']['meta_info']


                        class Capability(object):
                            """
                            Enable specific OSPF feature
                            
                            .. attribute:: capability_type
                            
                            	
                            	**type**\:   :py:class:`CapabilityTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Capability.CapabilityTypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.capability_type = None

                            class CapabilityTypeEnum(Enum):
                                """
                                CapabilityTypeEnum

                                .. data:: lls = 0

                                .. data:: opaque = 1

                                .. data:: transit = 2

                                .. data:: vrf_lite = 3

                                """

                                lls = 0

                                opaque = 1

                                transit = 2

                                vrf_lite = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Capability.CapabilityTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:capability'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.capability_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Capability']['meta_info']


                        class Compatible(object):
                            """
                            OSPF compatibility list
                            
                            .. attribute:: rfc1583
                            
                            	Compatible with RFC 1583
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rfc1587
                            
                            	Compatible with RFC 1587
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rfc5243
                            
                            	Compatible with RFC 5243
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rfc1583 = None
                                self.rfc1587 = None
                                self.rfc5243 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:compatible'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rfc1583 is not None:
                                    return True

                                if self.rfc1587 is not None:
                                    return True

                                if self.rfc5243 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Compatible']['meta_info']


                        class DefaultInformation(object):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:   :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation.Originate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.originate = None


                            class Originate(object):
                                """
                                Distribute a default route
                                
                                .. attribute:: always
                                
                                	Always advertise default route
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	OSPF default metric
                                	**type**\:  int
                                
                                	**range:** 0..16777214
                                
                                .. attribute:: metric_type
                                
                                	OSPF metric type for default routes
                                	**type**\:  int
                                
                                	**range:** 1..2
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.always = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:originate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.always is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation.Originate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:default-information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.originate is not None and self.originate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation']['meta_info']


                        class DiscardRoute(object):
                            """
                            Enable or disable discard\-route installation
                            
                            .. attribute:: external
                            
                            	Discard route for redistributed summarised routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: internal
                            
                            	Discard route for summarised internal routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: metric
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.external = None
                                self.internal = None
                                self.metric = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:discard-route'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.external is not None:
                                    return True

                                if self.internal is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DiscardRoute']['meta_info']


                        class Distance(object):
                            """
                            Define an administrative distance
                            
                            .. attribute:: ospf
                            
                            	OSPF routes Administrative distance
                            	**type**\:   :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.Ospf>`
                            
                            .. attribute:: ospf_distance
                            
                            	
                            	**type**\:   :py:class:`OspfDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.OspfDistance>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ospf = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.Ospf()
                                self.ospf.parent = self
                                self.ospf_distance = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.OspfDistance()
                                self.ospf_distance.parent = self


                            class OspfDistance(object):
                                """
                                
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..99
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 1300..1999
                                
                                
                                ----
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: distance
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildcard
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.acl_name = None
                                    self.distance = None
                                    self.ip = None
                                    self.wildcard = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospf-distance'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.acl_name is not None:
                                        return True

                                    if self.distance is not None:
                                        return True

                                    if self.ip is not None:
                                        return True

                                    if self.wildcard is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.OspfDistance']['meta_info']


                            class Ospf(object):
                                """
                                OSPF routes Administrative distance
                                
                                .. attribute:: external
                                
                                	External routes
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: inter_area
                                
                                	Inter\-area routes
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: intra_area
                                
                                	Intra\-area routes
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external = None
                                    self.inter_area = None
                                    self.intra_area = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospf'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external is not None:
                                        return True

                                    if self.inter_area is not None:
                                        return True

                                    if self.intra_area is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.Ospf']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ospf is not None and self.ospf._has_data():
                                    return True

                                if self.ospf_distance is not None and self.ospf_distance._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance']['meta_info']


                        class Redistribute(object):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\: list of    :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application>`
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: lisp
                            
                            	Locator ID Separation Protocol (LISP)
                            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp>`
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes redistributed to protocol
                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix>`
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of    :py:class:`Ospfv3_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: vrf
                            
                            	Specify a source VRF
                            	**type**\:   :py:class:`Vrf_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.application = YList()
                                self.application.parent = self
                                self.application.name = 'application'
                                self.bgp = YList()
                                self.bgp.parent = self
                                self.bgp.name = 'bgp'
                                self.connected = None
                                self.eigrp = YList()
                                self.eigrp.parent = self
                                self.eigrp.name = 'eigrp'
                                self.isis = None
                                self.iso_igrp = None
                                self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp()
                                self.lisp.parent = self
                                self.maximum_prefix = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self.mobile = None
                                self.odr = None
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.ospfv3 = YList()
                                self.ospfv3.parent = self
                                self.ospfv3.name = 'ospfv3'
                                self.rip = YList()
                                self.rip.parent = self
                                self.rip.name = 'rip'
                                self.static = None
                                self.vrf = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_()
                                self.vrf.parent = self


                            class Application(object):
                                """
                                Application
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:application[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application']['meta_info']


                            class Bgp(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.as_number is None:
                                        raise YPYModelError('Key property as_number is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bgp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_number is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RedistOptions>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.as_number is None:
                                        raise YPYModelError('Key property as_number is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:eigrp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_number is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp']['meta_info']


                            class Isis(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea>`
                                
                                .. attribute:: isis_level_routes
                                
                                	
                                	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisLevelRoutesEnum>`
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RedistOptions>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.isis_area = YList()
                                    self.isis_area.parent = self
                                    self.isis_area.name = 'isis_area'
                                    self.isis_level_routes = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RedistOptions()
                                    self.redist_options.parent = self

                                class IsisLevelRoutesEnum(Enum):
                                    """
                                    IsisLevelRoutesEnum

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    .. data:: level_1_2 = 2

                                    """

                                    level_1 = 0

                                    level_2 = 1

                                    level_1_2 = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisLevelRoutesEnum']



                                class IsisArea(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: isis_level_routes
                                    
                                    	
                                    	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.IsisLevelRoutesEnum>`
                                    
                                    .. attribute:: redist_options
                                    
                                    	
                                    	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RedistOptions>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.isis_level_routes = None
                                        self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RedistOptions()
                                        self.redist_options.parent = self

                                    class IsisLevelRoutesEnum(Enum):
                                        """
                                        IsisLevelRoutesEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = 0

                                        level_2 = 1

                                        level_1_2 = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.IsisLevelRoutesEnum']



                                    class RedistOptions(object):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RedistOptions.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RedistOptions.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RedistOptions']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis-area[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.isis_level_routes is not None:
                                            return True

                                        if self.redist_options is not None and self.redist_options._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea']['meta_info']


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.isis_area is not None:
                                        for child_ref in self.isis_area:
                                            if child_ref._has_data():
                                                return True

                                    if self.isis_level_routes is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis']['meta_info']


                            class IsoIgrp(object):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: area_tag_route_map_container
                                
                                	
                                	**type**\:   :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer>`
                                
                                .. attribute:: iso_igrp_container
                                
                                	
                                	**type**\:   :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer()
                                    self.area_tag_route_map_container.parent = self
                                    self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer()
                                    self.iso_igrp_container.parent = self
                                    self.route_map = None


                                class AreaTagRouteMapContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: area_tag
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.area_tag = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area-tag-route-map-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.area_tag is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer']['meta_info']


                                class IsoIgrpContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer.MetricTypeEnum>`
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.area_tag_route_map_container is not None and self.area_tag_route_map_container._has_data():
                                        return True

                                    if self.iso_igrp_container is not None and self.iso_igrp_container._has_data():
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp']['meta_info']


                            class Lisp(object):
                                """
                                Locator ID Separation Protocol (LISP)
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lisp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp']['meta_info']


                            class Mobile(object):
                                """
                                Mobile routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RedistOptions>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mobile'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile']['meta_info']


                            class Odr(object):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RedistOptions>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:odr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match()
                                    self.match.parent = self
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None
                                    self.vrf = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.MetricTypeEnum']



                                class Match(object):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.internal = None
                                        self.nssa_external = None


                                    class Internal(object):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal']['meta_info']


                                    class External(object):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.external_routes = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.external_routes is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External']['meta_info']


                                    class NssaExternal(object):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_external_routes = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_external_routes is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None and self.external._has_data():
                                            return True

                                        if self.internal is not None and self.internal._has_data():
                                            return True

                                        if self.nssa_external is not None and self.nssa_external._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospf[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.match is not None and self.match._has_data():
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf']['meta_info']


                            class Ospfv3_(object):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match()
                                    self.match.parent = self
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.MetricTypeEnum']



                                class Match(object):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.internal = None
                                        self.nssa_external = None


                                    class Internal(object):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.Internal.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.Internal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.Internal']['meta_info']


                                    class External(object):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.External.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.external_routes = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.External.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.external_routes is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.External']['meta_info']


                                    class NssaExternal(object):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.NssaExternal.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_external_routes = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.NssaExternal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_external_routes is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match.NssaExternal']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None and self.external._has_data():
                                            return True

                                        if self.internal is not None and self.internal._has_data():
                                            return True

                                        if self.nssa_external is not None and self.nssa_external._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_.Match']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospfv3[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.match is not None and self.match._has_data():
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3_']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: id  <key>
                                
                                	User selected string identifying this rip process
                                	**type**\:  str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:rip[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static.RedistOptions>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static']['meta_info']


                            class MaximumPrefix(object):
                                """
                                Maximum number of prefixes redistributed to protocol
                                
                                .. attribute:: number
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: threshold_warning_only_container
                                
                                	
                                	**type**\:   :py:class:`ThresholdWarningOnlyContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.threshold_warning_only_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer()
                                    self.threshold_warning_only_container.parent = self


                                class ThresholdWarningOnlyContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give warning message when limit is exceeded
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.threshold = None
                                        self.warning_only = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:threshold-warning-only-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.threshold is not None:
                                            return True

                                        if self.warning_only is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:maximum-prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.threshold_warning_only_container is not None and self.threshold_warning_only_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix']['meta_info']


                            class Vrf_(object):
                                """
                                Specify a source VRF
                                
                                .. attribute:: global_
                                
                                	global VRF
                                	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_>`
                                
                                .. attribute:: non_global_vrf
                                
                                	
                                	**type**\: list of    :py:class:`NonGlobalVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.global_ = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_()
                                    self.global_.parent = self
                                    self.non_global_vrf = YList()
                                    self.non_global_vrf.parent = self
                                    self.non_global_vrf.name = 'non_global_vrf'


                                class NonGlobalVrf(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\: list of    :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator ID Separation Protocol (LISP)
                                    	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of    :py:class:`Ospfv3_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.application = YList()
                                        self.application.parent = self
                                        self.application.name = 'application'
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = None
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = None
                                        self.iso_igrp = None
                                        self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp()
                                        self.lisp.parent = self
                                        self.mobile = None
                                        self.odr = None
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.ospfv3 = YList()
                                        self.ospfv3.parent = self
                                        self.ospfv3.name = 'ospfv3'
                                        self.rip = YList()
                                        self.rip.parent = self
                                        self.rip.name = 'rip'
                                        self.static = None


                                    class Application(object):
                                        """
                                        Application
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:application[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application']['meta_info']


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_number = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.as_number is None:
                                                raise YPYModelError('Key property as_number is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bgp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.as_number is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_number = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.as_number is None:
                                                raise YPYModelError('Key property as_number is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:eigrp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.as_number is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea>`
                                        
                                        .. attribute:: isis_level_routes
                                        
                                        	
                                        	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisLevelRoutesEnum>`
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.isis_area = YList()
                                            self.isis_area.parent = self
                                            self.isis_area.name = 'isis_area'
                                            self.isis_level_routes = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions()
                                            self.redist_options.parent = self

                                        class IsisLevelRoutesEnum(Enum):
                                            """
                                            IsisLevelRoutesEnum

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = 0

                                            level_2 = 1

                                            level_1_2 = 2


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisLevelRoutesEnum']



                                        class IsisArea(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: isis_level_routes
                                            
                                            	
                                            	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutesEnum>`
                                            
                                            .. attribute:: redist_options
                                            
                                            	
                                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.isis_level_routes = None
                                                self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions()
                                                self.redist_options.parent = self

                                            class IsisLevelRoutesEnum(Enum):
                                                """
                                                IsisLevelRoutesEnum

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = 0

                                                level_2 = 1

                                                level_1_2 = 2


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutesEnum']



                                            class RedistOptions(object):
                                                """
                                                
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis-area[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.isis_level_routes is not None:
                                                    return True

                                                if self.redist_options is not None and self.redist_options._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea']['meta_info']


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.isis_area is not None:
                                                for child_ref in self.isis_area:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis_level_routes is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis']['meta_info']


                                    class IsoIgrp(object):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: area_tag_route_map_container
                                        
                                        	
                                        	**type**\:   :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer>`
                                        
                                        .. attribute:: iso_igrp_container
                                        
                                        	
                                        	**type**\:   :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer()
                                            self.area_tag_route_map_container.parent = self
                                            self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer()
                                            self.iso_igrp_container.parent = self
                                            self.route_map = None


                                        class AreaTagRouteMapContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: area_tag
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.area_tag = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area-tag-route-map-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.area_tag is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer']['meta_info']


                                        class IsoIgrpContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricTypeEnum>`
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.area_tag_route_map_container is not None and self.area_tag_route_map_container._has_data():
                                                return True

                                            if self.iso_igrp_container is not None and self.iso_igrp_container._has_data():
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp']['meta_info']


                                    class Lisp(object):
                                        """
                                        Locator ID Separation Protocol (LISP)
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lisp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp']['meta_info']


                                    class Mobile(object):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mobile'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile']['meta_info']


                                    class Odr(object):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:odr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match()
                                            self.match.parent = self
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None
                                            self.vrf = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.MetricTypeEnum']



                                        class Match(object):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.external = None
                                                self.internal = None
                                                self.nssa_external = None


                                            class Internal(object):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.Internal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.Internal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.Internal']['meta_info']


                                            class External(object):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.External.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.external_routes = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.External.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.external_routes is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.External']['meta_info']


                                            class NssaExternal(object):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.NssaExternal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_external_routes = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.NssaExternal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_external_routes is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.NssaExternal']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.external is not None and self.external._has_data():
                                                    return True

                                                if self.internal is not None and self.internal._has_data():
                                                    return True

                                                if self.nssa_external is not None and self.nssa_external._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospf[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.match is not None and self.match._has_data():
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf']['meta_info']


                                    class Ospfv3_(object):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match()
                                            self.match.parent = self
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.MetricTypeEnum']



                                        class Match(object):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.external = None
                                                self.internal = None
                                                self.nssa_external = None


                                            class Internal(object):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.Internal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.Internal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.Internal']['meta_info']


                                            class External(object):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.External.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.external_routes = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.External.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.external_routes is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.External']['meta_info']


                                            class NssaExternal(object):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.NssaExternal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_external_routes = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.NssaExternal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_external_routes is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.NssaExternal']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.external is not None and self.external._has_data():
                                                    return True

                                                if self.internal is not None and self.internal._has_data():
                                                    return True

                                                if self.nssa_external is not None and self.nssa_external._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospfv3[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.match is not None and self.match._has_data():
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this rip process
                                        	**type**\:  str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:rip[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:non-global-vrf[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.application is not None:
                                            for child_ref in self.application:
                                                if child_ref._has_data():
                                                    return True

                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None and self.isis._has_data():
                                            return True

                                        if self.iso_igrp is not None and self.iso_igrp._has_data():
                                            return True

                                        if self.lisp is not None and self.lisp._has_data():
                                            return True

                                        if self.mobile is not None and self.mobile._has_data():
                                            return True

                                        if self.odr is not None and self.odr._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ospfv3 is not None:
                                            for child_ref in self.ospfv3:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None:
                                            for child_ref in self.rip:
                                                if child_ref._has_data():
                                                    return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']


                                class Global_(object):
                                    """
                                    global VRF
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\: list of    :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator ID Separation Protocol (LISP)
                                    	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Lisp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of    :py:class:`Ospfv3_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.application = YList()
                                        self.application.parent = self
                                        self.application.name = 'application'
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = None
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = None
                                        self.iso_igrp = None
                                        self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Lisp()
                                        self.lisp.parent = self
                                        self.mobile = None
                                        self.odr = None
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.ospfv3 = YList()
                                        self.ospfv3.parent = self
                                        self.ospfv3.name = 'ospfv3'
                                        self.rip = YList()
                                        self.rip.parent = self
                                        self.rip.name = 'rip'
                                        self.static = None


                                    class Application(object):
                                        """
                                        Application
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:application[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Application']['meta_info']


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_number = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.as_number is None:
                                                raise YPYModelError('Key property as_number is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bgp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.as_number is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_number = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.as_number is None:
                                                raise YPYModelError('Key property as_number is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:eigrp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.as_number is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea>`
                                        
                                        .. attribute:: isis_level_routes
                                        
                                        	
                                        	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisLevelRoutesEnum>`
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.isis_area = YList()
                                            self.isis_area.parent = self
                                            self.isis_area.name = 'isis_area'
                                            self.isis_level_routes = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions()
                                            self.redist_options.parent = self

                                        class IsisLevelRoutesEnum(Enum):
                                            """
                                            IsisLevelRoutesEnum

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = 0

                                            level_2 = 1

                                            level_1_2 = 2


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisLevelRoutesEnum']



                                        class IsisArea(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: isis_level_routes
                                            
                                            	
                                            	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.IsisLevelRoutesEnum>`
                                            
                                            .. attribute:: redist_options
                                            
                                            	
                                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.isis_level_routes = None
                                                self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions()
                                                self.redist_options.parent = self

                                            class IsisLevelRoutesEnum(Enum):
                                                """
                                                IsisLevelRoutesEnum

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = 0

                                                level_2 = 1

                                                level_1_2 = 2


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.IsisLevelRoutesEnum']



                                            class RedistOptions(object):
                                                """
                                                
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis-area[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.isis_level_routes is not None:
                                                    return True

                                                if self.redist_options is not None and self.redist_options._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea']['meta_info']


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.isis_area is not None:
                                                for child_ref in self.isis_area:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis_level_routes is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Isis']['meta_info']


                                    class IsoIgrp(object):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: area_tag_route_map_container
                                        
                                        	
                                        	**type**\:   :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.AreaTagRouteMapContainer>`
                                        
                                        .. attribute:: iso_igrp_container
                                        
                                        	
                                        	**type**\:   :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.AreaTagRouteMapContainer()
                                            self.area_tag_route_map_container.parent = self
                                            self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer()
                                            self.iso_igrp_container.parent = self
                                            self.route_map = None


                                        class AreaTagRouteMapContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: area_tag
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.area_tag = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area-tag-route-map-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.area_tag is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.AreaTagRouteMapContainer']['meta_info']


                                        class IsoIgrpContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer.MetricTypeEnum>`
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.area_tag_route_map_container is not None and self.area_tag_route_map_container._has_data():
                                                return True

                                            if self.iso_igrp_container is not None and self.iso_igrp_container._has_data():
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.IsoIgrp']['meta_info']


                                    class Lisp(object):
                                        """
                                        Locator ID Separation Protocol (LISP)
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lisp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Lisp']['meta_info']


                                    class Mobile(object):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mobile'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Mobile']['meta_info']


                                    class Odr(object):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:odr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Odr']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match()
                                            self.match.parent = self
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None
                                            self.vrf = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.MetricTypeEnum']



                                        class Match(object):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.external = None
                                                self.internal = None
                                                self.nssa_external = None


                                            class Internal(object):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.Internal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.Internal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.Internal']['meta_info']


                                            class External(object):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.External.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.external_routes = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.External.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.external_routes is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.External']['meta_info']


                                            class NssaExternal(object):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.NssaExternal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_external_routes = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.NssaExternal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_external_routes is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.NssaExternal']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.external is not None and self.external._has_data():
                                                    return True

                                                if self.internal is not None and self.internal._has_data():
                                                    return True

                                                if self.nssa_external is not None and self.nssa_external._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf.Match']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospf[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.match is not None and self.match._has_data():
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospf']['meta_info']


                                    class Ospfv3_(object):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match()
                                            self.match.parent = self
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.MetricTypeEnum']



                                        class Match(object):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.external = None
                                                self.internal = None
                                                self.nssa_external = None


                                            class Internal(object):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.Internal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.Internal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.Internal']['meta_info']


                                            class External(object):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.External.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.external_routes = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.External.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.external_routes is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.External']['meta_info']


                                            class NssaExternal(object):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.NssaExternal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_external_routes = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.NssaExternal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_external_routes is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.NssaExternal']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.external is not None and self.external._has_data():
                                                    return True

                                                if self.internal is not None and self.internal._has_data():
                                                    return True

                                                if self.nssa_external is not None and self.nssa_external._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospfv3[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.match is not None and self.match._has_data():
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Ospfv3_']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this rip process
                                        	**type**\:  str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:rip[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Rip']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_.Static']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:global'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.application is not None:
                                            for child_ref in self.application:
                                                if child_ref._has_data():
                                                    return True

                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None and self.isis._has_data():
                                            return True

                                        if self.iso_igrp is not None and self.iso_igrp._has_data():
                                            return True

                                        if self.lisp is not None and self.lisp._has_data():
                                            return True

                                        if self.mobile is not None and self.mobile._has_data():
                                            return True

                                        if self.odr is not None and self.odr._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ospfv3 is not None:
                                            for child_ref in self.ospfv3:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None:
                                            for child_ref in self.rip:
                                                if child_ref._has_data():
                                                    return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_.Global_']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:vrf'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.global_ is not None and self.global_._has_data():
                                        return True

                                    if self.non_global_vrf is not None:
                                        for child_ref in self.non_global_vrf:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redistribute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.application is not None:
                                    for child_ref in self.application:
                                        if child_ref._has_data():
                                            return True

                                if self.bgp is not None:
                                    for child_ref in self.bgp:
                                        if child_ref._has_data():
                                            return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.eigrp is not None:
                                    for child_ref in self.eigrp:
                                        if child_ref._has_data():
                                            return True

                                if self.isis is not None and self.isis._has_data():
                                    return True

                                if self.iso_igrp is not None and self.iso_igrp._has_data():
                                    return True

                                if self.lisp is not None and self.lisp._has_data():
                                    return True

                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                    return True

                                if self.mobile is not None and self.mobile._has_data():
                                    return True

                                if self.odr is not None and self.odr._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.ospfv3 is not None:
                                    for child_ref in self.ospfv3:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None:
                                    for child_ref in self.rip:
                                        if child_ref._has_data():
                                            return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                if self.vrf is not None and self.vrf._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']


                        class Authentication(object):
                            """
                            Authentication parameters
                            
                            .. attribute:: mode
                            
                            	Authentication operation mode
                            	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Authentication.ModeEnum>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mode = None

                            class ModeEnum(Enum):
                                """
                                ModeEnum

                                Authentication operation mode

                                .. data:: deployment = 0

                                .. data:: normal = 1

                                .. data:: strict = 2

                                """

                                deployment = 0

                                normal = 1

                                strict = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Authentication.ModeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Authentication']['meta_info']


                        class GracefulRestart(object):
                            """
                            Graceful\-restart options
                            
                            .. attribute:: disable
                            
                            	Graceful restart disable
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: helper
                            
                            	helper support
                            	**type**\:   :py:class:`Helper <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.GracefulRestart.Helper>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: restart_interval
                            
                            	Graceful restart interval
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None
                                self.helper = None
                                self.restart_interval = None


                            class Helper(object):
                                """
                                helper support
                                
                                .. attribute:: disable
                                
                                	disable helper support
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: strict_lsa_checking
                                
                                	enable helper strict LSA checking
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None
                                    self.strict_lsa_checking = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:helper'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    if self.strict_lsa_checking is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.GracefulRestart.Helper']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:graceful-restart'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                if self.helper is not None and self.helper._has_data():
                                    return True

                                if self.restart_interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.GracefulRestart']['meta_info']


                        class Manet(object):
                            """
                            Specify MANET OSPF parameters
                            
                            .. attribute:: cache
                            
                            	Specify MANET cache sizes
                            	**type**\:   :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Cache>`
                            
                            .. attribute:: hello
                            
                            	Unicast Hellos rather than multicast
                            	**type**\:   :py:class:`HelloEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.HelloEnum>`
                            
                            .. attribute:: peering
                            
                            	MANET OSPF Smart Peering
                            	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering>`
                            
                            .. attribute:: willingness
                            
                            	Specify Relay willingness value
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cache = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Cache()
                                self.cache.parent = self
                                self.hello = None
                                self.peering = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering()
                                self.peering.parent = self
                                self.willingness = None

                            class HelloEnum(Enum):
                                """
                                HelloEnum

                                Unicast Hellos rather than multicast

                                .. data:: unicast = 0

                                .. data:: multicast = 1

                                """

                                unicast = 0

                                multicast = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.HelloEnum']



                            class Cache(object):
                                """
                                Specify MANET cache sizes
                                
                                .. attribute:: acknowledgement
                                
                                	Specify MANET acknowledgement cache size
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: update
                                
                                	Specify MANET LSA cache size
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.acknowledgement = None
                                    self.update = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.acknowledgement is not None:
                                        return True

                                    if self.update is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Cache']['meta_info']


                            class Peering(object):
                                """
                                MANET OSPF Smart Peering
                                
                                .. attribute:: selective
                                
                                	Enable selective peering
                                	**type**\:   :py:class:`Selective <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering.Selective>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.selective = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering.Selective()
                                    self.selective.parent = self


                                class Selective(object):
                                    """
                                    Enable selective peering
                                    
                                    .. attribute:: disable
                                    
                                    	Disable selective peering
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: per_interface
                                    
                                    	Select peers per interface rather than per node
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: redundancy
                                    
                                    	Redundant paths
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.disable = None
                                        self.per_interface = None
                                        self.redundancy = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:selective'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.disable is not None:
                                            return True

                                        if self.per_interface is not None:
                                            return True

                                        if self.redundancy is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering.Selective']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.selective is not None and self.selective._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cache is not None and self.cache._has_data():
                                    return True

                                if self.hello is not None:
                                    return True

                                if self.peering is not None and self.peering._has_data():
                                    return True

                                if self.willingness is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet']['meta_info']


                        class SummaryPrefix(object):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            .. attribute:: not_advertise
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: nssa_only
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix = None
                                self.not_advertise = None
                                self.nssa_only = None
                                self.tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.prefix is None:
                                    raise YPYModelError('Key property prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:summary-prefix[Cisco-IOS-XE-ospfv3:prefix = ' + str(self.prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix is not None:
                                    return True

                                if self.not_advertise is not None:
                                    return True

                                if self.nssa_only is not None:
                                    return True

                                if self.tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.SummaryPrefix']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.vrf is None:
                                raise YPYModelError('Key property vrf is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:vrf[Cisco-IOS-XE-ospfv3:vrf = ' + str(self.vrf) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vrf is not None:
                                return True

                            if self.area is not None:
                                for child_ref in self.area:
                                    if child_ref._has_data():
                                        return True

                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.auto_cost is not None and self.auto_cost._has_data():
                                return True

                            if self.bfd is not None and self.bfd._has_data():
                                return True

                            if self.capability is not None and self.capability._has_data():
                                return True

                            if self.compatible is not None and self.compatible._has_data():
                                return True

                            if self.default_information is not None and self.default_information._has_data():
                                return True

                            if self.default_metric is not None:
                                return True

                            if self.disable is not None and self.disable._has_data():
                                return True

                            if self.discard_route is not None and self.discard_route._has_data():
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.event_log is not None and self.event_log._has_data():
                                return True

                            if self.graceful_restart is not None and self.graceful_restart._has_data():
                                return True

                            if self.interface_id is not None and self.interface_id._has_data():
                                return True

                            if self.log_adjacency_changes is not None and self.log_adjacency_changes._has_data():
                                return True

                            if self.manet is not None and self.manet._has_data():
                                return True

                            if self.max_lsa is not None and self.max_lsa._has_data():
                                return True

                            if self.max_metric is not None and self.max_metric._has_data():
                                return True

                            if self.maximum_paths is not None:
                                return True

                            if self.nsr is not None:
                                return True

                            if self.passive_interface is not None and self.passive_interface._has_data():
                                return True

                            if self.queue_depth is not None and self.queue_depth._has_data():
                                return True

                            if self.redistribute is not None and self.redistribute._has_data():
                                return True

                            if self.router_id is not None:
                                return True

                            if self.summary_prefix is not None:
                                for child_ref in self.summary_prefix:
                                    if child_ref._has_data():
                                        return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.traffic_share is not None and self.traffic_share._has_data():
                                return True

                            if self.ttl_security is not None and self.ttl_security._has_data():
                                return True

                            if self.unicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        if self.vrf is not None:
                            for child_ref in self.vrf:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv4']['meta_info']


                class Ipv6(object):
                    """
                    IPv6 Address family
                    
                    .. attribute:: unicast
                    
                    	
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: vrf
                    
                    	Specify parameters for a VPN Routing/Forwarding instance
                    	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.unicast = None
                        self.vrf = YList()
                        self.vrf.parent = self
                        self.vrf.name = 'vrf'


                    class Unicast(object):
                        """
                        
                        
                        .. attribute:: area
                        
                        	OSPF area parameters
                        	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area>`
                        
                        .. attribute:: authentication
                        
                        	Authentication parameters
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Authentication>`
                        
                        .. attribute:: auto_cost
                        
                        	Calculate OSPF interface cost according to bandwidth
                        	**type**\:   :py:class:`AutoCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.AutoCost>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: bfd
                        
                        	BFD configuration commands
                        	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Bfd>`
                        
                        .. attribute:: capability
                        
                        	Enable specific OSPF feature
                        	**type**\:   :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Capability>`
                        
                        .. attribute:: compatible
                        
                        	OSPF compatibility list
                        	**type**\:   :py:class:`Compatible <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Compatible>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\:   :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable>`
                        
                        .. attribute:: discard_route
                        
                        	Enable or disable discard\-route installation
                        	**type**\:   :py:class:`DiscardRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DiscardRoute>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance>`
                        
                        .. attribute:: event_log
                        
                        	OSPF Event Logging
                        	**type**\:   :py:class:`EventLog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.EventLog>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: graceful_restart
                        
                        	Graceful\-restart options
                        	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.GracefulRestart>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: interface_id
                        
                        	Source of the interface ID
                        	**type**\:   :py:class:`InterfaceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.InterfaceId>`
                        
                        .. attribute:: log_adjacency_changes
                        
                        	Log changes in adjacency state
                        	**type**\:   :py:class:`LogAdjacencyChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.LogAdjacencyChanges>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF parameters
                        	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet>`
                        
                        .. attribute:: max_lsa
                        
                        	maximum number of LSAs OSPF process will receive
                        	**type**\:   :py:class:`MaxLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxLsa>`
                        
                        .. attribute:: max_metric
                        
                        	Set maximum metric
                        	**type**\:   :py:class:`MaxMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:  int
                        
                        	**range:** 1..32
                        
                        .. attribute:: nsr
                        
                        	Enable non\-stop routing
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: passive_interface
                        
                        	Suppress routing updates on an interface
                        	**type**\:   :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.PassiveInterface>`
                        
                        .. attribute:: queue_depth
                        
                        	OSPF Hello/Router process queue depth
                        	**type**\:   :py:class:`QueueDepth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute>`
                        
                        .. attribute:: router_id
                        
                        	Override configured router identifier (peers will reset)
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: summary_prefix
                        
                        	Configure IPv6 summary prefix
                        	**type**\: list of    :py:class:`SummaryPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.SummaryPrefix>`
                        
                        .. attribute:: timers
                        
                        	Adjust routing timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers>`
                        
                        .. attribute:: traffic_share
                        
                        	How to compute traffic share over alternate paths
                        	**type**\:   :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TrafficShare>`
                        
                        .. attribute:: ttl_security
                        
                        	TTL security check
                        	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TtlSecurity>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.area = YList()
                            self.area.parent = self
                            self.area.name = 'area'
                            self.authentication = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Authentication()
                            self.authentication.parent = self
                            self.auto_cost = None
                            self.bfd = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Bfd()
                            self.bfd.parent = self
                            self.capability = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Capability()
                            self.capability.parent = self
                            self.compatible = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Compatible()
                            self.compatible.parent = self
                            self.default_information = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation()
                            self.default_information.parent = self
                            self.default_metric = None
                            self.disable = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable()
                            self.disable.parent = self
                            self.discard_route = None
                            self.distance = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance()
                            self.distance.parent = self
                            self.event_log = None
                            self.graceful_restart = None
                            self.interface_id = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.InterfaceId()
                            self.interface_id.parent = self
                            self.log_adjacency_changes = None
                            self.manet = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet()
                            self.manet.parent = self
                            self.max_lsa = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxLsa()
                            self.max_lsa.parent = self
                            self.max_metric = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric()
                            self.max_metric.parent = self
                            self.maximum_paths = None
                            self.nsr = None
                            self.passive_interface = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.PassiveInterface()
                            self.passive_interface.parent = self
                            self.queue_depth = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth()
                            self.queue_depth.parent = self
                            self.redistribute = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute()
                            self.redistribute.parent = self
                            self.router_id = None
                            self.summary_prefix = YList()
                            self.summary_prefix.parent = self
                            self.summary_prefix.name = 'summary_prefix'
                            self.timers = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers()
                            self.timers.parent = self
                            self.traffic_share = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TrafficShare()
                            self.traffic_share.parent = self
                            self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TtlSecurity()
                            self.ttl_security.parent = self


                        class Area(object):
                            """
                            OSPF area parameters
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: authentication
                            
                            	Enable authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Authentication>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Enable area specific capability
                            	**type**\:   :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Capability>`
                            
                            .. attribute:: default_cost
                            
                            	Set the summary default\-cost of a NSSA/stub area
                            	**type**\:  int
                            
                            	**range:** 0..16777215
                            
                            .. attribute:: filter_list
                            
                            	Filter networks between OSPF areas
                            	**type**\: list of    :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.FilterList>`
                            
                            .. attribute:: ipv4_range
                            
                            	
                            	**type**\:   :py:class:`Ipv4Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range>`
                            
                            .. attribute:: ipv6_range
                            
                            	
                            	**type**\:   :py:class:`Ipv6Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range>`
                            
                            .. attribute:: nssa
                            
                            	Specify a NSSA area
                            	**type**\:   :py:class:`Nssa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: sham_link
                            
                            	Define a sham link and its parameters
                            	**type**\: list of    :py:class:`ShamLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink>`
                            
                            .. attribute:: stub
                            
                            	Specify a stub area
                            	**type**\:   :py:class:`Stub <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Stub>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: virtual_link
                            
                            	Define a virtual link and its parameters
                            	**type**\: list of    :py:class:`VirtualLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.authentication = None
                                self.capability = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Capability()
                                self.capability.parent = self
                                self.default_cost = None
                                self.filter_list = YList()
                                self.filter_list.parent = self
                                self.filter_list.name = 'filter_list'
                                self.ipv4_range = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range()
                                self.ipv4_range.parent = self
                                self.ipv6_range = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range()
                                self.ipv6_range.parent = self
                                self.nssa = None
                                self.sham_link = YList()
                                self.sham_link.parent = self
                                self.sham_link.name = 'sham_link'
                                self.stub = None
                                self.virtual_link = YList()
                                self.virtual_link.parent = self
                                self.virtual_link.name = 'virtual_link'


                            class Authentication(object):
                                """
                                Enable authentication
                                
                                .. attribute:: message_digest
                                
                                	Use message\-digest authentication
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.message_digest = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.message_digest is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Authentication']['meta_info']


                            class Capability(object):
                                """
                                Enable area specific capability
                                
                                .. attribute:: default_exclusion
                                
                                	Enable exclusion of links from base topology
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default_exclusion = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:capability'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default_exclusion is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Capability']['meta_info']


                            class FilterList(object):
                                """
                                Filter networks between OSPF areas
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:   :py:class:`InOutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.FilterList.InOutEnum>`
                                
                                .. attribute:: prefix
                                
                                	Filter prefixes between OSPF areas
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_out = None
                                    self.prefix = None

                                class InOutEnum(Enum):
                                    """
                                    InOutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.FilterList.InOutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.in_out is None:
                                        raise YPYModelError('Key property in_out is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:filter-list[Cisco-IOS-XE-ospfv3:in-out = ' + str(self.in_out) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_out is not None:
                                        return True

                                    if self.prefix is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.FilterList']['meta_info']


                            class Nssa(object):
                                """
                                Specify a NSSA area
                                
                                .. attribute:: default_information_originate
                                
                                	Originate Type 7 default into NSSA area
                                	**type**\:   :py:class:`DefaultInformationOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_ext_capability
                                
                                	Do not send domain specific capabilities into NSSA
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_redistribution
                                
                                	No redistribution into this NSSA area
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_summary
                                
                                	Do not send summary LSA into NSSA
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit default advertisement to this NSSA area
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: translate
                                
                                	Translate LSA
                                	**type**\:   :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.default_information_originate = None
                                    self.no_ext_capability = None
                                    self.no_redistribution = None
                                    self.no_summary = None
                                    self.nssa_only = None
                                    self.translate = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate()
                                    self.translate.parent = self


                                class DefaultInformationOriginate(object):
                                    """
                                    Originate Type 7 default into NSSA area
                                    
                                    .. attribute:: metric
                                    
                                    	OSPF default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..16777214
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF metric type for default routes
                                    	**type**\:  int
                                    
                                    	**range:** 1..2
                                    
                                    .. attribute:: no_ext_capability
                                    
                                    	Do not send domain specific capabilities into NSSA
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: no_redistribution
                                    
                                    	No redistribution into this NSSA area
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: no_summary
                                    
                                    	Do not send summary LSA into NSSA
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit default advertisement to this NSSA area
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: translate
                                    
                                    	Translate LSA
                                    	**type**\:   :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.metric_type = None
                                        self.no_ext_capability = None
                                        self.no_redistribution = None
                                        self.no_summary = None
                                        self.nssa_only = None
                                        self.translate = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate()
                                        self.translate.parent = self


                                    class Translate(object):
                                        """
                                        Translate LSA
                                        
                                        .. attribute:: type7
                                        
                                        	From Type 7 to Type 5
                                        	**type**\:   :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.type7 = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7()
                                            self.type7.parent = self


                                        class Type7(object):
                                            """
                                            From Type 7 to Type 5
                                            
                                            .. attribute:: always
                                            
                                            	Always translate LSAs on this ABR
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: suppress_fa
                                            
                                            	Suppress forwarding address in translated LSAs
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.always = None
                                                self.suppress_fa = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:type7'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.always is not None:
                                                    return True

                                                if self.suppress_fa is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:translate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.type7 is not None and self.type7._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:default-information-originate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.no_ext_capability is not None:
                                            return True

                                        if self.no_redistribution is not None:
                                            return True

                                        if self.no_summary is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.translate is not None and self.translate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate']['meta_info']


                                class Translate(object):
                                    """
                                    Translate LSA
                                    
                                    .. attribute:: type7
                                    
                                    	From Type 7 to Type 5
                                    	**type**\:   :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate.Type7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.type7 = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate.Type7()
                                        self.type7.parent = self


                                    class Type7(object):
                                        """
                                        From Type 7 to Type 5
                                        
                                        .. attribute:: always
                                        
                                        	Always translate LSAs on this ABR
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: suppress_fa
                                        
                                        	Suppress forwarding address in translated LSAs
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.always = None
                                            self.suppress_fa = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:type7'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.always is not None:
                                                return True

                                            if self.suppress_fa is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate.Type7']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:translate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.type7 is not None and self.type7._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.default_information_originate is not None and self.default_information_originate._has_data():
                                        return True

                                    if self.no_ext_capability is not None:
                                        return True

                                    if self.no_redistribution is not None:
                                        return True

                                    if self.no_summary is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.translate is not None and self.translate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa']['meta_info']


                            class Ipv4Range(object):
                                """
                                
                                
                                .. attribute:: range
                                
                                	Summarize routes matching address/mask (border routers only)
                                	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range.Range>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.range = YList()
                                    self.range.parent = self
                                    self.range.name = 'range'


                                class Range(object):
                                    """
                                    Summarize routes matching address/mask (border routers only)
                                    
                                    .. attribute:: ip  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: mask  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise this range (default)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: cost
                                    
                                    	User specified metric for this range
                                    	**type**\:  int
                                    
                                    	**range:** 0..16777215
                                    
                                    .. attribute:: not_advertise
                                    
                                    	DoNotAdvertise this range
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip = None
                                        self.mask = None
                                        self.advertise = None
                                        self.cost = None
                                        self.not_advertise = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip is None:
                                            raise YPYModelError('Key property ip is None')
                                        if self.mask is None:
                                            raise YPYModelError('Key property mask is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:range[Cisco-IOS-XE-ospfv3:ip = ' + str(self.ip) + '][Cisco-IOS-XE-ospfv3:mask = ' + str(self.mask) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip is not None:
                                            return True

                                        if self.mask is not None:
                                            return True

                                        if self.advertise is not None:
                                            return True

                                        if self.cost is not None:
                                            return True

                                        if self.not_advertise is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range.Range']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv4-range'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.range is not None:
                                        for child_ref in self.range:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range']['meta_info']


                            class Ipv6Range(object):
                                """
                                
                                
                                .. attribute:: range
                                
                                	Summarize routes matching address/mask (border routers only)
                                	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range.Range>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.range = YList()
                                    self.range.parent = self
                                    self.range.name = 'range'


                                class Range(object):
                                    """
                                    Summarize routes matching address/mask (border routers only)
                                    
                                    .. attribute:: ip  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise this range (default)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: cost
                                    
                                    	User specified metric for this range
                                    	**type**\:  int
                                    
                                    	**range:** 0..16777215
                                    
                                    .. attribute:: not_advertise
                                    
                                    	DoNotAdvertise this range
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip = None
                                        self.advertise = None
                                        self.cost = None
                                        self.not_advertise = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip is None:
                                            raise YPYModelError('Key property ip is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:range[Cisco-IOS-XE-ospfv3:ip = ' + str(self.ip) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip is not None:
                                            return True

                                        if self.advertise is not None:
                                            return True

                                        if self.cost is not None:
                                            return True

                                        if self.not_advertise is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range.Range']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv6-range'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.range is not None:
                                        for child_ref in self.range:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range']['meta_info']


                            class ShamLink(object):
                                """
                                Define a sham link and its parameters
                                
                                .. attribute:: source  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: dest  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: cost
                                
                                	Associate a cost with the sham\-link
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: ttl_security
                                
                                	TTL security check
                                	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink.TtlSecurity>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = None
                                    self.dest = None
                                    self.cost = None
                                    self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink.TtlSecurity()
                                    self.ttl_security.parent = self


                                class TtlSecurity(object):
                                    """
                                    TTL security check
                                    
                                    .. attribute:: hops
                                    
                                    	IP hops
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hops = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ttl-security'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hops is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink.TtlSecurity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.source is None:
                                        raise YPYModelError('Key property source is None')
                                    if self.dest is None:
                                        raise YPYModelError('Key property dest is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:sham-link[Cisco-IOS-XE-ospfv3:source = ' + str(self.source) + '][Cisco-IOS-XE-ospfv3:dest = ' + str(self.dest) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None:
                                        return True

                                    if self.dest is not None:
                                        return True

                                    if self.cost is not None:
                                        return True

                                    if self.ttl_security is not None and self.ttl_security._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink']['meta_info']


                            class Stub(object):
                                """
                                Specify a stub area
                                
                                .. attribute:: no_ext_capability
                                
                                	Do not send domain specific capabilities into stub area
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_summary
                                
                                	Do not send summary LSA into stub area
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.no_ext_capability = None
                                    self.no_summary = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:stub'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.no_ext_capability is not None:
                                        return True

                                    if self.no_summary is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Stub']['meta_info']


                            class VirtualLink(object):
                                """
                                Define a virtual link and its parameters
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: authentication
                                
                                	Set authentication type
                                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication>`
                                
                                .. attribute:: authentication_key
                                
                                	Set authentication key
                                	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.AuthenticationKey>`
                                
                                .. attribute:: dead_interval
                                
                                	Dead router detection time
                                	**type**\:   :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.DeadInterval>`
                                
                                .. attribute:: hello_interval
                                
                                	Hello packet interval
                                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.HelloInterval>`
                                
                                .. attribute:: message_digest_key
                                
                                	Set message digest key
                                	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey>`
                                
                                .. attribute:: retransmit_interval
                                
                                	LSA retransmit interval
                                	**type**\:   :py:class:`RetransmitInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.RetransmitInterval>`
                                
                                .. attribute:: topology
                                
                                	Disable virtual link on topology
                                	**type**\:   :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Topology>`
                                
                                .. attribute:: transmit_delay
                                
                                	LSA transmission delay
                                	**type**\:   :py:class:`TransmitDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TransmitDelay>`
                                
                                .. attribute:: ttl_security
                                
                                	TTL security check
                                	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TtlSecurity>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.authentication = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication()
                                    self.authentication.parent = self
                                    self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.AuthenticationKey()
                                    self.authentication_key.parent = self
                                    self.dead_interval = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.DeadInterval()
                                    self.dead_interval.parent = self
                                    self.hello_interval = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.HelloInterval()
                                    self.hello_interval.parent = self
                                    self.message_digest_key = YList()
                                    self.message_digest_key.parent = self
                                    self.message_digest_key.name = 'message_digest_key'
                                    self.retransmit_interval = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.RetransmitInterval()
                                    self.retransmit_interval.parent = self
                                    self.topology = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Topology()
                                    self.topology.parent = self
                                    self.transmit_delay = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TransmitDelay()
                                    self.transmit_delay.parent = self
                                    self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TtlSecurity()
                                    self.ttl_security.parent = self


                                class Authentication(object):
                                    """
                                    Set authentication type
                                    
                                    .. attribute:: authentication_key
                                    
                                    	Set authentication key
                                    	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.AuthenticationKey>`
                                    
                                    .. attribute:: key_chain
                                    
                                    	Use a key\-chain for cryptographic authentication keys
                                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain>`
                                    
                                    .. attribute:: message_digest
                                    
                                    	Message\-digest authentication
                                    	**type**\:   :py:class:`MessageDigest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest>`
                                    
                                    .. attribute:: message_digest_key
                                    
                                    	Set message digest key
                                    	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey>`
                                    
                                    .. attribute:: null
                                    
                                    	No authentication
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.AuthenticationKey()
                                        self.authentication_key.parent = self
                                        self.key_chain = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain()
                                        self.key_chain.parent = self
                                        self.message_digest = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest()
                                        self.message_digest.parent = self
                                        self.message_digest_key = YList()
                                        self.message_digest_key.parent = self
                                        self.message_digest_key.name = 'message_digest_key'
                                        self.null = None


                                    class AuthenticationKey(object):
                                        """
                                        Set authentication key
                                        
                                        .. attribute:: auth_key
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: auth_type
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.auth_key = None
                                            self.auth_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication-key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.auth_key is not None:
                                                return True

                                            if self.auth_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.AuthenticationKey']['meta_info']


                                    class MessageDigestKey(object):
                                        """
                                        Set message digest key
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: md5
                                        
                                        	Use MD5 algorithm
                                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5()
                                            self.md5.parent = self


                                        class Md5(object):
                                            """
                                            Use MD5 algorithm
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**length:** 1..16
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.auth_key = None
                                                self.auth_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.auth_key is not None:
                                                    return True

                                                if self.auth_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest-key[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.md5 is not None and self.md5._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey']['meta_info']


                                    class KeyChain(object):
                                        """
                                        Use a key\-chain for cryptographic authentication keys
                                        
                                        .. attribute:: authentication_key
                                        
                                        	Set authentication key
                                        	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey>`
                                        
                                        .. attribute:: message_digest_key
                                        
                                        	Set message digest key
                                        	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey>`
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey()
                                            self.authentication_key.parent = self
                                            self.message_digest_key = YList()
                                            self.message_digest_key.parent = self
                                            self.message_digest_key.name = 'message_digest_key'
                                            self.name = None


                                        class AuthenticationKey(object):
                                            """
                                            Set authentication key
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.auth_key = None
                                                self.auth_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication-key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.auth_key is not None:
                                                    return True

                                                if self.auth_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey']['meta_info']


                                        class MessageDigestKey(object):
                                            """
                                            Set message digest key
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: md5
                                            
                                            	Use MD5 algorithm
                                            	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5()
                                                self.md5.parent = self


                                            class Md5(object):
                                                """
                                                Use MD5 algorithm
                                                
                                                .. attribute:: auth_key
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**length:** 1..16
                                                
                                                .. attribute:: auth_type
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.auth_key = None
                                                    self.auth_type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.auth_key is not None:
                                                        return True

                                                    if self.auth_type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest-key[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.md5 is not None and self.md5._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-chain'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.authentication_key is not None and self.authentication_key._has_data():
                                                return True

                                            if self.message_digest_key is not None:
                                                for child_ref in self.message_digest_key:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.name is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain']['meta_info']


                                    class MessageDigest(object):
                                        """
                                        Message\-digest authentication
                                        
                                        .. attribute:: authentication_key
                                        
                                        	Set authentication key
                                        	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey>`
                                        
                                        .. attribute:: message_digest_key
                                        
                                        	Set message digest key
                                        	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey()
                                            self.authentication_key.parent = self
                                            self.message_digest_key = YList()
                                            self.message_digest_key.parent = self
                                            self.message_digest_key.name = 'message_digest_key'


                                        class AuthenticationKey(object):
                                            """
                                            Set authentication key
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.auth_key = None
                                                self.auth_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication-key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.auth_key is not None:
                                                    return True

                                                if self.auth_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey']['meta_info']


                                        class MessageDigestKey(object):
                                            """
                                            Set message digest key
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: md5
                                            
                                            	Use MD5 algorithm
                                            	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5()
                                                self.md5.parent = self


                                            class Md5(object):
                                                """
                                                Use MD5 algorithm
                                                
                                                .. attribute:: auth_key
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**length:** 1..16
                                                
                                                .. attribute:: auth_type
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.auth_key = None
                                                    self.auth_type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.auth_key is not None:
                                                        return True

                                                    if self.auth_type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest-key[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.md5 is not None and self.md5._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.authentication_key is not None and self.authentication_key._has_data():
                                                return True

                                            if self.message_digest_key is not None:
                                                for child_ref in self.message_digest_key:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.authentication_key is not None and self.authentication_key._has_data():
                                            return True

                                        if self.key_chain is not None and self.key_chain._has_data():
                                            return True

                                        if self.message_digest is not None and self.message_digest._has_data():
                                            return True

                                        if self.message_digest_key is not None:
                                            for child_ref in self.message_digest_key:
                                                if child_ref._has_data():
                                                    return True

                                        if self.null is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication']['meta_info']


                                class HelloInterval(object):
                                    """
                                    Hello packet interval
                                    
                                    .. attribute:: hello_interval_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hello_interval_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hello-interval'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hello_interval_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.HelloInterval']['meta_info']


                                class DeadInterval(object):
                                    """
                                    Dead router detection time
                                    
                                    .. attribute:: dead_interval_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dead_interval_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dead-interval'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dead_interval_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.DeadInterval']['meta_info']


                                class RetransmitInterval(object):
                                    """
                                    LSA retransmit interval
                                    
                                    .. attribute:: retransmit_interval_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.retransmit_interval_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:retransmit-interval'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.retransmit_interval_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.RetransmitInterval']['meta_info']


                                class TransmitDelay(object):
                                    """
                                    LSA transmission delay
                                    
                                    .. attribute:: transmit_delay_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.transmit_delay_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:transmit-delay'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.transmit_delay_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TransmitDelay']['meta_info']


                                class Topology(object):
                                    """
                                    Disable virtual link on topology
                                    
                                    .. attribute:: disable
                                    
                                    	Disable virtual link
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:topology'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Topology']['meta_info']


                                class TtlSecurity(object):
                                    """
                                    TTL security check
                                    
                                    .. attribute:: hops
                                    
                                    	IP hops
                                    	**type**\:  int
                                    
                                    	**range:** 1..254
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hops = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ttl-security'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hops is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TtlSecurity']['meta_info']


                                class AuthenticationKey(object):
                                    """
                                    Set authentication key
                                    
                                    .. attribute:: auth_key
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: auth_type
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..7
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.auth_key = None
                                        self.auth_type = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication-key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.auth_key is not None:
                                            return True

                                        if self.auth_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.AuthenticationKey']['meta_info']


                                class MessageDigestKey(object):
                                    """
                                    Set message digest key
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: md5
                                    
                                    	Use MD5 algorithm
                                    	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey.Md5>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey.Md5()
                                        self.md5.parent = self


                                    class Md5(object):
                                        """
                                        Use MD5 algorithm
                                        
                                        .. attribute:: auth_key
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**length:** 1..16
                                        
                                        .. attribute:: auth_type
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.auth_key = None
                                            self.auth_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.auth_key is not None:
                                                return True

                                            if self.auth_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey.Md5']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest-key[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.md5 is not None and self.md5._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:virtual-link[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.authentication is not None and self.authentication._has_data():
                                        return True

                                    if self.authentication_key is not None and self.authentication_key._has_data():
                                        return True

                                    if self.dead_interval is not None and self.dead_interval._has_data():
                                        return True

                                    if self.hello_interval is not None and self.hello_interval._has_data():
                                        return True

                                    if self.message_digest_key is not None:
                                        for child_ref in self.message_digest_key:
                                            if child_ref._has_data():
                                                return True

                                    if self.retransmit_interval is not None and self.retransmit_interval._has_data():
                                        return True

                                    if self.topology is not None and self.topology._has_data():
                                        return True

                                    if self.transmit_delay is not None and self.transmit_delay._has_data():
                                        return True

                                    if self.ttl_security is not None and self.ttl_security._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                if self.capability is not None and self.capability._has_data():
                                    return True

                                if self.default_cost is not None:
                                    return True

                                if self.filter_list is not None:
                                    for child_ref in self.filter_list:
                                        if child_ref._has_data():
                                            return True

                                if self.ipv4_range is not None and self.ipv4_range._has_data():
                                    return True

                                if self.ipv6_range is not None and self.ipv6_range._has_data():
                                    return True

                                if self.nssa is not None and self.nssa._has_data():
                                    return True

                                if self.sham_link is not None:
                                    for child_ref in self.sham_link:
                                        if child_ref._has_data():
                                            return True

                                if self.stub is not None and self.stub._has_data():
                                    return True

                                if self.virtual_link is not None:
                                    for child_ref in self.virtual_link:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area']['meta_info']


                        class AutoCost(object):
                            """
                            Calculate OSPF interface cost according to bandwidth
                            
                            .. attribute:: reference_bandwidth
                            
                            	Use reference bandwidth method to assign OSPF cost
                            	**type**\:  int
                            
                            	**range:** 1..4294967
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.reference_bandwidth = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:auto-cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.reference_bandwidth is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.AutoCost']['meta_info']


                        class EventLog(object):
                            """
                            OSPF Event Logging
                            
                            .. attribute:: one_shot
                            
                            	Disable Logging When Log Buffer Becomes Full
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: pause
                            
                            	Pause Event Logging
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: size
                            
                            	Maximum Number of Events Stored in the Event Log
                            	**type**\:  int
                            
                            	**range:** 1..65534
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.one_shot = None
                                self.pause = None
                                self.size = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:event-log'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.one_shot is not None:
                                    return True

                                if self.pause is not None:
                                    return True

                                if self.size is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.EventLog']['meta_info']


                        class Bfd(object):
                            """
                            BFD configuration commands
                            
                            .. attribute:: all_interfaces
                            
                            	Enable BFD on all interfaces
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all_interfaces = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all_interfaces is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Bfd']['meta_info']


                        class InterfaceId(object):
                            """
                            Source of the interface ID
                            
                            .. attribute:: snmp_if_index
                            
                            	SNMP MIB ifIndex
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.snmp_if_index = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:interface-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.snmp_if_index is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.InterfaceId']['meta_info']


                        class LogAdjacencyChanges(object):
                            """
                            Log changes in adjacency state
                            
                            .. attribute:: detail
                            
                            	Log all state changes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.detail = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:log-adjacency-changes'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.detail is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.LogAdjacencyChanges']['meta_info']


                        class MaxLsa(object):
                            """
                            maximum number of LSAs OSPF process will receive
                            
                            .. attribute:: ignore_count
                            
                            	maximum number of times adjacencies can be suppressed
                            	**type**\:  int
                            
                            	**range:** 1..65534
                            
                            .. attribute:: ignore_time
                            
                            	time during which all adjacencies are suppressed
                            	**type**\:  int
                            
                            	**range:** 1..17895
                            
                            .. attribute:: number
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967294
                            
                            .. attribute:: reset_time
                            
                            	time after which ignore\-count is reset to zero
                            	**type**\:  int
                            
                            	**range:** 2..35791
                            
                            .. attribute:: threshold_value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: warning_only
                            
                            	Only give warning message when limit is exceeded
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ignore_count = None
                                self.ignore_time = None
                                self.number = None
                                self.reset_time = None
                                self.threshold_value = None
                                self.warning_only = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:max-lsa'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ignore_count is not None:
                                    return True

                                if self.ignore_time is not None:
                                    return True

                                if self.number is not None:
                                    return True

                                if self.reset_time is not None:
                                    return True

                                if self.threshold_value is not None:
                                    return True

                                if self.warning_only is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxLsa']['meta_info']


                        class MaxMetric(object):
                            """
                            Set maximum metric
                            
                            .. attribute:: router_lsa
                            
                            	Maximum metric in self\-originated router\-LSAs
                            	**type**\:   :py:class:`RouterLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.router_lsa = None


                            class RouterLsa(object):
                                """
                                Maximum metric in self\-originated router\-LSAs
                                
                                .. attribute:: external_lsa
                                
                                	Override external\-lsa metric with max\-metric value
                                	**type**\:   :py:class:`ExternalLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.ExternalLsa>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: include_stub
                                
                                	Set maximum metric for stub links in router\-LSAs
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: on_startup
                                
                                	Set maximum metric temporarily after reboot
                                	**type**\:   :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.OnStartup>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: summary_lsa
                                
                                	Override summary\-lsa metric with max\-metric value
                                	**type**\:   :py:class:`SummaryLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.SummaryLsa>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.external_lsa = None
                                    self.include_stub = None
                                    self.on_startup = None
                                    self.summary_lsa = None


                                class ExternalLsa(object):
                                    """
                                    Override external\-lsa metric with max\-metric value
                                    
                                    .. attribute:: metric
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..16777215
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external-lsa'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.ExternalLsa']['meta_info']


                                class OnStartup(object):
                                    """
                                    Set maximum metric temporarily after reboot
                                    
                                    .. attribute:: time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 5..86400
                                    
                                    .. attribute:: wait_for_bgp
                                    
                                    	Let BGP decide when to originate router\-LSA with normal metric
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.time = None
                                        self.wait_for_bgp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:on-startup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.time is not None:
                                            return True

                                        if self.wait_for_bgp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.OnStartup']['meta_info']


                                class SummaryLsa(object):
                                    """
                                    Override summary\-lsa metric with max\-metric value
                                    
                                    .. attribute:: metric
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..16777215
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:summary-lsa'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.SummaryLsa']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:router-lsa'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.external_lsa is not None and self.external_lsa._has_data():
                                        return True

                                    if self.include_stub is not None:
                                        return True

                                    if self.on_startup is not None and self.on_startup._has_data():
                                        return True

                                    if self.summary_lsa is not None and self.summary_lsa._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:max-metric'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.router_lsa is not None and self.router_lsa._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric']['meta_info']


                        class PassiveInterface(object):
                            """
                            Suppress routing updates on an interface
                            
                            .. attribute:: default
                            
                            	Suppress routing updates on all interfaces
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: interface
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.default = None
                                self.interface = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:passive-interface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.default is not None:
                                    return True

                                if self.interface is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.PassiveInterface']['meta_info']


                        class Disable(object):
                            """
                            
                            
                            .. attribute:: passive_interface
                            
                            	
                            	**type**\: list of    :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable.PassiveInterface>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.passive_interface = YList()
                                self.passive_interface.parent = self
                                self.passive_interface.name = 'passive_interface'


                            class PassiveInterface(object):
                                """
                                
                                
                                .. attribute:: interface  <key>
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.interface is None:
                                        raise YPYModelError('Key property interface is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:passive-interface[Cisco-IOS-XE-ospfv3:interface = ' + str(self.interface) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable.PassiveInterface']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:disable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.passive_interface is not None:
                                    for child_ref in self.passive_interface:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable']['meta_info']


                        class QueueDepth(object):
                            """
                            OSPF Hello/Router process queue depth
                            
                            .. attribute:: hello
                            
                            	OSPF Hello process queue depth
                            	**type**\:   :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Hello>`
                            
                            .. attribute:: update
                            
                            	OSPF Router process queue depth
                            	**type**\:   :py:class:`Update <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Update>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hello = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Hello()
                                self.hello.parent = self
                                self.update = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Update()
                                self.update.parent = self


                            class Hello(object):
                                """
                                OSPF Hello process queue depth
                                
                                .. attribute:: options
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..2147483647
                                
                                
                                ----
                                	**type**\:   :py:class:`OptionsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum>`
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.options = None

                                class OptionsEnum(Enum):
                                    """
                                    OptionsEnum

                                    .. data:: unlimited = 0

                                    """

                                    unlimited = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Hello.OptionsEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hello'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.options is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Hello']['meta_info']


                            class Update(object):
                                """
                                OSPF Router process queue depth
                                
                                .. attribute:: options
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..2147483647
                                
                                
                                ----
                                	**type**\:   :py:class:`OptionsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum>`
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.options = None

                                class OptionsEnum(Enum):
                                    """
                                    OptionsEnum

                                    .. data:: unlimited = 0

                                    """

                                    unlimited = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Update.OptionsEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:update'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.options is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Update']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:queue-depth'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hello is not None and self.hello._has_data():
                                    return True

                                if self.update is not None and self.update._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth']['meta_info']


                        class Timers(object):
                            """
                            Adjust routing timers
                            
                            .. attribute:: lsa
                            
                            	OSPF LSA timers
                            	**type**\:   :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Lsa>`
                            
                            .. attribute:: pacing
                            
                            	OSPF pacing timers
                            	**type**\:   :py:class:`Pacing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Pacing>`
                            
                            .. attribute:: throttle
                            
                            	OSPF throttle timers
                            	**type**\:   :py:class:`Throttle <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lsa = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Lsa()
                                self.lsa.parent = self
                                self.pacing = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Pacing()
                                self.pacing.parent = self
                                self.throttle = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle()
                                self.throttle.parent = self


                            class Lsa(object):
                                """
                                OSPF LSA timers
                                
                                .. attribute:: arrival
                                
                                	OSPF LSA arrival timer
                                	**type**\:  int
                                
                                	**range:** 0..600000
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.arrival = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lsa'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.arrival is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Lsa']['meta_info']


                            class Pacing(object):
                                """
                                OSPF pacing timers
                                
                                .. attribute:: flood
                                
                                	OSPF flood pacing timer
                                	**type**\:  int
                                
                                	**range:** 5..100
                                
                                .. attribute:: lsa_group
                                
                                	OSPF LSA group pacing timer
                                	**type**\:  int
                                
                                	**range:** 10..1800
                                
                                .. attribute:: retransmission
                                
                                	OSPF retransmission pacing timer
                                	**type**\:  int
                                
                                	**range:** 5..200
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.flood = None
                                    self.lsa_group = None
                                    self.retransmission = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:pacing'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.flood is not None:
                                        return True

                                    if self.lsa_group is not None:
                                        return True

                                    if self.retransmission is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Pacing']['meta_info']


                            class Throttle(object):
                                """
                                OSPF throttle timers
                                
                                .. attribute:: lsa
                                
                                	OSPF LSA throttle timers
                                	**type**\:   :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa>`
                                
                                .. attribute:: spf
                                
                                	OSPF SPF throttle timers
                                	**type**\:   :py:class:`Spf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Spf>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lsa = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa()
                                    self.lsa.parent = self
                                    self.spf = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Spf()
                                    self.spf.parent = self


                                class Lsa(object):
                                    """
                                    OSPF LSA throttle timers
                                    
                                    .. attribute:: all
                                    
                                    	For all type of OSPF LSAs
                                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa.All>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.all = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa.All()
                                        self.all.parent = self


                                    class All(object):
                                        """
                                        For all type of OSPF LSAs
                                        
                                        .. attribute:: delay
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..600000
                                        
                                        .. attribute:: max_delay
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..600000
                                        
                                        .. attribute:: min_delay
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..600000
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.delay = None
                                            self.max_delay = None
                                            self.min_delay = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:all'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.delay is not None:
                                                return True

                                            if self.max_delay is not None:
                                                return True

                                            if self.min_delay is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa.All']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lsa'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.all is not None and self.all._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa']['meta_info']


                                class Spf(object):
                                    """
                                    OSPF SPF throttle timers
                                    
                                    .. attribute:: delay
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..600000
                                    
                                    .. attribute:: max_delay
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..600000
                                    
                                    .. attribute:: min_delay
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..600000
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.delay = None
                                        self.max_delay = None
                                        self.min_delay = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:spf'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.delay is not None:
                                            return True

                                        if self.max_delay is not None:
                                            return True

                                        if self.min_delay is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Spf']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throttle'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lsa is not None and self.lsa._has_data():
                                        return True

                                    if self.spf is not None and self.spf._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lsa is not None and self.lsa._has_data():
                                    return True

                                if self.pacing is not None and self.pacing._has_data():
                                    return True

                                if self.throttle is not None and self.throttle._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers']['meta_info']


                        class TrafficShare(object):
                            """
                            How to compute traffic share over alternate paths
                            
                            .. attribute:: across_interfaces
                            
                            	Use different interfaces for equal\-cost paths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: min
                            
                            	All traffic shared among min metric paths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.across_interfaces = None
                                self.min = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:traffic-share'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.across_interfaces is not None:
                                    return True

                                if self.min is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TrafficShare']['meta_info']


                        class TtlSecurity(object):
                            """
                            TTL security check
                            
                            .. attribute:: all_interfaces
                            
                            	Enable TTL Security on all interfaces
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: hops
                            
                            	IP hops
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all_interfaces = None
                                self.hops = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ttl-security'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all_interfaces is not None:
                                    return True

                                if self.hops is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TtlSecurity']['meta_info']


                        class Capability(object):
                            """
                            Enable specific OSPF feature
                            
                            .. attribute:: capability_type
                            
                            	
                            	**type**\:   :py:class:`CapabilityTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Capability.CapabilityTypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.capability_type = None

                            class CapabilityTypeEnum(Enum):
                                """
                                CapabilityTypeEnum

                                .. data:: lls = 0

                                .. data:: opaque = 1

                                .. data:: transit = 2

                                .. data:: vrf_lite = 3

                                """

                                lls = 0

                                opaque = 1

                                transit = 2

                                vrf_lite = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Capability.CapabilityTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:capability'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.capability_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Capability']['meta_info']


                        class Compatible(object):
                            """
                            OSPF compatibility list
                            
                            .. attribute:: rfc1583
                            
                            	Compatible with RFC 1583
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rfc1587
                            
                            	Compatible with RFC 1587
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rfc5243
                            
                            	Compatible with RFC 5243
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rfc1583 = None
                                self.rfc1587 = None
                                self.rfc5243 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:compatible'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rfc1583 is not None:
                                    return True

                                if self.rfc1587 is not None:
                                    return True

                                if self.rfc5243 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Compatible']['meta_info']


                        class DefaultInformation(object):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:   :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation.Originate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.originate = None


                            class Originate(object):
                                """
                                Distribute a default route
                                
                                .. attribute:: always
                                
                                	Always advertise default route
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	OSPF default metric
                                	**type**\:  int
                                
                                	**range:** 0..16777214
                                
                                .. attribute:: metric_type
                                
                                	OSPF metric type for default routes
                                	**type**\:  int
                                
                                	**range:** 1..2
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.always = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:originate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.always is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation.Originate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:default-information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.originate is not None and self.originate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation']['meta_info']


                        class DiscardRoute(object):
                            """
                            Enable or disable discard\-route installation
                            
                            .. attribute:: external
                            
                            	Discard route for redistributed summarised routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: internal
                            
                            	Discard route for summarised internal routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: metric
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.external = None
                                self.internal = None
                                self.metric = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:discard-route'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.external is not None:
                                    return True

                                if self.internal is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DiscardRoute']['meta_info']


                        class Distance(object):
                            """
                            Define an administrative distance
                            
                            .. attribute:: ospf
                            
                            	OSPF routes Administrative distance
                            	**type**\:   :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.Ospf>`
                            
                            .. attribute:: ospf_distance
                            
                            	
                            	**type**\:   :py:class:`OspfDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.OspfDistance>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ospf = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.Ospf()
                                self.ospf.parent = self
                                self.ospf_distance = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.OspfDistance()
                                self.ospf_distance.parent = self


                            class OspfDistance(object):
                                """
                                
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..99
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 1300..1999
                                
                                
                                ----
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: distance
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildcard
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.acl_name = None
                                    self.distance = None
                                    self.ip = None
                                    self.wildcard = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospf-distance'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.acl_name is not None:
                                        return True

                                    if self.distance is not None:
                                        return True

                                    if self.ip is not None:
                                        return True

                                    if self.wildcard is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.OspfDistance']['meta_info']


                            class Ospf(object):
                                """
                                OSPF routes Administrative distance
                                
                                .. attribute:: external
                                
                                	External routes
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: inter_area
                                
                                	Inter\-area routes
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: intra_area
                                
                                	Intra\-area routes
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external = None
                                    self.inter_area = None
                                    self.intra_area = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospf'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external is not None:
                                        return True

                                    if self.inter_area is not None:
                                        return True

                                    if self.intra_area is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.Ospf']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ospf is not None and self.ospf._has_data():
                                    return True

                                if self.ospf_distance is not None and self.ospf_distance._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance']['meta_info']


                        class Redistribute(object):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\: list of    :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application>`
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: lisp
                            
                            	Locator ID Separation Protocol (LISP)
                            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp>`
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes redistributed to protocol
                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix>`
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of    :py:class:`Ospfv3_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: vrf
                            
                            	Specify a source VRF
                            	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.application = YList()
                                self.application.parent = self
                                self.application.name = 'application'
                                self.bgp = YList()
                                self.bgp.parent = self
                                self.bgp.name = 'bgp'
                                self.connected = None
                                self.eigrp = YList()
                                self.eigrp.parent = self
                                self.eigrp.name = 'eigrp'
                                self.isis = None
                                self.iso_igrp = None
                                self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp()
                                self.lisp.parent = self
                                self.maximum_prefix = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self.mobile = None
                                self.odr = None
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.ospfv3 = YList()
                                self.ospfv3.parent = self
                                self.ospfv3.name = 'ospfv3'
                                self.rip = YList()
                                self.rip.parent = self
                                self.rip.name = 'rip'
                                self.static = None
                                self.vrf = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf()
                                self.vrf.parent = self


                            class Application(object):
                                """
                                Application
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:application[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application']['meta_info']


                            class Bgp(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.as_number is None:
                                        raise YPYModelError('Key property as_number is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bgp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_number is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected.RedistOptions>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.as_number is None:
                                        raise YPYModelError('Key property as_number is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:eigrp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_number is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp']['meta_info']


                            class Isis(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea>`
                                
                                .. attribute:: isis_level_routes
                                
                                	
                                	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisLevelRoutesEnum>`
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.RedistOptions>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.isis_area = YList()
                                    self.isis_area.parent = self
                                    self.isis_area.name = 'isis_area'
                                    self.isis_level_routes = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.RedistOptions()
                                    self.redist_options.parent = self

                                class IsisLevelRoutesEnum(Enum):
                                    """
                                    IsisLevelRoutesEnum

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    .. data:: level_1_2 = 2

                                    """

                                    level_1 = 0

                                    level_2 = 1

                                    level_1_2 = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisLevelRoutesEnum']



                                class IsisArea(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: isis_level_routes
                                    
                                    	
                                    	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.IsisLevelRoutesEnum>`
                                    
                                    .. attribute:: redist_options
                                    
                                    	
                                    	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.RedistOptions>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.isis_level_routes = None
                                        self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.RedistOptions()
                                        self.redist_options.parent = self

                                    class IsisLevelRoutesEnum(Enum):
                                        """
                                        IsisLevelRoutesEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = 0

                                        level_2 = 1

                                        level_1_2 = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.IsisLevelRoutesEnum']



                                    class RedistOptions(object):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.RedistOptions.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.RedistOptions.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.RedistOptions']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis-area[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.isis_level_routes is not None:
                                            return True

                                        if self.redist_options is not None and self.redist_options._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea']['meta_info']


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.isis_area is not None:
                                        for child_ref in self.isis_area:
                                            if child_ref._has_data():
                                                return True

                                    if self.isis_level_routes is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis']['meta_info']


                            class IsoIgrp(object):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: area_tag_route_map_container
                                
                                	
                                	**type**\:   :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer>`
                                
                                .. attribute:: iso_igrp_container
                                
                                	
                                	**type**\:   :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer()
                                    self.area_tag_route_map_container.parent = self
                                    self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer()
                                    self.iso_igrp_container.parent = self
                                    self.route_map = None


                                class AreaTagRouteMapContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: area_tag
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.area_tag = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area-tag-route-map-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.area_tag is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer']['meta_info']


                                class IsoIgrpContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer.MetricTypeEnum>`
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.area_tag_route_map_container is not None and self.area_tag_route_map_container._has_data():
                                        return True

                                    if self.iso_igrp_container is not None and self.iso_igrp_container._has_data():
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp']['meta_info']


                            class Lisp(object):
                                """
                                Locator ID Separation Protocol (LISP)
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lisp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp']['meta_info']


                            class Mobile(object):
                                """
                                Mobile routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile.RedistOptions>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mobile'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile']['meta_info']


                            class Odr(object):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr.RedistOptions>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:odr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match()
                                    self.match.parent = self
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None
                                    self.vrf = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.MetricTypeEnum']



                                class Match(object):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.internal = None
                                        self.nssa_external = None


                                    class Internal(object):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.Internal.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.Internal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.Internal']['meta_info']


                                    class External(object):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.External.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.external_routes = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.External.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.external_routes is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.External']['meta_info']


                                    class NssaExternal(object):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_external_routes = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_external_routes is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.NssaExternal']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None and self.external._has_data():
                                            return True

                                        if self.internal is not None and self.internal._has_data():
                                            return True

                                        if self.nssa_external is not None and self.nssa_external._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospf[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.match is not None and self.match._has_data():
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf']['meta_info']


                            class Ospfv3_(object):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match()
                                    self.match.parent = self
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.MetricTypeEnum']



                                class Match(object):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.internal = None
                                        self.nssa_external = None


                                    class Internal(object):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.Internal.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.Internal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.Internal']['meta_info']


                                    class External(object):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.External.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.external_routes = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.External.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.external_routes is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.External']['meta_info']


                                    class NssaExternal(object):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.NssaExternal.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_external_routes = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.NssaExternal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_external_routes is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match.NssaExternal']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None and self.external._has_data():
                                            return True

                                        if self.internal is not None and self.internal._has_data():
                                            return True

                                        if self.nssa_external is not None and self.nssa_external._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_.Match']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospfv3[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.match is not None and self.match._has_data():
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3_']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: id  <key>
                                
                                	User selected string identifying this rip process
                                	**type**\:  str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:rip[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static.RedistOptions>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static']['meta_info']


                            class MaximumPrefix(object):
                                """
                                Maximum number of prefixes redistributed to protocol
                                
                                .. attribute:: number
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: threshold_warning_only_container
                                
                                	
                                	**type**\:   :py:class:`ThresholdWarningOnlyContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.threshold_warning_only_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer()
                                    self.threshold_warning_only_container.parent = self


                                class ThresholdWarningOnlyContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give warning message when limit is exceeded
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.threshold = None
                                        self.warning_only = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:threshold-warning-only-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.threshold is not None:
                                            return True

                                        if self.warning_only is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:maximum-prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.threshold_warning_only_container is not None and self.threshold_warning_only_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix']['meta_info']


                            class Vrf(object):
                                """
                                Specify a source VRF
                                
                                .. attribute:: global_
                                
                                	global VRF
                                	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_>`
                                
                                .. attribute:: non_global_vrf
                                
                                	
                                	**type**\: list of    :py:class:`NonGlobalVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.global_ = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_()
                                    self.global_.parent = self
                                    self.non_global_vrf = YList()
                                    self.non_global_vrf.parent = self
                                    self.non_global_vrf.name = 'non_global_vrf'


                                class NonGlobalVrf(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\: list of    :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator ID Separation Protocol (LISP)
                                    	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of    :py:class:`Ospfv3_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.application = YList()
                                        self.application.parent = self
                                        self.application.name = 'application'
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = None
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = None
                                        self.iso_igrp = None
                                        self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp()
                                        self.lisp.parent = self
                                        self.mobile = None
                                        self.odr = None
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.ospfv3 = YList()
                                        self.ospfv3.parent = self
                                        self.ospfv3.name = 'ospfv3'
                                        self.rip = YList()
                                        self.rip.parent = self
                                        self.rip.name = 'rip'
                                        self.static = None


                                    class Application(object):
                                        """
                                        Application
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:application[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application']['meta_info']


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_number = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.as_number is None:
                                                raise YPYModelError('Key property as_number is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bgp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.as_number is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_number = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.as_number is None:
                                                raise YPYModelError('Key property as_number is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:eigrp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.as_number is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea>`
                                        
                                        .. attribute:: isis_level_routes
                                        
                                        	
                                        	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisLevelRoutesEnum>`
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.isis_area = YList()
                                            self.isis_area.parent = self
                                            self.isis_area.name = 'isis_area'
                                            self.isis_level_routes = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions()
                                            self.redist_options.parent = self

                                        class IsisLevelRoutesEnum(Enum):
                                            """
                                            IsisLevelRoutesEnum

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = 0

                                            level_2 = 1

                                            level_1_2 = 2


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisLevelRoutesEnum']



                                        class IsisArea(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: isis_level_routes
                                            
                                            	
                                            	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutesEnum>`
                                            
                                            .. attribute:: redist_options
                                            
                                            	
                                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.isis_level_routes = None
                                                self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions()
                                                self.redist_options.parent = self

                                            class IsisLevelRoutesEnum(Enum):
                                                """
                                                IsisLevelRoutesEnum

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = 0

                                                level_2 = 1

                                                level_1_2 = 2


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutesEnum']



                                            class RedistOptions(object):
                                                """
                                                
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis-area[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.isis_level_routes is not None:
                                                    return True

                                                if self.redist_options is not None and self.redist_options._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea']['meta_info']


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.isis_area is not None:
                                                for child_ref in self.isis_area:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis_level_routes is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis']['meta_info']


                                    class IsoIgrp(object):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: area_tag_route_map_container
                                        
                                        	
                                        	**type**\:   :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer>`
                                        
                                        .. attribute:: iso_igrp_container
                                        
                                        	
                                        	**type**\:   :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer()
                                            self.area_tag_route_map_container.parent = self
                                            self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer()
                                            self.iso_igrp_container.parent = self
                                            self.route_map = None


                                        class AreaTagRouteMapContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: area_tag
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.area_tag = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area-tag-route-map-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.area_tag is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer']['meta_info']


                                        class IsoIgrpContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricTypeEnum>`
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.area_tag_route_map_container is not None and self.area_tag_route_map_container._has_data():
                                                return True

                                            if self.iso_igrp_container is not None and self.iso_igrp_container._has_data():
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp']['meta_info']


                                    class Lisp(object):
                                        """
                                        Locator ID Separation Protocol (LISP)
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lisp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp']['meta_info']


                                    class Mobile(object):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mobile'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile']['meta_info']


                                    class Odr(object):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:odr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match()
                                            self.match.parent = self
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None
                                            self.vrf = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.MetricTypeEnum']



                                        class Match(object):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.external = None
                                                self.internal = None
                                                self.nssa_external = None


                                            class Internal(object):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal']['meta_info']


                                            class External(object):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.external_routes = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.external_routes is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External']['meta_info']


                                            class NssaExternal(object):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_external_routes = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_external_routes is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.external is not None and self.external._has_data():
                                                    return True

                                                if self.internal is not None and self.internal._has_data():
                                                    return True

                                                if self.nssa_external is not None and self.nssa_external._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospf[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.match is not None and self.match._has_data():
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf']['meta_info']


                                    class Ospfv3_(object):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match()
                                            self.match.parent = self
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.MetricTypeEnum']



                                        class Match(object):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.external = None
                                                self.internal = None
                                                self.nssa_external = None


                                            class Internal(object):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.Internal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.Internal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.Internal']['meta_info']


                                            class External(object):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.External.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.external_routes = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.External.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.external_routes is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.External']['meta_info']


                                            class NssaExternal(object):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.NssaExternal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_external_routes = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.NssaExternal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_external_routes is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match.NssaExternal']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.external is not None and self.external._has_data():
                                                    return True

                                                if self.internal is not None and self.internal._has_data():
                                                    return True

                                                if self.nssa_external is not None and self.nssa_external._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_.Match']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospfv3[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.match is not None and self.match._has_data():
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3_']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this rip process
                                        	**type**\:  str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:rip[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:non-global-vrf[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.application is not None:
                                            for child_ref in self.application:
                                                if child_ref._has_data():
                                                    return True

                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None and self.isis._has_data():
                                            return True

                                        if self.iso_igrp is not None and self.iso_igrp._has_data():
                                            return True

                                        if self.lisp is not None and self.lisp._has_data():
                                            return True

                                        if self.mobile is not None and self.mobile._has_data():
                                            return True

                                        if self.odr is not None and self.odr._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ospfv3 is not None:
                                            for child_ref in self.ospfv3:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None:
                                            for child_ref in self.rip:
                                                if child_ref._has_data():
                                                    return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf']['meta_info']


                                class Global_(object):
                                    """
                                    global VRF
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\: list of    :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator ID Separation Protocol (LISP)
                                    	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of    :py:class:`Ospfv3_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.application = YList()
                                        self.application.parent = self
                                        self.application.name = 'application'
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = None
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = None
                                        self.iso_igrp = None
                                        self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp()
                                        self.lisp.parent = self
                                        self.mobile = None
                                        self.odr = None
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.ospfv3 = YList()
                                        self.ospfv3.parent = self
                                        self.ospfv3.name = 'ospfv3'
                                        self.rip = YList()
                                        self.rip.parent = self
                                        self.rip.name = 'rip'
                                        self.static = None


                                    class Application(object):
                                        """
                                        Application
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:application[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application']['meta_info']


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_number = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.as_number is None:
                                                raise YPYModelError('Key property as_number is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bgp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.as_number is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_number = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.as_number is None:
                                                raise YPYModelError('Key property as_number is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:eigrp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.as_number is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea>`
                                        
                                        .. attribute:: isis_level_routes
                                        
                                        	
                                        	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisLevelRoutesEnum>`
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.isis_area = YList()
                                            self.isis_area.parent = self
                                            self.isis_area.name = 'isis_area'
                                            self.isis_level_routes = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions()
                                            self.redist_options.parent = self

                                        class IsisLevelRoutesEnum(Enum):
                                            """
                                            IsisLevelRoutesEnum

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = 0

                                            level_2 = 1

                                            level_1_2 = 2


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisLevelRoutesEnum']



                                        class IsisArea(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: isis_level_routes
                                            
                                            	
                                            	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.IsisLevelRoutesEnum>`
                                            
                                            .. attribute:: redist_options
                                            
                                            	
                                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.isis_level_routes = None
                                                self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions()
                                                self.redist_options.parent = self

                                            class IsisLevelRoutesEnum(Enum):
                                                """
                                                IsisLevelRoutesEnum

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = 0

                                                level_2 = 1

                                                level_1_2 = 2


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.IsisLevelRoutesEnum']



                                            class RedistOptions(object):
                                                """
                                                
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis-area[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.isis_level_routes is not None:
                                                    return True

                                                if self.redist_options is not None and self.redist_options._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea']['meta_info']


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.isis_area is not None:
                                                for child_ref in self.isis_area:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis_level_routes is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis']['meta_info']


                                    class IsoIgrp(object):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: area_tag_route_map_container
                                        
                                        	
                                        	**type**\:   :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer>`
                                        
                                        .. attribute:: iso_igrp_container
                                        
                                        	
                                        	**type**\:   :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer()
                                            self.area_tag_route_map_container.parent = self
                                            self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer()
                                            self.iso_igrp_container.parent = self
                                            self.route_map = None


                                        class AreaTagRouteMapContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: area_tag
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.area_tag = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area-tag-route-map-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.area_tag is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer']['meta_info']


                                        class IsoIgrpContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer.MetricTypeEnum>`
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.area_tag_route_map_container is not None and self.area_tag_route_map_container._has_data():
                                                return True

                                            if self.iso_igrp_container is not None and self.iso_igrp_container._has_data():
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp']['meta_info']


                                    class Lisp(object):
                                        """
                                        Locator ID Separation Protocol (LISP)
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lisp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp']['meta_info']


                                    class Mobile(object):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mobile'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile']['meta_info']


                                    class Odr(object):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:odr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match()
                                            self.match.parent = self
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None
                                            self.vrf = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.MetricTypeEnum']



                                        class Match(object):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.external = None
                                                self.internal = None
                                                self.nssa_external = None


                                            class Internal(object):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal']['meta_info']


                                            class External(object):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.external_routes = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.external_routes is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External']['meta_info']


                                            class NssaExternal(object):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_external_routes = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_external_routes is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.external is not None and self.external._has_data():
                                                    return True

                                                if self.internal is not None and self.internal._has_data():
                                                    return True

                                                if self.nssa_external is not None and self.nssa_external._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospf[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.match is not None and self.match._has_data():
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf']['meta_info']


                                    class Ospfv3_(object):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match()
                                            self.match.parent = self
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.MetricTypeEnum']



                                        class Match(object):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.external = None
                                                self.internal = None
                                                self.nssa_external = None


                                            class Internal(object):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.Internal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.Internal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.Internal']['meta_info']


                                            class External(object):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.External.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.external_routes = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.External.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.external_routes is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.External']['meta_info']


                                            class NssaExternal(object):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.NssaExternal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_external_routes = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.NssaExternal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_external_routes is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match.NssaExternal']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.external is not None and self.external._has_data():
                                                    return True

                                                if self.internal is not None and self.internal._has_data():
                                                    return True

                                                if self.nssa_external is not None and self.nssa_external._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_.Match']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospfv3[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.match is not None and self.match._has_data():
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3_']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this rip process
                                        	**type**\:  str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:rip[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:global'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.application is not None:
                                            for child_ref in self.application:
                                                if child_ref._has_data():
                                                    return True

                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None and self.isis._has_data():
                                            return True

                                        if self.iso_igrp is not None and self.iso_igrp._has_data():
                                            return True

                                        if self.lisp is not None and self.lisp._has_data():
                                            return True

                                        if self.mobile is not None and self.mobile._has_data():
                                            return True

                                        if self.odr is not None and self.odr._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ospfv3 is not None:
                                            for child_ref in self.ospfv3:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None:
                                            for child_ref in self.rip:
                                                if child_ref._has_data():
                                                    return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:vrf'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.global_ is not None and self.global_._has_data():
                                        return True

                                    if self.non_global_vrf is not None:
                                        for child_ref in self.non_global_vrf:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redistribute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.application is not None:
                                    for child_ref in self.application:
                                        if child_ref._has_data():
                                            return True

                                if self.bgp is not None:
                                    for child_ref in self.bgp:
                                        if child_ref._has_data():
                                            return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.eigrp is not None:
                                    for child_ref in self.eigrp:
                                        if child_ref._has_data():
                                            return True

                                if self.isis is not None and self.isis._has_data():
                                    return True

                                if self.iso_igrp is not None and self.iso_igrp._has_data():
                                    return True

                                if self.lisp is not None and self.lisp._has_data():
                                    return True

                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                    return True

                                if self.mobile is not None and self.mobile._has_data():
                                    return True

                                if self.odr is not None and self.odr._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.ospfv3 is not None:
                                    for child_ref in self.ospfv3:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None:
                                    for child_ref in self.rip:
                                        if child_ref._has_data():
                                            return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                if self.vrf is not None and self.vrf._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute']['meta_info']


                        class Authentication(object):
                            """
                            Authentication parameters
                            
                            .. attribute:: mode
                            
                            	Authentication operation mode
                            	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Authentication.ModeEnum>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mode = None

                            class ModeEnum(Enum):
                                """
                                ModeEnum

                                Authentication operation mode

                                .. data:: deployment = 0

                                .. data:: normal = 1

                                .. data:: strict = 2

                                """

                                deployment = 0

                                normal = 1

                                strict = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Authentication.ModeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Authentication']['meta_info']


                        class GracefulRestart(object):
                            """
                            Graceful\-restart options
                            
                            .. attribute:: disable
                            
                            	Graceful restart disable
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: helper
                            
                            	helper support
                            	**type**\:   :py:class:`Helper <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.GracefulRestart.Helper>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: restart_interval
                            
                            	Graceful restart interval
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None
                                self.helper = None
                                self.restart_interval = None


                            class Helper(object):
                                """
                                helper support
                                
                                .. attribute:: disable
                                
                                	disable helper support
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: strict_lsa_checking
                                
                                	enable helper strict LSA checking
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None
                                    self.strict_lsa_checking = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:helper'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    if self.strict_lsa_checking is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.GracefulRestart.Helper']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:graceful-restart'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                if self.helper is not None and self.helper._has_data():
                                    return True

                                if self.restart_interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.GracefulRestart']['meta_info']


                        class Manet(object):
                            """
                            Specify MANET OSPF parameters
                            
                            .. attribute:: cache
                            
                            	Specify MANET cache sizes
                            	**type**\:   :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Cache>`
                            
                            .. attribute:: hello
                            
                            	Unicast Hellos rather than multicast
                            	**type**\:   :py:class:`HelloEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.HelloEnum>`
                            
                            .. attribute:: peering
                            
                            	MANET OSPF Smart Peering
                            	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering>`
                            
                            .. attribute:: willingness
                            
                            	Specify Relay willingness value
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cache = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Cache()
                                self.cache.parent = self
                                self.hello = None
                                self.peering = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering()
                                self.peering.parent = self
                                self.willingness = None

                            class HelloEnum(Enum):
                                """
                                HelloEnum

                                Unicast Hellos rather than multicast

                                .. data:: unicast = 0

                                .. data:: multicast = 1

                                """

                                unicast = 0

                                multicast = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.HelloEnum']



                            class Cache(object):
                                """
                                Specify MANET cache sizes
                                
                                .. attribute:: acknowledgement
                                
                                	Specify MANET acknowledgement cache size
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: update
                                
                                	Specify MANET LSA cache size
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.acknowledgement = None
                                    self.update = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.acknowledgement is not None:
                                        return True

                                    if self.update is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Cache']['meta_info']


                            class Peering(object):
                                """
                                MANET OSPF Smart Peering
                                
                                .. attribute:: selective
                                
                                	Enable selective peering
                                	**type**\:   :py:class:`Selective <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering.Selective>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.selective = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering.Selective()
                                    self.selective.parent = self


                                class Selective(object):
                                    """
                                    Enable selective peering
                                    
                                    .. attribute:: disable
                                    
                                    	Disable selective peering
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: per_interface
                                    
                                    	Select peers per interface rather than per node
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: redundancy
                                    
                                    	Redundant paths
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.disable = None
                                        self.per_interface = None
                                        self.redundancy = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:selective'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.disable is not None:
                                            return True

                                        if self.per_interface is not None:
                                            return True

                                        if self.redundancy is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering.Selective']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.selective is not None and self.selective._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cache is not None and self.cache._has_data():
                                    return True

                                if self.hello is not None:
                                    return True

                                if self.peering is not None and self.peering._has_data():
                                    return True

                                if self.willingness is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet']['meta_info']


                        class SummaryPrefix(object):
                            """
                            Configure IPv6 summary prefix
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: not_advertise
                            
                            	Do not advertise when translating OSPF type\-7 LSA
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit summary to NSSA areas
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	Set tag
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix = None
                                self.not_advertise = None
                                self.nssa_only = None
                                self.tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.prefix is None:
                                    raise YPYModelError('Key property prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:summary-prefix[Cisco-IOS-XE-ospfv3:prefix = ' + str(self.prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix is not None:
                                    return True

                                if self.not_advertise is not None:
                                    return True

                                if self.nssa_only is not None:
                                    return True

                                if self.tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.SummaryPrefix']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.area is not None:
                                for child_ref in self.area:
                                    if child_ref._has_data():
                                        return True

                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.auto_cost is not None and self.auto_cost._has_data():
                                return True

                            if self.bfd is not None and self.bfd._has_data():
                                return True

                            if self.capability is not None and self.capability._has_data():
                                return True

                            if self.compatible is not None and self.compatible._has_data():
                                return True

                            if self.default_information is not None and self.default_information._has_data():
                                return True

                            if self.default_metric is not None:
                                return True

                            if self.disable is not None and self.disable._has_data():
                                return True

                            if self.discard_route is not None and self.discard_route._has_data():
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.event_log is not None and self.event_log._has_data():
                                return True

                            if self.graceful_restart is not None and self.graceful_restart._has_data():
                                return True

                            if self.interface_id is not None and self.interface_id._has_data():
                                return True

                            if self.log_adjacency_changes is not None and self.log_adjacency_changes._has_data():
                                return True

                            if self.manet is not None and self.manet._has_data():
                                return True

                            if self.max_lsa is not None and self.max_lsa._has_data():
                                return True

                            if self.max_metric is not None and self.max_metric._has_data():
                                return True

                            if self.maximum_paths is not None:
                                return True

                            if self.nsr is not None:
                                return True

                            if self.passive_interface is not None and self.passive_interface._has_data():
                                return True

                            if self.queue_depth is not None and self.queue_depth._has_data():
                                return True

                            if self.redistribute is not None and self.redistribute._has_data():
                                return True

                            if self.router_id is not None:
                                return True

                            if self.summary_prefix is not None:
                                for child_ref in self.summary_prefix:
                                    if child_ref._has_data():
                                        return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.traffic_share is not None and self.traffic_share._has_data():
                                return True

                            if self.ttl_security is not None and self.ttl_security._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast']['meta_info']


                    class Vrf(object):
                        """
                        Specify parameters for a VPN Routing/Forwarding instance
                        
                        .. attribute:: vrf  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: area
                        
                        	OSPF area parameters
                        	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area>`
                        
                        .. attribute:: authentication
                        
                        	Authentication parameters
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Authentication>`
                        
                        .. attribute:: auto_cost
                        
                        	Calculate OSPF interface cost according to bandwidth
                        	**type**\:   :py:class:`AutoCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.AutoCost>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: bfd
                        
                        	BFD configuration commands
                        	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Bfd>`
                        
                        .. attribute:: capability
                        
                        	Enable specific OSPF feature
                        	**type**\:   :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Capability>`
                        
                        .. attribute:: compatible
                        
                        	OSPF compatibility list
                        	**type**\:   :py:class:`Compatible <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Compatible>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\:  int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\:   :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable>`
                        
                        .. attribute:: discard_route
                        
                        	Enable or disable discard\-route installation
                        	**type**\:   :py:class:`DiscardRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DiscardRoute>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance>`
                        
                        .. attribute:: event_log
                        
                        	OSPF Event Logging
                        	**type**\:   :py:class:`EventLog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.EventLog>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: graceful_restart
                        
                        	Graceful\-restart options
                        	**type**\:   :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.GracefulRestart>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: interface_id
                        
                        	Source of the interface ID
                        	**type**\:   :py:class:`InterfaceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.InterfaceId>`
                        
                        .. attribute:: log_adjacency_changes
                        
                        	Log changes in adjacency state
                        	**type**\:   :py:class:`LogAdjacencyChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.LogAdjacencyChanges>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF parameters
                        	**type**\:   :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet>`
                        
                        .. attribute:: max_lsa
                        
                        	maximum number of LSAs OSPF process will receive
                        	**type**\:   :py:class:`MaxLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxLsa>`
                        
                        .. attribute:: max_metric
                        
                        	Set maximum metric
                        	**type**\:   :py:class:`MaxMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:  int
                        
                        	**range:** 1..32
                        
                        .. attribute:: nsr
                        
                        	Enable non\-stop routing
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: passive_interface
                        
                        	Suppress routing updates on an interface
                        	**type**\:   :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.PassiveInterface>`
                        
                        .. attribute:: queue_depth
                        
                        	OSPF Hello/Router process queue depth
                        	**type**\:   :py:class:`QueueDepth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute>`
                        
                        .. attribute:: router_id
                        
                        	Override configured router identifier (peers will reset)
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: summary_prefix
                        
                        	Configure IPv6 summary prefix
                        	**type**\: list of    :py:class:`SummaryPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.SummaryPrefix>`
                        
                        .. attribute:: timers
                        
                        	Adjust routing timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers>`
                        
                        .. attribute:: traffic_share
                        
                        	How to compute traffic share over alternate paths
                        	**type**\:   :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TrafficShare>`
                        
                        .. attribute:: ttl_security
                        
                        	TTL security check
                        	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TtlSecurity>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vrf = None
                            self.area = YList()
                            self.area.parent = self
                            self.area.name = 'area'
                            self.authentication = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Authentication()
                            self.authentication.parent = self
                            self.auto_cost = None
                            self.bfd = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Bfd()
                            self.bfd.parent = self
                            self.capability = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Capability()
                            self.capability.parent = self
                            self.compatible = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Compatible()
                            self.compatible.parent = self
                            self.default_information = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation()
                            self.default_information.parent = self
                            self.default_metric = None
                            self.disable = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable()
                            self.disable.parent = self
                            self.discard_route = None
                            self.distance = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance()
                            self.distance.parent = self
                            self.event_log = None
                            self.graceful_restart = None
                            self.interface_id = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.InterfaceId()
                            self.interface_id.parent = self
                            self.log_adjacency_changes = None
                            self.manet = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet()
                            self.manet.parent = self
                            self.max_lsa = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxLsa()
                            self.max_lsa.parent = self
                            self.max_metric = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric()
                            self.max_metric.parent = self
                            self.maximum_paths = None
                            self.nsr = None
                            self.passive_interface = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.PassiveInterface()
                            self.passive_interface.parent = self
                            self.queue_depth = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth()
                            self.queue_depth.parent = self
                            self.redistribute = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute()
                            self.redistribute.parent = self
                            self.router_id = None
                            self.summary_prefix = YList()
                            self.summary_prefix.parent = self
                            self.summary_prefix.name = 'summary_prefix'
                            self.timers = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers()
                            self.timers.parent = self
                            self.traffic_share = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TrafficShare()
                            self.traffic_share.parent = self
                            self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TtlSecurity()
                            self.ttl_security.parent = self
                            self.unicast = None


                        class Area(object):
                            """
                            OSPF area parameters
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: one of the below types:
                            
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            
                            ----
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            
                            ----
                            .. attribute:: authentication
                            
                            	Enable authentication
                            	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Authentication>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Enable area specific capability
                            	**type**\:   :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Capability>`
                            
                            .. attribute:: default_cost
                            
                            	Set the summary default\-cost of a NSSA/stub area
                            	**type**\:  int
                            
                            	**range:** 0..16777215
                            
                            .. attribute:: filter_list
                            
                            	Filter networks between OSPF areas
                            	**type**\: list of    :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.FilterList>`
                            
                            .. attribute:: ipv4_range
                            
                            	
                            	**type**\:   :py:class:`Ipv4Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range>`
                            
                            .. attribute:: ipv6_range
                            
                            	
                            	**type**\:   :py:class:`Ipv6Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range>`
                            
                            .. attribute:: nssa
                            
                            	Specify a NSSA area
                            	**type**\:   :py:class:`Nssa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: sham_link
                            
                            	Define a sham link and its parameters
                            	**type**\: list of    :py:class:`ShamLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink>`
                            
                            .. attribute:: stub
                            
                            	Specify a stub area
                            	**type**\:   :py:class:`Stub <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Stub>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: virtual_link
                            
                            	Define a virtual link and its parameters
                            	**type**\: list of    :py:class:`VirtualLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.authentication = None
                                self.capability = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Capability()
                                self.capability.parent = self
                                self.default_cost = None
                                self.filter_list = YList()
                                self.filter_list.parent = self
                                self.filter_list.name = 'filter_list'
                                self.ipv4_range = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range()
                                self.ipv4_range.parent = self
                                self.ipv6_range = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range()
                                self.ipv6_range.parent = self
                                self.nssa = None
                                self.sham_link = YList()
                                self.sham_link.parent = self
                                self.sham_link.name = 'sham_link'
                                self.stub = None
                                self.virtual_link = YList()
                                self.virtual_link.parent = self
                                self.virtual_link.name = 'virtual_link'


                            class Authentication(object):
                                """
                                Enable authentication
                                
                                .. attribute:: message_digest
                                
                                	Use message\-digest authentication
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.message_digest = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.message_digest is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Authentication']['meta_info']


                            class Capability(object):
                                """
                                Enable area specific capability
                                
                                .. attribute:: default_exclusion
                                
                                	Enable exclusion of links from base topology
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.default_exclusion = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:capability'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.default_exclusion is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Capability']['meta_info']


                            class FilterList(object):
                                """
                                Filter networks between OSPF areas
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:   :py:class:`InOutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.FilterList.InOutEnum>`
                                
                                .. attribute:: prefix
                                
                                	Filter prefixes between OSPF areas
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_out = None
                                    self.prefix = None

                                class InOutEnum(Enum):
                                    """
                                    InOutEnum

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = 0

                                    out = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.FilterList.InOutEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.in_out is None:
                                        raise YPYModelError('Key property in_out is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:filter-list[Cisco-IOS-XE-ospfv3:in-out = ' + str(self.in_out) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_out is not None:
                                        return True

                                    if self.prefix is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.FilterList']['meta_info']


                            class Nssa(object):
                                """
                                Specify a NSSA area
                                
                                .. attribute:: default_information_originate
                                
                                	Originate Type 7 default into NSSA area
                                	**type**\:   :py:class:`DefaultInformationOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_ext_capability
                                
                                	Do not send domain specific capabilities into NSSA
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_redistribution
                                
                                	No redistribution into this NSSA area
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_summary
                                
                                	Do not send summary LSA into NSSA
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit default advertisement to this NSSA area
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: translate
                                
                                	Translate LSA
                                	**type**\:   :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.default_information_originate = None
                                    self.no_ext_capability = None
                                    self.no_redistribution = None
                                    self.no_summary = None
                                    self.nssa_only = None
                                    self.translate = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate()
                                    self.translate.parent = self


                                class DefaultInformationOriginate(object):
                                    """
                                    Originate Type 7 default into NSSA area
                                    
                                    .. attribute:: metric
                                    
                                    	OSPF default metric
                                    	**type**\:  int
                                    
                                    	**range:** 0..16777214
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF metric type for default routes
                                    	**type**\:  int
                                    
                                    	**range:** 1..2
                                    
                                    .. attribute:: no_ext_capability
                                    
                                    	Do not send domain specific capabilities into NSSA
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: no_redistribution
                                    
                                    	No redistribution into this NSSA area
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: no_summary
                                    
                                    	Do not send summary LSA into NSSA
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit default advertisement to this NSSA area
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: translate
                                    
                                    	Translate LSA
                                    	**type**\:   :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None
                                        self.metric_type = None
                                        self.no_ext_capability = None
                                        self.no_redistribution = None
                                        self.no_summary = None
                                        self.nssa_only = None
                                        self.translate = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate()
                                        self.translate.parent = self


                                    class Translate(object):
                                        """
                                        Translate LSA
                                        
                                        .. attribute:: type7
                                        
                                        	From Type 7 to Type 5
                                        	**type**\:   :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.type7 = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7()
                                            self.type7.parent = self


                                        class Type7(object):
                                            """
                                            From Type 7 to Type 5
                                            
                                            .. attribute:: always
                                            
                                            	Always translate LSAs on this ABR
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: suppress_fa
                                            
                                            	Suppress forwarding address in translated LSAs
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.always = None
                                                self.suppress_fa = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:type7'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.always is not None:
                                                    return True

                                                if self.suppress_fa is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:translate'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.type7 is not None and self.type7._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:default-information-originate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.no_ext_capability is not None:
                                            return True

                                        if self.no_redistribution is not None:
                                            return True

                                        if self.no_summary is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.translate is not None and self.translate._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate']['meta_info']


                                class Translate(object):
                                    """
                                    Translate LSA
                                    
                                    .. attribute:: type7
                                    
                                    	From Type 7 to Type 5
                                    	**type**\:   :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate.Type7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.type7 = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate.Type7()
                                        self.type7.parent = self


                                    class Type7(object):
                                        """
                                        From Type 7 to Type 5
                                        
                                        .. attribute:: always
                                        
                                        	Always translate LSAs on this ABR
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: suppress_fa
                                        
                                        	Suppress forwarding address in translated LSAs
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.always = None
                                            self.suppress_fa = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:type7'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.always is not None:
                                                return True

                                            if self.suppress_fa is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate.Type7']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:translate'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.type7 is not None and self.type7._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.default_information_originate is not None and self.default_information_originate._has_data():
                                        return True

                                    if self.no_ext_capability is not None:
                                        return True

                                    if self.no_redistribution is not None:
                                        return True

                                    if self.no_summary is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.translate is not None and self.translate._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa']['meta_info']


                            class Ipv4Range(object):
                                """
                                
                                
                                .. attribute:: range
                                
                                	Summarize routes matching address/mask (border routers only)
                                	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range.Range>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.range = YList()
                                    self.range.parent = self
                                    self.range.name = 'range'


                                class Range(object):
                                    """
                                    Summarize routes matching address/mask (border routers only)
                                    
                                    .. attribute:: ip  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: mask  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise this range (default)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: cost
                                    
                                    	User specified metric for this range
                                    	**type**\:  int
                                    
                                    	**range:** 0..16777215
                                    
                                    .. attribute:: not_advertise
                                    
                                    	DoNotAdvertise this range
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip = None
                                        self.mask = None
                                        self.advertise = None
                                        self.cost = None
                                        self.not_advertise = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip is None:
                                            raise YPYModelError('Key property ip is None')
                                        if self.mask is None:
                                            raise YPYModelError('Key property mask is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:range[Cisco-IOS-XE-ospfv3:ip = ' + str(self.ip) + '][Cisco-IOS-XE-ospfv3:mask = ' + str(self.mask) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip is not None:
                                            return True

                                        if self.mask is not None:
                                            return True

                                        if self.advertise is not None:
                                            return True

                                        if self.cost is not None:
                                            return True

                                        if self.not_advertise is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range.Range']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv4-range'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.range is not None:
                                        for child_ref in self.range:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range']['meta_info']


                            class Ipv6Range(object):
                                """
                                
                                
                                .. attribute:: range
                                
                                	Summarize routes matching address/mask (border routers only)
                                	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range.Range>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.range = YList()
                                    self.range.parent = self
                                    self.range.name = 'range'


                                class Range(object):
                                    """
                                    Summarize routes matching address/mask (border routers only)
                                    
                                    .. attribute:: ip  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise this range (default)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: cost
                                    
                                    	User specified metric for this range
                                    	**type**\:  int
                                    
                                    	**range:** 0..16777215
                                    
                                    .. attribute:: not_advertise
                                    
                                    	DoNotAdvertise this range
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip = None
                                        self.advertise = None
                                        self.cost = None
                                        self.not_advertise = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip is None:
                                            raise YPYModelError('Key property ip is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:range[Cisco-IOS-XE-ospfv3:ip = ' + str(self.ip) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip is not None:
                                            return True

                                        if self.advertise is not None:
                                            return True

                                        if self.cost is not None:
                                            return True

                                        if self.not_advertise is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range.Range']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv6-range'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.range is not None:
                                        for child_ref in self.range:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range']['meta_info']


                            class ShamLink(object):
                                """
                                Define a sham link and its parameters
                                
                                .. attribute:: source  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: dest  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: cost
                                
                                	Associate a cost with the sham\-link
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: ttl_security
                                
                                	TTL security check
                                	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink.TtlSecurity>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.source = None
                                    self.dest = None
                                    self.cost = None
                                    self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink.TtlSecurity()
                                    self.ttl_security.parent = self


                                class TtlSecurity(object):
                                    """
                                    TTL security check
                                    
                                    .. attribute:: hops
                                    
                                    	IP hops
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hops = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ttl-security'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hops is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink.TtlSecurity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.source is None:
                                        raise YPYModelError('Key property source is None')
                                    if self.dest is None:
                                        raise YPYModelError('Key property dest is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:sham-link[Cisco-IOS-XE-ospfv3:source = ' + str(self.source) + '][Cisco-IOS-XE-ospfv3:dest = ' + str(self.dest) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.source is not None:
                                        return True

                                    if self.dest is not None:
                                        return True

                                    if self.cost is not None:
                                        return True

                                    if self.ttl_security is not None and self.ttl_security._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink']['meta_info']


                            class Stub(object):
                                """
                                Specify a stub area
                                
                                .. attribute:: no_ext_capability
                                
                                	Do not send domain specific capabilities into stub area
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_summary
                                
                                	Do not send summary LSA into stub area
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.no_ext_capability = None
                                    self.no_summary = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:stub'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.no_ext_capability is not None:
                                        return True

                                    if self.no_summary is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Stub']['meta_info']


                            class VirtualLink(object):
                                """
                                Define a virtual link and its parameters
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                
                                ----
                                .. attribute:: authentication
                                
                                	Set authentication type
                                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication>`
                                
                                .. attribute:: authentication_key
                                
                                	Set authentication key
                                	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.AuthenticationKey>`
                                
                                .. attribute:: dead_interval
                                
                                	Dead router detection time
                                	**type**\:   :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.DeadInterval>`
                                
                                .. attribute:: hello_interval
                                
                                	Hello packet interval
                                	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.HelloInterval>`
                                
                                .. attribute:: message_digest_key
                                
                                	Set message digest key
                                	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey>`
                                
                                .. attribute:: retransmit_interval
                                
                                	LSA retransmit interval
                                	**type**\:   :py:class:`RetransmitInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.RetransmitInterval>`
                                
                                .. attribute:: topology
                                
                                	Disable virtual link on topology
                                	**type**\:   :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Topology>`
                                
                                .. attribute:: transmit_delay
                                
                                	LSA transmission delay
                                	**type**\:   :py:class:`TransmitDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TransmitDelay>`
                                
                                .. attribute:: ttl_security
                                
                                	TTL security check
                                	**type**\:   :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TtlSecurity>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.authentication = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication()
                                    self.authentication.parent = self
                                    self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.AuthenticationKey()
                                    self.authentication_key.parent = self
                                    self.dead_interval = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.DeadInterval()
                                    self.dead_interval.parent = self
                                    self.hello_interval = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.HelloInterval()
                                    self.hello_interval.parent = self
                                    self.message_digest_key = YList()
                                    self.message_digest_key.parent = self
                                    self.message_digest_key.name = 'message_digest_key'
                                    self.retransmit_interval = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.RetransmitInterval()
                                    self.retransmit_interval.parent = self
                                    self.topology = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Topology()
                                    self.topology.parent = self
                                    self.transmit_delay = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TransmitDelay()
                                    self.transmit_delay.parent = self
                                    self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TtlSecurity()
                                    self.ttl_security.parent = self


                                class Authentication(object):
                                    """
                                    Set authentication type
                                    
                                    .. attribute:: authentication_key
                                    
                                    	Set authentication key
                                    	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.AuthenticationKey>`
                                    
                                    .. attribute:: key_chain
                                    
                                    	Use a key\-chain for cryptographic authentication keys
                                    	**type**\:   :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain>`
                                    
                                    .. attribute:: message_digest
                                    
                                    	Message\-digest authentication
                                    	**type**\:   :py:class:`MessageDigest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest>`
                                    
                                    .. attribute:: message_digest_key
                                    
                                    	Set message digest key
                                    	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey>`
                                    
                                    .. attribute:: null
                                    
                                    	No authentication
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.AuthenticationKey()
                                        self.authentication_key.parent = self
                                        self.key_chain = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain()
                                        self.key_chain.parent = self
                                        self.message_digest = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest()
                                        self.message_digest.parent = self
                                        self.message_digest_key = YList()
                                        self.message_digest_key.parent = self
                                        self.message_digest_key.name = 'message_digest_key'
                                        self.null = None


                                    class AuthenticationKey(object):
                                        """
                                        Set authentication key
                                        
                                        .. attribute:: auth_key
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: auth_type
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.auth_key = None
                                            self.auth_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication-key'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.auth_key is not None:
                                                return True

                                            if self.auth_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.AuthenticationKey']['meta_info']


                                    class MessageDigestKey(object):
                                        """
                                        Set message digest key
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: md5
                                        
                                        	Use MD5 algorithm
                                        	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5()
                                            self.md5.parent = self


                                        class Md5(object):
                                            """
                                            Use MD5 algorithm
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\:  str
                                            
                                            	**length:** 1..16
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.auth_key = None
                                                self.auth_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.auth_key is not None:
                                                    return True

                                                if self.auth_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest-key[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.md5 is not None and self.md5._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey']['meta_info']


                                    class KeyChain(object):
                                        """
                                        Use a key\-chain for cryptographic authentication keys
                                        
                                        .. attribute:: authentication_key
                                        
                                        	Set authentication key
                                        	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey>`
                                        
                                        .. attribute:: message_digest_key
                                        
                                        	Set message digest key
                                        	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey>`
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey()
                                            self.authentication_key.parent = self
                                            self.message_digest_key = YList()
                                            self.message_digest_key.parent = self
                                            self.message_digest_key.name = 'message_digest_key'
                                            self.name = None


                                        class AuthenticationKey(object):
                                            """
                                            Set authentication key
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.auth_key = None
                                                self.auth_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication-key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.auth_key is not None:
                                                    return True

                                                if self.auth_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey']['meta_info']


                                        class MessageDigestKey(object):
                                            """
                                            Set message digest key
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: md5
                                            
                                            	Use MD5 algorithm
                                            	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5()
                                                self.md5.parent = self


                                            class Md5(object):
                                                """
                                                Use MD5 algorithm
                                                
                                                .. attribute:: auth_key
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**length:** 1..16
                                                
                                                .. attribute:: auth_type
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.auth_key = None
                                                    self.auth_type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.auth_key is not None:
                                                        return True

                                                    if self.auth_type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest-key[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.md5 is not None and self.md5._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:key-chain'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.authentication_key is not None and self.authentication_key._has_data():
                                                return True

                                            if self.message_digest_key is not None:
                                                for child_ref in self.message_digest_key:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.name is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain']['meta_info']


                                    class MessageDigest(object):
                                        """
                                        Message\-digest authentication
                                        
                                        .. attribute:: authentication_key
                                        
                                        	Set authentication key
                                        	**type**\:   :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey>`
                                        
                                        .. attribute:: message_digest_key
                                        
                                        	Set message digest key
                                        	**type**\: list of    :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey()
                                            self.authentication_key.parent = self
                                            self.message_digest_key = YList()
                                            self.message_digest_key.parent = self
                                            self.message_digest_key.name = 'message_digest_key'


                                        class AuthenticationKey(object):
                                            """
                                            Set authentication key
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.auth_key = None
                                                self.auth_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication-key'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.auth_key is not None:
                                                    return True

                                                if self.auth_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey']['meta_info']


                                        class MessageDigestKey(object):
                                            """
                                            Set message digest key
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: md5
                                            
                                            	Use MD5 algorithm
                                            	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.id = None
                                                self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5()
                                                self.md5.parent = self


                                            class Md5(object):
                                                """
                                                Use MD5 algorithm
                                                
                                                .. attribute:: auth_key
                                                
                                                	
                                                	**type**\:  str
                                                
                                                	**length:** 1..16
                                                
                                                .. attribute:: auth_type
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.auth_key = None
                                                    self.auth_type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.auth_key is not None:
                                                        return True

                                                    if self.auth_type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.id is None:
                                                    raise YPYModelError('Key property id is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest-key[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.id is not None:
                                                    return True

                                                if self.md5 is not None and self.md5._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.authentication_key is not None and self.authentication_key._has_data():
                                                return True

                                            if self.message_digest_key is not None:
                                                for child_ref in self.message_digest_key:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.authentication_key is not None and self.authentication_key._has_data():
                                            return True

                                        if self.key_chain is not None and self.key_chain._has_data():
                                            return True

                                        if self.message_digest is not None and self.message_digest._has_data():
                                            return True

                                        if self.message_digest_key is not None:
                                            for child_ref in self.message_digest_key:
                                                if child_ref._has_data():
                                                    return True

                                        if self.null is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication']['meta_info']


                                class HelloInterval(object):
                                    """
                                    Hello packet interval
                                    
                                    .. attribute:: hello_interval_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hello_interval_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hello-interval'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hello_interval_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.HelloInterval']['meta_info']


                                class DeadInterval(object):
                                    """
                                    Dead router detection time
                                    
                                    .. attribute:: dead_interval_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.dead_interval_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:dead-interval'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.dead_interval_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.DeadInterval']['meta_info']


                                class RetransmitInterval(object):
                                    """
                                    LSA retransmit interval
                                    
                                    .. attribute:: retransmit_interval_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.retransmit_interval_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:retransmit-interval'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.retransmit_interval_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.RetransmitInterval']['meta_info']


                                class TransmitDelay(object):
                                    """
                                    LSA transmission delay
                                    
                                    .. attribute:: transmit_delay_value
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.transmit_delay_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:transmit-delay'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.transmit_delay_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TransmitDelay']['meta_info']


                                class Topology(object):
                                    """
                                    Disable virtual link on topology
                                    
                                    .. attribute:: disable
                                    
                                    	Disable virtual link
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.disable = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:topology'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.disable is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Topology']['meta_info']


                                class TtlSecurity(object):
                                    """
                                    TTL security check
                                    
                                    .. attribute:: hops
                                    
                                    	IP hops
                                    	**type**\:  int
                                    
                                    	**range:** 1..254
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hops = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ttl-security'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hops is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TtlSecurity']['meta_info']


                                class AuthenticationKey(object):
                                    """
                                    Set authentication key
                                    
                                    .. attribute:: auth_key
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: auth_type
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..7
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.auth_key = None
                                        self.auth_type = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication-key'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.auth_key is not None:
                                            return True

                                        if self.auth_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.AuthenticationKey']['meta_info']


                                class MessageDigestKey(object):
                                    """
                                    Set message digest key
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: md5
                                    
                                    	Use MD5 algorithm
                                    	**type**\:   :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey.Md5>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.id = None
                                        self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey.Md5()
                                        self.md5.parent = self


                                    class Md5(object):
                                        """
                                        Use MD5 algorithm
                                        
                                        .. attribute:: auth_key
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**length:** 1..16
                                        
                                        .. attribute:: auth_type
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.auth_key = None
                                            self.auth_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:md5'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.auth_key is not None:
                                                return True

                                            if self.auth_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey.Md5']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.id is None:
                                            raise YPYModelError('Key property id is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:message-digest-key[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.id is not None:
                                            return True

                                        if self.md5 is not None and self.md5._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:virtual-link[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.authentication is not None and self.authentication._has_data():
                                        return True

                                    if self.authentication_key is not None and self.authentication_key._has_data():
                                        return True

                                    if self.dead_interval is not None and self.dead_interval._has_data():
                                        return True

                                    if self.hello_interval is not None and self.hello_interval._has_data():
                                        return True

                                    if self.message_digest_key is not None:
                                        for child_ref in self.message_digest_key:
                                            if child_ref._has_data():
                                                return True

                                    if self.retransmit_interval is not None and self.retransmit_interval._has_data():
                                        return True

                                    if self.topology is not None and self.topology._has_data():
                                        return True

                                    if self.transmit_delay is not None and self.transmit_delay._has_data():
                                        return True

                                    if self.ttl_security is not None and self.ttl_security._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.authentication is not None and self.authentication._has_data():
                                    return True

                                if self.capability is not None and self.capability._has_data():
                                    return True

                                if self.default_cost is not None:
                                    return True

                                if self.filter_list is not None:
                                    for child_ref in self.filter_list:
                                        if child_ref._has_data():
                                            return True

                                if self.ipv4_range is not None and self.ipv4_range._has_data():
                                    return True

                                if self.ipv6_range is not None and self.ipv6_range._has_data():
                                    return True

                                if self.nssa is not None and self.nssa._has_data():
                                    return True

                                if self.sham_link is not None:
                                    for child_ref in self.sham_link:
                                        if child_ref._has_data():
                                            return True

                                if self.stub is not None and self.stub._has_data():
                                    return True

                                if self.virtual_link is not None:
                                    for child_ref in self.virtual_link:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area']['meta_info']


                        class AutoCost(object):
                            """
                            Calculate OSPF interface cost according to bandwidth
                            
                            .. attribute:: reference_bandwidth
                            
                            	Use reference bandwidth method to assign OSPF cost
                            	**type**\:  int
                            
                            	**range:** 1..4294967
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.reference_bandwidth = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:auto-cost'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.reference_bandwidth is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.AutoCost']['meta_info']


                        class EventLog(object):
                            """
                            OSPF Event Logging
                            
                            .. attribute:: one_shot
                            
                            	Disable Logging When Log Buffer Becomes Full
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: pause
                            
                            	Pause Event Logging
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: size
                            
                            	Maximum Number of Events Stored in the Event Log
                            	**type**\:  int
                            
                            	**range:** 1..65534
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.one_shot = None
                                self.pause = None
                                self.size = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:event-log'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.one_shot is not None:
                                    return True

                                if self.pause is not None:
                                    return True

                                if self.size is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.EventLog']['meta_info']


                        class Bfd(object):
                            """
                            BFD configuration commands
                            
                            .. attribute:: all_interfaces
                            
                            	Enable BFD on all interfaces
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all_interfaces = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bfd'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all_interfaces is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Bfd']['meta_info']


                        class InterfaceId(object):
                            """
                            Source of the interface ID
                            
                            .. attribute:: snmp_if_index
                            
                            	SNMP MIB ifIndex
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.snmp_if_index = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:interface-id'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.snmp_if_index is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.InterfaceId']['meta_info']


                        class LogAdjacencyChanges(object):
                            """
                            Log changes in adjacency state
                            
                            .. attribute:: detail
                            
                            	Log all state changes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.detail = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:log-adjacency-changes'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.detail is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.LogAdjacencyChanges']['meta_info']


                        class MaxLsa(object):
                            """
                            maximum number of LSAs OSPF process will receive
                            
                            .. attribute:: ignore_count
                            
                            	maximum number of times adjacencies can be suppressed
                            	**type**\:  int
                            
                            	**range:** 1..65534
                            
                            .. attribute:: ignore_time
                            
                            	time during which all adjacencies are suppressed
                            	**type**\:  int
                            
                            	**range:** 1..17895
                            
                            .. attribute:: number
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..4294967294
                            
                            .. attribute:: reset_time
                            
                            	time after which ignore\-count is reset to zero
                            	**type**\:  int
                            
                            	**range:** 2..35791
                            
                            .. attribute:: threshold_value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..100
                            
                            .. attribute:: warning_only
                            
                            	Only give warning message when limit is exceeded
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ignore_count = None
                                self.ignore_time = None
                                self.number = None
                                self.reset_time = None
                                self.threshold_value = None
                                self.warning_only = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:max-lsa'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ignore_count is not None:
                                    return True

                                if self.ignore_time is not None:
                                    return True

                                if self.number is not None:
                                    return True

                                if self.reset_time is not None:
                                    return True

                                if self.threshold_value is not None:
                                    return True

                                if self.warning_only is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxLsa']['meta_info']


                        class MaxMetric(object):
                            """
                            Set maximum metric
                            
                            .. attribute:: router_lsa
                            
                            	Maximum metric in self\-originated router\-LSAs
                            	**type**\:   :py:class:`RouterLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.router_lsa = None


                            class RouterLsa(object):
                                """
                                Maximum metric in self\-originated router\-LSAs
                                
                                .. attribute:: external_lsa
                                
                                	Override external\-lsa metric with max\-metric value
                                	**type**\:   :py:class:`ExternalLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.ExternalLsa>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: include_stub
                                
                                	Set maximum metric for stub links in router\-LSAs
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: on_startup
                                
                                	Set maximum metric temporarily after reboot
                                	**type**\:   :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.OnStartup>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: summary_lsa
                                
                                	Override summary\-lsa metric with max\-metric value
                                	**type**\:   :py:class:`SummaryLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.SummaryLsa>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.external_lsa = None
                                    self.include_stub = None
                                    self.on_startup = None
                                    self.summary_lsa = None


                                class ExternalLsa(object):
                                    """
                                    Override external\-lsa metric with max\-metric value
                                    
                                    .. attribute:: metric
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..16777215
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external-lsa'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.ExternalLsa']['meta_info']


                                class OnStartup(object):
                                    """
                                    Set maximum metric temporarily after reboot
                                    
                                    .. attribute:: time
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 5..86400
                                    
                                    .. attribute:: wait_for_bgp
                                    
                                    	Let BGP decide when to originate router\-LSA with normal metric
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.time = None
                                        self.wait_for_bgp = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:on-startup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.time is not None:
                                            return True

                                        if self.wait_for_bgp is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.OnStartup']['meta_info']


                                class SummaryLsa(object):
                                    """
                                    Override summary\-lsa metric with max\-metric value
                                    
                                    .. attribute:: metric
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..16777215
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.metric = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:summary-lsa'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.metric is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.SummaryLsa']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:router-lsa'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.external_lsa is not None and self.external_lsa._has_data():
                                        return True

                                    if self.include_stub is not None:
                                        return True

                                    if self.on_startup is not None and self.on_startup._has_data():
                                        return True

                                    if self.summary_lsa is not None and self.summary_lsa._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:max-metric'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.router_lsa is not None and self.router_lsa._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric']['meta_info']


                        class PassiveInterface(object):
                            """
                            Suppress routing updates on an interface
                            
                            .. attribute:: default
                            
                            	Suppress routing updates on all interfaces
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: interface
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.default = None
                                self.interface = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:passive-interface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.default is not None:
                                    return True

                                if self.interface is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.PassiveInterface']['meta_info']


                        class Disable(object):
                            """
                            
                            
                            .. attribute:: passive_interface
                            
                            	
                            	**type**\: list of    :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable.PassiveInterface>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.passive_interface = YList()
                                self.passive_interface.parent = self
                                self.passive_interface.name = 'passive_interface'


                            class PassiveInterface(object):
                                """
                                
                                
                                .. attribute:: interface  <key>
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.interface is None:
                                        raise YPYModelError('Key property interface is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:passive-interface[Cisco-IOS-XE-ospfv3:interface = ' + str(self.interface) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable.PassiveInterface']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:disable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.passive_interface is not None:
                                    for child_ref in self.passive_interface:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable']['meta_info']


                        class QueueDepth(object):
                            """
                            OSPF Hello/Router process queue depth
                            
                            .. attribute:: hello
                            
                            	OSPF Hello process queue depth
                            	**type**\:   :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Hello>`
                            
                            .. attribute:: update
                            
                            	OSPF Router process queue depth
                            	**type**\:   :py:class:`Update <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hello = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Hello()
                                self.hello.parent = self
                                self.update = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update()
                                self.update.parent = self


                            class Hello(object):
                                """
                                OSPF Hello process queue depth
                                
                                .. attribute:: options
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..2147483647
                                
                                
                                ----
                                	**type**\:   :py:class:`OptionsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum>`
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.options = None

                                class OptionsEnum(Enum):
                                    """
                                    OptionsEnum

                                    .. data:: unlimited = 0

                                    """

                                    unlimited = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Hello.OptionsEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:hello'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.options is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Hello']['meta_info']


                            class Update(object):
                                """
                                OSPF Router process queue depth
                                
                                .. attribute:: options
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..2147483647
                                
                                
                                ----
                                	**type**\:   :py:class:`OptionsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum>`
                                
                                
                                ----
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.options = None

                                class OptionsEnum(Enum):
                                    """
                                    OptionsEnum

                                    .. data:: unlimited = 0

                                    """

                                    unlimited = 0


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.OptionsEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:update'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.options is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:queue-depth'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hello is not None and self.hello._has_data():
                                    return True

                                if self.update is not None and self.update._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth']['meta_info']


                        class Timers(object):
                            """
                            Adjust routing timers
                            
                            .. attribute:: lsa
                            
                            	OSPF LSA timers
                            	**type**\:   :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Lsa>`
                            
                            .. attribute:: pacing
                            
                            	OSPF pacing timers
                            	**type**\:   :py:class:`Pacing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Pacing>`
                            
                            .. attribute:: throttle
                            
                            	OSPF throttle timers
                            	**type**\:   :py:class:`Throttle <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.lsa = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Lsa()
                                self.lsa.parent = self
                                self.pacing = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Pacing()
                                self.pacing.parent = self
                                self.throttle = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle()
                                self.throttle.parent = self


                            class Lsa(object):
                                """
                                OSPF LSA timers
                                
                                .. attribute:: arrival
                                
                                	OSPF LSA arrival timer
                                	**type**\:  int
                                
                                	**range:** 0..600000
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.arrival = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lsa'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.arrival is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Lsa']['meta_info']


                            class Pacing(object):
                                """
                                OSPF pacing timers
                                
                                .. attribute:: flood
                                
                                	OSPF flood pacing timer
                                	**type**\:  int
                                
                                	**range:** 5..100
                                
                                .. attribute:: lsa_group
                                
                                	OSPF LSA group pacing timer
                                	**type**\:  int
                                
                                	**range:** 10..1800
                                
                                .. attribute:: retransmission
                                
                                	OSPF retransmission pacing timer
                                	**type**\:  int
                                
                                	**range:** 5..200
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.flood = None
                                    self.lsa_group = None
                                    self.retransmission = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:pacing'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.flood is not None:
                                        return True

                                    if self.lsa_group is not None:
                                        return True

                                    if self.retransmission is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Pacing']['meta_info']


                            class Throttle(object):
                                """
                                OSPF throttle timers
                                
                                .. attribute:: lsa
                                
                                	OSPF LSA throttle timers
                                	**type**\:   :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa>`
                                
                                .. attribute:: spf
                                
                                	OSPF SPF throttle timers
                                	**type**\:   :py:class:`Spf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Spf>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.lsa = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa()
                                    self.lsa.parent = self
                                    self.spf = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Spf()
                                    self.spf.parent = self


                                class Lsa(object):
                                    """
                                    OSPF LSA throttle timers
                                    
                                    .. attribute:: all
                                    
                                    	For all type of OSPF LSAs
                                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa.All>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.all = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa.All()
                                        self.all.parent = self


                                    class All(object):
                                        """
                                        For all type of OSPF LSAs
                                        
                                        .. attribute:: delay
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..600000
                                        
                                        .. attribute:: max_delay
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..600000
                                        
                                        .. attribute:: min_delay
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..600000
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.delay = None
                                            self.max_delay = None
                                            self.min_delay = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:all'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.delay is not None:
                                                return True

                                            if self.max_delay is not None:
                                                return True

                                            if self.min_delay is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa.All']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lsa'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.all is not None and self.all._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa']['meta_info']


                                class Spf(object):
                                    """
                                    OSPF SPF throttle timers
                                    
                                    .. attribute:: delay
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..600000
                                    
                                    .. attribute:: max_delay
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..600000
                                    
                                    .. attribute:: min_delay
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..600000
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.delay = None
                                        self.max_delay = None
                                        self.min_delay = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:spf'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.delay is not None:
                                            return True

                                        if self.max_delay is not None:
                                            return True

                                        if self.min_delay is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Spf']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:throttle'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.lsa is not None and self.lsa._has_data():
                                        return True

                                    if self.spf is not None and self.spf._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.lsa is not None and self.lsa._has_data():
                                    return True

                                if self.pacing is not None and self.pacing._has_data():
                                    return True

                                if self.throttle is not None and self.throttle._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers']['meta_info']


                        class TrafficShare(object):
                            """
                            How to compute traffic share over alternate paths
                            
                            .. attribute:: across_interfaces
                            
                            	Use different interfaces for equal\-cost paths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: min
                            
                            	All traffic shared among min metric paths
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.across_interfaces = None
                                self.min = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:traffic-share'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.across_interfaces is not None:
                                    return True

                                if self.min is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TrafficShare']['meta_info']


                        class TtlSecurity(object):
                            """
                            TTL security check
                            
                            .. attribute:: all_interfaces
                            
                            	Enable TTL Security on all interfaces
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: hops
                            
                            	IP hops
                            	**type**\:  int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all_interfaces = None
                                self.hops = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ttl-security'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all_interfaces is not None:
                                    return True

                                if self.hops is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TtlSecurity']['meta_info']


                        class Capability(object):
                            """
                            Enable specific OSPF feature
                            
                            .. attribute:: capability_type
                            
                            	
                            	**type**\:   :py:class:`CapabilityTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Capability.CapabilityTypeEnum>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.capability_type = None

                            class CapabilityTypeEnum(Enum):
                                """
                                CapabilityTypeEnum

                                .. data:: lls = 0

                                .. data:: opaque = 1

                                .. data:: transit = 2

                                .. data:: vrf_lite = 3

                                """

                                lls = 0

                                opaque = 1

                                transit = 2

                                vrf_lite = 3


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Capability.CapabilityTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:capability'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.capability_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Capability']['meta_info']


                        class Compatible(object):
                            """
                            OSPF compatibility list
                            
                            .. attribute:: rfc1583
                            
                            	Compatible with RFC 1583
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rfc1587
                            
                            	Compatible with RFC 1587
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rfc5243
                            
                            	Compatible with RFC 5243
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rfc1583 = None
                                self.rfc1587 = None
                                self.rfc5243 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:compatible'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rfc1583 is not None:
                                    return True

                                if self.rfc1587 is not None:
                                    return True

                                if self.rfc5243 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Compatible']['meta_info']


                        class DefaultInformation(object):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:   :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation.Originate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.originate = None


                            class Originate(object):
                                """
                                Distribute a default route
                                
                                .. attribute:: always
                                
                                	Always advertise default route
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	OSPF default metric
                                	**type**\:  int
                                
                                	**range:** 0..16777214
                                
                                .. attribute:: metric_type
                                
                                	OSPF metric type for default routes
                                	**type**\:  int
                                
                                	**range:** 1..2
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.always = None
                                    self.metric = None
                                    self.metric_type = None
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:originate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.always is not None:
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation.Originate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:default-information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.originate is not None and self.originate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation']['meta_info']


                        class DiscardRoute(object):
                            """
                            Enable or disable discard\-route installation
                            
                            .. attribute:: external
                            
                            	Discard route for redistributed summarised routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: internal
                            
                            	Discard route for summarised internal routes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: metric
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.external = None
                                self.internal = None
                                self.metric = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:discard-route'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.external is not None:
                                    return True

                                if self.internal is not None:
                                    return True

                                if self.metric is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DiscardRoute']['meta_info']


                        class Distance(object):
                            """
                            Define an administrative distance
                            
                            .. attribute:: ospf
                            
                            	OSPF routes Administrative distance
                            	**type**\:   :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.Ospf>`
                            
                            .. attribute:: ospf_distance
                            
                            	
                            	**type**\:   :py:class:`OspfDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.OspfDistance>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ospf = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.Ospf()
                                self.ospf.parent = self
                                self.ospf_distance = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.OspfDistance()
                                self.ospf_distance.parent = self


                            class OspfDistance(object):
                                """
                                
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..99
                                
                                
                                ----
                                	**type**\:  int
                                
                                	**range:** 1300..1999
                                
                                
                                ----
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: distance
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildcard
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.acl_name = None
                                    self.distance = None
                                    self.ip = None
                                    self.wildcard = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospf-distance'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.acl_name is not None:
                                        return True

                                    if self.distance is not None:
                                        return True

                                    if self.ip is not None:
                                        return True

                                    if self.wildcard is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.OspfDistance']['meta_info']


                            class Ospf(object):
                                """
                                OSPF routes Administrative distance
                                
                                .. attribute:: external
                                
                                	External routes
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: inter_area
                                
                                	Inter\-area routes
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: intra_area
                                
                                	Intra\-area routes
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.external = None
                                    self.inter_area = None
                                    self.intra_area = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospf'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.external is not None:
                                        return True

                                    if self.inter_area is not None:
                                        return True

                                    if self.intra_area is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.Ospf']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ospf is not None and self.ospf._has_data():
                                    return True

                                if self.ospf_distance is not None and self.ospf_distance._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance']['meta_info']


                        class Redistribute(object):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\: list of    :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application>`
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: lisp
                            
                            	Locator ID Separation Protocol (LISP)
                            	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp>`
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes redistributed to protocol
                            	**type**\:   :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix>`
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of    :py:class:`Ospfv3_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: vrf
                            
                            	Specify a source VRF
                            	**type**\:   :py:class:`Vrf_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.application = YList()
                                self.application.parent = self
                                self.application.name = 'application'
                                self.bgp = YList()
                                self.bgp.parent = self
                                self.bgp.name = 'bgp'
                                self.connected = None
                                self.eigrp = YList()
                                self.eigrp.parent = self
                                self.eigrp.name = 'eigrp'
                                self.isis = None
                                self.iso_igrp = None
                                self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp()
                                self.lisp.parent = self
                                self.maximum_prefix = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self.mobile = None
                                self.odr = None
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.ospfv3 = YList()
                                self.ospfv3.parent = self
                                self.ospfv3.name = 'ospfv3'
                                self.rip = YList()
                                self.rip.parent = self
                                self.rip.name = 'rip'
                                self.static = None
                                self.vrf = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_()
                                self.vrf.parent = self


                            class Application(object):
                                """
                                Application
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.name = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.name is None:
                                        raise YPYModelError('Key property name is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:application[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.name is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application']['meta_info']


                            class Bgp(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.as_number is None:
                                        raise YPYModelError('Key property as_number is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bgp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_number is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RedistOptions>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.as_number is None:
                                        raise YPYModelError('Key property as_number is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:eigrp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_number is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp']['meta_info']


                            class Isis(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea>`
                                
                                .. attribute:: isis_level_routes
                                
                                	
                                	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisLevelRoutesEnum>`
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RedistOptions>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.isis_area = YList()
                                    self.isis_area.parent = self
                                    self.isis_area.name = 'isis_area'
                                    self.isis_level_routes = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RedistOptions()
                                    self.redist_options.parent = self

                                class IsisLevelRoutesEnum(Enum):
                                    """
                                    IsisLevelRoutesEnum

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    .. data:: level_1_2 = 2

                                    """

                                    level_1 = 0

                                    level_2 = 1

                                    level_1_2 = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisLevelRoutesEnum']



                                class IsisArea(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: isis_level_routes
                                    
                                    	
                                    	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.IsisLevelRoutesEnum>`
                                    
                                    .. attribute:: redist_options
                                    
                                    	
                                    	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RedistOptions>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.isis_level_routes = None
                                        self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RedistOptions()
                                        self.redist_options.parent = self

                                    class IsisLevelRoutesEnum(Enum):
                                        """
                                        IsisLevelRoutesEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = 0

                                        level_2 = 1

                                        level_1_2 = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.IsisLevelRoutesEnum']



                                    class RedistOptions(object):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RedistOptions.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RedistOptions.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RedistOptions']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis-area[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.isis_level_routes is not None:
                                            return True

                                        if self.redist_options is not None and self.redist_options._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea']['meta_info']


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.isis_area is not None:
                                        for child_ref in self.isis_area:
                                            if child_ref._has_data():
                                                return True

                                    if self.isis_level_routes is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis']['meta_info']


                            class IsoIgrp(object):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: area_tag_route_map_container
                                
                                	
                                	**type**\:   :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer>`
                                
                                .. attribute:: iso_igrp_container
                                
                                	
                                	**type**\:   :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer()
                                    self.area_tag_route_map_container.parent = self
                                    self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer()
                                    self.iso_igrp_container.parent = self
                                    self.route_map = None


                                class AreaTagRouteMapContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: area_tag
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.area_tag = None
                                        self.route_map = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area-tag-route-map-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.area_tag is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer']['meta_info']


                                class IsoIgrpContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer.MetricTypeEnum>`
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.area_tag_route_map_container is not None and self.area_tag_route_map_container._has_data():
                                        return True

                                    if self.iso_igrp_container is not None and self.iso_igrp_container._has_data():
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp']['meta_info']


                            class Lisp(object):
                                """
                                Locator ID Separation Protocol (LISP)
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lisp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp']['meta_info']


                            class Mobile(object):
                                """
                                Mobile routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RedistOptions>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mobile'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile']['meta_info']


                            class Odr(object):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RedistOptions>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:odr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match()
                                    self.match.parent = self
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None
                                    self.vrf = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.MetricTypeEnum']



                                class Match(object):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.internal = None
                                        self.nssa_external = None


                                    class Internal(object):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal']['meta_info']


                                    class External(object):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.external_routes = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.external_routes is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External']['meta_info']


                                    class NssaExternal(object):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_external_routes = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_external_routes is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None and self.external._has_data():
                                            return True

                                        if self.internal is not None and self.internal._has_data():
                                            return True

                                        if self.nssa_external is not None and self.nssa_external._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospf[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.match is not None and self.match._has_data():
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf']['meta_info']


                            class Ospfv3_(object):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.MetricTypeEnum>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match()
                                    self.match.parent = self
                                    self.metric = None
                                    self.metric_type = None
                                    self.nssa_only = None
                                    self.route_map = None
                                    self.subnets = None
                                    self.tag = None

                                class MetricTypeEnum(Enum):
                                    """
                                    MetricTypeEnum

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.MetricTypeEnum']



                                class Match(object):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.internal = None
                                        self.nssa_external = None


                                    class Internal(object):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.Internal.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.Internal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.Internal']['meta_info']


                                    class External(object):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.External.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.external_routes = None
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.External.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.external_routes is not None:
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.External']['meta_info']


                                    class NssaExternal(object):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.NssaExternal.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_external_routes = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.NssaExternal.MetricTypeEnum']


                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_external_routes is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match.NssaExternal']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None and self.external._has_data():
                                            return True

                                        if self.internal is not None and self.internal._has_data():
                                            return True

                                        if self.nssa_external is not None and self.nssa_external._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_.Match']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospfv3[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.match is not None and self.match._has_data():
                                        return True

                                    if self.metric is not None:
                                        return True

                                    if self.metric_type is not None:
                                        return True

                                    if self.nssa_only is not None:
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    if self.subnets is not None:
                                        return True

                                    if self.tag is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3_']['meta_info']


                            class Rip(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: id  <key>
                                
                                	User selected string identifying this rip process
                                	**type**\:  str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:rip[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static.RedistOptions>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static.RedistOptions()
                                    self.redist_options.parent = self


                                class RedistOptions(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static.RedistOptions.MetricTypeEnum>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = None
                                        self.metric_type = None
                                        self.nssa_only = None
                                        self.route_map = None
                                        self.subnets = None
                                        self.tag = None

                                    class MetricTypeEnum(Enum):
                                        """
                                        MetricTypeEnum

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = 0

                                        Y_2 = 1


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static.RedistOptions.MetricTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None:
                                            return True

                                        if self.metric_type is not None:
                                            return True

                                        if self.nssa_only is not None:
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        if self.subnets is not None:
                                            return True

                                        if self.tag is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static.RedistOptions']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.redist_options is not None and self.redist_options._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static']['meta_info']


                            class MaximumPrefix(object):
                                """
                                Maximum number of prefixes redistributed to protocol
                                
                                .. attribute:: number
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: threshold_warning_only_container
                                
                                	
                                	**type**\:   :py:class:`ThresholdWarningOnlyContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.threshold_warning_only_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer()
                                    self.threshold_warning_only_container.parent = self


                                class ThresholdWarningOnlyContainer(object):
                                    """
                                    
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give warning message when limit is exceeded
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.threshold = None
                                        self.warning_only = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:threshold-warning-only-container'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.threshold is not None:
                                            return True

                                        if self.warning_only is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:maximum-prefix'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.threshold_warning_only_container is not None and self.threshold_warning_only_container._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix']['meta_info']


                            class Vrf_(object):
                                """
                                Specify a source VRF
                                
                                .. attribute:: global_
                                
                                	global VRF
                                	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_>`
                                
                                .. attribute:: non_global_vrf
                                
                                	
                                	**type**\: list of    :py:class:`NonGlobalVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.global_ = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_()
                                    self.global_.parent = self
                                    self.non_global_vrf = YList()
                                    self.non_global_vrf.parent = self
                                    self.non_global_vrf.name = 'non_global_vrf'


                                class NonGlobalVrf(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\: list of    :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator ID Separation Protocol (LISP)
                                    	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of    :py:class:`Ospfv3_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.application = YList()
                                        self.application.parent = self
                                        self.application.name = 'application'
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = None
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = None
                                        self.iso_igrp = None
                                        self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp()
                                        self.lisp.parent = self
                                        self.mobile = None
                                        self.odr = None
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.ospfv3 = YList()
                                        self.ospfv3.parent = self
                                        self.ospfv3.name = 'ospfv3'
                                        self.rip = YList()
                                        self.rip.parent = self
                                        self.rip.name = 'rip'
                                        self.static = None


                                    class Application(object):
                                        """
                                        Application
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:application[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Application']['meta_info']


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_number = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.as_number is None:
                                                raise YPYModelError('Key property as_number is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bgp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.as_number is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_number = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.as_number is None:
                                                raise YPYModelError('Key property as_number is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:eigrp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.as_number is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea>`
                                        
                                        .. attribute:: isis_level_routes
                                        
                                        	
                                        	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisLevelRoutesEnum>`
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.isis_area = YList()
                                            self.isis_area.parent = self
                                            self.isis_area.name = 'isis_area'
                                            self.isis_level_routes = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions()
                                            self.redist_options.parent = self

                                        class IsisLevelRoutesEnum(Enum):
                                            """
                                            IsisLevelRoutesEnum

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = 0

                                            level_2 = 1

                                            level_1_2 = 2


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisLevelRoutesEnum']



                                        class IsisArea(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: isis_level_routes
                                            
                                            	
                                            	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutesEnum>`
                                            
                                            .. attribute:: redist_options
                                            
                                            	
                                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.isis_level_routes = None
                                                self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions()
                                                self.redist_options.parent = self

                                            class IsisLevelRoutesEnum(Enum):
                                                """
                                                IsisLevelRoutesEnum

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = 0

                                                level_2 = 1

                                                level_1_2 = 2


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutesEnum']



                                            class RedistOptions(object):
                                                """
                                                
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea.RedistOptions']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis-area[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.isis_level_routes is not None:
                                                    return True

                                                if self.redist_options is not None and self.redist_options._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.IsisArea']['meta_info']


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.isis_area is not None:
                                                for child_ref in self.isis_area:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis_level_routes is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Isis']['meta_info']


                                    class IsoIgrp(object):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: area_tag_route_map_container
                                        
                                        	
                                        	**type**\:   :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer>`
                                        
                                        .. attribute:: iso_igrp_container
                                        
                                        	
                                        	**type**\:   :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer()
                                            self.area_tag_route_map_container.parent = self
                                            self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer()
                                            self.iso_igrp_container.parent = self
                                            self.route_map = None


                                        class AreaTagRouteMapContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: area_tag
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.area_tag = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area-tag-route-map-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.area_tag is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer']['meta_info']


                                        class IsoIgrpContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricTypeEnum>`
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp.IsoIgrpContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.area_tag_route_map_container is not None and self.area_tag_route_map_container._has_data():
                                                return True

                                            if self.iso_igrp_container is not None and self.iso_igrp_container._has_data():
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.IsoIgrp']['meta_info']


                                    class Lisp(object):
                                        """
                                        Locator ID Separation Protocol (LISP)
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lisp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Lisp']['meta_info']


                                    class Mobile(object):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mobile'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Mobile']['meta_info']


                                    class Odr(object):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:odr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Odr']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match()
                                            self.match.parent = self
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None
                                            self.vrf = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.MetricTypeEnum']



                                        class Match(object):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.external = None
                                                self.internal = None
                                                self.nssa_external = None


                                            class Internal(object):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.Internal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.Internal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.Internal']['meta_info']


                                            class External(object):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.External.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.external_routes = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.External.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.external_routes is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.External']['meta_info']


                                            class NssaExternal(object):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.NssaExternal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_external_routes = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.NssaExternal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_external_routes is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match.NssaExternal']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.external is not None and self.external._has_data():
                                                    return True

                                                if self.internal is not None and self.internal._has_data():
                                                    return True

                                                if self.nssa_external is not None and self.nssa_external._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf.Match']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospf[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.match is not None and self.match._has_data():
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospf']['meta_info']


                                    class Ospfv3_(object):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match()
                                            self.match.parent = self
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.MetricTypeEnum']



                                        class Match(object):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.external = None
                                                self.internal = None
                                                self.nssa_external = None


                                            class Internal(object):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.Internal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.Internal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.Internal']['meta_info']


                                            class External(object):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.External.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.external_routes = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.External.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.external_routes is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.External']['meta_info']


                                            class NssaExternal(object):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.NssaExternal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_external_routes = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.NssaExternal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_external_routes is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match.NssaExternal']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.external is not None and self.external._has_data():
                                                    return True

                                                if self.internal is not None and self.internal._has_data():
                                                    return True

                                                if self.nssa_external is not None and self.nssa_external._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_.Match']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospfv3[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.match is not None and self.match._has_data():
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Ospfv3_']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this rip process
                                        	**type**\:  str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:rip[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Rip']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf.Static']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:non-global-vrf[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.application is not None:
                                            for child_ref in self.application:
                                                if child_ref._has_data():
                                                    return True

                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None and self.isis._has_data():
                                            return True

                                        if self.iso_igrp is not None and self.iso_igrp._has_data():
                                            return True

                                        if self.lisp is not None and self.lisp._has_data():
                                            return True

                                        if self.mobile is not None and self.mobile._has_data():
                                            return True

                                        if self.odr is not None and self.odr._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ospfv3 is not None:
                                            for child_ref in self.ospfv3:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None:
                                            for child_ref in self.rip:
                                                if child_ref._has_data():
                                                    return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.NonGlobalVrf']['meta_info']


                                class Global_(object):
                                    """
                                    global VRF
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\: list of    :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator ID Separation Protocol (LISP)
                                    	**type**\:   :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Lisp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of    :py:class:`Ospfv3_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of    :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.application = YList()
                                        self.application.parent = self
                                        self.application.name = 'application'
                                        self.bgp = YList()
                                        self.bgp.parent = self
                                        self.bgp.name = 'bgp'
                                        self.connected = None
                                        self.eigrp = YList()
                                        self.eigrp.parent = self
                                        self.eigrp.name = 'eigrp'
                                        self.isis = None
                                        self.iso_igrp = None
                                        self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Lisp()
                                        self.lisp.parent = self
                                        self.mobile = None
                                        self.odr = None
                                        self.ospf = YList()
                                        self.ospf.parent = self
                                        self.ospf.name = 'ospf'
                                        self.ospfv3 = YList()
                                        self.ospfv3.parent = self
                                        self.ospfv3.name = 'ospfv3'
                                        self.rip = YList()
                                        self.rip.parent = self
                                        self.rip.name = 'rip'
                                        self.static = None


                                    class Application(object):
                                        """
                                        Application
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Application.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.name is None:
                                                raise YPYModelError('Key property name is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:application[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Application']['meta_info']


                                    class Bgp(object):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_number = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Bgp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.as_number is None:
                                                raise YPYModelError('Key property as_number is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:bgp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.as_number is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Bgp']['meta_info']


                                    class Connected(object):
                                        """
                                        Connected
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Connected.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:connected'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Connected']['meta_info']


                                    class Eigrp(object):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: one of the below types:
                                        
                                        	**type**\:  int
                                        
                                        	**range:** 1..4294967295
                                        
                                        
                                        ----
                                        	**type**\:  str
                                        
                                        
                                        ----
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_number = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Eigrp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.as_number is None:
                                                raise YPYModelError('Key property as_number is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:eigrp[Cisco-IOS-XE-ospfv3:as-number = ' + str(self.as_number) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.as_number is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Eigrp']['meta_info']


                                    class Isis(object):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea>`
                                        
                                        .. attribute:: isis_level_routes
                                        
                                        	
                                        	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisLevelRoutesEnum>`
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.isis_area = YList()
                                            self.isis_area.parent = self
                                            self.isis_area.name = 'isis_area'
                                            self.isis_level_routes = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions()
                                            self.redist_options.parent = self

                                        class IsisLevelRoutesEnum(Enum):
                                            """
                                            IsisLevelRoutesEnum

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = 0

                                            level_2 = 1

                                            level_1_2 = 2


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisLevelRoutesEnum']



                                        class IsisArea(object):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: isis_level_routes
                                            
                                            	
                                            	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.IsisLevelRoutesEnum>`
                                            
                                            .. attribute:: redist_options
                                            
                                            	
                                            	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.name = None
                                                self.isis_level_routes = None
                                                self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions()
                                                self.redist_options.parent = self

                                            class IsisLevelRoutesEnum(Enum):
                                                """
                                                IsisLevelRoutesEnum

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = 0

                                                level_2 = 1

                                                level_1_2 = 2


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.IsisLevelRoutesEnum']



                                            class RedistOptions(object):
                                                """
                                                
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea.RedistOptions']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.name is None:
                                                    raise YPYModelError('Key property name is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis-area[Cisco-IOS-XE-ospfv3:name = ' + str(self.name) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.name is not None:
                                                    return True

                                                if self.isis_level_routes is not None:
                                                    return True

                                                if self.redist_options is not None and self.redist_options._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.IsisArea']['meta_info']


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:isis'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.isis_area is not None:
                                                for child_ref in self.isis_area:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.isis_level_routes is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Isis']['meta_info']


                                    class IsoIgrp(object):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: area_tag_route_map_container
                                        
                                        	
                                        	**type**\:   :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.AreaTagRouteMapContainer>`
                                        
                                        .. attribute:: iso_igrp_container
                                        
                                        	
                                        	**type**\:   :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.AreaTagRouteMapContainer()
                                            self.area_tag_route_map_container.parent = self
                                            self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer()
                                            self.iso_igrp_container.parent = self
                                            self.route_map = None


                                        class AreaTagRouteMapContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: area_tag
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.area_tag = None
                                                self.route_map = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:area-tag-route-map-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.area_tag is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.AreaTagRouteMapContainer']['meta_info']


                                        class IsoIgrpContainer(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer.MetricTypeEnum>`
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp-container'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp.IsoIgrpContainer']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:iso-igrp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.area_tag_route_map_container is not None and self.area_tag_route_map_container._has_data():
                                                return True

                                            if self.iso_igrp_container is not None and self.iso_igrp_container._has_data():
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.IsoIgrp']['meta_info']


                                    class Lisp(object):
                                        """
                                        Locator ID Separation Protocol (LISP)
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Lisp.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:lisp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Lisp']['meta_info']


                                    class Mobile(object):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Mobile.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:mobile'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Mobile']['meta_info']


                                    class Odr(object):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Odr.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:odr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Odr']['meta_info']


                                    class Ospf(object):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match()
                                            self.match.parent = self
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None
                                            self.vrf = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.MetricTypeEnum']



                                        class Match(object):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.external = None
                                                self.internal = None
                                                self.nssa_external = None


                                            class Internal(object):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.Internal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.Internal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.Internal']['meta_info']


                                            class External(object):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.External.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.external_routes = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.External.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.external_routes is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.External']['meta_info']


                                            class NssaExternal(object):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.NssaExternal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_external_routes = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.NssaExternal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_external_routes is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match.NssaExternal']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.external is not None and self.external._has_data():
                                                    return True

                                                if self.internal is not None and self.internal._has_data():
                                                    return True

                                                if self.nssa_external is not None and self.nssa_external._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf.Match']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospf[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.match is not None and self.match._has_data():
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            if self.vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospf']['meta_info']


                                    class Ospfv3_(object):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.MetricTypeEnum>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match()
                                            self.match.parent = self
                                            self.metric = None
                                            self.metric_type = None
                                            self.nssa_only = None
                                            self.route_map = None
                                            self.subnets = None
                                            self.tag = None

                                        class MetricTypeEnum(Enum):
                                            """
                                            MetricTypeEnum

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = 0

                                            Y_2 = 1


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.MetricTypeEnum']



                                        class Match(object):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.external = None
                                                self.internal = None
                                                self.nssa_external = None


                                            class Internal(object):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.Internal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.Internal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:internal'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.Internal']['meta_info']


                                            class External(object):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.External.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.external_routes = None
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.External.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.external_routes is not None:
                                                        return True

                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.External']['meta_info']


                                            class NssaExternal(object):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.NssaExternal.MetricTypeEnum>`
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalTypeEnum>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\:  str
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: _is_presence
                                                
                                                	Is present if this instance represents presence container else not
                                                	**type**\: bool
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self._is_presence = True
                                                    self.metric = None
                                                    self.metric_type = None
                                                    self.nssa_external_routes = None
                                                    self.nssa_only = None
                                                    self.route_map = None
                                                    self.subnets = None
                                                    self.tag = None

                                                class MetricTypeEnum(Enum):
                                                    """
                                                    MetricTypeEnum

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = 0

                                                    Y_2 = 1


                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.NssaExternal.MetricTypeEnum']


                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:nssa-external'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self._is_presence:
                                                        return True
                                                    if self.metric is not None:
                                                        return True

                                                    if self.metric_type is not None:
                                                        return True

                                                    if self.nssa_external_routes is not None:
                                                        return True

                                                    if self.nssa_only is not None:
                                                        return True

                                                    if self.route_map is not None:
                                                        return True

                                                    if self.subnets is not None:
                                                        return True

                                                    if self.tag is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match.NssaExternal']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:match'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.external is not None and self.external._has_data():
                                                    return True

                                                if self.internal is not None and self.internal._has_data():
                                                    return True

                                                if self.nssa_external is not None and self.nssa_external._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_.Match']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ospfv3[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.match is not None and self.match._has_data():
                                                return True

                                            if self.metric is not None:
                                                return True

                                            if self.metric_type is not None:
                                                return True

                                            if self.nssa_only is not None:
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            if self.subnets is not None:
                                                return True

                                            if self.tag is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Ospfv3_']['meta_info']


                                    class Rip(object):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this rip process
                                        	**type**\:  str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.id = None
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Rip.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.id is None:
                                                raise YPYModelError('Key property id is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:rip[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.id is not None:
                                                return True

                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Rip']['meta_info']


                                    class Static(object):
                                        """
                                        Static routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions()
                                            self.redist_options.parent = self


                                        class RedistOptions(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:   :py:class:`MetricTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions.MetricTypeEnum>`
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = None
                                                self.metric_type = None
                                                self.nssa_only = None
                                                self.route_map = None
                                                self.subnets = None
                                                self.tag = None

                                            class MetricTypeEnum(Enum):
                                                """
                                                MetricTypeEnum

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = 0

                                                Y_2 = 1


                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions.MetricTypeEnum']


                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redist-options'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None:
                                                    return True

                                                if self.metric_type is not None:
                                                    return True

                                                if self.nssa_only is not None:
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                if self.subnets is not None:
                                                    return True

                                                if self.tag is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Static.RedistOptions']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:static'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.redist_options is not None and self.redist_options._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_.Static']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:global'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.application is not None:
                                            for child_ref in self.application:
                                                if child_ref._has_data():
                                                    return True

                                        if self.bgp is not None:
                                            for child_ref in self.bgp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.connected is not None and self.connected._has_data():
                                            return True

                                        if self.eigrp is not None:
                                            for child_ref in self.eigrp:
                                                if child_ref._has_data():
                                                    return True

                                        if self.isis is not None and self.isis._has_data():
                                            return True

                                        if self.iso_igrp is not None and self.iso_igrp._has_data():
                                            return True

                                        if self.lisp is not None and self.lisp._has_data():
                                            return True

                                        if self.mobile is not None and self.mobile._has_data():
                                            return True

                                        if self.odr is not None and self.odr._has_data():
                                            return True

                                        if self.ospf is not None:
                                            for child_ref in self.ospf:
                                                if child_ref._has_data():
                                                    return True

                                        if self.ospfv3 is not None:
                                            for child_ref in self.ospfv3:
                                                if child_ref._has_data():
                                                    return True

                                        if self.rip is not None:
                                            for child_ref in self.rip:
                                                if child_ref._has_data():
                                                    return True

                                        if self.static is not None and self.static._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_.Global_']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:vrf'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.global_ is not None and self.global_._has_data():
                                        return True

                                    if self.non_global_vrf is not None:
                                        for child_ref in self.non_global_vrf:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:redistribute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.application is not None:
                                    for child_ref in self.application:
                                        if child_ref._has_data():
                                            return True

                                if self.bgp is not None:
                                    for child_ref in self.bgp:
                                        if child_ref._has_data():
                                            return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.eigrp is not None:
                                    for child_ref in self.eigrp:
                                        if child_ref._has_data():
                                            return True

                                if self.isis is not None and self.isis._has_data():
                                    return True

                                if self.iso_igrp is not None and self.iso_igrp._has_data():
                                    return True

                                if self.lisp is not None and self.lisp._has_data():
                                    return True

                                if self.maximum_prefix is not None and self.maximum_prefix._has_data():
                                    return True

                                if self.mobile is not None and self.mobile._has_data():
                                    return True

                                if self.odr is not None and self.odr._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.ospfv3 is not None:
                                    for child_ref in self.ospfv3:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None:
                                    for child_ref in self.rip:
                                        if child_ref._has_data():
                                            return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                if self.vrf is not None and self.vrf._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute']['meta_info']


                        class Authentication(object):
                            """
                            Authentication parameters
                            
                            .. attribute:: mode
                            
                            	Authentication operation mode
                            	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Authentication.ModeEnum>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mode = None

                            class ModeEnum(Enum):
                                """
                                ModeEnum

                                Authentication operation mode

                                .. data:: deployment = 0

                                .. data:: normal = 1

                                .. data:: strict = 2

                                """

                                deployment = 0

                                normal = 1

                                strict = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Authentication.ModeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Authentication']['meta_info']


                        class GracefulRestart(object):
                            """
                            Graceful\-restart options
                            
                            .. attribute:: disable
                            
                            	Graceful restart disable
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: helper
                            
                            	helper support
                            	**type**\:   :py:class:`Helper <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.GracefulRestart.Helper>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: restart_interval
                            
                            	Graceful restart interval
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.disable = None
                                self.helper = None
                                self.restart_interval = None


                            class Helper(object):
                                """
                                helper support
                                
                                .. attribute:: disable
                                
                                	disable helper support
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: strict_lsa_checking
                                
                                	enable helper strict LSA checking
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.disable = None
                                    self.strict_lsa_checking = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:helper'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.disable is not None:
                                        return True

                                    if self.strict_lsa_checking is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.GracefulRestart.Helper']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:graceful-restart'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.disable is not None:
                                    return True

                                if self.helper is not None and self.helper._has_data():
                                    return True

                                if self.restart_interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.GracefulRestart']['meta_info']


                        class Manet(object):
                            """
                            Specify MANET OSPF parameters
                            
                            .. attribute:: cache
                            
                            	Specify MANET cache sizes
                            	**type**\:   :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Cache>`
                            
                            .. attribute:: hello
                            
                            	Unicast Hellos rather than multicast
                            	**type**\:   :py:class:`HelloEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.HelloEnum>`
                            
                            .. attribute:: peering
                            
                            	MANET OSPF Smart Peering
                            	**type**\:   :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering>`
                            
                            .. attribute:: willingness
                            
                            	Specify Relay willingness value
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cache = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Cache()
                                self.cache.parent = self
                                self.hello = None
                                self.peering = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering()
                                self.peering.parent = self
                                self.willingness = None

                            class HelloEnum(Enum):
                                """
                                HelloEnum

                                Unicast Hellos rather than multicast

                                .. data:: unicast = 0

                                .. data:: multicast = 1

                                """

                                unicast = 0

                                multicast = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.HelloEnum']



                            class Cache(object):
                                """
                                Specify MANET cache sizes
                                
                                .. attribute:: acknowledgement
                                
                                	Specify MANET acknowledgement cache size
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: update
                                
                                	Specify MANET LSA cache size
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.acknowledgement = None
                                    self.update = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:cache'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.acknowledgement is not None:
                                        return True

                                    if self.update is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Cache']['meta_info']


                            class Peering(object):
                                """
                                MANET OSPF Smart Peering
                                
                                .. attribute:: selective
                                
                                	Enable selective peering
                                	**type**\:   :py:class:`Selective <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering.Selective>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.selective = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering.Selective()
                                    self.selective.parent = self


                                class Selective(object):
                                    """
                                    Enable selective peering
                                    
                                    .. attribute:: disable
                                    
                                    	Disable selective peering
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: per_interface
                                    
                                    	Select peers per interface rather than per node
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: redundancy
                                    
                                    	Redundant paths
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.disable = None
                                        self.per_interface = None
                                        self.redundancy = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:selective'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.disable is not None:
                                            return True

                                        if self.per_interface is not None:
                                            return True

                                        if self.redundancy is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering.Selective']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:peering'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.selective is not None and self.selective._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:manet'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cache is not None and self.cache._has_data():
                                    return True

                                if self.hello is not None:
                                    return True

                                if self.peering is not None and self.peering._has_data():
                                    return True

                                if self.willingness is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet']['meta_info']


                        class SummaryPrefix(object):
                            """
                            Configure IPv6 summary prefix
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: not_advertise
                            
                            	Do not advertise when translating OSPF type\-7 LSA
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit summary to NSSA areas
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	Set tag
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix = None
                                self.not_advertise = None
                                self.nssa_only = None
                                self.tag = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.prefix is None:
                                    raise YPYModelError('Key property prefix is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:summary-prefix[Cisco-IOS-XE-ospfv3:prefix = ' + str(self.prefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix is not None:
                                    return True

                                if self.not_advertise is not None:
                                    return True

                                if self.nssa_only is not None:
                                    return True

                                if self.tag is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.SummaryPrefix']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.vrf is None:
                                raise YPYModelError('Key property vrf is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:vrf[Cisco-IOS-XE-ospfv3:vrf = ' + str(self.vrf) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vrf is not None:
                                return True

                            if self.area is not None:
                                for child_ref in self.area:
                                    if child_ref._has_data():
                                        return True

                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.auto_cost is not None and self.auto_cost._has_data():
                                return True

                            if self.bfd is not None and self.bfd._has_data():
                                return True

                            if self.capability is not None and self.capability._has_data():
                                return True

                            if self.compatible is not None and self.compatible._has_data():
                                return True

                            if self.default_information is not None and self.default_information._has_data():
                                return True

                            if self.default_metric is not None:
                                return True

                            if self.disable is not None and self.disable._has_data():
                                return True

                            if self.discard_route is not None and self.discard_route._has_data():
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.event_log is not None and self.event_log._has_data():
                                return True

                            if self.graceful_restart is not None and self.graceful_restart._has_data():
                                return True

                            if self.interface_id is not None and self.interface_id._has_data():
                                return True

                            if self.log_adjacency_changes is not None and self.log_adjacency_changes._has_data():
                                return True

                            if self.manet is not None and self.manet._has_data():
                                return True

                            if self.max_lsa is not None and self.max_lsa._has_data():
                                return True

                            if self.max_metric is not None and self.max_metric._has_data():
                                return True

                            if self.maximum_paths is not None:
                                return True

                            if self.nsr is not None:
                                return True

                            if self.passive_interface is not None and self.passive_interface._has_data():
                                return True

                            if self.queue_depth is not None and self.queue_depth._has_data():
                                return True

                            if self.redistribute is not None and self.redistribute._has_data():
                                return True

                            if self.router_id is not None:
                                return True

                            if self.summary_prefix is not None:
                                for child_ref in self.summary_prefix:
                                    if child_ref._has_data():
                                        return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.traffic_share is not None and self.traffic_share._has_data():
                                return True

                            if self.ttl_security is not None and self.ttl_security._has_data():
                                return True

                            if self.unicast is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        if self.vrf is not None:
                            for child_ref in self.vrf:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Ospfv3.AddressFamily.Ipv6']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ospfv3:address-family'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipv4 is not None and self.ipv4._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Ospfv3.AddressFamily']['meta_info']

            @property
            def _common_path(self):
                if self.id is None:
                    raise YPYModelError('Key property id is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-ospfv3:ospfv3[Cisco-IOS-XE-ospfv3:id = ' + str(self.id) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.id is not None:
                    return True

                if self.address_family is not None and self.address_family._has_data():
                    return True

                if self.area is not None:
                    for child_ref in self.area:
                        if child_ref._has_data():
                            return True

                if self.authentication is not None and self.authentication._has_data():
                    return True

                if self.auto_cost is not None and self.auto_cost._has_data():
                    return True

                if self.bfd is not None and self.bfd._has_data():
                    return True

                if self.disable is not None and self.disable._has_data():
                    return True

                if self.event_log is not None and self.event_log._has_data():
                    return True

                if self.graceful_restart is not None and self.graceful_restart._has_data():
                    return True

                if self.interface_id is not None and self.interface_id._has_data():
                    return True

                if self.log_adjacency_changes is not None and self.log_adjacency_changes._has_data():
                    return True

                if self.manet is not None and self.manet._has_data():
                    return True

                if self.max_lsa is not None and self.max_lsa._has_data():
                    return True

                if self.max_metric is not None and self.max_metric._has_data():
                    return True

                if self.nsr is not None:
                    return True

                if self.passive_interface is not None and self.passive_interface._has_data():
                    return True

                if self.queue_depth is not None and self.queue_depth._has_data():
                    return True

                if self.router_id is not None:
                    return True

                if self.timers is not None and self.timers._has_data():
                    return True

                if self.traffic_share is not None and self.traffic_share._has_data():
                    return True

                if self.ttl_security is not None and self.ttl_security._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Router.Ospfv3']['meta_info']


        class Rip(object):
            """
            Routing Information Protocol (RIP)
            
            .. attribute:: address_family
            
            	Enter Address Family command mode
            	**type**\:   :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily>`
            
            .. attribute:: auto_summary
            
            	Enable automatic network number summarization
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: default
            
            	Set a command to its defaults
            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default>`
            
            .. attribute:: default_information
            
            	Control distribution of default information
            	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.DefaultInformation>`
            
            .. attribute:: default_metric
            
            	Set metric of redistributed routes
            	**type**\:  int
            
            	**range:** 1..4294967295
            
            .. attribute:: disable
            
            	
            	**type**\:   :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Disable>`
            
            .. attribute:: distance
            
            	Define an administrative distance
            	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Distance>`
            
            .. attribute:: distribute_list
            
            	Filter networks in routing updates
            	**type**\:   :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.DistributeList>`
            
            .. attribute:: flash_update_threshold
            
            	Specify flash update threshold in second
            	**type**\:  int
            
            	**range:** 0..30
            
            .. attribute:: input_queue
            
            	Specify input queue depth
            	**type**\:  int
            
            	**range:** 0..1024
            
            .. attribute:: maximum_paths
            
            	Forward packets over multiple paths
            	**type**\:  int
            
            	**range:** 1..32
            
            .. attribute:: neighbor
            
            	Specify a neighbor router
            	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Neighbor>`
            
            .. attribute:: network
            
            	Enable routing on an IP network
            	**type**\: list of    :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Network>`
            
            .. attribute:: offset_list
            
            	Add or subtract offset from RIP metrics
            	**type**\: list of    :py:class:`OffsetList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.OffsetList>`
            
            .. attribute:: output_delay
            
            	Interpacket delay for RIP updates
            	**type**\:  int
            
            	**range:** 8..50
            
            .. attribute:: passive_interface
            
            	Suppress routing updates on an interface
            	**type**\:   :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.PassiveInterface>`
            
            .. attribute:: redistribute
            
            	Redistribute information from another routing protocol
            	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute>`
            
            .. attribute:: timers
            
            	Adjust routing timers
            	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Timers>`
            
            .. attribute:: traffic_share
            
            	How to compute traffic share over alternate paths
            	**type**\:   :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.TrafficShare>`
            
            .. attribute:: validate_update_source
            
            	Perform sanity checks against source address of routing updates
            	**type**\:  bool
            
            .. attribute:: version
            
            	Set routing protocol version
            	**type**\:  int
            
            	**range:** 1..2
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-rip'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.address_family = Native.Router.Rip.AddressFamily()
                self.address_family.parent = self
                self.auto_summary = None
                self.default = Native.Router.Rip.Default()
                self.default.parent = self
                self.default_information = Native.Router.Rip.DefaultInformation()
                self.default_information.parent = self
                self.default_metric = None
                self.disable = Native.Router.Rip.Disable()
                self.disable.parent = self
                self.distance = Native.Router.Rip.Distance()
                self.distance.parent = self
                self.distribute_list = Native.Router.Rip.DistributeList()
                self.distribute_list.parent = self
                self.flash_update_threshold = None
                self.input_queue = None
                self.maximum_paths = None
                self.neighbor = YList()
                self.neighbor.parent = self
                self.neighbor.name = 'neighbor'
                self.network = YList()
                self.network.parent = self
                self.network.name = 'network'
                self.offset_list = YList()
                self.offset_list.parent = self
                self.offset_list.name = 'offset_list'
                self.output_delay = None
                self.passive_interface = Native.Router.Rip.PassiveInterface()
                self.passive_interface.parent = self
                self.redistribute = Native.Router.Rip.Redistribute()
                self.redistribute.parent = self
                self.timers = Native.Router.Rip.Timers()
                self.timers.parent = self
                self.traffic_share = Native.Router.Rip.TrafficShare()
                self.traffic_share.parent = self
                self.validate_update_source = None
                self.version = None


            class Neighbor(object):
                """
                Specify a neighbor router
                
                .. attribute:: ip  <key>
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = None

                @property
                def _common_path(self):
                    if self.ip is None:
                        raise YPYModelError('Key property ip is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:neighbor[Cisco-IOS-XE-rip:ip = ' + str(self.ip) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Rip.Neighbor']['meta_info']


            class Network(object):
                """
                Enable routing on an IP network
                
                .. attribute:: ip  <key>
                
                	
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = None

                @property
                def _common_path(self):
                    if self.ip is None:
                        raise YPYModelError('Key property ip is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:network[Cisco-IOS-XE-rip:ip = ' + str(self.ip) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Rip.Network']['meta_info']


            class DefaultInformation(object):
                """
                Control distribution of default information
                
                .. attribute:: originate
                
                	Distribute a default route
                	**type**\:   :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.DefaultInformation.Originate>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.originate = None


                class Originate(object):
                    """
                    Distribute a default route
                    
                    .. attribute:: route_map
                    
                    	Route\-map reference
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.route_map = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default-information/Cisco-IOS-XE-rip:originate'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.DefaultInformation.Originate']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default-information'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.originate is not None and self.originate._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Rip.DefaultInformation']['meta_info']


            class Distance(object):
                """
                Define an administrative distance
                
                .. attribute:: distance_leaf
                
                	
                	**type**\:  int
                
                	**range:** 1..255
                
                .. attribute:: distance_list
                
                	
                	**type**\: list of    :py:class:`DistanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Distance.DistanceList>`
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.distance_leaf = None
                    self.distance_list = YList()
                    self.distance_list.parent = self
                    self.distance_list.name = 'distance_list'


                class DistanceList(object):
                    """
                    
                    
                    .. attribute:: number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    .. attribute:: ip  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: mask  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..99
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 1300..1999
                    
                    
                    ----
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.number = None
                        self.ip = None
                        self.mask = None
                        self.access_list = None

                    @property
                    def _common_path(self):
                        if self.number is None:
                            raise YPYModelError('Key property number is None')
                        if self.ip is None:
                            raise YPYModelError('Key property ip is None')
                        if self.mask is None:
                            raise YPYModelError('Key property mask is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:distance/Cisco-IOS-XE-rip:distance-list[Cisco-IOS-XE-rip:number = ' + str(self.number) + '][Cisco-IOS-XE-rip:ip = ' + str(self.ip) + '][Cisco-IOS-XE-rip:mask = ' + str(self.mask) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.number is not None:
                            return True

                        if self.ip is not None:
                            return True

                        if self.mask is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Distance.DistanceList']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:distance'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.distance_leaf is not None:
                        return True

                    if self.distance_list is not None:
                        for child_ref in self.distance_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Rip.Distance']['meta_info']


            class DistributeList(object):
                """
                Filter networks in routing updates
                
                .. attribute:: accesslist
                
                	
                	**type**\: list of    :py:class:`Accesslist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.DistributeList.Accesslist>`
                
                .. attribute:: accesslist_ifname
                
                	
                	**type**\: list of    :py:class:`AccesslistIfname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.DistributeList.AccesslistIfname>`
                
                .. attribute:: accesslist_prefix_gateway
                
                	
                	**type**\: list of    :py:class:`AccesslistPrefixGateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.DistributeList.AccesslistPrefixGateway>`
                
                .. attribute:: accesslist_prefix_gateway_ifname
                
                	
                	**type**\: list of    :py:class:`AccesslistPrefixGatewayIfname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.DistributeList.AccesslistPrefixGatewayIfname>`
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.accesslist = YList()
                    self.accesslist.parent = self
                    self.accesslist.name = 'accesslist'
                    self.accesslist_ifname = YList()
                    self.accesslist_ifname.parent = self
                    self.accesslist_ifname.name = 'accesslist_ifname'
                    self.accesslist_prefix_gateway = YList()
                    self.accesslist_prefix_gateway.parent = self
                    self.accesslist_prefix_gateway.name = 'accesslist_prefix_gateway'
                    self.accesslist_prefix_gateway_ifname = YList()
                    self.accesslist_prefix_gateway_ifname.parent = self
                    self.accesslist_prefix_gateway_ifname.name = 'accesslist_prefix_gateway_ifname'


                class Accesslist(object):
                    """
                    
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:   :py:class:`AccessListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutTypeEnum>`
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..199
                    
                    	**mandatory**\: True
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 1300..2699
                    
                    	**mandatory**\: True
                    
                    
                    ----
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    	**mandatory**\: True
                    
                    
                    ----
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_out = None
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.in_out is None:
                            raise YPYModelError('Key property in_out is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:distribute-list/Cisco-IOS-XE-rip:accesslist[Cisco-IOS-XE-rip:in-out = ' + str(self.in_out) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_out is not None:
                            return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.DistributeList.Accesslist']['meta_info']


                class AccesslistIfname(object):
                    """
                    
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:   :py:class:`AccessListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutTypeEnum>`
                    
                    .. attribute:: interface  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..199
                    
                    	**mandatory**\: True
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 1300..2699
                    
                    	**mandatory**\: True
                    
                    
                    ----
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    	**mandatory**\: True
                    
                    
                    ----
                    .. attribute:: interface_routing_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: isis_tag
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding Instance
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_out = None
                        self.interface = None
                        self.id = None
                        self.interface_routing_id = None
                        self.isis_tag = None
                        self.vrf = None

                    @property
                    def _common_path(self):
                        if self.in_out is None:
                            raise YPYModelError('Key property in_out is None')
                        if self.interface is None:
                            raise YPYModelError('Key property interface is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:distribute-list/Cisco-IOS-XE-rip:accesslist-ifname[Cisco-IOS-XE-rip:in-out = ' + str(self.in_out) + '][Cisco-IOS-XE-rip:interface = ' + str(self.interface) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_out is not None:
                            return True

                        if self.interface is not None:
                            return True

                        if self.id is not None:
                            return True

                        if self.interface_routing_id is not None:
                            return True

                        if self.isis_tag is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.DistributeList.AccesslistIfname']['meta_info']


                class AccesslistPrefixGateway(object):
                    """
                    
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:   :py:class:`AccessListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutTypeEnum>`
                    
                    .. attribute:: name
                    
                    	
                    	**type**\:  str
                    
                    	**mandatory**\: True
                    
                    .. attribute:: prefix_gateway
                    
                    	
                    	**type**\:   :py:class:`PrefixGatewayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.DistributeList.AccesslistPrefixGateway.PrefixGatewayEnum>`
                    
                    	**mandatory**\: True
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_out = None
                        self.name = None
                        self.prefix_gateway = None

                    class PrefixGatewayEnum(Enum):
                        """
                        PrefixGatewayEnum

                        .. data:: prefix = 0

                        .. data:: gateway = 1

                        .. data:: route_map = 2

                        """

                        prefix = 0

                        gateway = 1

                        route_map = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.DistributeList.AccesslistPrefixGateway.PrefixGatewayEnum']


                    @property
                    def _common_path(self):
                        if self.in_out is None:
                            raise YPYModelError('Key property in_out is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:distribute-list/Cisco-IOS-XE-rip:accesslist-prefix-gateway[Cisco-IOS-XE-rip:in-out = ' + str(self.in_out) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_out is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.prefix_gateway is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.DistributeList.AccesslistPrefixGateway']['meta_info']


                class AccesslistPrefixGatewayIfname(object):
                    """
                    
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:   :py:class:`AccessListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutTypeEnum>`
                    
                    .. attribute:: interface  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: interface_routing_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: isis_tag
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: name
                    
                    	
                    	**type**\:  str
                    
                    	**mandatory**\: True
                    
                    .. attribute:: prefix_gateway
                    
                    	
                    	**type**\:   :py:class:`PrefixGatewayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.DistributeList.AccesslistPrefixGatewayIfname.PrefixGatewayEnum>`
                    
                    	**mandatory**\: True
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding Instance
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_out = None
                        self.interface = None
                        self.interface_routing_id = None
                        self.isis_tag = None
                        self.name = None
                        self.prefix_gateway = None
                        self.vrf = None

                    class PrefixGatewayEnum(Enum):
                        """
                        PrefixGatewayEnum

                        .. data:: prefix = 0

                        .. data:: gateway = 1

                        .. data:: route_map = 2

                        """

                        prefix = 0

                        gateway = 1

                        route_map = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.DistributeList.AccesslistPrefixGatewayIfname.PrefixGatewayEnum']


                    @property
                    def _common_path(self):
                        if self.in_out is None:
                            raise YPYModelError('Key property in_out is None')
                        if self.interface is None:
                            raise YPYModelError('Key property interface is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:distribute-list/Cisco-IOS-XE-rip:accesslist-prefix-gateway-ifname[Cisco-IOS-XE-rip:in-out = ' + str(self.in_out) + '][Cisco-IOS-XE-rip:interface = ' + str(self.interface) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_out is not None:
                            return True

                        if self.interface is not None:
                            return True

                        if self.interface_routing_id is not None:
                            return True

                        if self.isis_tag is not None:
                            return True

                        if self.name is not None:
                            return True

                        if self.prefix_gateway is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.DistributeList.AccesslistPrefixGatewayIfname']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:distribute-list'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.accesslist is not None:
                        for child_ref in self.accesslist:
                            if child_ref._has_data():
                                return True

                    if self.accesslist_ifname is not None:
                        for child_ref in self.accesslist_ifname:
                            if child_ref._has_data():
                                return True

                    if self.accesslist_prefix_gateway is not None:
                        for child_ref in self.accesslist_prefix_gateway:
                            if child_ref._has_data():
                                return True

                    if self.accesslist_prefix_gateway_ifname is not None:
                        for child_ref in self.accesslist_prefix_gateway_ifname:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Rip.DistributeList']['meta_info']


            class OffsetList(object):
                """
                Add or subtract offset from RIP metrics
                
                .. attribute:: in_out  <key>
                
                	
                	**type**\:   :py:class:`OffsetListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_rip.OffsetListInOutTypeEnum>`
                
                .. attribute:: id
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 0..99
                
                	**mandatory**\: True
                
                
                ----
                	**type**\:  int
                
                	**range:** 1300..1999
                
                	**mandatory**\: True
                
                
                ----
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                	**mandatory**\: True
                
                
                ----
                .. attribute:: offset
                
                	
                	**type**\:  int
                
                	**range:** 0..16
                
                	**mandatory**\: True
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.in_out = None
                    self.id = None
                    self.offset = None

                @property
                def _common_path(self):
                    if self.in_out is None:
                        raise YPYModelError('Key property in_out is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:offset-list[Cisco-IOS-XE-rip:in-out = ' + str(self.in_out) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.in_out is not None:
                        return True

                    if self.id is not None:
                        return True

                    if self.offset is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Rip.OffsetList']['meta_info']


            class Redistribute(object):
                """
                Redistribute information from another routing protocol
                
                .. attribute:: bgp
                
                	Border Gateway Protocol (BGP)
                	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Bgp>`
                
                .. attribute:: connected
                
                	Connected
                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Connected>`
                
                	**presence node**\: True
                
                .. attribute:: eigrp
                
                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Eigrp>`
                
                .. attribute:: isis
                
                	ISO IS\-IS
                	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Isis>`
                
                	**presence node**\: True
                
                .. attribute:: iso_igrp
                
                	IGRP for OSI networks
                	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.IsoIgrp>`
                
                	**presence node**\: True
                
                .. attribute:: mobile
                
                	Mobile routes
                	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Mobile>`
                
                	**presence node**\: True
                
                .. attribute:: odr
                
                	On Demand stub Routes
                	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Odr>`
                
                	**presence node**\: True
                
                .. attribute:: ospf
                
                	Open Shortest Path First (OSPF)
                	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf>`
                
                .. attribute:: rip
                
                	Routing Information Protocol (RIP)
                	**type**\:   :py:class:`Rip_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Rip_>`
                
                	**presence node**\: True
                
                .. attribute:: rip_metric_route_map
                
                	
                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.RipMetricRouteMap>`
                
                .. attribute:: static
                
                	Static routes
                	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Static>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.bgp = YList()
                    self.bgp.parent = self
                    self.bgp.name = 'bgp'
                    self.connected = None
                    self.eigrp = YList()
                    self.eigrp.parent = self
                    self.eigrp.name = 'eigrp'
                    self.isis = None
                    self.iso_igrp = None
                    self.mobile = None
                    self.odr = None
                    self.ospf = YList()
                    self.ospf.parent = self
                    self.ospf.name = 'ospf'
                    self.rip = None
                    self.rip_metric_route_map = Native.Router.Rip.Redistribute.RipMetricRouteMap()
                    self.rip_metric_route_map.parent = self
                    self.static = None


                class RipMetricRouteMap(object):
                    """
                    
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.RipMetricRouteMap.Metric>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.metric = Native.Router.Rip.Redistribute.RipMetricRouteMap.Metric()
                        self.metric.parent = self
                        self.route_map = None


                    class Metric(object):
                        """
                        Metric for redistributed routes
                        
                        .. attribute:: metric_value
                        
                        	Metric for redistributed routes
                        	**type**\:  int
                        
                        	**range:** 0..16
                        
                        .. attribute:: transparent
                        
                        	Transparently redistribute metric
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric_value = None
                            self.transparent = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric_value is not None:
                                return True

                            if self.transparent is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Redistribute.RipMetricRouteMap.Metric']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:rip-metric-route-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.metric is not None and self.metric._has_data():
                            return True

                        if self.route_map is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Redistribute.RipMetricRouteMap']['meta_info']


                class Connected(object):
                    """
                    Connected
                    
                    .. attribute:: rip_metric_route_map
                    
                    	
                    	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.rip_metric_route_map = Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap()
                        self.rip_metric_route_map.parent = self


                    class RipMetricRouteMap(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric()
                            self.metric.parent = self
                            self.route_map = None


                        class Metric(object):
                            """
                            Metric for redistributed routes
                            
                            .. attribute:: metric_value
                            
                            	Metric for redistributed routes
                            	**type**\:  int
                            
                            	**range:** 0..16
                            
                            .. attribute:: transparent
                            
                            	Transparently redistribute metric
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric_value = None
                                self.transparent = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:connected/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric_value is not None:
                                    return True

                                if self.transparent is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:connected/Cisco-IOS-XE-rip:rip-metric-route-map'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None and self.metric._has_data():
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:connected'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Redistribute.Connected']['meta_info']


                class Bgp(object):
                    """
                    Border Gateway Protocol (BGP)
                    
                    .. attribute:: as_number  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: rip_metric_route_map
                    
                    	
                    	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.as_number = None
                        self.rip_metric_route_map = Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap()
                        self.rip_metric_route_map.parent = self


                    class RipMetricRouteMap(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric()
                            self.metric.parent = self
                            self.route_map = None


                        class Metric(object):
                            """
                            Metric for redistributed routes
                            
                            .. attribute:: metric_value
                            
                            	Metric for redistributed routes
                            	**type**\:  int
                            
                            	**range:** 0..16
                            
                            .. attribute:: transparent
                            
                            	Transparently redistribute metric
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric_value = None
                                self.transparent = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric_value is not None:
                                    return True

                                if self.transparent is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None and self.metric._has_data():
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap']['meta_info']

                    @property
                    def _common_path(self):
                        if self.as_number is None:
                            raise YPYModelError('Key property as_number is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:bgp[Cisco-IOS-XE-rip:as-number = ' + str(self.as_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.as_number is not None:
                            return True

                        if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Redistribute.Bgp']['meta_info']


                class Eigrp(object):
                    """
                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                    
                    .. attribute:: as_number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: rip_metric_route_map
                    
                    	
                    	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.as_number = None
                        self.rip_metric_route_map = Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap()
                        self.rip_metric_route_map.parent = self


                    class RipMetricRouteMap(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric()
                            self.metric.parent = self
                            self.route_map = None


                        class Metric(object):
                            """
                            Metric for redistributed routes
                            
                            .. attribute:: metric_value
                            
                            	Metric for redistributed routes
                            	**type**\:  int
                            
                            	**range:** 0..16
                            
                            .. attribute:: transparent
                            
                            	Transparently redistribute metric
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric_value = None
                                self.transparent = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric_value is not None:
                                    return True

                                if self.transparent is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None and self.metric._has_data():
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap']['meta_info']

                    @property
                    def _common_path(self):
                        if self.as_number is None:
                            raise YPYModelError('Key property as_number is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:eigrp[Cisco-IOS-XE-rip:as-number = ' + str(self.as_number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.as_number is not None:
                            return True

                        if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Redistribute.Eigrp']['meta_info']


                class Isis(object):
                    """
                    ISO IS\-IS
                    
                    .. attribute:: isis_area
                    
                    	
                    	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Isis.IsisArea>`
                    
                    .. attribute:: rip_isis_redist
                    
                    	
                    	**type**\:   :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Isis.RipIsisRedist>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.isis_area = YList()
                        self.isis_area.parent = self
                        self.isis_area.name = 'isis_area'
                        self.rip_isis_redist = Native.Router.Rip.Redistribute.Isis.RipIsisRedist()
                        self.rip_isis_redist.parent = self


                    class IsisArea(object):
                        """
                        
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: rip_isis_redist
                        
                        	
                        	**type**\:   :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.rip_isis_redist = Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist()
                            self.rip_isis_redist.parent = self


                        class RipIsisRedist(object):
                            """
                            
                            
                            .. attribute:: isis_level_routes
                            
                            	
                            	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutesEnum>`
                            
                            .. attribute:: rip_metric_route_map
                            
                            	
                            	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.isis_level_routes = None
                                self.rip_metric_route_map = Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap()
                                self.rip_metric_route_map.parent = self

                            class IsisLevelRoutesEnum(Enum):
                                """
                                IsisLevelRoutesEnum

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                .. data:: level_1_2 = 2

                                """

                                level_1 = 0

                                level_2 = 1

                                level_1_2 = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutesEnum']



                            class RipMetricRouteMap(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric()
                                    self.metric.parent = self
                                    self.route_map = None


                                class Metric(object):
                                    """
                                    Metric for redistributed routes
                                    
                                    .. attribute:: metric_value
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..16
                                    
                                    .. attribute:: transparent
                                    
                                    	Transparently redistribute metric
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric_value = None
                                        self.transparent = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric_value is not None:
                                            return True

                                        if self.transparent is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None and self.metric._has_data():
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-isis-redist'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.isis_level_routes is not None:
                                    return True

                                if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist']['meta_info']

                        @property
                        def _common_path(self):
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:isis/Cisco-IOS-XE-rip:isis-area[Cisco-IOS-XE-rip:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.rip_isis_redist is not None and self.rip_isis_redist._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Redistribute.Isis.IsisArea']['meta_info']


                    class RipIsisRedist(object):
                        """
                        
                        
                        .. attribute:: isis_level_routes
                        
                        	
                        	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Isis.RipIsisRedist.IsisLevelRoutesEnum>`
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.isis_level_routes = None
                            self.rip_metric_route_map = Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self

                        class IsisLevelRoutesEnum(Enum):
                            """
                            IsisLevelRoutesEnum

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            .. data:: level_1_2 = 2

                            """

                            level_1 = 0

                            level_2 = 1

                            level_1_2 = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Redistribute.Isis.RipIsisRedist.IsisLevelRoutesEnum']



                        class RipMetricRouteMap(object):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric_value = None
                                    self.transparent = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:isis/Cisco-IOS-XE-rip:rip-isis-redist/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric_value is not None:
                                        return True

                                    if self.transparent is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:isis/Cisco-IOS-XE-rip:rip-isis-redist/Cisco-IOS-XE-rip:rip-metric-route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:isis/Cisco-IOS-XE-rip:rip-isis-redist'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.isis_level_routes is not None:
                                return True

                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Redistribute.Isis.RipIsisRedist']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:isis'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.isis_area is not None:
                            for child_ref in self.isis_area:
                                if child_ref._has_data():
                                    return True

                        if self.rip_isis_redist is not None and self.rip_isis_redist._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Redistribute.Isis']['meta_info']


                class IsoIgrp(object):
                    """
                    IGRP for OSI networks
                    
                    .. attribute:: isoigrp_list
                    
                    	Border Gateway Protocol (BGP)
                    	**type**\: list of    :py:class:`IsoigrpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList>`
                    
                    .. attribute:: rip_metric_route_map
                    
                    	
                    	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.isoigrp_list = YList()
                        self.isoigrp_list.parent = self
                        self.isoigrp_list.name = 'isoigrp_list'
                        self.rip_metric_route_map = Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap()
                        self.rip_metric_route_map.parent = self


                    class IsoigrpList(object):
                        """
                        Border Gateway Protocol (BGP)
                        
                        .. attribute:: iso_area_tag  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.iso_area_tag = None
                            self.rip_metric_route_map = Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self


                        class RipMetricRouteMap(object):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric_value = None
                                    self.transparent = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric_value is not None:
                                        return True

                                    if self.transparent is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.iso_area_tag is None:
                                raise YPYModelError('Key property iso_area_tag is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:iso-igrp/Cisco-IOS-XE-rip:isoigrp-list[Cisco-IOS-XE-rip:iso-area-tag = ' + str(self.iso_area_tag) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.iso_area_tag is not None:
                                return True

                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList']['meta_info']


                    class RipMetricRouteMap(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric()
                            self.metric.parent = self
                            self.route_map = None


                        class Metric(object):
                            """
                            Metric for redistributed routes
                            
                            .. attribute:: metric_value
                            
                            	Metric for redistributed routes
                            	**type**\:  int
                            
                            	**range:** 0..16
                            
                            .. attribute:: transparent
                            
                            	Transparently redistribute metric
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric_value = None
                                self.transparent = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:iso-igrp/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric_value is not None:
                                    return True

                                if self.transparent is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:iso-igrp/Cisco-IOS-XE-rip:rip-metric-route-map'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None and self.metric._has_data():
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:iso-igrp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.isoigrp_list is not None:
                            for child_ref in self.isoigrp_list:
                                if child_ref._has_data():
                                    return True

                        if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Redistribute.IsoIgrp']['meta_info']


                class Mobile(object):
                    """
                    Mobile routes
                    
                    .. attribute:: rip_metric_route_map
                    
                    	
                    	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.rip_metric_route_map = Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap()
                        self.rip_metric_route_map.parent = self


                    class RipMetricRouteMap(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric()
                            self.metric.parent = self
                            self.route_map = None


                        class Metric(object):
                            """
                            Metric for redistributed routes
                            
                            .. attribute:: metric_value
                            
                            	Metric for redistributed routes
                            	**type**\:  int
                            
                            	**range:** 0..16
                            
                            .. attribute:: transparent
                            
                            	Transparently redistribute metric
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric_value = None
                                self.transparent = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:mobile/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric_value is not None:
                                    return True

                                if self.transparent is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:mobile/Cisco-IOS-XE-rip:rip-metric-route-map'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None and self.metric._has_data():
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:mobile'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Redistribute.Mobile']['meta_info']


                class Odr(object):
                    """
                    On Demand stub Routes
                    
                    .. attribute:: rip_metric_route_map
                    
                    	
                    	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.rip_metric_route_map = Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap()
                        self.rip_metric_route_map.parent = self


                    class RipMetricRouteMap(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric()
                            self.metric.parent = self
                            self.route_map = None


                        class Metric(object):
                            """
                            Metric for redistributed routes
                            
                            .. attribute:: metric_value
                            
                            	Metric for redistributed routes
                            	**type**\:  int
                            
                            	**range:** 0..16
                            
                            .. attribute:: transparent
                            
                            	Transparently redistribute metric
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric_value = None
                                self.transparent = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:odr/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric_value is not None:
                                    return True

                                if self.transparent is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:odr/Cisco-IOS-XE-rip:rip-metric-route-map'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None and self.metric._has_data():
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:odr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Redistribute.Odr']['meta_info']


                class Ospf(object):
                    """
                    Open Shortest Path First (OSPF)
                    
                    .. attribute:: process_id  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: match
                    
                    	Redistribution of OSPF routes
                    	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Match>`
                    
                    .. attribute:: rip_metric_route_map
                    
                    	
                    	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap>`
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding Instance
                    	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.process_id = None
                        self.match = Native.Router.Rip.Redistribute.Ospf.Match()
                        self.match.parent = self
                        self.rip_metric_route_map = Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap()
                        self.rip_metric_route_map.parent = self
                        self.vrf = YList()
                        self.vrf.parent = self
                        self.vrf.name = 'vrf'


                    class Vrf(object):
                        """
                        VPN Routing/Forwarding Instance
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:vrf[Cisco-IOS-XE-rip:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Redistribute.Ospf.Vrf']['meta_info']


                    class Match(object):
                        """
                        Redistribution of OSPF routes
                        
                        .. attribute:: external
                        
                        	Redistribute OSPF external routes
                        	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Match.External>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: internal
                        
                        	Redistribute OSPF internal routes
                        	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Match.Internal>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: nssa_external
                        
                        	Redistribute OSPF NSSA external routes
                        	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.external = None
                            self.internal = None
                            self.nssa_external = None


                        class Internal(object):
                            """
                            Redistribute OSPF internal routes
                            
                            .. attribute:: rip_metric_route_map
                            
                            	
                            	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.rip_metric_route_map = Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap()
                                self.rip_metric_route_map.parent = self


                            class RipMetricRouteMap(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric()
                                    self.metric.parent = self
                                    self.route_map = None


                                class Metric(object):
                                    """
                                    Metric for redistributed routes
                                    
                                    .. attribute:: metric_value
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..16
                                    
                                    .. attribute:: transparent
                                    
                                    	Transparently redistribute metric
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric_value = None
                                        self.transparent = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric_value is not None:
                                            return True

                                        if self.transparent is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None and self.metric._has_data():
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:internal'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Redistribute.Ospf.Match.Internal']['meta_info']


                        class External(object):
                            """
                            Redistribute OSPF external routes
                            
                            .. attribute:: external_routes
                            
                            	
                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                            
                            .. attribute:: rip_metric_route_map
                            
                            	
                            	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.external_routes = None
                                self.rip_metric_route_map = Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap()
                                self.rip_metric_route_map.parent = self


                            class RipMetricRouteMap(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric()
                                    self.metric.parent = self
                                    self.route_map = None


                                class Metric(object):
                                    """
                                    Metric for redistributed routes
                                    
                                    .. attribute:: metric_value
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..16
                                    
                                    .. attribute:: transparent
                                    
                                    	Transparently redistribute metric
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric_value = None
                                        self.transparent = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric_value is not None:
                                            return True

                                        if self.transparent is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None and self.metric._has_data():
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:external'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.external_routes is not None:
                                    return True

                                if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Redistribute.Ospf.Match.External']['meta_info']


                        class NssaExternal(object):
                            """
                            Redistribute OSPF NSSA external routes
                            
                            .. attribute:: nssa_external_routes
                            
                            	
                            	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                            
                            .. attribute:: rip_metric_route_map
                            
                            	
                            	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.nssa_external_routes = None
                                self.rip_metric_route_map = Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap()
                                self.rip_metric_route_map.parent = self


                            class RipMetricRouteMap(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric()
                                    self.metric.parent = self
                                    self.route_map = None


                                class Metric(object):
                                    """
                                    Metric for redistributed routes
                                    
                                    .. attribute:: metric_value
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..16
                                    
                                    .. attribute:: transparent
                                    
                                    	Transparently redistribute metric
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric_value = None
                                        self.transparent = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric_value is not None:
                                            return True

                                        if self.transparent is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None and self.metric._has_data():
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:nssa-external'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.nssa_external_routes is not None:
                                    return True

                                if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:match'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.external is not None and self.external._has_data():
                                return True

                            if self.internal is not None and self.internal._has_data():
                                return True

                            if self.nssa_external is not None and self.nssa_external._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Redistribute.Ospf.Match']['meta_info']


                    class RipMetricRouteMap(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric()
                            self.metric.parent = self
                            self.route_map = None


                        class Metric(object):
                            """
                            Metric for redistributed routes
                            
                            .. attribute:: metric_value
                            
                            	Metric for redistributed routes
                            	**type**\:  int
                            
                            	**range:** 0..16
                            
                            .. attribute:: transparent
                            
                            	Transparently redistribute metric
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric_value = None
                                self.transparent = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric_value is not None:
                                    return True

                                if self.transparent is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None and self.metric._has_data():
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap']['meta_info']

                    @property
                    def _common_path(self):
                        if self.process_id is None:
                            raise YPYModelError('Key property process_id is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:ospf[Cisco-IOS-XE-rip:process-id = ' + str(self.process_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.process_id is not None:
                            return True

                        if self.match is not None and self.match._has_data():
                            return True

                        if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                            return True

                        if self.vrf is not None:
                            for child_ref in self.vrf:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Redistribute.Ospf']['meta_info']


                class Static(object):
                    """
                    Static routes
                    
                    .. attribute:: rip_metric_route_map
                    
                    	
                    	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Static.RipMetricRouteMap>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.rip_metric_route_map = Native.Router.Rip.Redistribute.Static.RipMetricRouteMap()
                        self.rip_metric_route_map.parent = self


                    class RipMetricRouteMap(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = Native.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric()
                            self.metric.parent = self
                            self.route_map = None


                        class Metric(object):
                            """
                            Metric for redistributed routes
                            
                            .. attribute:: metric_value
                            
                            	Metric for redistributed routes
                            	**type**\:  int
                            
                            	**range:** 0..16
                            
                            .. attribute:: transparent
                            
                            	Transparently redistribute metric
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric_value = None
                                self.transparent = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:static/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric_value is not None:
                                    return True

                                if self.transparent is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:static/Cisco-IOS-XE-rip:rip-metric-route-map'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None and self.metric._has_data():
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Redistribute.Static.RipMetricRouteMap']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:static'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Redistribute.Static']['meta_info']


                class Rip_(object):
                    """
                    Routing Information Protocol (RIP)
                    
                    .. attribute:: rip_metric_route_map
                    
                    	
                    	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Rip_.RipMetricRouteMap>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.rip_metric_route_map = Native.Router.Rip.Redistribute.Rip_.RipMetricRouteMap()
                        self.rip_metric_route_map.parent = self


                    class RipMetricRouteMap(object):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Rip_.RipMetricRouteMap.Metric>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.metric = Native.Router.Rip.Redistribute.Rip_.RipMetricRouteMap.Metric()
                            self.metric.parent = self
                            self.route_map = None


                        class Metric(object):
                            """
                            Metric for redistributed routes
                            
                            .. attribute:: metric_value
                            
                            	Metric for redistributed routes
                            	**type**\:  int
                            
                            	**range:** 0..16
                            
                            .. attribute:: transparent
                            
                            	Transparently redistribute metric
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric_value = None
                                self.transparent = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric_value is not None:
                                    return True

                                if self.transparent is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Redistribute.Rip_.RipMetricRouteMap.Metric']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:rip-metric-route-map'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.metric is not None and self.metric._has_data():
                                return True

                            if self.route_map is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Redistribute.Rip_.RipMetricRouteMap']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:rip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Redistribute.Rip_']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:redistribute'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.bgp is not None:
                        for child_ref in self.bgp:
                            if child_ref._has_data():
                                return True

                    if self.connected is not None and self.connected._has_data():
                        return True

                    if self.eigrp is not None:
                        for child_ref in self.eigrp:
                            if child_ref._has_data():
                                return True

                    if self.isis is not None and self.isis._has_data():
                        return True

                    if self.iso_igrp is not None and self.iso_igrp._has_data():
                        return True

                    if self.mobile is not None and self.mobile._has_data():
                        return True

                    if self.odr is not None and self.odr._has_data():
                        return True

                    if self.ospf is not None:
                        for child_ref in self.ospf:
                            if child_ref._has_data():
                                return True

                    if self.rip is not None and self.rip._has_data():
                        return True

                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                        return True

                    if self.static is not None and self.static._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Rip.Redistribute']['meta_info']


            class Timers(object):
                """
                Adjust routing timers
                
                .. attribute:: basic
                
                	Basic routing protocol update timers
                	**type**\:   :py:class:`Basic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Timers.Basic>`
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.basic = Native.Router.Rip.Timers.Basic()
                    self.basic.parent = self


                class Basic(object):
                    """
                    Basic routing protocol update timers
                    
                    .. attribute:: flush
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: holddown
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: invalid
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: sleep
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: updates
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.flush = None
                        self.holddown = None
                        self.invalid = None
                        self.sleep = None
                        self.updates = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:timers/Cisco-IOS-XE-rip:basic'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.flush is not None:
                            return True

                        if self.holddown is not None:
                            return True

                        if self.invalid is not None:
                            return True

                        if self.sleep is not None:
                            return True

                        if self.updates is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Timers.Basic']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:timers'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.basic is not None and self.basic._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Rip.Timers']['meta_info']


            class PassiveInterface(object):
                """
                Suppress routing updates on an interface
                
                .. attribute:: default
                
                	Suppress routing updates on all interfaces
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: interface
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = None
                    self.interface = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:passive-interface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None:
                        return True

                    if self.interface is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Rip.PassiveInterface']['meta_info']


            class Disable(object):
                """
                
                
                .. attribute:: passive_interface
                
                	
                	**type**\: list of    :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Disable.PassiveInterface>`
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.passive_interface = YList()
                    self.passive_interface.parent = self
                    self.passive_interface.name = 'passive_interface'


                class PassiveInterface(object):
                    """
                    
                    
                    .. attribute:: interface  <key>
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interface = None

                    @property
                    def _common_path(self):
                        if self.interface is None:
                            raise YPYModelError('Key property interface is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:disable/Cisco-IOS-XE-rip:passive-interface[Cisco-IOS-XE-rip:interface = ' + str(self.interface) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Disable.PassiveInterface']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:disable'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.passive_interface is not None:
                        for child_ref in self.passive_interface:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Rip.Disable']['meta_info']


            class TrafficShare(object):
                """
                How to compute traffic share over alternate paths
                
                .. attribute:: min
                
                	All traffic shared among min metric paths
                	**type**\:   :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.TrafficShare.Min>`
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.min = Native.Router.Rip.TrafficShare.Min()
                    self.min.parent = self


                class Min(object):
                    """
                    All traffic shared among min metric paths
                    
                    .. attribute:: across_interfaces
                    
                    	Use different interfaces for equal\-cost paths
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.across_interfaces = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:traffic-share/Cisco-IOS-XE-rip:min'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.across_interfaces is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.TrafficShare.Min']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:traffic-share'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.min is not None and self.min._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Rip.TrafficShare']['meta_info']


            class AddressFamily(object):
                """
                Enter Address Family command mode
                
                .. attribute:: ipv4
                
                	Address family
                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4>`
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipv4 = Native.Router.Rip.AddressFamily.Ipv4()
                    self.ipv4.parent = self


                class Ipv4(object):
                    """
                    Address family
                    
                    .. attribute:: unicast
                    
                    	
                    	**type**\:   :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast>`
                    
                    .. attribute:: vrf
                    
                    	Specify parameters for a VPN Routing/Forwarding instance
                    	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.unicast = Native.Router.Rip.AddressFamily.Ipv4.Unicast()
                        self.unicast.parent = self
                        self.vrf = YList()
                        self.vrf.parent = self
                        self.vrf.name = 'vrf'


                    class Unicast(object):
                        """
                        
                        
                        .. attribute:: auto_summary
                        
                        	Enable automatic network number summarization
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\:   :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable>`
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance>`
                        
                        .. attribute:: distribute_list
                        
                        	Filter networks in routing updates
                        	**type**\:   :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList>`
                        
                        .. attribute:: flash_update_threshold
                        
                        	Specify flash update threshold in second
                        	**type**\:  int
                        
                        	**range:** 0..30
                        
                        .. attribute:: input_queue
                        
                        	Specify input queue depth
                        	**type**\:  int
                        
                        	**range:** 0..1024
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:  int
                        
                        	**range:** 1..32
                        
                        .. attribute:: neighbor
                        
                        	Specify a neighbor router
                        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Enable routing on an IP network
                        	**type**\: list of    :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Network>`
                        
                        .. attribute:: offset_list
                        
                        	Add or subtract offset from RIP metrics
                        	**type**\: list of    :py:class:`OffsetList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.OffsetList>`
                        
                        .. attribute:: output_delay
                        
                        	Interpacket delay for RIP updates
                        	**type**\:  int
                        
                        	**range:** 8..50
                        
                        .. attribute:: passive_interface
                        
                        	Suppress routing updates on an interface
                        	**type**\:   :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.PassiveInterface>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute>`
                        
                        .. attribute:: timers
                        
                        	Adjust routing timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers>`
                        
                        .. attribute:: traffic_share
                        
                        	How to compute traffic share over alternate paths
                        	**type**\:   :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare>`
                        
                        .. attribute:: validate_update_source
                        
                        	Perform sanity checks against source address of routing updates
                        	**type**\:  bool
                        
                        .. attribute:: version
                        
                        	Set routing protocol version
                        	**type**\:  int
                        
                        	**range:** 1..2
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.auto_summary = None
                            self.default_information = Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation()
                            self.default_information.parent = self
                            self.default_metric = None
                            self.disable = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable()
                            self.disable.parent = self
                            self.distance = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance()
                            self.distance.parent = self
                            self.distribute_list = Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList()
                            self.distribute_list.parent = self
                            self.flash_update_threshold = None
                            self.input_queue = None
                            self.maximum_paths = None
                            self.neighbor = YList()
                            self.neighbor.parent = self
                            self.neighbor.name = 'neighbor'
                            self.network = YList()
                            self.network.parent = self
                            self.network.name = 'network'
                            self.offset_list = YList()
                            self.offset_list.parent = self
                            self.offset_list.name = 'offset_list'
                            self.output_delay = None
                            self.passive_interface = Native.Router.Rip.AddressFamily.Ipv4.Unicast.PassiveInterface()
                            self.passive_interface.parent = self
                            self.redistribute = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute()
                            self.redistribute.parent = self
                            self.timers = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers()
                            self.timers.parent = self
                            self.traffic_share = Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare()
                            self.traffic_share.parent = self
                            self.validate_update_source = None
                            self.version = None


                        class Neighbor(object):
                            """
                            Specify a neighbor router
                            
                            .. attribute:: ip  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip = None

                            @property
                            def _common_path(self):
                                if self.ip is None:
                                    raise YPYModelError('Key property ip is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:neighbor[Cisco-IOS-XE-rip:ip = ' + str(self.ip) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Neighbor']['meta_info']


                        class Network(object):
                            """
                            Enable routing on an IP network
                            
                            .. attribute:: ip  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip = None

                            @property
                            def _common_path(self):
                                if self.ip is None:
                                    raise YPYModelError('Key property ip is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:network[Cisco-IOS-XE-rip:ip = ' + str(self.ip) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Network']['meta_info']


                        class DefaultInformation(object):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:   :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation.Originate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.originate = None


                            class Originate(object):
                                """
                                Distribute a default route
                                
                                .. attribute:: route_map
                                
                                	Route\-map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:default-information/Cisco-IOS-XE-rip:originate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation.Originate']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:default-information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.originate is not None and self.originate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation']['meta_info']


                        class Distance(object):
                            """
                            Define an administrative distance
                            
                            .. attribute:: distance_leaf
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: distance_list
                            
                            	
                            	**type**\: list of    :py:class:`DistanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance.DistanceList>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.distance_leaf = None
                                self.distance_list = YList()
                                self.distance_list.parent = self
                                self.distance_list.name = 'distance_list'


                            class DistanceList(object):
                                """
                                
                                
                                .. attribute:: number  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: ip  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: mask  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.ip = None
                                    self.mask = None

                                @property
                                def _common_path(self):
                                    if self.number is None:
                                        raise YPYModelError('Key property number is None')
                                    if self.ip is None:
                                        raise YPYModelError('Key property ip is None')
                                    if self.mask is None:
                                        raise YPYModelError('Key property mask is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:distance/Cisco-IOS-XE-rip:distance-list[Cisco-IOS-XE-rip:number = ' + str(self.number) + '][Cisco-IOS-XE-rip:ip = ' + str(self.ip) + '][Cisco-IOS-XE-rip:mask = ' + str(self.mask) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.ip is not None:
                                        return True

                                    if self.mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance.DistanceList']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.distance_leaf is not None:
                                    return True

                                if self.distance_list is not None:
                                    for child_ref in self.distance_list:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance']['meta_info']


                        class DistributeList(object):
                            """
                            Filter networks in routing updates
                            
                            .. attribute:: accesslist
                            
                            	
                            	**type**\: list of    :py:class:`Accesslist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.Accesslist>`
                            
                            .. attribute:: accesslist_ifname
                            
                            	
                            	**type**\: list of    :py:class:`AccesslistIfname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistIfname>`
                            
                            .. attribute:: accesslist_prefix_gateway
                            
                            	
                            	**type**\: list of    :py:class:`AccesslistPrefixGateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGateway>`
                            
                            .. attribute:: accesslist_prefix_gateway_ifname
                            
                            	
                            	**type**\: list of    :py:class:`AccesslistPrefixGatewayIfname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGatewayIfname>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.accesslist = YList()
                                self.accesslist.parent = self
                                self.accesslist.name = 'accesslist'
                                self.accesslist_ifname = YList()
                                self.accesslist_ifname.parent = self
                                self.accesslist_ifname.name = 'accesslist_ifname'
                                self.accesslist_prefix_gateway = YList()
                                self.accesslist_prefix_gateway.parent = self
                                self.accesslist_prefix_gateway.name = 'accesslist_prefix_gateway'
                                self.accesslist_prefix_gateway_ifname = YList()
                                self.accesslist_prefix_gateway_ifname.parent = self
                                self.accesslist_prefix_gateway_ifname.name = 'accesslist_prefix_gateway_ifname'


                            class Accesslist(object):
                                """
                                
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:   :py:class:`AccessListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutTypeEnum>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_out = None

                                @property
                                def _common_path(self):
                                    if self.in_out is None:
                                        raise YPYModelError('Key property in_out is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:distribute-list/Cisco-IOS-XE-rip:accesslist[Cisco-IOS-XE-rip:in-out = ' + str(self.in_out) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.Accesslist']['meta_info']


                            class AccesslistIfname(object):
                                """
                                
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:   :py:class:`AccessListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutTypeEnum>`
                                
                                .. attribute:: interface  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: interface_routing_id
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: isis_tag
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_out = None
                                    self.interface = None
                                    self.interface_routing_id = None
                                    self.isis_tag = None
                                    self.vrf = None

                                @property
                                def _common_path(self):
                                    if self.in_out is None:
                                        raise YPYModelError('Key property in_out is None')
                                    if self.interface is None:
                                        raise YPYModelError('Key property interface is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:distribute-list/Cisco-IOS-XE-rip:accesslist-ifname[Cisco-IOS-XE-rip:in-out = ' + str(self.in_out) + '][Cisco-IOS-XE-rip:interface = ' + str(self.interface) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_out is not None:
                                        return True

                                    if self.interface is not None:
                                        return True

                                    if self.interface_routing_id is not None:
                                        return True

                                    if self.isis_tag is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistIfname']['meta_info']


                            class AccesslistPrefixGateway(object):
                                """
                                
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:   :py:class:`AccessListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutTypeEnum>`
                                
                                .. attribute:: name
                                
                                	
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                .. attribute:: prefix_gateway
                                
                                	
                                	**type**\:   :py:class:`PrefixGatewayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGateway.PrefixGatewayEnum>`
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_out = None
                                    self.name = None
                                    self.prefix_gateway = None

                                class PrefixGatewayEnum(Enum):
                                    """
                                    PrefixGatewayEnum

                                    .. data:: prefix = 0

                                    .. data:: gateway = 1

                                    .. data:: route_map = 2

                                    """

                                    prefix = 0

                                    gateway = 1

                                    route_map = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGateway.PrefixGatewayEnum']


                                @property
                                def _common_path(self):
                                    if self.in_out is None:
                                        raise YPYModelError('Key property in_out is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:distribute-list/Cisco-IOS-XE-rip:accesslist-prefix-gateway[Cisco-IOS-XE-rip:in-out = ' + str(self.in_out) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_out is not None:
                                        return True

                                    if self.name is not None:
                                        return True

                                    if self.prefix_gateway is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGateway']['meta_info']


                            class AccesslistPrefixGatewayIfname(object):
                                """
                                
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:   :py:class:`AccessListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutTypeEnum>`
                                
                                .. attribute:: interface  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: interface_routing_id
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: isis_tag
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: name
                                
                                	
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                .. attribute:: prefix_gateway
                                
                                	
                                	**type**\:   :py:class:`PrefixGatewayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGatewayIfname.PrefixGatewayEnum>`
                                
                                	**mandatory**\: True
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_out = None
                                    self.interface = None
                                    self.interface_routing_id = None
                                    self.isis_tag = None
                                    self.name = None
                                    self.prefix_gateway = None
                                    self.vrf = None

                                class PrefixGatewayEnum(Enum):
                                    """
                                    PrefixGatewayEnum

                                    .. data:: prefix = 0

                                    .. data:: gateway = 1

                                    .. data:: route_map = 2

                                    """

                                    prefix = 0

                                    gateway = 1

                                    route_map = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGatewayIfname.PrefixGatewayEnum']


                                @property
                                def _common_path(self):
                                    if self.in_out is None:
                                        raise YPYModelError('Key property in_out is None')
                                    if self.interface is None:
                                        raise YPYModelError('Key property interface is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:distribute-list/Cisco-IOS-XE-rip:accesslist-prefix-gateway-ifname[Cisco-IOS-XE-rip:in-out = ' + str(self.in_out) + '][Cisco-IOS-XE-rip:interface = ' + str(self.interface) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_out is not None:
                                        return True

                                    if self.interface is not None:
                                        return True

                                    if self.interface_routing_id is not None:
                                        return True

                                    if self.isis_tag is not None:
                                        return True

                                    if self.name is not None:
                                        return True

                                    if self.prefix_gateway is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGatewayIfname']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:distribute-list'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.accesslist is not None:
                                    for child_ref in self.accesslist:
                                        if child_ref._has_data():
                                            return True

                                if self.accesslist_ifname is not None:
                                    for child_ref in self.accesslist_ifname:
                                        if child_ref._has_data():
                                            return True

                                if self.accesslist_prefix_gateway is not None:
                                    for child_ref in self.accesslist_prefix_gateway:
                                        if child_ref._has_data():
                                            return True

                                if self.accesslist_prefix_gateway_ifname is not None:
                                    for child_ref in self.accesslist_prefix_gateway_ifname:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList']['meta_info']


                        class OffsetList(object):
                            """
                            Add or subtract offset from RIP metrics
                            
                            .. attribute:: in_out  <key>
                            
                            	
                            	**type**\:   :py:class:`OffsetListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_rip.OffsetListInOutTypeEnum>`
                            
                            .. attribute:: offset
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..16
                            
                            	**mandatory**\: True
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_out = None
                                self.offset = None

                            @property
                            def _common_path(self):
                                if self.in_out is None:
                                    raise YPYModelError('Key property in_out is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:offset-list[Cisco-IOS-XE-rip:in-out = ' + str(self.in_out) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_out is not None:
                                    return True

                                if self.offset is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.OffsetList']['meta_info']


                        class Redistribute(object):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:   :py:class:`Rip_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: rip_metric_route_map
                            
                            	
                            	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bgp = YList()
                                self.bgp.parent = self
                                self.bgp.name = 'bgp'
                                self.connected = None
                                self.eigrp = YList()
                                self.eigrp.parent = self
                                self.eigrp.name = 'eigrp'
                                self.isis = None
                                self.iso_igrp = None
                                self.mobile = None
                                self.odr = None
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.rip = None
                                self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap()
                                self.rip_metric_route_map.parent = self
                                self.static = None


                            class RipMetricRouteMap(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap.Metric>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap.Metric()
                                    self.metric.parent = self
                                    self.route_map = None


                                class Metric(object):
                                    """
                                    Metric for redistributed routes
                                    
                                    .. attribute:: metric_value
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..16
                                    
                                    .. attribute:: transparent
                                    
                                    	Transparently redistribute metric
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric_value = None
                                        self.transparent = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric_value is not None:
                                            return True

                                        if self.transparent is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap.Metric']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:rip-metric-route-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None and self.metric._has_data():
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:connected/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:connected/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected']['meta_info']


                            class Bgp(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None
                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.as_number is None:
                                        raise YPYModelError('Key property as_number is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:bgp[Cisco-IOS-XE-rip:as-number = ' + str(self.as_number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_number is not None:
                                        return True

                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None
                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.as_number is None:
                                        raise YPYModelError('Key property as_number is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:eigrp[Cisco-IOS-XE-rip:as-number = ' + str(self.as_number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_number is not None:
                                        return True

                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp']['meta_info']


                            class Isis(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea>`
                                
                                .. attribute:: rip_isis_redist
                                
                                	
                                	**type**\:   :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.isis_area = YList()
                                    self.isis_area.parent = self
                                    self.isis_area.name = 'isis_area'
                                    self.rip_isis_redist = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist()
                                    self.rip_isis_redist.parent = self


                                class IsisArea(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: rip_isis_redist
                                    
                                    	
                                    	**type**\:   :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.rip_isis_redist = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist()
                                        self.rip_isis_redist.parent = self


                                    class RipIsisRedist(object):
                                        """
                                        
                                        
                                        .. attribute:: isis_level_routes
                                        
                                        	
                                        	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutesEnum>`
                                        
                                        .. attribute:: rip_metric_route_map
                                        
                                        	
                                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.isis_level_routes = None
                                            self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap()
                                            self.rip_metric_route_map.parent = self

                                        class IsisLevelRoutesEnum(Enum):
                                            """
                                            IsisLevelRoutesEnum

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = 0

                                            level_2 = 1

                                            level_1_2 = 2


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutesEnum']



                                        class RipMetricRouteMap(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric()
                                                self.metric.parent = self
                                                self.route_map = None


                                            class Metric(object):
                                                """
                                                Metric for redistributed routes
                                                
                                                .. attribute:: metric_value
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..16
                                                
                                                .. attribute:: transparent
                                                
                                                	Transparently redistribute metric
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.metric_value = None
                                                    self.transparent = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.metric_value is not None:
                                                        return True

                                                    if self.transparent is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None and self.metric._has_data():
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-isis-redist'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.isis_level_routes is not None:
                                                return True

                                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:isis/Cisco-IOS-XE-rip:isis-area[Cisco-IOS-XE-rip:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.rip_isis_redist is not None and self.rip_isis_redist._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea']['meta_info']


                                class RipIsisRedist(object):
                                    """
                                    
                                    
                                    .. attribute:: isis_level_routes
                                    
                                    	
                                    	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.IsisLevelRoutesEnum>`
                                    
                                    .. attribute:: rip_metric_route_map
                                    
                                    	
                                    	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.isis_level_routes = None
                                        self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap()
                                        self.rip_metric_route_map.parent = self

                                    class IsisLevelRoutesEnum(Enum):
                                        """
                                        IsisLevelRoutesEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = 0

                                        level_2 = 1

                                        level_1_2 = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.IsisLevelRoutesEnum']



                                    class RipMetricRouteMap(object):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric()
                                            self.metric.parent = self
                                            self.route_map = None


                                        class Metric(object):
                                            """
                                            Metric for redistributed routes
                                            
                                            .. attribute:: metric_value
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..16
                                            
                                            .. attribute:: transparent
                                            
                                            	Transparently redistribute metric
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric_value = None
                                                self.transparent = None

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:isis/Cisco-IOS-XE-rip:rip-isis-redist/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric_value is not None:
                                                    return True

                                                if self.transparent is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric']['meta_info']

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:isis/Cisco-IOS-XE-rip:rip-isis-redist/Cisco-IOS-XE-rip:rip-metric-route-map'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric is not None and self.metric._has_data():
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:isis/Cisco-IOS-XE-rip:rip-isis-redist'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.isis_level_routes is not None:
                                            return True

                                        if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:isis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.isis_area is not None:
                                        for child_ref in self.isis_area:
                                            if child_ref._has_data():
                                                return True

                                    if self.rip_isis_redist is not None and self.rip_isis_redist._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis']['meta_info']


                            class IsoIgrp(object):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: isoigrp_list
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\: list of    :py:class:`IsoigrpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList>`
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.isoigrp_list = YList()
                                    self.isoigrp_list.parent = self
                                    self.isoigrp_list.name = 'isoigrp_list'
                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class IsoigrpList(object):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: iso_area_tag  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: rip_metric_route_map
                                    
                                    	
                                    	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.iso_area_tag = None
                                        self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap()
                                        self.rip_metric_route_map.parent = self


                                    class RipMetricRouteMap(object):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric()
                                            self.metric.parent = self
                                            self.route_map = None


                                        class Metric(object):
                                            """
                                            Metric for redistributed routes
                                            
                                            .. attribute:: metric_value
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..16
                                            
                                            .. attribute:: transparent
                                            
                                            	Transparently redistribute metric
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric_value = None
                                                self.transparent = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric_value is not None:
                                                    return True

                                                if self.transparent is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric is not None and self.metric._has_data():
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.iso_area_tag is None:
                                            raise YPYModelError('Key property iso_area_tag is None')

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:iso-igrp/Cisco-IOS-XE-rip:isoigrp-list[Cisco-IOS-XE-rip:iso-area-tag = ' + str(self.iso_area_tag) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.iso_area_tag is not None:
                                            return True

                                        if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList']['meta_info']


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:iso-igrp/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:iso-igrp/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:iso-igrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.isoigrp_list is not None:
                                        for child_ref in self.isoigrp_list:
                                            if child_ref._has_data():
                                                return True

                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp']['meta_info']


                            class Mobile(object):
                                """
                                Mobile routes
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:mobile/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:mobile/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:mobile'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile']['meta_info']


                            class Odr(object):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:odr/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:odr/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:odr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: process_id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match>`
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap>`
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Vrf>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.process_id = None
                                    self.match = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match()
                                    self.match.parent = self
                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self.vrf = YList()
                                    self.vrf.parent = self
                                    self.vrf.name = 'vrf'


                                class Vrf(object):
                                    """
                                    VPN Routing/Forwarding Instance
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:vrf[Cisco-IOS-XE-rip:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Vrf']['meta_info']


                                class Match(object):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.internal = None
                                        self.nssa_external = None


                                    class Internal(object):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: rip_metric_route_map
                                        
                                        	
                                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap()
                                            self.rip_metric_route_map.parent = self


                                        class RipMetricRouteMap(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric()
                                                self.metric.parent = self
                                                self.route_map = None


                                            class Metric(object):
                                                """
                                                Metric for redistributed routes
                                                
                                                .. attribute:: metric_value
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..16
                                                
                                                .. attribute:: transparent
                                                
                                                	Transparently redistribute metric
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.metric_value = None
                                                    self.transparent = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.metric_value is not None:
                                                        return True

                                                    if self.transparent is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None and self.metric._has_data():
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:internal'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal']['meta_info']


                                    class External(object):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: rip_metric_route_map
                                        
                                        	
                                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.external_routes = None
                                            self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap()
                                            self.rip_metric_route_map.parent = self


                                        class RipMetricRouteMap(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric()
                                                self.metric.parent = self
                                                self.route_map = None


                                            class Metric(object):
                                                """
                                                Metric for redistributed routes
                                                
                                                .. attribute:: metric_value
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..16
                                                
                                                .. attribute:: transparent
                                                
                                                	Transparently redistribute metric
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.metric_value = None
                                                    self.transparent = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.metric_value is not None:
                                                        return True

                                                    if self.transparent is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None and self.metric._has_data():
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.external_routes is not None:
                                                return True

                                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External']['meta_info']


                                    class NssaExternal(object):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: rip_metric_route_map
                                        
                                        	
                                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.nssa_external_routes = None
                                            self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap()
                                            self.rip_metric_route_map.parent = self


                                        class RipMetricRouteMap(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric()
                                                self.metric.parent = self
                                                self.route_map = None


                                            class Metric(object):
                                                """
                                                Metric for redistributed routes
                                                
                                                .. attribute:: metric_value
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..16
                                                
                                                .. attribute:: transparent
                                                
                                                	Transparently redistribute metric
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.metric_value = None
                                                    self.transparent = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.metric_value is not None:
                                                        return True

                                                    if self.transparent is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None and self.metric._has_data():
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:nssa-external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.nssa_external_routes is not None:
                                                return True

                                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:match'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None and self.external._has_data():
                                            return True

                                        if self.internal is not None and self.internal._has_data():
                                            return True

                                        if self.nssa_external is not None and self.nssa_external._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match']['meta_info']


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.process_id is None:
                                        raise YPYModelError('Key property process_id is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:ospf[Cisco-IOS-XE-rip:process-id = ' + str(self.process_id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.process_id is not None:
                                        return True

                                    if self.match is not None and self.match._has_data():
                                        return True

                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    if self.vrf is not None:
                                        for child_ref in self.vrf:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:static/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:static/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static']['meta_info']


                            class Rip_(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_.RipMetricRouteMap>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:rip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip_']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:redistribute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bgp is not None:
                                    for child_ref in self.bgp:
                                        if child_ref._has_data():
                                            return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.eigrp is not None:
                                    for child_ref in self.eigrp:
                                        if child_ref._has_data():
                                            return True

                                if self.isis is not None and self.isis._has_data():
                                    return True

                                if self.iso_igrp is not None and self.iso_igrp._has_data():
                                    return True

                                if self.mobile is not None and self.mobile._has_data():
                                    return True

                                if self.odr is not None and self.odr._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None and self.rip._has_data():
                                    return True

                                if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                    return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute']['meta_info']


                        class Timers(object):
                            """
                            Adjust routing timers
                            
                            .. attribute:: basic
                            
                            	Basic routing protocol update timers
                            	**type**\:   :py:class:`Basic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers.Basic>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.basic = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers.Basic()
                                self.basic.parent = self


                            class Basic(object):
                                """
                                Basic routing protocol update timers
                                
                                .. attribute:: flush
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: holddown
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: invalid
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: sleep
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: updates
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.flush = None
                                    self.holddown = None
                                    self.invalid = None
                                    self.sleep = None
                                    self.updates = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:timers/Cisco-IOS-XE-rip:basic'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.flush is not None:
                                        return True

                                    if self.holddown is not None:
                                        return True

                                    if self.invalid is not None:
                                        return True

                                    if self.sleep is not None:
                                        return True

                                    if self.updates is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers.Basic']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.basic is not None and self.basic._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers']['meta_info']


                        class PassiveInterface(object):
                            """
                            Suppress routing updates on an interface
                            
                            .. attribute:: default
                            
                            	Suppress routing updates on all interfaces
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: interface
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.default = None
                                self.interface = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:passive-interface'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.default is not None:
                                    return True

                                if self.interface is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.PassiveInterface']['meta_info']


                        class Disable(object):
                            """
                            
                            
                            .. attribute:: passive_interface
                            
                            	
                            	**type**\: list of    :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable.PassiveInterface>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.passive_interface = YList()
                                self.passive_interface.parent = self
                                self.passive_interface.name = 'passive_interface'


                            class PassiveInterface(object):
                                """
                                
                                
                                .. attribute:: interface  <key>
                                
                                	
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.interface = None

                                @property
                                def _common_path(self):
                                    if self.interface is None:
                                        raise YPYModelError('Key property interface is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:disable/Cisco-IOS-XE-rip:passive-interface[Cisco-IOS-XE-rip:interface = ' + str(self.interface) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable.PassiveInterface']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:disable'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.passive_interface is not None:
                                    for child_ref in self.passive_interface:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable']['meta_info']


                        class TrafficShare(object):
                            """
                            How to compute traffic share over alternate paths
                            
                            .. attribute:: min
                            
                            	All traffic shared among min metric paths
                            	**type**\:   :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare.Min>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.min = Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare.Min()
                                self.min.parent = self


                            class Min(object):
                                """
                                All traffic shared among min metric paths
                                
                                .. attribute:: across_interfaces
                                
                                	Use different interfaces for equal\-cost paths
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.across_interfaces = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:traffic-share/Cisco-IOS-XE-rip:min'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.across_interfaces is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare.Min']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast/Cisco-IOS-XE-rip:traffic-share'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.min is not None and self.min._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:unicast'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.auto_summary is not None:
                                return True

                            if self.default_information is not None and self.default_information._has_data():
                                return True

                            if self.default_metric is not None:
                                return True

                            if self.disable is not None and self.disable._has_data():
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.distribute_list is not None and self.distribute_list._has_data():
                                return True

                            if self.flash_update_threshold is not None:
                                return True

                            if self.input_queue is not None:
                                return True

                            if self.maximum_paths is not None:
                                return True

                            if self.neighbor is not None:
                                for child_ref in self.neighbor:
                                    if child_ref._has_data():
                                        return True

                            if self.network is not None:
                                for child_ref in self.network:
                                    if child_ref._has_data():
                                        return True

                            if self.offset_list is not None:
                                for child_ref in self.offset_list:
                                    if child_ref._has_data():
                                        return True

                            if self.output_delay is not None:
                                return True

                            if self.passive_interface is not None and self.passive_interface._has_data():
                                return True

                            if self.redistribute is not None and self.redistribute._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.traffic_share is not None and self.traffic_share._has_data():
                                return True

                            if self.validate_update_source is not None:
                                return True

                            if self.version is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Unicast']['meta_info']


                    class Vrf(object):
                        """
                        Specify parameters for a VPN Routing/Forwarding instance
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: auto_summary
                        
                        	Enable automatic network number summarization
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance>`
                        
                        .. attribute:: distribute_list
                        
                        	Filter networks in routing updates
                        	**type**\:   :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:  int
                        
                        	**range:** 1..32
                        
                        .. attribute:: neighbor
                        
                        	Specify a neighbor router
                        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Enable routing on an IP network
                        	**type**\: list of    :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Network>`
                        
                        .. attribute:: offset_list
                        
                        	Add or subtract offset from RIP metrics
                        	**type**\: list of    :py:class:`OffsetList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.OffsetList>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute>`
                        
                        .. attribute:: timers
                        
                        	Adjust routing timers
                        	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers>`
                        
                        .. attribute:: validate_update_source
                        
                        	Perform sanity checks against source address of routing updates
                        	**type**\:  bool
                        
                        .. attribute:: version
                        
                        	Set routing protocol version
                        	**type**\:  int
                        
                        	**range:** 1..2
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.name = None
                            self.auto_summary = None
                            self.default_information = Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation()
                            self.default_information.parent = self
                            self.default_metric = None
                            self.distance = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance()
                            self.distance.parent = self
                            self.distribute_list = Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList()
                            self.distribute_list.parent = self
                            self.maximum_paths = None
                            self.neighbor = YList()
                            self.neighbor.parent = self
                            self.neighbor.name = 'neighbor'
                            self.network = YList()
                            self.network.parent = self
                            self.network.name = 'network'
                            self.offset_list = YList()
                            self.offset_list.parent = self
                            self.offset_list.name = 'offset_list'
                            self.redistribute = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute()
                            self.redistribute.parent = self
                            self.timers = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers()
                            self.timers.parent = self
                            self.validate_update_source = None
                            self.version = None


                        class Neighbor(object):
                            """
                            Specify a neighbor router
                            
                            .. attribute:: ip  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip is None:
                                    raise YPYModelError('Key property ip is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:neighbor[Cisco-IOS-XE-rip:ip = ' + str(self.ip) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Neighbor']['meta_info']


                        class Network(object):
                            """
                            Enable routing on an IP network
                            
                            .. attribute:: ip  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip is None:
                                    raise YPYModelError('Key property ip is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:network[Cisco-IOS-XE-rip:ip = ' + str(self.ip) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Network']['meta_info']


                        class DefaultInformation(object):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:   :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation.Originate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.originate = None


                            class Originate(object):
                                """
                                Distribute a default route
                                
                                .. attribute:: route_map
                                
                                	Route\-map reference
                                	**type**\:  str
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.route_map = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:originate'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation.Originate']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:default-information'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.originate is not None and self.originate._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation']['meta_info']


                        class Distance(object):
                            """
                            Define an administrative distance
                            
                            .. attribute:: distance_leaf
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..255
                            
                            .. attribute:: distance_list
                            
                            	
                            	**type**\: list of    :py:class:`DistanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance.DistanceList>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.distance_leaf = None
                                self.distance_list = YList()
                                self.distance_list.parent = self
                                self.distance_list.name = 'distance_list'


                            class DistanceList(object):
                                """
                                
                                
                                .. attribute:: number  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..255
                                
                                .. attribute:: ip  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: mask  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.ip = None
                                    self.mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.number is None:
                                        raise YPYModelError('Key property number is None')
                                    if self.ip is None:
                                        raise YPYModelError('Key property ip is None')
                                    if self.mask is None:
                                        raise YPYModelError('Key property mask is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:distance-list[Cisco-IOS-XE-rip:number = ' + str(self.number) + '][Cisco-IOS-XE-rip:ip = ' + str(self.ip) + '][Cisco-IOS-XE-rip:mask = ' + str(self.mask) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.ip is not None:
                                        return True

                                    if self.mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance.DistanceList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:distance'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.distance_leaf is not None:
                                    return True

                                if self.distance_list is not None:
                                    for child_ref in self.distance_list:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance']['meta_info']


                        class DistributeList(object):
                            """
                            Filter networks in routing updates
                            
                            .. attribute:: accesslist
                            
                            	
                            	**type**\: list of    :py:class:`Accesslist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.Accesslist>`
                            
                            .. attribute:: accesslist_ifname
                            
                            	
                            	**type**\: list of    :py:class:`AccesslistIfname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistIfname>`
                            
                            .. attribute:: accesslist_prefix_gateway
                            
                            	
                            	**type**\: list of    :py:class:`AccesslistPrefixGateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGateway>`
                            
                            .. attribute:: accesslist_prefix_gateway_ifname
                            
                            	
                            	**type**\: list of    :py:class:`AccesslistPrefixGatewayIfname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGatewayIfname>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.accesslist = YList()
                                self.accesslist.parent = self
                                self.accesslist.name = 'accesslist'
                                self.accesslist_ifname = YList()
                                self.accesslist_ifname.parent = self
                                self.accesslist_ifname.name = 'accesslist_ifname'
                                self.accesslist_prefix_gateway = YList()
                                self.accesslist_prefix_gateway.parent = self
                                self.accesslist_prefix_gateway.name = 'accesslist_prefix_gateway'
                                self.accesslist_prefix_gateway_ifname = YList()
                                self.accesslist_prefix_gateway_ifname.parent = self
                                self.accesslist_prefix_gateway_ifname.name = 'accesslist_prefix_gateway_ifname'


                            class Accesslist(object):
                                """
                                
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:   :py:class:`AccessListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutTypeEnum>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_out = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.in_out is None:
                                        raise YPYModelError('Key property in_out is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:accesslist[Cisco-IOS-XE-rip:in-out = ' + str(self.in_out) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_out is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.Accesslist']['meta_info']


                            class AccesslistIfname(object):
                                """
                                
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:   :py:class:`AccessListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutTypeEnum>`
                                
                                .. attribute:: interface  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: interface_routing_id
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: isis_tag
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_out = None
                                    self.interface = None
                                    self.interface_routing_id = None
                                    self.isis_tag = None
                                    self.vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.in_out is None:
                                        raise YPYModelError('Key property in_out is None')
                                    if self.interface is None:
                                        raise YPYModelError('Key property interface is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:accesslist-ifname[Cisco-IOS-XE-rip:in-out = ' + str(self.in_out) + '][Cisco-IOS-XE-rip:interface = ' + str(self.interface) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_out is not None:
                                        return True

                                    if self.interface is not None:
                                        return True

                                    if self.interface_routing_id is not None:
                                        return True

                                    if self.isis_tag is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistIfname']['meta_info']


                            class AccesslistPrefixGateway(object):
                                """
                                
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:   :py:class:`AccessListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutTypeEnum>`
                                
                                .. attribute:: name
                                
                                	
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                .. attribute:: prefix_gateway
                                
                                	
                                	**type**\:   :py:class:`PrefixGatewayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGateway.PrefixGatewayEnum>`
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_out = None
                                    self.name = None
                                    self.prefix_gateway = None

                                class PrefixGatewayEnum(Enum):
                                    """
                                    PrefixGatewayEnum

                                    .. data:: prefix = 0

                                    .. data:: gateway = 1

                                    .. data:: route_map = 2

                                    """

                                    prefix = 0

                                    gateway = 1

                                    route_map = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGateway.PrefixGatewayEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.in_out is None:
                                        raise YPYModelError('Key property in_out is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:accesslist-prefix-gateway[Cisco-IOS-XE-rip:in-out = ' + str(self.in_out) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_out is not None:
                                        return True

                                    if self.name is not None:
                                        return True

                                    if self.prefix_gateway is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGateway']['meta_info']


                            class AccesslistPrefixGatewayIfname(object):
                                """
                                
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:   :py:class:`AccessListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutTypeEnum>`
                                
                                .. attribute:: interface  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: interface_routing_id
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: isis_tag
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: name
                                
                                	
                                	**type**\:  str
                                
                                	**mandatory**\: True
                                
                                .. attribute:: prefix_gateway
                                
                                	
                                	**type**\:   :py:class:`PrefixGatewayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGatewayIfname.PrefixGatewayEnum>`
                                
                                	**mandatory**\: True
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.in_out = None
                                    self.interface = None
                                    self.interface_routing_id = None
                                    self.isis_tag = None
                                    self.name = None
                                    self.prefix_gateway = None
                                    self.vrf = None

                                class PrefixGatewayEnum(Enum):
                                    """
                                    PrefixGatewayEnum

                                    .. data:: prefix = 0

                                    .. data:: gateway = 1

                                    .. data:: route_map = 2

                                    """

                                    prefix = 0

                                    gateway = 1

                                    route_map = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGatewayIfname.PrefixGatewayEnum']


                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.in_out is None:
                                        raise YPYModelError('Key property in_out is None')
                                    if self.interface is None:
                                        raise YPYModelError('Key property interface is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:accesslist-prefix-gateway-ifname[Cisco-IOS-XE-rip:in-out = ' + str(self.in_out) + '][Cisco-IOS-XE-rip:interface = ' + str(self.interface) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.in_out is not None:
                                        return True

                                    if self.interface is not None:
                                        return True

                                    if self.interface_routing_id is not None:
                                        return True

                                    if self.isis_tag is not None:
                                        return True

                                    if self.name is not None:
                                        return True

                                    if self.prefix_gateway is not None:
                                        return True

                                    if self.vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGatewayIfname']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:distribute-list'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.accesslist is not None:
                                    for child_ref in self.accesslist:
                                        if child_ref._has_data():
                                            return True

                                if self.accesslist_ifname is not None:
                                    for child_ref in self.accesslist_ifname:
                                        if child_ref._has_data():
                                            return True

                                if self.accesslist_prefix_gateway is not None:
                                    for child_ref in self.accesslist_prefix_gateway:
                                        if child_ref._has_data():
                                            return True

                                if self.accesslist_prefix_gateway_ifname is not None:
                                    for child_ref in self.accesslist_prefix_gateway_ifname:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList']['meta_info']


                        class OffsetList(object):
                            """
                            Add or subtract offset from RIP metrics
                            
                            .. attribute:: in_out  <key>
                            
                            	
                            	**type**\:   :py:class:`OffsetListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_rip.OffsetListInOutTypeEnum>`
                            
                            .. attribute:: offset
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 0..16
                            
                            	**mandatory**\: True
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.in_out = None
                                self.offset = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.in_out is None:
                                    raise YPYModelError('Key property in_out is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:offset-list[Cisco-IOS-XE-rip:in-out = ' + str(self.in_out) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.in_out is not None:
                                    return True

                                if self.offset is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.OffsetList']['meta_info']


                        class Redistribute(object):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:   :py:class:`Rip_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: rip_metric_route_map
                            
                            	
                            	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bgp = YList()
                                self.bgp.parent = self
                                self.bgp.name = 'bgp'
                                self.connected = None
                                self.eigrp = YList()
                                self.eigrp.parent = self
                                self.eigrp.name = 'eigrp'
                                self.isis = None
                                self.iso_igrp = None
                                self.mobile = None
                                self.odr = None
                                self.ospf = YList()
                                self.ospf.parent = self
                                self.ospf.name = 'ospf'
                                self.rip = None
                                self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap()
                                self.rip_metric_route_map.parent = self
                                self.static = None


                            class RipMetricRouteMap(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap.Metric>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap.Metric()
                                    self.metric.parent = self
                                    self.route_map = None


                                class Metric(object):
                                    """
                                    Metric for redistributed routes
                                    
                                    .. attribute:: metric_value
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..16
                                    
                                    .. attribute:: transparent
                                    
                                    	Transparently redistribute metric
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric_value = None
                                        self.transparent = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric_value is not None:
                                            return True

                                        if self.transparent is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap.Metric']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None and self.metric._has_data():
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap']['meta_info']


                            class Connected(object):
                                """
                                Connected
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:connected'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected']['meta_info']


                            class Bgp(object):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: one of the below types:
                                
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                
                                ----
                                	**type**\:  str
                                
                                
                                ----
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None
                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.as_number is None:
                                        raise YPYModelError('Key property as_number is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:bgp[Cisco-IOS-XE-rip:as-number = ' + str(self.as_number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_number is not None:
                                        return True

                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp']['meta_info']


                            class Eigrp(object):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None
                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.as_number is None:
                                        raise YPYModelError('Key property as_number is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:eigrp[Cisco-IOS-XE-rip:as-number = ' + str(self.as_number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.as_number is not None:
                                        return True

                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp']['meta_info']


                            class Isis(object):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea>`
                                
                                .. attribute:: rip_isis_redist
                                
                                	
                                	**type**\:   :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.isis_area = YList()
                                    self.isis_area.parent = self
                                    self.isis_area.name = 'isis_area'
                                    self.rip_isis_redist = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist()
                                    self.rip_isis_redist.parent = self


                                class IsisArea(object):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: rip_isis_redist
                                    
                                    	
                                    	**type**\:   :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None
                                        self.rip_isis_redist = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist()
                                        self.rip_isis_redist.parent = self


                                    class RipIsisRedist(object):
                                        """
                                        
                                        
                                        .. attribute:: isis_level_routes
                                        
                                        	
                                        	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutesEnum>`
                                        
                                        .. attribute:: rip_metric_route_map
                                        
                                        	
                                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.isis_level_routes = None
                                            self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap()
                                            self.rip_metric_route_map.parent = self

                                        class IsisLevelRoutesEnum(Enum):
                                            """
                                            IsisLevelRoutesEnum

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = 0

                                            level_2 = 1

                                            level_1_2 = 2


                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutesEnum']



                                        class RipMetricRouteMap(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric()
                                                self.metric.parent = self
                                                self.route_map = None


                                            class Metric(object):
                                                """
                                                Metric for redistributed routes
                                                
                                                .. attribute:: metric_value
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..16
                                                
                                                .. attribute:: transparent
                                                
                                                	Transparently redistribute metric
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.metric_value = None
                                                    self.transparent = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.metric_value is not None:
                                                        return True

                                                    if self.transparent is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None and self.metric._has_data():
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-isis-redist'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.isis_level_routes is not None:
                                                return True

                                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:isis-area[Cisco-IOS-XE-rip:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        if self.rip_isis_redist is not None and self.rip_isis_redist._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea']['meta_info']


                                class RipIsisRedist(object):
                                    """
                                    
                                    
                                    .. attribute:: isis_level_routes
                                    
                                    	
                                    	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.IsisLevelRoutesEnum>`
                                    
                                    .. attribute:: rip_metric_route_map
                                    
                                    	
                                    	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.isis_level_routes = None
                                        self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap()
                                        self.rip_metric_route_map.parent = self

                                    class IsisLevelRoutesEnum(Enum):
                                        """
                                        IsisLevelRoutesEnum

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = 0

                                        level_2 = 1

                                        level_1_2 = 2


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.IsisLevelRoutesEnum']



                                    class RipMetricRouteMap(object):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric()
                                            self.metric.parent = self
                                            self.route_map = None


                                        class Metric(object):
                                            """
                                            Metric for redistributed routes
                                            
                                            .. attribute:: metric_value
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..16
                                            
                                            .. attribute:: transparent
                                            
                                            	Transparently redistribute metric
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric_value = None
                                                self.transparent = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric_value is not None:
                                                    return True

                                                if self.transparent is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric is not None and self.metric._has_data():
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-isis-redist'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.isis_level_routes is not None:
                                            return True

                                        if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:isis'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.isis_area is not None:
                                        for child_ref in self.isis_area:
                                            if child_ref._has_data():
                                                return True

                                    if self.rip_isis_redist is not None and self.rip_isis_redist._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis']['meta_info']


                            class IsoIgrp(object):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: isoigrp_list
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\: list of    :py:class:`IsoigrpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList>`
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.isoigrp_list = YList()
                                    self.isoigrp_list.parent = self
                                    self.isoigrp_list.name = 'isoigrp_list'
                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class IsoigrpList(object):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: iso_area_tag  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: rip_metric_route_map
                                    
                                    	
                                    	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.iso_area_tag = None
                                        self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap()
                                        self.rip_metric_route_map.parent = self


                                    class RipMetricRouteMap(object):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric()
                                            self.metric.parent = self
                                            self.route_map = None


                                        class Metric(object):
                                            """
                                            Metric for redistributed routes
                                            
                                            .. attribute:: metric_value
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  int
                                            
                                            	**range:** 0..16
                                            
                                            .. attribute:: transparent
                                            
                                            	Transparently redistribute metric
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric_value = None
                                                self.transparent = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric_value is not None:
                                                    return True

                                                if self.transparent is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric is not None and self.metric._has_data():
                                                return True

                                            if self.route_map is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.iso_area_tag is None:
                                            raise YPYModelError('Key property iso_area_tag is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:isoigrp-list[Cisco-IOS-XE-rip:iso-area-tag = ' + str(self.iso_area_tag) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.iso_area_tag is not None:
                                            return True

                                        if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList']['meta_info']


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:iso-igrp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.isoigrp_list is not None:
                                        for child_ref in self.isoigrp_list:
                                            if child_ref._has_data():
                                                return True

                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp']['meta_info']


                            class Mobile(object):
                                """
                                Mobile routes
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:mobile'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile']['meta_info']


                            class Odr(object):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:odr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr']['meta_info']


                            class Ospf(object):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: process_id  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match>`
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap>`
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: list of    :py:class:`Vrf_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Vrf_>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.process_id = None
                                    self.match = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match()
                                    self.match.parent = self
                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self.vrf = YList()
                                    self.vrf.parent = self
                                    self.vrf.name = 'vrf'


                                class Vrf_(object):
                                    """
                                    VPN Routing/Forwarding Instance
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.name = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.name is None:
                                            raise YPYModelError('Key property name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:vrf[Cisco-IOS-XE-rip:name = ' + str(self.name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Vrf_']['meta_info']


                                class Match(object):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.external = None
                                        self.internal = None
                                        self.nssa_external = None


                                    class Internal(object):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: rip_metric_route_map
                                        
                                        	
                                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap()
                                            self.rip_metric_route_map.parent = self


                                        class RipMetricRouteMap(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric()
                                                self.metric.parent = self
                                                self.route_map = None


                                            class Metric(object):
                                                """
                                                Metric for redistributed routes
                                                
                                                .. attribute:: metric_value
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..16
                                                
                                                .. attribute:: transparent
                                                
                                                	Transparently redistribute metric
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.metric_value = None
                                                    self.transparent = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.metric_value is not None:
                                                        return True

                                                    if self.transparent is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None and self.metric._has_data():
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:internal'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal']['meta_info']


                                    class External(object):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: rip_metric_route_map
                                        
                                        	
                                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.external_routes = None
                                            self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap()
                                            self.rip_metric_route_map.parent = self


                                        class RipMetricRouteMap(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric()
                                                self.metric.parent = self
                                                self.route_map = None


                                            class Metric(object):
                                                """
                                                Metric for redistributed routes
                                                
                                                .. attribute:: metric_value
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..16
                                                
                                                .. attribute:: transparent
                                                
                                                	Transparently redistribute metric
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.metric_value = None
                                                    self.transparent = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.metric_value is not None:
                                                        return True

                                                    if self.transparent is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None and self.metric._has_data():
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.external_routes is not None:
                                                return True

                                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External']['meta_info']


                                    class NssaExternal(object):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                        
                                        .. attribute:: rip_metric_route_map
                                        
                                        	
                                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.nssa_external_routes = None
                                            self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap()
                                            self.rip_metric_route_map.parent = self


                                        class RipMetricRouteMap(object):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric()
                                                self.metric.parent = self
                                                self.route_map = None


                                            class Metric(object):
                                                """
                                                Metric for redistributed routes
                                                
                                                .. attribute:: metric_value
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  int
                                                
                                                	**range:** 0..16
                                                
                                                .. attribute:: transparent
                                                
                                                	Transparently redistribute metric
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.metric_value = None
                                                    self.transparent = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.metric_value is not None:
                                                        return True

                                                    if self.transparent is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.metric is not None and self.metric._has_data():
                                                    return True

                                                if self.route_map is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:nssa-external'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.nssa_external_routes is not None:
                                                return True

                                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:match'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.external is not None and self.external._has_data():
                                            return True

                                        if self.internal is not None and self.internal._has_data():
                                            return True

                                        if self.nssa_external is not None and self.nssa_external._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match']['meta_info']


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.process_id is None:
                                        raise YPYModelError('Key property process_id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:ospf[Cisco-IOS-XE-rip:process-id = ' + str(self.process_id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.process_id is not None:
                                        return True

                                    if self.match is not None and self.match._has_data():
                                        return True

                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    if self.vrf is not None:
                                        for child_ref in self.vrf:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf']['meta_info']


                            class Static(object):
                                """
                                Static routes
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:static'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static']['meta_info']


                            class Rip_(object):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_.RipMetricRouteMap>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:rip'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:redistribute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bgp is not None:
                                    for child_ref in self.bgp:
                                        if child_ref._has_data():
                                            return True

                                if self.connected is not None and self.connected._has_data():
                                    return True

                                if self.eigrp is not None:
                                    for child_ref in self.eigrp:
                                        if child_ref._has_data():
                                            return True

                                if self.isis is not None and self.isis._has_data():
                                    return True

                                if self.iso_igrp is not None and self.iso_igrp._has_data():
                                    return True

                                if self.mobile is not None and self.mobile._has_data():
                                    return True

                                if self.odr is not None and self.odr._has_data():
                                    return True

                                if self.ospf is not None:
                                    for child_ref in self.ospf:
                                        if child_ref._has_data():
                                            return True

                                if self.rip is not None and self.rip._has_data():
                                    return True

                                if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                    return True

                                if self.static is not None and self.static._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute']['meta_info']


                        class Timers(object):
                            """
                            Adjust routing timers
                            
                            .. attribute:: basic
                            
                            	Basic routing protocol update timers
                            	**type**\:   :py:class:`Basic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers.Basic>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.basic = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers.Basic()
                                self.basic.parent = self


                            class Basic(object):
                                """
                                Basic routing protocol update timers
                                
                                .. attribute:: flush
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: holddown
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: invalid
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: sleep
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: updates
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.flush = None
                                    self.holddown = None
                                    self.invalid = None
                                    self.sleep = None
                                    self.updates = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:basic'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.flush is not None:
                                        return True

                                    if self.holddown is not None:
                                        return True

                                    if self.invalid is not None:
                                        return True

                                    if self.sleep is not None:
                                        return True

                                    if self.updates is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers.Basic']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:timers'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.basic is not None and self.basic._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers']['meta_info']

                        @property
                        def _common_path(self):
                            if self.name is None:
                                raise YPYModelError('Key property name is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:vrf[Cisco-IOS-XE-rip:name = ' + str(self.name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.name is not None:
                                return True

                            if self.auto_summary is not None:
                                return True

                            if self.default_information is not None and self.default_information._has_data():
                                return True

                            if self.default_metric is not None:
                                return True

                            if self.distance is not None and self.distance._has_data():
                                return True

                            if self.distribute_list is not None and self.distribute_list._has_data():
                                return True

                            if self.maximum_paths is not None:
                                return True

                            if self.neighbor is not None:
                                for child_ref in self.neighbor:
                                    if child_ref._has_data():
                                        return True

                            if self.network is not None:
                                for child_ref in self.network:
                                    if child_ref._has_data():
                                        return True

                            if self.offset_list is not None:
                                for child_ref in self.offset_list:
                                    if child_ref._has_data():
                                        return True

                            if self.redistribute is not None and self.redistribute._has_data():
                                return True

                            if self.timers is not None and self.timers._has_data():
                                return True

                            if self.validate_update_source is not None:
                                return True

                            if self.version is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4.Vrf']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.unicast is not None and self.unicast._has_data():
                            return True

                        if self.vrf is not None:
                            for child_ref in self.vrf:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.AddressFamily.Ipv4']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:address-family'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipv4 is not None and self.ipv4._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Rip.AddressFamily']['meta_info']


            class Default(object):
                """
                Set a command to its defaults
                
                .. attribute:: address_family
                
                	Enter Address Family command mode
                	**type**\:   :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.AddressFamily>`
                
                .. attribute:: auto_summary
                
                	Enable automatic network number summarization
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: default_information
                
                	Control distribution of default information
                	**type**\:   :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.DefaultInformation>`
                
                .. attribute:: default_metric
                
                	Set metric of redistributed routes
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: disable
                
                	
                	**type**\:   :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Disable>`
                
                .. attribute:: distance
                
                	Define an administrative distance
                	**type**\:   :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Distance>`
                
                .. attribute:: distribute_list
                
                	Filter networks in routing updates
                	**type**\:   :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.DistributeList>`
                
                .. attribute:: flash_update_threshold
                
                	Specify flash update threshold in second
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input_queue
                
                	Specify input queue depth
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: maximum_paths
                
                	Forward packets over multiple paths
                	**type**\:  int
                
                	**range:** 1..32
                
                .. attribute:: neighbor
                
                	Specify a neighbor router
                	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Neighbor>`
                
                .. attribute:: network
                
                	Enable routing on an IP network
                	**type**\: list of    :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Network>`
                
                .. attribute:: offset_list
                
                	Add or subtract offset from RIP metrics
                	**type**\: list of    :py:class:`OffsetList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.OffsetList>`
                
                .. attribute:: output_delay
                
                	Interpacket delay for RIP updates
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: passive_interface
                
                	Suppress routing updates on an interface
                	**type**\:   :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.PassiveInterface>`
                
                .. attribute:: redistribute
                
                	Redistribute information from another routing protocol
                	**type**\:   :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute>`
                
                .. attribute:: timers
                
                	Adjust routing timers
                	**type**\:   :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Timers>`
                
                .. attribute:: traffic_share
                
                	How to compute traffic share over alternate paths
                	**type**\:   :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.TrafficShare>`
                
                .. attribute:: validate_update_source
                
                	Perform sanity checks against source address of routing updates
                	**type**\:  bool
                
                .. attribute:: version
                
                	Set routing protocol version
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address_family = Native.Router.Rip.Default.AddressFamily()
                    self.address_family.parent = self
                    self.auto_summary = None
                    self.default_information = Native.Router.Rip.Default.DefaultInformation()
                    self.default_information.parent = self
                    self.default_metric = None
                    self.disable = Native.Router.Rip.Default.Disable()
                    self.disable.parent = self
                    self.distance = Native.Router.Rip.Default.Distance()
                    self.distance.parent = self
                    self.distribute_list = Native.Router.Rip.Default.DistributeList()
                    self.distribute_list.parent = self
                    self.flash_update_threshold = None
                    self.input_queue = None
                    self.maximum_paths = None
                    self.neighbor = YList()
                    self.neighbor.parent = self
                    self.neighbor.name = 'neighbor'
                    self.network = YList()
                    self.network.parent = self
                    self.network.name = 'network'
                    self.offset_list = YList()
                    self.offset_list.parent = self
                    self.offset_list.name = 'offset_list'
                    self.output_delay = None
                    self.passive_interface = Native.Router.Rip.Default.PassiveInterface()
                    self.passive_interface.parent = self
                    self.redistribute = Native.Router.Rip.Default.Redistribute()
                    self.redistribute.parent = self
                    self.timers = Native.Router.Rip.Default.Timers()
                    self.timers.parent = self
                    self.traffic_share = Native.Router.Rip.Default.TrafficShare()
                    self.traffic_share.parent = self
                    self.validate_update_source = None
                    self.version = None


                class AddressFamily(object):
                    """
                    Enter Address Family command mode
                    
                    .. attribute:: ipv4
                    
                    	Address family
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.AddressFamily.Ipv4>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = None


                    class Ipv4(object):
                        """
                        Address family
                        
                        .. attribute:: unicast
                        
                        	Address Family Modifier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vrf
                        
                        	Specify parameters for a VPN Routing/Forwarding instance
                        	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.AddressFamily.Ipv4.Vrf>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.unicast = None
                            self.vrf = YList()
                            self.vrf.parent = self
                            self.vrf.name = 'vrf'


                        class Vrf(object):
                            """
                            Specify parameters for a VPN Routing/Forwarding instance
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4/Cisco-IOS-XE-rip:vrf[Cisco-IOS-XE-rip:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Default.AddressFamily.Ipv4.Vrf']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:address-family/Cisco-IOS-XE-rip:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.unicast is not None:
                                return True

                            if self.vrf is not None:
                                for child_ref in self.vrf:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Default.AddressFamily.Ipv4']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:address-family'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Default.AddressFamily']['meta_info']


                class Neighbor(object):
                    """
                    Specify a neighbor router
                    
                    .. attribute:: ip  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = None

                    @property
                    def _common_path(self):
                        if self.ip is None:
                            raise YPYModelError('Key property ip is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:neighbor[Cisco-IOS-XE-rip:ip = ' + str(self.ip) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Default.Neighbor']['meta_info']


                class Network(object):
                    """
                    Enable routing on an IP network
                    
                    .. attribute:: ip  <key>
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = None

                    @property
                    def _common_path(self):
                        if self.ip is None:
                            raise YPYModelError('Key property ip is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:network[Cisco-IOS-XE-rip:ip = ' + str(self.ip) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Default.Network']['meta_info']


                class DefaultInformation(object):
                    """
                    Control distribution of default information
                    
                    .. attribute:: originate
                    
                    	Distribute a default route
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.originate = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:default-information'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.originate is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Default.DefaultInformation']['meta_info']


                class Distance(object):
                    """
                    Define an administrative distance
                    
                    .. attribute:: distance_leaf
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..255
                    
                    .. attribute:: distance_list
                    
                    	
                    	**type**\: list of    :py:class:`DistanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Distance.DistanceList>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.distance_leaf = None
                        self.distance_list = YList()
                        self.distance_list.parent = self
                        self.distance_list.name = 'distance_list'


                    class DistanceList(object):
                        """
                        
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..255
                        
                        .. attribute:: ip  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask  <key>
                        
                        	
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..99
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 1300..1999
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.ip = None
                            self.mask = None
                            self.access_list = None

                        @property
                        def _common_path(self):
                            if self.number is None:
                                raise YPYModelError('Key property number is None')
                            if self.ip is None:
                                raise YPYModelError('Key property ip is None')
                            if self.mask is None:
                                raise YPYModelError('Key property mask is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:distance/Cisco-IOS-XE-rip:distance-list[Cisco-IOS-XE-rip:number = ' + str(self.number) + '][Cisco-IOS-XE-rip:ip = ' + str(self.ip) + '][Cisco-IOS-XE-rip:mask = ' + str(self.mask) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.ip is not None:
                                return True

                            if self.mask is not None:
                                return True

                            if self.access_list is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Default.Distance.DistanceList']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:distance'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.distance_leaf is not None:
                            return True

                        if self.distance_list is not None:
                            for child_ref in self.distance_list:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Default.Distance']['meta_info']


                class DistributeList(object):
                    """
                    Filter networks in routing updates
                    
                    .. attribute:: accesslist
                    
                    	
                    	**type**\: list of    :py:class:`Accesslist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.DistributeList.Accesslist>`
                    
                    .. attribute:: accesslist_ifname
                    
                    	
                    	**type**\: list of    :py:class:`AccesslistIfname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.DistributeList.AccesslistIfname>`
                    
                    .. attribute:: accesslist_prefix_gateway
                    
                    	
                    	**type**\: list of    :py:class:`AccesslistPrefixGateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.DistributeList.AccesslistPrefixGateway>`
                    
                    .. attribute:: accesslist_prefix_gateway_ifname
                    
                    	
                    	**type**\: list of    :py:class:`AccesslistPrefixGatewayIfname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.DistributeList.AccesslistPrefixGatewayIfname>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.accesslist = YList()
                        self.accesslist.parent = self
                        self.accesslist.name = 'accesslist'
                        self.accesslist_ifname = YList()
                        self.accesslist_ifname.parent = self
                        self.accesslist_ifname.name = 'accesslist_ifname'
                        self.accesslist_prefix_gateway = YList()
                        self.accesslist_prefix_gateway.parent = self
                        self.accesslist_prefix_gateway.name = 'accesslist_prefix_gateway'
                        self.accesslist_prefix_gateway_ifname = YList()
                        self.accesslist_prefix_gateway_ifname.parent = self
                        self.accesslist_prefix_gateway_ifname.name = 'accesslist_prefix_gateway_ifname'


                    class Accesslist(object):
                        """
                        
                        
                        .. attribute:: in_out  <key>
                        
                        	
                        	**type**\:   :py:class:`AccessListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutTypeEnum>`
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..199
                        
                        	**mandatory**\: True
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 1300..2699
                        
                        	**mandatory**\: True
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.in_out = None
                            self.id = None

                        @property
                        def _common_path(self):
                            if self.in_out is None:
                                raise YPYModelError('Key property in_out is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:distribute-list/Cisco-IOS-XE-rip:accesslist[Cisco-IOS-XE-rip:in-out = ' + str(self.in_out) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.in_out is not None:
                                return True

                            if self.id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Default.DistributeList.Accesslist']['meta_info']


                    class AccesslistIfname(object):
                        """
                        
                        
                        .. attribute:: in_out  <key>
                        
                        	
                        	**type**\:   :py:class:`AccessListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutTypeEnum>`
                        
                        .. attribute:: interface  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..199
                        
                        	**mandatory**\: True
                        
                        
                        ----
                        	**type**\:  int
                        
                        	**range:** 1300..2699
                        
                        	**mandatory**\: True
                        
                        
                        ----
                        .. attribute:: interface_routing_id
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: isis_tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: vrf
                        
                        	VPN Routing/Forwarding Instance
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.in_out = None
                            self.interface = None
                            self.id = None
                            self.interface_routing_id = None
                            self.isis_tag = None
                            self.vrf = None

                        @property
                        def _common_path(self):
                            if self.in_out is None:
                                raise YPYModelError('Key property in_out is None')
                            if self.interface is None:
                                raise YPYModelError('Key property interface is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:distribute-list/Cisco-IOS-XE-rip:accesslist-ifname[Cisco-IOS-XE-rip:in-out = ' + str(self.in_out) + '][Cisco-IOS-XE-rip:interface = ' + str(self.interface) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.in_out is not None:
                                return True

                            if self.interface is not None:
                                return True

                            if self.id is not None:
                                return True

                            if self.interface_routing_id is not None:
                                return True

                            if self.isis_tag is not None:
                                return True

                            if self.vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Default.DistributeList.AccesslistIfname']['meta_info']


                    class AccesslistPrefixGateway(object):
                        """
                        
                        
                        .. attribute:: in_out  <key>
                        
                        	
                        	**type**\:   :py:class:`AccessListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutTypeEnum>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        	**mandatory**\: True
                        
                        .. attribute:: prefix_gateway
                        
                        	
                        	**type**\:   :py:class:`PrefixGatewayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.DistributeList.AccesslistPrefixGateway.PrefixGatewayEnum>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.in_out = None
                            self.name = None
                            self.prefix_gateway = None

                        class PrefixGatewayEnum(Enum):
                            """
                            PrefixGatewayEnum

                            .. data:: prefix = 0

                            .. data:: gateway = 1

                            .. data:: route_map = 2

                            """

                            prefix = 0

                            gateway = 1

                            route_map = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Default.DistributeList.AccesslistPrefixGateway.PrefixGatewayEnum']


                        @property
                        def _common_path(self):
                            if self.in_out is None:
                                raise YPYModelError('Key property in_out is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:distribute-list/Cisco-IOS-XE-rip:accesslist-prefix-gateway[Cisco-IOS-XE-rip:in-out = ' + str(self.in_out) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.in_out is not None:
                                return True

                            if self.name is not None:
                                return True

                            if self.prefix_gateway is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Default.DistributeList.AccesslistPrefixGateway']['meta_info']


                    class AccesslistPrefixGatewayIfname(object):
                        """
                        
                        
                        .. attribute:: in_out  <key>
                        
                        	
                        	**type**\:   :py:class:`AccessListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutTypeEnum>`
                        
                        .. attribute:: interface  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: interface_routing_id
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: isis_tag
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: name
                        
                        	
                        	**type**\:  str
                        
                        	**mandatory**\: True
                        
                        .. attribute:: prefix_gateway
                        
                        	
                        	**type**\:   :py:class:`PrefixGatewayEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.DistributeList.AccesslistPrefixGatewayIfname.PrefixGatewayEnum>`
                        
                        	**mandatory**\: True
                        
                        .. attribute:: vrf
                        
                        	VPN Routing/Forwarding Instance
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.in_out = None
                            self.interface = None
                            self.interface_routing_id = None
                            self.isis_tag = None
                            self.name = None
                            self.prefix_gateway = None
                            self.vrf = None

                        class PrefixGatewayEnum(Enum):
                            """
                            PrefixGatewayEnum

                            .. data:: prefix = 0

                            .. data:: gateway = 1

                            .. data:: route_map = 2

                            """

                            prefix = 0

                            gateway = 1

                            route_map = 2


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Default.DistributeList.AccesslistPrefixGatewayIfname.PrefixGatewayEnum']


                        @property
                        def _common_path(self):
                            if self.in_out is None:
                                raise YPYModelError('Key property in_out is None')
                            if self.interface is None:
                                raise YPYModelError('Key property interface is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:distribute-list/Cisco-IOS-XE-rip:accesslist-prefix-gateway-ifname[Cisco-IOS-XE-rip:in-out = ' + str(self.in_out) + '][Cisco-IOS-XE-rip:interface = ' + str(self.interface) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.in_out is not None:
                                return True

                            if self.interface is not None:
                                return True

                            if self.interface_routing_id is not None:
                                return True

                            if self.isis_tag is not None:
                                return True

                            if self.name is not None:
                                return True

                            if self.prefix_gateway is not None:
                                return True

                            if self.vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Default.DistributeList.AccesslistPrefixGatewayIfname']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:distribute-list'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.accesslist is not None:
                            for child_ref in self.accesslist:
                                if child_ref._has_data():
                                    return True

                        if self.accesslist_ifname is not None:
                            for child_ref in self.accesslist_ifname:
                                if child_ref._has_data():
                                    return True

                        if self.accesslist_prefix_gateway is not None:
                            for child_ref in self.accesslist_prefix_gateway:
                                if child_ref._has_data():
                                    return True

                        if self.accesslist_prefix_gateway_ifname is not None:
                            for child_ref in self.accesslist_prefix_gateway_ifname:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Default.DistributeList']['meta_info']


                class OffsetList(object):
                    """
                    Add or subtract offset from RIP metrics
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:   :py:class:`OffsetListInOutTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_rip.OffsetListInOutTypeEnum>`
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..99
                    
                    	**mandatory**\: True
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 1300..1999
                    
                    	**mandatory**\: True
                    
                    
                    ----
                    .. attribute:: offset
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..16
                    
                    	**mandatory**\: True
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.in_out = None
                        self.id = None
                        self.offset = None

                    @property
                    def _common_path(self):
                        if self.in_out is None:
                            raise YPYModelError('Key property in_out is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:offset-list[Cisco-IOS-XE-rip:in-out = ' + str(self.in_out) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.in_out is not None:
                            return True

                        if self.id is not None:
                            return True

                        if self.offset is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Default.OffsetList']['meta_info']


                class PassiveInterface(object):
                    """
                    Suppress routing updates on an interface
                    
                    .. attribute:: default
                    
                    	Suppress routing updates on all interfaces
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: interface
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.default = None
                        self.interface = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:passive-interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.default is not None:
                            return True

                        if self.interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Default.PassiveInterface']['meta_info']


                class Disable(object):
                    """
                    
                    
                    .. attribute:: passive_interface
                    
                    	
                    	**type**\: list of    :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Disable.PassiveInterface>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.passive_interface = YList()
                        self.passive_interface.parent = self
                        self.passive_interface.name = 'passive_interface'


                    class PassiveInterface(object):
                        """
                        
                        
                        .. attribute:: interface  <key>
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interface = None

                        @property
                        def _common_path(self):
                            if self.interface is None:
                                raise YPYModelError('Key property interface is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:disable/Cisco-IOS-XE-rip:passive-interface[Cisco-IOS-XE-rip:interface = ' + str(self.interface) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Default.Disable.PassiveInterface']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:disable'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.passive_interface is not None:
                            for child_ref in self.passive_interface:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Default.Disable']['meta_info']


                class Redistribute(object):
                    """
                    Redistribute information from another routing protocol
                    
                    .. attribute:: bgp
                    
                    	Border Gateway Protocol (BGP)
                    	**type**\: list of    :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Bgp>`
                    
                    .. attribute:: connected
                    
                    	Connected
                    	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Connected>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: list of    :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Eigrp>`
                    
                    .. attribute:: isis
                    
                    	ISO IS\-IS
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Isis>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: iso_igrp
                    
                    	IGRP for OSI networks
                    	**type**\:   :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.IsoIgrp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: mobile
                    
                    	Mobile routes
                    	**type**\:   :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Mobile>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: odr
                    
                    	On Demand stub Routes
                    	**type**\:   :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Odr>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ospf
                    
                    	Open Shortest Path First (OSPF)
                    	**type**\: list of    :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf>`
                    
                    .. attribute:: rip
                    
                    	Routing Information Protocol (RIP)
                    	**type**\:   :py:class:`Rip_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Rip_>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: static
                    
                    	Static routes
                    	**type**\:   :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Static>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.bgp = YList()
                        self.bgp.parent = self
                        self.bgp.name = 'bgp'
                        self.connected = None
                        self.eigrp = YList()
                        self.eigrp.parent = self
                        self.eigrp.name = 'eigrp'
                        self.isis = None
                        self.iso_igrp = None
                        self.mobile = None
                        self.odr = None
                        self.ospf = YList()
                        self.ospf.parent = self
                        self.ospf.name = 'ospf'
                        self.rip = None
                        self.static = None


                    class Connected(object):
                        """
                        Connected
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self


                        class RipMetricRouteMap(object):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric_value = None
                                    self.transparent = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:connected/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric_value is not None:
                                        return True

                                    if self.transparent is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap.Metric']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:connected/Cisco-IOS-XE-rip:rip-metric-route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:connected'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Default.Redistribute.Connected']['meta_info']


                    class Bgp(object):
                        """
                        Border Gateway Protocol (BGP)
                        
                        .. attribute:: as_number  <key>
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        
                        ----
                        	**type**\:  str
                        
                        
                        ----
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.as_number = None
                            self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self


                        class RipMetricRouteMap(object):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric_value = None
                                    self.transparent = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric_value is not None:
                                        return True

                                    if self.transparent is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap.Metric']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.as_number is None:
                                raise YPYModelError('Key property as_number is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:bgp[Cisco-IOS-XE-rip:as-number = ' + str(self.as_number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.as_number is not None:
                                return True

                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Default.Redistribute.Bgp']['meta_info']


                    class Eigrp(object):
                        """
                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                        
                        .. attribute:: as_number  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.as_number = None
                            self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self


                        class RipMetricRouteMap(object):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric_value = None
                                    self.transparent = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric_value is not None:
                                        return True

                                    if self.transparent is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap.Metric']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.as_number is None:
                                raise YPYModelError('Key property as_number is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:eigrp[Cisco-IOS-XE-rip:as-number = ' + str(self.as_number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.as_number is not None:
                                return True

                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Default.Redistribute.Eigrp']['meta_info']


                    class Isis(object):
                        """
                        ISO IS\-IS
                        
                        .. attribute:: isis_area
                        
                        	
                        	**type**\: list of    :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Isis.IsisArea>`
                        
                        .. attribute:: rip_isis_redist
                        
                        	
                        	**type**\:   :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.isis_area = YList()
                            self.isis_area.parent = self
                            self.isis_area.name = 'isis_area'
                            self.rip_isis_redist = Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist()
                            self.rip_isis_redist.parent = self


                        class IsisArea(object):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: rip_isis_redist
                            
                            	
                            	**type**\:   :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None
                                self.rip_isis_redist = Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist()
                                self.rip_isis_redist.parent = self


                            class RipIsisRedist(object):
                                """
                                
                                
                                .. attribute:: isis_level_routes
                                
                                	
                                	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutesEnum>`
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.isis_level_routes = None
                                    self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self

                                class IsisLevelRoutesEnum(Enum):
                                    """
                                    IsisLevelRoutesEnum

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    .. data:: level_1_2 = 2

                                    """

                                    level_1 = 0

                                    level_2 = 1

                                    level_1_2 = 2


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutesEnum']



                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-isis-redist'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.isis_level_routes is not None:
                                        return True

                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist']['meta_info']

                            @property
                            def _common_path(self):
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:isis/Cisco-IOS-XE-rip:isis-area[Cisco-IOS-XE-rip:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                if self.rip_isis_redist is not None and self.rip_isis_redist._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Default.Redistribute.Isis.IsisArea']['meta_info']


                        class RipIsisRedist(object):
                            """
                            
                            
                            .. attribute:: isis_level_routes
                            
                            	
                            	**type**\:   :py:class:`IsisLevelRoutesEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.IsisLevelRoutesEnum>`
                            
                            .. attribute:: rip_metric_route_map
                            
                            	
                            	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.isis_level_routes = None
                                self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap()
                                self.rip_metric_route_map.parent = self

                            class IsisLevelRoutesEnum(Enum):
                                """
                                IsisLevelRoutesEnum

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                .. data:: level_1_2 = 2

                                """

                                level_1 = 0

                                level_2 = 1

                                level_1_2 = 2


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.IsisLevelRoutesEnum']



                            class RipMetricRouteMap(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric()
                                    self.metric.parent = self
                                    self.route_map = None


                                class Metric(object):
                                    """
                                    Metric for redistributed routes
                                    
                                    .. attribute:: metric_value
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..16
                                    
                                    .. attribute:: transparent
                                    
                                    	Transparently redistribute metric
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric_value = None
                                        self.transparent = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:isis/Cisco-IOS-XE-rip:rip-isis-redist/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric_value is not None:
                                            return True

                                        if self.transparent is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:isis/Cisco-IOS-XE-rip:rip-isis-redist/Cisco-IOS-XE-rip:rip-metric-route-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None and self.metric._has_data():
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:isis/Cisco-IOS-XE-rip:rip-isis-redist'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.isis_level_routes is not None:
                                    return True

                                if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.isis_area is not None:
                                for child_ref in self.isis_area:
                                    if child_ref._has_data():
                                        return True

                            if self.rip_isis_redist is not None and self.rip_isis_redist._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Default.Redistribute.Isis']['meta_info']


                    class IsoIgrp(object):
                        """
                        IGRP for OSI networks
                        
                        .. attribute:: isoigrp_list
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of    :py:class:`IsoigrpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList>`
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.isoigrp_list = YList()
                            self.isoigrp_list.parent = self
                            self.isoigrp_list.name = 'isoigrp_list'
                            self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self


                        class IsoigrpList(object):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: iso_area_tag  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: rip_metric_route_map
                            
                            	
                            	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.iso_area_tag = None
                                self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap()
                                self.rip_metric_route_map.parent = self


                            class RipMetricRouteMap(object):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric = Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric()
                                    self.metric.parent = self
                                    self.route_map = None


                                class Metric(object):
                                    """
                                    Metric for redistributed routes
                                    
                                    .. attribute:: metric_value
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  int
                                    
                                    	**range:** 0..16
                                    
                                    .. attribute:: transparent
                                    
                                    	Transparently redistribute metric
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric_value = None
                                        self.transparent = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric_value is not None:
                                            return True

                                        if self.transparent is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric is not None and self.metric._has_data():
                                        return True

                                    if self.route_map is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap']['meta_info']

                            @property
                            def _common_path(self):
                                if self.iso_area_tag is None:
                                    raise YPYModelError('Key property iso_area_tag is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:iso-igrp/Cisco-IOS-XE-rip:isoigrp-list[Cisco-IOS-XE-rip:iso-area-tag = ' + str(self.iso_area_tag) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.iso_area_tag is not None:
                                    return True

                                if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList']['meta_info']


                        class RipMetricRouteMap(object):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric_value = None
                                    self.transparent = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:iso-igrp/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric_value is not None:
                                        return True

                                    if self.transparent is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap.Metric']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:iso-igrp/Cisco-IOS-XE-rip:rip-metric-route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:iso-igrp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.isoigrp_list is not None:
                                for child_ref in self.isoigrp_list:
                                    if child_ref._has_data():
                                        return True

                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Default.Redistribute.IsoIgrp']['meta_info']


                    class Mobile(object):
                        """
                        Mobile routes
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self


                        class RipMetricRouteMap(object):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric_value = None
                                    self.transparent = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:mobile/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric_value is not None:
                                        return True

                                    if self.transparent is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap.Metric']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:mobile/Cisco-IOS-XE-rip:rip-metric-route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:mobile'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Default.Redistribute.Mobile']['meta_info']


                    class Odr(object):
                        """
                        On Demand stub Routes
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self


                        class RipMetricRouteMap(object):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric_value = None
                                    self.transparent = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:odr/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric_value is not None:
                                        return True

                                    if self.transparent is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap.Metric']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:odr/Cisco-IOS-XE-rip:rip-metric-route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:odr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Default.Redistribute.Odr']['meta_info']


                    class Ospf(object):
                        """
                        Open Shortest Path First (OSPF)
                        
                        .. attribute:: process_id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: match
                        
                        	Redistribution of OSPF routes
                        	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Match>`
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap>`
                        
                        .. attribute:: vrf
                        
                        	VPN Routing/Forwarding Instance
                        	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.process_id = None
                            self.match = Native.Router.Rip.Default.Redistribute.Ospf.Match()
                            self.match.parent = self
                            self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self.vrf = YList()
                            self.vrf.parent = self
                            self.vrf.name = 'vrf'


                        class Vrf(object):
                            """
                            VPN Routing/Forwarding Instance
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.name is None:
                                    raise YPYModelError('Key property name is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:vrf[Cisco-IOS-XE-rip:name = ' + str(self.name) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Vrf']['meta_info']


                        class Match(object):
                            """
                            Redistribution of OSPF routes
                            
                            .. attribute:: external
                            
                            	Redistribute OSPF external routes
                            	**type**\:   :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Match.External>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: internal
                            
                            	Redistribute OSPF internal routes
                            	**type**\:   :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: nssa_external
                            
                            	Redistribute OSPF NSSA external routes
                            	**type**\:   :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.external = None
                                self.internal = None
                                self.nssa_external = None


                            class Internal(object):
                                """
                                Redistribute OSPF internal routes
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:internal'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal']['meta_info']


                            class External(object):
                                """
                                Redistribute OSPF external routes
                                
                                .. attribute:: external_routes
                                
                                	
                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.external_routes = None
                                    self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:external'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.external_routes is not None:
                                        return True

                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.External']['meta_info']


                            class NssaExternal(object):
                                """
                                Redistribute OSPF NSSA external routes
                                
                                .. attribute:: nssa_external_routes
                                
                                	
                                	**type**\:   :py:class:`RedistOspfExternalTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalTypeEnum>`
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.nssa_external_routes = None
                                    self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self


                                class RipMetricRouteMap(object):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.metric = Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self.route_map = None


                                    class Metric(object):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.metric_value = None
                                            self.transparent = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.metric_value is not None:
                                                return True

                                            if self.transparent is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.metric is not None and self.metric._has_data():
                                            return True

                                        if self.route_map is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:nssa-external'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.nssa_external_routes is not None:
                                        return True

                                    if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:match'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.external is not None and self.external._has_data():
                                    return True

                                if self.internal is not None and self.internal._has_data():
                                    return True

                                if self.nssa_external is not None and self.nssa_external._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Default.Redistribute.Ospf.Match']['meta_info']


                        class RipMetricRouteMap(object):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric_value = None
                                    self.transparent = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-rip:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric_value is not None:
                                        return True

                                    if self.transparent is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap.Metric']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-rip:rip-metric-route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap']['meta_info']

                        @property
                        def _common_path(self):
                            if self.process_id is None:
                                raise YPYModelError('Key property process_id is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:ospf[Cisco-IOS-XE-rip:process-id = ' + str(self.process_id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.process_id is not None:
                                return True

                            if self.match is not None and self.match._has_data():
                                return True

                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                return True

                            if self.vrf is not None:
                                for child_ref in self.vrf:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Default.Redistribute.Ospf']['meta_info']


                    class Static(object):
                        """
                        Static routes
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self


                        class RipMetricRouteMap(object):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric_value = None
                                    self.transparent = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:static/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric_value is not None:
                                        return True

                                    if self.transparent is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap.Metric']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:static/Cisco-IOS-XE-rip:rip-metric-route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:static'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Default.Redistribute.Static']['meta_info']


                    class Rip_(object):
                        """
                        Routing Information Protocol (RIP)
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:   :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Rip_.RipMetricRouteMap>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Rip_.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self


                        class RipMetricRouteMap(object):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:   :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Rip_.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.metric = Native.Router.Rip.Default.Redistribute.Rip_.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self.route_map = None


                            class Metric(object):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\:  int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.metric_value = None
                                    self.transparent = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:rip-metric-route-map/Cisco-IOS-XE-rip:metric'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.metric_value is not None:
                                        return True

                                    if self.transparent is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Router.Rip.Default.Redistribute.Rip_.RipMetricRouteMap.Metric']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:rip-metric-route-map'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.metric is not None and self.metric._has_data():
                                    return True

                                if self.route_map is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Router.Rip.Default.Redistribute.Rip_.RipMetricRouteMap']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute/Cisco-IOS-XE-rip:rip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rip_metric_route_map is not None and self.rip_metric_route_map._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Default.Redistribute.Rip_']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:redistribute'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.bgp is not None:
                            for child_ref in self.bgp:
                                if child_ref._has_data():
                                    return True

                        if self.connected is not None and self.connected._has_data():
                            return True

                        if self.eigrp is not None:
                            for child_ref in self.eigrp:
                                if child_ref._has_data():
                                    return True

                        if self.isis is not None and self.isis._has_data():
                            return True

                        if self.iso_igrp is not None and self.iso_igrp._has_data():
                            return True

                        if self.mobile is not None and self.mobile._has_data():
                            return True

                        if self.odr is not None and self.odr._has_data():
                            return True

                        if self.ospf is not None:
                            for child_ref in self.ospf:
                                if child_ref._has_data():
                                    return True

                        if self.rip is not None and self.rip._has_data():
                            return True

                        if self.static is not None and self.static._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Default.Redistribute']['meta_info']


                class Timers(object):
                    """
                    Adjust routing timers
                    
                    .. attribute:: basic
                    
                    	Basic routing protocol update timers
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.basic = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:timers'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.basic is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Default.Timers']['meta_info']


                class TrafficShare(object):
                    """
                    How to compute traffic share over alternate paths
                    
                    .. attribute:: min
                    
                    	All traffic shared among min metric paths
                    	**type**\:   :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.TrafficShare.Min>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.min = Native.Router.Rip.Default.TrafficShare.Min()
                        self.min.parent = self


                    class Min(object):
                        """
                        All traffic shared among min metric paths
                        
                        .. attribute:: across_interfaces
                        
                        	Use different interfaces for equal\-cost paths
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.across_interfaces = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:traffic-share/Cisco-IOS-XE-rip:min'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.across_interfaces is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Router.Rip.Default.TrafficShare.Min']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default/Cisco-IOS-XE-rip:traffic-share'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.min is not None and self.min._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Router.Rip.Default.TrafficShare']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip/Cisco-IOS-XE-rip:default'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address_family is not None and self.address_family._has_data():
                        return True

                    if self.auto_summary is not None:
                        return True

                    if self.default_information is not None and self.default_information._has_data():
                        return True

                    if self.default_metric is not None:
                        return True

                    if self.disable is not None and self.disable._has_data():
                        return True

                    if self.distance is not None and self.distance._has_data():
                        return True

                    if self.distribute_list is not None and self.distribute_list._has_data():
                        return True

                    if self.flash_update_threshold is not None:
                        return True

                    if self.input_queue is not None:
                        return True

                    if self.maximum_paths is not None:
                        return True

                    if self.neighbor is not None:
                        for child_ref in self.neighbor:
                            if child_ref._has_data():
                                return True

                    if self.network is not None:
                        for child_ref in self.network:
                            if child_ref._has_data():
                                return True

                    if self.offset_list is not None:
                        for child_ref in self.offset_list:
                            if child_ref._has_data():
                                return True

                    if self.output_delay is not None:
                        return True

                    if self.passive_interface is not None and self.passive_interface._has_data():
                        return True

                    if self.redistribute is not None and self.redistribute._has_data():
                        return True

                    if self.timers is not None and self.timers._has_data():
                        return True

                    if self.traffic_share is not None and self.traffic_share._has_data():
                        return True

                    if self.validate_update_source is not None:
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Router.Rip.Default']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router/Cisco-IOS-XE-rip:rip'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.address_family is not None and self.address_family._has_data():
                    return True

                if self.auto_summary is not None:
                    return True

                if self.default is not None and self.default._has_data():
                    return True

                if self.default_information is not None and self.default_information._has_data():
                    return True

                if self.default_metric is not None:
                    return True

                if self.disable is not None and self.disable._has_data():
                    return True

                if self.distance is not None and self.distance._has_data():
                    return True

                if self.distribute_list is not None and self.distribute_list._has_data():
                    return True

                if self.flash_update_threshold is not None:
                    return True

                if self.input_queue is not None:
                    return True

                if self.maximum_paths is not None:
                    return True

                if self.neighbor is not None:
                    for child_ref in self.neighbor:
                        if child_ref._has_data():
                            return True

                if self.network is not None:
                    for child_ref in self.network:
                        if child_ref._has_data():
                            return True

                if self.offset_list is not None:
                    for child_ref in self.offset_list:
                        if child_ref._has_data():
                            return True

                if self.output_delay is not None:
                    return True

                if self.passive_interface is not None and self.passive_interface._has_data():
                    return True

                if self.redistribute is not None and self.redistribute._has_data():
                    return True

                if self.timers is not None and self.timers._has_data():
                    return True

                if self.traffic_share is not None and self.traffic_share._has_data():
                    return True

                if self.validate_update_source is not None:
                    return True

                if self.version is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Router.Rip']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:router'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.bgp is not None:
                for child_ref in self.bgp:
                    if child_ref._has_data():
                        return True

            if self.eigrp is not None:
                for child_ref in self.eigrp:
                    if child_ref._has_data():
                        return True

            if self.isis is not None and self.isis._has_data():
                return True

            if self.isis_container is not None and self.isis_container._has_data():
                return True

            if self.lisp is not None and self.lisp._has_data():
                return True

            if self.lisp_list is not None:
                for child_ref in self.lisp_list:
                    if child_ref._has_data():
                        return True

            if self.ospf is not None:
                for child_ref in self.ospf:
                    if child_ref._has_data():
                        return True

            if self.ospfv3 is not None:
                for child_ref in self.ospfv3:
                    if child_ref._has_data():
                        return True

            if self.rip is not None and self.rip._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Router']['meta_info']


    class ServiceChain(object):
        """
        Service Chain mode
        
        .. attribute:: service_function
        
        	Service function details
        	**type**\: list of    :py:class:`ServiceFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunction>`
        
        .. attribute:: service_function_forwarder
        
        	Service function forwarder details
        	**type**\:   :py:class:`ServiceFunctionForwarder <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunctionForwarder>`
        
        .. attribute:: service_path
        
        	Service Path Entries
        	**type**\: list of    :py:class:`ServicePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServicePath>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.service_function = YList()
            self.service_function.parent = self
            self.service_function.name = 'service_function'
            self.service_function_forwarder = Native.ServiceChain.ServiceFunctionForwarder()
            self.service_function_forwarder.parent = self
            self.service_path = YList()
            self.service_path.parent = self
            self.service_path.name = 'service_path'


        class ServiceFunction(object):
            """
            Service function details
            
            .. attribute:: name  <key>
            
            	WORD;;Service function name
            	**type**\:  str
            
            .. attribute:: config_service_chain_sf_mode
            
            	
            	**type**\:   :py:class:`ConfigServiceChainSfMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode>`
            
            

            """

            _prefix = 'ios-service-chain'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.config_service_chain_sf_mode = Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode()
                self.config_service_chain_sf_mode.parent = self


            class ConfigServiceChainSfMode(object):
                """
                
                
                .. attribute:: description
                
                	Service function description
                	**type**\:  str
                
                	**length:** 1..256
                
                .. attribute:: encapsulation
                
                	Service node encapsulation
                	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation>`
                
                .. attribute:: ip
                
                	Service node
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Ip>`
                
                

                """

                _prefix = 'ios-service-chain'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.description = None
                    self.encapsulation = Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation()
                    self.encapsulation.parent = self
                    self.ip = Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Ip()
                    self.ip.parent = self


                class Encapsulation(object):
                    """
                    Service node encapsulation
                    
                    .. attribute:: gre
                    
                    	Service node encapsulation type
                    	**type**\:   :py:class:`Gre <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation.Gre>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: none
                    
                    	Service node encapsulation type
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-service-chain'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.gre = None
                        self.none = None


                    class Gre(object):
                        """
                        Service node encapsulation type
                        
                        .. attribute:: enhanced
                        
                        	Add enhanced NSH TLV information
                        	**type**\:   :py:class:`EnhancedEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation.Gre.EnhancedEnum>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-service-chain'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.enhanced = None

                        class EnhancedEnum(Enum):
                            """
                            EnhancedEnum

                            Add enhanced NSH TLV information

                            .. data:: copy = 0

                            .. data:: divert = 1

                            """

                            copy = 0

                            divert = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation.Gre.EnhancedEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-service-chain:gre'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.enhanced is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation.Gre']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-service-chain:encapsulation'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.gre is not None and self.gre._has_data():
                            return True

                        if self.none is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation']['meta_info']


                class Ip(object):
                    """
                    Service node
                    
                    .. attribute:: address
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-service-chain'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-service-chain:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-service-chain:config-service-chain-sf-mode'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.description is not None:
                        return True

                    if self.encapsulation is not None and self.encapsulation._has_data():
                        return True

                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service-chain/Cisco-IOS-XE-service-chain:service-function[Cisco-IOS-XE-service-chain:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.config_service_chain_sf_mode is not None and self.config_service_chain_sf_mode._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ServiceChain.ServiceFunction']['meta_info']


        class ServiceFunctionForwarder(object):
            """
            Service function forwarder details
            
            .. attribute:: local
            
            	Local service function forwarder
            	**type**\:   :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunctionForwarder.Local>`
            
            	**presence node**\: True
            
            .. attribute:: service_ff_name
            
            	
            	**type**\: list of    :py:class:`ServiceFfName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName>`
            
            

            """

            _prefix = 'ios-service-chain'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.local = None
                self.service_ff_name = YList()
                self.service_ff_name.parent = self
                self.service_ff_name.name = 'service_ff_name'


            class ServiceFfName(object):
                """
                
                
                .. attribute:: name  <key>
                
                	WORD;;Service function forwarder name
                	**type**\:  str
                
                .. attribute:: description
                
                	Service function forwarder description
                	**type**\:  str
                
                	**length:** 1..256
                
                .. attribute:: ip
                
                	IP address for Service Function Forwarder
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName.Ip>`
                
                

                """

                _prefix = 'ios-service-chain'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.description = None
                    self.ip = Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    IP address for Service Function Forwarder
                    
                    .. attribute:: address
                    
                    	Set IPv4 address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-service-chain'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-service-chain:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service-chain/Cisco-IOS-XE-service-chain:service-function-forwarder/Cisco-IOS-XE-service-chain:service-ff-name[Cisco-IOS-XE-service-chain:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.description is not None:
                        return True

                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName']['meta_info']


            class Local(object):
                """
                Local service function forwarder
                
                .. attribute:: description
                
                	Service function forwarder description
                	**type**\:  str
                
                	**length:** 1..256
                
                .. attribute:: ip
                
                	IP address for Service Function Forwarder
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunctionForwarder.Local.Ip>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-service-chain'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.description = None
                    self.ip = Native.ServiceChain.ServiceFunctionForwarder.Local.Ip()
                    self.ip.parent = self


                class Ip(object):
                    """
                    IP address for Service Function Forwarder
                    
                    .. attribute:: address
                    
                    	Set IPv4 address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-service-chain'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service-chain/Cisco-IOS-XE-service-chain:service-function-forwarder/Cisco-IOS-XE-service-chain:local/Cisco-IOS-XE-service-chain:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ServiceChain.ServiceFunctionForwarder.Local.Ip']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service-chain/Cisco-IOS-XE-service-chain:service-function-forwarder/Cisco-IOS-XE-service-chain:local'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.description is not None:
                        return True

                    if self.ip is not None and self.ip._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ServiceChain.ServiceFunctionForwarder.Local']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service-chain/Cisco-IOS-XE-service-chain:service-function-forwarder'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.local is not None and self.local._has_data():
                    return True

                if self.service_ff_name is not None:
                    for child_ref in self.service_ff_name:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ServiceChain.ServiceFunctionForwarder']['meta_info']


        class ServicePath(object):
            """
            Service Path Entries
            
            .. attribute:: service_path_id  <key>
            
            	
            	**type**\:  int
            
            	**range:** 0..16777215
            
            .. attribute:: config_service_chain_path_mode
            
            	
            	**type**\:   :py:class:`ConfigServiceChainPathMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServicePath.ConfigServiceChainPathMode>`
            
            

            """

            _prefix = 'ios-service-chain'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.service_path_id = None
                self.config_service_chain_path_mode = Native.ServiceChain.ServicePath.ConfigServiceChainPathMode()
                self.config_service_chain_path_mode.parent = self


            class ConfigServiceChainPathMode(object):
                """
                
                
                .. attribute:: description
                
                	Path Description
                	**type**\:  str
                
                	**length:** 1..256
                
                .. attribute:: service_index
                
                	Service Index
                	**type**\:   :py:class:`ServiceIndex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex>`
                
                

                """

                _prefix = 'ios-service-chain'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.description = None
                    self.service_index = Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex()
                    self.service_index.parent = self


                class ServiceIndex(object):
                    """
                    Service Index
                    
                    .. attribute:: services
                    
                    	
                    	**type**\: list of    :py:class:`Services <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex.Services>`
                    
                    

                    """

                    _prefix = 'ios-service-chain'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.services = YList()
                        self.services.parent = self
                        self.services.name = 'services'


                    class Services(object):
                        """
                        
                        
                        .. attribute:: service_index_id  <key>
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 2..255
                        
                        .. attribute:: service_function
                        
                        	Service Function name
                        	**type**\:  str
                        
                        .. attribute:: service_function_forwarder
                        
                        	Service Function Forwarder name
                        	**type**\:  str
                        
                        .. attribute:: terminate
                        
                        	Terminate(Proxy)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-service-chain'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.service_index_id = None
                            self.service_function = None
                            self.service_function_forwarder = None
                            self.terminate = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.service_index_id is None:
                                raise YPYModelError('Key property service_index_id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-service-chain:services[Cisco-IOS-XE-service-chain:service-index-id = ' + str(self.service_index_id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.service_index_id is not None:
                                return True

                            if self.service_function is not None:
                                return True

                            if self.service_function_forwarder is not None:
                                return True

                            if self.terminate is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex.Services']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-service-chain:service-index'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.services is not None:
                            for child_ref in self.services:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-service-chain:config-service-chain-path-mode'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.description is not None:
                        return True

                    if self.service_index is not None and self.service_index._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ServiceChain.ServicePath.ConfigServiceChainPathMode']['meta_info']

            @property
            def _common_path(self):
                if self.service_path_id is None:
                    raise YPYModelError('Key property service_path_id is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service-chain/Cisco-IOS-XE-service-chain:service-path[Cisco-IOS-XE-service-chain:service-path-id = ' + str(self.service_path_id) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.service_path_id is not None:
                    return True

                if self.config_service_chain_path_mode is not None and self.config_service_chain_path_mode._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ServiceChain.ServicePath']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service-chain'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.service_function is not None:
                for child_ref in self.service_function:
                    if child_ref._has_data():
                        return True

            if self.service_function_forwarder is not None and self.service_function_forwarder._has_data():
                return True

            if self.service_path is not None:
                for child_ref in self.service_path:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.ServiceChain']['meta_info']


    class Performance(object):
        """
        Global Performance monitor configuration
        
        .. attribute:: monitor
        
        	monitor
        	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.monitor = Native.Performance.Monitor()
            self.monitor.parent = self


        class Monitor(object):
            """
            monitor
            
            .. attribute:: context
            
            	Define ezPM context
            	**type**\: list of    :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context>`
            
            .. attribute:: observation_point
            
            	Select observation point
            	**type**\:   :py:class:`ObservationPoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.ObservationPoint>`
            
            

            """

            _prefix = 'ios-ezpm'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.context = YList()
                self.context.parent = self
                self.context.name = 'context'
                self.observation_point = Native.Performance.Monitor.ObservationPoint()
                self.observation_point.parent = self


            class Context(object):
                """
                Define ezPM context
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default>`
                
                .. attribute:: description
                
                	Provide a description for ezPM context
                	**type**\:  str
                
                .. attribute:: exporter
                
                	Create exporter
                	**type**\:   :py:class:`Exporter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Exporter>`
                
                .. attribute:: profile
                
                	Select ezPM profile
                	**type**\:   :py:class:`ProfileEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.ProfileEnum>`
                
                .. attribute:: traffic_monitor
                
                	Select traffic monitor
                	**type**\:   :py:class:`TrafficMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor>`
                
                

                """

                _prefix = 'ios-ezpm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.default = Native.Performance.Monitor.Context.Default()
                    self.default.parent = self
                    self.description = None
                    self.exporter = Native.Performance.Monitor.Context.Exporter()
                    self.exporter.parent = self
                    self.profile = None
                    self.traffic_monitor = Native.Performance.Monitor.Context.TrafficMonitor()
                    self.traffic_monitor.parent = self

                class ProfileEnum(Enum):
                    """
                    ProfileEnum

                    Select ezPM profile

                    .. data:: application_experience = 0

                    .. data:: application_performance = 1

                    .. data:: application_statistics = 2

                    """

                    application_experience = 0

                    application_performance = 1

                    application_statistics = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Performance.Monitor.Context.ProfileEnum']



                class Default(object):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: description
                    
                    	Provide a description for ezPM context
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: exporter
                    
                    	Create exporter
                    	**type**\:   :py:class:`Exporter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.Exporter>`
                    
                    .. attribute:: traffic_monitor
                    
                    	Select traffic monitor
                    	**type**\:   :py:class:`TrafficMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor>`
                    
                    

                    """

                    _prefix = 'ios-ezpm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.description = None
                        self.exporter = Native.Performance.Monitor.Context.Default.Exporter()
                        self.exporter.parent = self
                        self.traffic_monitor = Native.Performance.Monitor.Context.Default.TrafficMonitor()
                        self.traffic_monitor.parent = self


                    class Exporter(object):
                        """
                        Create exporter
                        
                        .. attribute:: destination
                        
                        	Export destination configuration
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: port
                        
                        	port
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: source
                        
                        	Originating interface
                        	**type**\:  str
                        
                        .. attribute:: transport
                        
                        	transport
                        	**type**\:   :py:class:`TransportEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.Exporter.TransportEnum>`
                        
                        .. attribute:: vrf
                        
                        	vrf
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-ezpm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.destination = None
                            self.port = None
                            self.source = None
                            self.transport = None
                            self.vrf = None

                        class TransportEnum(Enum):
                            """
                            TransportEnum

                            transport

                            .. data:: udp = 0

                            """

                            udp = 0


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Performance.Monitor.Context.Default.Exporter.TransportEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ezpm:exporter'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.destination is not None:
                                return True

                            if self.port is not None:
                                return True

                            if self.source is not None:
                                return True

                            if self.transport is not None:
                                return True

                            if self.vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Performance.Monitor.Context.Default.Exporter']['meta_info']


                    class TrafficMonitor(object):
                        """
                        Select traffic monitor
                        
                        .. attribute:: all
                        
                        	All traffic monitors in this profile
                        	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.All>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: application_client_server_stats
                        
                        	Per interface, client, server and application statistics
                        	**type**\:   :py:class:`ApplicationClientServerStats <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationClientServerStats>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: application_response_time
                        
                        	Application response time (ART) metrics and counters for TCP traffic
                        	**type**\:   :py:class:`ApplicationResponseTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationResponseTime>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: application_stats
                        
                        	Per application and interface statistics
                        	**type**\:   :py:class:`ApplicationStats <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationStats>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: application_traffic_stats
                        
                        	Application level counters for dns and dht protocol
                        	**type**\:   :py:class:`ApplicationTrafficStats <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationTrafficStats>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: conversation_traffic_stats
                        
                        	Conversation level counters for IP traffic
                        	**type**\:   :py:class:`ConversationTrafficStats <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.ConversationTrafficStats>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: media
                        
                        	Media metrics and counters for rtp and telepresence\-media traffic
                        	**type**\:   :py:class:`Media <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.Media>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: url
                        
                        	URL information, application response time (ART) metrics and counters
                        	**type**\:   :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.Url>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-ezpm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None
                            self.application_client_server_stats = None
                            self.application_response_time = None
                            self.application_stats = None
                            self.application_traffic_stats = None
                            self.conversation_traffic_stats = None
                            self.media = None
                            self.url = None


                        class All(object):
                            """
                            All traffic monitors in this profile
                            
                            .. attribute:: ipv4
                            
                            	Activate monitor for ipv4 traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipv6
                            
                            	Activate monitor for ipv6 traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ezpm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.ipv4 = None
                                self.ipv6 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ezpm:all'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.ipv4 is not None:
                                    return True

                                if self.ipv6 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor.All']['meta_info']


                        class ApplicationResponseTime(object):
                            """
                            Application response time (ART) metrics and counters for TCP traffic
                            
                            .. attribute:: cache_size
                            
                            	Maximum flow entries in the Flow Cache
                            	**type**\:  int
                            
                            	**range:** 64..2000000
                            
                            .. attribute:: cache_type
                            
                            	The type of the Flow Cache
                            	**type**\:   :py:class:`CacheTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationResponseTime.CacheTypeEnum>`
                            
                            .. attribute:: class_and
                            
                            	Narrow down default traffic classification
                            	**type**\:  str
                            
                            .. attribute:: class_replace
                            
                            	Replace traffic classification
                            	**type**\:  str
                            
                            .. attribute:: interval_timeout
                            
                            	The exporting interval timeout
                            	**type**\:  int
                            
                            	**range:** 1..604800
                            
                            .. attribute:: ipv4
                            
                            	Activate monitor for ipv4 traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipv6
                            
                            	Activate monitor for ipv6 traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ezpm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.cache_size = None
                                self.cache_type = None
                                self.class_and = None
                                self.class_replace = None
                                self.interval_timeout = None
                                self.ipv4 = None
                                self.ipv6 = None

                            class CacheTypeEnum(Enum):
                                """
                                CacheTypeEnum

                                The type of the Flow Cache

                                .. data:: normal = 0

                                .. data:: synchronized = 1

                                """

                                normal = 0

                                synchronized = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationResponseTime.CacheTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ezpm:application-response-time'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.cache_size is not None:
                                    return True

                                if self.cache_type is not None:
                                    return True

                                if self.class_and is not None:
                                    return True

                                if self.class_replace is not None:
                                    return True

                                if self.interval_timeout is not None:
                                    return True

                                if self.ipv4 is not None:
                                    return True

                                if self.ipv6 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationResponseTime']['meta_info']


                        class ApplicationTrafficStats(object):
                            """
                            Application level counters for dns and dht protocol
                            
                            .. attribute:: cache_size
                            
                            	Maximum flow entries in the Flow Cache
                            	**type**\:  int
                            
                            	**range:** 64..2000000
                            
                            .. attribute:: class_replace
                            
                            	Replace traffic classification
                            	**type**\:  str
                            
                            .. attribute:: interval_timeout
                            
                            	The exporting interval timeout
                            	**type**\:  int
                            
                            	**range:** 1..604800
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ezpm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.cache_size = None
                                self.class_replace = None
                                self.interval_timeout = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ezpm:application-traffic-stats'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.cache_size is not None:
                                    return True

                                if self.class_replace is not None:
                                    return True

                                if self.interval_timeout is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationTrafficStats']['meta_info']


                        class ConversationTrafficStats(object):
                            """
                            Conversation level counters for IP traffic
                            
                            .. attribute:: cache_size
                            
                            	Maximum flow entries in the Flow Cache
                            	**type**\:  int
                            
                            	**range:** 64..2000000
                            
                            .. attribute:: cache_type
                            
                            	The type of the Flow Cache
                            	**type**\:   :py:class:`CacheTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.ConversationTrafficStats.CacheTypeEnum>`
                            
                            .. attribute:: class_replace
                            
                            	Replace traffic classification
                            	**type**\:  str
                            
                            .. attribute:: interval_timeout
                            
                            	The exporting interval timeout
                            	**type**\:  int
                            
                            	**range:** 1..604800
                            
                            .. attribute:: ipv4
                            
                            	Activate monitor for ipv4 traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipv6
                            
                            	Activate monitor for ipv6 traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ezpm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.cache_size = None
                                self.cache_type = None
                                self.class_replace = None
                                self.interval_timeout = None
                                self.ipv4 = None
                                self.ipv6 = None

                            class CacheTypeEnum(Enum):
                                """
                                CacheTypeEnum

                                The type of the Flow Cache

                                .. data:: normal = 0

                                .. data:: synchronized = 1

                                """

                                normal = 0

                                synchronized = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor.ConversationTrafficStats.CacheTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ezpm:conversation-traffic-stats'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.cache_size is not None:
                                    return True

                                if self.cache_type is not None:
                                    return True

                                if self.class_replace is not None:
                                    return True

                                if self.interval_timeout is not None:
                                    return True

                                if self.ipv4 is not None:
                                    return True

                                if self.ipv6 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor.ConversationTrafficStats']['meta_info']


                        class Media(object):
                            """
                            Media metrics and counters for rtp and telepresence\-media traffic
                            
                            .. attribute:: cache_size
                            
                            	Maximum flow entries in the Flow Cache
                            	**type**\:  int
                            
                            	**range:** 64..2000000
                            
                            .. attribute:: class_and
                            
                            	Narrow down default traffic classification
                            	**type**\:  str
                            
                            .. attribute:: class_replace
                            
                            	Replace traffic classification
                            	**type**\:  str
                            
                            .. attribute:: egress
                            
                            	Activate monitor on egress direction
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ingress
                            
                            	Activate monitor on ingress direction
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: interval_timeout
                            
                            	The exporting interval timeout
                            	**type**\:  int
                            
                            	**range:** 1..604800
                            
                            .. attribute:: ipv4
                            
                            	Activate monitor for ipv4 traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipv6
                            
                            	Activate monitor for ipv6 traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ezpm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.cache_size = None
                                self.class_and = None
                                self.class_replace = None
                                self.egress = None
                                self.ingress = None
                                self.interval_timeout = None
                                self.ipv4 = None
                                self.ipv6 = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ezpm:media'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.cache_size is not None:
                                    return True

                                if self.class_and is not None:
                                    return True

                                if self.class_replace is not None:
                                    return True

                                if self.egress is not None:
                                    return True

                                if self.ingress is not None:
                                    return True

                                if self.interval_timeout is not None:
                                    return True

                                if self.ipv4 is not None:
                                    return True

                                if self.ipv6 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor.Media']['meta_info']


                        class Url(object):
                            """
                            URL information, application response time (ART) metrics and counters
                            
                            .. attribute:: cache_size
                            
                            	Maximum flow entries in the Flow Cache
                            	**type**\:  int
                            
                            	**range:** 64..2000000
                            
                            .. attribute:: class_and
                            
                            	Narrow down default traffic classification
                            	**type**\:  str
                            
                            .. attribute:: class_replace
                            
                            	Replace traffic classification
                            	**type**\:  str
                            
                            .. attribute:: ipv4
                            
                            	Activate monitor for ipv4 traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipv6
                            
                            	Activate monitor for ipv6 traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sampling_rate
                            
                            	Sampling rate of flow sampler
                            	**type**\:  int
                            
                            	**range:** 1..32768
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ezpm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.cache_size = None
                                self.class_and = None
                                self.class_replace = None
                                self.ipv4 = None
                                self.ipv6 = None
                                self.sampling_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ezpm:url'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.cache_size is not None:
                                    return True

                                if self.class_and is not None:
                                    return True

                                if self.class_replace is not None:
                                    return True

                                if self.ipv4 is not None:
                                    return True

                                if self.ipv6 is not None:
                                    return True

                                if self.sampling_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor.Url']['meta_info']


                        class ApplicationClientServerStats(object):
                            """
                            Per interface, client, server and application statistics
                            
                            .. attribute:: cache_size
                            
                            	Maximum flow entries in the Flow Cache
                            	**type**\:  int
                            
                            	**range:** 64..2000000
                            
                            .. attribute:: cache_type
                            
                            	The type of the Flow Cache
                            	**type**\:   :py:class:`CacheTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationClientServerStats.CacheTypeEnum>`
                            
                            .. attribute:: class_replace
                            
                            	Replace traffic classification
                            	**type**\:  str
                            
                            .. attribute:: interval_timeout
                            
                            	The exporting interval timeout
                            	**type**\:  int
                            
                            	**range:** 1..604800
                            
                            .. attribute:: ipv4
                            
                            	Activate monitor for ipv4 traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipv6
                            
                            	Activate monitor for ipv6 traffic
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ezpm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.cache_size = None
                                self.cache_type = None
                                self.class_replace = None
                                self.interval_timeout = None
                                self.ipv4 = None
                                self.ipv6 = None

                            class CacheTypeEnum(Enum):
                                """
                                CacheTypeEnum

                                The type of the Flow Cache

                                .. data:: normal = 0

                                .. data:: synchronized = 1

                                """

                                normal = 0

                                synchronized = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationClientServerStats.CacheTypeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ezpm:application-client-server-stats'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.cache_size is not None:
                                    return True

                                if self.cache_type is not None:
                                    return True

                                if self.class_replace is not None:
                                    return True

                                if self.interval_timeout is not None:
                                    return True

                                if self.ipv4 is not None:
                                    return True

                                if self.ipv6 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationClientServerStats']['meta_info']


                        class ApplicationStats(object):
                            """
                            Per application and interface statistics
                            
                            .. attribute:: cache_size
                            
                            	Maximum flow entries in the Flow Cache
                            	**type**\:  int
                            
                            	**range:** 64..2000000
                            
                            .. attribute:: class_replace
                            
                            	Replace traffic classification
                            	**type**\:  str
                            
                            .. attribute:: interval_timeout
                            
                            	The exporting interval timeout
                            	**type**\:  int
                            
                            	**range:** 1..604800
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ezpm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.cache_size = None
                                self.class_replace = None
                                self.interval_timeout = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ezpm:application-stats'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.cache_size is not None:
                                    return True

                                if self.class_replace is not None:
                                    return True

                                if self.interval_timeout is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationStats']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ezpm:traffic-monitor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None and self.all._has_data():
                                return True

                            if self.application_client_server_stats is not None and self.application_client_server_stats._has_data():
                                return True

                            if self.application_response_time is not None and self.application_response_time._has_data():
                                return True

                            if self.application_stats is not None and self.application_stats._has_data():
                                return True

                            if self.application_traffic_stats is not None and self.application_traffic_stats._has_data():
                                return True

                            if self.conversation_traffic_stats is not None and self.conversation_traffic_stats._has_data():
                                return True

                            if self.media is not None and self.media._has_data():
                                return True

                            if self.url is not None and self.url._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Performance.Monitor.Context.Default.TrafficMonitor']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ezpm:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.description is not None:
                            return True

                        if self.exporter is not None and self.exporter._has_data():
                            return True

                        if self.traffic_monitor is not None and self.traffic_monitor._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Performance.Monitor.Context.Default']['meta_info']


                class Exporter(object):
                    """
                    Create exporter
                    
                    .. attribute:: destination
                    
                    	Export destination configuration
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: port
                    
                    	port
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: source
                    
                    	Originating interface
                    	**type**\:  str
                    
                    .. attribute:: transport
                    
                    	transport
                    	**type**\:   :py:class:`TransportEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Exporter.TransportEnum>`
                    
                    .. attribute:: vrf
                    
                    	vrf
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-ezpm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.destination = None
                        self.port = None
                        self.source = None
                        self.transport = None
                        self.vrf = None

                    class TransportEnum(Enum):
                        """
                        TransportEnum

                        transport

                        .. data:: udp = 0

                        """

                        udp = 0


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Performance.Monitor.Context.Exporter.TransportEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ezpm:exporter'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.destination is not None:
                            return True

                        if self.port is not None:
                            return True

                        if self.source is not None:
                            return True

                        if self.transport is not None:
                            return True

                        if self.vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Performance.Monitor.Context.Exporter']['meta_info']


                class TrafficMonitor(object):
                    """
                    Select traffic monitor
                    
                    .. attribute:: all
                    
                    	All traffic monitors in this profile
                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.All>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: application_client_server_stats
                    
                    	Per interface, client, server and application statistics
                    	**type**\:   :py:class:`ApplicationClientServerStats <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.ApplicationClientServerStats>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: application_response_time
                    
                    	Application response time (ART) metrics and counters for TCP traffic
                    	**type**\:   :py:class:`ApplicationResponseTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.ApplicationResponseTime>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: application_stats
                    
                    	Per application and interface statistics
                    	**type**\:   :py:class:`ApplicationStats <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.ApplicationStats>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: application_traffic_stats
                    
                    	Application level counters for dns and dht protocol
                    	**type**\:   :py:class:`ApplicationTrafficStats <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.ApplicationTrafficStats>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: conversation_traffic_stats
                    
                    	Conversation level counters for IP traffic
                    	**type**\:   :py:class:`ConversationTrafficStats <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.ConversationTrafficStats>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: media
                    
                    	Media metrics and counters for rtp and telepresence\-media traffic
                    	**type**\:   :py:class:`Media <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.Media>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: url
                    
                    	URL information, application response time (ART) metrics and counters
                    	**type**\:   :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.Url>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ezpm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.all = None
                        self.application_client_server_stats = None
                        self.application_response_time = None
                        self.application_stats = None
                        self.application_traffic_stats = None
                        self.conversation_traffic_stats = None
                        self.media = None
                        self.url = None


                    class All(object):
                        """
                        All traffic monitors in this profile
                        
                        .. attribute:: ipv4
                        
                        	Activate monitor for ipv4 traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6
                        
                        	Activate monitor for ipv6 traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ezpm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ipv4 = None
                            self.ipv6 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ezpm:all'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ipv4 is not None:
                                return True

                            if self.ipv6 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Performance.Monitor.Context.TrafficMonitor.All']['meta_info']


                    class ApplicationResponseTime(object):
                        """
                        Application response time (ART) metrics and counters for TCP traffic
                        
                        .. attribute:: cache_size
                        
                        	Maximum flow entries in the Flow Cache
                        	**type**\:  int
                        
                        	**range:** 64..2000000
                        
                        .. attribute:: cache_type
                        
                        	The type of the Flow Cache
                        	**type**\:   :py:class:`CacheTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.ApplicationResponseTime.CacheTypeEnum>`
                        
                        .. attribute:: class_and
                        
                        	Narrow down default traffic classification
                        	**type**\:  str
                        
                        .. attribute:: class_replace
                        
                        	Replace traffic classification
                        	**type**\:  str
                        
                        .. attribute:: interval_timeout
                        
                        	The exporting interval timeout
                        	**type**\:  int
                        
                        	**range:** 1..604800
                        
                        .. attribute:: ipv4
                        
                        	Activate monitor for ipv4 traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6
                        
                        	Activate monitor for ipv6 traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ezpm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.cache_size = None
                            self.cache_type = None
                            self.class_and = None
                            self.class_replace = None
                            self.interval_timeout = None
                            self.ipv4 = None
                            self.ipv6 = None

                        class CacheTypeEnum(Enum):
                            """
                            CacheTypeEnum

                            The type of the Flow Cache

                            .. data:: normal = 0

                            .. data:: synchronized = 1

                            """

                            normal = 0

                            synchronized = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Performance.Monitor.Context.TrafficMonitor.ApplicationResponseTime.CacheTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ezpm:application-response-time'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.cache_size is not None:
                                return True

                            if self.cache_type is not None:
                                return True

                            if self.class_and is not None:
                                return True

                            if self.class_replace is not None:
                                return True

                            if self.interval_timeout is not None:
                                return True

                            if self.ipv4 is not None:
                                return True

                            if self.ipv6 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Performance.Monitor.Context.TrafficMonitor.ApplicationResponseTime']['meta_info']


                    class ApplicationTrafficStats(object):
                        """
                        Application level counters for dns and dht protocol
                        
                        .. attribute:: cache_size
                        
                        	Maximum flow entries in the Flow Cache
                        	**type**\:  int
                        
                        	**range:** 64..2000000
                        
                        .. attribute:: class_replace
                        
                        	Replace traffic classification
                        	**type**\:  str
                        
                        .. attribute:: interval_timeout
                        
                        	The exporting interval timeout
                        	**type**\:  int
                        
                        	**range:** 1..604800
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ezpm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.cache_size = None
                            self.class_replace = None
                            self.interval_timeout = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ezpm:application-traffic-stats'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.cache_size is not None:
                                return True

                            if self.class_replace is not None:
                                return True

                            if self.interval_timeout is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Performance.Monitor.Context.TrafficMonitor.ApplicationTrafficStats']['meta_info']


                    class ConversationTrafficStats(object):
                        """
                        Conversation level counters for IP traffic
                        
                        .. attribute:: cache_size
                        
                        	Maximum flow entries in the Flow Cache
                        	**type**\:  int
                        
                        	**range:** 64..2000000
                        
                        .. attribute:: cache_type
                        
                        	The type of the Flow Cache
                        	**type**\:   :py:class:`CacheTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.ConversationTrafficStats.CacheTypeEnum>`
                        
                        .. attribute:: class_replace
                        
                        	Replace traffic classification
                        	**type**\:  str
                        
                        .. attribute:: interval_timeout
                        
                        	The exporting interval timeout
                        	**type**\:  int
                        
                        	**range:** 1..604800
                        
                        .. attribute:: ipv4
                        
                        	Activate monitor for ipv4 traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6
                        
                        	Activate monitor for ipv6 traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ezpm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.cache_size = None
                            self.cache_type = None
                            self.class_replace = None
                            self.interval_timeout = None
                            self.ipv4 = None
                            self.ipv6 = None

                        class CacheTypeEnum(Enum):
                            """
                            CacheTypeEnum

                            The type of the Flow Cache

                            .. data:: normal = 0

                            .. data:: synchronized = 1

                            """

                            normal = 0

                            synchronized = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Performance.Monitor.Context.TrafficMonitor.ConversationTrafficStats.CacheTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ezpm:conversation-traffic-stats'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.cache_size is not None:
                                return True

                            if self.cache_type is not None:
                                return True

                            if self.class_replace is not None:
                                return True

                            if self.interval_timeout is not None:
                                return True

                            if self.ipv4 is not None:
                                return True

                            if self.ipv6 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Performance.Monitor.Context.TrafficMonitor.ConversationTrafficStats']['meta_info']


                    class Media(object):
                        """
                        Media metrics and counters for rtp and telepresence\-media traffic
                        
                        .. attribute:: cache_size
                        
                        	Maximum flow entries in the Flow Cache
                        	**type**\:  int
                        
                        	**range:** 64..2000000
                        
                        .. attribute:: class_and
                        
                        	Narrow down default traffic classification
                        	**type**\:  str
                        
                        .. attribute:: class_replace
                        
                        	Replace traffic classification
                        	**type**\:  str
                        
                        .. attribute:: egress
                        
                        	Activate monitor on egress direction
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ingress
                        
                        	Activate monitor on ingress direction
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: interval_timeout
                        
                        	The exporting interval timeout
                        	**type**\:  int
                        
                        	**range:** 1..604800
                        
                        .. attribute:: ipv4
                        
                        	Activate monitor for ipv4 traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6
                        
                        	Activate monitor for ipv6 traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ezpm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.cache_size = None
                            self.class_and = None
                            self.class_replace = None
                            self.egress = None
                            self.ingress = None
                            self.interval_timeout = None
                            self.ipv4 = None
                            self.ipv6 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ezpm:media'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.cache_size is not None:
                                return True

                            if self.class_and is not None:
                                return True

                            if self.class_replace is not None:
                                return True

                            if self.egress is not None:
                                return True

                            if self.ingress is not None:
                                return True

                            if self.interval_timeout is not None:
                                return True

                            if self.ipv4 is not None:
                                return True

                            if self.ipv6 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Performance.Monitor.Context.TrafficMonitor.Media']['meta_info']


                    class Url(object):
                        """
                        URL information, application response time (ART) metrics and counters
                        
                        .. attribute:: cache_size
                        
                        	Maximum flow entries in the Flow Cache
                        	**type**\:  int
                        
                        	**range:** 64..2000000
                        
                        .. attribute:: class_and
                        
                        	Narrow down default traffic classification
                        	**type**\:  str
                        
                        .. attribute:: class_replace
                        
                        	Replace traffic classification
                        	**type**\:  str
                        
                        .. attribute:: ipv4
                        
                        	Activate monitor for ipv4 traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6
                        
                        	Activate monitor for ipv6 traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sampling_rate
                        
                        	Sampling rate of flow sampler
                        	**type**\:  int
                        
                        	**range:** 1..32768
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ezpm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.cache_size = None
                            self.class_and = None
                            self.class_replace = None
                            self.ipv4 = None
                            self.ipv6 = None
                            self.sampling_rate = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ezpm:url'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.cache_size is not None:
                                return True

                            if self.class_and is not None:
                                return True

                            if self.class_replace is not None:
                                return True

                            if self.ipv4 is not None:
                                return True

                            if self.ipv6 is not None:
                                return True

                            if self.sampling_rate is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Performance.Monitor.Context.TrafficMonitor.Url']['meta_info']


                    class ApplicationClientServerStats(object):
                        """
                        Per interface, client, server and application statistics
                        
                        .. attribute:: cache_size
                        
                        	Maximum flow entries in the Flow Cache
                        	**type**\:  int
                        
                        	**range:** 64..2000000
                        
                        .. attribute:: cache_type
                        
                        	The type of the Flow Cache
                        	**type**\:   :py:class:`CacheTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.ApplicationClientServerStats.CacheTypeEnum>`
                        
                        .. attribute:: class_replace
                        
                        	Replace traffic classification
                        	**type**\:  str
                        
                        .. attribute:: interval_timeout
                        
                        	The exporting interval timeout
                        	**type**\:  int
                        
                        	**range:** 1..604800
                        
                        .. attribute:: ipv4
                        
                        	Activate monitor for ipv4 traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6
                        
                        	Activate monitor for ipv6 traffic
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ezpm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.cache_size = None
                            self.cache_type = None
                            self.class_replace = None
                            self.interval_timeout = None
                            self.ipv4 = None
                            self.ipv6 = None

                        class CacheTypeEnum(Enum):
                            """
                            CacheTypeEnum

                            The type of the Flow Cache

                            .. data:: normal = 0

                            .. data:: synchronized = 1

                            """

                            normal = 0

                            synchronized = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Performance.Monitor.Context.TrafficMonitor.ApplicationClientServerStats.CacheTypeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ezpm:application-client-server-stats'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.cache_size is not None:
                                return True

                            if self.cache_type is not None:
                                return True

                            if self.class_replace is not None:
                                return True

                            if self.interval_timeout is not None:
                                return True

                            if self.ipv4 is not None:
                                return True

                            if self.ipv6 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Performance.Monitor.Context.TrafficMonitor.ApplicationClientServerStats']['meta_info']


                    class ApplicationStats(object):
                        """
                        Per application and interface statistics
                        
                        .. attribute:: cache_size
                        
                        	Maximum flow entries in the Flow Cache
                        	**type**\:  int
                        
                        	**range:** 64..2000000
                        
                        .. attribute:: class_replace
                        
                        	Replace traffic classification
                        	**type**\:  str
                        
                        .. attribute:: interval_timeout
                        
                        	The exporting interval timeout
                        	**type**\:  int
                        
                        	**range:** 1..604800
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ezpm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.cache_size = None
                            self.class_replace = None
                            self.interval_timeout = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ezpm:application-stats'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.cache_size is not None:
                                return True

                            if self.class_replace is not None:
                                return True

                            if self.interval_timeout is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Performance.Monitor.Context.TrafficMonitor.ApplicationStats']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ezpm:traffic-monitor'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.all is not None and self.all._has_data():
                            return True

                        if self.application_client_server_stats is not None and self.application_client_server_stats._has_data():
                            return True

                        if self.application_response_time is not None and self.application_response_time._has_data():
                            return True

                        if self.application_stats is not None and self.application_stats._has_data():
                            return True

                        if self.application_traffic_stats is not None and self.application_traffic_stats._has_data():
                            return True

                        if self.conversation_traffic_stats is not None and self.conversation_traffic_stats._has_data():
                            return True

                        if self.media is not None and self.media._has_data():
                            return True

                        if self.url is not None and self.url._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Performance.Monitor.Context.TrafficMonitor']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:performance/Cisco-IOS-XE-ezpm:monitor/Cisco-IOS-XE-ezpm:context[Cisco-IOS-XE-ezpm:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.default is not None and self.default._has_data():
                        return True

                    if self.description is not None:
                        return True

                    if self.exporter is not None and self.exporter._has_data():
                        return True

                    if self.profile is not None:
                        return True

                    if self.traffic_monitor is not None and self.traffic_monitor._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Performance.Monitor.Context']['meta_info']


            class ObservationPoint(object):
                """
                Select observation point
                
                .. attribute:: encrypted_text
                
                	Select clear text for observation
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ezpm'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.encrypted_text = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:performance/Cisco-IOS-XE-ezpm:monitor/Cisco-IOS-XE-ezpm:observation-point'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.encrypted_text is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Performance.Monitor.ObservationPoint']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:performance/Cisco-IOS-XE-ezpm:monitor'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.context is not None:
                    for child_ref in self.context:
                        if child_ref._has_data():
                            return True

                if self.observation_point is not None and self.observation_point._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Performance.Monitor']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:performance'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.monitor is not None and self.monitor._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Performance']['meta_info']


    class Otv(object):
        """
        Configure OTV information
        
        .. attribute:: fragmentation
        
        	Clear the DF (Don't Fragment) bit in the IP header
        	**type**\:   :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Fragmentation>`
        
        .. attribute:: isis
        
        	OTV ISIS instance subcommands
        	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis>`
        
        .. attribute:: site
        
        	OTV site network configuration
        	**type**\: list of    :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site>`
        
        .. attribute:: site_identifier
        
        	OTV site id
        	**type**\: one of the below types:
        
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        
        ----
        	**type**\:  str
        
        
        ----
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.fragmentation = Native.Otv.Fragmentation()
            self.fragmentation.parent = self
            self.isis = Native.Otv.Isis()
            self.isis.parent = self
            self.site = YList()
            self.site.parent = self
            self.site.name = 'site'
            self.site_identifier = None


        class Fragmentation(object):
            """
            Clear the DF (Don't Fragment) bit in the IP header
            
            .. attribute:: join_interface
            
            	Allow fragmentation for overlays using this join\-interface
            	**type**\:   :py:class:`JoinInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Fragmentation.JoinInterface>`
            
            

            """

            _prefix = 'ios-otv'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.join_interface = Native.Otv.Fragmentation.JoinInterface()
                self.join_interface.parent = self


            class JoinInterface(object):
                """
                Allow fragmentation for overlays using this join\-interface
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\:  str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Fragmentation.JoinInterface.AtmAcrsubinterface>`
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Fragmentation.JoinInterface.AtmSubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\:  str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\:  str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\:  str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\:  str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\:  str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  int
                
                	**range:** 0..65520
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Fragmentation.JoinInterface.LispSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Fragmentation.JoinInterface.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\:  str
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\:  str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\:  str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.appnav_compress = None
                    self.appnav_uncompress = None
                    self.atm = None
                    self.atm_acr = None
                    self.atm_acrsubinterface = Native.Otv.Fragmentation.JoinInterface.AtmAcrsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self.atm_subinterface = Native.Otv.Fragmentation.JoinInterface.AtmSubinterface()
                    self.atm_subinterface.parent = self
                    self.bdi = None
                    self.cellular = None
                    self.cem = None
                    self.cem_acr = None
                    self.embedded_service_engine = None
                    self.fastethernet = None
                    self.gigabitethernet = None
                    self.lisp = None
                    self.lisp_subinterface = Native.Otv.Fragmentation.JoinInterface.LispSubinterface()
                    self.lisp_subinterface.parent = self
                    self.loopback = None
                    self.multilink = None
                    self.nve = None
                    self.overlay = None
                    self.port_channel = None
                    self.port_channel_subinterface = Native.Otv.Fragmentation.JoinInterface.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self.pseudowire = None
                    self.serial = None
                    self.sm = None
                    self.tengigabitethernet = None
                    self.tunnel = None
                    self.vasileft = None
                    self.vasiright = None
                    self.virtual_template = None
                    self.virtualportgroup = None
                    self.vlan = None


                class AtmSubinterface(object):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:otv/Cisco-IOS-XE-otv:fragmentation/Cisco-IOS-XE-otv:join-interface/Cisco-IOS-XE-otv:ATM-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Otv.Fragmentation.JoinInterface.AtmSubinterface']['meta_info']


                class AtmAcrsubinterface(object):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm_acr = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:otv/Cisco-IOS-XE-otv:fragmentation/Cisco-IOS-XE-otv:join-interface/Cisco-IOS-XE-otv:ATM-ACRsubinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm_acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Otv.Fragmentation.JoinInterface.AtmAcrsubinterface']['meta_info']


                class LispSubinterface(object):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.lisp = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:otv/Cisco-IOS-XE-otv:fragmentation/Cisco-IOS-XE-otv:join-interface/Cisco-IOS-XE-otv:LISP-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.lisp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Otv.Fragmentation.JoinInterface.LispSubinterface']['meta_info']


                class PortChannelSubinterface(object):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.port_channel = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:otv/Cisco-IOS-XE-otv:fragmentation/Cisco-IOS-XE-otv:join-interface/Cisco-IOS-XE-otv:Port-channel-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.port_channel is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Otv.Fragmentation.JoinInterface.PortChannelSubinterface']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:otv/Cisco-IOS-XE-otv:fragmentation/Cisco-IOS-XE-otv:join-interface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.appnav_compress is not None:
                        return True

                    if self.appnav_uncompress is not None:
                        return True

                    if self.atm is not None:
                        return True

                    if self.atm_acr is not None:
                        return True

                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                        return True

                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                        return True

                    if self.bdi is not None:
                        return True

                    if self.cellular is not None:
                        return True

                    if self.cem is not None:
                        return True

                    if self.cem_acr is not None:
                        return True

                    if self.embedded_service_engine is not None:
                        return True

                    if self.fastethernet is not None:
                        return True

                    if self.gigabitethernet is not None:
                        return True

                    if self.lisp is not None:
                        return True

                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                        return True

                    if self.loopback is not None:
                        return True

                    if self.multilink is not None:
                        return True

                    if self.nve is not None:
                        return True

                    if self.overlay is not None:
                        return True

                    if self.port_channel is not None:
                        return True

                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                        return True

                    if self.pseudowire is not None:
                        return True

                    if self.serial is not None:
                        return True

                    if self.sm is not None:
                        return True

                    if self.tengigabitethernet is not None:
                        return True

                    if self.tunnel is not None:
                        return True

                    if self.vasileft is not None:
                        return True

                    if self.vasiright is not None:
                        return True

                    if self.virtual_template is not None:
                        return True

                    if self.virtualportgroup is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Otv.Fragmentation.JoinInterface']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:otv/Cisco-IOS-XE-otv:fragmentation'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.join_interface is not None and self.join_interface._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Otv.Fragmentation']['meta_info']


        class Isis(object):
            """
            OTV ISIS instance subcommands
            
            .. attribute:: overlay
            
            	Overlay interface
            	**type**\: list of    :py:class:`Overlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay>`
            
            .. attribute:: site
            
            	Site Instance
            	**type**\:   :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Site>`
            
            

            """

            _prefix = 'ios-otv'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.overlay = YList()
                self.overlay.parent = self
                self.overlay.name = 'overlay'
                self.site = Native.Otv.Isis.Site()
                self.site.parent = self


            class Overlay(object):
                """
                Overlay interface
                
                .. attribute:: number  <key>
                
                	
                	**type**\:  int
                
                	**range:** 0..512
                
                .. attribute:: authentication
                
                	ISIS authentication for interface related PDUs
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Authentication>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Default>`
                
                .. attribute:: delayed_deletion_interval
                
                	Set delayed deletion interval
                	**type**\:  int
                
                	**range:** 1..86400
                
                .. attribute:: hostname
                
                	Dynamic hostname for IS\-IS
                	**type**\:   :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Hostname>`
                
                .. attribute:: log_adjacency_changes
                
                	Log changes in adjacency state
                	**type**\:   :py:class:`LogAdjacencyChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.LogAdjacencyChanges>`
                
                	**presence node**\: True
                
                .. attribute:: lsp_gen_interval
                
                	Minimum interval between regenerating same LSP
                	**type**\:   :py:class:`LspGenInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.LspGenInterval>`
                
                .. attribute:: lsp_mtu
                
                	Set maximum LSP size
                	**type**\:  int
                
                	**range:** 128..4352
                
                .. attribute:: lsp_refresh_interval
                
                	Set LSP refresh interval
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: max_lsp_lifetime
                
                	Set maximum LSP lifetime
                	**type**\:  int
                
                	**range:** 1..65535
                
                .. attribute:: nsf
                
                	Non\-stop forwarding
                	**type**\:   :py:class:`Nsf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Nsf>`
                
                .. attribute:: prc_interval
                
                	Minimum interval between partial route calculations
                	**type**\:   :py:class:`PrcInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.PrcInterval>`
                
                .. attribute:: skeptical
                
                	Be a cautious NSF helper when refresh adjacency
                	**type**\:   :py:class:`Skeptical <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Skeptical>`
                
                .. attribute:: spf_interval
                
                	Minimum interval between SPF calculations
                	**type**\:   :py:class:`SpfInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.SpfInterval>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.authentication = Native.Otv.Isis.Overlay.Authentication()
                    self.authentication.parent = self
                    self.default = Native.Otv.Isis.Overlay.Default()
                    self.default.parent = self
                    self.delayed_deletion_interval = None
                    self.hostname = Native.Otv.Isis.Overlay.Hostname()
                    self.hostname.parent = self
                    self.log_adjacency_changes = None
                    self.lsp_gen_interval = Native.Otv.Isis.Overlay.LspGenInterval()
                    self.lsp_gen_interval.parent = self
                    self.lsp_mtu = None
                    self.lsp_refresh_interval = None
                    self.max_lsp_lifetime = None
                    self.nsf = Native.Otv.Isis.Overlay.Nsf()
                    self.nsf.parent = self
                    self.prc_interval = Native.Otv.Isis.Overlay.PrcInterval()
                    self.prc_interval.parent = self
                    self.skeptical = Native.Otv.Isis.Overlay.Skeptical()
                    self.skeptical.parent = self
                    self.spf_interval = Native.Otv.Isis.Overlay.SpfInterval()
                    self.spf_interval.parent = self


                class Authentication(object):
                    """
                    ISIS authentication for interface related PDUs
                    
                    .. attribute:: key_chain
                    
                    	Authentication key\-chain
                    	**type**\:  str
                    
                    .. attribute:: mode
                    
                    	Authentication mode for PDUs
                    	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Authentication.ModeEnum>`
                    
                    .. attribute:: send_only
                    
                    	Authentication send only, receive ignore
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.key_chain = None
                        self.mode = None
                        self.send_only = None

                    class ModeEnum(Enum):
                        """
                        ModeEnum

                        Authentication mode for PDUs

                        .. data:: md5 = 0

                        .. data:: text = 1

                        """

                        md5 = 0

                        text = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Otv.Isis.Overlay.Authentication.ModeEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.key_chain is not None:
                            return True

                        if self.mode is not None:
                            return True

                        if self.send_only is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Otv.Isis.Overlay.Authentication']['meta_info']


                class Default(object):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: authentication
                    
                    	ISIS authentication for interface related PDUs
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Default.Authentication>`
                    
                    .. attribute:: delayed_deletion_interval
                    
                    	Set delayed deletion interval
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: hostname
                    
                    	Dynamic hostname for IS\-IS
                    	**type**\:   :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Default.Hostname>`
                    
                    .. attribute:: log_adjacency_changes
                    
                    	Log changes in adjacency state
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: lsp_gen_interval
                    
                    	Minimum interval between regenerating same LSP
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: lsp_mtu
                    
                    	Set maximum LSP size
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: lsp_refresh_interval
                    
                    	Set LSP refresh interval
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_lsp_lifetime
                    
                    	Set maximum LSP lifetime
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nsf
                    
                    	Non\-stop forwarding
                    	**type**\:   :py:class:`Nsf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Default.Nsf>`
                    
                    .. attribute:: prc_interval
                    
                    	Minimum interval between partial route calculations
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: skeptical
                    
                    	Be a cautious NSF helper when refresh adjacency
                    	**type**\:   :py:class:`Skeptical <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Default.Skeptical>`
                    
                    .. attribute:: spf_interval
                    
                    	Minimum interval between SPF calculations
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authentication = Native.Otv.Isis.Overlay.Default.Authentication()
                        self.authentication.parent = self
                        self.delayed_deletion_interval = None
                        self.hostname = Native.Otv.Isis.Overlay.Default.Hostname()
                        self.hostname.parent = self
                        self.log_adjacency_changes = None
                        self.lsp_gen_interval = None
                        self.lsp_mtu = None
                        self.lsp_refresh_interval = None
                        self.max_lsp_lifetime = None
                        self.nsf = Native.Otv.Isis.Overlay.Default.Nsf()
                        self.nsf.parent = self
                        self.prc_interval = None
                        self.skeptical = Native.Otv.Isis.Overlay.Default.Skeptical()
                        self.skeptical.parent = self
                        self.spf_interval = None


                    class Authentication(object):
                        """
                        ISIS authentication for interface related PDUs
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\:  str
                        
                        .. attribute:: mode
                        
                        	Authentication mode for PDUs
                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Default.Authentication.ModeEnum>`
                        
                        .. attribute:: send_only
                        
                        	Authentication send only, receive ignore
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_chain = None
                            self.mode = None
                            self.send_only = None

                        class ModeEnum(Enum):
                            """
                            ModeEnum

                            Authentication mode for PDUs

                            .. data:: md5 = 0

                            .. data:: text = 1

                            """

                            md5 = 0

                            text = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Otv.Isis.Overlay.Default.Authentication.ModeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_chain is not None:
                                return True

                            if self.mode is not None:
                                return True

                            if self.send_only is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Otv.Isis.Overlay.Default.Authentication']['meta_info']


                    class Hostname(object):
                        """
                        Dynamic hostname for IS\-IS
                        
                        .. attribute:: dynamic
                        
                        	Dynamic hostname
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dynamic = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:hostname'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dynamic is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Otv.Isis.Overlay.Default.Hostname']['meta_info']


                    class Nsf(object):
                        """
                        Non\-stop forwarding
                        
                        .. attribute:: cisco
                        
                        	Checkpoint method
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: interval
                        
                        	Minimum required stable interval between restarts
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cisco = None
                            self.interval = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:nsf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cisco is not None:
                                return True

                            if self.interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Otv.Isis.Overlay.Default.Nsf']['meta_info']


                    class Skeptical(object):
                        """
                        Be a cautious NSF helper when refresh adjacency
                        
                        .. attribute:: interval
                        
                        	Interval during which holdtime will NOT be refreshed
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interval = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:skeptical'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Otv.Isis.Overlay.Default.Skeptical']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.delayed_deletion_interval is not None:
                            return True

                        if self.hostname is not None and self.hostname._has_data():
                            return True

                        if self.log_adjacency_changes is not None:
                            return True

                        if self.lsp_gen_interval is not None:
                            return True

                        if self.lsp_mtu is not None:
                            return True

                        if self.lsp_refresh_interval is not None:
                            return True

                        if self.max_lsp_lifetime is not None:
                            return True

                        if self.nsf is not None and self.nsf._has_data():
                            return True

                        if self.prc_interval is not None:
                            return True

                        if self.skeptical is not None and self.skeptical._has_data():
                            return True

                        if self.spf_interval is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Otv.Isis.Overlay.Default']['meta_info']


                class Hostname(object):
                    """
                    Dynamic hostname for IS\-IS
                    
                    .. attribute:: dynamic
                    
                    	Dynamic hostname
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dynamic = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:hostname'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dynamic is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Otv.Isis.Overlay.Hostname']['meta_info']


                class LogAdjacencyChanges(object):
                    """
                    Log changes in adjacency state
                    
                    .. attribute:: all
                    
                    	Include changes generated by non\-IIH event
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.all = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:log-adjacency-changes'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.all is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Otv.Isis.Overlay.LogAdjacencyChanges']['meta_info']


                class LspGenInterval(object):
                    """
                    Minimum interval between regenerating same LSP
                    
                    .. attribute:: milliseconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..120000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..120
                    
                    .. attribute:: wait
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..120000
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.milliseconds = None
                        self.seconds = None
                        self.wait = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:lsp-gen-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.milliseconds is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        if self.wait is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Otv.Isis.Overlay.LspGenInterval']['meta_info']


                class Nsf(object):
                    """
                    Non\-stop forwarding
                    
                    .. attribute:: cisco
                    
                    	Checkpoint method
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: interval
                    
                    	Minimum required stable interval between restarts
                    	**type**\:  int
                    
                    	**range:** 0..1440
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.cisco = None
                        self.interval = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:nsf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.cisco is not None:
                            return True

                        if self.interval is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Otv.Isis.Overlay.Nsf']['meta_info']


                class PrcInterval(object):
                    """
                    Minimum interval between partial route calculations
                    
                    .. attribute:: milliseconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..120000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..120
                    
                    .. attribute:: wait
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..120000
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.milliseconds = None
                        self.seconds = None
                        self.wait = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:prc-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.milliseconds is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        if self.wait is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Otv.Isis.Overlay.PrcInterval']['meta_info']


                class Skeptical(object):
                    """
                    Be a cautious NSF helper when refresh adjacency
                    
                    .. attribute:: interval
                    
                    	Interval during which holdtime will NOT be refreshed
                    	**type**\:  int
                    
                    	**range:** 0..1440
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interval = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:skeptical'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interval is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Otv.Isis.Overlay.Skeptical']['meta_info']


                class SpfInterval(object):
                    """
                    Minimum interval between SPF calculations
                    
                    .. attribute:: milliseconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..120000
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..120
                    
                    .. attribute:: wait
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 1..120000
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.milliseconds = None
                        self.seconds = None
                        self.wait = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:spf-interval'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.milliseconds is not None:
                            return True

                        if self.seconds is not None:
                            return True

                        if self.wait is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Otv.Isis.Overlay.SpfInterval']['meta_info']

                @property
                def _common_path(self):
                    if self.number is None:
                        raise YPYModelError('Key property number is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:otv/Cisco-IOS-XE-otv:isis/Cisco-IOS-XE-otv:Overlay[Cisco-IOS-XE-otv:number = ' + str(self.number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.default is not None and self.default._has_data():
                        return True

                    if self.delayed_deletion_interval is not None:
                        return True

                    if self.hostname is not None and self.hostname._has_data():
                        return True

                    if self.log_adjacency_changes is not None and self.log_adjacency_changes._has_data():
                        return True

                    if self.lsp_gen_interval is not None and self.lsp_gen_interval._has_data():
                        return True

                    if self.lsp_mtu is not None:
                        return True

                    if self.lsp_refresh_interval is not None:
                        return True

                    if self.max_lsp_lifetime is not None:
                        return True

                    if self.nsf is not None and self.nsf._has_data():
                        return True

                    if self.prc_interval is not None and self.prc_interval._has_data():
                        return True

                    if self.skeptical is not None and self.skeptical._has_data():
                        return True

                    if self.spf_interval is not None and self.spf_interval._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Otv.Isis.Overlay']['meta_info']


            class Site(object):
                """
                Site Instance
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Site.Default>`
                
                .. attribute:: log_adjacency_changes
                
                	Log changes in adjacency state
                	**type**\:   :py:class:`LogAdjacencyChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Site.LogAdjacencyChanges>`
                
                	**presence node**\: True
                
                .. attribute:: net
                
                	A Network Entity Title for this process
                	**type**\:  str
                
                .. attribute:: skeptical
                
                	Be a cautious NSF helper when refresh adjacency
                	**type**\:   :py:class:`Skeptical <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Site.Skeptical>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = Native.Otv.Isis.Site.Default()
                    self.default.parent = self
                    self.log_adjacency_changes = None
                    self.net = None
                    self.skeptical = Native.Otv.Isis.Site.Skeptical()
                    self.skeptical.parent = self


                class Default(object):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: log_adjacency_changes
                    
                    	Log changes in adjacency state
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: net
                    
                    	A Network Entity Title for this process
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: skeptical
                    
                    	Be a cautious NSF helper when refresh adjacency
                    	**type**\:   :py:class:`Skeptical <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Site.Default.Skeptical>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.log_adjacency_changes = None
                        self.net = None
                        self.skeptical = Native.Otv.Isis.Site.Default.Skeptical()
                        self.skeptical.parent = self


                    class Skeptical(object):
                        """
                        Be a cautious NSF helper when refresh adjacency
                        
                        .. attribute:: interval
                        
                        	Interval during which holdtime will NOT be refreshed
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.interval = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:otv/Cisco-IOS-XE-otv:isis/Cisco-IOS-XE-otv:site/Cisco-IOS-XE-otv:default/Cisco-IOS-XE-otv:skeptical'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.interval is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Otv.Isis.Site.Default.Skeptical']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:otv/Cisco-IOS-XE-otv:isis/Cisco-IOS-XE-otv:site/Cisco-IOS-XE-otv:default'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.log_adjacency_changes is not None:
                            return True

                        if self.net is not None:
                            return True

                        if self.skeptical is not None and self.skeptical._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Otv.Isis.Site.Default']['meta_info']


                class LogAdjacencyChanges(object):
                    """
                    Log changes in adjacency state
                    
                    .. attribute:: all
                    
                    	Include changes generated by non\-IIH event
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.all = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:otv/Cisco-IOS-XE-otv:isis/Cisco-IOS-XE-otv:site/Cisco-IOS-XE-otv:log-adjacency-changes'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.all is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Otv.Isis.Site.LogAdjacencyChanges']['meta_info']


                class Skeptical(object):
                    """
                    Be a cautious NSF helper when refresh adjacency
                    
                    .. attribute:: interval
                    
                    	Interval during which holdtime will NOT be refreshed
                    	**type**\:  int
                    
                    	**range:** 0..1440
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interval = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:otv/Cisco-IOS-XE-otv:isis/Cisco-IOS-XE-otv:site/Cisco-IOS-XE-otv:skeptical'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interval is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Otv.Isis.Site.Skeptical']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:otv/Cisco-IOS-XE-otv:isis/Cisco-IOS-XE-otv:site'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None and self.default._has_data():
                        return True

                    if self.log_adjacency_changes is not None and self.log_adjacency_changes._has_data():
                        return True

                    if self.net is not None:
                        return True

                    if self.skeptical is not None and self.skeptical._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Otv.Isis.Site']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:otv/Cisco-IOS-XE-otv:isis'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.overlay is not None:
                    for child_ref in self.overlay:
                        if child_ref._has_data():
                            return True

                if self.site is not None and self.site._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Otv.Isis']['meta_info']


        class Site(object):
            """
            OTV site network configuration
            
            .. attribute:: bridge_domain  <key>
            
            	Bridge\-domain to discover local OTV enabled devices
            	**type**\:  int
            
            	**range:** 1..8192
            
            .. attribute:: default
            
            	Set a command to its defaults
            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Default>`
            
            .. attribute:: otv
            
            	OTV site configuration subcommands
            	**type**\:   :py:class:`Otv_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Otv_>`
            
            

            """

            _prefix = 'ios-otv'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.bridge_domain = None
                self.default = Native.Otv.Site.Default()
                self.default.parent = self
                self.otv = Native.Otv.Site.Otv_()
                self.otv.parent = self


            class Default(object):
                """
                Set a command to its defaults
                
                .. attribute:: otv
                
                	OTV site configuration subcommands
                	**type**\:   :py:class:`Otv_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Default.Otv_>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.otv = Native.Otv.Site.Default.Otv_()
                    self.otv.parent = self


                class Otv_(object):
                    """
                    OTV site configuration subcommands
                    
                    .. attribute:: isis
                    
                    	ISIS interface subcommands
                    	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Default.Otv_.Isis>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.isis = Native.Otv.Site.Default.Otv_.Isis()
                        self.isis.parent = self


                    class Isis(object):
                        """
                        ISIS interface subcommands
                        
                        .. attribute:: authentication
                        
                        	ISIS authentication for interface related PDUs
                        	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Default.Otv_.Isis.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Bidirectional Forwarding Protocol
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hello
                        
                        	Add padding to IS\-IS hello packets
                        	**type**\:   :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Default.Otv_.Isis.Hello>`
                        
                        .. attribute:: hello_interval
                        
                        	Set Hello interval in seconds
                        	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Default.Otv_.Isis.HelloInterval>`
                        
                        .. attribute:: hello_multiplier
                        
                        	Set multiplier for Hello holding time
                        	**type**\:  int
                        
                        	**range:** 3..1000
                        
                        .. attribute:: priority
                        
                        	Set priority for Designated Router election
                        	**type**\:  int
                        
                        	**range:** 0..127
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.authentication = Native.Otv.Site.Default.Otv_.Isis.Authentication()
                            self.authentication.parent = self
                            self.bfd = None
                            self.hello = Native.Otv.Site.Default.Otv_.Isis.Hello()
                            self.hello.parent = self
                            self.hello_interval = Native.Otv.Site.Default.Otv_.Isis.HelloInterval()
                            self.hello_interval.parent = self
                            self.hello_multiplier = None
                            self.priority = None


                        class Authentication(object):
                            """
                            ISIS authentication for interface related PDUs
                            
                            .. attribute:: key_chain
                            
                            	Authentication key\-chain
                            	**type**\:  str
                            
                            .. attribute:: mode
                            
                            	Authentication mode for PDUs
                            	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Default.Otv_.Isis.Authentication.ModeEnum>`
                            
                            .. attribute:: send_only
                            
                            	Authentication send only, receive ignore
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.key_chain = None
                                self.mode = None
                                self.send_only = None

                            class ModeEnum(Enum):
                                """
                                ModeEnum

                                Authentication mode for PDUs

                                .. data:: md5 = 0

                                .. data:: text = 1

                                """

                                md5 = 0

                                text = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Otv.Site.Default.Otv_.Isis.Authentication.ModeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:authentication'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.key_chain is not None:
                                    return True

                                if self.mode is not None:
                                    return True

                                if self.send_only is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Otv.Site.Default.Otv_.Isis.Authentication']['meta_info']


                        class Hello(object):
                            """
                            Add padding to IS\-IS hello packets
                            
                            .. attribute:: padding
                            
                            	Pad hello packets
                            	**type**\:   :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Default.Otv_.Isis.Hello.Padding>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.padding = None


                            class Padding(object):
                                """
                                Pad hello packets
                                
                                .. attribute:: always
                                
                                	Never pad hello packets if no prefix present
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.always = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-otv:padding'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.always is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Otv.Site.Default.Otv_.Isis.Hello.Padding']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:hello'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.padding is not None and self.padding._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Otv.Site.Default.Otv_.Isis.Hello']['meta_info']


                        class HelloInterval(object):
                            """
                            Set Hello interval in seconds
                            
                            .. attribute:: minimal
                            
                            	Holdtime 1 second, interval depends on multiplier
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: value
                            
                            	
                            	**type**\:  int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.minimal = None
                                self.value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:hello-interval'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.minimal is not None:
                                    return True

                                if self.value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Otv.Site.Default.Otv_.Isis.HelloInterval']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:isis'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.authentication is not None and self.authentication._has_data():
                                return True

                            if self.bfd is not None:
                                return True

                            if self.hello is not None and self.hello._has_data():
                                return True

                            if self.hello_interval is not None and self.hello_interval._has_data():
                                return True

                            if self.hello_multiplier is not None:
                                return True

                            if self.priority is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Otv.Site.Default.Otv_.Isis']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:otv'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.isis is not None and self.isis._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Otv.Site.Default.Otv_']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:default'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.otv is not None and self.otv._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Otv.Site.Default']['meta_info']


            class Otv_(object):
                """
                OTV site configuration subcommands
                
                .. attribute:: isis
                
                	ISIS interface subcommands
                	**type**\:   :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Otv_.Isis>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.isis = Native.Otv.Site.Otv_.Isis()
                    self.isis.parent = self


                class Isis(object):
                    """
                    ISIS interface subcommands
                    
                    .. attribute:: authentication
                    
                    	ISIS authentication for interface related PDUs
                    	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Otv_.Isis.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Bidirectional Forwarding Protocol
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: hello
                    
                    	Add padding to IS\-IS hello packets
                    	**type**\:   :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Otv_.Isis.Hello>`
                    
                    .. attribute:: hello_interval
                    
                    	Set Hello interval in seconds
                    	**type**\:   :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Otv_.Isis.HelloInterval>`
                    
                    .. attribute:: hello_multiplier
                    
                    	Set multiplier for Hello holding time
                    	**type**\:  int
                    
                    	**range:** 3..1000
                    
                    .. attribute:: priority
                    
                    	Set priority for Designated Router election
                    	**type**\:  int
                    
                    	**range:** 0..127
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.authentication = Native.Otv.Site.Otv_.Isis.Authentication()
                        self.authentication.parent = self
                        self.bfd = None
                        self.hello = Native.Otv.Site.Otv_.Isis.Hello()
                        self.hello.parent = self
                        self.hello_interval = Native.Otv.Site.Otv_.Isis.HelloInterval()
                        self.hello_interval.parent = self
                        self.hello_multiplier = None
                        self.priority = None


                    class Authentication(object):
                        """
                        ISIS authentication for interface related PDUs
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\:  str
                        
                        .. attribute:: mode
                        
                        	Authentication mode for PDUs
                        	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Otv_.Isis.Authentication.ModeEnum>`
                        
                        .. attribute:: send_only
                        
                        	Authentication send only, receive ignore
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.key_chain = None
                            self.mode = None
                            self.send_only = None

                        class ModeEnum(Enum):
                            """
                            ModeEnum

                            Authentication mode for PDUs

                            .. data:: md5 = 0

                            .. data:: text = 1

                            """

                            md5 = 0

                            text = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Otv.Site.Otv_.Isis.Authentication.ModeEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:authentication'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.key_chain is not None:
                                return True

                            if self.mode is not None:
                                return True

                            if self.send_only is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Otv.Site.Otv_.Isis.Authentication']['meta_info']


                    class Hello(object):
                        """
                        Add padding to IS\-IS hello packets
                        
                        .. attribute:: padding
                        
                        	Pad hello packets
                        	**type**\:   :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Otv_.Isis.Hello.Padding>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.padding = None


                        class Padding(object):
                            """
                            Pad hello packets
                            
                            .. attribute:: always
                            
                            	Never pad hello packets if no prefix present
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.always = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-otv:padding'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.always is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Otv.Site.Otv_.Isis.Hello.Padding']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:hello'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.padding is not None and self.padding._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Otv.Site.Otv_.Isis.Hello']['meta_info']


                    class HelloInterval(object):
                        """
                        Set Hello interval in seconds
                        
                        .. attribute:: minimal
                        
                        	Holdtime 1 second, interval depends on multiplier
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.minimal = None
                            self.value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-otv:hello-interval'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.minimal is not None:
                                return True

                            if self.value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Otv.Site.Otv_.Isis.HelloInterval']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-otv:isis'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.authentication is not None and self.authentication._has_data():
                            return True

                        if self.bfd is not None:
                            return True

                        if self.hello is not None and self.hello._has_data():
                            return True

                        if self.hello_interval is not None and self.hello_interval._has_data():
                            return True

                        if self.hello_multiplier is not None:
                            return True

                        if self.priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Otv.Site.Otv_.Isis']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-otv:otv'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.isis is not None and self.isis._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Otv.Site.Otv_']['meta_info']

            @property
            def _common_path(self):
                if self.bridge_domain is None:
                    raise YPYModelError('Key property bridge_domain is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:otv/Cisco-IOS-XE-otv:site[Cisco-IOS-XE-otv:bridge-domain = ' + str(self.bridge_domain) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.bridge_domain is not None:
                    return True

                if self.default is not None and self.default._has_data():
                    return True

                if self.otv is not None and self.otv._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Otv.Site']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:otv'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.fragmentation is not None and self.fragmentation._has_data():
                return True

            if self.isis is not None and self.isis._has_data():
                return True

            if self.site is not None:
                for child_ref in self.site:
                    if child_ref._has_data():
                        return True

            if self.site_identifier is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Otv']['meta_info']


    class RemoteManagement(object):
        """
        Enable the remote managment
        
        .. attribute:: dmi
        
        	data\-model\-interface
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: restful_api
        
        	RESTful API
        	**type**\:  bool
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.dmi = None
            self.restful_api = None

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:remote-management'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.dmi is not None:
                return True

            if self.restful_api is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.RemoteManagement']['meta_info']


    class VirtualService(object):
        """
        Configure virtual service
        
        .. attribute:: name  <key>
        
        	
        	**type**\:  str
        
        	**length:** 1..63
        
        .. attribute:: activate
        
        	Activate configured virtual service
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: ip
        
        	ip configured virtual service
        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Ip>`
        
        .. attribute:: profile
        
        	
        	**type**\:  str
        
        .. attribute:: vnic
        
        	Guest vnic configuration
        	**type**\:   :py:class:`Vnic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Vnic>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.name = None
            self.activate = None
            self.ip = Native.VirtualService.Ip()
            self.ip.parent = self
            self.profile = None
            self.vnic = Native.VirtualService.Vnic()
            self.vnic.parent = self


        class Ip(object):
            """
            ip configured virtual service
            
            .. attribute:: shared
            
            	Ip shared host\-interface
            	**type**\:   :py:class:`Shared <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Ip.Shared>`
            
            

            """

            _prefix = 'ios-vservice'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.shared = Native.VirtualService.Ip.Shared()
                self.shared.parent = self


            class Shared(object):
                """
                Ip shared host\-interface
                
                .. attribute:: host_interface
                
                	Ip shared host\-interface
                	**type**\:   :py:class:`HostInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Ip.Shared.HostInterface>`
                
                

                """

                _prefix = 'ios-vservice'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.host_interface = Native.VirtualService.Ip.Shared.HostInterface()
                    self.host_interface.parent = self


                class HostInterface(object):
                    """
                    Ip shared host\-interface
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\:  str
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\:  int
                    
                    	**range:** 0..2147483647
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\:  str
                    
                    .. attribute:: vlan
                    
                    	Vlan interface number
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-vservice'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.fastethernet = None
                        self.loopback = None
                        self.tengigabitethernet = None
                        self.vlan = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vservice:host-interface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.fastethernet is not None:
                            return True

                        if self.loopback is not None:
                            return True

                        if self.tengigabitethernet is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.VirtualService.Ip.Shared.HostInterface']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vservice:shared'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.host_interface is not None and self.host_interface._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.VirtualService.Ip.Shared']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-vservice:ip'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.shared is not None and self.shared._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.VirtualService.Ip']['meta_info']


        class Vnic(object):
            """
            Guest vnic configuration
            
            .. attribute:: gateway
            
            	Gateway interface to connect to the guest vnic
            	**type**\:   :py:class:`Gateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Vnic.Gateway>`
            
            .. attribute:: management
            
            	Gateway interface to connect to the guest vnic
            	**type**\:   :py:class:`Management <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Vnic.Management>`
            
            

            """

            _prefix = 'ios-vservice'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.gateway = Native.VirtualService.Vnic.Gateway()
                self.gateway.parent = self
                self.management = Native.VirtualService.Vnic.Management()
                self.management.parent = self


            class Gateway(object):
                """
                Gateway interface to connect to the guest vnic
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\: list of    :py:class:`Virtualportgroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Vnic.Gateway.Virtualportgroup>`
                
                

                """

                _prefix = 'ios-vservice'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.virtualportgroup = YList()
                    self.virtualportgroup.parent = self
                    self.virtualportgroup.name = 'virtualportgroup'


                class Virtualportgroup(object):
                    """
                    Virtual Port Group
                    
                    .. attribute:: number  <key>
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..31
                    
                    .. attribute:: guest
                    
                    	Configure guest vnic address
                    	**type**\:   :py:class:`Guest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest>`
                    
                    

                    """

                    _prefix = 'ios-vservice'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.number = None
                        self.guest = Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest()
                        self.guest.parent = self


                    class Guest(object):
                        """
                        Configure guest vnic address
                        
                        .. attribute:: ip
                        
                        	Guest vnic IP address
                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest.Ip>`
                        
                        .. attribute:: ipv6
                        
                        	Guest vnic IPv6 address
                        	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest.Ipv6>`
                        
                        

                        """

                        _prefix = 'ios-vservice'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest.Ip()
                            self.ip.parent = self
                            self.ipv6 = Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest.Ipv6()
                            self.ipv6.parent = self


                        class Ip(object):
                            """
                            Guest vnic IP address
                            
                            .. attribute:: address
                            
                            	Set the IP address of virtual interface on guest
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-vservice'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vservice:ip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest.Ip']['meta_info']


                        class Ipv6(object):
                            """
                            Guest vnic IPv6 address
                            
                            .. attribute:: address
                            
                            	Set the IPv6 address of virtual interface on guest
                            	**type**\:  str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-vservice'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.address = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-vservice:ipv6'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest.Ipv6']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vservice:guest'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None and self.ip._has_data():
                                return True

                            if self.ipv6 is not None and self.ipv6._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.VirtualService.Vnic.Gateway.Virtualportgroup.Guest']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.number is None:
                            raise YPYModelError('Key property number is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-vservice:VirtualPortGroup[Cisco-IOS-XE-vservice:number = ' + str(self.number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.number is not None:
                            return True

                        if self.guest is not None and self.guest._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.VirtualService.Vnic.Gateway.Virtualportgroup']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vservice:gateway'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.virtualportgroup is not None:
                        for child_ref in self.virtualportgroup:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.VirtualService.Vnic.Gateway']['meta_info']


            class Management(object):
                """
                Gateway interface to connect to the guest vnic
                
                .. attribute:: gigabitethernet0
                
                	Management Ethernet Interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: guest
                
                	Configure guest vnic address
                	**type**\:   :py:class:`Guest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Vnic.Management.Guest>`
                
                

                """

                _prefix = 'ios-vservice'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.gigabitethernet0 = None
                    self.guest = Native.VirtualService.Vnic.Management.Guest()
                    self.guest.parent = self


                class Guest(object):
                    """
                    Configure guest vnic address
                    
                    .. attribute:: ip
                    
                    	Guest vnic IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Vnic.Management.Guest.Ip>`
                    
                    .. attribute:: ipv6
                    
                    	Guest vnic IPv6 address
                    	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Vnic.Management.Guest.Ipv6>`
                    
                    

                    """

                    _prefix = 'ios-vservice'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.VirtualService.Vnic.Management.Guest.Ip()
                        self.ip.parent = self
                        self.ipv6 = Native.VirtualService.Vnic.Management.Guest.Ipv6()
                        self.ipv6.parent = self


                    class Ip(object):
                        """
                        Guest vnic IP address
                        
                        .. attribute:: address
                        
                        	Set the IP address of virtual interface on guest
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-vservice'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vservice:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.VirtualService.Vnic.Management.Guest.Ip']['meta_info']


                    class Ipv6(object):
                        """
                        Guest vnic IPv6 address
                        
                        .. attribute:: address
                        
                        	Set the IPv6 address of virtual interface on guest
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-vservice'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.address = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-vservice:ipv6'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.address is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.VirtualService.Vnic.Management.Guest.Ipv6']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-vservice:guest'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.ipv6 is not None and self.ipv6._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.VirtualService.Vnic.Management.Guest']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-vservice:management'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.gigabitethernet0 is not None:
                        return True

                    if self.guest is not None and self.guest._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.VirtualService.Vnic.Management']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-vservice:vnic'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.gateway is not None and self.gateway._has_data():
                    return True

                if self.management is not None and self.management._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.VirtualService.Vnic']['meta_info']

        @property
        def _common_path(self):
            if self.name is None:
                raise YPYModelError('Key property name is None')

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:virtual-service[Cisco-IOS-XE-native:name = ' + str(self.name) + ']'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.name is not None:
                return True

            if self.activate is not None:
                return True

            if self.ip is not None and self.ip._has_data():
                return True

            if self.profile is not None:
                return True

            if self.vnic is not None and self.vnic._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.VirtualService']['meta_info']


    class Snmp(object):
        """
        Modify SNMP interface parameters
        
        .. attribute:: ifmib
        
        	IF\-MIB commands
        	**type**\:   :py:class:`Ifmib <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp.Ifmib>`
        
        .. attribute:: mib
        
        	MIB commands
        	**type**\:   :py:class:`Mib <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp.Mib>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.ifmib = Native.Snmp.Ifmib()
            self.ifmib.parent = self
            self.mib = Native.Snmp.Mib()
            self.mib.parent = self


        class Ifmib(object):
            """
            IF\-MIB commands
            
            .. attribute:: ifalias
            
            	ifAlias description option, by default it is limited to 64 character
            	**type**\:   :py:class:`Ifalias <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp.Ifmib.Ifalias>`
            
            .. attribute:: ifindex
            
            	ifindex persistence
            	**type**\:   :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp.Ifmib.Ifindex>`
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ifalias = Native.Snmp.Ifmib.Ifalias()
                self.ifalias.parent = self
                self.ifindex = Native.Snmp.Ifmib.Ifindex()
                self.ifindex.parent = self


            class Ifindex(object):
                """
                ifindex persistence
                
                .. attribute:: persist
                
                	Persist interface indices
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.persist = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp/Cisco-IOS-XE-snmp:ifmib/Cisco-IOS-XE-snmp:ifindex'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.persist is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Snmp.Ifmib.Ifindex']['meta_info']


            class Ifalias(object):
                """
                ifAlias description option, by default it is limited to 64 character
                
                .. attribute:: long
                
                	ifAlias description can be up to 256 characters
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.long = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp/Cisco-IOS-XE-snmp:ifmib/Cisco-IOS-XE-snmp:ifalias'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.long is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Snmp.Ifmib.Ifalias']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp/Cisco-IOS-XE-snmp:ifmib'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ifalias is not None and self.ifalias._has_data():
                    return True

                if self.ifindex is not None and self.ifindex._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Snmp.Ifmib']['meta_info']


        class Mib(object):
            """
            MIB commands
            
            .. attribute:: bulkstat
            
            	Bulkstat Configuration commands
            	**type**\:   :py:class:`Bulkstat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp.Mib.Bulkstat>`
            
            .. attribute:: community_map
            
            	Community Mapping as per RFC\-2576
            	**type**\:   :py:class:`CommunityMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp.Mib.CommunityMap>`
            
            .. attribute:: persist
            
            	Persistence for MIBS
            	**type**\:   :py:class:`Persist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp.Mib.Persist>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.bulkstat = Native.Snmp.Mib.Bulkstat()
                self.bulkstat.parent = self
                self.community_map = Native.Snmp.Mib.CommunityMap()
                self.community_map.parent = self
                self.persist = None


            class CommunityMap(object):
                """
                Community Mapping as per RFC\-2576
                
                .. attribute:: community_map_list
                
                	SNMP community string
                	**type**\: list of    :py:class:`CommunityMapList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp.Mib.CommunityMap.CommunityMapList>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.community_map_list = YList()
                    self.community_map_list.parent = self
                    self.community_map_list.name = 'community_map_list'


                class CommunityMapList(object):
                    """
                    SNMP community string
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: engineid
                    
                    	Engine ID for the community mapping
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.engineid = None

                    @property
                    def _common_path(self):
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp/Cisco-IOS-XE-snmp:mib/Cisco-IOS-XE-snmp:community-map/Cisco-IOS-XE-snmp:community-map-list[Cisco-IOS-XE-snmp:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.engineid is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Snmp.Mib.CommunityMap.CommunityMapList']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp/Cisco-IOS-XE-snmp:mib/Cisco-IOS-XE-snmp:community-map'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.community_map_list is not None:
                        for child_ref in self.community_map_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Snmp.Mib.CommunityMap']['meta_info']


            class Bulkstat(object):
                """
                Bulkstat Configuration commands
                
                .. attribute:: object_list
                
                	Configure an Object List
                	**type**\: list of    :py:class:`ObjectList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp.Mib.Bulkstat.ObjectList>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.object_list = YList()
                    self.object_list.parent = self
                    self.object_list.name = 'object_list'


                class ObjectList(object):
                    """
                    Configure an Object List.
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None

                    @property
                    def _common_path(self):
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp/Cisco-IOS-XE-snmp:mib/Cisco-IOS-XE-snmp:bulkstat/Cisco-IOS-XE-snmp:object-list[Cisco-IOS-XE-snmp:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Snmp.Mib.Bulkstat.ObjectList']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp/Cisco-IOS-XE-snmp:mib/Cisco-IOS-XE-snmp:bulkstat'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.object_list is not None:
                        for child_ref in self.object_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Snmp.Mib.Bulkstat']['meta_info']


            class Persist(object):
                """
                Persistence for MIBS
                
                .. attribute:: persist_enum
                
                	
                	**type**\:   :py:class:`PersistEnumEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp.Mib.Persist.PersistEnumEnum>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.persist_enum = None

                class PersistEnumEnum(Enum):
                    """
                    PersistEnumEnum

                    .. data:: cbqos = 0

                    .. data:: circuit = 1

                    .. data:: v3mibs = 2

                    """

                    cbqos = 0

                    circuit = 1

                    v3mibs = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Snmp.Mib.Persist.PersistEnumEnum']


                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp/Cisco-IOS-XE-snmp:mib/Cisco-IOS-XE-snmp:persist'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.persist_enum is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Snmp.Mib.Persist']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp/Cisco-IOS-XE-snmp:mib'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.bulkstat is not None and self.bulkstat._has_data():
                    return True

                if self.community_map is not None and self.community_map._has_data():
                    return True

                if self.persist is not None and self.persist._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Snmp.Mib']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.ifmib is not None and self.ifmib._has_data():
                return True

            if self.mib is not None and self.mib._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Snmp']['meta_info']


    class SnmpServer(object):
        """
        Modify SNMP engine parameters
        
        .. attribute:: chassis_id
        
        	String to uniquely identify this chassis
        	**type**\:  str
        
        .. attribute:: community
        
        	Enable SNMP; set community string and access privs
        	**type**\: list of    :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Community>`
        
        .. attribute:: contact
        
        	Text for mib object sysContact
        	**type**\:  str
        
        .. attribute:: context
        
        	Create/Delete a context apart from default
        	**type**\: list of    :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Context>`
        
        .. attribute:: enable
        
        	Enable SNMP Traps or Informs
        	**type**\:   :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable>`
        
        .. attribute:: engineid
        
        	Configure a local or remote SNMPv3 engineID
        	**type**\:   :py:class:`Engineid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Engineid>`
        
        .. attribute:: group
        
        	Define a User Security Model group
        	**type**\: list of    :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Group>`
        
        .. attribute:: host
        
        	Specify hosts to receive SNMP notifications
        	**type**\: list of    :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Host>`
        
        .. attribute:: ifindex
        
        	Enable ifindex persistence
        	**type**\:   :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Ifindex>`
        
        .. attribute:: ip
        
        	IP ToS configuration for SNMP traffic
        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Ip>`
        
        .. attribute:: location
        
        	Text for mib object sysLocation
        	**type**\:  str
        
        .. attribute:: manager
        
        	Modify SNMP manager parameters
        	**type**\:   :py:class:`Manager <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Manager>`
        
        	**presence node**\: True
        
        .. attribute:: packetsize
        
        	Largest SNMP packet size
        	**type**\:  int
        
        	**range:** 484..17924
        
        .. attribute:: queue_length
        
        	Message queue length for each TRAP host
        	**type**\:  int
        
        	**range:** 1..5000
        
        .. attribute:: source_interface
        
        	Assign an source interface
        	**type**\:   :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface>`
        
        .. attribute:: system_shutdown
        
        	Enable use of the SNMP reload command
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: tftp_server_list
        
        	Limit TFTP servers used via SNMP
        	**type**\: one of the below types:
        
        	**type**\:  int
        
        	**range:** 1..99
        
        
        ----
        	**type**\:  str
        
        
        ----
        .. attribute:: trap
        
        	SNMP trap options
        	**type**\:   :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Trap>`
        
        .. attribute:: trap_source
        
        	Assign an interface for the source address of all traps
        	**type**\:   :py:class:`TrapSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.TrapSource>`
        
        .. attribute:: user
        
        	Define a user who can access the SNMP engine
        	**type**\:   :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.User>`
        
        .. attribute:: view
        
        	Define an SNMPv2 MIB view
        	**type**\: list of    :py:class:`View <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.View>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.chassis_id = None
            self.community = YList()
            self.community.parent = self
            self.community.name = 'community'
            self.contact = None
            self.context = YList()
            self.context.parent = self
            self.context.name = 'context'
            self.enable = Native.SnmpServer.Enable()
            self.enable.parent = self
            self.engineid = Native.SnmpServer.Engineid()
            self.engineid.parent = self
            self.group = YList()
            self.group.parent = self
            self.group.name = 'group'
            self.host = YList()
            self.host.parent = self
            self.host.name = 'host'
            self.ifindex = Native.SnmpServer.Ifindex()
            self.ifindex.parent = self
            self.ip = Native.SnmpServer.Ip()
            self.ip.parent = self
            self.location = None
            self.manager = None
            self.packetsize = None
            self.queue_length = None
            self.source_interface = Native.SnmpServer.SourceInterface()
            self.source_interface.parent = self
            self.system_shutdown = None
            self.tftp_server_list = None
            self.trap = Native.SnmpServer.Trap()
            self.trap.parent = self
            self.trap_source = Native.SnmpServer.TrapSource()
            self.trap_source.parent = self
            self.user = Native.SnmpServer.User()
            self.user.parent = self
            self.view = YList()
            self.view.parent = self
            self.view.name = 'view'


        class Community(object):
            """
            Enable SNMP; set community string and access privs
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: access_list_name
            
            	Access\-list name
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 1..99
            
            
            ----
            	**type**\:  int
            
            	**range:** 1300..1999
            
            
            ----
            	**type**\:  str
            
            	**pattern:** [a\-zA\-Z].\*
            
            
            ----
            .. attribute:: ipv6
            
            	Specify IPv6 Named Access\-List
            	**type**\:  str
            
            .. attribute:: ro
            
            	Read\-only access with this community string
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: rw
            
            	Read\-write access with this community string
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: view
            
            	Restrict this community to a named MIB view
            	**type**\:  str
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.access_list_name = None
                self.ipv6 = None
                self.ro = None
                self.rw = None
                self.view = None

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:community[Cisco-IOS-XE-snmp:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.access_list_name is not None:
                    return True

                if self.ipv6 is not None:
                    return True

                if self.ro is not None:
                    return True

                if self.rw is not None:
                    return True

                if self.view is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SnmpServer.Community']['meta_info']


        class Context(object):
            """
            Create/Delete a context apart from default
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:context[Cisco-IOS-XE-snmp:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SnmpServer.Context']['meta_info']


        class Enable(object):
            """
            Enable SNMP Traps or Informs
            
            .. attribute:: enable_choice
            
            	
            	**type**\:   :py:class:`EnableChoice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice>`
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.enable_choice = Native.SnmpServer.Enable.EnableChoice()
                self.enable_choice.parent = self


            class EnableChoice(object):
                """
                
                
                .. attribute:: informs
                
                	Enable SNMP Informs
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: traps
                
                	Enable SNMP Traps
                	**type**\:   :py:class:`Traps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.informs = None
                    self.traps = None


                class Traps(object):
                    """
                    Enable SNMP Traps
                    
                    .. attribute:: aaa_server
                    
                    	Enable SNMP AAA Server traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: alarms
                    
                    	Enable SNMP alarms traps
                    	**type**\:   :py:class:`Alarms <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Alarms>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: atm
                    
                    	Enable SNMP atm traps
                    	**type**\:   :py:class:`Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Atm>`
                    
                    .. attribute:: auth_framework
                    
                    	
                    	**type**\:   :py:class:`AuthFramework <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.AuthFramework>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: authenticate_fail
                    
                    	Enable SNMP 802.11 Authentication Fail Trap
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bfd
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bgp
                    
                    	Enable BGP traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bgp_conf
                    
                    	
                    	**type**\:   :py:class:`BgpConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.BgpConf>`
                    
                    .. attribute:: bridge
                    
                    	
                    	**type**\:   :py:class:`Bridge <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Bridge>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: bstun
                    
                    	Enable SNMP BSTUN traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bulkstat
                    
                    	Enable Data\-Collection\-MIB Collection notifications
                    	**type**\:   :py:class:`Bulkstat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Bulkstat>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: c2900
                    
                    	Enable SNMP c2900 traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: c6kxbar
                    
                    	Enable SNMP CISCO\-CAT6K\-CROSSBAR\-MIB traps
                    	**type**\:   :py:class:`C6Kxbar <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.C6Kxbar>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: call_home
                    
                    	Enable CISCO\-CALLHOME\-MIB traps
                    	**type**\:   :py:class:`CallHome <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.CallHome>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: casa
                    
                    	Enable SNMP casa traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ccme
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: cef
                    
                    	
                    	**type**\:   :py:class:`Cef <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Cef>`
                    
                    .. attribute:: channel
                    
                    	Enable SNMP channel traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: chassis
                    
                    	Enable SNMP chassis traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: cluster
                    
                    	Enable Cluster traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: cnpd
                    
                    	Enable NBAR Protocol Discovery traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: config
                    
                    	Enable SNMP config traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: config_copy
                    
                    	Enable SNMP config\-copy traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: config_ctid
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: copy_config
                    
                    	Enable SNMP copy\-config traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: cpu
                    
                    	Allow cpu related traps
                    	**type**\:   :py:class:`Cpu <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Cpu>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cpu_threshold
                    
                    	Enables CPU threshold notifications
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: csg
                    
                    	Enable SNMP CSG traps
                    	**type**\:   :py:class:`Csg <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Csg>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: deauthenticate
                    
                    	Enable SNMP 802.11 Deauthentication Trap
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dial
                    
                    	Enable SNMP dial control traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: director
                    
                    	Enable SNMP Distributed Director traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: disassociate
                    
                    	Enable SNMP 802.11 Disassociation Trap
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dlsw
                    
                    	Enable SNMP dlsw traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dnis
                    
                    	Enable SNMP DNIS traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dot11_qos
                    
                    	Enable SNMP 802.11 QoS Change Trap
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dot1x
                    
                    	
                    	**type**\:   :py:class:`Dot1X <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Dot1X>`
                    
                    .. attribute:: ds0_busyout
                    
                    	Enable ds0\-busyout traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ds1
                    
                    	Enable SNMP DS1 traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ds1_loopback
                    
                    	Enable ds1\-loopback traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ds3
                    
                    	Enable SNMP DS3 traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dsp
                    
                    	Enable SNMP dsp traps
                    	**type**\:   :py:class:`Dsp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Dsp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: eigrp
                    
                    	Enable SNMP EIGRP traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: energywise
                    
                    	
                    	**type**\:   :py:class:`Energywise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Energywise>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: entity
                    
                    	Enable SNMP entity traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: entity_diag
                    
                    	Enable SNMP CISCO\-ENTITY\-DIAG\-MIB traps
                    	**type**\:   :py:class:`EntityDiag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.EntityDiag>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: envmon
                    
                    	Enable SNMP environmental monitor traps
                    	**type**\:   :py:class:`Envmon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Envmon>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: errdisable
                    
                    	Enable SNMP errdisable notifications
                    	**type**\:   :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Errdisable>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ether_oam
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet
                    
                    	
                    	**type**\:   :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet>`
                    
                    .. attribute:: event_manager
                    
                    	Enable SNMP Embedded Event Manager traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: firewall
                    
                    	
                    	**type**\:   :py:class:`Firewall <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Firewall>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: flash
                    
                    	Enable SNMP FLASH notifications
                    	**type**\:   :py:class:`Flash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Flash>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: flex_links
                    
                    	Enable SNMP FLEX Links traps
                    	**type**\:   :py:class:`FlexLinks <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.FlexLinks>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: flowmon
                    
                    	Enabel SNMP flowmon notifications
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: frame_relay
                    
                    	Enable SNMP frame\-relay traps
                    	**type**\:   :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: fru_ctrl
                    
                    	Enable SNMP entity FRU control traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: gatekeeper
                    
                    	Enable SNMP gatekeeper traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: hsrp
                    
                    	Enable SNMP HSRP traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: icsudsu
                    
                    	Enable SNMP ICSUDSU traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ike
                    
                    	Enable IKE traps
                    	**type**\:   :py:class:`Ike <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ike>`
                    
                    .. attribute:: ima
                    
                    	Enable SNMP ATM IMA traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipmobile
                    
                    	Enable SNMP ipmobile traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipmulticast
                    
                    	Enable SNMP ipmulticast traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipsec
                    
                    	Enable IPsec traps
                    	**type**\:   :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec>`
                    
                    .. attribute:: ipsla
                    
                    	Enable IPSLA traps traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: isakmp
                    
                    	Enable ISAKMP traps traps
                    	**type**\:   :py:class:`Isakmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp>`
                    
                    .. attribute:: isdn
                    
                    	Enable SNMP isdn traps
                    	**type**\:   :py:class:`Isdn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Isdn>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: isis
                    
                    	Enable ISIS traps traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: l2tc
                    
                    	Enable SNMP L2 Tunnel Config traps
                    	**type**\:   :py:class:`L2Tc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.L2Tc>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: l2tun
                    
                    	Enable SNMP L2 tunnel protocol traps
                    	**type**\:   :py:class:`L2Tun <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun>`
                    
                    .. attribute:: license
                    
                    	Enable license traps
                    	**type**\:   :py:class:`License <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.License>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: local_auth
                    
                    	Enable SNMP local auth traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mac_notification
                    
                    	Enable SNMP MAC Notification traps
                    	**type**\:   :py:class:`MacNotification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.MacNotification>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: mac_notification2
                    
                    	Enable SNMP MAC Notification traps
                    	**type**\:   :py:class:`MacNotification2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.MacNotification2>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: memory
                    
                    	Enable SNMP Memory traps
                    	**type**\:   :py:class:`Memory <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Memory>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: module
                    
                    	Enable SNMP module traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mpls
                    
                    	Enable SNMP MPLS traps
                    	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Mpls>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: msdp
                    
                    	Enable SNMP MSDP traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mvpn
                    
                    	Enable Multicast Virtual Private Networks traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nhrp
                    
                    	
                    	**type**\:   :py:class:`Nhrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ospf
                    
                    	Enable OSPF traps
                    	**type**\:   :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf>`
                    
                    .. attribute:: ospfv3
                    
                    	Enable OSPFv3 traps
                    	**type**\:   :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospfv3>`
                    
                    .. attribute:: pim
                    
                    	Enable SNMP PIM traps
                    	**type**\:   :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Pim>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: plogd
                    
                    	Enable SNMP plogd traps
                    	**type**\:   :py:class:`Plogd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Plogd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: port_security
                    
                    	Enable SNMP port security traps
                    	**type**\:   :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.PortSecurity>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: power_ethernet
                    
                    	Enable SNMP power ethernet traps
                    	**type**\:   :py:class:`PowerEthernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.PowerEthernet>`
                    
                    .. attribute:: pppoe
                    
                    	Enable SNMP pppoe traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pw
                    
                    	
                    	**type**\:   :py:class:`Pw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Pw>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: rep
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: resource_policy
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rf
                    
                    	Enable all SNMP traps defined in CISCO\-RF\-MIB
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rogue_ap
                    
                    	Enable SNMP 802.11 Rogue AP Trap
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rsvp
                    
                    	Enable RSVP flow change traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rtr
                    
                    	Enable SNMP Response Time Reporter traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: slb
                    
                    	Enable SNMP SLB traps
                    	**type**\:   :py:class:`Slb <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Slb>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: snmp
                    
                    	Enable SNMP traps
                    	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Snmp>`
                    
                    .. attribute:: sonet
                    
                    	Enable SNMP SONET traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: srp
                    
                    	Enable SRP protocol traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: srst
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: stackwise
                    
                    	Enable SNMP stackwise traps
                    	**type**\:   :py:class:`Stackwise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Stackwise>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: stpx
                    
                    	
                    	**type**\:   :py:class:`Stpx <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Stpx>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: stun
                    
                    	Enable SNMP STUN traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: switch_over
                    
                    	Enable SNMP 802.11 Standby Switch\-over Trap
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: syslog
                    
                    	Enable SNMP syslog traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: transceiver
                    
                    	
                    	**type**\:   :py:class:`Transceiver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Transceiver>`
                    
                    .. attribute:: trustsec
                    
                    	Enable SNMP CISCO\-TRUSTSEC\-MIB traps
                    	**type**\:   :py:class:`Trustsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trustsec_interface
                    
                    	Enable SNMP CISCO\-TRUSTSEC\-INTERFACE\-MIB traps
                    	**type**\:   :py:class:`TrustsecInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trustsec_policy
                    
                    	Enable SNMP CISCO\-TRUSTSEC\-POLICY\-MIB traps
                    	**type**\:   :py:class:`TrustsecPolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecPolicy>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trustsec_server
                    
                    	Enable SNMP CISCO\-TRUSTSEC\-SERVER\-MIB traps
                    	**type**\:   :py:class:`TrustsecServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trustsec_sxp
                    
                    	Enable SNMP CISCO\-TRUSTSEC\-SXP\-MIB traps
                    	**type**\:   :py:class:`TrustsecSxp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecSxp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: tty
                    
                    	Enable TCP connection traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: udld
                    
                    	Enable SNMP CISCO\-UDLDP\-MIB traps
                    	**type**\:   :py:class:`Udld <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Udld>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: vlan_mac_limit
                    
                    	Enable SNMP L2 Control VLAN MAC Limit notifications
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_membership
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlancreate
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlandelete
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: voice
                    
                    	Enable SNMP voice traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrfmib
                    
                    	
                    	**type**\:   :py:class:`Vrfmib <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Vrfmib>`
                    
                    .. attribute:: vrrp
                    
                    	Enable SNMP vrrp traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vsimaster
                    
                    	Allow SNMP vsimaster traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vstack
                    
                    	Enable SNMP Smart Install traps
                    	**type**\:   :py:class:`Vstack <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Vstack>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: vswitch
                    
                    	Enable SNMP Virtual Switch notifications
                    	**type**\:   :py:class:`Vswitch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Vswitch>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: vtp
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: wireless
                    
                    	wireless
                    	**type**\:   :py:class:`Wireless <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Wireless>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: wlan_wep
                    
                    	Enable SNMP 802.11 WLAN WEP Trap
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: xgcp
                    
                    	Enable XGCP protocol traps
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aaa_server = None
                        self.alarms = None
                        self.atm = Native.SnmpServer.Enable.EnableChoice.Traps.Atm()
                        self.atm.parent = self
                        self.auth_framework = None
                        self.authenticate_fail = None
                        self.bfd = None
                        self.bgp = None
                        self.bgp_conf = Native.SnmpServer.Enable.EnableChoice.Traps.BgpConf()
                        self.bgp_conf.parent = self
                        self.bridge = None
                        self.bstun = None
                        self.bulkstat = None
                        self.c2900 = None
                        self.c6kxbar = None
                        self.call_home = None
                        self.casa = None
                        self.ccme = None
                        self.cef = Native.SnmpServer.Enable.EnableChoice.Traps.Cef()
                        self.cef.parent = self
                        self.channel = None
                        self.chassis = None
                        self.cluster = None
                        self.cnpd = None
                        self.config = None
                        self.config_copy = None
                        self.config_ctid = None
                        self.copy_config = None
                        self.cpu = None
                        self.cpu_threshold = None
                        self.csg = None
                        self.deauthenticate = None
                        self.dial = None
                        self.director = None
                        self.disassociate = None
                        self.dlsw = None
                        self.dnis = None
                        self.dot11_qos = None
                        self.dot1x = Native.SnmpServer.Enable.EnableChoice.Traps.Dot1X()
                        self.dot1x.parent = self
                        self.ds0_busyout = None
                        self.ds1 = None
                        self.ds1_loopback = None
                        self.ds3 = None
                        self.dsp = None
                        self.eigrp = None
                        self.energywise = None
                        self.entity = None
                        self.entity_diag = None
                        self.envmon = None
                        self.errdisable = None
                        self.ether_oam = None
                        self.ethernet = Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet()
                        self.ethernet.parent = self
                        self.event_manager = None
                        self.firewall = None
                        self.flash = None
                        self.flex_links = None
                        self.flowmon = None
                        self.frame_relay = None
                        self.fru_ctrl = None
                        self.gatekeeper = None
                        self.hsrp = None
                        self.icsudsu = None
                        self.ike = Native.SnmpServer.Enable.EnableChoice.Traps.Ike()
                        self.ike.parent = self
                        self.ima = None
                        self.ipmobile = None
                        self.ipmulticast = None
                        self.ipsec = Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec()
                        self.ipsec.parent = self
                        self.ipsla = None
                        self.isakmp = Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp()
                        self.isakmp.parent = self
                        self.isdn = None
                        self.isis = None
                        self.l2tc = None
                        self.l2tun = Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun()
                        self.l2tun.parent = self
                        self.license = None
                        self.local_auth = None
                        self.mac_notification = None
                        self.mac_notification2 = None
                        self.memory = None
                        self.module = None
                        self.mpls = None
                        self.msdp = None
                        self.mvpn = None
                        self.nhrp = None
                        self.ospf = Native.SnmpServer.Enable.EnableChoice.Traps.Ospf()
                        self.ospf.parent = self
                        self.ospfv3 = Native.SnmpServer.Enable.EnableChoice.Traps.Ospfv3()
                        self.ospfv3.parent = self
                        self.pim = None
                        self.plogd = None
                        self.port_security = None
                        self.power_ethernet = Native.SnmpServer.Enable.EnableChoice.Traps.PowerEthernet()
                        self.power_ethernet.parent = self
                        self.pppoe = None
                        self.pw = None
                        self.rep = None
                        self.resource_policy = None
                        self.rf = None
                        self.rogue_ap = None
                        self.rsvp = None
                        self.rtr = None
                        self.slb = None
                        self.snmp = Native.SnmpServer.Enable.EnableChoice.Traps.Snmp()
                        self.snmp.parent = self
                        self.sonet = None
                        self.srp = None
                        self.srst = None
                        self.stackwise = None
                        self.stpx = None
                        self.stun = None
                        self.switch_over = None
                        self.syslog = None
                        self.transceiver = Native.SnmpServer.Enable.EnableChoice.Traps.Transceiver()
                        self.transceiver.parent = self
                        self.trustsec = None
                        self.trustsec_interface = None
                        self.trustsec_policy = None
                        self.trustsec_server = None
                        self.trustsec_sxp = None
                        self.tty = None
                        self.udld = None
                        self.vlan_mac_limit = None
                        self.vlan_membership = None
                        self.vlancreate = None
                        self.vlandelete = None
                        self.voice = None
                        self.vrfmib = Native.SnmpServer.Enable.EnableChoice.Traps.Vrfmib()
                        self.vrfmib.parent = self
                        self.vrrp = None
                        self.vsimaster = None
                        self.vstack = None
                        self.vswitch = None
                        self.vtp = None
                        self.wireless = None
                        self.wlan_wep = None
                        self.xgcp = None


                    class TrustsecSxp(object):
                        """
                        Enable SNMP CISCO\-TRUSTSEC\-SXP\-MIB traps
                        
                        .. attribute:: binding_conflict
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: binding_err
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: binding_expn_fail
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: conn_config_err
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: conn_down
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: conn_srcaddr_err
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: conn_up
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: msg_parse_err
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: oper_nodeid_change
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.binding_conflict = None
                            self.binding_err = None
                            self.binding_expn_fail = None
                            self.conn_config_err = None
                            self.conn_down = None
                            self.conn_srcaddr_err = None
                            self.conn_up = None
                            self.msg_parse_err = None
                            self.oper_nodeid_change = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:trustsec-sxp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.binding_conflict is not None:
                                return True

                            if self.binding_err is not None:
                                return True

                            if self.binding_expn_fail is not None:
                                return True

                            if self.conn_config_err is not None:
                                return True

                            if self.conn_down is not None:
                                return True

                            if self.conn_srcaddr_err is not None:
                                return True

                            if self.conn_up is not None:
                                return True

                            if self.msg_parse_err is not None:
                                return True

                            if self.oper_nodeid_change is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecSxp']['meta_info']


                    class Vswitch(object):
                        """
                        Enable SNMP Virtual Switch notifications
                        
                        .. attribute:: dual_active
                        
                        	Enable SNMP Virtual Switch (Dual Active) notification
                        	**type**\:   :py:class:`DualActive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Vswitch.DualActive>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.dual_active = None


                        class DualActive(object):
                            """
                            Enable SNMP Virtual Switch (Dual Active) notification
                            
                            .. attribute:: vsl
                            
                            	Enable SNMP Virtual Switch Link (VSL) notification
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.vsl = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:vswitch/Cisco-IOS-XE-snmp:dual-active'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.vsl is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Vswitch.DualActive']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:vswitch'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.dual_active is not None and self.dual_active._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Vswitch']['meta_info']


                    class TrustsecServer(object):
                        """
                        Enable SNMP CISCO\-TRUSTSEC\-SERVER\-MIB traps
                        
                        .. attribute:: radius_server
                        
                        	Enable ctsvNoRadiusServerNotif notification
                        	**type**\:   :py:class:`RadiusServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecServer.RadiusServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.radius_server = None


                        class RadiusServer(object):
                            """
                            Enable ctsvNoRadiusServerNotif notification
                            
                            .. attribute:: provision_secret
                            
                            	Enable ctsvNoProvisionSecretNotif notification
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.provision_secret = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:trustsec-server/Cisco-IOS-XE-snmp:radius-server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.provision_secret is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecServer.RadiusServer']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:trustsec-server'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.radius_server is not None and self.radius_server._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecServer']['meta_info']


                    class Trustsec(object):
                        """
                        Enable SNMP CISCO\-TRUSTSEC\-MIB traps
                        
                        .. attribute:: authz_file_error
                        
                        	Enable ctsAuthzCacheFileErrNotif notifications
                        	**type**\:   :py:class:`AuthzFileError <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.authz_file_error = None


                        class AuthzFileError(object):
                            """
                            Enable ctsAuthzCacheFileErrNotif notifications
                            
                            .. attribute:: cache_file_error
                            
                            	Enable ctsCacheFileAccessErrNotif notifications
                            	**type**\:   :py:class:`CacheFileError <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.cache_file_error = None


                            class CacheFileError(object):
                                """
                                Enable ctsCacheFileAccessErrNotif notifications
                                
                                .. attribute:: keystore_file_error
                                
                                	Enable ctsSwKeystoreFileErrNotif notifications
                                	**type**\:   :py:class:`KeystoreFileError <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.keystore_file_error = None


                                class KeystoreFileError(object):
                                    """
                                    Enable ctsSwKeystoreFileErrNotif notifications
                                    
                                    .. attribute:: keystore_sync_fail
                                    
                                    	Enable ctsSwKeystoreSyncFailNotif notifications
                                    	**type**\:   :py:class:`KeystoreSyncFail <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError.KeystoreSyncFail>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-snmp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.keystore_sync_fail = None


                                    class KeystoreSyncFail(object):
                                        """
                                        Enable ctsSwKeystoreSyncFailNotif notifications
                                        
                                        .. attribute:: random_number_fail
                                        
                                        	Enable ctsSapRandonNumberFailNotif notifications
                                        	**type**\:   :py:class:`RandomNumberFail <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError.KeystoreSyncFail.RandomNumberFail>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-snmp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.random_number_fail = None


                                        class RandomNumberFail(object):
                                            """
                                            Enable ctsSapRandonNumberFailNotif notifications
                                            
                                            .. attribute:: src_entropy_fail
                                            
                                            	Enable ctsSrcEntropyFailNotif notifications
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-snmp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.src_entropy_fail = None

                                            @property
                                            def _common_path(self):

                                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:trustsec/Cisco-IOS-XE-snmp:authz-file-error/Cisco-IOS-XE-snmp:cache-file-error/Cisco-IOS-XE-snmp:keystore-file-error/Cisco-IOS-XE-snmp:keystore-sync-fail/Cisco-IOS-XE-snmp:random-number-fail'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.src_entropy_fail is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError.KeystoreSyncFail.RandomNumberFail']['meta_info']

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:trustsec/Cisco-IOS-XE-snmp:authz-file-error/Cisco-IOS-XE-snmp:cache-file-error/Cisco-IOS-XE-snmp:keystore-file-error/Cisco-IOS-XE-snmp:keystore-sync-fail'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.random_number_fail is not None and self.random_number_fail._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError.KeystoreSyncFail']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:trustsec/Cisco-IOS-XE-snmp:authz-file-error/Cisco-IOS-XE-snmp:cache-file-error/Cisco-IOS-XE-snmp:keystore-file-error'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.keystore_sync_fail is not None and self.keystore_sync_fail._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:trustsec/Cisco-IOS-XE-snmp:authz-file-error/Cisco-IOS-XE-snmp:cache-file-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.keystore_file_error is not None and self.keystore_file_error._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:trustsec/Cisco-IOS-XE-snmp:authz-file-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.cache_file_error is not None and self.cache_file_error._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:trustsec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.authz_file_error is not None and self.authz_file_error._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec']['meta_info']


                    class TrustsecInterface(object):
                        """
                        Enable SNMP CISCO\-TRUSTSEC\-INTERFACE\-MIB traps
                        
                        .. attribute:: unauthorized
                        
                        	Enable ctsiIfUnauthorizedNotifEnable trap
                        	**type**\:   :py:class:`Unauthorized <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.unauthorized = None


                        class Unauthorized(object):
                            """
                            Enable ctsiIfUnauthorizedNotifEnable trap
                            
                            .. attribute:: sap_fail
                            
                            	Enable ctsiIfSapNegotiationFailNotif trap
                            	**type**\:   :py:class:`SapFail <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.sap_fail = None


                            class SapFail(object):
                                """
                                Enable ctsiIfSapNegotiationFailNotif trap
                                
                                .. attribute:: authc_fail
                                
                                	Enable ctsiIfAuthenticationFailNotif trap
                                	**type**\:   :py:class:`AuthcFail <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail.AuthcFail>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.authc_fail = None


                                class AuthcFail(object):
                                    """
                                    Enable ctsiIfAuthenticationFailNotif trap
                                    
                                    .. attribute:: supplicant_fail
                                    
                                    	Enable ctsiIfAddSupplicantFailNotif trap
                                    	**type**\:   :py:class:`SupplicantFail <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail.AuthcFail.SupplicantFail>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-snmp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.supplicant_fail = None


                                    class SupplicantFail(object):
                                        """
                                        Enable ctsiIfAddSupplicantFailNotif trap
                                        
                                        .. attribute:: authz_fail
                                        
                                        	Enable ctsiAuthorizationFailNotif trap
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-snmp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.authz_fail = None

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:trustsec-interface/Cisco-IOS-XE-snmp:unauthorized/Cisco-IOS-XE-snmp:sap-fail/Cisco-IOS-XE-snmp:authc-fail/Cisco-IOS-XE-snmp:supplicant-fail'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.authz_fail is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail.AuthcFail.SupplicantFail']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:trustsec-interface/Cisco-IOS-XE-snmp:unauthorized/Cisco-IOS-XE-snmp:sap-fail/Cisco-IOS-XE-snmp:authc-fail'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.supplicant_fail is not None and self.supplicant_fail._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail.AuthcFail']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:trustsec-interface/Cisco-IOS-XE-snmp:unauthorized/Cisco-IOS-XE-snmp:sap-fail'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.authc_fail is not None and self.authc_fail._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:trustsec-interface/Cisco-IOS-XE-snmp:unauthorized'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.sap_fail is not None and self.sap_fail._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:trustsec-interface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.unauthorized is not None and self.unauthorized._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface']['meta_info']


                    class TrustsecPolicy(object):
                        """
                        Enable SNMP CISCO\-TRUSTSEC\-POLICY\-MIB traps
                        
                        .. attribute:: peer_policy_updated
                        
                        	Enable ctspPeerPolicyUpdatedNotif notifications
                        	**type**\:   :py:class:`PeerPolicyUpdated <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecPolicy.PeerPolicyUpdated>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.peer_policy_updated = None


                        class PeerPolicyUpdated(object):
                            """
                            Enable ctspPeerPolicyUpdatedNotif notifications
                            
                            .. attribute:: authz_sgacl_fail
                            
                            	Enable ctspAuthorizationSgaclFailNotif notifications
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.authz_sgacl_fail = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:trustsec-policy/Cisco-IOS-XE-snmp:peer-policy-updated'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.authz_sgacl_fail is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecPolicy.PeerPolicyUpdated']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:trustsec-policy'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.peer_policy_updated is not None and self.peer_policy_updated._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecPolicy']['meta_info']


                    class Ospfv3(object):
                        """
                        Enable OSPFv3 traps
                        
                        .. attribute:: errors
                        
                        	Error traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: state_change
                        
                        	State change traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.errors = None
                            self.state_change = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ospfv3'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.errors is not None:
                                return True

                            if self.state_change is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospfv3']['meta_info']


                    class Ike(object):
                        """
                        Enable IKE traps
                        
                        .. attribute:: policy
                        
                        	Enable IKE Policy traps
                        	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Policy>`
                        
                        .. attribute:: tunnel
                        
                        	Enable IKE Tunnel traps
                        	**type**\:   :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Tunnel>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.policy = Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Policy()
                            self.policy.parent = self
                            self.tunnel = Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Tunnel()
                            self.tunnel.parent = self


                        class Policy(object):
                            """
                            Enable IKE Policy traps
                            
                            .. attribute:: add
                            
                            	Enable IKE Policy add trap
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: delete
                            
                            	Enable IKE Policy delete trap
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.add = None
                                self.delete = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ike/Cisco-IOS-XE-snmp:policy'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.add is not None:
                                    return True

                                if self.delete is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Policy']['meta_info']


                        class Tunnel(object):
                            """
                            Enable IKE Tunnel traps
                            
                            .. attribute:: start
                            
                            	Enable IKE Tunnel start trap
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: stop
                            
                            	Enable IKE Tunnel stop trap
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.start = None
                                self.stop = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ike/Cisco-IOS-XE-snmp:tunnel'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.start is not None:
                                    return True

                                if self.stop is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Tunnel']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ike'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.policy is not None and self.policy._has_data():
                                return True

                            if self.tunnel is not None and self.tunnel._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ike']['meta_info']


                    class Alarms(object):
                        """
                        Enable SNMP alarms traps
                        
                        .. attribute:: alarm_type
                        
                        	
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 1..4
                        
                        
                        ----
                        	**type**\:   :py:class:`AlarmTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Alarms.AlarmTypeEnum>`
                        
                        
                        ----
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.alarm_type = None

                        class AlarmTypeEnum(Enum):
                            """
                            AlarmTypeEnum

                            .. data:: critical = 0

                            .. data:: informational = 1

                            .. data:: major = 2

                            .. data:: minor = 3

                            """

                            critical = 0

                            informational = 1

                            major = 2

                            minor = 3


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Alarms.AlarmTypeEnum']


                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:alarms'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.alarm_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Alarms']['meta_info']


                    class Atm(object):
                        """
                        Enable SNMP atm traps
                        
                        .. attribute:: pvc
                        
                        	Enable SNMP atm pvc traps
                        	**type**\:   :py:class:`Pvc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: subif
                        
                        	Enable SNMP atm subinterface traps
                        	**type**\:   :py:class:`Subif <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Subif>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.pvc = None
                            self.subif = None


                        class Pvc(object):
                            """
                            Enable SNMP atm pvc traps
                            
                            .. attribute:: extension
                            
                            	Enable SNMP atm pvc extension traps
                            	**type**\:   :py:class:`Extension <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension>`
                            
                            .. attribute:: fail_interval
                            
                            	minimum period for storing the failed timestamp
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: interval
                            
                            	minimum period between successive traps
                            	**type**\:  int
                            
                            	**range:** 1..3600
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.extension = Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension()
                                self.extension.parent = self
                                self.fail_interval = None
                                self.interval = None


                            class Extension(object):
                                """
                                Enable SNMP atm pvc extension traps
                                
                                .. attribute:: down
                                
                                	Enable SNMP atm pvc extended down trap
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mibversion
                                
                                	Extension MIB version to be used
                                	**type**\:   :py:class:`MibversionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.MibversionEnum>`
                                
                                .. attribute:: oam
                                
                                	Enable SNMP atm pvc extended oam trap
                                	**type**\:   :py:class:`Oam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam>`
                                
                                .. attribute:: up
                                
                                	Enable SNMP atm pvc extended up traps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.down = None
                                    self.mibversion = None
                                    self.oam = Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam()
                                    self.oam.parent = self
                                    self.up = None

                                class MibversionEnum(Enum):
                                    """
                                    MibversionEnum

                                    Extension MIB version to be used

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = 0

                                    Y_2 = 1


                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.MibversionEnum']



                                class Oam(object):
                                    """
                                    Enable SNMP atm pvc extended oam trap
                                    
                                    .. attribute:: failure
                                    
                                    	Enable SNMP atm pvc extended any oam failure trap
                                    	**type**\:   :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam.Failure>`
                                    
                                    

                                    """

                                    _prefix = 'ios-snmp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.failure = Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam.Failure()
                                        self.failure.parent = self


                                    class Failure(object):
                                        """
                                        Enable SNMP atm pvc extended any oam failure trap
                                        
                                        .. attribute:: loopback
                                        
                                        	Enable SNMP atm pvc extended oam loopback failure trap
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-snmp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.loopback = None

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:atm/Cisco-IOS-XE-snmp:pvc/Cisco-IOS-XE-snmp:extension/Cisco-IOS-XE-snmp:oam/Cisco-IOS-XE-snmp:failure'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.loopback is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam.Failure']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:atm/Cisco-IOS-XE-snmp:pvc/Cisco-IOS-XE-snmp:extension/Cisco-IOS-XE-snmp:oam'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.failure is not None and self.failure._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:atm/Cisco-IOS-XE-snmp:pvc/Cisco-IOS-XE-snmp:extension'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.down is not None:
                                        return True

                                    if self.mibversion is not None:
                                        return True

                                    if self.oam is not None and self.oam._has_data():
                                        return True

                                    if self.up is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:atm/Cisco-IOS-XE-snmp:pvc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.extension is not None and self.extension._has_data():
                                    return True

                                if self.fail_interval is not None:
                                    return True

                                if self.interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc']['meta_info']


                        class Subif(object):
                            """
                            Enable SNMP atm subinterface traps
                            
                            .. attribute:: count
                            
                            	Maximum number of traps sent per interval
                            	**type**\:  int
                            
                            	**range:** 1..1000
                            
                            .. attribute:: interval
                            
                            	Interval duration in which to limit the number of traps sent
                            	**type**\:  int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.count = None
                                self.interval = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:atm/Cisco-IOS-XE-snmp:subif'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.count is not None:
                                    return True

                                if self.interval is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Subif']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:atm'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.pvc is not None and self.pvc._has_data():
                                return True

                            if self.subif is not None and self.subif._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Atm']['meta_info']


                    class AuthFramework(object):
                        """
                        
                        
                        .. attribute:: sec_violation
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.sec_violation = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:auth-framework'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.sec_violation is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.AuthFramework']['meta_info']


                    class BgpConf(object):
                        """
                        
                        
                        .. attribute:: cbgp2
                        
                        	Enable BGP MIBv2 traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cbgp2 = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:bgp-conf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cbgp2 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.BgpConf']['meta_info']


                    class Bridge(object):
                        """
                        
                        
                        .. attribute:: newroot
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: topologychange
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.newroot = None
                            self.topologychange = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:bridge'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.newroot is not None:
                                return True

                            if self.topologychange is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Bridge']['meta_info']


                    class Bulkstat(object):
                        """
                        Enable Data\-Collection\-MIB Collection notifications
                        
                        .. attribute:: collection
                        
                        	Enable Data\-Collection\-MIB Collection notifications
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: transfer
                        
                        	Enable Data\-Collection\-MIB Transfer notifications
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.collection = None
                            self.transfer = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:bulkstat'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.collection is not None:
                                return True

                            if self.transfer is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Bulkstat']['meta_info']


                    class CallHome(object):
                        """
                        Enable CISCO\-CALLHOME\-MIB traps
                        
                        .. attribute:: message_send_fail
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: server_fail
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.message_send_fail = None
                            self.server_fail = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:call-home'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.message_send_fail is not None:
                                return True

                            if self.server_fail is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.CallHome']['meta_info']


                    class C6Kxbar(object):
                        """
                        Enable SNMP CISCO\-CAT6K\-CROSSBAR\-MIB traps
                        
                        .. attribute:: intbus_crcexcd
                        
                        	Enable SNMP cc6kxbarIntBusCRCErrExcdNotif notification
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: intbus_crcrcvrd
                        
                        	Enable SNMP cc6kxbarIntBusCRCErrRcvrdNotif notification
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: swbus
                        
                        	Enable SNMP cc6kxbarSwBusStatusChangeNotif notification
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.intbus_crcexcd = None
                            self.intbus_crcrcvrd = None
                            self.swbus = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:c6kxbar'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.intbus_crcexcd is not None:
                                return True

                            if self.intbus_crcrcvrd is not None:
                                return True

                            if self.swbus is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.C6Kxbar']['meta_info']


                    class Cef(object):
                        """
                        
                        
                        .. attribute:: inconsistency
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: peer_fib_state_change
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: peer_state_change
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: resource_failure
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.inconsistency = None
                            self.peer_fib_state_change = None
                            self.peer_state_change = None
                            self.resource_failure = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:cef'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.inconsistency is not None:
                                return True

                            if self.peer_fib_state_change is not None:
                                return True

                            if self.peer_state_change is not None:
                                return True

                            if self.resource_failure is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Cef']['meta_info']


                    class Cpu(object):
                        """
                        Allow cpu related traps
                        
                        .. attribute:: threshold
                        
                        	Allow CPU utilization threshold violation traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.threshold = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:cpu'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Cpu']['meta_info']


                    class Csg(object):
                        """
                        Enable SNMP CSG traps
                        
                        .. attribute:: agent
                        
                        	Enable SNMP Agent Server traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: database
                        
                        	Enable SNMP CSG database traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: quota_server
                        
                        	Enable SNMP Quota Server traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.agent = None
                            self.database = None
                            self.quota_server = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:csg'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.agent is not None:
                                return True

                            if self.database is not None:
                                return True

                            if self.quota_server is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Csg']['meta_info']


                    class Dot1X(object):
                        """
                        
                        
                        .. attribute:: auth_fail_vlan
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: guest_vlan
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: no_auth_fail_vlan
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: no_guest_vlan
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.auth_fail_vlan = None
                            self.guest_vlan = None
                            self.no_auth_fail_vlan = None
                            self.no_guest_vlan = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:dot1x'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.auth_fail_vlan is not None:
                                return True

                            if self.guest_vlan is not None:
                                return True

                            if self.no_auth_fail_vlan is not None:
                                return True

                            if self.no_guest_vlan is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Dot1X']['meta_info']


                    class Dsp(object):
                        """
                        Enable SNMP dsp traps
                        
                        .. attribute:: card_status
                        
                        	Enable SNMP card status of dsp traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: oper_state
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.card_status = None
                            self.oper_state = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:dsp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.card_status is not None:
                                return True

                            if self.oper_state is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Dsp']['meta_info']


                    class Energywise(object):
                        """
                        
                        
                        .. attribute:: event_occured
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: level_change
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: neighbor_added
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: neighbor_deleted
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.event_occured = None
                            self.level_change = None
                            self.neighbor_added = None
                            self.neighbor_deleted = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:energywise'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.event_occured is not None:
                                return True

                            if self.level_change is not None:
                                return True

                            if self.neighbor_added is not None:
                                return True

                            if self.neighbor_deleted is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Energywise']['meta_info']


                    class EntityDiag(object):
                        """
                        Enable SNMP CISCO\-ENTITY\-DIAG\-MIB traps
                        
                        .. attribute:: boot_up_fail
                        
                        	Enable SNMP ceDiagBootUpFailedNotif traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hm_test_recover
                        
                        	Enable SNMP ceDiagHMTestRecoverNotif traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hm_thresh_reached
                        
                        	Enable SNMP ceDiagHMThresholdReachedNotif traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: scheduled_test_fail
                        
                        	Enable SNMP ceDiagScheduledTestFailedNotif traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.boot_up_fail = None
                            self.hm_test_recover = None
                            self.hm_thresh_reached = None
                            self.scheduled_test_fail = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:entity-diag'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.boot_up_fail is not None:
                                return True

                            if self.hm_test_recover is not None:
                                return True

                            if self.hm_thresh_reached is not None:
                                return True

                            if self.scheduled_test_fail is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.EntityDiag']['meta_info']


                    class Envmon(object):
                        """
                        Enable SNMP environmental monitor traps
                        
                        .. attribute:: fan
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: status
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: supply
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: temperature
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.fan = None
                            self.shutdown = None
                            self.status = None
                            self.supply = None
                            self.temperature = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:envmon'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.fan is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            if self.status is not None:
                                return True

                            if self.supply is not None:
                                return True

                            if self.temperature is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Envmon']['meta_info']


                    class Errdisable(object):
                        """
                        Enable SNMP errdisable notifications
                        
                        .. attribute:: notification_rate
                        
                        	Number of notifications per minute
                        	**type**\:  int
                        
                        	**range:** 0..10000
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.notification_rate = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:errdisable'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.notification_rate is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Errdisable']['meta_info']


                    class Ethernet(object):
                        """
                        
                        
                        .. attribute:: cfm
                        
                        	
                        	**type**\:   :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm>`
                        
                        .. attribute:: evc
                        
                        	Enable SNMP Ethernet EVC traps
                        	**type**\:   :py:class:`Evc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Evc>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cfm = Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm()
                            self.cfm.parent = self
                            self.evc = None


                        class Cfm(object):
                            """
                            
                            
                            .. attribute:: alarm
                            
                            	Enable SNMP Ethernet CFM fault alarm trap
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: cc
                            
                            	
                            	**type**\:   :py:class:`Cc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm.Cc>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: crosscheck
                            
                            	
                            	**type**\:   :py:class:`Crosscheck <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm.Crosscheck>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.alarm = None
                                self.cc = None
                                self.crosscheck = None


                            class Cc(object):
                                """
                                
                                
                                .. attribute:: config
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: cross_connect
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: loop
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mep_down
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mep_up
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.config = None
                                    self.cross_connect = None
                                    self.loop = None
                                    self.mep_down = None
                                    self.mep_up = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ethernet/Cisco-IOS-XE-snmp:cfm/Cisco-IOS-XE-snmp:cc'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.config is not None:
                                        return True

                                    if self.cross_connect is not None:
                                        return True

                                    if self.loop is not None:
                                        return True

                                    if self.mep_down is not None:
                                        return True

                                    if self.mep_up is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm.Cc']['meta_info']


                            class Crosscheck(object):
                                """
                                
                                
                                .. attribute:: mep_missing
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mep_unknown
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: service_up
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.mep_missing = None
                                    self.mep_unknown = None
                                    self.service_up = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ethernet/Cisco-IOS-XE-snmp:cfm/Cisco-IOS-XE-snmp:crosscheck'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.mep_missing is not None:
                                        return True

                                    if self.mep_unknown is not None:
                                        return True

                                    if self.service_up is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm.Crosscheck']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ethernet/Cisco-IOS-XE-snmp:cfm'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.alarm is not None:
                                    return True

                                if self.cc is not None and self.cc._has_data():
                                    return True

                                if self.crosscheck is not None and self.crosscheck._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm']['meta_info']


                        class Evc(object):
                            """
                            Enable SNMP Ethernet EVC traps
                            
                            .. attribute:: create
                            
                            	Enable SNMP Ethernet EVC create traps
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: delete
                            
                            	Enable SNMP Ethernet EVC delete traps
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: status
                            
                            	Enable SNMP Ethernet EVC status traps
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.create = None
                                self.delete = None
                                self.status = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ethernet/Cisco-IOS-XE-snmp:evc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.create is not None:
                                    return True

                                if self.delete is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Evc']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ethernet'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cfm is not None and self.cfm._has_data():
                                return True

                            if self.evc is not None and self.evc._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet']['meta_info']


                    class Firewall(object):
                        """
                        
                        
                        .. attribute:: serverstatus
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.serverstatus = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:firewall'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.serverstatus is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Firewall']['meta_info']


                    class Flash(object):
                        """
                        Enable SNMP FLASH notifications
                        
                        .. attribute:: insertion
                        
                        	Enable SNMP Flash Insertion notifications
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: removal
                        
                        	Enable SNMP Flash Removal notifications
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.insertion = None
                            self.removal = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:flash'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.insertion is not None:
                                return True

                            if self.removal is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Flash']['meta_info']


                    class FlexLinks(object):
                        """
                        Enable SNMP FLEX Links traps
                        
                        .. attribute:: status
                        
                        	Enable SNMP FLEX Links status change traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.status = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:flex-links'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.status is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.FlexLinks']['meta_info']


                    class FrameRelay(object):
                        """
                        Enable SNMP frame\-relay traps
                        
                        .. attribute:: multilink
                        
                        	Enable MFR traps
                        	**type**\:   :py:class:`Multilink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay.Multilink>`
                        
                        .. attribute:: subif
                        
                        	Enable SNMP frame\-relay subinterface traps
                        	**type**\:   :py:class:`Subif <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay.Subif>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.multilink = Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay.Multilink()
                            self.multilink.parent = self
                            self.subif = None


                        class Multilink(object):
                            """
                            Enable MFR traps
                            
                            .. attribute:: bundle_mismatch
                            
                            	Enable MFR trap for inconsistent bundle event
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.bundle_mismatch = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:frame-relay/Cisco-IOS-XE-snmp:multilink'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.bundle_mismatch is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay.Multilink']['meta_info']


                        class Subif(object):
                            """
                            Enable SNMP frame\-relay subinterface traps
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:frame-relay/Cisco-IOS-XE-snmp:subif'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay.Subif']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:frame-relay'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.multilink is not None and self.multilink._has_data():
                                return True

                            if self.subif is not None and self.subif._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay']['meta_info']


                    class Ipsec(object):
                        """
                        Enable IPsec traps
                        
                        .. attribute:: cryptomap
                        
                        	
                        	**type**\:   :py:class:`Cryptomap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Cryptomap>`
                        
                        .. attribute:: too_many_sas
                        
                        	Enable IPsec Tunnel Start trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tunnel
                        
                        	Enable IPsec Tunnel traps
                        	**type**\:   :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Tunnel>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cryptomap = Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Cryptomap()
                            self.cryptomap.parent = self
                            self.too_many_sas = None
                            self.tunnel = Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Tunnel()
                            self.tunnel.parent = self


                        class Cryptomap(object):
                            """
                            
                            
                            .. attribute:: add
                            
                            	Enable IPsec Cryptomap add trap
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: attach
                            
                            	Enable IPsec Cryptomap Attach trap
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: delete
                            
                            	Enable IPsec Cryptomap delete trap
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: detach
                            
                            	Enable IPsec Cryptomap Detach trap
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.add = None
                                self.attach = None
                                self.delete = None
                                self.detach = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ipsec/Cisco-IOS-XE-snmp:cryptomap'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.add is not None:
                                    return True

                                if self.attach is not None:
                                    return True

                                if self.delete is not None:
                                    return True

                                if self.detach is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Cryptomap']['meta_info']


                        class Tunnel(object):
                            """
                            Enable IPsec Tunnel traps
                            
                            .. attribute:: start
                            
                            	Enable IPsec Tunnel Start trap
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: stop
                            
                            	Enable IPsec Tunnel Stop trap
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.start = None
                                self.stop = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ipsec/Cisco-IOS-XE-snmp:tunnel'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.start is not None:
                                    return True

                                if self.stop is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Tunnel']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ipsec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cryptomap is not None and self.cryptomap._has_data():
                                return True

                            if self.too_many_sas is not None:
                                return True

                            if self.tunnel is not None and self.tunnel._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec']['meta_info']


                    class Isakmp(object):
                        """
                        Enable ISAKMP traps traps
                        
                        .. attribute:: policy
                        
                        	Enable ISAKMP traps
                        	**type**\:   :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Policy>`
                        
                        .. attribute:: tunnel
                        
                        	Enable ISAKMP Tunnel traps
                        	**type**\:   :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Tunnel>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.policy = Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Policy()
                            self.policy.parent = self
                            self.tunnel = Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Tunnel()
                            self.tunnel.parent = self


                        class Policy(object):
                            """
                            Enable ISAKMP traps
                            
                            .. attribute:: add
                            
                            	Enable ISAKMP Policy add trap
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: delete
                            
                            	Enable ISAKMP Policy delete trap
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.add = None
                                self.delete = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:isakmp/Cisco-IOS-XE-snmp:policy'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.add is not None:
                                    return True

                                if self.delete is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Policy']['meta_info']


                        class Tunnel(object):
                            """
                            Enable ISAKMP Tunnel traps
                            
                            .. attribute:: start
                            
                            	Enable ISAKMP Tunnel start trap
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: stop
                            
                            	Enable ISAKMP Tunnel stop trap
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.start = None
                                self.stop = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:isakmp/Cisco-IOS-XE-snmp:tunnel'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.start is not None:
                                    return True

                                if self.stop is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Tunnel']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:isakmp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.policy is not None and self.policy._has_data():
                                return True

                            if self.tunnel is not None and self.tunnel._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp']['meta_info']


                    class Isdn(object):
                        """
                        Enable SNMP isdn traps
                        
                        .. attribute:: call_information
                        
                        	Enable SNMP isdn call information traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: chan_not_avail
                        
                        	Enable SNMP isdn channel not avail traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ietf
                        
                        	Enable SNMP isdn ietf traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: layer2
                        
                        	Enable SNMP isdn layer2 transition traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.call_information = None
                            self.chan_not_avail = None
                            self.ietf = None
                            self.layer2 = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:isdn'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.call_information is not None:
                                return True

                            if self.chan_not_avail is not None:
                                return True

                            if self.ietf is not None:
                                return True

                            if self.layer2 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Isdn']['meta_info']


                    class L2Tc(object):
                        """
                        Enable SNMP L2 Tunnel Config traps
                        
                        .. attribute:: sys_threshold
                        
                        	Enable SNMP L2TC System threshold traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: threshold
                        
                        	Enable SNMP L2 Tunnel Config threshold traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.sys_threshold = None
                            self.threshold = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:l2tc'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.sys_threshold is not None:
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.L2Tc']['meta_info']


                    class L2Tun(object):
                        """
                        Enable SNMP L2 tunnel protocol traps
                        
                        .. attribute:: pseudowire
                        
                        	
                        	**type**\:   :py:class:`Pseudowire <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun.Pseudowire>`
                        
                        .. attribute:: session
                        
                        	Enable SNMP l2tun session traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.pseudowire = Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun.Pseudowire()
                            self.pseudowire.parent = self
                            self.session = None


                        class Pseudowire(object):
                            """
                            
                            
                            .. attribute:: status
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.status = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:l2tun/Cisco-IOS-XE-snmp:pseudowire'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun.Pseudowire']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:l2tun'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.pseudowire is not None and self.pseudowire._has_data():
                                return True

                            if self.session is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun']['meta_info']


                    class License(object):
                        """
                        Enable license traps
                        
                        .. attribute:: deploy
                        
                        	Enable license deployment traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: error
                        
                        	Enable license error traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: usage
                        
                        	Enable license usage traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.deploy = None
                            self.error = None
                            self.usage = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:license'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.deploy is not None:
                                return True

                            if self.error is not None:
                                return True

                            if self.usage is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.License']['meta_info']


                    class MacNotification(object):
                        """
                        Enable SNMP MAC Notification traps
                        
                        .. attribute:: change
                        
                        	Enable SNMP Change traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: move
                        
                        	Enable SNMP Move traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: threshold
                        
                        	Enable SNMP Threshold traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.change = None
                            self.move = None
                            self.threshold = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:mac-notification'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.change is not None:
                                return True

                            if self.move is not None:
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.MacNotification']['meta_info']


                    class MacNotification2(object):
                        """
                        Enable SNMP MAC Notification traps
                        
                        .. attribute:: change
                        
                        	Enable SNMP Change traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: move
                        
                        	Enable SNMP Move traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: threshold
                        
                        	Enable SNMP Threshold traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.change = None
                            self.move = None
                            self.threshold = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:mac-notification2'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.change is not None:
                                return True

                            if self.move is not None:
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.MacNotification2']['meta_info']


                    class Memory(object):
                        """
                        Enable SNMP Memory traps
                        
                        .. attribute:: bufferpeak
                        
                        	Enable SNMP Memory Bufferpeak traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.bufferpeak = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:memory'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.bufferpeak is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Memory']['meta_info']


                    class Mpls(object):
                        """
                        Enable SNMP MPLS traps
                        
                        .. attribute:: fast_reroute
                        
                        	
                        	**type**\:   :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.FastReroute>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ldp
                        
                        	SNMP MPLS label distribution protocol traps
                        	**type**\:   :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.Ldp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: rfc
                        
                        	
                        	**type**\:   :py:class:`Rfc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.Rfc>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: traffic_eng
                        
                        	
                        	**type**\:   :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.TrafficEng>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: vpn
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.fast_reroute = None
                            self.ldp = None
                            self.rfc = None
                            self.traffic_eng = None
                            self.vpn = None


                        class TrafficEng(object):
                            """
                            
                            
                            .. attribute:: down
                            
                            	Enable MPLS TE tunnel down traps
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reroute
                            
                            	Enable MPLS TE tunnel reroute traps
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: up
                            
                            	Enable MPLS TE tunnel up traps
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.down = None
                                self.reroute = None
                                self.up = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:mpls/Cisco-IOS-XE-snmp:traffic-eng'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.down is not None:
                                    return True

                                if self.reroute is not None:
                                    return True

                                if self.up is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.TrafficEng']['meta_info']


                        class FastReroute(object):
                            """
                            
                            
                            .. attribute:: protected
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.protected = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:mpls/Cisco-IOS-XE-snmp:fast-reroute'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.protected is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.FastReroute']['meta_info']


                        class Rfc(object):
                            """
                            
                            
                            .. attribute:: ldp
                            
                            	
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.ldp = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:mpls/Cisco-IOS-XE-snmp:rfc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.ldp is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.Rfc']['meta_info']


                        class Ldp(object):
                            """
                            SNMP MPLS label distribution protocol traps
                            
                            .. attribute:: pv_limit
                            
                            	Enable MPLS LDP path vector limit mismatch traps
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: session_down
                            
                            	Enable MPLS LDP session down traps
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: session_up
                            
                            	Enable MPLS LDP session up traps
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: threshold
                            
                            	Enable MPLS LDP threshold exceeded traps
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.pv_limit = None
                                self.session_down = None
                                self.session_up = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:mpls/Cisco-IOS-XE-snmp:ldp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.pv_limit is not None:
                                    return True

                                if self.session_down is not None:
                                    return True

                                if self.session_up is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.Ldp']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:mpls'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.fast_reroute is not None and self.fast_reroute._has_data():
                                return True

                            if self.ldp is not None and self.ldp._has_data():
                                return True

                            if self.rfc is not None and self.rfc._has_data():
                                return True

                            if self.traffic_eng is not None and self.traffic_eng._has_data():
                                return True

                            if self.vpn is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Mpls']['meta_info']


                    class Nhrp(object):
                        """
                        
                        
                        .. attribute:: nhc
                        
                        	
                        	**type**\:   :py:class:`Nhc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhc>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: nhp
                        
                        	
                        	**type**\:   :py:class:`Nhp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: nhs
                        
                        	
                        	**type**\:   :py:class:`Nhs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhs>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: quota_exceeded
                        
                        	
                        	**type**\:   :py:class:`QuotaExceeded <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.QuotaExceeded>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.nhc = None
                            self.nhp = None
                            self.nhs = None
                            self.quota_exceeded = None


                        class Nhs(object):
                            """
                            
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:nhrp/Cisco-IOS-XE-snmp:nhs'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhs']['meta_info']


                        class Nhc(object):
                            """
                            
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:nhrp/Cisco-IOS-XE-snmp:nhc'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhc']['meta_info']


                        class Nhp(object):
                            """
                            
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:nhrp/Cisco-IOS-XE-snmp:nhp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhp']['meta_info']


                        class QuotaExceeded(object):
                            """
                            
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:nhrp/Cisco-IOS-XE-snmp:quota-exceeded'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.QuotaExceeded']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:nhrp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.nhc is not None and self.nhc._has_data():
                                return True

                            if self.nhp is not None and self.nhp._has_data():
                                return True

                            if self.nhs is not None and self.nhs._has_data():
                                return True

                            if self.quota_exceeded is not None and self.quota_exceeded._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp']['meta_info']


                    class Ospf(object):
                        """
                        Enable OSPF traps
                        
                        .. attribute:: cisco_specific
                        
                        	Cisco specific traps
                        	**type**\:   :py:class:`CiscoSpecific <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: errors
                        
                        	Error traps
                        	**type**\:   :py:class:`Errors <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Errors>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: lsa
                        
                        	Lsa related traps
                        	**type**\:   :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Lsa>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: retransmit
                        
                        	Packet retransmit traps
                        	**type**\:   :py:class:`Retransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Retransmit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: state_change
                        
                        	State change traps
                        	**type**\:   :py:class:`StateChange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.StateChange>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.cisco_specific = None
                            self.errors = None
                            self.lsa = None
                            self.retransmit = None
                            self.state_change = None


                        class StateChange(object):
                            """
                            State change traps
                            
                            .. attribute:: if_state_change
                            
                            	Non\-virtual interface state changes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: neighbor_state_change
                            
                            	Non\-virtual neighbor state changes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: virtif_state_change
                            
                            	Virtual interface state changes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: virtneighbor_state_change
                            
                            	Non\-virtual neighbor state changes
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.if_state_change = None
                                self.neighbor_state_change = None
                                self.virtif_state_change = None
                                self.virtneighbor_state_change = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ospf/Cisco-IOS-XE-snmp:state-change'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.if_state_change is not None:
                                    return True

                                if self.neighbor_state_change is not None:
                                    return True

                                if self.virtif_state_change is not None:
                                    return True

                                if self.virtneighbor_state_change is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.StateChange']['meta_info']


                        class Errors(object):
                            """
                            Error traps
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ospf/Cisco-IOS-XE-snmp:errors'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Errors']['meta_info']


                        class Retransmit(object):
                            """
                            Packet retransmit traps
                            
                            .. attribute:: packets
                            
                            	Packet retransmission on non\-virtual interfaces
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: virt_packets
                            
                            	Packet retransmission on virtual interfaces
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.packets = None
                                self.virt_packets = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ospf/Cisco-IOS-XE-snmp:retransmit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.packets is not None:
                                    return True

                                if self.virt_packets is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Retransmit']['meta_info']


                        class Lsa(object):
                            """
                            Lsa related traps
                            
                            .. attribute:: lsa_maxage
                            
                            	Lsa aged to maxage
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: lsa_originate
                            
                            	New lsa originated
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.lsa_maxage = None
                                self.lsa_originate = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ospf/Cisco-IOS-XE-snmp:lsa'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.lsa_maxage is not None:
                                    return True

                                if self.lsa_originate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Lsa']['meta_info']


                        class CiscoSpecific(object):
                            """
                            Cisco specific traps
                            
                            .. attribute:: errdisable
                            
                            	Enable SNMP errdisable notifications
                            	**type**\:   :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Errdisable>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: errors
                            
                            	Error traps
                            	**type**\:   :py:class:`Errors <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Errors>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: lsa
                            
                            	Lsa related traps
                            	**type**\:   :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Lsa>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: retransmit
                            
                            	Packet retransmit traps
                            	**type**\:   :py:class:`Retransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Retransmit>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: state_change
                            
                            	State change traps
                            	**type**\:   :py:class:`StateChange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.StateChange>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.errdisable = None
                                self.errors = None
                                self.lsa = None
                                self.retransmit = None
                                self.state_change = None


                            class StateChange(object):
                                """
                                State change traps
                                
                                .. attribute:: nssa_trans_change
                                
                                	Nssa translator state changes
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: shamlink
                                
                                	Sham link state change traps
                                	**type**\:   :py:class:`Shamlink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.StateChange.Shamlink>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.nssa_trans_change = None
                                    self.shamlink = None


                                class Shamlink(object):
                                    """
                                    Sham link state change traps
                                    
                                    .. attribute:: interface
                                    
                                    	Sham link interface state changes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: interface_old
                                    
                                    	Sham link interface state changes (deprecated)
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: neighbor
                                    
                                    	Sham link neighbor state changes
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-snmp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.interface = None
                                        self.interface_old = None
                                        self.neighbor = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ospf/Cisco-IOS-XE-snmp:cisco-specific/Cisco-IOS-XE-snmp:state-change/Cisco-IOS-XE-snmp:shamlink'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.interface is not None:
                                            return True

                                        if self.interface_old is not None:
                                            return True

                                        if self.neighbor is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.StateChange.Shamlink']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ospf/Cisco-IOS-XE-snmp:cisco-specific/Cisco-IOS-XE-snmp:state-change'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.nssa_trans_change is not None:
                                        return True

                                    if self.shamlink is not None and self.shamlink._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.StateChange']['meta_info']


                            class Errors(object):
                                """
                                Error traps
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ospf/Cisco-IOS-XE-snmp:cisco-specific/Cisco-IOS-XE-snmp:errors'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Errors']['meta_info']


                            class Errdisable(object):
                                """
                                Enable SNMP errdisable notifications
                                
                                .. attribute:: notification_rate
                                
                                	Number of notifications per minute
                                	**type**\:  int
                                
                                	**range:** 0..10000
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.notification_rate = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ospf/Cisco-IOS-XE-snmp:cisco-specific/Cisco-IOS-XE-snmp:errdisable'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.notification_rate is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Errdisable']['meta_info']


                            class Retransmit(object):
                                """
                                Packet retransmit traps
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ospf/Cisco-IOS-XE-snmp:cisco-specific/Cisco-IOS-XE-snmp:retransmit'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Retransmit']['meta_info']


                            class Lsa(object):
                                """
                                Lsa related traps
                                
                                .. attribute:: lsa_maxage
                                
                                	Lsa aged to maxage
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: lsa_originate
                                
                                	New lsa originated
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.lsa_maxage = None
                                    self.lsa_originate = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ospf/Cisco-IOS-XE-snmp:cisco-specific/Cisco-IOS-XE-snmp:lsa'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.lsa_maxage is not None:
                                        return True

                                    if self.lsa_originate is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Lsa']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ospf/Cisco-IOS-XE-snmp:cisco-specific'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.errdisable is not None and self.errdisable._has_data():
                                    return True

                                if self.errors is not None and self.errors._has_data():
                                    return True

                                if self.lsa is not None and self.lsa._has_data():
                                    return True

                                if self.retransmit is not None and self.retransmit._has_data():
                                    return True

                                if self.state_change is not None and self.state_change._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ospf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.cisco_specific is not None and self.cisco_specific._has_data():
                                return True

                            if self.errors is not None and self.errors._has_data():
                                return True

                            if self.lsa is not None and self.lsa._has_data():
                                return True

                            if self.retransmit is not None and self.retransmit._has_data():
                                return True

                            if self.state_change is not None and self.state_change._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Ospf']['meta_info']


                    class Pim(object):
                        """
                        Enable SNMP PIM traps
                        
                        .. attribute:: invalid_pim_message
                        
                        	Enable invalid pim message trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: neighbor_change
                        
                        	Enable neighbor change trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rp_mapping_change
                        
                        	Enable rp mapping change trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.invalid_pim_message = None
                            self.neighbor_change = None
                            self.rp_mapping_change = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:pim'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.invalid_pim_message is not None:
                                return True

                            if self.neighbor_change is not None:
                                return True

                            if self.rp_mapping_change is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Pim']['meta_info']


                    class Plogd(object):
                        """
                        Enable SNMP plogd traps
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:plogd'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Plogd']['meta_info']


                    class PortSecurity(object):
                        """
                        Enable SNMP port security traps
                        
                        .. attribute:: trap_rate
                        
                        	Number of traps per second
                        	**type**\:  int
                        
                        	**range:** 0..1000
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.trap_rate = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:port-security'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.trap_rate is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.PortSecurity']['meta_info']


                    class PowerEthernet(object):
                        """
                        Enable SNMP power ethernet traps
                        
                        .. attribute:: group
                        
                        	Enable SNMP inline power group based traps
                        	**type**\:  str
                        
                        .. attribute:: police
                        
                        	Enable Policing Trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.group = None
                            self.police = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:power-ethernet'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.group is not None:
                                return True

                            if self.police is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.PowerEthernet']['meta_info']


                    class Pw(object):
                        """
                        
                        
                        .. attribute:: vc
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.vc = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:pw'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.vc is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Pw']['meta_info']


                    class Slb(object):
                        """
                        Enable SNMP SLB traps
                        
                        .. attribute:: csrp
                        
                        	Enable SNMP SLB Fault Tolerance Replication Protocol traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: real
                        
                        	Enable SNMP SLB Real Server traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: virtual
                        
                        	Enable SNMP SLB Virtual Server traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.csrp = None
                            self.real = None
                            self.virtual = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:slb'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.csrp is not None:
                                return True

                            if self.real is not None:
                                return True

                            if self.virtual is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Slb']['meta_info']


                    class Snmp(object):
                        """
                        Enable SNMP traps
                        
                        .. attribute:: authentication
                        
                        	Enable authentication trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: coldstart
                        
                        	Enable coldStart trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: linkdown
                        
                        	Enable linkDown trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: linkup
                        
                        	Enable linkUp trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: warmstart
                        
                        	Enable warmStart trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.authentication = None
                            self.coldstart = None
                            self.linkdown = None
                            self.linkup = None
                            self.warmstart = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:snmp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.authentication is not None:
                                return True

                            if self.coldstart is not None:
                                return True

                            if self.linkdown is not None:
                                return True

                            if self.linkup is not None:
                                return True

                            if self.warmstart is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Snmp']['meta_info']


                    class Stackwise(object):
                        """
                        Enable SNMP stackwise traps
                        
                        .. attribute:: gls
                        
                        	Enable STACKWISE stack power GLS trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ils
                        
                        	Enable STACKWISE stack power ILS trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: insufficient_power
                        
                        	Enable STACKWISE stack power unbalanced power supplies trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: invalid_input_current
                        
                        	Enable STACKWISE stack power invalid input current trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: invalid_output_current
                        
                        	Enable STACKWISE stack power invalid output current trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: member_removed
                        
                        	Enable STACKWISE stack member removed trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: member_upgrade_notification
                        
                        	Enable STACKWISE member to be reloaded for upgrade trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: new_master
                        
                        	Enable STACKWISE new master trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: new_member
                        
                        	Enable STACKWISE stack new member trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: port_change
                        
                        	Enable STACKWISE port change trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: power_budget_warning
                        
                        	Enable STACKWISE stack power budget warning trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: power_invalid_topology
                        
                        	Enable STACKWISE stack power invalid topology trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: power_link_status_changed
                        
                        	Enable STACKWISE stack power link status changed trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: power_oper_status_changed
                        
                        	Enable STACKWISE stack power port oper status changed trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: power_priority_conflict
                        
                        	Enable STACKWISE stack power priority conflict trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: power_version_mismatch
                        
                        	Enable STACKWISE stack power version mismatch discovered trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ring_redundant
                        
                        	Enable STACKWISE stack ring redundant trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: srls
                        
                        	Enable STACKWISE stack power SRLS trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: stack_mismatch
                        
                        	Enable STACKWISE stack mismatch trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: unbalanced_power_supplies
                        
                        	Enable STACKWISE stack power unbalanced power supplies trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: under_budget
                        
                        	Enable STACKWISE stack power under budget trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: under_voltage
                        
                        	Enable STACKWISE stack power under voltage trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.gls = None
                            self.ils = None
                            self.insufficient_power = None
                            self.invalid_input_current = None
                            self.invalid_output_current = None
                            self.member_removed = None
                            self.member_upgrade_notification = None
                            self.new_master = None
                            self.new_member = None
                            self.port_change = None
                            self.power_budget_warning = None
                            self.power_invalid_topology = None
                            self.power_link_status_changed = None
                            self.power_oper_status_changed = None
                            self.power_priority_conflict = None
                            self.power_version_mismatch = None
                            self.ring_redundant = None
                            self.srls = None
                            self.stack_mismatch = None
                            self.unbalanced_power_supplies = None
                            self.under_budget = None
                            self.under_voltage = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:stackwise'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.gls is not None:
                                return True

                            if self.ils is not None:
                                return True

                            if self.insufficient_power is not None:
                                return True

                            if self.invalid_input_current is not None:
                                return True

                            if self.invalid_output_current is not None:
                                return True

                            if self.member_removed is not None:
                                return True

                            if self.member_upgrade_notification is not None:
                                return True

                            if self.new_master is not None:
                                return True

                            if self.new_member is not None:
                                return True

                            if self.port_change is not None:
                                return True

                            if self.power_budget_warning is not None:
                                return True

                            if self.power_invalid_topology is not None:
                                return True

                            if self.power_link_status_changed is not None:
                                return True

                            if self.power_oper_status_changed is not None:
                                return True

                            if self.power_priority_conflict is not None:
                                return True

                            if self.power_version_mismatch is not None:
                                return True

                            if self.ring_redundant is not None:
                                return True

                            if self.srls is not None:
                                return True

                            if self.stack_mismatch is not None:
                                return True

                            if self.unbalanced_power_supplies is not None:
                                return True

                            if self.under_budget is not None:
                                return True

                            if self.under_voltage is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Stackwise']['meta_info']


                    class Stpx(object):
                        """
                        
                        
                        .. attribute:: inconsistency
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: loop_inconsistency
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: root_inconsistency
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.inconsistency = None
                            self.loop_inconsistency = None
                            self.root_inconsistency = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:stpx'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.inconsistency is not None:
                                return True

                            if self.loop_inconsistency is not None:
                                return True

                            if self.root_inconsistency is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Stpx']['meta_info']


                    class Transceiver(object):
                        """
                        
                        
                        .. attribute:: all
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:transceiver'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Transceiver']['meta_info']


                    class Udld(object):
                        """
                        Enable SNMP CISCO\-UDLDP\-MIB traps
                        
                        .. attribute:: link_fail_rpt
                        
                        	Enable SNMP cudldpFastHelloLinkFailRptNotification traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: status_change
                        
                        	Enable SNMP cudldpFastHelloStatusChangeNotification traps
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.link_fail_rpt = None
                            self.status_change = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:udld'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.link_fail_rpt is not None:
                                return True

                            if self.status_change is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Udld']['meta_info']


                    class Vrfmib(object):
                        """
                        
                        
                        .. attribute:: vnet_trunk_down
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vnet_trunk_up
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vrf_down
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vrf_up
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.vnet_trunk_down = None
                            self.vnet_trunk_up = None
                            self.vrf_down = None
                            self.vrf_up = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:vrfmib'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.vnet_trunk_down is not None:
                                return True

                            if self.vnet_trunk_up is not None:
                                return True

                            if self.vrf_down is not None:
                                return True

                            if self.vrf_up is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Vrfmib']['meta_info']


                    class Vstack(object):
                        """
                        Enable SNMP Smart Install traps
                        
                        .. attribute:: addition
                        
                        	Enable client added trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: failure
                        
                        	Enable file upload/download failure trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: lost
                        
                        	Enable client lost trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: operation
                        
                        	Enable operation mode change trap
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.addition = None
                            self.failure = None
                            self.lost = None
                            self.operation = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:vstack'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.addition is not None:
                                return True

                            if self.failure is not None:
                                return True

                            if self.lost is not None:
                                return True

                            if self.operation is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Vstack']['meta_info']


                    class Wireless(object):
                        """
                        wireless
                        
                        .. attribute:: bsnmobilestation
                        
                        	Controls wireless client traps
                        	**type**\:   :py:class:`Bsnmobilestation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Wireless.Bsnmobilestation>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.bsnmobilestation = None


                        class Bsnmobilestation(object):
                            """
                            Controls wireless client traps
                            
                            .. attribute:: bsnaccesspoint
                            
                            	Access Point traps
                            	**type**\:   :py:class:`Bsnaccesspoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Wireless.Bsnmobilestation.Bsnaccesspoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.bsnaccesspoint = None


                            class Bsnaccesspoint(object):
                                """
                                Access Point traps
                                
                                .. attribute:: bsnrogue
                                
                                	Rogue related traps
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.bsnrogue = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:wireless/Cisco-IOS-XE-snmp:bsnMobileStation/Cisco-IOS-XE-snmp:bsnAccessPoint'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.bsnrogue is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Wireless.Bsnmobilestation.Bsnaccesspoint']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:wireless/Cisco-IOS-XE-snmp:bsnMobileStation'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.bsnaccesspoint is not None and self.bsnaccesspoint._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Wireless.Bsnmobilestation']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:wireless'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.bsnmobilestation is not None and self.bsnmobilestation._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps.Wireless']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice/Cisco-IOS-XE-snmp:traps'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aaa_server is not None:
                            return True

                        if self.alarms is not None and self.alarms._has_data():
                            return True

                        if self.atm is not None and self.atm._has_data():
                            return True

                        if self.auth_framework is not None and self.auth_framework._has_data():
                            return True

                        if self.authenticate_fail is not None:
                            return True

                        if self.bfd is not None:
                            return True

                        if self.bgp is not None:
                            return True

                        if self.bgp_conf is not None and self.bgp_conf._has_data():
                            return True

                        if self.bridge is not None and self.bridge._has_data():
                            return True

                        if self.bstun is not None:
                            return True

                        if self.bulkstat is not None and self.bulkstat._has_data():
                            return True

                        if self.c2900 is not None:
                            return True

                        if self.c6kxbar is not None and self.c6kxbar._has_data():
                            return True

                        if self.call_home is not None and self.call_home._has_data():
                            return True

                        if self.casa is not None:
                            return True

                        if self.ccme is not None:
                            return True

                        if self.cef is not None and self.cef._has_data():
                            return True

                        if self.channel is not None:
                            return True

                        if self.chassis is not None:
                            return True

                        if self.cluster is not None:
                            return True

                        if self.cnpd is not None:
                            return True

                        if self.config is not None:
                            return True

                        if self.config_copy is not None:
                            return True

                        if self.config_ctid is not None:
                            return True

                        if self.copy_config is not None:
                            return True

                        if self.cpu is not None and self.cpu._has_data():
                            return True

                        if self.cpu_threshold is not None:
                            return True

                        if self.csg is not None and self.csg._has_data():
                            return True

                        if self.deauthenticate is not None:
                            return True

                        if self.dial is not None:
                            return True

                        if self.director is not None:
                            return True

                        if self.disassociate is not None:
                            return True

                        if self.dlsw is not None:
                            return True

                        if self.dnis is not None:
                            return True

                        if self.dot11_qos is not None:
                            return True

                        if self.dot1x is not None and self.dot1x._has_data():
                            return True

                        if self.ds0_busyout is not None:
                            return True

                        if self.ds1 is not None:
                            return True

                        if self.ds1_loopback is not None:
                            return True

                        if self.ds3 is not None:
                            return True

                        if self.dsp is not None and self.dsp._has_data():
                            return True

                        if self.eigrp is not None:
                            return True

                        if self.energywise is not None and self.energywise._has_data():
                            return True

                        if self.entity is not None:
                            return True

                        if self.entity_diag is not None and self.entity_diag._has_data():
                            return True

                        if self.envmon is not None and self.envmon._has_data():
                            return True

                        if self.errdisable is not None and self.errdisable._has_data():
                            return True

                        if self.ether_oam is not None:
                            return True

                        if self.ethernet is not None and self.ethernet._has_data():
                            return True

                        if self.event_manager is not None:
                            return True

                        if self.firewall is not None and self.firewall._has_data():
                            return True

                        if self.flash is not None and self.flash._has_data():
                            return True

                        if self.flex_links is not None and self.flex_links._has_data():
                            return True

                        if self.flowmon is not None:
                            return True

                        if self.frame_relay is not None and self.frame_relay._has_data():
                            return True

                        if self.fru_ctrl is not None:
                            return True

                        if self.gatekeeper is not None:
                            return True

                        if self.hsrp is not None:
                            return True

                        if self.icsudsu is not None:
                            return True

                        if self.ike is not None and self.ike._has_data():
                            return True

                        if self.ima is not None:
                            return True

                        if self.ipmobile is not None:
                            return True

                        if self.ipmulticast is not None:
                            return True

                        if self.ipsec is not None and self.ipsec._has_data():
                            return True

                        if self.ipsla is not None:
                            return True

                        if self.isakmp is not None and self.isakmp._has_data():
                            return True

                        if self.isdn is not None and self.isdn._has_data():
                            return True

                        if self.isis is not None:
                            return True

                        if self.l2tc is not None and self.l2tc._has_data():
                            return True

                        if self.l2tun is not None and self.l2tun._has_data():
                            return True

                        if self.license is not None and self.license._has_data():
                            return True

                        if self.local_auth is not None:
                            return True

                        if self.mac_notification is not None and self.mac_notification._has_data():
                            return True

                        if self.mac_notification2 is not None and self.mac_notification2._has_data():
                            return True

                        if self.memory is not None and self.memory._has_data():
                            return True

                        if self.module is not None:
                            return True

                        if self.mpls is not None and self.mpls._has_data():
                            return True

                        if self.msdp is not None:
                            return True

                        if self.mvpn is not None:
                            return True

                        if self.nhrp is not None and self.nhrp._has_data():
                            return True

                        if self.ospf is not None and self.ospf._has_data():
                            return True

                        if self.ospfv3 is not None and self.ospfv3._has_data():
                            return True

                        if self.pim is not None and self.pim._has_data():
                            return True

                        if self.plogd is not None and self.plogd._has_data():
                            return True

                        if self.port_security is not None and self.port_security._has_data():
                            return True

                        if self.power_ethernet is not None and self.power_ethernet._has_data():
                            return True

                        if self.pppoe is not None:
                            return True

                        if self.pw is not None and self.pw._has_data():
                            return True

                        if self.rep is not None:
                            return True

                        if self.resource_policy is not None:
                            return True

                        if self.rf is not None:
                            return True

                        if self.rogue_ap is not None:
                            return True

                        if self.rsvp is not None:
                            return True

                        if self.rtr is not None:
                            return True

                        if self.slb is not None and self.slb._has_data():
                            return True

                        if self.snmp is not None and self.snmp._has_data():
                            return True

                        if self.sonet is not None:
                            return True

                        if self.srp is not None:
                            return True

                        if self.srst is not None:
                            return True

                        if self.stackwise is not None and self.stackwise._has_data():
                            return True

                        if self.stpx is not None and self.stpx._has_data():
                            return True

                        if self.stun is not None:
                            return True

                        if self.switch_over is not None:
                            return True

                        if self.syslog is not None:
                            return True

                        if self.transceiver is not None and self.transceiver._has_data():
                            return True

                        if self.trustsec is not None and self.trustsec._has_data():
                            return True

                        if self.trustsec_interface is not None and self.trustsec_interface._has_data():
                            return True

                        if self.trustsec_policy is not None and self.trustsec_policy._has_data():
                            return True

                        if self.trustsec_server is not None and self.trustsec_server._has_data():
                            return True

                        if self.trustsec_sxp is not None and self.trustsec_sxp._has_data():
                            return True

                        if self.tty is not None:
                            return True

                        if self.udld is not None and self.udld._has_data():
                            return True

                        if self.vlan_mac_limit is not None:
                            return True

                        if self.vlan_membership is not None:
                            return True

                        if self.vlancreate is not None:
                            return True

                        if self.vlandelete is not None:
                            return True

                        if self.voice is not None:
                            return True

                        if self.vrfmib is not None and self.vrfmib._has_data():
                            return True

                        if self.vrrp is not None:
                            return True

                        if self.vsimaster is not None:
                            return True

                        if self.vstack is not None and self.vstack._has_data():
                            return True

                        if self.vswitch is not None and self.vswitch._has_data():
                            return True

                        if self.vtp is not None:
                            return True

                        if self.wireless is not None and self.wireless._has_data():
                            return True

                        if self.wlan_wep is not None:
                            return True

                        if self.xgcp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SnmpServer.Enable.EnableChoice.Traps']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable/Cisco-IOS-XE-snmp:enable-choice'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.informs is not None:
                        return True

                    if self.traps is not None and self.traps._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SnmpServer.Enable.EnableChoice']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:enable'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.enable_choice is not None and self.enable_choice._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SnmpServer.Enable']['meta_info']


        class Engineid(object):
            """
            Configure a local or remote SNMPv3 engineID
            
            .. attribute:: local
            
            	engineID of the local agent
            	**type**\:  str
            
            	**length:** 1..24
            
            .. attribute:: remote
            
            	
            	**type**\:   :py:class:`Remote <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Engineid.Remote>`
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.local = None
                self.remote = Native.SnmpServer.Engineid.Remote()
                self.remote.parent = self


            class Remote(object):
                """
                
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:engineID/Cisco-IOS-XE-snmp:remote'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SnmpServer.Engineid.Remote']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:engineID'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.local is not None:
                    return True

                if self.remote is not None and self.remote._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SnmpServer.Engineid']['meta_info']


        class Group(object):
            """
            Define a User Security Model group
            
            .. attribute:: id  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: v1
            
            	
            	**type**\:   :py:class:`V1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Group.V1>`
            
            .. attribute:: v2c
            
            	
            	**type**\:   :py:class:`V2C <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Group.V2C>`
            
            .. attribute:: v3
            
            	group using the User Security Model (SNMPv3)
            	**type**\:   :py:class:`V3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Group.V3>`
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.id = None
                self.v1 = Native.SnmpServer.Group.V1()
                self.v1.parent = self
                self.v2c = Native.SnmpServer.Group.V2C()
                self.v2c.parent = self
                self.v3 = Native.SnmpServer.Group.V3()
                self.v3.parent = self


            class V1(object):
                """
                
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:v1'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SnmpServer.Group.V1']['meta_info']


            class V2C(object):
                """
                
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:v2c'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SnmpServer.Group.V2C']['meta_info']


            class V3(object):
                """
                group using the User Security Model (SNMPv3)
                
                .. attribute:: access
                
                	specify an access\-list associated with this group
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..99
                
                
                ----
                	**type**\:  str
                
                
                ----
                .. attribute:: context
                
                	specify a context to associate these views for the group
                	**type**\:  str
                
                .. attribute:: match
                
                	context name match criteria
                	**type**\:   :py:class:`MatchEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Group.V3.MatchEnum>`
                
                .. attribute:: notify
                
                	specify a notify view for the group
                	**type**\:  str
                
                .. attribute:: read
                
                	specify a read view for the group
                	**type**\:  str
                
                .. attribute:: security_level
                
                	
                	**type**\:   :py:class:`SecurityLevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Group.V3.SecurityLevelEnum>`
                
                .. attribute:: write
                
                	specify a write view for the group
                	**type**\:  str
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access = None
                    self.context = None
                    self.match = None
                    self.notify = None
                    self.read = None
                    self.security_level = None
                    self.write = None

                class MatchEnum(Enum):
                    """
                    MatchEnum

                    context name match criteria

                    .. data:: exact = 0

                    .. data:: prefix = 1

                    """

                    exact = 0

                    prefix = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SnmpServer.Group.V3.MatchEnum']


                class SecurityLevelEnum(Enum):
                    """
                    SecurityLevelEnum

                    .. data:: auth = 0

                    .. data:: noauth = 1

                    .. data:: priv = 2

                    """

                    auth = 0

                    noauth = 1

                    priv = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SnmpServer.Group.V3.SecurityLevelEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:v3'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access is not None:
                        return True

                    if self.context is not None:
                        return True

                    if self.match is not None:
                        return True

                    if self.notify is not None:
                        return True

                    if self.read is not None:
                        return True

                    if self.security_level is not None:
                        return True

                    if self.write is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SnmpServer.Group.V3']['meta_info']

            @property
            def _common_path(self):
                if self.id is None:
                    raise YPYModelError('Key property id is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:group[Cisco-IOS-XE-snmp:id = ' + str(self.id) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.id is not None:
                    return True

                if self.v1 is not None and self.v1._has_data():
                    return True

                if self.v2c is not None and self.v2c._has_data():
                    return True

                if self.v3 is not None and self.v3._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SnmpServer.Group']['meta_info']


        class Host(object):
            """
            Specify hosts to receive SNMP notifications
            
            .. attribute:: ip_address  <key>
            
            	
            	**type**\: one of the below types:
            
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            
            ----
            	**type**\:  str
            
            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
            
            
            ----
            
            ----
            	**type**\:  str
            
            	**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
            
            
            ----
            .. attribute:: community_string  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: informs
            
            	Send Inform messages to this host
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: security_level
            
            	
            	**type**\:   :py:class:`SecurityLevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Host.SecurityLevelEnum>`
            
            .. attribute:: trap_enable
            
            	
            	**type**\:   :py:class:`TrapEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Host.TrapEnable>`
            
            .. attribute:: traps
            
            	Send Trap messages to this host
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: version
            
            	SNMP version to use for notification messages
            	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Host.VersionEnum>`
            
            .. attribute:: vrf
            
            	VPN Routing instance for this host
            	**type**\:  str
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ip_address = None
                self.community_string = None
                self.informs = None
                self.security_level = None
                self.trap_enable = Native.SnmpServer.Host.TrapEnable()
                self.trap_enable.parent = self
                self.traps = None
                self.version = None
                self.vrf = None

            class SecurityLevelEnum(Enum):
                """
                SecurityLevelEnum

                .. data:: auth = 0

                .. data:: noauth = 1

                .. data:: priv = 2

                """

                auth = 0

                noauth = 1

                priv = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SnmpServer.Host.SecurityLevelEnum']


            class VersionEnum(Enum):
                """
                VersionEnum

                SNMP version to use for notification messages

                .. data:: Y_1 = 0

                .. data:: Y_2c = 1

                .. data:: Y_3 = 2

                """

                Y_1 = 0

                Y_2c = 1

                Y_3 = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SnmpServer.Host.VersionEnum']



            class TrapEnable(object):
                """
                
                
                .. attribute:: aaa_server
                
                	Allow SNMP AAA traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: alarms
                
                	Allow SNMP alarms traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: atm
                
                	Allow SNMP atm traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: bfd
                
                	Allow SNMP BFD traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: bgp
                
                	Allow BGP state change traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: bstun
                
                	Allow bstun event traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: bulkstat
                
                	Allow Data\-Collection\-MIB traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: call_home
                
                	Allow SNMP CISCO\-CALLHOME\-MIB traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: casa
                
                	Allow casa event traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: cef
                
                	Allows cef traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: cnpd
                
                	Allow NBAR Protocol Discovery traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: config
                
                	Allow SNMP config traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: config_copy
                
                	Allow SNMP config\-copy traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: config_ctid
                
                	Allow SNMP config\-ctid traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: cpu
                
                	Allow cpu related traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dhcp
                
                	Allow dhcp traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dlsw
                
                	Allow dlsw traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ds1
                
                	Allow SNMP ds1 traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dsp
                
                	Allow SNMP DSP traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dspu
                
                	Allow dspu event traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: eigrp
                
                	Allow SNMP EIGRP traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: entity
                
                	Allow SNMP entity traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: entity_diag
                
                	Allow SNMP CISCO\-ENTITY\-DIAG\-MIB traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: entity_qfp
                
                	Allow SNMP CISCO\-ENTITY\-QFP\-MIB traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: entity_state
                
                	Allow ENTITY\-STATE\-MIB traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ethernet_cfm
                
                	Allow SNMP Ethernet CFM traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: evc
                
                	Allow SNMP EVC traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: event_manager
                
                	Allow SNMP Embedded Event Manager traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: firewall
                
                	Allow SNMP Firewall traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: flash
                
                	Allow SNMP FLASH traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: flowmon
                
                	Allow SNMP flow monitor notifications
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: frame_relay
                
                	Allow SNMP frame\-relay traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: fru_ctrl
                
                	Allow entity FRU control traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: gdoi
                
                	Allows gdoi traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hsrp
                
                	Allow SNMP HSRP traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: iplocalpool
                
                	Allow SNMP IP Local Pool traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ipmulticast
                
                	Allow SNMP ipmulticast traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ipsec
                
                	Allow SNMP IPsec traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ipsla
                
                	Allow SNMP Host IP SLA traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: isakmp
                
                	Allow SNMP ISAKMP traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: isg_mib
                
                	Allow SNMP isgmib traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: isis
                
                	Allow IS\-IS traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: l2tun_pseudowire_status
                
                	Allow SNMP L2 pseudowire status traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: l2tun_session
                
                	Allow SNMP L2 session traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: license
                
                	Allow license traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: memory
                
                	Allow SNMP Mempool traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mpls_fast_reroute
                
                	Allow SNMP MPLS traffic engineering fast reroute traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mpls_ldp
                
                	Allow SNMP MPLS label distribution protocol traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mpls_traffic_eng
                
                	Allow SNMP MPLS traffic engineering traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mpls_vpn
                
                	Allow SNMP MPLS Virtual Private Network traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: msdp
                
                	Allow SNMP MSDP traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mvpn
                
                	Allow Multicast Virtual Private Network traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: nhrp
                
                	Allow SNMP NHRP traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ospf
                
                	Allow OSPF traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ospfv3
                
                	Allow OSPFv3 traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pfr
                
                	Allow SNMP PfR traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pim
                
                	Allow SNMP PIM traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pw_vc
                
                	Allow SNMP Pseudowire VC traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: resource_policy
                
                	Enable CISCO\-ERM\-MIB notifications
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: rf
                
                	Allow all SNMP traps defined in CISCO\-RF\-MIB
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: rsrb
                
                	Allow rsrb event traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: rsvp
                
                	Allow RSVP flow change traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: sdlc
                
                	Allow sdlc event traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: sdllc
                
                	Allow sdllc event traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: snmp
                
                	Allow SNMP\-type notifications
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: sonet
                
                	Allow SNMP SONET traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: srp
                
                	Allow SRP protocol traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: stun
                
                	Allow stun event traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: syslog
                
                	Allow SNMP syslog traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: trustsec_sxp
                
                	Allow SNMP CISCO\-TRUSTSEC\-SXP\-MIB traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: tty
                
                	Allow TCP connection traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: udp_port
                
                	The notification host's UDP port number (default port 162)
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: voice
                
                	Allow SNMP Voice traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vrfmib
                
                	Allow SNMP vrfmib traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vrrp
                
                	Allow SNMP vrrp traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: x25
                
                	Allow x25 event traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.aaa_server = None
                    self.alarms = None
                    self.atm = None
                    self.bfd = None
                    self.bgp = None
                    self.bstun = None
                    self.bulkstat = None
                    self.call_home = None
                    self.casa = None
                    self.cef = None
                    self.cnpd = None
                    self.config = None
                    self.config_copy = None
                    self.config_ctid = None
                    self.cpu = None
                    self.dhcp = None
                    self.dlsw = None
                    self.ds1 = None
                    self.dsp = None
                    self.dspu = None
                    self.eigrp = None
                    self.entity = None
                    self.entity_diag = None
                    self.entity_qfp = None
                    self.entity_state = None
                    self.ethernet_cfm = None
                    self.evc = None
                    self.event_manager = None
                    self.firewall = None
                    self.flash = None
                    self.flowmon = None
                    self.frame_relay = None
                    self.fru_ctrl = None
                    self.gdoi = None
                    self.hsrp = None
                    self.iplocalpool = None
                    self.ipmulticast = None
                    self.ipsec = None
                    self.ipsla = None
                    self.isakmp = None
                    self.isg_mib = None
                    self.isis = None
                    self.l2tun_pseudowire_status = None
                    self.l2tun_session = None
                    self.license = None
                    self.memory = None
                    self.mpls_fast_reroute = None
                    self.mpls_ldp = None
                    self.mpls_traffic_eng = None
                    self.mpls_vpn = None
                    self.msdp = None
                    self.mvpn = None
                    self.nhrp = None
                    self.ospf = None
                    self.ospfv3 = None
                    self.pfr = None
                    self.pim = None
                    self.pw_vc = None
                    self.resource_policy = None
                    self.rf = None
                    self.rsrb = None
                    self.rsvp = None
                    self.sdlc = None
                    self.sdllc = None
                    self.snmp = None
                    self.sonet = None
                    self.srp = None
                    self.stun = None
                    self.syslog = None
                    self.trustsec_sxp = None
                    self.tty = None
                    self.udp_port = None
                    self.voice = None
                    self.vrfmib = None
                    self.vrrp = None
                    self.x25 = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:trap-enable'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.aaa_server is not None:
                        return True

                    if self.alarms is not None:
                        return True

                    if self.atm is not None:
                        return True

                    if self.bfd is not None:
                        return True

                    if self.bgp is not None:
                        return True

                    if self.bstun is not None:
                        return True

                    if self.bulkstat is not None:
                        return True

                    if self.call_home is not None:
                        return True

                    if self.casa is not None:
                        return True

                    if self.cef is not None:
                        return True

                    if self.cnpd is not None:
                        return True

                    if self.config is not None:
                        return True

                    if self.config_copy is not None:
                        return True

                    if self.config_ctid is not None:
                        return True

                    if self.cpu is not None:
                        return True

                    if self.dhcp is not None:
                        return True

                    if self.dlsw is not None:
                        return True

                    if self.ds1 is not None:
                        return True

                    if self.dsp is not None:
                        return True

                    if self.dspu is not None:
                        return True

                    if self.eigrp is not None:
                        return True

                    if self.entity is not None:
                        return True

                    if self.entity_diag is not None:
                        return True

                    if self.entity_qfp is not None:
                        return True

                    if self.entity_state is not None:
                        return True

                    if self.ethernet_cfm is not None:
                        return True

                    if self.evc is not None:
                        return True

                    if self.event_manager is not None:
                        return True

                    if self.firewall is not None:
                        return True

                    if self.flash is not None:
                        return True

                    if self.flowmon is not None:
                        return True

                    if self.frame_relay is not None:
                        return True

                    if self.fru_ctrl is not None:
                        return True

                    if self.gdoi is not None:
                        return True

                    if self.hsrp is not None:
                        return True

                    if self.iplocalpool is not None:
                        return True

                    if self.ipmulticast is not None:
                        return True

                    if self.ipsec is not None:
                        return True

                    if self.ipsla is not None:
                        return True

                    if self.isakmp is not None:
                        return True

                    if self.isg_mib is not None:
                        return True

                    if self.isis is not None:
                        return True

                    if self.l2tun_pseudowire_status is not None:
                        return True

                    if self.l2tun_session is not None:
                        return True

                    if self.license is not None:
                        return True

                    if self.memory is not None:
                        return True

                    if self.mpls_fast_reroute is not None:
                        return True

                    if self.mpls_ldp is not None:
                        return True

                    if self.mpls_traffic_eng is not None:
                        return True

                    if self.mpls_vpn is not None:
                        return True

                    if self.msdp is not None:
                        return True

                    if self.mvpn is not None:
                        return True

                    if self.nhrp is not None:
                        return True

                    if self.ospf is not None:
                        return True

                    if self.ospfv3 is not None:
                        return True

                    if self.pfr is not None:
                        return True

                    if self.pim is not None:
                        return True

                    if self.pw_vc is not None:
                        return True

                    if self.resource_policy is not None:
                        return True

                    if self.rf is not None:
                        return True

                    if self.rsrb is not None:
                        return True

                    if self.rsvp is not None:
                        return True

                    if self.sdlc is not None:
                        return True

                    if self.sdllc is not None:
                        return True

                    if self.snmp is not None:
                        return True

                    if self.sonet is not None:
                        return True

                    if self.srp is not None:
                        return True

                    if self.stun is not None:
                        return True

                    if self.syslog is not None:
                        return True

                    if self.trustsec_sxp is not None:
                        return True

                    if self.tty is not None:
                        return True

                    if self.udp_port is not None:
                        return True

                    if self.voice is not None:
                        return True

                    if self.vrfmib is not None:
                        return True

                    if self.vrrp is not None:
                        return True

                    if self.x25 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SnmpServer.Host.TrapEnable']['meta_info']

            @property
            def _common_path(self):
                if self.ip_address is None:
                    raise YPYModelError('Key property ip_address is None')
                if self.community_string is None:
                    raise YPYModelError('Key property community_string is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:host[Cisco-IOS-XE-snmp:ip-address = ' + str(self.ip_address) + '][Cisco-IOS-XE-snmp:community-string = ' + str(self.community_string) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ip_address is not None:
                    return True

                if self.community_string is not None:
                    return True

                if self.informs is not None:
                    return True

                if self.security_level is not None:
                    return True

                if self.trap_enable is not None and self.trap_enable._has_data():
                    return True

                if self.traps is not None:
                    return True

                if self.version is not None:
                    return True

                if self.vrf is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SnmpServer.Host']['meta_info']


        class Ip(object):
            """
            IP ToS configuration for SNMP traffic
            
            .. attribute:: dscp
            
            	IP DSCP value for SNMP traffic
            	**type**\:  int
            
            	**range:** 0..63
            
            .. attribute:: precedence
            
            	IP Precedence value for SNMP traffic
            	**type**\:  int
            
            	**range:** 0..7
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.dscp = None
                self.precedence = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:ip'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.dscp is not None:
                    return True

                if self.precedence is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SnmpServer.Ip']['meta_info']


        class Ifindex(object):
            """
            Enable ifindex persistence
            
            .. attribute:: persist
            
            	Persist interface indices
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.persist = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:ifindex'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.persist is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SnmpServer.Ifindex']['meta_info']


        class Manager(object):
            """
            Modify SNMP manager parameters
            
            .. attribute:: session_timeout
            
            	Timeout value for destroying sessions
            	**type**\:  int
            
            	**range:** 10..2147483
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.session_timeout = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:manager'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.session_timeout is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SnmpServer.Manager']['meta_info']


        class SourceInterface(object):
            """
            Assign an source interface
            
            .. attribute:: informs
            
            	source interface for informs
            	**type**\:   :py:class:`Informs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface.Informs>`
            
            .. attribute:: traps
            
            	source interface for traps
            	**type**\:   :py:class:`Traps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface.Traps>`
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.informs = Native.SnmpServer.SourceInterface.Informs()
                self.informs.parent = self
                self.traps = Native.SnmpServer.SourceInterface.Traps()
                self.traps.parent = self


            class Informs(object):
                """
                source interface for informs
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\:  str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface.Informs.AtmAcrsubinterface>`
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface.Informs.AtmSubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\:  str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\:  str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\:  str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\:  str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\:  str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  int
                
                	**range:** 0..65520
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface.Informs.LispSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface.Informs.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\:  str
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\:  str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\:  str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.appnav_compress = None
                    self.appnav_uncompress = None
                    self.atm = None
                    self.atm_acr = None
                    self.atm_acrsubinterface = Native.SnmpServer.SourceInterface.Informs.AtmAcrsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self.atm_subinterface = Native.SnmpServer.SourceInterface.Informs.AtmSubinterface()
                    self.atm_subinterface.parent = self
                    self.bdi = None
                    self.cellular = None
                    self.cem = None
                    self.cem_acr = None
                    self.embedded_service_engine = None
                    self.fastethernet = None
                    self.gigabitethernet = None
                    self.lisp = None
                    self.lisp_subinterface = Native.SnmpServer.SourceInterface.Informs.LispSubinterface()
                    self.lisp_subinterface.parent = self
                    self.loopback = None
                    self.multilink = None
                    self.nve = None
                    self.overlay = None
                    self.port_channel = None
                    self.port_channel_subinterface = Native.SnmpServer.SourceInterface.Informs.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self.pseudowire = None
                    self.serial = None
                    self.sm = None
                    self.tengigabitethernet = None
                    self.tunnel = None
                    self.vasileft = None
                    self.vasiright = None
                    self.virtual_template = None
                    self.virtualportgroup = None
                    self.vlan = None


                class AtmSubinterface(object):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:source-interface/Cisco-IOS-XE-snmp:informs/Cisco-IOS-XE-snmp:ATM-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SnmpServer.SourceInterface.Informs.AtmSubinterface']['meta_info']


                class AtmAcrsubinterface(object):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm_acr = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:source-interface/Cisco-IOS-XE-snmp:informs/Cisco-IOS-XE-snmp:ATM-ACRsubinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm_acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SnmpServer.SourceInterface.Informs.AtmAcrsubinterface']['meta_info']


                class LispSubinterface(object):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.lisp = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:source-interface/Cisco-IOS-XE-snmp:informs/Cisco-IOS-XE-snmp:LISP-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.lisp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SnmpServer.SourceInterface.Informs.LispSubinterface']['meta_info']


                class PortChannelSubinterface(object):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.port_channel = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:source-interface/Cisco-IOS-XE-snmp:informs/Cisco-IOS-XE-snmp:Port-channel-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.port_channel is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SnmpServer.SourceInterface.Informs.PortChannelSubinterface']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:source-interface/Cisco-IOS-XE-snmp:informs'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.appnav_compress is not None:
                        return True

                    if self.appnav_uncompress is not None:
                        return True

                    if self.atm is not None:
                        return True

                    if self.atm_acr is not None:
                        return True

                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                        return True

                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                        return True

                    if self.bdi is not None:
                        return True

                    if self.cellular is not None:
                        return True

                    if self.cem is not None:
                        return True

                    if self.cem_acr is not None:
                        return True

                    if self.embedded_service_engine is not None:
                        return True

                    if self.fastethernet is not None:
                        return True

                    if self.gigabitethernet is not None:
                        return True

                    if self.lisp is not None:
                        return True

                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                        return True

                    if self.loopback is not None:
                        return True

                    if self.multilink is not None:
                        return True

                    if self.nve is not None:
                        return True

                    if self.overlay is not None:
                        return True

                    if self.port_channel is not None:
                        return True

                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                        return True

                    if self.pseudowire is not None:
                        return True

                    if self.serial is not None:
                        return True

                    if self.sm is not None:
                        return True

                    if self.tengigabitethernet is not None:
                        return True

                    if self.tunnel is not None:
                        return True

                    if self.vasileft is not None:
                        return True

                    if self.vasiright is not None:
                        return True

                    if self.virtual_template is not None:
                        return True

                    if self.virtualportgroup is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SnmpServer.SourceInterface.Informs']['meta_info']


            class Traps(object):
                """
                source interface for traps
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\:  str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface.Traps.AtmAcrsubinterface>`
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface.Traps.AtmSubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\:  str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\:  str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\:  str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\:  str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\:  str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  int
                
                	**range:** 0..65520
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface.Traps.LispSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface.Traps.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\:  str
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\:  str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\:  str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.appnav_compress = None
                    self.appnav_uncompress = None
                    self.atm = None
                    self.atm_acr = None
                    self.atm_acrsubinterface = Native.SnmpServer.SourceInterface.Traps.AtmAcrsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self.atm_subinterface = Native.SnmpServer.SourceInterface.Traps.AtmSubinterface()
                    self.atm_subinterface.parent = self
                    self.bdi = None
                    self.cellular = None
                    self.cem = None
                    self.cem_acr = None
                    self.embedded_service_engine = None
                    self.fastethernet = None
                    self.gigabitethernet = None
                    self.lisp = None
                    self.lisp_subinterface = Native.SnmpServer.SourceInterface.Traps.LispSubinterface()
                    self.lisp_subinterface.parent = self
                    self.loopback = None
                    self.multilink = None
                    self.nve = None
                    self.overlay = None
                    self.port_channel = None
                    self.port_channel_subinterface = Native.SnmpServer.SourceInterface.Traps.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self.pseudowire = None
                    self.serial = None
                    self.sm = None
                    self.tengigabitethernet = None
                    self.tunnel = None
                    self.vasileft = None
                    self.vasiright = None
                    self.virtual_template = None
                    self.virtualportgroup = None
                    self.vlan = None


                class AtmSubinterface(object):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:source-interface/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ATM-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SnmpServer.SourceInterface.Traps.AtmSubinterface']['meta_info']


                class AtmAcrsubinterface(object):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.atm_acr = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:source-interface/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:ATM-ACRsubinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.atm_acr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SnmpServer.SourceInterface.Traps.AtmAcrsubinterface']['meta_info']


                class LispSubinterface(object):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\:  str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.lisp = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:source-interface/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:LISP-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.lisp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SnmpServer.SourceInterface.Traps.LispSubinterface']['meta_info']


                class PortChannelSubinterface(object):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.port_channel = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:source-interface/Cisco-IOS-XE-snmp:traps/Cisco-IOS-XE-snmp:Port-channel-subinterface'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.port_channel is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SnmpServer.SourceInterface.Traps.PortChannelSubinterface']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:source-interface/Cisco-IOS-XE-snmp:traps'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.appnav_compress is not None:
                        return True

                    if self.appnav_uncompress is not None:
                        return True

                    if self.atm is not None:
                        return True

                    if self.atm_acr is not None:
                        return True

                    if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                        return True

                    if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                        return True

                    if self.bdi is not None:
                        return True

                    if self.cellular is not None:
                        return True

                    if self.cem is not None:
                        return True

                    if self.cem_acr is not None:
                        return True

                    if self.embedded_service_engine is not None:
                        return True

                    if self.fastethernet is not None:
                        return True

                    if self.gigabitethernet is not None:
                        return True

                    if self.lisp is not None:
                        return True

                    if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                        return True

                    if self.loopback is not None:
                        return True

                    if self.multilink is not None:
                        return True

                    if self.nve is not None:
                        return True

                    if self.overlay is not None:
                        return True

                    if self.port_channel is not None:
                        return True

                    if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                        return True

                    if self.pseudowire is not None:
                        return True

                    if self.serial is not None:
                        return True

                    if self.sm is not None:
                        return True

                    if self.tengigabitethernet is not None:
                        return True

                    if self.tunnel is not None:
                        return True

                    if self.vasileft is not None:
                        return True

                    if self.vasiright is not None:
                        return True

                    if self.virtual_template is not None:
                        return True

                    if self.virtualportgroup is not None:
                        return True

                    if self.vlan is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SnmpServer.SourceInterface.Traps']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:source-interface'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.informs is not None and self.informs._has_data():
                    return True

                if self.traps is not None and self.traps._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SnmpServer.SourceInterface']['meta_info']


        class Trap(object):
            """
            SNMP trap options
            
            .. attribute:: link
            
            	Assign/Enable SNMP link traps
            	**type**\:   :py:class:`Link <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Trap.Link>`
            
            .. attribute:: timeout
            
            	Set timeout for TRAP message retransmissions
            	**type**\:  int
            
            	**range:** 1..1000
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.link = Native.SnmpServer.Trap.Link()
                self.link.parent = self
                self.timeout = None


            class Link(object):
                """
                Assign/Enable SNMP link traps
                
                .. attribute:: ietf
                
                	Use IETF standard for SNMP traps
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: switchover
                
                	Enable link up/down traps during switchover
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ietf = None
                    self.switchover = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:trap/Cisco-IOS-XE-snmp:link'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ietf is not None:
                        return True

                    if self.switchover is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SnmpServer.Trap.Link']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:trap'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.link is not None and self.link._has_data():
                    return True

                if self.timeout is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SnmpServer.Trap']['meta_info']


        class TrapSource(object):
            """
            Assign an interface for the source address of all traps
            
            .. attribute:: appnav_compress
            
            	Service\-Context Virtual Interface Compress
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: appnav_uncompress
            
            	Service\-Context Virtual Interface UnCompress
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: atm
            
            	ATM interface
            	**type**\:  str
            
            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
            
            .. attribute:: atm_acr
            
            	ATM\-ACR interface
            	**type**\:  str
            
            	**pattern:** [0\-9]
            
            .. attribute:: atm_acrsubinterface
            
            	
            	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.TrapSource.AtmAcrsubinterface>`
            
            .. attribute:: atm_subinterface
            
            	
            	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.TrapSource.AtmSubinterface>`
            
            .. attribute:: bdi
            
            	Bridge\-Domain interface
            	**type**\:  str
            
            .. attribute:: cellular
            
            	Cellular Interface
            	**type**\:  str
            
            .. attribute:: cem
            
            	CEM interface
            	**type**\:  str
            
            	**pattern:** ([0\-9]/){2}[0\-9]
            
            .. attribute:: cem_acr
            
            	CEM\-ACR interface
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: embedded_service_engine
            
            	cisco embedded service engine module
            	**type**\:  str
            
            .. attribute:: fastethernet
            
            	FastEthernet IEEE 802.3
            	**type**\:  str
            
            .. attribute:: gigabitethernet
            
            	GigabitEthernet IEEE 802.3z
            	**type**\:  str
            
            .. attribute:: lisp
            
            	Locator/ID Separation Protocol Virtual Interface
            	**type**\:  int
            
            	**range:** 0..65520
            
            .. attribute:: lisp_subinterface
            
            	Locator/ID Separation Protocol Virtual Interface
            	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.TrapSource.LispSubinterface>`
            
            .. attribute:: loopback
            
            	Loopback interface
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: multilink
            
            	Multilink\-group interface
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: nve
            
            	Network virtualization endpoint interface
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: overlay
            
            	Overlay interface
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: port_channel
            
            	Ethernet Channel of interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: port_channel_subinterface
            
            	
            	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.TrapSource.PortChannelSubinterface>`
            
            .. attribute:: pseudowire
            
            	Pseudowire Interface
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: serial
            
            	Serial interface
            	**type**\:  str
            
            .. attribute:: sm
            
            	SM Interface
            	**type**\:  str
            
            .. attribute:: tengigabitethernet
            
            	Ten Gigabit Ethernet
            	**type**\:  str
            
            .. attribute:: tunnel
            
            	Tunnel interface
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: vasileft
            
            	vasileft
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: vasiright
            
            	vasiright
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: virtual_template
            
            	Virtual Template interface
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: virtualportgroup
            
            	Virtual Port Group
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: vlan
            
            	Iosxr Vlans
            	**type**\:  int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.appnav_compress = None
                self.appnav_uncompress = None
                self.atm = None
                self.atm_acr = None
                self.atm_acrsubinterface = Native.SnmpServer.TrapSource.AtmAcrsubinterface()
                self.atm_acrsubinterface.parent = self
                self.atm_subinterface = Native.SnmpServer.TrapSource.AtmSubinterface()
                self.atm_subinterface.parent = self
                self.bdi = None
                self.cellular = None
                self.cem = None
                self.cem_acr = None
                self.embedded_service_engine = None
                self.fastethernet = None
                self.gigabitethernet = None
                self.lisp = None
                self.lisp_subinterface = Native.SnmpServer.TrapSource.LispSubinterface()
                self.lisp_subinterface.parent = self
                self.loopback = None
                self.multilink = None
                self.nve = None
                self.overlay = None
                self.port_channel = None
                self.port_channel_subinterface = Native.SnmpServer.TrapSource.PortChannelSubinterface()
                self.port_channel_subinterface.parent = self
                self.pseudowire = None
                self.serial = None
                self.sm = None
                self.tengigabitethernet = None
                self.tunnel = None
                self.vasileft = None
                self.vasiright = None
                self.virtual_template = None
                self.virtualportgroup = None
                self.vlan = None


            class AtmSubinterface(object):
                """
                
                
                .. attribute:: atm
                
                	
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.atm = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:trap-source/Cisco-IOS-XE-snmp:ATM-subinterface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.atm is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SnmpServer.TrapSource.AtmSubinterface']['meta_info']


            class AtmAcrsubinterface(object):
                """
                
                
                .. attribute:: atm_acr
                
                	
                	**type**\:  str
                
                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.atm_acr = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:trap-source/Cisco-IOS-XE-snmp:ATM-ACRsubinterface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.atm_acr is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SnmpServer.TrapSource.AtmAcrsubinterface']['meta_info']


            class LispSubinterface(object):
                """
                Locator/ID Separation Protocol Virtual Interface
                
                .. attribute:: lisp
                
                	
                	**type**\:  str
                
                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.lisp = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:trap-source/Cisco-IOS-XE-snmp:LISP-subinterface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.lisp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SnmpServer.TrapSource.LispSubinterface']['meta_info']


            class PortChannelSubinterface(object):
                """
                
                
                .. attribute:: port_channel
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.port_channel = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:trap-source/Cisco-IOS-XE-snmp:Port-channel-subinterface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.port_channel is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SnmpServer.TrapSource.PortChannelSubinterface']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:trap-source'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.appnav_compress is not None:
                    return True

                if self.appnav_uncompress is not None:
                    return True

                if self.atm is not None:
                    return True

                if self.atm_acr is not None:
                    return True

                if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                    return True

                if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                    return True

                if self.bdi is not None:
                    return True

                if self.cellular is not None:
                    return True

                if self.cem is not None:
                    return True

                if self.cem_acr is not None:
                    return True

                if self.embedded_service_engine is not None:
                    return True

                if self.fastethernet is not None:
                    return True

                if self.gigabitethernet is not None:
                    return True

                if self.lisp is not None:
                    return True

                if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                    return True

                if self.loopback is not None:
                    return True

                if self.multilink is not None:
                    return True

                if self.nve is not None:
                    return True

                if self.overlay is not None:
                    return True

                if self.port_channel is not None:
                    return True

                if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                    return True

                if self.pseudowire is not None:
                    return True

                if self.serial is not None:
                    return True

                if self.sm is not None:
                    return True

                if self.tengigabitethernet is not None:
                    return True

                if self.tunnel is not None:
                    return True

                if self.vasileft is not None:
                    return True

                if self.vasiright is not None:
                    return True

                if self.virtual_template is not None:
                    return True

                if self.virtualportgroup is not None:
                    return True

                if self.vlan is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SnmpServer.TrapSource']['meta_info']


        class User(object):
            """
            Define a user who can access the SNMP engine
            
            .. attribute:: names
            
            	
            	**type**\: list of    :py:class:`Names <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.User.Names>`
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.names = YList()
                self.names.parent = self
                self.names.name = 'names'


            class Names(object):
                """
                
                
                .. attribute:: username  <key>
                
                	Name of the user
                	**type**\:  str
                
                .. attribute:: grpname  <key>
                
                	Group to which the user belongs
                	**type**\:  str
                
                .. attribute:: v3
                
                	user using the v3 security model
                	**type**\:   :py:class:`V3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.User.Names.V3>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.username = None
                    self.grpname = None
                    self.v3 = None


                class V3(object):
                    """
                    user using the v3 security model
                    
                    .. attribute:: auth
                    
                    	authentication parameters for the user
                    	**type**\:   :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.User.Names.V3.Auth>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.auth = Native.SnmpServer.User.Names.V3.Auth()
                        self.auth.parent = self


                    class Auth(object):
                        """
                        authentication parameters for the user
                        
                        .. attribute:: sha
                        
                        	Use HMAC SHA algorithm for authentication
                        	**type**\:   :py:class:`Sha <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.User.Names.V3.Auth.Sha>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.sha = Native.SnmpServer.User.Names.V3.Auth.Sha()
                            self.sha.parent = self


                        class Sha(object):
                            """
                            Use HMAC SHA algorithm for authentication
                            
                            .. attribute:: auth
                            
                            	
                            	**type**\:   :py:class:`Auth_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.auth = Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_()
                                self.auth.parent = self


                            class Auth_(object):
                                """
                                
                                
                                .. attribute:: authpass
                                
                                	authentication password for user
                                	**type**\:  str
                                
                                .. attribute:: priv
                                
                                	encryption parameters for the user
                                	**type**\:   :py:class:`Priv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv>`
                                
                                

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.authpass = None
                                    self.priv = Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv()
                                    self.priv.parent = self


                                class Priv(object):
                                    """
                                    encryption parameters for the user
                                    
                                    .. attribute:: aes
                                    
                                    	Use AES algorithm for encryption
                                    	**type**\:   :py:class:`Aes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes>`
                                    
                                    

                                    """

                                    _prefix = 'ios-snmp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.aes = Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes()
                                        self.aes.parent = self


                                    class Aes(object):
                                        """
                                        Use AES algorithm for encryption
                                        
                                        .. attribute:: algo128
                                        
                                        	Use 128 bit AES algorithm for encryption
                                        	**type**\:   :py:class:`Algo128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes.Algo128>`
                                        
                                        

                                        """

                                        _prefix = 'ios-snmp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.algo128 = Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes.Algo128()
                                            self.algo128.parent = self


                                        class Algo128(object):
                                            """
                                            Use 128 bit AES algorithm for encryption
                                            
                                            .. attribute:: privpass
                                            
                                            	
                                            	**type**\:   :py:class:`Privpass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes.Algo128.Privpass>`
                                            
                                            

                                            """

                                            _prefix = 'ios-snmp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.privpass = Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes.Algo128.Privpass()
                                                self.privpass.parent = self


                                            class Privpass(object):
                                                """
                                                
                                                
                                                .. attribute:: access
                                                
                                                	Access\-list name
                                                	**type**\:  str
                                                
                                                .. attribute:: privpass
                                                
                                                	privacy password for user
                                                	**type**\:  str
                                                
                                                

                                                """

                                                _prefix = 'ios-snmp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.access = None
                                                    self.privpass = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:privpass'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.access is not None:
                                                        return True

                                                    if self.privpass is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes.Algo128.Privpass']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-snmp:algo128'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.privpass is not None and self.privpass._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes.Algo128']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-snmp:aes'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.algo128 is not None and self.algo128._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv.Aes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-snmp:priv'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.aes is not None and self.aes._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_.Priv']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-snmp:auth'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.authpass is not None:
                                        return True

                                    if self.priv is not None and self.priv._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.SnmpServer.User.Names.V3.Auth.Sha.Auth_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-snmp:sha'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.auth is not None and self.auth._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SnmpServer.User.Names.V3.Auth.Sha']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-snmp:auth'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.sha is not None and self.sha._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SnmpServer.User.Names.V3.Auth']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-snmp:v3'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.auth is not None and self.auth._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SnmpServer.User.Names.V3']['meta_info']

                @property
                def _common_path(self):
                    if self.username is None:
                        raise YPYModelError('Key property username is None')
                    if self.grpname is None:
                        raise YPYModelError('Key property grpname is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:user/Cisco-IOS-XE-snmp:names[Cisco-IOS-XE-snmp:username = ' + str(self.username) + '][Cisco-IOS-XE-snmp:grpname = ' + str(self.grpname) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.username is not None:
                        return True

                    if self.grpname is not None:
                        return True

                    if self.v3 is not None and self.v3._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SnmpServer.User.Names']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:user'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.names is not None:
                    for child_ref in self.names:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SnmpServer.User']['meta_info']


        class View(object):
            """
            Define an SNMPv2 MIB view
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: mib  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: inc_exl
            
            	
            	**type**\:   :py:class:`IncExlEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.View.IncExlEnum>`
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.mib = None
                self.inc_exl = None

            class IncExlEnum(Enum):
                """
                IncExlEnum

                .. data:: excluded = 0

                .. data:: included = 1

                """

                excluded = 0

                included = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SnmpServer.View.IncExlEnum']


            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')
                if self.mib is None:
                    raise YPYModelError('Key property mib is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server/Cisco-IOS-XE-snmp:view[Cisco-IOS-XE-snmp:name = ' + str(self.name) + '][Cisco-IOS-XE-snmp:mib = ' + str(self.mib) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.mib is not None:
                    return True

                if self.inc_exl is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SnmpServer.View']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:snmp-server'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.chassis_id is not None:
                return True

            if self.community is not None:
                for child_ref in self.community:
                    if child_ref._has_data():
                        return True

            if self.contact is not None:
                return True

            if self.context is not None:
                for child_ref in self.context:
                    if child_ref._has_data():
                        return True

            if self.enable is not None and self.enable._has_data():
                return True

            if self.engineid is not None and self.engineid._has_data():
                return True

            if self.group is not None:
                for child_ref in self.group:
                    if child_ref._has_data():
                        return True

            if self.host is not None:
                for child_ref in self.host:
                    if child_ref._has_data():
                        return True

            if self.ifindex is not None and self.ifindex._has_data():
                return True

            if self.ip is not None and self.ip._has_data():
                return True

            if self.location is not None:
                return True

            if self.manager is not None and self.manager._has_data():
                return True

            if self.packetsize is not None:
                return True

            if self.queue_length is not None:
                return True

            if self.source_interface is not None and self.source_interface._has_data():
                return True

            if self.system_shutdown is not None:
                return True

            if self.tftp_server_list is not None:
                return True

            if self.trap is not None and self.trap._has_data():
                return True

            if self.trap_source is not None and self.trap_source._has_data():
                return True

            if self.user is not None and self.user._has_data():
                return True

            if self.view is not None:
                for child_ref in self.view:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.SnmpServer']['meta_info']


    class SegmentRouting(object):
        """
        Enter Segment Routing Mode
        
        .. attribute:: mpls
        
        	Segment Routing MPLS Mode
        	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.mpls = None


        class Mpls(object):
            """
            Segment Routing MPLS Mode
            
            .. attribute:: connected_prefix_sid_map
            
            	Enter Connected Prefix Sid Map  Mode
            	**type**\:   :py:class:`ConnectedPrefixSidMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap>`
            
            	**presence node**\: True
            
            .. attribute:: global_block
            
            	SR Global Block Config
            	**type**\:   :py:class:`GlobalBlock <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.GlobalBlock>`
            
            .. attribute:: mapping_server
            
            	Enter Segment Routing Mapping Server Mode
            	**type**\:   :py:class:`MappingServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer>`
            
            	**presence node**\: True
            
            .. attribute:: set_attributes
            
            	Enter SR Set Attributes  Mode
            	**type**\:   :py:class:`SetAttributes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.SetAttributes>`
            
            	**presence node**\: True
            
            .. attribute:: shutdown
            
            	SR Shutdown
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-segment-routing'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.connected_prefix_sid_map = None
                self.global_block = Native.SegmentRouting.Mpls.GlobalBlock()
                self.global_block.parent = self
                self.mapping_server = None
                self.set_attributes = None
                self.shutdown = None


            class ConnectedPrefixSidMap(object):
                """
                Enter Connected Prefix Sid Map  Mode
                
                .. attribute:: address_family
                
                	
                	**type**\:   :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-segment-routing'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.address_family = Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily()
                    self.address_family.parent = self


                class AddressFamily(object):
                    """
                    
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv4_strict_spf
                    
                    	
                    	**type**\:   :py:class:`Ipv4StrictSpf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf>`
                    
                    

                    """

                    _prefix = 'ios-segment-routing'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = None
                        self.ipv4_strict_spf = Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf()
                        self.ipv4_strict_spf.parent = self


                    class Ipv4(object):
                        """
                        
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-segment-routing'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.prefixes = YList()
                            self.prefixes.parent = self
                            self.prefixes.name = 'prefixes'


                        class Prefixes(object):
                            """
                            
                            
                            .. attribute:: ipprefix  <key>
                            
                            	
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            .. attribute:: absolute
                            
                            	
                            	**type**\:   :py:class:`Absolute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute>`
                            
                            .. attribute:: index
                            
                            	
                            	**type**\:   :py:class:`Index <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Index>`
                            
                            

                            """

                            _prefix = 'ios-segment-routing'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipprefix = None
                                self.absolute = Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute()
                                self.absolute.parent = self
                                self.index = Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Index()
                                self.index.parent = self


                            class Index(object):
                                """
                                
                                
                                .. attribute:: attach
                                
                                	
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: range
                                
                                	Range value
                                	**type**\:  int
                                
                                	**range:** 1..1048575
                                
                                .. attribute:: range_start
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..1048575
                                
                                

                                """

                                _prefix = 'ios-segment-routing'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.attach = None
                                    self.range = None
                                    self.range_start = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-segment-routing:index'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.attach is not None:
                                        return True

                                    if self.range is not None:
                                        return True

                                    if self.range_start is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Index']['meta_info']


                            class Absolute(object):
                                """
                                
                                
                                .. attribute:: range
                                
                                	Range value
                                	**type**\:  int
                                
                                	**range:** 1..1048575
                                
                                .. attribute:: range_start
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 0..1048575
                                
                                

                                """

                                _prefix = 'ios-segment-routing'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.range = None
                                    self.range_start = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-segment-routing:absolute'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.range is not None:
                                        return True

                                    if self.range_start is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute']['meta_info']

                            @property
                            def _common_path(self):
                                if self.ipprefix is None:
                                    raise YPYModelError('Key property ipprefix is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls/Cisco-IOS-XE-segment-routing:connected-prefix-sid-map/Cisco-IOS-XE-segment-routing:address-family/Cisco-IOS-XE-segment-routing:ipv4/Cisco-IOS-XE-segment-routing:prefixes[Cisco-IOS-XE-segment-routing:ipprefix = ' + str(self.ipprefix) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipprefix is not None:
                                    return True

                                if self.absolute is not None and self.absolute._has_data():
                                    return True

                                if self.index is not None and self.index._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls/Cisco-IOS-XE-segment-routing:connected-prefix-sid-map/Cisco-IOS-XE-segment-routing:address-family/Cisco-IOS-XE-segment-routing:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.prefixes is not None:
                                for child_ref in self.prefixes:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4']['meta_info']


                    class Ipv4StrictSpf(object):
                        """
                        
                        
                        .. attribute:: ipv4
                        
                        	Address Family
                        	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4>`
                        
                        

                        """

                        _prefix = 'ios-segment-routing'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4()
                            self.ipv4.parent = self


                        class Ipv4(object):
                            """
                            Address Family
                            
                            .. attribute:: strict_spf
                            
                            	
                            	**type**\:   :py:class:`StrictSpf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-segment-routing'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.strict_spf = None


                            class StrictSpf(object):
                                """
                                
                                
                                .. attribute:: prefixes
                                
                                	
                                	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-segment-routing'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.prefixes = YList()
                                    self.prefixes.parent = self
                                    self.prefixes.name = 'prefixes'


                                class Prefixes(object):
                                    """
                                    
                                    
                                    .. attribute:: ipprefix  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    .. attribute:: absolute
                                    
                                    	
                                    	**type**\:   :py:class:`Absolute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute>`
                                    
                                    .. attribute:: index
                                    
                                    	
                                    	**type**\:   :py:class:`Index <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index>`
                                    
                                    

                                    """

                                    _prefix = 'ios-segment-routing'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ipprefix = None
                                        self.absolute = Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute()
                                        self.absolute.parent = self
                                        self.index = Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index()
                                        self.index.parent = self


                                    class Index(object):
                                        """
                                        
                                        
                                        .. attribute:: attach
                                        
                                        	
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: range
                                        
                                        	Range value
                                        	**type**\:  int
                                        
                                        	**range:** 1..1048575
                                        
                                        .. attribute:: range_start
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..1048575
                                        
                                        

                                        """

                                        _prefix = 'ios-segment-routing'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.attach = None
                                            self.range = None
                                            self.range_start = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-segment-routing:index'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.attach is not None:
                                                return True

                                            if self.range is not None:
                                                return True

                                            if self.range_start is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index']['meta_info']


                                    class Absolute(object):
                                        """
                                        
                                        
                                        .. attribute:: range
                                        
                                        	Range value
                                        	**type**\:  int
                                        
                                        	**range:** 1..1048575
                                        
                                        .. attribute:: range_start
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 0..1048575
                                        
                                        

                                        """

                                        _prefix = 'ios-segment-routing'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.range = None
                                            self.range_start = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-segment-routing:absolute'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.range is not None:
                                                return True

                                            if self.range_start is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.ipprefix is None:
                                            raise YPYModelError('Key property ipprefix is None')

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls/Cisco-IOS-XE-segment-routing:connected-prefix-sid-map/Cisco-IOS-XE-segment-routing:address-family/Cisco-IOS-XE-segment-routing:ipv4-strict-spf/Cisco-IOS-XE-segment-routing:ipv4/Cisco-IOS-XE-segment-routing:strict-spf/Cisco-IOS-XE-segment-routing:prefixes[Cisco-IOS-XE-segment-routing:ipprefix = ' + str(self.ipprefix) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ipprefix is not None:
                                            return True

                                        if self.absolute is not None and self.absolute._has_data():
                                            return True

                                        if self.index is not None and self.index._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls/Cisco-IOS-XE-segment-routing:connected-prefix-sid-map/Cisco-IOS-XE-segment-routing:address-family/Cisco-IOS-XE-segment-routing:ipv4-strict-spf/Cisco-IOS-XE-segment-routing:ipv4/Cisco-IOS-XE-segment-routing:strict-spf'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.prefixes is not None:
                                        for child_ref in self.prefixes:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls/Cisco-IOS-XE-segment-routing:connected-prefix-sid-map/Cisco-IOS-XE-segment-routing:address-family/Cisco-IOS-XE-segment-routing:ipv4-strict-spf/Cisco-IOS-XE-segment-routing:ipv4'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.strict_spf is not None and self.strict_spf._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls/Cisco-IOS-XE-segment-routing:connected-prefix-sid-map/Cisco-IOS-XE-segment-routing:address-family/Cisco-IOS-XE-segment-routing:ipv4-strict-spf'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None and self.ipv4._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls/Cisco-IOS-XE-segment-routing:connected-prefix-sid-map/Cisco-IOS-XE-segment-routing:address-family'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        if self.ipv4_strict_spf is not None and self.ipv4_strict_spf._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls/Cisco-IOS-XE-segment-routing:connected-prefix-sid-map'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.address_family is not None and self.address_family._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SegmentRouting.Mpls.ConnectedPrefixSidMap']['meta_info']


            class GlobalBlock(object):
                """
                SR Global Block Config
                
                .. attribute:: range_end
                
                	SR GB Label Range End
                	**type**\:  int
                
                	**range:** 16..1048575
                
                .. attribute:: range_start
                
                	SR GB Label Range Start
                	**type**\:  int
                
                	**range:** 16..1048575
                
                

                """

                _prefix = 'ios-segment-routing'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.range_end = None
                    self.range_start = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls/Cisco-IOS-XE-segment-routing:global-block'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.range_end is not None:
                        return True

                    if self.range_start is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SegmentRouting.Mpls.GlobalBlock']['meta_info']


            class MappingServer(object):
                """
                Enter Segment Routing Mapping Server Mode
                
                .. attribute:: prefix_sid_map
                
                	Enter Mapping Server Sidmap Mode
                	**type**\:   :py:class:`PrefixSidMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap>`
                
                	**presence node**\: True
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-segment-routing'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.prefix_sid_map = None


                class PrefixSidMap(object):
                    """
                    Enter Mapping Server Sidmap Mode
                    
                    .. attribute:: address_family
                    
                    	
                    	**type**\:   :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-segment-routing'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.address_family = Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily()
                        self.address_family.parent = self


                    class AddressFamily(object):
                        """
                        
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ipv4_strict_spf
                        
                        	
                        	**type**\:   :py:class:`Ipv4StrictSpf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf>`
                        
                        

                        """

                        _prefix = 'ios-segment-routing'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None
                            self.ipv4_strict_spf = Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf()
                            self.ipv4_strict_spf.parent = self


                        class Ipv4(object):
                            """
                            
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-segment-routing'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.prefixes = YList()
                                self.prefixes.parent = self
                                self.prefixes.name = 'prefixes'


                            class Prefixes(object):
                                """
                                
                                
                                .. attribute:: ipprefix  <key>
                                
                                	
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                .. attribute:: absolute
                                
                                	
                                	**type**\:   :py:class:`Absolute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute>`
                                
                                .. attribute:: index
                                
                                	
                                	**type**\:   :py:class:`Index <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Index>`
                                
                                

                                """

                                _prefix = 'ios-segment-routing'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipprefix = None
                                    self.absolute = Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute()
                                    self.absolute.parent = self
                                    self.index = Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Index()
                                    self.index.parent = self


                                class Index(object):
                                    """
                                    
                                    
                                    .. attribute:: attach
                                    
                                    	
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: range
                                    
                                    	Range value
                                    	**type**\:  int
                                    
                                    	**range:** 1..1048575
                                    
                                    .. attribute:: range_start
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..1048575
                                    
                                    

                                    """

                                    _prefix = 'ios-segment-routing'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.attach = None
                                        self.range = None
                                        self.range_start = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-segment-routing:index'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.attach is not None:
                                            return True

                                        if self.range is not None:
                                            return True

                                        if self.range_start is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Index']['meta_info']


                                class Absolute(object):
                                    """
                                    
                                    
                                    .. attribute:: range
                                    
                                    	Range value
                                    	**type**\:  int
                                    
                                    	**range:** 1..1048575
                                    
                                    .. attribute:: range_start
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..1048575
                                    
                                    

                                    """

                                    _prefix = 'ios-segment-routing'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.range = None
                                        self.range_start = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-segment-routing:absolute'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.range is not None:
                                            return True

                                        if self.range_start is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.ipprefix is None:
                                        raise YPYModelError('Key property ipprefix is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls/Cisco-IOS-XE-segment-routing:mapping-server/Cisco-IOS-XE-segment-routing:prefix-sid-map/Cisco-IOS-XE-segment-routing:address-family/Cisco-IOS-XE-segment-routing:ipv4/Cisco-IOS-XE-segment-routing:prefixes[Cisco-IOS-XE-segment-routing:ipprefix = ' + str(self.ipprefix) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipprefix is not None:
                                        return True

                                    if self.absolute is not None and self.absolute._has_data():
                                        return True

                                    if self.index is not None and self.index._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls/Cisco-IOS-XE-segment-routing:mapping-server/Cisco-IOS-XE-segment-routing:prefix-sid-map/Cisco-IOS-XE-segment-routing:address-family/Cisco-IOS-XE-segment-routing:ipv4'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.prefixes is not None:
                                    for child_ref in self.prefixes:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4']['meta_info']


                        class Ipv4StrictSpf(object):
                            """
                            
                            
                            .. attribute:: ipv4
                            
                            	Address Family
                            	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4>`
                            
                            

                            """

                            _prefix = 'ios-segment-routing'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ipv4 = Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4()
                                self.ipv4.parent = self


                            class Ipv4(object):
                                """
                                Address Family
                                
                                .. attribute:: strict_spf
                                
                                	
                                	**type**\:   :py:class:`StrictSpf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-segment-routing'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.strict_spf = None


                                class StrictSpf(object):
                                    """
                                    
                                    
                                    .. attribute:: prefixes
                                    
                                    	
                                    	**type**\: list of    :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-segment-routing'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.prefixes = YList()
                                        self.prefixes.parent = self
                                        self.prefixes.name = 'prefixes'


                                    class Prefixes(object):
                                        """
                                        
                                        
                                        .. attribute:: ipprefix  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        .. attribute:: absolute
                                        
                                        	
                                        	**type**\:   :py:class:`Absolute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute>`
                                        
                                        .. attribute:: index
                                        
                                        	
                                        	**type**\:   :py:class:`Index <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index>`
                                        
                                        

                                        """

                                        _prefix = 'ios-segment-routing'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.ipprefix = None
                                            self.absolute = Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute()
                                            self.absolute.parent = self
                                            self.index = Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index()
                                            self.index.parent = self


                                        class Index(object):
                                            """
                                            
                                            
                                            .. attribute:: attach
                                            
                                            	
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: range
                                            
                                            	Range value
                                            	**type**\:  int
                                            
                                            	**range:** 1..1048575
                                            
                                            .. attribute:: range_start
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..1048575
                                            
                                            

                                            """

                                            _prefix = 'ios-segment-routing'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.attach = None
                                                self.range = None
                                                self.range_start = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-segment-routing:index'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.attach is not None:
                                                    return True

                                                if self.range is not None:
                                                    return True

                                                if self.range_start is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index']['meta_info']


                                        class Absolute(object):
                                            """
                                            
                                            
                                            .. attribute:: range
                                            
                                            	Range value
                                            	**type**\:  int
                                            
                                            	**range:** 1..1048575
                                            
                                            .. attribute:: range_start
                                            
                                            	
                                            	**type**\:  int
                                            
                                            	**range:** 0..1048575
                                            
                                            

                                            """

                                            _prefix = 'ios-segment-routing'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.range = None
                                                self.range_start = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-segment-routing:absolute'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.range is not None:
                                                    return True

                                                if self.range_start is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.ipprefix is None:
                                                raise YPYModelError('Key property ipprefix is None')

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls/Cisco-IOS-XE-segment-routing:mapping-server/Cisco-IOS-XE-segment-routing:prefix-sid-map/Cisco-IOS-XE-segment-routing:address-family/Cisco-IOS-XE-segment-routing:ipv4-strict-spf/Cisco-IOS-XE-segment-routing:ipv4/Cisco-IOS-XE-segment-routing:strict-spf/Cisco-IOS-XE-segment-routing:prefixes[Cisco-IOS-XE-segment-routing:ipprefix = ' + str(self.ipprefix) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.ipprefix is not None:
                                                return True

                                            if self.absolute is not None and self.absolute._has_data():
                                                return True

                                            if self.index is not None and self.index._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls/Cisco-IOS-XE-segment-routing:mapping-server/Cisco-IOS-XE-segment-routing:prefix-sid-map/Cisco-IOS-XE-segment-routing:address-family/Cisco-IOS-XE-segment-routing:ipv4-strict-spf/Cisco-IOS-XE-segment-routing:ipv4/Cisco-IOS-XE-segment-routing:strict-spf'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.prefixes is not None:
                                            for child_ref in self.prefixes:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls/Cisco-IOS-XE-segment-routing:mapping-server/Cisco-IOS-XE-segment-routing:prefix-sid-map/Cisco-IOS-XE-segment-routing:address-family/Cisco-IOS-XE-segment-routing:ipv4-strict-spf/Cisco-IOS-XE-segment-routing:ipv4'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.strict_spf is not None and self.strict_spf._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls/Cisco-IOS-XE-segment-routing:mapping-server/Cisco-IOS-XE-segment-routing:prefix-sid-map/Cisco-IOS-XE-segment-routing:address-family/Cisco-IOS-XE-segment-routing:ipv4-strict-spf'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ipv4 is not None and self.ipv4._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls/Cisco-IOS-XE-segment-routing:mapping-server/Cisco-IOS-XE-segment-routing:prefix-sid-map/Cisco-IOS-XE-segment-routing:address-family'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None and self.ipv4._has_data():
                                return True

                            if self.ipv4_strict_spf is not None and self.ipv4_strict_spf._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls/Cisco-IOS-XE-segment-routing:mapping-server/Cisco-IOS-XE-segment-routing:prefix-sid-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.address_family is not None and self.address_family._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls/Cisco-IOS-XE-segment-routing:mapping-server'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.prefix_sid_map is not None and self.prefix_sid_map._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SegmentRouting.Mpls.MappingServer']['meta_info']


            class SetAttributes(object):
                """
                Enter SR Set Attributes  Mode
                
                .. attribute:: address_family
                
                	Enter Address Family command mode
                	**type**\:   :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.SetAttributes.AddressFamily>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-segment-routing'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.address_family = Native.SegmentRouting.Mpls.SetAttributes.AddressFamily()
                    self.address_family.parent = self


                class AddressFamily(object):
                    """
                    Enter Address Family command mode
                    
                    .. attribute:: ipv4
                    
                    	Address Family
                    	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.SetAttributes.AddressFamily.Ipv4>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-segment-routing'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv4 = None


                    class Ipv4(object):
                        """
                        Address Family
                        
                        .. attribute:: explicit_null
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sr_label_preferred
                        
                        	
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-segment-routing'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.explicit_null = None
                            self.sr_label_preferred = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls/Cisco-IOS-XE-segment-routing:set-attributes/Cisco-IOS-XE-segment-routing:address-family/Cisco-IOS-XE-segment-routing:ipv4'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.explicit_null is not None:
                                return True

                            if self.sr_label_preferred is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SegmentRouting.Mpls.SetAttributes.AddressFamily.Ipv4']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls/Cisco-IOS-XE-segment-routing:set-attributes/Cisco-IOS-XE-segment-routing:address-family'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv4 is not None and self.ipv4._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SegmentRouting.Mpls.SetAttributes.AddressFamily']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls/Cisco-IOS-XE-segment-routing:set-attributes'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.address_family is not None and self.address_family._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SegmentRouting.Mpls.SetAttributes']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing/Cisco-IOS-XE-segment-routing:mpls'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.connected_prefix_sid_map is not None and self.connected_prefix_sid_map._has_data():
                    return True

                if self.global_block is not None and self.global_block._has_data():
                    return True

                if self.mapping_server is not None and self.mapping_server._has_data():
                    return True

                if self.set_attributes is not None and self.set_attributes._has_data():
                    return True

                if self.shutdown is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SegmentRouting.Mpls']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:segment-routing'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.mpls is not None and self.mpls._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.SegmentRouting']['meta_info']


    class License(object):
        """
        Configure license features
        
        .. attribute:: accept
        
        	
        	**type**\:   :py:class:`Accept <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Accept>`
        
        .. attribute:: boot
        
        	license boot config commands
        	**type**\:   :py:class:`Boot <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot>`
        
        .. attribute:: feature
        
        	License features
        	**type**\:   :py:class:`Feature <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Feature>`
        
        .. attribute:: smart
        
        	
        	**type**\:   :py:class:`SmartEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.SmartEnum>`
        
        .. attribute:: udi
        
        	
        	**type**\:   :py:class:`Udi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Udi>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.accept = Native.License.Accept()
            self.accept.parent = self
            self.boot = Native.License.Boot()
            self.boot.parent = self
            self.feature = Native.License.Feature()
            self.feature.parent = self
            self.smart = None
            self.udi = Native.License.Udi()
            self.udi.parent = self

        class SmartEnum(Enum):
            """
            SmartEnum

            .. data:: enable = 0

            """

            enable = 0


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.License.SmartEnum']



        class Udi(object):
            """
            
            
            .. attribute:: pid
            
            	
            	**type**\:  str
            
            .. attribute:: sn
            
            	
            	**type**\:  str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.pid = None
                self.sn = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:license/Cisco-IOS-XE-native:udi'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.pid is not None:
                    return True

                if self.sn is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.License.Udi']['meta_info']


        class Feature(object):
            """
            License features
            
            .. attribute:: name
            
            	
            	**type**\:  str
            
            .. attribute:: port
            
            	Enable Ports for IM
            	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Feature.Port>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.port = Native.License.Feature.Port()
                self.port.parent = self


            class Port(object):
                """
                Enable Ports for IM
                
                .. attribute:: b_6xonegig
                
                	Enable 6x1G port bundles
                	**type**\:  int
                
                	**range:** 1..2
                
                .. attribute:: bulk
                
                	Enable Bulk port licenes
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: onegig
                
                	Enable 1G port bundles
                	**type**\:  int
                
                	**range:** 1..2
                
                .. attribute:: tengig
                
                	Enable 10G port bundles
                	**type**\:  int
                
                	**range:** 1..2
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.b_6xonegig = None
                    self.bulk = None
                    self.onegig = None
                    self.tengig = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:license/Cisco-IOS-XE-native:feature/Cisco-IOS-XE-native:port'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.b_6xonegig is not None:
                        return True

                    if self.bulk is not None:
                        return True

                    if self.onegig is not None:
                        return True

                    if self.tengig is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.License.Feature.Port']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:license/Cisco-IOS-XE-native:feature'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.port is not None and self.port._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.License.Feature']['meta_info']


        class Accept(object):
            """
            
            
            .. attribute:: agreement
            
            	
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: end
            
            	
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: user
            
            	
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.agreement = None
                self.end = None
                self.user = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:license/Cisco-IOS-XE-native:accept'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.agreement is not None:
                    return True

                if self.end is not None:
                    return True

                if self.user is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.License.Accept']['meta_info']


        class Boot(object):
            """
            license boot config commands
            
            .. attribute:: boot_module
            
            	
            	**type**\:   :py:class:`BootModule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.BootModule>`
            
            .. attribute:: level
            
            	which level to boot
            	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.Level>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.boot_module = Native.License.Boot.BootModule()
                self.boot_module.parent = self
                self.level = Native.License.Boot.Level()
                self.level.parent = self


            class Level(object):
                """
                which level to boot
                
                .. attribute:: advancedmetroipaccess
                
                	Advanced Metro IP Access License Level
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: adventerprise
                
                	Adventerprise License Level
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: appx
                
                	Appx License Level
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: appxk9
                
                	Appxk9 License Level
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: entservices
                
                	Entservices License Level
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ipbase
                
                	ipbase level
                	**type**\:   :py:class:`Ipbase <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.Level.Ipbase>`
                
                	**presence node**\: True
                
                .. attribute:: ipbasek9
                
                	License Level IPBASEK9
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ipservices
                
                	ipservices level
                	**type**\:   :py:class:`Ipservices <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.Level.Ipservices>`
                
                	**presence node**\: True
                
                .. attribute:: ipservicesk9
                
                	ipservicesk9 level
                	**type**\:   :py:class:`Ipservicesk9 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.Level.Ipservicesk9>`
                
                	**presence node**\: True
                
                .. attribute:: lanbase
                
                	lanbase level
                	**type**\:   :py:class:`Lanbase <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.Level.Lanbase>`
                
                	**presence node**\: True
                
                .. attribute:: lanbasek9
                
                	License Level LANBASEK9
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: lite
                
                	lite level
                	**type**\:   :py:class:`Lite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.Level.Lite>`
                
                	**presence node**\: True
                
                .. attribute:: metroaccess
                
                	Metro Access License Level
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: metroaggrservices
                
                	metroaggrservices level
                	**type**\:   :py:class:`Metroaggrservices <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.Level.Metroaggrservices>`
                
                	**presence node**\: True
                
                .. attribute:: metroipaccess
                
                	Metro IP Access License Level
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: securityk9
                
                	Securityk9 License Level
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: uck9
                
                	Uck9 License Level
                	**type**\:   :py:class:`Uck9 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.Level.Uck9>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.advancedmetroipaccess = None
                    self.adventerprise = None
                    self.appx = None
                    self.appxk9 = None
                    self.entservices = None
                    self.ipbase = None
                    self.ipbasek9 = None
                    self.ipservices = None
                    self.ipservicesk9 = None
                    self.lanbase = None
                    self.lanbasek9 = None
                    self.lite = None
                    self.metroaccess = None
                    self.metroaggrservices = None
                    self.metroipaccess = None
                    self.securityk9 = None
                    self.uck9 = None


                class Ipbase(object):
                    """
                    ipbase level
                    
                    .. attribute:: switch
                    
                    	Switch license information
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.switch = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:license/Cisco-IOS-XE-native:boot/Cisco-IOS-XE-native:level/Cisco-IOS-XE-native:ipbase'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.switch is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.License.Boot.Level.Ipbase']['meta_info']


                class Ipservices(object):
                    """
                    ipservices level
                    
                    .. attribute:: switch
                    
                    	Switch license information
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.switch = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:license/Cisco-IOS-XE-native:boot/Cisco-IOS-XE-native:level/Cisco-IOS-XE-native:ipservices'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.switch is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.License.Boot.Level.Ipservices']['meta_info']


                class Ipservicesk9(object):
                    """
                    ipservicesk9 level
                    
                    .. attribute:: switch
                    
                    	Switch license information
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.switch = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:license/Cisco-IOS-XE-native:boot/Cisco-IOS-XE-native:level/Cisco-IOS-XE-native:ipservicesk9'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.switch is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.License.Boot.Level.Ipservicesk9']['meta_info']


                class Lanbase(object):
                    """
                    lanbase level
                    
                    .. attribute:: switch
                    
                    	Switch license information
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.switch = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:license/Cisco-IOS-XE-native:boot/Cisco-IOS-XE-native:level/Cisco-IOS-XE-native:lanbase'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.switch is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.License.Boot.Level.Lanbase']['meta_info']


                class Lite(object):
                    """
                    lite level
                    
                    .. attribute:: switch
                    
                    	Switch license information
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.switch = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:license/Cisco-IOS-XE-native:boot/Cisco-IOS-XE-native:level/Cisco-IOS-XE-native:lite'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.switch is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.License.Boot.Level.Lite']['meta_info']


                class Metroaggrservices(object):
                    """
                    metroaggrservices level
                    
                    .. attribute:: switch
                    
                    	Switch license information
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.switch = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:license/Cisco-IOS-XE-native:boot/Cisco-IOS-XE-native:level/Cisco-IOS-XE-native:metroaggrservices'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.switch is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.License.Boot.Level.Metroaggrservices']['meta_info']


                class Uck9(object):
                    """
                    Uck9 License Level
                    
                    .. attribute:: disable
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.disable = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:license/Cisco-IOS-XE-native:boot/Cisco-IOS-XE-native:level/Cisco-IOS-XE-native:uck9'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.disable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.License.Boot.Level.Uck9']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:license/Cisco-IOS-XE-native:boot/Cisco-IOS-XE-native:level'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.advancedmetroipaccess is not None:
                        return True

                    if self.adventerprise is not None:
                        return True

                    if self.appx is not None:
                        return True

                    if self.appxk9 is not None:
                        return True

                    if self.entservices is not None:
                        return True

                    if self.ipbase is not None and self.ipbase._has_data():
                        return True

                    if self.ipbasek9 is not None:
                        return True

                    if self.ipservices is not None and self.ipservices._has_data():
                        return True

                    if self.ipservicesk9 is not None and self.ipservicesk9._has_data():
                        return True

                    if self.lanbase is not None and self.lanbase._has_data():
                        return True

                    if self.lanbasek9 is not None:
                        return True

                    if self.lite is not None and self.lite._has_data():
                        return True

                    if self.metroaccess is not None:
                        return True

                    if self.metroaggrservices is not None and self.metroaggrservices._has_data():
                        return True

                    if self.metroipaccess is not None:
                        return True

                    if self.securityk9 is not None:
                        return True

                    if self.uck9 is not None and self.uck9._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.License.Boot.Level']['meta_info']


            class BootModule(object):
                """
                
                
                .. attribute:: module
                
                	
                	**type**\:   :py:class:`ModuleEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.BootModule.ModuleEnum>`
                
                .. attribute:: technology_package
                
                	
                	**type**\:   :py:class:`TechnologyPackage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.BootModule.TechnologyPackage>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.module = None
                    self.technology_package = Native.License.Boot.BootModule.TechnologyPackage()
                    self.technology_package.parent = self

                class ModuleEnum(Enum):
                    """
                    ModuleEnum

                    .. data:: c2900 = 0

                    """

                    c2900 = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.License.Boot.BootModule.ModuleEnum']



                class TechnologyPackage(object):
                    """
                    
                    
                    .. attribute:: datak9
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: securityk9
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: uck9
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.datak9 = None
                        self.securityk9 = None
                        self.uck9 = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:license/Cisco-IOS-XE-native:boot/Cisco-IOS-XE-native:boot-module/Cisco-IOS-XE-native:technology-package'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.datak9 is not None:
                            return True

                        if self.securityk9 is not None:
                            return True

                        if self.uck9 is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.License.Boot.BootModule.TechnologyPackage']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:license/Cisco-IOS-XE-native:boot/Cisco-IOS-XE-native:boot-module'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.module is not None:
                        return True

                    if self.technology_package is not None and self.technology_package._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.License.Boot.BootModule']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:license/Cisco-IOS-XE-native:boot'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.boot_module is not None and self.boot_module._has_data():
                    return True

                if self.level is not None and self.level._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.License.Boot']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:license'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.accept is not None and self.accept._has_data():
                return True

            if self.boot is not None and self.boot._has_data():
                return True

            if self.feature is not None and self.feature._has_data():
                return True

            if self.smart is not None:
                return True

            if self.udi is not None and self.udi._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.License']['meta_info']


    class MemorySize(object):
        """
        Adjust memory size by percentage
        
        .. attribute:: iomem
        
        	I/O memory
        	**type**\:  int
        
        	**range:** 5..25
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.iomem = None

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:memory-size'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.iomem is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.MemorySize']['meta_info']


    class Transceiver(object):
        """
        Select from transceiver configuration commands
        
        .. attribute:: type
        
        	type keyword
        	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Transceiver.Type>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.type = Native.Transceiver.Type()
            self.type.parent = self


        class Type(object):
            """
            type keyword
            
            .. attribute:: all
            
            	
            	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Transceiver.Type.All>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.all = Native.Transceiver.Type.All()
                self.all.parent = self


            class All(object):
                """
                
                
                .. attribute:: monitoring
                
                	Enable/disable monitoring
                	**type**\:   :py:class:`Monitoring <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Transceiver.Type.All.Monitoring>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.monitoring = None


                class Monitoring(object):
                    """
                    Enable/disable monitoring
                    
                    .. attribute:: interval
                    
                    	Set interval for monitoring
                    	**type**\:  int
                    
                    	**range:** 300..3600
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.interval = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:transceiver/Cisco-IOS-XE-native:type/Cisco-IOS-XE-native:all/Cisco-IOS-XE-native:monitoring'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.interval is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Transceiver.Type.All.Monitoring']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:transceiver/Cisco-IOS-XE-native:type/Cisco-IOS-XE-native:all'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.monitoring is not None and self.monitoring._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Transceiver.Type.All']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:transceiver/Cisco-IOS-XE-native:type'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.all is not None and self.all._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Transceiver.Type']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:transceiver'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.type is not None and self.type._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Transceiver']['meta_info']


    class ServiceInsertion(object):
        """
        Service Insertion mode
        
        .. attribute:: acg_reload_delay
        
        	Reload delay timer for ACG
        	**type**\:  int
        
        	**range:** 120..450
        
        .. attribute:: appnav_controller_group
        
        	AppNav Controller Group
        	**type**\: list of    :py:class:`AppnavControllerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceInsertion.AppnavControllerGroup>`
        
        .. attribute:: service_context
        
        	Service Context
        	**type**\:   :py:class:`ServiceContext <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceInsertion.ServiceContext>`
        
        .. attribute:: service_node_group
        
        	service node Group
        	**type**\: list of    :py:class:`ServiceNodeGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceInsertion.ServiceNodeGroup>`
        
        .. attribute:: swap
        
        	Swap src\-ip
        	**type**\:   :py:class:`Swap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceInsertion.Swap>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.acg_reload_delay = None
            self.appnav_controller_group = YList()
            self.appnav_controller_group.parent = self
            self.appnav_controller_group.name = 'appnav_controller_group'
            self.service_context = Native.ServiceInsertion.ServiceContext()
            self.service_context.parent = self
            self.service_node_group = YList()
            self.service_node_group.parent = self
            self.service_node_group.name = 'service_node_group'
            self.swap = Native.ServiceInsertion.Swap()
            self.swap.parent = self


        class AppnavControllerGroup(object):
            """
            AppNav Controller Group
            
            .. attribute:: group_name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: appnav_controller
            
            	AppNav controller
            	**type**\:  list of str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: description
            
            	ACG description
            	**type**\:  str
            
            

            """

            _prefix = 'ios-service-insertion'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.group_name = None
                self.appnav_controller = YLeafList()
                self.appnav_controller.parent = self
                self.appnav_controller.name = 'appnav_controller'
                self.description = None

            @property
            def _common_path(self):
                if self.group_name is None:
                    raise YPYModelError('Key property group_name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service-insertion/Cisco-IOS-XE-service-insertion:appnav-controller-group[Cisco-IOS-XE-service-insertion:group-name = ' + str(self.group_name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.group_name is not None:
                    return True

                if self.appnav_controller is not None:
                    for child in self.appnav_controller:
                        if child is not None:
                            return True

                if self.description is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ServiceInsertion.AppnavControllerGroup']['meta_info']


        class ServiceContext(object):
            """
            Service Context
            
            .. attribute:: waas
            
            	Service controller waas
            	**type**\: list of    :py:class:`Waas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceInsertion.ServiceContext.Waas>`
            
            

            """

            _prefix = 'ios-service-insertion'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.waas = YList()
                self.waas.parent = self
                self.waas.name = 'waas'


            class Waas(object):
                """
                Service controller waas
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: appnav_controller_group
                
                	AppNav Controller Group
                	**type**\:  str
                
                .. attribute:: authentication
                
                	Authentication key
                	**type**\:   :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceInsertion.ServiceContext.Waas.Authentication>`
                
                .. attribute:: enable
                
                	service context enable
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: service_node_group
                
                	service node Group
                	**type**\:  str
                
                .. attribute:: service_policy
                
                	Specify a service policy for the service context
                	**type**\:  str
                
                .. attribute:: vrf
                
                	VRF
                	**type**\:   :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceInsertion.ServiceContext.Waas.Vrf>`
                
                

                """

                _prefix = 'ios-service-insertion'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.appnav_controller_group = None
                    self.authentication = Native.ServiceInsertion.ServiceContext.Waas.Authentication()
                    self.authentication.parent = self
                    self.enable = None
                    self.service_node_group = None
                    self.service_policy = None
                    self.vrf = Native.ServiceInsertion.ServiceContext.Waas.Vrf()
                    self.vrf.parent = self


                class Authentication(object):
                    """
                    Authentication key
                    
                    .. attribute:: encrypt
                    
                    	
                    	**type**\:   :py:class:`EncryptEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceInsertion.ServiceContext.Waas.Authentication.EncryptEnum>`
                    
                    .. attribute:: key
                    
                    	Authentication Key
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sha1
                    
                    	Authentication type
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: string
                    
                    	
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-service-insertion'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.encrypt = None
                        self.key = None
                        self.sha1 = None
                        self.string = None

                    class EncryptEnum(Enum):
                        """
                        EncryptEnum

                        .. data:: Y_0 = 0

                        .. data:: Y_7 = 1

                        """

                        Y_0 = 0

                        Y_7 = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.ServiceInsertion.ServiceContext.Waas.Authentication.EncryptEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-service-insertion:authentication'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.encrypt is not None:
                            return True

                        if self.key is not None:
                            return True

                        if self.sha1 is not None:
                            return True

                        if self.string is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ServiceInsertion.ServiceContext.Waas.Authentication']['meta_info']


                class Vrf(object):
                    """
                    VRF
                    
                    .. attribute:: default
                    
                    	default
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: global_
                    
                    	global
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: name
                    
                    	vrf name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-service-insertion'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.default = None
                        self.global_ = None
                        self.name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-service-insertion:vrf'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.default is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ServiceInsertion.ServiceContext.Waas.Vrf']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service-insertion/Cisco-IOS-XE-service-insertion:service-context/Cisco-IOS-XE-service-insertion:waas[Cisco-IOS-XE-service-insertion:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.appnav_controller_group is not None:
                        return True

                    if self.authentication is not None and self.authentication._has_data():
                        return True

                    if self.enable is not None:
                        return True

                    if self.service_node_group is not None:
                        return True

                    if self.service_policy is not None:
                        return True

                    if self.vrf is not None and self.vrf._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ServiceInsertion.ServiceContext.Waas']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service-insertion/Cisco-IOS-XE-service-insertion:service-context'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.waas is not None:
                    for child_ref in self.waas:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ServiceInsertion.ServiceContext']['meta_info']


        class ServiceNodeGroup(object):
            """
            service node Group
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: description
            
            	Group Description
            	**type**\:  str
            
            .. attribute:: node_discovery
            
            	service node auto discovery
            	**type**\:   :py:class:`NodeDiscoveryEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceInsertion.ServiceNodeGroup.NodeDiscoveryEnum>`
            
            .. attribute:: service_node
            
            	service node
            	**type**\:  list of str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            

            """

            _prefix = 'ios-service-insertion'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.description = None
                self.node_discovery = None
                self.service_node = YLeafList()
                self.service_node.parent = self
                self.service_node.name = 'service_node'

            class NodeDiscoveryEnum(Enum):
                """
                NodeDiscoveryEnum

                service node auto discovery

                .. data:: enable = 0

                """

                enable = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ServiceInsertion.ServiceNodeGroup.NodeDiscoveryEnum']


            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service-insertion/Cisco-IOS-XE-service-insertion:service-node-group[Cisco-IOS-XE-service-insertion:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.description is not None:
                    return True

                if self.node_discovery is not None:
                    return True

                if self.service_node is not None:
                    for child in self.service_node:
                        if child is not None:
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ServiceInsertion.ServiceNodeGroup']['meta_info']


        class Swap(object):
            """
            Swap src\-ip
            
            .. attribute:: src_ip
            
            	Swap source\-ip of service\-insertion packets
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-service-insertion'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.src_ip = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service-insertion/Cisco-IOS-XE-service-insertion:swap'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.src_ip is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ServiceInsertion.Swap']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:service-insertion'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.acg_reload_delay is not None:
                return True

            if self.appnav_controller_group is not None:
                for child_ref in self.appnav_controller_group:
                    if child_ref._has_data():
                        return True

            if self.service_context is not None and self.service_context._has_data():
                return True

            if self.service_node_group is not None:
                for child_ref in self.service_node_group:
                    if child_ref._has_data():
                        return True

            if self.swap is not None and self.swap._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.ServiceInsertion']['meta_info']


    class Udld(object):
        """
        Configure global UDLD setting
        
        .. attribute:: aggressive
        
        	Enable UDLD protocol in aggressive mode on fiber ports exceptwhere locally configured
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: enable
        
        	Enable UDLD protocol on fiber ports except where locally configured
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: message
        
        	Set UDLD message parameters
        	**type**\:   :py:class:`Message <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Udld.Message>`
        
        .. attribute:: recovery
        
        	Enable timer to recover from udld error disable state
        	**type**\:   :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Udld.Recovery>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.aggressive = None
            self.enable = None
            self.message = Native.Udld.Message()
            self.message.parent = self
            self.recovery = None


        class Message(object):
            """
            Set UDLD message parameters
            
            .. attribute:: time
            
            	Set UDLD message time period
            	**type**\:  int
            
            	**range:** 1..90
            
            

            """

            _prefix = 'ios-udld'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.time = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:udld/Cisco-IOS-XE-udld:message'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.time is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Udld.Message']['meta_info']


        class Recovery(object):
            """
            Enable timer to recover from udld error disable state
            
            .. attribute:: interval
            
            	timer\-interval(sec)
            	**type**\:  int
            
            	**range:** 30..86400
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-udld'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.interval = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:udld/Cisco-IOS-XE-udld:recovery'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.interval is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Udld.Recovery']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:udld'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.aggressive is not None:
                return True

            if self.enable is not None:
                return True

            if self.message is not None and self.message._has_data():
                return True

            if self.recovery is not None and self.recovery._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Udld']['meta_info']


    class Wireless(object):
        """
        Configure wireless parameters
        
        .. attribute:: mdns_bridging
        
        	Enable Ethernet mDNS Support
        	**type**\:  bool
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.mdns_bridging = None

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:wireless'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.mdns_bridging is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Wireless']['meta_info']


    class Qos(object):
        """
        Global QoS configuration commands
        
        .. attribute:: account
        
        	Additional lengths to be accounted by QoS Features
        	**type**\:   :py:class:`Account <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.Account>`
        
        .. attribute:: control_packets
        
        	Enable QoS on control packets
        	**type**\:   :py:class:`ControlPackets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.ControlPackets>`
        
        	**presence node**\: True
        
        .. attribute:: diffservmib
        
        	RFC3289 support for QoS policy\-maps
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: preserve
        
        	Preserve packet header bits
        	**type**\:   :py:class:`Preserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.Preserve>`
        
        .. attribute:: queue_softmax_multiplier
        
        	global multiplier(%) for queue soft buffer maximal size
        	**type**\:   :py:class:`QueueSoftmaxMultiplier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.QueueSoftmaxMultiplier>`
        
        .. attribute:: trace
        
        	QoS trace log settings
        	**type**\:   :py:class:`Trace <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.Trace>`
        
        .. attribute:: _is_presence
        
        	Is present if this instance represents presence container else not
        	**type**\: bool
        
        

        This class is a :ref:`presence class<presence-class>`

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self._is_presence = True
            self.account = Native.Qos.Account()
            self.account.parent = self
            self.control_packets = None
            self.diffservmib = None
            self.preserve = Native.Qos.Preserve()
            self.preserve.parent = self
            self.queue_softmax_multiplier = Native.Qos.QueueSoftmaxMultiplier()
            self.queue_softmax_multiplier.parent = self
            self.trace = Native.Qos.Trace()
            self.trace.parent = self


        class Account(object):
            """
            Additional lengths to be accounted by QoS Features
            
            .. attribute:: layer2
            
            	Accounting Layer 2 headers
            	**type**\:   :py:class:`Layer2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.Account.Layer2>`
            
            .. attribute:: layer_all
            
            	All layers, including L1
            	**type**\:   :py:class:`LayerAll <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.Account.LayerAll>`
            
            

            """

            _prefix = 'ios-qos'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.layer2 = Native.Qos.Account.Layer2()
                self.layer2.parent = self
                self.layer_all = Native.Qos.Account.LayerAll()
                self.layer_all.parent = self


            class LayerAll(object):
                """
                All layers, including L1
                
                .. attribute:: encapsulation
                
                	Account Layer 1 Encapsulation when applying QoS features
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-qos'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.encapsulation = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:qos/Cisco-IOS-XE-qos:account/Cisco-IOS-XE-qos:layer-all'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.encapsulation is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Qos.Account.LayerAll']['meta_info']


            class Layer2(object):
                """
                Accounting Layer 2 headers
                
                .. attribute:: encapsulation
                
                	Account Layer 2 Encapsulation when applying QoS features
                	**type**\:   :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.Account.Layer2.Encapsulation>`
                
                

                """

                _prefix = 'ios-qos'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.encapsulation = Native.Qos.Account.Layer2.Encapsulation()
                    self.encapsulation.parent = self


                class Encapsulation(object):
                    """
                    Account Layer 2 Encapsulation when applying QoS features
                    
                    .. attribute:: arpa
                    
                    	ARPA Encapsulation Size (18 bytes)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dot1q
                    
                    	IEEE 802.1q Encapsulation Size (22 bytes)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: isl
                    
                    	ISL Encapsulation Size (48 bytes)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: length
                    
                    	Layer2 Encapsulation length in bytes
                    	**type**\:   :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.Account.Layer2.Encapsulation.Length>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-qos'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.arpa = None
                        self.dot1q = None
                        self.isl = None
                        self.length = None


                    class Length(object):
                        """
                        Layer2 Encapsulation length in bytes
                        
                        .. attribute:: byte_length
                        
                        	Layer2 Encapsulation length in bytes, <0\-0>
                        	**type**\:  int
                        
                        	**range:** \-128..127
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-qos'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.byte_length = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:qos/Cisco-IOS-XE-qos:account/Cisco-IOS-XE-qos:layer2/Cisco-IOS-XE-qos:encapsulation/Cisco-IOS-XE-qos:length'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.byte_length is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Qos.Account.Layer2.Encapsulation.Length']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:qos/Cisco-IOS-XE-qos:account/Cisco-IOS-XE-qos:layer2/Cisco-IOS-XE-qos:encapsulation'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.arpa is not None:
                            return True

                        if self.dot1q is not None:
                            return True

                        if self.isl is not None:
                            return True

                        if self.length is not None and self.length._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Qos.Account.Layer2.Encapsulation']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:qos/Cisco-IOS-XE-qos:account/Cisco-IOS-XE-qos:layer2'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.encapsulation is not None and self.encapsulation._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Qos.Account.Layer2']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:qos/Cisco-IOS-XE-qos:account'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.layer2 is not None and self.layer2._has_data():
                    return True

                if self.layer_all is not None and self.layer_all._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Qos.Account']['meta_info']


        class ControlPackets(object):
            """
            Enable QoS on control packets
            
            .. attribute:: bpdu_range
            
            	Enable QoS on BPDU\-range packets
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: cdp_vtp
            
            	Enable QoS on CDP and VTP packets
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: eapol
            
            	Enable QoS on EAPOL packets
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: lldp
            
            	Enable QoS on LLDP packets
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: protocol_tunnel
            
            	Enable QoS on protocol tunneled packets
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: sstp
            
            	Enable QoS on SSTP packets
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-qos'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.bpdu_range = None
                self.cdp_vtp = None
                self.eapol = None
                self.lldp = None
                self.protocol_tunnel = None
                self.sstp = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:qos/Cisco-IOS-XE-qos:control-packets'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.bpdu_range is not None:
                    return True

                if self.cdp_vtp is not None:
                    return True

                if self.eapol is not None:
                    return True

                if self.lldp is not None:
                    return True

                if self.protocol_tunnel is not None:
                    return True

                if self.sstp is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Qos.ControlPackets']['meta_info']


        class Preserve(object):
            """
            Preserve packet header bits
            
            .. attribute:: marking
            
            	Preserve cos/tos header bits
            	**type**\:   :py:class:`Marking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.Preserve.Marking>`
            
            .. attribute:: mpls
            
            	Preserve MPLS packet header bits
            	**type**\:   :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.Preserve.Mpls>`
            
            

            """

            _prefix = 'ios-qos'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.marking = Native.Qos.Preserve.Marking()
                self.marking.parent = self
                self.mpls = Native.Qos.Preserve.Mpls()
                self.mpls.parent = self


            class Marking(object):
                """
                Preserve cos/tos header bits
                
                .. attribute:: hipriority
                
                	Preserve marking in high priority generated control packets
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-qos'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.hipriority = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:qos/Cisco-IOS-XE-qos:preserve/Cisco-IOS-XE-qos:marking'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.hipriority is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Qos.Preserve.Marking']['meta_info']


            class Mpls(object):
                """
                Preserve MPLS packet header bits
                
                .. attribute:: exp
                
                	Preserve MPLS EXP packet header bits
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-qos'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.exp = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:qos/Cisco-IOS-XE-qos:preserve/Cisco-IOS-XE-qos:mpls'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.exp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Qos.Preserve.Mpls']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:qos/Cisco-IOS-XE-qos:preserve'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.marking is not None and self.marking._has_data():
                    return True

                if self.mpls is not None and self.mpls._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Qos.Preserve']['meta_info']


        class Trace(object):
            """
            QoS trace log settings
            
            .. attribute:: resize
            
            	resize trace log
            	**type**\:   :py:class:`Resize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.Trace.Resize>`
            
            

            """

            _prefix = 'ios-qos'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.resize = Native.Qos.Trace.Resize()
                self.resize.parent = self


            class Resize(object):
                """
                resize trace log
                
                .. attribute:: all
                
                	all trace logs
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: error
                
                	error trace log
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: event
                
                	event trace log
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: size
                
                	buffer size in bytes
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: warning
                
                	warning trace log
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                

                """

                _prefix = 'ios-qos'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.all = None
                    self.error = None
                    self.event = None
                    self.size = None
                    self.warning = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:qos/Cisco-IOS-XE-qos:trace/Cisco-IOS-XE-qos:resize'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.all is not None:
                        return True

                    if self.error is not None:
                        return True

                    if self.event is not None:
                        return True

                    if self.size is not None:
                        return True

                    if self.warning is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Qos.Trace.Resize']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:qos/Cisco-IOS-XE-qos:trace'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.resize is not None and self.resize._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Qos.Trace']['meta_info']


        class QueueSoftmaxMultiplier(object):
            """
            global multiplier(%) for queue soft buffer maximal size
            
            .. attribute:: value
            
            	multiplier(%) 100 \- 1200
            	**type**\:  int
            
            	**range:** 100..1200
            
            

            """

            _prefix = 'ios-qos'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.value = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:qos/Cisco-IOS-XE-qos:queue-softmax-multiplier'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.value is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Qos.QueueSoftmaxMultiplier']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:qos'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self._is_presence:
                return True
            if self.account is not None and self.account._has_data():
                return True

            if self.control_packets is not None and self.control_packets._has_data():
                return True

            if self.diffservmib is not None:
                return True

            if self.preserve is not None and self.preserve._has_data():
                return True

            if self.queue_softmax_multiplier is not None and self.queue_softmax_multiplier._has_data():
                return True

            if self.trace is not None and self.trace._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Qos']['meta_info']


    class TimeRange(object):
        """
        Define time range entries
        
        .. attribute:: word  <key>
        
        	
        	**type**\:  str
        
        .. attribute:: absolute
        
        	absolute time and date
        	**type**\:   :py:class:`Absolute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TimeRange.Absolute>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.word = None
            self.absolute = Native.TimeRange.Absolute()
            self.absolute.parent = self


        class Absolute(object):
            """
            absolute time and date
            
            .. attribute:: start
            
            	starting time and date
            	**type**\:   :py:class:`Start <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TimeRange.Absolute.Start>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.start = Native.TimeRange.Absolute.Start()
                self.start.parent = self


            class Start(object):
                """
                starting time and date
                
                .. attribute:: day_of_month
                
                	<1\-31>  Day of the month
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: month
                
                	Month of the year [eg\: Jan for January, Jun for June]
                	**type**\:  str
                
                .. attribute:: start_time
                
                	Starting time
                	**type**\:  str
                
                .. attribute:: year
                
                	Year
                	**type**\:  int
                
                	**range:** 1993..2035
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.day_of_month = None
                    self.month = None
                    self.start_time = None
                    self.year = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:start'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.day_of_month is not None:
                        return True

                    if self.month is not None:
                        return True

                    if self.start_time is not None:
                        return True

                    if self.year is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.TimeRange.Absolute.Start']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-native:absolute'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.start is not None and self.start._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.TimeRange.Absolute']['meta_info']

        @property
        def _common_path(self):
            if self.word is None:
                raise YPYModelError('Key property word is None')

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:time-range[Cisco-IOS-XE-native:word = ' + str(self.word) + ']'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.word is not None:
                return True

            if self.absolute is not None and self.absolute._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.TimeRange']['meta_info']


    class DeviceTracking(object):
        """
        Device tracking configuration commands
        
        .. attribute:: policy
        
        	Configure a policy for feature device\-tracking
        	**type**\: list of    :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceTracking.Policy>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.policy = YList()
            self.policy.parent = self
            self.policy.name = 'policy'


        class Policy(object):
            """
            Configure a policy for feature device\-tracking
            
            .. attribute:: word  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: device_role
            
            	Sets the role of the device attached to the port
            	**type**\:   :py:class:`DeviceRole <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceTracking.Policy.DeviceRole>`
            
            .. attribute:: limit
            
            	Specifies a limit
            	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceTracking.Policy.Limit>`
            
            .. attribute:: protocol
            
            	Set the protocol to glean (default all)
            	**type**\:   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceTracking.Policy.Protocol>`
            
            .. attribute:: security_level
            
            	setup security level
            	**type**\:   :py:class:`SecurityLevel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceTracking.Policy.SecurityLevel>`
            
            .. attribute:: tracking
            
            	Override default tracking behavior
            	**type**\:   :py:class:`Tracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceTracking.Policy.Tracking>`
            
            

            """

            _prefix = 'ios-dt'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.word = None
                self.device_role = Native.DeviceTracking.Policy.DeviceRole()
                self.device_role.parent = self
                self.limit = Native.DeviceTracking.Policy.Limit()
                self.limit.parent = self
                self.protocol = Native.DeviceTracking.Policy.Protocol()
                self.protocol.parent = self
                self.security_level = Native.DeviceTracking.Policy.SecurityLevel()
                self.security_level.parent = self
                self.tracking = Native.DeviceTracking.Policy.Tracking()
                self.tracking.parent = self


            class DeviceRole(object):
                """
                Sets the role of the device attached to the port
                
                .. attribute:: node
                
                	
                	**type**\:  bool
                
                	**default value**\: true
                
                .. attribute:: switch
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-dt'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.node = None
                    self.switch = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-device-tracking:device-role'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.node is not None:
                        return True

                    if self.switch is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.DeviceTracking.Policy.DeviceRole']['meta_info']


            class Protocol(object):
                """
                Set the protocol to glean (default all)
                
                .. attribute:: arp
                
                	Glean addresses in ARP packets
                	**type**\:  bool
                
                .. attribute:: dhcp4
                
                	Glean addresses in DHCPv4 packets
                	**type**\:  bool
                
                .. attribute:: dhcp6
                
                	Glean addresses in DHCPv6 packets
                	**type**\:  bool
                
                .. attribute:: ndp
                
                	Glean addresses in NDP packets
                	**type**\:  bool
                
                .. attribute:: udp
                
                	
                	**type**\:  bool
                
                

                """

                _prefix = 'ios-dt'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.arp = None
                    self.dhcp4 = None
                    self.dhcp6 = None
                    self.ndp = None
                    self.udp = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-device-tracking:protocol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.arp is not None:
                        return True

                    if self.dhcp4 is not None:
                        return True

                    if self.dhcp6 is not None:
                        return True

                    if self.ndp is not None:
                        return True

                    if self.udp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.DeviceTracking.Policy.Protocol']['meta_info']


            class Tracking(object):
                """
                Override default tracking behavior
                
                .. attribute:: tracking_on_off
                
                	Tracking on or off
                	**type**\:   :py:class:`TrackingOnOffEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceTracking.Policy.Tracking.TrackingOnOffEnum>`
                
                

                """

                _prefix = 'ios-dt'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.tracking_on_off = None

                class TrackingOnOffEnum(Enum):
                    """
                    TrackingOnOffEnum

                    Tracking on or off

                    .. data:: enable = 0

                    .. data:: disable = 1

                    """

                    enable = 0

                    disable = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.DeviceTracking.Policy.Tracking.TrackingOnOffEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-device-tracking:tracking'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.tracking_on_off is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.DeviceTracking.Policy.Tracking']['meta_info']


            class Limit(object):
                """
                Specifies a limit
                
                .. attribute:: address_count
                
                	Configure maximum address per port
                	**type**\:  int
                
                	**range:** 1..32000
                
                

                """

                _prefix = 'ios-dt'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.address_count = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-device-tracking:limit'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.address_count is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.DeviceTracking.Policy.Limit']['meta_info']


            class SecurityLevel(object):
                """
                setup security level
                
                .. attribute:: glean
                
                	glean addresses passively
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-dt'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.glean = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-device-tracking:security-level'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.glean is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.DeviceTracking.Policy.SecurityLevel']['meta_info']

            @property
            def _common_path(self):
                if self.word is None:
                    raise YPYModelError('Key property word is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:device-tracking/Cisco-IOS-XE-device-tracking:policy[Cisco-IOS-XE-device-tracking:word = ' + str(self.word) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.word is not None:
                    return True

                if self.device_role is not None and self.device_role._has_data():
                    return True

                if self.limit is not None and self.limit._has_data():
                    return True

                if self.protocol is not None and self.protocol._has_data():
                    return True

                if self.security_level is not None and self.security_level._has_data():
                    return True

                if self.tracking is not None and self.tracking._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.DeviceTracking.Policy']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:device-tracking'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.policy is not None:
                for child_ref in self.policy:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.DeviceTracking']['meta_info']


    class Fhrp(object):
        """
        Configure First Hop Redundancy Protocols
        
        .. attribute:: version
        
        	Configure which FHRP version is allowed to run
        	**type**\:   :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fhrp.Version>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.version = Native.Fhrp.Version()
            self.version.parent = self


        class Version(object):
            """
            Configure which FHRP version is allowed to run
            
            .. attribute:: vrrp
            
            	Configure Virtual Router Rendundancy Protocol
            	**type**\:   :py:class:`VrrpEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fhrp.Version.VrrpEnum>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.vrrp = None

            class VrrpEnum(Enum):
                """
                VrrpEnum

                Configure Virtual Router Rendundancy Protocol

                .. data:: v2 = 0

                .. data:: v3 = 1

                """

                v2 = 0

                v3 = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Fhrp.Version.VrrpEnum']


            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:fhrp/Cisco-IOS-XE-native:version'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.vrrp is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Fhrp.Version']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:fhrp'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.version is not None and self.version._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Fhrp']['meta_info']


    class Metadata(object):
        """
        Metadata Application
        
        .. attribute:: flow
        
        	Enable Metadata Flow Handling
        	**type**\:   :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Metadata.Flow>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.flow = None


        class Flow(object):
            """
            Enable Metadata Flow Handling
            
            .. attribute:: transmit
            
            	Enable Metadata Flow Transmit 
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.transmit = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:metadata/Cisco-IOS-XE-native:flow'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.transmit is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Metadata.Flow']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:metadata'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.flow is not None and self.flow._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Metadata']['meta_info']


    class Profile(object):
        """
        MSP Profile
        
        .. attribute:: flow
        
        	MSP Profile Flow
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.flow = None

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:profile'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.flow is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Profile']['meta_info']


    class Alias(object):
        """
        Create command alias
        
        .. attribute:: exec_
        
        	Exec mode
        	**type**\:   :py:class:`Exec_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Alias.Exec_>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.exec_ = Native.Alias.Exec_()
            self.exec_.parent = self


        class Exec_(object):
            """
            Exec mode
            
            .. attribute:: alias_name
            
            	
            	**type**\:  str
            
            .. attribute:: new_alias_name
            
            	
            	**type**\:  str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.alias_name = None
                self.new_alias_name = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:alias/Cisco-IOS-XE-native:exec'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.alias_name is not None:
                    return True

                if self.new_alias_name is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Alias.Exec_']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:alias'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.exec_ is not None and self.exec_._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Alias']['meta_info']


    class Line(object):
        """
        Configure a terminal line
        
        .. attribute:: aux
        
        	Auxiliary line
        	**type**\: list of    :py:class:`Aux <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux>`
        
        .. attribute:: console
        
        	Primary terminal line
        	**type**\: list of    :py:class:`Console <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console>`
        
        .. attribute:: line_list
        
        	
        	**type**\: list of    :py:class:`LineList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList>`
        
        .. attribute:: vty
        
        	Virtual terminal
        	**type**\: list of    :py:class:`Vty <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.aux = YList()
            self.aux.parent = self
            self.aux.name = 'aux'
            self.console = YList()
            self.console.parent = self
            self.console.name = 'console'
            self.line_list = YList()
            self.line_list.parent = self
            self.line_list.name = 'line_list'
            self.vty = YList()
            self.vty.parent = self
            self.vty.name = 'vty'


        class LineList(object):
            """
            
            
            .. attribute:: first_number  <key>
            
            	First Line number
            	**type**\:  int
            
            	**range:** 0..17
            
            .. attribute:: access_class
            
            	Filter connections based on an IP access list
            	**type**\:   :py:class:`AccessClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.AccessClass>`
            
            .. attribute:: activation_character
            
            	Define the activation character
            	**type**\: one of the below types:
            
            	**type**\:  str
            
            
            ----
            	**type**\:  int
            
            	**range:** 0..127
            
            
            ----
            .. attribute:: authorization
            
            	Authorization parameters
            	**type**\:   :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Authorization>`
            
            .. attribute:: autocommand
            
            	Automatically execute an EXEC command
            	**type**\:   :py:class:`Autocommand <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Autocommand>`
            
            .. attribute:: autocommand_options
            
            	Autocommand options
            	**type**\:   :py:class:`AutocommandOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.AutocommandOptions>`
            
            	**presence node**\: True
            
            .. attribute:: data_character_bits
            
            	Bits per character
            	**type**\:  int
            
            	**range:** 7..8
            
            .. attribute:: databits
            
            	Set number of data bits per character
            	**type**\:   :py:class:`Databits <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Databits>`
            
            .. attribute:: domain_lookup
            
            	Enable domain lookups in show commands
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: editing
            
            	Enable command line editing
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: escape_character
            
            	Change the current line's escape character
            	**type**\:   :py:class:`EscapeCharacter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.EscapeCharacter>`
            
            .. attribute:: exec_
            
            	
            	**type**\:   :py:class:`Exec_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Exec_>`
            
            .. attribute:: exec_banner
            
            	Enable the display of the EXEC banner
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: exec_character_bits
            
            	Bits per character
            	**type**\:  int
            
            	**range:** 7..8
            
            .. attribute:: exec_timeout
            
            	Set the EXEC timeout
            	**type**\:   :py:class:`ExecTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.ExecTimeout>`
            
            .. attribute:: flowcontrol
            
            	Set the flow control
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Flowcontrol>`
            
            .. attribute:: full_help
            
            	Provide help to unprivileged user
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: history
            
            	Enable and control the command history function
            	**type**\:   :py:class:`History <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.History>`
            
            	**presence node**\: True
            
            .. attribute:: international
            
            	Enable international 8\-bit character support
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: ip
            
            	IP options
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Ip>`
            
            .. attribute:: ipv6
            
            	
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Ipv6>`
            
            .. attribute:: last_number
            
            	
            	**type**\:  int
            
            	**range:** 1..17
            
            .. attribute:: length
            
            	Set number of lines on a screen
            	**type**\:  int
            
            	**range:** 0..512
            
            .. attribute:: line
            
            	
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: location
            
            	One text line describing the terminal's location
            	**type**\:  str
            
            .. attribute:: logging
            
            	Modify message logging facilities
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Logging>`
            
            .. attribute:: login
            
            	Enable password checking
            	**type**\:   :py:class:`Login <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Login>`
            
            	**presence node**\: True
            
            .. attribute:: media_type
            
            	Console connection media type
            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.MediaType>`
            
            .. attribute:: modem
            
            	Configure the Modem Control Lines
            	**type**\:   :py:class:`Modem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Modem>`
            
            .. attribute:: monitor
            
            	Copy debug output to the current terminal line
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: motd_banner
            
            	Enable the display of the MOTD banner
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: no_activation_character
            
            	
            	**type**\:  bool
            
            .. attribute:: no_exec
            
            	
            	**type**\:   :py:class:`NoExec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.NoExec>`
            
            .. attribute:: notify
            
            	Inform users of output from concurrent sessions
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: padding
            
            	Set padding for a specified output character
            	**type**\:   :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Padding>`
            
            .. attribute:: parity
            
            	Set terminal parity
            	**type**\:   :py:class:`Parity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Parity>`
            
            .. attribute:: password
            
            	Set a password
            	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Password>`
            
            .. attribute:: prc
            
            	PRC commands
            	**type**\:   :py:class:`Prc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Prc>`
            
            .. attribute:: privilege
            
            	Change privilege level for line
            	**type**\:   :py:class:`Privilege <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Privilege>`
            
            .. attribute:: refuse_message
            
            	c refuse\-text c, where 'c' is a delimiting character
            	**type**\:  str
            
            .. attribute:: rotary
            
            	Rotary group to add line to
            	**type**\:  int
            
            	**range:** 1..99
            
            .. attribute:: rxspeed
            
            	Receive speed
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: session_timeout
            
            	Set interval for closing connection when there is no input traffic
            	**type**\:   :py:class:`SessionTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.SessionTimeout>`
            
            .. attribute:: special_character_bits
            
            	Bits per character
            	**type**\:  int
            
            	**range:** 7..8
            
            .. attribute:: speed
            
            	Transmit and receive speeds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: start_character
            
            	Define the start character
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 0..255
            
            
            ----
            	**type**\:  str
            
            
            ----
            .. attribute:: stop_character
            
            	Define the stop character
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 0..255
            
            
            ----
            	**type**\:  str
            
            
            ----
            .. attribute:: stopbits
            
            	Set async line stop bits
            	**type**\:   :py:class:`StopbitsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.StopbitsEnum>`
            
            .. attribute:: telnet
            
            	Telnet protocol\-specific configuration
            	**type**\:   :py:class:`Telnet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Telnet>`
            
            .. attribute:: terminal_type
            
            	Terminal type
            	**type**\:  str
            
            .. attribute:: timeout
            
            	Timeouts for the line
            	**type**\:   :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Timeout>`
            
            .. attribute:: transport
            
            	Define transport protocols for line
            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Transport>`
            
            .. attribute:: txspeed
            
            	Transmit speed
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: usb_inactivity_timeout
            
            	Inactivity timeout for USB media type
            	**type**\:   :py:class:`UsbInactivityTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.UsbInactivityTimeout>`
            
            .. attribute:: vacant_message
            
            	Define a vacant banner
            	**type**\:   :py:class:`VacantMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.VacantMessage>`
            
            	**presence node**\: True
            
            .. attribute:: width
            
            	Number of characters on a screen line
            	**type**\:  int
            
            	**range:** 0..512
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.first_number = None
                self.access_class = Native.Line.LineList.AccessClass()
                self.access_class.parent = self
                self.activation_character = None
                self.authorization = Native.Line.LineList.Authorization()
                self.authorization.parent = self
                self.autocommand = Native.Line.LineList.Autocommand()
                self.autocommand.parent = self
                self.autocommand_options = None
                self.data_character_bits = None
                self.databits = Native.Line.LineList.Databits()
                self.databits.parent = self
                self.domain_lookup = None
                self.editing = None
                self.escape_character = Native.Line.LineList.EscapeCharacter()
                self.escape_character.parent = self
                self.exec_ = Native.Line.LineList.Exec_()
                self.exec_.parent = self
                self.exec_banner = None
                self.exec_character_bits = None
                self.exec_timeout = Native.Line.LineList.ExecTimeout()
                self.exec_timeout.parent = self
                self.flowcontrol = Native.Line.LineList.Flowcontrol()
                self.flowcontrol.parent = self
                self.full_help = None
                self.history = None
                self.international = None
                self.ip = Native.Line.LineList.Ip()
                self.ip.parent = self
                self.ipv6 = Native.Line.LineList.Ipv6()
                self.ipv6.parent = self
                self.last_number = None
                self.length = None
                self.line = None
                self.location = None
                self.logging = Native.Line.LineList.Logging()
                self.logging.parent = self
                self.login = None
                self.media_type = Native.Line.LineList.MediaType()
                self.media_type.parent = self
                self.modem = Native.Line.LineList.Modem()
                self.modem.parent = self
                self.monitor = None
                self.motd_banner = None
                self.no_activation_character = None
                self.no_exec = Native.Line.LineList.NoExec()
                self.no_exec.parent = self
                self.notify = None
                self.padding = Native.Line.LineList.Padding()
                self.padding.parent = self
                self.parity = Native.Line.LineList.Parity()
                self.parity.parent = self
                self.password = Native.Line.LineList.Password()
                self.password.parent = self
                self.prc = Native.Line.LineList.Prc()
                self.prc.parent = self
                self.privilege = Native.Line.LineList.Privilege()
                self.privilege.parent = self
                self.refuse_message = None
                self.rotary = None
                self.rxspeed = None
                self.session_timeout = Native.Line.LineList.SessionTimeout()
                self.session_timeout.parent = self
                self.special_character_bits = None
                self.speed = None
                self.start_character = None
                self.stop_character = None
                self.stopbits = None
                self.telnet = Native.Line.LineList.Telnet()
                self.telnet.parent = self
                self.terminal_type = None
                self.timeout = Native.Line.LineList.Timeout()
                self.timeout.parent = self
                self.transport = Native.Line.LineList.Transport()
                self.transport.parent = self
                self.txspeed = None
                self.usb_inactivity_timeout = Native.Line.LineList.UsbInactivityTimeout()
                self.usb_inactivity_timeout.parent = self
                self.vacant_message = None
                self.width = None

            class StopbitsEnum(Enum):
                """
                StopbitsEnum

                Set async line stop bits

                .. data:: Y_1 = 0

                .. data:: Y_1__DOT__5 = 1

                .. data:: Y_2 = 2

                """

                Y_1 = 0

                Y_1__DOT__5 = 1

                Y_2 = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.StopbitsEnum']



            class Authorization(object):
                """
                Authorization parameters
                
                .. attribute:: command
                
                	For exec (shell) commands
                	**type**\:   :py:class:`Command <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Authorization.Command>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.command = Native.Line.LineList.Authorization.Command()
                    self.command.parent = self


                class Command(object):
                    """
                    For exec (shell) commands
                    
                    .. attribute:: auth_name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: enable_level
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..15
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auth_name = None
                        self.enable_level = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:command'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auth_name is not None:
                            return True

                        if self.enable_level is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.LineList.Authorization.Command']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:authorization'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.command is not None and self.command._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.Authorization']['meta_info']


            class AccessClass(object):
                """
                Filter connections based on an IP access list
                
                .. attribute:: acccess_list
                
                	
                	**type**\: list of    :py:class:`AcccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.AccessClass.AcccessList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.acccess_list = YList()
                    self.acccess_list.parent = self
                    self.acccess_list.name = 'acccess_list'


                class AcccessList(object):
                    """
                    
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.AccessClass.AcccessList.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..199 \| 1300..2699
                    
                    	**mandatory**\: True
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    	**mandatory**\: True
                    
                    
                    ----
                    .. attribute:: vrf_also
                    
                    	Same access list is applied for all VRFs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None
                        self.vrf_also = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.LineList.AccessClass.AcccessList.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:acccess-list[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        if self.vrf_also is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.LineList.AccessClass.AcccessList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-class'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.acccess_list is not None:
                        for child_ref in self.acccess_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.AccessClass']['meta_info']


            class Autocommand(object):
                """
                Automatically execute an EXEC command
                
                .. attribute:: line
                
                	Appropriate EXEC command
                	**type**\:  str
                
                .. attribute:: no_suppress_linenumber
                
                	Display service linenumber message
                	**type**\:   :py:class:`NoSuppressLinenumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Autocommand.NoSuppressLinenumber>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.line = None
                    self.no_suppress_linenumber = None


                class NoSuppressLinenumber(object):
                    """
                    Display service linenumber message
                    
                    .. attribute:: line
                    
                    	Appropriate EXEC command
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.line = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-suppress-linenumber'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.line is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.LineList.Autocommand.NoSuppressLinenumber']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:autocommand'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.line is not None:
                        return True

                    if self.no_suppress_linenumber is not None and self.no_suppress_linenumber._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.Autocommand']['meta_info']


            class AutocommandOptions(object):
                """
                Autocommand options
                
                .. attribute:: abort_character
                
                	Autocommand abort character
                	**type**\:   :py:class:`AbortCharacter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.AutocommandOptions.AbortCharacter>`
                
                	**presence node**\: True
                
                .. attribute:: delay
                
                	Delay autocommand execution
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.AutocommandOptions.Delay>`
                
                	**presence node**\: True
                
                .. attribute:: nohangup
                
                	No hangup after autocommand completion
                	**type**\:   :py:class:`Nohangup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.AutocommandOptions.Nohangup>`
                
                	**presence node**\: True
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.abort_character = None
                    self.delay = None
                    self.nohangup = None


                class AbortCharacter(object):
                    """
                    Autocommand abort character
                    
                    .. attribute:: character
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.character = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:abort-character'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.character is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.LineList.AutocommandOptions.AbortCharacter']['meta_info']


                class Delay(object):
                    """
                    Delay autocommand execution
                    
                    .. attribute:: time
                    
                    	Time in seconds
                    	**type**\:  int
                    
                    	**range:** 0..120
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.time = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.LineList.AutocommandOptions.Delay']['meta_info']


                class Nohangup(object):
                    """
                    No hangup after autocommand completion
                    
                    .. attribute:: abort_character
                    
                    	Autocommand abort character
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: delay
                    
                    	Delay autocommand execution
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.abort_character = None
                        self.delay = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nohangup'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.abort_character is not None:
                            return True

                        if self.delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.LineList.AutocommandOptions.Nohangup']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:autocommand-options'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.abort_character is not None and self.abort_character._has_data():
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.nohangup is not None and self.nohangup._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.AutocommandOptions']['meta_info']


            class Databits(object):
                """
                Set number of data bits per character
                
                .. attribute:: set_to_5
                
                	Number of data bits
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_6
                
                	Number of data bits
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_7
                
                	Number of data bits
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_8
                
                	Number of data bits
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.set_to_5 = None
                    self.set_to_6 = None
                    self.set_to_7 = None
                    self.set_to_8 = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:databits'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.set_to_5 is not None:
                        return True

                    if self.set_to_6 is not None:
                        return True

                    if self.set_to_7 is not None:
                        return True

                    if self.set_to_8 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.Databits']['meta_info']


            class EscapeCharacter(object):
                """
                Change the current line's escape character
                
                .. attribute:: char
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 0..255
                
                
                ----
                	**type**\:   :py:class:`CharEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.EscapeCharacter.CharEnum>`
                
                
                ----
                	**type**\:  str
                
                
                ----
                .. attribute:: soft
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.char = None
                    self.soft = None

                class CharEnum(Enum):
                    """
                    CharEnum

                    .. data:: BREAK = 0

                    .. data:: DEFAULT = 1

                    .. data:: NONE = 2

                    """

                    BREAK = 0

                    DEFAULT = 1

                    NONE = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.LineList.EscapeCharacter.CharEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:escape-character'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.char is not None:
                        return True

                    if self.soft is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.EscapeCharacter']['meta_info']


            class NoExec(object):
                """
                
                
                .. attribute:: exec_
                
                	Configure EXEC
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.exec_ = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:no-exec'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.exec_ is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.NoExec']['meta_info']


            class Exec_(object):
                """
                
                
                .. attribute:: prompt
                
                	
                	**type**\:   :py:class:`Prompt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Exec_.Prompt>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.prompt = Native.Line.LineList.Exec_.Prompt()
                    self.prompt.parent = self


                class Prompt(object):
                    """
                    
                    
                    .. attribute:: timestamp
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.timestamp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:prompt'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.timestamp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.LineList.Exec_.Prompt']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:exec'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.prompt is not None and self.prompt._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.Exec_']['meta_info']


            class ExecTimeout(object):
                """
                Set the EXEC timeout
                
                .. attribute:: minutes
                
                	<0\-35791>;;Timeout in minutes
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: seconds
                
                	<0\-2147483>;;Timeout in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.minutes = None
                    self.seconds = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:exec-timeout'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.minutes is not None:
                        return True

                    if self.seconds is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.ExecTimeout']['meta_info']


            class Flowcontrol(object):
                """
                Set the flow control
                
                .. attribute:: hardware
                
                	Set hardware flow control
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: none
                
                	Set no flow control
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: software
                
                	Set software flow control
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.hardware = None
                    self.none = None
                    self.software = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.hardware is not None:
                        return True

                    if self.none is not None:
                        return True

                    if self.software is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.Flowcontrol']['meta_info']


            class History(object):
                """
                Enable and control the command history function
                
                .. attribute:: size
                
                	Set history buffer size
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.size = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:history'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.size is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.History']['meta_info']


            class Ip(object):
                """
                IP options
                
                .. attribute:: netmask_format
                
                	Change display of netmasks
                	**type**\:   :py:class:`NetmaskFormat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Ip.NetmaskFormat>`
                
                	**presence node**\: True
                
                .. attribute:: tcp
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.netmask_format = None
                    self.tcp = None


                class NetmaskFormat(object):
                    """
                    Change display of netmasks
                    
                    .. attribute:: format
                    
                    	
                    	**type**\:   :py:class:`FormatEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Ip.NetmaskFormat.FormatEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.format = None

                    class FormatEnum(Enum):
                        """
                        FormatEnum

                        .. data:: bit_count = 0

                        .. data:: decimal = 1

                        .. data:: hexadecimal = 2

                        """

                        bit_count = 0

                        decimal = 1

                        hexadecimal = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.LineList.Ip.NetmaskFormat.FormatEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:netmask-format'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.format is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.LineList.Ip.NetmaskFormat']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.netmask_format is not None and self.netmask_format._has_data():
                        return True

                    if self.tcp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.Ip']['meta_info']


            class Ipv6(object):
                """
                
                
                .. attribute:: access_class
                
                	
                	**type**\:   :py:class:`AccessClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Ipv6.AccessClass>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_class = Native.Line.LineList.Ipv6.AccessClass()
                    self.access_class.parent = self


                class AccessClass(object):
                    """
                    
                    
                    .. attribute:: access_class
                    
                    	
                    	**type**\: list of    :py:class:`AccessClass_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Ipv6.AccessClass.AccessClass_>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access_class = YList()
                        self.access_class.parent = self
                        self.access_class.name = 'access_class'


                    class AccessClass_(object):
                        """
                        
                        
                        .. attribute:: access_class_name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: enumeration_in_out
                        
                        	
                        	**type**\:   :py:class:`EnumerationInOutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Ipv6.AccessClass.AccessClass_.EnumerationInOutEnum>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.access_class_name = None
                            self.enumeration_in_out = None

                        class EnumerationInOutEnum(Enum):
                            """
                            EnumerationInOutEnum

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = 0

                            out = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Line.LineList.Ipv6.AccessClass.AccessClass_.EnumerationInOutEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.access_class_name is None:
                                raise YPYModelError('Key property access_class_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:access-class[Cisco-IOS-XE-native:access-class-name = ' + str(self.access_class_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.access_class_name is not None:
                                return True

                            if self.enumeration_in_out is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.LineList.Ipv6.AccessClass.AccessClass_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-class'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access_class is not None:
                            for child_ref in self.access_class:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.LineList.Ipv6.AccessClass']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_class is not None and self.access_class._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.Ipv6']['meta_info']


            class Logging(object):
                """
                Modify message logging facilities
                
                .. attribute:: synchronous
                
                	Synchronized message output
                	**type**\:   :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Logging.Synchronous>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.synchronous = None


                class Synchronous(object):
                    """
                    Synchronized message output
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:synchronous'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.LineList.Logging.Synchronous']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.synchronous is not None and self.synchronous._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.Logging']['meta_info']


            class Login(object):
                """
                Enable password checking
                
                .. attribute:: authentication
                
                	
                	**type**\:  str
                
                .. attribute:: local
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.authentication = None
                    self.local = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:login'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.authentication is not None:
                        return True

                    if self.local is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.Login']['meta_info']


            class MediaType(object):
                """
                Console connection media type
                
                .. attribute:: rj45
                
                	Console connection set to RJ45
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.rj45 = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:media-type'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.rj45 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.MediaType']['meta_info']


            class Modem(object):
                """
                Configure the Modem Control Lines
                
                .. attribute:: answer_timeout
                
                	Set interval between raising DTR and CTS response
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: cts_alarm
                
                	Alarm device which only uses CTS for call control
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dialin
                
                	Configure line for a modern dial\-in modem
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dtr_active
                
                	Leave DTR low unless line has an active incoming connection or EXEC
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dtr_delay
                
                	Set interval during which DTR is held low
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host
                
                	Devices that expect an incoming modem call
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: inout
                
                	Configure line for incoming AND outgoing use of modem
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: printer
                
                	Devices that require DSR/CD active
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.answer_timeout = None
                    self.cts_alarm = None
                    self.dialin = None
                    self.dtr_active = None
                    self.dtr_delay = None
                    self.host = None
                    self.inout = None
                    self.printer = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:modem'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.answer_timeout is not None:
                        return True

                    if self.cts_alarm is not None:
                        return True

                    if self.dialin is not None:
                        return True

                    if self.dtr_active is not None:
                        return True

                    if self.dtr_delay is not None:
                        return True

                    if self.host is not None:
                        return True

                    if self.inout is not None:
                        return True

                    if self.printer is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.Modem']['meta_info']


            class Padding(object):
                """
                Set padding for a specified output character
                
                .. attribute:: character
                
                	Character to be padded
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 0..127
                
                
                ----
                	**type**\:  str
                
                
                ----
                .. attribute:: null
                
                	
                	**type**\:  int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.character = None
                    self.null = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:padding'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.character is not None:
                        return True

                    if self.null is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.Padding']['meta_info']


            class Parity(object):
                """
                Set terminal parity
                
                .. attribute:: even
                
                	Even parity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mark
                
                	Mark parity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: none
                
                	No parity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: odd
                
                	Odd parity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: space
                
                	Space parity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.even = None
                    self.mark = None
                    self.none = None
                    self.odd = None
                    self.space = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:parity'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.even is not None:
                        return True

                    if self.mark is not None:
                        return True

                    if self.none is not None:
                        return True

                    if self.odd is not None:
                        return True

                    if self.space is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.Parity']['meta_info']


            class Password(object):
                """
                Set a password
                
                .. attribute:: level
                
                	Set exec level password
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: secret
                
                	
                	**type**\:  str
                
                .. attribute:: type
                
                	
                	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Password.TypeEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.level = None
                    self.secret = None
                    self.type = None

                class TypeEnum(Enum):
                    """
                    TypeEnum

                    .. data:: Y_0 = 0

                    .. data:: Y_7 = 1

                    """

                    Y_0 = 0

                    Y_7 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.LineList.Password.TypeEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:password'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.level is not None:
                        return True

                    if self.secret is not None:
                        return True

                    if self.type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.Password']['meta_info']


            class Prc(object):
                """
                PRC commands
                
                .. attribute:: expose
                
                	Expose PRC data
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hide
                
                	Hide PRC data
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.expose = None
                    self.hide = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:prc'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.expose is not None:
                        return True

                    if self.hide is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.Prc']['meta_info']


            class Privilege(object):
                """
                Change privilege level for line
                
                .. attribute:: level
                
                	Assign default privilege level for line
                	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Privilege.Level>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.level = None


                class Level(object):
                    """
                    Assign default privilege level for line
                    
                    .. attribute:: number
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..15
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.LineList.Privilege.Level']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:privilege'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.level is not None and self.level._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.Privilege']['meta_info']


            class SessionTimeout(object):
                """
                Set interval for closing connection when there is no input traffic
                
                .. attribute:: output
                
                	Include output traffic as well as input traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: session_timeout_value
                
                	
                	**type**\:  int
                
                	**range:** 0..35791
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.output = None
                    self.session_timeout_value = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:session-timeout'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.output is not None:
                        return True

                    if self.session_timeout_value is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.SessionTimeout']['meta_info']


            class Timeout(object):
                """
                Timeouts for the line
                
                .. attribute:: login
                
                	Timeouts related to the login sequence
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.login = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:timeout'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.login is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.Timeout']['meta_info']


            class Telnet(object):
                """
                Telnet protocol\-specific configuration
                
                .. attribute:: transparent
                
                	Send a CR as a CR followed by a NULL instead of a CR followed by a LF
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.transparent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:telnet'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.transparent is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.Telnet']['meta_info']


            class Transport(object):
                """
                Define transport protocols for line
                
                .. attribute:: input
                
                	
                	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Transport.Input>`
                
                .. attribute:: output
                
                	
                	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Transport.Output>`
                
                .. attribute:: preferred
                
                	Specify the preferred protocol to use
                	**type**\:   :py:class:`Preferred <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Transport.Preferred>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.input = Native.Line.LineList.Transport.Input()
                    self.input.parent = self
                    self.output = Native.Line.LineList.Transport.Output()
                    self.output.parent = self
                    self.preferred = None


                class Input(object):
                    """
                    
                    
                    .. attribute:: input
                    
                    	Define which protocols to use when connecting to the terminal server
                    	**type**\:  list of   :py:class:`InputEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Transport.Input.InputEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.input = YLeafList()
                        self.input.parent = self
                        self.input.name = 'input'

                    class InputEnum(Enum):
                        """
                        InputEnum

                        Define which protocols to use when connecting to the terminal server

                        .. data:: acercon = 0

                        .. data:: all = 1

                        .. data:: lapb_ta = 2

                        .. data:: lat = 3

                        .. data:: mop = 4

                        .. data:: nasi = 5

                        .. data:: none = 6

                        .. data:: pad = 7

                        .. data:: rlogin = 8

                        .. data:: ssh = 9

                        .. data:: telnet = 10

                        .. data:: udptn = 11

                        .. data:: v120 = 12

                        """

                        acercon = 0

                        all = 1

                        lapb_ta = 2

                        lat = 3

                        mop = 4

                        nasi = 5

                        none = 6

                        pad = 7

                        rlogin = 8

                        ssh = 9

                        telnet = 10

                        udptn = 11

                        v120 = 12


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.LineList.Transport.Input.InputEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:input'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.input is not None:
                            for child in self.input:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.LineList.Transport.Input']['meta_info']


                class Output(object):
                    """
                    
                    
                    .. attribute:: output
                    
                    	Define which protocols to use for outgoing connections
                    	**type**\:  list of   :py:class:`OutputEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Transport.Output.OutputEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.output = YLeafList()
                        self.output.parent = self
                        self.output.name = 'output'

                    class OutputEnum(Enum):
                        """
                        OutputEnum

                        Define which protocols to use for outgoing connections

                        .. data:: acercon = 0

                        .. data:: all = 1

                        .. data:: lapb_ta = 2

                        .. data:: lat = 3

                        .. data:: mop = 4

                        .. data:: nasi = 5

                        .. data:: none = 6

                        .. data:: pad = 7

                        .. data:: rlogin = 8

                        .. data:: ssh = 9

                        .. data:: telnet = 10

                        .. data:: udptn = 11

                        .. data:: v120 = 12

                        """

                        acercon = 0

                        all = 1

                        lapb_ta = 2

                        lat = 3

                        mop = 4

                        nasi = 5

                        none = 6

                        pad = 7

                        rlogin = 8

                        ssh = 9

                        telnet = 10

                        udptn = 11

                        v120 = 12


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.LineList.Transport.Output.OutputEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:output'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.output is not None:
                            for child in self.output:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.LineList.Transport.Output']['meta_info']


                class Preferred(object):
                    """
                    Specify the preferred protocol to use
                    
                    .. attribute:: protocol
                    
                    	
                    	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Transport.Preferred.ProtocolEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.protocol = None

                    class ProtocolEnum(Enum):
                        """
                        ProtocolEnum

                        .. data:: acercon = 0

                        .. data:: lat = 1

                        .. data:: mop = 2

                        .. data:: nasi = 3

                        .. data:: none = 4

                        .. data:: pad = 5

                        .. data:: rlogin = 6

                        .. data:: ssh = 7

                        .. data:: telnet = 8

                        .. data:: udptn = 9

                        """

                        acercon = 0

                        lat = 1

                        mop = 2

                        nasi = 3

                        none = 4

                        pad = 5

                        rlogin = 6

                        ssh = 7

                        telnet = 8

                        udptn = 9


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.LineList.Transport.Preferred.ProtocolEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:preferred'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.protocol is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.LineList.Transport.Preferred']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:transport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.input is not None and self.input._has_data():
                        return True

                    if self.output is not None and self.output._has_data():
                        return True

                    if self.preferred is not None and self.preferred._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.Transport']['meta_info']


            class UsbInactivityTimeout(object):
                """
                Inactivity timeout for USB media type
                
                .. attribute:: switch
                
                	Switch Number
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switch = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:usb-inactivity-timeout'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switch is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.UsbInactivityTimeout']['meta_info']


            class VacantMessage(object):
                """
                Define a vacant banner
                
                .. attribute:: banner
                
                	c vacant\-text c, where 'c' is a delimiting character
                	**type**\:  str
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.banner = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vacant-message'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.banner is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.LineList.VacantMessage']['meta_info']

            @property
            def _common_path(self):
                if self.first_number is None:
                    raise YPYModelError('Key property first_number is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:line/Cisco-IOS-XE-native:line-list[Cisco-IOS-XE-native:first-number = ' + str(self.first_number) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.first_number is not None:
                    return True

                if self.access_class is not None and self.access_class._has_data():
                    return True

                if self.activation_character is not None:
                    return True

                if self.authorization is not None and self.authorization._has_data():
                    return True

                if self.autocommand is not None and self.autocommand._has_data():
                    return True

                if self.autocommand_options is not None and self.autocommand_options._has_data():
                    return True

                if self.data_character_bits is not None:
                    return True

                if self.databits is not None and self.databits._has_data():
                    return True

                if self.domain_lookup is not None:
                    return True

                if self.editing is not None:
                    return True

                if self.escape_character is not None and self.escape_character._has_data():
                    return True

                if self.exec_ is not None and self.exec_._has_data():
                    return True

                if self.exec_banner is not None:
                    return True

                if self.exec_character_bits is not None:
                    return True

                if self.exec_timeout is not None and self.exec_timeout._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.full_help is not None:
                    return True

                if self.history is not None and self.history._has_data():
                    return True

                if self.international is not None:
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.last_number is not None:
                    return True

                if self.length is not None:
                    return True

                if self.line is not None:
                    return True

                if self.location is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.login is not None and self.login._has_data():
                    return True

                if self.media_type is not None and self.media_type._has_data():
                    return True

                if self.modem is not None and self.modem._has_data():
                    return True

                if self.monitor is not None:
                    return True

                if self.motd_banner is not None:
                    return True

                if self.no_activation_character is not None:
                    return True

                if self.no_exec is not None and self.no_exec._has_data():
                    return True

                if self.notify is not None:
                    return True

                if self.padding is not None and self.padding._has_data():
                    return True

                if self.parity is not None and self.parity._has_data():
                    return True

                if self.password is not None and self.password._has_data():
                    return True

                if self.prc is not None and self.prc._has_data():
                    return True

                if self.privilege is not None and self.privilege._has_data():
                    return True

                if self.refuse_message is not None:
                    return True

                if self.rotary is not None:
                    return True

                if self.rxspeed is not None:
                    return True

                if self.session_timeout is not None and self.session_timeout._has_data():
                    return True

                if self.special_character_bits is not None:
                    return True

                if self.speed is not None:
                    return True

                if self.start_character is not None:
                    return True

                if self.stop_character is not None:
                    return True

                if self.stopbits is not None:
                    return True

                if self.telnet is not None and self.telnet._has_data():
                    return True

                if self.terminal_type is not None:
                    return True

                if self.timeout is not None and self.timeout._has_data():
                    return True

                if self.transport is not None and self.transport._has_data():
                    return True

                if self.txspeed is not None:
                    return True

                if self.usb_inactivity_timeout is not None and self.usb_inactivity_timeout._has_data():
                    return True

                if self.vacant_message is not None and self.vacant_message._has_data():
                    return True

                if self.width is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Line.LineList']['meta_info']


        class Aux(object):
            """
            Auxiliary line
            
            .. attribute:: first  <key>
            
            	
            	**type**\:   :py:class:`FirstEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.FirstEnum>`
            
            .. attribute:: access_class
            
            	Filter connections based on an IP access list
            	**type**\:   :py:class:`AccessClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.AccessClass>`
            
            .. attribute:: activation_character
            
            	Define the activation character
            	**type**\: one of the below types:
            
            	**type**\:  str
            
            
            ----
            	**type**\:  int
            
            	**range:** 0..127
            
            
            ----
            .. attribute:: authorization
            
            	Authorization parameters
            	**type**\:   :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Authorization>`
            
            .. attribute:: autocommand
            
            	Automatically execute an EXEC command
            	**type**\:   :py:class:`Autocommand <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Autocommand>`
            
            .. attribute:: autocommand_options
            
            	Autocommand options
            	**type**\:   :py:class:`AutocommandOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.AutocommandOptions>`
            
            	**presence node**\: True
            
            .. attribute:: data_character_bits
            
            	Bits per character
            	**type**\:  int
            
            	**range:** 7..8
            
            .. attribute:: databits
            
            	Set number of data bits per character
            	**type**\:   :py:class:`Databits <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Databits>`
            
            .. attribute:: domain_lookup
            
            	Enable domain lookups in show commands
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: editing
            
            	Enable command line editing
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: escape_character
            
            	Change the current line's escape character
            	**type**\:   :py:class:`EscapeCharacter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.EscapeCharacter>`
            
            .. attribute:: exec_
            
            	
            	**type**\:   :py:class:`Exec_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Exec_>`
            
            .. attribute:: exec_banner
            
            	Enable the display of the EXEC banner
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: exec_character_bits
            
            	Bits per character
            	**type**\:  int
            
            	**range:** 7..8
            
            .. attribute:: exec_timeout
            
            	Set the EXEC timeout
            	**type**\:   :py:class:`ExecTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.ExecTimeout>`
            
            .. attribute:: flowcontrol
            
            	Set the flow control
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Flowcontrol>`
            
            .. attribute:: full_help
            
            	Provide help to unprivileged user
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: history
            
            	Enable and control the command history function
            	**type**\:   :py:class:`History <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.History>`
            
            	**presence node**\: True
            
            .. attribute:: international
            
            	Enable international 8\-bit character support
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: ip
            
            	IP options
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Ip>`
            
            .. attribute:: ipv6
            
            	
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Ipv6>`
            
            .. attribute:: length
            
            	Set number of lines on a screen
            	**type**\:  int
            
            	**range:** 0..512
            
            .. attribute:: line
            
            	
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: location
            
            	One text line describing the terminal's location
            	**type**\:  str
            
            .. attribute:: logging
            
            	Modify message logging facilities
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Logging>`
            
            .. attribute:: login
            
            	Enable password checking
            	**type**\:   :py:class:`Login <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Login>`
            
            	**presence node**\: True
            
            .. attribute:: media_type
            
            	Console connection media type
            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.MediaType>`
            
            .. attribute:: modem
            
            	Configure the Modem Control Lines
            	**type**\:   :py:class:`Modem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Modem>`
            
            .. attribute:: monitor
            
            	Copy debug output to the current terminal line
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: motd_banner
            
            	Enable the display of the MOTD banner
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: no_activation_character
            
            	
            	**type**\:  bool
            
            .. attribute:: no_exec
            
            	
            	**type**\:   :py:class:`NoExec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.NoExec>`
            
            .. attribute:: notify
            
            	Inform users of output from concurrent sessions
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: padding
            
            	Set padding for a specified output character
            	**type**\:   :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Padding>`
            
            .. attribute:: parity
            
            	Set terminal parity
            	**type**\:   :py:class:`Parity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Parity>`
            
            .. attribute:: password
            
            	Set a password
            	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Password>`
            
            .. attribute:: prc
            
            	PRC commands
            	**type**\:   :py:class:`Prc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Prc>`
            
            .. attribute:: privilege
            
            	Change privilege level for line
            	**type**\:   :py:class:`Privilege <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Privilege>`
            
            .. attribute:: refuse_message
            
            	c refuse\-text c, where 'c' is a delimiting character
            	**type**\:  str
            
            .. attribute:: rotary
            
            	Rotary group to add line to
            	**type**\:  int
            
            	**range:** 1..99
            
            .. attribute:: rxspeed
            
            	Receive speed
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: session_timeout
            
            	Set interval for closing connection when there is no input traffic
            	**type**\:   :py:class:`SessionTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.SessionTimeout>`
            
            .. attribute:: special_character_bits
            
            	Bits per character
            	**type**\:  int
            
            	**range:** 7..8
            
            .. attribute:: speed
            
            	Transmit and receive speeds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: start_character
            
            	Define the start character
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 0..255
            
            
            ----
            	**type**\:  str
            
            
            ----
            .. attribute:: stop_character
            
            	Define the stop character
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 0..255
            
            
            ----
            	**type**\:  str
            
            
            ----
            .. attribute:: stopbits
            
            	Set async line stop bits
            	**type**\:   :py:class:`StopbitsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.StopbitsEnum>`
            
            .. attribute:: telnet
            
            	Telnet protocol\-specific configuration
            	**type**\:   :py:class:`Telnet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Telnet>`
            
            .. attribute:: terminal_type
            
            	Terminal type
            	**type**\:  str
            
            .. attribute:: timeout
            
            	Timeouts for the line
            	**type**\:   :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Timeout>`
            
            .. attribute:: transport
            
            	Define transport protocols for line
            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Transport>`
            
            .. attribute:: txspeed
            
            	Transmit speed
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: usb_inactivity_timeout
            
            	Inactivity timeout for USB media type
            	**type**\:   :py:class:`UsbInactivityTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.UsbInactivityTimeout>`
            
            .. attribute:: vacant_message
            
            	Define a vacant banner
            	**type**\:   :py:class:`VacantMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.VacantMessage>`
            
            	**presence node**\: True
            
            .. attribute:: width
            
            	Number of characters on a screen line
            	**type**\:  int
            
            	**range:** 0..512
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.first = None
                self.access_class = Native.Line.Aux.AccessClass()
                self.access_class.parent = self
                self.activation_character = None
                self.authorization = Native.Line.Aux.Authorization()
                self.authorization.parent = self
                self.autocommand = Native.Line.Aux.Autocommand()
                self.autocommand.parent = self
                self.autocommand_options = None
                self.data_character_bits = None
                self.databits = Native.Line.Aux.Databits()
                self.databits.parent = self
                self.domain_lookup = None
                self.editing = None
                self.escape_character = Native.Line.Aux.EscapeCharacter()
                self.escape_character.parent = self
                self.exec_ = Native.Line.Aux.Exec_()
                self.exec_.parent = self
                self.exec_banner = None
                self.exec_character_bits = None
                self.exec_timeout = Native.Line.Aux.ExecTimeout()
                self.exec_timeout.parent = self
                self.flowcontrol = Native.Line.Aux.Flowcontrol()
                self.flowcontrol.parent = self
                self.full_help = None
                self.history = None
                self.international = None
                self.ip = Native.Line.Aux.Ip()
                self.ip.parent = self
                self.ipv6 = Native.Line.Aux.Ipv6()
                self.ipv6.parent = self
                self.length = None
                self.line = None
                self.location = None
                self.logging = Native.Line.Aux.Logging()
                self.logging.parent = self
                self.login = None
                self.media_type = Native.Line.Aux.MediaType()
                self.media_type.parent = self
                self.modem = Native.Line.Aux.Modem()
                self.modem.parent = self
                self.monitor = None
                self.motd_banner = None
                self.no_activation_character = None
                self.no_exec = Native.Line.Aux.NoExec()
                self.no_exec.parent = self
                self.notify = None
                self.padding = Native.Line.Aux.Padding()
                self.padding.parent = self
                self.parity = Native.Line.Aux.Parity()
                self.parity.parent = self
                self.password = Native.Line.Aux.Password()
                self.password.parent = self
                self.prc = Native.Line.Aux.Prc()
                self.prc.parent = self
                self.privilege = Native.Line.Aux.Privilege()
                self.privilege.parent = self
                self.refuse_message = None
                self.rotary = None
                self.rxspeed = None
                self.session_timeout = Native.Line.Aux.SessionTimeout()
                self.session_timeout.parent = self
                self.special_character_bits = None
                self.speed = None
                self.start_character = None
                self.stop_character = None
                self.stopbits = None
                self.telnet = Native.Line.Aux.Telnet()
                self.telnet.parent = self
                self.terminal_type = None
                self.timeout = Native.Line.Aux.Timeout()
                self.timeout.parent = self
                self.transport = Native.Line.Aux.Transport()
                self.transport.parent = self
                self.txspeed = None
                self.usb_inactivity_timeout = Native.Line.Aux.UsbInactivityTimeout()
                self.usb_inactivity_timeout.parent = self
                self.vacant_message = None
                self.width = None

            class FirstEnum(Enum):
                """
                FirstEnum

                .. data:: Y_0 = 0

                """

                Y_0 = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.FirstEnum']


            class StopbitsEnum(Enum):
                """
                StopbitsEnum

                Set async line stop bits

                .. data:: Y_1 = 0

                .. data:: Y_1__DOT__5 = 1

                .. data:: Y_2 = 2

                """

                Y_1 = 0

                Y_1__DOT__5 = 1

                Y_2 = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.StopbitsEnum']



            class Authorization(object):
                """
                Authorization parameters
                
                .. attribute:: command
                
                	For exec (shell) commands
                	**type**\:   :py:class:`Command <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Authorization.Command>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.command = Native.Line.Aux.Authorization.Command()
                    self.command.parent = self


                class Command(object):
                    """
                    For exec (shell) commands
                    
                    .. attribute:: auth_name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: enable_level
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..15
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auth_name = None
                        self.enable_level = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:command'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auth_name is not None:
                            return True

                        if self.enable_level is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Aux.Authorization.Command']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:authorization'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.command is not None and self.command._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.Authorization']['meta_info']


            class AccessClass(object):
                """
                Filter connections based on an IP access list
                
                .. attribute:: acccess_list
                
                	
                	**type**\: list of    :py:class:`AcccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.AccessClass.AcccessList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.acccess_list = YList()
                    self.acccess_list.parent = self
                    self.acccess_list.name = 'acccess_list'


                class AcccessList(object):
                    """
                    
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.AccessClass.AcccessList.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..199 \| 1300..2699
                    
                    	**mandatory**\: True
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    	**mandatory**\: True
                    
                    
                    ----
                    .. attribute:: vrf_also
                    
                    	Same access list is applied for all VRFs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None
                        self.vrf_also = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.Aux.AccessClass.AcccessList.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:acccess-list[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        if self.vrf_also is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Aux.AccessClass.AcccessList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-class'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.acccess_list is not None:
                        for child_ref in self.acccess_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.AccessClass']['meta_info']


            class Autocommand(object):
                """
                Automatically execute an EXEC command
                
                .. attribute:: line
                
                	Appropriate EXEC command
                	**type**\:  str
                
                .. attribute:: no_suppress_linenumber
                
                	Display service linenumber message
                	**type**\:   :py:class:`NoSuppressLinenumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Autocommand.NoSuppressLinenumber>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.line = None
                    self.no_suppress_linenumber = None


                class NoSuppressLinenumber(object):
                    """
                    Display service linenumber message
                    
                    .. attribute:: line
                    
                    	Appropriate EXEC command
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.line = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-suppress-linenumber'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.line is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Aux.Autocommand.NoSuppressLinenumber']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:autocommand'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.line is not None:
                        return True

                    if self.no_suppress_linenumber is not None and self.no_suppress_linenumber._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.Autocommand']['meta_info']


            class AutocommandOptions(object):
                """
                Autocommand options
                
                .. attribute:: abort_character
                
                	Autocommand abort character
                	**type**\:   :py:class:`AbortCharacter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.AutocommandOptions.AbortCharacter>`
                
                	**presence node**\: True
                
                .. attribute:: delay
                
                	Delay autocommand execution
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.AutocommandOptions.Delay>`
                
                	**presence node**\: True
                
                .. attribute:: nohangup
                
                	No hangup after autocommand completion
                	**type**\:   :py:class:`Nohangup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.AutocommandOptions.Nohangup>`
                
                	**presence node**\: True
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.abort_character = None
                    self.delay = None
                    self.nohangup = None


                class AbortCharacter(object):
                    """
                    Autocommand abort character
                    
                    .. attribute:: character
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.character = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:abort-character'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.character is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Aux.AutocommandOptions.AbortCharacter']['meta_info']


                class Delay(object):
                    """
                    Delay autocommand execution
                    
                    .. attribute:: time
                    
                    	Time in seconds
                    	**type**\:  int
                    
                    	**range:** 0..120
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.time = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Aux.AutocommandOptions.Delay']['meta_info']


                class Nohangup(object):
                    """
                    No hangup after autocommand completion
                    
                    .. attribute:: abort_character
                    
                    	Autocommand abort character
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: delay
                    
                    	Delay autocommand execution
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.abort_character = None
                        self.delay = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nohangup'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.abort_character is not None:
                            return True

                        if self.delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Aux.AutocommandOptions.Nohangup']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:autocommand-options'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.abort_character is not None and self.abort_character._has_data():
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.nohangup is not None and self.nohangup._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.AutocommandOptions']['meta_info']


            class Databits(object):
                """
                Set number of data bits per character
                
                .. attribute:: set_to_5
                
                	Number of data bits
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_6
                
                	Number of data bits
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_7
                
                	Number of data bits
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_8
                
                	Number of data bits
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.set_to_5 = None
                    self.set_to_6 = None
                    self.set_to_7 = None
                    self.set_to_8 = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:databits'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.set_to_5 is not None:
                        return True

                    if self.set_to_6 is not None:
                        return True

                    if self.set_to_7 is not None:
                        return True

                    if self.set_to_8 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.Databits']['meta_info']


            class EscapeCharacter(object):
                """
                Change the current line's escape character
                
                .. attribute:: char
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 0..255
                
                
                ----
                	**type**\:   :py:class:`CharEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.EscapeCharacter.CharEnum>`
                
                
                ----
                	**type**\:  str
                
                
                ----
                .. attribute:: soft
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.char = None
                    self.soft = None

                class CharEnum(Enum):
                    """
                    CharEnum

                    .. data:: BREAK = 0

                    .. data:: DEFAULT = 1

                    .. data:: NONE = 2

                    """

                    BREAK = 0

                    DEFAULT = 1

                    NONE = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Aux.EscapeCharacter.CharEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:escape-character'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.char is not None:
                        return True

                    if self.soft is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.EscapeCharacter']['meta_info']


            class NoExec(object):
                """
                
                
                .. attribute:: exec_
                
                	Configure EXEC
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.exec_ = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:no-exec'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.exec_ is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.NoExec']['meta_info']


            class Exec_(object):
                """
                
                
                .. attribute:: prompt
                
                	
                	**type**\:   :py:class:`Prompt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Exec_.Prompt>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.prompt = Native.Line.Aux.Exec_.Prompt()
                    self.prompt.parent = self


                class Prompt(object):
                    """
                    
                    
                    .. attribute:: timestamp
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.timestamp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:prompt'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.timestamp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Aux.Exec_.Prompt']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:exec'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.prompt is not None and self.prompt._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.Exec_']['meta_info']


            class ExecTimeout(object):
                """
                Set the EXEC timeout
                
                .. attribute:: minutes
                
                	<0\-35791>;;Timeout in minutes
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: seconds
                
                	<0\-2147483>;;Timeout in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.minutes = None
                    self.seconds = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:exec-timeout'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.minutes is not None:
                        return True

                    if self.seconds is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.ExecTimeout']['meta_info']


            class Flowcontrol(object):
                """
                Set the flow control
                
                .. attribute:: hardware
                
                	Set hardware flow control
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: none
                
                	Set no flow control
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: software
                
                	Set software flow control
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.hardware = None
                    self.none = None
                    self.software = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.hardware is not None:
                        return True

                    if self.none is not None:
                        return True

                    if self.software is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.Flowcontrol']['meta_info']


            class History(object):
                """
                Enable and control the command history function
                
                .. attribute:: size
                
                	Set history buffer size
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.size = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:history'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.size is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.History']['meta_info']


            class Ip(object):
                """
                IP options
                
                .. attribute:: netmask_format
                
                	Change display of netmasks
                	**type**\:   :py:class:`NetmaskFormat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Ip.NetmaskFormat>`
                
                	**presence node**\: True
                
                .. attribute:: tcp
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.netmask_format = None
                    self.tcp = None


                class NetmaskFormat(object):
                    """
                    Change display of netmasks
                    
                    .. attribute:: format
                    
                    	
                    	**type**\:   :py:class:`FormatEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Ip.NetmaskFormat.FormatEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.format = None

                    class FormatEnum(Enum):
                        """
                        FormatEnum

                        .. data:: bit_count = 0

                        .. data:: decimal = 1

                        .. data:: hexadecimal = 2

                        """

                        bit_count = 0

                        decimal = 1

                        hexadecimal = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.Aux.Ip.NetmaskFormat.FormatEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:netmask-format'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.format is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Aux.Ip.NetmaskFormat']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.netmask_format is not None and self.netmask_format._has_data():
                        return True

                    if self.tcp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.Ip']['meta_info']


            class Ipv6(object):
                """
                
                
                .. attribute:: access_class
                
                	
                	**type**\:   :py:class:`AccessClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Ipv6.AccessClass>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_class = Native.Line.Aux.Ipv6.AccessClass()
                    self.access_class.parent = self


                class AccessClass(object):
                    """
                    
                    
                    .. attribute:: access_class
                    
                    	
                    	**type**\: list of    :py:class:`AccessClass_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Ipv6.AccessClass.AccessClass_>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access_class = YList()
                        self.access_class.parent = self
                        self.access_class.name = 'access_class'


                    class AccessClass_(object):
                        """
                        
                        
                        .. attribute:: access_class_name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: enumeration_in_out
                        
                        	
                        	**type**\:   :py:class:`EnumerationInOutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Ipv6.AccessClass.AccessClass_.EnumerationInOutEnum>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.access_class_name = None
                            self.enumeration_in_out = None

                        class EnumerationInOutEnum(Enum):
                            """
                            EnumerationInOutEnum

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = 0

                            out = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Line.Aux.Ipv6.AccessClass.AccessClass_.EnumerationInOutEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.access_class_name is None:
                                raise YPYModelError('Key property access_class_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:access-class[Cisco-IOS-XE-native:access-class-name = ' + str(self.access_class_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.access_class_name is not None:
                                return True

                            if self.enumeration_in_out is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.Aux.Ipv6.AccessClass.AccessClass_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-class'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access_class is not None:
                            for child_ref in self.access_class:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Aux.Ipv6.AccessClass']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_class is not None and self.access_class._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.Ipv6']['meta_info']


            class Logging(object):
                """
                Modify message logging facilities
                
                .. attribute:: synchronous
                
                	Synchronized message output
                	**type**\:   :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Logging.Synchronous>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.synchronous = None


                class Synchronous(object):
                    """
                    Synchronized message output
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:synchronous'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Aux.Logging.Synchronous']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.synchronous is not None and self.synchronous._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.Logging']['meta_info']


            class Login(object):
                """
                Enable password checking
                
                .. attribute:: authentication
                
                	
                	**type**\:  str
                
                .. attribute:: local
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.authentication = None
                    self.local = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:login'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.authentication is not None:
                        return True

                    if self.local is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.Login']['meta_info']


            class MediaType(object):
                """
                Console connection media type
                
                .. attribute:: rj45
                
                	Console connection set to RJ45
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.rj45 = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:media-type'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.rj45 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.MediaType']['meta_info']


            class Modem(object):
                """
                Configure the Modem Control Lines
                
                .. attribute:: answer_timeout
                
                	Set interval between raising DTR and CTS response
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: cts_alarm
                
                	Alarm device which only uses CTS for call control
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dialin
                
                	Configure line for a modern dial\-in modem
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dtr_active
                
                	Leave DTR low unless line has an active incoming connection or EXEC
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dtr_delay
                
                	Set interval during which DTR is held low
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host
                
                	Devices that expect an incoming modem call
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: inout
                
                	Configure line for incoming AND outgoing use of modem
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: printer
                
                	Devices that require DSR/CD active
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.answer_timeout = None
                    self.cts_alarm = None
                    self.dialin = None
                    self.dtr_active = None
                    self.dtr_delay = None
                    self.host = None
                    self.inout = None
                    self.printer = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:modem'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.answer_timeout is not None:
                        return True

                    if self.cts_alarm is not None:
                        return True

                    if self.dialin is not None:
                        return True

                    if self.dtr_active is not None:
                        return True

                    if self.dtr_delay is not None:
                        return True

                    if self.host is not None:
                        return True

                    if self.inout is not None:
                        return True

                    if self.printer is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.Modem']['meta_info']


            class Padding(object):
                """
                Set padding for a specified output character
                
                .. attribute:: character
                
                	Character to be padded
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 0..127
                
                
                ----
                	**type**\:  str
                
                
                ----
                .. attribute:: null
                
                	
                	**type**\:  int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.character = None
                    self.null = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:padding'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.character is not None:
                        return True

                    if self.null is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.Padding']['meta_info']


            class Parity(object):
                """
                Set terminal parity
                
                .. attribute:: even
                
                	Even parity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mark
                
                	Mark parity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: none
                
                	No parity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: odd
                
                	Odd parity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: space
                
                	Space parity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.even = None
                    self.mark = None
                    self.none = None
                    self.odd = None
                    self.space = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:parity'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.even is not None:
                        return True

                    if self.mark is not None:
                        return True

                    if self.none is not None:
                        return True

                    if self.odd is not None:
                        return True

                    if self.space is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.Parity']['meta_info']


            class Password(object):
                """
                Set a password
                
                .. attribute:: level
                
                	Set exec level password
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: secret
                
                	
                	**type**\:  str
                
                .. attribute:: type
                
                	
                	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Password.TypeEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.level = None
                    self.secret = None
                    self.type = None

                class TypeEnum(Enum):
                    """
                    TypeEnum

                    .. data:: Y_0 = 0

                    .. data:: Y_7 = 1

                    """

                    Y_0 = 0

                    Y_7 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Aux.Password.TypeEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:password'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.level is not None:
                        return True

                    if self.secret is not None:
                        return True

                    if self.type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.Password']['meta_info']


            class Prc(object):
                """
                PRC commands
                
                .. attribute:: expose
                
                	Expose PRC data
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hide
                
                	Hide PRC data
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.expose = None
                    self.hide = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:prc'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.expose is not None:
                        return True

                    if self.hide is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.Prc']['meta_info']


            class Privilege(object):
                """
                Change privilege level for line
                
                .. attribute:: level
                
                	Assign default privilege level for line
                	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Privilege.Level>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.level = None


                class Level(object):
                    """
                    Assign default privilege level for line
                    
                    .. attribute:: number
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..15
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Aux.Privilege.Level']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:privilege'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.level is not None and self.level._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.Privilege']['meta_info']


            class SessionTimeout(object):
                """
                Set interval for closing connection when there is no input traffic
                
                .. attribute:: output
                
                	Include output traffic as well as input traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: session_timeout_value
                
                	
                	**type**\:  int
                
                	**range:** 0..35791
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.output = None
                    self.session_timeout_value = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:session-timeout'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.output is not None:
                        return True

                    if self.session_timeout_value is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.SessionTimeout']['meta_info']


            class Timeout(object):
                """
                Timeouts for the line
                
                .. attribute:: login
                
                	Timeouts related to the login sequence
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.login = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:timeout'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.login is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.Timeout']['meta_info']


            class Telnet(object):
                """
                Telnet protocol\-specific configuration
                
                .. attribute:: transparent
                
                	Send a CR as a CR followed by a NULL instead of a CR followed by a LF
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.transparent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:telnet'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.transparent is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.Telnet']['meta_info']


            class Transport(object):
                """
                Define transport protocols for line
                
                .. attribute:: input
                
                	
                	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Transport.Input>`
                
                .. attribute:: output
                
                	
                	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Transport.Output>`
                
                .. attribute:: preferred
                
                	Specify the preferred protocol to use
                	**type**\:   :py:class:`Preferred <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Transport.Preferred>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.input = Native.Line.Aux.Transport.Input()
                    self.input.parent = self
                    self.output = Native.Line.Aux.Transport.Output()
                    self.output.parent = self
                    self.preferred = None


                class Input(object):
                    """
                    
                    
                    .. attribute:: input
                    
                    	Define which protocols to use when connecting to the terminal server
                    	**type**\:  list of   :py:class:`InputEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Transport.Input.InputEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.input = YLeafList()
                        self.input.parent = self
                        self.input.name = 'input'

                    class InputEnum(Enum):
                        """
                        InputEnum

                        Define which protocols to use when connecting to the terminal server

                        .. data:: acercon = 0

                        .. data:: all = 1

                        .. data:: lapb_ta = 2

                        .. data:: lat = 3

                        .. data:: mop = 4

                        .. data:: nasi = 5

                        .. data:: none = 6

                        .. data:: pad = 7

                        .. data:: rlogin = 8

                        .. data:: ssh = 9

                        .. data:: telnet = 10

                        .. data:: udptn = 11

                        .. data:: v120 = 12

                        """

                        acercon = 0

                        all = 1

                        lapb_ta = 2

                        lat = 3

                        mop = 4

                        nasi = 5

                        none = 6

                        pad = 7

                        rlogin = 8

                        ssh = 9

                        telnet = 10

                        udptn = 11

                        v120 = 12


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.Aux.Transport.Input.InputEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:input'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.input is not None:
                            for child in self.input:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Aux.Transport.Input']['meta_info']


                class Output(object):
                    """
                    
                    
                    .. attribute:: output
                    
                    	Define which protocols to use for outgoing connections
                    	**type**\:  list of   :py:class:`OutputEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Transport.Output.OutputEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.output = YLeafList()
                        self.output.parent = self
                        self.output.name = 'output'

                    class OutputEnum(Enum):
                        """
                        OutputEnum

                        Define which protocols to use for outgoing connections

                        .. data:: acercon = 0

                        .. data:: all = 1

                        .. data:: lapb_ta = 2

                        .. data:: lat = 3

                        .. data:: mop = 4

                        .. data:: nasi = 5

                        .. data:: none = 6

                        .. data:: pad = 7

                        .. data:: rlogin = 8

                        .. data:: ssh = 9

                        .. data:: telnet = 10

                        .. data:: udptn = 11

                        .. data:: v120 = 12

                        """

                        acercon = 0

                        all = 1

                        lapb_ta = 2

                        lat = 3

                        mop = 4

                        nasi = 5

                        none = 6

                        pad = 7

                        rlogin = 8

                        ssh = 9

                        telnet = 10

                        udptn = 11

                        v120 = 12


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.Aux.Transport.Output.OutputEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:output'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.output is not None:
                            for child in self.output:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Aux.Transport.Output']['meta_info']


                class Preferred(object):
                    """
                    Specify the preferred protocol to use
                    
                    .. attribute:: protocol
                    
                    	
                    	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Transport.Preferred.ProtocolEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.protocol = None

                    class ProtocolEnum(Enum):
                        """
                        ProtocolEnum

                        .. data:: acercon = 0

                        .. data:: lat = 1

                        .. data:: mop = 2

                        .. data:: nasi = 3

                        .. data:: none = 4

                        .. data:: pad = 5

                        .. data:: rlogin = 6

                        .. data:: ssh = 7

                        .. data:: telnet = 8

                        .. data:: udptn = 9

                        """

                        acercon = 0

                        lat = 1

                        mop = 2

                        nasi = 3

                        none = 4

                        pad = 5

                        rlogin = 6

                        ssh = 7

                        telnet = 8

                        udptn = 9


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.Aux.Transport.Preferred.ProtocolEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:preferred'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.protocol is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Aux.Transport.Preferred']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:transport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.input is not None and self.input._has_data():
                        return True

                    if self.output is not None and self.output._has_data():
                        return True

                    if self.preferred is not None and self.preferred._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.Transport']['meta_info']


            class UsbInactivityTimeout(object):
                """
                Inactivity timeout for USB media type
                
                .. attribute:: switch
                
                	Switch Number
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switch = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:usb-inactivity-timeout'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switch is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.UsbInactivityTimeout']['meta_info']


            class VacantMessage(object):
                """
                Define a vacant banner
                
                .. attribute:: banner
                
                	c vacant\-text c, where 'c' is a delimiting character
                	**type**\:  str
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.banner = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vacant-message'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.banner is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Aux.VacantMessage']['meta_info']

            @property
            def _common_path(self):
                if self.first is None:
                    raise YPYModelError('Key property first is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:line/Cisco-IOS-XE-native:aux[Cisco-IOS-XE-native:first = ' + str(self.first) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.first is not None:
                    return True

                if self.access_class is not None and self.access_class._has_data():
                    return True

                if self.activation_character is not None:
                    return True

                if self.authorization is not None and self.authorization._has_data():
                    return True

                if self.autocommand is not None and self.autocommand._has_data():
                    return True

                if self.autocommand_options is not None and self.autocommand_options._has_data():
                    return True

                if self.data_character_bits is not None:
                    return True

                if self.databits is not None and self.databits._has_data():
                    return True

                if self.domain_lookup is not None:
                    return True

                if self.editing is not None:
                    return True

                if self.escape_character is not None and self.escape_character._has_data():
                    return True

                if self.exec_ is not None and self.exec_._has_data():
                    return True

                if self.exec_banner is not None:
                    return True

                if self.exec_character_bits is not None:
                    return True

                if self.exec_timeout is not None and self.exec_timeout._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.full_help is not None:
                    return True

                if self.history is not None and self.history._has_data():
                    return True

                if self.international is not None:
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.length is not None:
                    return True

                if self.line is not None:
                    return True

                if self.location is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.login is not None and self.login._has_data():
                    return True

                if self.media_type is not None and self.media_type._has_data():
                    return True

                if self.modem is not None and self.modem._has_data():
                    return True

                if self.monitor is not None:
                    return True

                if self.motd_banner is not None:
                    return True

                if self.no_activation_character is not None:
                    return True

                if self.no_exec is not None and self.no_exec._has_data():
                    return True

                if self.notify is not None:
                    return True

                if self.padding is not None and self.padding._has_data():
                    return True

                if self.parity is not None and self.parity._has_data():
                    return True

                if self.password is not None and self.password._has_data():
                    return True

                if self.prc is not None and self.prc._has_data():
                    return True

                if self.privilege is not None and self.privilege._has_data():
                    return True

                if self.refuse_message is not None:
                    return True

                if self.rotary is not None:
                    return True

                if self.rxspeed is not None:
                    return True

                if self.session_timeout is not None and self.session_timeout._has_data():
                    return True

                if self.special_character_bits is not None:
                    return True

                if self.speed is not None:
                    return True

                if self.start_character is not None:
                    return True

                if self.stop_character is not None:
                    return True

                if self.stopbits is not None:
                    return True

                if self.telnet is not None and self.telnet._has_data():
                    return True

                if self.terminal_type is not None:
                    return True

                if self.timeout is not None and self.timeout._has_data():
                    return True

                if self.transport is not None and self.transport._has_data():
                    return True

                if self.txspeed is not None:
                    return True

                if self.usb_inactivity_timeout is not None and self.usb_inactivity_timeout._has_data():
                    return True

                if self.vacant_message is not None and self.vacant_message._has_data():
                    return True

                if self.width is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Line.Aux']['meta_info']


        class Console(object):
            """
            Primary terminal line
            
            .. attribute:: first  <key>
            
            	
            	**type**\:   :py:class:`FirstEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.FirstEnum>`
            
            .. attribute:: access_class
            
            	Filter connections based on an IP access list
            	**type**\:   :py:class:`AccessClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.AccessClass>`
            
            .. attribute:: activation_character
            
            	Define the activation character
            	**type**\: one of the below types:
            
            	**type**\:  str
            
            
            ----
            	**type**\:  int
            
            	**range:** 0..127
            
            
            ----
            .. attribute:: authorization
            
            	Authorization parameters
            	**type**\:   :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Authorization>`
            
            .. attribute:: autocommand
            
            	Automatically execute an EXEC command
            	**type**\:   :py:class:`Autocommand <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Autocommand>`
            
            .. attribute:: autocommand_options
            
            	Autocommand options
            	**type**\:   :py:class:`AutocommandOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.AutocommandOptions>`
            
            	**presence node**\: True
            
            .. attribute:: data_character_bits
            
            	Bits per character
            	**type**\:  int
            
            	**range:** 7..8
            
            .. attribute:: databits
            
            	Set number of data bits per character
            	**type**\:   :py:class:`Databits <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Databits>`
            
            .. attribute:: domain_lookup
            
            	Enable domain lookups in show commands
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: editing
            
            	Enable command line editing
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: escape_character
            
            	Change the current line's escape character
            	**type**\:   :py:class:`EscapeCharacter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.EscapeCharacter>`
            
            .. attribute:: exec_
            
            	
            	**type**\:   :py:class:`Exec_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Exec_>`
            
            .. attribute:: exec_banner
            
            	Enable the display of the EXEC banner
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: exec_character_bits
            
            	Bits per character
            	**type**\:  int
            
            	**range:** 7..8
            
            .. attribute:: exec_timeout
            
            	Set the EXEC timeout
            	**type**\:   :py:class:`ExecTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.ExecTimeout>`
            
            .. attribute:: flowcontrol
            
            	Set the flow control
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Flowcontrol>`
            
            .. attribute:: full_help
            
            	Provide help to unprivileged user
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: history
            
            	Enable and control the command history function
            	**type**\:   :py:class:`History <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.History>`
            
            	**presence node**\: True
            
            .. attribute:: international
            
            	Enable international 8\-bit character support
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: ip
            
            	IP options
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Ip>`
            
            .. attribute:: ipv6
            
            	
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Ipv6>`
            
            .. attribute:: length
            
            	Set number of lines on a screen
            	**type**\:  int
            
            	**range:** 0..512
            
            .. attribute:: line
            
            	
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: location
            
            	One text line describing the terminal's location
            	**type**\:  str
            
            .. attribute:: logging
            
            	Modify message logging facilities
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Logging>`
            
            .. attribute:: login
            
            	Enable password checking
            	**type**\:   :py:class:`Login <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Login>`
            
            	**presence node**\: True
            
            .. attribute:: media_type
            
            	Console connection media type
            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.MediaType>`
            
            .. attribute:: modem
            
            	Configure the Modem Control Lines
            	**type**\:   :py:class:`Modem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Modem>`
            
            .. attribute:: monitor
            
            	Copy debug output to the current terminal line
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: motd_banner
            
            	Enable the display of the MOTD banner
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: no_activation_character
            
            	
            	**type**\:  bool
            
            .. attribute:: no_exec
            
            	
            	**type**\:   :py:class:`NoExec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.NoExec>`
            
            .. attribute:: notify
            
            	Inform users of output from concurrent sessions
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: padding
            
            	Set padding for a specified output character
            	**type**\:   :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Padding>`
            
            .. attribute:: parity
            
            	Set terminal parity
            	**type**\:   :py:class:`Parity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Parity>`
            
            .. attribute:: password
            
            	Set a password
            	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Password>`
            
            .. attribute:: prc
            
            	PRC commands
            	**type**\:   :py:class:`Prc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Prc>`
            
            .. attribute:: privilege
            
            	Change privilege level for line
            	**type**\:   :py:class:`Privilege <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Privilege>`
            
            .. attribute:: refuse_message
            
            	c refuse\-text c, where 'c' is a delimiting character
            	**type**\:  str
            
            .. attribute:: rotary
            
            	Rotary group to add line to
            	**type**\:  int
            
            	**range:** 1..99
            
            .. attribute:: rxspeed
            
            	Receive speed
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: session_timeout
            
            	Set interval for closing connection when there is no input traffic
            	**type**\:   :py:class:`SessionTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.SessionTimeout>`
            
            .. attribute:: special_character_bits
            
            	Bits per character
            	**type**\:  int
            
            	**range:** 7..8
            
            .. attribute:: speed
            
            	Transmit and receive speeds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: start_character
            
            	Define the start character
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 0..255
            
            
            ----
            	**type**\:  str
            
            
            ----
            .. attribute:: stop_character
            
            	Define the stop character
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 0..255
            
            
            ----
            	**type**\:  str
            
            
            ----
            .. attribute:: stopbits
            
            	Set async line stop bits
            	**type**\:   :py:class:`StopbitsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.StopbitsEnum>`
            
            .. attribute:: telnet
            
            	Telnet protocol\-specific configuration
            	**type**\:   :py:class:`Telnet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Telnet>`
            
            .. attribute:: terminal_type
            
            	Terminal type
            	**type**\:  str
            
            .. attribute:: timeout
            
            	Timeouts for the line
            	**type**\:   :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Timeout>`
            
            .. attribute:: transport
            
            	Define transport protocols for line
            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Transport>`
            
            .. attribute:: txspeed
            
            	Transmit speed
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: usb_inactivity_timeout
            
            	Inactivity timeout for USB media type
            	**type**\:   :py:class:`UsbInactivityTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.UsbInactivityTimeout>`
            
            .. attribute:: vacant_message
            
            	Define a vacant banner
            	**type**\:   :py:class:`VacantMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.VacantMessage>`
            
            	**presence node**\: True
            
            .. attribute:: width
            
            	Number of characters on a screen line
            	**type**\:  int
            
            	**range:** 0..512
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.first = None
                self.access_class = Native.Line.Console.AccessClass()
                self.access_class.parent = self
                self.activation_character = None
                self.authorization = Native.Line.Console.Authorization()
                self.authorization.parent = self
                self.autocommand = Native.Line.Console.Autocommand()
                self.autocommand.parent = self
                self.autocommand_options = None
                self.data_character_bits = None
                self.databits = Native.Line.Console.Databits()
                self.databits.parent = self
                self.domain_lookup = None
                self.editing = None
                self.escape_character = Native.Line.Console.EscapeCharacter()
                self.escape_character.parent = self
                self.exec_ = Native.Line.Console.Exec_()
                self.exec_.parent = self
                self.exec_banner = None
                self.exec_character_bits = None
                self.exec_timeout = Native.Line.Console.ExecTimeout()
                self.exec_timeout.parent = self
                self.flowcontrol = Native.Line.Console.Flowcontrol()
                self.flowcontrol.parent = self
                self.full_help = None
                self.history = None
                self.international = None
                self.ip = Native.Line.Console.Ip()
                self.ip.parent = self
                self.ipv6 = Native.Line.Console.Ipv6()
                self.ipv6.parent = self
                self.length = None
                self.line = None
                self.location = None
                self.logging = Native.Line.Console.Logging()
                self.logging.parent = self
                self.login = None
                self.media_type = Native.Line.Console.MediaType()
                self.media_type.parent = self
                self.modem = Native.Line.Console.Modem()
                self.modem.parent = self
                self.monitor = None
                self.motd_banner = None
                self.no_activation_character = None
                self.no_exec = Native.Line.Console.NoExec()
                self.no_exec.parent = self
                self.notify = None
                self.padding = Native.Line.Console.Padding()
                self.padding.parent = self
                self.parity = Native.Line.Console.Parity()
                self.parity.parent = self
                self.password = Native.Line.Console.Password()
                self.password.parent = self
                self.prc = Native.Line.Console.Prc()
                self.prc.parent = self
                self.privilege = Native.Line.Console.Privilege()
                self.privilege.parent = self
                self.refuse_message = None
                self.rotary = None
                self.rxspeed = None
                self.session_timeout = Native.Line.Console.SessionTimeout()
                self.session_timeout.parent = self
                self.special_character_bits = None
                self.speed = None
                self.start_character = None
                self.stop_character = None
                self.stopbits = None
                self.telnet = Native.Line.Console.Telnet()
                self.telnet.parent = self
                self.terminal_type = None
                self.timeout = Native.Line.Console.Timeout()
                self.timeout.parent = self
                self.transport = Native.Line.Console.Transport()
                self.transport.parent = self
                self.txspeed = None
                self.usb_inactivity_timeout = Native.Line.Console.UsbInactivityTimeout()
                self.usb_inactivity_timeout.parent = self
                self.vacant_message = None
                self.width = None

            class FirstEnum(Enum):
                """
                FirstEnum

                .. data:: Y_0 = 0

                """

                Y_0 = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.FirstEnum']


            class StopbitsEnum(Enum):
                """
                StopbitsEnum

                Set async line stop bits

                .. data:: Y_1 = 0

                .. data:: Y_1__DOT__5 = 1

                .. data:: Y_2 = 2

                """

                Y_1 = 0

                Y_1__DOT__5 = 1

                Y_2 = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.StopbitsEnum']



            class Authorization(object):
                """
                Authorization parameters
                
                .. attribute:: command
                
                	For exec (shell) commands
                	**type**\:   :py:class:`Command <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Authorization.Command>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.command = Native.Line.Console.Authorization.Command()
                    self.command.parent = self


                class Command(object):
                    """
                    For exec (shell) commands
                    
                    .. attribute:: auth_name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: enable_level
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..15
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auth_name = None
                        self.enable_level = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:command'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auth_name is not None:
                            return True

                        if self.enable_level is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Console.Authorization.Command']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:authorization'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.command is not None and self.command._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.Authorization']['meta_info']


            class AccessClass(object):
                """
                Filter connections based on an IP access list
                
                .. attribute:: acccess_list
                
                	
                	**type**\: list of    :py:class:`AcccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.AccessClass.AcccessList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.acccess_list = YList()
                    self.acccess_list.parent = self
                    self.acccess_list.name = 'acccess_list'


                class AcccessList(object):
                    """
                    
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.AccessClass.AcccessList.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..199 \| 1300..2699
                    
                    	**mandatory**\: True
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    	**mandatory**\: True
                    
                    
                    ----
                    .. attribute:: vrf_also
                    
                    	Same access list is applied for all VRFs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None
                        self.vrf_also = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.Console.AccessClass.AcccessList.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:acccess-list[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        if self.vrf_also is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Console.AccessClass.AcccessList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-class'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.acccess_list is not None:
                        for child_ref in self.acccess_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.AccessClass']['meta_info']


            class Autocommand(object):
                """
                Automatically execute an EXEC command
                
                .. attribute:: line
                
                	Appropriate EXEC command
                	**type**\:  str
                
                .. attribute:: no_suppress_linenumber
                
                	Display service linenumber message
                	**type**\:   :py:class:`NoSuppressLinenumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Autocommand.NoSuppressLinenumber>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.line = None
                    self.no_suppress_linenumber = None


                class NoSuppressLinenumber(object):
                    """
                    Display service linenumber message
                    
                    .. attribute:: line
                    
                    	Appropriate EXEC command
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.line = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-suppress-linenumber'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.line is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Console.Autocommand.NoSuppressLinenumber']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:autocommand'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.line is not None:
                        return True

                    if self.no_suppress_linenumber is not None and self.no_suppress_linenumber._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.Autocommand']['meta_info']


            class AutocommandOptions(object):
                """
                Autocommand options
                
                .. attribute:: abort_character
                
                	Autocommand abort character
                	**type**\:   :py:class:`AbortCharacter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.AutocommandOptions.AbortCharacter>`
                
                	**presence node**\: True
                
                .. attribute:: delay
                
                	Delay autocommand execution
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.AutocommandOptions.Delay>`
                
                	**presence node**\: True
                
                .. attribute:: nohangup
                
                	No hangup after autocommand completion
                	**type**\:   :py:class:`Nohangup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.AutocommandOptions.Nohangup>`
                
                	**presence node**\: True
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.abort_character = None
                    self.delay = None
                    self.nohangup = None


                class AbortCharacter(object):
                    """
                    Autocommand abort character
                    
                    .. attribute:: character
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.character = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:abort-character'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.character is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Console.AutocommandOptions.AbortCharacter']['meta_info']


                class Delay(object):
                    """
                    Delay autocommand execution
                    
                    .. attribute:: time
                    
                    	Time in seconds
                    	**type**\:  int
                    
                    	**range:** 0..120
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.time = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Console.AutocommandOptions.Delay']['meta_info']


                class Nohangup(object):
                    """
                    No hangup after autocommand completion
                    
                    .. attribute:: abort_character
                    
                    	Autocommand abort character
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: delay
                    
                    	Delay autocommand execution
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.abort_character = None
                        self.delay = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nohangup'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.abort_character is not None:
                            return True

                        if self.delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Console.AutocommandOptions.Nohangup']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:autocommand-options'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.abort_character is not None and self.abort_character._has_data():
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.nohangup is not None and self.nohangup._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.AutocommandOptions']['meta_info']


            class Databits(object):
                """
                Set number of data bits per character
                
                .. attribute:: set_to_5
                
                	Number of data bits
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_6
                
                	Number of data bits
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_7
                
                	Number of data bits
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_8
                
                	Number of data bits
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.set_to_5 = None
                    self.set_to_6 = None
                    self.set_to_7 = None
                    self.set_to_8 = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:databits'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.set_to_5 is not None:
                        return True

                    if self.set_to_6 is not None:
                        return True

                    if self.set_to_7 is not None:
                        return True

                    if self.set_to_8 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.Databits']['meta_info']


            class EscapeCharacter(object):
                """
                Change the current line's escape character
                
                .. attribute:: char
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 0..255
                
                
                ----
                	**type**\:   :py:class:`CharEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.EscapeCharacter.CharEnum>`
                
                
                ----
                	**type**\:  str
                
                
                ----
                .. attribute:: soft
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.char = None
                    self.soft = None

                class CharEnum(Enum):
                    """
                    CharEnum

                    .. data:: BREAK = 0

                    .. data:: DEFAULT = 1

                    .. data:: NONE = 2

                    """

                    BREAK = 0

                    DEFAULT = 1

                    NONE = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Console.EscapeCharacter.CharEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:escape-character'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.char is not None:
                        return True

                    if self.soft is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.EscapeCharacter']['meta_info']


            class NoExec(object):
                """
                
                
                .. attribute:: exec_
                
                	Configure EXEC
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.exec_ = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:no-exec'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.exec_ is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.NoExec']['meta_info']


            class Exec_(object):
                """
                
                
                .. attribute:: prompt
                
                	
                	**type**\:   :py:class:`Prompt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Exec_.Prompt>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.prompt = Native.Line.Console.Exec_.Prompt()
                    self.prompt.parent = self


                class Prompt(object):
                    """
                    
                    
                    .. attribute:: timestamp
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.timestamp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:prompt'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.timestamp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Console.Exec_.Prompt']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:exec'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.prompt is not None and self.prompt._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.Exec_']['meta_info']


            class ExecTimeout(object):
                """
                Set the EXEC timeout
                
                .. attribute:: minutes
                
                	<0\-35791>;;Timeout in minutes
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: seconds
                
                	<0\-2147483>;;Timeout in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.minutes = None
                    self.seconds = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:exec-timeout'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.minutes is not None:
                        return True

                    if self.seconds is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.ExecTimeout']['meta_info']


            class Flowcontrol(object):
                """
                Set the flow control
                
                .. attribute:: hardware
                
                	Set hardware flow control
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: none
                
                	Set no flow control
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: software
                
                	Set software flow control
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.hardware = None
                    self.none = None
                    self.software = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.hardware is not None:
                        return True

                    if self.none is not None:
                        return True

                    if self.software is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.Flowcontrol']['meta_info']


            class History(object):
                """
                Enable and control the command history function
                
                .. attribute:: size
                
                	Set history buffer size
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.size = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:history'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.size is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.History']['meta_info']


            class Ip(object):
                """
                IP options
                
                .. attribute:: netmask_format
                
                	Change display of netmasks
                	**type**\:   :py:class:`NetmaskFormat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Ip.NetmaskFormat>`
                
                	**presence node**\: True
                
                .. attribute:: tcp
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.netmask_format = None
                    self.tcp = None


                class NetmaskFormat(object):
                    """
                    Change display of netmasks
                    
                    .. attribute:: format
                    
                    	
                    	**type**\:   :py:class:`FormatEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Ip.NetmaskFormat.FormatEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.format = None

                    class FormatEnum(Enum):
                        """
                        FormatEnum

                        .. data:: bit_count = 0

                        .. data:: decimal = 1

                        .. data:: hexadecimal = 2

                        """

                        bit_count = 0

                        decimal = 1

                        hexadecimal = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.Console.Ip.NetmaskFormat.FormatEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:netmask-format'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.format is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Console.Ip.NetmaskFormat']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.netmask_format is not None and self.netmask_format._has_data():
                        return True

                    if self.tcp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.Ip']['meta_info']


            class Ipv6(object):
                """
                
                
                .. attribute:: access_class
                
                	
                	**type**\:   :py:class:`AccessClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Ipv6.AccessClass>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_class = Native.Line.Console.Ipv6.AccessClass()
                    self.access_class.parent = self


                class AccessClass(object):
                    """
                    
                    
                    .. attribute:: access_class
                    
                    	
                    	**type**\: list of    :py:class:`AccessClass_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Ipv6.AccessClass.AccessClass_>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access_class = YList()
                        self.access_class.parent = self
                        self.access_class.name = 'access_class'


                    class AccessClass_(object):
                        """
                        
                        
                        .. attribute:: access_class_name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: enumeration_in_out
                        
                        	
                        	**type**\:   :py:class:`EnumerationInOutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Ipv6.AccessClass.AccessClass_.EnumerationInOutEnum>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.access_class_name = None
                            self.enumeration_in_out = None

                        class EnumerationInOutEnum(Enum):
                            """
                            EnumerationInOutEnum

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = 0

                            out = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Line.Console.Ipv6.AccessClass.AccessClass_.EnumerationInOutEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.access_class_name is None:
                                raise YPYModelError('Key property access_class_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:access-class[Cisco-IOS-XE-native:access-class-name = ' + str(self.access_class_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.access_class_name is not None:
                                return True

                            if self.enumeration_in_out is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.Console.Ipv6.AccessClass.AccessClass_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-class'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access_class is not None:
                            for child_ref in self.access_class:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Console.Ipv6.AccessClass']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_class is not None and self.access_class._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.Ipv6']['meta_info']


            class Logging(object):
                """
                Modify message logging facilities
                
                .. attribute:: synchronous
                
                	Synchronized message output
                	**type**\:   :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Logging.Synchronous>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.synchronous = None


                class Synchronous(object):
                    """
                    Synchronized message output
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:synchronous'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Console.Logging.Synchronous']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.synchronous is not None and self.synchronous._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.Logging']['meta_info']


            class Login(object):
                """
                Enable password checking
                
                .. attribute:: authentication
                
                	
                	**type**\:  str
                
                .. attribute:: local
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.authentication = None
                    self.local = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:login'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.authentication is not None:
                        return True

                    if self.local is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.Login']['meta_info']


            class MediaType(object):
                """
                Console connection media type
                
                .. attribute:: rj45
                
                	Console connection set to RJ45
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.rj45 = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:media-type'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.rj45 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.MediaType']['meta_info']


            class Modem(object):
                """
                Configure the Modem Control Lines
                
                .. attribute:: answer_timeout
                
                	Set interval between raising DTR and CTS response
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: cts_alarm
                
                	Alarm device which only uses CTS for call control
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dialin
                
                	Configure line for a modern dial\-in modem
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dtr_active
                
                	Leave DTR low unless line has an active incoming connection or EXEC
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dtr_delay
                
                	Set interval during which DTR is held low
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host
                
                	Devices that expect an incoming modem call
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: inout
                
                	Configure line for incoming AND outgoing use of modem
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: printer
                
                	Devices that require DSR/CD active
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.answer_timeout = None
                    self.cts_alarm = None
                    self.dialin = None
                    self.dtr_active = None
                    self.dtr_delay = None
                    self.host = None
                    self.inout = None
                    self.printer = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:modem'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.answer_timeout is not None:
                        return True

                    if self.cts_alarm is not None:
                        return True

                    if self.dialin is not None:
                        return True

                    if self.dtr_active is not None:
                        return True

                    if self.dtr_delay is not None:
                        return True

                    if self.host is not None:
                        return True

                    if self.inout is not None:
                        return True

                    if self.printer is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.Modem']['meta_info']


            class Padding(object):
                """
                Set padding for a specified output character
                
                .. attribute:: character
                
                	Character to be padded
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 0..127
                
                
                ----
                	**type**\:  str
                
                
                ----
                .. attribute:: null
                
                	
                	**type**\:  int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.character = None
                    self.null = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:padding'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.character is not None:
                        return True

                    if self.null is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.Padding']['meta_info']


            class Parity(object):
                """
                Set terminal parity
                
                .. attribute:: even
                
                	Even parity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mark
                
                	Mark parity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: none
                
                	No parity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: odd
                
                	Odd parity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: space
                
                	Space parity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.even = None
                    self.mark = None
                    self.none = None
                    self.odd = None
                    self.space = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:parity'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.even is not None:
                        return True

                    if self.mark is not None:
                        return True

                    if self.none is not None:
                        return True

                    if self.odd is not None:
                        return True

                    if self.space is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.Parity']['meta_info']


            class Password(object):
                """
                Set a password
                
                .. attribute:: level
                
                	Set exec level password
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: secret
                
                	
                	**type**\:  str
                
                .. attribute:: type
                
                	
                	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Password.TypeEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.level = None
                    self.secret = None
                    self.type = None

                class TypeEnum(Enum):
                    """
                    TypeEnum

                    .. data:: Y_0 = 0

                    .. data:: Y_7 = 1

                    """

                    Y_0 = 0

                    Y_7 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Console.Password.TypeEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:password'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.level is not None:
                        return True

                    if self.secret is not None:
                        return True

                    if self.type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.Password']['meta_info']


            class Prc(object):
                """
                PRC commands
                
                .. attribute:: expose
                
                	Expose PRC data
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hide
                
                	Hide PRC data
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.expose = None
                    self.hide = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:prc'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.expose is not None:
                        return True

                    if self.hide is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.Prc']['meta_info']


            class Privilege(object):
                """
                Change privilege level for line
                
                .. attribute:: level
                
                	Assign default privilege level for line
                	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Privilege.Level>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.level = None


                class Level(object):
                    """
                    Assign default privilege level for line
                    
                    .. attribute:: number
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..15
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Console.Privilege.Level']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:privilege'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.level is not None and self.level._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.Privilege']['meta_info']


            class SessionTimeout(object):
                """
                Set interval for closing connection when there is no input traffic
                
                .. attribute:: output
                
                	Include output traffic as well as input traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: session_timeout_value
                
                	
                	**type**\:  int
                
                	**range:** 0..35791
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.output = None
                    self.session_timeout_value = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:session-timeout'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.output is not None:
                        return True

                    if self.session_timeout_value is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.SessionTimeout']['meta_info']


            class Timeout(object):
                """
                Timeouts for the line
                
                .. attribute:: login
                
                	Timeouts related to the login sequence
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.login = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:timeout'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.login is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.Timeout']['meta_info']


            class Telnet(object):
                """
                Telnet protocol\-specific configuration
                
                .. attribute:: transparent
                
                	Send a CR as a CR followed by a NULL instead of a CR followed by a LF
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.transparent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:telnet'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.transparent is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.Telnet']['meta_info']


            class Transport(object):
                """
                Define transport protocols for line
                
                .. attribute:: input
                
                	
                	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Transport.Input>`
                
                .. attribute:: output
                
                	
                	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Transport.Output>`
                
                .. attribute:: preferred
                
                	Specify the preferred protocol to use
                	**type**\:   :py:class:`Preferred <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Transport.Preferred>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.input = Native.Line.Console.Transport.Input()
                    self.input.parent = self
                    self.output = Native.Line.Console.Transport.Output()
                    self.output.parent = self
                    self.preferred = None


                class Input(object):
                    """
                    
                    
                    .. attribute:: input
                    
                    	Define which protocols to use when connecting to the terminal server
                    	**type**\:  list of   :py:class:`InputEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Transport.Input.InputEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.input = YLeafList()
                        self.input.parent = self
                        self.input.name = 'input'

                    class InputEnum(Enum):
                        """
                        InputEnum

                        Define which protocols to use when connecting to the terminal server

                        .. data:: acercon = 0

                        .. data:: all = 1

                        .. data:: lapb_ta = 2

                        .. data:: lat = 3

                        .. data:: mop = 4

                        .. data:: nasi = 5

                        .. data:: none = 6

                        .. data:: pad = 7

                        .. data:: rlogin = 8

                        .. data:: ssh = 9

                        .. data:: telnet = 10

                        .. data:: udptn = 11

                        .. data:: v120 = 12

                        """

                        acercon = 0

                        all = 1

                        lapb_ta = 2

                        lat = 3

                        mop = 4

                        nasi = 5

                        none = 6

                        pad = 7

                        rlogin = 8

                        ssh = 9

                        telnet = 10

                        udptn = 11

                        v120 = 12


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.Console.Transport.Input.InputEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:input'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.input is not None:
                            for child in self.input:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Console.Transport.Input']['meta_info']


                class Output(object):
                    """
                    
                    
                    .. attribute:: output
                    
                    	Define which protocols to use for outgoing connections
                    	**type**\:  list of   :py:class:`OutputEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Transport.Output.OutputEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.output = YLeafList()
                        self.output.parent = self
                        self.output.name = 'output'

                    class OutputEnum(Enum):
                        """
                        OutputEnum

                        Define which protocols to use for outgoing connections

                        .. data:: acercon = 0

                        .. data:: all = 1

                        .. data:: lapb_ta = 2

                        .. data:: lat = 3

                        .. data:: mop = 4

                        .. data:: nasi = 5

                        .. data:: none = 6

                        .. data:: pad = 7

                        .. data:: rlogin = 8

                        .. data:: ssh = 9

                        .. data:: telnet = 10

                        .. data:: udptn = 11

                        .. data:: v120 = 12

                        """

                        acercon = 0

                        all = 1

                        lapb_ta = 2

                        lat = 3

                        mop = 4

                        nasi = 5

                        none = 6

                        pad = 7

                        rlogin = 8

                        ssh = 9

                        telnet = 10

                        udptn = 11

                        v120 = 12


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.Console.Transport.Output.OutputEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:output'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.output is not None:
                            for child in self.output:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Console.Transport.Output']['meta_info']


                class Preferred(object):
                    """
                    Specify the preferred protocol to use
                    
                    .. attribute:: protocol
                    
                    	
                    	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Transport.Preferred.ProtocolEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.protocol = None

                    class ProtocolEnum(Enum):
                        """
                        ProtocolEnum

                        .. data:: acercon = 0

                        .. data:: lat = 1

                        .. data:: mop = 2

                        .. data:: nasi = 3

                        .. data:: none = 4

                        .. data:: pad = 5

                        .. data:: rlogin = 6

                        .. data:: ssh = 7

                        .. data:: telnet = 8

                        .. data:: udptn = 9

                        """

                        acercon = 0

                        lat = 1

                        mop = 2

                        nasi = 3

                        none = 4

                        pad = 5

                        rlogin = 6

                        ssh = 7

                        telnet = 8

                        udptn = 9


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.Console.Transport.Preferred.ProtocolEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:preferred'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.protocol is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Console.Transport.Preferred']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:transport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.input is not None and self.input._has_data():
                        return True

                    if self.output is not None and self.output._has_data():
                        return True

                    if self.preferred is not None and self.preferred._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.Transport']['meta_info']


            class UsbInactivityTimeout(object):
                """
                Inactivity timeout for USB media type
                
                .. attribute:: switch
                
                	Switch Number
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switch = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:usb-inactivity-timeout'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switch is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.UsbInactivityTimeout']['meta_info']


            class VacantMessage(object):
                """
                Define a vacant banner
                
                .. attribute:: banner
                
                	c vacant\-text c, where 'c' is a delimiting character
                	**type**\:  str
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.banner = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vacant-message'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.banner is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Console.VacantMessage']['meta_info']

            @property
            def _common_path(self):
                if self.first is None:
                    raise YPYModelError('Key property first is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:line/Cisco-IOS-XE-native:console[Cisco-IOS-XE-native:first = ' + str(self.first) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.first is not None:
                    return True

                if self.access_class is not None and self.access_class._has_data():
                    return True

                if self.activation_character is not None:
                    return True

                if self.authorization is not None and self.authorization._has_data():
                    return True

                if self.autocommand is not None and self.autocommand._has_data():
                    return True

                if self.autocommand_options is not None and self.autocommand_options._has_data():
                    return True

                if self.data_character_bits is not None:
                    return True

                if self.databits is not None and self.databits._has_data():
                    return True

                if self.domain_lookup is not None:
                    return True

                if self.editing is not None:
                    return True

                if self.escape_character is not None and self.escape_character._has_data():
                    return True

                if self.exec_ is not None and self.exec_._has_data():
                    return True

                if self.exec_banner is not None:
                    return True

                if self.exec_character_bits is not None:
                    return True

                if self.exec_timeout is not None and self.exec_timeout._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.full_help is not None:
                    return True

                if self.history is not None and self.history._has_data():
                    return True

                if self.international is not None:
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.length is not None:
                    return True

                if self.line is not None:
                    return True

                if self.location is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.login is not None and self.login._has_data():
                    return True

                if self.media_type is not None and self.media_type._has_data():
                    return True

                if self.modem is not None and self.modem._has_data():
                    return True

                if self.monitor is not None:
                    return True

                if self.motd_banner is not None:
                    return True

                if self.no_activation_character is not None:
                    return True

                if self.no_exec is not None and self.no_exec._has_data():
                    return True

                if self.notify is not None:
                    return True

                if self.padding is not None and self.padding._has_data():
                    return True

                if self.parity is not None and self.parity._has_data():
                    return True

                if self.password is not None and self.password._has_data():
                    return True

                if self.prc is not None and self.prc._has_data():
                    return True

                if self.privilege is not None and self.privilege._has_data():
                    return True

                if self.refuse_message is not None:
                    return True

                if self.rotary is not None:
                    return True

                if self.rxspeed is not None:
                    return True

                if self.session_timeout is not None and self.session_timeout._has_data():
                    return True

                if self.special_character_bits is not None:
                    return True

                if self.speed is not None:
                    return True

                if self.start_character is not None:
                    return True

                if self.stop_character is not None:
                    return True

                if self.stopbits is not None:
                    return True

                if self.telnet is not None and self.telnet._has_data():
                    return True

                if self.terminal_type is not None:
                    return True

                if self.timeout is not None and self.timeout._has_data():
                    return True

                if self.transport is not None and self.transport._has_data():
                    return True

                if self.txspeed is not None:
                    return True

                if self.usb_inactivity_timeout is not None and self.usb_inactivity_timeout._has_data():
                    return True

                if self.vacant_message is not None and self.vacant_message._has_data():
                    return True

                if self.width is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Line.Console']['meta_info']


        class Vty(object):
            """
            Virtual terminal
            
            .. attribute:: first  <key>
            
            	
            	**type**\:  int
            
            	**range:** 0..1869
            
            .. attribute:: access_class
            
            	Filter connections based on an IP access list
            	**type**\:   :py:class:`AccessClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.AccessClass>`
            
            .. attribute:: activation_character
            
            	Define the activation character
            	**type**\: one of the below types:
            
            	**type**\:  str
            
            
            ----
            	**type**\:  int
            
            	**range:** 0..127
            
            
            ----
            .. attribute:: authorization
            
            	Authorization parameters
            	**type**\:   :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Authorization>`
            
            .. attribute:: autocommand
            
            	Automatically execute an EXEC command
            	**type**\:   :py:class:`Autocommand <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Autocommand>`
            
            .. attribute:: autocommand_options
            
            	Autocommand options
            	**type**\:   :py:class:`AutocommandOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.AutocommandOptions>`
            
            	**presence node**\: True
            
            .. attribute:: data_character_bits
            
            	Bits per character
            	**type**\:  int
            
            	**range:** 7..8
            
            .. attribute:: databits
            
            	Set number of data bits per character
            	**type**\:   :py:class:`Databits <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Databits>`
            
            .. attribute:: domain_lookup
            
            	Enable domain lookups in show commands
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: editing
            
            	Enable command line editing
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: escape_character
            
            	Change the current line's escape character
            	**type**\:   :py:class:`EscapeCharacter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.EscapeCharacter>`
            
            .. attribute:: exec_
            
            	
            	**type**\:   :py:class:`Exec_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Exec_>`
            
            .. attribute:: exec_banner
            
            	Enable the display of the EXEC banner
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: exec_character_bits
            
            	Bits per character
            	**type**\:  int
            
            	**range:** 7..8
            
            .. attribute:: exec_timeout
            
            	Set the EXEC timeout
            	**type**\:   :py:class:`ExecTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.ExecTimeout>`
            
            .. attribute:: flowcontrol
            
            	Set the flow control
            	**type**\:   :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Flowcontrol>`
            
            .. attribute:: full_help
            
            	Provide help to unprivileged user
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: history
            
            	Enable and control the command history function
            	**type**\:   :py:class:`History <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.History>`
            
            	**presence node**\: True
            
            .. attribute:: international
            
            	Enable international 8\-bit character support
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: ip
            
            	IP options
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Ip>`
            
            .. attribute:: ipv6
            
            	
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Ipv6>`
            
            .. attribute:: last
            
            	
            	**type**\:  int
            
            	**range:** 1..1869
            
            .. attribute:: length
            
            	Set number of lines on a screen
            	**type**\:  int
            
            	**range:** 0..512
            
            .. attribute:: line
            
            	
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: location
            
            	One text line describing the terminal's location
            	**type**\:  str
            
            .. attribute:: logging
            
            	Modify message logging facilities
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Logging>`
            
            .. attribute:: login
            
            	Enable password checking
            	**type**\:   :py:class:`Login <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Login>`
            
            	**presence node**\: True
            
            .. attribute:: media_type
            
            	Console connection media type
            	**type**\:   :py:class:`MediaType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.MediaType>`
            
            .. attribute:: modem
            
            	Configure the Modem Control Lines
            	**type**\:   :py:class:`Modem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Modem>`
            
            .. attribute:: monitor
            
            	Copy debug output to the current terminal line
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: motd_banner
            
            	Enable the display of the MOTD banner
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: no_activation_character
            
            	
            	**type**\:  bool
            
            .. attribute:: no_exec
            
            	
            	**type**\:   :py:class:`NoExec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.NoExec>`
            
            .. attribute:: notify
            
            	Inform users of output from concurrent sessions
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: padding
            
            	Set padding for a specified output character
            	**type**\:   :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Padding>`
            
            .. attribute:: parity
            
            	Set terminal parity
            	**type**\:   :py:class:`Parity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Parity>`
            
            .. attribute:: password
            
            	Set a password
            	**type**\:   :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Password>`
            
            .. attribute:: prc
            
            	PRC commands
            	**type**\:   :py:class:`Prc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Prc>`
            
            .. attribute:: privilege
            
            	Change privilege level for line
            	**type**\:   :py:class:`Privilege <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Privilege>`
            
            .. attribute:: refuse_message
            
            	c refuse\-text c, where 'c' is a delimiting character
            	**type**\:  str
            
            .. attribute:: rotary
            
            	Rotary group to add line to
            	**type**\:  int
            
            	**range:** 1..99
            
            .. attribute:: rxspeed
            
            	Receive speed
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: session_timeout
            
            	Set interval for closing connection when there is no input traffic
            	**type**\:   :py:class:`SessionTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.SessionTimeout>`
            
            .. attribute:: special_character_bits
            
            	Bits per character
            	**type**\:  int
            
            	**range:** 7..8
            
            .. attribute:: speed
            
            	Transmit and receive speeds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: start_character
            
            	Define the start character
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 0..255
            
            
            ----
            	**type**\:  str
            
            
            ----
            .. attribute:: stop_character
            
            	Define the stop character
            	**type**\: one of the below types:
            
            	**type**\:  int
            
            	**range:** 0..255
            
            
            ----
            	**type**\:  str
            
            
            ----
            .. attribute:: stopbits
            
            	Set async line stop bits
            	**type**\:   :py:class:`StopbitsEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.StopbitsEnum>`
            
            .. attribute:: telnet
            
            	Telnet protocol\-specific configuration
            	**type**\:   :py:class:`Telnet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Telnet>`
            
            .. attribute:: terminal_type
            
            	Terminal type
            	**type**\:  str
            
            .. attribute:: timeout
            
            	Timeouts for the line
            	**type**\:   :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Timeout>`
            
            .. attribute:: transport
            
            	Define transport protocols for line
            	**type**\:   :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Transport>`
            
            .. attribute:: txspeed
            
            	Transmit speed
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: usb_inactivity_timeout
            
            	Inactivity timeout for USB media type
            	**type**\:   :py:class:`UsbInactivityTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.UsbInactivityTimeout>`
            
            .. attribute:: vacant_message
            
            	Define a vacant banner
            	**type**\:   :py:class:`VacantMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.VacantMessage>`
            
            	**presence node**\: True
            
            .. attribute:: width
            
            	Number of characters on a screen line
            	**type**\:  int
            
            	**range:** 0..512
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.first = None
                self.access_class = Native.Line.Vty.AccessClass()
                self.access_class.parent = self
                self.activation_character = None
                self.authorization = Native.Line.Vty.Authorization()
                self.authorization.parent = self
                self.autocommand = Native.Line.Vty.Autocommand()
                self.autocommand.parent = self
                self.autocommand_options = None
                self.data_character_bits = None
                self.databits = Native.Line.Vty.Databits()
                self.databits.parent = self
                self.domain_lookup = None
                self.editing = None
                self.escape_character = Native.Line.Vty.EscapeCharacter()
                self.escape_character.parent = self
                self.exec_ = Native.Line.Vty.Exec_()
                self.exec_.parent = self
                self.exec_banner = None
                self.exec_character_bits = None
                self.exec_timeout = Native.Line.Vty.ExecTimeout()
                self.exec_timeout.parent = self
                self.flowcontrol = Native.Line.Vty.Flowcontrol()
                self.flowcontrol.parent = self
                self.full_help = None
                self.history = None
                self.international = None
                self.ip = Native.Line.Vty.Ip()
                self.ip.parent = self
                self.ipv6 = Native.Line.Vty.Ipv6()
                self.ipv6.parent = self
                self.last = None
                self.length = None
                self.line = None
                self.location = None
                self.logging = Native.Line.Vty.Logging()
                self.logging.parent = self
                self.login = None
                self.media_type = Native.Line.Vty.MediaType()
                self.media_type.parent = self
                self.modem = Native.Line.Vty.Modem()
                self.modem.parent = self
                self.monitor = None
                self.motd_banner = None
                self.no_activation_character = None
                self.no_exec = Native.Line.Vty.NoExec()
                self.no_exec.parent = self
                self.notify = None
                self.padding = Native.Line.Vty.Padding()
                self.padding.parent = self
                self.parity = Native.Line.Vty.Parity()
                self.parity.parent = self
                self.password = Native.Line.Vty.Password()
                self.password.parent = self
                self.prc = Native.Line.Vty.Prc()
                self.prc.parent = self
                self.privilege = Native.Line.Vty.Privilege()
                self.privilege.parent = self
                self.refuse_message = None
                self.rotary = None
                self.rxspeed = None
                self.session_timeout = Native.Line.Vty.SessionTimeout()
                self.session_timeout.parent = self
                self.special_character_bits = None
                self.speed = None
                self.start_character = None
                self.stop_character = None
                self.stopbits = None
                self.telnet = Native.Line.Vty.Telnet()
                self.telnet.parent = self
                self.terminal_type = None
                self.timeout = Native.Line.Vty.Timeout()
                self.timeout.parent = self
                self.transport = Native.Line.Vty.Transport()
                self.transport.parent = self
                self.txspeed = None
                self.usb_inactivity_timeout = Native.Line.Vty.UsbInactivityTimeout()
                self.usb_inactivity_timeout.parent = self
                self.vacant_message = None
                self.width = None

            class StopbitsEnum(Enum):
                """
                StopbitsEnum

                Set async line stop bits

                .. data:: Y_1 = 0

                .. data:: Y_1__DOT__5 = 1

                .. data:: Y_2 = 2

                """

                Y_1 = 0

                Y_1__DOT__5 = 1

                Y_2 = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.StopbitsEnum']



            class Authorization(object):
                """
                Authorization parameters
                
                .. attribute:: command
                
                	For exec (shell) commands
                	**type**\:   :py:class:`Command <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Authorization.Command>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.command = Native.Line.Vty.Authorization.Command()
                    self.command.parent = self


                class Command(object):
                    """
                    For exec (shell) commands
                    
                    .. attribute:: auth_name
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: enable_level
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..15
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.auth_name = None
                        self.enable_level = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:command'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.auth_name is not None:
                            return True

                        if self.enable_level is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Vty.Authorization.Command']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:authorization'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.command is not None and self.command._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.Authorization']['meta_info']


            class AccessClass(object):
                """
                Filter connections based on an IP access list
                
                .. attribute:: acccess_list
                
                	
                	**type**\: list of    :py:class:`AcccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.AccessClass.AcccessList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.acccess_list = YList()
                    self.acccess_list.parent = self
                    self.acccess_list.name = 'acccess_list'


                class AcccessList(object):
                    """
                    
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:   :py:class:`DirectionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.AccessClass.AcccessList.DirectionEnum>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..199 \| 1300..2699
                    
                    	**mandatory**\: True
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    	**mandatory**\: True
                    
                    
                    ----
                    .. attribute:: vrf_also
                    
                    	Same access list is applied for all VRFs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.direction = None
                        self.access_list = None
                        self.vrf_also = None

                    class DirectionEnum(Enum):
                        """
                        DirectionEnum

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = 0

                        out = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.Vty.AccessClass.AcccessList.DirectionEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.direction is None:
                            raise YPYModelError('Key property direction is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:acccess-list[Cisco-IOS-XE-native:direction = ' + str(self.direction) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.direction is not None:
                            return True

                        if self.access_list is not None:
                            return True

                        if self.vrf_also is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Vty.AccessClass.AcccessList']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:access-class'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.acccess_list is not None:
                        for child_ref in self.acccess_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.AccessClass']['meta_info']


            class Autocommand(object):
                """
                Automatically execute an EXEC command
                
                .. attribute:: line
                
                	Appropriate EXEC command
                	**type**\:  str
                
                .. attribute:: no_suppress_linenumber
                
                	Display service linenumber message
                	**type**\:   :py:class:`NoSuppressLinenumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Autocommand.NoSuppressLinenumber>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.line = None
                    self.no_suppress_linenumber = None


                class NoSuppressLinenumber(object):
                    """
                    Display service linenumber message
                    
                    .. attribute:: line
                    
                    	Appropriate EXEC command
                    	**type**\:  str
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.line = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:no-suppress-linenumber'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.line is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Vty.Autocommand.NoSuppressLinenumber']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:autocommand'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.line is not None:
                        return True

                    if self.no_suppress_linenumber is not None and self.no_suppress_linenumber._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.Autocommand']['meta_info']


            class AutocommandOptions(object):
                """
                Autocommand options
                
                .. attribute:: abort_character
                
                	Autocommand abort character
                	**type**\:   :py:class:`AbortCharacter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.AutocommandOptions.AbortCharacter>`
                
                	**presence node**\: True
                
                .. attribute:: delay
                
                	Delay autocommand execution
                	**type**\:   :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.AutocommandOptions.Delay>`
                
                	**presence node**\: True
                
                .. attribute:: nohangup
                
                	No hangup after autocommand completion
                	**type**\:   :py:class:`Nohangup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.AutocommandOptions.Nohangup>`
                
                	**presence node**\: True
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.abort_character = None
                    self.delay = None
                    self.nohangup = None


                class AbortCharacter(object):
                    """
                    Autocommand abort character
                    
                    .. attribute:: character
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.character = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:abort-character'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.character is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Vty.AutocommandOptions.AbortCharacter']['meta_info']


                class Delay(object):
                    """
                    Delay autocommand execution
                    
                    .. attribute:: time
                    
                    	Time in seconds
                    	**type**\:  int
                    
                    	**range:** 0..120
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.time = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:delay'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Vty.AutocommandOptions.Delay']['meta_info']


                class Nohangup(object):
                    """
                    No hangup after autocommand completion
                    
                    .. attribute:: abort_character
                    
                    	Autocommand abort character
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: delay
                    
                    	Delay autocommand execution
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.abort_character = None
                        self.delay = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:nohangup'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.abort_character is not None:
                            return True

                        if self.delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Vty.AutocommandOptions.Nohangup']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:autocommand-options'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.abort_character is not None and self.abort_character._has_data():
                        return True

                    if self.delay is not None and self.delay._has_data():
                        return True

                    if self.nohangup is not None and self.nohangup._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.AutocommandOptions']['meta_info']


            class Databits(object):
                """
                Set number of data bits per character
                
                .. attribute:: set_to_5
                
                	Number of data bits
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_6
                
                	Number of data bits
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_7
                
                	Number of data bits
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_8
                
                	Number of data bits
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.set_to_5 = None
                    self.set_to_6 = None
                    self.set_to_7 = None
                    self.set_to_8 = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:databits'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.set_to_5 is not None:
                        return True

                    if self.set_to_6 is not None:
                        return True

                    if self.set_to_7 is not None:
                        return True

                    if self.set_to_8 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.Databits']['meta_info']


            class EscapeCharacter(object):
                """
                Change the current line's escape character
                
                .. attribute:: char
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 0..255
                
                
                ----
                	**type**\:   :py:class:`CharEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.EscapeCharacter.CharEnum>`
                
                
                ----
                	**type**\:  str
                
                
                ----
                .. attribute:: soft
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.char = None
                    self.soft = None

                class CharEnum(Enum):
                    """
                    CharEnum

                    .. data:: BREAK = 0

                    .. data:: DEFAULT = 1

                    .. data:: NONE = 2

                    """

                    BREAK = 0

                    DEFAULT = 1

                    NONE = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Vty.EscapeCharacter.CharEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:escape-character'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.char is not None:
                        return True

                    if self.soft is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.EscapeCharacter']['meta_info']


            class NoExec(object):
                """
                
                
                .. attribute:: exec_
                
                	Configure EXEC
                	**type**\:  bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.exec_ = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:no-exec'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.exec_ is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.NoExec']['meta_info']


            class Exec_(object):
                """
                
                
                .. attribute:: prompt
                
                	
                	**type**\:   :py:class:`Prompt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Exec_.Prompt>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.prompt = Native.Line.Vty.Exec_.Prompt()
                    self.prompt.parent = self


                class Prompt(object):
                    """
                    
                    
                    .. attribute:: timestamp
                    
                    	
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.timestamp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:prompt'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.timestamp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Vty.Exec_.Prompt']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:exec'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.prompt is not None and self.prompt._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.Exec_']['meta_info']


            class ExecTimeout(object):
                """
                Set the EXEC timeout
                
                .. attribute:: minutes
                
                	<0\-35791>;;Timeout in minutes
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: seconds
                
                	<0\-2147483>;;Timeout in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.minutes = None
                    self.seconds = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:exec-timeout'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.minutes is not None:
                        return True

                    if self.seconds is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.ExecTimeout']['meta_info']


            class Flowcontrol(object):
                """
                Set the flow control
                
                .. attribute:: hardware
                
                	Set hardware flow control
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: none
                
                	Set no flow control
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: software
                
                	Set software flow control
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.hardware = None
                    self.none = None
                    self.software = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:flowcontrol'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.hardware is not None:
                        return True

                    if self.none is not None:
                        return True

                    if self.software is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.Flowcontrol']['meta_info']


            class History(object):
                """
                Enable and control the command history function
                
                .. attribute:: size
                
                	Set history buffer size
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.size = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:history'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.size is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.History']['meta_info']


            class Ip(object):
                """
                IP options
                
                .. attribute:: netmask_format
                
                	Change display of netmasks
                	**type**\:   :py:class:`NetmaskFormat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Ip.NetmaskFormat>`
                
                	**presence node**\: True
                
                .. attribute:: tcp
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.netmask_format = None
                    self.tcp = None


                class NetmaskFormat(object):
                    """
                    Change display of netmasks
                    
                    .. attribute:: format
                    
                    	
                    	**type**\:   :py:class:`FormatEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Ip.NetmaskFormat.FormatEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.format = None

                    class FormatEnum(Enum):
                        """
                        FormatEnum

                        .. data:: bit_count = 0

                        .. data:: decimal = 1

                        .. data:: hexadecimal = 2

                        """

                        bit_count = 0

                        decimal = 1

                        hexadecimal = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.Vty.Ip.NetmaskFormat.FormatEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:netmask-format'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.format is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Vty.Ip.NetmaskFormat']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.netmask_format is not None and self.netmask_format._has_data():
                        return True

                    if self.tcp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.Ip']['meta_info']


            class Ipv6(object):
                """
                
                
                .. attribute:: access_class
                
                	
                	**type**\:   :py:class:`AccessClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Ipv6.AccessClass>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access_class = Native.Line.Vty.Ipv6.AccessClass()
                    self.access_class.parent = self


                class AccessClass(object):
                    """
                    
                    
                    .. attribute:: access_class
                    
                    	
                    	**type**\: list of    :py:class:`AccessClass_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Ipv6.AccessClass.AccessClass_>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access_class = YList()
                        self.access_class.parent = self
                        self.access_class.name = 'access_class'


                    class AccessClass_(object):
                        """
                        
                        
                        .. attribute:: access_class_name  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: enumeration_in_out
                        
                        	
                        	**type**\:   :py:class:`EnumerationInOutEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Ipv6.AccessClass.AccessClass_.EnumerationInOutEnum>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.access_class_name = None
                            self.enumeration_in_out = None

                        class EnumerationInOutEnum(Enum):
                            """
                            EnumerationInOutEnum

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = 0

                            out = 1


                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Line.Vty.Ipv6.AccessClass.AccessClass_.EnumerationInOutEnum']


                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.access_class_name is None:
                                raise YPYModelError('Key property access_class_name is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-native:access-class[Cisco-IOS-XE-native:access-class-name = ' + str(self.access_class_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.access_class_name is not None:
                                return True

                            if self.enumeration_in_out is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.Vty.Ipv6.AccessClass.AccessClass_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:access-class'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access_class is not None:
                            for child_ref in self.access_class:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Vty.Ipv6.AccessClass']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access_class is not None and self.access_class._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.Ipv6']['meta_info']


            class Logging(object):
                """
                Modify message logging facilities
                
                .. attribute:: synchronous
                
                	Synchronized message output
                	**type**\:   :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Logging.Synchronous>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.synchronous = None


                class Synchronous(object):
                    """
                    Synchronized message output
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:synchronous'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Vty.Logging.Synchronous']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.synchronous is not None and self.synchronous._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.Logging']['meta_info']


            class Login(object):
                """
                Enable password checking
                
                .. attribute:: authentication
                
                	
                	**type**\:  str
                
                .. attribute:: local
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.authentication = None
                    self.local = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:login'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.authentication is not None:
                        return True

                    if self.local is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.Login']['meta_info']


            class MediaType(object):
                """
                Console connection media type
                
                .. attribute:: rj45
                
                	Console connection set to RJ45
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.rj45 = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:media-type'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.rj45 is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.MediaType']['meta_info']


            class Modem(object):
                """
                Configure the Modem Control Lines
                
                .. attribute:: answer_timeout
                
                	Set interval between raising DTR and CTS response
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: cts_alarm
                
                	Alarm device which only uses CTS for call control
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dialin
                
                	Configure line for a modern dial\-in modem
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dtr_active
                
                	Leave DTR low unless line has an active incoming connection or EXEC
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dtr_delay
                
                	Set interval during which DTR is held low
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host
                
                	Devices that expect an incoming modem call
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: inout
                
                	Configure line for incoming AND outgoing use of modem
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: printer
                
                	Devices that require DSR/CD active
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.answer_timeout = None
                    self.cts_alarm = None
                    self.dialin = None
                    self.dtr_active = None
                    self.dtr_delay = None
                    self.host = None
                    self.inout = None
                    self.printer = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:modem'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.answer_timeout is not None:
                        return True

                    if self.cts_alarm is not None:
                        return True

                    if self.dialin is not None:
                        return True

                    if self.dtr_active is not None:
                        return True

                    if self.dtr_delay is not None:
                        return True

                    if self.host is not None:
                        return True

                    if self.inout is not None:
                        return True

                    if self.printer is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.Modem']['meta_info']


            class Padding(object):
                """
                Set padding for a specified output character
                
                .. attribute:: character
                
                	Character to be padded
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 0..127
                
                
                ----
                	**type**\:  str
                
                
                ----
                .. attribute:: null
                
                	
                	**type**\:  int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.character = None
                    self.null = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:padding'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.character is not None:
                        return True

                    if self.null is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.Padding']['meta_info']


            class Parity(object):
                """
                Set terminal parity
                
                .. attribute:: even
                
                	Even parity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mark
                
                	Mark parity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: none
                
                	No parity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: odd
                
                	Odd parity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: space
                
                	Space parity
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.even = None
                    self.mark = None
                    self.none = None
                    self.odd = None
                    self.space = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:parity'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.even is not None:
                        return True

                    if self.mark is not None:
                        return True

                    if self.none is not None:
                        return True

                    if self.odd is not None:
                        return True

                    if self.space is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.Parity']['meta_info']


            class Password(object):
                """
                Set a password
                
                .. attribute:: level
                
                	Set exec level password
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: secret
                
                	
                	**type**\:  str
                
                .. attribute:: type
                
                	
                	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Password.TypeEnum>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.level = None
                    self.secret = None
                    self.type = None

                class TypeEnum(Enum):
                    """
                    TypeEnum

                    .. data:: Y_0 = 0

                    .. data:: Y_7 = 1

                    """

                    Y_0 = 0

                    Y_7 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Vty.Password.TypeEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:password'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.level is not None:
                        return True

                    if self.secret is not None:
                        return True

                    if self.type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.Password']['meta_info']


            class Prc(object):
                """
                PRC commands
                
                .. attribute:: expose
                
                	Expose PRC data
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hide
                
                	Hide PRC data
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.expose = None
                    self.hide = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:prc'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.expose is not None:
                        return True

                    if self.hide is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.Prc']['meta_info']


            class Privilege(object):
                """
                Change privilege level for line
                
                .. attribute:: level
                
                	Assign default privilege level for line
                	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Privilege.Level>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.level = None


                class Level(object):
                    """
                    Assign default privilege level for line
                    
                    .. attribute:: number
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..15
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.number = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:level'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.number is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Vty.Privilege.Level']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:privilege'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.level is not None and self.level._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.Privilege']['meta_info']


            class SessionTimeout(object):
                """
                Set interval for closing connection when there is no input traffic
                
                .. attribute:: output
                
                	Include output traffic as well as input traffic
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: session_timeout_value
                
                	
                	**type**\:  int
                
                	**range:** 0..35791
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.output = None
                    self.session_timeout_value = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:session-timeout'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.output is not None:
                        return True

                    if self.session_timeout_value is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.SessionTimeout']['meta_info']


            class Timeout(object):
                """
                Timeouts for the line
                
                .. attribute:: login
                
                	Timeouts related to the login sequence
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.login = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:timeout'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.login is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.Timeout']['meta_info']


            class Telnet(object):
                """
                Telnet protocol\-specific configuration
                
                .. attribute:: transparent
                
                	Send a CR as a CR followed by a NULL instead of a CR followed by a LF
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.transparent = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:telnet'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.transparent is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.Telnet']['meta_info']


            class Transport(object):
                """
                Define transport protocols for line
                
                .. attribute:: input
                
                	
                	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Transport.Input>`
                
                .. attribute:: output
                
                	
                	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Transport.Output>`
                
                .. attribute:: preferred
                
                	Specify the preferred protocol to use
                	**type**\:   :py:class:`Preferred <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Transport.Preferred>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.input = Native.Line.Vty.Transport.Input()
                    self.input.parent = self
                    self.output = Native.Line.Vty.Transport.Output()
                    self.output.parent = self
                    self.preferred = None


                class Input(object):
                    """
                    
                    
                    .. attribute:: input
                    
                    	Define which protocols to use when connecting to the terminal server
                    	**type**\:  list of   :py:class:`InputEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Transport.Input.InputEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.input = YLeafList()
                        self.input.parent = self
                        self.input.name = 'input'

                    class InputEnum(Enum):
                        """
                        InputEnum

                        Define which protocols to use when connecting to the terminal server

                        .. data:: acercon = 0

                        .. data:: all = 1

                        .. data:: lapb_ta = 2

                        .. data:: lat = 3

                        .. data:: mop = 4

                        .. data:: nasi = 5

                        .. data:: none = 6

                        .. data:: pad = 7

                        .. data:: rlogin = 8

                        .. data:: ssh = 9

                        .. data:: telnet = 10

                        .. data:: udptn = 11

                        .. data:: v120 = 12

                        """

                        acercon = 0

                        all = 1

                        lapb_ta = 2

                        lat = 3

                        mop = 4

                        nasi = 5

                        none = 6

                        pad = 7

                        rlogin = 8

                        ssh = 9

                        telnet = 10

                        udptn = 11

                        v120 = 12


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.Vty.Transport.Input.InputEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:input'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.input is not None:
                            for child in self.input:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Vty.Transport.Input']['meta_info']


                class Output(object):
                    """
                    
                    
                    .. attribute:: output
                    
                    	Define which protocols to use for outgoing connections
                    	**type**\:  list of   :py:class:`OutputEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Transport.Output.OutputEnum>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.output = YLeafList()
                        self.output.parent = self
                        self.output.name = 'output'

                    class OutputEnum(Enum):
                        """
                        OutputEnum

                        Define which protocols to use for outgoing connections

                        .. data:: acercon = 0

                        .. data:: all = 1

                        .. data:: lapb_ta = 2

                        .. data:: lat = 3

                        .. data:: mop = 4

                        .. data:: nasi = 5

                        .. data:: none = 6

                        .. data:: pad = 7

                        .. data:: rlogin = 8

                        .. data:: ssh = 9

                        .. data:: telnet = 10

                        .. data:: udptn = 11

                        .. data:: v120 = 12

                        """

                        acercon = 0

                        all = 1

                        lapb_ta = 2

                        lat = 3

                        mop = 4

                        nasi = 5

                        none = 6

                        pad = 7

                        rlogin = 8

                        ssh = 9

                        telnet = 10

                        udptn = 11

                        v120 = 12


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.Vty.Transport.Output.OutputEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:output'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.output is not None:
                            for child in self.output:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Vty.Transport.Output']['meta_info']


                class Preferred(object):
                    """
                    Specify the preferred protocol to use
                    
                    .. attribute:: protocol
                    
                    	
                    	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Transport.Preferred.ProtocolEnum>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.protocol = None

                    class ProtocolEnum(Enum):
                        """
                        ProtocolEnum

                        .. data:: acercon = 0

                        .. data:: lat = 1

                        .. data:: mop = 2

                        .. data:: nasi = 3

                        .. data:: none = 4

                        .. data:: pad = 5

                        .. data:: rlogin = 6

                        .. data:: ssh = 7

                        .. data:: telnet = 8

                        .. data:: udptn = 9

                        """

                        acercon = 0

                        lat = 1

                        mop = 2

                        nasi = 3

                        none = 4

                        pad = 5

                        rlogin = 6

                        ssh = 7

                        telnet = 8

                        udptn = 9


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Line.Vty.Transport.Preferred.ProtocolEnum']


                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-native:preferred'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.protocol is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Line.Vty.Transport.Preferred']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:transport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.input is not None and self.input._has_data():
                        return True

                    if self.output is not None and self.output._has_data():
                        return True

                    if self.preferred is not None and self.preferred._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.Transport']['meta_info']


            class UsbInactivityTimeout(object):
                """
                Inactivity timeout for USB media type
                
                .. attribute:: switch
                
                	Switch Number
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switch = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:usb-inactivity-timeout'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switch is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.UsbInactivityTimeout']['meta_info']


            class VacantMessage(object):
                """
                Define a vacant banner
                
                .. attribute:: banner
                
                	c vacant\-text c, where 'c' is a delimiting character
                	**type**\:  str
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.banner = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-native:vacant-message'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.banner is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Line.Vty.VacantMessage']['meta_info']

            @property
            def _common_path(self):
                if self.first is None:
                    raise YPYModelError('Key property first is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:line/Cisco-IOS-XE-native:vty[Cisco-IOS-XE-native:first = ' + str(self.first) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.first is not None:
                    return True

                if self.access_class is not None and self.access_class._has_data():
                    return True

                if self.activation_character is not None:
                    return True

                if self.authorization is not None and self.authorization._has_data():
                    return True

                if self.autocommand is not None and self.autocommand._has_data():
                    return True

                if self.autocommand_options is not None and self.autocommand_options._has_data():
                    return True

                if self.data_character_bits is not None:
                    return True

                if self.databits is not None and self.databits._has_data():
                    return True

                if self.domain_lookup is not None:
                    return True

                if self.editing is not None:
                    return True

                if self.escape_character is not None and self.escape_character._has_data():
                    return True

                if self.exec_ is not None and self.exec_._has_data():
                    return True

                if self.exec_banner is not None:
                    return True

                if self.exec_character_bits is not None:
                    return True

                if self.exec_timeout is not None and self.exec_timeout._has_data():
                    return True

                if self.flowcontrol is not None and self.flowcontrol._has_data():
                    return True

                if self.full_help is not None:
                    return True

                if self.history is not None and self.history._has_data():
                    return True

                if self.international is not None:
                    return True

                if self.ip is not None and self.ip._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.last is not None:
                    return True

                if self.length is not None:
                    return True

                if self.line is not None:
                    return True

                if self.location is not None:
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                if self.login is not None and self.login._has_data():
                    return True

                if self.media_type is not None and self.media_type._has_data():
                    return True

                if self.modem is not None and self.modem._has_data():
                    return True

                if self.monitor is not None:
                    return True

                if self.motd_banner is not None:
                    return True

                if self.no_activation_character is not None:
                    return True

                if self.no_exec is not None and self.no_exec._has_data():
                    return True

                if self.notify is not None:
                    return True

                if self.padding is not None and self.padding._has_data():
                    return True

                if self.parity is not None and self.parity._has_data():
                    return True

                if self.password is not None and self.password._has_data():
                    return True

                if self.prc is not None and self.prc._has_data():
                    return True

                if self.privilege is not None and self.privilege._has_data():
                    return True

                if self.refuse_message is not None:
                    return True

                if self.rotary is not None:
                    return True

                if self.rxspeed is not None:
                    return True

                if self.session_timeout is not None and self.session_timeout._has_data():
                    return True

                if self.special_character_bits is not None:
                    return True

                if self.speed is not None:
                    return True

                if self.start_character is not None:
                    return True

                if self.stop_character is not None:
                    return True

                if self.stopbits is not None:
                    return True

                if self.telnet is not None and self.telnet._has_data():
                    return True

                if self.terminal_type is not None:
                    return True

                if self.timeout is not None and self.timeout._has_data():
                    return True

                if self.transport is not None and self.transport._has_data():
                    return True

                if self.txspeed is not None:
                    return True

                if self.usb_inactivity_timeout is not None and self.usb_inactivity_timeout._has_data():
                    return True

                if self.vacant_message is not None and self.vacant_message._has_data():
                    return True

                if self.width is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Line.Vty']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:line'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.aux is not None:
                for child_ref in self.aux:
                    if child_ref._has_data():
                        return True

            if self.console is not None:
                for child_ref in self.console:
                    if child_ref._has_data():
                        return True

            if self.line_list is not None:
                for child_ref in self.line_list:
                    if child_ref._has_data():
                        return True

            if self.vty is not None:
                for child_ref in self.vty:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Line']['meta_info']


    class Ntp(object):
        """
        Configure NTP
        
        .. attribute:: access_group
        
        	Control NTP access
        	**type**\:   :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup>`
        
        .. attribute:: allow
        
        	Allow processing of packets
        	**type**\:   :py:class:`Allow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Allow>`
        
        .. attribute:: authenticate
        
        	Authenticate time sources
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: authentication_key
        
        	Authentication key for trusted time sources
        	**type**\: list of    :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AuthenticationKey>`
        
        .. attribute:: broadcastdelay
        
        	Estimated round\-trip delay in microseconds
        	**type**\:  int
        
        	**range:** 1..999999
        
        .. attribute:: clock_period
        
        	Length of hardware clock tick
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: logging
        
        	Enable NTP message logging
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: master
        
        	Act as NTP master clock
        	**type**\:   :py:class:`Master <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Master>`
        
        	**presence node**\: True
        
        .. attribute:: max_associations
        
        	Set maximum number of associations
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: maxdistance
        
        	Maximum Distance for synchronization
        	**type**\:  int
        
        	**range:** 1..16
        
        .. attribute:: mindistance
        
        	Minimum distance to consider for clockhop
        	**type**\:  int
        
        	**range:** 1..500
        
        .. attribute:: orphan
        
        	Threshold Stratum for orphan mode
        	**type**\:  int
        
        	**range:** 1..16
        
        .. attribute:: panic
        
        	Reject time updates > panic threshold (default 1000Sec)
        	**type**\:   :py:class:`Panic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Panic>`
        
        .. attribute:: passive
        
        	NTP passive mode
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: peer
        
        	Configure NTP peer
        	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Peer>`
        
        .. attribute:: server
        
        	Configure NTP server
        	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Server>`
        
        .. attribute:: source
        
        	Configure interface for source address
        	**type**\:   :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Source>`
        
        .. attribute:: trusted_key
        
        	Key numbers for trusted time sources
        	**type**\: list of    :py:class:`TrustedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.TrustedKey>`
        
        .. attribute:: update_calendar
        
        	Periodically update calendar with NTP time
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.access_group = Native.Ntp.AccessGroup()
            self.access_group.parent = self
            self.allow = Native.Ntp.Allow()
            self.allow.parent = self
            self.authenticate = None
            self.authentication_key = YList()
            self.authentication_key.parent = self
            self.authentication_key.name = 'authentication_key'
            self.broadcastdelay = None
            self.clock_period = None
            self.logging = None
            self.master = None
            self.max_associations = None
            self.maxdistance = None
            self.mindistance = None
            self.orphan = None
            self.panic = Native.Ntp.Panic()
            self.panic.parent = self
            self.passive = None
            self.peer = Native.Ntp.Peer()
            self.peer.parent = self
            self.server = Native.Ntp.Server()
            self.server.parent = self
            self.source = Native.Ntp.Source()
            self.source.parent = self
            self.trusted_key = YList()
            self.trusted_key.parent = self
            self.trusted_key.name = 'trusted_key'
            self.update_calendar = None


        class AccessGroup(object):
            """
            Control NTP access
            
            .. attribute:: ipv4
            
            	ipv4 access lists
            	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Ipv4>`
            
            .. attribute:: ipv6
            
            	ipv6 access lists
            	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Ipv6>`
            
            .. attribute:: peer
            
            	Provide full access
            	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Peer>`
            
            .. attribute:: query_only
            
            	Provide server and query access
            	**type**\:   :py:class:`QueryOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.QueryOnly>`
            
            .. attribute:: serve
            
            	Provide server and query access
            	**type**\:   :py:class:`Serve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Serve>`
            
            .. attribute:: serve_only
            
            	Provide only server access
            	**type**\:   :py:class:`ServeOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.ServeOnly>`
            
            

            """

            _prefix = 'ios-ntp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ipv4 = Native.Ntp.AccessGroup.Ipv4()
                self.ipv4.parent = self
                self.ipv6 = Native.Ntp.AccessGroup.Ipv6()
                self.ipv6.parent = self
                self.peer = Native.Ntp.AccessGroup.Peer()
                self.peer.parent = self
                self.query_only = Native.Ntp.AccessGroup.QueryOnly()
                self.query_only.parent = self
                self.serve = Native.Ntp.AccessGroup.Serve()
                self.serve.parent = self
                self.serve_only = Native.Ntp.AccessGroup.ServeOnly()
                self.serve_only.parent = self


            class Ipv4(object):
                """
                ipv4 access lists
                
                .. attribute:: peer
                
                	Provide full access
                	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Ipv4.Peer>`
                
                .. attribute:: query_only
                
                	Provide server and query access
                	**type**\:   :py:class:`QueryOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Ipv4.QueryOnly>`
                
                .. attribute:: serve
                
                	Provide server and query access
                	**type**\:   :py:class:`Serve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Ipv4.Serve>`
                
                .. attribute:: serve_only
                
                	Provide only server access
                	**type**\:   :py:class:`ServeOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Ipv4.ServeOnly>`
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.peer = Native.Ntp.AccessGroup.Ipv4.Peer()
                    self.peer.parent = self
                    self.query_only = Native.Ntp.AccessGroup.Ipv4.QueryOnly()
                    self.query_only.parent = self
                    self.serve = Native.Ntp.AccessGroup.Ipv4.Serve()
                    self.serve.parent = self
                    self.serve_only = Native.Ntp.AccessGroup.Ipv4.ServeOnly()
                    self.serve_only.parent = self


                class Peer(object):
                    """
                    Provide full access
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..99
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 1300..1999
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    .. attribute:: kod
                    
                    	Send a Kiss\-o\-Death packet for failing peers
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acl = None
                        self.kod = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:access-group/Cisco-IOS-XE-ntp:ipv4/Cisco-IOS-XE-ntp:peer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acl is not None:
                            return True

                        if self.kod is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ntp.AccessGroup.Ipv4.Peer']['meta_info']


                class QueryOnly(object):
                    """
                    Provide server and query access
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..99
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 1300..1999
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    .. attribute:: kod
                    
                    	Send a Kiss\-o\-Death packet for failing peers
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acl = None
                        self.kod = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:access-group/Cisco-IOS-XE-ntp:ipv4/Cisco-IOS-XE-ntp:query-only'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acl is not None:
                            return True

                        if self.kod is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ntp.AccessGroup.Ipv4.QueryOnly']['meta_info']


                class Serve(object):
                    """
                    Provide server and query access
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..99
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 1300..1999
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    .. attribute:: kod
                    
                    	Send a Kiss\-o\-Death packet for failing peers
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acl = None
                        self.kod = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:access-group/Cisco-IOS-XE-ntp:ipv4/Cisco-IOS-XE-ntp:serve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acl is not None:
                            return True

                        if self.kod is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ntp.AccessGroup.Ipv4.Serve']['meta_info']


                class ServeOnly(object):
                    """
                    Provide only server access
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..99
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 1300..1999
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    .. attribute:: kod
                    
                    	Send a Kiss\-o\-Death packet for failing peers
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acl = None
                        self.kod = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:access-group/Cisco-IOS-XE-ntp:ipv4/Cisco-IOS-XE-ntp:serve-only'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acl is not None:
                            return True

                        if self.kod is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ntp.AccessGroup.Ipv4.ServeOnly']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:access-group/Cisco-IOS-XE-ntp:ipv4'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.peer is not None and self.peer._has_data():
                        return True

                    if self.query_only is not None and self.query_only._has_data():
                        return True

                    if self.serve is not None and self.serve._has_data():
                        return True

                    if self.serve_only is not None and self.serve_only._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ntp.AccessGroup.Ipv4']['meta_info']


            class Ipv6(object):
                """
                ipv6 access lists
                
                .. attribute:: peer
                
                	Provide full access
                	**type**\:   :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Ipv6.Peer>`
                
                .. attribute:: query_only
                
                	Provide server and query access
                	**type**\:   :py:class:`QueryOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Ipv6.QueryOnly>`
                
                .. attribute:: serve
                
                	Provide server and query access
                	**type**\:   :py:class:`Serve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Ipv6.Serve>`
                
                .. attribute:: serve_only
                
                	Provide only server access
                	**type**\:   :py:class:`ServeOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Ipv6.ServeOnly>`
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.peer = Native.Ntp.AccessGroup.Ipv6.Peer()
                    self.peer.parent = self
                    self.query_only = Native.Ntp.AccessGroup.Ipv6.QueryOnly()
                    self.query_only.parent = self
                    self.serve = Native.Ntp.AccessGroup.Ipv6.Serve()
                    self.serve.parent = self
                    self.serve_only = Native.Ntp.AccessGroup.Ipv6.ServeOnly()
                    self.serve_only.parent = self


                class Peer(object):
                    """
                    Provide full access
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..99
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 1300..1999
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    .. attribute:: kod
                    
                    	Send a Kiss\-o\-Death packet for failing peers
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acl = None
                        self.kod = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:access-group/Cisco-IOS-XE-ntp:ipv6/Cisco-IOS-XE-ntp:peer'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acl is not None:
                            return True

                        if self.kod is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ntp.AccessGroup.Ipv6.Peer']['meta_info']


                class QueryOnly(object):
                    """
                    Provide server and query access
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..99
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 1300..1999
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    .. attribute:: kod
                    
                    	Send a Kiss\-o\-Death packet for failing peers
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acl = None
                        self.kod = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:access-group/Cisco-IOS-XE-ntp:ipv6/Cisco-IOS-XE-ntp:query-only'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acl is not None:
                            return True

                        if self.kod is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ntp.AccessGroup.Ipv6.QueryOnly']['meta_info']


                class Serve(object):
                    """
                    Provide server and query access
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..99
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 1300..1999
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    .. attribute:: kod
                    
                    	Send a Kiss\-o\-Death packet for failing peers
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acl = None
                        self.kod = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:access-group/Cisco-IOS-XE-ntp:ipv6/Cisco-IOS-XE-ntp:serve'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acl is not None:
                            return True

                        if self.kod is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ntp.AccessGroup.Ipv6.Serve']['meta_info']


                class ServeOnly(object):
                    """
                    Provide only server access
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  int
                    
                    	**range:** 1..99
                    
                    
                    ----
                    	**type**\:  int
                    
                    	**range:** 1300..1999
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** [a\-zA\-Z].\*
                    
                    
                    ----
                    .. attribute:: kod
                    
                    	Send a Kiss\-o\-Death packet for failing peers
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.acl = None
                        self.kod = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:access-group/Cisco-IOS-XE-ntp:ipv6/Cisco-IOS-XE-ntp:serve-only'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.acl is not None:
                            return True

                        if self.kod is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ntp.AccessGroup.Ipv6.ServeOnly']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:access-group/Cisco-IOS-XE-ntp:ipv6'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.peer is not None and self.peer._has_data():
                        return True

                    if self.query_only is not None and self.query_only._has_data():
                        return True

                    if self.serve is not None and self.serve._has_data():
                        return True

                    if self.serve_only is not None and self.serve_only._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ntp.AccessGroup.Ipv6']['meta_info']


            class Peer(object):
                """
                Provide full access
                
                .. attribute:: acl
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..99
                
                
                ----
                	**type**\:  int
                
                	**range:** 1300..1999
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: kod
                
                	Send a Kiss\-o\-Death packet for failing peers
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.acl = None
                    self.kod = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:access-group/Cisco-IOS-XE-ntp:peer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.acl is not None:
                        return True

                    if self.kod is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ntp.AccessGroup.Peer']['meta_info']


            class QueryOnly(object):
                """
                Provide server and query access
                
                .. attribute:: acl
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..99
                
                
                ----
                	**type**\:  int
                
                	**range:** 1300..1999
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: kod
                
                	Send a Kiss\-o\-Death packet for failing peers
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.acl = None
                    self.kod = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:access-group/Cisco-IOS-XE-ntp:query-only'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.acl is not None:
                        return True

                    if self.kod is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ntp.AccessGroup.QueryOnly']['meta_info']


            class Serve(object):
                """
                Provide server and query access
                
                .. attribute:: acl
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..99
                
                
                ----
                	**type**\:  int
                
                	**range:** 1300..1999
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: kod
                
                	Send a Kiss\-o\-Death packet for failing peers
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.acl = None
                    self.kod = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:access-group/Cisco-IOS-XE-ntp:serve'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.acl is not None:
                        return True

                    if self.kod is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ntp.AccessGroup.Serve']['meta_info']


            class ServeOnly(object):
                """
                Provide only server access
                
                .. attribute:: acl
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  int
                
                	**range:** 1..99
                
                
                ----
                	**type**\:  int
                
                	**range:** 1300..1999
                
                
                ----
                	**type**\:  str
                
                	**pattern:** [a\-zA\-Z].\*
                
                
                ----
                .. attribute:: kod
                
                	Send a Kiss\-o\-Death packet for failing peers
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.acl = None
                    self.kod = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:access-group/Cisco-IOS-XE-ntp:serve-only'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.acl is not None:
                        return True

                    if self.kod is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ntp.AccessGroup.ServeOnly']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:access-group'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ipv4 is not None and self.ipv4._has_data():
                    return True

                if self.ipv6 is not None and self.ipv6._has_data():
                    return True

                if self.peer is not None and self.peer._has_data():
                    return True

                if self.query_only is not None and self.query_only._has_data():
                    return True

                if self.serve is not None and self.serve._has_data():
                    return True

                if self.serve_only is not None and self.serve_only._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ntp.AccessGroup']['meta_info']


        class Allow(object):
            """
            Allow processing of packets
            
            .. attribute:: mode
            
            	Allow processing of particular mode packets
            	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Allow.Mode>`
            
            

            """

            _prefix = 'ios-ntp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.mode = Native.Ntp.Allow.Mode()
                self.mode.parent = self


            class Mode(object):
                """
                Allow processing of particular mode packets
                
                .. attribute:: control
                
                	Allow processing control mode packets
                	**type**\:   :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Allow.Mode.Control>`
                
                	**presence node**\: True
                
                .. attribute:: private
                
                	Allow processing private mode packets
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.control = None
                    self.private = None


                class Control(object):
                    """
                    Allow processing control mode packets
                    
                    .. attribute:: delay
                    
                    	Rate limiting delay (s)
                    	**type**\:  int
                    
                    	**range:** 3..15
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.delay = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:allow/Cisco-IOS-XE-ntp:mode/Cisco-IOS-XE-ntp:control'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.delay is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ntp.Allow.Mode.Control']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:allow/Cisco-IOS-XE-ntp:mode'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.control is not None and self.control._has_data():
                        return True

                    if self.private is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ntp.Allow.Mode']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:allow'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.mode is not None and self.mode._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ntp.Allow']['meta_info']


        class AuthenticationKey(object):
            """
            Authentication key for trusted time sources
            
            .. attribute:: number  <key>
            
            	
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: encryption_type
            
            	
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: md5
            
            	MD5 authentication
            	**type**\:  str
            
            

            """

            _prefix = 'ios-ntp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.number = None
                self.encryption_type = None
                self.md5 = None

            @property
            def _common_path(self):
                if self.number is None:
                    raise YPYModelError('Key property number is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:authentication-key[Cisco-IOS-XE-ntp:number = ' + str(self.number) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.number is not None:
                    return True

                if self.encryption_type is not None:
                    return True

                if self.md5 is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ntp.AuthenticationKey']['meta_info']


        class Master(object):
            """
            Act as NTP master clock
            
            .. attribute:: stratum_number
            
            	
            	**type**\:  int
            
            	**range:** 1..15
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-ntp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.stratum_number = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:master'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.stratum_number is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ntp.Master']['meta_info']


        class Panic(object):
            """
            Reject time updates > panic threshold (default 1000Sec)
            
            .. attribute:: update
            
            	Reject time updates > panic threshold (default 1000Sec)
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-ntp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.update = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:panic'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.update is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ntp.Panic']['meta_info']


        class Peer(object):
            """
            Configure NTP peer
            
            .. attribute:: ip
            
            	Use IP for DNS resolution
            	**type**\: list of    :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Peer.Ip>`
            
            .. attribute:: ipv6
            
            	Use IPv6 for DNS resolution
            	**type**\: list of    :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Peer.Ipv6>`
            
            .. attribute:: server_list
            
            	
            	**type**\: list of    :py:class:`ServerList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Peer.ServerList>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding Information
            	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Peer.Vrf>`
            
            

            """

            _prefix = 'ios-ntp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ip = YList()
                self.ip.parent = self
                self.ip.name = 'ip'
                self.ipv6 = YList()
                self.ipv6.parent = self
                self.ipv6.name = 'ipv6'
                self.server_list = YList()
                self.server_list.parent = self
                self.server_list.name = 'server_list'
                self.vrf = YList()
                self.vrf.parent = self
                self.vrf.name = 'vrf'


            class ServerList(object):
                """
                
                
                .. attribute:: ip_address  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  str
                
                
                ----
                	**type**\:  str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: burst
                
                	Send a burst when peer is reachable (Default)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: iburst
                
                	Send a burst when peer is unreachable (Default)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: key
                
                	Configure peer authentication key
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: maxpoll
                
                	Maximum poll interval
                	**type**\:  int
                
                	**range:** 4..17
                
                .. attribute:: minpoll
                
                	Minimum poll interval
                	**type**\:  int
                
                	**range:** 4..17
                
                .. attribute:: prefer
                
                	Prefer this peer when possible
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: source
                
                	Interface for source address
                	**type**\:  str
                
                .. attribute:: version
                
                	    Configure NTP version
                	**type**\:  int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip_address = None
                    self.burst = None
                    self.iburst = None
                    self.key = None
                    self.maxpoll = None
                    self.minpoll = None
                    self.prefer = None
                    self.source = None
                    self.version = None

                @property
                def _common_path(self):
                    if self.ip_address is None:
                        raise YPYModelError('Key property ip_address is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:peer/Cisco-IOS-XE-ntp:server-list[Cisco-IOS-XE-ntp:ip-address = ' + str(self.ip_address) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip_address is not None:
                        return True

                    if self.burst is not None:
                        return True

                    if self.iburst is not None:
                        return True

                    if self.key is not None:
                        return True

                    if self.maxpoll is not None:
                        return True

                    if self.minpoll is not None:
                        return True

                    if self.prefer is not None:
                        return True

                    if self.source is not None:
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ntp.Peer.ServerList']['meta_info']


            class Ip(object):
                """
                Use IP for DNS resolution
                
                .. attribute:: host_name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: burst
                
                	Send a burst when peer is reachable (Default)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: iburst
                
                	Send a burst when peer is unreachable (Default)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: key
                
                	Configure peer authentication key
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: maxpoll
                
                	Maximum poll interval
                	**type**\:  int
                
                	**range:** 4..17
                
                .. attribute:: minpoll
                
                	Minimum poll interval
                	**type**\:  int
                
                	**range:** 4..17
                
                .. attribute:: prefer
                
                	Prefer this peer when possible
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: source
                
                	Interface for source address
                	**type**\:  str
                
                .. attribute:: version
                
                	    Configure NTP version
                	**type**\:  int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.host_name = None
                    self.burst = None
                    self.iburst = None
                    self.key = None
                    self.maxpoll = None
                    self.minpoll = None
                    self.prefer = None
                    self.source = None
                    self.version = None

                @property
                def _common_path(self):
                    if self.host_name is None:
                        raise YPYModelError('Key property host_name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:peer/Cisco-IOS-XE-ntp:ip[Cisco-IOS-XE-ntp:host-name = ' + str(self.host_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.host_name is not None:
                        return True

                    if self.burst is not None:
                        return True

                    if self.iburst is not None:
                        return True

                    if self.key is not None:
                        return True

                    if self.maxpoll is not None:
                        return True

                    if self.minpoll is not None:
                        return True

                    if self.prefer is not None:
                        return True

                    if self.source is not None:
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ntp.Peer.Ip']['meta_info']


            class Ipv6(object):
                """
                Use IPv6 for DNS resolution
                
                .. attribute:: host_name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: burst
                
                	Send a burst when peer is reachable (Default)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: iburst
                
                	Send a burst when peer is unreachable (Default)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: key
                
                	Configure peer authentication key
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: maxpoll
                
                	Maximum poll interval
                	**type**\:  int
                
                	**range:** 4..17
                
                .. attribute:: minpoll
                
                	Minimum poll interval
                	**type**\:  int
                
                	**range:** 4..17
                
                .. attribute:: prefer
                
                	Prefer this peer when possible
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: source
                
                	Interface for source address
                	**type**\:  str
                
                .. attribute:: version
                
                	    Configure NTP version
                	**type**\:  int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.host_name = None
                    self.burst = None
                    self.iburst = None
                    self.key = None
                    self.maxpoll = None
                    self.minpoll = None
                    self.prefer = None
                    self.source = None
                    self.version = None

                @property
                def _common_path(self):
                    if self.host_name is None:
                        raise YPYModelError('Key property host_name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:peer/Cisco-IOS-XE-ntp:ipv6[Cisco-IOS-XE-ntp:host-name = ' + str(self.host_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.host_name is not None:
                        return True

                    if self.burst is not None:
                        return True

                    if self.iburst is not None:
                        return True

                    if self.key is not None:
                        return True

                    if self.maxpoll is not None:
                        return True

                    if self.minpoll is not None:
                        return True

                    if self.prefer is not None:
                        return True

                    if self.source is not None:
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ntp.Peer.Ipv6']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding Information
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: ip
                
                	Use IP for DNS resolution
                	**type**\: list of    :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Peer.Vrf.Ip>`
                
                .. attribute:: ipv6
                
                	Use IPv6 for DNS resolution
                	**type**\: list of    :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Peer.Vrf.Ipv6>`
                
                .. attribute:: server_list
                
                	
                	**type**\: list of    :py:class:`ServerList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Peer.Vrf.ServerList>`
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.ip = YList()
                    self.ip.parent = self
                    self.ip.name = 'ip'
                    self.ipv6 = YList()
                    self.ipv6.parent = self
                    self.ipv6.name = 'ipv6'
                    self.server_list = YList()
                    self.server_list.parent = self
                    self.server_list.name = 'server_list'


                class ServerList(object):
                    """
                    
                    
                    .. attribute:: ip_address  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: burst
                    
                    	Send a burst when peer is reachable (Default)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: iburst
                    
                    	Send a burst when peer is unreachable (Default)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: key
                    
                    	Configure peer authentication key
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: maxpoll
                    
                    	Maximum poll interval
                    	**type**\:  int
                    
                    	**range:** 4..17
                    
                    .. attribute:: minpoll
                    
                    	Minimum poll interval
                    	**type**\:  int
                    
                    	**range:** 4..17
                    
                    .. attribute:: prefer
                    
                    	Prefer this peer when possible
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: source
                    
                    	Interface for source address
                    	**type**\:  str
                    
                    .. attribute:: version
                    
                    	    Configure NTP version
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip_address = None
                        self.burst = None
                        self.iburst = None
                        self.key = None
                        self.maxpoll = None
                        self.minpoll = None
                        self.prefer = None
                        self.source = None
                        self.version = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.ip_address is None:
                            raise YPYModelError('Key property ip_address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ntp:server-list[Cisco-IOS-XE-ntp:ip-address = ' + str(self.ip_address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip_address is not None:
                            return True

                        if self.burst is not None:
                            return True

                        if self.iburst is not None:
                            return True

                        if self.key is not None:
                            return True

                        if self.maxpoll is not None:
                            return True

                        if self.minpoll is not None:
                            return True

                        if self.prefer is not None:
                            return True

                        if self.source is not None:
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ntp.Peer.Vrf.ServerList']['meta_info']


                class Ip(object):
                    """
                    Use IP for DNS resolution
                    
                    .. attribute:: host_name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: burst
                    
                    	Send a burst when peer is reachable (Default)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: iburst
                    
                    	Send a burst when peer is unreachable (Default)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: key
                    
                    	Configure peer authentication key
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: maxpoll
                    
                    	Maximum poll interval
                    	**type**\:  int
                    
                    	**range:** 4..17
                    
                    .. attribute:: minpoll
                    
                    	Minimum poll interval
                    	**type**\:  int
                    
                    	**range:** 4..17
                    
                    .. attribute:: prefer
                    
                    	Prefer this peer when possible
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: source
                    
                    	Interface for source address
                    	**type**\:  str
                    
                    .. attribute:: version
                    
                    	    Configure NTP version
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.host_name = None
                        self.burst = None
                        self.iburst = None
                        self.key = None
                        self.maxpoll = None
                        self.minpoll = None
                        self.prefer = None
                        self.source = None
                        self.version = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.host_name is None:
                            raise YPYModelError('Key property host_name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ntp:ip[Cisco-IOS-XE-ntp:host-name = ' + str(self.host_name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.host_name is not None:
                            return True

                        if self.burst is not None:
                            return True

                        if self.iburst is not None:
                            return True

                        if self.key is not None:
                            return True

                        if self.maxpoll is not None:
                            return True

                        if self.minpoll is not None:
                            return True

                        if self.prefer is not None:
                            return True

                        if self.source is not None:
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ntp.Peer.Vrf.Ip']['meta_info']


                class Ipv6(object):
                    """
                    Use IPv6 for DNS resolution
                    
                    .. attribute:: host_name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: burst
                    
                    	Send a burst when peer is reachable (Default)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: iburst
                    
                    	Send a burst when peer is unreachable (Default)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: key
                    
                    	Configure peer authentication key
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: maxpoll
                    
                    	Maximum poll interval
                    	**type**\:  int
                    
                    	**range:** 4..17
                    
                    .. attribute:: minpoll
                    
                    	Minimum poll interval
                    	**type**\:  int
                    
                    	**range:** 4..17
                    
                    .. attribute:: prefer
                    
                    	Prefer this peer when possible
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: source
                    
                    	Interface for source address
                    	**type**\:  str
                    
                    .. attribute:: version
                    
                    	    Configure NTP version
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.host_name = None
                        self.burst = None
                        self.iburst = None
                        self.key = None
                        self.maxpoll = None
                        self.minpoll = None
                        self.prefer = None
                        self.source = None
                        self.version = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.host_name is None:
                            raise YPYModelError('Key property host_name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ntp:ipv6[Cisco-IOS-XE-ntp:host-name = ' + str(self.host_name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.host_name is not None:
                            return True

                        if self.burst is not None:
                            return True

                        if self.iburst is not None:
                            return True

                        if self.key is not None:
                            return True

                        if self.maxpoll is not None:
                            return True

                        if self.minpoll is not None:
                            return True

                        if self.prefer is not None:
                            return True

                        if self.source is not None:
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ntp.Peer.Vrf.Ipv6']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:peer/Cisco-IOS-XE-ntp:vrf[Cisco-IOS-XE-ntp:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.ip is not None:
                        for child_ref in self.ip:
                            if child_ref._has_data():
                                return True

                    if self.ipv6 is not None:
                        for child_ref in self.ipv6:
                            if child_ref._has_data():
                                return True

                    if self.server_list is not None:
                        for child_ref in self.server_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ntp.Peer.Vrf']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:peer'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ip is not None:
                    for child_ref in self.ip:
                        if child_ref._has_data():
                            return True

                if self.ipv6 is not None:
                    for child_ref in self.ipv6:
                        if child_ref._has_data():
                            return True

                if self.server_list is not None:
                    for child_ref in self.server_list:
                        if child_ref._has_data():
                            return True

                if self.vrf is not None:
                    for child_ref in self.vrf:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ntp.Peer']['meta_info']


        class Server(object):
            """
            Configure NTP server
            
            .. attribute:: ip
            
            	Use IP for DNS resolution
            	**type**\: list of    :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Server.Ip>`
            
            .. attribute:: ipv6
            
            	Use IPv6 for DNS resolution
            	**type**\: list of    :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Server.Ipv6>`
            
            .. attribute:: server_list
            
            	
            	**type**\: list of    :py:class:`ServerList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Server.ServerList>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding Information
            	**type**\: list of    :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Server.Vrf>`
            
            

            """

            _prefix = 'ios-ntp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ip = YList()
                self.ip.parent = self
                self.ip.name = 'ip'
                self.ipv6 = YList()
                self.ipv6.parent = self
                self.ipv6.name = 'ipv6'
                self.server_list = YList()
                self.server_list.parent = self
                self.server_list.name = 'server_list'
                self.vrf = YList()
                self.vrf.parent = self
                self.vrf.name = 'vrf'


            class ServerList(object):
                """
                
                
                .. attribute:: ip_address  <key>
                
                	
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  str
                
                
                ----
                	**type**\:  str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: burst
                
                	Send a burst when peer is reachable (Default)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: iburst
                
                	Send a burst when peer is unreachable (Default)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: key
                
                	Configure peer authentication key
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: maxpoll
                
                	Maximum poll interval
                	**type**\:  int
                
                	**range:** 4..17
                
                .. attribute:: minpoll
                
                	Minimum poll interval
                	**type**\:  int
                
                	**range:** 4..17
                
                .. attribute:: prefer
                
                	Prefer this peer when possible
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: source
                
                	Interface for source address
                	**type**\:  str
                
                .. attribute:: version
                
                	    Configure NTP version
                	**type**\:  int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip_address = None
                    self.burst = None
                    self.iburst = None
                    self.key = None
                    self.maxpoll = None
                    self.minpoll = None
                    self.prefer = None
                    self.source = None
                    self.version = None

                @property
                def _common_path(self):
                    if self.ip_address is None:
                        raise YPYModelError('Key property ip_address is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:server/Cisco-IOS-XE-ntp:server-list[Cisco-IOS-XE-ntp:ip-address = ' + str(self.ip_address) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip_address is not None:
                        return True

                    if self.burst is not None:
                        return True

                    if self.iburst is not None:
                        return True

                    if self.key is not None:
                        return True

                    if self.maxpoll is not None:
                        return True

                    if self.minpoll is not None:
                        return True

                    if self.prefer is not None:
                        return True

                    if self.source is not None:
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ntp.Server.ServerList']['meta_info']


            class Ip(object):
                """
                Use IP for DNS resolution
                
                .. attribute:: host_name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: burst
                
                	Send a burst when peer is reachable (Default)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: iburst
                
                	Send a burst when peer is unreachable (Default)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: key
                
                	Configure peer authentication key
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: maxpoll
                
                	Maximum poll interval
                	**type**\:  int
                
                	**range:** 4..17
                
                .. attribute:: minpoll
                
                	Minimum poll interval
                	**type**\:  int
                
                	**range:** 4..17
                
                .. attribute:: prefer
                
                	Prefer this peer when possible
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: source
                
                	Interface for source address
                	**type**\:  str
                
                .. attribute:: version
                
                	    Configure NTP version
                	**type**\:  int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.host_name = None
                    self.burst = None
                    self.iburst = None
                    self.key = None
                    self.maxpoll = None
                    self.minpoll = None
                    self.prefer = None
                    self.source = None
                    self.version = None

                @property
                def _common_path(self):
                    if self.host_name is None:
                        raise YPYModelError('Key property host_name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:server/Cisco-IOS-XE-ntp:ip[Cisco-IOS-XE-ntp:host-name = ' + str(self.host_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.host_name is not None:
                        return True

                    if self.burst is not None:
                        return True

                    if self.iburst is not None:
                        return True

                    if self.key is not None:
                        return True

                    if self.maxpoll is not None:
                        return True

                    if self.minpoll is not None:
                        return True

                    if self.prefer is not None:
                        return True

                    if self.source is not None:
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ntp.Server.Ip']['meta_info']


            class Ipv6(object):
                """
                Use IPv6 for DNS resolution
                
                .. attribute:: host_name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: burst
                
                	Send a burst when peer is reachable (Default)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: iburst
                
                	Send a burst when peer is unreachable (Default)
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: key
                
                	Configure peer authentication key
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: maxpoll
                
                	Maximum poll interval
                	**type**\:  int
                
                	**range:** 4..17
                
                .. attribute:: minpoll
                
                	Minimum poll interval
                	**type**\:  int
                
                	**range:** 4..17
                
                .. attribute:: prefer
                
                	Prefer this peer when possible
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: source
                
                	Interface for source address
                	**type**\:  str
                
                .. attribute:: version
                
                	    Configure NTP version
                	**type**\:  int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.host_name = None
                    self.burst = None
                    self.iburst = None
                    self.key = None
                    self.maxpoll = None
                    self.minpoll = None
                    self.prefer = None
                    self.source = None
                    self.version = None

                @property
                def _common_path(self):
                    if self.host_name is None:
                        raise YPYModelError('Key property host_name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:server/Cisco-IOS-XE-ntp:ipv6[Cisco-IOS-XE-ntp:host-name = ' + str(self.host_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.host_name is not None:
                        return True

                    if self.burst is not None:
                        return True

                    if self.iburst is not None:
                        return True

                    if self.key is not None:
                        return True

                    if self.maxpoll is not None:
                        return True

                    if self.minpoll is not None:
                        return True

                    if self.prefer is not None:
                        return True

                    if self.source is not None:
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ntp.Server.Ipv6']['meta_info']


            class Vrf(object):
                """
                VPN Routing/Forwarding Information
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: ip
                
                	Use IP for DNS resolution
                	**type**\: list of    :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Server.Vrf.Ip>`
                
                .. attribute:: ipv6
                
                	Use IPv6 for DNS resolution
                	**type**\: list of    :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Server.Vrf.Ipv6>`
                
                .. attribute:: server_list
                
                	
                	**type**\: list of    :py:class:`ServerList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Server.Vrf.ServerList>`
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.ip = YList()
                    self.ip.parent = self
                    self.ip.name = 'ip'
                    self.ipv6 = YList()
                    self.ipv6.parent = self
                    self.ipv6.name = 'ipv6'
                    self.server_list = YList()
                    self.server_list.parent = self
                    self.server_list.name = 'server_list'


                class ServerList(object):
                    """
                    
                    
                    .. attribute:: ip_address  <key>
                    
                    	
                    	**type**\: one of the below types:
                    
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    	**type**\:  str
                    
                    
                    ----
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    
                    ----
                    .. attribute:: burst
                    
                    	Send a burst when peer is reachable (Default)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: iburst
                    
                    	Send a burst when peer is unreachable (Default)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: key
                    
                    	Configure peer authentication key
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: maxpoll
                    
                    	Maximum poll interval
                    	**type**\:  int
                    
                    	**range:** 4..17
                    
                    .. attribute:: minpoll
                    
                    	Minimum poll interval
                    	**type**\:  int
                    
                    	**range:** 4..17
                    
                    .. attribute:: prefer
                    
                    	Prefer this peer when possible
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: source
                    
                    	Interface for source address
                    	**type**\:  str
                    
                    .. attribute:: version
                    
                    	    Configure NTP version
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip_address = None
                        self.burst = None
                        self.iburst = None
                        self.key = None
                        self.maxpoll = None
                        self.minpoll = None
                        self.prefer = None
                        self.source = None
                        self.version = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.ip_address is None:
                            raise YPYModelError('Key property ip_address is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ntp:server-list[Cisco-IOS-XE-ntp:ip-address = ' + str(self.ip_address) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip_address is not None:
                            return True

                        if self.burst is not None:
                            return True

                        if self.iburst is not None:
                            return True

                        if self.key is not None:
                            return True

                        if self.maxpoll is not None:
                            return True

                        if self.minpoll is not None:
                            return True

                        if self.prefer is not None:
                            return True

                        if self.source is not None:
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ntp.Server.Vrf.ServerList']['meta_info']


                class Ip(object):
                    """
                    Use IP for DNS resolution
                    
                    .. attribute:: host_name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: burst
                    
                    	Send a burst when peer is reachable (Default)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: iburst
                    
                    	Send a burst when peer is unreachable (Default)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: key
                    
                    	Configure peer authentication key
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: maxpoll
                    
                    	Maximum poll interval
                    	**type**\:  int
                    
                    	**range:** 4..17
                    
                    .. attribute:: minpoll
                    
                    	Minimum poll interval
                    	**type**\:  int
                    
                    	**range:** 4..17
                    
                    .. attribute:: prefer
                    
                    	Prefer this peer when possible
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: source
                    
                    	Interface for source address
                    	**type**\:  str
                    
                    .. attribute:: version
                    
                    	    Configure NTP version
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.host_name = None
                        self.burst = None
                        self.iburst = None
                        self.key = None
                        self.maxpoll = None
                        self.minpoll = None
                        self.prefer = None
                        self.source = None
                        self.version = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.host_name is None:
                            raise YPYModelError('Key property host_name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ntp:ip[Cisco-IOS-XE-ntp:host-name = ' + str(self.host_name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.host_name is not None:
                            return True

                        if self.burst is not None:
                            return True

                        if self.iburst is not None:
                            return True

                        if self.key is not None:
                            return True

                        if self.maxpoll is not None:
                            return True

                        if self.minpoll is not None:
                            return True

                        if self.prefer is not None:
                            return True

                        if self.source is not None:
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ntp.Server.Vrf.Ip']['meta_info']


                class Ipv6(object):
                    """
                    Use IPv6 for DNS resolution
                    
                    .. attribute:: host_name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: burst
                    
                    	Send a burst when peer is reachable (Default)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: iburst
                    
                    	Send a burst when peer is unreachable (Default)
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: key
                    
                    	Configure peer authentication key
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: maxpoll
                    
                    	Maximum poll interval
                    	**type**\:  int
                    
                    	**range:** 4..17
                    
                    .. attribute:: minpoll
                    
                    	Minimum poll interval
                    	**type**\:  int
                    
                    	**range:** 4..17
                    
                    .. attribute:: prefer
                    
                    	Prefer this peer when possible
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: source
                    
                    	Interface for source address
                    	**type**\:  str
                    
                    .. attribute:: version
                    
                    	    Configure NTP version
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.host_name = None
                        self.burst = None
                        self.iburst = None
                        self.key = None
                        self.maxpoll = None
                        self.minpoll = None
                        self.prefer = None
                        self.source = None
                        self.version = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.host_name is None:
                            raise YPYModelError('Key property host_name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ntp:ipv6[Cisco-IOS-XE-ntp:host-name = ' + str(self.host_name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.host_name is not None:
                            return True

                        if self.burst is not None:
                            return True

                        if self.iburst is not None:
                            return True

                        if self.key is not None:
                            return True

                        if self.maxpoll is not None:
                            return True

                        if self.minpoll is not None:
                            return True

                        if self.prefer is not None:
                            return True

                        if self.source is not None:
                            return True

                        if self.version is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ntp.Server.Vrf.Ipv6']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:server/Cisco-IOS-XE-ntp:vrf[Cisco-IOS-XE-ntp:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.ip is not None:
                        for child_ref in self.ip:
                            if child_ref._has_data():
                                return True

                    if self.ipv6 is not None:
                        for child_ref in self.ipv6:
                            if child_ref._has_data():
                                return True

                    if self.server_list is not None:
                        for child_ref in self.server_list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ntp.Server.Vrf']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:server'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ip is not None:
                    for child_ref in self.ip:
                        if child_ref._has_data():
                            return True

                if self.ipv6 is not None:
                    for child_ref in self.ipv6:
                        if child_ref._has_data():
                            return True

                if self.server_list is not None:
                    for child_ref in self.server_list:
                        if child_ref._has_data():
                            return True

                if self.vrf is not None:
                    for child_ref in self.vrf:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ntp.Server']['meta_info']


        class Source(object):
            """
            Configure interface for source address
            
            .. attribute:: appnav_compress
            
            	Service\-Context Virtual Interface Compress
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: appnav_uncompress
            
            	Service\-Context Virtual Interface UnCompress
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: atm
            
            	ATM interface
            	**type**\:  str
            
            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
            
            .. attribute:: atm_acr
            
            	ATM\-ACR interface
            	**type**\:  str
            
            	**pattern:** [0\-9]
            
            .. attribute:: atm_acrsubinterface
            
            	
            	**type**\:   :py:class:`AtmAcrsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Source.AtmAcrsubinterface>`
            
            .. attribute:: atm_subinterface
            
            	
            	**type**\:   :py:class:`AtmSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Source.AtmSubinterface>`
            
            .. attribute:: bdi
            
            	Bridge\-Domain interface
            	**type**\:  str
            
            .. attribute:: cellular
            
            	Cellular Interface
            	**type**\:  str
            
            .. attribute:: cem
            
            	CEM interface
            	**type**\:  str
            
            	**pattern:** ([0\-9]/){2}[0\-9]
            
            .. attribute:: cem_acr
            
            	CEM\-ACR interface
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: embedded_service_engine
            
            	cisco embedded service engine module
            	**type**\:  str
            
            .. attribute:: fastethernet
            
            	FastEthernet IEEE 802.3
            	**type**\:  str
            
            .. attribute:: gigabitethernet
            
            	GigabitEthernet IEEE 802.3z
            	**type**\:  str
            
            .. attribute:: lisp
            
            	Locator/ID Separation Protocol Virtual Interface
            	**type**\:  int
            
            	**range:** 0..65520
            
            .. attribute:: lisp_subinterface
            
            	Locator/ID Separation Protocol Virtual Interface
            	**type**\:   :py:class:`LispSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Source.LispSubinterface>`
            
            .. attribute:: loopback
            
            	Loopback interface
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: multilink
            
            	Multilink\-group interface
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: nve
            
            	Network virtualization endpoint interface
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: overlay
            
            	Overlay interface
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: port_channel
            
            	Ethernet Channel of interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: port_channel_subinterface
            
            	
            	**type**\:   :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Source.PortChannelSubinterface>`
            
            .. attribute:: pseudowire
            
            	Pseudowire Interface
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: serial
            
            	Serial interface
            	**type**\:  str
            
            .. attribute:: sm
            
            	SM Interface
            	**type**\:  str
            
            .. attribute:: tengigabitethernet
            
            	Ten Gigabit Ethernet
            	**type**\:  str
            
            .. attribute:: tunnel
            
            	Tunnel interface
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: vasileft
            
            	vasileft
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: vasiright
            
            	vasiright
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: virtual_template
            
            	Virtual Template interface
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: virtualportgroup
            
            	Virtual Port Group
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: vlan
            
            	Iosxr Vlans
            	**type**\:  int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'ios-ntp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.appnav_compress = None
                self.appnav_uncompress = None
                self.atm = None
                self.atm_acr = None
                self.atm_acrsubinterface = Native.Ntp.Source.AtmAcrsubinterface()
                self.atm_acrsubinterface.parent = self
                self.atm_subinterface = Native.Ntp.Source.AtmSubinterface()
                self.atm_subinterface.parent = self
                self.bdi = None
                self.cellular = None
                self.cem = None
                self.cem_acr = None
                self.embedded_service_engine = None
                self.fastethernet = None
                self.gigabitethernet = None
                self.lisp = None
                self.lisp_subinterface = Native.Ntp.Source.LispSubinterface()
                self.lisp_subinterface.parent = self
                self.loopback = None
                self.multilink = None
                self.nve = None
                self.overlay = None
                self.port_channel = None
                self.port_channel_subinterface = Native.Ntp.Source.PortChannelSubinterface()
                self.port_channel_subinterface.parent = self
                self.pseudowire = None
                self.serial = None
                self.sm = None
                self.tengigabitethernet = None
                self.tunnel = None
                self.vasileft = None
                self.vasiright = None
                self.virtual_template = None
                self.virtualportgroup = None
                self.vlan = None


            class AtmSubinterface(object):
                """
                
                
                .. attribute:: atm
                
                	
                	**type**\:  str
                
                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.atm = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:source/Cisco-IOS-XE-ntp:ATM-subinterface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.atm is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ntp.Source.AtmSubinterface']['meta_info']


            class AtmAcrsubinterface(object):
                """
                
                
                .. attribute:: atm_acr
                
                	
                	**type**\:  str
                
                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.atm_acr = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:source/Cisco-IOS-XE-ntp:ATM-ACRsubinterface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.atm_acr is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ntp.Source.AtmAcrsubinterface']['meta_info']


            class LispSubinterface(object):
                """
                Locator/ID Separation Protocol Virtual Interface
                
                .. attribute:: lisp
                
                	
                	**type**\:  str
                
                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.lisp = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:source/Cisco-IOS-XE-ntp:LISP-subinterface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.lisp is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ntp.Source.LispSubinterface']['meta_info']


            class PortChannelSubinterface(object):
                """
                
                
                .. attribute:: port_channel
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.port_channel = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:source/Cisco-IOS-XE-ntp:Port-channel-subinterface'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.port_channel is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ntp.Source.PortChannelSubinterface']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:source'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.appnav_compress is not None:
                    return True

                if self.appnav_uncompress is not None:
                    return True

                if self.atm is not None:
                    return True

                if self.atm_acr is not None:
                    return True

                if self.atm_acrsubinterface is not None and self.atm_acrsubinterface._has_data():
                    return True

                if self.atm_subinterface is not None and self.atm_subinterface._has_data():
                    return True

                if self.bdi is not None:
                    return True

                if self.cellular is not None:
                    return True

                if self.cem is not None:
                    return True

                if self.cem_acr is not None:
                    return True

                if self.embedded_service_engine is not None:
                    return True

                if self.fastethernet is not None:
                    return True

                if self.gigabitethernet is not None:
                    return True

                if self.lisp is not None:
                    return True

                if self.lisp_subinterface is not None and self.lisp_subinterface._has_data():
                    return True

                if self.loopback is not None:
                    return True

                if self.multilink is not None:
                    return True

                if self.nve is not None:
                    return True

                if self.overlay is not None:
                    return True

                if self.port_channel is not None:
                    return True

                if self.port_channel_subinterface is not None and self.port_channel_subinterface._has_data():
                    return True

                if self.pseudowire is not None:
                    return True

                if self.serial is not None:
                    return True

                if self.sm is not None:
                    return True

                if self.tengigabitethernet is not None:
                    return True

                if self.tunnel is not None:
                    return True

                if self.vasileft is not None:
                    return True

                if self.vasiright is not None:
                    return True

                if self.virtual_template is not None:
                    return True

                if self.virtualportgroup is not None:
                    return True

                if self.vlan is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ntp.Source']['meta_info']


        class TrustedKey(object):
            """
            Key numbers for trusted time sources
            
            .. attribute:: number  <key>
            
            	
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: end_key
            
            	End Key
            	**type**\:  int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'ios-ntp'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.number = None
                self.end_key = None

            @property
            def _common_path(self):
                if self.number is None:
                    raise YPYModelError('Key property number is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp/Cisco-IOS-XE-ntp:trusted-key[Cisco-IOS-XE-ntp:number = ' + str(self.number) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.number is not None:
                    return True

                if self.end_key is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ntp.TrustedKey']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:ntp'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.access_group is not None and self.access_group._has_data():
                return True

            if self.allow is not None and self.allow._has_data():
                return True

            if self.authenticate is not None:
                return True

            if self.authentication_key is not None:
                for child_ref in self.authentication_key:
                    if child_ref._has_data():
                        return True

            if self.broadcastdelay is not None:
                return True

            if self.clock_period is not None:
                return True

            if self.logging is not None:
                return True

            if self.master is not None and self.master._has_data():
                return True

            if self.max_associations is not None:
                return True

            if self.maxdistance is not None:
                return True

            if self.mindistance is not None:
                return True

            if self.orphan is not None:
                return True

            if self.panic is not None and self.panic._has_data():
                return True

            if self.passive is not None:
                return True

            if self.peer is not None and self.peer._has_data():
                return True

            if self.server is not None and self.server._has_data():
                return True

            if self.source is not None and self.source._has_data():
                return True

            if self.trusted_key is not None:
                for child_ref in self.trusted_key:
                    if child_ref._has_data():
                        return True

            if self.update_calendar is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Ntp']['meta_info']


    class Wsma(object):
        """
        Configure Web Services Management Agents
        
        .. attribute:: agent
        
        	Configure WSMA agents
        	**type**\:   :py:class:`Agent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Wsma.Agent>`
        
        .. attribute:: profile
        
        	Configure WSMA profile
        	**type**\:   :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Wsma.Profile>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.agent = Native.Wsma.Agent()
            self.agent.parent = self
            self.profile = Native.Wsma.Profile()
            self.profile.parent = self


        class Agent(object):
            """
            Configure WSMA agents
            
            .. attribute:: config
            
            	Start WSMA config agent
            	**type**\:   :py:class:`Config <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Wsma.Agent.Config>`
            
            .. attribute:: exec_
            
            	Start WSMA exec agent
            	**type**\:   :py:class:`Exec_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Wsma.Agent.Exec_>`
            
            .. attribute:: filesys
            
            	Start WSMA file system agent
            	**type**\:   :py:class:`Filesys <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Wsma.Agent.Filesys>`
            
            .. attribute:: notify
            
            	Start WSMA notify agent
            	**type**\:   :py:class:`Notify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Wsma.Agent.Notify>`
            
            

            """

            _prefix = 'ios-wsma'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.config = Native.Wsma.Agent.Config()
                self.config.parent = self
                self.exec_ = Native.Wsma.Agent.Exec_()
                self.exec_.parent = self
                self.filesys = Native.Wsma.Agent.Filesys()
                self.filesys.parent = self
                self.notify = Native.Wsma.Agent.Notify()
                self.notify.parent = self


            class Exec_(object):
                """
                Start WSMA exec agent
                
                .. attribute:: profile
                
                	
                	**type**\:  list of str
                
                

                """

                _prefix = 'ios-wsma'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.profile = YLeafList()
                    self.profile.parent = self
                    self.profile.name = 'profile'

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:wsma/Cisco-IOS-XE-wsma:agent/Cisco-IOS-XE-wsma:exec'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.profile is not None:
                        for child in self.profile:
                            if child is not None:
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Wsma.Agent.Exec_']['meta_info']


            class Config(object):
                """
                Start WSMA config agent
                
                .. attribute:: profile
                
                	
                	**type**\:  list of str
                
                

                """

                _prefix = 'ios-wsma'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.profile = YLeafList()
                    self.profile.parent = self
                    self.profile.name = 'profile'

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:wsma/Cisco-IOS-XE-wsma:agent/Cisco-IOS-XE-wsma:config'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.profile is not None:
                        for child in self.profile:
                            if child is not None:
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Wsma.Agent.Config']['meta_info']


            class Filesys(object):
                """
                Start WSMA file system agent
                
                .. attribute:: profile
                
                	
                	**type**\:  list of str
                
                

                """

                _prefix = 'ios-wsma'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.profile = YLeafList()
                    self.profile.parent = self
                    self.profile.name = 'profile'

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:wsma/Cisco-IOS-XE-wsma:agent/Cisco-IOS-XE-wsma:filesys'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.profile is not None:
                        for child in self.profile:
                            if child is not None:
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Wsma.Agent.Filesys']['meta_info']


            class Notify(object):
                """
                Start WSMA notify agent
                
                .. attribute:: profile
                
                	
                	**type**\:  list of str
                
                

                """

                _prefix = 'ios-wsma'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.profile = YLeafList()
                    self.profile.parent = self
                    self.profile.name = 'profile'

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:wsma/Cisco-IOS-XE-wsma:agent/Cisco-IOS-XE-wsma:notify'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.profile is not None:
                        for child in self.profile:
                            if child is not None:
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Wsma.Agent.Notify']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:wsma/Cisco-IOS-XE-wsma:agent'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.config is not None and self.config._has_data():
                    return True

                if self.exec_ is not None and self.exec_._has_data():
                    return True

                if self.filesys is not None and self.filesys._has_data():
                    return True

                if self.notify is not None and self.notify._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Wsma.Agent']['meta_info']


        class Profile(object):
            """
            Configure WSMA profile
            
            .. attribute:: listener
            
            	Configure a listener profile
            	**type**\: list of    :py:class:`Listener <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Wsma.Profile.Listener>`
            
            

            """

            _prefix = 'ios-wsma'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.listener = YList()
                self.listener.parent = self
                self.listener.name = 'listener'


            class Listener(object):
                """
                Configure a listener profile
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: transport
                
                	The transport to use
                	**type**\:   :py:class:`TransportEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Wsma.Profile.Listener.TransportEnum>`
                
                

                """

                _prefix = 'ios-wsma'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.transport = None

                class TransportEnum(Enum):
                    """
                    TransportEnum

                    The transport to use

                    .. data:: http = 0

                    .. data:: https = 1

                    .. data:: ssh = 2

                    .. data:: tls = 3

                    """

                    http = 0

                    https = 1

                    ssh = 2

                    tls = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Wsma.Profile.Listener.TransportEnum']


                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:wsma/Cisco-IOS-XE-wsma:profile/Cisco-IOS-XE-wsma:listener[Cisco-IOS-XE-wsma:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.transport is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Wsma.Profile.Listener']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:wsma/Cisco-IOS-XE-wsma:profile'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.listener is not None:
                    for child_ref in self.listener:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Wsma.Profile']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:wsma'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.agent is not None and self.agent._has_data():
                return True

            if self.profile is not None and self.profile._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Wsma']['meta_info']


    class Event(object):
        """
        Event related configuration commands
        
        .. attribute:: manager
        
        	Event Manager configuration commands
        	**type**\:   :py:class:`Manager <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.manager = Native.Event.Manager()
            self.manager.parent = self


        class Manager(object):
            """
            Event Manager configuration commands
            
            .. attribute:: applet
            
            	Register an Event Manager applet
            	**type**\: list of    :py:class:`Applet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet>`
            
            .. attribute:: directory
            
            	Set Embedded Event Manager directory information
            	**type**\:   :py:class:`Directory <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Directory>`
            
            .. attribute:: environment
            
            	Set an Embedded Event Manager global environment variable
            	**type**\: list of    :py:class:`Environment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Environment>`
            
            .. attribute:: session
            
            	Set Embedded Event Manager session attributes
            	**type**\:   :py:class:`Session <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Session>`
            
            

            """

            _prefix = 'ios-eem'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.applet = YList()
                self.applet.parent = self
                self.applet.name = 'applet'
                self.directory = Native.Event.Manager.Directory()
                self.directory.parent = self
                self.environment = YList()
                self.environment.parent = self
                self.environment.name = 'environment'
                self.session = Native.Event.Manager.Session()
                self.session.parent = self


            class Environment(object):
                """
                Set an Embedded Event Manager global environment variable
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: value
                
                	
                	**type**\:  str
                
                

                """

                _prefix = 'ios-eem'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.value = None

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:event/Cisco-IOS-XE-eem:manager/Cisco-IOS-XE-eem:environment[Cisco-IOS-XE-eem:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.value is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Event.Manager.Environment']['meta_info']


            class Directory(object):
                """
                Set Embedded Event Manager directory information
                
                .. attribute:: user
                
                	Set Embedded Event Manager user directory information
                	**type**\:   :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Directory.User>`
                
                

                """

                _prefix = 'ios-eem'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.user = Native.Event.Manager.Directory.User()
                    self.user.parent = self


                class User(object):
                    """
                    Set Embedded Event Manager user directory information
                    
                    .. attribute:: policy
                    
                    	Set Embedded Event Manager user policy directory
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-eem'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:event/Cisco-IOS-XE-eem:manager/Cisco-IOS-XE-eem:directory/Cisco-IOS-XE-eem:user'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Event.Manager.Directory.User']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:event/Cisco-IOS-XE-eem:manager/Cisco-IOS-XE-eem:directory'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.user is not None and self.user._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Event.Manager.Directory']['meta_info']


            class Session(object):
                """
                Set Embedded Event Manager session attributes
                
                .. attribute:: cli
                
                	Set Embedded Event Manager session cli attributes
                	**type**\:   :py:class:`Cli <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Session.Cli>`
                
                

                """

                _prefix = 'ios-eem'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.cli = Native.Event.Manager.Session.Cli()
                    self.cli.parent = self


                class Cli(object):
                    """
                    Set Embedded Event Manager session cli attributes
                    
                    .. attribute:: username
                    
                    	Set username used in Embedded Event Manager cli sessions
                    	**type**\:   :py:class:`Username <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Session.Cli.Username>`
                    
                    

                    """

                    _prefix = 'ios-eem'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.username = Native.Event.Manager.Session.Cli.Username()
                        self.username.parent = self


                    class Username(object):
                        """
                        Set username used in Embedded Event Manager cli sessions
                        
                        .. attribute:: username_in_word
                        
                        	
                        	**type**\: list of    :py:class:`Username_In_Word <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Session.Cli.Username.Username_In_Word>`
                        
                        

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.username_in_word = YList()
                            self.username_in_word.parent = self
                            self.username_in_word.name = 'username_in_word'


                        class Username_In_Word(object):
                            """
                            
                            
                            .. attribute:: username_in_word  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: privilege
                            
                            	Set user privilege level
                            	**type**\:  int
                            
                            	**range:** 0..15
                            
                            

                            """

                            _prefix = 'ios-eem'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.username_in_word = None
                                self.privilege = None

                            @property
                            def _common_path(self):
                                if self.username_in_word is None:
                                    raise YPYModelError('Key property username_in_word is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:event/Cisco-IOS-XE-eem:manager/Cisco-IOS-XE-eem:session/Cisco-IOS-XE-eem:cli/Cisco-IOS-XE-eem:username/Cisco-IOS-XE-eem:username_in_word[Cisco-IOS-XE-eem:username_in_word = ' + str(self.username_in_word) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.username_in_word is not None:
                                    return True

                                if self.privilege is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Event.Manager.Session.Cli.Username.Username_In_Word']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:event/Cisco-IOS-XE-eem:manager/Cisco-IOS-XE-eem:session/Cisco-IOS-XE-eem:cli/Cisco-IOS-XE-eem:username'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.username_in_word is not None:
                                for child_ref in self.username_in_word:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Event.Manager.Session.Cli.Username']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:event/Cisco-IOS-XE-eem:manager/Cisco-IOS-XE-eem:session/Cisco-IOS-XE-eem:cli'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.username is not None and self.username._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Event.Manager.Session.Cli']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:event/Cisco-IOS-XE-eem:manager/Cisco-IOS-XE-eem:session'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.cli is not None and self.cli._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Event.Manager.Session']['meta_info']


            class Applet(object):
                """
                Register an Event Manager applet
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  str
                
                .. attribute:: action
                
                	Add or modify an action statement
                	**type**\: list of    :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action>`
                
                .. attribute:: authorization
                
                	Specify an authorization type for the applet
                	**type**\:   :py:class:`AuthorizationEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.AuthorizationEnum>`
                
                .. attribute:: class_
                
                	Specify a class for the applet
                	**type**\:  str
                
                	**pattern:** [A\-Z]\|default
                
                .. attribute:: description
                
                	Add or modify an applet description
                	**type**\:  str
                
                .. attribute:: event
                
                	Add or modify event information
                	**type**\:   :py:class:`Event_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event_>`
                
                .. attribute:: trap
                
                	Generate an SNMP trap when applet is triggered
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: trigger
                
                	Enter applet trigger configuration submode
                	**type**\:   :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Trigger>`
                
                

                """

                _prefix = 'ios-eem'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None
                    self.action = YList()
                    self.action.parent = self
                    self.action.name = 'action'
                    self.authorization = None
                    self.class_ = None
                    self.description = None
                    self.event = Native.Event.Manager.Applet.Event_()
                    self.event.parent = self
                    self.trap = None
                    self.trigger = Native.Event.Manager.Applet.Trigger()
                    self.trigger.parent = self

                class AuthorizationEnum(Enum):
                    """
                    AuthorizationEnum

                    Specify an authorization type for the applet

                    .. data:: bypass = 0

                    """

                    bypass = 0


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Event.Manager.Applet.AuthorizationEnum']



                class Event_(object):
                    """
                    Add or modify event information
                    
                    .. attribute:: snmp_notification
                    
                    	SNMP Notification Event
                    	**type**\:   :py:class:`SnmpNotification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event_.SnmpNotification>`
                    
                    .. attribute:: syslog
                    
                    	Syslog event
                    	**type**\:   :py:class:`Syslog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event_.Syslog>`
                    
                    .. attribute:: timer
                    
                    	Timer event
                    	**type**\:   :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event_.Timer>`
                    
                    

                    """

                    _prefix = 'ios-eem'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.snmp_notification = Native.Event.Manager.Applet.Event_.SnmpNotification()
                        self.snmp_notification.parent = self
                        self.syslog = Native.Event.Manager.Applet.Event_.Syslog()
                        self.syslog.parent = self
                        self.timer = Native.Event.Manager.Applet.Event_.Timer()
                        self.timer.parent = self


                    class Timer(object):
                        """
                        Timer event
                        
                        .. attribute:: watchdog
                        
                        	Watchdog timer event
                        	**type**\:   :py:class:`Watchdog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event_.Timer.Watchdog>`
                        
                        

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.watchdog = Native.Event.Manager.Applet.Event_.Timer.Watchdog()
                            self.watchdog.parent = self


                        class Watchdog(object):
                            """
                            Watchdog timer event
                            
                            .. attribute:: name
                            
                            	Name of the timer
                            	**type**\:   :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name>`
                            
                            

                            """

                            _prefix = 'ios-eem'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.name = Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name()
                                self.name.parent = self


                            class Name(object):
                                """
                                Name of the timer
                                
                                .. attribute:: timer_name
                                
                                	
                                	**type**\: list of    :py:class:`TimerName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName>`
                                
                                

                                """

                                _prefix = 'ios-eem'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.timer_name = YList()
                                    self.timer_name.parent = self
                                    self.timer_name.name = 'timer_name'


                                class TimerName(object):
                                    """
                                    
                                    
                                    .. attribute:: timer_name  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: time
                                    
                                    	Time period for watchdog / countdown / absolute timer
                                    	**type**\:   :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eem'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.timer_name = None
                                        self.time = Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time()
                                        self.time.parent = self


                                    class Time(object):
                                        """
                                        Time period for watchdog / countdown / absolute timer
                                        
                                        .. attribute:: time_in_seconds
                                        
                                        	
                                        	**type**\: list of    :py:class:`TimeInSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eem'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.time_in_seconds = YList()
                                            self.time_in_seconds.parent = self
                                            self.time_in_seconds.name = 'time_in_seconds'


                                        class TimeInSeconds(object):
                                            """
                                            
                                            
                                            .. attribute:: time_in_seconds  <key>
                                            
                                            	Enter seconds[.milliseconds] value
                                            	**type**\:  int
                                            
                                            	**range:** 1..2085978494
                                            
                                            .. attribute:: maxrun
                                            
                                            	Maximum runtime of applet
                                            	**type**\:   :py:class:`Maxrun <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun>`
                                            
                                            

                                            """

                                            _prefix = 'ios-eem'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.time_in_seconds = None
                                                self.maxrun = Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun()
                                                self.maxrun.parent = self


                                            class Maxrun(object):
                                                """
                                                Maximum runtime of applet
                                                
                                                .. attribute:: timer_in_seconds
                                                
                                                	
                                                	**type**\: list of    :py:class:`TimerInSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun.TimerInSeconds>`
                                                
                                                

                                                """

                                                _prefix = 'ios-eem'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.timer_in_seconds = YList()
                                                    self.timer_in_seconds.parent = self
                                                    self.timer_in_seconds.name = 'timer_in_seconds'


                                                class TimerInSeconds(object):
                                                    """
                                                    
                                                    
                                                    .. attribute:: timer_in_seconds  <key>
                                                    
                                                    	Enter seconds[.milliseconds] value
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..31536000
                                                    
                                                    .. attribute:: ratelimit
                                                    
                                                    	Limit trigger to once per given time period. Enter seconds[.milliseconds] value
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..31536000
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-eem'
                                                    _revision = '2017-02-07'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.timer_in_seconds = None
                                                        self.ratelimit = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                                        if self.timer_in_seconds is None:
                                                            raise YPYModelError('Key property timer_in_seconds is None')

                                                        return self.parent._common_path +'/Cisco-IOS-XE-eem:timer-in-seconds[Cisco-IOS-XE-eem:timer-in-seconds = ' + str(self.timer_in_seconds) + ']'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return True

                                                    def _has_data(self):
                                                        if self.timer_in_seconds is not None:
                                                            return True

                                                        if self.ratelimit is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                        return meta._meta_table['Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun.TimerInSeconds']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-eem:maxrun'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.timer_in_seconds is not None:
                                                        for child_ref in self.timer_in_seconds:
                                                            if child_ref._has_data():
                                                                return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.time_in_seconds is None:
                                                    raise YPYModelError('Key property time_in_seconds is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-eem:time-in-seconds[Cisco-IOS-XE-eem:time-in-seconds = ' + str(self.time_in_seconds) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.time_in_seconds is not None:
                                                    return True

                                                if self.maxrun is not None and self.maxrun._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-eem:time'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.time_in_seconds is not None:
                                                for child_ref in self.time_in_seconds:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName.Time']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.timer_name is None:
                                            raise YPYModelError('Key property timer_name is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eem:timer-name[Cisco-IOS-XE-eem:timer-name = ' + str(self.timer_name) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.timer_name is not None:
                                            return True

                                        if self.time is not None and self.time._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name.TimerName']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eem:name'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.timer_name is not None:
                                        for child_ref in self.timer_name:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Event.Manager.Applet.Event_.Timer.Watchdog.Name']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eem:watchdog'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.name is not None and self.name._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Event.Manager.Applet.Event_.Timer.Watchdog']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eem:timer'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.watchdog is not None and self.watchdog._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Event.Manager.Applet.Event_.Timer']['meta_info']


                    class SnmpNotification(object):
                        """
                        SNMP Notification Event
                        
                        .. attribute:: dest_ip_address
                        
                        	Destination ip address
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        .. attribute:: oid
                        
                        	Object ID of data element
                        	**type**\:  str
                        
                        .. attribute:: oid_val
                        
                        	Comparison value
                        	**type**\:  str
                        
                        .. attribute:: op
                        
                        	Operator
                        	**type**\:   :py:class:`OperatorTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_eem.OperatorTypeEnum>`
                        
                        .. attribute:: src_ip_address
                        
                        	Source ip address
                        	**type**\: one of the below types:
                        
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dest_ip_address = None
                            self.oid = None
                            self.oid_val = None
                            self.op = None
                            self.src_ip_address = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eem:snmp-notification'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dest_ip_address is not None:
                                return True

                            if self.oid is not None:
                                return True

                            if self.oid_val is not None:
                                return True

                            if self.op is not None:
                                return True

                            if self.src_ip_address is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Event.Manager.Applet.Event_.SnmpNotification']['meta_info']


                    class Syslog(object):
                        """
                        Syslog event
                        
                        .. attribute:: pattern
                        
                        	Pattern match string for the entire message
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.pattern = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eem:syslog'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.pattern is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Event.Manager.Applet.Event_.Syslog']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eem:event'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.snmp_notification is not None and self.snmp_notification._has_data():
                            return True

                        if self.syslog is not None and self.syslog._has_data():
                            return True

                        if self.timer is not None and self.timer._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Event.Manager.Applet.Event_']['meta_info']


                class Action(object):
                    """
                    Add or modify an action statement
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: end
                    
                    	end conditional block
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: if_
                    
                    	if conditional
                    	**type**\:   :py:class:`If_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.If_>`
                    
                    .. attribute:: info
                    
                    	Obtain system specific information
                    	**type**\:   :py:class:`Info <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.Info>`
                    
                    .. attribute:: regexp
                    
                    	regular expression match
                    	**type**\:   :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.Regexp>`
                    
                    .. attribute:: snmp_trap
                    
                    	Send an SNMP trap
                    	**type**\:   :py:class:`SnmpTrap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.SnmpTrap>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: string
                    
                    	string commands
                    	**type**\:   :py:class:`String <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.String>`
                    
                    .. attribute:: syslog
                    
                    	Log a syslog message
                    	**type**\:   :py:class:`Syslog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.Syslog>`
                    
                    

                    """

                    _prefix = 'ios-eem'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.end = None
                        self.if_ = Native.Event.Manager.Applet.Action.If_()
                        self.if_.parent = self
                        self.info = Native.Event.Manager.Applet.Action.Info()
                        self.info.parent = self
                        self.regexp = Native.Event.Manager.Applet.Action.Regexp()
                        self.regexp.parent = self
                        self.snmp_trap = None
                        self.string = Native.Event.Manager.Applet.Action.String()
                        self.string.parent = self
                        self.syslog = Native.Event.Manager.Applet.Action.Syslog()
                        self.syslog.parent = self


                    class If_(object):
                        """
                        if conditional
                        
                        .. attribute:: goto
                        
                        	goto label
                        	**type**\:  str
                        
                        .. attribute:: keyword
                        
                        	
                        	**type**\:   :py:class:`OperatorTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_eem.OperatorTypeEnum>`
                        
                        .. attribute:: string_op_1
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: string_op_2
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.goto = None
                            self.keyword = None
                            self.string_op_1 = None
                            self.string_op_2 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eem:if'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.goto is not None:
                                return True

                            if self.keyword is not None:
                                return True

                            if self.string_op_1 is not None:
                                return True

                            if self.string_op_2 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Event.Manager.Applet.Action.If_']['meta_info']


                    class Info(object):
                        """
                        Obtain system specific information
                        
                        .. attribute:: type
                        
                        	Type of information to obtain
                        	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.Info.Type>`
                        
                        

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.type = Native.Event.Manager.Applet.Action.Info.Type()
                            self.type.parent = self


                        class Type(object):
                            """
                            Type of information to obtain
                            
                            .. attribute:: snmp
                            
                            	SNMP information
                            	**type**\:   :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.Info.Type.Snmp>`
                            
                            

                            """

                            _prefix = 'ios-eem'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.snmp = Native.Event.Manager.Applet.Action.Info.Type.Snmp()
                                self.snmp.parent = self


                            class Snmp(object):
                                """
                                SNMP information
                                
                                .. attribute:: trap
                                
                                	SNMP trap
                                	**type**\:   :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.Info.Type.Snmp.Trap>`
                                
                                .. attribute:: var
                                
                                	Trap variable
                                	**type**\:   :py:class:`Var <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.Info.Type.Snmp.Var>`
                                
                                

                                """

                                _prefix = 'ios-eem'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.trap = Native.Event.Manager.Applet.Action.Info.Type.Snmp.Trap()
                                    self.trap.parent = self
                                    self.var = Native.Event.Manager.Applet.Action.Info.Type.Snmp.Var()
                                    self.var.parent = self


                                class Var(object):
                                    """
                                    Trap variable
                                    
                                    .. attribute:: oid
                                    
                                    	SNMP object id
                                    	**type**\:  str
                                    
                                    .. attribute:: oid_type
                                    
                                    	
                                    	**type**\:   :py:class:`OidTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.Info.Type.Snmp.Var.OidTypeEnum>`
                                    
                                    .. attribute:: oid_type_value
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: variable_name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-eem'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.oid = None
                                        self.oid_type = None
                                        self.oid_type_value = None
                                        self.variable_name = None

                                    class OidTypeEnum(Enum):
                                        """
                                        OidTypeEnum

                                        .. data:: counter = 0

                                        .. data:: gauge = 1

                                        .. data:: int = 2

                                        .. data:: ipv4 = 3

                                        .. data:: octet = 4

                                        .. data:: string = 5

                                        .. data:: uint = 6

                                        """

                                        counter = 0

                                        gauge = 1

                                        int = 2

                                        ipv4 = 3

                                        octet = 4

                                        string = 5

                                        uint = 6


                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Event.Manager.Applet.Action.Info.Type.Snmp.Var.OidTypeEnum']


                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eem:var'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.oid is not None:
                                            return True

                                        if self.oid_type is not None:
                                            return True

                                        if self.oid_type_value is not None:
                                            return True

                                        if self.variable_name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Event.Manager.Applet.Action.Info.Type.Snmp.Var']['meta_info']


                                class Trap(object):
                                    """
                                    SNMP trap
                                    
                                    .. attribute:: enterprise_oid
                                    
                                    	Enterprise oid
                                    	**type**\:  str
                                    
                                    .. attribute:: generic_trapnum
                                    
                                    	Generic trap number
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: specific_trapnum
                                    
                                    	Specific trap number
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: trap_oid
                                    
                                    	Trap oid
                                    	**type**\:  str
                                    
                                    .. attribute:: trap_var
                                    
                                    	Trap variable
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-eem'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.enterprise_oid = None
                                        self.generic_trapnum = None
                                        self.specific_trapnum = None
                                        self.trap_oid = None
                                        self.trap_var = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-eem:trap'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.enterprise_oid is not None:
                                            return True

                                        if self.generic_trapnum is not None:
                                            return True

                                        if self.specific_trapnum is not None:
                                            return True

                                        if self.trap_oid is not None:
                                            return True

                                        if self.trap_var is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Event.Manager.Applet.Action.Info.Type.Snmp.Trap']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-eem:snmp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.trap is not None and self.trap._has_data():
                                        return True

                                    if self.var is not None and self.var._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Event.Manager.Applet.Action.Info.Type.Snmp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-eem:type'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.snmp is not None and self.snmp._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Event.Manager.Applet.Action.Info.Type']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eem:info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.type is not None and self.type._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Event.Manager.Applet.Action.Info']['meta_info']


                    class Regexp(object):
                        """
                        regular expression match
                        
                        .. attribute:: string_input
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: string_match
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: string_pattern
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: string_submatch1
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: string_submatch2
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: string_submatch3
                        
                        	
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.string_input = None
                            self.string_match = None
                            self.string_pattern = None
                            self.string_submatch1 = None
                            self.string_submatch2 = None
                            self.string_submatch3 = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eem:regexp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.string_input is not None:
                                return True

                            if self.string_match is not None:
                                return True

                            if self.string_pattern is not None:
                                return True

                            if self.string_submatch1 is not None:
                                return True

                            if self.string_submatch2 is not None:
                                return True

                            if self.string_submatch3 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Event.Manager.Applet.Action.Regexp']['meta_info']


                    class SnmpTrap(object):
                        """
                        Send an SNMP trap
                        
                        .. attribute:: intdata1
                        
                        	SNMP integer data1
                        	**type**\:  int
                        
                        	**range:** \-2147483648..2147483647
                        
                        .. attribute:: intdata2
                        
                        	SNMP integer data2
                        	**type**\:  int
                        
                        	**range:** \-2147483648..2147483647
                        
                        .. attribute:: strdata
                        
                        	SNMP trap string
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.intdata1 = None
                            self.intdata2 = None
                            self.strdata = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eem:snmp-trap'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.intdata1 is not None:
                                return True

                            if self.intdata2 is not None:
                                return True

                            if self.strdata is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Event.Manager.Applet.Action.SnmpTrap']['meta_info']


                    class String(object):
                        """
                        string commands
                        
                        .. attribute:: trim
                        
                        	trim characters from both ends of string
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.trim = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eem:string'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.trim is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Event.Manager.Applet.Action.String']['meta_info']


                    class Syslog(object):
                        """
                        Log a syslog message
                        
                        .. attribute:: facility
                        
                        	Facility string
                        	**type**\:  str
                        
                        .. attribute:: msg
                        
                        	Syslog message
                        	**type**\:  str
                        
                        .. attribute:: priority
                        
                        	Priority of syslog message
                        	**type**\: one of the below types:
                        
                        	**type**\:  int
                        
                        	**range:** 0..7
                        
                        
                        ----
                        	**type**\:   :py:class:`LoggingLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelTypeEnum>`
                        
                        
                        ----
                        

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.facility = None
                            self.msg = None
                            self.priority = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-eem:syslog'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.facility is not None:
                                return True

                            if self.msg is not None:
                                return True

                            if self.priority is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Event.Manager.Applet.Action.Syslog']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-eem:action[Cisco-IOS-XE-eem:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.end is not None:
                            return True

                        if self.if_ is not None and self.if_._has_data():
                            return True

                        if self.info is not None and self.info._has_data():
                            return True

                        if self.regexp is not None and self.regexp._has_data():
                            return True

                        if self.snmp_trap is not None and self.snmp_trap._has_data():
                            return True

                        if self.string is not None and self.string._has_data():
                            return True

                        if self.syslog is not None and self.syslog._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Event.Manager.Applet.Action']['meta_info']


                class Trigger(object):
                    """
                    Enter applet trigger configuration submode
                    
                    

                    """

                    _prefix = 'ios-eem'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-eem:trigger'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Event.Manager.Applet.Trigger']['meta_info']

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:event/Cisco-IOS-XE-eem:manager/Cisco-IOS-XE-eem:applet[Cisco-IOS-XE-eem:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    if self.action is not None:
                        for child_ref in self.action:
                            if child_ref._has_data():
                                return True

                    if self.authorization is not None:
                        return True

                    if self.class_ is not None:
                        return True

                    if self.description is not None:
                        return True

                    if self.event is not None and self.event._has_data():
                        return True

                    if self.trap is not None:
                        return True

                    if self.trigger is not None and self.trigger._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Event.Manager.Applet']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:event/Cisco-IOS-XE-eem:manager'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.applet is not None:
                    for child_ref in self.applet:
                        if child_ref._has_data():
                            return True

                if self.directory is not None and self.directory._has_data():
                    return True

                if self.environment is not None:
                    for child_ref in self.environment:
                        if child_ref._has_data():
                            return True

                if self.session is not None and self.session._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Event.Manager']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:event'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.manager is not None and self.manager._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Event']['meta_info']


    class Process(object):
        """
        Configure process
        
        .. attribute:: cpu
        
        	Configure cpu parameters
        	**type**\:   :py:class:`Cpu <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.cpu = Native.Process.Cpu()
            self.cpu.parent = self


        class Cpu(object):
            """
            Configure cpu parameters
            
            .. attribute:: threshold
            
            	cpu threshold parameters
            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.threshold = Native.Process.Cpu.Threshold()
                self.threshold.parent = self


            class Threshold(object):
                """
                cpu threshold parameters
                
                .. attribute:: type
                
                	cpu threshold type
                	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.type = Native.Process.Cpu.Threshold.Type()
                    self.type.parent = self


                class Type(object):
                    """
                    cpu threshold type
                    
                    .. attribute:: interrupt
                    
                    	interrupt level utilization
                    	**type**\:   :py:class:`Interrupt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Interrupt>`
                    
                    .. attribute:: process
                    
                    	process level utilization
                    	**type**\:   :py:class:`Process_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Process_>`
                    
                    .. attribute:: total
                    
                    	total cpu utilization
                    	**type**\:   :py:class:`Total <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Total>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.interrupt = Native.Process.Cpu.Threshold.Type.Interrupt()
                        self.interrupt.parent = self
                        self.process = Native.Process.Cpu.Threshold.Type.Process_()
                        self.process.parent = self
                        self.total = Native.Process.Cpu.Threshold.Type.Total()
                        self.total.parent = self


                    class Interrupt(object):
                        """
                        interrupt level utilization
                        
                        .. attribute:: rising
                        
                        	rising threshold
                        	**type**\:   :py:class:`Rising <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Interrupt.Rising>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.rising = Native.Process.Cpu.Threshold.Type.Interrupt.Rising()
                            self.rising.parent = self


                        class Rising(object):
                            """
                            rising threshold
                            
                            .. attribute:: cpu_range
                            
                            	
                            	**type**\: list of    :py:class:`CpuRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cpu_range = YList()
                                self.cpu_range.parent = self
                                self.cpu_range.name = 'cpu_range'


                            class CpuRange(object):
                                """
                                
                                
                                .. attribute:: cpu_range  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: interval
                                
                                	observation interval
                                	**type**\:   :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cpu_range = None
                                    self.interval = Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval()
                                    self.interval.parent = self


                                class Interval(object):
                                    """
                                    observation interval
                                    
                                    .. attribute:: cpu_range
                                    
                                    	
                                    	**type**\: list of    :py:class:`CpuRange_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange_>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.cpu_range = YList()
                                        self.cpu_range.parent = self
                                        self.cpu_range.name = 'cpu_range'


                                    class CpuRange_(object):
                                        """
                                        
                                        
                                        .. attribute:: cpu_range  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 5..86400
                                        
                                        .. attribute:: falling
                                        
                                        	falling threshold
                                        	**type**\:   :py:class:`Falling <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange_.Falling>`
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.cpu_range = None
                                            self.falling = Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange_.Falling()
                                            self.falling.parent = self


                                        class Falling(object):
                                            """
                                            falling threshold
                                            
                                            .. attribute:: cpu_range
                                            
                                            	
                                            	**type**\: list of    :py:class:`CpuRange_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange_.Falling.CpuRange_>`
                                            
                                            

                                            """

                                            _prefix = 'ios'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.cpu_range = YList()
                                                self.cpu_range.parent = self
                                                self.cpu_range.name = 'cpu_range'


                                            class CpuRange_(object):
                                                """
                                                
                                                
                                                .. attribute:: cpu_range  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: interval
                                                
                                                	observation interval
                                                	**type**\:  int
                                                
                                                	**range:** 5..86400
                                                
                                                

                                                """

                                                _prefix = 'ios'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.cpu_range = None
                                                    self.interval = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.cpu_range is None:
                                                        raise YPYModelError('Key property cpu_range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-native:cpu-range[Cisco-IOS-XE-native:cpu-range = ' + str(self.cpu_range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.cpu_range is not None:
                                                        return True

                                                    if self.interval is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange_.Falling.CpuRange_']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-native:falling'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.cpu_range is not None:
                                                    for child_ref in self.cpu_range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange_.Falling']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.cpu_range is None:
                                                raise YPYModelError('Key property cpu_range is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:cpu-range[Cisco-IOS-XE-native:cpu-range = ' + str(self.cpu_range) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.cpu_range is not None:
                                                return True

                                            if self.falling is not None and self.falling._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:interval'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.cpu_range is not None:
                                            for child_ref in self.cpu_range:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.cpu_range is None:
                                        raise YPYModelError('Key property cpu_range is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:process/Cisco-IOS-XE-native:cpu/Cisco-IOS-XE-native:threshold/Cisco-IOS-XE-native:type/Cisco-IOS-XE-native:interrupt/Cisco-IOS-XE-native:rising/Cisco-IOS-XE-native:cpu-range[Cisco-IOS-XE-native:cpu-range = ' + str(self.cpu_range) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cpu_range is not None:
                                        return True

                                    if self.interval is not None and self.interval._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:process/Cisco-IOS-XE-native:cpu/Cisco-IOS-XE-native:threshold/Cisco-IOS-XE-native:type/Cisco-IOS-XE-native:interrupt/Cisco-IOS-XE-native:rising'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cpu_range is not None:
                                    for child_ref in self.cpu_range:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Process.Cpu.Threshold.Type.Interrupt.Rising']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:process/Cisco-IOS-XE-native:cpu/Cisco-IOS-XE-native:threshold/Cisco-IOS-XE-native:type/Cisco-IOS-XE-native:interrupt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.rising is not None and self.rising._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Process.Cpu.Threshold.Type.Interrupt']['meta_info']


                    class Process_(object):
                        """
                        process level utilization
                        
                        .. attribute:: rising
                        
                        	rising threshold
                        	**type**\:   :py:class:`Rising <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Process_.Rising>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.rising = Native.Process.Cpu.Threshold.Type.Process_.Rising()
                            self.rising.parent = self


                        class Rising(object):
                            """
                            rising threshold
                            
                            .. attribute:: cpu_range
                            
                            	
                            	**type**\: list of    :py:class:`CpuRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cpu_range = YList()
                                self.cpu_range.parent = self
                                self.cpu_range.name = 'cpu_range'


                            class CpuRange(object):
                                """
                                
                                
                                .. attribute:: cpu_range  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: interval
                                
                                	observation interval
                                	**type**\:   :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cpu_range = None
                                    self.interval = Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval()
                                    self.interval.parent = self


                                class Interval(object):
                                    """
                                    observation interval
                                    
                                    .. attribute:: cpu_range
                                    
                                    	
                                    	**type**\: list of    :py:class:`CpuRange_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval.CpuRange_>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.cpu_range = YList()
                                        self.cpu_range.parent = self
                                        self.cpu_range.name = 'cpu_range'


                                    class CpuRange_(object):
                                        """
                                        
                                        
                                        .. attribute:: cpu_range  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 5..86400
                                        
                                        .. attribute:: falling
                                        
                                        	falling threshold
                                        	**type**\:   :py:class:`Falling <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval.CpuRange_.Falling>`
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.cpu_range = None
                                            self.falling = Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval.CpuRange_.Falling()
                                            self.falling.parent = self


                                        class Falling(object):
                                            """
                                            falling threshold
                                            
                                            .. attribute:: cpu_range
                                            
                                            	
                                            	**type**\: list of    :py:class:`CpuRange_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval.CpuRange_.Falling.CpuRange_>`
                                            
                                            

                                            """

                                            _prefix = 'ios'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.cpu_range = YList()
                                                self.cpu_range.parent = self
                                                self.cpu_range.name = 'cpu_range'


                                            class CpuRange_(object):
                                                """
                                                
                                                
                                                .. attribute:: cpu_range  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: interval
                                                
                                                	observation interval
                                                	**type**\:  int
                                                
                                                	**range:** 5..86400
                                                
                                                

                                                """

                                                _prefix = 'ios'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.cpu_range = None
                                                    self.interval = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.cpu_range is None:
                                                        raise YPYModelError('Key property cpu_range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-native:cpu-range[Cisco-IOS-XE-native:cpu-range = ' + str(self.cpu_range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.cpu_range is not None:
                                                        return True

                                                    if self.interval is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval.CpuRange_.Falling.CpuRange_']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-native:falling'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.cpu_range is not None:
                                                    for child_ref in self.cpu_range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval.CpuRange_.Falling']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.cpu_range is None:
                                                raise YPYModelError('Key property cpu_range is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:cpu-range[Cisco-IOS-XE-native:cpu-range = ' + str(self.cpu_range) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.cpu_range is not None:
                                                return True

                                            if self.falling is not None and self.falling._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval.CpuRange_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:interval'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.cpu_range is not None:
                                            for child_ref in self.cpu_range:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange.Interval']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.cpu_range is None:
                                        raise YPYModelError('Key property cpu_range is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:process/Cisco-IOS-XE-native:cpu/Cisco-IOS-XE-native:threshold/Cisco-IOS-XE-native:type/Cisco-IOS-XE-native:process/Cisco-IOS-XE-native:rising/Cisco-IOS-XE-native:cpu-range[Cisco-IOS-XE-native:cpu-range = ' + str(self.cpu_range) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cpu_range is not None:
                                        return True

                                    if self.interval is not None and self.interval._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Process.Cpu.Threshold.Type.Process_.Rising.CpuRange']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:process/Cisco-IOS-XE-native:cpu/Cisco-IOS-XE-native:threshold/Cisco-IOS-XE-native:type/Cisco-IOS-XE-native:process/Cisco-IOS-XE-native:rising'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cpu_range is not None:
                                    for child_ref in self.cpu_range:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Process.Cpu.Threshold.Type.Process_.Rising']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:process/Cisco-IOS-XE-native:cpu/Cisco-IOS-XE-native:threshold/Cisco-IOS-XE-native:type/Cisco-IOS-XE-native:process'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.rising is not None and self.rising._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Process.Cpu.Threshold.Type.Process_']['meta_info']


                    class Total(object):
                        """
                        total cpu utilization
                        
                        .. attribute:: rising
                        
                        	rising threshold
                        	**type**\:   :py:class:`Rising <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Total.Rising>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.rising = Native.Process.Cpu.Threshold.Type.Total.Rising()
                            self.rising.parent = self


                        class Rising(object):
                            """
                            rising threshold
                            
                            .. attribute:: cpu_range
                            
                            	
                            	**type**\: list of    :py:class:`CpuRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.cpu_range = YList()
                                self.cpu_range.parent = self
                                self.cpu_range.name = 'cpu_range'


                            class CpuRange(object):
                                """
                                
                                
                                .. attribute:: cpu_range  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..100
                                
                                .. attribute:: interval
                                
                                	observation interval
                                	**type**\:   :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cpu_range = None
                                    self.interval = Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval()
                                    self.interval.parent = self


                                class Interval(object):
                                    """
                                    observation interval
                                    
                                    .. attribute:: cpu_range
                                    
                                    	
                                    	**type**\: list of    :py:class:`CpuRange_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange_>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.cpu_range = YList()
                                        self.cpu_range.parent = self
                                        self.cpu_range.name = 'cpu_range'


                                    class CpuRange_(object):
                                        """
                                        
                                        
                                        .. attribute:: cpu_range  <key>
                                        
                                        	
                                        	**type**\:  int
                                        
                                        	**range:** 5..86400
                                        
                                        .. attribute:: falling
                                        
                                        	falling threshold
                                        	**type**\:   :py:class:`Falling <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange_.Falling>`
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.cpu_range = None
                                            self.falling = Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange_.Falling()
                                            self.falling.parent = self


                                        class Falling(object):
                                            """
                                            falling threshold
                                            
                                            .. attribute:: cpu_range
                                            
                                            	
                                            	**type**\: list of    :py:class:`CpuRange_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange_.Falling.CpuRange_>`
                                            
                                            

                                            """

                                            _prefix = 'ios'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.cpu_range = YList()
                                                self.cpu_range.parent = self
                                                self.cpu_range.name = 'cpu_range'


                                            class CpuRange_(object):
                                                """
                                                
                                                
                                                .. attribute:: cpu_range  <key>
                                                
                                                	
                                                	**type**\:  int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: interval
                                                
                                                	observation interval
                                                	**type**\:  int
                                                
                                                	**range:** 5..86400
                                                
                                                

                                                """

                                                _prefix = 'ios'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.cpu_range = None
                                                    self.interval = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.cpu_range is None:
                                                        raise YPYModelError('Key property cpu_range is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-native:cpu-range[Cisco-IOS-XE-native:cpu-range = ' + str(self.cpu_range) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.cpu_range is not None:
                                                        return True

                                                    if self.interval is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange_.Falling.CpuRange_']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-native:falling'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.cpu_range is not None:
                                                    for child_ref in self.cpu_range:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange_.Falling']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.cpu_range is None:
                                                raise YPYModelError('Key property cpu_range is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-native:cpu-range[Cisco-IOS-XE-native:cpu-range = ' + str(self.cpu_range) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.cpu_range is not None:
                                                return True

                                            if self.falling is not None and self.falling._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-native:interval'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.cpu_range is not None:
                                            for child_ref in self.cpu_range:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.cpu_range is None:
                                        raise YPYModelError('Key property cpu_range is None')

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:process/Cisco-IOS-XE-native:cpu/Cisco-IOS-XE-native:threshold/Cisco-IOS-XE-native:type/Cisco-IOS-XE-native:total/Cisco-IOS-XE-native:rising/Cisco-IOS-XE-native:cpu-range[Cisco-IOS-XE-native:cpu-range = ' + str(self.cpu_range) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cpu_range is not None:
                                        return True

                                    if self.interval is not None and self.interval._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:process/Cisco-IOS-XE-native:cpu/Cisco-IOS-XE-native:threshold/Cisco-IOS-XE-native:type/Cisco-IOS-XE-native:total/Cisco-IOS-XE-native:rising'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.cpu_range is not None:
                                    for child_ref in self.cpu_range:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Process.Cpu.Threshold.Type.Total.Rising']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:process/Cisco-IOS-XE-native:cpu/Cisco-IOS-XE-native:threshold/Cisco-IOS-XE-native:type/Cisco-IOS-XE-native:total'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.rising is not None and self.rising._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Process.Cpu.Threshold.Type.Total']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:process/Cisco-IOS-XE-native:cpu/Cisco-IOS-XE-native:threshold/Cisco-IOS-XE-native:type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.interrupt is not None and self.interrupt._has_data():
                            return True

                        if self.process is not None and self.process._has_data():
                            return True

                        if self.total is not None and self.total._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Process.Cpu.Threshold.Type']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:process/Cisco-IOS-XE-native:cpu/Cisco-IOS-XE-native:threshold'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.type is not None and self.type._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Process.Cpu.Threshold']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:process/Cisco-IOS-XE-native:cpu'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.threshold is not None and self.threshold._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Process.Cpu']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:process'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.cpu is not None and self.cpu._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Process']['meta_info']


    class Exception(object):
        """
        help
        
        .. attribute:: crashinfo
        
        	Crashinfo collection
        	**type**\:   :py:class:`Crashinfo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Exception.Crashinfo>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.crashinfo = None


        class Crashinfo(object):
            """
            Crashinfo collection
            
            .. attribute:: buffersize
            
            	buffer size in Kbytes 256K or less (default is 32K)
            	**type**\:  int
            
            	**range:** 32..256
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.buffersize = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:exception/Cisco-IOS-XE-native:crashinfo'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.buffersize is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Exception.Crashinfo']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-native:exception'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.crashinfo is not None and self.crashinfo._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Exception']['meta_info']


    class Ap(object):
        """
        Configures Cisco APs
        
        .. attribute:: dot11
        
        	Configures 802.11 parameters
        	**type**\:   :py:class:`Dot11 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11>`
        
        .. attribute:: group
        
        	Manage AP Groups VLAN feature
        	**type**\: list of    :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Group>`
        
        

        """

        _prefix = 'ios-ap'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.dot11 = Native.Ap.Dot11()
            self.dot11.parent = self
            self.group = YList()
            self.group.parent = self
            self.group.name = 'group'


        class Group(object):
            """
            Manage AP Groups VLAN feature
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: config
            
            	
            	**type**\:   :py:class:`Config <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Group.Config>`
            
            

            """

            _prefix = 'ios-ap'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.config = Native.Ap.Group.Config()
                self.config.parent = self


            class Config(object):
                """
                
                
                .. attribute:: airtime_fairness
                
                	airtime\-fairness for this AP group
                	**type**\:   :py:class:`AirtimeFairness <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Group.Config.AirtimeFairness>`
                
                .. attribute:: description
                
                	Enter description
                	**type**\:  str
                
                .. attribute:: hyperlocation
                
                	Configures Hyperlocation feature on all supported APs
                	**type**\:   :py:class:`Hyperlocation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Group.Config.Hyperlocation>`
                
                	**presence node**\: True
                
                .. attribute:: ntp
                
                	Sets the NTP server IP address
                	**type**\:   :py:class:`Ntp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Group.Config.Ntp>`
                
                .. attribute:: port
                
                	Configure LAN port parameters of an AP group
                	**type**\: list of    :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Group.Config.Port>`
                
                .. attribute:: remote_lan
                
                	Enter Remote\-LAN name
                	**type**\:  str
                
                .. attribute:: rf_profile
                
                	Assign the RF Profile to the current AP Group
                	**type**\:   :py:class:`RfProfile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Group.Config.RfProfile>`
                
                .. attribute:: wlan
                
                	Add WLAN to ap group
                	**type**\: list of    :py:class:`Wlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Group.Config.Wlan>`
                
                

                """

                _prefix = 'ios-ap'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.airtime_fairness = Native.Ap.Group.Config.AirtimeFairness()
                    self.airtime_fairness.parent = self
                    self.description = None
                    self.hyperlocation = None
                    self.ntp = Native.Ap.Group.Config.Ntp()
                    self.ntp.parent = self
                    self.port = YList()
                    self.port.parent = self
                    self.port.name = 'port'
                    self.remote_lan = None
                    self.rf_profile = Native.Ap.Group.Config.RfProfile()
                    self.rf_profile.parent = self
                    self.wlan = YList()
                    self.wlan.parent = self
                    self.wlan.name = 'wlan'


                class AirtimeFairness(object):
                    """
                    airtime\-fairness for this AP group
                    
                    .. attribute:: dot11
                    
                    	Configures airtime\-fairness parameters for the AP group
                    	**type**\:   :py:class:`Dot11 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Group.Config.AirtimeFairness.Dot11>`
                    
                    

                    """

                    _prefix = 'ios-ap'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dot11 = Native.Ap.Group.Config.AirtimeFairness.Dot11()
                        self.dot11.parent = self


                    class Dot11(object):
                        """
                        Configures airtime\-fairness parameters for the AP group
                        
                        .. attribute:: y_24ghz
                        
                        	Configures 2.4 GHz airtime\-fairness policy
                        	**type**\:   :py:class:`Y_24Ghz <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_24Ghz>`
                        
                        .. attribute:: y_5ghz
                        
                        	Configures 5 GHz airtime\-fairness policy
                        	**type**\:   :py:class:`Y_5Ghz <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_5Ghz>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.y_24ghz = Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_24Ghz()
                            self.y_24ghz.parent = self
                            self.y_5ghz = Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_5Ghz()
                            self.y_5ghz.parent = self


                        class Y_24Ghz(object):
                            """
                            Configures 2.4 GHz airtime\-fairness policy
                            
                            .. attribute:: mode
                            
                            	Configure airtime\-fairness in enforce mode
                            	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_24Ghz.ModeEnum>`
                            
                            .. attribute:: optimization
                            
                            	Enable airtime\-fairness optimization
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ap'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mode = None
                                self.optimization = None

                            class ModeEnum(Enum):
                                """
                                ModeEnum

                                Configure airtime\-fairness in enforce mode

                                .. data:: enforce_policy = 0

                                .. data:: monitor = 1

                                """

                                enforce_policy = 0

                                monitor = 1


                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_24Ghz.ModeEnum']


                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ap:_24GHz'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mode is not None:
                                    return True

                                if self.optimization is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_24Ghz']['meta_info']


                        class Y_5Ghz(object):
                            """
                            Configures 5 GHz airtime\-fairness policy
                            
                            .. attribute:: mode
                            
                            	Configure airtime\-fairness in enforce mode
                            	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_5Ghz.Mode>`
                            
                            .. attribute:: optimization
                            
                            	Enable airtime\-fairness optimization
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ap'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mode = Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_5Ghz.Mode()
                                self.mode.parent = self
                                self.optimization = None


                            class Mode(object):
                                """
                                Configure airtime\-fairness in enforce mode
                                
                                .. attribute:: enforce_policy
                                
                                	airtime\-fairness in enforce policy mode
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: monitor
                                
                                	Configure airtime\-fairness in monitor mode
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ap'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.enforce_policy = None
                                    self.monitor = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ap:mode'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.enforce_policy is not None:
                                        return True

                                    if self.monitor is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_5Ghz.Mode']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ap:_5GHz'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mode is not None and self.mode._has_data():
                                    return True

                                if self.optimization is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ap.Group.Config.AirtimeFairness.Dot11.Y_5Ghz']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ap:dot11'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.y_24ghz is not None and self.y_24ghz._has_data():
                                return True

                            if self.y_5ghz is not None and self.y_5ghz._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Group.Config.AirtimeFairness.Dot11']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ap:airtime-fairness'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dot11 is not None and self.dot11._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ap.Group.Config.AirtimeFairness']['meta_info']


                class Hyperlocation(object):
                    """
                    Configures Hyperlocation feature on all supported APs
                    
                    .. attribute:: threshold
                    
                    	Sets Hyperlocation thresholds
                    	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Group.Config.Hyperlocation.Threshold>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ap'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.threshold = Native.Ap.Group.Config.Hyperlocation.Threshold()
                        self.threshold.parent = self


                    class Threshold(object):
                        """
                        Sets Hyperlocation thresholds
                        
                        .. attribute:: detection
                        
                        	RSSI threshold to filter out packets with low RSSI
                        	**type**\:  int
                        
                        	**range:** \-100..\-50
                        
                        .. attribute:: reset
                        
                        	Enter a value smaller than trigger threshold
                        	**type**\:  int
                        
                        	**range:** 0..99
                        
                        .. attribute:: trigger
                        
                        	Enter number of scan cycles
                        	**type**\:  int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.detection = None
                            self.reset = None
                            self.trigger = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ap:threshold'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.detection is not None:
                                return True

                            if self.reset is not None:
                                return True

                            if self.trigger is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Group.Config.Hyperlocation.Threshold']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ap:hyperlocation'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.threshold is not None and self.threshold._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ap.Group.Config.Hyperlocation']['meta_info']


                class Ntp(object):
                    """
                    Sets the NTP server IP address
                    
                    .. attribute:: ip
                    
                    	NTP server IPv4 address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-ap'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ap:ntp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ap.Group.Config.Ntp']['meta_info']


                class Port(object):
                    """
                    Configure LAN port parameters of an AP group
                    
                    .. attribute:: id  <key>
                    
                    	Enter port ID for LAN
                    	**type**\:  int
                    
                    	**range:** 1..3
                    
                    .. attribute:: poe
                    
                    	Enable/Disable LAN PoE
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: remote_lan
                    
                    	Enter Remote\-LAN Name
                    	**type**\:  str
                    
                    .. attribute:: shutdown
                    
                    	Enable/Disable port
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ap'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.id = None
                        self.poe = None
                        self.remote_lan = None
                        self.shutdown = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.id is None:
                            raise YPYModelError('Key property id is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ap:port[Cisco-IOS-XE-ap:id = ' + str(self.id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.id is not None:
                            return True

                        if self.poe is not None:
                            return True

                        if self.remote_lan is not None:
                            return True

                        if self.shutdown is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ap.Group.Config.Port']['meta_info']


                class RfProfile(object):
                    """
                    Assign the RF Profile to the current AP Group
                    
                    .. attribute:: dot11
                    
                    	Configures 802.11 parameters
                    	**type**\:   :py:class:`Dot11 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Group.Config.RfProfile.Dot11>`
                    
                    

                    """

                    _prefix = 'ios-ap'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.dot11 = Native.Ap.Group.Config.RfProfile.Dot11()
                        self.dot11.parent = self


                    class Dot11(object):
                        """
                        Configures 802.11 parameters
                        
                        .. attribute:: y_24ghz
                        
                        	Specify the name of the RF Profile to assign
                        	**type**\:  str
                        
                        .. attribute:: y_5ghz
                        
                        	Specify the name of the RF Profile to assign
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.y_24ghz = None
                            self.y_5ghz = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ap:dot11'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.y_24ghz is not None:
                                return True

                            if self.y_5ghz is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Group.Config.RfProfile.Dot11']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-ap:rf-profile'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.dot11 is not None and self.dot11._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ap.Group.Config.RfProfile']['meta_info']


                class Wlan(object):
                    """
                    Add WLAN to ap group
                    
                    .. attribute:: name  <key>
                    
                    	Enter WLAN name
                    	**type**\:  str
                    
                    .. attribute:: airtime_fairness
                    
                    	Configure airtime\-fairness to the current AP group
                    	**type**\:   :py:class:`AirtimeFairness <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Group.Config.Wlan.AirtimeFairness>`
                    
                    .. attribute:: radio_policy
                    
                    	Configures Radio Policy on given AP\-Group
                    	**type**\:   :py:class:`RadioPolicyEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Group.Config.Wlan.RadioPolicyEnum>`
                    
                    .. attribute:: vlan
                    
                    	Specify the vlan name or vlan id
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-ap'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.airtime_fairness = Native.Ap.Group.Config.Wlan.AirtimeFairness()
                        self.airtime_fairness.parent = self
                        self.radio_policy = None
                        self.vlan = None

                    class RadioPolicyEnum(Enum):
                        """
                        RadioPolicyEnum

                        Configures Radio Policy on given AP\-Group

                        .. data:: all = 0

                        .. data:: dot11a = 1

                        .. data:: dot11bg = 2

                        .. data:: dot11g = 3

                        """

                        all = 0

                        dot11a = 1

                        dot11bg = 2

                        dot11g = 3


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Group.Config.Wlan.RadioPolicyEnum']



                    class AirtimeFairness(object):
                        """
                        Configure airtime\-fairness to the current AP group
                        
                        .. attribute:: dot11
                        
                        	Configures airtime\-fairness parameters for the AP group
                        	**type**\:   :py:class:`Dot11 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.dot11 = Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11()
                            self.dot11.parent = self


                        class Dot11(object):
                            """
                            Configures airtime\-fairness parameters for the AP group
                            
                            .. attribute:: y_24ghz
                            
                            	Configures 2.4 GHz airtime\-fairness policy
                            	**type**\:   :py:class:`Y_24Ghz <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11.Y_24Ghz>`
                            
                            .. attribute:: y_5ghz
                            
                            	Configures 5 GHz airtime\-fairness policy
                            	**type**\:   :py:class:`Y_5Ghz <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11.Y_5Ghz>`
                            
                            

                            """

                            _prefix = 'ios-ap'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.y_24ghz = Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11.Y_24Ghz()
                                self.y_24ghz.parent = self
                                self.y_5ghz = Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11.Y_5Ghz()
                                self.y_5ghz.parent = self


                            class Y_24Ghz(object):
                                """
                                Configures 2.4 GHz airtime\-fairness policy
                                
                                .. attribute:: policy
                                
                                	Specify name of the airtime\-fairness policy to assign
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ap'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.policy = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ap:_24GHz'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.policy is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11.Y_24Ghz']['meta_info']


                            class Y_5Ghz(object):
                                """
                                Configures 5 GHz airtime\-fairness policy
                                
                                .. attribute:: policy
                                
                                	Specify name of the airtime\-fairness policy to assign
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-ap'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.policy = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-ap:_5GHz'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.policy is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11.Y_5Ghz']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-ap:dot11'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.y_24ghz is not None and self.y_24ghz._has_data():
                                    return True

                                if self.y_5ghz is not None and self.y_5ghz._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Ap.Group.Config.Wlan.AirtimeFairness.Dot11']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-ap:airtime-fairness'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.dot11 is not None and self.dot11._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Group.Config.Wlan.AirtimeFairness']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return self.parent._common_path +'/Cisco-IOS-XE-ap:wlan[Cisco-IOS-XE-ap:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.airtime_fairness is not None and self.airtime_fairness._has_data():
                            return True

                        if self.radio_policy is not None:
                            return True

                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ap.Group.Config.Wlan']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-ap:config'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.airtime_fairness is not None and self.airtime_fairness._has_data():
                        return True

                    if self.description is not None:
                        return True

                    if self.hyperlocation is not None and self.hyperlocation._has_data():
                        return True

                    if self.ntp is not None and self.ntp._has_data():
                        return True

                    if self.port is not None:
                        for child_ref in self.port:
                            if child_ref._has_data():
                                return True

                    if self.remote_lan is not None:
                        return True

                    if self.rf_profile is not None and self.rf_profile._has_data():
                        return True

                    if self.wlan is not None:
                        for child_ref in self.wlan:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ap.Group.Config']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:group[Cisco-IOS-XE-ap:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.config is not None and self.config._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ap.Group']['meta_info']


        class Dot11(object):
            """
            Configures 802.11 parameters
            
            .. attribute:: airtime_fairness
            
            	Configures airtime\-fairness policy
            	**type**\:   :py:class:`AirtimeFairness <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.AirtimeFairness>`
            
            .. attribute:: y_24ghz
            
            	Configures 802.11b parameters
            	**type**\:   :py:class:`Y_24Ghz <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_24Ghz>`
            
            .. attribute:: y_49ghz
            
            	Configures 802.11a parameters
            	**type**\:   :py:class:`Y_49Ghz <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_49Ghz>`
            
            .. attribute:: y_5ghz
            
            	Configures 802.11a parameters
            	**type**\:   :py:class:`Y_5Ghz <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_5Ghz>`
            
            

            """

            _prefix = 'ios-ap'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.airtime_fairness = Native.Ap.Dot11.AirtimeFairness()
                self.airtime_fairness.parent = self
                self.y_24ghz = Native.Ap.Dot11.Y_24Ghz()
                self.y_24ghz.parent = self
                self.y_49ghz = Native.Ap.Dot11.Y_49Ghz()
                self.y_49ghz.parent = self
                self.y_5ghz = Native.Ap.Dot11.Y_5Ghz()
                self.y_5ghz.parent = self


            class Y_24Ghz(object):
                """
                Configures 802.11b parameters.
                
                .. attribute:: rate
                
                	Configure 802.11b operational rates
                	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_24Ghz.Rate>`
                
                

                """

                _prefix = 'ios-ap'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.rate = Native.Ap.Dot11.Y_24Ghz.Rate()
                    self.rate.parent = self


                class Rate(object):
                    """
                    Configure 802.11b operational rates
                    
                    .. attribute:: rate_11m
                    
                    	802.11 12M Rate
                    	**type**\:   :py:class:`Rate_11M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_24Ghz.Rate.Rate_11M>`
                    
                    .. attribute:: rate_12m
                    
                    	802.11 12M Rate
                    	**type**\:   :py:class:`Rate_12M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_24Ghz.Rate.Rate_12M>`
                    
                    .. attribute:: rate_18m
                    
                    	802.11 18M Rate
                    	**type**\:   :py:class:`Rate_18M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_24Ghz.Rate.Rate_18M>`
                    
                    .. attribute:: rate_1m
                    
                    	802.11 12M Rate
                    	**type**\:   :py:class:`Rate_1M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_24Ghz.Rate.Rate_1M>`
                    
                    .. attribute:: rate_24m
                    
                    	802.11 24M Rate
                    	**type**\:   :py:class:`Rate_24M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_24Ghz.Rate.Rate_24M>`
                    
                    .. attribute:: rate_2m
                    
                    	802.11 24M Rate
                    	**type**\:   :py:class:`Rate_2M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_24Ghz.Rate.Rate_2M>`
                    
                    .. attribute:: rate_36m
                    
                    	802.11 36M Rate
                    	**type**\:   :py:class:`Rate_36M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_24Ghz.Rate.Rate_36M>`
                    
                    .. attribute:: rate_48m
                    
                    	802.11 48M Rate
                    	**type**\:   :py:class:`Rate_48M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_24Ghz.Rate.Rate_48M>`
                    
                    .. attribute:: rate_54m
                    
                    	802.11 54M Rate
                    	**type**\:   :py:class:`Rate_54M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_24Ghz.Rate.Rate_54M>`
                    
                    .. attribute:: rate_5_5m
                    
                    	802.11 5.5M Rate
                    	**type**\:   :py:class:`Rate_5_5M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_24Ghz.Rate.Rate_5_5M>`
                    
                    .. attribute:: rate_6m
                    
                    	802.11 6M Rate
                    	**type**\:   :py:class:`Rate_6M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_24Ghz.Rate.Rate_6M>`
                    
                    .. attribute:: rate_9m
                    
                    	802.11 9M Rate
                    	**type**\:   :py:class:`Rate_9M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_24Ghz.Rate.Rate_9M>`
                    
                    

                    """

                    _prefix = 'ios-ap'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.rate_11m = Native.Ap.Dot11.Y_24Ghz.Rate.Rate_11M()
                        self.rate_11m.parent = self
                        self.rate_12m = Native.Ap.Dot11.Y_24Ghz.Rate.Rate_12M()
                        self.rate_12m.parent = self
                        self.rate_18m = Native.Ap.Dot11.Y_24Ghz.Rate.Rate_18M()
                        self.rate_18m.parent = self
                        self.rate_1m = Native.Ap.Dot11.Y_24Ghz.Rate.Rate_1M()
                        self.rate_1m.parent = self
                        self.rate_24m = Native.Ap.Dot11.Y_24Ghz.Rate.Rate_24M()
                        self.rate_24m.parent = self
                        self.rate_2m = Native.Ap.Dot11.Y_24Ghz.Rate.Rate_2M()
                        self.rate_2m.parent = self
                        self.rate_36m = Native.Ap.Dot11.Y_24Ghz.Rate.Rate_36M()
                        self.rate_36m.parent = self
                        self.rate_48m = Native.Ap.Dot11.Y_24Ghz.Rate.Rate_48M()
                        self.rate_48m.parent = self
                        self.rate_54m = Native.Ap.Dot11.Y_24Ghz.Rate.Rate_54M()
                        self.rate_54m.parent = self
                        self.rate_5_5m = Native.Ap.Dot11.Y_24Ghz.Rate.Rate_5_5M()
                        self.rate_5_5m.parent = self
                        self.rate_6m = Native.Ap.Dot11.Y_24Ghz.Rate.Rate_6M()
                        self.rate_6m.parent = self
                        self.rate_9m = Native.Ap.Dot11.Y_24Ghz.Rate.Rate_9M()
                        self.rate_9m.parent = self


                    class Rate_11M(object):
                        """
                        802.11 12M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_24ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_11M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_11M']['meta_info']


                    class Rate_12M(object):
                        """
                        802.11 12M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_24ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_12M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_12M']['meta_info']


                    class Rate_18M(object):
                        """
                        802.11 18M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_24ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_18M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_18M']['meta_info']


                    class Rate_1M(object):
                        """
                        802.11 12M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_24ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_1M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_1M']['meta_info']


                    class Rate_24M(object):
                        """
                        802.11 24M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_24ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_24M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_24M']['meta_info']


                    class Rate_2M(object):
                        """
                        802.11 24M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_24ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_2M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_2M']['meta_info']


                    class Rate_36M(object):
                        """
                        802.11 36M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_24ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_36M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_36M']['meta_info']


                    class Rate_48M(object):
                        """
                        802.11 48M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_24ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_48M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_48M']['meta_info']


                    class Rate_54M(object):
                        """
                        802.11 54M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_24ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_54M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_54M']['meta_info']


                    class Rate_5_5M(object):
                        """
                        802.11 5.5M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_24ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_5_5M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_5_5M']['meta_info']


                    class Rate_6M(object):
                        """
                        802.11 6M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_24ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_6M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_6M']['meta_info']


                    class Rate_9M(object):
                        """
                        802.11 9M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_24ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_9M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_24Ghz.Rate.Rate_9M']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_24ghz/Cisco-IOS-XE-ap:rate'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.rate_11m is not None and self.rate_11m._has_data():
                            return True

                        if self.rate_12m is not None and self.rate_12m._has_data():
                            return True

                        if self.rate_18m is not None and self.rate_18m._has_data():
                            return True

                        if self.rate_1m is not None and self.rate_1m._has_data():
                            return True

                        if self.rate_24m is not None and self.rate_24m._has_data():
                            return True

                        if self.rate_2m is not None and self.rate_2m._has_data():
                            return True

                        if self.rate_36m is not None and self.rate_36m._has_data():
                            return True

                        if self.rate_48m is not None and self.rate_48m._has_data():
                            return True

                        if self.rate_54m is not None and self.rate_54m._has_data():
                            return True

                        if self.rate_5_5m is not None and self.rate_5_5m._has_data():
                            return True

                        if self.rate_6m is not None and self.rate_6m._has_data():
                            return True

                        if self.rate_9m is not None and self.rate_9m._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ap.Dot11.Y_24Ghz.Rate']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_24ghz'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.rate is not None and self.rate._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ap.Dot11.Y_24Ghz']['meta_info']


            class Y_49Ghz(object):
                """
                Configures 802.11a parameters.
                
                .. attribute:: rrm
                
                	Radio Resource Management
                	**type**\:   :py:class:`Rrm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_49Ghz.Rrm>`
                
                

                """

                _prefix = 'ios-ap'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.rrm = Native.Ap.Dot11.Y_49Ghz.Rrm()
                    self.rrm.parent = self


                class Rrm(object):
                    """
                    Radio Resource Management
                    
                    .. attribute:: profile
                    
                    	802.11a performance profile
                    	**type**\:   :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_49Ghz.Rrm.Profile>`
                    
                    

                    """

                    _prefix = 'ios-ap'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.profile = Native.Ap.Dot11.Y_49Ghz.Rrm.Profile()
                        self.profile.parent = self


                    class Profile(object):
                        """
                        802.11a performance profile
                        
                        .. attribute:: foreign
                        
                        	802.11a foreign interference threshold (0\-100)
                        	**type**\:  int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.foreign = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_49ghz/Cisco-IOS-XE-ap:rrm/Cisco-IOS-XE-ap:profile'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.foreign is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_49Ghz.Rrm.Profile']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_49ghz/Cisco-IOS-XE-ap:rrm'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.profile is not None and self.profile._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ap.Dot11.Y_49Ghz.Rrm']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_49ghz'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.rrm is not None and self.rrm._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ap.Dot11.Y_49Ghz']['meta_info']


            class Y_5Ghz(object):
                """
                Configures 802.11a parameters.
                
                .. attribute:: rate
                
                	Configure 802.11b operational rates
                	**type**\:   :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_5Ghz.Rate>`
                
                

                """

                _prefix = 'ios-ap'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.rate = Native.Ap.Dot11.Y_5Ghz.Rate()
                    self.rate.parent = self


                class Rate(object):
                    """
                    Configure 802.11b operational rates
                    
                    .. attribute:: rate_11m
                    
                    	802.11 12M Rate
                    	**type**\:   :py:class:`Rate_11M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_5Ghz.Rate.Rate_11M>`
                    
                    .. attribute:: rate_12m
                    
                    	802.11 12M Rate
                    	**type**\:   :py:class:`Rate_12M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_5Ghz.Rate.Rate_12M>`
                    
                    .. attribute:: rate_18m
                    
                    	802.11 18M Rate
                    	**type**\:   :py:class:`Rate_18M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_5Ghz.Rate.Rate_18M>`
                    
                    .. attribute:: rate_1m
                    
                    	802.11 12M Rate
                    	**type**\:   :py:class:`Rate_1M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_5Ghz.Rate.Rate_1M>`
                    
                    .. attribute:: rate_24m
                    
                    	802.11 24M Rate
                    	**type**\:   :py:class:`Rate_24M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_5Ghz.Rate.Rate_24M>`
                    
                    .. attribute:: rate_2m
                    
                    	802.11 24M Rate
                    	**type**\:   :py:class:`Rate_2M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_5Ghz.Rate.Rate_2M>`
                    
                    .. attribute:: rate_36m
                    
                    	802.11 36M Rate
                    	**type**\:   :py:class:`Rate_36M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_5Ghz.Rate.Rate_36M>`
                    
                    .. attribute:: rate_48m
                    
                    	802.11 48M Rate
                    	**type**\:   :py:class:`Rate_48M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_5Ghz.Rate.Rate_48M>`
                    
                    .. attribute:: rate_54m
                    
                    	802.11 54M Rate
                    	**type**\:   :py:class:`Rate_54M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_5Ghz.Rate.Rate_54M>`
                    
                    .. attribute:: rate_5_5m
                    
                    	802.11 5.5M Rate
                    	**type**\:   :py:class:`Rate_5_5M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_5Ghz.Rate.Rate_5_5M>`
                    
                    .. attribute:: rate_6m
                    
                    	802.11 6M Rate
                    	**type**\:   :py:class:`Rate_6M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_5Ghz.Rate.Rate_6M>`
                    
                    .. attribute:: rate_9m
                    
                    	802.11 9M Rate
                    	**type**\:   :py:class:`Rate_9M <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.Y_5Ghz.Rate.Rate_9M>`
                    
                    

                    """

                    _prefix = 'ios-ap'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.rate_11m = Native.Ap.Dot11.Y_5Ghz.Rate.Rate_11M()
                        self.rate_11m.parent = self
                        self.rate_12m = Native.Ap.Dot11.Y_5Ghz.Rate.Rate_12M()
                        self.rate_12m.parent = self
                        self.rate_18m = Native.Ap.Dot11.Y_5Ghz.Rate.Rate_18M()
                        self.rate_18m.parent = self
                        self.rate_1m = Native.Ap.Dot11.Y_5Ghz.Rate.Rate_1M()
                        self.rate_1m.parent = self
                        self.rate_24m = Native.Ap.Dot11.Y_5Ghz.Rate.Rate_24M()
                        self.rate_24m.parent = self
                        self.rate_2m = Native.Ap.Dot11.Y_5Ghz.Rate.Rate_2M()
                        self.rate_2m.parent = self
                        self.rate_36m = Native.Ap.Dot11.Y_5Ghz.Rate.Rate_36M()
                        self.rate_36m.parent = self
                        self.rate_48m = Native.Ap.Dot11.Y_5Ghz.Rate.Rate_48M()
                        self.rate_48m.parent = self
                        self.rate_54m = Native.Ap.Dot11.Y_5Ghz.Rate.Rate_54M()
                        self.rate_54m.parent = self
                        self.rate_5_5m = Native.Ap.Dot11.Y_5Ghz.Rate.Rate_5_5M()
                        self.rate_5_5m.parent = self
                        self.rate_6m = Native.Ap.Dot11.Y_5Ghz.Rate.Rate_6M()
                        self.rate_6m.parent = self
                        self.rate_9m = Native.Ap.Dot11.Y_5Ghz.Rate.Rate_9M()
                        self.rate_9m.parent = self


                    class Rate_11M(object):
                        """
                        802.11 12M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_5ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_11M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_11M']['meta_info']


                    class Rate_12M(object):
                        """
                        802.11 12M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_5ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_12M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_12M']['meta_info']


                    class Rate_18M(object):
                        """
                        802.11 18M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_5ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_18M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_18M']['meta_info']


                    class Rate_1M(object):
                        """
                        802.11 12M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_5ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_1M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_1M']['meta_info']


                    class Rate_24M(object):
                        """
                        802.11 24M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_5ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_24M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_24M']['meta_info']


                    class Rate_2M(object):
                        """
                        802.11 24M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_5ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_2M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_2M']['meta_info']


                    class Rate_36M(object):
                        """
                        802.11 36M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_5ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_36M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_36M']['meta_info']


                    class Rate_48M(object):
                        """
                        802.11 48M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_5ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_48M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_48M']['meta_info']


                    class Rate_54M(object):
                        """
                        802.11 54M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_5ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_54M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_54M']['meta_info']


                    class Rate_5_5M(object):
                        """
                        802.11 5.5M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_5ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_5_5M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_5_5M']['meta_info']


                    class Rate_6M(object):
                        """
                        802.11 6M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_5ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_6M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_6M']['meta_info']


                    class Rate_9M(object):
                        """
                        802.11 9M Rate
                        
                        .. attribute:: supported
                        
                        	set a rate to supported
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ap'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.supported = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_5ghz/Cisco-IOS-XE-ap:rate/Cisco-IOS-XE-ap:RATE_9M'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.supported is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Ap.Dot11.Y_5Ghz.Rate.Rate_9M']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_5ghz/Cisco-IOS-XE-ap:rate'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.rate_11m is not None and self.rate_11m._has_data():
                            return True

                        if self.rate_12m is not None and self.rate_12m._has_data():
                            return True

                        if self.rate_18m is not None and self.rate_18m._has_data():
                            return True

                        if self.rate_1m is not None and self.rate_1m._has_data():
                            return True

                        if self.rate_24m is not None and self.rate_24m._has_data():
                            return True

                        if self.rate_2m is not None and self.rate_2m._has_data():
                            return True

                        if self.rate_36m is not None and self.rate_36m._has_data():
                            return True

                        if self.rate_48m is not None and self.rate_48m._has_data():
                            return True

                        if self.rate_54m is not None and self.rate_54m._has_data():
                            return True

                        if self.rate_5_5m is not None and self.rate_5_5m._has_data():
                            return True

                        if self.rate_6m is not None and self.rate_6m._has_data():
                            return True

                        if self.rate_9m is not None and self.rate_9m._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ap.Dot11.Y_5Ghz.Rate']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:_5ghz'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.rate is not None and self.rate._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ap.Dot11.Y_5Ghz']['meta_info']


            class AirtimeFairness(object):
                """
                Configures airtime\-fairness policy
                
                .. attribute:: policy_name
                
                	Configure airtime\-fairness policy
                	**type**\: list of    :py:class:`PolicyName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ap.Dot11.AirtimeFairness.PolicyName>`
                
                

                """

                _prefix = 'ios-ap'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.policy_name = YList()
                    self.policy_name.parent = self
                    self.policy_name.name = 'policy_name'


                class PolicyName(object):
                    """
                    Configure airtime\-fairness policy
                    
                    .. attribute:: policy_name  <key>
                    
                    	Enter the airtime\-fairness policy name
                    	**type**\:  str
                    
                    .. attribute:: policy_id
                    
                    	
                    	**type**\:  int
                    
                    	**range:** 0..511
                    
                    

                    """

                    _prefix = 'ios-ap'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_name = None
                        self.policy_id = None

                    @property
                    def _common_path(self):
                        if self.policy_name is None:
                            raise YPYModelError('Key property policy_name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:airtime-fairness/Cisco-IOS-XE-ap:policy-name[Cisco-IOS-XE-ap:policy-name = ' + str(self.policy_name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_name is not None:
                            return True

                        if self.policy_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Ap.Dot11.AirtimeFairness.PolicyName']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11/Cisco-IOS-XE-ap:airtime-fairness'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.policy_name is not None:
                        for child_ref in self.policy_name:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Ap.Dot11.AirtimeFairness']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap/Cisco-IOS-XE-ap:dot11'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.airtime_fairness is not None and self.airtime_fairness._has_data():
                    return True

                if self.y_24ghz is not None and self.y_24ghz._has_data():
                    return True

                if self.y_49ghz is not None and self.y_49ghz._has_data():
                    return True

                if self.y_5ghz is not None and self.y_5ghz._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Ap.Dot11']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ap:ap'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.dot11 is not None and self.dot11._has_data():
                return True

            if self.group is not None:
                for child_ref in self.group:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Ap']['meta_info']


    class Esmc(object):
        """
        Ethernet Synchronization Messaging Channel
        
        .. attribute:: process
        
        	process
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios-eth'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.process = None

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-ethernet:esmc'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.process is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Esmc']['meta_info']


    class BbaGroup(object):
        """
        Configure BBA Group
        
        .. attribute:: pppoe
        
        	PPPoE type
        	**type**\: list of    :py:class:`Pppoe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BbaGroup.Pppoe>`
        
        

        """

        _prefix = 'ios-bba'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.pppoe = YList()
            self.pppoe.parent = self
            self.pppoe.name = 'pppoe'


        class Pppoe(object):
            """
            PPPoE type
            
            .. attribute:: id  <key>
            
            	
            	**type**\: one of the below types:
            
            	**type**\:  str
            
            
            ----
            	**type**\:   :py:class:`IdEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BbaGroup.Pppoe.IdEnum>`
            
            
            ----
            .. attribute:: vendor_tag
            
            	PPPoE Vendor Specific Tag
            	**type**\:   :py:class:`VendorTag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BbaGroup.Pppoe.VendorTag>`
            
            .. attribute:: virtual_template
            
            	BBA virtual template command
            	**type**\:  int
            
            	**range:** 1..4095
            
            

            """

            _prefix = 'ios-bba'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.id = None
                self.vendor_tag = Native.BbaGroup.Pppoe.VendorTag()
                self.vendor_tag.parent = self
                self.virtual_template = None

            class IdEnum(Enum):
                """
                IdEnum

                .. data:: global_ = 0

                """

                global_ = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.BbaGroup.Pppoe.IdEnum']



            class VendorTag(object):
                """
                PPPoE Vendor Specific Tag
                
                .. attribute:: circuit_id
                
                	Circuit\-Id
                	**type**\:   :py:class:`CircuitId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BbaGroup.Pppoe.VendorTag.CircuitId>`
                
                .. attribute:: dsl_sync_rate
                
                	DSL\-Sync\-Rate
                	**type**\:   :py:class:`DslSyncRate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BbaGroup.Pppoe.VendorTag.DslSyncRate>`
                
                .. attribute:: remote_id
                
                	Remote\-Id
                	**type**\:   :py:class:`RemoteId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BbaGroup.Pppoe.VendorTag.RemoteId>`
                
                .. attribute:: strip
                
                	Strip all vendor tags
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-bba'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.circuit_id = Native.BbaGroup.Pppoe.VendorTag.CircuitId()
                    self.circuit_id.parent = self
                    self.dsl_sync_rate = Native.BbaGroup.Pppoe.VendorTag.DslSyncRate()
                    self.dsl_sync_rate.parent = self
                    self.remote_id = Native.BbaGroup.Pppoe.VendorTag.RemoteId()
                    self.remote_id.parent = self
                    self.strip = None


                class CircuitId(object):
                    """
                    Circuit\-Id
                    
                    .. attribute:: service
                    
                    	Enable processing
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-bba'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.service = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bba-group:circuit-id'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.service is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.BbaGroup.Pppoe.VendorTag.CircuitId']['meta_info']


                class DslSyncRate(object):
                    """
                    DSL\-Sync\-Rate
                    
                    .. attribute:: service
                    
                    	Enable processing
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-bba'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.service = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bba-group:dsl-sync-rate'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.service is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.BbaGroup.Pppoe.VendorTag.DslSyncRate']['meta_info']


                class RemoteId(object):
                    """
                    Remote\-Id
                    
                    .. attribute:: service
                    
                    	Enable processing
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-bba'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.service = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-bba-group:remote-id'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.service is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.BbaGroup.Pppoe.VendorTag.RemoteId']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-bba-group:vendor-tag'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.circuit_id is not None and self.circuit_id._has_data():
                        return True

                    if self.dsl_sync_rate is not None and self.dsl_sync_rate._has_data():
                        return True

                    if self.remote_id is not None and self.remote_id._has_data():
                        return True

                    if self.strip is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.BbaGroup.Pppoe.VendorTag']['meta_info']

            @property
            def _common_path(self):
                if self.id is None:
                    raise YPYModelError('Key property id is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-bba-group:bba-group/Cisco-IOS-XE-bba-group:pppoe[Cisco-IOS-XE-bba-group:id = ' + str(self.id) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.id is not None:
                    return True

                if self.vendor_tag is not None and self.vendor_tag._has_data():
                    return True

                if self.virtual_template is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.BbaGroup.Pppoe']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-bba-group:bba-group'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.pppoe is not None:
                for child_ref in self.pppoe:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.BbaGroup']['meta_info']


    class Card(object):
        """
        Configure T1/E1 SPA
        
        .. attribute:: bay
        
        	
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: slot
        
        	
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: type
        
        	
        	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Card.TypeEnum>`
        
        

        """

        _prefix = 'ios-card'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.bay = None
            self.slot = None
            self.type = None

        class TypeEnum(Enum):
            """
            TypeEnum

            .. data:: t1 = 0

            .. data:: e1 = 1

            """

            t1 = 0

            e1 = 1


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Card.TypeEnum']


        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-card:card'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.bay is not None:
                return True

            if self.slot is not None:
                return True

            if self.type is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Card']['meta_info']


    class Cef(object):
        """
        Cisco Express Forwarding
        
        .. attribute:: table
        
        	Set CEF forwarding table characteristics
        	**type**\:   :py:class:`Table <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table>`
        
        

        """

        _prefix = 'ios-cef'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.table = Native.Cef.Table()
            self.table.parent = self


        class Table(object):
            """
            Set CEF forwarding table characteristics
            
            .. attribute:: output_chain
            
            	Set table output chain characteristics
            	**type**\:   :py:class:`OutputChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.OutputChain>`
            
            

            """

            _prefix = 'ios-cef'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.output_chain = Native.Cef.Table.OutputChain()
                self.output_chain.parent = self


            class OutputChain(object):
                """
                Set table output chain characteristics
                
                .. attribute:: build
                
                	Set table output chain building characteristics
                	**type**\:   :py:class:`Build <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.OutputChain.Build>`
                
                

                """

                _prefix = 'ios-cef'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.build = Native.Cef.Table.OutputChain.Build()
                    self.build.parent = self


                class Build(object):
                    """
                    Set table output chain building characteristics
                    
                    .. attribute:: favor
                    
                    	Set which table output chain building characteristics to favor
                    	**type**\:   :py:class:`Favor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.OutputChain.Build.Favor>`
                    
                    

                    """

                    _prefix = 'ios-cef'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.favor = Native.Cef.Table.OutputChain.Build.Favor()
                        self.favor.parent = self


                    class Favor(object):
                        """
                        Set which table output chain building characteristics to favor
                        
                        .. attribute:: convergence_speed
                        
                        	Favor faster convergence
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: memory_utilization
                        
                        	Favor smaller memory utilization
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.convergence_speed = None
                            self.memory_utilization = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/Cisco-IOS-XE-cef:table/Cisco-IOS-XE-cef:output-chain/Cisco-IOS-XE-cef:build/Cisco-IOS-XE-cef:favor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.convergence_speed is not None:
                                return True

                            if self.memory_utilization is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Cef.Table.OutputChain.Build.Favor']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/Cisco-IOS-XE-cef:table/Cisco-IOS-XE-cef:output-chain/Cisco-IOS-XE-cef:build'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.favor is not None and self.favor._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Cef.Table.OutputChain.Build']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/Cisco-IOS-XE-cef:table/Cisco-IOS-XE-cef:output-chain'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.build is not None and self.build._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Cef.Table.OutputChain']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/Cisco-IOS-XE-cef:table'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.output_chain is not None and self.output_chain._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Cef.Table']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.table is not None and self.table._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Cef']['meta_info']


    class Coap(object):
        """
        CoAP Global Configuration Commands
        
        .. attribute:: http
        
        	CoAP http server
        	**type**\:   :py:class:`Http <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Coap.Http>`
        
        

        """

        _prefix = 'ios-coap'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.http = Native.Coap.Http()
            self.http.parent = self


        class Http(object):
            """
            CoAP http server
            
            .. attribute:: enable
            
            	CoAP http server enable
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-coap'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.enable = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-coap:coap/Cisco-IOS-XE-coap:http'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.enable is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Coap.Http']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-coap:coap'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.http is not None and self.http._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Coap']['meta_info']


    class DeviceSensor(object):
        """
        IOS Sensor Commands
        
        .. attribute:: accounting
        
        	Trigger accounting updates with sensor TLVs/Options
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios-ds'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.accounting = None

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-device-sensor:device-sensor'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.accounting is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.DeviceSensor']['meta_info']


    class Diagnostic(object):
        """
        Configure diagnostic information
        
        .. attribute:: bootup
        
        	Configure diagnostic for bootup
        	**type**\:   :py:class:`Bootup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Bootup>`
        
        .. attribute:: event_log
        
        	Configure diagnostic event log
        	**type**\:   :py:class:`EventLog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.EventLog>`
        
        .. attribute:: monitor
        
        	Configure diagnostic monitoring tests
        	**type**\:   :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor>`
        
        .. attribute:: schedule
        
        	Configure diagnostic schedule for a card
        	**type**\:   :py:class:`Schedule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule>`
        
        

        """

        _prefix = 'ios-diag'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.bootup = Native.Diagnostic.Bootup()
            self.bootup.parent = self
            self.event_log = Native.Diagnostic.EventLog()
            self.event_log.parent = self
            self.monitor = Native.Diagnostic.Monitor()
            self.monitor.parent = self
            self.schedule = Native.Diagnostic.Schedule()
            self.schedule.parent = self


        class Bootup(object):
            """
            Configure diagnostic for bootup
            
            .. attribute:: level
            
            	Select diagnostic level
            	**type**\:   :py:class:`LevelEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Bootup.LevelEnum>`
            
            

            """

            _prefix = 'ios-diag'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.level = None

            class LevelEnum(Enum):
                """
                LevelEnum

                Select diagnostic level

                .. data:: complete = 0

                .. data:: minimal = 1

                """

                complete = 0

                minimal = 1


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Diagnostic.Bootup.LevelEnum']


            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/Cisco-IOS-XE-diagnostics:bootup'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.level is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Diagnostic.Bootup']['meta_info']


        class EventLog(object):
            """
            Configure diagnostic event log
            
            .. attribute:: size
            
            	Configure event log size Number of entries <1\-10000>
            	**type**\:  int
            
            	**range:** 1..10000
            
            

            """

            _prefix = 'ios-diag'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.size = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/Cisco-IOS-XE-diagnostics:event-log'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.size is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Diagnostic.EventLog']['meta_info']


        class Monitor(object):
            """
            Configure diagnostic monitoring tests
            
            .. attribute:: interval
            
            	Configure diagnostic monitoring tests interval
            	**type**\:   :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Interval>`
            
            .. attribute:: switch
            
            	Configure diagnostic monitoring tests on selected switch
            	**type**\: list of    :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Switch>`
            
            .. attribute:: syslog
            
            	Configure diagnostic monitoring syslog
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: threshold
            
            	Configure diagnostic monitoring failure threshold
            	**type**\:   :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Threshold>`
            
            

            """

            _prefix = 'ios-diag'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.interval = Native.Diagnostic.Monitor.Interval()
                self.interval.parent = self
                self.switch = YList()
                self.switch.parent = self
                self.switch.name = 'switch'
                self.syslog = None
                self.threshold = Native.Diagnostic.Monitor.Threshold()
                self.threshold.parent = self


            class Interval(object):
                """
                Configure diagnostic monitoring tests interval
                
                .. attribute:: switch
                
                	Configure diagnostic monitoring tests interval on selected switch
                	**type**\:   :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Interval.Switch>`
                
                

                """

                _prefix = 'ios-diag'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switch = Native.Diagnostic.Monitor.Interval.Switch()
                    self.switch.parent = self


                class Switch(object):
                    """
                    Configure diagnostic monitoring tests interval on selected switch
                    
                    .. attribute:: switch
                    
                    	Configure diagnostic monitoring tests on selected switch
                    	**type**\: list of    :py:class:`Switch_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Interval.Switch.Switch_>`
                    
                    

                    """

                    _prefix = 'ios-diag'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.switch = YList()
                        self.switch.parent = self
                        self.switch.name = 'switch'


                    class Switch_(object):
                        """
                        Configure diagnostic monitoring tests on selected switch
                        
                        .. attribute:: number  <key>
                        
                        	switch number
                        	**type**\:  int
                        
                        	**range:** 1..9
                        
                        .. attribute:: test
                        
                        	Diagnostic test selection Diagnostics test suite attributes\: M/C/\* \- Minimal bootup level test / Complete bootup level test / NA B/\* \- Basic ondemand test / NA P/V/\* \- Per port test / Per device test / NA D/N/\* \- Disruptive test / Non\-disruptive test / NA S/\* \- Only applicable to standby unit / NA X/\* \- Not a health monitoring test / NA F/\* \- Fixed monitoring interval test / NA E/\* \- Always enabled monitoring test / NA A/I \- Monitoring is active / Monitoring is inactive                                                 Test Interval   Thre\- ID   Test Name                          Attributes     day hh\:mm\:ss.ms shold ==== ================================  ============   =============== ===== 1) DiagGoldPktTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*BPN\*X\*\*I       not configured    n/a 2) DiagThermalTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A       000 00\:01\:30.00   5 3) DiagFanTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A       000 00\:01\:30.00   5 4) DiagPhyLoopbackTest \-\-\-\-\-\-\-\-\-\-\-\-\->  \*BPD\*X\*\*I       not configured    n/a 5) DiagScratchRegisterTest \-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A       000 00\:01\:30.00   5 6) DiagPoETest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*\*\*D\*X\*\*I       not configured    n/a 7) DiagStackCableTest \-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*\*\*D\*X\*\*I       not configured    n/a 8) DiagMemoryTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*D\*X\*\*I       not configured    n/a 
                        	**type**\:   :py:class:`Test <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test>`
                        
                        

                        """

                        _prefix = 'ios-diag'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.number = None
                            self.test = Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test()
                            self.test.parent = self


                        class Test(object):
                            """
                            Diagnostic test selection
                            Diagnostics test suite attributes\:
                            M/C/\* \- Minimal bootup level test / Complete bootup level test / NA
                            B/\* \- Basic ondemand test / NA
                            P/V/\* \- Per port test / Per device test / NA
                            D/N/\* \- Disruptive test / Non\-disruptive test / NA
                            S/\* \- Only applicable to standby unit / NA
                            X/\* \- Not a health monitoring test / NA
                            F/\* \- Fixed monitoring interval test / NA
                            E/\* \- Always enabled monitoring test / NA
                            A/I \- Monitoring is active / Monitoring is inactive
                            
                                                                           Test Interval   Thre\-
                            ID   Test Name                          Attributes     day hh\:mm\:ss.ms shold
                            ==== ================================  ============   =============== =====
                            1) DiagGoldPktTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*BPN\*X\*\*I       not configured    n/a
                            2) DiagThermalTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A       000 00\:01\:30.00   5
                            3) DiagFanTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A       000 00\:01\:30.00   5
                            4) DiagPhyLoopbackTest \-\-\-\-\-\-\-\-\-\-\-\-\->  \*BPD\*X\*\*I       not configured    n/a
                            5) DiagScratchRegisterTest \-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A       000 00\:01\:30.00   5
                            6) DiagPoETest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*\*\*D\*X\*\*I       not configured    n/a
                            7) DiagStackCableTest \-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*\*\*D\*X\*\*I       not configured    n/a
                            8) DiagMemoryTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*D\*X\*\*I       not configured    n/a 
                            
                            .. attribute:: all
                            
                            	Select all test ID 
                            	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test.All>`
                            
                            .. attribute:: test_ids
                            
                            	
                            	**type**\: list of    :py:class:`TestIds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test.TestIds>`
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test.All()
                                self.all.parent = self
                                self.test_ids = YList()
                                self.test_ids.parent = self
                                self.test_ids.name = 'test_ids'


                            class TestIds(object):
                                """
                                
                                
                                .. attribute:: id  <key>
                                
                                	Test ID list (e.g. 1,3\-6) or Test Name
                                	**type**\:  str
                                
                                .. attribute:: hh_mm_ss
                                
                                	Monitoring interval in hh\:mm\:ss format
                                	**type**\:  str
                                
                                	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])\:([0\-5][0\-9])(\:[0\-5][0\-9])
                                
                                .. attribute:: milli_seconds
                                
                                	Number of milli\-seconds [0\-999]
                                	**type**\:  int
                                
                                	**range:** 0..999
                                
                                .. attribute:: number_of_days
                                
                                	Number of days [0\-20]
                                	**type**\:  int
                                
                                	**range:** 0..20
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.id = None
                                    self.hh_mm_ss = None
                                    self.milli_seconds = None
                                    self.number_of_days = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.id is None:
                                        raise YPYModelError('Key property id is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:test-ids[Cisco-IOS-XE-diagnostics:id = ' + str(self.id) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.id is not None:
                                        return True

                                    if self.hh_mm_ss is not None:
                                        return True

                                    if self.milli_seconds is not None:
                                        return True

                                    if self.number_of_days is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test.TestIds']['meta_info']


                            class All(object):
                                """
                                Select all test ID 
                                
                                .. attribute:: hh_mm_ss
                                
                                	Monitoring interval in hh\:mm\:ss format
                                	**type**\:  str
                                
                                	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])\:([0\-5][0\-9])(\:[0\-5][0\-9])
                                
                                .. attribute:: milli_seconds
                                
                                	Number of milli\-seconds [0\-999]
                                	**type**\:  int
                                
                                	**range:** 0..999
                                
                                .. attribute:: number_of_days
                                
                                	Number of days [0\-20]
                                	**type**\:  int
                                
                                	**range:** 0..20
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.hh_mm_ss = None
                                    self.milli_seconds = None
                                    self.number_of_days = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:all'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.hh_mm_ss is not None:
                                        return True

                                    if self.milli_seconds is not None:
                                        return True

                                    if self.number_of_days is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test.All']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:test'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None and self.all._has_data():
                                    return True

                                if self.test_ids is not None:
                                    for child_ref in self.test_ids:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Monitor.Interval.Switch.Switch_.Test']['meta_info']

                        @property
                        def _common_path(self):
                            if self.number is None:
                                raise YPYModelError('Key property number is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/Cisco-IOS-XE-diagnostics:monitor/Cisco-IOS-XE-diagnostics:interval/Cisco-IOS-XE-diagnostics:switch/Cisco-IOS-XE-diagnostics:switch[Cisco-IOS-XE-diagnostics:number = ' + str(self.number) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.number is not None:
                                return True

                            if self.test is not None and self.test._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Diagnostic.Monitor.Interval.Switch.Switch_']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/Cisco-IOS-XE-diagnostics:monitor/Cisco-IOS-XE-diagnostics:interval/Cisco-IOS-XE-diagnostics:switch'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.switch is not None:
                            for child_ref in self.switch:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Diagnostic.Monitor.Interval.Switch']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/Cisco-IOS-XE-diagnostics:monitor/Cisco-IOS-XE-diagnostics:interval'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switch is not None and self.switch._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Diagnostic.Monitor.Interval']['meta_info']


            class Switch(object):
                """
                Configure diagnostic monitoring tests on selected switch
                
                .. attribute:: number  <key>
                
                	switch number
                	**type**\:  int
                
                	**range:** 1..9
                
                .. attribute:: test
                
                	Diagnostic test selection Diagnostics test suite attributes\: M/C/\* \- Minimal bootup level test / Complete bootup level test / NA B/\* \- Basic ondemand test / NA P/V/\* \- Per port test / Per device test / NA D/N/\* \- Disruptive test / Non\-disruptive test / NA S/\* \- Only applicable to standby unit / NA X/\* \- Not a health monitoring test / NA F/\* \- Fixed monitoring interval test / NA E/\* \- Always enabled monitoring test / NA A/I \- Monitoring is active / Monitoring is inactive  Test                                                  Test Interval  Thre\- ID   Test Name                          Attributes      day hh\:mm\:ss.ms shold ==== ================================== ============    =============== ===== 1) DiagGoldPktTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*BPN\*X\*\*I       not configured    n/a 2) DiagThermalTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.00   5 3) DiagFanTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.00   5 4) DiagPhyLoopbackTest \-\-\-\-\-\-\-\-\-\-\-\-\-> \*BPD\*X\*\*I       not configured    n/a 5) DiagScratchRegisterTest \-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.00   5 6) DiagPoETest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*\*\*D\*X\*\*I       not configured    n/a 7) DiagStackCableTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*\*\*D\*X\*\*I       not configured    n/a 8) DiagMemoryTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*D\*X\*\*I       not configured    n/a 
                	**type**\:   :py:class:`Test <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Switch.Test>`
                
                

                """

                _prefix = 'ios-diag'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.number = None
                    self.test = Native.Diagnostic.Monitor.Switch.Test()
                    self.test.parent = self


                class Test(object):
                    """
                    Diagnostic test selection
                    Diagnostics test suite attributes\:
                    M/C/\* \- Minimal bootup level test / Complete bootup level test / NA
                    B/\* \- Basic ondemand test / NA
                    P/V/\* \- Per port test / Per device test / NA
                    D/N/\* \- Disruptive test / Non\-disruptive test / NA
                    S/\* \- Only applicable to standby unit / NA
                    X/\* \- Not a health monitoring test / NA
                    F/\* \- Fixed monitoring interval test / NA
                    E/\* \- Always enabled monitoring test / NA
                    A/I \- Monitoring is active / Monitoring is inactive
                    
                    Test                                                  Test Interval  Thre\-
                    ID   Test Name                          Attributes      day hh\:mm\:ss.ms shold
                    ==== ================================== ============    =============== =====
                    1) DiagGoldPktTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*BPN\*X\*\*I       not configured    n/a
                    2) DiagThermalTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.00   5
                    3) DiagFanTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.00   5
                    4) DiagPhyLoopbackTest \-\-\-\-\-\-\-\-\-\-\-\-\-> \*BPD\*X\*\*I       not configured    n/a
                    5) DiagScratchRegisterTest \-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.00   5
                    6) DiagPoETest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*\*\*D\*X\*\*I       not configured    n/a
                    7) DiagStackCableTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*\*\*D\*X\*\*I       not configured    n/a
                    8) DiagMemoryTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*D\*X\*\*I       not configured    n/a 
                    
                    .. attribute:: all
                    
                    	Select all test ID 
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: id
                    
                    	Test ID list (e.g. 1,3\-6) or Test Name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-diag'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.all = None
                        self.id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:test'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.all is not None:
                            return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Diagnostic.Monitor.Switch.Test']['meta_info']

                @property
                def _common_path(self):
                    if self.number is None:
                        raise YPYModelError('Key property number is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/Cisco-IOS-XE-diagnostics:monitor/Cisco-IOS-XE-diagnostics:switch[Cisco-IOS-XE-diagnostics:number = ' + str(self.number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.number is not None:
                        return True

                    if self.test is not None and self.test._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Diagnostic.Monitor.Switch']['meta_info']


            class Threshold(object):
                """
                Configure diagnostic monitoring failure threshold
                
                .. attribute:: switch
                
                	Configure diagnostic monitoring tests threshold on selected switch
                	**type**\: list of    :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Threshold.Switch>`
                
                

                """

                _prefix = 'ios-diag'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switch = YList()
                    self.switch.parent = self
                    self.switch.name = 'switch'


                class Switch(object):
                    """
                    Configure diagnostic monitoring tests threshold on selected switch
                    
                    .. attribute:: number  <key>
                    
                    	switch number
                    	**type**\:  int
                    
                    	**range:** 1..9
                    
                    .. attribute:: test
                    
                    	Diagnostic test selection Diagnostics test suite attributes\: M/C/\* \- Minimal bootup level test / Complete bootup level test / NA B/\* \- Basic ondemand test / NA P/V/\* \- Per port test / Per device test / NA D/N/\* \- Disruptive test / Non\-disruptive test / NA S/\* \- Only applicable to standby unit / NA X/\* \- Not a health monitoring test / NA F/\* \- Fixed monitoring interval test / NA E/\* \- Always enabled monitoring test / NA A/I \- Monitoring is active / Monitoring is inactive                                                     Test Interval  Thres\- ID   Test Name                          Attributes        day hh\:mm\:ss.ms shold ==== ================================== ============   =============== ===== 1) DiagGoldPktTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*BPN\*X\*\*I          not configured  n/a 2) DiagThermalTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A          000 00\:01\:30.00 5 3) DiagFanTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A          000 00\:01\:30.00 5 4) DiagPhyLoopbackTest \-\-\-\-\-\-\-\-\-\-\-\-\->  \*BPD\*X\*\*I          not configured  n/a 5) DiagScratchRegisterTest \-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A          000 00\:01\:30.00 5 6) DiagPoETest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*\*\*D\*X\*\*I          not configured  n/a 7) DiagStackCableTest \-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*\*\*D\*X\*\*I          not configured  n/a 8) DiagMemoryTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*D\*X\*\*I          not configured  n/a 
                    	**type**\:   :py:class:`Test <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Threshold.Switch.Test>`
                    
                    

                    """

                    _prefix = 'ios-diag'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.number = None
                        self.test = Native.Diagnostic.Monitor.Threshold.Switch.Test()
                        self.test.parent = self


                    class Test(object):
                        """
                        Diagnostic test selection
                        Diagnostics test suite attributes\:
                        M/C/\* \- Minimal bootup level test / Complete bootup level test / NA
                        B/\* \- Basic ondemand test / NA
                        P/V/\* \- Per port test / Per device test / NA
                        D/N/\* \- Disruptive test / Non\-disruptive test / NA
                        S/\* \- Only applicable to standby unit / NA
                        X/\* \- Not a health monitoring test / NA
                        F/\* \- Fixed monitoring interval test / NA
                        E/\* \- Always enabled monitoring test / NA
                        A/I \- Monitoring is active / Monitoring is inactive
                        
                                                                           Test Interval  Thres\-
                        ID   Test Name                          Attributes        day hh\:mm\:ss.ms shold
                        ==== ================================== ============   =============== =====
                        1) DiagGoldPktTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*BPN\*X\*\*I          not configured  n/a
                        2) DiagThermalTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A          000 00\:01\:30.00 5
                        3) DiagFanTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A          000 00\:01\:30.00 5
                        4) DiagPhyLoopbackTest \-\-\-\-\-\-\-\-\-\-\-\-\->  \*BPD\*X\*\*I          not configured  n/a
                        5) DiagScratchRegisterTest \-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A          000 00\:01\:30.00 5
                        6) DiagPoETest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*\*\*D\*X\*\*I          not configured  n/a
                        7) DiagStackCableTest \-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*\*\*D\*X\*\*I          not configured  n/a
                        8) DiagMemoryTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*D\*X\*\*I          not configured  n/a 
                        
                        .. attribute:: all
                        
                        	Select all test ID 
                        	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Threshold.Switch.Test.All>`
                        
                        .. attribute:: test_ids
                        
                        	
                        	**type**\: list of    :py:class:`TestIds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds>`
                        
                        

                        """

                        _prefix = 'ios-diag'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.all = Native.Diagnostic.Monitor.Threshold.Switch.Test.All()
                            self.all.parent = self
                            self.test_ids = YList()
                            self.test_ids.parent = self
                            self.test_ids.name = 'test_ids'


                        class TestIds(object):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	Test ID list (e.g. 1,3\-6) or Test Name
                            	**type**\:  str
                            
                            .. attribute:: failure
                            
                            	Setting failure threshold
                            	**type**\:   :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure>`
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.id = None
                                self.failure = Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure()
                                self.failure.parent = self


                            class Failure(object):
                                """
                                Setting failure threshold
                                
                                .. attribute:: count
                                
                                	Setting failure threshold count
                                	**type**\: list of    :py:class:`Count <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure.Count>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.count = YList()
                                    self.count.parent = self
                                    self.count.name = 'count'


                                class Count(object):
                                    """
                                    Setting failure threshold count
                                    
                                    .. attribute:: range  <key>
                                    
                                    	Number of allowable failures [1\-1000]
                                    	**type**\:  int
                                    
                                    	**range:** 1..1000
                                    
                                    .. attribute:: days
                                    
                                    	Set failure history window in days <1\-1000000>
                                    	**type**\:  int
                                    
                                    	**range:** 1..1000000
                                    
                                    .. attribute:: hours
                                    
                                    	Set failure history window in hours <1\-1000000>
                                    	**type**\:  int
                                    
                                    	**range:** 1..1000000
                                    
                                    .. attribute:: milli_seconds
                                    
                                    	Set failure history window in milli\-seconds <15\-1000000>
                                    	**type**\:  int
                                    
                                    	**range:** 15..1000000
                                    
                                    .. attribute:: minutes
                                    
                                    	Set failure history window in minutes
                                    	**type**\:  int
                                    
                                    	**range:** 1..1000000
                                    
                                    .. attribute:: runs
                                    
                                    	Set failure history window in test\-run count
                                    	**type**\:  int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: seconds
                                    
                                    	Set failure history window in seconds
                                    	**type**\:  int
                                    
                                    	**range:** 1..1000000
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.range = None
                                        self.days = None
                                        self.hours = None
                                        self.milli_seconds = None
                                        self.minutes = None
                                        self.runs = None
                                        self.seconds = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.range is None:
                                            raise YPYModelError('Key property range is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:count[Cisco-IOS-XE-diagnostics:range = ' + str(self.range) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.range is not None:
                                            return True

                                        if self.days is not None:
                                            return True

                                        if self.hours is not None:
                                            return True

                                        if self.milli_seconds is not None:
                                            return True

                                        if self.minutes is not None:
                                            return True

                                        if self.runs is not None:
                                            return True

                                        if self.seconds is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure.Count']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:failure'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.count is not None:
                                        for child_ref in self.count:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.id is None:
                                    raise YPYModelError('Key property id is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:test-ids[Cisco-IOS-XE-diagnostics:id = ' + str(self.id) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.id is not None:
                                    return True

                                if self.failure is not None and self.failure._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds']['meta_info']


                        class All(object):
                            """
                            Select all test ID 
                            
                            .. attribute:: failure
                            
                            	Setting failure threshold
                            	**type**\:   :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure>`
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.failure = Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure()
                                self.failure.parent = self


                            class Failure(object):
                                """
                                Setting failure threshold
                                
                                .. attribute:: count
                                
                                	Setting failure threshold count
                                	**type**\: list of    :py:class:`Count <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure.Count>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.count = YList()
                                    self.count.parent = self
                                    self.count.name = 'count'


                                class Count(object):
                                    """
                                    Setting failure threshold count
                                    
                                    .. attribute:: range  <key>
                                    
                                    	Number of allowable failures [1\-1000]
                                    	**type**\:  int
                                    
                                    	**range:** 1..1000
                                    
                                    .. attribute:: days
                                    
                                    	Set failure history window in days
                                    	**type**\:  int
                                    
                                    	**range:** 1..1000000
                                    
                                    .. attribute:: hours
                                    
                                    	Set failure history window in hours
                                    	**type**\:  int
                                    
                                    	**range:** 1..1000000
                                    
                                    .. attribute:: milli_seconds
                                    
                                    	Set failure history window in milli\-seconds
                                    	**type**\:  int
                                    
                                    	**range:** 15..1000000
                                    
                                    .. attribute:: minutes
                                    
                                    	Set failure history window in minutes
                                    	**type**\:  int
                                    
                                    	**range:** 1..1000000
                                    
                                    .. attribute:: runs
                                    
                                    	Set failure history window in test\-run count
                                    	**type**\:  int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: seconds
                                    
                                    	Set failure history window in seconds
                                    	**type**\:  int
                                    
                                    	**range:** 1..1000000
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.range = None
                                        self.days = None
                                        self.hours = None
                                        self.milli_seconds = None
                                        self.minutes = None
                                        self.runs = None
                                        self.seconds = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.range is None:
                                            raise YPYModelError('Key property range is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:count[Cisco-IOS-XE-diagnostics:range = ' + str(self.range) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.range is not None:
                                            return True

                                        if self.days is not None:
                                            return True

                                        if self.hours is not None:
                                            return True

                                        if self.milli_seconds is not None:
                                            return True

                                        if self.minutes is not None:
                                            return True

                                        if self.runs is not None:
                                            return True

                                        if self.seconds is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure.Count']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:failure'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.count is not None:
                                        for child_ref in self.count:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:all'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.failure is not None and self.failure._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Monitor.Threshold.Switch.Test.All']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:test'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.all is not None and self.all._has_data():
                                return True

                            if self.test_ids is not None:
                                for child_ref in self.test_ids:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Diagnostic.Monitor.Threshold.Switch.Test']['meta_info']

                    @property
                    def _common_path(self):
                        if self.number is None:
                            raise YPYModelError('Key property number is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/Cisco-IOS-XE-diagnostics:monitor/Cisco-IOS-XE-diagnostics:threshold/Cisco-IOS-XE-diagnostics:switch[Cisco-IOS-XE-diagnostics:number = ' + str(self.number) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.number is not None:
                            return True

                        if self.test is not None and self.test._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Diagnostic.Monitor.Threshold.Switch']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/Cisco-IOS-XE-diagnostics:monitor/Cisco-IOS-XE-diagnostics:threshold'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switch is not None:
                        for child_ref in self.switch:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Diagnostic.Monitor.Threshold']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/Cisco-IOS-XE-diagnostics:monitor'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.interval is not None and self.interval._has_data():
                    return True

                if self.switch is not None:
                    for child_ref in self.switch:
                        if child_ref._has_data():
                            return True

                if self.syslog is not None:
                    return True

                if self.threshold is not None and self.threshold._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Diagnostic.Monitor']['meta_info']


        class Schedule(object):
            """
            Configure diagnostic schedule for a card
            
            .. attribute:: switch
            
            	Configure diagnostic monitoring tests interval on selected switch
            	**type**\: list of    :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch>`
            
            

            """

            _prefix = 'ios-diag'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.switch = YList()
                self.switch.parent = self
                self.switch.name = 'switch'


            class Switch(object):
                """
                Configure diagnostic monitoring tests interval on selected switch
                
                .. attribute:: switch_number  <key>
                
                	switch number
                	**type**\:  int
                
                	**range:** 1..9
                
                .. attribute:: test
                
                	Diagnostic test selection Diagnostics test suite attributes\: M/C/\* \- Minimal bootup level test / Complete bootup level test / NA B/\* \- Basic ondemand test / NA P/V/\* \- Per port test / Per device test / NA D/N/\* \- Disruptive test / Non\-disruptive test / NA S/\* \- Only applicable to standby unit / NA X/\* \- Not a health monitoring test / NA F/\* \- Fixed monitoring interval test / NA E/\* \- Always enabled monitoring test / NA A/I \- Monitoring is active / Monitoring is inactive                                                     Test Interval   Thre\- ID   Test Name                          Attributes      day hh\:mm\:ss.ms shold ==== ================================== ============    ===============  ===== 1)   DiagGoldPktTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*BPN\*X\*\*I       not configured   n/a 2)   DiagThermalTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.0   5 3)   DiagFanTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.00  5 4)   DiagPhyLoopbackTest \-\-\-\-\-\-\-\-\-\-\-\-\-> \*BPD\*X\*\*I       not configured   n/a 5)   DiagScratchRegisterTest \-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.00  5 6)   DiagPoETest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*\*\*D\*X\*\*I       not configured   n/a 7)   DiagStackCableTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*\*\*D\*X\*\*I       not configured   n/a 8)   DiagMemoryTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*D\*X\*\*I       not configured   n/a 
                	**type**\:   :py:class:`Test <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test>`
                
                

                """

                _prefix = 'ios-diag'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switch_number = None
                    self.test = Native.Diagnostic.Schedule.Switch.Test()
                    self.test.parent = self


                class Test(object):
                    """
                    Diagnostic test selection
                    Diagnostics test suite attributes\:
                    M/C/\* \- Minimal bootup level test / Complete bootup level test / NA
                    B/\* \- Basic ondemand test / NA
                    P/V/\* \- Per port test / Per device test / NA
                    D/N/\* \- Disruptive test / Non\-disruptive test / NA
                    S/\* \- Only applicable to standby unit / NA
                    X/\* \- Not a health monitoring test / NA
                    F/\* \- Fixed monitoring interval test / NA
                    E/\* \- Always enabled monitoring test / NA
                    A/I \- Monitoring is active / Monitoring is inactive
                                                                        Test Interval   Thre\-
                    ID   Test Name                          Attributes      day hh\:mm\:ss.ms shold
                    ==== ================================== ============    ===============  =====
                    1)   DiagGoldPktTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*BPN\*X\*\*I       not configured   n/a
                    2)   DiagThermalTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.0   5
                    3)   DiagFanTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.00  5
                    4)   DiagPhyLoopbackTest \-\-\-\-\-\-\-\-\-\-\-\-\-> \*BPD\*X\*\*I       not configured   n/a
                    5)   DiagScratchRegisterTest \-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.00  5
                    6)   DiagPoETest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*\*\*D\*X\*\*I       not configured   n/a
                    7)   DiagStackCableTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*\*\*D\*X\*\*I       not configured   n/a
                    8)   DiagMemoryTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*D\*X\*\*I       not configured   n/a 
                    
                    .. attribute:: all
                    
                    	Select all test ID 
                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All>`
                    
                    .. attribute:: basic
                    
                    	Select the Basic ondemand test suite [Attribute = B]
                    	**type**\:   :py:class:`Basic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic>`
                    
                    .. attribute:: complete
                    
                    	Select the Complete bootup test suite [Attribute = C]
                    	**type**\:   :py:class:`Complete <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Complete>`
                    
                    .. attribute:: minimal
                    
                    	Select the Minimal bootup test suite [Attribute = M]
                    	**type**\:   :py:class:`Minimal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Minimal>`
                    
                    .. attribute:: non_disruptive
                    
                    	Select the Non\-Disruptive test suite [Attribute = N]
                    	**type**\:   :py:class:`NonDisruptive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive>`
                    
                    .. attribute:: per_port
                    
                    	Select the Per\-Port test suite [Attribute = P]
                    	**type**\:   :py:class:`PerPort <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort>`
                    
                    .. attribute:: test_ids
                    
                    	
                    	**type**\: list of    :py:class:`TestIds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds>`
                    
                    

                    """

                    _prefix = 'ios-diag'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.all = Native.Diagnostic.Schedule.Switch.Test.All()
                        self.all.parent = self
                        self.basic = Native.Diagnostic.Schedule.Switch.Test.Basic()
                        self.basic.parent = self
                        self.complete = Native.Diagnostic.Schedule.Switch.Test.Complete()
                        self.complete.parent = self
                        self.minimal = Native.Diagnostic.Schedule.Switch.Test.Minimal()
                        self.minimal.parent = self
                        self.non_disruptive = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive()
                        self.non_disruptive.parent = self
                        self.per_port = Native.Diagnostic.Schedule.Switch.Test.PerPort()
                        self.per_port.parent = self
                        self.test_ids = YList()
                        self.test_ids.parent = self
                        self.test_ids.name = 'test_ids'


                    class TestIds(object):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	Test ID list (e.g. 1,3\-6) or Test Name
                        	**type**\:  str
                        
                        .. attribute:: daily
                        
                        	 Daily Schedule 
                        	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Daily>`
                        
                        .. attribute:: on
                        
                        	 Absolute Schedule 
                        	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.On>`
                        
                        .. attribute:: port
                        
                        	Interface port selection
                        	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port>`
                        
                        .. attribute:: weekly
                        
                        	Weekly schedule
                        	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Weekly>`
                        
                        

                        """

                        _prefix = 'ios-diag'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.id = None
                            self.daily = Native.Diagnostic.Schedule.Switch.Test.TestIds.Daily()
                            self.daily.parent = self
                            self.on = Native.Diagnostic.Schedule.Switch.Test.TestIds.On()
                            self.on.parent = self
                            self.port = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port()
                            self.port.parent = self
                            self.weekly = Native.Diagnostic.Schedule.Switch.Test.TestIds.Weekly()
                            self.weekly.parent = self


                        class Daily(object):
                            """
                             Daily Schedule 
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hh_mm = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hh_mm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Daily']['meta_info']


                        class On(object):
                            """
                             Absolute Schedule 
                            
                            .. attribute:: day_of_month
                            
                            	 <1\-31>  Day of month 
                            	**type**\:  int
                            
                            	**range:** 1..31
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            .. attribute:: month
                            
                            	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                            	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                            
                            .. attribute:: year
                            
                            	Enter Year <1993\-2035>
                            	**type**\:  int
                            
                            	**range:** 1993..2035
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.day_of_month = None
                                self.hh_mm = None
                                self.month = None
                                self.year = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.day_of_month is not None:
                                    return True

                                if self.hh_mm is not None:
                                    return True

                                if self.month is not None:
                                    return True

                                if self.year is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.On']['meta_info']


                        class Weekly(object):
                            """
                            Weekly schedule
                            
                            .. attribute:: day
                            
                            	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                            	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.day = None
                                self.hh_mm = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.day is not None:
                                    return True

                                if self.hh_mm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Weekly']['meta_info']


                        class Port(object):
                            """
                            Interface port selection
                            
                            .. attribute:: all
                            
                            	Select all ports
                            	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All>`
                            
                            .. attribute:: interface_port_number
                            
                            	Interface port number
                            	**type**\: list of    :py:class:`InterfacePortNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber>`
                            
                            .. attribute:: port_number_list
                            
                            	Port number list (e.g. 2,4\-7)
                            	**type**\: list of    :py:class:`PortNumberList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList>`
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All()
                                self.all.parent = self
                                self.interface_port_number = YList()
                                self.interface_port_number.parent = self
                                self.interface_port_number.name = 'interface_port_number'
                                self.port_number_list = YList()
                                self.port_number_list.parent = self
                                self.port_number_list.name = 'port_number_list'


                            class InterfacePortNumber(object):
                                """
                                Interface port number
                                
                                .. attribute:: number  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Daily()
                                    self.daily.parent = self
                                    self.on = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.On()
                                    self.on.parent = self
                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Weekly()
                                    self.weekly.parent = self


                                class Daily(object):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Daily']['meta_info']


                                class On(object):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\:  int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\:  int
                                    
                                    	**range:** 1993..2035
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day_of_month = None
                                        self.hh_mm = None
                                        self.month = None
                                        self.year = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day_of_month is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        if self.month is not None:
                                            return True

                                        if self.year is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.On']['meta_info']


                                class Weekly(object):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Weekly']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.number is None:
                                        raise YPYModelError('Key property number is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:interface-port-number[Cisco-IOS-XE-diagnostics:number = ' + str(self.number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.daily is not None and self.daily._has_data():
                                        return True

                                    if self.on is not None and self.on._has_data():
                                        return True

                                    if self.weekly is not None and self.weekly._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber']['meta_info']


                            class PortNumberList(object):
                                """
                                Port number list (e.g. 2,4\-7)
                                
                                .. attribute:: number_list  <key>
                                
                                	Port number list (e.g. 2,4\-7)
                                	**type**\:  str
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number_list = None
                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Daily()
                                    self.daily.parent = self
                                    self.on = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.On()
                                    self.on.parent = self
                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Weekly()
                                    self.weekly.parent = self


                                class Daily(object):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Daily']['meta_info']


                                class On(object):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\:  int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\:  int
                                    
                                    	**range:** 1993..2035
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day_of_month = None
                                        self.hh_mm = None
                                        self.month = None
                                        self.year = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day_of_month is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        if self.month is not None:
                                            return True

                                        if self.year is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.On']['meta_info']


                                class Weekly(object):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Weekly']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.number_list is None:
                                        raise YPYModelError('Key property number_list is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:port-number-list[Cisco-IOS-XE-diagnostics:number-list = ' + str(self.number_list) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number_list is not None:
                                        return True

                                    if self.daily is not None and self.daily._has_data():
                                        return True

                                    if self.on is not None and self.on._has_data():
                                        return True

                                    if self.weekly is not None and self.weekly._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList']['meta_info']


                            class All(object):
                                """
                                Select all ports
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Daily()
                                    self.daily.parent = self
                                    self.on = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.On()
                                    self.on.parent = self
                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Weekly()
                                    self.weekly.parent = self


                                class Daily(object):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Daily']['meta_info']


                                class On(object):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\:  int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\:  int
                                    
                                    	**range:** 1993..2035
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day_of_month = None
                                        self.hh_mm = None
                                        self.month = None
                                        self.year = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day_of_month is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        if self.month is not None:
                                            return True

                                        if self.year is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.On']['meta_info']


                                class Weekly(object):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Weekly']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:all'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.daily is not None and self.daily._has_data():
                                        return True

                                    if self.on is not None and self.on._has_data():
                                        return True

                                    if self.weekly is not None and self.weekly._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:port'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None and self.all._has_data():
                                    return True

                                if self.interface_port_number is not None:
                                    for child_ref in self.interface_port_number:
                                        if child_ref._has_data():
                                            return True

                                if self.port_number_list is not None:
                                    for child_ref in self.port_number_list:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds.Port']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.id is None:
                                raise YPYModelError('Key property id is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:test-ids[Cisco-IOS-XE-diagnostics:id = ' + str(self.id) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.id is not None:
                                return True

                            if self.daily is not None and self.daily._has_data():
                                return True

                            if self.on is not None and self.on._has_data():
                                return True

                            if self.port is not None and self.port._has_data():
                                return True

                            if self.weekly is not None and self.weekly._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.TestIds']['meta_info']


                    class All(object):
                        """
                        Select all test ID 
                        
                        .. attribute:: daily
                        
                        	 Daily Schedule 
                        	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Daily>`
                        
                        .. attribute:: on
                        
                        	 Absolute Schedule 
                        	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.On>`
                        
                        .. attribute:: port
                        
                        	Interface port selection
                        	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port>`
                        
                        .. attribute:: weekly
                        
                        	Weekly schedule
                        	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Weekly>`
                        
                        

                        """

                        _prefix = 'ios-diag'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.daily = Native.Diagnostic.Schedule.Switch.Test.All.Daily()
                            self.daily.parent = self
                            self.on = Native.Diagnostic.Schedule.Switch.Test.All.On()
                            self.on.parent = self
                            self.port = Native.Diagnostic.Schedule.Switch.Test.All.Port()
                            self.port.parent = self
                            self.weekly = Native.Diagnostic.Schedule.Switch.Test.All.Weekly()
                            self.weekly.parent = self


                        class Daily(object):
                            """
                             Daily Schedule 
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hh_mm = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hh_mm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Daily']['meta_info']


                        class On(object):
                            """
                             Absolute Schedule 
                            
                            .. attribute:: day_of_month
                            
                            	 <1\-31>  Day of month 
                            	**type**\:  int
                            
                            	**range:** 1..31
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            .. attribute:: month
                            
                            	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                            	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                            
                            .. attribute:: year
                            
                            	Enter Year <1993\-2035>
                            	**type**\:  int
                            
                            	**range:** 1993..2035
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.day_of_month = None
                                self.hh_mm = None
                                self.month = None
                                self.year = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.day_of_month is not None:
                                    return True

                                if self.hh_mm is not None:
                                    return True

                                if self.month is not None:
                                    return True

                                if self.year is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.All.On']['meta_info']


                        class Weekly(object):
                            """
                            Weekly schedule
                            
                            .. attribute:: day
                            
                            	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                            	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.day = None
                                self.hh_mm = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.day is not None:
                                    return True

                                if self.hh_mm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Weekly']['meta_info']


                        class Port(object):
                            """
                            Interface port selection
                            
                            .. attribute:: all
                            
                            	Select all ports
                            	**type**\:   :py:class:`All_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.All_>`
                            
                            .. attribute:: interface_port_number
                            
                            	Interface port number
                            	**type**\: list of    :py:class:`InterfacePortNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber>`
                            
                            .. attribute:: port_number_list
                            
                            	Port number list (e.g. 2,4\-7)
                            	**type**\: list of    :py:class:`PortNumberList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList>`
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = Native.Diagnostic.Schedule.Switch.Test.All.Port.All_()
                                self.all.parent = self
                                self.interface_port_number = YList()
                                self.interface_port_number.parent = self
                                self.interface_port_number.name = 'interface_port_number'
                                self.port_number_list = YList()
                                self.port_number_list.parent = self
                                self.port_number_list.name = 'port_number_list'


                            class InterfacePortNumber(object):
                                """
                                Interface port number
                                
                                .. attribute:: number  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Daily()
                                    self.daily.parent = self
                                    self.on = Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.On()
                                    self.on.parent = self
                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Weekly()
                                    self.weekly.parent = self


                                class Daily(object):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Daily']['meta_info']


                                class On(object):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\:  int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\:  int
                                    
                                    	**range:** 1993..2035
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day_of_month = None
                                        self.hh_mm = None
                                        self.month = None
                                        self.year = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day_of_month is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        if self.month is not None:
                                            return True

                                        if self.year is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.On']['meta_info']


                                class Weekly(object):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Weekly']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.number is None:
                                        raise YPYModelError('Key property number is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:interface-port-number[Cisco-IOS-XE-diagnostics:number = ' + str(self.number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.daily is not None and self.daily._has_data():
                                        return True

                                    if self.on is not None and self.on._has_data():
                                        return True

                                    if self.weekly is not None and self.weekly._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber']['meta_info']


                            class PortNumberList(object):
                                """
                                Port number list (e.g. 2,4\-7)
                                
                                .. attribute:: number_list  <key>
                                
                                	Port number list (e.g. 2,4\-7)
                                	**type**\:  str
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number_list = None
                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Daily()
                                    self.daily.parent = self
                                    self.on = Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.On()
                                    self.on.parent = self
                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Weekly()
                                    self.weekly.parent = self


                                class Daily(object):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Daily']['meta_info']


                                class On(object):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\:  int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\:  int
                                    
                                    	**range:** 1993..2035
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day_of_month = None
                                        self.hh_mm = None
                                        self.month = None
                                        self.year = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day_of_month is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        if self.month is not None:
                                            return True

                                        if self.year is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.On']['meta_info']


                                class Weekly(object):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Weekly']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.number_list is None:
                                        raise YPYModelError('Key property number_list is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:port-number-list[Cisco-IOS-XE-diagnostics:number-list = ' + str(self.number_list) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number_list is not None:
                                        return True

                                    if self.daily is not None and self.daily._has_data():
                                        return True

                                    if self.on is not None and self.on._has_data():
                                        return True

                                    if self.weekly is not None and self.weekly._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList']['meta_info']


                            class All_(object):
                                """
                                Select all ports
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.All_.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.All_.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.All_.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.All.Port.All_.Daily()
                                    self.daily.parent = self
                                    self.on = Native.Diagnostic.Schedule.Switch.Test.All.Port.All_.On()
                                    self.on.parent = self
                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.All.Port.All_.Weekly()
                                    self.weekly.parent = self


                                class Daily(object):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.All_.Daily']['meta_info']


                                class On(object):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\:  int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\:  int
                                    
                                    	**range:** 1993..2035
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day_of_month = None
                                        self.hh_mm = None
                                        self.month = None
                                        self.year = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day_of_month is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        if self.month is not None:
                                            return True

                                        if self.year is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.All_.On']['meta_info']


                                class Weekly(object):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.All_.Weekly']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:all'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.daily is not None and self.daily._has_data():
                                        return True

                                    if self.on is not None and self.on._has_data():
                                        return True

                                    if self.weekly is not None and self.weekly._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port.All_']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:port'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None and self.all._has_data():
                                    return True

                                if self.interface_port_number is not None:
                                    for child_ref in self.interface_port_number:
                                        if child_ref._has_data():
                                            return True

                                if self.port_number_list is not None:
                                    for child_ref in self.port_number_list:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.All.Port']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:all'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.daily is not None and self.daily._has_data():
                                return True

                            if self.on is not None and self.on._has_data():
                                return True

                            if self.port is not None and self.port._has_data():
                                return True

                            if self.weekly is not None and self.weekly._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.All']['meta_info']


                    class Basic(object):
                        """
                        Select the Basic ondemand test suite [Attribute = B]
                        
                        .. attribute:: daily
                        
                        	 Daily Schedule 
                        	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Daily>`
                        
                        .. attribute:: on
                        
                        	 Absolute Schedule 
                        	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.On>`
                        
                        .. attribute:: port
                        
                        	Interface port selection
                        	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port>`
                        
                        .. attribute:: weekly
                        
                        	Weekly schedule
                        	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Weekly>`
                        
                        

                        """

                        _prefix = 'ios-diag'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.daily = Native.Diagnostic.Schedule.Switch.Test.Basic.Daily()
                            self.daily.parent = self
                            self.on = Native.Diagnostic.Schedule.Switch.Test.Basic.On()
                            self.on.parent = self
                            self.port = Native.Diagnostic.Schedule.Switch.Test.Basic.Port()
                            self.port.parent = self
                            self.weekly = Native.Diagnostic.Schedule.Switch.Test.Basic.Weekly()
                            self.weekly.parent = self


                        class Daily(object):
                            """
                             Daily Schedule 
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hh_mm = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hh_mm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Daily']['meta_info']


                        class On(object):
                            """
                             Absolute Schedule 
                            
                            .. attribute:: day_of_month
                            
                            	 <1\-31>  Day of month 
                            	**type**\:  int
                            
                            	**range:** 1..31
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            .. attribute:: month
                            
                            	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                            	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                            
                            .. attribute:: year
                            
                            	Enter Year <1993\-2035>
                            	**type**\:  int
                            
                            	**range:** 1993..2035
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.day_of_month = None
                                self.hh_mm = None
                                self.month = None
                                self.year = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.day_of_month is not None:
                                    return True

                                if self.hh_mm is not None:
                                    return True

                                if self.month is not None:
                                    return True

                                if self.year is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.On']['meta_info']


                        class Weekly(object):
                            """
                            Weekly schedule
                            
                            .. attribute:: day
                            
                            	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                            	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.day = None
                                self.hh_mm = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.day is not None:
                                    return True

                                if self.hh_mm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Weekly']['meta_info']


                        class Port(object):
                            """
                            Interface port selection
                            
                            .. attribute:: all
                            
                            	Select all ports
                            	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All>`
                            
                            .. attribute:: interface_port_number
                            
                            	Interface port number
                            	**type**\: list of    :py:class:`InterfacePortNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber>`
                            
                            .. attribute:: port_number_list
                            
                            	Port number list (e.g. 2,4\-7)
                            	**type**\: list of    :py:class:`PortNumberList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList>`
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All()
                                self.all.parent = self
                                self.interface_port_number = YList()
                                self.interface_port_number.parent = self
                                self.interface_port_number.name = 'interface_port_number'
                                self.port_number_list = YList()
                                self.port_number_list.parent = self
                                self.port_number_list.name = 'port_number_list'


                            class InterfacePortNumber(object):
                                """
                                Interface port number
                                
                                .. attribute:: number  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Daily()
                                    self.daily.parent = self
                                    self.on = Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.On()
                                    self.on.parent = self
                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Weekly()
                                    self.weekly.parent = self


                                class Daily(object):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Daily']['meta_info']


                                class On(object):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\:  int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\:  int
                                    
                                    	**range:** 1993..2035
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day_of_month = None
                                        self.hh_mm = None
                                        self.month = None
                                        self.year = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day_of_month is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        if self.month is not None:
                                            return True

                                        if self.year is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.On']['meta_info']


                                class Weekly(object):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Weekly']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.number is None:
                                        raise YPYModelError('Key property number is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:interface-port-number[Cisco-IOS-XE-diagnostics:number = ' + str(self.number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.daily is not None and self.daily._has_data():
                                        return True

                                    if self.on is not None and self.on._has_data():
                                        return True

                                    if self.weekly is not None and self.weekly._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber']['meta_info']


                            class PortNumberList(object):
                                """
                                Port number list (e.g. 2,4\-7)
                                
                                .. attribute:: number_list  <key>
                                
                                	Port number list (e.g. 2,4\-7)
                                	**type**\:  str
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number_list = None
                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Daily()
                                    self.daily.parent = self
                                    self.on = Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.On()
                                    self.on.parent = self
                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Weekly()
                                    self.weekly.parent = self


                                class Daily(object):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Daily']['meta_info']


                                class On(object):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\:  int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\:  int
                                    
                                    	**range:** 1993..2035
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day_of_month = None
                                        self.hh_mm = None
                                        self.month = None
                                        self.year = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day_of_month is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        if self.month is not None:
                                            return True

                                        if self.year is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.On']['meta_info']


                                class Weekly(object):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Weekly']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.number_list is None:
                                        raise YPYModelError('Key property number_list is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:port-number-list[Cisco-IOS-XE-diagnostics:number-list = ' + str(self.number_list) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number_list is not None:
                                        return True

                                    if self.daily is not None and self.daily._has_data():
                                        return True

                                    if self.on is not None and self.on._has_data():
                                        return True

                                    if self.weekly is not None and self.weekly._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList']['meta_info']


                            class All(object):
                                """
                                Select all ports
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Daily()
                                    self.daily.parent = self
                                    self.on = Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.On()
                                    self.on.parent = self
                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Weekly()
                                    self.weekly.parent = self


                                class Daily(object):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Daily']['meta_info']


                                class On(object):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\:  int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\:  int
                                    
                                    	**range:** 1993..2035
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day_of_month = None
                                        self.hh_mm = None
                                        self.month = None
                                        self.year = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day_of_month is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        if self.month is not None:
                                            return True

                                        if self.year is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.On']['meta_info']


                                class Weekly(object):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Weekly']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:all'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.daily is not None and self.daily._has_data():
                                        return True

                                    if self.on is not None and self.on._has_data():
                                        return True

                                    if self.weekly is not None and self.weekly._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:port'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None and self.all._has_data():
                                    return True

                                if self.interface_port_number is not None:
                                    for child_ref in self.interface_port_number:
                                        if child_ref._has_data():
                                            return True

                                if self.port_number_list is not None:
                                    for child_ref in self.port_number_list:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic.Port']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:basic'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.daily is not None and self.daily._has_data():
                                return True

                            if self.on is not None and self.on._has_data():
                                return True

                            if self.port is not None and self.port._has_data():
                                return True

                            if self.weekly is not None and self.weekly._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Basic']['meta_info']


                    class Complete(object):
                        """
                        Select the Complete bootup test suite [Attribute = C]
                        
                        .. attribute:: daily
                        
                        	 Daily Schedule 
                        	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Complete.Daily>`
                        
                        .. attribute:: on
                        
                        	 Absolute Schedule 
                        	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Complete.On>`
                        
                        .. attribute:: weekly
                        
                        	Weekly schedule
                        	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Complete.Weekly>`
                        
                        

                        """

                        _prefix = 'ios-diag'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.daily = Native.Diagnostic.Schedule.Switch.Test.Complete.Daily()
                            self.daily.parent = self
                            self.on = Native.Diagnostic.Schedule.Switch.Test.Complete.On()
                            self.on.parent = self
                            self.weekly = Native.Diagnostic.Schedule.Switch.Test.Complete.Weekly()
                            self.weekly.parent = self


                        class Daily(object):
                            """
                             Daily Schedule 
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hh_mm = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hh_mm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Complete.Daily']['meta_info']


                        class On(object):
                            """
                             Absolute Schedule 
                            
                            .. attribute:: day_of_month
                            
                            	 <1\-31>  Day of month 
                            	**type**\:  int
                            
                            	**range:** 1..31
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            .. attribute:: month
                            
                            	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                            	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                            
                            .. attribute:: year
                            
                            	Enter Year <1993\-2035>
                            	**type**\:  int
                            
                            	**range:** 1993..2035
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.day_of_month = None
                                self.hh_mm = None
                                self.month = None
                                self.year = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.day_of_month is not None:
                                    return True

                                if self.hh_mm is not None:
                                    return True

                                if self.month is not None:
                                    return True

                                if self.year is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Complete.On']['meta_info']


                        class Weekly(object):
                            """
                            Weekly schedule
                            
                            .. attribute:: day
                            
                            	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                            	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.day = None
                                self.hh_mm = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.day is not None:
                                    return True

                                if self.hh_mm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Complete.Weekly']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:complete'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.daily is not None and self.daily._has_data():
                                return True

                            if self.on is not None and self.on._has_data():
                                return True

                            if self.weekly is not None and self.weekly._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Complete']['meta_info']


                    class Minimal(object):
                        """
                        Select the Minimal bootup test suite [Attribute = M]
                        
                        .. attribute:: daily
                        
                        	 Daily Schedule 
                        	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Minimal.Daily>`
                        
                        .. attribute:: on
                        
                        	 Absolute Schedule 
                        	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Minimal.On>`
                        
                        .. attribute:: weekly
                        
                        	Weekly schedule
                        	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Minimal.Weekly>`
                        
                        

                        """

                        _prefix = 'ios-diag'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.daily = Native.Diagnostic.Schedule.Switch.Test.Minimal.Daily()
                            self.daily.parent = self
                            self.on = Native.Diagnostic.Schedule.Switch.Test.Minimal.On()
                            self.on.parent = self
                            self.weekly = Native.Diagnostic.Schedule.Switch.Test.Minimal.Weekly()
                            self.weekly.parent = self


                        class Daily(object):
                            """
                             Daily Schedule 
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hh_mm = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hh_mm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Minimal.Daily']['meta_info']


                        class On(object):
                            """
                             Absolute Schedule 
                            
                            .. attribute:: day_of_month
                            
                            	 <1\-31>  Day of month 
                            	**type**\:  int
                            
                            	**range:** 1..31
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            .. attribute:: month
                            
                            	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                            	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                            
                            .. attribute:: year
                            
                            	Enter Year <1993\-2035>
                            	**type**\:  int
                            
                            	**range:** 1993..2035
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.day_of_month = None
                                self.hh_mm = None
                                self.month = None
                                self.year = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.day_of_month is not None:
                                    return True

                                if self.hh_mm is not None:
                                    return True

                                if self.month is not None:
                                    return True

                                if self.year is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Minimal.On']['meta_info']


                        class Weekly(object):
                            """
                            Weekly schedule
                            
                            .. attribute:: day
                            
                            	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                            	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.day = None
                                self.hh_mm = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.day is not None:
                                    return True

                                if self.hh_mm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Minimal.Weekly']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:minimal'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.daily is not None and self.daily._has_data():
                                return True

                            if self.on is not None and self.on._has_data():
                                return True

                            if self.weekly is not None and self.weekly._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.Minimal']['meta_info']


                    class NonDisruptive(object):
                        """
                        Select the Non\-Disruptive test suite [Attribute = N]
                        
                        .. attribute:: daily
                        
                        	 Daily Schedule 
                        	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Daily>`
                        
                        .. attribute:: on
                        
                        	 Absolute Schedule 
                        	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.On>`
                        
                        .. attribute:: port
                        
                        	Interface port selection
                        	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port>`
                        
                        .. attribute:: weekly
                        
                        	Weekly schedule
                        	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Weekly>`
                        
                        

                        """

                        _prefix = 'ios-diag'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.daily = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Daily()
                            self.daily.parent = self
                            self.on = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.On()
                            self.on.parent = self
                            self.port = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port()
                            self.port.parent = self
                            self.weekly = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Weekly()
                            self.weekly.parent = self


                        class Daily(object):
                            """
                             Daily Schedule 
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hh_mm = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hh_mm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Daily']['meta_info']


                        class On(object):
                            """
                             Absolute Schedule 
                            
                            .. attribute:: day_of_month
                            
                            	 <1\-31>  Day of month 
                            	**type**\:  int
                            
                            	**range:** 1..31
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            .. attribute:: month
                            
                            	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                            	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                            
                            .. attribute:: year
                            
                            	Enter Year <1993\-2035>
                            	**type**\:  int
                            
                            	**range:** 1993..2035
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.day_of_month = None
                                self.hh_mm = None
                                self.month = None
                                self.year = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.day_of_month is not None:
                                    return True

                                if self.hh_mm is not None:
                                    return True

                                if self.month is not None:
                                    return True

                                if self.year is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.On']['meta_info']


                        class Weekly(object):
                            """
                            Weekly schedule
                            
                            .. attribute:: day
                            
                            	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                            	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.day = None
                                self.hh_mm = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.day is not None:
                                    return True

                                if self.hh_mm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Weekly']['meta_info']


                        class Port(object):
                            """
                            Interface port selection
                            
                            .. attribute:: all
                            
                            	Select all ports
                            	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All>`
                            
                            .. attribute:: interface_port_number
                            
                            	Interface port number
                            	**type**\: list of    :py:class:`InterfacePortNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber>`
                            
                            .. attribute:: port_number_list
                            
                            	Port number list (e.g. 2,4\-7)
                            	**type**\: list of    :py:class:`PortNumberList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList>`
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All()
                                self.all.parent = self
                                self.interface_port_number = YList()
                                self.interface_port_number.parent = self
                                self.interface_port_number.name = 'interface_port_number'
                                self.port_number_list = YList()
                                self.port_number_list.parent = self
                                self.port_number_list.name = 'port_number_list'


                            class InterfacePortNumber(object):
                                """
                                Interface port number
                                
                                .. attribute:: number  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Daily()
                                    self.daily.parent = self
                                    self.on = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.On()
                                    self.on.parent = self
                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Weekly()
                                    self.weekly.parent = self


                                class Daily(object):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Daily']['meta_info']


                                class On(object):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\:  int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\:  int
                                    
                                    	**range:** 1993..2035
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day_of_month = None
                                        self.hh_mm = None
                                        self.month = None
                                        self.year = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day_of_month is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        if self.month is not None:
                                            return True

                                        if self.year is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.On']['meta_info']


                                class Weekly(object):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Weekly']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.number is None:
                                        raise YPYModelError('Key property number is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:interface-port-number[Cisco-IOS-XE-diagnostics:number = ' + str(self.number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.daily is not None and self.daily._has_data():
                                        return True

                                    if self.on is not None and self.on._has_data():
                                        return True

                                    if self.weekly is not None and self.weekly._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber']['meta_info']


                            class PortNumberList(object):
                                """
                                Port number list (e.g. 2,4\-7)
                                
                                .. attribute:: number_list  <key>
                                
                                	Port number list (e.g. 2,4\-7)
                                	**type**\:  str
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number_list = None
                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Daily()
                                    self.daily.parent = self
                                    self.on = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.On()
                                    self.on.parent = self
                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Weekly()
                                    self.weekly.parent = self


                                class Daily(object):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Daily']['meta_info']


                                class On(object):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\:  int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\:  int
                                    
                                    	**range:** 1993..2035
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day_of_month = None
                                        self.hh_mm = None
                                        self.month = None
                                        self.year = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day_of_month is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        if self.month is not None:
                                            return True

                                        if self.year is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.On']['meta_info']


                                class Weekly(object):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Weekly']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.number_list is None:
                                        raise YPYModelError('Key property number_list is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:port-number-list[Cisco-IOS-XE-diagnostics:number-list = ' + str(self.number_list) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number_list is not None:
                                        return True

                                    if self.daily is not None and self.daily._has_data():
                                        return True

                                    if self.on is not None and self.on._has_data():
                                        return True

                                    if self.weekly is not None and self.weekly._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList']['meta_info']


                            class All(object):
                                """
                                Select all ports
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Daily()
                                    self.daily.parent = self
                                    self.on = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.On()
                                    self.on.parent = self
                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Weekly()
                                    self.weekly.parent = self


                                class Daily(object):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Daily']['meta_info']


                                class On(object):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\:  int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\:  int
                                    
                                    	**range:** 1993..2035
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day_of_month = None
                                        self.hh_mm = None
                                        self.month = None
                                        self.year = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day_of_month is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        if self.month is not None:
                                            return True

                                        if self.year is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.On']['meta_info']


                                class Weekly(object):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Weekly']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:all'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.daily is not None and self.daily._has_data():
                                        return True

                                    if self.on is not None and self.on._has_data():
                                        return True

                                    if self.weekly is not None and self.weekly._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:port'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None and self.all._has_data():
                                    return True

                                if self.interface_port_number is not None:
                                    for child_ref in self.interface_port_number:
                                        if child_ref._has_data():
                                            return True

                                if self.port_number_list is not None:
                                    for child_ref in self.port_number_list:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:non-disruptive'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.daily is not None and self.daily._has_data():
                                return True

                            if self.on is not None and self.on._has_data():
                                return True

                            if self.port is not None and self.port._has_data():
                                return True

                            if self.weekly is not None and self.weekly._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.NonDisruptive']['meta_info']


                    class PerPort(object):
                        """
                        Select the Per\-Port test suite [Attribute = P]
                        
                        .. attribute:: daily
                        
                        	 Daily Schedule 
                        	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Daily>`
                        
                        .. attribute:: on
                        
                        	 Absolute Schedule 
                        	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.On>`
                        
                        .. attribute:: port
                        
                        	Interface port selection
                        	**type**\:   :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port>`
                        
                        .. attribute:: weekly
                        
                        	Weekly schedule
                        	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Weekly>`
                        
                        

                        """

                        _prefix = 'ios-diag'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.daily = Native.Diagnostic.Schedule.Switch.Test.PerPort.Daily()
                            self.daily.parent = self
                            self.on = Native.Diagnostic.Schedule.Switch.Test.PerPort.On()
                            self.on.parent = self
                            self.port = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port()
                            self.port.parent = self
                            self.weekly = Native.Diagnostic.Schedule.Switch.Test.PerPort.Weekly()
                            self.weekly.parent = self


                        class Daily(object):
                            """
                             Daily Schedule 
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.hh_mm = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.hh_mm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Daily']['meta_info']


                        class On(object):
                            """
                             Absolute Schedule 
                            
                            .. attribute:: day_of_month
                            
                            	 <1\-31>  Day of month 
                            	**type**\:  int
                            
                            	**range:** 1..31
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            .. attribute:: month
                            
                            	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                            	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                            
                            .. attribute:: year
                            
                            	Enter Year <1993\-2035>
                            	**type**\:  int
                            
                            	**range:** 1993..2035
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.day_of_month = None
                                self.hh_mm = None
                                self.month = None
                                self.year = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.day_of_month is not None:
                                    return True

                                if self.hh_mm is not None:
                                    return True

                                if self.month is not None:
                                    return True

                                if self.year is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.On']['meta_info']


                        class Weekly(object):
                            """
                            Weekly schedule
                            
                            .. attribute:: day
                            
                            	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                            	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\:  str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.day = None
                                self.hh_mm = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.day is not None:
                                    return True

                                if self.hh_mm is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Weekly']['meta_info']


                        class Port(object):
                            """
                            Interface port selection
                            
                            .. attribute:: all
                            
                            	Select all ports
                            	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All>`
                            
                            .. attribute:: interface_port_number
                            
                            	Interface port number
                            	**type**\: list of    :py:class:`InterfacePortNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber>`
                            
                            .. attribute:: port_number_list
                            
                            	Port number list (e.g. 2,4\-7)
                            	**type**\: list of    :py:class:`PortNumberList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList>`
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.all = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All()
                                self.all.parent = self
                                self.interface_port_number = YList()
                                self.interface_port_number.parent = self
                                self.interface_port_number.name = 'interface_port_number'
                                self.port_number_list = YList()
                                self.port_number_list.parent = self
                                self.port_number_list.name = 'port_number_list'


                            class InterfacePortNumber(object):
                                """
                                Interface port number
                                
                                .. attribute:: number  <key>
                                
                                	
                                	**type**\:  int
                                
                                	**range:** 1..32
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number = None
                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Daily()
                                    self.daily.parent = self
                                    self.on = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.On()
                                    self.on.parent = self
                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Weekly()
                                    self.weekly.parent = self


                                class Daily(object):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Daily']['meta_info']


                                class On(object):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\:  int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\:  int
                                    
                                    	**range:** 1993..2035
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day_of_month = None
                                        self.hh_mm = None
                                        self.month = None
                                        self.year = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day_of_month is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        if self.month is not None:
                                            return True

                                        if self.year is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.On']['meta_info']


                                class Weekly(object):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Weekly']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.number is None:
                                        raise YPYModelError('Key property number is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:interface-port-number[Cisco-IOS-XE-diagnostics:number = ' + str(self.number) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number is not None:
                                        return True

                                    if self.daily is not None and self.daily._has_data():
                                        return True

                                    if self.on is not None and self.on._has_data():
                                        return True

                                    if self.weekly is not None and self.weekly._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber']['meta_info']


                            class PortNumberList(object):
                                """
                                Port number list (e.g. 2,4\-7)
                                
                                .. attribute:: number_list  <key>
                                
                                	Port number list (e.g. 2,4\-7)
                                	**type**\:  str
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.number_list = None
                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Daily()
                                    self.daily.parent = self
                                    self.on = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.On()
                                    self.on.parent = self
                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Weekly()
                                    self.weekly.parent = self


                                class Daily(object):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Daily']['meta_info']


                                class On(object):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\:  int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\:  int
                                    
                                    	**range:** 1993..2035
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day_of_month = None
                                        self.hh_mm = None
                                        self.month = None
                                        self.year = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day_of_month is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        if self.month is not None:
                                            return True

                                        if self.year is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.On']['meta_info']


                                class Weekly(object):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Weekly']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.number_list is None:
                                        raise YPYModelError('Key property number_list is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:port-number-list[Cisco-IOS-XE-diagnostics:number-list = ' + str(self.number_list) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.number_list is not None:
                                        return True

                                    if self.daily is not None and self.daily._has_data():
                                        return True

                                    if self.on is not None and self.on._has_data():
                                        return True

                                    if self.weekly is not None and self.weekly._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList']['meta_info']


                            class All(object):
                                """
                                Select all ports
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:   :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Daily()
                                    self.daily.parent = self
                                    self.on = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.On()
                                    self.on.parent = self
                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Weekly()
                                    self.weekly.parent = self


                                class Daily(object):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:daily'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Daily']['meta_info']


                                class On(object):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\:  int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:   :py:class:`MonthTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthTypeEnum>`
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\:  int
                                    
                                    	**range:** 1993..2035
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day_of_month = None
                                        self.hh_mm = None
                                        self.month = None
                                        self.year = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:on'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day_of_month is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        if self.month is not None:
                                            return True

                                        if self.year is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.On']['meta_info']


                                class Weekly(object):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:   :py:class:`WeekdayTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayTypeEnum>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\:  str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.day = None
                                        self.hh_mm = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:weekly'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.day is not None:
                                            return True

                                        if self.hh_mm is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Weekly']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:all'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.daily is not None and self.daily._has_data():
                                        return True

                                    if self.on is not None and self.on._has_data():
                                        return True

                                    if self.weekly is not None and self.weekly._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:port'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.all is not None and self.all._has_data():
                                    return True

                                if self.interface_port_number is not None:
                                    for child_ref in self.interface_port_number:
                                        if child_ref._has_data():
                                            return True

                                if self.port_number_list is not None:
                                    for child_ref in self.port_number_list:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort.Port']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:per-port'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.daily is not None and self.daily._has_data():
                                return True

                            if self.on is not None and self.on._has_data():
                                return True

                            if self.port is not None and self.port._has_data():
                                return True

                            if self.weekly is not None and self.weekly._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test.PerPort']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-diagnostics:test'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.all is not None and self.all._has_data():
                            return True

                        if self.basic is not None and self.basic._has_data():
                            return True

                        if self.complete is not None and self.complete._has_data():
                            return True

                        if self.minimal is not None and self.minimal._has_data():
                            return True

                        if self.non_disruptive is not None and self.non_disruptive._has_data():
                            return True

                        if self.per_port is not None and self.per_port._has_data():
                            return True

                        if self.test_ids is not None:
                            for child_ref in self.test_ids:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Diagnostic.Schedule.Switch.Test']['meta_info']

                @property
                def _common_path(self):
                    if self.switch_number is None:
                        raise YPYModelError('Key property switch_number is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/Cisco-IOS-XE-diagnostics:schedule/Cisco-IOS-XE-diagnostics:switch[Cisco-IOS-XE-diagnostics:switch-number = ' + str(self.switch_number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switch_number is not None:
                        return True

                    if self.test is not None and self.test._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Diagnostic.Schedule.Switch']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/Cisco-IOS-XE-diagnostics:schedule'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.switch is not None:
                    for child_ref in self.switch:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Diagnostic.Schedule']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.bootup is not None and self.bootup._has_data():
                return True

            if self.event_log is not None and self.event_log._has_data():
                return True

            if self.monitor is not None and self.monitor._has_data():
                return True

            if self.schedule is not None and self.schedule._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Diagnostic']['meta_info']


    class Lldp(object):
        """
        Enables LLDP globally.
        
        .. attribute:: run
        
        	Enable LLDP
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios-lldp'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.run = None

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-lldp:lldp'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.run is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Lldp']['meta_info']


    class PmAgent(object):
        """
        pm\-agent Configuration Commands
        
        .. attribute:: config_pm_agent
        
        	
        	**type**\:   :py:class:`ConfigPmAgent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent>`
        
        .. attribute:: _is_presence
        
        	Is present if this instance represents presence container else not
        	**type**\: bool
        
        

        This class is a :ref:`presence class<presence-class>`

        """

        _prefix = 'ios-pathmgr'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self._is_presence = True
            self.config_pm_agent = Native.PmAgent.ConfigPmAgent()
            self.config_pm_agent.parent = self


        class ConfigPmAgent(object):
            """
            
            
            .. attribute:: device
            
            	Enter the device ID
            	**type**\:   :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Device>`
            
            .. attribute:: instance_id
            
            	Enter the instance ID
            	**type**\: list of    :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.InstanceId>`
            
            .. attribute:: pmcs
            
            	Enter the pmcs configuration
            	**type**\:   :py:class:`Pmcs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Pmcs>`
            
            .. attribute:: region
            
            	Enter the region ID
            	**type**\:   :py:class:`Region <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Region>`
            
            .. attribute:: shutdown
            
            	shut the device
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: site
            
            	Enter the site configuration
            	**type**\:   :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Site>`
            
            .. attribute:: tenant
            
            	enter the tenant configuration
            	**type**\:   :py:class:`Tenant <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Tenant>`
            
            

            """

            _prefix = 'ios-pathmgr'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.device = Native.PmAgent.ConfigPmAgent.Device()
                self.device.parent = self
                self.instance_id = YList()
                self.instance_id.parent = self
                self.instance_id.name = 'instance_id'
                self.pmcs = Native.PmAgent.ConfigPmAgent.Pmcs()
                self.pmcs.parent = self
                self.region = Native.PmAgent.ConfigPmAgent.Region()
                self.region.parent = self
                self.shutdown = None
                self.site = Native.PmAgent.ConfigPmAgent.Site()
                self.site.parent = self
                self.tenant = Native.PmAgent.ConfigPmAgent.Tenant()
                self.tenant.parent = self


            class Device(object):
                """
                Enter the device ID
                
                .. attribute:: id
                
                	Specify the device ID
                	**type**\:   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Device.Id>`
                
                .. attribute:: type
                
                	Enter the device type
                	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Device.Type>`
                
                

                """

                _prefix = 'ios-pathmgr'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = Native.PmAgent.ConfigPmAgent.Device.Id()
                    self.id.parent = self
                    self.type = Native.PmAgent.ConfigPmAgent.Device.Type()
                    self.type.parent = self


                class Id(object):
                    """
                    Specify the device ID
                    
                    .. attribute:: device_range
                    
                    	
                    	**type**\: list of    :py:class:`Device_Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Device.Id.Device_Range>`
                    
                    

                    """

                    _prefix = 'ios-pathmgr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.device_range = YList()
                        self.device_range.parent = self
                        self.device_range.name = 'device_range'


                    class Device_Range(object):
                        """
                        
                        
                        .. attribute:: device_id_range  <key>
                        
                        	Specify the device\-id value
                        	**type**\:  int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: name
                        
                        	Specify the device name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-pathmgr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.device_id_range = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.device_id_range is None:
                                raise YPYModelError('Key property device_id_range is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:device/Cisco-IOS-XE-pathmgr:id/Cisco-IOS-XE-pathmgr:device_range[Cisco-IOS-XE-pathmgr:device_id_range = ' + str(self.device_id_range) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.device_id_range is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.PmAgent.ConfigPmAgent.Device.Id.Device_Range']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:device/Cisco-IOS-XE-pathmgr:id'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.device_range is not None:
                            for child_ref in self.device_range:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.PmAgent.ConfigPmAgent.Device.Id']['meta_info']


                class Type(object):
                    """
                    Enter the device type
                    
                    .. attribute:: ntr
                    
                    	ntr device type
                    	**type**\:   :py:class:`Ntr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Device.Type.Ntr>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: pxtr
                    
                    	pxtr device type
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rtr
                    
                    	rtr device type
                    	**type**\:   :py:class:`Rtr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Device.Type.Rtr>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: xtr
                    
                    	xtr device type
                    	**type**\:   :py:class:`Xtr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Device.Type.Xtr>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-pathmgr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ntr = None
                        self.pxtr = None
                        self.rtr = None
                        self.xtr = None


                    class Ntr(object):
                        """
                        ntr device type
                        
                        .. attribute:: rtr
                        
                        	rtr device type
                        	**type**\:   :py:class:`Rtr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Device.Type.Ntr.Rtr>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: xtr
                        
                        	xtr device type
                        	**type**\:   :py:class:`Xtr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Device.Type.Ntr.Xtr>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-pathmgr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.rtr = None
                            self.xtr = None


                        class Rtr(object):
                            """
                            rtr device type
                            
                            .. attribute:: xtr
                            
                            	xtr device type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-pathmgr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.xtr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:device/Cisco-IOS-XE-pathmgr:type/Cisco-IOS-XE-pathmgr:ntr/Cisco-IOS-XE-pathmgr:rtr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.xtr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.PmAgent.ConfigPmAgent.Device.Type.Ntr.Rtr']['meta_info']


                        class Xtr(object):
                            """
                            xtr device type
                            
                            .. attribute:: rtr
                            
                            	rtr device type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-pathmgr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.rtr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:device/Cisco-IOS-XE-pathmgr:type/Cisco-IOS-XE-pathmgr:ntr/Cisco-IOS-XE-pathmgr:xtr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.rtr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.PmAgent.ConfigPmAgent.Device.Type.Ntr.Xtr']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:device/Cisco-IOS-XE-pathmgr:type/Cisco-IOS-XE-pathmgr:ntr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.rtr is not None and self.rtr._has_data():
                                return True

                            if self.xtr is not None and self.xtr._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.PmAgent.ConfigPmAgent.Device.Type.Ntr']['meta_info']


                    class Rtr(object):
                        """
                        rtr device type
                        
                        .. attribute:: ntr
                        
                        	ntr device type
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: xtr
                        
                        	xtr device type
                        	**type**\:   :py:class:`Xtr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Device.Type.Rtr.Xtr>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-pathmgr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ntr = None
                            self.xtr = None


                        class Xtr(object):
                            """
                            xtr device type
                            
                            .. attribute:: ntr
                            
                            	ntr device type
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-pathmgr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.ntr = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:device/Cisco-IOS-XE-pathmgr:type/Cisco-IOS-XE-pathmgr:rtr/Cisco-IOS-XE-pathmgr:xtr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.ntr is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.PmAgent.ConfigPmAgent.Device.Type.Rtr.Xtr']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:device/Cisco-IOS-XE-pathmgr:type/Cisco-IOS-XE-pathmgr:rtr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ntr is not None:
                                return True

                            if self.xtr is not None and self.xtr._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.PmAgent.ConfigPmAgent.Device.Type.Rtr']['meta_info']


                    class Xtr(object):
                        """
                        xtr device type
                        
                        .. attribute:: ntr
                        
                        	ntr device type
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rtr
                        
                        	rtr device type
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-pathmgr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.ntr = None
                            self.rtr = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:device/Cisco-IOS-XE-pathmgr:type/Cisco-IOS-XE-pathmgr:xtr'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.ntr is not None:
                                return True

                            if self.rtr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.PmAgent.ConfigPmAgent.Device.Type.Xtr']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:device/Cisco-IOS-XE-pathmgr:type'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ntr is not None and self.ntr._has_data():
                            return True

                        if self.pxtr is not None:
                            return True

                        if self.rtr is not None and self.rtr._has_data():
                            return True

                        if self.xtr is not None and self.xtr._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.PmAgent.ConfigPmAgent.Device.Type']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:device'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None and self.id._has_data():
                        return True

                    if self.type is not None and self.type._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PmAgent.ConfigPmAgent.Device']['meta_info']


            class InstanceId(object):
                """
                Enter the instance ID
                
                .. attribute:: instance_id_range  <key>
                
                	Specify the instance\-id value
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: config_pm_agent_instance
                
                	
                	**type**\:   :py:class:`ConfigPmAgentInstance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance>`
                
                

                """

                _prefix = 'ios-pathmgr'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.instance_id_range = None
                    self.config_pm_agent_instance = Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance()
                    self.config_pm_agent_instance.parent = self


                class ConfigPmAgentInstance(object):
                    """
                    
                    
                    .. attribute:: enterprise_prefix
                    
                    	Enterprise prefix configuration
                    	**type**\:   :py:class:`EnterprisePrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix>`
                    
                    

                    """

                    _prefix = 'ios-pathmgr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enterprise_prefix = Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix()
                        self.enterprise_prefix.parent = self


                    class EnterprisePrefix(object):
                        """
                        Enterprise prefix configuration
                        
                        .. attribute:: ipv4
                        
                        	IPv4 enterprise prefix\-list
                        	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv4>`
                        
                        .. attribute:: ipv6
                        
                        	IPv6 enterprise prefix\-list
                        	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv6>`
                        
                        

                        """

                        _prefix = 'ios-pathmgr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv4()
                            self.ipv4.parent = self
                            self.ipv6 = Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv6()
                            self.ipv6.parent = self


                        class Ipv4(object):
                            """
                            IPv4 enterprise prefix\-list
                            
                            .. attribute:: prefix_list
                            
                            	Specify prefix\-list with static site targets
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-pathmgr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix_list = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-pathmgr:ipv4'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix_list is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv4']['meta_info']


                        class Ipv6(object):
                            """
                            IPv6 enterprise prefix\-list
                            
                            .. attribute:: prefix_list
                            
                            	Specify prefix\-list with static site targets
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-pathmgr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.prefix_list = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-pathmgr:ipv6'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.prefix_list is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv6']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-pathmgr:enterprise-prefix'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None and self.ipv4._has_data():
                                return True

                            if self.ipv6 is not None and self.ipv6._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-pathmgr:config-pm-agent-instance'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enterprise_prefix is not None and self.enterprise_prefix._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance']['meta_info']

                @property
                def _common_path(self):
                    if self.instance_id_range is None:
                        raise YPYModelError('Key property instance_id_range is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:instance-id[Cisco-IOS-XE-pathmgr:instance_id_range = ' + str(self.instance_id_range) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.instance_id_range is not None:
                        return True

                    if self.config_pm_agent_instance is not None and self.config_pm_agent_instance._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PmAgent.ConfigPmAgent.InstanceId']['meta_info']


            class Region(object):
                """
                Enter the region ID
                
                .. attribute:: id
                
                	Specify the region ID
                	**type**\:   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Region.Id>`
                
                

                """

                _prefix = 'ios-pathmgr'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = Native.PmAgent.ConfigPmAgent.Region.Id()
                    self.id.parent = self


                class Id(object):
                    """
                    Specify the region ID
                    
                    .. attribute:: region_id_range
                    
                    	
                    	**type**\: list of    :py:class:`Region_Id_Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Region.Id.Region_Id_Range>`
                    
                    

                    """

                    _prefix = 'ios-pathmgr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.region_id_range = YList()
                        self.region_id_range.parent = self
                        self.region_id_range.name = 'region_id_range'


                    class Region_Id_Range(object):
                        """
                        
                        
                        .. attribute:: region_id_range  <key>
                        
                        	Specify the region\-id value
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: name
                        
                        	Specify the region name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-pathmgr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.region_id_range = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.region_id_range is None:
                                raise YPYModelError('Key property region_id_range is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:region/Cisco-IOS-XE-pathmgr:id/Cisco-IOS-XE-pathmgr:region_id_range[Cisco-IOS-XE-pathmgr:region_id_range = ' + str(self.region_id_range) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.region_id_range is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.PmAgent.ConfigPmAgent.Region.Id.Region_Id_Range']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:region/Cisco-IOS-XE-pathmgr:id'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.region_id_range is not None:
                            for child_ref in self.region_id_range:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.PmAgent.ConfigPmAgent.Region.Id']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:region'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None and self.id._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PmAgent.ConfigPmAgent.Region']['meta_info']


            class Site(object):
                """
                Enter the site configuration
                
                .. attribute:: id
                
                	Specify the site ID
                	**type**\:   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Site.Id>`
                
                

                """

                _prefix = 'ios-pathmgr'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = Native.PmAgent.ConfigPmAgent.Site.Id()
                    self.id.parent = self


                class Id(object):
                    """
                    Specify the site ID
                    
                    .. attribute:: site_id_range
                    
                    	
                    	**type**\: list of    :py:class:`Site_Id_Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Site.Id.Site_Id_Range>`
                    
                    

                    """

                    _prefix = 'ios-pathmgr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.site_id_range = YList()
                        self.site_id_range.parent = self
                        self.site_id_range.name = 'site_id_range'


                    class Site_Id_Range(object):
                        """
                        
                        
                        .. attribute:: site_id_range  <key>
                        
                        	Specify the site\-id value
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: name
                        
                        	Specify the site name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-pathmgr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.site_id_range = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.site_id_range is None:
                                raise YPYModelError('Key property site_id_range is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:site/Cisco-IOS-XE-pathmgr:id/Cisco-IOS-XE-pathmgr:site_id_range[Cisco-IOS-XE-pathmgr:site_id_range = ' + str(self.site_id_range) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.site_id_range is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.PmAgent.ConfigPmAgent.Site.Id.Site_Id_Range']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:site/Cisco-IOS-XE-pathmgr:id'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.site_id_range is not None:
                            for child_ref in self.site_id_range:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.PmAgent.ConfigPmAgent.Site.Id']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:site'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None and self.id._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PmAgent.ConfigPmAgent.Site']['meta_info']


            class Tenant(object):
                """
                enter the tenant configuration
                
                .. attribute:: id
                
                	specify the tenant id
                	**type**\:   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Tenant.Id>`
                
                

                """

                _prefix = 'ios-pathmgr'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.id = Native.PmAgent.ConfigPmAgent.Tenant.Id()
                    self.id.parent = self


                class Id(object):
                    """
                    specify the tenant id
                    
                    .. attribute:: tenant_id_range
                    
                    	
                    	**type**\: list of    :py:class:`Tenant_Id_Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Tenant.Id.Tenant_Id_Range>`
                    
                    

                    """

                    _prefix = 'ios-pathmgr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.tenant_id_range = YList()
                        self.tenant_id_range.parent = self
                        self.tenant_id_range.name = 'tenant_id_range'


                    class Tenant_Id_Range(object):
                        """
                        
                        
                        .. attribute:: tenant_id_range  <key>
                        
                        	specify the tenant\-id value
                        	**type**\:  int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: name
                        
                        	specify the tenant name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'ios-pathmgr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.tenant_id_range = None
                            self.name = None

                        @property
                        def _common_path(self):
                            if self.tenant_id_range is None:
                                raise YPYModelError('Key property tenant_id_range is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:tenant/Cisco-IOS-XE-pathmgr:id/Cisco-IOS-XE-pathmgr:tenant_id_range[Cisco-IOS-XE-pathmgr:tenant_id_range = ' + str(self.tenant_id_range) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.tenant_id_range is not None:
                                return True

                            if self.name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.PmAgent.ConfigPmAgent.Tenant.Id.Tenant_Id_Range']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:tenant/Cisco-IOS-XE-pathmgr:id'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.tenant_id_range is not None:
                            for child_ref in self.tenant_id_range:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.PmAgent.ConfigPmAgent.Tenant.Id']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:tenant'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.id is not None and self.id._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PmAgent.ConfigPmAgent.Tenant']['meta_info']


            class Pmcs(object):
                """
                Enter the pmcs configuration
                
                .. attribute:: ipv4
                
                	Enter the IPv4 address
                	**type**\:   :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4>`
                
                .. attribute:: ipv6
                
                	Enter the IPv6 address
                	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6>`
                
                

                """

                _prefix = 'ios-pathmgr'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ipv4 = Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4()
                    self.ipv4.parent = self
                    self.ipv6 = Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6()
                    self.ipv6.parent = self


                class Ipv4(object):
                    """
                    Enter the IPv4 address
                    
                    .. attribute:: pmcs_ipv4
                    
                    	
                    	**type**\: list of    :py:class:`Pmcs_Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.Pmcs_Ipv4>`
                    
                    

                    """

                    _prefix = 'ios-pathmgr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.pmcs_ipv4 = YList()
                        self.pmcs_ipv4.parent = self
                        self.pmcs_ipv4.name = 'pmcs_ipv4'


                    class Pmcs_Ipv4(object):
                        """
                        
                        
                        .. attribute:: ipv4  <key>
                        
                        	IPv4 pmcs address e.g 10.10.0.0
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: backup
                        
                        	set ipv4/ipv6 address as backup
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6
                        
                        	Enter the IPv6 address
                        	**type**\:   :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.Pmcs_Ipv4.Ipv6>`
                        
                        

                        """

                        _prefix = 'ios-pathmgr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv4 = None
                            self.backup = None
                            self.ipv6 = Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.Pmcs_Ipv4.Ipv6()
                            self.ipv6.parent = self


                        class Ipv6(object):
                            """
                            Enter the IPv6 address
                            
                            .. attribute:: pmcs_ipv6
                            
                            	
                            	**type**\: list of    :py:class:`Pmcs_Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.Pmcs_Ipv4.Ipv6.Pmcs_Ipv6>`
                            
                            

                            """

                            _prefix = 'ios-pathmgr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.pmcs_ipv6 = YList()
                                self.pmcs_ipv6.parent = self
                                self.pmcs_ipv6.name = 'pmcs_ipv6'


                            class Pmcs_Ipv6(object):
                                """
                                
                                
                                .. attribute:: ipv6  <key>
                                
                                	IPv6 pmcs Addr, e.g abcd\:1234
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: backup
                                
                                	set ipv4/ipv6 address as backup
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-pathmgr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv6 = None
                                    self.backup = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ipv6 is None:
                                        raise YPYModelError('Key property ipv6 is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-pathmgr:pmcs_ipv6[Cisco-IOS-XE-pathmgr:ipv6 = ' + str(self.ipv6) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ipv6 is not None:
                                        return True

                                    if self.backup is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.Pmcs_Ipv4.Ipv6.Pmcs_Ipv6']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-pathmgr:ipv6'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.pmcs_ipv6 is not None:
                                    for child_ref in self.pmcs_ipv6:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.Pmcs_Ipv4.Ipv6']['meta_info']

                        @property
                        def _common_path(self):
                            if self.ipv4 is None:
                                raise YPYModelError('Key property ipv4 is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:pmcs/Cisco-IOS-XE-pathmgr:ipv4/Cisco-IOS-XE-pathmgr:pmcs_ipv4[Cisco-IOS-XE-pathmgr:ipv4 = ' + str(self.ipv4) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv4 is not None:
                                return True

                            if self.backup is not None:
                                return True

                            if self.ipv6 is not None and self.ipv6._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.Pmcs_Ipv4']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:pmcs/Cisco-IOS-XE-pathmgr:ipv4'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.pmcs_ipv4 is not None:
                            for child_ref in self.pmcs_ipv4:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4']['meta_info']


                class Ipv6(object):
                    """
                    Enter the IPv6 address
                    
                    .. attribute:: ipv6
                    
                    	
                    	**type**\: list of    :py:class:`Ipv6_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6.Ipv6_>`
                    
                    

                    """

                    _prefix = 'ios-pathmgr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ipv6 = YList()
                        self.ipv6.parent = self
                        self.ipv6.name = 'ipv6'


                    class Ipv6_(object):
                        """
                        
                        
                        .. attribute:: ipv6  <key>
                        
                        	IPv6 pmcs Addr, e.g abcd\:1234
                        	**type**\:  str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: backup
                        
                        	set ipv4/ipv6 address as backup
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv4
                        
                        	IPv4 pmcs address e.g 10.10.0.0
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-pathmgr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ipv6 = None
                            self.backup = None
                            self.ipv4 = None

                        @property
                        def _common_path(self):
                            if self.ipv6 is None:
                                raise YPYModelError('Key property ipv6 is None')

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:pmcs/Cisco-IOS-XE-pathmgr:ipv6/Cisco-IOS-XE-pathmgr:ipv6[Cisco-IOS-XE-pathmgr:ipv6 = ' + str(self.ipv6) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ipv6 is not None:
                                return True

                            if self.backup is not None:
                                return True

                            if self.ipv4 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6.Ipv6_']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:pmcs/Cisco-IOS-XE-pathmgr:ipv6'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ipv6 is not None:
                            for child_ref in self.ipv6:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent/Cisco-IOS-XE-pathmgr:pmcs'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ipv4 is not None and self.ipv4._has_data():
                        return True

                    if self.ipv6 is not None and self.ipv6._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.PmAgent.ConfigPmAgent.Pmcs']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/Cisco-IOS-XE-pathmgr:config-pm-agent'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.device is not None and self.device._has_data():
                    return True

                if self.instance_id is not None:
                    for child_ref in self.instance_id:
                        if child_ref._has_data():
                            return True

                if self.pmcs is not None and self.pmcs._has_data():
                    return True

                if self.region is not None and self.region._has_data():
                    return True

                if self.shutdown is not None:
                    return True

                if self.site is not None and self.site._has_data():
                    return True

                if self.tenant is not None and self.tenant._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.PmAgent.ConfigPmAgent']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self._is_presence:
                return True
            if self.config_pm_agent is not None and self.config_pm_agent._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.PmAgent']['meta_info']


    class Power(object):
        """
        Power configure
        
        .. attribute:: inline
        
        	Inline power configuration
        	**type**\:   :py:class:`Inline <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Power.Inline>`
        
        	**presence node**\: True
        
        .. attribute:: inputs
        
        	
        	**type**\:  int
        
        	**range:** 0..255
        
        .. attribute:: max_min
        
        	
        	**type**\:   :py:class:`MaxMinEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Power.MaxMinEnum>`
        
        .. attribute:: redundancy_mode
        
        	set power supply redundancy mode
        	**type**\:   :py:class:`RedundancyModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Power.RedundancyModeEnum>`
        
        

        """

        _prefix = 'ios-power'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.inline = None
            self.inputs = None
            self.max_min = None
            self.redundancy_mode = None

        class MaxMinEnum(Enum):
            """
            MaxMinEnum

            .. data:: max = 0

            """

            max = 0


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Power.MaxMinEnum']


        class RedundancyModeEnum(Enum):
            """
            RedundancyModeEnum

            set power supply redundancy mode

            .. data:: combined = 0

            .. data:: redundant = 1

            """

            combined = 0

            redundant = 1


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Power.RedundancyModeEnum']



        class Inline(object):
            """
            Inline power configuration
            
            .. attribute:: consumption
            
            	Inline device power consumption
            	**type**\:   :py:class:`Consumption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Power.Inline.Consumption>`
            
            .. attribute:: logging
            
            	Inline power logging messages
            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Power.Inline.Logging>`
            
            .. attribute:: _is_presence
            
            	Is present if this instance represents presence container else not
            	**type**\: bool
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-power'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self._is_presence = True
                self.consumption = Native.Power.Inline.Consumption()
                self.consumption.parent = self
                self.logging = Native.Power.Inline.Logging()
                self.logging.parent = self


            class Consumption(object):
                """
                Inline device power consumption
                
                .. attribute:: default
                
                	Inline device power consumption
                	**type**\:  int
                
                	**range:** 4000..15400
                
                

                """

                _prefix = 'ios-power'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.default = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-power:power/Cisco-IOS-XE-power:inline/Cisco-IOS-XE-power:consumption'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.default is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Power.Inline.Consumption']['meta_info']


            class Logging(object):
                """
                Inline power logging messages
                
                .. attribute:: global_
                
                	Enable global inline power logging messages
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-power'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.global_ = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-power:power/Cisco-IOS-XE-power:inline/Cisco-IOS-XE-power:logging'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.global_ is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Power.Inline.Logging']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-power:power/Cisco-IOS-XE-power:inline'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self._is_presence:
                    return True
                if self.consumption is not None and self.consumption._has_data():
                    return True

                if self.logging is not None and self.logging._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Power.Inline']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-power:power'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.inline is not None and self.inline._has_data():
                return True

            if self.inputs is not None:
                return True

            if self.max_min is not None:
                return True

            if self.redundancy_mode is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Power']['meta_info']


    class AccessSession(object):
        """
        Access Sesion Global Configuration Commands
        
        .. attribute:: attributes
        
        	Attributes Filter List Configuration
        	**type**\:   :py:class:`Attributes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessSession.Attributes>`
        
        .. attribute:: mac_move
        
        	Set required action when a MAC move is detected
        	**type**\:   :py:class:`MacMove <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessSession.MacMove>`
        
        

        """

        _prefix = 'ios-sanet'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.attributes = Native.AccessSession.Attributes()
            self.attributes.parent = self
            self.mac_move = Native.AccessSession.MacMove()
            self.mac_move.parent = self


        class Attributes(object):
            """
            Attributes Filter List Configuration
            
            .. attribute:: filter_list
            
            	Filter List Configuration
            	**type**\:   :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessSession.Attributes.FilterList>`
            
            

            """

            _prefix = 'ios-sanet'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.filter_list = Native.AccessSession.Attributes.FilterList()
                self.filter_list.parent = self


            class FilterList(object):
                """
                Filter List Configuration
                
                .. attribute:: list
                
                	Filter List
                	**type**\: list of    :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessSession.Attributes.FilterList.List>`
                
                

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.list = YList()
                    self.list.parent = self
                    self.list.name = 'list'


                class List(object):
                    """
                    Filter List
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\:  str
                    
                    .. attribute:: cdp
                    
                    	Include CDP Protocl attributes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dhcp
                    
                    	Include DHCP Protocl attributes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: lldp
                    
                    	Include LLDP Protocl attributes
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.name = None
                        self.cdp = None
                        self.dhcp = None
                        self.lldp = None

                    @property
                    def _common_path(self):
                        if self.name is None:
                            raise YPYModelError('Key property name is None')

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:access-session/Cisco-IOS-XE-sanet:attributes/Cisco-IOS-XE-sanet:filter-list/Cisco-IOS-XE-sanet:list[Cisco-IOS-XE-sanet:name = ' + str(self.name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.name is not None:
                            return True

                        if self.cdp is not None:
                            return True

                        if self.dhcp is not None:
                            return True

                        if self.lldp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.AccessSession.Attributes.FilterList.List']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:access-session/Cisco-IOS-XE-sanet:attributes/Cisco-IOS-XE-sanet:filter-list'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.list is not None:
                        for child_ref in self.list:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.AccessSession.Attributes.FilterList']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:access-session/Cisco-IOS-XE-sanet:attributes'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.filter_list is not None and self.filter_list._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.AccessSession.Attributes']['meta_info']


        class MacMove(object):
            """
            Set required action when a MAC move is detected
            
            .. attribute:: deny
            
            	DENY MAC moves (clears existing session)
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-sanet'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.deny = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:access-session/Cisco-IOS-XE-sanet:mac-move'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.deny is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.AccessSession.MacMove']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:access-session'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.attributes is not None and self.attributes._has_data():
                return True

            if self.mac_move is not None and self.mac_move._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.AccessSession']['meta_info']


    class Authentication(object):
        """
        Auth Manager Global Configuration Commands
        
        .. attribute:: command
        
        	Allow the following CoA commands to be ignored by the switch
        	**type**\:   :py:class:`Command <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Authentication.Command>`
        
        .. attribute:: critical
        
        	Set Critical Authentication parameters
        	**type**\:   :py:class:`Critical <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Authentication.Critical>`
        
        .. attribute:: mac_move
        
        	Set required action when a MAC move is detected
        	**type**\:   :py:class:`MacMove <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Authentication.MacMove>`
        
        

        """

        _prefix = 'ios-sanet'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.command = Native.Authentication.Command()
            self.command.parent = self
            self.critical = Native.Authentication.Critical()
            self.critical.parent = self
            self.mac_move = Native.Authentication.MacMove()
            self.mac_move.parent = self


        class Command(object):
            """
            Allow the following CoA commands to be ignored by the switch
            
            .. attribute:: bounce_port
            
            	CoA bounce\-port command
            	**type**\:   :py:class:`BouncePort <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Authentication.Command.BouncePort>`
            
            .. attribute:: disable_port
            
            	CoA disable\-port command
            	**type**\:   :py:class:`DisablePort <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Authentication.Command.DisablePort>`
            
            

            """

            _prefix = 'ios-sanet'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.bounce_port = Native.Authentication.Command.BouncePort()
                self.bounce_port.parent = self
                self.disable_port = Native.Authentication.Command.DisablePort()
                self.disable_port.parent = self


            class BouncePort(object):
                """
                CoA bounce\-port command
                
                .. attribute:: ignore
                
                	ignore disable\-port CoA command
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ignore = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:authentication/Cisco-IOS-XE-sanet:command/Cisco-IOS-XE-sanet:bounce-port'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ignore is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Authentication.Command.BouncePort']['meta_info']


            class DisablePort(object):
                """
                CoA disable\-port command
                
                .. attribute:: ignore
                
                	
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ignore = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:authentication/Cisco-IOS-XE-sanet:command/Cisco-IOS-XE-sanet:disable-port'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ignore is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Authentication.Command.DisablePort']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:authentication/Cisco-IOS-XE-sanet:command'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.bounce_port is not None and self.bounce_port._has_data():
                    return True

                if self.disable_port is not None and self.disable_port._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Authentication.Command']['meta_info']


        class Critical(object):
            """
            Set Critical Authentication parameters
            
            .. attribute:: recovery
            
            	Set Critical Authentication Recovery parameters
            	**type**\:   :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Authentication.Critical.Recovery>`
            
            

            """

            _prefix = 'ios-sanet'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.recovery = Native.Authentication.Critical.Recovery()
                self.recovery.parent = self


            class Recovery(object):
                """
                Set Critical Authentication Recovery parameters
                
                .. attribute:: delay
                
                	Set Critical Authentication Recovery Delay period
                	**type**\:  int
                
                	**range:** 1..10000
                
                

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.delay = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:authentication/Cisco-IOS-XE-sanet:critical/Cisco-IOS-XE-sanet:recovery'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.delay is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Authentication.Critical.Recovery']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:authentication/Cisco-IOS-XE-sanet:critical'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.recovery is not None and self.recovery._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Authentication.Critical']['meta_info']


        class MacMove(object):
            """
            Set required action when a MAC move is detected
            
            .. attribute:: permit
            
            	PERMIT MAC moves (clears existing session)
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-sanet'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.permit = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:authentication/Cisco-IOS-XE-sanet:mac-move'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.permit is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Authentication.MacMove']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:authentication'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.command is not None and self.command._has_data():
                return True

            if self.critical is not None and self.critical._has_data():
                return True

            if self.mac_move is not None and self.mac_move._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Authentication']['meta_info']


    class ServiceList(object):
        """
        Enter the service list
        
        .. attribute:: mdns_sd
        
        	Service\-list for mdns\-sd
        	**type**\: list of    :py:class:`MdnsSd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList.MdnsSd>`
        
        

        """

        _prefix = 'ios-sd'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.mdns_sd = YList()
            self.mdns_sd.parent = self
            self.mdns_sd.name = 'mdns_sd'


        class MdnsSd(object):
            """
            Service\-list for mdns\-sd
            
            .. attribute:: service_list_name  <key>
            
            	service\-list name
            	**type**\:  str
            
            .. attribute:: deny
            
            	Specify packets to reject
            	**type**\: list of    :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList.MdnsSd.Deny>`
            
            .. attribute:: permit
            
            	Specify packets to forward
            	**type**\: list of    :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList.MdnsSd.Permit>`
            
            .. attribute:: query
            
            	Service\-list Query for mdns\-sd
            	**type**\:   :py:class:`Query <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList.MdnsSd.Query>`
            
            

            """

            _prefix = 'ios-sd'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.service_list_name = None
                self.deny = YList()
                self.deny.parent = self
                self.deny.name = 'deny'
                self.permit = YList()
                self.permit.parent = self
                self.permit.name = 'permit'
                self.query = Native.ServiceList.MdnsSd.Query()
                self.query.parent = self


            class Deny(object):
                """
                Specify packets to reject
                
                .. attribute:: deny_pack  <key>
                
                	
                	**type**\:  int
                
                	**range:** 0..100
                
                .. attribute:: match
                
                	Configure parameters for service\-list name
                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList.MdnsSd.Deny.Match>`
                
                

                """

                _prefix = 'ios-sd'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.deny_pack = None
                    self.match = Native.ServiceList.MdnsSd.Deny.Match()
                    self.match.parent = self


                class Match(object):
                    """
                    Configure parameters for service\-list name
                    
                    .. attribute:: learnt_interface
                    
                    	match the interface where service is learnt
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: location
                    
                    	match location information
                    	**type**\:   :py:class:`Location <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList.MdnsSd.Deny.Match.Location>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: message_type
                    
                    	To set the message type
                    	**type**\:   :py:class:`MessageType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList.MdnsSd.Deny.Match.MessageType>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: service_instance
                    
                    	To set the Service Instance
                    	**type**\:  str
                    
                    .. attribute:: service_type
                    
                    	match mDNS service type string
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.learnt_interface = None
                        self.location = None
                        self.message_type = None
                        self.service_instance = None
                        self.service_type = None


                    class Location(object):
                        """
                        match location information
                        
                        .. attribute:: civic
                        
                        	Civic location
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.civic = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-service-discovery:location'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.civic is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.ServiceList.MdnsSd.Deny.Match.Location']['meta_info']


                    class MessageType(object):
                        """
                        To set the message type
                        
                        .. attribute:: announcement
                        
                        	Match Announcement/Responses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: any
                        
                        	Match Any
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: query
                        
                        	Match Query
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.announcement = None
                            self.any = None
                            self.query = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-service-discovery:message-type'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.announcement is not None:
                                return True

                            if self.any is not None:
                                return True

                            if self.query is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.ServiceList.MdnsSd.Deny.Match.MessageType']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-service-discovery:match'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.learnt_interface is not None:
                            return True

                        if self.location is not None and self.location._has_data():
                            return True

                        if self.message_type is not None and self.message_type._has_data():
                            return True

                        if self.service_instance is not None:
                            return True

                        if self.service_type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ServiceList.MdnsSd.Deny.Match']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.deny_pack is None:
                        raise YPYModelError('Key property deny_pack is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-service-discovery:deny[Cisco-IOS-XE-service-discovery:deny-pack = ' + str(self.deny_pack) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.deny_pack is not None:
                        return True

                    if self.match is not None and self.match._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ServiceList.MdnsSd.Deny']['meta_info']


            class Permit(object):
                """
                Specify packets to forward
                
                .. attribute:: deny_pack  <key>
                
                	
                	**type**\:  int
                
                	**range:** 0..100
                
                .. attribute:: match
                
                	Configure parameters for service\-list name
                	**type**\:   :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList.MdnsSd.Permit.Match>`
                
                

                """

                _prefix = 'ios-sd'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.deny_pack = None
                    self.match = Native.ServiceList.MdnsSd.Permit.Match()
                    self.match.parent = self


                class Match(object):
                    """
                    Configure parameters for service\-list name
                    
                    .. attribute:: learnt_interface
                    
                    	match the interface where service is learnt
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: location
                    
                    	match location information
                    	**type**\:   :py:class:`Location <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList.MdnsSd.Permit.Match.Location>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: message_type
                    
                    	To set the message type
                    	**type**\:   :py:class:`MessageType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList.MdnsSd.Permit.Match.MessageType>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: service_instance
                    
                    	To set the Service Instance
                    	**type**\:  str
                    
                    .. attribute:: service_type
                    
                    	match mDNS service type string
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.learnt_interface = None
                        self.location = None
                        self.message_type = None
                        self.service_instance = None
                        self.service_type = None


                    class Location(object):
                        """
                        match location information
                        
                        .. attribute:: civic
                        
                        	Civic location
                        	**type**\:  str
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.civic = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-service-discovery:location'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.civic is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.ServiceList.MdnsSd.Permit.Match.Location']['meta_info']


                    class MessageType(object):
                        """
                        To set the message type
                        
                        .. attribute:: announcement
                        
                        	Match Announcement/Responses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: any
                        
                        	Match Any
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: query
                        
                        	Match Query
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.announcement = None
                            self.any = None
                            self.query = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-service-discovery:message-type'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.announcement is not None:
                                return True

                            if self.any is not None:
                                return True

                            if self.query is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.ServiceList.MdnsSd.Permit.Match.MessageType']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-service-discovery:match'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.learnt_interface is not None:
                            return True

                        if self.location is not None and self.location._has_data():
                            return True

                        if self.message_type is not None and self.message_type._has_data():
                            return True

                        if self.service_instance is not None:
                            return True

                        if self.service_type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.ServiceList.MdnsSd.Permit.Match']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')
                    if self.deny_pack is None:
                        raise YPYModelError('Key property deny_pack is None')

                    return self.parent._common_path +'/Cisco-IOS-XE-service-discovery:permit[Cisco-IOS-XE-service-discovery:deny-pack = ' + str(self.deny_pack) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.deny_pack is not None:
                        return True

                    if self.match is not None and self.match._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ServiceList.MdnsSd.Permit']['meta_info']


            class Query(object):
                """
                Service\-list Query for mdns\-sd
                
                .. attribute:: service_type
                
                	Configure periodicity for each service\-type
                	**type**\:  str
                
                

                """

                _prefix = 'ios-sd'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.service_type = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-service-discovery:query'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.service_type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ServiceList.MdnsSd.Query']['meta_info']

            @property
            def _common_path(self):
                if self.service_list_name is None:
                    raise YPYModelError('Key property service_list_name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-service-discovery:service-list/Cisco-IOS-XE-service-discovery:mdns-sd[Cisco-IOS-XE-service-discovery:service-list-name = ' + str(self.service_list_name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.service_list_name is not None:
                    return True

                if self.deny is not None:
                    for child_ref in self.deny:
                        if child_ref._has_data():
                            return True

                if self.permit is not None:
                    for child_ref in self.permit:
                        if child_ref._has_data():
                            return True

                if self.query is not None and self.query._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ServiceList.MdnsSd']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-service-discovery:service-list'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.mdns_sd is not None:
                for child_ref in self.mdns_sd:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.ServiceList']['meta_info']


    class ServiceRouting(object):
        """
        Configure service\-routing
        
        .. attribute:: capabilities_manager
        
        	Service\-Routing Capabilities Manager configuration
        	**type**\:  bool
        
        

        """

        _prefix = 'ios-sr'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.capabilities_manager = None

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-service-routing:service-routing'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.capabilities_manager is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.ServiceRouting']['meta_info']


    class NetworkPolicy(object):
        """
        Network Policy
        
        .. attribute:: profile
        
        	Network Policy Profile
        	**type**\:  int
        
        	**range:** 1..4294967295
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.profile = None

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:network-policy'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.profile is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.NetworkPolicy']['meta_info']


    class Energywise(object):
        """
        EnergyWise Global Configuration Commands
        
        .. attribute:: domain
        
        	Set the EnergyWise domain this entity should join
        	**type**\: list of    :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Energywise.Domain>`
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.domain = YList()
            self.domain.parent = self
            self.domain.name = 'domain'


        class Domain(object):
            """
            Set the EnergyWise domain this entity should join
            
            .. attribute:: word  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: security
            
            	Set security parameters for this EnergyWise domain
            	**type**\:   :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Energywise.Domain.Security>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.word = None
                self.security = Native.Energywise.Domain.Security()
                self.security.parent = self


            class Security(object):
                """
                Set security parameters for this EnergyWise domain
                
                .. attribute:: shared_secret
                
                	Set the shared secret for this EnergyWise domain
                	**type**\:   :py:class:`SharedSecret <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Energywise.Domain.Security.SharedSecret>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.shared_secret = Native.Energywise.Domain.Security.SharedSecret()
                    self.shared_secret.parent = self


                class SharedSecret(object):
                    """
                    Set the shared secret for this EnergyWise domain
                    
                    .. attribute:: zero
                    
                    	Specifies an UNENCRYPTED shared secret for the domain will follow
                    	**type**\: list of    :py:class:`Zero <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Energywise.Domain.Security.SharedSecret.Zero>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.zero = YList()
                        self.zero.parent = self
                        self.zero.name = 'zero'


                    class Zero(object):
                        """
                        Specifies an UNENCRYPTED shared secret for the domain will follow
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: protocol
                        
                        	Specify a communication protocol to use to communicate with the EnergyWise domain
                        	**type**\:   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.word = None
                            self.protocol = Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol()
                            self.protocol.parent = self


                        class Protocol(object):
                            """
                            Specify a communication protocol to use to communicate with the EnergyWise domain
                            
                            .. attribute:: udp
                            
                            	UDP protocol
                            	**type**\:   :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol.Udp>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.udp = Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol.Udp()
                                self.udp.parent = self


                            class Udp(object):
                                """
                                UDP protocol
                                
                                .. attribute:: ip
                                
                                	Specify an ipaddress to use to communicate with the EnergyWise domain
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: port
                                
                                	Specify a port number to use to communicate with the EnergyWise domain
                                	**type**\:  int
                                
                                	**range:** 1..65000
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip = None
                                    self.port = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:udp'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip is not None:
                                        return True

                                    if self.port is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol.Udp']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:protocol'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.udp is not None and self.udp._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.word is None:
                                raise YPYModelError('Key property word is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:zero[Cisco-IOS-XE-switch:word = ' + str(self.word) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.word is not None:
                                return True

                            if self.protocol is not None and self.protocol._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Energywise.Domain.Security.SharedSecret.Zero']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:shared-secret'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.zero is not None:
                            for child_ref in self.zero:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Energywise.Domain.Security.SharedSecret']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:security'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.shared_secret is not None and self.shared_secret._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Energywise.Domain.Security']['meta_info']

            @property
            def _common_path(self):
                if self.word is None:
                    raise YPYModelError('Key property word is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:energywise/Cisco-IOS-XE-switch:domain[Cisco-IOS-XE-switch:word = ' + str(self.word) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.word is not None:
                    return True

                if self.security is not None and self.security._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Energywise.Domain']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:energywise'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.domain is not None:
                for child_ref in self.domain:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Energywise']['meta_info']


    class Template(object):
        """
        Select a template to configure
        
        .. attribute:: ap_interface_template
        
        	built\-in modified
        	**type**\:   :py:class:`Ap_Interface_Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template>`
        
        .. attribute:: dmp_interface_template
        
        	built\-in modified
        	**type**\:   :py:class:`Dmp_Interface_Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template>`
        
        .. attribute:: ip_camera_interface_template
        
        	built\-in modified
        	**type**\:   :py:class:`Ip_Camera_Interface_Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template>`
        
        .. attribute:: ip_phone_interface_template
        
        	built\-in modified
        	**type**\:   :py:class:`Ip_Phone_Interface_Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template>`
        
        .. attribute:: lap_interface_template
        
        	built\-in modified
        	**type**\:   :py:class:`Lap_Interface_Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template>`
        
        .. attribute:: msp_camera_interface_template
        
        	built\-in modified
        	**type**\:   :py:class:`Msp_Camera_Interface_Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template>`
        
        .. attribute:: msp_vc_interface_template
        
        	built\-in modified
        	**type**\:   :py:class:`Msp_Vc_Interface_Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template>`
        
        .. attribute:: printer_interface_template
        
        	built\-in modified
        	**type**\:   :py:class:`Printer_Interface_Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template>`
        
        .. attribute:: router_interface_template
        
        	built\-in modified
        	**type**\:   :py:class:`Router_Interface_Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template>`
        
        .. attribute:: switch_interface_template
        
        	built\-in modified
        	**type**\:   :py:class:`Switch_Interface_Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template>`
        
        .. attribute:: tp_interface_template
        
        	built\-in modified
        	**type**\:   :py:class:`Tp_Interface_Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template>`
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.ap_interface_template = Native.Template.Ap_Interface_Template()
            self.ap_interface_template.parent = self
            self.dmp_interface_template = Native.Template.Dmp_Interface_Template()
            self.dmp_interface_template.parent = self
            self.ip_camera_interface_template = Native.Template.Ip_Camera_Interface_Template()
            self.ip_camera_interface_template.parent = self
            self.ip_phone_interface_template = Native.Template.Ip_Phone_Interface_Template()
            self.ip_phone_interface_template.parent = self
            self.lap_interface_template = Native.Template.Lap_Interface_Template()
            self.lap_interface_template.parent = self
            self.msp_camera_interface_template = Native.Template.Msp_Camera_Interface_Template()
            self.msp_camera_interface_template.parent = self
            self.msp_vc_interface_template = Native.Template.Msp_Vc_Interface_Template()
            self.msp_vc_interface_template.parent = self
            self.printer_interface_template = Native.Template.Printer_Interface_Template()
            self.printer_interface_template.parent = self
            self.router_interface_template = Native.Template.Router_Interface_Template()
            self.router_interface_template.parent = self
            self.switch_interface_template = Native.Template.Switch_Interface_Template()
            self.switch_interface_template.parent = self
            self.tp_interface_template = Native.Template.Tp_Interface_Template()
            self.tp_interface_template.parent = self


        class Ip_Camera_Interface_Template(object):
            """
            built\-in modified
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.Ip>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\:  int
            
            	**range:** 30..600
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.ServicePolicy>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.Switchport>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ip = Native.Template.Ip_Camera_Interface_Template.Ip()
                self.ip.parent = self
                self.load_interval = None
                self.service_policy = Native.Template.Ip_Camera_Interface_Template.ServicePolicy()
                self.service_policy.parent = self
                self.spanning_tree = None
                self.storm_control = Native.Template.Ip_Camera_Interface_Template.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Template.Ip_Camera_Interface_Template.Switchport()
                self.switchport.parent = self


            class ServicePolicy(object):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.input = Native.Template.Ip_Camera_Interface_Template.ServicePolicy.Input()
                    self.input.parent = self
                    self.output = Native.Template.Ip_Camera_Interface_Template.ServicePolicy.Output()
                    self.output.parent = self


                class Input(object):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:input'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.ServicePolicy.Input']['meta_info']


                class Output(object):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:output'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.ServicePolicy.Output']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.input is not None and self.input._has_data():
                        return True

                    if self.output is not None and self.output._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.ServicePolicy']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.Switchport.Access>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:   :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.Switchport.Block>`
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:   :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:   :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access = Native.Template.Ip_Camera_Interface_Template.Switchport.Access()
                    self.access.parent = self
                    self.block = Native.Template.Ip_Camera_Interface_Template.Switchport.Block()
                    self.block.parent = self
                    self.mode = Native.Template.Ip_Camera_Interface_Template.Switchport.Mode()
                    self.mode.parent = self
                    self.nonegotiate = None
                    self.port_security = None
                    self.voice = Native.Template.Ip_Camera_Interface_Template.Switchport.Voice()
                    self.voice.parent = self


                class Mode(object):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access = None
                        self.trunk = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access is not None:
                            return True

                        if self.trunk is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.Mode']['meta_info']


                class Block(object):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.unicast = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:block'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.unicast is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.Block']['meta_info']


                class PortSecurity(object):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:   :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:   :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Violation>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aging = Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self.maximum = Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self.violation = Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Violation()
                        self.violation.parent = self


                    class Aging(object):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = None
                            self.time = None
                            self.type = None


                        class Type(object):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.inactivity = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging/Cisco-IOS-XE-switch:type'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.inactivity is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None:
                                return True

                            if self.time is not None:
                                return True

                            if self.type is not None and self.type._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']


                    class Maximum(object):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.range = YList()
                            self.range.parent = self
                            self.range.name = 'range'


                        class Range(object):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\:  int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.range = None
                                self.vlan = None


                            class Vlan(object):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.access = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.access is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info']

                            @property
                            def _common_path(self):
                                if self.range is None:
                                    raise YPYModelError('Key property range is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum/Cisco-IOS-XE-switch:range[Cisco-IOS-XE-switch:range = ' + str(self.range) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.range is not None:
                                    return True

                                if self.vlan is not None and self.vlan._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.range is not None:
                                for child_ref in self.range:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']


                    class Violation(object):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.restrict = None
                            self.shutdown = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:violation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.restrict is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity.Violation']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aging is not None and self.aging._has_data():
                            return True

                        if self.maximum is not None and self.maximum._has_data():
                            return True

                        if self.violation is not None and self.violation._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.PortSecurity']['meta_info']


                class Access(object):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:access'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.Access']['meta_info']


                class Voice(object):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:voice'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport.Voice']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access is not None and self.access._has_data():
                        return True

                    if self.block is not None and self.block._has_data():
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.port_security is not None and self.port_security._has_data():
                        return True

                    if self.voice is not None and self.voice._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.Switchport']['meta_info']


            class SpanningTree(object):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:   :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.SpanningTree.Bpduguard>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:   :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.SpanningTree.Portfast>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.bpduguard = Native.Template.Ip_Camera_Interface_Template.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self.portfast = Native.Template.Ip_Camera_Interface_Template.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self.service_policy = None


                class Bpduguard(object):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enable = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:bpduguard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.SpanningTree.Bpduguard']['meta_info']


                class Portfast(object):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.disable = None
                        self.edge = None
                        self.network = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:portfast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.disable is not None:
                            return True

                        if self.edge is not None:
                            return True

                        if self.network is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.SpanningTree.Portfast']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.bpduguard is not None and self.bpduguard._has_data():
                        return True

                    if self.portfast is not None and self.portfast._has_data():
                        return True

                    if self.service_policy is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.SpanningTree']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Template.Ip_Camera_Interface_Template.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast()
                    self.broadcast.parent = self


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\:  Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.b_unit = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.b_unit is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.StormControl.Broadcast']['meta_info']


                class Action(object):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.StormControl.Action']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.StormControl']['meta_info']


            class Ip(object):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dhcp = Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp()
                    self.dhcp.parent = self


                class Dhcp(object):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.snooping = Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp.Snooping()
                        self.snooping.parent = self


                    class Snooping(object):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self


                        class Limit(object):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\:  int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping/Cisco-IOS-XE-switch:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp.Snooping']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.snooping is not None and self.snooping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.Ip.Dhcp']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Ip_Camera_Interface_Template.Ip']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_CAMERA_INTERFACE_TEMPLATE'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ip is not None and self.ip._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.spanning_tree is not None and self.spanning_tree._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Template.Ip_Camera_Interface_Template']['meta_info']


        class Lap_Interface_Template(object):
            """
            built\-in modified
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.Ip>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\:  int
            
            	**range:** 30..600
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.ServicePolicy>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.Switchport>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ip = Native.Template.Lap_Interface_Template.Ip()
                self.ip.parent = self
                self.load_interval = None
                self.service_policy = Native.Template.Lap_Interface_Template.ServicePolicy()
                self.service_policy.parent = self
                self.spanning_tree = None
                self.storm_control = Native.Template.Lap_Interface_Template.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Template.Lap_Interface_Template.Switchport()
                self.switchport.parent = self


            class ServicePolicy(object):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.input = Native.Template.Lap_Interface_Template.ServicePolicy.Input()
                    self.input.parent = self
                    self.output = Native.Template.Lap_Interface_Template.ServicePolicy.Output()
                    self.output.parent = self


                class Input(object):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:input'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Lap_Interface_Template.ServicePolicy.Input']['meta_info']


                class Output(object):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:output'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Lap_Interface_Template.ServicePolicy.Output']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.input is not None and self.input._has_data():
                        return True

                    if self.output is not None and self.output._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Lap_Interface_Template.ServicePolicy']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.Switchport.Access>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:   :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.Switchport.Block>`
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:   :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:   :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access = Native.Template.Lap_Interface_Template.Switchport.Access()
                    self.access.parent = self
                    self.block = Native.Template.Lap_Interface_Template.Switchport.Block()
                    self.block.parent = self
                    self.mode = Native.Template.Lap_Interface_Template.Switchport.Mode()
                    self.mode.parent = self
                    self.nonegotiate = None
                    self.port_security = None
                    self.voice = Native.Template.Lap_Interface_Template.Switchport.Voice()
                    self.voice.parent = self


                class Mode(object):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access = None
                        self.trunk = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access is not None:
                            return True

                        if self.trunk is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Lap_Interface_Template.Switchport.Mode']['meta_info']


                class Block(object):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.unicast = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:block'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.unicast is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Lap_Interface_Template.Switchport.Block']['meta_info']


                class PortSecurity(object):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:   :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:   :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Violation>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aging = Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self.maximum = Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self.violation = Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Violation()
                        self.violation.parent = self


                    class Aging(object):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = None
                            self.time = None
                            self.type = None


                        class Type(object):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.inactivity = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging/Cisco-IOS-XE-switch:type'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.inactivity is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None:
                                return True

                            if self.time is not None:
                                return True

                            if self.type is not None and self.type._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']


                    class Maximum(object):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.range = YList()
                            self.range.parent = self
                            self.range.name = 'range'


                        class Range(object):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\:  int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.range = None
                                self.vlan = None


                            class Vlan(object):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.access = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.access is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info']

                            @property
                            def _common_path(self):
                                if self.range is None:
                                    raise YPYModelError('Key property range is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum/Cisco-IOS-XE-switch:range[Cisco-IOS-XE-switch:range = ' + str(self.range) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.range is not None:
                                    return True

                                if self.vlan is not None and self.vlan._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.range is not None:
                                for child_ref in self.range:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']


                    class Violation(object):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.restrict = None
                            self.shutdown = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:violation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.restrict is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Lap_Interface_Template.Switchport.PortSecurity.Violation']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aging is not None and self.aging._has_data():
                            return True

                        if self.maximum is not None and self.maximum._has_data():
                            return True

                        if self.violation is not None and self.violation._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Lap_Interface_Template.Switchport.PortSecurity']['meta_info']


                class Access(object):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:access'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Lap_Interface_Template.Switchport.Access']['meta_info']


                class Voice(object):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:voice'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Lap_Interface_Template.Switchport.Voice']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access is not None and self.access._has_data():
                        return True

                    if self.block is not None and self.block._has_data():
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.port_security is not None and self.port_security._has_data():
                        return True

                    if self.voice is not None and self.voice._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Lap_Interface_Template.Switchport']['meta_info']


            class SpanningTree(object):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:   :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.SpanningTree.Bpduguard>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:   :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.SpanningTree.Portfast>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.bpduguard = Native.Template.Lap_Interface_Template.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self.portfast = Native.Template.Lap_Interface_Template.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self.service_policy = None


                class Bpduguard(object):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enable = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:bpduguard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Lap_Interface_Template.SpanningTree.Bpduguard']['meta_info']


                class Portfast(object):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.disable = None
                        self.edge = None
                        self.network = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:portfast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.disable is not None:
                            return True

                        if self.edge is not None:
                            return True

                        if self.network is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Lap_Interface_Template.SpanningTree.Portfast']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.bpduguard is not None and self.bpduguard._has_data():
                        return True

                    if self.portfast is not None and self.portfast._has_data():
                        return True

                    if self.service_policy is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Lap_Interface_Template.SpanningTree']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.StormControl.Broadcast>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Template.Lap_Interface_Template.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Template.Lap_Interface_Template.StormControl.Broadcast()
                    self.broadcast.parent = self


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\:  Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.b_unit = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.b_unit is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Lap_Interface_Template.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Lap_Interface_Template.StormControl.Broadcast']['meta_info']


                class Action(object):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Lap_Interface_Template.StormControl.Action']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Lap_Interface_Template.StormControl']['meta_info']


            class Ip(object):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dhcp = Native.Template.Lap_Interface_Template.Ip.Dhcp()
                    self.dhcp.parent = self


                class Dhcp(object):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.snooping = Native.Template.Lap_Interface_Template.Ip.Dhcp.Snooping()
                        self.snooping.parent = self


                    class Snooping(object):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Lap_Interface_Template.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Template.Lap_Interface_Template.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self


                        class Limit(object):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\:  int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping/Cisco-IOS-XE-switch:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Lap_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Lap_Interface_Template.Ip.Dhcp.Snooping']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.snooping is not None and self.snooping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Lap_Interface_Template.Ip.Dhcp']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Lap_Interface_Template.Ip']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:LAP_INTERFACE_TEMPLATE'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ip is not None and self.ip._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.spanning_tree is not None and self.spanning_tree._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Template.Lap_Interface_Template']['meta_info']


        class Ap_Interface_Template(object):
            """
            built\-in modified
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.Ip>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\:  int
            
            	**range:** 30..600
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.ServicePolicy>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.Switchport>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ip = Native.Template.Ap_Interface_Template.Ip()
                self.ip.parent = self
                self.load_interval = None
                self.service_policy = Native.Template.Ap_Interface_Template.ServicePolicy()
                self.service_policy.parent = self
                self.spanning_tree = None
                self.storm_control = Native.Template.Ap_Interface_Template.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Template.Ap_Interface_Template.Switchport()
                self.switchport.parent = self


            class ServicePolicy(object):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.input = Native.Template.Ap_Interface_Template.ServicePolicy.Input()
                    self.input.parent = self
                    self.output = Native.Template.Ap_Interface_Template.ServicePolicy.Output()
                    self.output.parent = self


                class Input(object):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:input'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ap_Interface_Template.ServicePolicy.Input']['meta_info']


                class Output(object):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:output'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ap_Interface_Template.ServicePolicy.Output']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.input is not None and self.input._has_data():
                        return True

                    if self.output is not None and self.output._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Ap_Interface_Template.ServicePolicy']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.Switchport.Access>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:   :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.Switchport.Block>`
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:   :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:   :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access = Native.Template.Ap_Interface_Template.Switchport.Access()
                    self.access.parent = self
                    self.block = Native.Template.Ap_Interface_Template.Switchport.Block()
                    self.block.parent = self
                    self.mode = Native.Template.Ap_Interface_Template.Switchport.Mode()
                    self.mode.parent = self
                    self.nonegotiate = None
                    self.port_security = None
                    self.voice = Native.Template.Ap_Interface_Template.Switchport.Voice()
                    self.voice.parent = self


                class Mode(object):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access = None
                        self.trunk = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access is not None:
                            return True

                        if self.trunk is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ap_Interface_Template.Switchport.Mode']['meta_info']


                class Block(object):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.unicast = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:block'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.unicast is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ap_Interface_Template.Switchport.Block']['meta_info']


                class PortSecurity(object):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:   :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:   :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Violation>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aging = Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self.maximum = Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self.violation = Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Violation()
                        self.violation.parent = self


                    class Aging(object):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = None
                            self.time = None
                            self.type = None


                        class Type(object):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.inactivity = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging/Cisco-IOS-XE-switch:type'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.inactivity is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None:
                                return True

                            if self.time is not None:
                                return True

                            if self.type is not None and self.type._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']


                    class Maximum(object):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.range = YList()
                            self.range.parent = self
                            self.range.name = 'range'


                        class Range(object):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\:  int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.range = None
                                self.vlan = None


                            class Vlan(object):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.access = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.access is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info']

                            @property
                            def _common_path(self):
                                if self.range is None:
                                    raise YPYModelError('Key property range is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum/Cisco-IOS-XE-switch:range[Cisco-IOS-XE-switch:range = ' + str(self.range) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.range is not None:
                                    return True

                                if self.vlan is not None and self.vlan._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.range is not None:
                                for child_ref in self.range:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']


                    class Violation(object):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.restrict = None
                            self.shutdown = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:violation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.restrict is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Ap_Interface_Template.Switchport.PortSecurity.Violation']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aging is not None and self.aging._has_data():
                            return True

                        if self.maximum is not None and self.maximum._has_data():
                            return True

                        if self.violation is not None and self.violation._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ap_Interface_Template.Switchport.PortSecurity']['meta_info']


                class Access(object):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:access'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ap_Interface_Template.Switchport.Access']['meta_info']


                class Voice(object):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:voice'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ap_Interface_Template.Switchport.Voice']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access is not None and self.access._has_data():
                        return True

                    if self.block is not None and self.block._has_data():
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.port_security is not None and self.port_security._has_data():
                        return True

                    if self.voice is not None and self.voice._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Ap_Interface_Template.Switchport']['meta_info']


            class SpanningTree(object):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:   :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.SpanningTree.Bpduguard>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:   :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.SpanningTree.Portfast>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.bpduguard = Native.Template.Ap_Interface_Template.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self.portfast = Native.Template.Ap_Interface_Template.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self.service_policy = None


                class Bpduguard(object):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enable = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:bpduguard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ap_Interface_Template.SpanningTree.Bpduguard']['meta_info']


                class Portfast(object):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.disable = None
                        self.edge = None
                        self.network = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:portfast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.disable is not None:
                            return True

                        if self.edge is not None:
                            return True

                        if self.network is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ap_Interface_Template.SpanningTree.Portfast']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.bpduguard is not None and self.bpduguard._has_data():
                        return True

                    if self.portfast is not None and self.portfast._has_data():
                        return True

                    if self.service_policy is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Ap_Interface_Template.SpanningTree']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.StormControl.Broadcast>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Template.Ap_Interface_Template.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Template.Ap_Interface_Template.StormControl.Broadcast()
                    self.broadcast.parent = self


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\:  Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.b_unit = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.b_unit is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Ap_Interface_Template.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ap_Interface_Template.StormControl.Broadcast']['meta_info']


                class Action(object):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ap_Interface_Template.StormControl.Action']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Ap_Interface_Template.StormControl']['meta_info']


            class Ip(object):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dhcp = Native.Template.Ap_Interface_Template.Ip.Dhcp()
                    self.dhcp.parent = self


                class Dhcp(object):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.snooping = Native.Template.Ap_Interface_Template.Ip.Dhcp.Snooping()
                        self.snooping.parent = self


                    class Snooping(object):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ap_Interface_Template.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Template.Ap_Interface_Template.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self


                        class Limit(object):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\:  int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping/Cisco-IOS-XE-switch:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Ap_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Ap_Interface_Template.Ip.Dhcp.Snooping']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.snooping is not None and self.snooping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ap_Interface_Template.Ip.Dhcp']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Ap_Interface_Template.Ip']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:AP_INTERFACE_TEMPLATE'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ip is not None and self.ip._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.spanning_tree is not None and self.spanning_tree._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Template.Ap_Interface_Template']['meta_info']


        class Dmp_Interface_Template(object):
            """
            built\-in modified
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.Ip>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\:  int
            
            	**range:** 30..600
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.ServicePolicy>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.Switchport>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ip = Native.Template.Dmp_Interface_Template.Ip()
                self.ip.parent = self
                self.load_interval = None
                self.service_policy = Native.Template.Dmp_Interface_Template.ServicePolicy()
                self.service_policy.parent = self
                self.spanning_tree = None
                self.storm_control = Native.Template.Dmp_Interface_Template.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Template.Dmp_Interface_Template.Switchport()
                self.switchport.parent = self


            class ServicePolicy(object):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.input = Native.Template.Dmp_Interface_Template.ServicePolicy.Input()
                    self.input.parent = self
                    self.output = Native.Template.Dmp_Interface_Template.ServicePolicy.Output()
                    self.output.parent = self


                class Input(object):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:input'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Dmp_Interface_Template.ServicePolicy.Input']['meta_info']


                class Output(object):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:output'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Dmp_Interface_Template.ServicePolicy.Output']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.input is not None and self.input._has_data():
                        return True

                    if self.output is not None and self.output._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Dmp_Interface_Template.ServicePolicy']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.Switchport.Access>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:   :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.Switchport.Block>`
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:   :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:   :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access = Native.Template.Dmp_Interface_Template.Switchport.Access()
                    self.access.parent = self
                    self.block = Native.Template.Dmp_Interface_Template.Switchport.Block()
                    self.block.parent = self
                    self.mode = Native.Template.Dmp_Interface_Template.Switchport.Mode()
                    self.mode.parent = self
                    self.nonegotiate = None
                    self.port_security = None
                    self.voice = Native.Template.Dmp_Interface_Template.Switchport.Voice()
                    self.voice.parent = self


                class Mode(object):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access = None
                        self.trunk = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access is not None:
                            return True

                        if self.trunk is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Dmp_Interface_Template.Switchport.Mode']['meta_info']


                class Block(object):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.unicast = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:block'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.unicast is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Dmp_Interface_Template.Switchport.Block']['meta_info']


                class PortSecurity(object):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:   :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:   :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Violation>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aging = Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self.maximum = Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self.violation = Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Violation()
                        self.violation.parent = self


                    class Aging(object):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = None
                            self.time = None
                            self.type = None


                        class Type(object):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.inactivity = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging/Cisco-IOS-XE-switch:type'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.inactivity is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None:
                                return True

                            if self.time is not None:
                                return True

                            if self.type is not None and self.type._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']


                    class Maximum(object):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.range = YList()
                            self.range.parent = self
                            self.range.name = 'range'


                        class Range(object):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\:  int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.range = None
                                self.vlan = None


                            class Vlan(object):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.access = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.access is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info']

                            @property
                            def _common_path(self):
                                if self.range is None:
                                    raise YPYModelError('Key property range is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum/Cisco-IOS-XE-switch:range[Cisco-IOS-XE-switch:range = ' + str(self.range) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.range is not None:
                                    return True

                                if self.vlan is not None and self.vlan._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.range is not None:
                                for child_ref in self.range:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']


                    class Violation(object):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.restrict = None
                            self.shutdown = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:violation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.restrict is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Dmp_Interface_Template.Switchport.PortSecurity.Violation']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aging is not None and self.aging._has_data():
                            return True

                        if self.maximum is not None and self.maximum._has_data():
                            return True

                        if self.violation is not None and self.violation._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Dmp_Interface_Template.Switchport.PortSecurity']['meta_info']


                class Access(object):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:access'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Dmp_Interface_Template.Switchport.Access']['meta_info']


                class Voice(object):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:voice'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Dmp_Interface_Template.Switchport.Voice']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access is not None and self.access._has_data():
                        return True

                    if self.block is not None and self.block._has_data():
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.port_security is not None and self.port_security._has_data():
                        return True

                    if self.voice is not None and self.voice._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Dmp_Interface_Template.Switchport']['meta_info']


            class SpanningTree(object):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:   :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.SpanningTree.Bpduguard>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:   :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.SpanningTree.Portfast>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.bpduguard = Native.Template.Dmp_Interface_Template.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self.portfast = Native.Template.Dmp_Interface_Template.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self.service_policy = None


                class Bpduguard(object):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enable = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:bpduguard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Dmp_Interface_Template.SpanningTree.Bpduguard']['meta_info']


                class Portfast(object):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.disable = None
                        self.edge = None
                        self.network = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:portfast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.disable is not None:
                            return True

                        if self.edge is not None:
                            return True

                        if self.network is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Dmp_Interface_Template.SpanningTree.Portfast']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.bpduguard is not None and self.bpduguard._has_data():
                        return True

                    if self.portfast is not None and self.portfast._has_data():
                        return True

                    if self.service_policy is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Dmp_Interface_Template.SpanningTree']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.StormControl.Broadcast>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Template.Dmp_Interface_Template.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Template.Dmp_Interface_Template.StormControl.Broadcast()
                    self.broadcast.parent = self


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\:  Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.b_unit = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.b_unit is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Dmp_Interface_Template.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Dmp_Interface_Template.StormControl.Broadcast']['meta_info']


                class Action(object):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Dmp_Interface_Template.StormControl.Action']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Dmp_Interface_Template.StormControl']['meta_info']


            class Ip(object):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dhcp = Native.Template.Dmp_Interface_Template.Ip.Dhcp()
                    self.dhcp.parent = self


                class Dhcp(object):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.snooping = Native.Template.Dmp_Interface_Template.Ip.Dhcp.Snooping()
                        self.snooping.parent = self


                    class Snooping(object):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Dmp_Interface_Template.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Template.Dmp_Interface_Template.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self


                        class Limit(object):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\:  int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping/Cisco-IOS-XE-switch:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Dmp_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Dmp_Interface_Template.Ip.Dhcp.Snooping']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.snooping is not None and self.snooping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Dmp_Interface_Template.Ip.Dhcp']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Dmp_Interface_Template.Ip']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:DMP_INTERFACE_TEMPLATE'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ip is not None and self.ip._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.spanning_tree is not None and self.spanning_tree._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Template.Dmp_Interface_Template']['meta_info']


        class Ip_Phone_Interface_Template(object):
            """
            built\-in modified
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.Ip>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\:  int
            
            	**range:** 30..600
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.ServicePolicy>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.Switchport>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ip = Native.Template.Ip_Phone_Interface_Template.Ip()
                self.ip.parent = self
                self.load_interval = None
                self.service_policy = Native.Template.Ip_Phone_Interface_Template.ServicePolicy()
                self.service_policy.parent = self
                self.spanning_tree = None
                self.storm_control = Native.Template.Ip_Phone_Interface_Template.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Template.Ip_Phone_Interface_Template.Switchport()
                self.switchport.parent = self


            class ServicePolicy(object):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.input = Native.Template.Ip_Phone_Interface_Template.ServicePolicy.Input()
                    self.input.parent = self
                    self.output = Native.Template.Ip_Phone_Interface_Template.ServicePolicy.Output()
                    self.output.parent = self


                class Input(object):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:input'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.ServicePolicy.Input']['meta_info']


                class Output(object):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:output'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.ServicePolicy.Output']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.input is not None and self.input._has_data():
                        return True

                    if self.output is not None and self.output._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.ServicePolicy']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.Switchport.Access>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:   :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.Switchport.Block>`
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:   :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:   :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access = Native.Template.Ip_Phone_Interface_Template.Switchport.Access()
                    self.access.parent = self
                    self.block = Native.Template.Ip_Phone_Interface_Template.Switchport.Block()
                    self.block.parent = self
                    self.mode = Native.Template.Ip_Phone_Interface_Template.Switchport.Mode()
                    self.mode.parent = self
                    self.nonegotiate = None
                    self.port_security = None
                    self.voice = Native.Template.Ip_Phone_Interface_Template.Switchport.Voice()
                    self.voice.parent = self


                class Mode(object):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access = None
                        self.trunk = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access is not None:
                            return True

                        if self.trunk is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.Mode']['meta_info']


                class Block(object):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.unicast = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:block'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.unicast is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.Block']['meta_info']


                class PortSecurity(object):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:   :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:   :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Violation>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aging = Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self.maximum = Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self.violation = Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Violation()
                        self.violation.parent = self


                    class Aging(object):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = None
                            self.time = None
                            self.type = None


                        class Type(object):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.inactivity = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging/Cisco-IOS-XE-switch:type'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.inactivity is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None:
                                return True

                            if self.time is not None:
                                return True

                            if self.type is not None and self.type._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']


                    class Maximum(object):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.range = YList()
                            self.range.parent = self
                            self.range.name = 'range'


                        class Range(object):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\:  int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.range = None
                                self.vlan = None


                            class Vlan(object):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.access = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.access is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info']

                            @property
                            def _common_path(self):
                                if self.range is None:
                                    raise YPYModelError('Key property range is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum/Cisco-IOS-XE-switch:range[Cisco-IOS-XE-switch:range = ' + str(self.range) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.range is not None:
                                    return True

                                if self.vlan is not None and self.vlan._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.range is not None:
                                for child_ref in self.range:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']


                    class Violation(object):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.restrict = None
                            self.shutdown = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:violation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.restrict is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity.Violation']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aging is not None and self.aging._has_data():
                            return True

                        if self.maximum is not None and self.maximum._has_data():
                            return True

                        if self.violation is not None and self.violation._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.PortSecurity']['meta_info']


                class Access(object):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:access'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.Access']['meta_info']


                class Voice(object):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:voice'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport.Voice']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access is not None and self.access._has_data():
                        return True

                    if self.block is not None and self.block._has_data():
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.port_security is not None and self.port_security._has_data():
                        return True

                    if self.voice is not None and self.voice._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.Switchport']['meta_info']


            class SpanningTree(object):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:   :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.SpanningTree.Bpduguard>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:   :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.SpanningTree.Portfast>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.bpduguard = Native.Template.Ip_Phone_Interface_Template.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self.portfast = Native.Template.Ip_Phone_Interface_Template.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self.service_policy = None


                class Bpduguard(object):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enable = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:bpduguard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.SpanningTree.Bpduguard']['meta_info']


                class Portfast(object):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.disable = None
                        self.edge = None
                        self.network = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:portfast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.disable is not None:
                            return True

                        if self.edge is not None:
                            return True

                        if self.network is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.SpanningTree.Portfast']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.bpduguard is not None and self.bpduguard._has_data():
                        return True

                    if self.portfast is not None and self.portfast._has_data():
                        return True

                    if self.service_policy is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.SpanningTree']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Template.Ip_Phone_Interface_Template.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast()
                    self.broadcast.parent = self


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\:  Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.b_unit = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.b_unit is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.StormControl.Broadcast']['meta_info']


                class Action(object):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.StormControl.Action']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.StormControl']['meta_info']


            class Ip(object):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dhcp = Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp()
                    self.dhcp.parent = self


                class Dhcp(object):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.snooping = Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp.Snooping()
                        self.snooping.parent = self


                    class Snooping(object):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self


                        class Limit(object):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\:  int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping/Cisco-IOS-XE-switch:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp.Snooping']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.snooping is not None and self.snooping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.Ip.Dhcp']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Ip_Phone_Interface_Template.Ip']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:IP_PHONE_INTERFACE_TEMPLATE'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ip is not None and self.ip._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.spanning_tree is not None and self.spanning_tree._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Template.Ip_Phone_Interface_Template']['meta_info']


        class Msp_Camera_Interface_Template(object):
            """
            built\-in modified
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.Ip>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\:  int
            
            	**range:** 30..600
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.ServicePolicy>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.Switchport>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ip = Native.Template.Msp_Camera_Interface_Template.Ip()
                self.ip.parent = self
                self.load_interval = None
                self.service_policy = Native.Template.Msp_Camera_Interface_Template.ServicePolicy()
                self.service_policy.parent = self
                self.spanning_tree = None
                self.storm_control = Native.Template.Msp_Camera_Interface_Template.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Template.Msp_Camera_Interface_Template.Switchport()
                self.switchport.parent = self


            class ServicePolicy(object):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.input = Native.Template.Msp_Camera_Interface_Template.ServicePolicy.Input()
                    self.input.parent = self
                    self.output = Native.Template.Msp_Camera_Interface_Template.ServicePolicy.Output()
                    self.output.parent = self


                class Input(object):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:input'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.ServicePolicy.Input']['meta_info']


                class Output(object):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:output'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.ServicePolicy.Output']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.input is not None and self.input._has_data():
                        return True

                    if self.output is not None and self.output._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.ServicePolicy']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.Switchport.Access>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:   :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.Switchport.Block>`
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:   :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:   :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access = Native.Template.Msp_Camera_Interface_Template.Switchport.Access()
                    self.access.parent = self
                    self.block = Native.Template.Msp_Camera_Interface_Template.Switchport.Block()
                    self.block.parent = self
                    self.mode = Native.Template.Msp_Camera_Interface_Template.Switchport.Mode()
                    self.mode.parent = self
                    self.nonegotiate = None
                    self.port_security = None
                    self.voice = Native.Template.Msp_Camera_Interface_Template.Switchport.Voice()
                    self.voice.parent = self


                class Mode(object):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access = None
                        self.trunk = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access is not None:
                            return True

                        if self.trunk is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.Mode']['meta_info']


                class Block(object):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.unicast = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:block'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.unicast is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.Block']['meta_info']


                class PortSecurity(object):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:   :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:   :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Violation>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aging = Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self.maximum = Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self.violation = Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Violation()
                        self.violation.parent = self


                    class Aging(object):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = None
                            self.time = None
                            self.type = None


                        class Type(object):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.inactivity = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging/Cisco-IOS-XE-switch:type'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.inactivity is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None:
                                return True

                            if self.time is not None:
                                return True

                            if self.type is not None and self.type._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']


                    class Maximum(object):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.range = YList()
                            self.range.parent = self
                            self.range.name = 'range'


                        class Range(object):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\:  int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.range = None
                                self.vlan = None


                            class Vlan(object):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.access = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.access is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info']

                            @property
                            def _common_path(self):
                                if self.range is None:
                                    raise YPYModelError('Key property range is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum/Cisco-IOS-XE-switch:range[Cisco-IOS-XE-switch:range = ' + str(self.range) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.range is not None:
                                    return True

                                if self.vlan is not None and self.vlan._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.range is not None:
                                for child_ref in self.range:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']


                    class Violation(object):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.restrict = None
                            self.shutdown = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:violation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.restrict is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity.Violation']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aging is not None and self.aging._has_data():
                            return True

                        if self.maximum is not None and self.maximum._has_data():
                            return True

                        if self.violation is not None and self.violation._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.PortSecurity']['meta_info']


                class Access(object):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:access'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.Access']['meta_info']


                class Voice(object):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:voice'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport.Voice']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access is not None and self.access._has_data():
                        return True

                    if self.block is not None and self.block._has_data():
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.port_security is not None and self.port_security._has_data():
                        return True

                    if self.voice is not None and self.voice._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.Switchport']['meta_info']


            class SpanningTree(object):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:   :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.SpanningTree.Bpduguard>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:   :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.SpanningTree.Portfast>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.bpduguard = Native.Template.Msp_Camera_Interface_Template.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self.portfast = Native.Template.Msp_Camera_Interface_Template.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self.service_policy = None


                class Bpduguard(object):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enable = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:bpduguard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.SpanningTree.Bpduguard']['meta_info']


                class Portfast(object):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.disable = None
                        self.edge = None
                        self.network = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:portfast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.disable is not None:
                            return True

                        if self.edge is not None:
                            return True

                        if self.network is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.SpanningTree.Portfast']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.bpduguard is not None and self.bpduguard._has_data():
                        return True

                    if self.portfast is not None and self.portfast._has_data():
                        return True

                    if self.service_policy is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.SpanningTree']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Template.Msp_Camera_Interface_Template.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast()
                    self.broadcast.parent = self


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\:  Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.b_unit = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.b_unit is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.StormControl.Broadcast']['meta_info']


                class Action(object):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.StormControl.Action']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.StormControl']['meta_info']


            class Ip(object):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dhcp = Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp()
                    self.dhcp.parent = self


                class Dhcp(object):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.snooping = Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp.Snooping()
                        self.snooping.parent = self


                    class Snooping(object):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self


                        class Limit(object):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\:  int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping/Cisco-IOS-XE-switch:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp.Snooping']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.snooping is not None and self.snooping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.Ip.Dhcp']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Msp_Camera_Interface_Template.Ip']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_CAMERA_INTERFACE_TEMPLATE'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ip is not None and self.ip._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.spanning_tree is not None and self.spanning_tree._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Template.Msp_Camera_Interface_Template']['meta_info']


        class Msp_Vc_Interface_Template(object):
            """
            built\-in modified
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.Ip>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\:  int
            
            	**range:** 30..600
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.ServicePolicy>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.Switchport>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ip = Native.Template.Msp_Vc_Interface_Template.Ip()
                self.ip.parent = self
                self.load_interval = None
                self.service_policy = Native.Template.Msp_Vc_Interface_Template.ServicePolicy()
                self.service_policy.parent = self
                self.spanning_tree = None
                self.storm_control = Native.Template.Msp_Vc_Interface_Template.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Template.Msp_Vc_Interface_Template.Switchport()
                self.switchport.parent = self


            class ServicePolicy(object):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.input = Native.Template.Msp_Vc_Interface_Template.ServicePolicy.Input()
                    self.input.parent = self
                    self.output = Native.Template.Msp_Vc_Interface_Template.ServicePolicy.Output()
                    self.output.parent = self


                class Input(object):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:input'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.ServicePolicy.Input']['meta_info']


                class Output(object):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:output'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.ServicePolicy.Output']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.input is not None and self.input._has_data():
                        return True

                    if self.output is not None and self.output._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.ServicePolicy']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.Switchport.Access>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:   :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.Switchport.Block>`
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:   :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:   :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access = Native.Template.Msp_Vc_Interface_Template.Switchport.Access()
                    self.access.parent = self
                    self.block = Native.Template.Msp_Vc_Interface_Template.Switchport.Block()
                    self.block.parent = self
                    self.mode = Native.Template.Msp_Vc_Interface_Template.Switchport.Mode()
                    self.mode.parent = self
                    self.nonegotiate = None
                    self.port_security = None
                    self.voice = Native.Template.Msp_Vc_Interface_Template.Switchport.Voice()
                    self.voice.parent = self


                class Mode(object):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access = None
                        self.trunk = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access is not None:
                            return True

                        if self.trunk is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.Mode']['meta_info']


                class Block(object):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.unicast = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:block'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.unicast is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.Block']['meta_info']


                class PortSecurity(object):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:   :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:   :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Violation>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aging = Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self.maximum = Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self.violation = Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Violation()
                        self.violation.parent = self


                    class Aging(object):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = None
                            self.time = None
                            self.type = None


                        class Type(object):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.inactivity = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging/Cisco-IOS-XE-switch:type'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.inactivity is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None:
                                return True

                            if self.time is not None:
                                return True

                            if self.type is not None and self.type._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']


                    class Maximum(object):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.range = YList()
                            self.range.parent = self
                            self.range.name = 'range'


                        class Range(object):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\:  int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.range = None
                                self.vlan = None


                            class Vlan(object):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.access = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.access is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info']

                            @property
                            def _common_path(self):
                                if self.range is None:
                                    raise YPYModelError('Key property range is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum/Cisco-IOS-XE-switch:range[Cisco-IOS-XE-switch:range = ' + str(self.range) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.range is not None:
                                    return True

                                if self.vlan is not None and self.vlan._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.range is not None:
                                for child_ref in self.range:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']


                    class Violation(object):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.restrict = None
                            self.shutdown = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:violation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.restrict is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity.Violation']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aging is not None and self.aging._has_data():
                            return True

                        if self.maximum is not None and self.maximum._has_data():
                            return True

                        if self.violation is not None and self.violation._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.PortSecurity']['meta_info']


                class Access(object):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:access'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.Access']['meta_info']


                class Voice(object):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:voice'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport.Voice']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access is not None and self.access._has_data():
                        return True

                    if self.block is not None and self.block._has_data():
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.port_security is not None and self.port_security._has_data():
                        return True

                    if self.voice is not None and self.voice._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.Switchport']['meta_info']


            class SpanningTree(object):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:   :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.SpanningTree.Bpduguard>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:   :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.SpanningTree.Portfast>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.bpduguard = Native.Template.Msp_Vc_Interface_Template.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self.portfast = Native.Template.Msp_Vc_Interface_Template.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self.service_policy = None


                class Bpduguard(object):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enable = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:bpduguard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.SpanningTree.Bpduguard']['meta_info']


                class Portfast(object):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.disable = None
                        self.edge = None
                        self.network = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:portfast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.disable is not None:
                            return True

                        if self.edge is not None:
                            return True

                        if self.network is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.SpanningTree.Portfast']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.bpduguard is not None and self.bpduguard._has_data():
                        return True

                    if self.portfast is not None and self.portfast._has_data():
                        return True

                    if self.service_policy is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.SpanningTree']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Template.Msp_Vc_Interface_Template.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast()
                    self.broadcast.parent = self


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\:  Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.b_unit = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.b_unit is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.StormControl.Broadcast']['meta_info']


                class Action(object):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.StormControl.Action']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.StormControl']['meta_info']


            class Ip(object):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dhcp = Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp()
                    self.dhcp.parent = self


                class Dhcp(object):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.snooping = Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp.Snooping()
                        self.snooping.parent = self


                    class Snooping(object):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self


                        class Limit(object):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\:  int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping/Cisco-IOS-XE-switch:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp.Snooping']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.snooping is not None and self.snooping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.Ip.Dhcp']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Msp_Vc_Interface_Template.Ip']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:MSP_VC_INTERFACE_TEMPLATE'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ip is not None and self.ip._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.spanning_tree is not None and self.spanning_tree._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Template.Msp_Vc_Interface_Template']['meta_info']


        class Printer_Interface_Template(object):
            """
            built\-in modified
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.Ip>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\:  int
            
            	**range:** 30..600
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.ServicePolicy>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.Switchport>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ip = Native.Template.Printer_Interface_Template.Ip()
                self.ip.parent = self
                self.load_interval = None
                self.service_policy = Native.Template.Printer_Interface_Template.ServicePolicy()
                self.service_policy.parent = self
                self.spanning_tree = None
                self.storm_control = Native.Template.Printer_Interface_Template.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Template.Printer_Interface_Template.Switchport()
                self.switchport.parent = self


            class ServicePolicy(object):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.input = Native.Template.Printer_Interface_Template.ServicePolicy.Input()
                    self.input.parent = self
                    self.output = Native.Template.Printer_Interface_Template.ServicePolicy.Output()
                    self.output.parent = self


                class Input(object):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:input'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Printer_Interface_Template.ServicePolicy.Input']['meta_info']


                class Output(object):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:output'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Printer_Interface_Template.ServicePolicy.Output']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.input is not None and self.input._has_data():
                        return True

                    if self.output is not None and self.output._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Printer_Interface_Template.ServicePolicy']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.Switchport.Access>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:   :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.Switchport.Block>`
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:   :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:   :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access = Native.Template.Printer_Interface_Template.Switchport.Access()
                    self.access.parent = self
                    self.block = Native.Template.Printer_Interface_Template.Switchport.Block()
                    self.block.parent = self
                    self.mode = Native.Template.Printer_Interface_Template.Switchport.Mode()
                    self.mode.parent = self
                    self.nonegotiate = None
                    self.port_security = None
                    self.voice = Native.Template.Printer_Interface_Template.Switchport.Voice()
                    self.voice.parent = self


                class Mode(object):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access = None
                        self.trunk = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access is not None:
                            return True

                        if self.trunk is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Printer_Interface_Template.Switchport.Mode']['meta_info']


                class Block(object):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.unicast = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:block'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.unicast is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Printer_Interface_Template.Switchport.Block']['meta_info']


                class PortSecurity(object):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:   :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:   :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Violation>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aging = Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self.maximum = Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self.violation = Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Violation()
                        self.violation.parent = self


                    class Aging(object):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = None
                            self.time = None
                            self.type = None


                        class Type(object):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.inactivity = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging/Cisco-IOS-XE-switch:type'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.inactivity is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None:
                                return True

                            if self.time is not None:
                                return True

                            if self.type is not None and self.type._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']


                    class Maximum(object):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.range = YList()
                            self.range.parent = self
                            self.range.name = 'range'


                        class Range(object):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\:  int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.range = None
                                self.vlan = None


                            class Vlan(object):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.access = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.access is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info']

                            @property
                            def _common_path(self):
                                if self.range is None:
                                    raise YPYModelError('Key property range is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum/Cisco-IOS-XE-switch:range[Cisco-IOS-XE-switch:range = ' + str(self.range) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.range is not None:
                                    return True

                                if self.vlan is not None and self.vlan._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.range is not None:
                                for child_ref in self.range:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']


                    class Violation(object):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.restrict = None
                            self.shutdown = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:violation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.restrict is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Printer_Interface_Template.Switchport.PortSecurity.Violation']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aging is not None and self.aging._has_data():
                            return True

                        if self.maximum is not None and self.maximum._has_data():
                            return True

                        if self.violation is not None and self.violation._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Printer_Interface_Template.Switchport.PortSecurity']['meta_info']


                class Access(object):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:access'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Printer_Interface_Template.Switchport.Access']['meta_info']


                class Voice(object):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:voice'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Printer_Interface_Template.Switchport.Voice']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access is not None and self.access._has_data():
                        return True

                    if self.block is not None and self.block._has_data():
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.port_security is not None and self.port_security._has_data():
                        return True

                    if self.voice is not None and self.voice._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Printer_Interface_Template.Switchport']['meta_info']


            class SpanningTree(object):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:   :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.SpanningTree.Bpduguard>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:   :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.SpanningTree.Portfast>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.bpduguard = Native.Template.Printer_Interface_Template.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self.portfast = Native.Template.Printer_Interface_Template.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self.service_policy = None


                class Bpduguard(object):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enable = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:bpduguard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Printer_Interface_Template.SpanningTree.Bpduguard']['meta_info']


                class Portfast(object):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.disable = None
                        self.edge = None
                        self.network = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:portfast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.disable is not None:
                            return True

                        if self.edge is not None:
                            return True

                        if self.network is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Printer_Interface_Template.SpanningTree.Portfast']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.bpduguard is not None and self.bpduguard._has_data():
                        return True

                    if self.portfast is not None and self.portfast._has_data():
                        return True

                    if self.service_policy is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Printer_Interface_Template.SpanningTree']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.StormControl.Broadcast>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Template.Printer_Interface_Template.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Template.Printer_Interface_Template.StormControl.Broadcast()
                    self.broadcast.parent = self


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\:  Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.b_unit = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.b_unit is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Printer_Interface_Template.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Printer_Interface_Template.StormControl.Broadcast']['meta_info']


                class Action(object):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Printer_Interface_Template.StormControl.Action']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Printer_Interface_Template.StormControl']['meta_info']


            class Ip(object):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dhcp = Native.Template.Printer_Interface_Template.Ip.Dhcp()
                    self.dhcp.parent = self


                class Dhcp(object):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.snooping = Native.Template.Printer_Interface_Template.Ip.Dhcp.Snooping()
                        self.snooping.parent = self


                    class Snooping(object):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Printer_Interface_Template.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Template.Printer_Interface_Template.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self


                        class Limit(object):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\:  int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping/Cisco-IOS-XE-switch:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Printer_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Printer_Interface_Template.Ip.Dhcp.Snooping']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.snooping is not None and self.snooping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Printer_Interface_Template.Ip.Dhcp']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Printer_Interface_Template.Ip']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:PRINTER_INTERFACE_TEMPLATE'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ip is not None and self.ip._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.spanning_tree is not None and self.spanning_tree._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Template.Printer_Interface_Template']['meta_info']


        class Router_Interface_Template(object):
            """
            built\-in modified
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.Ip>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\:  int
            
            	**range:** 30..600
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.ServicePolicy>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.Switchport>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ip = Native.Template.Router_Interface_Template.Ip()
                self.ip.parent = self
                self.load_interval = None
                self.service_policy = Native.Template.Router_Interface_Template.ServicePolicy()
                self.service_policy.parent = self
                self.spanning_tree = None
                self.storm_control = Native.Template.Router_Interface_Template.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Template.Router_Interface_Template.Switchport()
                self.switchport.parent = self


            class ServicePolicy(object):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.input = Native.Template.Router_Interface_Template.ServicePolicy.Input()
                    self.input.parent = self
                    self.output = Native.Template.Router_Interface_Template.ServicePolicy.Output()
                    self.output.parent = self


                class Input(object):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:input'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Router_Interface_Template.ServicePolicy.Input']['meta_info']


                class Output(object):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:output'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Router_Interface_Template.ServicePolicy.Output']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.input is not None and self.input._has_data():
                        return True

                    if self.output is not None and self.output._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Router_Interface_Template.ServicePolicy']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.Switchport.Access>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:   :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.Switchport.Block>`
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:   :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:   :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access = Native.Template.Router_Interface_Template.Switchport.Access()
                    self.access.parent = self
                    self.block = Native.Template.Router_Interface_Template.Switchport.Block()
                    self.block.parent = self
                    self.mode = Native.Template.Router_Interface_Template.Switchport.Mode()
                    self.mode.parent = self
                    self.nonegotiate = None
                    self.port_security = None
                    self.voice = Native.Template.Router_Interface_Template.Switchport.Voice()
                    self.voice.parent = self


                class Mode(object):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access = None
                        self.trunk = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access is not None:
                            return True

                        if self.trunk is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Router_Interface_Template.Switchport.Mode']['meta_info']


                class Block(object):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.unicast = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:block'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.unicast is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Router_Interface_Template.Switchport.Block']['meta_info']


                class PortSecurity(object):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:   :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:   :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.Switchport.PortSecurity.Violation>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aging = Native.Template.Router_Interface_Template.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self.maximum = Native.Template.Router_Interface_Template.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self.violation = Native.Template.Router_Interface_Template.Switchport.PortSecurity.Violation()
                        self.violation.parent = self


                    class Aging(object):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = None
                            self.time = None
                            self.type = None


                        class Type(object):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.inactivity = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging/Cisco-IOS-XE-switch:type'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.inactivity is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Router_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None:
                                return True

                            if self.time is not None:
                                return True

                            if self.type is not None and self.type._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Router_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']


                    class Maximum(object):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.range = YList()
                            self.range.parent = self
                            self.range.name = 'range'


                        class Range(object):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\:  int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.range = None
                                self.vlan = None


                            class Vlan(object):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.access = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.access is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Template.Router_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info']

                            @property
                            def _common_path(self):
                                if self.range is None:
                                    raise YPYModelError('Key property range is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum/Cisco-IOS-XE-switch:range[Cisco-IOS-XE-switch:range = ' + str(self.range) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.range is not None:
                                    return True

                                if self.vlan is not None and self.vlan._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Router_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.range is not None:
                                for child_ref in self.range:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Router_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']


                    class Violation(object):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.restrict = None
                            self.shutdown = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:violation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.restrict is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Router_Interface_Template.Switchport.PortSecurity.Violation']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aging is not None and self.aging._has_data():
                            return True

                        if self.maximum is not None and self.maximum._has_data():
                            return True

                        if self.violation is not None and self.violation._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Router_Interface_Template.Switchport.PortSecurity']['meta_info']


                class Access(object):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:access'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Router_Interface_Template.Switchport.Access']['meta_info']


                class Voice(object):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:voice'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Router_Interface_Template.Switchport.Voice']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access is not None and self.access._has_data():
                        return True

                    if self.block is not None and self.block._has_data():
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.port_security is not None and self.port_security._has_data():
                        return True

                    if self.voice is not None and self.voice._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Router_Interface_Template.Switchport']['meta_info']


            class SpanningTree(object):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:   :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.SpanningTree.Bpduguard>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:   :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.SpanningTree.Portfast>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.bpduguard = Native.Template.Router_Interface_Template.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self.portfast = Native.Template.Router_Interface_Template.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self.service_policy = None


                class Bpduguard(object):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enable = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:bpduguard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Router_Interface_Template.SpanningTree.Bpduguard']['meta_info']


                class Portfast(object):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.disable = None
                        self.edge = None
                        self.network = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:portfast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.disable is not None:
                            return True

                        if self.edge is not None:
                            return True

                        if self.network is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Router_Interface_Template.SpanningTree.Portfast']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.bpduguard is not None and self.bpduguard._has_data():
                        return True

                    if self.portfast is not None and self.portfast._has_data():
                        return True

                    if self.service_policy is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Router_Interface_Template.SpanningTree']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.StormControl.Broadcast>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Template.Router_Interface_Template.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Template.Router_Interface_Template.StormControl.Broadcast()
                    self.broadcast.parent = self


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Template.Router_Interface_Template.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\:  Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Template.Router_Interface_Template.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Template.Router_Interface_Template.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Router_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.b_unit = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.b_unit is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Router_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Router_Interface_Template.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Router_Interface_Template.StormControl.Broadcast']['meta_info']


                class Action(object):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Router_Interface_Template.StormControl.Action']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Router_Interface_Template.StormControl']['meta_info']


            class Ip(object):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dhcp = Native.Template.Router_Interface_Template.Ip.Dhcp()
                    self.dhcp.parent = self


                class Dhcp(object):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.snooping = Native.Template.Router_Interface_Template.Ip.Dhcp.Snooping()
                        self.snooping.parent = self


                    class Snooping(object):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Router_Interface_Template.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Template.Router_Interface_Template.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self


                        class Limit(object):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\:  int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping/Cisco-IOS-XE-switch:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Router_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Router_Interface_Template.Ip.Dhcp.Snooping']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.snooping is not None and self.snooping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Router_Interface_Template.Ip.Dhcp']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Router_Interface_Template.Ip']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:ROUTER_INTERFACE_TEMPLATE'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ip is not None and self.ip._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.spanning_tree is not None and self.spanning_tree._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Template.Router_Interface_Template']['meta_info']


        class Switch_Interface_Template(object):
            """
            built\-in modified
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.Ip>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\:  int
            
            	**range:** 30..600
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.ServicePolicy>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.Switchport>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ip = Native.Template.Switch_Interface_Template.Ip()
                self.ip.parent = self
                self.load_interval = None
                self.service_policy = Native.Template.Switch_Interface_Template.ServicePolicy()
                self.service_policy.parent = self
                self.spanning_tree = None
                self.storm_control = Native.Template.Switch_Interface_Template.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Template.Switch_Interface_Template.Switchport()
                self.switchport.parent = self


            class ServicePolicy(object):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.input = Native.Template.Switch_Interface_Template.ServicePolicy.Input()
                    self.input.parent = self
                    self.output = Native.Template.Switch_Interface_Template.ServicePolicy.Output()
                    self.output.parent = self


                class Input(object):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:input'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Switch_Interface_Template.ServicePolicy.Input']['meta_info']


                class Output(object):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:output'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Switch_Interface_Template.ServicePolicy.Output']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.input is not None and self.input._has_data():
                        return True

                    if self.output is not None and self.output._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Switch_Interface_Template.ServicePolicy']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.Switchport.Access>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:   :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.Switchport.Block>`
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:   :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:   :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access = Native.Template.Switch_Interface_Template.Switchport.Access()
                    self.access.parent = self
                    self.block = Native.Template.Switch_Interface_Template.Switchport.Block()
                    self.block.parent = self
                    self.mode = Native.Template.Switch_Interface_Template.Switchport.Mode()
                    self.mode.parent = self
                    self.nonegotiate = None
                    self.port_security = None
                    self.voice = Native.Template.Switch_Interface_Template.Switchport.Voice()
                    self.voice.parent = self


                class Mode(object):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access = None
                        self.trunk = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access is not None:
                            return True

                        if self.trunk is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Switch_Interface_Template.Switchport.Mode']['meta_info']


                class Block(object):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.unicast = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:block'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.unicast is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Switch_Interface_Template.Switchport.Block']['meta_info']


                class PortSecurity(object):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:   :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:   :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Violation>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aging = Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self.maximum = Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self.violation = Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Violation()
                        self.violation.parent = self


                    class Aging(object):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = None
                            self.time = None
                            self.type = None


                        class Type(object):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.inactivity = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging/Cisco-IOS-XE-switch:type'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.inactivity is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None:
                                return True

                            if self.time is not None:
                                return True

                            if self.type is not None and self.type._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']


                    class Maximum(object):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.range = YList()
                            self.range.parent = self
                            self.range.name = 'range'


                        class Range(object):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\:  int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.range = None
                                self.vlan = None


                            class Vlan(object):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.access = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.access is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info']

                            @property
                            def _common_path(self):
                                if self.range is None:
                                    raise YPYModelError('Key property range is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum/Cisco-IOS-XE-switch:range[Cisco-IOS-XE-switch:range = ' + str(self.range) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.range is not None:
                                    return True

                                if self.vlan is not None and self.vlan._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.range is not None:
                                for child_ref in self.range:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']


                    class Violation(object):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.restrict = None
                            self.shutdown = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:violation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.restrict is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Switch_Interface_Template.Switchport.PortSecurity.Violation']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aging is not None and self.aging._has_data():
                            return True

                        if self.maximum is not None and self.maximum._has_data():
                            return True

                        if self.violation is not None and self.violation._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Switch_Interface_Template.Switchport.PortSecurity']['meta_info']


                class Access(object):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:access'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Switch_Interface_Template.Switchport.Access']['meta_info']


                class Voice(object):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:voice'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Switch_Interface_Template.Switchport.Voice']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access is not None and self.access._has_data():
                        return True

                    if self.block is not None and self.block._has_data():
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.port_security is not None and self.port_security._has_data():
                        return True

                    if self.voice is not None and self.voice._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Switch_Interface_Template.Switchport']['meta_info']


            class SpanningTree(object):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:   :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.SpanningTree.Bpduguard>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:   :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.SpanningTree.Portfast>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.bpduguard = Native.Template.Switch_Interface_Template.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self.portfast = Native.Template.Switch_Interface_Template.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self.service_policy = None


                class Bpduguard(object):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enable = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:bpduguard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Switch_Interface_Template.SpanningTree.Bpduguard']['meta_info']


                class Portfast(object):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.disable = None
                        self.edge = None
                        self.network = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:portfast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.disable is not None:
                            return True

                        if self.edge is not None:
                            return True

                        if self.network is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Switch_Interface_Template.SpanningTree.Portfast']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.bpduguard is not None and self.bpduguard._has_data():
                        return True

                    if self.portfast is not None and self.portfast._has_data():
                        return True

                    if self.service_policy is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Switch_Interface_Template.SpanningTree']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.StormControl.Broadcast>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Template.Switch_Interface_Template.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Template.Switch_Interface_Template.StormControl.Broadcast()
                    self.broadcast.parent = self


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\:  Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.b_unit = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.b_unit is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Switch_Interface_Template.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Switch_Interface_Template.StormControl.Broadcast']['meta_info']


                class Action(object):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Switch_Interface_Template.StormControl.Action']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Switch_Interface_Template.StormControl']['meta_info']


            class Ip(object):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dhcp = Native.Template.Switch_Interface_Template.Ip.Dhcp()
                    self.dhcp.parent = self


                class Dhcp(object):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.snooping = Native.Template.Switch_Interface_Template.Ip.Dhcp.Snooping()
                        self.snooping.parent = self


                    class Snooping(object):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Switch_Interface_Template.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Template.Switch_Interface_Template.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self


                        class Limit(object):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\:  int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping/Cisco-IOS-XE-switch:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Switch_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Switch_Interface_Template.Ip.Dhcp.Snooping']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.snooping is not None and self.snooping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Switch_Interface_Template.Ip.Dhcp']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Switch_Interface_Template.Ip']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:SWITCH_INTERFACE_TEMPLATE'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ip is not None and self.ip._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.spanning_tree is not None and self.spanning_tree._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Template.Switch_Interface_Template']['meta_info']


        class Tp_Interface_Template(object):
            """
            built\-in modified
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.Ip>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\:  int
            
            	**range:** 30..600
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:   :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.ServicePolicy>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:   :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:   :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.StormControl>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:   :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.Switchport>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.ip = Native.Template.Tp_Interface_Template.Ip()
                self.ip.parent = self
                self.load_interval = None
                self.service_policy = Native.Template.Tp_Interface_Template.ServicePolicy()
                self.service_policy.parent = self
                self.spanning_tree = None
                self.storm_control = Native.Template.Tp_Interface_Template.StormControl()
                self.storm_control.parent = self
                self.switchport = Native.Template.Tp_Interface_Template.Switchport()
                self.switchport.parent = self


            class ServicePolicy(object):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.input = Native.Template.Tp_Interface_Template.ServicePolicy.Input()
                    self.input.parent = self
                    self.output = Native.Template.Tp_Interface_Template.ServicePolicy.Output()
                    self.output.parent = self


                class Input(object):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:input'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Tp_Interface_Template.ServicePolicy.Input']['meta_info']


                class Output(object):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.policy_map_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy/Cisco-IOS-XE-switch:output'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.policy_map_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Tp_Interface_Template.ServicePolicy.Output']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:service-policy'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.input is not None and self.input._has_data():
                        return True

                    if self.output is not None and self.output._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Tp_Interface_Template.ServicePolicy']['meta_info']


            class Switchport(object):
                """
                Set switching mode characteristics
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:   :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.Switchport.Access>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:   :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.Switchport.Block>`
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:   :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:   :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:   :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.access = Native.Template.Tp_Interface_Template.Switchport.Access()
                    self.access.parent = self
                    self.block = Native.Template.Tp_Interface_Template.Switchport.Block()
                    self.block.parent = self
                    self.mode = Native.Template.Tp_Interface_Template.Switchport.Mode()
                    self.mode.parent = self
                    self.nonegotiate = None
                    self.port_security = None
                    self.voice = Native.Template.Tp_Interface_Template.Switchport.Voice()
                    self.voice.parent = self


                class Mode(object):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.access = None
                        self.trunk = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:mode'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.access is not None:
                            return True

                        if self.trunk is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Tp_Interface_Template.Switchport.Mode']['meta_info']


                class Block(object):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.unicast = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:block'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.unicast is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Tp_Interface_Template.Switchport.Block']['meta_info']


                class PortSecurity(object):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:   :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:   :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:   :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Violation>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.aging = Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self.maximum = Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self.violation = Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Violation()
                        self.violation.parent = self


                    class Aging(object):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\:  int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:   :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.static = None
                            self.time = None
                            self.type = None


                        class Type(object):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.inactivity = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging/Cisco-IOS-XE-switch:type'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.inactivity is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Aging.Type']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:aging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.static is not None:
                                return True

                            if self.time is not None:
                                return True

                            if self.type is not None and self.type._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Aging']['meta_info']


                    class Maximum(object):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of    :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.range = YList()
                            self.range.parent = self
                            self.range.name = 'range'


                        class Range(object):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\:  int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:   :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.range = None
                                self.vlan = None


                            class Vlan(object):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.access = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:vlan'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.access is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Maximum.Range.Vlan']['meta_info']

                            @property
                            def _common_path(self):
                                if self.range is None:
                                    raise YPYModelError('Key property range is None')

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum/Cisco-IOS-XE-switch:range[Cisco-IOS-XE-switch:range = ' + str(self.range) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.range is not None:
                                    return True

                                if self.vlan is not None and self.vlan._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Maximum.Range']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:maximum'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.range is not None:
                                for child_ref in self.range:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Maximum']['meta_info']


                    class Violation(object):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.restrict = None
                            self.shutdown = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security/Cisco-IOS-XE-switch:violation'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.restrict is not None:
                                return True

                            if self.shutdown is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Tp_Interface_Template.Switchport.PortSecurity.Violation']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:port-security'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.aging is not None and self.aging._has_data():
                            return True

                        if self.maximum is not None and self.maximum._has_data():
                            return True

                        if self.violation is not None and self.violation._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Tp_Interface_Template.Switchport.PortSecurity']['meta_info']


                class Access(object):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:access'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Tp_Interface_Template.Switchport.Access']['meta_info']


                class Voice(object):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\:  int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.vlan = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport/Cisco-IOS-XE-switch:voice'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.vlan is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Tp_Interface_Template.Switchport.Voice']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:switchport'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.access is not None and self.access._has_data():
                        return True

                    if self.block is not None and self.block._has_data():
                        return True

                    if self.mode is not None and self.mode._has_data():
                        return True

                    if self.nonegotiate is not None:
                        return True

                    if self.port_security is not None and self.port_security._has_data():
                        return True

                    if self.voice is not None and self.voice._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Tp_Interface_Template.Switchport']['meta_info']


            class SpanningTree(object):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:   :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.SpanningTree.Bpduguard>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:   :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.SpanningTree.Portfast>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: _is_presence
                
                	Is present if this instance represents presence container else not
                	**type**\: bool
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self._is_presence = True
                    self.bpduguard = Native.Template.Tp_Interface_Template.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self.portfast = Native.Template.Tp_Interface_Template.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self.service_policy = None


                class Bpduguard(object):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.enable = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:bpduguard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.enable is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Tp_Interface_Template.SpanningTree.Bpduguard']['meta_info']


                class Portfast(object):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.disable = None
                        self.edge = None
                        self.network = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree/Cisco-IOS-XE-switch:portfast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.disable is not None:
                            return True

                        if self.edge is not None:
                            return True

                        if self.network is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Tp_Interface_Template.SpanningTree.Portfast']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:spanning-tree'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self._is_presence:
                        return True
                    if self.bpduguard is not None and self.bpduguard._has_data():
                        return True

                    if self.portfast is not None and self.portfast._has_data():
                        return True

                    if self.service_policy is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Tp_Interface_Template.SpanningTree']['meta_info']


            class StormControl(object):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:   :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:   :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.StormControl.Broadcast>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.action = Native.Template.Tp_Interface_Template.StormControl.Action()
                    self.action.parent = self
                    self.broadcast = Native.Template.Tp_Interface_Template.StormControl.Broadcast()
                    self.broadcast.parent = self


                class Broadcast(object):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:   :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.level = Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level()
                        self.level.parent = self


                    class Level(object):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:   :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:   :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\:  Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.bps = Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self.pps = Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self.threshold = None


                        class Pps(object):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:pps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level.Pps']['meta_info']


                        class Bps(object):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\:  Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.b_unit = None
                                self.threshold = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level/Cisco-IOS-XE-switch:bps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.b_unit is not None:
                                    return True

                                if self.threshold is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level.Bps']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast/Cisco-IOS-XE-switch:level'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.bps is not None and self.bps._has_data():
                                return True

                            if self.pps is not None and self.pps._has_data():
                                return True

                            if self.threshold is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Tp_Interface_Template.StormControl.Broadcast.Level']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:broadcast'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.level is not None and self.level._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Tp_Interface_Template.StormControl.Broadcast']['meta_info']


                class Action(object):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.shutdown = None
                        self.trap = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control/Cisco-IOS-XE-switch:action'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.shutdown is not None:
                            return True

                        if self.trap is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Tp_Interface_Template.StormControl.Action']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:storm-control'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.action is not None and self.action._has_data():
                        return True

                    if self.broadcast is not None and self.broadcast._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Tp_Interface_Template.StormControl']['meta_info']


            class Ip(object):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:   :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.dhcp = Native.Template.Tp_Interface_Template.Ip.Dhcp()
                    self.dhcp.parent = self


                class Dhcp(object):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:   :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.snooping = Native.Template.Tp_Interface_Template.Ip.Dhcp.Snooping()
                        self.snooping.parent = self


                    class Snooping(object):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:   :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Template.Tp_Interface_Template.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.limit = Native.Template.Tp_Interface_Template.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self


                        class Limit(object):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\:  int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.rate = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping/Cisco-IOS-XE-switch:limit'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Template.Tp_Interface_Template.Ip.Dhcp.Snooping.Limit']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp/Cisco-IOS-XE-switch:snooping'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.limit is not None and self.limit._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Template.Tp_Interface_Template.Ip.Dhcp.Snooping']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip/Cisco-IOS-XE-switch:dhcp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.snooping is not None and self.snooping._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Template.Tp_Interface_Template.Ip.Dhcp']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE/Cisco-IOS-XE-switch:ip'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.dhcp is not None and self.dhcp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Template.Tp_Interface_Template.Ip']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/Cisco-IOS-XE-switch:TP_INTERFACE_TEMPLATE'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.ip is not None and self.ip._has_data():
                    return True

                if self.load_interval is not None:
                    return True

                if self.service_policy is not None and self.service_policy._has_data():
                    return True

                if self.spanning_tree is not None and self.spanning_tree._has_data():
                    return True

                if self.storm_control is not None and self.storm_control._has_data():
                    return True

                if self.switchport is not None and self.switchport._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Template.Tp_Interface_Template']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.ap_interface_template is not None and self.ap_interface_template._has_data():
                return True

            if self.dmp_interface_template is not None and self.dmp_interface_template._has_data():
                return True

            if self.ip_camera_interface_template is not None and self.ip_camera_interface_template._has_data():
                return True

            if self.ip_phone_interface_template is not None and self.ip_phone_interface_template._has_data():
                return True

            if self.lap_interface_template is not None and self.lap_interface_template._has_data():
                return True

            if self.msp_camera_interface_template is not None and self.msp_camera_interface_template._has_data():
                return True

            if self.msp_vc_interface_template is not None and self.msp_vc_interface_template._has_data():
                return True

            if self.printer_interface_template is not None and self.printer_interface_template._has_data():
                return True

            if self.router_interface_template is not None and self.router_interface_template._has_data():
                return True

            if self.switch_interface_template is not None and self.switch_interface_template._has_data():
                return True

            if self.tp_interface_template is not None and self.tp_interface_template._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Template']['meta_info']


    class ServiceTemplate(object):
        """
        Configure a service\-template/identity policy
        
        .. attribute:: word  <key>
        
        	
        	**type**\:  str
        
        .. attribute:: inactivity_timer
        
        	Inactivity timeout value in seconds
        	**type**\:   :py:class:`InactivityTimer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceTemplate.InactivityTimer>`
        
        .. attribute:: linksec
        
        	Configure link security parameters
        	**type**\:   :py:class:`Linksec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceTemplate.Linksec>`
        
        .. attribute:: vlan
        
        	Vlan to be applied
        	**type**\:  int
        
        	**range:** 1..4094
        
        .. attribute:: voice
        
        	Voice feature
        	**type**\:   :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceTemplate.Voice>`
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.word = None
            self.inactivity_timer = Native.ServiceTemplate.InactivityTimer()
            self.inactivity_timer.parent = self
            self.linksec = Native.ServiceTemplate.Linksec()
            self.linksec.parent = self
            self.vlan = None
            self.voice = Native.ServiceTemplate.Voice()
            self.voice.parent = self


        class InactivityTimer(object):
            """
            Inactivity timeout value in seconds
            
            .. attribute:: probe
            
            	ARP probe
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: value
            
            	Enter a value between 1 and 65535
            	**type**\:  int
            
            	**range:** 1..65535
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.probe = None
                self.value = None

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-switch:inactivity-timer'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.probe is not None:
                    return True

                if self.value is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ServiceTemplate.InactivityTimer']['meta_info']


        class Linksec(object):
            """
            Configure link security parameters
            
            .. attribute:: policy
            
            	Set the link security policy
            	**type**\:   :py:class:`PolicyEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceTemplate.Linksec.PolicyEnum>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.policy = None

            class PolicyEnum(Enum):
                """
                PolicyEnum

                Set the link security policy

                .. data:: must_not_secure = 0

                .. data:: must_secure = 1

                .. data:: should_secure = 2

                """

                must_not_secure = 0

                must_secure = 1

                should_secure = 2


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.ServiceTemplate.Linksec.PolicyEnum']


            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-switch:linksec'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.policy is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ServiceTemplate.Linksec']['meta_info']


        class Voice(object):
            """
            Voice feature
            
            .. attribute:: vlan
            
            	Critical voice vlan
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.vlan = None

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-switch:voice'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.vlan is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.ServiceTemplate.Voice']['meta_info']

        @property
        def _common_path(self):
            if self.word is None:
                raise YPYModelError('Key property word is None')

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:service-template[Cisco-IOS-XE-switch:word = ' + str(self.word) + ']'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.word is not None:
                return True

            if self.inactivity_timer is not None and self.inactivity_timer._has_data():
                return True

            if self.linksec is not None and self.linksec._has_data():
                return True

            if self.vlan is not None:
                return True

            if self.voice is not None and self.voice._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.ServiceTemplate']['meta_info']


    class Arp(object):
        """
        Set a static ARP entry
        
        .. attribute:: access_list
        
        	Named access\-list
        	**type**\: list of    :py:class:`AccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList>`
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.access_list = YList()
            self.access_list.parent = self
            self.access_list.name = 'access_list'


        class AccessList(object):
            """
            Named access\-list
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  str
            
            .. attribute:: default
            
            	Set a command to its defaults
            	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default>`
            
            .. attribute:: deny
            
            	Specify packets to reject
            	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny>`
            
            .. attribute:: no
            
            	Negate a command or set its defaults
            	**type**\:   :py:class:`No <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No>`
            
            .. attribute:: permit
            
            	Specify packets to forward
            	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.name = None
                self.default = Native.Arp.AccessList.Default()
                self.default.parent = self
                self.deny = Native.Arp.AccessList.Deny()
                self.deny.parent = self
                self.no = Native.Arp.AccessList.No()
                self.no.parent = self
                self.permit = Native.Arp.AccessList.Permit()
                self.permit.parent = self


            class Permit(object):
                """
                Specify packets to forward
                
                .. attribute:: ip
                
                	Sender IP address
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip>`
                
                .. attribute:: request
                
                	ARP Request
                	**type**\:   :py:class:`Request <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request>`
                
                .. attribute:: response
                
                	ARP Response
                	**type**\:   :py:class:`Response <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Arp.AccessList.Permit.Ip()
                    self.ip.parent = self
                    self.request = Native.Arp.AccessList.Permit.Request()
                    self.request.parent = self
                    self.response = Native.Arp.AccessList.Permit.Response()
                    self.response.parent = self


                class Ip(object):
                    """
                    Sender IP address
                    
                    .. attribute:: any
                    
                    	Any Sender IP address
                    	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Any>`
                    
                    .. attribute:: host
                    
                    	Single Sender host
                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Host>`
                    
                    .. attribute:: sender_ip_address
                    
                    	Sender IP address
                    	**type**\: list of    :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.SenderIpAddress>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.any = Native.Arp.AccessList.Permit.Ip.Any()
                        self.any.parent = self
                        self.host = Native.Arp.AccessList.Permit.Ip.Host()
                        self.host.parent = self
                        self.sender_ip_address = YList()
                        self.sender_ip_address.parent = self
                        self.sender_ip_address.name = 'sender_ip_address'


                    class SenderIpAddress(object):
                        """
                        Sender IP address
                        
                        .. attribute:: ip_address  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip_address_mask
                        
                        	Sender IP wildcard mask
                        	**type**\:  str
                        
                        .. attribute:: mac
                        
                        	Sender MAC address
                        	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip_address = None
                            self.ip_address_mask = None
                            self.mac = Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac()
                            self.mac.parent = self


                        class Mac(object):
                            """
                            Sender MAC address
                            
                            .. attribute:: any
                            
                            	Any MAC address
                            	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Any>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host>`
                            
                            .. attribute:: sender_mac_address
                            
                            	Sender MAC address
                            	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.host = Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host()
                                self.host.parent = self
                                self.sender_mac_address = YList()
                                self.sender_mac_address.parent = self
                                self.sender_mac_address.name = 'sender_mac_address'


                            class SenderMacAddress(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: mac_address  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: log
                                
                                	Log on match
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mac_address_mask
                                
                                	Sender MAC address mask
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mac_address = None
                                    self.log = None
                                    self.mac_address_mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.mac_address is None:
                                        raise YPYModelError('Key property mac_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mac_address is not None:
                                        return True

                                    if self.log is not None:
                                        return True

                                    if self.mac_address_mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info']


                            class Any(object):
                                """
                                Any MAC address
                                
                                .. attribute:: log
                                
                                	Log on match
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.log = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.log is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Any']['meta_info']


                            class Host(object):
                                """
                                Single Sender host
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.any is not None and self.any._has_data():
                                    return True

                                if self.host is not None and self.host._has_data():
                                    return True

                                if self.sender_mac_address is not None:
                                    for child_ref in self.sender_mac_address:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ip_address is None:
                                raise YPYModelError('Key property ip_address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip_address is not None:
                                return True

                            if self.ip_address_mask is not None:
                                return True

                            if self.mac is not None and self.mac._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.Permit.Ip.SenderIpAddress']['meta_info']


                    class Any(object):
                        """
                        Any Sender IP address
                        
                        .. attribute:: mac
                        
                        	Sender MAC address
                        	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Any.Mac>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.mac = Native.Arp.AccessList.Permit.Ip.Any.Mac()
                            self.mac.parent = self


                        class Mac(object):
                            """
                            Sender MAC address
                            
                            .. attribute:: any
                            
                            	Any MAC address
                            	**type**\:   :py:class:`Any_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Any.Mac.Any_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Any.Mac.Host>`
                            
                            .. attribute:: sender_mac_address
                            
                            	Sender MAC address
                            	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Any.Mac.SenderMacAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.host = Native.Arp.AccessList.Permit.Ip.Any.Mac.Host()
                                self.host.parent = self
                                self.sender_mac_address = YList()
                                self.sender_mac_address.parent = self
                                self.sender_mac_address.name = 'sender_mac_address'


                            class SenderMacAddress(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: mac_address  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: log
                                
                                	Log on match
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mac_address_mask
                                
                                	Sender MAC address mask
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mac_address = None
                                    self.log = None
                                    self.mac_address_mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.mac_address is None:
                                        raise YPYModelError('Key property mac_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mac_address is not None:
                                        return True

                                    if self.log is not None:
                                        return True

                                    if self.mac_address_mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Permit.Ip.Any.Mac.SenderMacAddress']['meta_info']


                            class Any_(object):
                                """
                                Any MAC address
                                
                                .. attribute:: log
                                
                                	Log on match
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.log = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.log is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Permit.Ip.Any.Mac.Any_']['meta_info']


                            class Host(object):
                                """
                                Single Sender host
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Any.Mac.Host.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Permit.Ip.Any.Mac.Host.SenderMacAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Permit.Ip.Any.Mac.Host']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.any is not None and self.any._has_data():
                                    return True

                                if self.host is not None and self.host._has_data():
                                    return True

                                if self.sender_mac_address is not None:
                                    for child_ref in self.sender_mac_address:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Permit.Ip.Any.Mac']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.mac is not None and self.mac._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.Permit.Ip.Any']['meta_info']


                    class Host(object):
                        """
                        Single Sender host
                        
                        .. attribute:: ip_address
                        
                        	Sender IP address
                        	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Host.IpAddress>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip_address = YList()
                            self.ip_address.parent = self
                            self.ip_address.name = 'ip_address'


                        class IpAddress(object):
                            """
                            Sender IP address
                            
                            .. attribute:: ip_address  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_address = None
                                self.mac = Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac()
                                self.mac.parent = self


                            class Mac(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:   :py:class:`Host_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host_>`
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.any = None
                                    self.host = Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host_()
                                    self.host.parent = self
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None
                                        self.mac_address_mask = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        if self.mac_address_mask is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info']


                                class Any(object):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Any']['meta_info']


                                class Host_(object):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host_']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.any is not None and self.any._has_data():
                                        return True

                                    if self.host is not None and self.host._has_data():
                                        return True

                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_address is None:
                                    raise YPYModelError('Key property ip_address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_address is not None:
                                    return True

                                if self.mac is not None and self.mac._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Permit.Ip.Host.IpAddress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip_address is not None:
                                for child_ref in self.ip_address:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.Permit.Ip.Host']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.any is not None and self.any._has_data():
                            return True

                        if self.host is not None and self.host._has_data():
                            return True

                        if self.sender_ip_address is not None:
                            for child_ref in self.sender_ip_address:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Arp.AccessList.Permit.Ip']['meta_info']


                class Request(object):
                    """
                    ARP Request
                    
                    .. attribute:: ip
                    
                    	Sender IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Arp.AccessList.Permit.Request.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Sender IP address
                        
                        .. attribute:: any
                        
                        	Any Sender IP address
                        	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Any>`
                        
                        .. attribute:: host
                        
                        	Single Sender host
                        	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Host>`
                        
                        .. attribute:: sender_ip_address
                        
                        	Sender IP address
                        	**type**\: list of    :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.any = Native.Arp.AccessList.Permit.Request.Ip.Any()
                            self.any.parent = self
                            self.host = Native.Arp.AccessList.Permit.Request.Ip.Host()
                            self.host.parent = self
                            self.sender_ip_address = YList()
                            self.sender_ip_address.parent = self
                            self.sender_ip_address.name = 'sender_ip_address'


                        class SenderIpAddress(object):
                            """
                            Sender IP address
                            
                            .. attribute:: ip_address  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: ip_address_mask
                            
                            	Sender IP wildcard mask
                            	**type**\:  str
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_address = None
                                self.ip_address_mask = None
                                self.mac = Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac()
                                self.mac.parent = self


                            class Mac(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host>`
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.any = None
                                    self.host = Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host()
                                    self.host.parent = self
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None
                                        self.mac_address_mask = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        if self.mac_address_mask is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info']


                                class Any(object):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Any']['meta_info']


                                class Host(object):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.any is not None and self.any._has_data():
                                        return True

                                    if self.host is not None and self.host._has_data():
                                        return True

                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_address is None:
                                    raise YPYModelError('Key property ip_address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_address is not None:
                                    return True

                                if self.ip_address_mask is not None:
                                    return True

                                if self.mac is not None and self.mac._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress']['meta_info']


                        class Any(object):
                            """
                            Any Sender IP address
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Any.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mac = Native.Arp.AccessList.Permit.Request.Ip.Any.Mac()
                                self.mac.parent = self


                            class Mac(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:   :py:class:`Any_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Any_>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host>`
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.any = None
                                    self.host = Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host()
                                    self.host.parent = self
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None
                                        self.mac_address_mask = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        if self.mac_address_mask is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.SenderMacAddress']['meta_info']


                                class Any_(object):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Any_']['meta_info']


                                class Host(object):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.any is not None and self.any._has_data():
                                        return True

                                    if self.host is not None and self.host._has_data():
                                        return True

                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Permit.Request.Ip.Any.Mac']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mac is not None and self.mac._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Permit.Request.Ip.Any']['meta_info']


                        class Host(object):
                            """
                            Single Sender host
                            
                            .. attribute:: ip_address
                            
                            	Sender IP address
                            	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_address = YList()
                                self.ip_address.parent = self
                                self.ip_address.name = 'ip_address'


                            class IpAddress(object):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = None
                                    self.mac = Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host_>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host_()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info']


                                    class Any(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Any']['meta_info']


                                    class Host_(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_address is None:
                                        raise YPYModelError('Key property ip_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        return True

                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_address is not None:
                                    for child_ref in self.ip_address:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Permit.Request.Ip.Host']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any is not None and self.any._has_data():
                                return True

                            if self.host is not None and self.host._has_data():
                                return True

                            if self.sender_ip_address is not None:
                                for child_ref in self.sender_ip_address:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.Permit.Request.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:request'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Arp.AccessList.Permit.Request']['meta_info']


                class Response(object):
                    """
                    ARP Response
                    
                    .. attribute:: ip
                    
                    	Sender IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Arp.AccessList.Permit.Response.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Sender IP address
                        
                        .. attribute:: any
                        
                        	Any Sender IP address
                        	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Any>`
                        
                        .. attribute:: host
                        
                        	Single Sender host
                        	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Host>`
                        
                        .. attribute:: sender_ip_address
                        
                        	Sender IP address
                        	**type**\: list of    :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.any = Native.Arp.AccessList.Permit.Response.Ip.Any()
                            self.any.parent = self
                            self.host = Native.Arp.AccessList.Permit.Response.Ip.Host()
                            self.host.parent = self
                            self.sender_ip_address = YList()
                            self.sender_ip_address.parent = self
                            self.sender_ip_address.name = 'sender_ip_address'


                        class SenderIpAddress(object):
                            """
                            Sender IP address
                            
                            .. attribute:: ip_address  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: ip_address_mask
                            
                            	Sender IP wildcard mask
                            	**type**\:  str
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_address = None
                                self.ip_address_mask = None
                                self.mac = Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac()
                                self.mac.parent = self


                            class Mac(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host>`
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.any = None
                                    self.host = Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host()
                                    self.host.parent = self
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None
                                        self.mac_address_mask = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        if self.mac_address_mask is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info']


                                class Any(object):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Any']['meta_info']


                                class Host(object):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.any is not None and self.any._has_data():
                                        return True

                                    if self.host is not None and self.host._has_data():
                                        return True

                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_address is None:
                                    raise YPYModelError('Key property ip_address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_address is not None:
                                    return True

                                if self.ip_address_mask is not None:
                                    return True

                                if self.mac is not None and self.mac._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress']['meta_info']


                        class Any(object):
                            """
                            Any Sender IP address
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Any.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mac = Native.Arp.AccessList.Permit.Response.Ip.Any.Mac()
                                self.mac.parent = self


                            class Mac(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:   :py:class:`Any_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Any_>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host>`
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.any = None
                                    self.host = Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host()
                                    self.host.parent = self
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None
                                        self.mac_address_mask = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        if self.mac_address_mask is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.SenderMacAddress']['meta_info']


                                class Any_(object):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Any_']['meta_info']


                                class Host(object):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.any is not None and self.any._has_data():
                                        return True

                                    if self.host is not None and self.host._has_data():
                                        return True

                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Permit.Response.Ip.Any.Mac']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mac is not None and self.mac._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Permit.Response.Ip.Any']['meta_info']


                        class Host(object):
                            """
                            Single Sender host
                            
                            .. attribute:: ip_address
                            
                            	Sender IP address
                            	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_address = YList()
                                self.ip_address.parent = self
                                self.ip_address.name = 'ip_address'


                            class IpAddress(object):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = None
                                    self.mac = Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host_>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host_()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info']


                                    class Any(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Any']['meta_info']


                                    class Host_(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_address is None:
                                        raise YPYModelError('Key property ip_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        return True

                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_address is not None:
                                    for child_ref in self.ip_address:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Permit.Response.Ip.Host']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any is not None and self.any._has_data():
                                return True

                            if self.host is not None and self.host._has_data():
                                return True

                            if self.sender_ip_address is not None:
                                for child_ref in self.sender_ip_address:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.Permit.Response.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:response'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Arp.AccessList.Permit.Response']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:permit'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    if self.request is not None and self.request._has_data():
                        return True

                    if self.response is not None and self.response._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Arp.AccessList.Permit']['meta_info']


            class Deny(object):
                """
                Specify packets to reject
                
                .. attribute:: ip
                
                	Sender IP address
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip>`
                
                .. attribute:: request
                
                	ARP Request
                	**type**\:   :py:class:`Request <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request>`
                
                .. attribute:: response
                
                	ARP Response
                	**type**\:   :py:class:`Response <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.Arp.AccessList.Deny.Ip()
                    self.ip.parent = self
                    self.request = Native.Arp.AccessList.Deny.Request()
                    self.request.parent = self
                    self.response = Native.Arp.AccessList.Deny.Response()
                    self.response.parent = self


                class Ip(object):
                    """
                    Sender IP address
                    
                    .. attribute:: any
                    
                    	Any Sender IP address
                    	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Any>`
                    
                    .. attribute:: host
                    
                    	Single Sender host
                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Host>`
                    
                    .. attribute:: sender_ip_address
                    
                    	Sender IP address
                    	**type**\: list of    :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.SenderIpAddress>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.any = Native.Arp.AccessList.Deny.Ip.Any()
                        self.any.parent = self
                        self.host = Native.Arp.AccessList.Deny.Ip.Host()
                        self.host.parent = self
                        self.sender_ip_address = YList()
                        self.sender_ip_address.parent = self
                        self.sender_ip_address.name = 'sender_ip_address'


                    class SenderIpAddress(object):
                        """
                        Sender IP address
                        
                        .. attribute:: ip_address  <key>
                        
                        	
                        	**type**\:  str
                        
                        .. attribute:: ip_address_mask
                        
                        	Sender IP wildcard mask
                        	**type**\:  str
                        
                        .. attribute:: mac
                        
                        	Sender MAC address
                        	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip_address = None
                            self.ip_address_mask = None
                            self.mac = Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac()
                            self.mac.parent = self


                        class Mac(object):
                            """
                            Sender MAC address
                            
                            .. attribute:: any
                            
                            	Any MAC address
                            	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Any>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host>`
                            
                            .. attribute:: sender_mac_address
                            
                            	Sender MAC address
                            	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.host = Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host()
                                self.host.parent = self
                                self.sender_mac_address = YList()
                                self.sender_mac_address.parent = self
                                self.sender_mac_address.name = 'sender_mac_address'


                            class SenderMacAddress(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: mac_address  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: log
                                
                                	Log on match
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mac_address_mask
                                
                                	Sender MAC address mask
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mac_address = None
                                    self.log = None
                                    self.mac_address_mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.mac_address is None:
                                        raise YPYModelError('Key property mac_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mac_address is not None:
                                        return True

                                    if self.log is not None:
                                        return True

                                    if self.mac_address_mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info']


                            class Any(object):
                                """
                                Any MAC address
                                
                                .. attribute:: log
                                
                                	Log on match
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.log = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.log is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Any']['meta_info']


                            class Host(object):
                                """
                                Single Sender host
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.any is not None and self.any._has_data():
                                    return True

                                if self.host is not None and self.host._has_data():
                                    return True

                                if self.sender_mac_address is not None:
                                    for child_ref in self.sender_mac_address:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')
                            if self.ip_address is None:
                                raise YPYModelError('Key property ip_address is None')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip_address is not None:
                                return True

                            if self.ip_address_mask is not None:
                                return True

                            if self.mac is not None and self.mac._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.Deny.Ip.SenderIpAddress']['meta_info']


                    class Any(object):
                        """
                        Any Sender IP address
                        
                        .. attribute:: mac
                        
                        	Sender MAC address
                        	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Any.Mac>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.mac = Native.Arp.AccessList.Deny.Ip.Any.Mac()
                            self.mac.parent = self


                        class Mac(object):
                            """
                            Sender MAC address
                            
                            .. attribute:: any
                            
                            	Any MAC address
                            	**type**\:   :py:class:`Any_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Any.Mac.Any_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Any.Mac.Host>`
                            
                            .. attribute:: sender_mac_address
                            
                            	Sender MAC address
                            	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Any.Mac.SenderMacAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.host = Native.Arp.AccessList.Deny.Ip.Any.Mac.Host()
                                self.host.parent = self
                                self.sender_mac_address = YList()
                                self.sender_mac_address.parent = self
                                self.sender_mac_address.name = 'sender_mac_address'


                            class SenderMacAddress(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: mac_address  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: log
                                
                                	Log on match
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mac_address_mask
                                
                                	Sender MAC address mask
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mac_address = None
                                    self.log = None
                                    self.mac_address_mask = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.mac_address is None:
                                        raise YPYModelError('Key property mac_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mac_address is not None:
                                        return True

                                    if self.log is not None:
                                        return True

                                    if self.mac_address_mask is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Deny.Ip.Any.Mac.SenderMacAddress']['meta_info']


                            class Any_(object):
                                """
                                Any MAC address
                                
                                .. attribute:: log
                                
                                	Log on match
                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: _is_presence
                                
                                	Is present if this instance represents presence container else not
                                	**type**\: bool
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self._is_presence = True
                                    self.log = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self._is_presence:
                                        return True
                                    if self.log is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Deny.Ip.Any.Mac.Any_']['meta_info']


                            class Host(object):
                                """
                                Single Sender host
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Any.Mac.Host.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Deny.Ip.Any.Mac.Host.SenderMacAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Deny.Ip.Any.Mac.Host']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.any is not None and self.any._has_data():
                                    return True

                                if self.host is not None and self.host._has_data():
                                    return True

                                if self.sender_mac_address is not None:
                                    for child_ref in self.sender_mac_address:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Deny.Ip.Any.Mac']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.mac is not None and self.mac._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.Deny.Ip.Any']['meta_info']


                    class Host(object):
                        """
                        Single Sender host
                        
                        .. attribute:: ip_address
                        
                        	Sender IP address
                        	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Host.IpAddress>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip_address = YList()
                            self.ip_address.parent = self
                            self.ip_address.name = 'ip_address'


                        class IpAddress(object):
                            """
                            Sender IP address
                            
                            .. attribute:: ip_address  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_address = None
                                self.mac = Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac()
                                self.mac.parent = self


                            class Mac(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:   :py:class:`Host_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host_>`
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.any = None
                                    self.host = Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host_()
                                    self.host.parent = self
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None
                                        self.mac_address_mask = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        if self.mac_address_mask is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info']


                                class Any(object):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Any']['meta_info']


                                class Host_(object):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host_']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.any is not None and self.any._has_data():
                                        return True

                                    if self.host is not None and self.host._has_data():
                                        return True

                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_address is None:
                                    raise YPYModelError('Key property ip_address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_address is not None:
                                    return True

                                if self.mac is not None and self.mac._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Deny.Ip.Host.IpAddress']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip_address is not None:
                                for child_ref in self.ip_address:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.Deny.Ip.Host']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.any is not None and self.any._has_data():
                            return True

                        if self.host is not None and self.host._has_data():
                            return True

                        if self.sender_ip_address is not None:
                            for child_ref in self.sender_ip_address:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Arp.AccessList.Deny.Ip']['meta_info']


                class Request(object):
                    """
                    ARP Request
                    
                    .. attribute:: ip
                    
                    	Sender IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Arp.AccessList.Deny.Request.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Sender IP address
                        
                        .. attribute:: any
                        
                        	Any Sender IP address
                        	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Any>`
                        
                        .. attribute:: host
                        
                        	Single Sender host
                        	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Host>`
                        
                        .. attribute:: sender_ip_address
                        
                        	Sender IP address
                        	**type**\: list of    :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.any = Native.Arp.AccessList.Deny.Request.Ip.Any()
                            self.any.parent = self
                            self.host = Native.Arp.AccessList.Deny.Request.Ip.Host()
                            self.host.parent = self
                            self.sender_ip_address = YList()
                            self.sender_ip_address.parent = self
                            self.sender_ip_address.name = 'sender_ip_address'


                        class SenderIpAddress(object):
                            """
                            Sender IP address
                            
                            .. attribute:: ip_address  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: ip_address_mask
                            
                            	Sender IP wildcard mask
                            	**type**\:  str
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_address = None
                                self.ip_address_mask = None
                                self.mac = Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac()
                                self.mac.parent = self


                            class Mac(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host>`
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.any = None
                                    self.host = Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host()
                                    self.host.parent = self
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None
                                        self.mac_address_mask = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        if self.mac_address_mask is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info']


                                class Any(object):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Any']['meta_info']


                                class Host(object):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.any is not None and self.any._has_data():
                                        return True

                                    if self.host is not None and self.host._has_data():
                                        return True

                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_address is None:
                                    raise YPYModelError('Key property ip_address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_address is not None:
                                    return True

                                if self.ip_address_mask is not None:
                                    return True

                                if self.mac is not None and self.mac._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress']['meta_info']


                        class Any(object):
                            """
                            Any Sender IP address
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Any.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mac = Native.Arp.AccessList.Deny.Request.Ip.Any.Mac()
                                self.mac.parent = self


                            class Mac(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:   :py:class:`Any_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Any_>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host>`
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.any = None
                                    self.host = Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host()
                                    self.host.parent = self
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None
                                        self.mac_address_mask = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        if self.mac_address_mask is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.SenderMacAddress']['meta_info']


                                class Any_(object):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Any_']['meta_info']


                                class Host(object):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.any is not None and self.any._has_data():
                                        return True

                                    if self.host is not None and self.host._has_data():
                                        return True

                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Deny.Request.Ip.Any.Mac']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mac is not None and self.mac._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Deny.Request.Ip.Any']['meta_info']


                        class Host(object):
                            """
                            Single Sender host
                            
                            .. attribute:: ip_address
                            
                            	Sender IP address
                            	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_address = YList()
                                self.ip_address.parent = self
                                self.ip_address.name = 'ip_address'


                            class IpAddress(object):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = None
                                    self.mac = Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host_>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host_()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info']


                                    class Any(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Any']['meta_info']


                                    class Host_(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_address is None:
                                        raise YPYModelError('Key property ip_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        return True

                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_address is not None:
                                    for child_ref in self.ip_address:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Deny.Request.Ip.Host']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any is not None and self.any._has_data():
                                return True

                            if self.host is not None and self.host._has_data():
                                return True

                            if self.sender_ip_address is not None:
                                for child_ref in self.sender_ip_address:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.Deny.Request.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:request'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Arp.AccessList.Deny.Request']['meta_info']


                class Response(object):
                    """
                    ARP Response
                    
                    .. attribute:: ip
                    
                    	Sender IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Arp.AccessList.Deny.Response.Ip()
                        self.ip.parent = self


                    class Ip(object):
                        """
                        Sender IP address
                        
                        .. attribute:: any
                        
                        	Any Sender IP address
                        	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Any>`
                        
                        .. attribute:: host
                        
                        	Single Sender host
                        	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Host>`
                        
                        .. attribute:: sender_ip_address
                        
                        	Sender IP address
                        	**type**\: list of    :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.any = Native.Arp.AccessList.Deny.Response.Ip.Any()
                            self.any.parent = self
                            self.host = Native.Arp.AccessList.Deny.Response.Ip.Host()
                            self.host.parent = self
                            self.sender_ip_address = YList()
                            self.sender_ip_address.parent = self
                            self.sender_ip_address.name = 'sender_ip_address'


                        class SenderIpAddress(object):
                            """
                            Sender IP address
                            
                            .. attribute:: ip_address  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: ip_address_mask
                            
                            	Sender IP wildcard mask
                            	**type**\:  str
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_address = None
                                self.ip_address_mask = None
                                self.mac = Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac()
                                self.mac.parent = self


                            class Mac(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host>`
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.any = None
                                    self.host = Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host()
                                    self.host.parent = self
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None
                                        self.mac_address_mask = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        if self.mac_address_mask is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info']


                                class Any(object):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Any']['meta_info']


                                class Host(object):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.any is not None and self.any._has_data():
                                        return True

                                    if self.host is not None and self.host._has_data():
                                        return True

                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_address is None:
                                    raise YPYModelError('Key property ip_address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_address is not None:
                                    return True

                                if self.ip_address_mask is not None:
                                    return True

                                if self.mac is not None and self.mac._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress']['meta_info']


                        class Any(object):
                            """
                            Any Sender IP address
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Any.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mac = Native.Arp.AccessList.Deny.Response.Ip.Any.Mac()
                                self.mac.parent = self


                            class Mac(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:   :py:class:`Any_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Any_>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host>`
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.any = None
                                    self.host = Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host()
                                    self.host.parent = self
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None
                                        self.mac_address_mask = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        if self.mac_address_mask is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.SenderMacAddress']['meta_info']


                                class Any_(object):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Any_']['meta_info']


                                class Host(object):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.any is not None and self.any._has_data():
                                        return True

                                    if self.host is not None and self.host._has_data():
                                        return True

                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Deny.Response.Ip.Any.Mac']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mac is not None and self.mac._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Deny.Response.Ip.Any']['meta_info']


                        class Host(object):
                            """
                            Single Sender host
                            
                            .. attribute:: ip_address
                            
                            	Sender IP address
                            	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_address = YList()
                                self.ip_address.parent = self
                                self.ip_address.name = 'ip_address'


                            class IpAddress(object):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = None
                                    self.mac = Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host_>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host_()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info']


                                    class Any(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Any']['meta_info']


                                    class Host_(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_address is None:
                                        raise YPYModelError('Key property ip_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        return True

                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_address is not None:
                                    for child_ref in self.ip_address:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Deny.Response.Ip.Host']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any is not None and self.any._has_data():
                                return True

                            if self.host is not None and self.host._has_data():
                                return True

                            if self.sender_ip_address is not None:
                                for child_ref in self.sender_ip_address:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.Deny.Response.Ip']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:response'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Arp.AccessList.Deny.Response']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:deny'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    if self.request is not None and self.request._has_data():
                        return True

                    if self.response is not None and self.response._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Arp.AccessList.Deny']['meta_info']


            class Default(object):
                """
                Set a command to its defaults
                
                .. attribute:: deny
                
                	Specify packets to reject
                	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny>`
                
                .. attribute:: permit
                
                	Specify packets to forward
                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.deny = Native.Arp.AccessList.Default.Deny()
                    self.deny.parent = self
                    self.permit = Native.Arp.AccessList.Default.Permit()
                    self.permit.parent = self


                class Permit(object):
                    """
                    Specify packets to forward
                    
                    .. attribute:: ip
                    
                    	Sender IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip>`
                    
                    .. attribute:: request
                    
                    	ARP Request
                    	**type**\:   :py:class:`Request <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request>`
                    
                    .. attribute:: response
                    
                    	ARP Response
                    	**type**\:   :py:class:`Response <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Arp.AccessList.Default.Permit.Ip()
                        self.ip.parent = self
                        self.request = Native.Arp.AccessList.Default.Permit.Request()
                        self.request.parent = self
                        self.response = Native.Arp.AccessList.Default.Permit.Response()
                        self.response.parent = self


                    class Ip(object):
                        """
                        Sender IP address
                        
                        .. attribute:: any
                        
                        	Any Sender IP address
                        	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Any>`
                        
                        .. attribute:: host
                        
                        	Single Sender host
                        	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Host>`
                        
                        .. attribute:: sender_ip_address
                        
                        	Sender IP address
                        	**type**\: list of    :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.any = Native.Arp.AccessList.Default.Permit.Ip.Any()
                            self.any.parent = self
                            self.host = Native.Arp.AccessList.Default.Permit.Ip.Host()
                            self.host.parent = self
                            self.sender_ip_address = YList()
                            self.sender_ip_address.parent = self
                            self.sender_ip_address.name = 'sender_ip_address'


                        class SenderIpAddress(object):
                            """
                            Sender IP address
                            
                            .. attribute:: ip_address  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: ip_address_mask
                            
                            	Sender IP wildcard mask
                            	**type**\:  str
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_address = None
                                self.ip_address_mask = None
                                self.mac = Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac()
                                self.mac.parent = self


                            class Mac(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host>`
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.any = None
                                    self.host = Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host()
                                    self.host.parent = self
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None
                                        self.mac_address_mask = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        if self.mac_address_mask is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info']


                                class Any(object):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Any']['meta_info']


                                class Host(object):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.any is not None and self.any._has_data():
                                        return True

                                    if self.host is not None and self.host._has_data():
                                        return True

                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_address is None:
                                    raise YPYModelError('Key property ip_address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_address is not None:
                                    return True

                                if self.ip_address_mask is not None:
                                    return True

                                if self.mac is not None and self.mac._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress']['meta_info']


                        class Any(object):
                            """
                            Any Sender IP address
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Any.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mac = Native.Arp.AccessList.Default.Permit.Ip.Any.Mac()
                                self.mac.parent = self


                            class Mac(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:   :py:class:`Any_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Any_>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host>`
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.any = None
                                    self.host = Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host()
                                    self.host.parent = self
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None
                                        self.mac_address_mask = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        if self.mac_address_mask is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.SenderMacAddress']['meta_info']


                                class Any_(object):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Any_']['meta_info']


                                class Host(object):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host.SenderMacAddress']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.any is not None and self.any._has_data():
                                        return True

                                    if self.host is not None and self.host._has_data():
                                        return True

                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Default.Permit.Ip.Any.Mac']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mac is not None and self.mac._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Default.Permit.Ip.Any']['meta_info']


                        class Host(object):
                            """
                            Single Sender host
                            
                            .. attribute:: ip_address
                            
                            	Sender IP address
                            	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_address = YList()
                                self.ip_address.parent = self
                                self.ip_address.name = 'ip_address'


                            class IpAddress(object):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = None
                                    self.mac = Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host_>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host_()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info']


                                    class Any(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Any']['meta_info']


                                    class Host_(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_address is None:
                                        raise YPYModelError('Key property ip_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        return True

                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_address is not None:
                                    for child_ref in self.ip_address:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Default.Permit.Ip.Host']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any is not None and self.any._has_data():
                                return True

                            if self.host is not None and self.host._has_data():
                                return True

                            if self.sender_ip_address is not None:
                                for child_ref in self.sender_ip_address:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Ip']['meta_info']


                    class Request(object):
                        """
                        ARP Request
                        
                        .. attribute:: ip
                        
                        	Sender IP address
                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = Native.Arp.AccessList.Default.Permit.Request.Ip()
                            self.ip.parent = self


                        class Ip(object):
                            """
                            Sender IP address
                            
                            .. attribute:: any
                            
                            	Any Sender IP address
                            	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Any>`
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Host>`
                            
                            .. attribute:: sender_ip_address
                            
                            	Sender IP address
                            	**type**\: list of    :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.any = Native.Arp.AccessList.Default.Permit.Request.Ip.Any()
                                self.any.parent = self
                                self.host = Native.Arp.AccessList.Default.Permit.Request.Ip.Host()
                                self.host.parent = self
                                self.sender_ip_address = YList()
                                self.sender_ip_address.parent = self
                                self.sender_ip_address.name = 'sender_ip_address'


                            class SenderIpAddress(object):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: ip_address_mask
                                
                                	Sender IP wildcard mask
                                	**type**\:  str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = None
                                    self.ip_address_mask = None
                                    self.mac = Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info']


                                    class Any(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Any']['meta_info']


                                    class Host(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_address is None:
                                        raise YPYModelError('Key property ip_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        return True

                                    if self.ip_address_mask is not None:
                                        return True

                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress']['meta_info']


                            class Any(object):
                                """
                                Any Sender IP address
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mac = Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Any_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.SenderMacAddress']['meta_info']


                                    class Any_(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Any_']['meta_info']


                                    class Host(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Any']['meta_info']


                            class Host(object):
                                """
                                Single Sender host
                                
                                .. attribute:: ip_address
                                
                                	Sender IP address
                                	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = YList()
                                    self.ip_address.parent = self
                                    self.ip_address.name = 'ip_address'


                                class IpAddress(object):
                                    """
                                    Sender IP address
                                    
                                    .. attribute:: ip_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: mac
                                    
                                    	Sender MAC address
                                    	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_address = None
                                        self.mac = Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac()
                                        self.mac.parent = self


                                    class Mac(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: any
                                        
                                        	Any MAC address
                                        	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Any>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: host
                                        
                                        	Single Sender host
                                        	**type**\:   :py:class:`Host_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host_>`
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.any = None
                                            self.host = Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host_()
                                            self.host.parent = self
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: mac_address_mask
                                            
                                            	Sender MAC address mask
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None
                                                self.mac_address_mask = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                if self.mac_address_mask is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info']


                                        class Any(object):
                                            """
                                            Any MAC address
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Any']['meta_info']


                                        class Host_(object):
                                            """
                                            Single Sender host
                                            
                                            .. attribute:: sender_mac_address
                                            
                                            	Sender MAC address
                                            	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.sender_mac_address = YList()
                                                self.sender_mac_address.parent = self
                                                self.sender_mac_address.name = 'sender_mac_address'


                                            class SenderMacAddress(object):
                                                """
                                                Sender MAC address
                                                
                                                .. attribute:: mac_address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                .. attribute:: log
                                                
                                                	Log on match
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-sw'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.mac_address = None
                                                    self.log = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.mac_address is None:
                                                        raise YPYModelError('Key property mac_address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.mac_address is not None:
                                                        return True

                                                    if self.log is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.sender_mac_address is not None:
                                                    for child_ref in self.sender_mac_address:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.any is not None and self.any._has_data():
                                                return True

                                            if self.host is not None and self.host._has_data():
                                                return True

                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_address is None:
                                            raise YPYModelError('Key property ip_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_address is not None:
                                            return True

                                        if self.mac is not None and self.mac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        for child_ref in self.ip_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip.Host']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:ip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.any is not None and self.any._has_data():
                                    return True

                                if self.host is not None and self.host._has_data():
                                    return True

                                if self.sender_ip_address is not None:
                                    for child_ref in self.sender_ip_address:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Default.Permit.Request.Ip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:request'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None and self.ip._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Request']['meta_info']


                    class Response(object):
                        """
                        ARP Response
                        
                        .. attribute:: ip
                        
                        	Sender IP address
                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = Native.Arp.AccessList.Default.Permit.Response.Ip()
                            self.ip.parent = self


                        class Ip(object):
                            """
                            Sender IP address
                            
                            .. attribute:: any
                            
                            	Any Sender IP address
                            	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Any>`
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Host>`
                            
                            .. attribute:: sender_ip_address
                            
                            	Sender IP address
                            	**type**\: list of    :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.any = Native.Arp.AccessList.Default.Permit.Response.Ip.Any()
                                self.any.parent = self
                                self.host = Native.Arp.AccessList.Default.Permit.Response.Ip.Host()
                                self.host.parent = self
                                self.sender_ip_address = YList()
                                self.sender_ip_address.parent = self
                                self.sender_ip_address.name = 'sender_ip_address'


                            class SenderIpAddress(object):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: ip_address_mask
                                
                                	Sender IP wildcard mask
                                	**type**\:  str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = None
                                    self.ip_address_mask = None
                                    self.mac = Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info']


                                    class Any(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Any']['meta_info']


                                    class Host(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_address is None:
                                        raise YPYModelError('Key property ip_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        return True

                                    if self.ip_address_mask is not None:
                                        return True

                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress']['meta_info']


                            class Any(object):
                                """
                                Any Sender IP address
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mac = Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Any_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.SenderMacAddress']['meta_info']


                                    class Any_(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Any_']['meta_info']


                                    class Host(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Any']['meta_info']


                            class Host(object):
                                """
                                Single Sender host
                                
                                .. attribute:: ip_address
                                
                                	Sender IP address
                                	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = YList()
                                    self.ip_address.parent = self
                                    self.ip_address.name = 'ip_address'


                                class IpAddress(object):
                                    """
                                    Sender IP address
                                    
                                    .. attribute:: ip_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: mac
                                    
                                    	Sender MAC address
                                    	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_address = None
                                        self.mac = Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac()
                                        self.mac.parent = self


                                    class Mac(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: any
                                        
                                        	Any MAC address
                                        	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Any>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: host
                                        
                                        	Single Sender host
                                        	**type**\:   :py:class:`Host_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host_>`
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.any = None
                                            self.host = Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host_()
                                            self.host.parent = self
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: mac_address_mask
                                            
                                            	Sender MAC address mask
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None
                                                self.mac_address_mask = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                if self.mac_address_mask is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info']


                                        class Any(object):
                                            """
                                            Any MAC address
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Any']['meta_info']


                                        class Host_(object):
                                            """
                                            Single Sender host
                                            
                                            .. attribute:: sender_mac_address
                                            
                                            	Sender MAC address
                                            	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.sender_mac_address = YList()
                                                self.sender_mac_address.parent = self
                                                self.sender_mac_address.name = 'sender_mac_address'


                                            class SenderMacAddress(object):
                                                """
                                                Sender MAC address
                                                
                                                .. attribute:: mac_address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                .. attribute:: log
                                                
                                                	Log on match
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-sw'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.mac_address = None
                                                    self.log = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.mac_address is None:
                                                        raise YPYModelError('Key property mac_address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.mac_address is not None:
                                                        return True

                                                    if self.log is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.sender_mac_address is not None:
                                                    for child_ref in self.sender_mac_address:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.any is not None and self.any._has_data():
                                                return True

                                            if self.host is not None and self.host._has_data():
                                                return True

                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_address is None:
                                            raise YPYModelError('Key property ip_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_address is not None:
                                            return True

                                        if self.mac is not None and self.mac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        for child_ref in self.ip_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip.Host']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:ip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.any is not None and self.any._has_data():
                                    return True

                                if self.host is not None and self.host._has_data():
                                    return True

                                if self.sender_ip_address is not None:
                                    for child_ref in self.sender_ip_address:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Default.Permit.Response.Ip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:response'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None and self.ip._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.Default.Permit.Response']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:permit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.request is not None and self.request._has_data():
                            return True

                        if self.response is not None and self.response._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Arp.AccessList.Default.Permit']['meta_info']


                class Deny(object):
                    """
                    Specify packets to reject
                    
                    .. attribute:: ip
                    
                    	Sender IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip>`
                    
                    .. attribute:: request
                    
                    	ARP Request
                    	**type**\:   :py:class:`Request <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request>`
                    
                    .. attribute:: response
                    
                    	ARP Response
                    	**type**\:   :py:class:`Response <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Arp.AccessList.Default.Deny.Ip()
                        self.ip.parent = self
                        self.request = Native.Arp.AccessList.Default.Deny.Request()
                        self.request.parent = self
                        self.response = Native.Arp.AccessList.Default.Deny.Response()
                        self.response.parent = self


                    class Ip(object):
                        """
                        Sender IP address
                        
                        .. attribute:: any
                        
                        	Any Sender IP address
                        	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Any>`
                        
                        .. attribute:: host
                        
                        	Single Sender host
                        	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Host>`
                        
                        .. attribute:: sender_ip_address
                        
                        	Sender IP address
                        	**type**\: list of    :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.any = Native.Arp.AccessList.Default.Deny.Ip.Any()
                            self.any.parent = self
                            self.host = Native.Arp.AccessList.Default.Deny.Ip.Host()
                            self.host.parent = self
                            self.sender_ip_address = YList()
                            self.sender_ip_address.parent = self
                            self.sender_ip_address.name = 'sender_ip_address'


                        class SenderIpAddress(object):
                            """
                            Sender IP address
                            
                            .. attribute:: ip_address  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: ip_address_mask
                            
                            	Sender IP wildcard mask
                            	**type**\:  str
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_address = None
                                self.ip_address_mask = None
                                self.mac = Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac()
                                self.mac.parent = self


                            class Mac(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host>`
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.any = None
                                    self.host = Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host()
                                    self.host.parent = self
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None
                                        self.mac_address_mask = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        if self.mac_address_mask is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info']


                                class Any(object):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Any']['meta_info']


                                class Host(object):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.any is not None and self.any._has_data():
                                        return True

                                    if self.host is not None and self.host._has_data():
                                        return True

                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_address is None:
                                    raise YPYModelError('Key property ip_address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_address is not None:
                                    return True

                                if self.ip_address_mask is not None:
                                    return True

                                if self.mac is not None and self.mac._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress']['meta_info']


                        class Any(object):
                            """
                            Any Sender IP address
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Any.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mac = Native.Arp.AccessList.Default.Deny.Ip.Any.Mac()
                                self.mac.parent = self


                            class Mac(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:   :py:class:`Any_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Any_>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host>`
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.any = None
                                    self.host = Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host()
                                    self.host.parent = self
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None
                                        self.mac_address_mask = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        if self.mac_address_mask is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.SenderMacAddress']['meta_info']


                                class Any_(object):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Any_']['meta_info']


                                class Host(object):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host.SenderMacAddress']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.any is not None and self.any._has_data():
                                        return True

                                    if self.host is not None and self.host._has_data():
                                        return True

                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Default.Deny.Ip.Any.Mac']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mac is not None and self.mac._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Default.Deny.Ip.Any']['meta_info']


                        class Host(object):
                            """
                            Single Sender host
                            
                            .. attribute:: ip_address
                            
                            	Sender IP address
                            	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_address = YList()
                                self.ip_address.parent = self
                                self.ip_address.name = 'ip_address'


                            class IpAddress(object):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = None
                                    self.mac = Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host_>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host_()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info']


                                    class Any(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Any']['meta_info']


                                    class Host_(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_address is None:
                                        raise YPYModelError('Key property ip_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        return True

                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_address is not None:
                                    for child_ref in self.ip_address:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Default.Deny.Ip.Host']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any is not None and self.any._has_data():
                                return True

                            if self.host is not None and self.host._has_data():
                                return True

                            if self.sender_ip_address is not None:
                                for child_ref in self.sender_ip_address:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Ip']['meta_info']


                    class Request(object):
                        """
                        ARP Request
                        
                        .. attribute:: ip
                        
                        	Sender IP address
                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = Native.Arp.AccessList.Default.Deny.Request.Ip()
                            self.ip.parent = self


                        class Ip(object):
                            """
                            Sender IP address
                            
                            .. attribute:: any
                            
                            	Any Sender IP address
                            	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Any>`
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Host>`
                            
                            .. attribute:: sender_ip_address
                            
                            	Sender IP address
                            	**type**\: list of    :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.any = Native.Arp.AccessList.Default.Deny.Request.Ip.Any()
                                self.any.parent = self
                                self.host = Native.Arp.AccessList.Default.Deny.Request.Ip.Host()
                                self.host.parent = self
                                self.sender_ip_address = YList()
                                self.sender_ip_address.parent = self
                                self.sender_ip_address.name = 'sender_ip_address'


                            class SenderIpAddress(object):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: ip_address_mask
                                
                                	Sender IP wildcard mask
                                	**type**\:  str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = None
                                    self.ip_address_mask = None
                                    self.mac = Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info']


                                    class Any(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Any']['meta_info']


                                    class Host(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_address is None:
                                        raise YPYModelError('Key property ip_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        return True

                                    if self.ip_address_mask is not None:
                                        return True

                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress']['meta_info']


                            class Any(object):
                                """
                                Any Sender IP address
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mac = Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Any_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.SenderMacAddress']['meta_info']


                                    class Any_(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Any_']['meta_info']


                                    class Host(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Any']['meta_info']


                            class Host(object):
                                """
                                Single Sender host
                                
                                .. attribute:: ip_address
                                
                                	Sender IP address
                                	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = YList()
                                    self.ip_address.parent = self
                                    self.ip_address.name = 'ip_address'


                                class IpAddress(object):
                                    """
                                    Sender IP address
                                    
                                    .. attribute:: ip_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: mac
                                    
                                    	Sender MAC address
                                    	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_address = None
                                        self.mac = Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac()
                                        self.mac.parent = self


                                    class Mac(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: any
                                        
                                        	Any MAC address
                                        	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Any>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: host
                                        
                                        	Single Sender host
                                        	**type**\:   :py:class:`Host_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host_>`
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.any = None
                                            self.host = Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host_()
                                            self.host.parent = self
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: mac_address_mask
                                            
                                            	Sender MAC address mask
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None
                                                self.mac_address_mask = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                if self.mac_address_mask is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info']


                                        class Any(object):
                                            """
                                            Any MAC address
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Any']['meta_info']


                                        class Host_(object):
                                            """
                                            Single Sender host
                                            
                                            .. attribute:: sender_mac_address
                                            
                                            	Sender MAC address
                                            	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.sender_mac_address = YList()
                                                self.sender_mac_address.parent = self
                                                self.sender_mac_address.name = 'sender_mac_address'


                                            class SenderMacAddress(object):
                                                """
                                                Sender MAC address
                                                
                                                .. attribute:: mac_address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                .. attribute:: log
                                                
                                                	Log on match
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-sw'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.mac_address = None
                                                    self.log = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.mac_address is None:
                                                        raise YPYModelError('Key property mac_address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.mac_address is not None:
                                                        return True

                                                    if self.log is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.sender_mac_address is not None:
                                                    for child_ref in self.sender_mac_address:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.any is not None and self.any._has_data():
                                                return True

                                            if self.host is not None and self.host._has_data():
                                                return True

                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_address is None:
                                            raise YPYModelError('Key property ip_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_address is not None:
                                            return True

                                        if self.mac is not None and self.mac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        for child_ref in self.ip_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip.Host']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:ip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.any is not None and self.any._has_data():
                                    return True

                                if self.host is not None and self.host._has_data():
                                    return True

                                if self.sender_ip_address is not None:
                                    for child_ref in self.sender_ip_address:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Default.Deny.Request.Ip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:request'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None and self.ip._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Request']['meta_info']


                    class Response(object):
                        """
                        ARP Response
                        
                        .. attribute:: ip
                        
                        	Sender IP address
                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = Native.Arp.AccessList.Default.Deny.Response.Ip()
                            self.ip.parent = self


                        class Ip(object):
                            """
                            Sender IP address
                            
                            .. attribute:: any
                            
                            	Any Sender IP address
                            	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Any>`
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Host>`
                            
                            .. attribute:: sender_ip_address
                            
                            	Sender IP address
                            	**type**\: list of    :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.any = Native.Arp.AccessList.Default.Deny.Response.Ip.Any()
                                self.any.parent = self
                                self.host = Native.Arp.AccessList.Default.Deny.Response.Ip.Host()
                                self.host.parent = self
                                self.sender_ip_address = YList()
                                self.sender_ip_address.parent = self
                                self.sender_ip_address.name = 'sender_ip_address'


                            class SenderIpAddress(object):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: ip_address_mask
                                
                                	Sender IP wildcard mask
                                	**type**\:  str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = None
                                    self.ip_address_mask = None
                                    self.mac = Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info']


                                    class Any(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Any']['meta_info']


                                    class Host(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_address is None:
                                        raise YPYModelError('Key property ip_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        return True

                                    if self.ip_address_mask is not None:
                                        return True

                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress']['meta_info']


                            class Any(object):
                                """
                                Any Sender IP address
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mac = Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Any_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.SenderMacAddress']['meta_info']


                                    class Any_(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Any_']['meta_info']


                                    class Host(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Any']['meta_info']


                            class Host(object):
                                """
                                Single Sender host
                                
                                .. attribute:: ip_address
                                
                                	Sender IP address
                                	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = YList()
                                    self.ip_address.parent = self
                                    self.ip_address.name = 'ip_address'


                                class IpAddress(object):
                                    """
                                    Sender IP address
                                    
                                    .. attribute:: ip_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: mac
                                    
                                    	Sender MAC address
                                    	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_address = None
                                        self.mac = Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac()
                                        self.mac.parent = self


                                    class Mac(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: any
                                        
                                        	Any MAC address
                                        	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Any>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: host
                                        
                                        	Single Sender host
                                        	**type**\:   :py:class:`Host_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host_>`
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.any = None
                                            self.host = Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host_()
                                            self.host.parent = self
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: mac_address_mask
                                            
                                            	Sender MAC address mask
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None
                                                self.mac_address_mask = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                if self.mac_address_mask is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info']


                                        class Any(object):
                                            """
                                            Any MAC address
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Any']['meta_info']


                                        class Host_(object):
                                            """
                                            Single Sender host
                                            
                                            .. attribute:: sender_mac_address
                                            
                                            	Sender MAC address
                                            	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.sender_mac_address = YList()
                                                self.sender_mac_address.parent = self
                                                self.sender_mac_address.name = 'sender_mac_address'


                                            class SenderMacAddress(object):
                                                """
                                                Sender MAC address
                                                
                                                .. attribute:: mac_address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                .. attribute:: log
                                                
                                                	Log on match
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-sw'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.mac_address = None
                                                    self.log = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.mac_address is None:
                                                        raise YPYModelError('Key property mac_address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.mac_address is not None:
                                                        return True

                                                    if self.log is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.sender_mac_address is not None:
                                                    for child_ref in self.sender_mac_address:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.any is not None and self.any._has_data():
                                                return True

                                            if self.host is not None and self.host._has_data():
                                                return True

                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_address is None:
                                            raise YPYModelError('Key property ip_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_address is not None:
                                            return True

                                        if self.mac is not None and self.mac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        for child_ref in self.ip_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip.Host']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:ip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.any is not None and self.any._has_data():
                                    return True

                                if self.host is not None and self.host._has_data():
                                    return True

                                if self.sender_ip_address is not None:
                                    for child_ref in self.sender_ip_address:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.Default.Deny.Response.Ip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:response'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None and self.ip._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.Default.Deny.Response']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:deny'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.request is not None and self.request._has_data():
                            return True

                        if self.response is not None and self.response._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Arp.AccessList.Default.Deny']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:default'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.deny is not None and self.deny._has_data():
                        return True

                    if self.permit is not None and self.permit._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Arp.AccessList.Default']['meta_info']


            class No(object):
                """
                Negate a command or set its defaults
                
                .. attribute:: deny
                
                	Specify packets to reject
                	**type**\:   :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny>`
                
                .. attribute:: permit
                
                	Specify packets to forward
                	**type**\:   :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.deny = Native.Arp.AccessList.No.Deny()
                    self.deny.parent = self
                    self.permit = Native.Arp.AccessList.No.Permit()
                    self.permit.parent = self


                class Permit(object):
                    """
                    Specify packets to forward
                    
                    .. attribute:: ip
                    
                    	Sender IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip>`
                    
                    .. attribute:: request
                    
                    	ARP Request
                    	**type**\:   :py:class:`Request <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request>`
                    
                    .. attribute:: response
                    
                    	ARP Response
                    	**type**\:   :py:class:`Response <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Arp.AccessList.No.Permit.Ip()
                        self.ip.parent = self
                        self.request = Native.Arp.AccessList.No.Permit.Request()
                        self.request.parent = self
                        self.response = Native.Arp.AccessList.No.Permit.Response()
                        self.response.parent = self


                    class Ip(object):
                        """
                        Sender IP address
                        
                        .. attribute:: any
                        
                        	Any Sender IP address
                        	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Any>`
                        
                        .. attribute:: host
                        
                        	Single Sender host
                        	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Host>`
                        
                        .. attribute:: sender_ip_address
                        
                        	Sender IP address
                        	**type**\: list of    :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.any = Native.Arp.AccessList.No.Permit.Ip.Any()
                            self.any.parent = self
                            self.host = Native.Arp.AccessList.No.Permit.Ip.Host()
                            self.host.parent = self
                            self.sender_ip_address = YList()
                            self.sender_ip_address.parent = self
                            self.sender_ip_address.name = 'sender_ip_address'


                        class SenderIpAddress(object):
                            """
                            Sender IP address
                            
                            .. attribute:: ip_address  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: ip_address_mask
                            
                            	Sender IP wildcard mask
                            	**type**\:  str
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_address = None
                                self.ip_address_mask = None
                                self.mac = Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac()
                                self.mac.parent = self


                            class Mac(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host>`
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.any = None
                                    self.host = Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host()
                                    self.host.parent = self
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None
                                        self.mac_address_mask = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        if self.mac_address_mask is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info']


                                class Any(object):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Any']['meta_info']


                                class Host(object):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.any is not None and self.any._has_data():
                                        return True

                                    if self.host is not None and self.host._has_data():
                                        return True

                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_address is None:
                                    raise YPYModelError('Key property ip_address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_address is not None:
                                    return True

                                if self.ip_address_mask is not None:
                                    return True

                                if self.mac is not None and self.mac._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress']['meta_info']


                        class Any(object):
                            """
                            Any Sender IP address
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Any.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mac = Native.Arp.AccessList.No.Permit.Ip.Any.Mac()
                                self.mac.parent = self


                            class Mac(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:   :py:class:`Any_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Any_>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host>`
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Any.Mac.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.any = None
                                    self.host = Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host()
                                    self.host.parent = self
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None
                                        self.mac_address_mask = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        if self.mac_address_mask is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Permit.Ip.Any.Mac.SenderMacAddress']['meta_info']


                                class Any_(object):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Any_']['meta_info']


                                class Host(object):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host.SenderMacAddress']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.any is not None and self.any._has_data():
                                        return True

                                    if self.host is not None and self.host._has_data():
                                        return True

                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.No.Permit.Ip.Any.Mac']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mac is not None and self.mac._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.No.Permit.Ip.Any']['meta_info']


                        class Host(object):
                            """
                            Single Sender host
                            
                            .. attribute:: ip_address
                            
                            	Sender IP address
                            	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_address = YList()
                                self.ip_address.parent = self
                                self.ip_address.name = 'ip_address'


                            class IpAddress(object):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = None
                                    self.mac = Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host_>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host_()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info']


                                    class Any(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Any']['meta_info']


                                    class Host_(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_address is None:
                                        raise YPYModelError('Key property ip_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        return True

                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_address is not None:
                                    for child_ref in self.ip_address:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.No.Permit.Ip.Host']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any is not None and self.any._has_data():
                                return True

                            if self.host is not None and self.host._has_data():
                                return True

                            if self.sender_ip_address is not None:
                                for child_ref in self.sender_ip_address:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Ip']['meta_info']


                    class Request(object):
                        """
                        ARP Request
                        
                        .. attribute:: ip
                        
                        	Sender IP address
                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = Native.Arp.AccessList.No.Permit.Request.Ip()
                            self.ip.parent = self


                        class Ip(object):
                            """
                            Sender IP address
                            
                            .. attribute:: any
                            
                            	Any Sender IP address
                            	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Any>`
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Host>`
                            
                            .. attribute:: sender_ip_address
                            
                            	Sender IP address
                            	**type**\: list of    :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.any = Native.Arp.AccessList.No.Permit.Request.Ip.Any()
                                self.any.parent = self
                                self.host = Native.Arp.AccessList.No.Permit.Request.Ip.Host()
                                self.host.parent = self
                                self.sender_ip_address = YList()
                                self.sender_ip_address.parent = self
                                self.sender_ip_address.name = 'sender_ip_address'


                            class SenderIpAddress(object):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: ip_address_mask
                                
                                	Sender IP wildcard mask
                                	**type**\:  str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = None
                                    self.ip_address_mask = None
                                    self.mac = Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info']


                                    class Any(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Any']['meta_info']


                                    class Host(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_address is None:
                                        raise YPYModelError('Key property ip_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        return True

                                    if self.ip_address_mask is not None:
                                        return True

                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress']['meta_info']


                            class Any(object):
                                """
                                Any Sender IP address
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mac = Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Any_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.SenderMacAddress']['meta_info']


                                    class Any_(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Any_']['meta_info']


                                    class Host(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Any']['meta_info']


                            class Host(object):
                                """
                                Single Sender host
                                
                                .. attribute:: ip_address
                                
                                	Sender IP address
                                	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = YList()
                                    self.ip_address.parent = self
                                    self.ip_address.name = 'ip_address'


                                class IpAddress(object):
                                    """
                                    Sender IP address
                                    
                                    .. attribute:: ip_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: mac
                                    
                                    	Sender MAC address
                                    	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_address = None
                                        self.mac = Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac()
                                        self.mac.parent = self


                                    class Mac(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: any
                                        
                                        	Any MAC address
                                        	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Any>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: host
                                        
                                        	Single Sender host
                                        	**type**\:   :py:class:`Host_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host_>`
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.any = None
                                            self.host = Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host_()
                                            self.host.parent = self
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: mac_address_mask
                                            
                                            	Sender MAC address mask
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None
                                                self.mac_address_mask = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                if self.mac_address_mask is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info']


                                        class Any(object):
                                            """
                                            Any MAC address
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Any']['meta_info']


                                        class Host_(object):
                                            """
                                            Single Sender host
                                            
                                            .. attribute:: sender_mac_address
                                            
                                            	Sender MAC address
                                            	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.sender_mac_address = YList()
                                                self.sender_mac_address.parent = self
                                                self.sender_mac_address.name = 'sender_mac_address'


                                            class SenderMacAddress(object):
                                                """
                                                Sender MAC address
                                                
                                                .. attribute:: mac_address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                .. attribute:: log
                                                
                                                	Log on match
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-sw'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.mac_address = None
                                                    self.log = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.mac_address is None:
                                                        raise YPYModelError('Key property mac_address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.mac_address is not None:
                                                        return True

                                                    if self.log is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.sender_mac_address is not None:
                                                    for child_ref in self.sender_mac_address:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.any is not None and self.any._has_data():
                                                return True

                                            if self.host is not None and self.host._has_data():
                                                return True

                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_address is None:
                                            raise YPYModelError('Key property ip_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_address is not None:
                                            return True

                                        if self.mac is not None and self.mac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        for child_ref in self.ip_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.No.Permit.Request.Ip.Host']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:ip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.any is not None and self.any._has_data():
                                    return True

                                if self.host is not None and self.host._has_data():
                                    return True

                                if self.sender_ip_address is not None:
                                    for child_ref in self.sender_ip_address:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.No.Permit.Request.Ip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:request'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None and self.ip._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Request']['meta_info']


                    class Response(object):
                        """
                        ARP Response
                        
                        .. attribute:: ip
                        
                        	Sender IP address
                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = Native.Arp.AccessList.No.Permit.Response.Ip()
                            self.ip.parent = self


                        class Ip(object):
                            """
                            Sender IP address
                            
                            .. attribute:: any
                            
                            	Any Sender IP address
                            	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Any>`
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Host>`
                            
                            .. attribute:: sender_ip_address
                            
                            	Sender IP address
                            	**type**\: list of    :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.any = Native.Arp.AccessList.No.Permit.Response.Ip.Any()
                                self.any.parent = self
                                self.host = Native.Arp.AccessList.No.Permit.Response.Ip.Host()
                                self.host.parent = self
                                self.sender_ip_address = YList()
                                self.sender_ip_address.parent = self
                                self.sender_ip_address.name = 'sender_ip_address'


                            class SenderIpAddress(object):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: ip_address_mask
                                
                                	Sender IP wildcard mask
                                	**type**\:  str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = None
                                    self.ip_address_mask = None
                                    self.mac = Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info']


                                    class Any(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Any']['meta_info']


                                    class Host(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_address is None:
                                        raise YPYModelError('Key property ip_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        return True

                                    if self.ip_address_mask is not None:
                                        return True

                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress']['meta_info']


                            class Any(object):
                                """
                                Any Sender IP address
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mac = Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Any_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.SenderMacAddress']['meta_info']


                                    class Any_(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Any_']['meta_info']


                                    class Host(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Any']['meta_info']


                            class Host(object):
                                """
                                Single Sender host
                                
                                .. attribute:: ip_address
                                
                                	Sender IP address
                                	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = YList()
                                    self.ip_address.parent = self
                                    self.ip_address.name = 'ip_address'


                                class IpAddress(object):
                                    """
                                    Sender IP address
                                    
                                    .. attribute:: ip_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: mac
                                    
                                    	Sender MAC address
                                    	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_address = None
                                        self.mac = Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac()
                                        self.mac.parent = self


                                    class Mac(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: any
                                        
                                        	Any MAC address
                                        	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Any>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: host
                                        
                                        	Single Sender host
                                        	**type**\:   :py:class:`Host_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host_>`
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.any = None
                                            self.host = Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host_()
                                            self.host.parent = self
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: mac_address_mask
                                            
                                            	Sender MAC address mask
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None
                                                self.mac_address_mask = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                if self.mac_address_mask is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info']


                                        class Any(object):
                                            """
                                            Any MAC address
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Any']['meta_info']


                                        class Host_(object):
                                            """
                                            Single Sender host
                                            
                                            .. attribute:: sender_mac_address
                                            
                                            	Sender MAC address
                                            	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.sender_mac_address = YList()
                                                self.sender_mac_address.parent = self
                                                self.sender_mac_address.name = 'sender_mac_address'


                                            class SenderMacAddress(object):
                                                """
                                                Sender MAC address
                                                
                                                .. attribute:: mac_address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                .. attribute:: log
                                                
                                                	Log on match
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-sw'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.mac_address = None
                                                    self.log = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.mac_address is None:
                                                        raise YPYModelError('Key property mac_address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.mac_address is not None:
                                                        return True

                                                    if self.log is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.sender_mac_address is not None:
                                                    for child_ref in self.sender_mac_address:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.any is not None and self.any._has_data():
                                                return True

                                            if self.host is not None and self.host._has_data():
                                                return True

                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_address is None:
                                            raise YPYModelError('Key property ip_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_address is not None:
                                            return True

                                        if self.mac is not None and self.mac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        for child_ref in self.ip_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.No.Permit.Response.Ip.Host']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:ip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.any is not None and self.any._has_data():
                                    return True

                                if self.host is not None and self.host._has_data():
                                    return True

                                if self.sender_ip_address is not None:
                                    for child_ref in self.sender_ip_address:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.No.Permit.Response.Ip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:response'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None and self.ip._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.No.Permit.Response']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:permit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.request is not None and self.request._has_data():
                            return True

                        if self.response is not None and self.response._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Arp.AccessList.No.Permit']['meta_info']


                class Deny(object):
                    """
                    Specify packets to reject
                    
                    .. attribute:: ip
                    
                    	Sender IP address
                    	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip>`
                    
                    .. attribute:: request
                    
                    	ARP Request
                    	**type**\:   :py:class:`Request <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request>`
                    
                    .. attribute:: response
                    
                    	ARP Response
                    	**type**\:   :py:class:`Response <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.ip = Native.Arp.AccessList.No.Deny.Ip()
                        self.ip.parent = self
                        self.request = Native.Arp.AccessList.No.Deny.Request()
                        self.request.parent = self
                        self.response = Native.Arp.AccessList.No.Deny.Response()
                        self.response.parent = self


                    class Ip(object):
                        """
                        Sender IP address
                        
                        .. attribute:: any
                        
                        	Any Sender IP address
                        	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Any>`
                        
                        .. attribute:: host
                        
                        	Single Sender host
                        	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Host>`
                        
                        .. attribute:: sender_ip_address
                        
                        	Sender IP address
                        	**type**\: list of    :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.any = Native.Arp.AccessList.No.Deny.Ip.Any()
                            self.any.parent = self
                            self.host = Native.Arp.AccessList.No.Deny.Ip.Host()
                            self.host.parent = self
                            self.sender_ip_address = YList()
                            self.sender_ip_address.parent = self
                            self.sender_ip_address.name = 'sender_ip_address'


                        class SenderIpAddress(object):
                            """
                            Sender IP address
                            
                            .. attribute:: ip_address  <key>
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: ip_address_mask
                            
                            	Sender IP wildcard mask
                            	**type**\:  str
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_address = None
                                self.ip_address_mask = None
                                self.mac = Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac()
                                self.mac.parent = self


                            class Mac(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host>`
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.any = None
                                    self.host = Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host()
                                    self.host.parent = self
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None
                                        self.mac_address_mask = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        if self.mac_address_mask is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info']


                                class Any(object):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Any']['meta_info']


                                class Host(object):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.any is not None and self.any._has_data():
                                        return True

                                    if self.host is not None and self.host._has_data():
                                        return True

                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                if self.ip_address is None:
                                    raise YPYModelError('Key property ip_address is None')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_address is not None:
                                    return True

                                if self.ip_address_mask is not None:
                                    return True

                                if self.mac is not None and self.mac._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress']['meta_info']


                        class Any(object):
                            """
                            Any Sender IP address
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Any.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.mac = Native.Arp.AccessList.No.Deny.Ip.Any.Mac()
                                self.mac.parent = self


                            class Mac(object):
                                """
                                Sender MAC address
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:   :py:class:`Any_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Any_>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host>`
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Any.Mac.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.any = None
                                    self.host = Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host()
                                    self.host.parent = self
                                    self.sender_mac_address = YList()
                                    self.sender_mac_address.parent = self
                                    self.sender_mac_address.name = 'sender_mac_address'


                                class SenderMacAddress(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.mac_address = None
                                        self.log = None
                                        self.mac_address_mask = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.mac_address is None:
                                            raise YPYModelError('Key property mac_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.mac_address is not None:
                                            return True

                                        if self.log is not None:
                                            return True

                                        if self.mac_address_mask is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Deny.Ip.Any.Mac.SenderMacAddress']['meta_info']


                                class Any_(object):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: _is_presence
                                    
                                    	Is present if this instance represents presence container else not
                                    	**type**\: bool
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self._is_presence = True
                                        self.log = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self._is_presence:
                                            return True
                                        if self.log is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Any_']['meta_info']


                                class Host(object):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host.SenderMacAddress']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.any is not None and self.any._has_data():
                                        return True

                                    if self.host is not None and self.host._has_data():
                                        return True

                                    if self.sender_mac_address is not None:
                                        for child_ref in self.sender_mac_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.No.Deny.Ip.Any.Mac']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.mac is not None and self.mac._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.No.Deny.Ip.Any']['meta_info']


                        class Host(object):
                            """
                            Single Sender host
                            
                            .. attribute:: ip_address
                            
                            	Sender IP address
                            	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.ip_address = YList()
                                self.ip_address.parent = self
                                self.ip_address.name = 'ip_address'


                            class IpAddress(object):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = None
                                    self.mac = Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host_>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host_()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info']


                                    class Any(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Any']['meta_info']


                                    class Host_(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_address is None:
                                        raise YPYModelError('Key property ip_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        return True

                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.ip_address is not None:
                                    for child_ref in self.ip_address:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.No.Deny.Ip.Host']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:ip'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.any is not None and self.any._has_data():
                                return True

                            if self.host is not None and self.host._has_data():
                                return True

                            if self.sender_ip_address is not None:
                                for child_ref in self.sender_ip_address:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Ip']['meta_info']


                    class Request(object):
                        """
                        ARP Request
                        
                        .. attribute:: ip
                        
                        	Sender IP address
                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = Native.Arp.AccessList.No.Deny.Request.Ip()
                            self.ip.parent = self


                        class Ip(object):
                            """
                            Sender IP address
                            
                            .. attribute:: any
                            
                            	Any Sender IP address
                            	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Any>`
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Host>`
                            
                            .. attribute:: sender_ip_address
                            
                            	Sender IP address
                            	**type**\: list of    :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.any = Native.Arp.AccessList.No.Deny.Request.Ip.Any()
                                self.any.parent = self
                                self.host = Native.Arp.AccessList.No.Deny.Request.Ip.Host()
                                self.host.parent = self
                                self.sender_ip_address = YList()
                                self.sender_ip_address.parent = self
                                self.sender_ip_address.name = 'sender_ip_address'


                            class SenderIpAddress(object):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: ip_address_mask
                                
                                	Sender IP wildcard mask
                                	**type**\:  str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = None
                                    self.ip_address_mask = None
                                    self.mac = Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info']


                                    class Any(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Any']['meta_info']


                                    class Host(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_address is None:
                                        raise YPYModelError('Key property ip_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        return True

                                    if self.ip_address_mask is not None:
                                        return True

                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress']['meta_info']


                            class Any(object):
                                """
                                Any Sender IP address
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mac = Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Any_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.SenderMacAddress']['meta_info']


                                    class Any_(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Any_']['meta_info']


                                    class Host(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Any']['meta_info']


                            class Host(object):
                                """
                                Single Sender host
                                
                                .. attribute:: ip_address
                                
                                	Sender IP address
                                	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = YList()
                                    self.ip_address.parent = self
                                    self.ip_address.name = 'ip_address'


                                class IpAddress(object):
                                    """
                                    Sender IP address
                                    
                                    .. attribute:: ip_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: mac
                                    
                                    	Sender MAC address
                                    	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_address = None
                                        self.mac = Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac()
                                        self.mac.parent = self


                                    class Mac(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: any
                                        
                                        	Any MAC address
                                        	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Any>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: host
                                        
                                        	Single Sender host
                                        	**type**\:   :py:class:`Host_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host_>`
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.any = None
                                            self.host = Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host_()
                                            self.host.parent = self
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: mac_address_mask
                                            
                                            	Sender MAC address mask
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None
                                                self.mac_address_mask = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                if self.mac_address_mask is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info']


                                        class Any(object):
                                            """
                                            Any MAC address
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Any']['meta_info']


                                        class Host_(object):
                                            """
                                            Single Sender host
                                            
                                            .. attribute:: sender_mac_address
                                            
                                            	Sender MAC address
                                            	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.sender_mac_address = YList()
                                                self.sender_mac_address.parent = self
                                                self.sender_mac_address.name = 'sender_mac_address'


                                            class SenderMacAddress(object):
                                                """
                                                Sender MAC address
                                                
                                                .. attribute:: mac_address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                .. attribute:: log
                                                
                                                	Log on match
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-sw'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.mac_address = None
                                                    self.log = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.mac_address is None:
                                                        raise YPYModelError('Key property mac_address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.mac_address is not None:
                                                        return True

                                                    if self.log is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.sender_mac_address is not None:
                                                    for child_ref in self.sender_mac_address:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.any is not None and self.any._has_data():
                                                return True

                                            if self.host is not None and self.host._has_data():
                                                return True

                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_address is None:
                                            raise YPYModelError('Key property ip_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_address is not None:
                                            return True

                                        if self.mac is not None and self.mac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        for child_ref in self.ip_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.No.Deny.Request.Ip.Host']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:ip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.any is not None and self.any._has_data():
                                    return True

                                if self.host is not None and self.host._has_data():
                                    return True

                                if self.sender_ip_address is not None:
                                    for child_ref in self.sender_ip_address:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.No.Deny.Request.Ip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:request'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None and self.ip._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Request']['meta_info']


                    class Response(object):
                        """
                        ARP Response
                        
                        .. attribute:: ip
                        
                        	Sender IP address
                        	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.ip = Native.Arp.AccessList.No.Deny.Response.Ip()
                            self.ip.parent = self


                        class Ip(object):
                            """
                            Sender IP address
                            
                            .. attribute:: any
                            
                            	Any Sender IP address
                            	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Any>`
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Host>`
                            
                            .. attribute:: sender_ip_address
                            
                            	Sender IP address
                            	**type**\: list of    :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.any = Native.Arp.AccessList.No.Deny.Response.Ip.Any()
                                self.any.parent = self
                                self.host = Native.Arp.AccessList.No.Deny.Response.Ip.Host()
                                self.host.parent = self
                                self.sender_ip_address = YList()
                                self.sender_ip_address.parent = self
                                self.sender_ip_address.name = 'sender_ip_address'


                            class SenderIpAddress(object):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\:  str
                                
                                .. attribute:: ip_address_mask
                                
                                	Sender IP wildcard mask
                                	**type**\:  str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = None
                                    self.ip_address_mask = None
                                    self.mac = Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress']['meta_info']


                                    class Any(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Any']['meta_info']


                                    class Host(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                    if self.ip_address is None:
                                        raise YPYModelError('Key property ip_address is None')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        return True

                                    if self.ip_address_mask is not None:
                                        return True

                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress']['meta_info']


                            class Any(object):
                                """
                                Any Sender IP address
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.mac = Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac()
                                    self.mac.parent = self


                                class Mac(object):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:   :py:class:`Any_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Any_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:   :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host>`
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.any = None
                                        self.host = Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host()
                                        self.host.parent = self
                                        self.sender_mac_address = YList()
                                        self.sender_mac_address.parent = self
                                        self.sender_mac_address.name = 'sender_mac_address'


                                    class SenderMacAddress(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.mac_address = None
                                            self.log = None
                                            self.mac_address_mask = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')
                                            if self.mac_address is None:
                                                raise YPYModelError('Key property mac_address is None')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.mac_address is not None:
                                                return True

                                            if self.log is not None:
                                                return True

                                            if self.mac_address_mask is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.SenderMacAddress']['meta_info']


                                    class Any_(object):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: _is_presence
                                        
                                        	Is present if this instance represents presence container else not
                                        	**type**\: bool
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self._is_presence = True
                                            self.log = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self._is_presence:
                                                return True
                                            if self.log is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Any_']['meta_info']


                                    class Host(object):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.any is not None and self.any._has_data():
                                            return True

                                        if self.host is not None and self.host._has_data():
                                            return True

                                        if self.sender_mac_address is not None:
                                            for child_ref in self.sender_mac_address:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.mac is not None and self.mac._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Any']['meta_info']


                            class Host(object):
                                """
                                Single Sender host
                                
                                .. attribute:: ip_address
                                
                                	Sender IP address
                                	**type**\: list of    :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.ip_address = YList()
                                    self.ip_address.parent = self
                                    self.ip_address.name = 'ip_address'


                                class IpAddress(object):
                                    """
                                    Sender IP address
                                    
                                    .. attribute:: ip_address  <key>
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: mac
                                    
                                    	Sender MAC address
                                    	**type**\:   :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.ip_address = None
                                        self.mac = Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac()
                                        self.mac.parent = self


                                    class Mac(object):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: any
                                        
                                        	Any MAC address
                                        	**type**\:   :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Any>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: host
                                        
                                        	Single Sender host
                                        	**type**\:   :py:class:`Host_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host_>`
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.any = None
                                            self.host = Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host_()
                                            self.host.parent = self
                                            self.sender_mac_address = YList()
                                            self.sender_mac_address.parent = self
                                            self.sender_mac_address.name = 'sender_mac_address'


                                        class SenderMacAddress(object):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\:  str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: mac_address_mask
                                            
                                            	Sender MAC address mask
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.mac_address = None
                                                self.log = None
                                                self.mac_address_mask = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')
                                                if self.mac_address is None:
                                                    raise YPYModelError('Key property mac_address is None')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.mac_address is not None:
                                                    return True

                                                if self.log is not None:
                                                    return True

                                                if self.mac_address_mask is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress']['meta_info']


                                        class Any(object):
                                            """
                                            Any MAC address
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: _is_presence
                                            
                                            	Is present if this instance represents presence container else not
                                            	**type**\: bool
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self._is_presence = True
                                                self.log = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:any'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self._is_presence:
                                                    return True
                                                if self.log is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Any']['meta_info']


                                        class Host_(object):
                                            """
                                            Single Sender host
                                            
                                            .. attribute:: sender_mac_address
                                            
                                            	Sender MAC address
                                            	**type**\: list of    :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                self.parent = None
                                                self.sender_mac_address = YList()
                                                self.sender_mac_address.parent = self
                                                self.sender_mac_address.name = 'sender_mac_address'


                                            class SenderMacAddress(object):
                                                """
                                                Sender MAC address
                                                
                                                .. attribute:: mac_address  <key>
                                                
                                                	
                                                	**type**\:  str
                                                
                                                .. attribute:: log
                                                
                                                	Log on match
                                                	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-sw'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.mac_address = None
                                                    self.log = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')
                                                    if self.mac_address is None:
                                                        raise YPYModelError('Key property mac_address is None')

                                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:sender-mac-address[Cisco-IOS-XE-switch:mac-address = ' + str(self.mac_address) + ']'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return True

                                                def _has_data(self):
                                                    if self.mac_address is not None:
                                                        return True

                                                    if self.log is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                    return meta._meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host_.SenderMacAddress']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return True

                                            def _has_data(self):
                                                if self.sender_mac_address is not None:
                                                    for child_ref in self.sender_mac_address:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                                return meta._meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XE-switch:mac'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.any is not None and self.any._has_data():
                                                return True

                                            if self.host is not None and self.host._has_data():
                                                return True

                                            if self.sender_mac_address is not None:
                                                for child_ref in self.sender_mac_address:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')
                                        if self.ip_address is None:
                                            raise YPYModelError('Key property ip_address is None')

                                        return self.parent._common_path +'/Cisco-IOS-XE-switch:ip-address[Cisco-IOS-XE-switch:ip-address = ' + str(self.ip_address) + ']'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.ip_address is not None:
                                            return True

                                        if self.mac is not None and self.mac._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XE-switch:host'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.ip_address is not None:
                                        for child_ref in self.ip_address:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.Arp.AccessList.No.Deny.Response.Ip.Host']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XE-switch:ip'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.any is not None and self.any._has_data():
                                    return True

                                if self.host is not None and self.host._has_data():
                                    return True

                                if self.sender_ip_address is not None:
                                    for child_ref in self.sender_ip_address:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.Arp.AccessList.No.Deny.Response.Ip']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:response'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.ip is not None and self.ip._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.Arp.AccessList.No.Deny.Response']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:deny'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.ip is not None and self.ip._has_data():
                            return True

                        if self.request is not None and self.request._has_data():
                            return True

                        if self.response is not None and self.response._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Arp.AccessList.No.Deny']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:no'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.deny is not None and self.deny._has_data():
                        return True

                    if self.permit is not None and self.permit._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Arp.AccessList.No']['meta_info']

            @property
            def _common_path(self):
                if self.name is None:
                    raise YPYModelError('Key property name is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:arp/Cisco-IOS-XE-switch:access-list[Cisco-IOS-XE-switch:name = ' + str(self.name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.name is not None:
                    return True

                if self.default is not None and self.default._has_data():
                    return True

                if self.deny is not None and self.deny._has_data():
                    return True

                if self.no is not None and self.no._has_data():
                    return True

                if self.permit is not None and self.permit._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Arp.AccessList']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:arp'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.access_list is not None:
                for child_ref in self.access_list:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Arp']['meta_info']


    class Switch(object):
        """
        Config commands for the switches in the stack
        
        .. attribute:: number  <key>
        
        	
        	**type**\:  int
        
        	**range:** 1..9
        
        .. attribute:: provision
        
        	Configure Switch provision / offline config
        	**type**\:   :py:class:`ProvisionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Switch.ProvisionEnum>`
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.number = None
            self.provision = None

        class ProvisionEnum(Enum):
            """
            ProvisionEnum

            Configure Switch provision / offline config

            .. data:: ws_c2960x_24pd_l = 0

            .. data:: ws_c3650_48ps = 1

            .. data:: ws_c3650_24ps = 2

            .. data:: ws_c3850_48p = 3

            .. data:: ws_c3850_24p = 4

            .. data:: ws_c3850_48t = 5

            .. data:: ws_c3850_24t = 6

            .. data:: ws_c3850_48f = 7

            .. data:: ws_c3850_48u = 8

            .. data:: ws_c3850_24u = 9

            .. data:: ws_c3850_12x48u = 10

            .. data:: ws_c3850_24xu = 11

            .. data:: ws_c3850_24ux = 12

            .. data:: ws_c3850_12s = 13

            .. data:: ws_c3850_24s = 14

            .. data:: ws_c3850_12xs = 15

            .. data:: ws_c3850_24xs = 16

            .. data:: ws_c3850_48xs = 17

            .. data:: ws_c3650_12x48fd = 18

            .. data:: ws_c3650_12x48uq = 19

            .. data:: ws_c3650_12x48ur = 20

            .. data:: ws_c3650_12x48uz = 21

            .. data:: ws_c3650_24pd = 22

            .. data:: ws_c3650_24pdm = 23

            .. data:: ws_c3650_24td = 24

            .. data:: ws_c3650_24ts = 25

            .. data:: ws_c3650_48fqm = 26

            .. data:: ws_c3650_48pd = 27

            .. data:: ws_c3650_48pq = 28

            .. data:: ws_c3650_48td = 29

            .. data:: ws_c3650_48tq = 30

            .. data:: ws_c3650_48ts = 31

            .. data:: ws_c3650_8x24pd = 32

            .. data:: ws_c3650_8x24uq = 33

            .. data:: ws_c3750x_24p = 34

            .. data:: ws_c3750x_12s = 35

            .. data:: ws_c3850_12x48au = 36

            .. data:: c9300_24p = 37

            .. data:: c9300_24t = 38

            .. data:: c9300_24u = 39

            .. data:: c9300_48p = 40

            .. data:: c9300_48t = 41

            .. data:: c9300_48u = 42

            """

            ws_c2960x_24pd_l = 0

            ws_c3650_48ps = 1

            ws_c3650_24ps = 2

            ws_c3850_48p = 3

            ws_c3850_24p = 4

            ws_c3850_48t = 5

            ws_c3850_24t = 6

            ws_c3850_48f = 7

            ws_c3850_48u = 8

            ws_c3850_24u = 9

            ws_c3850_12x48u = 10

            ws_c3850_24xu = 11

            ws_c3850_24ux = 12

            ws_c3850_12s = 13

            ws_c3850_24s = 14

            ws_c3850_12xs = 15

            ws_c3850_24xs = 16

            ws_c3850_48xs = 17

            ws_c3650_12x48fd = 18

            ws_c3650_12x48uq = 19

            ws_c3650_12x48ur = 20

            ws_c3650_12x48uz = 21

            ws_c3650_24pd = 22

            ws_c3650_24pdm = 23

            ws_c3650_24td = 24

            ws_c3650_24ts = 25

            ws_c3650_48fqm = 26

            ws_c3650_48pd = 27

            ws_c3650_48pq = 28

            ws_c3650_48td = 29

            ws_c3650_48tq = 30

            ws_c3650_48ts = 31

            ws_c3650_8x24pd = 32

            ws_c3650_8x24uq = 33

            ws_c3750x_24p = 34

            ws_c3750x_12s = 35

            ws_c3850_12x48au = 36

            c9300_24p = 37

            c9300_24t = 38

            c9300_24u = 39

            c9300_48p = 40

            c9300_48t = 41

            c9300_48u = 42


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Switch.ProvisionEnum']


        @property
        def _common_path(self):
            if self.number is None:
                raise YPYModelError('Key property number is None')

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:switch[Cisco-IOS-XE-switch:number = ' + str(self.number) + ']'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.number is not None:
                return True

            if self.provision is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Switch']['meta_info']


    class SwitchVirtual(object):
        """
        
        
        .. attribute:: domain  <key>
        
        	
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: dual_active
        
        	Virtual switch dual\-active config
        	**type**\:   :py:class:`DualActive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SwitchVirtual.DualActive>`
        
        .. attribute:: mac_address
        
        	
        	**type**\:   :py:class:`MacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SwitchVirtual.MacAddress>`
        
        .. attribute:: switch
        
        	Configure switch command
        	**type**\:   :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SwitchVirtual.Switch>`
        
        .. attribute:: virtual
        
        	
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.domain = None
            self.dual_active = Native.SwitchVirtual.DualActive()
            self.dual_active.parent = self
            self.mac_address = Native.SwitchVirtual.MacAddress()
            self.mac_address.parent = self
            self.switch = Native.SwitchVirtual.Switch()
            self.switch.parent = self
            self.virtual = None


        class Switch(object):
            """
            Configure switch command
            
            .. attribute:: mode
            
            	
            	**type**\:   :py:class:`ModeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SwitchVirtual.Switch.ModeEnum>`
            
            .. attribute:: priority
            
            	Virtual switch priority value
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: switch_number
            
            	Virtual switch number
            	**type**\:  int
            
            	**range:** 1..2
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.mode = None
                self.priority = None
                self.switch_number = None

            class ModeEnum(Enum):
                """
                ModeEnum

                .. data:: virtual = 0

                """

                virtual = 0


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SwitchVirtual.Switch.ModeEnum']


            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-switch:switch'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.mode is not None:
                    return True

                if self.priority is not None:
                    return True

                if self.switch_number is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SwitchVirtual.Switch']['meta_info']


        class MacAddress(object):
            """
            
            
            .. attribute:: use_virtual
            
            	
            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.use_virtual = None

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-switch:mac-address'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.use_virtual is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SwitchVirtual.MacAddress']['meta_info']


        class DualActive(object):
            """
            Virtual switch dual\-active config
            
            .. attribute:: detection
            
            	Dual\-active detection enable
            	**type**\:   :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SwitchVirtual.DualActive.Detection>`
            
            .. attribute:: recovery
            
            	Recovery IP address
            	**type**\:   :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SwitchVirtual.DualActive.Recovery>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.detection = Native.SwitchVirtual.DualActive.Detection()
                self.detection.parent = self
                self.recovery = Native.SwitchVirtual.DualActive.Recovery()
                self.recovery.parent = self


            class Recovery(object):
                """
                Recovery IP address
                
                .. attribute:: ip
                
                	Recovery IP address
                	**type**\:   :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SwitchVirtual.DualActive.Recovery.Ip>`
                
                .. attribute:: switch
                
                	Switch ID for recovery IP address
                	**type**\:  int
                
                	**range:** 1..2
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.ip = Native.SwitchVirtual.DualActive.Recovery.Ip()
                    self.ip.parent = self
                    self.switch = None


                class Ip(object):
                    """
                    Recovery IP address
                    
                    .. attribute:: address
                    
                    	Recovery IP address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: mask
                    
                    	IP address mask
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.address = None
                        self.mask = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:ip'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.address is not None:
                            return True

                        if self.mask is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SwitchVirtual.DualActive.Recovery.Ip']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:recovery'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.ip is not None and self.ip._has_data():
                        return True

                    if self.switch is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SwitchVirtual.DualActive.Recovery']['meta_info']


            class Detection(object):
                """
                Dual\-active detection enable
                
                .. attribute:: pagp
                
                	Dual\-active detection using PAgP
                	**type**\:   :py:class:`Pagp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SwitchVirtual.DualActive.Detection.Pagp>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.pagp = None


                class Pagp(object):
                    """
                    Dual\-active detection using PAgP
                    
                    .. attribute:: trust
                    
                    	Trusted channels for PAgP dual\-active detection
                    	**type**\:   :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SwitchVirtual.DualActive.Detection.Pagp.Trust>`
                    
                    .. attribute:: _is_presence
                    
                    	Is present if this instance represents presence container else not
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self._is_presence = True
                        self.trust = Native.SwitchVirtual.DualActive.Detection.Pagp.Trust()
                        self.trust.parent = self


                    class Trust(object):
                        """
                        Trusted channels for PAgP dual\-active detection
                        
                        .. attribute:: channel_group
                        
                        	Etherchannel/port bundle to be used for pagp dual\-active detection
                        	**type**\:  int
                        
                        	**range:** 1..254
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.channel_group = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:trust'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.channel_group is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.SwitchVirtual.DualActive.Detection.Pagp.Trust']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:pagp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self._is_presence:
                            return True
                        if self.trust is not None and self.trust._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.SwitchVirtual.DualActive.Detection.Pagp']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-switch:detection'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.pagp is not None and self.pagp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.SwitchVirtual.DualActive.Detection']['meta_info']

            @property
            def _common_path(self):
                if self.parent is None:
                    raise YPYModelError('parent is not set . Cannot derive path.')

                return self.parent._common_path +'/Cisco-IOS-XE-switch:dual-active'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.detection is not None and self.detection._has_data():
                    return True

                if self.recovery is not None and self.recovery._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.SwitchVirtual.DualActive']['meta_info']

        @property
        def _common_path(self):
            if self.domain is None:
                raise YPYModelError('Key property domain is None')

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:switch-virtual[Cisco-IOS-XE-switch:domain = ' + str(self.domain) + ']'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.domain is not None:
                return True

            if self.dual_active is not None and self.dual_active._has_data():
                return True

            if self.mac_address is not None and self.mac_address._has_data():
                return True

            if self.switch is not None and self.switch._has_data():
                return True

            if self.virtual is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.SwitchVirtual']['meta_info']


    class Device(object):
        """
        device classifier configuration
        
        .. attribute:: classifier
        
        	Enable/Disable classification of attached devices
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.classifier = None

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:device'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.classifier is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Device']['meta_info']


    class StackMac(object):
        """
        Global stack mac\-address feature configurations
        
        .. attribute:: persistent
        
        	persistent stack mac\-address
        	**type**\:   :py:class:`Persistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.StackMac.Persistent>`
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.persistent = Native.StackMac.Persistent()
            self.persistent.parent = self


        class Persistent(object):
            """
            persistent stack mac\-address
            
            .. attribute:: timer
            
            	use stack mac\-address timer after master failure( 0 means still using the current MAC)
            	**type**\:  int
            
            	**range:** 0..60
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.timer = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:stack-mac/Cisco-IOS-XE-switch:persistent'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.timer is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.StackMac.Persistent']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:stack-mac'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.persistent is not None and self.persistent._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.StackMac']['meta_info']


    class L2ProtocolTunnel(object):
        """
        Tunnel Layer2 protocols
        
        .. attribute:: cos
        
        	Class of Service
        	**type**\:  int
        
        	**range:** 0..7
        
        .. attribute:: global_
        
        	Global settings
        	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2ProtocolTunnel.Global_>`
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.cos = None
            self.global_ = Native.L2ProtocolTunnel.Global_()
            self.global_.parent = self


        class Global_(object):
            """
            Global settings
            
            .. attribute:: drop_threshold
            
            	L2PT packets drop threshold
            	**type**\:  int
            
            	**range:** 100..20000
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.drop_threshold = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:l2protocol-tunnel/Cisco-IOS-XE-switch:global'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.drop_threshold is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.L2ProtocolTunnel.Global_']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:l2protocol-tunnel'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.cos is not None:
                return True

            if self.global_ is not None and self.global_._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.L2ProtocolTunnel']['meta_info']


    class Rep(object):
        """
        Resilient Ethernet Protocol characteristics
        
        .. attribute:: admin
        
        	administrative configuration
        	**type**\:   :py:class:`Admin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Rep.Admin>`
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.admin = Native.Rep.Admin()
            self.admin.parent = self


        class Admin(object):
            """
            administrative configuration
            
            .. attribute:: vlan
            
            	VLAN
            	**type**\: list of    :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Rep.Admin.Vlan>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.vlan = YList()
                self.vlan.parent = self
                self.vlan.name = 'vlan'


            class Vlan(object):
                """
                VLAN
                
                .. attribute:: name  <key>
                
                	
                	**type**\:  int
                
                	**range:** 2..4094
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.name = None

                @property
                def _common_path(self):
                    if self.name is None:
                        raise YPYModelError('Key property name is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:rep/Cisco-IOS-XE-switch:admin/Cisco-IOS-XE-switch:vlan[Cisco-IOS-XE-switch:name = ' + str(self.name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Rep.Admin.Vlan']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:rep/Cisco-IOS-XE-switch:admin'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.vlan is not None:
                    for child_ref in self.vlan:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Rep.Admin']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:rep'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.admin is not None and self.admin._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Rep']['meta_info']


    class HwSwitch(object):
        """
        Hw\-switch
        
        .. attribute:: switch
        
        	Switch in the system
        	**type**\:   :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.HwSwitch.Switch>`
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.switch = Native.HwSwitch.Switch()
            self.switch.parent = self


        class Switch(object):
            """
            Switch in the system
            
            .. attribute:: switch_number
            
            	
            	**type**\: list of    :py:class:`SwitchNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.HwSwitch.Switch.SwitchNumber>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.switch_number = YList()
                self.switch_number.parent = self
                self.switch_number.name = 'switch_number'


            class SwitchNumber(object):
                """
                
                
                .. attribute:: switch_number  <key>
                
                	Switch number in the Stack (Refer to show switch CLI)
                	**type**\:  int
                
                	**range:** 1..9
                
                .. attribute:: logging
                
                	Logging onboard
                	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.HwSwitch.Switch.SwitchNumber.Logging>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.switch_number = None
                    self.logging = Native.HwSwitch.Switch.SwitchNumber.Logging()
                    self.logging.parent = self


                class Logging(object):
                    """
                    Logging onboard
                    
                    .. attribute:: onboard
                    
                    	Logging onboard
                    	**type**\:   :py:class:`Onboard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.HwSwitch.Switch.SwitchNumber.Logging.Onboard>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.onboard = None


                    class Onboard(object):
                        """
                        Logging onboard
                        
                        .. attribute:: counter
                        
                        	Configure logging onboard counter
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: environment
                        
                        	Configure logging onboard environment
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: message
                        
                        	Configure logging onboard message
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: poe
                        
                        	Configure logging onboard poe
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: temperature
                        
                        	Configure logging onboard temperature
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: voltage
                        
                        	Configure logging onboard voltage
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.counter = None
                            self.environment = None
                            self.message = None
                            self.poe = None
                            self.temperature = None
                            self.voltage = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XE-switch:onboard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.counter is not None:
                                return True

                            if self.environment is not None:
                                return True

                            if self.message is not None:
                                return True

                            if self.poe is not None:
                                return True

                            if self.temperature is not None:
                                return True

                            if self.voltage is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.HwSwitch.Switch.SwitchNumber.Logging.Onboard']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XE-switch:logging'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.onboard is not None and self.onboard._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.HwSwitch.Switch.SwitchNumber.Logging']['meta_info']

                @property
                def _common_path(self):
                    if self.switch_number is None:
                        raise YPYModelError('Key property switch_number is None')

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:hw-switch/Cisco-IOS-XE-switch:switch/Cisco-IOS-XE-switch:switch-number[Cisco-IOS-XE-switch:switch-number = ' + str(self.switch_number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.switch_number is not None:
                        return True

                    if self.logging is not None and self.logging._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.HwSwitch.Switch.SwitchNumber']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:hw-switch/Cisco-IOS-XE-switch:switch'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.switch_number is not None:
                    for child_ref in self.switch_number:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.HwSwitch.Switch']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:hw-switch'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.switch is not None and self.switch._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.HwSwitch']['meta_info']


    class Utd(object):
        """
        Global Unified Threat Defense
        
        .. attribute:: _is_presence
        
        	Is present if this instance represents presence container else not
        	**type**\: bool
        
        

        This class is a :ref:`presence class<presence-class>`

        """

        _prefix = 'ios-utd'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self._is_presence = True

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self._is_presence:
                return True
            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Utd']['meta_info']


    class UtdEngine(object):
        """
        Global Unified Threat Defense Engine
        
        .. attribute:: utd
        
        	
        	**type**\:   :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd>`
        
        

        """

        _prefix = 'ios-utd'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.utd = Native.UtdEngine.Utd()
            self.utd.parent = self


        class Utd(object):
            """
            
            
            .. attribute:: engine
            
            	UTD engine
            	**type**\:   :py:class:`Engine <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine>`
            
            .. attribute:: whitelist
            
            	UTD whitelist config submode
            	**type**\:   :py:class:`Whitelist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Whitelist>`
            
            	**status**\: deprecated
            
            

            """

            _prefix = 'ios-utd'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.engine = Native.UtdEngine.Utd.Engine()
                self.engine.parent = self
                self.whitelist = Native.UtdEngine.Utd.Whitelist()
                self.whitelist.parent = self


            class Engine(object):
                """
                UTD engine
                
                .. attribute:: advanced
                
                	UTD engine advanced
                	**type**\:   :py:class:`Advanced <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine.Advanced>`
                
                .. attribute:: standard
                
                	UTD engine standard
                	**type**\:   :py:class:`Standard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine.Standard>`
                
                	**status**\: deprecated
                
                

                """

                _prefix = 'ios-utd'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.advanced = Native.UtdEngine.Utd.Engine.Advanced()
                    self.advanced.parent = self
                    self.standard = Native.UtdEngine.Utd.Engine.Standard()
                    self.standard.parent = self


                class Advanced(object):
                    """
                    UTD engine advanced
                    
                    .. attribute:: default
                    
                    	Set a command to its defaults
                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine.Advanced.Default>`
                    
                    .. attribute:: threat
                    
                    	Provide threat detection
                    	**type**\:   :py:class:`Threat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine.Advanced.Threat>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-utd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.default = Native.UtdEngine.Utd.Engine.Advanced.Default()
                        self.default.parent = self
                        self.threat = None


                    class Default(object):
                        """
                        Set a command to its defaults
                        
                        .. attribute:: threat
                        
                        	Provide threat detection
                        	**type**\:   :py:class:`Threat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine.Advanced.Default.Threat>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-utd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.threat = None


                        class Threat(object):
                            """
                            Provide threat detection
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-utd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:engine/Cisco-IOS-XE-utd:advanced/Cisco-IOS-XE-utd:default/Cisco-IOS-XE-utd:threat'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.UtdEngine.Utd.Engine.Advanced.Default.Threat']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:engine/Cisco-IOS-XE-utd:advanced/Cisco-IOS-XE-utd:default'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.threat is not None and self.threat._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.UtdEngine.Utd.Engine.Advanced.Default']['meta_info']


                    class Threat(object):
                        """
                        Provide threat detection
                        
                        .. attribute:: detection
                        
                        	Provide threat detection
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: _is_presence
                        
                        	Is present if this instance represents presence container else not
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-utd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self._is_presence = True
                            self.detection = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:engine/Cisco-IOS-XE-utd:advanced/Cisco-IOS-XE-utd:threat'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self._is_presence:
                                return True
                            if self.detection is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.UtdEngine.Utd.Engine.Advanced.Threat']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:engine/Cisco-IOS-XE-utd:advanced'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.default is not None and self.default._has_data():
                            return True

                        if self.threat is not None and self.threat._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.UtdEngine.Utd.Engine.Advanced']['meta_info']


                class Standard(object):
                    """
                    UTD engine standard
                    
                    .. attribute:: default
                    
                    	Set a command to its defaults
                    	**type**\:   :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine.Standard.Default>`
                    
                    .. attribute:: logging
                    
                    	Provide config options for logging the alerts
                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine.Standard.Logging>`
                    
                    .. attribute:: policy
                    
                    	Provide the policy option (default=balanced)
                    	**type**\:   :py:class:`PolicyEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine.Standard.PolicyEnum>`
                    
                    .. attribute:: signature
                    
                    	Provide config options for the signatures
                    	**type**\:   :py:class:`Signature <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine.Standard.Signature>`
                    
                    .. attribute:: threat
                    
                    	Provide the threat detection/protection option (default=detection)
                    	**type**\:   :py:class:`ThreatEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine.Standard.ThreatEnum>`
                    
                    .. attribute:: whitelist
                    
                    	Enable whitelisting under the utd engine
                    	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-utd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.default = Native.UtdEngine.Utd.Engine.Standard.Default()
                        self.default.parent = self
                        self.logging = Native.UtdEngine.Utd.Engine.Standard.Logging()
                        self.logging.parent = self
                        self.policy = None
                        self.signature = Native.UtdEngine.Utd.Engine.Standard.Signature()
                        self.signature.parent = self
                        self.threat = None
                        self.whitelist = None

                    class PolicyEnum(Enum):
                        """
                        PolicyEnum

                        Provide the policy option (default=balanced)

                        .. data:: balanced = 0

                        .. data:: connectivity = 1

                        .. data:: security = 2

                        """

                        balanced = 0

                        connectivity = 1

                        security = 2


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.UtdEngine.Utd.Engine.Standard.PolicyEnum']


                    class ThreatEnum(Enum):
                        """
                        ThreatEnum

                        Provide the threat detection/protection option (default=detection)

                        .. data:: detection = 0

                        .. data:: protection = 1

                        """

                        detection = 0

                        protection = 1


                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.UtdEngine.Utd.Engine.Standard.ThreatEnum']



                    class Default(object):
                        """
                        Set a command to its defaults
                        
                        .. attribute:: policy
                        
                        	Provide the policy option (default=balanced)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: threat
                        
                        	Provide the threat detection/protection option (default=detection)
                        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-utd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.policy = None
                            self.threat = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:engine/Cisco-IOS-XE-utd:standard/Cisco-IOS-XE-utd:default'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.policy is not None:
                                return True

                            if self.threat is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.UtdEngine.Utd.Engine.Standard.Default']['meta_info']


                    class Logging(object):
                        """
                        Provide config options for logging the alerts
                        
                        .. attribute:: server
                        
                        	Log the alerts to a server
                        	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine.Standard.Logging.Server>`
                        
                        .. attribute:: syslog
                        
                        	Log the alerts to IOS syslogs
                        	**type**\:   :py:class:`Syslog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine.Standard.Logging.Syslog>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-utd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.server = Native.UtdEngine.Utd.Engine.Standard.Logging.Server()
                            self.server.parent = self
                            self.syslog = None


                        class Server(object):
                            """
                            Log the alerts to a server
                            
                            .. attribute:: level
                            
                            	Provide the log level
                            	**type**\:   :py:class:`SyslogLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_utd.SyslogLevelTypeEnum>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\:  str
                            
                            .. attribute:: syslog
                            
                            	Log the alerts to IOS syslogs
                            	**type**\:  :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-utd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.level = None
                                self.name = None
                                self.syslog = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:engine/Cisco-IOS-XE-utd:standard/Cisco-IOS-XE-utd:logging/Cisco-IOS-XE-utd:server'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.level is not None:
                                    return True

                                if self.name is not None:
                                    return True

                                if self.syslog is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.UtdEngine.Utd.Engine.Standard.Logging.Server']['meta_info']


                        class Syslog(object):
                            """
                            Log the alerts to IOS syslogs
                            
                            .. attribute:: level
                            
                            	Provide the log level
                            	**type**\:   :py:class:`SyslogLevelTypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_utd.SyslogLevelTypeEnum>`
                            
                            .. attribute:: _is_presence
                            
                            	Is present if this instance represents presence container else not
                            	**type**\: bool
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-utd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self._is_presence = True
                                self.level = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:engine/Cisco-IOS-XE-utd:standard/Cisco-IOS-XE-utd:logging/Cisco-IOS-XE-utd:syslog'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self._is_presence:
                                    return True
                                if self.level is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.UtdEngine.Utd.Engine.Standard.Logging.Syslog']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:engine/Cisco-IOS-XE-utd:standard/Cisco-IOS-XE-utd:logging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.server is not None and self.server._has_data():
                                return True

                            if self.syslog is not None and self.syslog._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.UtdEngine.Utd.Engine.Standard.Logging']['meta_info']


                    class Signature(object):
                        """
                        Provide config options for the signatures
                        
                        .. attribute:: update
                        
                        	Provide config options for the signature updates
                        	**type**\:   :py:class:`Update <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine.Standard.Signature.Update>`
                        
                        

                        """

                        _prefix = 'ios-utd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            self.parent = None
                            self.update = Native.UtdEngine.Utd.Engine.Standard.Signature.Update()
                            self.update.parent = self


                        class Update(object):
                            """
                            Provide config options for the signature updates
                            
                            .. attribute:: occur_at
                            
                            	Specify update occurence by calendar time
                            	**type**\:   :py:class:`OccurAt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt>`
                            
                            .. attribute:: server
                            
                            	Provide config options for the signature update server
                            	**type**\:   :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server>`
                            
                            

                            """

                            _prefix = 'ios-utd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                self.parent = None
                                self.occur_at = Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt()
                                self.occur_at.parent = self
                                self.server = Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server()
                                self.server.parent = self


                            class OccurAt(object):
                                """
                                Specify update occurence by calendar time
                                
                                .. attribute:: daily
                                
                                	Option for daily update
                                	**type**\:   :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt.Daily>`
                                
                                .. attribute:: monthly
                                
                                	Option for monthly update
                                	**type**\:   :py:class:`Monthly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt.Monthly>`
                                
                                .. attribute:: weekly
                                
                                	Option for weekly update
                                	**type**\:   :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-utd'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.daily = Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt.Daily()
                                    self.daily.parent = self
                                    self.monthly = Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt.Monthly()
                                    self.monthly.parent = self
                                    self.weekly = Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt.Weekly()
                                    self.weekly.parent = self


                                class Daily(object):
                                    """
                                    Option for daily update
                                    
                                    .. attribute:: hours
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..23
                                    
                                    .. attribute:: minutes
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..59
                                    
                                    

                                    """

                                    _prefix = 'ios-utd'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.hours = None
                                        self.minutes = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:engine/Cisco-IOS-XE-utd:standard/Cisco-IOS-XE-utd:signature/Cisco-IOS-XE-utd:update/Cisco-IOS-XE-utd:occur-at/Cisco-IOS-XE-utd:daily'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.hours is not None:
                                            return True

                                        if self.minutes is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt.Daily']['meta_info']


                                class Monthly(object):
                                    """
                                    Option for monthly update
                                    
                                    .. attribute:: days
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: hours
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..23
                                    
                                    .. attribute:: minutes
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..59
                                    
                                    

                                    """

                                    _prefix = 'ios-utd'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.days = None
                                        self.hours = None
                                        self.minutes = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:engine/Cisco-IOS-XE-utd:standard/Cisco-IOS-XE-utd:signature/Cisco-IOS-XE-utd:update/Cisco-IOS-XE-utd:occur-at/Cisco-IOS-XE-utd:monthly'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.days is not None:
                                            return True

                                        if self.hours is not None:
                                            return True

                                        if self.minutes is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt.Monthly']['meta_info']


                                class Weekly(object):
                                    """
                                    Option for weekly update
                                    
                                    .. attribute:: days
                                    
                                    	
                                    	**type**\:  str
                                    
                                    .. attribute:: hours
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..23
                                    
                                    .. attribute:: minutes
                                    
                                    	
                                    	**type**\:  int
                                    
                                    	**range:** 0..59
                                    
                                    

                                    """

                                    _prefix = 'ios-utd'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.days = None
                                        self.hours = None
                                        self.minutes = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:engine/Cisco-IOS-XE-utd:standard/Cisco-IOS-XE-utd:signature/Cisco-IOS-XE-utd:update/Cisco-IOS-XE-utd:occur-at/Cisco-IOS-XE-utd:weekly'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.days is not None:
                                            return True

                                        if self.hours is not None:
                                            return True

                                        if self.minutes is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt.Weekly']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:engine/Cisco-IOS-XE-utd:standard/Cisco-IOS-XE-utd:signature/Cisco-IOS-XE-utd:update/Cisco-IOS-XE-utd:occur-at'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.daily is not None and self.daily._has_data():
                                        return True

                                    if self.monthly is not None and self.monthly._has_data():
                                        return True

                                    if self.weekly is not None and self.weekly._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.OccurAt']['meta_info']


                            class Server(object):
                                """
                                Provide config options for the signature update server
                                
                                .. attribute:: cisco
                                
                                	Use Cisco site to provide updates
                                	**type**\:   :py:class:`Cisco <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Cisco>`
                                
                                .. attribute:: url
                                
                                	Enter the complete URL for the path to the update server
                                	**type**\:   :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Url>`
                                
                                

                                """

                                _prefix = 'ios-utd'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    self.parent = None
                                    self.cisco = Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Cisco()
                                    self.cisco.parent = self
                                    self.url = Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Url()
                                    self.url.parent = self


                                class Cisco(object):
                                    """
                                    Use Cisco site to provide updates
                                    
                                    .. attribute:: password
                                    
                                    	Provide the password for authentication
                                    	**type**\:  str
                                    
                                    .. attribute:: username
                                    
                                    	Provide the username for authentication
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-utd'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.password = None
                                        self.username = None

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:engine/Cisco-IOS-XE-utd:standard/Cisco-IOS-XE-utd:signature/Cisco-IOS-XE-utd:update/Cisco-IOS-XE-utd:server/Cisco-IOS-XE-utd:cisco'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.password is not None:
                                            return True

                                        if self.username is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Cisco']['meta_info']


                                class Url(object):
                                    """
                                    Enter the complete URL for the path to the update server
                                    
                                    .. attribute:: all
                                    
                                    	
                                    	**type**\:   :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Url.All>`
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'ios-utd'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        self.parent = None
                                        self.all = Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Url.All()
                                        self.all.parent = self
                                        self.name = None


                                    class All(object):
                                        """
                                        
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\:  str
                                        
                                        .. attribute:: password
                                        
                                        	Provide the password for authentication
                                        	**type**\:  str
                                        
                                        .. attribute:: username
                                        
                                        	Provide the username for authentication
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'ios-utd'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            self.parent = None
                                            self.name = None
                                            self.password = None
                                            self.username = None

                                        @property
                                        def _common_path(self):

                                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:engine/Cisco-IOS-XE-utd:standard/Cisco-IOS-XE-utd:signature/Cisco-IOS-XE-utd:update/Cisco-IOS-XE-utd:server/Cisco-IOS-XE-utd:url/Cisco-IOS-XE-utd:all'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return True

                                        def _has_data(self):
                                            if self.name is not None:
                                                return True

                                            if self.password is not None:
                                                return True

                                            if self.username is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                            return meta._meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Url.All']['meta_info']

                                    @property
                                    def _common_path(self):

                                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:engine/Cisco-IOS-XE-utd:standard/Cisco-IOS-XE-utd:signature/Cisco-IOS-XE-utd:update/Cisco-IOS-XE-utd:server/Cisco-IOS-XE-utd:url'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return True

                                    def _has_data(self):
                                        if self.all is not None and self.all._has_data():
                                            return True

                                        if self.name is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                        return meta._meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server.Url']['meta_info']

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:engine/Cisco-IOS-XE-utd:standard/Cisco-IOS-XE-utd:signature/Cisco-IOS-XE-utd:update/Cisco-IOS-XE-utd:server'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return True

                                def _has_data(self):
                                    if self.cisco is not None and self.cisco._has_data():
                                        return True

                                    if self.url is not None and self.url._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                    return meta._meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update.Server']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:engine/Cisco-IOS-XE-utd:standard/Cisco-IOS-XE-utd:signature/Cisco-IOS-XE-utd:update'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return True

                            def _has_data(self):
                                if self.occur_at is not None and self.occur_at._has_data():
                                    return True

                                if self.server is not None and self.server._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                                return meta._meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature.Update']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:engine/Cisco-IOS-XE-utd:standard/Cisco-IOS-XE-utd:signature'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return True

                        def _has_data(self):
                            if self.update is not None and self.update._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                            return meta._meta_table['Native.UtdEngine.Utd.Engine.Standard.Signature']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:engine/Cisco-IOS-XE-utd:standard'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.default is not None and self.default._has_data():
                            return True

                        if self.logging is not None and self.logging._has_data():
                            return True

                        if self.policy is not None:
                            return True

                        if self.signature is not None and self.signature._has_data():
                            return True

                        if self.threat is not None:
                            return True

                        if self.whitelist is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.UtdEngine.Utd.Engine.Standard']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:engine'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.advanced is not None and self.advanced._has_data():
                        return True

                    if self.standard is not None and self.standard._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.UtdEngine.Utd.Engine']['meta_info']


            class Whitelist(object):
                """
                UTD whitelist config submode
                
                .. attribute:: signature
                
                	Provide signatures for the whitelist
                	**type**\:   :py:class:`Signature <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdEngine.Utd.Whitelist.Signature>`
                
                

                """

                _prefix = 'ios-utd'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.signature = Native.UtdEngine.Utd.Whitelist.Signature()
                    self.signature.parent = self


                class Signature(object):
                    """
                    Provide signatures for the whitelist
                    
                    .. attribute:: comment
                    
                    	Provide a comment for the signature
                    	**type**\:  str
                    
                    .. attribute:: id
                    
                    	Provide signature id for the whitelist
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-utd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        self.parent = None
                        self.comment = None
                        self.id = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:whitelist/Cisco-IOS-XE-utd:signature'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return True

                    def _has_data(self):
                        if self.comment is not None:
                            return True

                        if self.id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.UtdEngine.Utd.Whitelist.Signature']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd/Cisco-IOS-XE-utd:whitelist'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.signature is not None and self.signature._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.UtdEngine.Utd.Whitelist']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine/Cisco-IOS-XE-utd:utd'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.engine is not None and self.engine._has_data():
                    return True

                if self.whitelist is not None and self.whitelist._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.UtdEngine.Utd']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-engine'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.utd is not None and self.utd._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.UtdEngine']['meta_info']


    class Voice(object):
        """
        Global voice configuration
        
        .. attribute:: service
        
        	Global packet telephony service commands
        	**type**\: list of    :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Voice.Service>`
        
        

        """

        _prefix = 'ios-voice'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.service = YList()
            self.service.parent = self
            self.service.name = 'service'


        class Service(object):
            """
            Global packet telephony service commands
            
            .. attribute:: type  <key>
            
            	
            	**type**\:   :py:class:`TypeEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Voice.Service.TypeEnum>`
            
            .. attribute:: fax
            
            	Global fax commands
            	**type**\:   :py:class:`Fax <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Voice.Service.Fax>`
            
            

            """

            _prefix = 'ios-voice'
            _revision = '2017-02-07'

            def __init__(self):
                self.parent = None
                self.type = None
                self.fax = Native.Voice.Service.Fax()
                self.fax.parent = self

            class TypeEnum(Enum):
                """
                TypeEnum

                .. data:: pots = 0

                .. data:: saf = 1

                .. data:: voatm = 2

                .. data:: vofr = 3

                .. data:: voip = 4

                """

                pots = 0

                saf = 1

                voatm = 2

                vofr = 3

                voip = 4


                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Voice.Service.TypeEnum']



            class Fax(object):
                """
                Global fax commands
                
                .. attribute:: codec
                
                	
                	**type**\:   :py:class:`CodecEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Voice.Service.Fax.CodecEnum>`
                
                .. attribute:: fallback
                
                	fax transport to use if T.38 unsupported on far end
                	**type**\:   :py:class:`FallbackEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Voice.Service.Fax.FallbackEnum>`
                
                .. attribute:: hs_redundancy
                
                	t38 high speed redundancy
                	**type**\:  int
                
                	**range:** 0..2
                
                .. attribute:: ls_redundancy
                
                	t38 low speed redundancy
                	**type**\:  int
                
                	**range:** 0..5
                
                .. attribute:: protocol
                
                	The system\-wide fax protocol type
                	**type**\:   :py:class:`ProtocolEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Voice.Service.Fax.ProtocolEnum>`
                
                .. attribute:: version
                
                	t38 fax version
                	**type**\:   :py:class:`VersionEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Voice.Service.Fax.VersionEnum>`
                
                

                """

                _prefix = 'ios-voice'
                _revision = '2017-02-07'

                def __init__(self):
                    self.parent = None
                    self.codec = None
                    self.fallback = None
                    self.hs_redundancy = None
                    self.ls_redundancy = None
                    self.protocol = None
                    self.version = None

                class CodecEnum(Enum):
                    """
                    CodecEnum

                    .. data:: g711alaw = 0

                    .. data:: g711ulaw = 1

                    """

                    g711alaw = 0

                    g711ulaw = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Voice.Service.Fax.CodecEnum']


                class FallbackEnum(Enum):
                    """
                    FallbackEnum

                    fax transport to use if T.38 unsupported on far end

                    .. data:: cisco = 0

                    .. data:: none = 1

                    .. data:: pass_through = 2

                    """

                    cisco = 0

                    none = 1

                    pass_through = 2


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Voice.Service.Fax.FallbackEnum']


                class ProtocolEnum(Enum):
                    """
                    ProtocolEnum

                    The system\-wide fax protocol type

                    .. data:: cisco = 0

                    .. data:: none = 1

                    .. data:: pass_through = 2

                    .. data:: t38 = 3

                    """

                    cisco = 0

                    none = 1

                    pass_through = 2

                    t38 = 3


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Voice.Service.Fax.ProtocolEnum']


                class VersionEnum(Enum):
                    """
                    VersionEnum

                    t38 fax version

                    .. data:: Y_0 = 0

                    .. data:: Y_3 = 1

                    """

                    Y_0 = 0

                    Y_3 = 1


                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                        return meta._meta_table['Native.Voice.Service.Fax.VersionEnum']


                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XE-voice:fax'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return True

                def _has_data(self):
                    if self.codec is not None:
                        return True

                    if self.fallback is not None:
                        return True

                    if self.hs_redundancy is not None:
                        return True

                    if self.ls_redundancy is not None:
                        return True

                    if self.protocol is not None:
                        return True

                    if self.version is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                    return meta._meta_table['Native.Voice.Service.Fax']['meta_info']

            @property
            def _common_path(self):
                if self.type is None:
                    raise YPYModelError('Key property type is None')

                return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-voice:voice/Cisco-IOS-XE-voice:service[Cisco-IOS-XE-voice:type = ' + str(self.type) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return True

            def _has_data(self):
                if self.type is not None:
                    return True

                if self.fax is not None and self.fax._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Voice.Service']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-voice:voice'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.service is not None:
                for child_ref in self.service:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Voice']['meta_info']


    class VoiceCard(object):
        """
        Configure a specific voice\-card
        
        .. attribute:: slot  <key>
        
        	
        	**type**\:  int
        
        	**range:** 0..2
        
        

        """

        _prefix = 'ios-voice'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.slot = None

        @property
        def _common_path(self):
            if self.slot is None:
                raise YPYModelError('Key property slot is None')

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-voice:voice-card[Cisco-IOS-XE-voice:slot = ' + str(self.slot) + ']'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.slot is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.VoiceCard']['meta_info']


    class Vpdn(object):
        """
        Virtual Private Dialup Network
        
        .. attribute:: authen_before_forward
        
        	Authenticate a user locally before tunnelling
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: enable
        
        	Enable VPDN
        	**type**\:  :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: search_order
        
        	Configure the order to search different VPDN tunnel types
        	**type**\:  list of   :py:class:`SearchOrderEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vpdn.SearchOrderEnum>`
        
        

        """

        _prefix = 'ios-vpdn'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.authen_before_forward = None
            self.enable = None
            self.search_order = YLeafList()
            self.search_order.parent = self
            self.search_order.name = 'search_order'

        class SearchOrderEnum(Enum):
            """
            SearchOrderEnum

            Configure the order to search different VPDN tunnel types

            .. data:: dnis = 0

            .. data:: domain = 1

            .. data:: multihop_hostname = 2

            """

            dnis = 0

            domain = 1

            multihop_hostname = 2


            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
                return meta._meta_table['Native.Vpdn.SearchOrderEnum']


        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-vpdn:vpdn'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.authen_before_forward is not None:
                return True

            if self.enable is not None:
                return True

            if self.search_order is not None:
                for child in self.search_order:
                    if child is not None:
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Vpdn']['meta_info']


    class Vstack(object):
        """
        Configure vstack parameters and enable or disable SmartInstall
        
        .. attribute:: director
        
        	Configure director's IP address
        	**type**\:  str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        

        """

        _prefix = 'ios-vstack'
        _revision = '2017-02-07'

        def __init__(self):
            self.parent = None
            self.director = None

        @property
        def _common_path(self):

            return '/Cisco-IOS-XE-native:native/Cisco-IOS-XE-vstack:vstack'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return True

        def _has_data(self):
            if self.director is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
            return meta._meta_table['Native.Vstack']['meta_info']

    @property
    def _common_path(self):

        return '/Cisco-IOS-XE-native:native'

    def is_config(self):
        ''' Returns True if this instance represents config data else returns False '''
        return True

    def _has_data(self):
        if self.aaa is not None and self.aaa._has_data():
            return True

        if self.access_list is not None and self.access_list._has_data():
            return True

        if self.access_session is not None and self.access_session._has_data():
            return True

        if self.alarm_contact is not None:
            for child_ref in self.alarm_contact:
                if child_ref._has_data():
                    return True

        if self.alias is not None and self.alias._has_data():
            return True

        if self.ap is not None and self.ap._has_data():
            return True

        if self.aqm_register_fnf is not None:
            return True

        if self.archive is not None and self.archive._has_data():
            return True

        if self.arp is not None and self.arp._has_data():
            return True

        if self.authentication is not None and self.authentication._has_data():
            return True

        if self.banner is not None and self.banner._has_data():
            return True

        if self.bba_group is not None and self.bba_group._has_data():
            return True

        if self.bfd is not None and self.bfd._has_data():
            return True

        if self.bfd_template is not None and self.bfd_template._has_data():
            return True

        if self.boot is not None and self.boot._has_data():
            return True

        if self.boot_end_marker is not None:
            return True

        if self.boot_start_marker is not None:
            return True

        if self.bridge_domain is not None and self.bridge_domain._has_data():
            return True

        if self.call_home is not None and self.call_home._has_data():
            return True

        if self.captive_portal_bypass is not None:
            return True

        if self.card is not None and self.card._has_data():
            return True

        if self.cdp is not None and self.cdp._has_data():
            return True

        if self.cef is not None and self.cef._has_data():
            return True

        if self.cisp is not None and self.cisp._has_data():
            return True

        if self.clock is not None and self.clock._has_data():
            return True

        if self.coap is not None and self.coap._has_data():
            return True

        if self.control_plane is not None and self.control_plane._has_data():
            return True

        if self.controller is not None and self.controller._has_data():
            return True

        if self.crypto is not None and self.crypto._has_data():
            return True

        if self.cts is not None and self.cts._has_data():
            return True

        if self.device is not None and self.device._has_data():
            return True

        if self.device_sensor is not None and self.device_sensor._has_data():
            return True

        if self.device_tracking is not None and self.device_tracking._has_data():
            return True

        if self.diagnostic is not None and self.diagnostic._has_data():
            return True

        if self.disable_eadi is not None:
            return True

        if self.domain is not None:
            for child_ref in self.domain:
                if child_ref._has_data():
                    return True

        if self.dot1x is not None and self.dot1x._has_data():
            return True

        if self.eap is not None and self.eap._has_data():
            return True

        if self.enable is not None and self.enable._has_data():
            return True

        if self.energywise is not None and self.energywise._has_data():
            return True

        if self.epm is not None and self.epm._has_data():
            return True

        if self.errdisable is not None and self.errdisable._has_data():
            return True

        if self.esmc is not None and self.esmc._has_data():
            return True

        if self.ethernet is not None and self.ethernet._has_data():
            return True

        if self.event is not None and self.event._has_data():
            return True

        if self.exception is not None and self.exception._has_data():
            return True

        if self.fabric is not None and self.fabric._has_data():
            return True

        if self.facility_alarm is not None and self.facility_alarm._has_data():
            return True

        if self.fallback is not None and self.fallback._has_data():
            return True

        if self.fhrp is not None and self.fhrp._has_data():
            return True

        if self.flow is not None and self.flow._has_data():
            return True

        if self.hostname is not None:
            return True

        if self.hw_module is not None and self.hw_module._has_data():
            return True

        if self.hw_switch is not None and self.hw_switch._has_data():
            return True

        if self.identity is not None and self.identity._has_data():
            return True

        if self.interface is not None and self.interface._has_data():
            return True

        if self.ip is not None and self.ip._has_data():
            return True

        if self.ipv6 is not None and self.ipv6._has_data():
            return True

        if self.key is not None and self.key._has_data():
            return True

        if self.l2 is not None and self.l2._has_data():
            return True

        if self.l2protocol_tunnel is not None and self.l2protocol_tunnel._has_data():
            return True

        if self.l2vpn is not None and self.l2vpn._has_data():
            return True

        if self.l2vpn_config is not None and self.l2vpn_config._has_data():
            return True

        if self.l3vpn is not None and self.l3vpn._has_data():
            return True

        if self.license is not None and self.license._has_data():
            return True

        if self.line is not None and self.line._has_data():
            return True

        if self.lldp is not None and self.lldp._has_data():
            return True

        if self.location is not None and self.location._has_data():
            return True

        if self.logging is not None and self.logging._has_data():
            return True

        if self.login is not None and self.login._has_data():
            return True

        if self.mac is not None and self.mac._has_data():
            return True

        if self.mac_address_table is not None and self.mac_address_table._has_data():
            return True

        if self.macro is not None and self.macro._has_data():
            return True

        if self.memory is not None and self.memory._has_data():
            return True

        if self.memory_size is not None and self.memory_size._has_data():
            return True

        if self.metadata is not None and self.metadata._has_data():
            return True

        if self.mka is not None and self.mka._has_data():
            return True

        if self.mls is not None and self.mls._has_data():
            return True

        if self.module is not None and self.module._has_data():
            return True

        if self.monitor is not None and self.monitor._has_data():
            return True

        if self.mpls is not None and self.mpls._has_data():
            return True

        if self.multilink is not None and self.multilink._has_data():
            return True

        if self.network_clock is not None and self.network_clock._has_data():
            return True

        if self.network_policy is not None and self.network_policy._has_data():
            return True

        if self.ntp is not None and self.ntp._has_data():
            return True

        if self.object_group is not None and self.object_group._has_data():
            return True

        if self.otv is not None and self.otv._has_data():
            return True

        if self.parameter_map is not None:
            for child_ref in self.parameter_map:
                if child_ref._has_data():
                    return True

        if self.parser is not None and self.parser._has_data():
            return True

        if self.password is not None and self.password._has_data():
            return True

        if self.performance is not None and self.performance._has_data():
            return True

        if self.pfr is not None and self.pfr._has_data():
            return True

        if self.pfr_map is not None:
            for child_ref in self.pfr_map:
                if child_ref._has_data():
                    return True

        if self.platform is not None and self.platform._has_data():
            return True

        if self.pm_agent is not None and self.pm_agent._has_data():
            return True

        if self.policy is not None and self.policy._has_data():
            return True

        if self.port_channel is not None and self.port_channel._has_data():
            return True

        if self.power is not None and self.power._has_data():
            return True

        if self.ppp is not None and self.ppp._has_data():
            return True

        if self.privilege is not None and self.privilege._has_data():
            return True

        if self.process is not None and self.process._has_data():
            return True

        if self.profile is not None and self.profile._has_data():
            return True

        if self.pseudowire_class is not None:
            for child_ref in self.pseudowire_class:
                if child_ref._has_data():
                    return True

        if self.qos is not None and self.qos._has_data():
            return True

        if self.radius is not None and self.radius._has_data():
            return True

        if self.radius_server is not None and self.radius_server._has_data():
            return True

        if self.redundancy is not None and self.redundancy._has_data():
            return True

        if self.remote_management is not None and self.remote_management._has_data():
            return True

        if self.rep is not None and self.rep._has_data():
            return True

        if self.rmon is not None and self.rmon._has_data():
            return True

        if self.route_map is not None:
            for child_ref in self.route_map:
                if child_ref._has_data():
                    return True

        if self.route_tag is not None and self.route_tag._has_data():
            return True

        if self.router is not None and self.router._has_data():
            return True

        if self.sampler is not None:
            for child_ref in self.sampler:
                if child_ref._has_data():
                    return True

        if self.scheduler is not None and self.scheduler._has_data():
            return True

        if self.sdm is not None and self.sdm._has_data():
            return True

        if self.segment_routing is not None and self.segment_routing._has_data():
            return True

        if self.service is not None and self.service._has_data():
            return True

        if self.service_chain is not None and self.service_chain._has_data():
            return True

        if self.service_insertion is not None and self.service_insertion._has_data():
            return True

        if self.service_list is not None and self.service_list._has_data():
            return True

        if self.service_routing is not None and self.service_routing._has_data():
            return True

        if self.service_template is not None:
            for child_ref in self.service_template:
                if child_ref._has_data():
                    return True

        if self.setup is not None and self.setup._has_data():
            return True

        if self.snmp is not None and self.snmp._has_data():
            return True

        if self.snmp_server is not None and self.snmp_server._has_data():
            return True

        if self.spanning_tree is not None and self.spanning_tree._has_data():
            return True

        if self.stack_mac is not None and self.stack_mac._has_data():
            return True

        if self.subscriber is not None and self.subscriber._has_data():
            return True

        if self.switch is not None:
            for child_ref in self.switch:
                if child_ref._has_data():
                    return True

        if self.switch_virtual is not None:
            for child_ref in self.switch_virtual:
                if child_ref._has_data():
                    return True

        if self.system is not None and self.system._has_data():
            return True

        if self.table_map is not None:
            for child_ref in self.table_map:
                if child_ref._has_data():
                    return True

        if self.tacacs is not None and self.tacacs._has_data():
            return True

        if self.tacacs_server is not None and self.tacacs_server._has_data():
            return True

        if self.template is not None and self.template._has_data():
            return True

        if self.tftp_server is not None:
            for child_ref in self.tftp_server:
                if child_ref._has_data():
                    return True

        if self.time_range is not None:
            for child_ref in self.time_range:
                if child_ref._has_data():
                    return True

        if self.tod_clock is not None and self.tod_clock._has_data():
            return True

        if self.track is not None and self.track._has_data():
            return True

        if self.transceiver is not None and self.transceiver._has_data():
            return True

        if self.udld is not None and self.udld._has_data():
            return True

        if self.upgrade is not None and self.upgrade._has_data():
            return True

        if self.username is not None:
            for child_ref in self.username:
                if child_ref._has_data():
                    return True

        if self.utd is not None and self.utd._has_data():
            return True

        if self.utd_engine is not None and self.utd_engine._has_data():
            return True

        if self.version is not None:
            return True

        if self.virtual_service is not None:
            for child_ref in self.virtual_service:
                if child_ref._has_data():
                    return True

        if self.vlan is not None and self.vlan._has_data():
            return True

        if self.voice is not None and self.voice._has_data():
            return True

        if self.voice_card is not None:
            for child_ref in self.voice_card:
                if child_ref._has_data():
                    return True

        if self.vpdn is not None and self.vpdn._has_data():
            return True

        if self.vrf is not None and self.vrf._has_data():
            return True

        if self.vstack is not None and self.vstack._has_data():
            return True

        if self.vtp is not None and self.vtp._has_data():
            return True

        if self.wireless is not None and self.wireless._has_data():
            return True

        if self.wsma is not None and self.wsma._has_data():
            return True

        if self.xconnect is not None and self.xconnect._has_data():
            return True

        if self.zone is not None and self.zone._has_data():
            return True

        if self.zone_pair is not None and self.zone_pair._has_data():
            return True

        return False

    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xe._meta import _Cisco_IOS_XE_native as meta
        return meta._meta_table['Native']['meta_info']


